private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "x86"
	condition:
		true
}

rule function_362_0 {
	meta:
		name = "Succeeded"
		size = 9
	strings:
		$1 = { A9 00 00 00 80 0F 94 C0 C3 }
	condition:
		$1
}

rule function_363_0 {
	meta:
		name = "Failed"
		size = 9
	strings:
		$1 = { A9 00 00 00 80 0F 95 C0 C3 }
	condition:
		$1
}

rule function_364_0 {
	meta:
		name = "HResultCode"
		size = 6
		altNames = "ResultCode"
	strings:
		$1 = { 25 FF FF 00 00 C3 }
	condition:
		$1
}

rule function_365_0 {
	meta:
		name = "HResultFacility"
		size = 9
		altNames = "ResultFacility"
	strings:
		$1 = { C1 E8 10 25 FF 1F 00 00 C3 }
	condition:
		$1
}

rule function_366_0 {
	meta:
		name = "ResultSeverity"
		size = 4
	strings:
		$1 = { C1 E8 1F C3 }
	condition:
		$1
}

rule function_367_0 {
	meta:
		name = "MakeResult"
		size = 13
	strings:
		$1 = { C1 E0 1F C1 E2 10 0B C2 0B C8 8B C1 C3 }
	condition:
		$1
}

rule function_368_0 {
	meta:
		name = "LHashValOfName"
		size = 10
		refs = "0005 LHashValOfNameSys"
	strings:
		$1 = { 52 50 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_369_0 {
	meta:
		name = "WHashValOfLHashVal"
		size = 5
	strings:
		$1 = { 66 25 FF FF C3 }
	condition:
		$1
}

rule function_370_0 {
	meta:
		name = "IsHashValCompatible"
		size = 17
	strings:
		$1 = { 25 00 00 FF 00 81 E2 00 00 FF 00 3B C2 0F 94 C0 C3 }
	condition:
		$1
}

rule function_374_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_3 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13618_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_31 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13000_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13004_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13020_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13194_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13492_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_31 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13502_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13505_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13512_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13574_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_31 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12973_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_01 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13642_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13761_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13835_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14135_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14179_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14535_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14546_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12030_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11214_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11646_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_32 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11666_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11668_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11932_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11948_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15074_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12078_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_7 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12249_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12464_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_7 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12563_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12585_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12750_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_81 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12778_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12853_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12855_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19443_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_02 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17406_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_31 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17696_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_32 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17698_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17777_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17779_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18755_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18945_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18970_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18972_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18985_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_8 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19031_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19035_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17381_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19616_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19641_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19719_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19743_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19825_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19846_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19848_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_22068_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_22256_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16107_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15228_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15250_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15269_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15607_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_01 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15609_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15614_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15775_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_71 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15790_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15898_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_21 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16072_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11102_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16765_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16911_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_41 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16996_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_01 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17235_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_81 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17251_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17260_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4811_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4813_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4839_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5646_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_21 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5714_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5745_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6008_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_01 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6070_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6072_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6491_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_22 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4802_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6798_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6815_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6926_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6949_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6957_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7706_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7741_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7863_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7865_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7990_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_11 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8203_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1152_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1186_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1281_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_41 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1292_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8211_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1433_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_2281_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_2285_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3779_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4630_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10494_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10502_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10515_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10529_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10620_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_31 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10631_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10755_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10769_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10822_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10374_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10856_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_7 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10860_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10908_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_6 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10910_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10957_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_81 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11016_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11041_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_8 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11054_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11062_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11066_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11085_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11089_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10050_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8218_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8231_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8343_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_51 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8557_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_61 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8671_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_5 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8683_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8690_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8695_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9875_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_9 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10026_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_1 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_438_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_7 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10054_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10182_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_4 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10270_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_2 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10368_0 {
	meta:
		name = "Finalization"
		size = 46
		refs = "0007 Finalization 0013 _DV_32 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_375_0 {
	meta:
		name = "ActiveX"
		size = 8
		refs = "0002 _DV_3"
		altNames = "Exptintf ExtDlgs IdAntiFreezeBase IdDICTServer IdEMailAddress IdException IdFTP IdHTTP IdHTTPServer IdHostnameServer IdIMAP4Server IdIPWatch IdIntercept IdIrcServer IdLogDebug IdMappedPortTCP IdNetworkCalculator IdRawHeaders IdSSLIntercept ImgList MPlayer MidasCon NMFtp NMHTML NMMSG NMSTRM NMUDP NMsmtp Printers QRLablEd StdActns StdCtrls Tabnotbk TeePrevi TypInfo WinSpool isp3 mxpbar mxpivsrc mxqparse mxstore"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_439_0 {
	meta:
		name = "ActnList"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_816_0 {
	meta:
		name = "AxMaxMin"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_811_0 {
	meta:
		name = "AxisIncr"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1282_0 {
	meta:
		name = "BISmtp"
		size = 8
		refs = "0002 _DV_41"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1153_0 {
	meta:
		name = "Bde"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1155_0 {
	meta:
		name = "BdeConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1293_0 {
	meta:
		name = "BrushDlg"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4819_0 {
	meta:
		name = "CPL"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1434_0 {
	meta:
		name = "Calendar"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_2280_0 {
	meta:
		name = "ColorGrd"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_2282_0 {
	meta:
		name = "ComConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_2286_0 {
	meta:
		name = "ComCorba"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3439_0 {
	meta:
		name = "ComCtrls"
		size = 8
		refs = "0002 _DV_15"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3970_0 {
	meta:
		name = "ComStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3810_0 {
	meta:
		name = "CommDlg"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3780_0 {
	meta:
		name = "Commctrl"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3972_0 {
	meta:
		name = "Consts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4631_0 {
	meta:
		name = "CopyPrsr"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4814_0 {
	meta:
		name = "CorbCnst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4654_0 {
	meta:
		name = "CorbaCon"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4775_0 {
	meta:
		name = "CorbaRdm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4812_0 {
	meta:
		name = "CorbaVCL"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5647_0 {
	meta:
		name = "DBActns"
		size = 8
		refs = "0002 _DV_21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5715_0 {
	meta:
		name = "DBCGrids"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5746_0 {
	meta:
		name = "DBChart"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6009_0 {
	meta:
		name = "DBClient"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6071_0 {
	meta:
		name = "DBCommon"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6799_0 {
	meta:
		name = "DBGrids"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6816_0 {
	meta:
		name = "DBLogDlg"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6927_0 {
	meta:
		name = "DBLookup"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6958_0 {
	meta:
		name = "DBPWDlg"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7600_0 {
	meta:
		name = "DBWeb"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7991_0 {
	meta:
		name = "DRTable"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8210_0 {
	meta:
		name = "DSIntf"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8219_0 {
	meta:
		name = "DSProd"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_5621_0 {
	meta:
		name = "Db"
		size = 8
		refs = "0002 _DV_25"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6073_0 {
	meta:
		name = "DbConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6950_0 {
	meta:
		name = "DbOleCtl"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6522_0 {
	meta:
		name = "Dbexcept"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7742_0 {
	meta:
		name = "Ddeml"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7864_0 {
	meta:
		name = "DirOutln"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_7866_0 {
	meta:
		name = "Dlgs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8184_0 {
	meta:
		name = "DsgnIntf"
		size = 8
		refs = "0002 _DV_53"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8204_0 {
	meta:
		name = "DsgnWnds"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8212_0 {
	meta:
		name = "DsnDBCst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8232_0 {
	meta:
		name = "EditChar"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8344_0 {
	meta:
		name = "EditIntf"
		size = 8
		refs = "0002 _DV_51"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8558_0 {
	meta:
		name = "ExtCtrls"
		size = 8
		refs = "0002 _DV_61"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8672_0 {
	meta:
		name = "FileCtrl"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8684_0 {
	meta:
		name = "FileIntf"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9178_0 {
	meta:
		name = "Gauges"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9876_0 {
	meta:
		name = "Grids"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10025_0 {
	meta:
		name = "HTTPApp"
		size = 8
		refs = "0002 _DV_02"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10027_0 {
	meta:
		name = "IBConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10051_0 {
	meta:
		name = "IBCtrls"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10057_0 {
	meta:
		name = "IBPROC32"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11667_0 {
	meta:
		name = "IStreams"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10055_0 {
	meta:
		name = "Ibevnts"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10060_0 {
	meta:
		name = "IdAntiFreeze"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10069_0 {
	meta:
		name = "IdBaseComponent"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10073_0 {
	meta:
		name = "IdChargenServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10271_0 {
	meta:
		name = "IdDayTime"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10275_0 {
	meta:
		name = "IdDayTimeServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10285_0 {
	meta:
		name = "IdDiscardServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10349_0 {
	meta:
		name = "IdEcho"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10353_0 {
	meta:
		name = "IdEchoServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10375_0 {
	meta:
		name = "IdFinger"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10379_0 {
	meta:
		name = "IdFingerServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10493_0 {
	meta:
		name = "IdGopher"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10495_0 {
	meta:
		name = "IdGopherConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10503_0 {
	meta:
		name = "IdGopherServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10516_0 {
	meta:
		name = "IdHeaderCoder"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10530_0 {
	meta:
		name = "IdHeaderList"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10632_0 {
	meta:
		name = "IdIcmpClient"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10705_0 {
	meta:
		name = "IdLogBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10770_0 {
	meta:
		name = "IdMessageClient"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10817_0 {
	meta:
		name = "IdRawBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10819_0 {
	meta:
		name = "IdRawClient"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10823_0 {
	meta:
		name = "IdResourceStrings"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10831_0 {
	meta:
		name = "IdSimpleServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10857_0 {
	meta:
		name = "IdSocketHandle"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10861_0 {
	meta:
		name = "IdSocks"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10909_0 {
	meta:
		name = "IdStack"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10911_0 {
	meta:
		name = "IdStackConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10958_0 {
	meta:
		name = "IdTCPClient"
		size = 8
		refs = "0002 _DV_81"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11017_0 {
	meta:
		name = "IdTCPConnection"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11042_0 {
	meta:
		name = "IdTCPServer"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11055_0 {
	meta:
		name = "IdThread"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11063_0 {
	meta:
		name = "IdThreadMgr"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11067_0 {
	meta:
		name = "IdThreadMgrDefault"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11086_0 {
	meta:
		name = "IdUDPBase"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11090_0 {
	meta:
		name = "IdUDPClient"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11103_0 {
	meta:
		name = "IdURI"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11118_0 {
	meta:
		name = "IdWinsock"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11215_0 {
	meta:
		name = "Imagehlp"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11365_0 {
	meta:
		name = "Imm"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11415_0 {
	meta:
		name = "IniFiles"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11417_0 {
	meta:
		name = "Isapi"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11419_0 {
	meta:
		name = "Isapi2"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11849_0 {
	meta:
		name = "LZExpand"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11836_0 {
	meta:
		name = "LibHelp"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12079_0 {
	meta:
		name = "MConnect"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12465_0 {
	meta:
		name = "MMSystem"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12549_0 {
	meta:
		name = "MSrvr"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11865_0 {
	meta:
		name = "Mapi"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11933_0 {
	meta:
		name = "Mask"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11949_0 {
	meta:
		name = "Masks"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12031_0 {
	meta:
		name = "Math"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12250_0 {
	meta:
		name = "Messages"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12260_0 {
	meta:
		name = "MidConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12577_0 {
	meta:
		name = "MtsRdm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12564_0 {
	meta:
		name = "Mtsobj"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12586_0 {
	meta:
		name = "Mtx"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13506_0 {
	meta:
		name = "NB30"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13508_0 {
	meta:
		name = "NMConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13513_0 {
	meta:
		name = "NMDayTim"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13518_0 {
	meta:
		name = "NMEcho"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13523_0 {
	meta:
		name = "NMExtstr"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13528_0 {
	meta:
		name = "NMFngr"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13643_0 {
	meta:
		name = "NMHttp"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13700_0 {
	meta:
		name = "NMNNTP"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13762_0 {
	meta:
		name = "NMTime"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13788_0 {
	meta:
		name = "NMURL"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13800_0 {
	meta:
		name = "NMUUE"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13723_0 {
	meta:
		name = "NMpop3"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13836_0 {
	meta:
		name = "NS30Fix"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14113_0 {
	meta:
		name = "NSApi"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14178_0 {
	meta:
		name = "OCXReg"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14919_0 {
	meta:
		name = "ORBPAS"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14136_0 {
	meta:
		name = "ObjBrkr"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14180_0 {
	meta:
		name = "OleConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14536_0 {
	meta:
		name = "OleCtrls"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14547_0 {
	meta:
		name = "OleDlg"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15075_0 {
	meta:
		name = "Outline"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15090_0 {
	meta:
		name = "PenDlg"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15229_0 {
	meta:
		name = "PenWin"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15251_0 {
	meta:
		name = "PicEdit"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15511_0 {
	meta:
		name = "Provider"
		size = 8
		refs = "0002 _DV_51"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15791_0 {
	meta:
		name = "QREnvEd"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15830_0 {
	meta:
		name = "QRExpbld"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15899_0 {
	meta:
		name = "QRExport"
		size = 8
		refs = "0002 _DV_21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16108_0 {
	meta:
		name = "QRPrev"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16112_0 {
	meta:
		name = "QRPrgres"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15637_0 {
	meta:
		name = "Qrcomped"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15776_0 {
	meta:
		name = "Qrctrls"
		size = 8
		refs = "0002 _DV_71"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16766_0 {
	meta:
		name = "RegStr"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16764_0 {
	meta:
		name = "Registry"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16768_0 {
	meta:
		name = "RichEdit"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16997_0 {
	meta:
		name = "SConnect"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17333_0 {
	meta:
		name = "SMIntf"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16912_0 {
	meta:
		name = "ScktComp"
		size = 8
		refs = "0002 _DV_41"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17306_0 {
	meta:
		name = "ShellAPI"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17329_0 {
	meta:
		name = "ShlObj"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17382_0 {
	meta:
		name = "Spin"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17699_0 {
	meta:
		name = "StdVCL"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17778_0 {
	meta:
		name = "SyncObjs"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17780_0 {
	meta:
		name = "SysConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17804_0 {
	meta:
		name = "SysInit"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19642_0 {
	meta:
		name = "TLHelp32"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18756_0 {
	meta:
		name = "Tabs"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18946_0 {
	meta:
		name = "TeCanvas"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19623_0 {
	meta:
		name = "TeExport"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18971_0 {
	meta:
		name = "TeeAbout"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18986_0 {
	meta:
		name = "TeeFunci"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19032_0 {
	meta:
		name = "TeeGally"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19036_0 {
	meta:
		name = "TeeLisB"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19720_0 {
	meta:
		name = "ToolIntf"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19744_0 {
	meta:
		name = "ToolWin"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19826_0 {
	meta:
		name = "UrlMon"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19847_0 {
	meta:
		name = "VirtIntf"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19849_0 {
	meta:
		name = "WebConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_22257_0 {
	meta:
		name = "WinInet"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_22320_0 {
	meta:
		name = "WinSock"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_22527_0 {
	meta:
		name = "WinSvc"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_22069_0 {
	meta:
		name = "Windows"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11669_0 {
	meta:
		name = "jconsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12856_0 {
	meta:
		name = "mxConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12974_0 {
	meta:
		name = "mxDB"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12779_0 {
	meta:
		name = "mxbutton"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12854_0 {
	meta:
		name = "mxcommon"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13001_0 {
	meta:
		name = "mxdcube"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13005_0 {
	meta:
		name = "mxdsql"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13021_0 {
	meta:
		name = "mxgraph"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13108_0 {
	meta:
		name = "mxgrid"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13195_0 {
	meta:
		name = "mxqedcom"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13503_0 {
	meta:
		name = "mxtables"
		size = 8
		refs = "0002 _DV_4"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15610_0 {
	meta:
		name = "qr3const"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15615_0 {
	meta:
		name = "qrabout"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17331_0 {
	meta:
		name = "smconsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18973_0 {
	meta:
		name = "teeconst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_376_0 {
	meta:
		name = "RegisterActions"
		size = 109
		refs = "000a RegisterActions 0016 RegisterActionsProc 002d SInvalidActionRegistration 0032 LoadResString 003c _Dn_Exception 0041 Exception.Create 0046 @RaiseExcept 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 83 3D ?? ?? ?? ?? 00 74 0C 8B 5D 08 53 FF 15 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_377_0 {
	meta:
		name = "UnRegisterActions"
		size = 101
		refs = "0009 UnRegisterActions 0015 UnRegisterActionsProc 0028 SInvalidActionUnregistration 002d LoadResString 0037 _Dn_Exception 003c Exception.Create 0041 @RaiseExcept 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_378_0 {
	meta:
		name = "EnumRegisteredActions"
		size = 109
		refs = "0009 EnumRegisteredActions 0015 EnumRegisteredActionsProc 002e SInvalidActionEnumeration 0033 LoadResString 003d _Dn_Exception 0042 Exception.Create 0047 @RaiseExcept 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 3D ?? ?? ?? ?? 00 74 0E FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_379_0 {
	meta:
		name = "CreateAction"
		size = 107
		refs = "000a CreateAction 0016 CreateActionProc 002b SInvalidActionCreation 0030 LoadResString 003a _Dn_Exception 003f Exception.Create 0044 @RaiseExcept 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3D ?? ?? ?? ?? 00 74 0A FF 15 ?? ?? ?? ?? 8B D8 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_380_0 {
	meta:
		name = "TContainedAction.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0015 TCustomActionList.RemoveAction 0021 TBasicAction.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_381_0 {
	meta:
		name = "TContainedAction.GetIndex"
		size = 21
		refs = "000c TList.IndexOf"
	strings:
		$1 = { 8B 50 44 85 D2 74 0A 8B 52 24 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_383_0 {
	meta:
		name = "TContainedAction.GetParentComponent"
		size = 16
		refs = "000b TComponent.GetParentComponent"
	strings:
		$1 = { 8B 50 44 85 D2 74 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_384_0 {
	meta:
		name = "TContainedAction.HasParent"
		size = 15
		refs = "000a TComponent.HasParent"
	strings:
		$1 = { 83 78 44 00 74 03 B0 01 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_385_0 {
	meta:
		name = "TContainedAction.ReadState"
		size = 49
		refs = "000c TComponent.ReadState 0017 _DV_TCustomActionList 001c @IsClass 0029 TContainedAction.SetActionList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2358_0 {
	meta:
		name = "TTabSheet.ReadState"
		size = 49
		refs = "000c TWinControl.ReadState 0017 _DV_TPageControl 001c @IsClass 0029 TTabSheet.SetPageControl"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_386_0 {
	meta:
		name = "TContainedAction.SetIndex"
		size = 71
		refs = "000a TContainedAction.GetIndex 0030 TList.Delete 003f TList.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 31 8B 53 44 8B 7A 24 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 17 8B D7 92 E8 ?? ?? ?? ?? 8B 43 44 8B 40 24 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_387_0 {
	meta:
		name = "TContainedAction.SetCategory"
		size = 43
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 40 E8 ?? ?? ?? ?? 74 16 8D 43 40 8B D6 E8 ?? ?? ?? ?? 8B 43 44 85 C0 74 05 8B 10 FF 52 30 5E 5B C3 }
	condition:
		$1
}

rule function_388_0 {
	meta:
		name = "TContainedAction.SetActionList"
		size = 40
		refs = "0014 TCustomActionList.RemoveAction 0021 TCustomActionList.AddAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 44 3B F0 74 18 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_389_0 {
	meta:
		name = "TContainedAction.SetParentComponent"
		size = 41
		refs = "0010 _DV_TCustomActionList 0015 @IsClass 0022 TContainedAction.SetActionList"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 01 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_390_0 {
	meta:
		name = "TContainedAction.Execute"
		size = 85
		refs = "0015 @CallDynaInst 001e Application 0027 TApplication.ExecuteAction 0032 TBasicAction.Execute 0044 SendAppMessage"
	strings:
		$1 = { 53 56 57 8B F0 8B 7E 44 85 FF 74 11 8B D6 8B C7 66 BB F4 FF E8 ?? ?? ?? ?? 84 C0 75 32 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 84 C0 75 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 15 8B CE 33 D2 B8 40 B0 00 00 E8 ?? ?? ?? ?? 48 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_391_0 {
	meta:
		name = "TContainedAction.Update"
		size = 85
		refs = "0015 @CallDynaInst 001e Application 0027 TApplication.UpdateAction 0032 TBasicAction.Update 0044 SendAppMessage"
	strings:
		$1 = { 53 56 57 8B F0 8B 7E 44 85 FF 74 11 8B D6 8B C7 66 BB F1 FF E8 ?? ?? ?? ?? 84 C0 75 32 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 84 C0 75 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 15 8B CE 33 D2 B8 3F B0 00 00 E8 ?? ?? ?? ?? 48 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_392_0 {
	meta:
		name = "TCustomActionList.Create"
		size = 104
		refs = "000e @ClassCreate 001c TComponent.Create 0023 _Dn_TList 0028 TObject.Create 0032 _Dn_TChangeLink 0046 TCustomActionList.ImageListChange 0053 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 89 5E 0C C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_393_0 {
	meta:
		name = "TCustomActionList.Destroy"
		size = 78
		refs = "0004 @BeforeDestruction 0010 TObject.Free 0019 TList.Last 003b TComponent.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 47 28 E8 ?? ?? ?? ?? EB 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 24 83 7E 08 00 7F EB 8B 47 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_394_0 {
	meta:
		name = "TCustomActionList.GetChildren"
		size = 72
		refs = "0028 TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 40 24 8B 58 08 4B 85 DB 7C 24 43 33 F6 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DF 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_395_0 {
	meta:
		name = "TCustomActionList.SetChildOrder"
		size = 47
		refs = "000f TList.IndexOf 001b _DV_TContainedAction 0020 @AsClass 0027 TContainedAction.SetIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7C 14 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_396_0 {
	meta:
		name = "TCustomActionList.GetAction"
		size = 19
		refs = "000c TList.Get"
		altNames = "TDatabase.GetDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_397_0 {
	meta:
		name = "TCustomActionList.GetActionCount"
		size = 7
		altNames = "TDatabase.GetDataSetCount"
	strings:
		$1 = { 8B 40 24 8B 40 08 C3 }
	condition:
		$1
}

rule function_398_0 {
	meta:
		name = "TCustomActionList.SetAction"
		size = 30
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_399_0 {
	meta:
		name = "TCustomActionList.SetImages"
		size = 51
		refs = "0011 TCustomImageList.UnRegisterChanges 0022 TCustomImageList.RegisterChanges 002c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 2C 85 C0 74 08 8B 53 28 E8 ?? ?? ?? ?? 8B C6 89 43 2C 85 C0 74 12 8B 53 28 E8 ?? ?? ?? ?? 8B D3 8B 43 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_400_0 {
	meta:
		name = "TCustomActionList.ImageListChange"
		size = 11
	strings:
		$1 = { 3B 50 2C 75 05 8B 10 FF 52 30 C3 }
	condition:
		$1
}

rule function_401_0 {
	meta:
		name = "TCustomActionList.Notification"
		size = 71
		refs = "0010 TComponent.Notification 0023 TCustomActionList.SetImages 002d _DV_TContainedAction 0032 @IsClass 003f TCustomActionList.RemoveAction"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 2A 3B 7E 2C 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_402_0 {
	meta:
		name = "TCustomActionList.AddAction"
		size = 31
		refs = "000c TList.Add 0018 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 89 5E 44 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_403_0 {
	meta:
		name = "TCustomActionList.RemoveAction"
		size = 28
		refs = "000c TList.Remove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7C 05 33 C0 89 46 44 5E 5B C3 }
	condition:
		$1
}

rule function_404_0 {
	meta:
		name = "TCustomActionList.Change"
		size = 103
		refs = "0028 TList.Get 0042 _Dn_TForm 0047 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 66 83 7B 32 00 74 08 8B D3 8B 43 34 FF 53 30 8B 43 24 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B 10 FF 52 30 47 4E 75 ED F6 43 20 10 74 28 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 83 BE 30 02 00 00 00 74 0B 8B 86 30 02 00 00 8B 10 FF 52 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_405_0 {
	meta:
		name = "TCustomActionList.IsShortCut"
		size = 122
		refs = "000d KeyDataToShiftState 001a ShortCut 0034 TList.Get 0063 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B F8 8B 46 08 E8 ?? ?? ?? ?? 8B D8 66 8B 46 04 8B D3 E8 ?? ?? ?? ?? 8B E8 8B 47 24 8B 70 08 4E 85 F6 7C 42 46 33 DB 8B 47 24 8B D3 E8 ?? ?? ?? ?? 66 3B 68 60 75 2B 8B 47 24 8B D3 E8 ?? ?? ?? ?? 8A 40 51 88 04 24 80 3C 24 00 74 1D 8B 47 24 8B D3 E8 ?? ?? ?? ?? 66 BB F0 FF E8 ?? ?? ?? ?? EB 08 43 4E 75 C1 C6 04 24 00 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_406_0 {
	meta:
		name = "TCustomActionList.ExecuteAction"
		size = 29
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 3A 00 74 0A 8B CC 8B D8 8B 43 3C FF 53 38 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_407_0 {
	meta:
		name = "TCustomActionList.UpdateAction"
		size = 29
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 42 00 74 0A 8B CC 8B D8 8B 43 44 FF 53 40 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_408_0 {
	meta:
		name = "TActionLink.IsCaptionLinked"
		size = 19
		refs = "0008 _DV_TCustomAction 000d @IsClass"
		altNames = "TActionLink.IsCheckedLinked TActionLink.IsEnabledLinked TActionLink.IsHelpContextLinked TActionLink.IsHintLinked TActionLink.IsImageIndexLinked TActionLink.IsShortCutLinked TActionLink.IsVisibleLinked"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_424_0 {
	meta:
		name = "TCustomAction.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TBasicAction.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 01 C6 46 51 01 C7 46 5C FF FF FF FF C6 46 62 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_425_0 {
	meta:
		name = "TCustomAction.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TContainedAction.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 6C E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_426_0 {
	meta:
		name = "TCustomAction.AssignTo"
		size = 122
		refs = "000b _DV_TCustomAction 0010 @IsClass 0020 TCustomAction.SetCaption 002a TCustomAction.SetChecked 0034 TCustomAction.SetEnabled 003e TCustomAction.SetHelpContext 0048 TCustomAction.SetHint 0052 TCustomAction.SetImageIndex 005d TCustomAction.SetShortCut 0067 TCustomAction.SetVisible 0072 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 55 8B 53 4C 8B FE 8B C7 E8 ?? ?? ?? ?? 8A 53 50 8B C7 E8 ?? ?? ?? ?? 8A 53 51 8B C7 E8 ?? ?? ?? ?? 8B 53 54 8B C7 E8 ?? ?? ?? ?? 8B 53 58 8B C7 E8 ?? ?? ?? ?? 8B 53 5C 8B C7 E8 ?? ?? ?? ?? 66 8B 53 60 8B C7 E8 ?? ?? ?? ?? 8A 53 62 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_427_0 {
	meta:
		name = "TCustomAction.SetCaption"
		size = 102
		refs = "000e @LStrCmp 0028 TList.Get 002e _DV_TActionLink 0033 @IsClass 0056 @LStrAsg"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C5 8B 53 4C E8 ?? ?? ?? ?? 74 4D 8B 43 3C 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 3C 46 4F 75 D2 8D 43 4C 8B D5 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_428_0 {
	meta:
		name = "TCustomAction.SetChecked"
		size = 88
		refs = "0021 TList.Get 0027 _DV_TActionLink 002c @IsClass"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 50 74 46 8B 45 3C 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 45 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 45 3C E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 40 46 4F 75 D2 88 5D 50 8B C5 8B 10 FF 52 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_429_0 {
	meta:
		name = "TCustomAction.SetEnabled"
		size = 88
		refs = "0021 TList.Get 0027 _DV_TActionLink 002c @IsClass"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 51 74 46 8B 45 3C 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 45 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 45 3C E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 44 46 4F 75 D2 88 5D 51 8B C5 8B 10 FF 52 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_430_0 {
	meta:
		name = "TCustomAction.SetHelpContext"
		size = 88
		refs = "0021 TList.Get 0027 _DV_TActionLink 002c @IsClass"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 3B 6B 54 74 46 8B 43 3C 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 48 46 4F 75 D2 89 6B 54 8B C3 8B 10 FF 52 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_431_0 {
	meta:
		name = "TCustomAction.SetHint"
		size = 102
		refs = "000e @LStrCmp 0028 TList.Get 002e _DV_TActionLink 0033 @IsClass 0056 @LStrAsg"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C5 8B 53 58 E8 ?? ?? ?? ?? 74 4D 8B 43 3C 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 4C 46 4F 75 D2 8D 43 58 8B D5 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_432_0 {
	meta:
		name = "TCustomAction.SetImageIndex"
		size = 88
		refs = "0021 TList.Get 0027 _DV_TActionLink 002c @IsClass"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 3B 6B 5C 74 46 8B 43 3C 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 50 46 4F 75 D2 89 6B 5C 8B C3 8B 10 FF 52 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_433_0 {
	meta:
		name = "TCustomAction.SetShortCut"
		size = 90
		refs = "0022 TList.Get 0028 _DV_TActionLink 002d @IsClass"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 66 3B 6B 60 74 47 8B 43 3C 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 54 46 4F 75 D2 66 89 6B 60 8B C3 8B 10 FF 52 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_434_0 {
	meta:
		name = "TCustomAction.SetVisible"
		size = 88
		refs = "0021 TList.Get 0027 _DV_TActionLink 002c @IsClass"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 62 74 46 8B 45 3C 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 45 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 45 3C E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 58 46 4F 75 D2 88 5D 62 8B C5 8B 10 FF 52 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_435_0 {
	meta:
		name = "TCustomAction.SetName"
		size = 76
		refs = "000e @LStrCmp 002e TComponent.SetName 0044 TCustomAction.SetCaption"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 56 4C E8 ?? ?? ?? ?? 75 0D 8B 5E 04 85 DB 74 0A F6 43 20 01 74 04 33 C0 EB 02 B0 01 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 12 8B 46 3C 83 78 08 00 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_436_0 {
	meta:
		name = "TCustomAction.DoHint"
		size = 29
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 66 00 74 0A 8B CC 8B D8 8B 43 68 FF 53 64 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_437_0 {
	meta:
		name = "TCustomAction.Execute"
		size = 35
		refs = "0013 TContainedAction.Execute"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 80 7B 51 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_440_0 {
	meta:
		name = "TAreaSeriesEditor.FormShow"
		size = 114
		refs = "0005 Screen 000e TScreen.SetCursor 002c TCustomRadioGroup.SetItemIndex 0050 TCustomComboBox.SetItemIndex 006b TAreaSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 F0 02 00 00 8B F0 33 D2 8A 96 2C 01 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8A 56 2C 8B 83 E4 02 00 00 8B 08 FF 91 BC 00 00 00 33 D2 8A 96 E0 00 00 00 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 8A 96 FC 00 00 00 8B 83 D0 02 00 00 8B 08 FF 91 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_441_0 {
	meta:
		name = "TAreaSeriesEditor.RefreshShape"
		size = 82
		refs = "0017 TControl.SetVisible 003e TAreaSeriesEditor.GetAreaColor 004b TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B 83 F0 02 00 00 8A 50 2C 80 F2 01 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B 83 EC 02 00 00 8A 50 47 8B 83 E8 02 00 00 8B 08 FF 51 60 8B B3 EC 02 00 00 80 7E 47 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_442_0 {
	meta:
		name = "TAreaSeriesEditor.RGMultiAreaClick"
		size = 24
		refs = "0013 TAreaSeries.SetMultiArea"
	strings:
		$1 = { 8B 90 C4 02 00 00 8A 92 F8 01 00 00 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_443_0 {
	meta:
		name = "TAreaSeriesEditor.CBColorEachClick"
		size = 39
		refs = "0021 TAreaSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 8B D8 8B 83 E4 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 F0 02 00 00 8B 08 FF 51 78 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_444_0 {
	meta:
		name = "TAreaSeriesEditor.GetAreaColor"
		size = 27
	strings:
		$1 = { 8B 80 F0 02 00 00 8B 90 E4 00 00 00 81 FA 00 00 00 80 75 04 8B 40 28 C3 8B C2 C3 }
	condition:
		$1
}

rule function_445_0 {
	meta:
		name = "TAreaSeriesEditor.BAreaColorClick"
		size = 44
		refs = "0006 TAreaSeriesEditor.GetAreaColor 000f EditColor 0026 TAreaSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 F0 02 00 00 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_446_0 {
	meta:
		name = "TAreaSeriesEditor.CBStairsClick"
		size = 32
		refs = "001a TCustomSeries.SetStairs"
	strings:
		$1 = { 53 8B D8 8B 83 D0 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_447_0 {
	meta:
		name = "TAreaSeriesEditor.CBAreaBrushChange"
		size = 29
		refs = "000a TCustomComboBox.GetItemIndex 0017 TCustomSeries.SetAreaBrush"
	strings:
		$1 = { 53 8B D8 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_448_0 {
	meta:
		name = "TAreaSeriesEditor.BAreaLinesPenClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 F0 02 00 00 8B 92 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_449_0 {
	meta:
		name = "TAreaSeriesEditor.SHAreaColorMouseUp"
		size = 14
		refs = "0006 TAreaSeriesEditor.BAreaColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_483_0 {
	meta:
		name = "TArrowSeriesEditor.SHArrowColorMouseUp"
		size = 14
		refs = "0006 TArrowSeriesEditor.BArrowColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_831_0 {
	meta:
		name = "TBarSeriesEditor.SHBarColorMouseUp"
		size = 14
		refs = "0006 TBarSeriesEditor.BBarColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_1289_0 {
	meta:
		name = "TBrushDialog.SHColorMouseUp"
		size = 14
		refs = "0006 TBrushDialog.BColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_17239_0 {
	meta:
		name = "TChartShapeEditor.Shape1MouseUp"
		size = 14
		refs = "0006 TChartShapeEditor.BShapeColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_15085_0 {
	meta:
		name = "TPenDialog.SHColorMouseUp"
		size = 14
		refs = "0006 TPenDialog.BColorClick"
	strings:
		$1 = { 55 8B EC 8B D0 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_450_0 {
	meta:
		name = "TAreaSeriesEditor.BAreaLinePenClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 F0 02 00 00 8B 92 F4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_452_0 {
	meta:
		name = "AreaEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TAreaSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_486_0 {
	meta:
		name = "Arrowedi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TArrowSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_835_0 {
	meta:
		name = "BarEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TBarSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1319_0 {
	meta:
		name = "BubblEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TBubbleSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4840_0 {
	meta:
		name = "CustEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TCustomSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8696_0 {
	meta:
		name = "FLineEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TFastLineSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9155_0 {
	meta:
		name = "GanttEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TGanttSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15270_0 {
	meta:
		name = "PieEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TPieSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16329_0 {
	meta:
		name = "QrTee"
		size = 20
		refs = "0002 _DV_3 000a _DV_TQRDBChart 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17252_0 {
	meta:
		name = "ShapeEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TChartShapeEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_453_0 {
	meta:
		name = "TArrowSeries.Create"
		size = 251
		refs = "0015 @ClassCreate 0022 TArrowSeries.Create 0031 TPointSeries.Create 0042 TChartValueList.SetDateTime 004a TeeMsg_ValuesArrowEndX 004f LoadResString 005c _Dn_TChartValueList 0061 TChartValueList.Create 007a TeeMsg_ValuesArrowEndY 00a4 TSeriesPointer.SetInflateMargins 00b1 TChartPen.SetVisible 00bb TSeriesMarks.SetBackTransparent 00d0 @LStrClr 00d6 @HandleFinally 00e5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 D0 00 00 00 00 B2 01 8B 43 70 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 01 00 00 33 D2 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 8B 43 50 8B 40 14 33 D2 E8 ?? ?? ?? ?? B2 01 8B 43 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_454_0 {
	meta:
		name = "TArrowSeries.SetEndXValues"
		size = 14
		refs = "0009 TChartSeries.SetChartValueList"
		altNames = "TBubbleSeries.SetRadiusValues TGanttSeries.SetEndValues"
	strings:
		$1 = { 8D 88 2C 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_455_0 {
	meta:
		name = "TArrowSeries.SetEndYValues"
		size = 14
		refs = "0009 TChartSeries.SetChartValueList"
		altNames = "TGanttSeries.SetNextTask"
	strings:
		$1 = { 8D 88 30 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1295_0 {
	meta:
		name = "TBubbleSeries.SetSquared"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 30 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_456_0 {
	meta:
		name = "TArrowSeries.AddArrow"
		size = 95
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 FF 75 24 FF 75 20 FF 75 1C FF 75 18 8B 4D FC 8B C6 8B 18 FF 93 8C 00 00 00 8B D8 8B 86 2C 01 00 00 8B 55 10 89 50 30 8B 55 14 89 50 34 8B 86 30 01 00 00 8B 55 08 89 50 30 8B 55 0C 89 50 34 8B D3 8B C6 8B 08 FF 91 D8 00 00 00 8B C3 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_457_0 {
	meta:
		name = "TArrowSeries.FillSampleValues"
		size = 245
		refs = "0035 TChartSeries.CalcRandomBounds 003e @ROUND 0060 @RandInt 00db TArrowSeries.AddArrow 00e9 TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 89 14 24 8B E8 8B C5 8B 10 FF 92 90 00 00 00 8D 44 24 24 50 8D 44 24 20 50 8D 44 24 34 50 8D 44 24 40 50 8D 4C 24 24 8B 54 24 10 8B C5 E8 ?? ?? ?? ?? DD 44 24 34 E8 ?? ?? ?? ?? 8B F8 8B 34 24 85 F6 0F 8E 97 00 00 00 DB 04 24 DC 4C 24 24 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 44 24 3C DB 44 24 3C DC 44 24 14 DD 5C 24 04 9B 8B C7 E8 ?? ?? ?? ?? 89 44 24 3C DB 44 24 3C DC 44 24 2C DD 5C 24 0C 9B FF 74 24 08 FF 74 24 08 FF 74 24 18 FF 74 24 18 8B C3 E8 ?? ?? ?? ?? 89 44 24 4C DB 44 24 4C DC 44 24 14 83 C4 F8 DD 1C 24 9B 8B C7 E8 ?? ?? ?? ?? 89 44 24 58 DB 44 24 58 DC 44 24 24 83 C4 F8 DD 1C 24 9B B9 00 00 00 80 33 D2 8B C5 E8 ?? ?? ?? ?? 4E 0F 85 69 FF FF FF 8B C5 E8 ?? ?? ?? ?? 83 C4 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_458_0 {
	meta:
		name = "TArrowSeries.GetArrowWidth"
		size = 10
	strings:
		$1 = { 8B 80 F8 00 00 00 8B 40 0C C3 }
	condition:
		$1
}

rule function_459_0 {
	meta:
		name = "TArrowSeries.GetArrowHeight"
		size = 10
	strings:
		$1 = { 8B 80 F8 00 00 00 8B 40 20 C3 }
	condition:
		$1
}

rule function_460_0 {
	meta:
		name = "TArrowSeries.SetArrowWidth"
		size = 12
		refs = "0007 TSeriesPointer.SetHorizSize"
	strings:
		$1 = { 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_461_0 {
	meta:
		name = "TArrowSeries.SetArrowHeight"
		size = 12
		refs = "0007 TSeriesPointer.SetVertSize"
	strings:
		$1 = { 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_462_0 {
	meta:
		name = "TArrowSeries.DrawValue"
		size = 235
		refs = "0033 TChartValueList.GetValue 0041 TChartSeries.CalcXPosValue 0060 TChartSeries.CalcYPosValue 0088 TSeriesPointer.PrepareCanvas 00ab TPen.SetColor 00b7 TArrowSeries.GetArrowWidth 00bf TArrowSeries.GetArrowHeight"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 D0 00 00 00 89 04 24 8B D6 8B C3 8B 08 FF 91 D4 00 00 00 89 44 24 04 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 8B D6 8B 83 30 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C 8B D6 8B C3 8B 08 FF 51 60 8B F8 8B 73 54 80 BE 4C 02 00 00 00 74 0F 8B D7 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? EB 21 8B AE 5C 02 00 00 8B 83 F8 00 00 00 8B 50 18 8B 45 0C 8B 08 FF 51 08 8B 45 0C 8B D7 E8 ?? ?? ?? ?? 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 D8 00 00 00 50 8D 4C 24 10 8A 96 4C 02 00 00 8B 86 5C 02 00 00 8B 18 FF 93 BC 00 00 00 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_463_0 {
	meta:
		name = "TArrowSeries.MaxXValue"
		size = 48
		refs = "0009 TChartSeries.MaxXValue 0021 MaxDouble"
		altNames = "TGanttSeries.MaxXValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 2C 01 00 00 FF 70 10 FF 70 0C E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_464_0 {
	meta:
		name = "TArrowSeries.MinXValue"
		size = 48
		refs = "0009 TChartSeries.MinXValue 0021 MinDouble"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 2C 01 00 00 FF 70 18 FF 70 14 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_465_0 {
	meta:
		name = "TArrowSeries.MaxYValue"
		size = 48
		refs = "0009 TChartSeries.MaxYValue 0021 MaxDouble"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 30 01 00 00 FF 70 10 FF 70 0C E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_466_0 {
	meta:
		name = "TArrowSeries.MinYValue"
		size = 48
		refs = "0009 TChartSeries.MinYValue 0021 MinDouble"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 30 01 00 00 FF 70 18 FF 70 14 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_467_0 {
	meta:
		name = "TArrowSeries.GetEditorClass"
		size = 48
		refs = "0006 TArrowSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 12 00 00 00 54 41 72 72 6F 77 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 }
	condition:
		$1
}

rule function_468_0 {
	meta:
		name = "TArrowSeries.GetStartXValues"
		size = 4
		altNames = "TControl.GetPopupMenu TGanttSeries.GetStartValues THorizBarSeries.MandatoryValueList"
	strings:
		$1 = { 8B 40 70 C3 }
	condition:
		$1
}

rule function_470_0 {
	meta:
		name = "TArrowSeries.GetStartYValues"
		size = 4
		altNames = "TChartSeries.MandatoryValueList TDataSetTableProducer.GetDataSet TPieSeries.GetPieValues TQueryTableProducer.GetDataSet"
	strings:
		$1 = { 8B 40 78 C3 }
	condition:
		$1
}

rule function_472_0 {
	meta:
		name = "TArrowSeries.PrepareForGallery"
		size = 51
		refs = "0006 TPointSeries.PrepareForGallery 0021 TArrowSeries.SetArrowWidth 002d TArrowSeries.SetArrowHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 8B 08 FF 91 9C 00 00 00 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_473_0 {
	meta:
		name = "TArrowSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TArrowSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1304_0 {
	meta:
		name = "TBubbleSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TBubbleSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19609_0 {
	meta:
		name = "TChartShape.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TChartShape 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15403_0 {
	meta:
		name = "TCustomProvider.FetchParams"
		size = 18
		refs = "0007 Null 000c @OleVarFromVar"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17384_0 {
	meta:
		name = "TEditAction.GetControl"
		size = 18
		refs = "0007 _Dn_TCustomEdit 000c @AsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9137_0 {
	meta:
		name = "TGanttSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TGanttSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17393_0 {
	meta:
		name = "TWindowAction.GetForm"
		size = 18
		refs = "0007 _Dn_TForm 000c @AsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_475_0 {
	meta:
		name = "ArrowCha"
		size = 114
		refs = "000b ArrowCha 0017 _DV_2 0024 TeeMsg_GalleryStandard 0029 LoadResString 0035 TeeMsg_GalleryArrow 0042 _DV_TArrowSeries 0048 RegisterTeeSeries 0062 @LStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2E 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_1307_0 {
	meta:
		name = "BubbleCh"
		size = 114
		refs = "000b BubbleCh 0017 _DV_2 0024 TeeMsg_GalleryStandard 0029 LoadResString 0035 TeeMsg_GalleryBubble 0042 _DV_TBubbleSeries 0048 RegisterTeeSeries 0062 @LStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2E 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_19617_0 {
	meta:
		name = "TeeShape"
		size = 114
		refs = "000b TeeShape 0017 _DV_2 0024 TeeMsg_GalleryStandard 0029 LoadResString 0035 TeeMsg_GalleryShape 0042 _DV_TChartShape 0048 RegisterTeeSeries 0062 @LStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2E 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_476_0 {
	meta:
		name = "TArrowSeriesEditor.CBColorEachClick"
		size = 110
		refs = "0050 TBrush.SetColor 0068 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 E0 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 F8 02 00 00 8B 08 FF 51 78 8B 83 F8 02 00 00 8A 50 2C 80 F2 01 8B 83 E4 02 00 00 8B 08 FF 51 60 8B 83 F8 02 00 00 80 78 2C 00 74 13 8B 80 F8 00 00 00 8B 40 08 BA 00 00 00 80 E8 ?? ?? ?? ?? 8B 83 E4 02 00 00 8B 10 FF 52 50 8B D0 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_477_0 {
	meta:
		name = "TArrowSeriesEditor.BArrowColorClick"
		size = 55
		refs = "0010 EditColor 0030 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 F8 02 00 00 8B 56 28 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 80 00 00 00 8B 83 E8 02 00 00 8B 80 1C 01 00 00 8B 56 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_478_0 {
	meta:
		name = "TArrowSeriesEditor.BPenClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 F8 02 00 00 8B 92 F8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_479_0 {
	meta:
		name = "TArrowSeriesEditor.BBrushClick"
		size = 21
		refs = "0010 EditChartBrush"
	strings:
		$1 = { 8B 90 F8 02 00 00 8B 92 F8 00 00 00 8B 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_480_0 {
	meta:
		name = "TArrowSeriesEditor.SEArrowWidthChange"
		size = 39
		refs = "0013 TCustomUpDown.GetPosition 0021 TArrowSeries.SetArrowWidth"
	strings:
		$1 = { 53 8B D8 80 BB F4 02 00 00 00 75 19 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_481_0 {
	meta:
		name = "TArrowSeriesEditor.SEArrowHeightChange"
		size = 39
		refs = "0013 TCustomUpDown.GetPosition 0021 TArrowSeries.SetArrowHeight"
	strings:
		$1 = { 53 8B D8 80 BB F4 02 00 00 00 75 19 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_482_0 {
	meta:
		name = "TArrowSeriesEditor.FormShow"
		size = 116
		refs = "0005 Screen 000e TScreen.SetCursor 0031 TArrowSeries.GetArrowWidth 003e TCustomUpDown.SetPosition 0045 TArrowSeries.GetArrowHeight 0066 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 F8 02 00 00 8B F0 8A 56 2C 8B 83 E0 02 00 00 8B 08 FF 91 BC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8B 83 E8 02 00 00 8B 80 1C 01 00 00 8B 56 28 E8 ?? ?? ?? ?? C6 83 F4 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_484_0 {
	meta:
		name = "TArrowSeriesEditor.FormCreate"
		size = 8
	strings:
		$1 = { C6 80 F4 02 00 00 01 C3 }
	condition:
		$1
}

rule function_487_0 {
	meta:
		name = "_NF__31E"
		size = 148
		refs = "0007 TConnectionPoint.GetConnectionInterface 0011 TConnectionPoint.GetConnectionPointContainer 001b TConnectionPoint.Advise 0025 TConnectionPoint.Unadvise 002f TConnectionPoint.EnumConnections 0046 TAggregatedObject._AddRef 0050 TAggregatedObject._Release 0054 _NF__31E"
	strings:
		$1 = { CC 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 8B 44 24 04 8B 00 FF 20 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 86 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 30 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_488_0 {
	meta:
		name = "_NF__325"
		size = 2808
		refs = "0007 TActiveXControl.ViewObjectGetExtent 0011 TActiveXControl.Draw 001b TActiveXControl.GetColorSet 0025 TActiveXControl.Freeze 002f TActiveXControl.Unfreeze 0039 TActiveXControl.SetAdvise 0043 TActiveXControl.GetAdvise 004d TComObject.QueryInterface 0057 TComObject._AddRef 0061 TComObject._Release 00e3 TActiveXControl.GetPages 0117 TActiveXControl.PreMessageFilter 0124 TActiveXControl.PostMessageFilter 0158 TActiveXControl.QuickActivate 0165 TActiveXControl.SetContentExtent 0172 TActiveXControl.GetContentExtent 01a6 TActiveXControl.InitNew 01b3 TActiveXControl.IsDirty 01c0 TActiveXControl.PersistStreamLoad 01cd TActiveXControl.PersistStreamSave 01da TActiveXControl.GetSizeMax 01e7 TActiveXControl.GetClassID 0228 TActiveXControl.PersistStorageInitNew 0235 TActiveXControl.PersistStorageLoad 0242 TActiveXControl.PersistStorageSave 024f TActiveXControl.SaveCompleted 025c TActiveXControl.HandsOffStorage 029d TActiveXControl.PersistPropBagInitNew 02aa TActiveXControl.PersistPropBagLoad 02b7 TActiveXControl.PersistPropBagSave 02f8 TActiveXControl.GetDisplayString 0305 TActiveXControl.MapPropertyToPage 0312 TActiveXControl.GetPredefinedStrings 031f TActiveXControl.GetPredefinedValue 0353 TActiveXControl.SetClientSite 0360 TActiveXControl.GetClientSite 036d TActiveXControl.SetHostNames 037a TActiveXControl.Close 0387 TActiveXControl.SetMoniker 0394 TActiveXControl.GetMoniker 03a1 TActiveXControl.InitFromData 03ae TActiveXControl.GetClipboardData 03bb TActiveXControl.DoVerb 03c8 TActiveXControl.EnumVerbs 03d5 TActiveXControl.Update 03e2 TActiveXControl.IsUpToDate 03ef TActiveXControl.GetUserClassID 03fc TActiveXControl.GetUserType 0409 TActiveXControl.SetExtent 0416 TActiveXControl.GetExtent 0423 TActiveXControl.Advise 0430 TActiveXControl.Unadvise 043d TActiveXControl.EnumAdvise 044a TActiveXControl.GetMiscStatus 0457 TActiveXControl.SetColorScheme 048b TActiveXControl.InPlaceDeactivate 0498 TActiveXControl.UIDeactivate 04a5 TActiveXControl.SetObjectRects 04b2 TActiveXControl.ReactivateAndUndo 04bf TActiveXControl.GetWindow 04cc TActiveXControl.ContextSensitiveHelp 0500 TActiveXControl.TranslateAccelerator 050d TActiveXControl.OnFrameWindowActivate 051a TActiveXControl.OnDocWindowActivate 0527 TActiveXControl.ResizeBorder 0534 TActiveXControl.EnableModeless 0582 TActiveXControl.GetControlInfo 058f TActiveXControl.OnMnemonic 059c TActiveXControl.OnAmbientPropertyChange 05a9 TActiveXControl.FreezeEvents 0626 TActiveXControl.GetData 0633 TActiveXControl.GetDataHere 0640 TActiveXControl.QueryGetData 064d TActiveXControl.GetCanonicalFormatEtc 065a TActiveXControl.SetData 0667 TActiveXControl.EnumFormatEtc 0674 TActiveXControl.DAdvise 0681 TActiveXControl.DUnadvise 068e TActiveXControl.EnumDAdvise 06c8 TConnectionPoints.EnumConnectionPoints 06db TConnectionPoints.FindConnectionPoint 0708 _NF__325"
	strings:
		$1 = { CC 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 83 44 24 04 80 E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 7C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 78 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 78 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 78 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 78 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 74 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 74 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 74 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 74 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 74 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 70 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 70 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 70 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 70 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 70 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 70 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 6C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 64 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 64 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 64 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 64 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 64 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 64 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 64 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 60 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 60 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 60 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 60 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 60 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 60 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 60 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 5C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 58 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 54 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 50 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 50 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 50 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 50 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 50 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 50 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 50 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 4C FF FF FF 8B 44 24 04 8B 00 FF 60 24 81 44 24 04 4C FF FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 4C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 4C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 4C FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 48 FF FF FF E9 ?? ?? ?? ?? 8B 44 24 04 8B 80 78 FF FF FF 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 80 78 FF FF FF 89 44 24 04 E9 ?? ?? ?? ?? 81 44 24 04 44 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 44 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 44 FF FF FF E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 10 00 00 00 27 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 80 00 00 00 00 00 00 00 0D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 84 00 00 00 00 00 00 00 8B B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 88 00 00 00 00 00 00 00 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB ?? ?? ?? ?? 8C 00 00 00 00 00 00 00 10 ED 51 CF FE 62 CF 11 BF 86 00 A0 C9 03 48 36 ?? ?? ?? ?? 90 00 00 00 00 00 00 00 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 ?? ?? ?? ?? 94 00 00 00 00 00 00 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 98 00 00 00 00 00 00 00 60 4F D8 37 CB 42 CE 11 81 35 00 AA 00 4B B8 51 ?? ?? ?? ?? 9C 00 00 00 00 00 00 00 AA D3 6B 37 45 38 1B 10 84 ED 08 00 2B 2E C7 13 ?? ?? ?? ?? A0 00 00 00 00 00 00 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? A4 00 00 00 00 00 00 00 13 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? A8 00 00 00 00 00 00 00 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? AC 00 00 00 00 00 00 00 88 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? B0 00 00 00 00 00 00 00 81 DC 5B CB C1 93 CF 11 8F 20 00 80 5F 2C D0 64 ?? ?? ?? ?? B4 00 00 00 00 00 00 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? B8 00 00 00 00 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? BC 00 00 00 34 00 00 FF }
	condition:
		$1
}

rule function_489_0 {
	meta:
		name = "_NF__32B"
		size = 202
		refs = "005a TActiveFormControl.FreeOnRelease 0067 TComObject.QueryInterface 0074 TComObject._AddRef 0081 TComObject._Release 0086 _NF__32B"
	strings:
		$1 = { CC 81 44 24 04 40 FF FF FF 8B 44 24 04 8B 00 FF 60 18 81 44 24 04 40 FF FF FF 8B 44 24 04 8B 00 FF 60 14 81 44 24 04 40 FF FF FF 8B 44 24 04 8B 00 FF 60 10 81 44 24 04 40 FF FF FF 8B 44 24 04 8B 00 FF 60 1C 05 40 FF FF FF 50 8B 00 8B 40 E0 87 04 24 C3 05 40 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 40 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 40 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 40 FF FF FF E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 ?? ?? ?? ?? C0 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_490_0 {
	meta:
		name = "_NF__336"
		size = 302
		refs = "0007 TPropertyPageImpl.EditProperty 0011 TPropertyPageImpl.SetPageSite 001b TPropertyPageImpl.Activate 0025 TPropertyPageImpl.Deactivate 002f TPropertyPageImpl.GetPageInfo 0039 TPropertyPageImpl.SetObjects 0043 TPropertyPageImpl.Show 004d TPropertyPageImpl.Move 0057 TPropertyPageImpl.IsPageDirty 0061 TPropertyPageImpl.Apply 006b TPropertyPageImpl.Help 0075 TPropertyPageImpl.TranslateAccelerator 007f TAggregatedObject.QueryInterface 0089 TAggregatedObject._AddRef 0093 TAggregatedObject._Release 009a _NF__336"
	strings:
		$1 = { CC 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 00 00 65 46 E4 01 AC 24 1B 10 84 ED 08 00 2B 2E C7 13 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 8D B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14198_0 {
	meta:
		name = "_NF__28B"
		size = 201
		refs = "0007 TOleUILinkInfo.GetLastUpdate 0011 TOleUILinkInfo.GetNextLink 001b TOleUILinkInfo.SetLinkUpdateOptions 0025 TOleUILinkInfo.GetLinkUpdateOptions 002f TOleUILinkInfo.SetLinkSource 0039 TOleUILinkInfo.GetLinkSource 0043 TOleUILinkInfo.OpenLinkSource 004d TOleUILinkInfo.UpdateLink 0057 TOleUILinkInfo.CancelLink 0061 TInterfacedObject.QueryInterface 006b TInterfacedObject._AddRef 0075 TInterfacedObject._Release 0079 _NF__28B"
	strings:
		$1 = { CC 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_491_0 {
	meta:
		name = "_NF__339"
		size = 641
		refs = "000d TPropertyPageImpl.EditProperty 001d TPropertyPageImpl.SetPageSite 002d TPropertyPageImpl.Activate 003d TPropertyPageImpl.Deactivate 004d TPropertyPageImpl.GetPageInfo 005d TPropertyPageImpl.SetObjects 006d TPropertyPageImpl.Show 007d TPropertyPageImpl.Move 008d TPropertyPageImpl.IsPageDirty 009d TPropertyPageImpl.Apply 00ad TPropertyPageImpl.Help 00bd TPropertyPageImpl.TranslateAccelerator 00cd TAggregatedObject.QueryInterface 00dd TAggregatedObject._AddRef 00ed TAggregatedObject._Release 01d1 _NF__339"
	strings:
		$1 = { CC 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 FC 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? 8B 44 24 04 8B 40 F8 89 44 24 04 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 65 46 E4 01 AC 24 1B 10 84 ED 08 00 2B 2E C7 13 ?? ?? ?? ?? 24 00 00 00 20 00 00 FF 8D B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 28 00 00 00 20 00 00 FF }
	condition:
		$1
}

rule function_493_0 {
	meta:
		name = "_NF__342"
		size = 106
		refs = "0007 TAdapterNotifier.OnChanged 0011 TAdapterNotifier.OnRequestEdit 001b TInterfacedObject.QueryInterface 0025 TInterfacedObject._AddRef 002f TInterfacedObject._Release 0036 _NF__342"
	strings:
		$1 = { CC 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_494_0 {
	meta:
		name = "_NF__346"
		size = 185
		refs = "0005 TFontAdapter.GetOleFont 000d TFontAdapter.SetOleFont 0017 TInterfacedObject.QueryInterface 0021 TInterfacedObject._AddRef 002b TInterfacedObject._Release 0059 _NF__346"
	strings:
		$1 = { CC 83 C0 E0 E9 ?? ?? ?? ?? 83 C0 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 C0 DC 50 8B 00 8B 00 87 04 24 C3 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 A0 5C A5 CB 57 0E D0 11 BD 2F 00 20 AF 0E 5B 81 ?? ?? ?? ?? 20 00 00 00 00 00 00 00 21 23 B6 1F A7 44 D0 11 9E 93 00 20 AF 3D 82 DA ?? ?? ?? ?? 24 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_495_0 {
	meta:
		name = "_NF__34A"
		size = 186
		refs = "0005 TPictureAdapter.GetOlePicture 000d TPictureAdapter.SetOlePicture 0017 TInterfacedObject.QueryInterface 0021 TInterfacedObject._AddRef 002b TInterfacedObject._Release 005a _NF__34A"
	strings:
		$1 = { CC 83 C0 E0 E9 ?? ?? ?? ?? 83 C0 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 C0 DC 50 8B 00 8B 00 87 04 24 C3 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 31 4D 5D 79 D7 43 D0 11 9E 92 00 20 AF 3D 82 DA ?? ?? ?? ?? 20 00 00 00 00 00 00 00 21 23 B6 1F A7 44 D0 11 9E 93 00 20 AF 3D 82 DA ?? ?? ?? ?? 24 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_496_0 {
	meta:
		name = "_NF__34F"
		size = 352
		refs = "0005 TStringsAdapter.ReferenceStrings 000d TStringsAdapter.ReleaseStrings 0017 TInterfacedObject.QueryInterface 0021 TInterfacedObject._AddRef 002b TInterfacedObject._Release 0035 TStringsAdapter.Get_ControlDefault 003f TStringsAdapter.Set_ControlDefault 0049 TStringsAdapter.Count 0053 TStringsAdapter.Get_Item 005d TStringsAdapter.Set_Item 0067 TStringsAdapter.Remove 0071 TStringsAdapter.Clear 007b TStringsAdapter.Add 0085 TStringsAdapter._NewEnum 008f TAutoIntfObject.GetTypeInfoCount 0099 TAutoIntfObject.GetTypeInfo 00a3 TAutoIntfObject.GetIDsOfNames 00ad TAutoIntfObject.Invoke 00d0 _NF__34F"
	strings:
		$1 = { CC 83 C0 D0 E9 ?? ?? ?? ?? 83 C0 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 34 2F 9C 73 EC 52 D0 11 9E A6 00 20 AF 3D 82 DA ?? ?? ?? ?? 30 00 00 00 00 00 00 00 E2 DF 05 EE 49 55 D0 11 9E A9 00 20 AF 3D 82 DA ?? ?? ?? ?? 34 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_497_0 {
	meta:
		name = "ParkingWindowProc"
		size = 133
		refs = "006d SendMessage 007b DefWindowProc"
	strings:
		$1 = { 55 8B EC 53 56 8B 55 14 8B 4D 10 8B 45 0C 8B D8 83 C3 D5 83 EB 03 72 0D 83 EB 0B 74 08 81 EB D8 00 00 00 75 4E 8B D8 83 FB 2D 7F 0C 74 1E 83 EB 2B 74 1E 4B 74 20 EB 27 83 EB 39 74 0A 81 EB D8 00 00 00 74 16 EB 18 8B 72 04 EB 17 8B 72 04 EB 12 8B 72 04 EB 0D 8B 72 04 EB 08 8B F2 EB 04 33 C0 EB 1C 52 51 05 00 20 00 00 50 56 E8 ?? ?? ?? ?? EB 0C 52 51 50 8B 45 08 50 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_498_0 {
	meta:
		name = "ParkingWindow"
		size = 312
		refs = "0010 ParkingWindow 001c xParkingWindow 0033 @FillChar 0041 HInstance 0049 GetClassInfo 005e ParkingWindowProc 006f RegisterClass 007c SWindowClass 0081 LoadResString 008b _Dn_EOutOfResources 0090 Exception.Create 0095 @RaiseExcept 00ae GetSystemMetrics 00da CreateWindowEx 00f6 SetWindowPos 0111 @LStrClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 C0 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 85 DB 0F 85 D8 00 00 00 8D 45 D8 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 48 A1 ?? ?? ?? ?? 8B 00 89 45 E8 C7 45 DC ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 FC 8D 45 D8 50 E8 ?? ?? ?? ?? 66 85 C0 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 68 00 00 00 80 6A 00 8B 45 FC 50 68 80 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 5C 6A 00 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 44 41 58 50 61 72 6B 69 6E 67 57 69 6E 64 6F 77 00 00 00 00 }
	condition:
		$1
}

rule function_499_0 {
	meta:
		name = "HandleException"
		size = 43
		refs = "0002 ExceptObject 000c _Dn_EOleSysError 0011 @IsClass"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 83 7B 0C 00 7D 05 8B 43 0C 5B C3 B8 FF FF 00 80 5B C3 }
	condition:
		$1
}

rule function_500_0 {
	meta:
		name = "FreeObjects"
		size = 36
		refs = "0012 TList.Get 0017 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 5E 08 4B 83 FB 00 7C 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EC 5E 5B C3 }
	condition:
		$1
}

rule function_501_0 {
	meta:
		name = "FreeObjectList"
		size = 23
		refs = "000a FreeObjects 0011 TObject.Free"
	strings:
		$1 = { 53 8B D8 85 DB 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_502_0 {
	meta:
		name = "CoAllocMem"
		size = 42
		refs = "0006 CoTaskMemAlloc 0016 OleError 0021 @FillChar"
	strings:
		$1 = { 53 56 8B F0 56 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0A B8 0E 00 07 80 E8 ?? ?? ?? ?? 8B C3 33 C9 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_503_0 {
	meta:
		name = "CoFreeMem"
		size = 11
		refs = "0006 CoTaskMemFree"
	strings:
		$1 = { 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_504_0 {
	meta:
		name = "CoAllocString"
		size = 108
		refs = "000d CoAllocString 001d @WStrFromLStr 0025 @WStrLen 0031 CoAllocMem 003b @WStrToPWChar 0044 Move 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 40 8B D8 03 DB 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_505_0 {
	meta:
		name = "GetDispatchPropValue"
		size = 158
		refs = "0013 @IntfAddRef 001c tagEXCEPINFO 0021 @InitializeRecord 0029 GetDispatchPropValue 003e @FillChar 0052 GUID_NULL 0069 DispatchInvokeError 0084 @FinalizeRecord 008c @IntfClear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 56 8D 45 CC 50 6A 02 6A 00 A1 ?? ?? ?? ?? 50 53 8B 45 FC 50 8B 00 FF 50 18 85 C0 74 08 8D 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_506_0 {
	meta:
		name = "SetDispatchPropValue"
		size = 168
		refs = "0013 @IntfAddRef 001c tagEXCEPINFO 0021 @InitializeRecord 0029 SetDispatchPropValue 0039 DispIDArgs 005c GUID_NULL 0073 DispatchInvokeError 008e @FinalizeRecord 0096 @IntfClear 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 CC C7 45 D0 ?? ?? ?? ?? C7 45 D4 01 00 00 00 C7 45 D8 01 00 00 00 6A 00 8D 45 DC 50 6A 00 8D 45 CC 50 6A 04 6A 00 A1 ?? ?? ?? ?? 50 53 8B 45 FC 50 8B 00 FF 50 18 85 C0 74 08 8D 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_507_0 {
	meta:
		name = "SaveName"
		size = 141
		refs = "000f SaveName 0031 OleCheck 0040 TStrings.IndexOfObject 004e @LStrFromWStr 0073 @LStrClr 007b @WStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 FC 50 53 8B 45 08 8B 40 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B F3 8B D6 E8 ?? ?? ?? ?? 40 75 1B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 08 8B CE 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_508_0 {
	meta:
		name = "IsPropType"
		size = 332
		refs = "0015 IsPropType 0020 GUID_NULL 002d IsEqualGUID 0080 @IntfClear 008f OleCheck 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8B 45 08 83 C0 EC 50 E8 ?? ?? ?? ?? 84 C0 74 09 8B 55 08 83 7A E8 00 74 04 33 D2 EB 02 B2 01 88 55 FF 80 7D FF 00 0F 85 D5 00 00 00 66 8B 53 04 66 83 EA 1A 74 0B 66 83 EA 03 74 1B E9 A7 00 00 00 8B 45 08 50 8B 13 8B C6 E8 ?? ?? ?? ?? 59 88 45 FF E9 AA 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 03 50 56 8B 06 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 EC 50 8B 45 F4 50 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 75 1F 8B 45 F4 83 78 28 06 75 16 8B 45 08 50 8B 45 F4 8D 50 3C 8B 45 F8 E8 ?? ?? ?? ?? 59 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 84 C0 74 0C 0F B7 43 04 8B 55 08 3B 42 E8 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_509_0 {
	meta:
		name = "HasMember"
		size = 148
		refs = "002f OleCheck 0037 HasMember 0059 @TryFinallyExit 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 45 FC 4A 85 D2 7C 77 42 89 55 EC C7 45 F4 00 00 00 00 8D 45 F0 50 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 00 3B 45 F8 75 14 8B 45 F0 8B 40 10 23 45 08 74 09 B3 01 E8 ?? ?? ?? ?? EB 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D EC 75 94 33 DB 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_510_0 {
	meta:
		name = "EnumDispatchProperties"
		size = 595
		refs = "0026 @IntfAddRef 002e EnumDispatchProperties 003c @IntfClear 004f OleCheck 00d0 IsPropType 00e0 SaveName 0101 @HandleFinally 0169 HasMember"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D E8 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 E4 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 C8 01 00 00 8D 45 DC 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 0F B7 40 2E 48 85 C0 0F 8C 82 00 00 00 40 89 45 D0 C7 45 E0 00 00 00 00 8D 45 D4 50 8B 45 E0 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 F6 40 1C 01 74 20 55 8B 45 D4 8D 50 0C 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 0C 55 8B 45 D4 8B 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 8B 45 FC 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 E0 FF 4D D0 75 89 8B 45 DC 0F B7 40 2C 48 85 C0 0F 8C E4 00 00 00 40 89 45 D0 C7 45 E0 00 00 00 00 8D 45 D8 50 8B 45 E0 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 83 78 10 02 75 2E 6A 0C 8B 45 D8 8B 08 8B 45 DC 0F B7 50 2C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 55 8B 45 D8 8D 50 20 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 75 44 8B 45 D8 F6 40 10 0C 74 47 6A 02 8B 45 D8 8B 08 8B 45 DC 0F B7 50 2C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 55 8B 45 D8 0F BF 40 18 03 C0 8B 55 D8 8B 52 08 8D 54 C2 F0 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 0C 55 8B 45 D8 8B 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 E0 FF 4D D0 0F 85 27 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_511_0 {
	meta:
		name = "GetFontAccess"
		size = 80
		refs = "0011 _DV_TFontAdapter 0016 TFontAdapter.Create 0027 @IntfCopy 0031 GetFontAccess 0036 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 1C 00 75 1F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA DC 8D 43 1C E8 ?? ?? ?? ?? 8B C6 8B 53 1C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 A0 5C A5 CB 57 0E D0 11 BD 2F 00 20 AF 0E 5B 81 }
	condition:
		$1
}

rule function_512_0 {
	meta:
		name = "GetPictureAccess"
		size = 80
		refs = "0011 _DV_TPictureAdapter 0016 TPictureAdapter.Create 0027 @IntfCopy 0031 GetPictureAccess 0036 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 75 1F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA DC 8D 43 10 E8 ?? ?? ?? ?? 8B C6 8B 53 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 31 4D 5D 79 D7 43 D0 11 9E 92 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_513_0 {
	meta:
		name = "GetOleFont"
		size = 79
		refs = "000f GetOleFont 001f GetFontAccess 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_515_0 {
	meta:
		name = "GetOlePicture"
		size = 79
		refs = "000f GetOlePicture 001f GetPictureAccess 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_514_0 {
	meta:
		name = "SetOleFont"
		size = 102
		refs = "0015 @IntfAddRef 001d SetOleFont 002d GetFontAccess 004d @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_516_0 {
	meta:
		name = "SetOlePicture"
		size = 102
		refs = "0015 @IntfAddRef 001d SetOlePicture 002d GetPictureAccess 004d @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_517_0 {
	meta:
		name = "GetKeyModifiers"
		size = 54
		refs = "0006 GetKeyState"
	strings:
		$1 = { 53 33 DB 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 05 BB 01 00 00 00 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 03 83 CB 02 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 03 83 CB 04 8B C3 5B C3 }
	condition:
		$1
}

rule function_518_0 {
	meta:
		name = "GetEventShift"
		size = 23
		refs = "0011 ShiftMap"
	strings:
		$1 = { 51 88 04 24 8A 04 24 24 07 25 FF 00 00 00 0F B6 80 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_519_0 {
	meta:
		name = "GetEventButton"
		size = 10
	strings:
		$1 = { 8B C8 B8 01 00 00 00 D3 E0 C3 }
	condition:
		$1
}

rule function_520_0 {
	meta:
		name = "TOleStream.Create"
		size = 58
		refs = "000b @ClassCreate 001b @IntfCopy 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18563_0 {
	meta:
		name = "Exception.Create"
		size = 58
		refs = "000b @ClassCreate 001b @LStrAsg 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11374_0 {
	meta:
		name = "TCustomIniFile.Create"
		size = 58
		refs = "000b @ClassCreate 001b @LStrAsg 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_521_0 {
	meta:
		name = "TOleStream.Read"
		size = 35
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 57 56 8B 43 04 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_522_0 {
	meta:
		name = "TOleStream.Seek"
		size = 45
		refs = "0020 OleCheck"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 0F B7 C7 50 8B C6 99 52 50 8B 43 04 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_523_0 {
	meta:
		name = "TOleStream.Write"
		size = 35
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 57 56 8B 43 04 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_524_0 {
	meta:
		name = "TAggregatedObject.GetController"
		size = 19
		refs = "000c @IntfCopy"
		altNames = "TComObject.GetController TConnectionPoints.GetController TOleStream.GetIStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4660_0 {
	meta:
		name = "ECorbaException.GetMessage"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_525_0 {
	meta:
		name = "_NF__3D4"
		size = 137
		refs = "0007 TEnumConnections.Next 0011 TEnumConnections.Skip 001b TEnumConnections.Reset 0025 TEnumConnections.Clone 003c TAggregatedObject._AddRef 0046 TAggregatedObject._Release 004d _NF__3D4"
	strings:
		$1 = { CC 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 8B 44 24 04 8B 00 FF 20 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 87 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 18 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_526_0 {
	meta:
		name = "TEnumConnections.Create"
		size = 140
		refs = "0010 @ClassCreate 001e TEnumConnections.Create 002e TAggregatedObject.GetController 003a TAggregatedObject.Create 0061 @IntfClear 0067 @HandleFinally 0074 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 08 89 47 10 8B 46 20 8B 40 08 89 47 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_527_0 {
	meta:
		name = "TEnumConnections.Next"
		size = 114
		refs = "001b TList.Get 0034 @IntfCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 5D 08 33 F6 EB 33 8B 43 0C 8B 40 20 8B 53 10 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 19 33 C0 89 04 F7 8D 04 F7 8B 55 FC E8 ?? ?? ?? ?? 8B 43 10 40 89 44 F7 04 46 FF 43 10 3B 75 0C 7D 08 8B 43 10 3B 43 14 7C C0 83 7D 14 00 74 05 8B 45 14 89 30 3B 75 0C 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_528_0 {
	meta:
		name = "TEnumConnections.Skip"
		size = 68
		refs = "001d TList.Get"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 BF 01 00 00 00 EB 16 8B 43 0C 8B 40 20 8B 53 10 E8 ?? ?? ?? ?? 85 C0 74 01 4E FF 43 10 85 F6 7E 08 8B 43 10 3B 43 14 7C DE 85 F6 75 02 33 FF 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_529_0 {
	meta:
		name = "TEnumConnectionPoints.Reset"
		size = 17
		altNames = "TEnumConnections.Reset"
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 10 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_530_0 {
	meta:
		name = "TEnumConnections.Clone"
		size = 106
		refs = "0018 TEnumConnections.Clone 002c _DV_TEnumConnections 0031 TEnumConnections.Create 0042 @IntfCopy 0053 @HandleAnyException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 50 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_531_0 {
	meta:
		name = "TConnectionPoint.Create"
		size = 134
		refs = "000f @ClassCreate 0022 TAggregatedObject.Create 0031 TList.Add 0038 _Dn_TList 003d TObject.Create 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 4E 04 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B 40 08 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B 45 14 8B F0 8D 7B 10 B9 04 00 00 00 F3 A5 8A 45 10 88 43 2C 8B 45 08 89 43 24 8B 45 0C 89 43 28 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_532_0 {
	meta:
		name = "TConnectionPoint.Destroy"
		size = 111
		refs = "0005 @BeforeDestruction 001a TList.Remove 0036 TList.Get 0043 TConnectionPoint.RemoveSink 004f TObject.Free 005b TObject.Destroy 0066 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C 85 C0 74 0A 8B 40 08 8B D5 E8 ?? ?? ?? ?? 8B 45 20 85 C0 74 2E 8B 78 08 4F 85 FF 7C 1E 47 33 F6 8B D6 8B 45 20 E8 ?? ?? ?? ?? 85 C0 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 46 4F 75 E5 8B 45 20 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_533_0 {
	meta:
		name = "TConnectionPoint.AddSink"
		size = 74
		refs = "0011 TList.Get 002d TList.Add 0038 TList.Put"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 33 DB EB 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 85 C0 74 09 43 8B 7E 20 3B 5F 08 7C EA 8B 46 20 3B 58 08 7C 09 8B D5 E8 ?? ?? ?? ?? EB 09 8B CD 8B D3 E8 ?? ?? ?? ?? 55 8B 45 00 FF 50 04 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_534_0 {
	meta:
		name = "TConnectionPoint.RemoveSink"
		size = 49
		refs = "0010 TList.Get 001f TList.Put"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 89 45 FC 33 C9 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 08 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_535_0 {
	meta:
		name = "TConnectionPoint.GetConnectionInterface"
		size = 31
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 8B 55 0C 8B FA 8D 70 10 B9 04 00 00 00 F3 A5 33 C0 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_536_0 {
	meta:
		name = "TConnectionPoint.GetConnectionPointContainer"
		size = 60
		refs = "001c TConnectionPoint.GetConnectionPointContainer 0021 @IntfCast"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 0C 8B 52 04 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_537_0 {
	meta:
		name = "TConnectionPoint.Advise"
		size = 132
		refs = "0021 TList.Get 0034 TConnectionPoint.Advise 0054 TConnectionPoint.AddSink 006b @HandleAnyException 0070 HandleException 0077 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 80 7B 2C 00 75 1E 8B 43 20 83 78 08 00 7E 15 8B 43 20 33 D2 E8 ?? ?? ?? ?? 85 C0 74 07 BB 02 02 04 80 EB 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 26 00 74 0A B1 01 8B D6 8B 43 28 FF 53 24 8B D6 8B C3 E8 ?? ?? ?? ?? 40 8B 55 10 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_538_0 {
	meta:
		name = "TConnectionPoint.Unadvise"
		size = 134
		refs = "001f TList.Get 0032 TConnectionPoint.Unadvise 005c TConnectionPoint.RemoveSink 006d @HandleAnyException 0072 HandleException 0079 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 4E 85 F6 7C 16 8B 43 20 3B 70 08 7D 0E 8B 43 20 8B D6 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 02 04 80 EB 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 26 00 74 14 8B 43 20 8B D6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 28 FF 53 24 8B D6 8B C3 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_539_0 {
	meta:
		name = "TConnectionPoint.EnumConnections"
		size = 105
		refs = "0018 TConnectionPoint.EnumConnections 0029 _DV_TEnumConnections 002e TEnumConnections.Create 003f @IntfCopy 0050 @HandleAnyException 0055 HandleException 005c @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_540_0 {
	meta:
		name = "_NF__419"
		size = 135
		refs = "0007 TEnumConnectionPoints.Next 0011 TEnumConnectionPoints.Skip 001b TEnumConnectionPoints.Reset 0025 TEnumConnectionPoints.Clone 003c TAggregatedObject._AddRef 0046 TAggregatedObject._Release 004b _NF__419"
	strings:
		$1 = { CC 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC 8B 44 24 04 8B 00 FF 20 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 85 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_541_0 {
	meta:
		name = "TEnumConnectionPoints.Create"
		size = 78
		refs = "000e @ClassCreate 0023 TAggregatedObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 47 0C 8B 48 04 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_542_0 {
	meta:
		name = "TEnumConnectionPoints.Next"
		size = 113
		refs = "001b TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 0C 8B 5D 08 33 F6 EB 2E 8B 43 0C 8B 40 08 8B 53 10 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 D0 89 45 FC 8B 45 FC 50 8B 00 FF 50 04 8B 45 10 8B 55 FC 89 14 B0 46 FF 43 10 3B FE 7E 0E 8B 43 0C 8B 40 08 8B 40 08 3B 43 10 7F C0 83 7D 14 00 74 05 8B 45 14 89 30 3B FE 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_543_0 {
	meta:
		name = "TEnumConnectionPoints.Skip"
		size = 48
	strings:
		$1 = { 55 8B EC 53 8B 55 0C 8B 45 08 8B 48 0C 8B 49 08 8B 49 08 8B 58 10 03 DA 3B CB 7C 07 01 50 10 33 C0 EB 08 89 48 10 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_545_0 {
	meta:
		name = "TEnumConnectionPoints.Clone"
		size = 106
		refs = "0018 TEnumConnectionPoints.Clone 002c _DV_TEnumConnectionPoints 0031 TEnumConnectionPoints.Create 0042 @IntfCopy 0053 @HandleAnyException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 50 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_546_0 {
	meta:
		name = "TConnectionPoints.Create"
		size = 62
		refs = "000a @ClassCreate 0018 _Dn_TList 001d TObject.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1795_0 {
	meta:
		name = "TCollection.Create"
		size = 62
		refs = "000a @ClassCreate 0018 _DV_TList 001d TObject.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_547_0 {
	meta:
		name = "TConnectionPoints.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f FreeObjectList 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19558_0 {
	meta:
		name = "TChartFontObject.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19045_0 {
	meta:
		name = "TChartValueList.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3835_0 {
	meta:
		name = "TComClassManager.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11684_0 {
	meta:
		name = "TJPEGData.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15929_0 {
	meta:
		name = "TQREvElementFunction.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16009_0 {
	meta:
		name = "TQREvEmbeddedFunction.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16744_0 {
	meta:
		name = "TRegistryIniFile.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_548_0 {
	meta:
		name = "TConnectionPoints.CreateConnectionPoint"
		size = 31
		refs = "000d _DV_TConnectionPoint 0017 TConnectionPoint.Create"
	strings:
		$1 = { 55 8B EC 52 51 FF 75 0C FF 75 08 8B 15 ?? ?? ?? ?? B1 01 92 87 CA E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_549_0 {
	meta:
		name = "TConnectionPoints.EnumConnectionPoints"
		size = 103
		refs = "0018 TConnectionPoints.EnumConnectionPoints 0029 _DV_TEnumConnectionPoints 002e TEnumConnectionPoints.Create 003f @IntfCopy 0050 @HandleAnyException 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_550_0 {
	meta:
		name = "TConnectionPoints.FindConnectionPoint"
		size = 103
		refs = "002b TList.Get 003a IsEqualGUID 004f @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 08 8B 40 08 8B 70 08 4E 85 F6 7C 3C 46 33 FF 8B 45 08 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 45 0C 50 8D 43 10 50 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 10 8B D3 85 D2 74 03 83 EA D0 E8 ?? ?? ?? ?? 33 C0 EB 09 47 4E 75 C7 B8 00 02 04 80 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_552_0 {
	meta:
		name = "TReflectorWindow.Create"
		size = 222
		refs = "000f @ClassCreate 001f TWinControl.CreateParented 003d TReflectorWindow.Create 008e @HandleFinally 00c6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 08 89 90 EC 01 00 00 8B 45 FC C6 80 F0 01 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 EC 01 00 00 8B 55 FC 8B 08 FF 51 64 8B 45 FC 8B 80 EC 01 00 00 8B 50 38 52 8B 50 3C 52 33 C9 33 D2 8B 18 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F0 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 EC 01 00 00 8B 50 38 52 8B 40 3C 50 8B 45 FC 8B 48 34 8B 45 FC 8B 50 30 8B 45 FC 8B 18 FF 93 80 00 00 00 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_553_0 {
	meta:
		name = "TReflectorWindow.WMGetDlgCode"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 EC 01 00 00 8B 08 FF 51 70 5E C3 }
	condition:
		$1
}

rule function_554_0 {
	meta:
		name = "TReflectorWindow.WMSetFocus"
		size = 58
		refs = "0011 _Dn_TWinControl 0016 @IsClass 0021 TWinControl.GetHandle 0027 SetFocus 0032 TWinControl.WMSetFocus"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 EC 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_555_0 {
	meta:
		name = "TReflectorWindow.WMSize"
		size = 177
		refs = "002b TReflectorWindow.WMSize 009b @HandleFinally 00a8 TWinControl.WMSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 80 B8 F0 01 00 00 00 0F 85 84 00 00 00 8B 45 FC C6 80 F0 01 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B7 40 08 50 8B 45 F8 0F B7 40 0A 50 8B 45 FC 8B 80 EC 01 00 00 33 C9 33 D2 8B 18 FF 93 80 00 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 50 38 52 8B 40 3C 50 8B 45 FC 8B 48 34 8B 45 FC 8B 50 30 8B 45 FC 8B 18 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F0 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_556_0 {
	meta:
		name = "_NF__45E"
		size = 257
		refs = "0007 TOleLinkStub.SetUpdateOptions 0011 TOleLinkStub.GetUpdateOptions 001b TOleLinkStub.SetSourceMoniker 0025 TOleLinkStub.GetSourceMoniker 002f TOleLinkStub.SetSourceDisplayName 0039 TOleLinkStub.GetSourceDisplayName 0043 TOleLinkStub.BindToSource 004d TOleLinkStub.BindIfRunning 0057 TOleLinkStub.GetBoundSource 0061 TOleLinkStub.UnbindSource 006b TOleLinkStub.Update 0075 TOleLinkStub.QueryInterface 007f TInterfacedObject._AddRef 0089 TInterfacedObject._Release 008d _NF__45E"
	strings:
		$1 = { CC 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_557_0 {
	meta:
		name = "TOleLinkStub.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TOleLinkStub.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_558_0 {
	meta:
		name = "TOleLinkStub.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TObject.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13019_0 {
	meta:
		name = "TDecisionGraphDataLink.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TDecisionDataLink.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13092_0 {
	meta:
		name = "TDecisionGridDataLink.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TDecisionDataLink.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10108_0 {
	meta:
		name = "TId3To4Coder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TIdCoder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10120_0 {
	meta:
		name = "TIdBase64Decoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TId3To4Coder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10115_0 {
	meta:
		name = "TIdBase64Encoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TId3To4Coder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10211_0 {
	meta:
		name = "TIdDateTimeStamp.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TComponent.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10157_0 {
	meta:
		name = "TIdIMFUUDecoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TIdIMFDecoder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10192_0 {
	meta:
		name = "TIdQuotedPrintableDecoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TIdCoder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10185_0 {
	meta:
		name = "TIdQuotedPrintableEncoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TIdCoder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10131_0 {
	meta:
		name = "TIdUUDecoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TId3To4Coder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10124_0 {
	meta:
		name = "TIdUUEncoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TId3To4Coder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10140_0 {
	meta:
		name = "TIdXXDecoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TIdUUDecoder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10138_0 {
	meta:
		name = "TIdXXEncoder.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TIdUUEncoder.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13321_0 {
	meta:
		name = "TMultiDimDataLink.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TDataLink.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13782_0 {
	meta:
		name = "TNMURL.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TComponent.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13145_0 {
	meta:
		name = "TPivotDataLink.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TDecisionDataLink.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16610_0 {
	meta:
		name = "TQuickRep.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TCustomQuickRep.Destroy 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_559_0 {
	meta:
		name = "TOleLinkStub.QueryInterface"
		size = 26
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_560_0 {
	meta:
		name = "TActiveXControl.ContextSensitiveHelp"
		size = 12
		altNames = "TActiveXControl.GetSizeMax TActiveXControl.QueryGetData TActiveXControl.SetColorScheme TActiveXControl.Unfreeze TCorbaDispatchStub.GetTypeInfoCount TOleControl.LockInPlaceActive TOleControl.OnFocus TOleControl.SetBorderSpace TOleLinkStub.GetUpdateOptions TOleLinkStub.SetSourceDisplayName TOleLinkStub.SetUpdateOptions TOleLinkStub.Update TPropertyPageImpl.EditProperty TPropertyPageImpl.Help"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_562_0 {
	meta:
		name = "TActiveXControl.GetCanonicalFormatEtc"
		size = 12
		altNames = "TActiveXControl.GetDataHere TActiveXControl.SetMoniker TOleContainer.ConvertObject TOleContainer.Scroll TOleControl.OleControlSite_TranslateAccelerator TOleControl.Scroll TOleLinkStub.BindToSource TOleLinkStub.SetSourceMoniker"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_563_0 {
	meta:
		name = "TOleControl.GetExtendedControl"
		size = 23
		altNames = "TOleLinkStub.GetBoundSource TOleLinkStub.GetSourceMoniker TStreamAdapter.Clone"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_565_0 {
	meta:
		name = "TOleLinkStub.GetSourceDisplayName"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 D2 89 10 B8 05 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_567_0 {
	meta:
		name = "TActiveXControl.HandsOffStorage"
		size = 9
		altNames = "TActiveXControl.IsUpToDate TActiveXControl.PersistPropBagInitNew TActiveXControl.Update TDataSet.Locate TDragDockObject.GetDragCursor TMtsAutoObject.CanBePooled TMtsDataModule.CanBePooled TOleContainer.ShowObject TOleControl.CanInPlaceActivate TOleControl.SaveObject TOleLinkStub.BindIfRunning"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_569_0 {
	meta:
		name = "TActiveXControl.ReactivateAndUndo"
		size = 12
		altNames = "TOleContainer.DiscardUndoState TOleContainer.RequestNewObjectLayout TOleControl.DiscardUndoState TOleControl.OnControlInfoChanged TOleControl.ShowPropertyFrame TOleLinkStub.UnbindSource"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 04 00 }
	condition:
		$1
}

rule function_571_0 {
	meta:
		name = "TActiveXControl.Initialize"
		size = 220
		refs = "0007 TAutoObject.Initialize 0017 _DV_TConnectionPoints 001c TConnectionPoints.Create 0028 _DV_TActiveXControlFactory 002d @AsClass 003e TAutoObject.EventConnect 004b TConnectionPoints.CreateConnectionPoint 0054 TActiveXControl.Initialize 0066 ParkingWindow 0075 TWinControl.CreateParented 0092 _DV_TReflectorWindow 0097 TReflectorWindow.Create"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 83 7E 68 00 74 13 53 68 ?? ?? ?? ?? 8D 56 58 33 C9 8B 43 34 E8 ?? ?? ?? ?? 6A 00 6A 00 BA ?? ?? ?? ?? B1 01 8B 43 34 E8 ?? ?? ?? ?? 89 43 38 E8 ?? ?? ?? ?? 8B C8 8B 43 30 8B 40 6C B2 01 E8 ?? ?? ?? ?? 8B F0 89 73 6C F6 46 41 40 74 1C 8B 43 6C 50 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 EB 03 89 73 78 8B 43 6C 8B 50 28 89 53 70 8B 50 2C 89 53 74 8B 43 6C 89 58 2C 8B 13 8B 52 54 89 50 28 8B C3 8B 10 FF 52 40 5E 5B C3 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_572_0 {
	meta:
		name = "TActiveXControl.Destroy"
		size = 88
		refs = "0003 @BeforeDestruction 0025 TObject.Free 0046 TComObject.Destroy 0051 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 66 83 7E 72 00 74 0F 8B 46 6C 8B 56 70 89 50 28 8B 56 74 89 50 2C 8B 46 6C E8 ?? ?? ?? ?? 8B 46 78 3B 46 6C 74 05 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_573_0 {
	meta:
		name = "TActiveXControl.CreateAdviseHolder"
		size = 29
		refs = "000d @IntfClear 0013 CreateOleAdviseHolder"
	strings:
		$1 = { 53 8B D8 83 7B 5C 00 75 10 8D 43 5C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_574_0 {
	meta:
		name = "TActiveForm.DefinePropertyPages"
		size = 7
		altNames = "TActiveXControl.DefinePropertyPages TBasicActionLink.SetOnExecute TChartSeries.DoSeriesMouseUp TComponent.GetChildren TCustomChart.FillSeriesSourceItems TCustomRadioGroup.GetChildren TCustomRemoteServer.GetProviderNames TDBNavigator.GetChildren TDragObject.Finished TOleContainer.OnRename TPropertyEditor.GetProperties TPropertyEditor.GetValues TSpinEdit.GetChildren TTabSet.GetChildren"
	strings:
		$1 = { 55 8B EC 5D C2 08 00 }
	condition:
		$1
}

rule function_577_0 {
	meta:
		name = "TActiveXControl.GetPropFromBag"
		size = 196
		refs = "001a @IntfAddRef 002a TActiveXControl.GetPropFromBag 003f @WStrToPWChar 0063 @IntfCast 0070 SetDispatchPropValue 0085 @IntfClear 008d @VarClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 00 FF 50 0C 85 C0 75 23 8D 45 EC 8B D3 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_578_0 {
	meta:
		name = "TActiveXControl.PutPropInBag"
		size = 172
		refs = "001a @IntfAddRef 0022 TActiveXControl.PutPropInBag 003e @IntfCast 004b GetDispatchPropValue 0056 @WStrToPWChar 0075 @IntfClear 007d @VarClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B D3 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_579_0 {
	meta:
		name = "TActiveXControl.GetPropertyValue"
		size = 7
		altNames = "TBaseProvider.UpdateRecord TChartSeries.DoSeriesMouseMove TChartSeries.PrepareLegendCanvas TComponent.UpdateRegistry TCustomAxisPanel.FormattedValueLegend TCustomGrid.SetEditText TOleContainer.OnClose TOleContainer.OnSave TQRExportFilter.Start"
	strings:
		$1 = { 55 8B EC 5D C2 04 00 }
	condition:
		$1
}

rule function_581_0 {
	meta:
		name = "TActiveXControl.InPlaceActivate"
		size = 716
		refs = "0018 TActiveXControl.InPlaceActivate 002d TControl.SetVisible 005f OleError 006a @IntfClear 0080 OleCheck 0146 TWinControl.SetParentWindow 0175 @HandleAnyException 01b4 HandleException 01bb @DoneExcept 01fa TWinControl.GetHandle 0200 SetFocus 0219 @IntfCast 029b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D BC 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC 8B 40 78 B2 01 E8 ?? ?? ?? ?? C6 45 FA 00 8B 45 FC 80 78 7D 00 0F 85 87 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 40 00 75 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 50 8B 00 FF 50 14 85 C0 74 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? C6 45 FA 01 8D 45 F4 50 8B 45 FC 8B 40 50 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? C7 45 C0 14 00 00 00 8D 45 C0 50 8D 45 D4 50 8D 45 E4 50 8B 45 FC 83 C0 58 E8 ?? ?? ?? ?? 50 8B 45 FC 83 C0 54 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 50 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 FC 83 78 54 00 75 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 55 EC 8B 7D E4 2B D7 52 8B 55 F0 8B 45 E8 2B D0 52 8B 55 FC 8B 52 78 8B C8 8B C7 92 8B 18 FF 93 80 00 00 00 8B 45 FC 8B 40 78 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 B2 01 E8 ?? ?? ?? ?? 8B 45 FC C6 40 7D 01 8B 45 FC 8B 40 40 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 EB 55 E9 ?? ?? ?? ?? 8B 45 FC C6 40 7D 00 8B 45 FC 83 C0 58 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 E8 ?? ?? ?? ?? 80 7D FA 00 74 0C 8B 45 FC 8B 40 50 50 8B 00 FF 50 2C 8B 45 FC 83 C0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? E9 C0 00 00 00 E8 ?? ?? ?? ?? 80 7D FB 00 0F 84 B1 00 00 00 8B 45 FC 80 78 7E 00 0F 85 A4 00 00 00 8B 45 FC C6 40 7E 01 8B 45 FC 8B 40 50 50 8B 00 FF 50 1C 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 BC 8B 55 FC 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 FC 8B 40 54 50 8B 00 FF 50 20 8B 45 FC 83 78 58 00 74 29 6A 00 8D 45 BC 8B 55 FC 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 FC 8B 40 58 50 8B 00 FF 50 20 6A 00 8B 45 FC 8B 40 54 50 8B 00 FF 50 1C 8B 45 FC 83 78 58 00 74 0E 6A 00 8B 45 FC 8B 40 58 50 8B 00 FF 50 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 00 00 19 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_582_0 {
	meta:
		name = "TActiveXControl.LoadFromStream"
		size = 82
		refs = "000a _DV_TOleStream 0011 TOleStream.Create 001c TActiveXControl.LoadFromStream 002d TStream.ReadComponent 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 6C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_583_0 {
	meta:
		name = "TActiveXControl.ObjQueryInterface"
		size = 164
		refs = "000d TActiveXControl.ObjQueryInterface 0013 IsEqualGUID 0032 TComObject.ObjQueryInterface 005e _DV_TOleLinkStub 0063 TOleLinkStub.Create 0074 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 84 C0 74 10 8B 43 30 F6 40 72 01 75 07 BF 02 40 00 80 EB 4D 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 8B F8 85 FF 74 3C 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 10 33 D2 89 10 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 10 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 0C 00 00 00 00 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_585_0 {
	meta:
		name = "TActiveXControl.GetPropertyID"
		size = 79
		refs = "000c @WStrToPWChar 0019 @WStrCmp 002a GetThreadLocale 0037 GUID_NULL 0043 OleCheck"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 8B C3 33 D2 E8 ?? ?? ?? ?? 75 09 C7 04 24 FF FF FF FF EB 1F 54 E8 ?? ?? ?? ?? 50 6A 01 8D 44 24 10 50 A1 ?? ?? ?? ?? 50 56 8B 06 FF 50 10 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_586_0 {
	meta:
		name = "TActiveXControl.PropChanged"
		size = 21
		refs = "0006 TActiveXControl.GetPropertyID 000f TActiveXControl.PropChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_588_0 {
	meta:
		name = "TActiveXControl.PropRequestEdit"
		size = 21
		refs = "0006 TActiveXControl.GetPropertyID 000f TActiveXControl.PropRequestEdit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6151_0 {
	meta:
		name = "TDBCheckBox.DataChange"
		size = 21
		refs = "0006 TDBCheckBox.GetFieldState 000f TCustomCheckBox.SetState"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6149_0 {
	meta:
		name = "TDBCheckBox.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBCheckBox.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6201_0 {
	meta:
		name = "TDBComboBox.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBComboBox.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6103_0 {
	meta:
		name = "TDBEdit.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBEdit.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6208_0 {
	meta:
		name = "TDBListBox.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBListBox.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6254_0 {
	meta:
		name = "TDBMemo.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBMemo.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6229_0 {
	meta:
		name = "TDBRadioGroup.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBRadioGroup.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6465_0 {
	meta:
		name = "TDBRichEdit.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBRichEdit.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6133_0 {
	meta:
		name = "TDBText.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBText.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_587_0 {
	meta:
		name = "TActiveXControl.PropChanged"
		size = 216
		refs = "0019 tagCONNECTDATA 001e @InitializeRecord 0026 TActiveXControl.PropChanged 0034 @IntfClear 003e TConnectionPoint.EnumConnections 0043 OleCheck 0056 @IntfCast 0079 @FinalizeRecord 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 46 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 53 8D 45 EC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 0C 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 15 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_589_0 {
	meta:
		name = "TActiveXControl.PropRequestEdit"
		size = 232
		refs = "001a tagCONNECTDATA 001f @InitializeRecord 0027 TActiveXControl.PropRequestEdit 0037 @IntfClear 0041 TConnectionPoint.EnumConnections 0046 OleCheck 0059 @IntfCast 0085 @FinalizeRecord 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 8B F2 8B F8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 45 FC E8 ?? ?? ?? ?? 50 8B 47 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 56 8D 45 EC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 85 C0 0F 94 C3 8D 45 F4 E8 ?? ?? ?? ?? 84 DB 74 22 8D 45 F0 50 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_590_0 {
	meta:
		name = "TActiveXControl.RecreateWnd"
		size = 94
		refs = "0009 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 GetWindow 0028 TActiveXControl.InPlaceDeactivate 0030 TWinControl.DestroyHandle 0039 TActiveXControl.InPlaceActivate 0056 SetWindowPos"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 78 E8 ?? ?? ?? ?? 84 C0 74 49 8A 5E 7E 6A 03 8B 46 78 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 56 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 75 19 6A 13 6A 00 6A 00 6A 00 6A 00 57 8B 46 78 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_591_0 {
	meta:
		name = "TActiveXControl.SaveToStream"
		size = 160
		refs = "000c _DV_TOleStream 0013 TOleStream.Create 001e TActiveXControl.SaveToStream 0033 _Dn_TWriter 0038 TFiler.Create 005d TWriter.WriteDescendent 0072 TObject.Free 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 20 01 8B 53 6C 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_592_0 {
	meta:
		name = "TActiveXControl.ShowPropertyDialog"
		size = 364
		refs = "0015 TActiveXControl.ShowPropertyDialog 0045 TActiveXControl.GetPages 004a OleCheck 0099 @IntfCopy 00ae @IntfDispCall 00b9 @WStrToPWChar 00cd GetSystemDefaultLCID 00d7 GetActiveWindow 00e6 OleCreatePropertyFrame 0115 @HandleFinally 012c CoFreeMem 0149 @WStrClr 0151 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 D2 89 55 EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 44 00 74 14 8B 45 FC 8B 40 44 50 8B 00 FF 50 24 85 C0 0F 84 FC 00 00 00 8D 45 F0 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 0F 8E B5 00 00 00 8B 45 FC 83 78 54 00 74 0E 6A 00 8B 45 FC 8B 40 54 50 8B 00 FF 50 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 85 D2 74 03 83 EA E4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 50 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 EC E8 ?? ?? ?? ?? 50 6A 01 8D 45 F8 50 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? B9 10 00 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 54 00 74 0E 6A FF 8B 45 FC 8B 40 54 50 8B 00 FF 50 34 C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 00 00 42 FD FF FF 08 02 00 00 }
	condition:
		$1
}

rule function_593_0 {
	meta:
		name = "TActiveXControl.StdClickEvent"
		size = 36
		refs = "0007 TActiveXControl.StdClickEvent 0012 @IntfDispCall"
	strings:
		$1 = { 83 78 24 00 74 13 68 ?? ?? ?? ?? 8B 40 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C C3 00 00 A8 FD FF FF 00 01 00 00 }
	condition:
		$1
}

rule function_594_0 {
	meta:
		name = "TActiveXControl.StdDblClickEvent"
		size = 36
		refs = "0007 TActiveXControl.StdDblClickEvent 0012 @IntfDispCall"
	strings:
		$1 = { 83 78 24 00 74 13 68 ?? ?? ?? ?? 8B 40 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C C3 00 00 A7 FD FF FF 00 01 00 00 }
	condition:
		$1
}

rule function_595_0 {
	meta:
		name = "TActiveXControl.StdKeyDownEvent"
		size = 64
		refs = "0013 GetEventShift 001a TActiveXControl.StdKeyDownEvent 0025 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 83 7B 24 00 74 1D 8A 45 08 E8 ?? ?? ?? ?? 50 56 68 ?? ?? ?? ?? 8B 43 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5E 5B 5D C2 04 00 00 00 A6 FD FF FF 00 01 02 00 82 02 00 00 }
	condition:
		$1
}

rule function_597_0 {
	meta:
		name = "TActiveXControl.StdKeyUpEvent"
		size = 64
		refs = "0013 GetEventShift 001a TActiveXControl.StdKeyUpEvent 0025 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 83 7B 24 00 74 1D 8A 45 08 E8 ?? ?? ?? ?? 50 56 68 ?? ?? ?? ?? 8B 43 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5E 5B 5D C2 04 00 00 00 A6 FD FF FF 00 01 02 00 82 02 00 00 }
	condition:
		$1
}

rule function_596_0 {
	meta:
		name = "TActiveXControl.StdKeyPressEvent"
		size = 60
		refs = "0014 TActiveXControl.StdKeyPressEvent 001f @IntfDispCall"
	strings:
		$1 = { 53 51 8B D9 83 78 24 00 74 22 33 D2 8A 13 66 89 14 24 54 68 ?? ?? ?? ?? 8B 40 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 66 8B 04 24 88 03 5A 5B C3 00 A5 FD FF FF 00 01 01 00 82 00 00 00 }
	condition:
		$1
}

rule function_598_0 {
	meta:
		name = "TActiveXControl.StdMouseDownEvent"
		size = 80
		refs = "001b GetEventShift 0023 GetEventButton 0029 TActiveXControl.StdMouseDownEvent 0034 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 83 7E 24 00 74 2C 8B 45 08 50 8B 45 0C 50 8A 45 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B 5D C2 0C 00 00 00 00 A3 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_599_0 {
	meta:
		name = "TActiveXControl.StdMouseMoveEvent"
		size = 84
		refs = "001c GetEventShift 002f TActiveXControl.StdMouseMoveEvent 003a @IntfDispCall"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 83 7B 24 00 74 31 8B 45 08 50 8B 45 0C 50 8A 45 FF E8 ?? ?? ?? ?? 50 33 C0 8A 45 FF C1 E8 03 66 83 E0 07 50 68 ?? ?? ?? ?? 8B 43 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5B 59 5D C2 08 00 00 A2 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_600_0 {
	meta:
		name = "TActiveXControl.StdMouseUpEvent"
		size = 80
		refs = "001b GetEventShift 0023 GetEventButton 0029 TActiveXControl.StdMouseUpEvent 0034 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 83 7E 24 00 74 2C 8B 45 08 50 8B 45 0C 50 8A 45 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B 5D C2 0C 00 00 00 00 A1 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_601_0 {
	meta:
		name = "TActiveXControl.ViewChanged"
		size = 38
		refs = "0020 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 7B 64 00 74 1B 6A FF 6A 01 8B 43 64 50 8B 00 FF 50 10 F6 43 68 04 74 08 8D 43 64 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_602_0 {
	meta:
		name = "ControlWndProc"
		size = 73
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 5B FC 8B 03 3D 00 20 00 00 72 0D 3D 00 24 00 00 73 06 81 03 00 9C 00 00 8B 45 08 8B 70 F8 8B D3 8B 46 74 FF 56 70 8B 03 3D 00 BC 00 00 72 0D 3D 00 C0 00 00 73 06 81 2B 00 9C 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_603_0 {
	meta:
		name = "TActiveXControl.WndProc"
		size = 580
		refs = "00cd ControlWndProc 0112 TControl.SetVisible 0127 TActiveXControl.UIDeactivate 0152 TActiveXControl.RecreateWnd 0166 TActiveXControl.ViewChanged 01d6 TActiveXControl.WndProc 01e4 @IntfDispCall 01f6 TActiveXControl.InPlaceActivate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 89 45 F8 8B 45 F8 8B 40 6C 8B B8 40 01 00 00 8B 75 FC 8B 36 81 FE 00 B0 00 00 72 0B 8B 45 FC 81 FE 00 C0 00 00 72 12 8B 45 F8 83 78 48 00 74 09 8B 45 F8 80 78 7D 00 75 04 33 DB EB 02 B3 01 84 DB 74 33 8D 45 F4 50 8B 45 FC 83 C0 0C 50 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 04 50 8B 45 FC 56 57 8B 45 F8 8B 40 48 50 8B 00 FF 50 0C 83 F8 01 0F 84 B1 01 00 00 8B 45 FC 8B 00 3D 84 00 00 00 7F 25 0F 84 F9 00 00 00 83 C0 F9 83 E8 02 72 2F 83 E8 03 0F 84 CA 00 00 00 83 E8 15 0F 84 FB 00 00 00 E9 49 01 00 00 2D 0B B0 00 00 74 44 83 E8 28 74 78 48 0F 84 A9 00 00 00 E9 31 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 83 78 44 00 0F 84 24 01 00 00 8B 45 FC 83 38 07 0F 94 C0 F6 D8 1B C0 50 8B 45 F8 8B 40 44 50 8B 00 FF 50 20 E9 05 01 00 00 8B 45 F8 8B 40 78 8B 55 F8 8B 52 6C 3B C2 74 08 8A 52 47 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 80 78 47 00 75 09 8B 45 F8 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 CC 00 00 00 8B 45 F8 80 78 7D 00 74 1B 8B 45 F8 8B 40 6C 8B 55 F8 3B 42 78 75 0D 8B 45 F8 E8 ?? ?? ?? ?? E9 A8 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? E9 94 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 80 78 7D 00 0F 85 80 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 76 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 78 0C FF 75 66 8B 45 FC C7 40 0C 01 00 00 00 EB 5A 55 E8 ?? ?? ?? ?? 59 8B 45 F8 80 78 7E 00 75 4A 8B 75 FC 8B 76 0C 83 FE 01 74 08 8B 45 FC 83 FE 02 75 37 8B 45 F8 83 78 4C 00 74 2E 68 ?? ?? ?? ?? 8B 45 F8 8B 40 4C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 66 85 C0 74 13 B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 84 DB 74 2C 8B 45 F4 50 8B 45 FC 83 C0 0C 50 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 04 50 8B 45 FC 8B 00 50 57 8B 45 F8 8B 40 48 50 8B 00 FF 50 10 5F 5E 5B 8B E5 5D C3 00 00 3B FD FF FF 0B 02 00 00 }
	condition:
		$1
}

rule function_604_0 {
	meta:
		name = "TActiveXControl.Get_BackColor"
		size = 62
		refs = "000e TActiveXControl.Get_BackColor 0031 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 6C 8B 40 64 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_605_0 {
	meta:
		name = "TActiveXControl.Get_Caption"
		size = 95
		refs = "001b TActiveXControl.Get_Caption 002c TControl.GetText 0037 @WStrFromLStr 0049 @HandleAutoException 0051 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 6C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_611_0 {
	meta:
		name = "TActiveXControl.Get_Text"
		size = 95
		refs = "001b TActiveXControl.Get_Text 002c TControl.GetText 0037 @WStrFromLStr 0049 @HandleAutoException 0051 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 6C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_606_0 {
	meta:
		name = "TActiveXControl.Get_Enabled"
		size = 69
		refs = "000e TActiveXControl.Get_Enabled 0038 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 6C 8B 10 FF 52 50 F6 D8 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_607_0 {
	meta:
		name = "TActiveXControl.Get_Font"
		size = 76
		refs = "0019 TActiveXControl.Get_Font 002d GetOleFont 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 43 6C 8B 40 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_608_0 {
	meta:
		name = "TActiveXControl.Get_ForeColor"
		size = 65
		refs = "000e TActiveXControl.Get_ForeColor 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 6C 8B 40 58 8B 40 14 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_609_0 {
	meta:
		name = "TActiveXControl.Get_HWnd"
		size = 64
		refs = "000e TActiveXControl.Get_HWnd 001c TWinControl.GetHandle 0033 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 6C E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_610_0 {
	meta:
		name = "TActiveXControl.Get_TabStop"
		size = 70
		refs = "000e TActiveXControl.Get_TabStop 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 6C 8A 80 78 01 00 00 F6 D8 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_612_0 {
	meta:
		name = "TActiveXControl.Set_BackColor"
		size = 62
		refs = "000e TActiveXControl.Set_BackColor 001f TControl.SetColor 0031 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_613_0 {
	meta:
		name = "TActiveXControl.Set_Caption"
		size = 84
		refs = "0010 TActiveXControl.Set_Caption 0021 @LStrFromWStr 002c TControl.SetText 003e @HandleAutoException 0046 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_618_0 {
	meta:
		name = "TActiveXControl.Set_Text"
		size = 84
		refs = "0010 TActiveXControl.Set_Text 0021 @LStrFromWStr 002c TControl.SetText 003e @HandleAutoException 0046 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_614_0 {
	meta:
		name = "TActiveXControl.Set_Enabled"
		size = 70
		refs = "000e TActiveXControl.Set_Enabled 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 8B 55 0C 66 F7 DA 1B D2 F7 DA 8B 40 6C 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_615_0 {
	meta:
		name = "TActiveXControl.Set_Font"
		size = 65
		refs = "000e TActiveXControl.Set_Font 0022 SetOleFont 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 6C 8B 40 58 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_616_0 {
	meta:
		name = "TActiveXControl.Set_ForeColor"
		size = 65
		refs = "000e TActiveXControl.Set_ForeColor 0022 TFont.SetColor 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 6C 8B 40 58 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_617_0 {
	meta:
		name = "TActiveXControl.Set_TabStop"
		size = 70
		refs = "000e TActiveXControl.Set_TabStop 0027 TWinControl.SetTabStop 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 8B 55 0C 66 F7 DA 1B D2 F7 DA 8B 40 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_619_0 {
	meta:
		name = "TActiveXControl.GetClassID"
		size = 34
		altNames = "TActiveXControl.GetUserClassID"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 8B 40 08 8B 55 0C 8D 70 10 8B FA B9 04 00 00 00 F3 A5 33 C0 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_621_0 {
	meta:
		name = "TActiveXControl.PersistPropBagLoad"
		size = 452
		refs = "0018 TActiveXControl.PersistPropBagLoad 004b _Dn_TStringList 0050 TObject.Create 007c @IntfCast 0085 GUID_NULL 008c EnumDispatchProperties 00d7 @WStrFromLStr 0100 @HandleAnyException 0105 ExceptObject 010b _Dn_EAbort 0110 @IsClass 011e @DoneExcept 0123 @TryFinallyExit 0153 TObject.Free 0159 @HandleFinally 0171 HandleException 018d @LStrClr 0195 @WStrClr 019d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C0 89 45 EC 89 45 E8 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 12 BB 03 40 00 80 33 C0 5A 59 59 64 89 10 E9 34 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 45 F0 8B 55 08 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 85 C0 0F 8C A1 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 10 50 8D 4D E8 8B 55 F8 8B 45 FC 8B 18 FF 53 0C 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 55 F8 8B 45 FC 8B 08 FF 51 18 8B C8 8B 45 08 5A 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 BB 05 40 00 80 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4B E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 6A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_622_0 {
	meta:
		name = "TActiveXControl.PersistPropBagSave"
		size = 356
		refs = "0010 TActiveXControl.PersistPropBagSave 0043 _Dn_TStringList 0048 TObject.Create 0074 @IntfCast 007d GUID_NULL 0084 EnumDispatchProperties 00b2 @WStrFromLStr 00e4 TObject.Free 00ea @HandleFinally 010a @HandleAnyException 010f HandleException 0116 @DoneExcept 012b @LStrClr 0133 @WStrClr 013b @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 12 BB 03 40 00 80 33 C0 5A 59 59 64 89 10 E9 DA 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 45 F8 8B 55 08 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3C 46 33 DB 8B 45 0C 50 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B D3 8B 45 FC 8B 08 FF 51 18 8B C8 8B 45 08 5A 8B 38 FF 57 4C 43 4E 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D 10 00 74 07 8B 45 08 C6 40 7C 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_623_0 {
	meta:
		name = "TActiveXControl.IsDirty"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 7C 00 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_624_0 {
	meta:
		name = "TActiveXControl.PersistStreamLoad"
		size = 75
		refs = "000d TActiveXControl.PersistStreamLoad 0032 @HandleAnyException 0037 HandleException 003e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B C3 8B 08 FF 51 44 C6 43 7C 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_625_0 {
	meta:
		name = "TActiveXControl.PersistStreamSave"
		size = 81
		refs = "000d TActiveXControl.PersistStreamSave 0038 @HandleAnyException 003d HandleException 0044 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B C3 8B 08 FF 51 50 83 7D 10 00 74 04 C6 43 7C 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_627_0 {
	meta:
		name = "TActiveXControl.InitNew"
		size = 65
		refs = "000d TActiveXControl.InitNew 0028 @HandleAnyException 002d HandleException 0034 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 40 7C 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_628_0 {
	meta:
		name = "TActiveXControl.PersistStorageInitNew"
		size = 16
		refs = "0008 TActiveXControl.InitNew"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_629_0 {
	meta:
		name = "TActiveXControl.PersistStorageLoad"
		size = 196
		refs = "000f TActiveXControl.PersistStorageLoad 002b @IntfClear 0045 OleCheck 0064 @HandleAnyException 0069 HandleException 0070 @DoneExcept 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 10 6A 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 44 C6 43 7C 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 53 00 41 00 56 00 45 00 53 00 54 00 52 00 45 00 41 00 4D 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_630_0 {
	meta:
		name = "TActiveXControl.PersistStorageSave"
		size = 196
		refs = "000f TActiveXControl.PersistStorageSave 002b @IntfClear 0048 OleCheck 0063 @HandleAnyException 0068 HandleException 006f @DoneExcept 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 68 11 10 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 50 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 0C 00 00 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 53 00 41 00 56 00 45 00 53 00 54 00 52 00 45 00 41 00 4D 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_631_0 {
	meta:
		name = "TActiveXControl.SaveCompleted"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 C6 40 7C 00 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_633_0 {
	meta:
		name = "TActiveXControl.GetInterfaceSafetyOptions"
		size = 139
		refs = "0012 TActiveXControl.GetInterfaceSafetyOptions 0031 @IntfClear 003c TComObject.QueryInterface 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 7D 10 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 06 83 7D 14 00 75 07 BE 03 40 00 80 EB 37 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 85 F6 75 13 C7 07 03 00 00 00 8B 43 3C 83 E0 03 8B 55 14 89 02 EB 0B 33 C0 89 07 8B 45 14 33 D2 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_634_0 {
	meta:
		name = "TActiveXControl.SetInterfaceSafetyOptions"
		size = 96
		refs = "000e TActiveXControl.SetInterfaceSafetyOptions 001c @IntfClear 0027 TComObject.QueryInterface 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B 45 14 23 45 10 89 43 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_635_0 {
	meta:
		name = "TActiveXControl.SetClientSite"
		size = 204
		refs = "0022 @IntfCopy 002a @IntfClear 0030 TActiveXControl.SetClientSite 006c TActiveXControl.OnAmbientPropertyChange"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 85 F6 74 63 83 7B 40 00 74 07 B8 05 40 00 80 EB 78 8D 43 40 8B D6 E8 ?? ?? ?? ?? 8D 43 44 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 8B 43 30 F6 40 72 01 74 13 8D 43 48 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 8D 43 4C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 6A 00 53 E8 ?? ?? ?? ?? EB 20 8D 43 4C E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? 8D 43 44 E8 ?? ?? ?? ?? 8D 43 40 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 08 00 00 00 89 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_636_0 {
	meta:
		name = "TActiveXControl.GetClientSite"
		size = 36
		refs = "0019 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 40 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_637_0 {
	meta:
		name = "TActiveXControl.SetHostNames"
		size = 9
		altNames = "TDataSet.CurrToBCD TOleControl.SetActiveObject TOleUILinkInfo.GetLastUpdate"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_638_0 {
	meta:
		name = "TActiveXControl.Close"
		size = 45
		refs = "0024 TActiveXControl.InPlaceDeactivate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 7D 0C 01 74 15 80 7B 7C 00 74 0F 83 7B 40 00 74 09 8B 43 40 50 8B 00 FF 50 0C 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_640_0 {
	meta:
		name = "TActiveXControl.GetMoniker"
		size = 23
		altNames = "TOleControl.GetMoniker"
	strings:
		$1 = { 55 8B EC 8B 45 14 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_641_0 {
	meta:
		name = "TActiveXControl.InitFromData"
		size = 12
		altNames = "TActiveXControl.SetData TCorbaDispatchStub.GetTypeInfo TDataObject.SetData"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_642_0 {
	meta:
		name = "TActiveXControl.EnumFormatEtc"
		size = 23
		altNames = "TActiveXControl.GetClipboardData"
	strings:
		$1 = { 55 8B EC 8B 45 10 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_643_0 {
	meta:
		name = "TActiveXControl.DoVerb"
		size = 197
		refs = "0010 TActiveXControl.DoVerb 0050 TActiveXControl.InPlaceActivate 006b TControl.SetVisible 0076 TActiveXControl.ShowPropertyDialog 0087 TStrings.IndexOfObject 00ac @HandleAnyException 00b1 HandleException 00b8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 C0 07 83 F8 07 77 5A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 3C 8B 43 78 33 D2 E8 ?? ?? ?? ?? 33 DB EB 2E 8B C3 E8 ?? ?? ?? ?? 33 DB EB 23 8B 43 30 8B 40 78 8B D6 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B D6 8B C3 8B 08 FF 51 48 33 DB EB 05 BB 80 01 04 00 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_644_0 {
	meta:
		name = "TActiveXControl.EnumVerbs"
		size = 44
		refs = "0016 @IntfClear 0023 OleRegEnumVerbs"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 08 83 C0 10 50 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_648_0 {
	meta:
		name = "TActiveXControl.GetUserType"
		size = 30
		refs = "0016 OleRegGetUserType"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 08 83 C0 10 50 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_649_0 {
	meta:
		name = "TActiveXControl.SetExtent"
		size = 152
		refs = "0010 TActiveXControl.SetExtent 0026 OleError 0030 Screen 003e MulDiv 007f @HandleAnyException 0084 HandleException 008b @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 0C 01 74 0A B8 6B 00 04 80 E8 ?? ?? ?? ?? 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 06 50 E8 ?? ?? ?? ?? 8B F8 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B F0 8B 43 78 57 56 8B 48 34 8B 50 30 8B 18 FF 93 80 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_650_0 {
	meta:
		name = "TActiveXControl.GetExtent"
		size = 93
		refs = "0019 Screen 0030 MulDiv"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 8B 5D 08 83 7D 0C 01 74 07 B8 6B 00 04 80 EB 3F A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 8B 43 78 8B 40 38 50 E8 ?? ?? ?? ?? 89 06 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 8B 43 78 8B 40 3C 50 E8 ?? ?? ?? ?? 89 46 04 33 C0 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_651_0 {
	meta:
		name = "TActiveXControl.Advise"
		size = 40
		refs = "000a TActiveXControl.CreateAdviseHolder"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 10 50 8B 45 0C 50 8B 43 5C 50 8B 00 FF 50 0C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_652_0 {
	meta:
		name = "TActiveXControl.Unadvise"
		size = 36
		refs = "000a TActiveXControl.CreateAdviseHolder"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 0C 50 8B 43 5C 50 8B 00 FF 50 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_653_0 {
	meta:
		name = "TActiveXControl.EnumAdvise"
		size = 52
		refs = "0015 TActiveXControl.CreateAdviseHolder 0021 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B C3 E8 ?? ?? ?? ?? 85 C0 75 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 5C 50 8B 00 FF 50 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_654_0 {
	meta:
		name = "TActiveXControl.GetMiscStatus"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 45 08 83 7D 0C 01 74 07 B8 6B 00 04 80 EB 0D 8B 40 30 8B 40 70 8B 55 10 89 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_656_0 {
	meta:
		name = "TActiveXControl.GetControlInfo"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 45 0C C7 00 10 00 00 00 33 D2 89 50 04 66 C7 40 08 00 00 33 D2 89 50 0C 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_657_0 {
	meta:
		name = "TActiveXControl.OnDocWindowActivate"
		size = 17
		refs = "0009 TActiveXControl.InPlaceActivate"
		altNames = "TActiveXControl.OnMnemonic"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_658_0 {
	meta:
		name = "TActiveXControl.OnAmbientPropertyChange"
		size = 368
		refs = "0012 TActiveXControl.OnAmbientPropertyChange 0054 @IntfDispCall 0069 TControl.Perform 0078 @HandleAnyException 007d @DoneExcept 009b _Dn_TFont 00a0 TFont.Create 00d1 TFont.SetColor 00f4 SetOleFont 0129 TObject.Free 0140 @IntfClear 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 58 78 85 DB 0F 84 03 01 00 00 8B 45 08 83 78 4C 00 0F 84 F6 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 4C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 50 8B C3 B9 01 00 00 00 BA 09 B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 45 08 8B 40 78 B9 01 00 00 00 BA 11 B0 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 4C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 8B 40 4C 50 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 8B 40 78 B9 01 00 00 00 BA 08 B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 43 FD FF FF 03 02 00 00 40 FD FF FF 03 02 00 00 41 FD FF FF 09 02 00 00 }
	condition:
		$1
}

rule function_659_0 {
	meta:
		name = "TActiveXControl.FreezeEvents"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C F7 DA 1B D2 F7 DA 88 50 7F 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_660_0 {
	meta:
		name = "TActiveXControl.GetWindow"
		size = 46
		refs = "000b TWinControl.HandleAllocated 0017 TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 43 78 E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 78 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 EB 05 B8 05 40 00 80 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_662_0 {
	meta:
		name = "TActiveXControl.InPlaceDeactivate"
		size = 98
		refs = "000f TActiveXControl.UIDeactivate 001d TControl.SetVisible 0022 ParkingWindow 002c TWinControl.SetParentWindow 0034 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 80 7B 7D 00 74 44 53 E8 ?? ?? ?? ?? C6 43 7D 00 33 D2 8B 43 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 78 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 8D 43 54 E8 ?? ?? ?? ?? 8B 43 50 50 8B 00 FF 50 2C 8D 43 50 E8 ?? ?? ?? ?? 33 D2 8B 43 78 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_663_0 {
	meta:
		name = "TActiveXControl.UIDeactivate"
		size = 67
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 80 7B 7E 00 74 2F 83 7B 58 00 74 0D 6A 00 6A 00 8B 43 58 50 8B 00 FF 50 20 6A 00 6A 00 8B 43 54 50 8B 00 FF 50 20 6A 00 8B 43 50 50 8B 00 FF 50 28 C6 43 7E 00 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_664_0 {
	meta:
		name = "TActiveXControl.SetObjectRects"
		size = 72
		refs = "000d TActiveXControl.SetObjectRects 001e TControl.SetBoundsRect 002f @HandleAnyException 0034 HandleException 003b @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 78 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_666_0 {
	meta:
		name = "TActiveXControl.TranslateAccelerator"
		size = 348
		refs = "0026 FindControl 0034 GetParent 0065 TControl.Perform 00eb TranslateMessage 00f1 DispatchMessage 0109 GetParentForm 0137 GetKeyModifiers"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 43 04 3D 00 01 00 00 0F 82 15 01 00 00 3D 08 01 00 00 0F 87 0A 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B F8 85 FF 75 1F 8B 33 56 E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 8B C6 E8 ?? ?? ?? ?? 8B F8 85 F6 74 04 85 FF 74 E3 85 FF 0F 84 D6 00 00 00 33 F6 57 8B 4B 08 BA 2E B0 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 85 E1 00 00 00 33 C0 89 45 FC 8B 43 08 83 F8 1B 7F 13 74 32 83 E8 03 74 2D 83 E8 06 74 16 83 E8 04 74 23 EB 28 83 C0 DF 83 E8 08 72 10 83 E8 02 74 14 EB 19 C7 45 FC 02 00 00 00 EB 10 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 04 00 00 00 83 7D FC 00 74 38 6A 00 8B 4B 08 BA 1E B0 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 15 6A 00 33 C9 BA 87 00 00 00 8B C7 E8 ?? ?? ?? ?? 23 45 FC 74 0E 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 5B 81 7B 04 00 01 00 00 75 11 83 7F 24 00 74 0B 8B C7 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 85 FF 74 16 8B 43 0C 50 8B 4B 08 BA 05 B0 00 00 8B C7 E8 ?? ?? ?? ?? 48 74 25 8B 45 08 83 78 44 00 74 17 E8 ?? ?? ?? ?? 50 53 8B 45 08 8B 40 44 50 8B 00 FF 50 1C 8B F0 EB 05 BE 01 00 00 00 8B C6 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_667_0 {
	meta:
		name = "TActiveXControl.OnFrameWindowActivate"
		size = 49
		refs = "000d TActiveXControl.InPlaceActivate 0016 Succeeded"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 78 8B 10 FF 92 B4 00 00 00 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_669_0 {
	meta:
		name = "TActiveXControl.ResizeBorder"
		size = 9
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_670_0 {
	meta:
		name = "TActiveXControl.EnableModeless"
		size = 9
		altNames = "TAdapterNotifier.OnRequestEdit TOleContainer.ContextSensitiveHelp TOleControl.ContextSensitiveHelp TOleControl.EnableModeless TOleControl.OnRequestEdit TOleControl.OnShowWindow TOleControl.SetStatusText TOleForm.ContextSensitiveHelp TOleForm.EnableModeless TStreamAdapter.Commit"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_671_0 {
	meta:
		name = "TActiveXControl.Draw"
		size = 318
		refs = "000d TActiveXControl.Draw 0023 OleError 0044 TControl.SetVisible 0051 TWinControl.GetHandle 0057 ShowWindow 0075 LPtoDP 007e SaveDC 009e SetViewportOrgEx 00ad SetWindowOrgEx 00b8 SetMapMode 00cd TWinControl.PaintTo 00e7 RestoreDC 00ed @HandleFinally 0123 @HandleAnyException 0128 HandleException 012f @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 0C 01 74 0A B8 6B 00 04 80 E8 ?? ?? ?? ?? 8B 45 08 8B 40 6C 8A 50 47 88 55 FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 E8 ?? ?? ?? ?? 6A 01 8B 45 08 8B 40 78 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 24 8B F0 8D 7D E8 B9 04 00 00 00 F3 A5 6A 02 8D 45 E8 50 8B 45 20 50 E8 ?? ?? ?? ?? 8B 45 20 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 6A 01 8B 45 20 50 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 08 8B 40 6C 8B 4D E8 8B 55 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 8B 45 20 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 6C 8A 55 FB E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 2C 00 }
	condition:
		$1
}

rule function_672_0 {
	meta:
		name = "TActiveXControl.GetColorSet"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 1C 00 }
	condition:
		$1
}

rule function_673_0 {
	meta:
		name = "TActiveXControl.Freeze"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 14 00 }
	condition:
		$1
}

rule function_675_0 {
	meta:
		name = "TActiveXControl.SetAdvise"
		size = 57
		refs = "0021 @IntfCopy 002e TActiveXControl.ViewChanged"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 F6 45 0C 01 75 07 B8 6B 00 04 80 EB 20 8B 45 10 89 43 68 8D 43 64 8B 55 14 E8 ?? ?? ?? ?? F6 43 68 02 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_676_0 {
	meta:
		name = "TActiveXControl.GetAdvise"
		size = 72
		refs = "003b @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 85 F6 74 06 C7 06 01 00 00 00 85 FF 74 05 8B 43 68 89 07 8B 45 14 85 C0 74 0B 8B 45 14 8B 53 64 E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_677_0 {
	meta:
		name = "TActiveXControl.ViewObjectGetExtent"
		size = 24
		refs = "0010 TActiveXControl.GetExtent"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 18 52 8B 55 0C 52 50 E8 ?? ?? ?? ?? 5D C2 14 00 }
	condition:
		$1
}

rule function_678_0 {
	meta:
		name = "TActiveXControl.GetDisplayString"
		size = 108
		refs = "0019 TActiveXControl.GetDisplayString 0040 @WStrFromLStr 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 40 00 80 8D 4D FC 8B 55 0C 8B C3 8B 18 FF 53 30 84 C0 74 0D 8B 45 10 8B 55 FC E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_679_0 {
	meta:
		name = "TActiveXControl.MapPropertyToPage"
		size = 40
		refs = "000e GUID_NULL"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 10 85 C0 74 11 8B 15 ?? ?? ?? ?? 8B F2 8B F8 B9 04 00 00 00 F3 A5 B8 01 40 00 80 5F 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_680_0 {
	meta:
		name = "TActiveXControl.GetPredefinedStrings"
		size = 455
		refs = "0015 TActiveXControl.GetPredefinedStrings 0077 _Dn_TStringList 007c TObject.Create 00ba CoAllocMem 00e7 CoAllocString 0146 TObject.Free 014c @HandleFinally 015d @HandleAnyException 0179 CoFreeMem 0192 HandleException 019a @DoneExcept 01af @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C0 89 45 E8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 EC 8B 45 10 85 C0 74 07 8B 45 14 85 C0 75 0C C7 45 FC 03 40 00 80 E9 56 01 00 00 8B 45 10 33 D2 89 10 8B 45 10 33 D2 89 50 04 8B 45 14 33 D2 89 10 8B 45 14 33 D2 89 50 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 0C 8B C3 8B 18 FF 53 34 84 C0 0F 84 88 00 00 00 8B 45 F0 8B 10 FF 52 14 89 45 EC 8B 5D EC C1 E3 02 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 75 EC 4E 85 F6 7C 32 46 33 DB 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F8 89 04 9A 8B D3 8B 45 F0 8B 08 FF 51 18 8B 55 F4 89 04 9A 43 4E 75 D1 8B 45 10 8B 55 EC 89 10 8B 45 10 8B 55 F8 89 50 04 8B 45 14 8B 55 EC 89 10 8B 45 14 8B 55 F4 89 50 04 33 C0 89 45 FC EB 07 C7 45 FC 01 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 83 7D F8 00 74 1A 8B 75 EC 4E 85 F6 7C 12 46 33 DB 8B 45 F8 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 F1 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_681_0 {
	meta:
		name = "TActiveXControl.GetPredefinedValue"
		size = 118
		refs = "0028 TActiveXControl.GetPredefinedValue 004a @VarCopy 0061 @VarClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 4D 10 8B 55 0C 8B C3 8B 18 FF 53 38 8B 45 14 8D 55 F0 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_682_0 {
	meta:
		name = "TPropPages.ProcessPage"
		size = 34
	strings:
		$1 = { 53 56 57 8B 58 04 85 DB 74 11 8B 48 08 03 C9 8D 3C CB 8B F2 B9 04 00 00 00 F3 A5 FF 40 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_683_0 {
	meta:
		name = "TActiveXControl.GetPages"
		size = 224
		refs = "0011 TActiveXControl.GetPages 001e _DV_TPropPages 0023 TObject.Create 003d TPropPages.ProcessPage 0052 CoAllocMem 00a5 CoFreeMem 00ad TObject.Free 00b3 @HandleFinally 00c6 @HandleAnyException 00cb HandleException 00d2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 0C 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 8B 45 FC 8B 40 08 C1 E0 04 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 33 D2 89 50 08 8B 45 FC 50 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 8B 45 FC 8B 40 08 89 06 8B 45 FC 8B 40 04 89 46 04 8B 45 FC 33 D2 89 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_684_0 {
	meta:
		name = "TActiveXControl.PreMessageFilter"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 48 00 74 23 8B 55 20 52 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 48 50 8B 00 FF 50 0C EB 02 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_685_0 {
	meta:
		name = "TActiveXControl.PostMessageFilter"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 48 00 74 23 8B 55 20 52 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 48 50 8B 00 FF 50 10 EB 02 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_686_0 {
	meta:
		name = "TActiveXControl.QuickActivate"
		size = 332
		refs = "0019 TActiveXControl.QuickActivate 003c @FillChar 004c TActiveXControl.SetClientSite 0060 TActiveXControl.SetAdvise 0076 @IntfCast 0084 @IntfClear 00e8 TActiveXControl.GetMiscStatus 0100 IConnectionPoint 010a @FinalizeArray 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 7D 10 8B 5D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3F 18 7D 0A BB FF FF 00 80 E9 BC 00 00 00 8B C7 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? C7 07 18 00 00 00 8B 43 04 50 56 E8 ?? ?? ?? ?? 83 7B 08 00 74 0E 8B 43 08 50 6A 00 6A 01 56 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 0C 00 74 2C 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 10 85 C0 75 11 8D 47 10 50 8B 43 0C 50 8B 45 F8 50 8B 00 FF 50 14 83 7B 10 00 74 2E 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 46 30 83 C0 58 50 8B 45 FC 50 8B 00 FF 50 10 85 C0 75 11 8D 47 0C 50 8B 43 10 50 8B 45 F4 50 8B 00 FF 50 14 8D 47 04 50 6A 01 56 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_687_0 {
	meta:
		name = "TActiveXControl.SetContentExtent"
		size = 22
		refs = "000e TActiveXControl.SetExtent"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 6A 01 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_688_0 {
	meta:
		name = "TActiveXControl.GetContentExtent"
		size = 22
		refs = "000e TActiveXControl.GetExtent"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 6A 01 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_689_0 {
	meta:
		name = "TActiveXControl.GetData"
		size = 457
		refs = "0026 TActiveXControl.GetExtent 002d CreateMetaFile 003f SetWindowOrgEx 0052 SetWindowExtEx 0066 TActiveXControl.GetData 0073 TControl.SetVisible 007a _Dn_TBitmap 007f TBitmap.Create 00bc TBitmap.GetCanvas 00c1 TCanvas.GetHandle 00d0 TWinControl.PaintTo 010e StretchBlt 0123 TObject.Free 0129 @HandleFinally 0157 CloseMetaFile 0170 GlobalAlloc 017c DeleteMetaFile 0189 GlobalLock 01a4 GlobalUnlock"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B 45 0C F6 40 10 20 75 0A B8 64 00 04 80 E9 A6 01 00 00 8D 45 F8 50 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 F4 6A 00 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 6C 8A 50 47 88 55 F3 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 6C 8B 50 38 8B 45 EC 8B 08 FF 51 40 8B 45 08 8B 40 6C 8B 50 3C 8B 45 EC 8B 08 FF 51 34 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 6C 33 C9 E8 ?? ?? ?? ?? 68 20 00 CC 00 8B 45 EC 8B 10 FF 52 20 50 8B 45 EC 8B 10 FF 52 2C 50 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 45 F8 50 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 6C 8A 55 F3 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 07 B8 FF FF 00 80 EB 59 6A 10 68 02 20 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0D 56 E8 ?? ?? ?? ?? B8 70 00 03 80 EB 3A 53 E8 ?? ?? ?? ?? 89 70 0C C7 00 08 00 00 00 8B 55 F8 89 50 04 8B 55 FC 89 50 08 53 E8 ?? ?? ?? ?? 8B 45 10 C7 00 20 00 00 00 8B 45 10 89 58 04 8B 45 10 33 D2 89 50 08 33 C0 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_695_0 {
	meta:
		name = "TActiveXControl.DAdvise"
		size = 75
		refs = "0013 @IntfClear 0019 CreateDataAdviseHolder"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 33 C0 83 7B 60 00 75 0E 8D 43 60 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 25 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B C3 85 C0 74 05 2D 48 FF FF FF 50 8B 43 60 50 8B 00 FF 50 0C 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_696_0 {
	meta:
		name = "TActiveXControl.DUnadvise"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 60 00 75 07 B8 04 00 04 80 EB 0D 8B 55 0C 52 8B 40 60 50 8B 00 FF 50 10 5D C2 08 00 }
	condition:
		$1
}

rule function_697_0 {
	meta:
		name = "TActiveXControl.EnumDAdvise"
		size = 54
		refs = "0023 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 83 7B 60 00 75 07 B8 05 40 00 80 EB 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 60 50 8B 00 FF 50 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_698_0 {
	meta:
		name = "TActiveXControlFactory.Create"
		size = 244
		refs = "0015 @ClassCreate 0025 TActiveXControlFactory.Create 0048 TAutoObjectFactory.Create 0070 _Dn_TStringList 0075 TObject.Create 0080 SPropertiesVerb 0085 LoadResString 0091 TActiveXControlFactory.AddVerb 009b @WStrFromLStr 00c7 @LStrClr 00cd @HandleFinally 00dc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C 89 43 6C 8B 45 20 50 8B 45 18 50 6A 02 8A 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 83 C8 01 83 C8 10 0D 80 00 00 00 0D 00 01 00 00 0D 00 00 02 00 89 43 70 8B 45 14 89 43 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 85 F6 0F 95 C0 88 43 45 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_699_0 {
	meta:
		name = "TActiveXControlFactory.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TComObjectFactory.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 78 E8 ?? ?? ?? ?? 8B 46 7C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_700_0 {
	meta:
		name = "TActiveXControlFactory.AddVerb"
		size = 13
	strings:
		$1 = { 53 8B 40 78 87 CA 8B 18 FF 53 38 5B C3 }
	condition:
		$1
}

rule function_701_0 {
	meta:
		name = "TActiveXControlFactory.GetLicenseFileName"
		size = 104
		refs = "000f TActiveXControlFactory.GetLicenseFileName 002f ChangeFileExt 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 8B 08 FF 51 0C 8B 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 2E 6C 69 63 00 00 00 00 }
	condition:
		$1
}

rule function_702_0 {
	meta:
		name = "TActiveXControlFactory.HasMachineLicense"
		size = 243
		refs = "0013 TActiveXControlFactory.HasMachineLicense 0074 @HandleAnyException 007b @DoneExcept 00a0 @WStrFromLStr 00d6 @WStrClr 00de @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 FC 80 78 45 00 0F 84 99 00 00 00 8B 45 FC 80 B8 80 00 00 00 00 75 47 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 55 F8 8B 45 FC 8B 40 7C 8B 08 FF 51 58 8B 45 FC C6 80 80 00 00 00 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 84 DB 74 42 33 F6 33 DB EB 29 8D 4D F8 8B 45 FC 8B 40 7C 8B D6 8B 18 FF 53 0C 8B 55 F8 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 0C 8B D8 46 8B 45 FC 8B 40 7C 8B 10 FF 52 14 3B F0 7D 04 84 DB 74 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_703_0 {
	meta:
		name = "TActiveXControlFactory.UpdateRegistry"
		size = 840
		refs = "0017 TActiveXControlFactory.UpdateRegistry 0028 GUIDToString 0038 @LStrCat3 004c TTypedComObjectFactory.UpdateRegistry 006b CreateRegKey 0076 IntToStr 00c3 @LStrCatN 014b @LStrCat 01d4 DeleteRegKey 0276 @LStrArrayClr 027e @LStrClr 0284 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8D 43 10 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FF 00 0F 84 4D 01 00 00 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 70 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 59 E8 ?? ?? ?? ?? 8D 55 EC 8B 43 08 8B 08 FF 51 0C FF 75 EC 68 ?? ?? ?? ?? 8D 55 E8 8B 43 74 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 59 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 43 78 8B 10 FF 52 14 48 85 C0 0F 8C 31 01 00 00 40 89 45 F4 33 F6 8D 4D F0 8B D6 8B 43 78 8B 38 FF 57 0C 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 FF 75 F8 68 ?? ?? ?? ?? 8B D6 8B 43 78 8B 08 FF 51 18 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 59 E8 ?? ?? ?? ?? 46 FF 4D F4 75 A7 E9 CD 00 00 00 8B 43 78 8B 10 FF 52 14 48 85 C0 7C 3E 40 89 45 F4 33 F6 FF 75 F8 68 ?? ?? ?? ?? 8B D6 8B 43 78 8B 08 FF 51 18 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 46 FF 4D F4 75 C8 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 06 00 00 00 43 4C 53 49 44 5C 00 00 FF FF FF FF 0B 00 00 00 5C 4D 69 73 63 53 74 61 74 75 73 00 FF FF FF FF 01 00 00 00 30 00 00 00 FF FF FF FF 0D 00 00 00 5C 4D 69 73 63 53 74 61 74 75 73 5C 31 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 FF FF FF FF 10 00 00 00 5C 54 6F 6F 6C 62 6F 78 42 69 74 6D 61 70 33 32 00 00 00 00 FF FF FF FF 08 00 00 00 5C 43 6F 6E 74 72 6F 6C 00 00 00 00 FF FF FF FF 05 00 00 00 5C 56 65 72 62 00 00 00 FF FF FF FF 04 00 00 00 2C 30 2C 32 00 00 00 00 FF FF FF FF 06 00 00 00 5C 56 65 72 62 5C 00 00 }
	condition:
		$1
}

rule function_704_0 {
	meta:
		name = "TActiveFormControl.DefinePropertyPages"
		size = 49
		refs = "000e _DV_TActiveForm 0013 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 73 6C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 FF 75 0C FF 75 08 8B C6 8B 10 FF 92 D4 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_706_0 {
	meta:
		name = "TActiveFormControl.InitializeControl"
		size = 144
		refs = "000d TActiveFormControl.InitializeControl 001a TActiveXControl.InitializeControl 0030 @IntfCast 0041 _DV_TActiveForm 0046 @IsClass 006f @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 73 6C 89 46 1C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 89 9E C8 02 00 00 8B C6 8B 10 FF 92 DC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 }
	condition:
		$1
}

rule function_707_0 {
	meta:
		name = "TActiveFormControl.Invoke"
		size = 67
	strings:
		$1 = { 55 8B EC 53 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 5D 28 53 8B 5D 24 53 8B 5D 20 53 8B 5D 1C 53 52 8B 55 0C 52 8B 48 08 8B 51 54 8B 52 14 03 50 6C 52 8B 41 50 50 8B 00 FF 50 2C 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_708_0 {
	meta:
		name = "TActiveFormControl.ObjQueryInterface"
		size = 59
		refs = "001d TObject.GetInterface 0029 TActiveXControl.ObjQueryInterface"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 45 FC 8B CF 8B D6 8B 43 6C E8 ?? ?? ?? ?? 84 C0 75 0B 57 56 53 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_709_0 {
	meta:
		name = "TActiveFormControl.EventSinkChanged"
		size = 43
		refs = "000e _DV_TActiveForm 0013 @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 6C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B C6 8B 08 FF 91 D8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_713_0 {
	meta:
		name = "TActiveFormFactory.GetIntfEntry"
		size = 33
		refs = "0017 TObject.GetInterfaceEntry"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D4 8B 40 6C E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_714_0 {
	meta:
		name = "TPropertyPage.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TCustomForm.Create 001e _Dn_TInterfaceList 0023 TInterfaceList.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D8 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_715_0 {
	meta:
		name = "TPropertyPage.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TCustomForm.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_717_0 {
	meta:
		name = "TPropertyPage.Modified"
		size = 18
		refs = "000d TPropertyPageImpl.Modified"
	strings:
		$1 = { 8B 90 C4 02 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_719_0 {
	meta:
		name = "TPropertyPage.EnumCtlProps"
		size = 156
		refs = "0027 TPropertyPage.EnumCtlProps 003c @VarToIntf 004c @IntfCast 0059 EnumDispatchProperties 006e @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 E8 8D 93 C8 02 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_721_0 {
	meta:
		name = "TActiveXPropertyPage.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 8B 40 08 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_722_0 {
	meta:
		name = "TActiveXPropertyPage.Initialize"
		size = 56
		refs = "0010 _DV_TPropertyPageImpl 0015 TAggregatedObject.Create"
	strings:
		$1 = { 53 56 8B D8 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B 43 08 8B 40 0C 33 C9 B2 01 FF 50 2C 8B 73 20 89 46 08 8B C6 8B 10 FF 12 5E 5B C3 }
	condition:
		$1
}

rule function_723_0 {
	meta:
		name = "TPropertyPageImpl.InitPropertyPage"
		size = 31
		refs = "000f TCustomForm.SetBorderStyle 0019 TCustomForm.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 08 89 98 C4 02 00 00 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_724_0 {
	meta:
		name = "TPropertyPageImpl.Modified"
		size = 28
	strings:
		$1 = { 80 78 10 00 74 15 C6 40 11 01 83 78 0C 00 74 0B 6A 03 8B 40 0C 50 8B 00 FF 50 0C C3 }
	condition:
		$1
}

rule function_725_0 {
	meta:
		name = "TPropertyPageImpl.SetPageSite"
		size = 25
		refs = "000e @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 43 0C 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_726_0 {
	meta:
		name = "TPropertyPageImpl.Activate"
		size = 119
		refs = "000d TPropertyPageImpl.Activate 001e TControl.SetBoundsRect 0029 TWinControl.SetParentWindow 0036 VarIsNull 005e @HandleAnyException 0063 HandleException 006a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 10 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 8B 55 0C E8 ?? ?? ?? ?? 8B 43 08 05 C8 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 43 08 8B 10 FF 92 D8 00 00 00 C6 43 10 01 C6 43 11 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_727_0 {
	meta:
		name = "TPropertyPageImpl.Deactivate"
		size = 83
		refs = "000d TPropertyPageImpl.Deactivate 001f TCustomForm.Hide 0029 TWinControl.SetParentWindow 003a @HandleAnyException 003f HandleException 0046 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 10 00 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 33 D2 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_728_0 {
	meta:
		name = "TPropertyPageImpl.GetPageInfo"
		size = 165
		refs = "0012 TPropertyPageImpl.GetPageInfo 0035 @FillChar 0040 TControl.GetText 0048 CoAllocString 006e @HandleAnyException 0073 HandleException 007a @DoneExcept 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 46 04 8B 43 08 8B 40 38 89 46 08 8B 43 08 8B 40 3C 89 46 0C 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_729_0 {
	meta:
		name = "TPropertyPageImpl.SetObjects"
		size = 248
		refs = "0012 TPropertyPageImpl.SetObjects 0035 Null 003a @OleVarFromVar 0045 TInterfaceList.Clear 007a TInterfaceList.Add 0090 @IntfCast 00a0 @VarFromDisp 00b1 @HandleAnyException 00b6 HandleException 00bd @DoneExcept 00d2 @IntfClear 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 08 8D 87 C8 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 87 D8 02 00 00 E8 ?? ?? ?? ?? 83 7D 10 00 75 0F BB 03 40 00 80 33 C0 5A 59 59 64 89 10 EB 63 85 F6 7E 42 4E 85 F6 7C 1B 46 33 FF 8B 45 10 8B 14 B8 8B 43 08 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 47 4E 75 E8 8D 45 FC 8B 55 10 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 05 C8 02 00 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 0C 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_730_0 {
	meta:
		name = "TPropertyPageImpl.Show"
		size = 76
		refs = "000d TPropertyPageImpl.Show 0022 TCustomForm.SetVisible 0033 @HandleAnyException 0038 HandleException 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 0C 00 0F 95 C2 8B 40 08 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_731_0 {
	meta:
		name = "TPropertyPageImpl.Move"
		size = 72
		refs = "000d TPropertyPageImpl.Move 001e TControl.SetBoundsRect 002f @HandleAnyException 0034 HandleException 003b @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 08 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_732_0 {
	meta:
		name = "TPropertyPageImpl.IsPageDirty"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 11 00 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_733_0 {
	meta:
		name = "NotifyContainerOfApply"
		size = 324
		refs = "0012 tagCONNECTDATA 0017 @InitializeRecord 001f NotifyContainerOfApply 003c @VarToIntf 0044 @IntfClear 0088 OleCheck 009c @IntfCast 00bf @FinalizeRecord 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 08 8B 52 08 81 C2 C8 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 79 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 85 C0 75 5E 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 23 6A FF 8D 45 E0 8B 55 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 0C 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 45 F0 50 8B 00 FF 50 0C 85 C0 74 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 8B E5 5D C3 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_734_0 {
	meta:
		name = "TPropertyPageImpl.Apply"
		size = 86
		refs = "000a TPropertyPageImpl.Apply 002b NotifyContainerOfApply 003d @HandleAnyException 0042 HandleException 0049 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 10 FF 92 D4 00 00 00 8B 45 08 C6 40 11 00 55 E8 ?? ?? ?? ?? 59 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_736_0 {
	meta:
		name = "TPropertyPageImpl.TranslateAccelerator"
		size = 113
		refs = "000d TPropertyPageImpl.TranslateAccelerator 0029 TWinControl.GetHandle 002f GetWindowLong 0044 SetWindowLong 0058 @HandleAnyException 005d HandleException 0064 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 83 BE 40 01 00 00 00 74 25 6A EC 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0D 00 00 01 00 50 6A EC 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? BB 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_738_0 {
	meta:
		name = "TActiveXPropertyPageFactory.Create"
		size = 216
		refs = "0019 @ClassCreate 002b TActiveXPropertyPageFactory.Create 0049 TObject.ClassName 0065 Format 0078 TComObjectFactory.Create 008d @LStrClr 0093 @HandleFinally 00a2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 08 50 6A 00 8D 45 F8 50 8D 95 F0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 02 6A 00 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 10 00 00 00 25 73 20 70 72 6F 70 65 72 74 79 20 70 61 67 65 00 00 00 00 }
	condition:
		$1
}

rule function_739_0 {
	meta:
		name = "TActiveXPropertyPageFactory.CreateComObject"
		size = 16
		refs = "0004 _DV_TActiveXPropertyPage 000b TComObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19836_0 {
	meta:
		name = "TComponentFactory.CreateComObject"
		size = 16
		refs = "0004 _DV_TVCLAutoObject 000b TComObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_740_0 {
	meta:
		name = "TCustomAdapter.Create"
		size = 75
		refs = "000a @ClassCreate 0017 _DV_TAdapterNotifier 001c TAdapterNotifier.Create 002d @IntfCopy 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 46 14 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_741_0 {
	meta:
		name = "TCustomAdapter.Destroy"
		size = 32
		refs = "0003 @BeforeDestruction 000e TCustomAdapter.ReleaseOleObject 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6093_0 {
	meta:
		name = "TPaintControl.Destroy"
		size = 32
		refs = "0003 @BeforeDestruction 000e TPaintControl.DestroyHandle 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_742_0 {
	meta:
		name = "TCustomAdapter.Changed"
		size = 12
		refs = "0007 TCustomAdapter.ReleaseOleObject"
	strings:
		$1 = { 80 78 18 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_743_0 {
	meta:
		name = "TCustomAdapter.ConnectOleObject"
		size = 132
		refs = "000e @IntfAddRef 0016 TCustomAdapter.ConnectOleObject 0029 TCustomAdapter.ReleaseOleObject 0043 InterfaceConnect 004e @IntfCopy 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 07 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 14 8D 43 10 50 BA ?? ?? ?? ?? 8B 4B 14 8B 45 FC E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_744_0 {
	meta:
		name = "TCustomAdapter.ReleaseOleObject"
		size = 48
		refs = "0007 TCustomAdapter.ReleaseOleObject 000f InterfaceDisconnect 0017 @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 4B 10 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8D 43 0C E8 ?? ?? ?? ?? 5B C3 00 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_745_0 {
	meta:
		name = "TAdapterNotifier.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
		altNames = "TDecisionGraphDataLink.Create TDecisionGridDataLink.Create TPivotDataLink.Create TQueryConstraintValidator.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 0C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_746_0 {
	meta:
		name = "TAdapterNotifier.OnChanged"
		size = 69
		refs = "000d TAdapterNotifier.OnChanged 002c @HandleAnyException 0031 HandleException 0038 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 0C 8B 10 FF 52 04 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_748_0 {
	meta:
		name = "TFontAdapter.Create"
		size = 60
		refs = "000b @ClassCreate 001a TCustomAdapter.Create 0028 @AfterConstruction"
		altNames = "TPictureAdapter.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7536_0 {
	meta:
		name = "THTTPDataLink.Create"
		size = 60
		refs = "000b @ClassCreate 001a TDataLink.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7405_0 {
	meta:
		name = "TQueryDataLink.Create"
		size = 60
		refs = "000b @ClassCreate 001a TDataLink.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_749_0 {
	meta:
		name = "TFontAdapter.Update"
		size = 456
		refs = "0019 TFontAdapter.Update 003f @IntfCast 0051 @WStrClr 00da _Dn_TFont 00df TFont.Create 0110 @LStrFromWStr 011b TFont.SetName 0129 @ROUND 0133 TFont.SetSize 013d TFont.SetStyle 0148 TFont.SetCharset 0172 TObject.Free 0178 @HandleFinally 018f @LStrClr 0197 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 F4 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 18 00 0F 85 4E 01 00 00 8D 45 E0 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E0 00 0F 84 31 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 E0 50 8B 00 FF 50 0C 8D 45 EC 50 8B 45 E0 50 8B 00 FF 50 14 8A 1D ?? ?? ?? ?? 8D 45 E8 50 8B 45 E0 50 8B 00 FF 50 1C 83 7D E8 00 74 03 80 CB 01 8D 45 E8 50 8B 45 E0 50 8B 00 FF 50 24 83 7D E8 00 74 03 80 CB 02 8D 45 E8 50 8B 45 E0 50 8B 00 FF 50 2C 83 7D E8 00 74 03 80 CB 04 8D 45 E8 50 8B 45 E0 50 8B 00 FF 50 34 83 7D E8 00 74 03 80 CB 08 8D 45 E6 50 8B 45 E0 50 8B 00 FF 50 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC C6 40 18 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 1C 8B 45 F8 8B 08 FF 51 08 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? DF 6D EC D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8A 55 E6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 00 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_750_0 {
	meta:
		name = "TFontAdapter.Changed"
		size = 416
		refs = "0011 TFontAdapter.Changed 0059 @IntfCast 0067 TFont.GetName 0072 @WStrFromLStr 008a TFont.GetSize 00b1 TFont.GetStyle 0129 TFont.GetCharset 0152 @HandleFinally 0169 @LStrClr 0171 @WStrClr 0179 @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 18 00 0F 85 30 01 00 00 8B 45 FC 83 78 0C 00 0F 84 23 01 00 00 8B 45 FC C6 40 18 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 10 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 F8 50 8B 00 FF 50 18 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? A8 01 0F 95 C0 F6 D8 1B C0 50 8B 45 F8 50 8B 00 FF 50 20 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? A8 02 0F 95 C0 F6 D8 1B C0 50 8B 45 F8 50 8B 00 FF 50 28 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? A8 04 0F 95 C0 F6 D8 1B C0 50 8B 45 F8 50 8B 00 FF 50 30 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? A8 08 0F 95 C0 F6 D8 1B C0 50 8B 45 F8 50 8B 00 FF 50 38 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 25 FF 00 00 00 50 8B 45 F8 50 8B 00 FF 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 00 00 00 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 00 40 1C 46 }
	condition:
		$1
}

rule function_751_0 {
	meta:
		name = "TFontAdapter.GetOleFont"
		size = 356
		refs = "001b TFontAdapter.GetOleFont 0036 TFont.GetName 0041 @WStrFromLStr 0050 @WStrToPWChar 005b TFont.GetSize 0073 TFont.GetStyle 008d TFont.GetCharset 00da @IntfClear 00e9 OleCreateFontIndirect 00ee OleCheck 00f8 TCustomAdapter.ConnectOleObject 0107 @IntfCast 011c @LStrClr 012c @WStrClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D D4 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 85 CD 00 00 00 8D 55 D4 8B 43 1C E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? C7 45 D8 20 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 8B 43 1C E8 ?? ?? ?? ?? 89 45 D0 DB 45 D0 D8 0D ?? ?? ?? ?? DF 7D E0 9B 8B 43 1C E8 ?? ?? ?? ?? A8 01 74 08 66 C7 45 E8 BC 02 EB 06 66 C7 45 E8 90 01 8B 43 1C E8 ?? ?? ?? ?? 25 FF 00 00 00 66 89 45 EA 8B 43 1C E8 ?? ?? ?? ?? A8 02 0F 95 C0 F6 D8 1B C0 89 45 EC 8B 43 1C E8 ?? ?? ?? ?? A8 04 0F 95 C0 F6 D8 1B C0 89 45 F0 8B 43 1C E8 ?? ?? ?? ?? A8 08 0F 95 C0 F6 D8 1B C0 89 45 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 40 1C 46 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_752_0 {
	meta:
		name = "TFontAdapter.SetOleFont"
		size = 108
		refs = "000f TFontAdapter.SetOleFont 0024 @IntfCast 002e TCustomAdapter.ConnectOleObject 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_754_0 {
	meta:
		name = "TPictureAdapter.Update"
		size = 140
		refs = "0013 _DV_TOleGraphic 0018 TGraphic.Create 0023 TPictureAdapter.Update 003f @IntfCast 004d TPicture.SetGraphic 0069 TObject.Free 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC C6 40 18 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 C0 18 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 59 59 5D C3 00 00 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_755_0 {
	meta:
		name = "TPictureAdapter.GetOlePicture"
		size = 564
		refs = "0033 _Dn_TBitmap 0038 @IsClass 004f TBitmap.Create 005a TPictureAdapter.GetOlePicture 0079 TBitmap.ReleaseHandle 0084 TBitmap.ReleasePalette 00a0 TObject.Free 00a6 @HandleFinally 00b0 _Dn_TIcon 00c7 TPicture.GetIcon 00cc TIcon.GetHandle 00e3 _Dn_TMetafile 00fc TMetafile.Create 0118 TPicture.GetWidth 012d TPicture.GetHeight 0143 _Dn_TMetafileCanvas 0148 TMetafileCanvas.Create 016f TCanvas.Draw 0194 TMetafile.ReleaseHandle 01bf TPicture.GetMetafile 01c4 TMetafile.GetHandle 01cf @IntfClear 01e4 OleCreatePictureIndirect 01e9 OleCheck 01f6 TCustomAdapter.ConnectOleObject 0209 @IntfCast"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 55 F8 89 45 FC 8B 45 FC 83 78 0C 00 0F 85 DF 01 00 00 C6 45 F7 00 C7 45 D4 14 00 00 00 8B 45 FC 8B 70 1C 8B 5E 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C C7 45 D8 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 50 04 8B 45 EC 8B 08 FF 51 08 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 45 EC E8 ?? ?? ?? ?? 89 45 E0 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B C7 45 D8 03 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC E9 F3 00 00 00 C7 45 D8 04 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 C8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 40 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 34 6A 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 40 04 50 33 C9 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 F8 E8 ?? ?? ?? ?? 50 8A 45 F7 F6 D8 1B C9 BA ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB 81 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_756_0 {
	meta:
		name = "TPictureAdapter.SetOlePicture"
		size = 19
		refs = "0006 TCustomAdapter.ConnectOleObject"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_757_0 {
	meta:
		name = "TOleGraphic.Assign"
		size = 49
		refs = "000a _DV_TOleGraphic 000f @IsClass 001e @IntfCopy 002a TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_759_0 {
	meta:
		name = "TOleGraphic.Draw"
		size = 271
		refs = "001f TCanvas.Lock 0027 TOleGraphic.Draw 0035 TCanvas.GetHandle 0051 SelectPalette 0059 RealizePalette 008c PlayEnhMetaFile 0099 TOleGraphic.GetMMHeight 00a3 TOleGraphic.GetMMWidth 00d8 OleCheck 00fc TCanvas.Unlock 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B D8 83 7B 18 00 0F 84 ED 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 24 8B F8 C6 45 F7 00 85 FF 74 15 6A FF 57 56 E8 ?? ?? ?? ?? 8B F8 56 E8 ?? ?? ?? ?? C6 45 F7 01 8D 45 F4 50 8B 43 18 50 8B 00 FF 50 14 66 83 7D F4 04 75 1D 8D 45 F0 50 8B 43 18 50 8B 00 FF 50 0C 8B 45 F8 50 8B 45 F0 50 56 E8 ?? ?? ?? ?? EB 4A 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? F7 D8 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B 45 F8 8B 40 0C 50 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 56 8B 43 18 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 80 7D F7 00 74 09 6A FF 57 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_760_0 {
	meta:
		name = "TOleGraphic.GetEmpty"
		size = 41
	strings:
		$1 = { 53 51 8B D8 83 7B 18 00 74 1A 54 8B 43 18 50 8B 00 FF 50 14 85 C0 75 0C 66 83 3C 24 00 7E 05 33 C0 5A 5B C3 B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_761_0 {
	meta:
		name = "HIMETRICtoDP"
		size = 70
		refs = "0012 GetDC 001c SetMapMode 0034 LPtoDP 003c ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B DA 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 03 56 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 F7 5B 04 6A 01 53 56 E8 ?? ?? ?? ?? 56 6A 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_762_0 {
	meta:
		name = "TOleGraphic.GetHeight"
		size = 46
		refs = "0009 TOleGraphic.GetMMHeight 0016 Point 0021 HIMETRICtoDP"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4C 24 08 33 C0 E8 ?? ?? ?? ?? 8D 44 24 08 8B D4 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_763_0 {
	meta:
		name = "TOleGraphic.GetMMHeight"
		size = 27
	strings:
		$1 = { 51 33 D2 89 14 24 83 78 18 00 74 0A 54 8B 40 18 50 8B 00 FF 50 1C 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_764_0 {
	meta:
		name = "TOleGraphic.GetMMWidth"
		size = 27
	strings:
		$1 = { 51 33 D2 89 14 24 83 78 18 00 74 0A 54 8B 40 18 50 8B 00 FF 50 18 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_765_0 {
	meta:
		name = "TOleGraphic.GetPalette"
		size = 26
	strings:
		$1 = { 51 33 D2 83 78 18 00 74 0D 54 8B 40 18 50 8B 00 FF 50 10 8B 14 24 8B C2 5A C3 }
	condition:
		$1
}

rule function_766_0 {
	meta:
		name = "TOleGraphic.GetTransparent"
		size = 30
	strings:
		$1 = { 51 33 D2 83 78 18 00 74 11 54 8B 40 18 50 8B 00 FF 50 40 F6 04 24 02 0F 95 C2 8B C2 5A C3 }
	condition:
		$1
}

rule function_767_0 {
	meta:
		name = "TOleGraphic.GetWidth"
		size = 43
		refs = "0009 TOleGraphic.GetMMWidth 0014 Point 001f HIMETRICtoDP"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 08 33 D2 E8 ?? ?? ?? ?? 8D 44 24 08 8B D4 E8 ?? ?? ?? ?? 8B 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_768_0 {
	meta:
		name = "InvalidOperation"
		size = 24
		refs = "0008 _Dn_EInvalidGraphicOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11950_0 {
	meta:
		name = "ArgError"
		size = 24
		refs = "0008 _DV_EInvalidArgument 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18370_0 {
	meta:
		name = "ConvertError"
		size = 24
		refs = "0008 _DV_EConvertError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6988_0 {
	meta:
		name = "DbiError"
		size = 24
		refs = "0008 _DV_EDBEngineError 000d EDBEngineError.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12081_0 {
	meta:
		name = "Error"
		size = 24
		refs = "0008 _DV_EMenuError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9320_0 {
	meta:
		name = "InvalidGraphic"
		size = 24
		refs = "0008 _DV_EInvalidGraphic 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9560_0 {
	meta:
		name = "InvalidOp"
		size = 24
		refs = "0008 _DV_EInvalidGridOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9319_0 {
	meta:
		name = "InvalidOperation"
		size = 24
		refs = "0008 _DV_EInvalidGraphicOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15272_0 {
	meta:
		name = "RaiseError"
		size = 24
		refs = "0008 _DV_EPrinter 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6523_0 {
	meta:
		name = "RaiseGridError"
		size = 24
		refs = "0008 _Dn_EInvalidGridOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1945_0 {
	meta:
		name = "ReadError"
		size = 24
		refs = "0008 _DV_EReadError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2299_0 {
	meta:
		name = "TabControlError"
		size = 24
		refs = "0008 _Dn_EListError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7498_0 {
	meta:
		name = "TableError"
		size = 24
		refs = "0008 _Dn_Exception 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2497_0 {
	meta:
		name = "TreeViewError"
		size = 24
		refs = "0008 _DV_ETreeViewError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_769_0 {
	meta:
		name = "TOleGraphic.SetHeight"
		size = 72
		refs = "0009 TOleGraphic.SetHeight 0017 SOleGraphic 001c LoadResString 0024 InvalidOperation 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12082_0 {
	meta:
		name = "IndexError"
		size = 72
		refs = "0009 IndexError 0017 SMenuIndexError 001c LoadResString 0024 Error 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9321_0 {
	meta:
		name = "InvalidBitmap"
		size = 72
		refs = "0009 InvalidBitmap 0017 SInvalidBitmap 001c LoadResString 0024 InvalidGraphic 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9322_0 {
	meta:
		name = "InvalidIcon"
		size = 72
		refs = "0009 InvalidIcon 0017 SInvalidIcon 001c LoadResString 0024 InvalidGraphic 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9323_0 {
	meta:
		name = "InvalidMetafile"
		size = 72
		refs = "0009 InvalidMetafile 0017 SInvalidMetafile 001c LoadResString 0024 InvalidGraphic 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1946_0 {
	meta:
		name = "PropValueError"
		size = 72
		refs = "0009 PropValueError 0017 SInvalidPropertyValue 001c LoadResString 0024 ReadError 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1947_0 {
	meta:
		name = "PropertyNotFound"
		size = 72
		refs = "0009 PropertyNotFound 0017 SUnknownProperty 001c LoadResString 0024 ReadError 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9537_0 {
	meta:
		name = "TIcon.SetHeight"
		size = 72
		refs = "0009 TIcon.SetHeight 0017 SChangeIconSize 001c LoadResString 0024 InvalidOperation 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9539_0 {
	meta:
		name = "TIcon.SetWidth"
		size = 72
		refs = "0009 TIcon.SetWidth 0017 SChangeIconSize 001c LoadResString 0024 InvalidOperation 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_11718_0 {
	meta:
		name = "TJPEGImage.SetHeight"
		size = 72
		refs = "0009 TJPEGImage.SetHeight 0017 sChangeJPGSize 001c LoadResString 0024 InvalidOperation 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_11724_0 {
	meta:
		name = "TJPEGImage.SetWidth"
		size = 72
		refs = "0009 TJPEGImage.SetWidth 0017 sChangeJPGSize 001c LoadResString 0024 InvalidOperation 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_771_0 {
	meta:
		name = "TOleGraphic.SetWidth"
		size = 72
		refs = "0009 TOleGraphic.SetWidth 0017 SOleGraphic 001c LoadResString 0024 InvalidOperation 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9843_0 {
	meta:
		name = "TStringGridStrings.Delete"
		size = 72
		refs = "0009 TStringGridStrings.Delete 0017 SInvalidStringGridOp 001c LoadResString 0024 InvalidOp 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_770_0 {
	meta:
		name = "TOleGraphic.SetPalette"
		size = 30
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 74 0F 56 8B 43 18 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_773_0 {
	meta:
		name = "TOleGraphic.LoadFromStream"
		size = 80
		refs = "0007 TOleGraphic.LoadFromStream 000f @IntfClear 001b _Dn_TStreamAdapter 0020 TStreamAdapter.Create 0031 OleLoadPicture 0036 OleCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 50 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 EC 83 C9 FF 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_774_0 {
	meta:
		name = "TOleGraphic.SaveToStream"
		size = 132
		refs = "000f TOleGraphic.SaveToStream 0022 _Dn_TStreamAdapter 0027 TStreamAdapter.Create 003f @IntfCast 004d OleCheck 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 EC 50 8D 45 FC 8B 53 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 09 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_775_0 {
	meta:
		name = "TOleGraphic.LoadFromClipboardFormat"
		size = 76
		refs = "000a TOleGraphic.LoadFromClipboardFormat 0018 SOleGraphic 001d LoadResString 0025 InvalidOperation 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9541_0 {
	meta:
		name = "TIcon.LoadFromClipboardFormat"
		size = 76
		refs = "000a TIcon.LoadFromClipboardFormat 0018 SIconToClipboard 001d LoadResString 0025 InvalidOperation 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9542_0 {
	meta:
		name = "TIcon.SaveToClipboardFormat"
		size = 76
		refs = "000a TIcon.SaveToClipboardFormat 0018 SIconToClipboard 001d LoadResString 0025 InvalidOperation 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_776_0 {
	meta:
		name = "TOleGraphic.SaveToClipboardFormat"
		size = 76
		refs = "000a TOleGraphic.SaveToClipboardFormat 0018 SOleGraphic 001d LoadResString 0025 InvalidOperation 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_777_0 {
	meta:
		name = "_NF__837"
		size = 137
		refs = "0007 TStringsEnumerator.Next 0011 TStringsEnumerator.Skip 001b TStringsEnumerator.Reset 0025 TStringsEnumerator.Clone 003c TAggregatedObject._AddRef 0046 TAggregatedObject._Release 004d _NF__837"
	strings:
		$1 = { CC 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC 8B 44 24 04 8B 00 FF 20 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 01 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_778_0 {
	meta:
		name = "TStringsEnumerator.Create"
		size = 69
		refs = "000b @ClassCreate 001c TAggregatedObject.Create 0026 @IntfCopy 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 10 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_779_0 {
	meta:
		name = "TStringsEnumerator.Next"
		size = 193
		refs = "0018 TStringsEnumerator.Next 002a @VarClr 003a @CheckAutoResult 0045 @VarToWStr 004d @WStrToPWChar 00aa @WStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 7D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB EB 35 8D 45 EC E8 ?? ?? ?? ?? 50 53 8B 46 10 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 10 89 04 9A 43 FF 46 0C 3B FB 7E 1A 8D 45 E8 50 8B 46 10 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E8 3B 46 0C 7F AD 83 7D 14 00 74 05 8B 45 14 89 18 3B FB 75 04 33 DB EB 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_780_0 {
	meta:
		name = "TStringsEnumerator.Skip"
		size = 85
		refs = "001a @CheckAutoResult"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8D 45 FC 50 8B 43 10 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 0C 03 D6 3B C2 7C 07 01 73 0C 33 C0 EB 1D 8D 45 FC 50 8B 43 10 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 FC 89 43 0C B8 01 00 00 00 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_781_0 {
	meta:
		name = "TStringsEnumerator.Reset"
		size = 17
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 0C 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_782_0 {
	meta:
		name = "TStringsEnumerator.Clone"
		size = 102
		refs = "0018 TStringsEnumerator.Clone 0028 _DV_TStringsEnumerator 002d TStringsEnumerator.Create 003e @IntfCopy 004f @HandleAnyException 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_783_0 {
	meta:
		name = "TStringsAdapter.Create"
		size = 168
		refs = "0010 @ClassCreate 001e TStringsAdapter.Create 002c @IntfClear 0038 LIBID_StdVCL 003e LoadRegTypeLib 0043 OleCheck 0054 TAutoIntfObject.Create 0072 @HandleFinally 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 01 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 00 00 00 E2 DF 05 EE 49 55 D0 11 9E A9 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_784_0 {
	meta:
		name = "TDimension.SetRange"
		size = 4
		altNames = "TStringsAdapter.ReferenceStrings"
	strings:
		$1 = { 89 50 2C C3 }
	condition:
		$1
}

rule function_785_0 {
	meta:
		name = "TStringsAdapter.ReleaseStrings"
		size = 6
	strings:
		$1 = { 33 D2 89 50 2C C3 }
	condition:
		$1
}

rule function_786_0 {
	meta:
		name = "TStringsAdapter.Get_ControlDefault"
		size = 98
		refs = "0025 TStringsAdapter.Get_ControlDefault 0033 @VarClr 003e TStringsAdapter.Get_Item 0043 @CheckAutoResult 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 8B 55 10 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_787_0 {
	meta:
		name = "TStringsAdapter.Set_ControlDefault"
		size = 94
		refs = "000d @VarAddRef 0016 TStringsAdapter.Set_ControlDefault 0032 TStringsAdapter.Set_Item 0037 @CheckAutoResult 0049 @HandleAutoException 0051 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_788_0 {
	meta:
		name = "TStringsAdapter.Count"
		size = 74
		refs = "0011 TStringsAdapter.Count 003d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B 7B 2C 85 FF 74 09 8B C7 8B 10 FF 52 14 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_789_0 {
	meta:
		name = "TStringsAdapter.Get_Item"
		size = 152
		refs = "0029 TStringsAdapter.Get_Item 0038 Null 003d @OleVarFromVar 005c @WStrFromLStr 0067 @VarFromWStr 0079 @HandleAutoException 0081 @LStrClr 0089 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 8B 55 10 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 2C 85 F6 74 23 8D 4D F8 8B 55 0C 8B C6 8B 18 FF 53 0C 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_790_0 {
	meta:
		name = "TStringsAdapter.Set_Item"
		size = 109
		refs = "000f @VarAddRef 0018 TStringsAdapter.Set_Item 0030 @VarToLStr 004f @HandleAutoException 0057 @LStrClr 005f @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 2C 85 F6 74 18 8D 45 FC 8D 55 10 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 0C 8B C6 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_791_0 {
	meta:
		name = "TStringsAdapter.Remove"
		size = 68
		refs = "000e TStringsAdapter.Remove 0037 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 70 2C 85 F6 74 0A 8B 55 0C 8B C6 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_792_0 {
	meta:
		name = "TStringsAdapter.Clear"
		size = 65
		refs = "000e TStringsAdapter.Clear 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 70 2C 85 F6 74 07 8B C6 8B 10 FF 52 40 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_793_0 {
	meta:
		name = "TStringsAdapter.Add"
		size = 117
		refs = "0012 @VarAddRef 001b TStringsAdapter.Add 0039 @VarToLStr 0057 @HandleAutoException 005f @LStrClr 0067 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 1C 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 FF FF FF FF 8B 7B 2C 85 FF 74 17 8D 45 FC 8D 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 34 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_794_0 {
	meta:
		name = "TStringsAdapter._NewEnum"
		size = 100
		refs = "0019 TStringsAdapter._NewEnum 002f _DV_TStringsEnumerator 0034 TStringsEnumerator.Create 0045 @IntfCopy 0057 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 85 C9 74 03 83 E9 CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_795_0 {
	meta:
		name = "GetOleStrings"
		size = 88
		refs = "0009 @IntfClear 001c _DV_TStringsAdapter 0021 TStringsAdapter.Create 0031 TStrings.SetStringsAdapter 003b GetOleStrings 0040 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 33 83 7B 08 00 75 1E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 E2 DF 05 EE 49 55 D0 11 9E A9 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_796_0 {
	meta:
		name = "SetOleStrings"
		size = 242
		refs = "0019 @IntfAddRef 0021 SetOleStrings 0039 TStrings.BeginUpdate 0061 @CheckAutoResult 0074 @VarClr 008f @VarToLStr 00b3 TStrings.EndUpdate 00b9 @HandleFinally 00d8 @LStrClr 00e0 @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 8A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8D 45 F4 50 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 5D F4 4B 85 DB 7C 35 43 33 F6 8D 45 E0 E8 ?? ?? ?? ?? 50 56 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 34 46 4B 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_797_0 {
	meta:
		name = "InitOlePro32"
		size = 292
		refs = "000a SetErrorMode 0015 InitOlePro32 0021 OlePro32DLL 002e LoadLibrary 004c GetProcAddress 0051 _OleCreatePropertyFrame 0066 _OleCreateFontIndirect 007b _OleCreatePictureIndirect 0090 _OleLoadPicture 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 68 00 80 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 6C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 54 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 00 00 00 6F 6C 65 70 72 6F 33 32 2E 64 6C 6C 00 00 00 00 4F 6C 65 43 72 65 61 74 65 50 72 6F 70 65 72 74 79 46 72 61 6D 65 00 00 4F 6C 65 43 72 65 61 74 65 46 6F 6E 74 49 6E 64 69 72 65 63 74 00 00 00 4F 6C 65 43 72 65 61 74 65 50 69 63 74 75 72 65 49 6E 64 69 72 65 63 74 00 00 00 00 4F 6C 65 4C 6F 61 64 50 69 63 74 75 72 65 00 00 }
	condition:
		$1
}

rule function_798_0 {
	meta:
		name = "OleCreatePropertyFrame"
		size = 66
		refs = "0006 _OleCreatePropertyFrame"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 2B 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 8B 5D 20 53 8B 5D 24 53 51 52 50 FF 15 ?? ?? ?? ?? EB 05 B8 FF FF 00 80 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_799_0 {
	meta:
		name = "OleCreateFontIndirect"
		size = 25
		refs = "0002 _OleCreateFontIndirect"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A 51 52 50 FF 15 ?? ?? ?? ?? C3 B8 FF FF 00 80 C3 }
	condition:
		$1
}

rule function_800_0 {
	meta:
		name = "OleCreatePictureIndirect"
		size = 38
		refs = "0006 _OleCreatePictureIndirect"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0F 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? EB 05 B8 FF FF 00 80 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_801_0 {
	meta:
		name = "OleLoadPicture"
		size = 111
		refs = "0011 @IntfAddRef 0019 OleLoadPicture 0025 _OleLoadPicture 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 18 8B 45 08 50 8B 45 0C 50 56 53 8B 45 FC 50 FF 15 ?? ?? ?? ?? 8B D8 EB 05 BB FF FF 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_802_0 {
	meta:
		name = "Finalization"
		size = 94
		refs = "0007 Finalization 0013 _DV_02 001b xParkingWindow 002f SendMessage 0035 OlePro32DLL 0043 FreeLibrary 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2E 83 3D ?? ?? ?? ?? 00 74 11 6A 00 6A 00 6A 10 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_803_0 {
	meta:
		name = "AxCtrls"
		size = 35
		refs = "0002 _DV_02 000a _DV_TOleGraphic 0014 _Dn_TPicture 0019 TPicture.RegisterFileFormat 001e InitOlePro32"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 19 A1 ?? ?? ?? ?? 50 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_804_0 {
	meta:
		name = "TAxisIncrement.FormShow"
		size = 463
		refs = "000d TAxisIncrement.FormShow 0018 Screen 0021 TScreen.SetCursor 0032 TControl.SetVisible 007c TeeMsg_EnterDateTime 0081 LoadResString 0088 TAxisIncrement.SetEditText 00a7 TCustomRadioGroup.SetItemIndex 00ba TCustomComboBox.SetItemIndex 00c7 TControl.SetText 0142 @LStrClr 0157 FloatToStr 0185 TControl.SetTop 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8A 93 E0 02 00 00 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 83 B8 F8 01 00 00 00 0F 94 C2 8B 83 DC 02 00 00 8B 08 FF 51 60 8A 93 E1 02 00 00 8B 83 DC 02 00 00 8B 08 FF 91 BC 00 00 00 80 BB E0 02 00 00 00 0F 84 9C 00 00 00 8B 83 CC 02 00 00 8D 50 74 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB E1 02 00 00 00 74 56 80 BB EC 02 00 00 19 74 4D 33 D2 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8A 93 EC 02 00 00 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 CC 02 00 00 8B 08 FF 51 60 8B 83 C8 02 00 00 8B 10 FF 92 B4 00 00 00 E9 C2 00 00 00 BA 01 00 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? E9 9F 00 00 00 33 D2 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 83 C0 74 E8 ?? ?? ?? ?? DD 83 E4 02 00 00 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 8B 70 34 8B 93 D8 02 00 00 2B 72 34 8B 93 D0 02 00 00 8B 52 34 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 8B 50 34 2B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 8B 10 FF 92 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_805_0 {
	meta:
		name = "TAxisIncrement.SetEditText"
		size = 344
		refs = "0011 TAxisIncrement.SetEditText 002d DateTimeStep 003a TimeToStr 0048 TControl.SetText 006d @INT 007c FloatToStr 0095 @FRAC 00b0 TControl.GetText 00e2 @LStrCatN 012a @LStrArrayClr 0132 @LStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 E4 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 77 25 A1 ?? ?? ?? ?? FF 70 04 FF 30 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? E9 C3 00 00 00 DD 83 E4 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 0F 82 8C 00 00 00 DD 83 E4 02 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? DD 83 E4 02 00 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 74 70 8D 55 F4 8B B3 CC 02 00 00 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? DD 83 E4 02 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 22 FF B3 E8 02 00 00 FF B3 E4 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 80 3F FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_806_0 {
	meta:
		name = "TAxisIncrement.RadioGroup1Click"
		size = 230
		refs = "006e TCustomComboBox.SetItemIndex 00d2 TAxisIncrement.SetEditText"
	strings:
		$1 = { 53 8B D8 8B 83 C4 02 00 00 8B 80 F8 01 00 00 83 E8 01 72 07 74 7B E9 C9 00 00 00 33 D2 8B 83 CC 02 00 00 8B 08 FF 51 60 B2 01 8B 83 DC 02 00 00 8B 08 FF 91 BC 00 00 00 C6 83 E1 02 00 00 01 B2 01 8B 83 DC 02 00 00 8B 08 FF 51 60 B2 01 8B 83 C8 02 00 00 8B 08 FF 51 60 8A 83 EC 02 00 00 3C 19 74 11 33 D2 8A D0 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 10 FF 92 B4 00 00 00 5B C3 33 D2 8B 83 DC 02 00 00 8B 08 FF 51 60 33 D2 8B 83 DC 02 00 00 8B 08 FF 91 BC 00 00 00 C6 83 E1 02 00 00 00 33 D2 8B 83 C8 02 00 00 8B 08 FF 51 60 B2 01 8B 83 CC 02 00 00 8B 08 FF 51 60 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 8B 10 FF 92 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_807_0 {
	meta:
		name = "TAxisIncrement.BitBtn1Click"
		size = 608
		refs = "001e TAxisIncrement.BitBtn1Click 0062 TCustomComboBox.GetItemIndex 006b DateTimeStep 0097 TControl.GetText 00a4 AnsiPos 00d1 StrToTime 00ed @HandleOnException 00f5 _Dn_Exception 0112 StrToFloat 0121 @DoneExcept 014b @LStrCopy 01ee TeeMsg_IncorrectMaxMinValue 01f3 LoadResString 020c Format 0214 ShowMessage 0233 @LStrArrayClr 0246 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D F8 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 E0 02 00 00 00 0F 84 53 01 00 00 8B 45 FC 8B 80 C4 02 00 00 83 B8 F8 01 00 00 00 75 32 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 4D FC 8B 1C C2 89 99 E4 02 00 00 8B 5C C2 04 89 99 E8 02 00 00 E9 32 01 00 00 8D 55 F8 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 7C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC DD 98 E4 02 00 00 9B 33 C0 5A 59 59 64 89 10 E9 D0 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC DD 98 E4 02 00 00 9B E8 ?? ?? ?? ?? E9 92 00 00 00 8D 45 F8 50 8D 55 F4 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B CB 49 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 7D E8 9B 8D 45 F8 50 8D 55 F4 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 53 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 6D E8 DE C1 8B 45 FC DD 98 E4 02 00 00 9B EB 23 8D 55 F8 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC DD 98 E4 02 00 00 9B 8B 45 FC C7 80 2C 02 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 4A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 43 04 89 45 D8 C6 45 DC 0B 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_808_0 {
	meta:
		name = "TAxisIncrement.CBExactClick"
		size = 83
		refs = "002a TCustomRadioGroup.SetItemIndex 003e TAxisIncrement.SetEditText"
	strings:
		$1 = { 53 56 8B F0 8B 86 DC 02 00 00 8B 10 FF 92 B8 00 00 00 8B D8 88 9E E1 02 00 00 84 DB 75 32 BA 01 00 00 00 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 CC 02 00 00 8B 08 FF 51 60 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 10 FF 92 B4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_809_0 {
	meta:
		name = "TAxisIncrement.CBStepsChange"
		size = 22
		refs = "000a TCustomComboBox.GetItemIndex"
	strings:
		$1 = { 53 8B D8 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 88 83 EC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_812_0 {
	meta:
		name = "TAxisMaxMin.FormShow"
		size = 316
		refs = "000c TAxisMaxMin.FormShow 0017 Screen 0020 TScreen.SetCursor 004e DateToStr 005c TControl.SetText 006b TControl.SetVisible 008c TimeToStr 00aa @LStrClr 00c0 TeeMsg_AxisDlgValue 00c5 LoadResString 00e8 FloatToStr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 80 BB DC 02 00 00 00 74 73 DD 83 E0 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 72 24 FF B3 E4 02 00 00 FF B3 E0 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? EB 1A 33 D2 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? FF B3 E4 02 00 00 FF B3 E0 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? EB 74 8B 83 CC 02 00 00 83 C0 74 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 83 C0 74 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? DD 83 E0 02 00 00 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_813_0 {
	meta:
		name = "TAxisMaxMin.BitBtn1Click"
		size = 352
		refs = "0015 TAxisMaxMin.BitBtn1Click 0048 TControl.GetText 006e @LStrCatN 0076 StrToDateTime 0095 StrToTime 00b4 StrToFloat 00d4 @HandleOnException 00dc _Dn_Exception 00ee TeeMsg_IncorrectMaxMinValue 00f3 LoadResString 010c Format 0114 ShowMessage 0119 @DoneExcept 0133 @LStrArrayClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB DC 02 00 00 00 74 6C 8B B3 CC 02 00 00 80 7E 47 00 74 41 8D 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 9B E0 02 00 00 9B EB 3C 8D 55 FC 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 9B E0 02 00 00 9B EB 1D 8D 55 FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 9B E0 02 00 00 9B C7 83 2C 02 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 4A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 04 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_814_0 {
	meta:
		name = "TAxisMaxMin.BitBtn2Click"
		size = 11
		altNames = "TChartEditForm.BCloseClick"
	strings:
		$1 = { C7 80 2C 02 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_817_0 {
	meta:
		name = "TBarSeriesEditor.FormShow"
		size = 319
		refs = "000d TBarSeriesEditor.FormShow 0018 Screen 0021 TScreen.SetCursor 003f TCustomComboBox.SetItemIndex 0051 TCustomUpDown.SetPosition 008c FloatToStr 009a TControl.SetText 00be TCustomRadioGroup.SetItemIndex 0112 TBarSeriesEditor.RefreshShape 012e @LStrClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 1C 03 00 00 8B F0 33 D2 8A 96 EC 00 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 66 8B 96 F0 00 00 00 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 66 8B 96 FC 00 00 00 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 8A 96 01 01 00 00 8B 83 DC 02 00 00 8B 08 FF 91 BC 00 00 00 DD 86 04 01 00 00 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8A 96 01 01 00 00 8B 83 E0 02 00 00 8B 08 FF 51 60 33 D2 8A 96 F9 00 00 00 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 8A 56 2C 8B 83 04 03 00 00 8B 08 FF 91 BC 00 00 00 8A 96 E0 00 00 00 8B 83 0C 03 00 00 8B 08 FF 91 BC 00 00 00 8A 96 F8 00 00 00 8B 83 F4 02 00 00 8B 08 FF 91 BC 00 00 00 8A 96 00 01 00 00 8B 83 F8 02 00 00 8B 08 FF 91 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 18 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_818_0 {
	meta:
		name = "TBarSeriesEditor.RefreshShape"
		size = 80
		refs = "0016 TControl.SetVisible 004a TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 1C 03 00 00 8A 50 2C 80 F2 01 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8B 83 00 03 00 00 8A 50 47 8B 83 08 03 00 00 8B 08 FF 51 60 8B 83 00 03 00 00 80 78 47 00 74 14 8B 93 1C 03 00 00 8B 52 28 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_819_0 {
	meta:
		name = "TBarSeriesEditor.SEBarwidthChange"
		size = 39
		refs = "0013 TCustomUpDown.GetPosition 0021 TCustomBarSeries.SetBarWidthPercent"
	strings:
		$1 = { 53 8B D8 80 BB 18 03 00 00 00 75 19 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_820_0 {
	meta:
		name = "TBarSeriesEditor.CBYOriginClick"
		size = 93
		refs = "0023 TCustomBarSeries.SetUseYOrigin"
	strings:
		$1 = { 53 8B D8 80 BB 18 03 00 00 00 75 4F 8B 83 DC 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8B 83 1C 03 00 00 8A 90 01 01 00 00 8B 83 E0 02 00 00 8B 08 FF 51 60 8B 83 E0 02 00 00 8B 10 FF 52 50 84 C0 74 0E 8B 83 E0 02 00 00 8B 10 FF 92 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_821_0 {
	meta:
		name = "TBarSeriesEditor.EYOriginChange"
		size = 124
		refs = "000c TBarSeriesEditor.EYOriginChange 0029 TControl.GetText 0045 StrToFloat 0057 TCustomBarSeries.SetYOrigin 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 18 03 00 00 00 75 3C 8D 55 FC 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 28 8D 55 FC 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_822_0 {
	meta:
		name = "TBarSeriesEditor.CBBarStyleChange"
		size = 38
		refs = "0013 TCustomComboBox.GetItemIndex 0020 TCustomBarSeries.SetBarStyle"
	strings:
		$1 = { 53 8B D8 80 BB 18 03 00 00 00 75 18 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_823_0 {
	meta:
		name = "TBarSeriesEditor.BBarPenClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 1C 03 00 00 8B 92 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_824_0 {
	meta:
		name = "TBarSeriesEditor.BBarBrushClick"
		size = 18
		refs = "000d EditChartBrush"
	strings:
		$1 = { 8B 90 1C 03 00 00 8B 92 E4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_825_0 {
	meta:
		name = "TBarSeriesEditor.RGMultiBarClick"
		size = 33
		refs = "001c TCustomBarSeries.SetMultiBar"
	strings:
		$1 = { 80 B8 18 03 00 00 00 75 17 8B 90 E4 02 00 00 8A 92 F8 01 00 00 8B 80 1C 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_826_0 {
	meta:
		name = "TBarSeriesEditor.CBColorEachClick"
		size = 48
		refs = "002a TBarSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 8B D8 80 BB 18 03 00 00 00 75 22 8B 83 04 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 1C 03 00 00 8B 08 FF 51 78 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_827_0 {
	meta:
		name = "TBarSeriesEditor.BBarColorClick"
		size = 58
		refs = "0010 EditColor 0033 TBarSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 56 8B D8 8B B3 1C 03 00 00 8B 56 28 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 80 00 00 00 33 D2 8B 83 04 03 00 00 8B 08 FF 91 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_828_0 {
	meta:
		name = "TBarSeriesEditor.CBDarkBarClick"
		size = 41
		refs = "0023 TCustomBarSeries.SetDark3d"
	strings:
		$1 = { 53 8B D8 80 BB 18 03 00 00 00 75 1B 8B 83 F4 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_829_0 {
	meta:
		name = "TBarSeriesEditor.CBBarSideMarginsClick"
		size = 41
		refs = "0023 TCustomBarSeries.SetSideMargins"
	strings:
		$1 = { 53 8B D8 80 BB 18 03 00 00 00 75 1B 8B 83 F8 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_830_0 {
	meta:
		name = "TBarSeriesEditor.SEBarOffsetChange"
		size = 39
		refs = "0013 TCustomUpDown.GetPosition 0021 TCustomBarSeries.SetOffsetPercent"
	strings:
		$1 = { 53 8B D8 80 BB 18 03 00 00 00 75 19 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_832_0 {
	meta:
		name = "TBarSeriesEditor.CBMarksAutoPositionClick"
		size = 32
		refs = "001a TCustomBarSeries.SetAutoMarkPosition"
	strings:
		$1 = { 53 8B D8 8B 83 0C 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_833_0 {
	meta:
		name = "TBarSeriesEditor.FormCreate"
		size = 8
	strings:
		$1 = { C6 80 18 03 00 00 01 C3 }
	condition:
		$1
}

rule function_836_0 {
	meta:
		name = "ErrCat"
		size = 7
		altNames = "HiByte"
	strings:
		$1 = { 0F B7 C0 C1 E8 08 C3 }
	condition:
		$1
}

rule function_837_0 {
	meta:
		name = "ErrCode"
		size = 5
	strings:
		$1 = { 66 25 FF 00 C3 }
	condition:
		$1
}

rule function_838_0 {
	meta:
		name = "DbiInit"
		size = 21
		refs = "000d DbiInitFn"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 68 F4 01 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_839_0 {
	meta:
		name = "_DF_"
		size = 6184
		refs = "000b _DF_ 0010 _DV_ 0028 __LOADFUNC"
	strings:
		$1 = { 57 56 52 0F B7 C0 8B D0 03 C0 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 89 57 04 66 8B 14 06 0F B7 D2 89 57 08 8B C7 5A 5E 5F 50 E8 ?? ?? ?? ?? A9 00 00 FF FF 74 01 50 C3 EB C9 66 B8 00 00 EB F8 66 B8 01 00 EB F2 66 B8 02 00 EB EC 66 B8 03 00 EB E6 66 B8 04 00 EB E0 66 B8 05 00 EB DA 66 B8 06 00 EB D4 66 B8 07 00 EB CE 66 B8 08 00 EB C8 66 B8 09 00 EB C2 66 B8 0A 00 EB BC 66 B8 0B 00 EB B6 66 B8 0C 00 EB B0 66 B8 0D 00 EB AA 66 B8 0E 00 EB A4 66 B8 0F 00 EB 9E 66 B8 10 00 EB 98 66 B8 11 00 EB 92 66 B8 12 00 EB 8C 66 B8 13 00 EB 86 E9 4C FF FF FF 66 B8 14 00 EB F5 66 B8 15 00 EB EF 66 B8 16 00 EB E9 66 B8 17 00 EB E3 66 B8 18 00 EB DD 66 B8 19 00 EB D7 66 B8 1A 00 EB D1 66 B8 1B 00 EB CB 66 B8 1C 00 EB C5 66 B8 1D 00 EB BF 66 B8 1E 00 EB B9 66 B8 1F 00 EB B3 66 B8 20 00 EB AD 66 B8 21 00 EB A7 66 B8 22 00 EB A1 66 B8 23 00 EB 9B 66 B8 24 00 EB 95 66 B8 25 00 EB 8F 66 B8 26 00 EB 89 66 B8 27 00 EB 83 E9 CF FE FF FF 66 B8 28 00 EB F5 66 B8 29 00 EB EF 66 B8 2A 00 EB E9 66 B8 2B 00 EB E3 66 B8 2C 00 EB DD 66 B8 2D 00 EB D7 66 B8 2E 00 EB D1 66 B8 2F 00 EB CB 66 B8 30 00 EB C5 66 B8 31 00 EB BF 66 B8 32 00 EB B9 66 B8 33 00 EB B3 66 B8 34 00 EB AD 66 B8 35 00 EB A7 66 B8 36 00 EB A1 66 B8 37 00 EB 9B 66 B8 38 00 EB 95 66 B8 39 00 EB 8F 66 B8 3A 00 EB 89 66 B8 3B 00 EB 83 E9 52 FE FF FF 66 B8 3C 00 EB F5 66 B8 3D 00 EB EF 66 B8 3E 00 EB E9 66 B8 3F 00 EB E3 66 B8 40 00 EB DD 66 B8 41 00 EB D7 66 B8 42 00 EB D1 66 B8 43 00 EB CB 66 B8 44 00 EB C5 66 B8 45 00 EB BF 66 B8 46 00 EB B9 66 B8 47 00 EB B3 66 B8 48 00 EB AD 66 B8 49 00 EB A7 66 B8 4A 00 EB A1 66 B8 4B 00 EB 9B 66 B8 4C 00 EB 95 66 B8 4D 00 EB 8F 66 B8 4E 00 EB 89 66 B8 4F 00 EB 83 E9 D5 FD FF FF 66 B8 50 00 EB F5 66 B8 51 00 EB EF 66 B8 52 00 EB E9 66 B8 53 00 EB E3 66 B8 54 00 EB DD 66 B8 55 00 EB D7 66 B8 56 00 EB D1 66 B8 57 00 EB CB 66 B8 58 00 EB C5 66 B8 59 00 EB BF 66 B8 5A 00 EB B9 66 B8 5B 00 EB B3 66 B8 5C 00 EB AD 66 B8 5D 00 EB A7 66 B8 5E 00 EB A1 66 B8 5F 00 EB 9B 66 B8 60 00 EB 95 66 B8 61 00 EB 8F 66 B8 62 00 EB 89 66 B8 63 00 EB 83 E9 58 FD FF FF 66 B8 64 00 EB F5 66 B8 65 00 EB EF 66 B8 66 00 EB E9 66 B8 67 00 EB E3 66 B8 68 00 EB DD 66 B8 69 00 EB D7 66 B8 6A 00 EB D1 66 B8 6B 00 EB CB 66 B8 6C 00 EB C5 66 B8 6D 00 EB BF 66 B8 6E 00 EB B9 66 B8 6F 00 EB B3 66 B8 70 00 EB AD 66 B8 71 00 EB A7 66 B8 72 00 EB A1 66 B8 73 00 EB 9B 66 B8 74 00 EB 95 66 B8 75 00 EB 8F 66 B8 76 00 EB 89 66 B8 77 00 EB 83 E9 DB FC FF FF 66 B8 78 00 EB F5 66 B8 79 00 EB EF 66 B8 7A 00 EB E9 66 B8 7B 00 EB E3 66 B8 7C 00 EB DD 66 B8 7D 00 EB D7 66 B8 7E 00 EB D1 66 B8 7F 00 EB CB 66 B8 80 00 EB C5 66 B8 81 00 EB BF 66 B8 82 00 EB B9 66 B8 83 00 EB B3 66 B8 84 00 EB AD 66 B8 85 00 EB A7 66 B8 86 00 EB A1 66 B8 87 00 EB 9B 66 B8 88 00 EB 95 66 B8 89 00 EB 8F 66 B8 8A 00 EB 89 66 B8 8B 00 EB 83 E9 5E FC FF FF 66 B8 8C 00 EB F5 66 B8 8D 00 EB EF 66 B8 8E 00 EB E9 66 B8 8F 00 EB E3 66 B8 90 00 EB DD 66 B8 91 00 EB D7 66 B8 92 00 EB D1 66 B8 93 00 EB CB 66 B8 94 00 EB C5 66 B8 95 00 EB BF 66 B8 96 00 EB B9 66 B8 97 00 EB B3 66 B8 98 00 EB AD 66 B8 99 00 EB A7 66 B8 9A 00 EB A1 66 B8 9B 00 EB 9B 66 B8 9C 00 EB 95 66 B8 9D 00 EB 8F 66 B8 9E 00 EB 89 66 B8 9F 00 EB 83 E9 E1 FB FF FF 66 B8 A0 00 EB F5 66 B8 A1 00 EB EF 66 B8 A2 00 EB E9 66 B8 A3 00 EB E3 66 B8 A4 00 EB DD 66 B8 A5 00 EB D7 66 B8 A6 00 EB D1 66 B8 A7 00 EB CB 66 B8 A8 00 EB C5 66 B8 A9 00 EB BF 66 B8 AA 00 EB B9 66 B8 AB 00 EB B3 66 B8 AC 00 EB AD 66 B8 AD 00 EB A7 66 B8 AE 00 EB A1 66 B8 AF 00 EB 9B 66 B8 B0 00 EB 95 66 B8 B1 00 EB 8F 66 B8 B2 00 EB 89 66 B8 B3 00 EB 83 E9 64 FB FF FF 66 B8 B4 00 EB F5 66 B8 B5 00 EB EF 66 B8 B6 00 EB E9 66 B8 B7 00 EB E3 66 B8 B8 00 EB DD 66 B8 B9 00 EB D7 66 B8 BA 00 EB D1 66 B8 BB 00 EB CB 66 B8 BC 00 EB C5 66 B8 BD 00 EB BF 66 B8 BE 00 EB B9 66 B8 BF 00 EB B3 66 B8 C0 00 EB AD 66 B8 C1 00 EB A7 66 B8 C2 00 EB A1 66 B8 C3 00 EB 9B 66 B8 C4 00 EB 95 66 B8 C5 00 EB 8F 66 B8 C6 00 EB 89 66 B8 C7 00 EB 83 E9 E7 FA FF FF 66 B8 C8 00 EB F5 66 B8 C9 00 EB EF 66 B8 CA 00 EB E9 66 B8 CB 00 EB E3 66 B8 CC 00 EB DD 66 B8 CD 00 EB D7 66 B8 CE 00 EB D1 66 B8 CF 00 EB CB 66 B8 D0 00 EB C5 66 B8 D1 00 EB BF 66 B8 D2 00 EB B9 66 B8 D3 00 EB B3 66 B8 D4 00 EB AD 66 B8 D5 00 EB A7 66 B8 D6 00 EB A1 66 B8 D7 00 EB 9B 66 B8 D8 00 EB 95 66 B8 D9 00 EB 8F 66 B8 DA 00 EB 89 66 B8 DB 00 EB 83 E9 6A FA FF FF 66 B8 DC 00 EB F5 66 B8 DD 00 EB EF 66 B8 DE 00 EB E9 66 B8 DF 00 EB E3 66 B8 E0 00 EB DD 66 B8 E1 00 EB D7 66 B8 E2 00 EB D1 66 B8 E3 00 EB CB 66 B8 E4 00 EB C5 66 B8 E5 00 EB BF 66 B8 E6 00 EB B9 66 B8 E7 00 EB B3 66 B8 E8 00 EB AD 66 B8 E9 00 EB A7 66 B8 EA 00 EB A1 66 B8 EB 00 EB 9B 66 B8 EC 00 EB 95 66 B8 ED 00 EB 8F 66 B8 EE 00 EB 89 66 B8 EF 00 EB 83 E9 ED F9 FF FF 66 B8 F0 00 EB F5 66 B8 F1 00 EB EF 66 B8 F2 00 EB E9 66 B8 F3 00 EB E3 66 B8 F4 00 EB DD 66 B8 F5 00 EB D7 66 B8 F6 00 EB D1 66 B8 F7 00 EB CB 66 B8 F8 00 EB C5 66 B8 F9 00 EB BF 66 B8 FA 00 EB B9 66 B8 FB 00 EB B3 66 B8 FC 00 EB AD 66 B8 FD 00 EB A7 66 B8 FE 00 EB A1 66 B8 FF 00 EB 9B 66 B8 00 01 EB 95 66 B8 01 01 EB 8F 66 B8 02 01 EB 89 66 B8 03 01 EB 83 E9 70 F9 FF FF 66 B8 04 01 EB F5 66 B8 05 01 EB EF 66 B8 06 01 EB E9 66 B8 07 01 EB E3 66 B8 08 01 EB DD 66 B8 09 01 EB D7 66 B8 0A 01 EB D1 66 B8 0B 01 EB CB 66 B8 0C 01 EB C5 66 B8 0D 01 EB BF 66 B8 0E 01 EB B9 66 B8 0F 01 EB B3 66 B8 10 01 EB AD 66 B8 11 01 EB A7 66 B8 12 01 EB A1 66 B8 13 01 EB 9B 66 B8 14 01 EB 95 66 B8 15 01 EB 8F 66 B8 16 01 EB 89 66 B8 17 01 EB 83 E9 F3 F8 FF FF 66 B8 18 01 EB F5 66 B8 19 01 EB EF 66 B8 1A 01 EB E9 66 B8 1B 01 EB E3 66 B8 1C 01 EB DD 66 B8 1D 01 EB D7 66 B8 1E 01 EB D1 66 B8 1F 01 EB CB 66 B8 20 01 EB C5 66 B8 21 01 EB BF 66 B8 22 01 EB B9 66 B8 23 01 EB B3 66 B8 24 01 EB AD 66 B8 25 01 EB A7 66 B8 26 01 EB A1 66 B8 27 01 EB 9B 66 B8 28 01 EB 95 66 B8 29 01 EB 8F 66 B8 2A 01 EB 89 66 B8 2B 01 EB 83 E9 76 F8 FF FF 66 B8 2C 01 EB F5 66 B8 2D 01 EB EF 66 B8 2E 01 EB E9 66 B8 2F 01 EB E3 66 B8 30 01 EB DD 66 B8 31 01 EB D7 66 B8 32 01 EB D1 66 B8 33 01 EB CB 66 B8 34 01 EB C5 66 B8 35 01 EB BF 66 B8 36 01 EB B9 66 B8 37 01 EB B3 66 B8 38 01 EB AD 66 B8 39 01 EB A7 66 B8 3A 01 EB A1 66 B8 3B 01 EB 9B 66 B8 3C 01 EB 95 66 B8 3D 01 EB 8F 66 B8 3E 01 EB 89 66 B8 3F 01 EB 83 E9 F9 F7 FF FF 66 B8 40 01 EB F5 66 B8 41 01 EB EF 66 B8 42 01 EB E9 66 B8 43 01 EB E3 66 B8 44 01 EB DD 66 B8 45 01 EB D7 66 B8 46 01 EB D1 66 B8 47 01 EB CB 66 B8 48 01 EB C5 66 B8 49 01 EB BF 66 B8 4A 01 EB B9 66 B8 4B 01 EB B3 66 B8 4C 01 EB AD 66 B8 4D 01 EB A7 66 B8 4E 01 EB A1 66 B8 4F 01 EB 9B 66 B8 50 01 EB 95 66 B8 51 01 EB 8F 66 B8 52 01 EB 89 66 B8 53 01 EB 83 E9 7C F7 FF FF 66 B8 54 01 EB F5 66 B8 55 01 EB EF 66 B8 56 01 EB E9 66 B8 57 01 EB E3 66 B8 58 01 EB DD 66 B8 59 01 EB D7 66 B8 5A 01 EB D1 66 B8 5B 01 EB CB 66 B8 5C 01 EB C5 66 B8 5D 01 EB BF 66 B8 5E 01 EB B9 66 B8 5F 01 EB B3 66 B8 60 01 EB AD 66 B8 61 01 EB A7 66 B8 62 01 EB A1 66 B8 63 01 EB 9B 66 B8 64 01 EB 95 66 B8 65 01 EB 8F 66 B8 66 01 EB 89 66 B8 67 01 EB 83 E9 FF F6 FF FF 66 B8 68 01 EB F5 66 B8 69 01 EB EF 66 B8 6A 01 EB E9 66 B8 6B 01 EB E3 66 B8 6C 01 EB DD 66 B8 6D 01 EB D7 66 B8 6E 01 EB D1 66 B8 6F 01 EB CB 66 B8 70 01 EB C5 66 B8 71 01 EB BF 66 B8 72 01 EB B9 66 B8 73 01 EB B3 66 B8 74 01 EB AD 66 B8 75 01 EB A7 66 B8 76 01 EB A1 66 B8 77 01 EB 9B 66 B8 78 01 EB 95 66 B8 79 01 EB 8F 66 B8 7A 01 EB 89 66 B8 7B 01 EB 83 E9 82 F6 FF FF 66 B8 7C 01 EB F5 66 B8 7D 01 EB EF 66 B8 7E 01 EB E9 66 B8 7F 01 EB E3 66 B8 80 01 EB DD 66 B8 81 01 EB D7 66 B8 82 01 EB D1 66 B8 83 01 EB CB 66 B8 84 01 EB C5 66 B8 85 01 EB BF 66 B8 86 01 EB B9 66 B8 87 01 EB B3 66 B8 88 01 EB AD 66 B8 89 01 EB A7 66 B8 8A 01 EB A1 66 B8 8B 01 EB 9B 66 B8 8C 01 EB 95 66 B8 8D 01 EB 8F 66 B8 8E 01 EB 89 66 B8 8F 01 EB 83 E9 05 F6 FF FF 66 B8 90 01 EB F5 66 B8 91 01 EB EF 66 B8 92 01 EB E9 66 B8 93 01 EB E3 66 B8 94 01 EB DD 66 B8 95 01 EB D7 66 B8 96 01 EB D1 66 B8 97 01 EB CB 66 B8 98 01 EB C5 66 B8 99 01 EB BF 66 B8 9A 01 EB B9 66 B8 9B 01 EB B3 66 B8 9C 01 EB AD 66 B8 9D 01 EB A7 66 B8 9E 01 EB A1 66 B8 9F 01 EB 9B 66 B8 A0 01 EB 95 66 B8 A1 01 EB 8F 66 B8 A2 01 EB 89 66 B8 A3 01 EB 83 E9 88 F5 FF FF 66 B8 A4 01 EB F5 66 B8 A5 01 EB EF 66 B8 A6 01 EB E9 66 B8 A7 01 EB E3 66 B8 A8 01 EB DD 66 B8 A9 01 EB D7 66 B8 AA 01 EB D1 66 B8 AB 01 EB CB 66 B8 AC 01 EB C5 66 B8 AD 01 EB BF 66 B8 AE 01 EB B9 66 B8 AF 01 EB B3 66 B8 B0 01 EB AD 66 B8 B1 01 EB A7 66 B8 B2 01 EB A1 66 B8 B3 01 EB 9B 66 B8 B4 01 EB 95 66 B8 B5 01 EB 8F 66 B8 B6 01 EB 89 66 B8 B7 01 EB 83 E9 0B F5 FF FF 66 B8 B8 01 EB F5 66 B8 B9 01 EB EF 66 B8 BA 01 EB E9 66 B8 BB 01 EB E3 66 B8 BC 01 EB DD 66 B8 BD 01 EB D7 66 B8 BE 01 EB D1 66 B8 BF 01 EB CB 66 B8 C0 01 EB C5 66 B8 C1 01 EB BF 66 B8 C2 01 EB B9 66 B8 C3 01 EB B3 66 B8 C4 01 EB AD 66 B8 C5 01 EB A7 66 B8 C6 01 EB A1 66 B8 C7 01 EB 9B 66 B8 C8 01 EB 95 66 B8 C9 01 EB 8F 66 B8 CA 01 EB 89 66 B8 CB 01 EB 83 E9 8E F4 FF FF 66 B8 CC 01 EB F5 66 B8 CD 01 EB EF 66 B8 CE 01 EB E9 66 B8 CF 01 EB E3 66 B8 D0 01 EB DD 66 B8 D1 01 EB D7 66 B8 D2 01 EB D1 66 B8 D3 01 EB CB 66 B8 D4 01 EB C5 66 B8 D5 01 EB BF 66 B8 D6 01 EB B9 66 B8 D7 01 EB B3 66 B8 D8 01 EB AD 66 B8 D9 01 EB A7 66 B8 DA 01 EB A1 66 B8 DB 01 EB 9B 66 B8 DC 01 EB 95 66 B8 DD 01 EB 8F 66 B8 DE 01 EB 89 66 B8 DF 01 EB 83 E9 11 F4 FF FF 66 B8 E0 01 EB F5 66 B8 E1 01 EB EF 66 B8 E2 01 EB E9 66 B8 E3 01 EB E3 66 B8 E4 01 EB DD 66 B8 E5 01 EB D7 66 B8 E6 01 EB D1 66 B8 E7 01 EB CB 66 B8 E8 01 EB C5 66 B8 E9 01 EB BF 66 B8 EA 01 EB B9 66 B8 EB 01 EB B3 66 B8 EC 01 EB AD 66 B8 ED 01 EB A7 66 B8 EE 01 EB A1 66 B8 EF 01 EB 9B 66 B8 F0 01 EB 95 66 B8 F1 01 EB 8F 66 B8 F2 01 EB 89 66 B8 F3 01 EB 83 E9 94 F3 FF FF 66 B8 F4 01 EB F5 66 B8 F5 01 EB EF 66 B8 F6 01 EB E9 66 B8 F7 01 EB E3 66 B8 F8 01 EB DD 66 B8 F9 01 EB D7 66 B8 FA 01 EB D1 66 B8 FB 01 EB CB 66 B8 FC 01 EB C5 66 B8 FD 01 EB BF 66 B8 FE 01 EB B9 66 B8 FF 01 EB B3 66 B8 00 02 EB AD 66 B8 01 02 EB A7 66 B8 02 02 EB A1 66 B8 03 02 EB 9B 66 B8 04 02 EB 95 66 B8 05 02 EB 8F 66 B8 06 02 EB 89 66 B8 07 02 EB 83 E9 17 F3 FF FF 66 B8 08 02 EB F5 66 B8 09 02 EB EF 66 B8 0A 02 EB E9 66 B8 0B 02 EB E3 66 B8 0C 02 EB DD 66 B8 0D 02 EB D7 66 B8 0E 02 EB D1 66 B8 0F 02 EB CB 66 B8 10 02 EB C5 66 B8 11 02 EB BF 66 B8 12 02 EB B9 66 B8 13 02 EB B3 66 B8 14 02 EB AD 66 B8 15 02 EB A7 66 B8 16 02 EB A1 66 B8 17 02 EB 9B 66 B8 18 02 EB 95 66 B8 19 02 EB 8F 66 B8 1A 02 EB 89 66 B8 1B 02 EB 83 E9 9A F2 FF FF 66 B8 1C 02 EB F5 66 B8 1D 02 EB EF 66 B8 1E 02 EB E9 66 B8 1F 02 EB E3 66 B8 20 02 EB DD 66 B8 21 02 EB D7 66 B8 22 02 EB D1 66 B8 23 02 EB CB 66 B8 24 02 EB C5 66 B8 25 02 EB BF 66 B8 26 02 EB B9 66 B8 27 02 EB B3 66 B8 28 02 EB AD 66 B8 29 02 EB A7 66 B8 2A 02 EB A1 66 B8 2B 02 EB 9B 66 B8 2C 02 EB 95 66 B8 2D 02 EB 8F 66 B8 2E 02 EB 89 66 B8 2F 02 EB 83 E9 1D F2 FF FF 66 B8 30 02 EB F5 66 B8 31 02 EB EF 66 B8 32 02 EB E9 66 B8 33 02 EB E3 66 B8 34 02 EB DD 66 B8 35 02 EB D7 66 B8 36 02 EB D1 66 B8 37 02 EB CB 66 B8 38 02 EB C5 66 B8 39 02 EB BF 66 B8 3A 02 EB B9 66 B8 3B 02 EB B3 66 B8 3C 02 EB AD 66 B8 3D 02 EB A7 66 B8 3E 02 EB A1 66 B8 3F 02 EB 9B 66 B8 40 02 EB 95 66 B8 41 02 EB 8F 66 B8 42 02 EB 89 66 B8 43 02 EB 83 E9 A0 F1 FF FF 66 B8 44 02 EB F5 66 B8 45 02 EB EF 66 B8 46 02 EB E9 66 B8 47 02 EB E3 66 B8 48 02 EB DD 66 B8 49 02 EB D7 66 B8 4A 02 EB D1 66 B8 4B 02 EB CB 66 B8 4C 02 EB C5 66 B8 4D 02 EB BF 66 B8 4E 02 EB B9 66 B8 4F 02 EB B3 66 B8 50 02 EB AD 66 B8 51 02 EB A7 66 B8 52 02 EB A1 66 B8 53 02 EB 9B 66 B8 54 02 EB 95 66 B8 55 02 EB 8F 66 B8 56 02 EB 89 66 B8 57 02 EB 83 E9 23 F1 FF FF 66 B8 58 02 EB F5 66 B8 59 02 EB EF 66 B8 5A 02 EB E9 66 B8 5B 02 EB E3 66 B8 5C 02 EB DD 66 B8 5D 02 EB D7 66 B8 5E 02 EB D1 66 B8 5F 02 EB CB 66 B8 60 02 EB C5 66 B8 61 02 EB BF 66 B8 62 02 EB B9 66 B8 63 02 EB B3 66 B8 64 02 EB AD 66 B8 65 02 EB A7 66 B8 66 02 EB A1 66 B8 67 02 EB 9B 66 B8 68 02 EB 95 66 B8 69 02 EB 8F 66 B8 6A 02 EB 89 66 B8 6B 02 EB 83 E9 A6 F0 FF FF 66 B8 6C 02 EB F5 66 B8 6D 02 EB EF 66 B8 6E 02 EB E9 66 B8 6F 02 EB E3 66 B8 70 02 EB DD 66 B8 71 02 EB D7 66 B8 72 02 EB D1 66 B8 73 02 EB CB 66 B8 74 02 EB C5 66 B8 75 02 EB BF 66 B8 76 02 EB B9 66 B8 77 02 EB B3 66 B8 78 02 EB AD 66 B8 79 02 EB A7 66 B8 7A 02 EB A1 66 B8 7B 02 EB 9B 66 B8 7C 02 EB 95 66 B8 7D 02 EB 8F 66 B8 7E 02 EB 89 66 B8 7F 02 EB 83 E9 29 F0 FF FF 66 B8 80 02 EB F5 66 B8 81 02 EB EF 66 B8 82 02 EB E9 66 B8 83 02 EB E3 66 B8 84 02 EB DD 66 B8 85 02 EB D7 66 B8 86 02 EB }
	condition:
		$1
}

rule function_1147_0 {
	meta:
		name = "_DF_"
		size = 1233
		refs = "00a7 IsDBCSLeadByte 00d0 GetCurrentDirectoryA 00e4 FatalAppExitA 014b GlobalAlloc 0151 GlobalLock 016d FindFirstFileA 0178 FindClose 01a0 _DV_ 01aa RegOpenKeyExA 01cd RegQueryValueExA 01dd RegCloseKey 01f9 InitializeCriticalSection 0222 DeleteCriticalSection 023b InterlockedIncrement 0249 CreateMutexA 0263 InterlockedDecrement 026d ReleaseMutex 027b CloseHandle 0285 EnterCriticalSection 02a3 LeaveCriticalSection 02c1 SetErrorMode 030c LoadLibraryA 0347 SearchPathA 036e GetLastError 039e __APIINFOTABLE 03a8 __APIINFOTABLEEND 0468 GetModuleHandleA"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 45 0C 80 38 00 74 0A 8A 08 40 8A 1A 42 3A CB 74 F1 80 38 00 75 0C 80 3A 00 75 07 B8 01 00 00 00 EB 02 33 C0 5B 5D C2 08 00 55 8B EC 53 56 57 8B 75 08 8B 55 0C 8B 4D 10 66 85 F6 74 2E 33 C0 EB 0F 0F B7 D8 8D 3C 19 0F B7 D8 8A 1C 1A 88 1F 40 0F B7 D8 80 3C 1A 00 74 0B 0F B7 D8 0F B7 FE 4F 3B DF 7C DD 0F B7 C0 C6 04 01 00 5F 5E 5B 5D C2 0C 00 55 8B EC 53 56 57 8B 7D 08 8B 75 0C 83 C8 FF 33 DB 3B FB 7E 2E 8A 14 1E 84 D2 75 05 83 C8 FF EB 22 48 75 07 B8 02 00 00 00 EB 13 52 E8 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 43 3B FB 7F D2 5F 5E 5B 5D C2 08 00 55 8B EC 53 8B 5D 0C 53 FF 75 08 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 08 00 55 8B EC FF 75 08 6A 00 E8 ?? ?? ?? ?? 5D C2 04 00 55 8B EC 53 56 8B 75 10 8B DE 8B 45 0C 33 D2 EB 08 8A 08 40 43 88 4B FF 42 80 38 00 75 F3 3B F3 74 1A 80 7B FF 5C 75 10 56 0F BF C2 48 50 E8 5B FF FF FF 83 F8 02 75 04 C6 03 5C 43 8B 45 08 EB 07 8A 10 40 43 88 53 FF 80 38 00 75 F4 C6 03 00 5E 5B 5D C2 0C 00 55 8B EC FF 75 08 6A 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C2 04 00 55 8B EC 81 C4 C0 FE FF FF 8D 85 C0 FE FF FF 50 FF 75 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0D 50 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 8B E5 5D C2 04 00 55 8B EC 83 C4 F8 53 33 DB 8D 45 FC 50 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 31 0F B7 55 08 89 55 F8 8D 4D F8 51 FF 75 0C 6A 00 6A 00 68 ?? ?? ?? ?? FF 75 FC E8 ?? ?? ?? ?? 85 C0 74 04 66 BB 04 2A FF 75 FC E8 ?? ?? ?? ?? EB 04 66 BB 04 2A 8B C3 5B 59 59 5D C2 08 00 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 5D C3 55 8B EC 83 3D ?? ?? ?? ?? 00 74 11 33 C0 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 55 8B EC 53 83 3D ?? ?? ?? ?? 00 75 4A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 6A 00 E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 93 FF FF FF 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 53 E8 ?? ?? ?? ?? EB 0C 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 5B 5D C3 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 55 8B EC 81 C4 F0 FC FF FF 53 56 57 8B 5D 08 8B 75 0C 68 00 80 00 00 E8 ?? ?? ?? ?? 8B F8 85 DB 74 04 8B C3 EB 17 8D 95 F8 FE FF FF 52 68 04 01 00 00 E8 E4 FD FF FF 8D 85 F8 FE FF FF 8D 95 F0 FC FF FF 52 50 56 E8 F8 FD FF FF 8D 8D F0 FC FF FF 51 E8 59 FE FF FF 85 C0 74 12 8D 85 F0 FC FF FF 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 5C 8D 85 F4 FD FF FF 50 68 04 01 00 00 E8 64 FE FF FF 66 85 C0 75 35 8D 55 FC 52 8D 8D F0 FC FF FF 51 68 04 01 00 00 6A 00 56 8D 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 12 8D 95 F0 FC FF FF 52 E8 ?? ?? ?? ?? 8B D8 85 DB 75 11 56 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 8B 45 08 5D C2 04 00 55 8B EC 5D C2 04 00 55 8B EC 53 56 57 8B 75 08 BF ?? ?? ?? ?? E8 81 FE FF FF B8 ?? ?? ?? ?? 2B C7 B9 30 00 00 00 33 D2 F7 F1 33 DB 3B C3 76 11 8B D3 03 D2 8D 14 52 3B 34 D7 74 05 43 3B C3 77 EF 3B C3 76 64 33 F6 EB 20 8B C3 C1 E0 04 8D 04 40 03 C7 50 56 8B D3 03 D2 8D 14 52 8B 4C D7 2A FF 34 B1 E8 C6 00 00 00 46 8B C3 03 C0 8D 04 40 0F B7 54 C7 04 3B F2 72 D0 8B CB C1 E1 04 8D 0C 49 03 CF 51 E8 6D FF FF FF 8B D3 03 D2 8D 14 52 33 C9 89 0C D0 8B D3 03 D2 8D 14 52 66 C7 44 D0 2E 00 00 50 E8 57 FF FF FF E8 CE FD FF FF 5F 5E 5B 5D C2 04 00 55 8B EC 51 53 56 57 8B 7D 08 33 C0 89 45 FC 57 E8 2C FF FF FF 8B D8 85 DB 75 06 66 B8 01 25 EB 50 8D 57 06 52 E8 ?? ?? ?? ?? 8B F0 85 F6 75 24 83 C7 06 57 6A 00 E8 2C FE FF FF 8B F0 85 F6 75 0C 53 E8 04 FF FF FF 66 B8 0A 21 EB 24 C7 45 FC 01 00 00 00 89 33 66 8B 55 FC 66 09 53 2E 53 E8 E7 FE FF FF 56 68 ?? ?? ?? ?? E8 15 02 00 00 33 C0 5F 5E 5B 59 5D C2 04 00 55 8B EC 8B 45 10 8B 50 26 8B 4D 0C 8B 45 08 89 04 8A 5D C2 0C 00 }
	condition:
		$1
}

rule function_1148_0 {
	meta:
		name = "__LOADFUNC"
		size = 661
		refs = "0040 GetProcAddress 007e __APIINFOTABLE 0090 __APIINFOTABLEEND 00ce FreeLibrary 01c3 _DV_ 0264 GetLastError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B 1E 8B 7E 04 E8 44 FD FF FF 85 C0 75 07 B8 06 2A 00 00 EB 42 83 3B 00 75 12 53 E8 48 FF FF FF 66 85 C0 74 07 0F B7 D0 8B C2 EB 2B 66 8B 46 08 0F B7 D0 52 FF 33 E8 ?? ?? ?? ?? 8B F0 85 F6 75 07 B8 4F 27 00 00 EB 0F 53 57 56 E8 91 FF FF FF E8 62 FD FF FF 8B C6 5F 5E 5B 5D C2 04 00 55 8B EC E8 B0 FC FF FF B8 01 00 00 00 5D C3 55 8B EC 51 53 56 57 BF ?? ?? ?? ?? E8 D0 FC FF FF 85 C0 0F 84 B5 00 00 00 B8 ?? ?? ?? ?? 2B C7 B9 30 00 00 00 33 D2 F7 F1 89 45 FC 33 DB 3B 5D FC 73 63 8B C3 03 C0 8D 04 40 8B 34 C7 85 F6 74 1B 56 E8 6E 01 00 00 8B C3 03 C0 8D 04 40 66 83 7C C7 2E 00 74 06 56 E8 ?? ?? ?? ?? 33 F6 EB 20 8B C3 C1 E0 04 8D 04 40 03 C7 50 56 8B D3 03 D2 8D 14 52 8B 4C D7 2A FF 34 B1 E8 F5 FE FF FF 46 8B C3 03 C0 8D 04 40 0F B7 54 C7 04 3B F2 72 D0 43 3B 5D FC 72 9D 57 E8 A0 FD FF FF 33 DB 3B 5D FC 73 20 8B D3 03 D2 8D 14 52 33 C9 89 0C D0 8B D3 03 D2 8D 14 52 66 C7 44 D0 2E 00 00 43 3B 5D FC 72 E0 50 E8 7D FD FF FF E8 F4 FB FF FF 5F 5E 5B 59 5D C3 55 8B EC 53 56 57 8B 75 0C 56 FF 75 08 E8 D3 F9 FF FF 85 C0 74 0A B8 01 00 00 00 E9 84 00 00 00 B8 ?? ?? ?? ?? 2D ?? ?? ?? ?? B9 30 00 00 00 33 D2 F7 F1 8B F8 33 DB 3B FB 76 67 8B C3 C1 E0 04 8D 04 40 05 ?? ?? ?? ?? 50 56 E8 96 F9 FF FF 85 C0 75 4A 8B D3 03 D2 8D 14 52 83 3C D5 ?? ?? ?? ?? 00 74 04 33 C0 EB 3C 68 ?? ?? ?? ?? E8 F6 FC FF FF 8B D8 85 DB 75 0A 68 ?? ?? ?? ?? E8 3E FA FF FF 8D 43 06 50 FF 75 08 6A 20 E8 86 F9 FF FF 53 E8 DC FC FF FF B8 01 00 00 00 EB 07 43 3B FB 77 99 33 C0 5F 5E 5B 5D C2 08 00 55 8B EC 83 C4 F4 68 ?? ?? ?? ?? FF 75 0C E8 ?? ?? ?? ?? 66 C7 45 F4 01 00 C7 45 F6 ?? ?? ?? ?? 8B 55 08 89 55 FA 85 C0 74 06 8D 4D F4 51 FF D0 8B E5 5D C2 08 00 55 8B EC 53 8B 5D 08 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 04 FF D0 EB 16 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 07 68 ?? ?? ?? ?? FF D0 5B 5D C2 04 00 55 8B EC E8 ?? ?? ?? ?? 83 C0 FE 83 E8 02 72 11 83 E8 0A 74 12 83 E8 70 74 07 83 E8 23 74 02 EB 0C 66 B8 08 21 EB 0A 66 B8 01 25 EB 04 66 B8 09 21 5D C2 04 00 }
	condition:
		$1
}

rule function_1149_0 {
	meta:
		name = "DbiInitFn"
		size = 251
		refs = "0017 _DV_ 0075 GetProcAddress 00d8 FreeLibrary"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 D2 89 55 F8 33 FF 83 3D ?? ?? ?? ?? 00 75 40 68 ?? ?? ?? ?? 6A 00 E8 19 FB FF FF 8B D8 85 DB 75 0F 53 E8 95 FF FF FF 8B F0 33 DB E9 8D 00 00 00 C7 45 F8 01 00 00 00 E8 87 FD FF FF 85 C0 75 06 66 BE 01 25 EB 77 C7 45 FC 01 00 00 00 EB 06 8B 1D ?? ?? ?? ?? E8 59 FA FF FF BF 01 00 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 75 06 66 BE 06 2A EB 49 FF 75 0C 66 8B 55 08 52 FF D0 8B F0 66 85 F6 75 38 66 83 3D ?? ?? ?? ?? 00 75 12 68 ?? ?? ?? ?? E8 75 FB FF FF 89 18 50 E8 77 FB FF FF 68 ?? ?? ?? ?? E8 63 FB FF FF 66 FF 00 50 E8 64 FB FF FF E8 63 FA FF FF 33 C0 EB 26 85 DB 74 0C 83 7D F8 00 74 06 53 E8 ?? ?? ?? ?? 83 7D FC 00 74 05 E8 FA FC FF FF 85 FF 74 05 E8 3B FA FF FF 8B C6 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1150_0 {
	meta:
		name = "DbiExit"
		size = 128
		refs = "0006 _DV_ 0011 GetProcAddress 0062 FreeLibrary"
	strings:
		$1 = { 55 8B EC 53 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 66 B8 4F 27 EB 5B FF D3 66 85 C0 75 54 66 83 3D ?? ?? ?? ?? 00 76 48 68 ?? ?? ?? ?? E8 E6 FA FF FF 8B D8 85 DB 74 03 66 FF 0B 66 83 3D ?? ?? ?? ?? 00 75 25 68 ?? ?? ?? ?? E8 C9 FA FF FF 8B F0 FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 04 33 C0 89 06 56 E8 B8 FA FF FF 53 E8 B2 FA FF FF 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1151_0 {
	meta:
		name = "DbiDLLExit"
		size = 100
		refs = "0008 __APIINFOTABLEEND 000d __APIINFOTABLE 0033 INFO_IDAPI32 005e DbiGetSysVersion"
	strings:
		$1 = { 55 8B EC 53 56 33 F6 B8 ?? ?? ?? ?? 2D ?? ?? ?? ?? B9 30 00 00 00 33 D2 F7 F1 85 C0 74 07 E8 43 FC FF FF EB 2D E8 1D F9 FF FF 85 C0 75 04 8B C6 EB 22 BB ?? ?? ?? ?? 8B 03 85 C0 74 10 50 E8 D8 FD FF FF 33 D2 89 13 66 C7 43 2E 00 00 E8 D6 F8 FF FF 8B C6 5E 5B 5D C3 55 8B EC 6A 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_1156_0 {
	meta:
		name = "GetObjectContext"
		size = 136
		refs = "0015 GetObjectContext 0040 @HandleAnyException 0045 @DoneExcept 0056 @IntfCopy 0060 @IntfClear 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1158_0 {
	meta:
		name = "BdeMts"
		size = 31
		refs = "0002 _DV_1 000a GetObjectContextProc 001a GetObjectContext"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1187_0 {
	meta:
		name = "BdeProv"
		size = 31
		refs = "0002 _DV_2 000a CreateProviderProc 001a CreateProvider"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1159_0 {
	meta:
		name = "CreateProvider"
		size = 45
		refs = "000c _DV_TProvider 0011 TProvider.Create 0025 TProvider.SetDataSet"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 8B 08 FF 51 38 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1160_0 {
	meta:
		name = "TCachedQuery.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TQuery.Create 001e _Dn_TList 0023 TObject.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 40 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1161_0 {
	meta:
		name = "TCachedQuery.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000e TCachedQuery.ClearStatements 0019 TObject.Free 0025 TQuery.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 40 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1162_0 {
	meta:
		name = "TCachedQuery.GetStatementHandle"
		size = 65
		refs = "000c TCachedQuery.GetStmtInfo 001e TQuery.GetStatementHandle 0028 @LStrFromPChar"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 46 04 85 C0 75 1E 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 46 08 8B D7 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 89 46 04 EB 06 89 83 50 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1164_0 {
	meta:
		name = "TCachedQuery.ClearStatements"
		size = 98
		refs = "001f TList.Get 002f TQuery.FreeStatement 0042 TStmtInfo 0047 @Dispose 005a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 40 02 00 00 8B 78 08 4F 85 FF 7C 3C 47 33 F6 8B D6 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 8B 40 04 89 83 50 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 C7 8B 83 40 02 00 00 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1165_0 {
	meta:
		name = "GetHashCode"
		size = 105
		refs = "0013 StrLen"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 DB BE 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 F8 10 7D 1B 48 83 F8 00 7C 3F 33 D2 8A 14 37 6B CB 25 03 D1 8B DA 46 48 83 F8 FF 75 ED EB 2A 8B D0 85 D2 79 03 83 C2 07 C1 FA 03 89 55 FC 48 85 C0 7C 16 33 D2 8A 14 37 6B CB 27 03 D1 8B DA 2B 45 FC 03 75 FC 85 C0 7D EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1166_0 {
	meta:
		name = "TCachedQuery.GetStmtInfo"
		size = 180
		refs = "0016 GetHashCode 0038 TList.Get 004a @LStrToPChar 0052 AnsiStrIComp 006d TStmtInfo 0077 @New 008a TList.Add 009a @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B E8 33 C0 89 44 24 04 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 08 8B 85 40 02 00 00 8B 70 08 4E 85 F6 7C 38 46 33 FF 8B 85 40 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 03 3B 44 24 08 75 1A 8B 43 08 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 CB 83 7C 24 04 00 75 3D 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 89 44 24 04 8B 85 40 02 00 00 8B 54 24 04 E8 ?? ?? ?? ?? 8B 44 24 04 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 44 24 04 8B 54 24 08 89 10 8B 44 24 04 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1167_0 {
	meta:
		name = "TProvider.Create"
		size = 105
		refs = "000e @ClassCreate 001c TDataSetProvider.Create 002c _DV_TCachedQuery 0031 TCachedQuery.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 80 00 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 00 00 00 C6 86 3D 02 00 00 00 C6 83 8C 00 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1168_0 {
	meta:
		name = "TProvider.GetDataSet"
		size = 12
		refs = "0006 TDataSetProvider.GetDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18486_0 {
	meta:
		name = "FormatClearStr"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1223_0 {
	meta:
		name = "TAttachments.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5363_0 {
	meta:
		name = "TCheckConstraints.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9914_0 {
	meta:
		name = "TCookieCollection.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3277_0 {
	meta:
		name = "TCoolBands.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13451_0 {
	meta:
		name = "TCubeDims.Add"
		size = 12
		refs = "0006 TDimensionItems.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6649_0 {
	meta:
		name = "TDBGridColumns.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6936_0 {
	meta:
		name = "TDataBindings.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12788_0 {
	meta:
		name = "TDimensionItems.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4921_0 {
	meta:
		name = "TFieldDefs.AddFieldDef"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7524_0 {
	meta:
		name = "THTMLTableColumns.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2467_0 {
	meta:
		name = "THeaderSections.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10593_0 {
	meta:
		name = "TIdCookieCollection.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10310_0 {
	meta:
		name = "TIdDNSQuestionList.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10317_0 {
	meta:
		name = "TIdDNSResourceList.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10357_0 {
	meta:
		name = "TIdEMailAddressList.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10479_0 {
	meta:
		name = "TIdGopherMenu.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5304_0 {
	meta:
		name = "TIndexDefs.AddIndexDef"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2885_0 {
	meta:
		name = "TListColumns.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1226_0 {
	meta:
		name = "TMailAddresses.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1216_0 {
	meta:
		name = "TMailBox.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13501_0 {
	meta:
		name = "TQueryDims.Add"
		size = 12
		refs = "0006 TDimensionItems.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2416_0 {
	meta:
		name = "TStatusPanels.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9975_0 {
	meta:
		name = "TWebActionItems.Add"
		size = 12
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12461_0 {
	meta:
		name = "mci_HMS_Second"
		size = 12
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12452_0 {
	meta:
		name = "mci_MSF_Frame"
		size = 12
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12456_0 {
	meta:
		name = "mci_TMSF_Second"
		size = 12
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1170_0 {
	meta:
		name = "TProvider.ApplyUpdates"
		size = 354
		refs = "0014 TProvider.GetDataSet 0028 TDBDataSet.GetDBSession 002e TSession.OpenDatabase 0041 TProvider.ApplyUpdates 0058 TDBDataSet.SetSessionName 0072 TDBDataSet.SetDatabaseName 0080 TDatabase.GetInTransaction 00ac TDatabase.StartTransaction 00cf TDataSetProvider.ApplyUpdates 0100 TDatabase.Commit 0110 TDatabase.Rollback 0116 @HandleFinally 0133 TCachedQuery.ClearStatements 014e TSession.CloseDatabase"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 80 10 02 00 00 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 88 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 56 4C 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 8B 50 50 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 34 01 88 45 F7 80 7D F7 00 74 21 8B 45 FC 8B 80 88 00 00 00 80 78 30 00 75 04 C6 40 28 00 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B D3 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 2E 8B 45 0C 8B 00 3B 45 F8 7E 06 83 7D F8 FF 75 10 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 88 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1171_0 {
	meta:
		name = "TProvider.GetUpdateException"
		size = 89
		refs = "0019 _Dn_EDBEngineError 001e @IsClass 002b EDBEngineError.GetError 003e _Dn_EUpdateError 0043 EUpdateError.Create 0050 TBaseProvider.GetUpdateException"
	strings:
		$1 = { 53 56 57 55 8B F1 8B DA 8B E8 85 F6 74 05 8B 7E 0C EB 02 33 FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 0F B7 40 04 50 57 53 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B CE 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1172_0 {
	meta:
		name = "TProvider.GetKeyFields"
		size = 347
		refs = "001c TProvider.GetKeyFields 0029 @LStrClr 0032 _Dn_TTable 0037 TTable.Create 0052 TTable.SetTableName 005c TDataSet.SetObjectView 006d TDBDataSet.SetSessionName 007e TDBDataSet.SetDatabaseName 008c TIndexDefs.Update 009a TCollection.GetCount 00b5 TIndexDefs.GetIndexDef 00d9 TIndexDef.GetFields 00ea ExtractFieldName 00f5 TDataSet.FindField 0105 @LStrLen 0129 TObject.Free 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 8B 50 4C 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 8B 50 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 75 40 89 45 F0 33 FF 8B 45 F8 8B 80 1C 02 00 00 8B D7 E8 ?? ?? ?? ?? F6 40 20 02 74 53 C7 45 F4 01 00 00 00 8B 45 F8 8B 80 1C 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 DB EB 21 8D 4D EC 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 0C 8B 06 E8 ?? ?? ?? ?? 3B 45 F4 7D D3 84 DB 75 06 47 FF 4D F0 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1173_0 {
	meta:
		name = "TProvider.ExecSQL"
		size = 183
		refs = "000d TProvider.ExecSQL 0045 TQuery.ExecSQL 0050 TQuery.GetRowsAffected 005b STooManyRecordsModified 0060 LoadResString 006a DatabaseError 0080 SRecordChanged 00a4 @LStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 84 00 00 00 8B 80 18 02 00 00 8B D1 8B 08 FF 51 08 8B 86 84 00 00 00 8B 80 20 02 00 00 8B 55 08 8B 08 FF 51 08 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 48 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 48 7D 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1174_0 {
	meta:
		name = "TProvider.GetValues"
		size = 175
		refs = "0045 TDataSet.Open 004d TProvider.GetValues 0070 _Dn_TPacketDataSet 0075 @AsClass 0083 TPacketDataSet.AssignCurValues 009e TDataSet.Close 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 84 00 00 00 8B 80 18 02 00 00 8B D1 8B 08 FF 51 08 8B 45 FC 8B 80 84 00 00 00 8B 80 20 02 00 00 8B 55 0C 8B 08 FF 51 08 8B 45 FC 8B 80 84 00 00 00 C6 80 35 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 84 00 00 00 8B 10 FF 92 F4 00 00 00 48 75 1C 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1175_0 {
	meta:
		name = "TProvider.SetResolveToDataSet"
		size = 36
		refs = "0017 TBaseProvider.FreeResolver"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 80 00 00 00 74 0D 83 7E 38 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 9E 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1176_0 {
	meta:
		name = "TProvider.Reset"
		size = 58
		refs = "0006 TDataSetProvider.Reset 000d TProvider.GetDataSet 001d TDataSet.GetActive 0034 DbiForceReread"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1177_0 {
	meta:
		name = "TProvider.CreateResolver"
		size = 70
		refs = "0011 _Dn_TDataSetResolver 0016 TDataSetResolver.Create 0024 TProvider.ExecSQL 002f TProvider.GetValues 0039 _Dn_TSQLResolver 003e TSQLResolver.Create"
	strings:
		$1 = { 83 C4 F0 80 B8 80 00 00 00 00 74 10 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 89 44 24 0C C7 44 24 08 ?? ?? ?? ?? 89 44 24 04 C7 04 24 ?? ?? ?? ?? 54 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_1178_0 {
	meta:
		name = "TProvider.GetParamCount"
		size = 146
		refs = "0009 TProvider.GetDataSet 001a _Dn_TTable 001f @IsClass 002f TBDEDataSet.GetIndexFieldCount 0040 _Dn_TQuery 005b TCollection.GetCount 006c _Dn_TStoredProc"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 7C 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 56 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 2A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1179_0 {
	meta:
		name = "TProvider.SetParamByName"
		size = 79
		refs = "000c TProvider.GetDataSet 0012 _Dn_TQuery 0017 @IsClass 0040 TParams.ParamByName 0047 TParam.SetAsVariant"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 98 20 02 00 00 EB 0D 8B C3 E8 ?? ?? ?? ?? 8B 98 1C 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1180_0 {
	meta:
		name = "TProvider.SetParamByIndex"
		size = 79
		refs = "000c TProvider.GetDataSet 0012 _Dn_TQuery 0017 @IsClass 0040 TParams.GetItem 0047 TParam.SetAsVariant"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 98 20 02 00 00 EB 0D 8B C3 E8 ?? ?? ?? ?? 8B 98 1C 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1181_0 {
	meta:
		name = "TProvider.FetchParams"
		size = 473
		refs = "001b TProvider.FetchParams 0028 TProvider.GetDataSet 002e _Dn_TQuery 0033 @IsClass 0053 _Dn_TStoredProc 0078 TCollection.GetCount 0085 Null 008a @OleVarFromVar 00b5 VarArrayCreate 00df TParams.GetItem 00ef @VarFromLStr 0107 TParam.GetDataType 0114 @VarFromInt 012c TParam.GetParamType 015d TParam.GetAsVariant 0181 VarArrayOf 018e @VarArrayPut 01b4 Variant 01be @FinalizeArray 01c6 @VarClr 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 14 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B B8 20 02 00 00 EB 27 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B B8 1C 02 00 00 EB 02 33 FF 85 FF 74 0B 8B C7 E8 ?? ?? ?? ?? 85 C0 75 13 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0C 01 00 00 8D 45 E8 50 33 C0 89 45 E0 8B C7 E8 ?? ?? ?? ?? 48 89 45 E4 8D 45 E0 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 0F 8C CB 00 00 00 40 89 45 F8 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 56 6A 01 8D 45 90 8B 53 24 E8 ?? ?? ?? ?? 56 57 8D 75 90 8D 7D A0 B9 04 00 00 00 F3 A5 5F 5E 8B C3 E8 ?? ?? ?? ?? 8B D0 0F BE D2 8D 45 80 E8 ?? ?? ?? ?? 56 57 8D 75 80 8D 7D B0 B9 04 00 00 00 F3 A5 5F 5E 8B C3 E8 ?? ?? ?? ?? 8B D0 0F BE D2 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 56 57 8D B5 70 FF FF FF 8D 7D C0 B9 04 00 00 00 F3 A5 5F 5E 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 56 57 8D B5 60 FF FF FF 8D 7D D0 B9 04 00 00 00 F3 A5 5F 5E 8D 45 A0 8D 4D E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 46 FF 4D F8 0F 85 3B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1182_0 {
	meta:
		name = "TProvider.FetchData"
		size = 149
		refs = "0011 TProvider.GetDataSet 0025 TDBDataSet.GetDBSession 002b TSession.OpenDatabase 003c TProvider.FetchData 004e TDataSetProvider.FetchData 0069 TCachedQuery.ClearStatements 0084 TSession.CloseDatabase 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 80 10 02 00 00 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 55 FC 89 82 88 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 88 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1183_0 {
	meta:
		name = "AssignFields"
		size = 345
		refs = "0019 AssignFields 002f VarArrayHighBound 0038 TBDEDataSet.GetIndexFieldCount 0066 @VarArrayGet 0071 VarIsArray 00aa @VarToLStr 00b4 TDataSet.FieldByName 00f6 TBDEDataSet.GetIndexField 0136 @VarClr 013e @LStrClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 7C 0A 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 8B F3 85 F6 0F 8C D1 00 00 00 46 33 DB 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 78 6A 00 6A 01 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 DC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 50 6A 01 6A 01 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 DC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 58 8B 08 FF 91 9C 00 00 00 EB 2C 8B D3 8B C7 E8 ?? ?? ?? ?? 50 53 6A 01 8B 45 08 83 C0 F0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 58 8B 08 FF 91 9C 00 00 00 43 4E 0F 85 32 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1184_0 {
	meta:
		name = "TProvider.SetParams"
		size = 323
		refs = "0029 @VarAddRef 0031 TProvider.SetParams 003e TProvider.GetDataSet 0044 _Dn_TTable 0049 @IsClass 0059 VarIsNull 0065 VarIsArray 0083 VarArrayOf 008e @OleVarFromVar 00aa TTable.CancelRange 00ba TDataSet.Open 00c1 TTable.SetRangeStart 00ce AssignFields 00d6 TTable.SetRangeEnd 00eb TTable.ApplyRange 0107 TBaseProvider.SetParams 0113 TDataSet.Close 0128 @VarClr 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AC 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 31 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 25 8D 75 F0 8D 7D D0 B9 04 00 00 00 F3 A5 8D 45 D0 8D 4D E0 33 D2 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? C6 83 8C 00 00 00 00 EB 3F 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? C6 83 8C 00 00 00 01 33 D2 8B C3 8B 08 FF 51 50 EB 16 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1214_0 {
	meta:
		name = "TOwnedCollection.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TCollection.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 8B 4D 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1215_0 {
	meta:
		name = "TAggregates.GetOwner"
		size = 4
		altNames = "TCheckConstraints.GetOwner TCoolBands.GetOwner TDBGridColumns.GetOwner TDataBindings.GetOwner TDimensionItems.GetOwner THTMLTableColumns.GetOwner THeaderSections.GetOwner TIdHTTPSession.GetContent TListColumns.GetOwner TMIMEAttachment.GetStream TMIMEMail.GetAttachments TOwnedCollection.GetOwner TParams.GetOwner TPrinterSettings.GetCopies TStatusPanels.GetOwner TWebActionItems.GetOwner"
	strings:
		$1 = { 8B 40 18 C3 }
	condition:
		$1
}

rule function_1217_0 {
	meta:
		name = "THTMLTableColumns.GetAttrCount"
		size = 6
		altNames = "TMailAddresses.GetAttrCount TMailBox.GetAttrCount"
	strings:
		$1 = { B8 02 00 00 00 C3 }
	condition:
		$1
}

rule function_1218_0 {
	meta:
		name = "TMailBox.GetAttr"
		size = 68
		refs = "000a TMailBox.GetAttr 000f @LStrLAsg"
	strings:
		$1 = { 53 8B D9 85 D2 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 4A 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 FF FF FF FF 02 00 00 00 54 6F 00 00 FF FF FF FF 07 00 00 00 53 75 62 6A 65 63 74 00 }
	condition:
		$1
}

rule function_1219_0 {
	meta:
		name = "TMailBox.GetItemAttr"
		size = 85
		refs = "0013 TMailBox.GetMail 0025 TCollection.GetCount 0037 TMailAddresses.GetAddress"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 85 DB 74 05 83 FB 01 75 3F 8B D1 E8 ?? ?? ?? ?? 8B F0 85 DB 75 28 8B C6 8B 10 FF 52 40 E8 ?? ?? ?? ?? 85 C0 7E 22 8B C6 8B 10 FF 52 40 33 D2 E8 ?? ?? ?? ?? 8B 55 08 8B 08 FF 51 1C EB 0A 8B 55 08 8B C6 8B 08 FF 51 3C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1220_0 {
	meta:
		name = "TAggregates.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
		altNames = "TAttachments.GetAttachment TCheckConstraints.GetItem TCookieCollection.GetCookie TCoolBands.GetItem TDBGridColumns.GetColumn TDataBindings.GetItem TDimensionItems.GetDimensionItem TDisplayDims.GetDisplayDim TFieldDefs.GetFieldDef THTMLTableColumns.GetColumn THeaderSections.GetItem TIdCoderCollection.GetCoder TIdDNSQuestionList.GetItem TIdDNSResourceList.GetItem TIdEMailAddressList.GetItem TIdGopherMenu.GetItem TIdMessageParts.GetItem TIdSocketHandles.GetItem TIndexDefs.GetIndexDef TListColumns.GetItem TMailAddresses.GetAddress TMailBox.GetMail TStatusPanels.GetItem TWebActionItems.GetActionItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19275_0 {
	meta:
		name = "TChartSeriesList.GetSeries"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19111_0 {
	meta:
		name = "TChartValueLists.GetValueList"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13449_0 {
	meta:
		name = "TCubeDims.GetCubeDim"
		size = 18
		refs = "000b TDimensionItems.GetDimensionItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17418_0 {
	meta:
		name = "TCustomLabel.GetLabelText"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11887_0 {
	meta:
		name = "TCustomMaskEdit.GetEditText"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6837_0 {
	meta:
		name = "TDBLookupCombo.GetDisplayValue"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4993_0 {
	meta:
		name = "TField.GetAsString"
		size = 18
		refs = "000b TField.GetClassDesc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5001_0 {
	meta:
		name = "TField.GetDisplayLabel"
		size = 18
		refs = "000b TField.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5718_0 {
	meta:
		name = "TListOfDataSources.GetDataSource"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14395_0 {
	meta:
		name = "TOleControl.GetByteProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14425_0 {
	meta:
		name = "TOleControl.GetShortIntProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14431_0 {
	meta:
		name = "TOleControl.GetWordProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17173_0 {
	meta:
		name = "TPieAngles.GetAngle"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13499_0 {
	meta:
		name = "TQueryDims.GetQueryDim"
		size = 18
		refs = "000b TDimensionItems.GetDimensionItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8060_0 {
	meta:
		name = "TStringProperty.GetValue"
		size = 18
		refs = "000b TPropertyEditor.GetStrValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7956_0 {
	meta:
		name = "TTableList.GetItems"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1623_0 {
	meta:
		name = "TTeeSeriesTypes.GetSeriesType"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1221_0 {
	meta:
		name = "TMailBox.SetMail"
		size = 29
		refs = "000e TMailBox.GetMail"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1225_0 {
	meta:
		name = "TAttachments.SetAttachment"
		size = 29
		refs = "000e TAttachments.GetAttachment"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9916_0 {
	meta:
		name = "TCookieCollection.SetCookie"
		size = 29
		refs = "000e TCookieCollection.GetCookie"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13450_0 {
	meta:
		name = "TCubeDims.SetCubeDim"
		size = 29
		refs = "000e TCubeDims.GetCubeDim"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6659_0 {
	meta:
		name = "TDBGridColumns.SetColumn"
		size = 29
		refs = "000e TDBGridColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12787_0 {
	meta:
		name = "TDimensionItems.SetDimensionItem"
		size = 29
		refs = "000e TDimensionItems.GetDimensionItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13097_0 {
	meta:
		name = "TDisplayDims.SetDisplayDim"
		size = 29
		refs = "000e TDisplayDims.GetDisplayDim"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7529_0 {
	meta:
		name = "THTMLTableColumns.SetColumn"
		size = 29
		refs = "000e THTMLTableColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2934_0 {
	meta:
		name = "TListItems.SetItem"
		size = 29
		refs = "000e TListItems.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1231_0 {
	meta:
		name = "TMailAddresses.SetAddress"
		size = 29
		refs = "000e TMailAddresses.GetAddress"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13500_0 {
	meta:
		name = "TQueryDims.SetQueryDim"
		size = 29
		refs = "000e TQueryDims.GetQueryDim"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2543_0 {
	meta:
		name = "TTreeNode.SetItem"
		size = 29
		refs = "000e TTreeNode.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2586_0 {
	meta:
		name = "TTreeNodes.SetItem"
		size = 29
		refs = "000e TTreeNodes.GetNodeFromIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9981_0 {
	meta:
		name = "TWebActionItems.SetActionItem"
		size = 29
		refs = "000e TWebActionItems.GetActionItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1222_0 {
	meta:
		name = "TAttachment.SetAttachmentType"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TCoolBand.SetBorderStyle"
	strings:
		$1 = { 3A 50 0C 74 0A 88 50 0C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1228_0 {
	meta:
		name = "TMailAddresses.GetAttr"
		size = 80
		refs = "000a TMailAddresses.GetAttr 000f @LStrLAsg 0029 @LStrClr"
	strings:
		$1 = { 53 8B D9 85 D2 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 4A 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 FF FF FF FF 07 00 00 00 41 64 64 72 65 73 73 00 }
	condition:
		$1
}

rule function_1229_0 {
	meta:
		name = "TMailAddresses.GetItemAttr"
		size = 73
		refs = "0018 TMailAddresses.GetAddress 003e @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 75 08 85 D2 75 13 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 28 EB 1D 4A 75 13 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 1C EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1232_0 {
	meta:
		name = "TInternetAddress.AssignTo"
		size = 72
		refs = "000b _DV_TInternetAddress 0010 @IsClass 0021 @LStrAsg 0035 TCollectionItem.Changed 0040 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B FB 8D 47 0C 8B 56 0C E8 ?? ?? ?? ?? 8D 47 10 8B 56 10 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1233_0 {
	meta:
		name = "TInternetAddress.GetAddress"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8153_0 {
	meta:
		name = "TComponentEditor.GetDesigner"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1234_0 {
	meta:
		name = "TInternetAddress.GetFormattedAddress"
		size = 132
		refs = "0032 TInternetAddress.GetFormattedAddress 0037 Format"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 83 7B 0C 00 74 2E 56 8B 43 0C 89 44 24 04 C6 44 24 08 0B 8B 43 10 89 44 24 0C C6 44 24 10 0B 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 56 8B 43 10 89 44 24 14 C6 44 24 18 0B 8D 54 24 14 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 FF FF FF FF 09 00 00 00 22 25 73 22 20 3C 25 73 3E 00 00 00 FF FF FF FF 04 00 00 00 3C 25 73 3E 00 00 00 00 }
	condition:
		$1
}

rule function_1235_0 {
	meta:
		name = "TInternetAddress.SetAddress"
		size = 42
		refs = "000c CompareText 001a @LStrAsg 0023 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 85 C0 74 13 8D 43 10 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1236_0 {
	meta:
		name = "TInternetAddress.GetName"
		size = 19
		refs = "000c @LStrLAsg"
		altNames = "TNamedItem.GetDisplayName TQREvEmbeddedFunction.Expression"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1237_0 {
	meta:
		name = "TInternetAddress.SetName"
		size = 42
		refs = "000c CompareText 001a @LStrAsg 0023 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 85 C0 74 13 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1238_0 {
	meta:
		name = "TInternetOutBox.Create"
		size = 72
		refs = "000e @ClassCreate 0023 TOwnedCollection.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1240_0 {
	meta:
		name = "TMIMEMail.Create"
		size = 198
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TStringList 0023 TObject.Create 003a _DV_TMIMEAttachment 0044 _DV_TAttachments 0049 TOwnedCollection.Create 0051 _DV_TInternetAddress 005b _DV_TMailAddresses 00b3 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1241_0 {
	meta:
		name = "TMIMEMail.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 000f TObject.Free 004b TCollectionItem.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1242_0 {
	meta:
		name = "TMIMEMail.GetHeader"
		size = 25
		refs = "0011 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1243_0 {
	meta:
		name = "TMIMEMail.SetHeader"
		size = 22
		refs = "0007 TStrings.SetValue 0010 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 0C E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1244_0 {
	meta:
		name = "TMIMEAttachment.GetBody"
		size = 4
		altNames = "TMIMEMail.GetBody TStringList.GetCount"
	strings:
		$1 = { 8B 40 10 C3 }
	condition:
		$1
}

rule function_1246_0 {
	meta:
		name = "TDisplayDims.GetOwner"
		size = 4
		altNames = "TMIMEMail.GetFromAddresses TMasterDataLink.GetDetailDataSet TQueryDataLink.GetDetailDataSet"
	strings:
		$1 = { 8B 40 1C C3 }
	condition:
		$1
}

rule function_1247_0 {
	meta:
		name = "TMIMEMail.GetBCCAddresses"
		size = 4
		altNames = "TPrinterSettings.GetMaxExtentX"
	strings:
		$1 = { 8B 40 20 C3 }
	condition:
		$1
}

rule function_1248_0 {
	meta:
		name = "TControl.GetParentComponent"
		size = 4
		altNames = "TListColumn.GetWidth TMIMEMail.GetCCAddresses TPrinterSettings.GetMaxExtentY TUpdateSQL.GetDataSet"
	strings:
		$1 = { 8B 40 24 C3 }
	condition:
		$1
}

rule function_1249_0 {
	meta:
		name = "TComServer.GetHelpFileName"
		size = 19
		refs = "000c @LStrLAsg"
		altNames = "TMIMEMail.GetSubject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1250_0 {
	meta:
		name = "TMIMEMail.GetToAddresses"
		size = 4
		altNames = "TPrinterSettings.GetMinExtentX TQRPrinter.GetCanvas TTeeFunction.GetParentComponent"
	strings:
		$1 = { 8B 40 28 C3 }
	condition:
		$1
}

rule function_1251_0 {
	meta:
		name = "TMIMEAttachment.SetBody"
		size = 22
		refs = "0010 TCollectionItem.Changed"
		altNames = "TMIMEMail.SetBody"
	strings:
		$1 = { 56 8B F0 8B 46 10 8B 08 FF 51 08 33 D2 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_1252_0 {
	meta:
		name = "TMIMEMail.AssignTo"
		size = 127
		refs = "000b _DV_TMIMEMail 0010 @IsClass 006c TCollectionItem.Changed 0077 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 8B FB 8B 47 10 8B 56 10 8B 08 FF 51 08 8B 47 0C 8B 56 0C 8B 08 FF 51 08 8B 47 18 8B 56 18 8B 08 FF 51 08 8B 47 1C 8B 56 1C 8B 08 FF 51 08 8B 47 20 8B 56 20 8B 08 FF 51 08 8B 47 24 8B 56 24 8B 08 FF 51 08 8B 47 28 8B 56 28 8B 08 FF 51 08 B2 01 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1253_0 {
	meta:
		name = "TMIMEMail.SetAttachments"
		size = 22
		refs = "0010 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 18 8B 08 FF 51 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1254_0 {
	meta:
		name = "TMIMEMail.SetFromAddresses"
		size = 22
		refs = "0010 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 1C 8B 08 FF 51 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1255_0 {
	meta:
		name = "TMIMEMail.SetBCCAddresses"
		size = 22
		refs = "0010 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 20 8B 08 FF 51 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1256_0 {
	meta:
		name = "TCustomChartAxis.SetAxis"
		size = 9
		altNames = "TCustomChartLegend.SetFrame THTMLTableColumn.SetTitle TMIMEMail.SetCCAddresses"
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1257_0 {
	meta:
		name = "TMIMEMail.SetSubject"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 74 13 8D 43 14 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1258_0 {
	meta:
		name = "TIdHTTPResponseInfo.SetCookies"
		size = 9
		altNames = "TMIMEMail.SetToAddresses"
	strings:
		$1 = { 8B 40 28 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1259_0 {
	meta:
		name = "TMIMEAttachment.Create"
		size = 98
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TStringList 0023 TObject.Create 003c _Dn_TMemoryStream 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1260_0 {
	meta:
		name = "TMIMEAttachment.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TCollectionItem.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1264_0 {
	meta:
		name = "TMIMEAttachment.GetValue"
		size = 25
		refs = "0011 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 14 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1265_0 {
	meta:
		name = "TMIMEAttachment.SetValue"
		size = 22
		refs = "0007 TStrings.SetValue 0010 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1266_0 {
	meta:
		name = "TMIMEAttachment.SetValues"
		size = 22
		refs = "0010 TCollectionItem.Changed"
	strings:
		$1 = { 56 8B F0 8B 46 14 8B 08 FF 51 08 33 D2 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_1267_0 {
	meta:
		name = "TMIMEAttachment.AssignTo"
		size = 72
		refs = "000b _DV_TMIMEAttachment 0010 @IsClass 0035 TCollectionItem.Changed 0040 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B FE 8B 47 10 8B 53 10 8B 08 FF 51 08 8B 47 14 8B 53 14 8B 08 FF 51 08 B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1268_0 {
	meta:
		name = "TCustomSimpleMail.Create"
		size = 144
		refs = "000e @ClassCreate 001c TComponent.Create 0021 _DV_TMIMEMail 002b _DV_TInternetOutBox 0030 TInternetOutBox.Create 003d _Dn_TClientWinSocket 0042 TCustomWinSocket.Create 0050 TAbstractSocket.InitSocket 0055 TCustomSimpleMail.Create 005c TAbstractSocket.SetService 0069 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 83 C9 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 FF FF FF FF 04 00 00 00 73 6D 74 70 00 00 00 00 }
	condition:
		$1
}

rule function_1269_0 {
	meta:
		name = "TCustomSimpleMail.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TComponent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15488_0 {
	meta:
		name = "TSQLResolver.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TCustomResolver.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1270_0 {
	meta:
		name = "TCustomSimpleMail.CheckResponse"
		size = 200
		refs = "0011 TCustomSimpleMail.CheckResponse 0021 TCustomWinSocket.ReceiveText 0037 @LStrCopy 0042 StrToIntDef 00b4 @LStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 83 CA FF E8 ?? ?? ?? ?? 8B D8 66 83 BE 86 00 00 00 00 74 14 8B 45 FC 50 8B CB 8B D6 8B 86 88 00 00 00 FF 96 84 00 00 00 81 FB D3 00 00 00 74 2C 81 FB DC 00 00 00 74 24 81 FB DD 00 00 00 74 1C 81 FB FA 00 00 00 74 14 81 FB FB 00 00 00 74 0C 81 FB 62 01 00 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1271_0 {
	meta:
		name = "TCustomSimpleMail.DoActivate"
		size = 67
		refs = "001b TCustomWinSocket.GetHandle 003c TCustomWinSocket.Open"
	strings:
		$1 = { 56 57 8B F0 8B 7E 38 8A 47 08 3A D0 74 32 F6 46 20 10 75 2C 84 C0 74 12 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 EB 16 8B 46 34 50 66 8B 46 28 50 8B 4E 2C 8B 56 30 8B C7 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_1272_0 {
	meta:
		name = "GetGMTOffset"
		size = 224
		refs = "000c GetTimeZoneInformation 007a GetGMTOffset 007f Format 0093 @LStrCat3 00a1 @LStrLAsg"
	strings:
		$1 = { 53 56 81 C4 44 FF FF FF 8B D8 54 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 80 00 00 00 83 F8 01 75 09 8B 44 24 54 01 04 24 EB 0F 83 F8 02 75 0A 8B 84 24 A8 00 00 00 01 04 24 53 8B 74 24 04 8B C6 B9 3C 00 00 00 99 F7 F9 89 84 24 B0 00 00 00 C6 84 24 B4 00 00 00 00 8B C6 B9 3C 00 00 00 99 F7 F9 89 94 24 B8 00 00 00 C6 84 24 BC 00 00 00 00 8D 94 24 B0 00 00 00 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3C 24 00 7E 1C 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5E 5B C3 00 00 FF FF FF FF 08 00 00 00 25 2E 32 64 25 2E 32 64 00 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 04 00 00 00 30 30 30 30 00 00 00 00 }
	condition:
		$1
}

rule function_1273_0 {
	meta:
		name = "WriteAddresses"
		size = 288
		refs = "001a WriteAddresses 0027 TCollection.GetCount 0050 TMailAddresses.GetAddress 0074 Format 0082 TStringStream.WriteString 00dd @LStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D F8 89 4D E4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 96 00 00 00 46 33 DB 85 DB 75 4B 8D 45 F8 50 8B 45 FC 89 45 E8 C6 45 EC 0B 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 51 24 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 3C 8D 45 F8 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 51 24 8B 45 E4 89 45 DC C6 45 E0 0B 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 43 4E 0F 85 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 08 00 00 00 25 73 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 08 00 00 00 20 20 20 20 25 73 0D 0A 00 00 00 00 }
	condition:
		$1
}

rule function_1274_0 {
	meta:
		name = "WriteBody"
		size = 208
		refs = "0015 WriteBody 002b TStringStream.WriteString 0052 @LStrLen 006e @LStrCat3 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 56 43 33 F6 8D 4D F8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 18 8B 45 F8 80 38 2E 75 10 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 AD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1275_0 {
	meta:
		name = "TCustomSimpleMail.Event"
		size = 1572
		refs = "001c TCustomSimpleMail.Event 0093 TAbstractSocket.SetActive 0132 TCustomWinSocket.GetLocalHost 014b Format 0166 TMailBox.GetMail 017e TMailAddresses.GetAddress 01c3 TCollection.GetCount 02b5 _Dn_TStringStream 02ba TStringStream.Create 02c6 Now 02da FormatDateTime 02ec GetGMTOffset 0313 TStringStream.WriteString 0326 WriteAddresses 03f2 WriteBody 040a TStream.SetPosition 0414 TCustomWinSocket.SendStream 0482 @LStrClr 0498 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F8 89 5D EC 89 5D D8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A C1 83 F8 07 0F 87 3E 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 7E 56 00 0F 84 0C 04 00 00 8B CF 8B D6 8B 46 58 FF 56 54 E9 FD 03 00 00 66 83 7E 66 00 0F 84 F2 03 00 00 8B CF 8B D6 8B 46 68 FF 56 64 E9 E3 03 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? C6 46 40 01 33 C0 89 46 44 33 C0 89 46 48 66 83 7E 5E 00 0F 84 C1 03 00 00 8B CF 8B D6 8B 46 60 FF 56 5C E9 B2 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 40 00 66 83 7E 6E 00 0F 84 9A 03 00 00 8B CF 8B D6 8B 46 70 FF 56 6C E9 8B 03 00 00 8B D7 8B C6 8B 08 FF 51 40 84 C0 0F 84 7A 03 00 00 33 C0 8A 46 40 83 F8 06 0F 87 6C 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 50 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C6 8B 18 FF 53 3C C6 46 40 02 8B 56 44 8B 46 3C E8 ?? ?? ?? ?? 89 46 4C E9 FF 02 00 00 8B 46 4C 8B 10 FF 52 30 8B 56 48 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8D 55 EC 8B C3 8B 08 FF 51 1C 8B 45 EC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C6 8B 18 FF 53 3C FF 46 48 8B 46 4C 8B 10 FF 52 30 E8 ?? ?? ?? ?? 3B 46 48 0F 8F A1 02 00 00 C6 46 40 03 33 C0 89 46 48 8B 46 4C 8B 10 FF 52 40 89 46 50 E9 88 02 00 00 8B 46 50 E8 ?? ?? ?? ?? 3B 46 48 7E 40 8B 56 48 8B 46 50 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8D 55 EC 8B C3 8B 08 FF 51 1C 8B 45 EC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C6 8B 18 FF 53 3C FF 46 48 8B 46 50 E8 ?? ?? ?? ?? 3B 46 48 0F 8F 27 02 00 00 33 C0 89 46 48 8B 46 4C 8B 10 FF 52 40 3B 46 50 75 0D 8B 46 4C 8B 10 FF 52 38 89 46 50 EB D0 8B 46 4C 8B 10 FF 52 38 3B 46 50 75 0D 8B 46 4C 8B 10 FF 52 34 89 46 50 EB B6 8B 46 4C 8B 10 FF 52 34 3B 46 50 75 A9 C6 46 40 04 E9 D8 01 00 00 B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 3C C6 46 40 05 E9 C1 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 45 DC C6 45 E0 0B 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E4 C6 45 E8 0B 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 55 8B 46 4C 8B 10 FF 52 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 BE 90 00 00 00 00 74 2B 8D 45 F8 50 8B 86 90 00 00 00 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 55 8B 46 4C 8B 10 FF 52 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B 46 4C 8B 10 FF 52 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B 46 4C 8B 10 FF 52 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 F8 50 8D 55 EC 8B 46 4C 8B 08 FF 51 3C 8B 45 EC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 55 8B 46 4C 8B 10 FF 52 24 E8 ?? ?? ?? ?? 59 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? C6 46 40 06 EB 53 FF 46 44 33 C0 89 46 4C 33 C0 89 46 50 8B 46 3C E8 ?? ?? ?? ?? 3B 46 44 7F 14 B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 3C C6 46 40 00 EB 25 8B 56 44 8B 46 3C E8 ?? ?? ?? ?? 89 46 4C 33 C0 89 46 48 C6 46 40 02 B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 09 00 00 00 48 45 4C 4F 20 25 73 0D 0A 00 00 00 FF FF FF FF 11 00 00 00 4D 41 49 4C 20 46 52 4F 4D 3A 20 3C 25 73 3E 0D 0A 00 00 00 FF FF FF FF 0F 00 00 00 52 43 50 54 20 54 4F 3A 20 3C 25 73 3E 0D 0A 00 FF FF FF FF 06 00 00 00 44 41 54 41 0D 0A 00 00 FF FF FF FF 19 00 00 00 64 64 64 2C 20 64 64 20 6D 6D 6D 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 00 00 00 FF FF FF FF 0D 00 00 00 44 61 74 65 3A 20 25 73 20 25 73 0D 0A 00 00 00 FF FF FF FF 04 00 00 00 46 72 6F 6D 00 00 00 00 FF FF FF FF 0E 00 00 00 52 65 70 6C 79 2D 54 6F 3A 20 25 73 0D 0A 00 00 FF FF FF FF 02 00 00 00 54 6F 00 00 FF FF FF FF 02 00 00 00 43 43 00 00 FF FF FF FF 03 00 00 00 42 43 43 00 FF FF FF FF 0D 00 00 00 53 75 62 6A 65 63 74 3A 20 25 73 0D 0A 00 00 00 FF FF FF FF 13 00 00 00 4D 49 4D 45 2D 56 65 72 73 69 6F 6E 3A 20 31 2E 30 0D 0A 00 FF FF FF FF 2C 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 74 65 78 74 2F 70 6C 61 69 6E 3B 20 63 68 61 72 73 65 74 3D 75 73 2D 61 73 63 69 69 0D 0A 00 00 00 00 FF FF FF FF 05 00 00 00 0D 0A 2E 0D 0A 00 00 00 FF FF FF FF 06 00 00 00 51 55 49 54 0D 0A 00 00 FF FF FF FF 06 00 00 00 4E 4F 4F 50 0D 0A 00 00 }
	condition:
		$1
}

rule function_1276_0 {
	meta:
		name = "TCustomSimpleMail.Error"
		size = 33
	strings:
		$1 = { 55 8B EC 53 66 83 78 76 00 74 11 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 78 FF 53 74 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1277_0 {
	meta:
		name = "TCustomSimpleMail.IsServiceStored"
		size = 40
		refs = "0004 TCustomSimpleMail.IsServiceStored 000c CompareText"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 00 FF FF FF FF 04 00 00 00 73 6D 74 70 00 00 00 00 }
	condition:
		$1
}

rule function_1278_0 {
	meta:
		name = "TCustomSimpleMail.SetOutBox"
		size = 9
		altNames = "TDSTableProducer.SetColumns"
	strings:
		$1 = { 8B 40 3C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1280_0 {
	meta:
		name = "TCustomSimpleMail.SendRequest"
		size = 42
		refs = "0022 TCustomWinSocket.SendText"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 66 83 78 7E 00 74 0F 8B F8 8B CB 8B D0 8B 87 80 00 00 00 FF 57 7C 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1283_0 {
	meta:
		name = "InternalEditFont"
		size = 116
		refs = "000e _Dn_TFontDialog 0013 TFontDialog.Create 001e InternalEditFont 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 4C 8B 55 FC 8B 08 FF 51 08 8B 45 F8 8B 10 FF 52 3C 84 C0 74 0E 8B 45 F8 8B 50 4C 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_1284_0 {
	meta:
		name = "EditChartBrush"
		size = 91
		refs = "000c _DV_TBrushDialog 0011 TCustomForm.Create 001c EditChartBrush 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 E0 02 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1285_0 {
	meta:
		name = "TBrushDialog.RedrawShape"
		size = 86
		refs = "000a TBrush.GetStyle 0025 TBrush.GetColor 0038 TBrush.SetColor 0050 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 95 C2 8B 83 D0 02 00 00 8B 08 FF 51 60 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 02 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B 10 FF 52 50 8B D0 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1286_0 {
	meta:
		name = "TBrushDialog.FormShow"
		size = 118
		refs = "0005 Screen 000e TScreen.SetCursor 0015 _Dn_TChartBrush 001a TChartBrush.Create 003a TBrush.GetStyle 004b TCustomRadioGroup.SetItemIndex 006f TBrushDialog.RedrawShape"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 DC 02 00 00 8B 93 E0 02 00 00 8B C6 8B 08 FF 51 08 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 0F 33 D2 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? EB 1B 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 8A D0 4A 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1287_0 {
	meta:
		name = "TBrushDialog.RGStyleClick"
		size = 60
		refs = "001b TBrush.SetStyle 0036 TBrushDialog.RedrawShape"
	strings:
		$1 = { 53 8B D8 8B 83 C4 02 00 00 83 B8 F8 01 00 00 00 75 0F 33 D2 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? EB 12 8A 90 F8 01 00 00 42 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1288_0 {
	meta:
		name = "TBrushDialog.BColorClick"
		size = 45
		refs = "000d TBrush.GetColor 0016 EditColor 001f TBrush.SetColor 0026 TBrushDialog.RedrawShape"
	strings:
		$1 = { 53 56 8B D8 8B B3 E0 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1290_0 {
	meta:
		name = "TBrushDialog.Button3Click"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 93 DC 02 00 00 8B 83 E0 02 00 00 8B 08 FF 51 08 C7 83 2C 02 00 00 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1291_0 {
	meta:
		name = "TBrushDialog.FormClose"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1294_0 {
	meta:
		name = "TBubbleSeries.Create"
		size = 205
		refs = "000f @ClassCreate 001b TBubbleSeries.Create 002a TPointSeries.Create 0032 TeeMsg_ValuesBubbleRadius 0037 LoadResString 0044 _Dn_TChartValueList 0049 TChartValueList.Create 005c TSeriesPointer.SetInflateMargins 0069 TSeriesPointer.SetStyle 0076 TChartPen.SetVisible 0080 TSeriesMarks.SetBackTransparent 00a5 @LStrClr 00ab @HandleFinally 00b8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 2C 01 00 00 33 D2 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? 8B 46 50 8B 40 14 33 D2 E8 ?? ?? ?? ?? B2 01 8B 46 50 E8 ?? ?? ?? ?? C6 86 30 01 00 00 01 B2 01 8B C6 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1297_0 {
	meta:
		name = "TBubbleSeries.AddBubble"
		size = 77
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 4D FC 8B C6 8B 18 FF 93 8C 00 00 00 8B D8 8B 86 2C 01 00 00 8B 55 08 89 50 30 8B 55 0C 89 50 34 8B D3 8B C6 8B 08 FF 91 D8 00 00 00 8B C3 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_1298_0 {
	meta:
		name = "TBubbleSeries.FillSampleValues"
		size = 196
		refs = "0032 TChartSeries.CalcRandomBounds 0043 @ROUND 0048 @RandInt 0089 TBubbleSeries.FillSampleValues 00a0 TBubbleSeries.AddBubble 00b3 TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B DA 8B F0 8B FC 8D 6C 24 20 8B C6 8B 10 FF 92 90 00 00 00 8D 44 24 10 50 8D 44 24 0C 50 8D 44 24 20 50 55 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 7E 76 FF 77 04 FF 37 DD 45 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 30 DB 44 24 30 83 C4 F8 DD 1C 24 9B B8 19 00 00 00 E8 ?? ?? ?? ?? 83 C0 0A 89 44 24 3C DB 44 24 3C DC 7D 00 E8 ?? ?? ?? ?? 89 44 24 40 89 54 24 44 DF 6C 24 40 DD 45 00 D8 35 ?? ?? ?? ?? DE C1 83 C4 F8 DD 1C 24 9B B9 00 00 00 80 33 D2 8B C6 E8 ?? ?? ?? ?? DD 07 DC 44 24 10 DD 1F 9B 4B 75 8A 8B C6 E8 ?? ?? ?? ?? 83 C4 38 5D 5F 5E 5B C3 00 00 00 C8 41 }
	condition:
		$1
}

rule function_1299_0 {
	meta:
		name = "TBubbleSeries.DrawValue"
		size = 181
		refs = "0010 TChartValueList.GetValue 001e TChartSeries.CalcYSizeValue 0036 TSeriesPointer.ChangeHorizSize 0053 TChartSeries.CalcXSizeValue 006d TSeriesPointer.ChangeVertSize 0085 TSeriesPointer.PrepareCanvas"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B F8 80 BB 30 01 00 00 00 74 0F 8B D7 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? EB 28 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 60 8B F8 8B D7 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 57 56 8B D6 8B C3 8B 08 FF 91 D4 00 00 00 50 8B D6 8B C3 8B 08 FF 91 D0 00 00 00 8B D0 8B C3 59 8B 18 FF 93 38 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1300_0 {
	meta:
		name = "TBubbleSeries.MaxYValue"
		size = 105
		refs = "000b TChartSeries.MaxYValue 0016 TChartSeries.Count 0043 TChartValueList.GetValue 0053 MaxDouble"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 48 8B F8 85 FF 7C 3E 47 33 DB FF 74 24 04 FF 74 24 04 8B D3 8B C6 8B 08 FF 51 6C DD 5C 24 10 9B 8B D3 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? DC 44 24 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B 43 4F 75 C5 DD 04 24 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1301_0 {
	meta:
		name = "TBubbleSeries.MinYValue"
		size = 105
		refs = "000b TChartSeries.MinYValue 0016 TChartSeries.Count 0043 TChartValueList.GetValue 0053 MinDouble"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 48 8B F8 85 FF 7C 3E 47 33 DB FF 74 24 04 FF 74 24 04 8B D3 8B C6 8B 08 FF 51 6C DD 5C 24 10 9B 8B D3 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? DC 6C 24 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B 43 4F 75 C5 DD 04 24 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1302_0 {
	meta:
		name = "TBubbleSeries.Assign"
		size = 47
		refs = "000a _DV_TBubbleSeries 000f @IsClass 0028 TPointSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8A 86 30 01 00 00 88 83 30 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1303_0 {
	meta:
		name = "TBubbleSeries.GetEditorClass"
		size = 48
		refs = "0006 TBubbleSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 13 00 00 00 54 42 75 62 62 6C 65 53 65 72 69 65 73 45 64 69 74 6F 72 00 }
	condition:
		$1
}

rule function_1305_0 {
	meta:
		name = "TBubbleSeries.DrawLegendShape"
		size = 70
		refs = "0016 MinLong 0025 TSeriesPointer.ChangeHorizSize 0032 TSeriesPointer.ChangeVertSize 003d TCustomSeries.DrawLegendShape"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 8B 53 0C 2B 53 04 8B 43 08 2B 03 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1308_0 {
	meta:
		name = "TBubbleSeriesEditor.Enable3DPoint"
		size = 47
	strings:
		$1 = { 8B 90 E4 02 00 00 8B 92 F8 00 00 00 8A 4A 1C 84 C9 74 0E 80 F9 02 74 09 80 F9 03 74 04 33 D2 EB 02 B2 01 8B 80 C4 02 00 00 8B 08 FF 51 60 C3 }
	condition:
		$1
}

rule function_1309_0 {
	meta:
		name = "TBubbleSeriesEditor.FormShow"
		size = 160
		refs = "0005 Screen 000e TScreen.SetCursor 0046 TCustomRadioGroup.SetItemIndex 004d TBubbleSeriesEditor.Enable3DPoint 0072 TBrush.GetColor"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 E4 02 00 00 8B F0 8B 86 F8 00 00 00 8A 50 04 8B 83 C4 02 00 00 8B 08 FF 91 BC 00 00 00 8B 86 F8 00 00 00 33 D2 8A 50 1C 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 8A 50 10 8B 83 C8 02 00 00 8B 08 FF 91 BC 00 00 00 8B 86 F8 00 00 00 8B 40 08 E8 ?? ?? ?? ?? 3D 00 00 00 80 0F 94 C2 8B 83 D8 02 00 00 8B 08 FF 91 BC 00 00 00 8A 56 2C 8B 83 E0 02 00 00 8B 08 FF 91 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1310_0 {
	meta:
		name = "TBubbleSeriesEditor.CB3dPointClick"
		size = 38
		refs = "0020 TSeriesPointer.SetDraw3D"
	strings:
		$1 = { 53 8B D8 8B 83 C4 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 E4 02 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1311_0 {
	meta:
		name = "TBubbleSeriesEditor.BPointFillColorClick"
		size = 63
		refs = "0016 TBrush.GetColor 001f EditColor 0028 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B 83 E4 02 00 00 8B 80 F8 00 00 00 8B 70 08 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 D8 02 00 00 8B 08 FF 91 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1312_0 {
	meta:
		name = "TBubbleSeriesEditor.CBPointColorDefClick"
		size = 48
		refs = "002a TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 D8 02 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 19 8B 83 E4 02 00 00 8B 80 F8 00 00 00 8B 40 08 BA 00 00 00 80 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1313_0 {
	meta:
		name = "TBubbleSeriesEditor.BPoinPenColClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 E4 02 00 00 8B 92 F8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1314_0 {
	meta:
		name = "TBubbleSeriesEditor.FormCreate"
		size = 9
	strings:
		$1 = { 33 D2 89 90 E4 02 00 00 C3 }
	condition:
		$1
}

rule function_1315_0 {
	meta:
		name = "TBubbleSeriesEditor.CBInflateClick"
		size = 38
		refs = "0020 TSeriesPointer.SetInflateMargins"
	strings:
		$1 = { 53 8B D8 8B 83 C8 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 E4 02 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1316_0 {
	meta:
		name = "TBubbleSeriesEditor.RGStyleClick"
		size = 41
		refs = "001c TSeriesPointer.SetStyle 0023 TBubbleSeriesEditor.Enable3DPoint"
	strings:
		$1 = { 53 8B D8 8B 83 D0 02 00 00 8A 90 F8 01 00 00 8B 83 E4 02 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1317_0 {
	meta:
		name = "TBubbleSeriesEditor.CBColorEachClick"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 83 E0 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 E4 02 00 00 8B 08 FF 51 78 5B C3 }
	condition:
		$1
}

rule function_1320_0 {
	meta:
		name = "_NF__19C"
		size = 88
	strings:
		$1 = { 42 42 4F 4B 00 00 00 00 42 42 43 41 4E 43 45 4C 00 00 00 00 42 42 48 45 4C 50 00 00 42 42 59 45 53 00 00 00 42 42 4E 4F 00 00 00 00 42 42 43 4C 4F 53 45 00 42 42 41 42 4F 52 54 00 42 42 52 45 54 52 59 00 42 42 49 47 4E 4F 52 45 00 00 00 00 42 42 41 4C 4C 00 00 00 }
	condition:
		$1
}

rule function_1321_0 {
	meta:
		name = "DrawButtonFace"
		size = 624
		refs = "0019 NewStyleControls 0049 TBrush.SetColor 0053 TBrush.SetStyle 005a TCanvas.GetHandle 0070 DrawEdge 00eb TPen.SetColor 0117 TCanvas.Rectangle 012f TCanvas.SetPixel 017c InflateRect 01c6 Frame3D 01e4 Point 0233 TCanvas.Polyline 0250 Rect 0263 OffsetRect"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D FC 8B F2 8B D8 8B 45 18 84 C0 75 0B 8B 15 ?? ?? ?? ?? 80 3A 00 75 08 3C 02 74 04 33 C0 EB 02 B0 01 56 8D 7D EC B9 04 00 00 00 F3 A5 5E 84 C0 0F 84 A2 00 00 00 BA 0F 00 00 80 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 80 7D 10 00 74 3E 6A 03 6A 08 8D 45 EC 50 53 E8 ?? ?? ?? ?? 6A 0C 6A 02 8D 45 EC 50 53 E8 ?? ?? ?? ?? FF 4D F8 FF 4D F4 FF 45 F0 FF 45 EC 68 03 08 00 00 6A 02 8D 45 EC 50 53 E8 ?? ?? ?? ?? E9 93 01 00 00 6A 0C 6A 01 8D 45 EC 50 53 E8 ?? ?? ?? ?? FF 4D F8 FF 4D F4 6A 03 6A 04 8D 45 EC 50 53 E8 ?? ?? ?? ?? FF 45 F0 FF 45 EC 68 0C 08 00 00 6A 04 8D 45 EC 50 53 E8 ?? ?? ?? ?? E9 55 01 00 00 BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? BA 0F 00 00 80 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 4D F0 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 80 7D 14 00 74 4C 68 0F 00 00 80 8B 4D F0 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 68 0F 00 00 80 8B 4D F8 49 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 68 0F 00 00 80 8B 55 F4 4A 8B 4D F0 8B C3 E8 ?? ?? ?? ?? 68 0F 00 00 80 8B 4D F8 49 8B 55 F4 4A 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 74 2C 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 4D F0 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? 80 7D 10 00 75 1A 68 10 00 00 80 8B 45 FC 50 8D 55 EC B9 14 00 00 80 8B C3 E8 ?? ?? ?? ?? EB 6B BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D CC 8B 55 F8 4A 8B 45 EC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D4 8B 45 D0 89 45 D8 8D 4D C4 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C4 89 45 DC 8B 45 C8 89 45 E0 8D 4D BC 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 BC 89 45 E4 8B 45 C0 89 45 E8 8D 55 D4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 83 E8 02 50 8B 45 08 50 8B 4E 08 83 E9 02 8B 56 04 42 8B 06 40 E8 ?? ?? ?? ?? 80 7D 10 00 74 0D 6A 01 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_1322_0 {
	meta:
		name = "GetBitBtnGlyph"
		size = 142
		refs = "000d GetBitBtnGlyph 001f BitBtnGlyphs 0029 _Dn_TBitmap 002e TBitmap.Create 003f BitBtnResNames 0044 @LStrFromPChar 004d HInstance 005f TBitmap.LoadFromResourceName 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 83 E6 7F 83 3C B5 ?? ?? ?? ?? 00 75 3D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 B5 ?? ?? ?? ?? 8D 45 FC 8B 14 B5 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 12 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1C B5 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1323_0 {
	meta:
		name = "TGlyphList.CreateSize"
		size = 78
		refs = "000d @ClassCreate 001e TCustomImageList.CreateSize 0025 _Dn_TBits 002a TObject.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 70 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1324_0 {
	meta:
		name = "TGlyphList.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TCustomImageList.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 70 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1325_0 {
	meta:
		name = "TGlyphList.AllocateIndex"
		size = 63
		refs = "0008 TBits.OpenBit 001d TCustomImageList.Add 002a TBits.SetSize 0036 TBits.SetBit"
	strings:
		$1 = { 53 56 8B D8 8B 43 70 E8 ?? ?? ?? ?? 8B F0 8B 43 70 3B 70 04 7C 18 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 56 01 8B 43 70 E8 ?? ?? ?? ?? B1 01 8B D6 8B 43 70 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1326_0 {
	meta:
		name = "TGlyphList.AddMasked"
		size = 41
		refs = "000d TGlyphList.AllocateIndex 001b TCustomImageList.ReplaceMasked"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 55 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? FF 43 74 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1327_0 {
	meta:
		name = "TGlyphList.Delete"
		size = 38
		refs = "000c TBits.GetBit 001f TBits.SetBit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 70 E8 ?? ?? ?? ?? 84 C0 74 0F FF 4B 74 33 C9 8B D6 8B 43 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1328_0 {
	meta:
		name = "TGlyphCache.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
		altNames = "TNameMap.Create TQRExportFilterLibrary.Create TValueList.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15906_0 {
	meta:
		name = "TQRLibrary.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1329_0 {
	meta:
		name = "TGlyphCache.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9379_0 {
	meta:
		name = "TPicture.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1330_0 {
	meta:
		name = "TGlyphCache.GetList"
		size = 93
		refs = "001e TList.Get 0040 _DV_TGlyphList 0045 TGlyphList.CreateSize 0051 TList.Add"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 47 04 8B 70 08 4E 83 FE 00 7C 1F 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B D8 3B 6B 28 75 08 8B 04 24 3B 43 24 74 24 4E 83 FE FF 75 E1 8B 04 24 50 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1331_0 {
	meta:
		name = "TGlyphCache.ReturnList"
		size = 32
		refs = "0013 TList.Remove 001a TObject.Free"
	strings:
		$1 = { 53 8B DA 85 DB 74 17 83 7B 74 00 75 11 8B D3 8B 40 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1332_0 {
	meta:
		name = "TGlyphCache.Empty"
		size = 11
	strings:
		$1 = { 8B 40 04 83 78 08 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_1333_0 {
	meta:
		name = "TButtonGlyph.Create"
		size = 145
		refs = "000e @ClassCreate 001c TObject.Create 0023 _Dn_TBitmap 0028 TBitmap.Create 0037 TButtonGlyph.GlyphChanged 005b GlyphCache 0065 _DV_TGlyphCache 006a TGlyphCache.Create 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 89 5E 08 C7 46 04 ?? ?? ?? ?? C7 43 1C 80 80 00 00 C6 43 20 01 33 C0 33 D2 8A D0 C7 44 93 0C FF FF FF FF 40 3C 04 75 EF 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1334_0 {
	meta:
		name = "TButtonGlyph.Destroy"
		size = 92
		refs = "0003 @BeforeDestruction 000f TObject.Free 0016 TButtonGlyph.Invalidate 001c GlyphCache 0029 TGlyphCache.Empty 004a TObject.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1335_0 {
	meta:
		name = "TButtonGlyph.Invalidate"
		size = 71
		refs = "001f TGlyphList.Delete 0035 GlyphCache 003a TGlyphCache.ReturnList"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B FB 83 E7 7F 8B 44 BE 0C 83 F8 FF 74 0E 33 D2 8A D3 8B D0 8B 46 08 E8 ?? ?? ?? ?? C7 44 BE 0C FF FF FF FF 43 80 FB 04 75 D6 8B 56 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1336_0 {
	meta:
		name = "TButtonGlyph.GlyphChanged"
		size = 46
		refs = "000e TBitmap.GetTransparentColor 0018 TButtonGlyph.Invalidate"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 3B D6 75 20 8B C6 E8 ?? ?? ?? ?? 89 43 1C 8B C3 E8 ?? ?? ?? ?? 66 83 7B 26 00 74 08 8B D3 8B 43 28 FF 53 24 5E 5B C3 }
	condition:
		$1
}

rule function_1337_0 {
	meta:
		name = "TButtonGlyph.SetGlyph"
		size = 118
		refs = "0009 TButtonGlyph.Invalidate 0029 TBitmap.GetTransparentColor 006f TButtonGlyph.SetNumGlyphs"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 04 8B 08 FF 51 08 85 DB 74 58 8B C3 8B 10 FF 52 20 85 C0 7E 4D 8B C3 E8 ?? ?? ?? ?? 89 46 1C 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 20 5A 92 8B CA 99 F7 F9 85 D2 75 29 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 20 5A 92 8B CA 99 F7 F9 83 F8 04 7E 05 B8 01 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1338_0 {
	meta:
		name = "TButtonGlyph.SetNumGlyphs"
		size = 38
		refs = "0012 TButtonGlyph.Invalidate 001f TButtonGlyph.GlyphChanged"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 20 74 18 84 DB 76 14 8B C6 E8 ?? ?? ?? ?? 88 5E 20 8B 56 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1339_0 {
	meta:
		name = "TButtonGlyph.CreateButtonGlyph"
		size = 1494
		refs = "0088 GlyphCache 0092 _DV_TGlyphCache 0097 TGlyphCache.Create 00aa TGlyphCache.GetList 00b7 _Dn_TBitmap 00bc TBitmap.Create 00c7 TButtonGlyph.CreateButtonGlyph 00f1 Rect 00f9 TBitmap.GetCanvas 0106 TBrush.SetColor 0116 CopyPalette 017a TCanvas.CopyRect 019a TGlyphList.AddMasked 0258 TBitmap.SetMonochrome 02b7 TCanvas.GetHandle 02c1 SetTextColor 02cc SetBkColor 02ef BitBlt 037d ColorToRGB 043e TBitmap.GetMonochrome 0457 TFont.SetColor 04a1 TCanvas.FillRect 0566 TObject.Free 0574 @HandleFinally 05c9 TBitmap.Dormant"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 88 55 FB 89 45 FC 80 7D FB 02 75 0D 8B 45 FC 80 78 20 03 73 04 C6 45 FB 00 33 C0 8A 45 FB 8B 55 FC 8B 5C 82 0C 83 FB FF 0F 85 96 05 00 00 8B 45 FC 8B 40 04 8B 10 FF 52 2C 8B F0 8B 45 FC 8B 40 04 8B 10 FF 52 20 0B F0 0F 84 76 05 00 00 8B 45 FC 8B 40 04 8B 10 FF 52 2C 8B 55 FC 0F B6 52 20 8B CA 99 F7 F9 8B F8 8B 45 FC 8B 40 04 8B 10 FF 52 20 8B F0 8B 45 FC 83 78 08 00 75 2E 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B CE 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 F4 8B 08 FF 51 40 8B D6 8B 45 F4 8B 08 FF 51 34 56 8D 45 D8 50 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 24 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 38 8A 5D FB 8B 45 FC 3A 58 20 7C 02 33 DB 56 8D 45 C8 50 33 C9 8A CB 41 0F AF CF 33 C0 8A C3 F7 EF 33 D2 E8 ?? ?? ?? ?? 8A 45 FB 2C 01 72 0B 74 7F 48 2C 02 0F 83 3C 04 00 00 8D 45 C8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 80 78 28 01 75 25 8B 45 FC 8B 48 1C 8B 45 FC 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 33 D2 8A 55 FB 8B 4D FC 89 44 91 0C E9 EA 03 00 00 8B 45 FC 8B 40 08 B9 00 00 00 20 8B 55 F4 E8 ?? ?? ?? ?? 33 D2 8A 55 FB 8B 4D FC 89 44 91 0C E9 C6 03 00 00 33 C0 89 45 EC 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 50 04 8B 45 F0 8B 08 FF 51 08 B2 01 8B 45 F0 8B 08 FF 51 68 8B 45 FC 80 78 20 01 0F 86 D8 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B D7 8B 45 EC 8B 08 FF 51 40 8B D6 8B 45 EC 8B 08 FF 51 34 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 14 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 14 BA 14 00 00 80 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 14 BA 80 80 80 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 14 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 14 5A E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 45 FC 8B 50 04 8B 45 EC 8B 08 FF 51 08 B2 01 8B 45 EC 8B 08 FF 51 68 8B 45 EC E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B D7 8B 45 EC 8B 08 FF 51 40 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 EC E8 ?? ?? ?? ?? 8B 40 0C BA FF FF FF 00 E8 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 40 14 BA FF FF FF 00 E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 43 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 43 14 BA 14 00 00 80 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 01 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 14 BA 10 00 00 80 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 08 B9 00 00 00 20 8B 55 F4 E8 ?? ?? ?? ?? 33 D2 8A 55 FB 8B 4D FC 89 44 91 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 8A 45 FB 8B 55 FC 8B 5C 82 0C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1340_0 {
	meta:
		name = "TButtonGlyph.DrawButtonGlyph"
		size = 186
		refs = "003a TButtonGlyph.CreateButtonGlyph 0067 TCanvas.GetHandle 0071 TCustomImageList.GetHandle 0077 ImageList_DrawEx 008a ColorToRGB"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 83 7B 04 00 0F 84 9A 00 00 00 8B 43 04 8B 10 FF 52 2C 85 C0 0F 84 8A 00 00 00 8B 43 04 8B 10 FF 52 20 85 C0 74 7E 8A 55 0C 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7D 08 00 75 06 80 7D 0C 03 75 31 6A 01 68 FF FF FF 1F 68 FF FF FF 1F 6A 00 6A 00 8B 46 04 50 8B 06 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 35 6A 00 68 FF FF FF 1F B8 0F 00 00 80 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 46 04 50 8B 06 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1341_0 {
	meta:
		name = "TButtonGlyph.DrawButtonText"
		size = 227
		refs = "0025 TBrush.SetStyle 003c OffsetRect 0049 TFont.SetColor 005a @LStrLen 0062 @LStrToPChar 006a TCanvas.GetHandle 0070 DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 10 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B DA 8B 7D 08 B2 01 8B 43 14 E8 ?? ?? ?? ?? 80 7D 0C 01 0F 85 82 00 00 00 6A 01 6A 01 8D 45 F0 50 E8 ?? ?? ?? ?? BA 14 00 00 80 8B 43 0C E8 ?? ?? ?? ?? 8B C7 83 C8 05 50 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 F0 50 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 43 0C E8 ?? ?? ?? ?? 83 CF 05 57 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 25 83 CF 05 57 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_1342_0 {
	meta:
		name = "TButtonGlyph.CalcButtonLayout"
		size = 781
		refs = "0047 Point 0092 @LStrLen 00aa Rect 00d3 @LStrToPChar 00dc TCanvas.GetHandle 00e2 DrawText 0300 OffsetRect"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B D9 89 55 F8 89 45 FC 8B 7D 0C 8B 75 10 8B 45 08 83 E0 02 83 F8 02 75 16 80 7D 1C 00 75 06 C6 45 1C 01 EB 0A 80 7D 1C 01 75 04 C6 45 1C 00 8B 53 0C 2B 53 04 8B 43 08 2B 03 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 04 00 74 2E 8B 45 FC 8B 40 04 8B 10 FF 52 20 50 8B 45 FC 8B 40 04 8B 10 FF 52 2C 8B 55 FC 0F B6 52 20 8B CA 99 F7 F9 8D 4D E0 5A E8 ?? ?? ?? ?? EB 0C 8D 4D E0 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 20 E8 ?? ?? ?? ?? 85 C0 7E 61 6A 00 8D 45 C0 50 8B 4B 08 2B 0B 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D 75 C0 B9 04 00 00 00 F3 A5 5F 5E 8B 45 08 0D 00 04 00 00 50 57 8B 45 20 E8 ?? ?? ?? ?? 50 8B 45 20 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 57 0C 2B 57 04 8B 47 08 2B 07 8D 4D D8 E8 ?? ?? ?? ?? EB 2B 6A 00 8D 45 C0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D 75 C0 B9 04 00 00 00 F3 A5 5F 5E 8D 4D D8 33 D2 33 C0 E8 ?? ?? ?? ?? 8A 45 1C 2C 02 73 23 8B 45 EC 8B D0 2B 55 E4 42 D1 FA 79 03 83 D2 00 89 56 04 2B 45 DC 40 D1 F8 79 03 83 D0 00 89 45 F4 EB 20 8B 45 E8 8B D0 2B 55 E0 42 D1 FA 79 03 83 D2 00 89 16 2B 45 D8 40 D1 F8 79 03 83 D0 00 89 45 F0 83 7D D8 00 74 06 83 7D E0 00 75 05 33 C0 89 45 14 83 7D 18 FF 0F 85 97 00 00 00 83 7D 14 FF 75 4A 8D 4D D0 8B 55 E4 03 55 DC 8B 45 E0 03 45 D8 E8 ?? ?? ?? ?? 8A 45 1C 2C 02 73 13 8B 45 E8 2B 45 D0 B9 03 00 00 00 99 F7 F9 89 45 18 EB 11 8B 45 EC 2B 45 D4 B9 03 00 00 00 99 F7 F9 89 45 18 8B 45 18 89 45 14 E9 96 00 00 00 8D 4D D0 8B 55 E4 03 55 14 03 55 DC 8B 45 E0 03 45 14 03 45 D8 E8 ?? ?? ?? ?? 8A 45 1C 2C 02 73 13 8B 45 E8 2B 45 D0 40 D1 F8 79 03 83 D0 00 89 45 18 EB 62 8B 45 EC 2B 45 D4 40 D1 F8 79 03 83 D0 00 89 45 18 EB 4F 83 7D 14 FF 75 49 8B 45 18 03 45 E4 8B 55 EC 2B D0 8B 45 18 03 45 E0 50 8B 45 E8 59 2B C1 8D 4D D0 E8 ?? ?? ?? ?? 8A 45 1C 2C 02 73 12 8B 45 D0 2B 45 D8 D1 F8 79 03 83 D0 00 89 45 14 EB 10 8B 45 D4 2B 45 DC D1 F8 79 03 83 D0 00 89 45 14 8A 45 1C 2C 01 72 0C 74 1A FE C8 74 2C FE C8 74 39 EB 4C 8B 45 18 89 06 03 45 E0 03 45 14 89 45 F0 EB 3C 8B 45 E8 2B 45 18 2B 45 E0 89 06 2B 45 14 2B 45 D8 89 45 F0 EB 26 8B 45 18 89 46 04 03 45 E4 03 45 14 89 45 F4 EB 15 8B 45 EC 2B 45 18 2B 45 E4 89 46 04 2B 45 14 2B 45 DC 89 45 F4 8B 03 8B 55 24 03 02 01 06 8B 43 04 8B 55 24 03 42 04 01 46 04 8B 53 04 03 55 F4 8B 45 24 8B 00 03 D0 52 8B 13 03 55 F0 8B 4D 24 03 D0 52 57 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_1343_0 {
	meta:
		name = "TButtonGlyph.Draw"
		size = 112
		refs = "0038 TButtonGlyph.CalcButtonLayout 004c TButtonGlyph.DrawButtonGlyph 0063 TButtonGlyph.DrawButtonText"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 24 8B 45 28 50 57 8A 45 20 50 8B 45 1C 50 8B 45 18 50 8D 45 F4 50 8B 45 08 50 8B 45 0C 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 45 14 50 8A 45 10 50 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8A 45 14 50 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_1344_0 {
	meta:
		name = "TSpeedButton.Create"
		size = 192
		refs = "000e @ClassCreate 001c _DV_TButtonGlyph 0021 TButtonGlyph.Create 0037 TSpeedButton.GlyphChanged 0042 TGraphicControl.Create 0059 TSpeedButton.Create 0065 TControl.SetParentFont 0071 TControl.SetColor 0099 ButtonCount 00a6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 01 00 00 8B 83 1C 01 00 00 89 58 28 C7 40 24 ?? ?? ?? ?? 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 17 6A 16 33 C9 33 D2 8B C3 8B 30 FF 96 80 00 00 00 A1 ?? ?? ?? ?? 89 43 40 B2 01 8B C3 E8 ?? ?? ?? ?? BA 0F 00 00 80 8B C3 E8 ?? ?? ?? ?? C7 83 24 01 00 00 04 00 00 00 C7 83 2C 01 00 00 FF FF FF FF C6 83 23 01 00 00 00 C6 83 28 01 00 00 01 FF 05 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 82 00 00 00 }
	condition:
		$1
}

rule function_1345_0 {
	meta:
		name = "TSpeedButton.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 000d ButtonCount 0019 TGraphicControl.Destroy 0024 TObject.Free 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 0D ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1346_0 {
	meta:
		name = "TSpeedButton.Paint"
		size = 581
		refs = "0013 TSpeedButton.Paint 006d TCanvas.SetFont 0081 Rect 00b3 TCanvas.GetHandle 00b9 DrawFrameControl 00f1 FillStyles 010c DownStyles 0122 DrawEdge 013e TBrush.SetColor 014c TCanvas.FillRect 0159 InflateRect 018f AllocPatternBitmap 019f TBrush.SetBitmap 01d5 TControl.GetText 0205 TControl.DrawTextBiDiModeFlags 021e TButtonGlyph.Draw 0233 @LStrClr 0239 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 D2 89 55 D4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 84 C0 75 10 C6 83 32 01 00 00 01 C6 83 21 01 00 00 00 EB 2B 80 BB 32 01 00 00 01 75 22 80 BB 20 01 00 00 00 74 12 83 BB 18 01 00 00 00 74 09 C6 83 32 01 00 00 03 EB 07 C6 83 32 01 00 00 00 8B 53 58 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 8B 43 3C 50 8D 45 E8 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB 30 01 00 00 00 75 34 BE 10 20 00 00 8A 83 32 01 00 00 04 FE 2C 02 73 06 81 CE 00 02 00 00 56 6A 04 8D 45 E8 50 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 9B 00 00 00 8A 83 32 01 00 00 04 FE 2C 02 72 18 80 BB 31 01 00 00 00 74 09 80 BB 32 01 00 00 01 75 06 F6 43 20 10 74 42 33 C0 8A 83 28 01 00 00 8B 04 85 ?? ?? ?? ?? 83 C8 0F 50 8A 83 32 01 00 00 04 FE 2C 02 0F 92 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 8D 45 E8 50 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 28 80 BB 28 01 00 00 00 75 1F 8B 83 14 01 00 00 8B 40 14 8B 53 64 E8 ?? ?? ?? ?? 8D 55 E8 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 8A 83 32 01 00 00 04 FE 2C 02 73 58 80 BB 32 01 00 00 03 75 3F 80 BB 30 01 00 00 00 74 09 80 BB 31 01 00 00 00 75 2D BA 14 00 00 80 B8 0F 00 00 80 E8 ?? ?? ?? ?? 8B D0 8B 83 14 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 E8 8B 83 14 01 00 00 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 C7 45 FC 01 00 00 00 EB 0A 33 C0 89 45 F8 33 C0 89 45 FC 8D 45 F8 50 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8A 83 23 01 00 00 50 8B 83 2C 01 00 00 50 8B 83 24 01 00 00 50 8A 83 32 01 00 00 50 8A 83 28 01 00 00 50 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8D 45 D8 50 8D 4D E8 8B 93 14 01 00 00 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1347_0 {
	meta:
		name = "TSpeedButton.UpdateTracking"
		size = 99
		refs = "001d GetCursorPos 0026 FindDragTarget 0048 TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 80 BE 30 01 00 00 00 74 4E 8B C6 8B 10 FF 52 50 84 C0 74 43 54 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 3B F0 0F 94 C3 80 F3 01 88 9E 31 01 00 00 84 DB 74 12 6A 00 33 C9 BA 14 B0 00 00 8B C6 E8 ?? ?? ?? ?? EB 10 6A 00 33 C9 BA 13 B0 00 00 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1348_0 {
	meta:
		name = "TSpeedButton.Loaded"
		size = 42
		refs = "0006 TControl.Loaded 0024 TButtonGlyph.CreateButtonGlyph"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 84 C0 74 04 33 C0 EB 02 B0 01 8B D0 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1349_0 {
	meta:
		name = "TSpeedButton.MouseDown"
		size = 85
		refs = "001d TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 29 8B C6 8B 10 FF 52 50 84 C0 74 1E 80 BE 20 01 00 00 00 75 0E C6 86 32 01 00 00 02 8B C6 8B 10 FF 52 78 C6 86 21 01 00 00 01 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1350_0 {
	meta:
		name = "TSpeedButton.MouseMove"
		size = 160
		refs = "001a TControl.MouseMove 0041 TControl.GetClientWidth 0050 TControl.GetClientHeight 0094 TSpeedButton.UpdateTracking"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 21 01 00 00 00 74 61 80 BB 20 01 00 00 00 75 06 C6 45 FE 00 EB 04 C6 45 FE 03 85 F6 7C 2D 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 22 85 FF 7C 1E 8B C3 E8 ?? ?? ?? ?? 3B F8 7F 13 80 BB 20 01 00 00 00 74 06 C6 45 FE 03 EB 04 C6 45 FE 02 8A 45 FE 3A 83 32 01 00 00 74 22 8A 45 FE 88 83 32 01 00 00 8B C3 8B 10 FF 52 78 EB 10 80 BB 31 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1351_0 {
	meta:
		name = "TSpeedButton.MouseUp"
		size = 233
		refs = "0020 TControl.MouseUp 003f TControl.GetClientWidth 004e TControl.GetClientHeight 009e TSpeedButton.SetDown 00d6 @CallDynaInst 00dd TSpeedButton.UpdateTracking"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B F0 8B 7D 08 8B 5D 0C 53 57 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 80 BE 21 01 00 00 00 0F 84 B0 00 00 00 C6 86 21 01 00 00 00 85 DB 7C 1A 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 0F 85 FF 7C 0B 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 04 33 C0 EB 02 B0 01 8B D8 83 BE 18 01 00 00 00 75 27 C6 86 32 01 00 00 00 C6 86 31 01 00 00 00 84 DB 74 52 8A 86 32 01 00 00 04 FE 2C 02 72 46 8B C6 8B 10 FF 52 78 EB 3D 84 DB 74 22 8A 96 20 01 00 00 80 F2 01 8B C6 E8 ?? ?? ?? ?? 80 BE 20 01 00 00 00 74 20 8B C6 8B 10 FF 52 7C EB 17 80 BE 20 01 00 00 00 74 07 C6 86 32 01 00 00 03 8B C6 8B 10 FF 52 7C 84 DB 74 0B 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1353_0 {
	meta:
		name = "TSpeedButton.GetPalette"
		size = 17
		refs = "0006 TSpeedButton.GetGlyph"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 24 5B C3 }
	condition:
		$1
}

rule function_1391_0 {
	meta:
		name = "TBitBtn.GetPalette"
		size = 17
		refs = "0006 TBitBtn.GetGlyph"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 24 5B C3 }
	condition:
		$1
}

rule function_1354_0 {
	meta:
		name = "TSpeedButton.GetGlyph"
		size = 10
	strings:
		$1 = { 8B 80 1C 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_1355_0 {
	meta:
		name = "TSpeedButton.SetGlyph"
		size = 23
		refs = "000a TButtonGlyph.SetGlyph"
	strings:
		$1 = { 53 8B D8 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_1356_0 {
	meta:
		name = "TSpeedButton.GetNumGlyphs"
		size = 10
	strings:
		$1 = { 8B 80 1C 01 00 00 8A 40 20 C3 }
	condition:
		$1
}

rule function_1357_0 {
	meta:
		name = "TSpeedButton.SetNumGlyphs"
		size = 43
		refs = "001e TButtonGlyph.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 84 D2 73 04 B2 01 EB 07 80 FA 04 76 02 B2 04 8B 83 1C 01 00 00 3A 50 20 74 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_1358_0 {
	meta:
		name = "TBitBtn.GlyphChanged"
		size = 6
		altNames = "TBytesField.GetDataSize TControl.CMColorChanged TControl.CMEnabledChanged TControl.CMFontChanged TCustomDecisionGrid.FontChanged TCustomGrid.InvalidateGrid TCustomPanel.CMTextChanged TCustomTeePanel.CanvasChanged TQRShape.StyleChanged TShape.StyleChanged TSpeedButton.CMFontChanged TSpeedButton.CMTextChanged TSpeedButton.GlyphChanged TTabbedNotebook.CMTabFontChanged"
	strings:
		$1 = { 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1359_0 {
	meta:
		name = "TSpeedButton.UpdateExclusive"
		size = 54
		refs = "002e TWinControl.Broadcast"
	strings:
		$1 = { 83 C4 F0 8B 90 18 01 00 00 85 D2 74 25 83 78 24 00 74 1F C7 04 24 18 B0 00 00 89 54 24 04 89 44 24 08 33 D2 89 54 24 0C 8B D4 8B 40 24 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_1360_0 {
	meta:
		name = "TSpeedButton.SetDown"
		size = 106
		refs = "0063 TSpeedButton.UpdateExclusive"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 18 01 00 00 00 75 02 33 DB 3A 9E 20 01 00 00 74 4E 80 BE 20 01 00 00 00 74 09 80 BE 22 01 00 00 00 74 3C 88 9E 20 01 00 00 84 DB 74 19 80 BE 32 01 00 00 00 75 07 8B C6 8B 10 FF 52 78 C6 86 32 01 00 00 03 EB 0E C6 86 32 01 00 00 00 8B C6 8B 10 FF 52 7C 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1361_0 {
	meta:
		name = "TSpeedButton.SetFlat"
		size = 20
	strings:
		$1 = { 3A 90 30 01 00 00 74 0B 88 90 30 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1362_0 {
	meta:
		name = "TSpeedButton.SetGroupIndex"
		size = 20
		refs = "000f TSpeedButton.UpdateExclusive"
	strings:
		$1 = { 3B 90 18 01 00 00 74 0B 89 90 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1363_0 {
	meta:
		name = "TSpeedButton.SetLayout"
		size = 20
	strings:
		$1 = { 3A 90 23 01 00 00 74 0B 88 90 23 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1364_0 {
	meta:
		name = "TSpeedButton.SetMargin"
		size = 25
	strings:
		$1 = { 3B 90 2C 01 00 00 74 10 83 FA FF 7C 0B 89 90 2C 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1365_0 {
	meta:
		name = "TSpeedButton.SetSpacing"
		size = 20
	strings:
		$1 = { 3B 90 24 01 00 00 74 0B 89 90 24 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1366_0 {
	meta:
		name = "TSpeedButton.SetTransparent"
		size = 60
		refs = "0016 TSpeedButton.SetTransparent"
	strings:
		$1 = { 53 8B D8 3A 93 28 01 00 00 74 2B 88 93 28 01 00 00 84 D2 74 0F A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 EB 0B A1 ?? ?? ?? ?? 0B 43 40 89 43 40 8B C3 8B 10 FF 52 78 5B C3 40 00 00 00 }
	condition:
		$1
}

rule function_1367_0 {
	meta:
		name = "TSpeedButton.SetAllowAllUp"
		size = 20
		refs = "000f TSpeedButton.UpdateExclusive"
	strings:
		$1 = { 3A 90 22 01 00 00 74 0B 88 90 22 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1368_0 {
	meta:
		name = "TSpeedButton.WMLButtonDblClk"
		size = 34
		refs = "0007 TControl.WMLButtonDblClk 001b @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE 20 01 00 00 00 74 0B 8B C6 66 BB EB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1369_0 {
	meta:
		name = "TSpeedButton.CMEnabledChanged"
		size = 46
		refs = "000f NewState 001a TButtonGlyph.CreateButtonGlyph 0021 TSpeedButton.UpdateTracking"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 50 83 E0 7F 8A 90 ?? ?? ?? ?? 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 7C 5B C3 }
	condition:
		$1
}

rule function_1370_0 {
	meta:
		name = "TSpeedButton.CMButtonPressed"
		size = 76
	strings:
		$1 = { 53 56 8B D8 8B 42 04 3B 83 18 01 00 00 75 3A 8B 72 08 3B DE 74 33 80 BE 20 01 00 00 00 74 1E 80 BB 20 01 00 00 00 74 15 C6 83 20 01 00 00 00 C6 83 32 01 00 00 00 8B C3 8B 10 FF 52 78 8A 86 22 01 00 00 88 83 22 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1371_0 {
	meta:
		name = "TSpeedButton.CMDialogChar"
		size = 127
		refs = "0010 TSpeedButton.CMDialogChar 0020 TControl.GetText 002c IsAccel 0046 @CallDynaInst 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 47 04 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C6 8B 10 FF 52 50 84 C0 74 14 8B C6 66 BB EC FF E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 09 8B D7 8B C6 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1374_0 {
	meta:
		name = "TSpeedButton.CMSysColorChange"
		size = 33
		refs = "000d TButtonGlyph.Invalidate 001a TButtonGlyph.CreateButtonGlyph"
	strings:
		$1 = { 53 56 8B D8 8B B3 1C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8A 93 32 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1375_0 {
	meta:
		name = "TSpeedButton.CMMouseEnter"
		size = 70
		refs = "0006 TControl.CMMouseEnter 002e GetCapture"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 30 01 00 00 00 74 31 80 BB 31 01 00 00 00 75 28 8B C3 8B 10 FF 52 50 84 C0 74 1D 80 7B 4D 01 74 17 E8 ?? ?? ?? ?? 85 C0 75 0E C6 83 31 01 00 00 01 8B C3 8B 10 FF 52 7C 5B C3 }
	condition:
		$1
}

rule function_1376_0 {
	meta:
		name = "TSpeedButton.CMMouseLeave"
		size = 64
		refs = "0006 TControl.CMMouseLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 30 01 00 00 00 74 2B 80 BB 31 01 00 00 00 74 22 8B C3 8B 10 FF 52 50 84 C0 74 17 80 BB 21 01 00 00 00 75 0E C6 83 31 01 00 00 00 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_1377_0 {
	meta:
		name = "CopyImage"
		size = 143
		refs = "0014 TSpeedButton.GetGlyph 0031 TBitmap.GetCanvas 003e TBrush.SetColor 005c Rect 006d TCanvas.FillRect 0084 TCustomImageList.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B FA 8B F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 56 28 8B C3 8B 08 FF 51 40 8B 56 24 8B C3 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 8B 40 14 BA FF 00 FF 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 50 8D 45 F0 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 6A 00 57 6A 01 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1405_0 {
	meta:
		name = "CopyImage"
		size = 143
		refs = "0014 TBitBtn.GetGlyph 0031 TBitmap.GetCanvas 003e TBrush.SetColor 005c Rect 006d TCanvas.FillRect 0084 TCustomImageList.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B FA 8B F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 56 28 8B C3 8B 08 FF 51 40 8B 56 24 8B C3 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 8B 40 14 BA FF 00 FF 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 50 8D 45 F0 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 6A 00 57 6A 01 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1378_0 {
	meta:
		name = "TSpeedButton.ActionChange"
		size = 117
		refs = "0011 TControl.ActionChange 0019 _Dn_TCustomAction 001e @IsClass 002a TSpeedButton.GetGlyph 0055 TCustomImageList.GetCount 006b CopyImage"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 1C 84 C0 74 39 83 7B 44 00 74 33 8B 43 44 83 78 2C 00 74 2A 83 7B 5C 00 7C 24 8B F3 8B 46 44 8B 40 2C E8 ?? ?? ?? ?? 3B 46 5C 7E 12 55 8B C3 8B 50 5C 8B 40 44 8B 40 2C E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1406_0 {
	meta:
		name = "TBitBtn.ActionChange"
		size = 117
		refs = "0011 TButtonControl.ActionChange 0019 _Dn_TCustomAction 001e @IsClass 002a TBitBtn.GetGlyph 0055 TCustomImageList.GetCount 006b CopyImage"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 1C 84 C0 74 39 83 7B 44 00 74 33 8B 43 44 83 78 2C 00 74 2A 83 7B 5C 00 7C 24 8B F3 8B 46 44 8B 40 2C E8 ?? ?? ?? ?? 3B 46 5C 7E 12 55 8B C3 8B 50 5C 8B 40 44 8B 40 2C E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1379_0 {
	meta:
		name = "TBitBtn.Create"
		size = 168
		refs = "000b @ClassCreate 0018 _DV_TButtonGlyph 001d TButtonGlyph.Create 0033 TBitBtn.GlyphChanged 003e TButton.Create 0045 _Dn_TCanvas 004a TCanvas.Create 007e TBitBtn.Create 008f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 FC 01 00 00 8B 87 FC 01 00 00 89 78 28 C7 40 24 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 F8 01 00 00 C6 87 00 02 00 00 00 C6 87 01 02 00 00 00 C6 87 02 02 00 00 00 C7 87 04 02 00 00 04 00 00 00 C7 87 08 02 00 00 FF FF FF FF A1 ?? ?? ?? ?? 0B 47 40 89 47 40 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 40 00 00 }
	condition:
		$1
}

rule function_1380_0 {
	meta:
		name = "TBitBtn.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0013 TWinControl.Destroy 001e TObject.Free 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1381_0 {
	meta:
		name = "TBitBtn.CreateHandle"
		size = 44
		refs = "0018 TWinControl.CreateHandle 0025 TButtonGlyph.CreateButtonGlyph"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 50 84 C0 74 04 33 DB EB 02 B3 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1382_0 {
	meta:
		name = "TBitBtn.CreateParams"
		size = 16
		refs = "0006 TButton.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 4B 04 0B 5B C3 }
	condition:
		$1
}

rule function_1383_0 {
	meta:
		name = "TBitBtn.SetButtonStyle"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 0C 02 00 00 74 0B 88 90 0C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1384_0 {
	meta:
		name = "TBitBtn.Click"
		size = 108
		refs = "0014 GetParentForm 001d TCustomForm.Close 0026 TButton.Click 0046 Application 0054 TApplication.HelpContext"
	strings:
		$1 = { 53 8B D8 8A 83 01 02 00 00 2C 03 74 1F 2C 03 75 52 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? EB 47 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 EB 03 8B 40 24 85 C0 74 09 83 B8 44 01 00 00 00 74 F0 85 C0 74 16 8B 15 ?? ?? ?? ?? 8B 12 8B 80 44 01 00 00 92 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1385_0 {
	meta:
		name = "TBitBtn.CNMeasureItem"
		size = 16
	strings:
		$1 = { 8B 52 08 8B 48 38 89 4A 0C 8B 40 3C 89 42 10 C3 }
	condition:
		$1
}

rule function_1386_0 {
	meta:
		name = "TBitBtn.CNDrawItem"
		size = 9
		refs = "0004 TBitBtn.DrawItem"
	strings:
		$1 = { 8B 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1387_0 {
	meta:
		name = "TBitBtn.DrawItem"
		size = 651
		refs = "0016 TBitBtn.DrawItem 002a TCanvas.SetHandle 009e TPen.SetColor 00b1 TPen.SetWidth 00c1 TBrush.SetStyle 00da TCanvas.Rectangle 00e7 InflateRect 0124 TBrush.SetColor 015f DrawFrameControl 018d TCanvas.SetFont 019e OffsetRect 01aa Point 01b8 TControl.GetText 01e0 TControl.DrawTextBiDiModeFlags 01f9 TButtonGlyph.Draw 0250 TCanvas.GetHandle 0256 DrawFocusRect 0278 @LStrClr 027e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 18 8B 87 F8 01 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B C7 8B 08 FF 51 44 8B 46 10 A8 01 0F 95 C3 A8 10 0F 95 45 FF 8B C7 8B 10 FF 52 50 84 C0 75 06 C6 45 FE 01 EB 0E 84 DB 74 06 C6 45 FE 02 EB 04 C6 45 FE 00 C7 45 F8 10 20 00 00 84 DB 74 07 81 4D F8 00 02 00 00 F6 46 10 04 74 07 81 4D F8 00 01 00 00 8A 87 0C 02 00 00 0A 45 FF 74 5C 8B 87 F8 01 00 00 8B 40 10 BA 06 00 00 80 E8 ?? ?? ?? ?? 8B 87 F8 01 00 00 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 87 F8 01 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 8B 4D EC 8B 55 E8 8B 87 F8 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 84 DB 74 61 8B 87 F8 01 00 00 8B 40 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 87 F8 01 00 00 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 87 F8 01 00 00 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 8B 4D EC 8B 55 E8 8B 87 F8 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? EB 13 8B 45 F8 50 6A 04 8D 45 E8 50 8B 46 18 50 E8 ?? ?? ?? ?? 80 BF 0C 02 00 00 00 74 17 8D 55 E8 8B C7 8B 08 FF 51 44 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 57 58 8B 87 F8 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 6A 01 6A 01 8D 45 E8 50 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 55 CC 8B C7 E8 ?? ?? ?? ?? 8B 45 CC 50 8A 87 02 02 00 00 50 8B 87 08 02 00 00 50 8B 87 04 02 00 00 50 8A 45 FE 50 6A 00 33 D2 8B C7 E8 ?? ?? ?? ?? 50 8D 45 D8 50 8D 4D E8 8B 97 F8 01 00 00 8B 87 FC 01 00 00 E8 ?? ?? ?? ?? 8A 87 0C 02 00 00 22 45 FF 74 52 8D 55 E8 8B C7 8B 08 FF 51 44 6A FC 6A FC 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 87 F8 01 00 00 8B 40 10 BA 06 00 00 80 E8 ?? ?? ?? ?? 8B 87 F8 01 00 00 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 87 F8 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 87 F8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1388_0 {
	meta:
		name = "TBitBtn.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_1389_0 {
	meta:
		name = "TBitBtn.CMEnabledChanged"
		size = 19
		refs = "0006 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_2267_0 {
	meta:
		name = "TColorGrid.CMCtl3DChanged"
		size = 19
		refs = "0006 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_17593_0 {
	meta:
		name = "TCustomCheckBox.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_17416_0 {
	meta:
		name = "TCustomGroupBox.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_8399_0 {
	meta:
		name = "TCustomPanel.CMBorderChanged"
		size = 19
		refs = "0006 TWinControl.CMBorderChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_5708_0 {
	meta:
		name = "TDBCtrlGrid.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_6317_0 {
	meta:
		name = "TDBImage.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_8474_0 {
	meta:
		name = "THeader.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_2495_0 {
	meta:
		name = "THeaderControl.WMWindowPosChanged"
		size = 19
		refs = "0006 TWinControl.WMWindowPosChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_1390_0 {
	meta:
		name = "TBitBtn.WMLButtonDblClk"
		size = 18
		refs = "000d TControl.Perform"
	strings:
		$1 = { 8B 4A 08 51 8B 4A 04 BA 01 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1392_0 {
	meta:
		name = "TBitBtn.SetGlyph"
		size = 30
		refs = "000a TButtonGlyph.SetGlyph"
	strings:
		$1 = { 53 8B D8 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? C6 83 0D 02 00 00 01 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_1393_0 {
	meta:
		name = "TBitBtn.GetGlyph"
		size = 10
	strings:
		$1 = { 8B 80 FC 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_1395_0 {
	meta:
		name = "TBitBtn.IsCustom"
		size = 17
		refs = "0006 TBitBtn.GetKind"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_1396_0 {
	meta:
		name = "TBitBtn.SetStyle"
		size = 20
	strings:
		$1 = { 3A 90 00 02 00 00 74 0B 88 90 00 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1397_0 {
	meta:
		name = "TBitBtn.SetKind"
		size = 270
		refs = "0012 TBitBtn.SetKind 0043 TButton.SetDefault 0069 TControl.GetText 0080 BitBtnCaptions 0092 LoadResString 009c TControl.SetText 00a7 BitBtnModalResults 00b4 GetBitBtnGlyph 00c1 TButtonGlyph.SetGlyph 00ca TBitBtn.SetNumGlyphs 00f3 @LStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 01 02 00 00 0F 84 BA 00 00 00 84 DB 0F 84 A5 00 00 00 8B C3 2C 01 74 08 2C 03 74 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 2C 02 74 08 2C 03 74 04 33 C0 EB 02 B0 01 88 86 F1 01 00 00 F6 46 20 01 74 10 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 06 F6 46 20 01 75 27 33 C0 8A C3 8B 3C 85 ?? ?? ?? ?? 85 FF 74 18 8D 55 F8 33 C0 8A C3 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 89 86 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? C6 86 0D 02 00 00 00 88 9E 01 02 00 00 8B C6 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1398_0 {
	meta:
		name = "TBitBtn.IsCustomCaption"
		size = 121
		refs = "000e TBitBtn.IsCustomCaption 0026 BitBtnCaptions 002b LoadResString 0039 TControl.GetText 0042 AnsiCompareStr 005e @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 33 C0 8A 83 01 02 00 00 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1399_0 {
	meta:
		name = "TBitBtn.GetKind"
		size = 108
		refs = "0049 BitBtnModalResults"
	strings:
		$1 = { 80 B8 01 02 00 00 00 74 5C 8A 90 01 02 00 00 8B CA 80 E9 01 74 09 80 E9 03 74 04 33 C9 EB 02 B1 01 32 88 F0 01 00 00 75 35 8B CA 80 E9 02 74 09 80 E9 03 74 04 33 C9 EB 02 B1 01 32 88 F1 01 00 00 75 1B 83 E2 7F 8B 14 95 ?? ?? ?? ?? 3B 90 F4 01 00 00 75 09 80 B8 0D 02 00 00 00 74 07 C6 80 01 02 00 00 00 8A 80 01 02 00 00 C3 }
	condition:
		$1
}

rule function_1400_0 {
	meta:
		name = "TBitBtn.SetLayout"
		size = 20
	strings:
		$1 = { 3A 90 02 02 00 00 74 0B 88 90 02 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1401_0 {
	meta:
		name = "TBitBtn.GetNumGlyphs"
		size = 10
	strings:
		$1 = { 8B 80 FC 01 00 00 8A 40 20 C3 }
	condition:
		$1
}

rule function_1402_0 {
	meta:
		name = "TBitBtn.SetNumGlyphs"
		size = 43
		refs = "001e TButtonGlyph.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 84 D2 73 04 B2 01 EB 07 80 FA 04 76 02 B2 04 8B 83 FC 01 00 00 3A 50 20 74 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_1403_0 {
	meta:
		name = "TBitBtn.SetSpacing"
		size = 20
	strings:
		$1 = { 3B 90 04 02 00 00 74 0B 89 90 04 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1404_0 {
	meta:
		name = "TBitBtn.SetMargin"
		size = 25
	strings:
		$1 = { 3B 90 08 02 00 00 74 10 83 FA FF 7C 0B 89 90 08 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1407_0 {
	meta:
		name = "DestroyLocals"
		size = 26
		refs = "0005 BitBtnGlyphs 000c TObject.Free"
	strings:
		$1 = { 53 56 B3 0B BE ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 83 C6 04 FE CB 75 F2 5E 5B C3 }
	condition:
		$1
}

rule function_1409_0 {
	meta:
		name = "Finalization"
		size = 53
		refs = "0007 Finalization 0013 _DV_3 001a DestroyLocals 002d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1633_0 {
	meta:
		name = "Finalization"
		size = 53
		refs = "0007 Finalization 0013 _DV_21 001a TeeGalleryExitProc 002d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14353_0 {
	meta:
		name = "Finalization"
		size = 53
		refs = "0007 Finalization 0013 _DV_3 001a OleUninitialize 002d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1410_0 {
	meta:
		name = "Buttons"
		size = 37
		refs = "0002 _DV_3 000a _NF__309 000f @InitImports 0014 BitBtnGlyphs 0020 @FillChar"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1411_0 {
	meta:
		name = "TCalendar.Create"
		size = 176
		refs = "000a @ClassCreate 0017 TCustomGrid.Create 0027 TCustomGrid.SetFixedCols 0033 TCustomGrid.SetFixedRows 003f TCustomGrid.SetColCount 004b TCustomGrid.SetRowCount 0054 TCustomGrid.SetScrollBars 005b TCalendar.Create 0072 TCustomGrid.SetOptions 0077 Date 0093 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 8B 02 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 96 28 02 00 00 66 0B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 9E 74 02 00 00 9B 8B C6 8B 10 FF 92 E4 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_1412_0 {
	meta:
		name = "TCalendar.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 82 02 00 00 00 74 10 8B D8 8B D0 8B 83 84 02 00 00 FF 93 80 02 00 00 5B C3 }
	condition:
		$1
}

rule function_1413_0 {
	meta:
		name = "TCalendar.Click"
		size = 113
		refs = "000c TCalendar.Click 0019 TControl.Click 0030 TCalendar.GetCellText 003e StrToInt 004c TCalendar.SetDateElement 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 8B 0C 02 00 00 8B 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1414_0 {
	meta:
		name = "TCalendar.IsLeapYear"
		size = 57
	strings:
		$1 = { 53 8B CA 8B C1 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 1C 8B C1 BB 64 00 00 00 99 F7 FB 85 D2 75 12 8B C1 B9 90 01 00 00 99 F7 F9 85 D2 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_1415_0 {
	meta:
		name = "TCalendar.DaysPerMonth"
		size = 46
		refs = "000d DaysInMonth"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 3C B5 ?? ?? ?? ?? 83 FE 02 75 11 8B D5 8B C3 8B 08 FF 91 E0 00 00 00 84 C0 74 01 47 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1416_0 {
	meta:
		name = "TCalendar.DaysThisMonth"
		size = 43
		refs = "000b TCalendar.GetDateElement"
	strings:
		$1 = { 53 8B D8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 93 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1417_0 {
	meta:
		name = "TCalendar.DrawCell"
		size = 181
		refs = "0027 TCalendar.DrawCell 003c TCalendar.GetCellText 004c TCanvas.TextHeight 006e TCanvas.TextWidth 008b TCanvas.TextRect 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B 75 0C 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 9B EC 01 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 45 FC 50 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 75 EC 2B CE 2B C8 D1 F9 79 03 83 D1 00 03 CE 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1418_0 {
	meta:
		name = "TCalendar.GetCellText"
		size = 112
		refs = "0024 ShortDayNames 002e @LStrLAsg 005a @LStrClr 0065 IntToStr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 7D 08 85 C9 75 23 33 C0 8A 83 89 02 00 00 03 C6 B9 07 00 00 00 99 F7 F9 A1 ?? ?? ?? ?? 8B 14 90 8B C7 E8 ?? ?? ?? ?? EB 35 03 B3 7C 02 00 00 49 8B C1 C1 E0 03 2B C1 03 F0 83 FE 01 7C 0E 8B C3 8B 10 FF 92 DC 00 00 00 3B F0 7E 09 8B C7 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1419_0 {
	meta:
		name = "TCalendar.SelectCell"
		size = 121
		refs = "0012 TCalendar.SelectCell 0039 TCalendar.GetCellText 004e TCustomGrid.SelectCell 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8A 02 00 00 00 75 09 80 BB 88 02 00 00 00 75 15 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 DB EB 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1420_0 {
	meta:
		name = "TCalendar.SetCalendarDate"
		size = 50
		refs = "0029 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 89 83 74 02 00 00 8B 45 0C 89 83 78 02 00 00 8B C3 8B 10 FF 92 E4 00 00 00 8B C3 66 BB A3 FF E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1421_0 {
	meta:
		name = "TCalendar.StoreCalendarDate"
		size = 9
	strings:
		$1 = { 8A 80 8B 02 00 00 34 01 C3 }
	condition:
		$1
}

rule function_1422_0 {
	meta:
		name = "TCalendar.GetDateElement"
		size = 73
		refs = "001f DecodeDate"
	strings:
		$1 = { 53 83 C4 F8 8B DA FF B0 78 02 00 00 FF B0 74 02 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 4B 74 08 4B 74 0B 4B 74 0F EB 14 0F B7 04 24 EB 11 0F B7 44 24 02 EB 0A 0F B7 44 24 04 EB 03 83 C8 FF 59 5A 5B C3 }
	condition:
		$1
}

rule function_1423_0 {
	meta:
		name = "TCalendar.SetDateElement"
		size = 183
		refs = "002d DecodeDate 008a EncodeDate 00ad @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 8B D8 85 F6 0F 8E 9D 00 00 00 FF B3 78 02 00 00 FF B3 74 02 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 4F 74 08 4F 74 13 4F 74 25 EB 75 0F B7 04 24 3B F0 74 6D 66 89 34 24 EB 31 83 FE 0C 7F 62 0F B7 44 24 02 3B F0 74 59 66 89 74 24 02 EB 1C 8B C3 8B 10 FF 92 DC 00 00 00 3B F0 7F 44 0F B7 44 24 04 3B F0 74 3B 66 89 74 24 04 66 8B 4C 24 04 66 8B 54 24 02 66 8B 04 24 E8 ?? ?? ?? ?? DD 9B 74 02 00 00 9B C6 83 8B 02 00 00 00 8B C3 8B 10 FF 92 E4 00 00 00 8B C3 66 BB A3 FF E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1424_0 {
	meta:
		name = "TCalendar.SetStartOfWeek"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 89 02 00 00 74 10 88 96 89 02 00 00 8B C6 8B 10 FF 92 E4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_1425_0 {
	meta:
		name = "TCalendar.SetUseCurrentDate"
		size = 45
		refs = "0016 Date"
	strings:
		$1 = { 56 8B F0 3A 96 8B 02 00 00 74 20 88 96 8B 02 00 00 84 D2 74 16 E8 ?? ?? ?? ?? DD 9E 74 02 00 00 9B 8B C6 8B 10 FF 92 E4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_1426_0 {
	meta:
		name = "TCalendar.ChangeMonth"
		size = 243
		refs = "0024 DecodeDate 0061 EncodeDate 00e7 TCalendar.SetCalendarDate"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B D8 FF B3 78 02 00 00 FF B3 74 02 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 0F B7 74 24 04 85 FF 7E 1A 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 28 FF 95 D8 00 00 00 66 89 44 24 04 EB 07 66 C7 44 24 04 01 00 66 8B 4C 24 04 66 8B 54 24 02 66 8B 04 24 E8 ?? ?? ?? ?? DD 5C 24 08 9B 89 7C 24 10 DB 44 24 10 DC 44 24 08 DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 38 FF 97 D8 00 00 00 3B F0 7D 07 66 89 74 24 04 EB 18 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 30 FF 96 D8 00 00 00 66 89 44 24 04 66 8B 4C 24 04 66 8B 54 24 02 66 8B 04 24 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1427_0 {
	meta:
		name = "TCalendar.PrevMonth"
		size = 9
		refs = "0004 TCalendar.ChangeMonth"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11246_0 {
	meta:
		name = "TCustomImageList.Clear"
		size = 9
		refs = "0004 TCustomImageList.Delete"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5546_0 {
	meta:
		name = "TDataSet.Prior"
		size = 9
		refs = "0004 TDataSet.MoveBy"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1428_0 {
	meta:
		name = "TCalendar.NextMonth"
		size = 11
		refs = "0006 TCalendar.ChangeMonth"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5545_0 {
	meta:
		name = "TDataSet.BlockReadNext"
		size = 11
		refs = "0006 TDataSet.MoveBy"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13570_0 {
	meta:
		name = "TNMFTP.Reinitialize"
		size = 28
		refs = "0001 TNMFTP.Reinitialize 0006 TNMFTP.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 04 00 00 00 52 45 49 4E 00 00 00 00 }
	condition:
		$1
}

rule function_1429_0 {
	meta:
		name = "TCalendar.NextYear"
		size = 111
		refs = "000b TCalendar.GetDateElement 004e TCalendar.SetDateElement"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 E0 00 00 00 84 C0 74 33 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 75 22 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 1D 75 11 B9 1C 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 41 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1430_0 {
	meta:
		name = "TCalendar.PrevYear"
		size = 111
		refs = "000b TCalendar.GetDateElement 004e TCalendar.SetDateElement"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 E0 00 00 00 84 C0 74 33 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 75 22 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 1D 75 11 B9 1C 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1431_0 {
	meta:
		name = "TCalendar.UpdateCalendar"
		size = 246
		refs = "0018 TCalendar.UpdateCalendar 003b DecodeDate 004c EncodeDate 005b DayOfWeek 00c6 TCustomGrid.MoveColRow 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC C6 80 8A 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF B0 78 02 00 00 FF B0 74 02 00 00 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 66 B9 01 00 66 8B 55 F8 66 8B 45 FA E8 ?? ?? ?? ?? DD 5D EC 9B FF 75 F0 FF 75 EC E8 ?? ?? ?? ?? 8B 55 FC 0F B6 92 89 02 00 00 2B C2 83 C0 07 B9 07 00 00 00 99 F7 F9 BB 02 00 00 00 2B DA 8B 45 FC 89 98 7C 02 00 00 83 FB 02 75 0D 8B 45 FC C7 80 7C 02 00 00 FB FF FF FF 6A 00 6A 00 0F B7 4D F6 8B 45 FC 2B 88 7C 02 00 00 8B C1 BB 07 00 00 00 99 F7 FB 52 8B C1 B9 07 00 00 00 99 F7 F9 40 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 8A 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1432_0 {
	meta:
		name = "TCalendar.WMSize"
		size = 68
		refs = "0025 TCustomGrid.SetDefaultColWidth 003c TCustomGrid.SetDefaultRowHeight"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 24 02 00 00 03 F6 8D 34 76 0F B7 47 08 2B C6 B9 07 00 00 00 99 F7 F9 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 47 0A 2B C6 B9 07 00 00 00 99 F7 F9 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1435_0 {
	meta:
		name = "_NF__9D"
		size = 660
	strings:
		$1 = { FF FF FF FF 0E 00 00 00 52 45 51 55 45 53 54 5F 4D 45 54 48 4F 44 00 00 FF FF FF FF 0F 00 00 00 53 45 52 56 45 52 5F 50 52 4F 54 4F 43 4F 4C 00 FF FF FF FF 03 00 00 00 55 52 4C 00 FF FF FF FF 0C 00 00 00 51 55 45 52 59 5F 53 54 52 49 4E 47 00 00 00 00 FF FF FF FF 09 00 00 00 50 41 54 48 5F 49 4E 46 4F 00 00 00 FF FF FF FF 0F 00 00 00 50 41 54 48 5F 54 52 41 4E 53 4C 41 54 45 44 00 FF FF FF FF 12 00 00 00 48 54 54 50 5F 43 41 43 48 45 5F 43 4F 4E 54 52 4F 4C 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 44 41 54 45 00 00 00 FF FF FF FF 0B 00 00 00 48 54 54 50 5F 41 43 43 45 50 54 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 46 52 4F 4D 00 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 48 4F 53 54 00 00 00 FF FF FF FF 16 00 00 00 48 54 54 50 5F 49 46 5F 4D 4F 44 49 46 49 45 44 5F 53 49 4E 43 45 00 00 FF FF FF FF 0C 00 00 00 48 54 54 50 5F 52 45 46 45 52 45 52 00 00 00 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 55 53 45 52 5F 41 47 45 4E 54 00 FF FF FF FF 15 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 45 4E 43 4F 44 49 4E 47 00 00 00 FF FF FF FF 11 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 54 59 50 45 00 00 00 FF FF FF FF 13 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 4C 45 4E 47 54 48 00 FF FF FF FF 14 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 56 45 52 53 49 4F 4E 00 00 00 00 FF FF FF FF 11 00 00 00 48 54 54 50 5F 44 45 52 49 56 45 44 5F 46 52 4F 4D 00 00 00 FF FF FF FF 0C 00 00 00 48 54 54 50 5F 45 58 50 49 52 45 53 00 00 00 00 FF FF FF FF 0A 00 00 00 48 54 54 50 5F 54 49 54 4C 45 00 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 41 44 44 52 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 48 4F 53 54 00 FF FF FF FF 0B 00 00 00 53 43 52 49 50 54 5F 4E 41 4D 45 00 FF FF FF FF 0B 00 00 00 53 45 52 56 45 52 5F 50 4F 52 54 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 43 4F 4E 4E 45 43 54 49 4F 4E 00 FF FF FF FF 0B 00 00 00 48 54 54 50 5F 43 4F 4F 4B 49 45 00 FF FF FF FF 12 00 00 00 48 54 54 50 5F 41 55 54 48 4F 52 49 5A 41 54 49 4F 4E 00 00 }
	condition:
		$1
}

rule function_1436_0 {
	meta:
		name = "TCGIRequest.Create"
		size = 140
		refs = "0010 @ClassCreate 001c TCGIRequest.Create 002b TWebRequest.Create 004e @LStrAsg 0063 @LStrClr 0069 @HandleFinally 0076 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C6 8B 08 FF 51 08 8B D0 8D 4D FC 8B C6 8B 38 FF 57 10 8B 55 FC 8D 46 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1437_0 {
	meta:
		name = "StripHTTP"
		size = 72
		refs = "0009 StripHTTP 000e @LStrPos 0023 @LStrCopy 002f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 15 56 B9 FF FF FF 7F BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 FF FF FF FF 05 00 00 00 48 54 54 50 5F 00 00 00 }
	condition:
		$1
}

rule function_1438_0 {
	meta:
		name = "TCGIRequest.GetFieldByName"
		size = 181
		refs = "001f TCGIRequest.GetFieldByName 0038 @LStrToPChar 003e GetEnvironmentVariable 004d @LStrFromPCharLen 006b StripHTTP 00a3 @LStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 33 DB 89 9D FC EF FF FF 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8D 85 00 F0 FF FF 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 00 F0 FF FF 8B C3 E8 ?? ?? ?? ?? 83 3B 00 75 39 68 00 10 00 00 8D 85 00 F0 FF FF 50 8D 95 FC EF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 FC EF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 00 F0 FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1439_0 {
	meta:
		name = "TCGIRequest.GetStringVariable"
		size = 46
		refs = "0014 @LStrLAsg 001f CGIServerVariables"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 FE 19 75 0C 8B C7 8B 53 14 E8 ?? ?? ?? ?? EB 10 8B CF 8B 14 B5 ?? ?? ?? ?? 8B C3 8B 18 FF 53 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1440_0 {
	meta:
		name = "TCGIRequest.GetDateVariable"
		size = 112
		refs = "0015 TCGIRequest.GetDateVariable 0034 ParseDate 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D6 8B C3 8B 18 FF 13 83 7D F4 00 74 0E 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 33 C0 89 45 F8 C7 45 FC 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11424_0 {
	meta:
		name = "TISAPIRequest.GetDateVariable"
		size = 112
		refs = "0015 TISAPIRequest.GetDateVariable 0034 ParseDate 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D6 8B C3 8B 18 FF 13 83 7D F4 00 74 0E 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 33 C0 89 45 F8 C7 45 FC 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1441_0 {
	meta:
		name = "TCGIRequest.GetIntegerVariable"
		size = 85
		refs = "000f TCGIRequest.GetIntegerVariable 002b StrToIntDef 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 8B 18 FF 13 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1442_0 {
	meta:
		name = "TCGIRequest.ReadClient"
		size = 13
		refs = "0001 Input 0008 FileRead"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1445_0 {
	meta:
		name = "TCGIRequest.WriteClient"
		size = 13
		refs = "0001 Output 0008 FileWrite"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1443_0 {
	meta:
		name = "TCGIRequest.ReadString"
		size = 47
		refs = "000b @LStrSetLength 0016 Input 001f FileRead"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 19 8B 16 A1 ?? ?? ?? ?? 8B 00 8B CB E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1446_0 {
	meta:
		name = "TCGIRequest.WriteString"
		size = 53
		refs = "000b @LStrLen 0014 Output 001b FileWrite"
	strings:
		$1 = { 53 56 8B DA 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1447_0 {
	meta:
		name = "TCGIResponse.Create"
		size = 264
		refs = "0015 @ClassCreate 0022 TCGIResponse.Create 0031 TWebResponse.Create 00bc @LStrClr 00c2 @HandleFinally 00d1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA 01 00 00 00 8B 43 10 8B 30 FF 16 83 7D F8 00 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 30 FF 56 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 FF FF FF FF 03 00 00 00 31 2E 30 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_11431_0 {
	meta:
		name = "TISAPIResponse.Create"
		size = 264
		refs = "0015 @ClassCreate 0022 TISAPIResponse.Create 0031 TWebResponse.Create 00bc @LStrClr 00c2 @HandleFinally 00d1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA 01 00 00 00 8B 43 10 8B 30 FF 16 83 7D F8 00 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 30 FF 56 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 FF FF FF FF 03 00 00 00 31 2E 30 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_1448_0 {
	meta:
		name = "TCGIResponse.GetContent"
		size = 19
		refs = "000c @LStrLAsg"
		altNames = "TISAPIResponse.GetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1449_0 {
	meta:
		name = "TCGIResponse.GetDateVariable"
		size = 48
	strings:
		$1 = { 83 C4 F8 85 D2 7C 16 83 FA 03 7D 11 8B 4C D0 4C 89 0C 24 8B 4C D0 50 89 4C 24 04 EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F0 BF DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_1450_0 {
	meta:
		name = "TCGIResponse.GetIntegerVariable"
		size = 18
	strings:
		$1 = { 85 D2 7C 0A 83 FA 02 7D 05 8B 44 90 48 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_1452_0 {
	meta:
		name = "TCGIResponse.GetStatusCode"
		size = 4
		altNames = "TISAPIResponse.GetStatusCode TStringList.GetCapacity"
	strings:
		$1 = { 8B 40 14 C3 }
	condition:
		$1
}

rule function_1453_0 {
	meta:
		name = "TCGIResponse.GetStringVariable"
		size = 33
		refs = "0019 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0C 7D 0B 8B C7 8B 54 9E 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1454_0 {
	meta:
		name = "TCGIResponse.Sent"
		size = 4
		altNames = "TISAPIResponse.Sent"
	strings:
		$1 = { 8A 40 68 C3 }
	condition:
		$1
}

rule function_1455_0 {
	meta:
		name = "TCGIResponse.SetContent"
		size = 38
		refs = "000c @LStrAsg 0014 @LStrLen"
		altNames = "TISAPIResponse.SetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 64 8B D6 E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 8B 18 FF 53 14 5E 5B C3 }
	condition:
		$1
}

rule function_1456_0 {
	meta:
		name = "TCGIResponse.SetDateVariable"
		size = 44
		altNames = "TISAPIResponse.SetDateVariable"
	strings:
		$1 = { 55 8B EC 8B C8 85 D2 7C 1F 83 FA 02 7F 1A DD 45 08 DC 5C D1 4C DF E0 9E 74 0E 8B 45 08 89 44 D1 4C 8B 45 0C 89 44 D1 50 5D C2 08 00 }
	condition:
		$1
}

rule function_1457_0 {
	meta:
		name = "TCGIResponse.SetIntegerVariable"
		size = 34
	strings:
		$1 = { 53 51 8B D8 85 D2 7C 17 85 D2 7F 13 89 0C 24 DB 04 24 DC 5C D3 4C DF E0 9E 74 04 89 4C 93 48 5A 5B C3 }
	condition:
		$1
}

rule function_1459_0 {
	meta:
		name = "TCGIResponse.SetStatusCode"
		size = 92
		refs = "000f TCGIResponse.SetStatusCode 0027 StatusString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 14 74 1C 89 73 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11443_0 {
	meta:
		name = "TISAPIResponse.SetStatusCode"
		size = 92
		refs = "000f TISAPIResponse.SetStatusCode 0027 StatusString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 14 74 1C 89 73 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1460_0 {
	meta:
		name = "TCGIResponse.SetStringVariable"
		size = 33
		refs = "0019 @LStrAsg"
		altNames = "TISAPIResponse.SetStringVariable"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0B 7F 0B 8D 44 9E 18 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1461_0 {
	meta:
		name = "AddHeaderItem"
		size = 110
		refs = "0015 AddHeaderItem 0036 Format 0044 @LStrCat 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 28 8D 45 FC 50 89 5D F4 C6 45 F8 0B 8D 55 F4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1462_0 {
	meta:
		name = "TCGIResponse.SendResponse"
		size = 1456
		refs = "0018 TCGIResponse.SendResponse 0092 Format 00a1 @LStrLAsg 00af AddHeaderItem 00f2 TCollection.GetCount 0107 TCookieCollection.GetCookie 010f TCookie.GetHeaderValue 0178 DayOfWeekStr 019d MonthStr 01cb FormatDateTime 02b8 TWebResponse.AddCustomHeaders 0337 IntToStr 0352 @LStrCat 03af @LStrArrayClr 03c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA 01 00 00 00 8B 43 10 8B 30 FF 16 83 7D F4 00 0F 84 26 03 00 00 8D 4D F4 BA 01 00 00 00 8B C3 8B 30 FF 16 83 7D F4 00 74 49 8B C3 8B 10 FF 52 24 85 C0 7E 3E 8D 45 F8 50 8B C3 8B 10 FF 52 24 89 45 E4 C6 45 E8 00 8D 4D F4 BA 01 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 06 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 05 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 43 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 FF 55 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4E 75 DB 55 8D 4D F4 BA 0A 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 01 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 86 80 00 00 00 8D 45 F4 50 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 0B BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC C6 45 F0 0B 8D 45 E4 50 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 86 80 00 00 00 8D 45 F4 50 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 0B BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC C6 45 F0 0B 8D 45 E4 50 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 55 8D 4D F4 BA 0B 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 03 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 55 8D 4D F4 BA 09 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 07 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 08 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 F4 8B C3 8B 08 FF 51 18 83 7D F4 00 75 06 83 7B 04 00 74 20 55 33 D2 8B C3 8B 08 FF 51 10 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 8B 08 FF 51 1C 8B 43 04 85 C0 75 17 8D 55 F4 8B C3 8B 08 FF 51 18 8B 55 F4 8B 43 10 8B 08 FF 51 1C EB 16 85 C0 74 12 8B D0 8B C3 8B 08 FF 51 3C 33 D2 8B C3 8B 08 FF 51 20 C6 43 68 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 25 64 20 25 73 00 00 00 FF FF FF FF 06 00 00 00 32 30 30 20 4F 4B 00 00 FF FF FF FF 0C 00 00 00 53 74 61 74 75 73 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 0E 00 00 00 4C 6F 63 61 74 69 6F 6E 3A 20 25 73 0D 0A 00 00 FF FF FF FF 0B 00 00 00 41 6C 6C 6F 77 3A 20 25 73 0D 0A 00 FF FF FF FF 10 00 00 00 53 65 74 2D 43 6F 6F 6B 69 65 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 12 00 00 00 44 65 72 69 76 65 64 2D 46 72 6F 6D 3A 20 25 73 0D 0A 00 00 00 00 00 00 FF FF FF FF 2E 00 00 00 22 45 78 70 69 72 65 73 3A 20 22 22 25 73 22 2C 20 64 64 20 22 25 73 22 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 22 0D 0A 00 00 FF FF FF FF 34 00 00 00 22 4C 61 73 74 2D 4D 6F 64 69 66 69 65 64 3A 20 22 22 25 73 22 2C 20 64 64 20 22 25 73 22 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 22 0D 0A 00 00 00 00 FF FF FF FF 0B 00 00 00 54 69 74 6C 65 3A 20 25 73 0D 0A 00 FF FF FF FF 16 00 00 00 57 57 57 2D 41 75 74 68 65 6E 74 69 63 61 74 65 3A 20 25 73 0D 0A 00 00 FF FF FF FF 15 00 00 00 43 6F 6E 74 65 6E 74 2D 56 65 72 73 69 6F 6E 3A 20 25 73 0D 0A 00 00 00 FF FF FF FF 16 00 00 00 43 6F 6E 74 65 6E 74 2D 45 6E 63 6F 64 69 6E 67 3A 20 25 73 0D 0A 00 00 FF FF FF FF 12 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 25 73 0D 0A 00 00 FF FF FF FF 14 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 3A 0D 0A 0D 0A 00 00 00 00 }
	condition:
		$1
}

rule function_1463_0 {
	meta:
		name = "TCGIResponse.SendRedirect"
		size = 196
		refs = "0019 TCGIResponse.SendRedirect 0056 sDocumentMoved 005b LoadResString 0071 Format 009c @LStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE BA 06 00 00 00 8B C3 8B 38 FF 57 04 BA 2E 01 00 00 8B C3 8B 08 FF 51 28 B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 38 FF 57 04 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 1C 8B C3 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_1464_0 {
	meta:
		name = "TCGIResponse.SendStream"
		size = 90
		refs = "003f TStream.GetPosition 0048 TStream.GetSize"
		altNames = "TISAPIResponse.SendStream"
	strings:
		$1 = { 53 56 57 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 83 C4 04 8B DA 8B F0 EB 19 8B D4 B9 00 20 00 00 8B C3 8B 38 FF 57 04 8B D4 8B 4E 10 91 8B 38 FF 57 18 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 7C D3 81 C4 00 20 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1465_0 {
	meta:
		name = "_NF__110"
		size = 592
	strings:
		$1 = { FF FF FF FF 0E 00 00 00 52 65 71 75 65 73 74 20 4D 65 74 68 6F 64 00 00 FF FF FF FF 10 00 00 00 52 65 71 75 65 73 74 20 50 72 6F 74 6F 63 6F 6C 00 00 00 00 FF FF FF FF 03 00 00 00 55 72 6C 00 FF FF FF FF 0C 00 00 00 51 75 65 72 79 20 53 74 72 69 6E 67 00 00 00 00 FF FF FF FF 0C 00 00 00 4C 6F 67 69 63 61 6C 20 50 61 74 68 00 00 00 00 FF FF FF FF 0D 00 00 00 50 68 79 73 69 63 61 6C 20 50 61 74 68 00 00 00 FF FF FF FF 0D 00 00 00 43 61 63 68 65 20 43 6F 6E 74 72 6F 6C 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 FF FF FF FF 06 00 00 00 41 63 63 65 70 74 00 00 FF FF FF FF 04 00 00 00 46 72 6F 6D 00 00 00 00 FF FF FF FF 04 00 00 00 48 6F 73 74 00 00 00 00 FF FF FF FF 11 00 00 00 49 66 2D 4D 6F 64 69 66 69 65 64 2D 53 69 6E 63 65 00 00 00 FF FF FF FF 07 00 00 00 52 65 66 65 72 65 72 00 FF FF FF FF 0A 00 00 00 55 73 65 72 2D 41 67 65 6E 74 00 00 FF FF FF FF 10 00 00 00 43 6F 6E 74 65 6E 74 2D 45 6E 63 6F 64 69 6E 67 00 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 20 54 79 70 65 00 00 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 20 4C 65 6E 67 74 68 00 00 FF FF FF FF 0F 00 00 00 43 6F 6E 74 65 6E 74 20 56 65 72 73 69 6F 6E 00 FF FF FF FF 0C 00 00 00 44 65 72 69 76 65 64 2D 46 72 6F 6D 00 00 00 00 FF FF FF FF 07 00 00 00 45 78 70 69 72 65 73 00 FF FF FF FF 05 00 00 00 54 69 74 6C 65 00 00 00 FF FF FF FF 0E 00 00 00 52 65 6D 6F 74 65 20 41 64 64 72 65 73 73 00 00 FF FF FF FF 0B 00 00 00 52 65 6D 6F 74 65 20 48 6F 73 74 00 FF FF FF FF 0F 00 00 00 45 78 65 63 75 74 61 62 6C 65 20 50 61 74 68 00 FF FF FF FF 0B 00 00 00 53 65 72 76 65 72 20 50 6F 72 74 00 FF FF FF FF 0A 00 00 00 43 6F 6E 6E 65 63 74 69 6F 6E 00 00 FF FF FF FF 06 00 00 00 43 6F 6F 6B 69 65 00 00 FF FF FF FF 0D 00 00 00 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_1466_0 {
	meta:
		name = "TWinCGIRequest.Create"
		size = 376
		refs = "0010 @ClassCreate 0020 @LStrAddRef 0038 TWinCGIRequest.Create 0048 _Dn_TIniFile 004d TCustomIniFile.Create 0093 FileExists 00a3 _Dn_TFileStream 00a8 TFileStream.Create 00ed TCGIRequest.Create 0102 @LStrClr 010f @LStrArrayClr 0115 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 83 7D 0C 00 75 16 6A 00 8D 45 0C 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 30 FF 16 83 7D 08 00 75 17 6A 00 8D 45 08 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 30 FF 16 8B 45 0C E8 ?? ?? ?? ?? 84 C0 74 14 6A 40 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 16 6A 41 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 EB 17 68 FF FF 00 00 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 20 46 69 6C 65 00 00 00 00 FF FF FF FF 06 00 00 00 53 79 73 74 65 6D 00 00 FF FF FF FF 0B 00 00 00 4F 75 74 70 75 74 20 46 69 6C 65 00 }
	condition:
		$1
}

rule function_1467_0 {
	meta:
		name = "TWinCGIRequest.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 000f TObject.Free 002f TWebRequest.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1468_0 {
	meta:
		name = "TWinCGIRequest.GetFieldByName"
		size = 56
		refs = "000f TWinCGIRequest.GetFieldByName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 57 8B CE BA ?? ?? ?? ?? 8B 43 18 8B 18 FF 13 5F 5E 5B C3 00 00 FF FF FF FF 0D 00 00 00 45 78 74 72 61 20 48 65 61 64 65 72 73 00 00 00 }
	condition:
		$1
}

rule function_1469_0 {
	meta:
		name = "AcceptSection"
		size = 268
		refs = "0014 AcceptSection 0021 _Dn_TStringList 0026 TObject.Create 0054 @LStrClr 008f @LStrCatN 00a1 @LStrLen 00ab @LStrSetLength 00c0 TObject.Free 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 18 8B 4D FC BA ?? ?? ?? ?? 8B 30 FF 56 38 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 C7 45 F8 00 00 00 00 FF 33 8D 4D F4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 D6 83 3B 00 74 11 8B 03 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 41 63 63 65 70 74 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_1470_0 {
	meta:
		name = "TWinCGIRequest.GetStringVariable"
		size = 304
		refs = "0018 TWinCGIRequest.GetStringVariable 0071 WinCGIServerVariables 008f @LStrLAsg 00b5 AcceptSection 00e5 @LStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 83 F8 1C 0F 87 99 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 01 01 01 00 00 04 00 00 00 00 00 00 01 01 00 00 00 00 01 01 01 01 02 01 03 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 56 8B 0C 9D ?? ?? ?? ?? 8B 45 FC 8B 40 18 BA ?? ?? ?? ?? 8B 18 FF 13 EB 63 8B C6 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? EB 54 6A 00 56 8B 0C 9D ?? ?? ?? ?? 8B 45 FC 8B 40 18 BA ?? ?? ?? ?? 8B 18 FF 13 EB 39 55 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 23 85 DB 7C 18 83 FB 1C 7F 13 8B CE 8B 14 9D ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 20 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 FF FF FF FF 03 00 00 00 43 47 49 00 FF FF FF FF 0D 00 00 00 45 78 74 72 61 20 48 65 61 64 65 72 73 00 00 00 }
	condition:
		$1
}

rule function_1471_0 {
	meta:
		name = "TWinCGIRequest.ReadClient"
		size = 24
	strings:
		$1 = { 53 56 8B 70 1C 85 F6 74 0A 8B C6 8B 18 FF 53 04 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1472_0 {
	meta:
		name = "TWinCGIRequest.ReadString"
		size = 62
		refs = "0018 @LStrSetLength 0036 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 FF 7E 26 83 7B 1C 00 74 20 8B C6 8B D7 E8 ?? ?? ?? ?? 8B 16 8B CF 8B 43 1C 8B 18 FF 53 04 8B D0 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1474_0 {
	meta:
		name = "TWinCGIRequest.WriteClient"
		size = 11
	strings:
		$1 = { 53 8B 40 20 8B 18 FF 53 08 5B C3 }
	condition:
		$1
}

rule function_1475_0 {
	meta:
		name = "TWinCGIRequest.WriteString"
		size = 51
		refs = "000d @LStrLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 24 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 46 20 8B 30 FF 56 08 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1476_0 {
	meta:
		name = "HandleServerException"
		size = 508
		refs = "0021 HandleServerException 0038 TObject.ClassName 005e sInternalServerError 0063 LoadResString 0074 Format 008a @LStrLen 00a8 IsConsole 00bf Output 00c6 FileWrite 00eb FileExists 00fa _Dn_TFileStream 00ff TFileStream.Create 0167 TObject.Free 016d @HandleFinally 0187 @LStrClr 0194 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 33 C9 89 8D E0 FE FF FF 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 95 E4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 89 45 E4 C6 45 E8 04 8B 43 04 89 45 EC C6 45 F0 0B 8D 45 E4 50 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8D 45 F8 50 8B 43 04 89 45 E4 C6 45 E8 0B 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 00 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 37 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E9 8B 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 6A 41 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 16 68 FF FF 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F4 8B 18 FF 53 08 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F4 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 49 00 00 00 53 74 61 74 75 73 3A 20 35 30 30 20 25 73 0D 0A 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 74 65 78 74 2F 68 74 6D 6C 0D 0A 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 25 64 0D 0A 43 6F 6E 74 65 6E 74 3A 0D 0A 0D 0A 00 00 00 }
	condition:
		$1
}

rule function_1477_0 {
	meta:
		name = "TCGIApplication.NewRequest"
		size = 324
		refs = "0025 TCGIApplication.NewRequest 0030 IsConsole 003c _DV_TCGIRequest 0041 TCGIRequest.Create 0058 ParamStr 0093 _DV_TWinCGIRequest 0098 TWinCGIRequest.Create 00c8 @LStrToPChar 00e9 GetPrivateProfileString 00f9 @LStrFromPCharLen 0116 @LStrArrayClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 D2 89 95 F4 FE FF FF 89 95 F0 FE FF FF 89 95 EC FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 74 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 B1 00 00 00 8D 95 F4 FE FF FF B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8D 95 F0 FE FF FF B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8D 95 EC FE FF FF B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 53 44 B8 03 00 00 00 E8 ?? ?? ?? ?? 83 7B 44 00 75 4C 8D 95 F4 FE FF FF B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF E8 ?? ?? ?? ?? 50 68 05 01 00 00 8D 85 FB FE FF FF 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 95 FB FE FF FF 8D 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 00 00 00 00 00 00 4F 75 74 70 75 74 20 46 69 6C 65 00 53 79 73 74 65 6D 00 00 }
	condition:
		$1
}

rule function_1478_0 {
	meta:
		name = "TCGIApplication.NewResponse"
		size = 40
		refs = "0001 IsConsole 000d _DV_TCGIResponse 0014 TCGIResponse.Create 001c _DV_TWinCGIResponse"
	strings:
		$1 = { A1 ?? ?? ?? ?? 80 38 00 74 0F 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1479_0 {
	meta:
		name = "TCGIApplication.Run"
		size = 242
		refs = "0010 TWebApplication.Run 0015 IsConsole 001f Output 0024 @RewritText 0029 @_IOTest 002e Input 0033 @ResetText 0040 TCGIApplication.Run 004e TCGIApplication.NewRequest 006a TCGIApplication.NewResponse 0089 TWebApplication.HandleRequest 009e TObject.Free 00a4 @HandleFinally 00d2 @HandleAnyException 00d7 ExceptObject 00e2 HandleServerException 00e7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 52 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1480_0 {
	meta:
		name = "InitApplication"
		size = 23
		refs = "0005 _DV_TCGIApplication 000a TWebApplication.Create 0010 Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_11458_0 {
	meta:
		name = "InitApplication"
		size = 23
		refs = "0005 _DV_TISAPIApplication 000a TWebApplication.Create 0010 Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_1481_0 {
	meta:
		name = "DoneApplication"
		size = 22
		refs = "0001 Application 0008 TObject.Free"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_1482_0 {
	meta:
		name = "Finalization"
		size = 95
		refs = "0007 Finalization 0013 _DV_7 001a DoneApplication 001f WinCGIServerVariables 002a String 002f @FinalizeArray 0034 CGIServerVariables 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2F E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_1483_0 {
	meta:
		name = "CGIApp"
		size = 15
		refs = "0002 _DV_7 000a InitApplication"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1670_0 {
	meta:
		name = "CheckLst"
		size = 15
		refs = "0002 _DV_2 000a GetCheckSize"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8691_0 {
	meta:
		name = "FlatSB"
		size = 15
		refs = "0002 _DV_1 000a InitFlatSB"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11461_0 {
	meta:
		name = "ISAPIApp"
		size = 15
		refs = "0002 _DV_5 000a InitApplication"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12598_0 {
	meta:
		name = "MultiMon"
		size = 15
		refs = "0002 _DV_1 000a InitMultiMonStubs"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17236_0 {
	meta:
		name = "Series"
		size = 15
		refs = "0002 _DV_81 000a RegisterStandardSeries"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16136_0 {
	meta:
		name = "qrprnsu"
		size = 15
		refs = "0002 _DV_5 000a InitGlobals"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1484_0 {
	meta:
		name = "GetDefaultPattern"
		size = 20
		refs = "000f PatternPalette"
	strings:
		$1 = { 8B C8 8B C1 B9 06 00 00 00 99 F7 F9 42 8A 82 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1485_0 {
	meta:
		name = "TChartGradient.Create"
		size = 78
		refs = "000b @ClassCreate 001a TObject.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C C6 47 04 00 C7 47 10 FF FF FF 00 C7 47 08 FF FF 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1486_0 {
	meta:
		name = "TChartGradient.SetVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 14 8B 40 0C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1487_0 {
	meta:
		name = "TChartGradient.SetDirection"
		size = 21
	strings:
		$1 = { 56 8B F0 3A 56 04 74 0B 88 56 04 8B 46 0C 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_1488_0 {
	meta:
		name = "TChartGradient.SetStartColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 48 10 8B 40 0C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1489_0 {
	meta:
		name = "TChartGradient.SetEndColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 48 08 8B 40 0C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1490_0 {
	meta:
		name = "TChartGradient.Assign"
		size = 64
		refs = "000a _DV_TChartGradient 000f @IsClass 0039 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 8A 50 14 88 53 14 8A 50 04 88 53 04 8B 50 10 89 53 10 8B 40 08 89 43 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1491_0 {
	meta:
		name = "TChartWall.Create"
		size = 142
		refs = "000b @ClassCreate 001a TObject.Create 0032 _Dn_TBrush 0037 TBrush.Create 0054 _Dn_TChartPen 0059 TChartPen.Create 007a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 C7 47 04 00 00 00 80 C7 47 18 00 00 00 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B 47 14 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B 47 14 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1492_0 {
	meta:
		name = "TChartWall.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TPersistent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1493_0 {
	meta:
		name = "TChartWall.IsColorStored"
		size = 10
	strings:
		$1 = { 8B 50 04 3B 50 18 0F 95 C0 C3 }
	condition:
		$1
}

rule function_1494_0 {
	meta:
		name = "TChartWall.Assign"
		size = 75
		refs = "000b _DV_TChartWall 0010 @IsClass 0043 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B FE 8B 47 04 89 43 04 8B 57 08 8B 43 08 8B 08 FF 51 08 8B 57 0C 8B 43 0C 8B 08 FF 51 08 8B 47 10 89 43 10 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1495_0 {
	meta:
		name = "TChartWall.SetPen"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1496_0 {
	meta:
		name = "TChartWall.SetBrush"
		size = 9
		altNames = "TSeriesPointer.SetBrush"
	strings:
		$1 = { 8B 40 08 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1497_0 {
	meta:
		name = "TChartWall.SetSize"
		size = 14
		refs = "0009 TCustomTeePanel.SetLongintProperty"
	strings:
		$1 = { 8D 48 10 8B 40 14 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1498_0 {
	meta:
		name = "TChartWall.SetColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 48 04 8B 40 14 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1499_0 {
	meta:
		name = "TChartBrush.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TBrush.Create 0023 TBrush.SetColor 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 00 00 00 80 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1500_0 {
	meta:
		name = "TChartTitle.Create"
		size = 192
		refs = "000e @ClassCreate 001c TChartFontObject.Create 0023 _Dn_TStringList 0028 TObject.Create 0040 TFont.SetColor 004c TChartTitle.Create 0056 _Dn_TChartHiddenPen 005b TChartHiddenPen.Create 007c _DV_TChartBrush 0081 TChartBrush.Create 00a4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 C6 43 2C 01 C6 43 0D 02 BA 00 00 FF 00 8B 43 08 E8 ?? ?? ?? ?? C7 43 30 00 00 FF 00 A0 ?? ?? ?? ?? 88 43 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 8B 43 04 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 C6 43 0C 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 8B 43 04 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1501_0 {
	meta:
		name = "TChartTitle.Assign"
		size = 90
		refs = "000b _DV_TChartTitle 0010 @IsClass 0052 TChartFontObject.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B FE 8B 57 18 8B 43 18 8B 08 FF 51 08 8A 47 0D 88 43 0D 8A 47 2C 88 43 2C 8B 57 14 8B 43 14 8B 08 FF 51 08 8A 47 0C 88 43 0C 8B 57 10 8B 43 10 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1502_0 {
	meta:
		name = "TChartTitle.IsFontStored"
		size = 156
		refs = "0010 TChartTitle.IsFontStored 0023 TFont.GetName 002f GetDefaultFontName 0038 @LStrCmp 0041 TFont.GetSize 0048 GetDefaultFontSize 005b TFont.GetStyle 007f @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 2C 8B C3 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 75 1A 8B 43 14 3B 46 30 75 12 8B C3 E8 ?? ?? ?? ?? 8A 56 34 3A D0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1503_0 {
	meta:
		name = "TChartTitle.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TChartFontObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1504_0 {
	meta:
		name = "TChartTitle.SetText"
		size = 20
		refs = "000e TChartFontObject.Repaint"
	strings:
		$1 = { 56 8B F0 8B 46 18 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_1505_0 {
	meta:
		name = "TChartTitle.SetVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 2C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1506_0 {
	meta:
		name = "TChartTitle.SetAdjustFrame"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 0C 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1507_0 {
	meta:
		name = "TChartTitle.SetAlignment"
		size = 14
		refs = "0009 TChartFontObject.Repaint"
	strings:
		$1 = { 3A 50 0D 74 08 88 50 0D E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1508_0 {
	meta:
		name = "TCanvas.SetPen"
		size = 9
		altNames = "TChartTitle.SetBrush"
	strings:
		$1 = { 8B 40 10 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1509_0 {
	meta:
		name = "TCanvas.SetBrush"
		size = 9
		altNames = "TChartTitle.SetFrame TSeriesMarks.SetFrame"
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1510_0 {
	meta:
		name = "TChartTitle.Clicked"
		size = 62
		refs = "0019 Point 002a PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 80 7B 2C 00 74 20 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 43 1C 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1511_0 {
	meta:
		name = "TCustomChart.Create"
		size = 524
		refs = "0018 @ClassCreate 0025 TCustomChart.Create 0034 TCustomAxisPanel.Create 003d _DV_TChartTitle 0042 TChartTitle.Create 006f TObject.ClassName 007d @LStrFromString 00a3 TFont.SetColor 00a8 GetDefaultFontSize 00b1 TFont.SetSize 00be TFont.SetStyle 00dd _DV_TChartGradient 00e2 TChartGradient.Create 00f1 _DV_TChartWall 00f6 TChartWall.Create 0108 TBrush.SetStyle 012a TChartWall.SetColor 013f _DV_TChartLegend 0144 TCustomChartLegend.Create 0186 _Dn_TPicture 018b TPicture.Create 01dc @LStrClr 01e2 @HandleFinally 01f1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 03 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 03 00 00 F6 43 20 10 74 72 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 80 03 00 00 8B 40 18 8B 08 FF 51 34 8B 83 1C 03 00 00 8B 70 08 BA FF 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 1C 03 00 00 C7 40 30 FF 00 00 00 8A 15 ?? ?? ?? ?? 88 50 34 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 03 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 03 00 00 8B 46 08 B2 01 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 03 00 00 BA FF FF 80 00 8B C6 E8 ?? ?? ?? ?? 8B 83 24 03 00 00 8B 50 04 89 50 18 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 28 03 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 03 00 00 BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 8B 83 18 03 00 00 8B 50 04 89 50 18 C6 83 0B 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 03 00 00 89 5E 0C 8B 03 8B 80 C0 00 00 00 89 46 08 C7 83 04 03 00 00 08 00 00 00 C6 83 09 03 00 00 01 C6 83 0A 03 00 00 03 C6 83 00 03 00 00 00 C6 83 2C 03 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_1512_0 {
	meta:
		name = "TCustomChart.Destroy"
		size = 133
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0073 TCustomAxisPanel.Destroy 007e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 03 00 00 E8 ?? ?? ?? ?? 8B 86 1C 03 00 00 E8 ?? ?? ?? ?? 8B 86 14 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 14 03 00 00 8B 86 18 03 00 00 E8 ?? ?? ?? ?? 8B 86 24 03 00 00 E8 ?? ?? ?? ?? 8B 86 28 03 00 00 E8 ?? ?? ?? ?? 8B 86 20 03 00 00 E8 ?? ?? ?? ?? 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1513_0 {
	meta:
		name = "TCustomChart.SetTitle"
		size = 12
	strings:
		$1 = { 8B 80 80 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1514_0 {
	meta:
		name = "TCustomChart.SetBackImage"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 10 03 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1515_0 {
	meta:
		name = "TCustomChart.SetBackImageInside"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 0C 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1516_0 {
	meta:
		name = "TCustomChart.SetFoot"
		size = 12
	strings:
		$1 = { 8B 80 1C 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1517_0 {
	meta:
		name = "TCustomChart.SetBackImageMode"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 0B 03 00 00 74 0D 88 96 0B 03 00 00 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_1518_0 {
	meta:
		name = "TCustomChart.FormattedValueLegend"
		size = 55
		refs = "0022 TCustomChartLegend.FormattedValue 002b @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 85 F6 74 13 57 8B 4D FC 8B D6 8B 83 28 03 00 00 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1519_0 {
	meta:
		name = "TCustomChart.FormattedLegend"
		size = 63
		refs = "0014 TCustomChartLegend.FormattedLegend"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 66 83 BB C2 03 00 00 00 74 19 56 57 8B 83 28 03 00 00 8A 48 50 8B D3 8B 83 C4 03 00 00 FF 93 C0 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1520_0 {
	meta:
		name = "TCustomChart.SetLegend"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 28 03 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1521_0 {
	meta:
		name = "SaveAxisScales"
		size = 42
	strings:
		$1 = { 8A 48 04 88 0A 8A 48 06 88 4A 01 8A 48 05 88 4A 02 8B 48 18 89 4A 04 8B 48 1C 89 4A 08 8B 48 10 89 4A 0C 8B 48 14 89 4A 10 C3 }
	condition:
		$1
}

rule function_1522_0 {
	meta:
		name = "TCustomChart.SaveScales"
		size = 64
		refs = "000f SaveAxisScales"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8D 56 3C 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8D 56 14 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 8D 56 28 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1524_0 {
	meta:
		name = "TCustomChart.RestoreScales"
		size = 64
		refs = "000f RestoreAxisScales"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8D 56 3C 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8D 56 14 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 8D 56 28 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1523_0 {
	meta:
		name = "RestoreAxisScales"
		size = 63
		refs = "000b TCustomChartAxis.SetAutomatic 0015 TCustomChartAxis.SetAutomaticMinimum 001f TCustomChartAxis.SetAutomaticMaximum 0038 TCustomChartAxis.SetMinMax"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 16 8B C3 E8 ?? ?? ?? ?? 8A 56 01 8B C3 E8 ?? ?? ?? ?? 8A 56 02 8B C3 E8 ?? ?? ?? ?? 80 7B 04 00 75 13 FF 76 08 FF 76 04 FF 76 10 FF 76 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1525_0 {
	meta:
		name = "TCustomChart.SetGradient"
		size = 12
	strings:
		$1 = { 8B 80 20 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1526_0 {
	meta:
		name = "TCustomChart.SetBackWall"
		size = 12
	strings:
		$1 = { 8B 80 14 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1527_0 {
	meta:
		name = "TCustomChart.GetFrame"
		size = 17
	strings:
		$1 = { 8B 90 14 03 00 00 85 D2 74 04 8B 42 0C C3 33 C0 C3 }
	condition:
		$1
}

rule function_1528_0 {
	meta:
		name = "TCustomChart.SetFrame"
		size = 15
	strings:
		$1 = { 8B 80 14 03 00 00 8B 40 0C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1529_0 {
	meta:
		name = "TCustomChart.GetBackColor"
		size = 10
	strings:
		$1 = { 8B 80 14 03 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_1530_0 {
	meta:
		name = "TCustomChart.SetBackColor"
		size = 32
		refs = "000a TChartWall.SetColor 001a TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 8B 83 14 03 00 00 8B 40 08 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1531_0 {
	meta:
		name = "TCustomChart.IsFreeSeriesColor"
		size = 118
		refs = "0011 TCustomAxisPanel.SeriesCount 0024 TCustomAxisPanel.GetSeries 0043 TCustomChart.GetBackColor"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 0C 24 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 37 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B 40 28 89 44 24 04 3B 74 24 04 74 16 80 3C 24 00 74 14 3B 73 64 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 75 04 33 C0 EB 20 45 4F 75 CC 80 3C 24 00 74 14 3B 73 64 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 75 04 33 C0 EB 02 B0 01 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1532_0 {
	meta:
		name = "TCustomChart.SetLeftWall"
		size = 12
	strings:
		$1 = { 8B 80 24 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1533_0 {
	meta:
		name = "TCustomChart.SetBottomWall"
		size = 12
	strings:
		$1 = { 8B 80 18 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1534_0 {
	meta:
		name = "DrawTitleFoot"
		size = 77
		refs = "0023 TCustomChart.DrawTitle"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 80 03 00 00 80 78 2C 00 74 12 8B 55 08 8B D0 8B 45 08 8B 40 FC B1 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 1C 03 00 00 80 78 2C 00 74 12 8B 55 08 8B D0 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_1535_0 {
	meta:
		name = "TCustomChart.DrawTitlesAndLegend"
		size = 148
		refs = "0031 TChartSeriesList.CountActive 0043 TCustomChartLegend.GetVertical 005b DrawTitleFoot"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 5C 02 00 00 8B 10 FF 92 DC 00 00 00 8B 45 FC 8B 80 28 03 00 00 80 78 2C 00 74 52 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 40 8B 45 FC 8B 80 28 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 FC 8B 80 28 03 00 00 8B 10 FF 52 10 55 E8 ?? ?? ?? ?? 59 EB 1E 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 28 03 00 00 8B 10 FF 52 10 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 5C 02 00 00 8B 10 FF 92 E0 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_1536_0 {
	meta:
		name = "TCustomChart.DrawBitmap"
		size = 423
		refs = "0044 RectSize 0052 TeeClipWhenPrinting 005c TeeClipWhenMetafiling 0092 TPicture.GetWidth 00a1 TPicture.GetHeight"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B F0 8B 86 10 03 00 00 8B 40 04 85 C0 0F 84 83 01 00 00 80 BE 0B 03 00 00 00 75 14 8B C8 8B D7 8B 86 5C 02 00 00 8B 18 FF 53 58 E9 66 01 00 00 8D 4C 24 0C 8D 54 24 10 8B C7 E8 ?? ?? ?? ?? 80 BE 44 02 00 00 00 74 0A A1 ?? ?? ?? ?? 80 38 00 75 0A A1 ?? ?? ?? ?? 80 38 00 74 19 8B 86 54 02 00 00 50 8B D7 33 C9 8B 86 5C 02 00 00 8B 18 FF 93 C0 00 00 00 80 BE 0B 03 00 00 01 0F 85 8A 00 00 00 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 89 44 24 04 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 89 44 24 08 83 7C 24 04 00 0F 8E C0 00 00 00 83 7C 24 08 00 0F 8E B5 00 00 00 33 C0 89 04 24 8B 04 24 3B 44 24 0C 0F 8D A3 00 00 00 33 DB 3B 5C 24 10 7D 2A 8B 86 10 03 00 00 8B 40 04 50 8B 4F 04 03 4C 24 04 8B 17 03 D3 8B 86 5C 02 00 00 8B 28 FF 55 34 03 5C 24 04 3B 5C 24 10 7C D6 8B 44 24 08 01 04 24 8B 04 24 3B 44 24 0C 7C BE EB 5F 8B D7 8B C6 8B 08 FF 91 08 01 00 00 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 8B 5C 24 10 2B D8 D1 FB 79 03 83 D3 00 03 1F 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 8B 54 24 0C 2B D0 D1 FA 79 03 83 D2 00 03 57 04 89 14 24 8B 86 10 03 00 00 8B 40 04 50 8B 4C 24 04 8B D3 8B 86 5C 02 00 00 8B 18 FF 53 34 80 BE 44 02 00 00 00 74 0A A1 ?? ?? ?? ?? 80 38 00 75 0A A1 ?? ?? ?? ?? 80 38 00 74 0E 8B 86 5C 02 00 00 8B 10 FF 92 90 00 00 00 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1537_0 {
	meta:
		name = "TCustomChart.FillPanelRect"
		size = 145
		refs = "005c PrintTeePanel 0072 TBrush.SetColor 007c TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B B7 20 03 00 00 80 7E 14 00 74 3A 8A 46 04 84 C0 74 04 3C 02 75 0C 8B 6E 10 8B 56 08 89 54 24 04 EB 0A 8B 56 10 89 54 24 04 8B 6E 08 8B 54 24 04 52 50 8B 54 24 08 8B CD 8B 87 5C 02 00 00 8B 18 FF 53 7C EB 38 80 BF 44 02 00 00 00 74 0A A1 ?? ?? ?? ?? 80 38 00 74 25 8B 9F 5C 02 00 00 8B 43 10 8B 57 64 E8 ?? ?? ?? ?? 8B 43 10 33 D2 E8 ?? ?? ?? ?? 8B 14 24 8B C3 8B 08 FF 51 78 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1538_0 {
	meta:
		name = "TCustomChart.PanelPaint"
		size = 154
		refs = "004a PrintTeePanel 0061 TPen.SetStyle 006d TPen.SetWidth 0076 TPen.SetMode 0086 TBrush.SetStyle 008f TCustomTeePanel.DrawPanelBevels"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B F2 8B FC B9 04 00 00 00 F3 A5 8B D4 8B C3 8B 08 FF 91 08 01 00 00 8B 83 10 03 00 00 83 78 04 00 74 15 80 BB 0C 03 00 00 00 75 0C 8B D4 8B C3 8B 08 FF 91 04 01 00 00 80 BB 44 02 00 00 00 74 0A A1 ?? ?? ?? ?? 80 38 00 74 40 8B 83 5C 02 00 00 8B 70 0C 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B 83 5C 02 00 00 8B 40 10 B2 01 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1539_0 {
	meta:
		name = "TCustomChart.CalcWallSize"
		size = 59
	strings:
		$1 = { 33 C9 80 B8 4C 02 00 00 00 74 2D 80 B8 98 02 00 00 00 74 24 3B 90 90 02 00 00 75 0B 8B 80 24 03 00 00 8B 48 10 EB 11 3B 90 8C 02 00 00 75 09 8B 80 18 03 00 00 8B 48 10 8B C1 C3 }
	condition:
		$1
}

rule function_1540_0 {
	meta:
		name = "PrepareWallCanvas"
		size = 174
		refs = "0016 TTeeCanvas.AssignVisiblePen 001e TBrush.GetBitmap 0038 TBrush.SetBitmap 0049 TBrush.GetStyle 0055 TBrush.GetColor 006e TCustomTeePanel.SetBrushCanvas 0086 TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 80 5C 02 00 00 8B 53 0C E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 85 C0 75 67 8B 45 08 8B 40 FC 8B 80 5C 02 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 81 7B 04 00 00 00 80 75 0C 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 23 8B 43 08 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC 8B 53 04 E8 ?? ?? ?? ?? EB 37 8B 45 08 8B 40 FC 8B 80 5C 02 00 00 8B 40 10 B2 01 E8 ?? ?? ?? ?? 5B 5D C3 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 5C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1541_0 {
	meta:
		name = "TCustomChart.DrawWalls"
		size = 743
		refs = "0017 PrepareWallCanvas 0086 TBrush.GetStyle 0092 TBrush.GetBitmap 00eb Rect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 55 8B 45 FC 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 98 14 03 00 00 8B 45 FC 80 B8 4C 02 00 00 00 0F 84 D9 00 00 00 8B 45 FC 80 B8 98 02 00 00 00 0F 84 8A 00 00 00 83 7B 10 00 0F 8E 80 00 00 00 8B 45 FC 8D B0 60 02 00 00 8B 46 04 50 8B 45 FC 8B 90 8C 02 00 00 8B 45 FC 8B 08 FF 91 D4 00 00 00 03 46 0C 50 8B 45 FC 8B B8 54 02 00 00 57 03 7B 10 57 8B 43 08 E8 ?? ?? ?? ?? 3C 01 74 0C 8B 43 08 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 50 8B 45 FC 8B 90 90 02 00 00 8B 45 FC 8B 08 FF 91 D4 00 00 00 8B 16 2B D0 8B 4E 08 8B 45 FC 8B 80 5C 02 00 00 8B 18 FF 93 C4 00 00 00 EB 64 8B 45 FC 8D 98 60 02 00 00 8B 43 0C 50 8D 45 EC 50 8B 4B 08 8B 53 04 4A 8B 03 40 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 88 54 02 00 00 8B 45 FC 8B 80 5C 02 00 00 8B 18 FF 93 04 01 00 00 EB 25 8B 45 FC 05 60 02 00 00 8B 50 08 42 52 8B 50 0C 52 8B 55 FC 8B 92 5C 02 00 00 8B 48 04 8B 00 92 8B 18 FF 53 50 8B 45 FC 8B 80 10 03 00 00 83 78 04 00 74 20 8B 45 FC 80 B8 0C 03 00 00 00 74 14 8B 45 FC 8D 90 60 02 00 00 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 FC 80 B8 4C 02 00 00 00 0F 84 6E 01 00 00 8B 45 FC 80 B8 98 02 00 00 00 0F 84 5E 01 00 00 55 8B 45 FC 8B 80 24 03 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B B0 24 03 00 00 8B 45 FC 8D 98 60 02 00 00 8B 7E 10 85 FF 7E 61 8B 43 04 50 8B 45 FC 8B 90 8C 02 00 00 8B 45 FC 8B 08 FF 91 D4 00 00 00 03 43 0C 50 6A 00 8B 45 FC 8B 80 54 02 00 00 40 50 8B 46 08 E8 ?? ?? ?? ?? 3C 01 74 0C 8B 46 08 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 50 8B 13 2B D7 8B 45 FC 8B 80 5C 02 00 00 8B 0B 8B 18 FF 93 C4 00 00 00 EB 3B 8B 45 FC 8B 90 8C 02 00 00 8B 45 FC 8B 08 FF 91 D4 00 00 00 03 43 0C 50 6A 00 8B 45 FC 8B 80 54 02 00 00 40 50 8B 45 FC 8B 80 5C 02 00 00 8B 4B 04 8B 13 8B 18 FF 93 0C 01 00 00 55 8B 45 FC 8B 80 18 03 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B B0 18 03 00 00 8B 45 FC 8D 98 60 02 00 00 83 7E 10 00 7E 4B 8B 7B 0C 57 03 7E 10 57 6A 00 8B 45 FC 8B 80 54 02 00 00 50 8B 46 08 E8 ?? ?? ?? ?? 3C 01 74 0C 8B 46 08 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 50 8B 4B 08 8B 13 8B 45 FC 8B 80 5C 02 00 00 8B 18 FF 93 C4 00 00 00 EB 26 8B 43 08 50 6A 00 8B 45 FC 8B 80 54 02 00 00 50 8B 4B 0C 8B 13 8B 45 FC 8B 80 5C 02 00 00 8B 18 FF 93 08 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1542_0 {
	meta:
		name = "DrawTitleLine"
		size = 121
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 80 5C 02 00 00 8B D3 8B 08 FF 51 60 8B 55 08 8B 52 F8 8A 52 0D 80 EA 01 72 04 74 0A EB 14 8B 45 08 8B 40 E8 EB 2A 8B 55 08 8B 52 F0 2B D0 8B C2 EB 1E 8B 55 08 8B 52 E8 8B 4D 08 03 51 F0 D1 FA 79 03 83 D2 00 D1 F8 79 03 83 D0 00 2B D0 8B C2 53 8B 55 08 8B 4A EC 8B 55 08 8B 52 FC 8B 92 5C 02 00 00 92 8B 18 FF 53 5C 5B 5D C3 }
	condition:
		$1
}

rule function_1543_0 {
	meta:
		name = "TCustomChart.DrawTitle"
		size = 847
		refs = "001b TCustomChart.DrawTitle 0046 TTeeCanvas.FontHeight 0065 TBrush.GetColor 0079 TBrush.SetStyle 008c TPen.GetColor 00ad TPen.GetWidth 0182 InflateRect 0294 DrawTitleLine 0327 TCustomTeePanel.ReCalcWidthHeight 033c @LStrClr 0342 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 88 4D E7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 5C 02 00 00 89 45 D0 8B 45 F8 8B 50 08 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F8 8B 50 10 8B 45 D0 8B 40 10 8B 08 FF 51 08 8B 45 D0 8B 40 10 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0D 8B 45 D0 8B 40 10 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 14 80 7B 18 00 74 0E 8B C3 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 04 33 C0 EB 02 B0 01 88 45 DB 80 7D DB 00 74 0D 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? EB 02 33 C0 8B 55 FC 8B 92 60 02 00 00 03 D0 89 55 E8 80 7D E7 00 74 16 8B 55 FC 8B 92 64 02 00 00 03 D0 89 55 EC 83 EA 05 89 55 F4 EB 14 8B 55 FC 8B 92 6C 02 00 00 2B D0 89 55 F4 83 C2 05 89 55 EC 8B 55 FC 8B 92 68 02 00 00 2B D0 89 55 F0 8B 45 F8 8D 78 1C 8D 75 E8 B9 04 00 00 00 F3 A5 80 7D DB 00 74 20 8B 45 F8 8B 50 14 8B 45 D0 8B 40 0C 8B 08 FF 51 08 8B 45 D0 8B 40 0C E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B C7 03 C0 89 45 D4 80 7D E7 00 74 19 8B 45 F8 8B 40 18 8B 10 FF 52 14 F7 6D E0 03 45 EC 8B 55 F8 89 42 28 EB 19 8B 45 F8 8B 40 18 8B 10 FF 52 14 F7 6D E0 8B 55 F4 2B D0 8B 45 F8 89 50 20 57 57 8B 45 F8 83 C0 1C 50 E8 ?? ?? ?? ?? 80 7D DB 00 0F 84 A7 00 00 00 8B 45 F8 80 78 0C 00 0F 84 9A 00 00 00 33 C0 89 45 DC 8B 45 F8 8B 40 18 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2C 46 33 DB 8D 4D CC 8B 45 F8 8B 40 18 8B D3 8B 38 FF 57 0C 8B 55 CC 8B 45 D0 8B 08 FF 51 60 8B F8 3B 7D DC 7E 03 89 7D DC 43 4E 75 D7 8B 45 D4 01 45 DC 8B 45 F8 83 C0 1C 8B 55 F8 8A 52 0D 80 EA 01 72 08 74 10 FE CA 74 16 EB 38 8B 10 03 55 DC 89 50 08 EB 2E 8B 50 08 2B 55 DC 89 10 EB 24 8B 10 03 50 08 D1 FA 79 03 83 D2 00 8B 4D DC D1 F9 79 03 83 D1 00 03 4D D4 8B DA 2B D9 89 18 03 CA 89 48 08 80 7D DB 00 74 0E 8B 45 F8 8D 50 1C 8B 45 D0 8B 08 FF 51 70 8B 45 FC 8B 80 5C 02 00 00 B2 01 8B 08 FF 51 1C 80 7D E7 00 74 44 8B 45 F8 8B 40 18 8B 10 FF 52 14 8B F0 4E 85 F6 7C 74 46 33 DB 8B 45 EC 03 45 E0 89 45 F4 55 8D 4D CC 8B 45 F8 8B 40 18 8B D3 8B 38 FF 57 0C 8B 45 CC E8 ?? ?? ?? ?? 59 8B 45 F4 89 45 EC 43 4E 75 D3 EB 42 8B 45 F8 8B 40 18 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 2F 8B 45 F4 2B 45 E0 89 45 EC 55 8D 4D CC 8B 45 F8 8B 40 18 8B D3 8B 30 FF 56 0C 8B 45 CC E8 ?? ?? ?? ?? 59 8B 45 EC 89 45 F4 4B 83 FB FF 75 D1 80 7D DB 00 74 14 80 7D E7 00 74 08 8B 45 D4 01 45 F4 EB 06 8B 45 D4 29 45 EC 8B 45 FC 05 60 02 00 00 80 7D E7 00 74 0B 8B 55 F4 83 C2 05 89 50 04 EB 09 8B 55 EC 83 EA 05 89 50 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1544_0 {
	meta:
		name = "TCustomChart.SeriesUp"
		size = 43
		refs = "000a TList.IndexOf 001e TList.Exchange"
	strings:
		$1 = { 56 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 17 8B C8 49 8B D0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_1545_0 {
	meta:
		name = "TCustomChart.SeriesDown"
		size = 55
		refs = "000b TList.IndexOf 0014 TCustomAxisPanel.SeriesCount 0029 TList.Exchange"
	strings:
		$1 = { 53 56 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 48 3B D8 7D 17 8D 4B 01 8B D3 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_1546_0 {
	meta:
		name = "TCustomChart.PreviousPage"
		size = 34
	strings:
		$1 = { 83 B8 D8 02 00 00 00 7E 18 83 B8 D4 02 00 00 01 7E 0F 8B 90 D4 02 00 00 4A 8B 08 FF 91 D0 00 00 00 C3 }
	condition:
		$1
}

rule function_1547_0 {
	meta:
		name = "TCustomChart.NextPage"
		size = 52
		refs = "0014 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 83 BE D8 02 00 00 00 7E 24 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 3B 86 D4 02 00 00 7E 11 8B 96 D4 02 00 00 42 8B C6 8B 08 FF 91 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1548_0 {
	meta:
		name = "ZoomAxis"
		size = 56
		refs = "000b AnimatedZoomFactor 0030 TCustomChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC DD 45 10 DC 60 18 DC 35 ?? ?? ?? ?? DC 40 18 83 C4 F8 DD 1C 24 9B DD 40 10 DC 65 08 DC 35 ?? ?? ?? ?? DC 68 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_1549_0 {
	meta:
		name = "TCustomChart.DoZoom"
		size = 340
		refs = "001f TCustomChart.SaveScales 0067 ZoomAxis 00bc TControl.Refresh 00da TCustomChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 4D FC 8B FA 8B D8 80 BB 2C 03 00 00 00 74 23 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 57 8D 75 AC 8D BB 30 03 00 00 B9 14 00 00 00 F3 A5 5F C6 83 2C 03 00 00 00 80 BB 08 03 00 00 00 74 7E 8B B3 04 03 00 00 4E 85 F6 7E 73 8B 45 14 FF 70 04 FF 30 8B 45 10 FF 70 04 FF 30 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 8B 45 0C FF 70 04 FF 30 8B 45 08 FF 70 04 FF 30 8B 83 94 02 00 00 E8 ?? ?? ?? ?? FF 77 04 FF 37 8B 45 FC FF 70 04 FF 30 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 1C FF 70 04 FF 30 8B 45 18 FF 70 04 FF 30 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 4E 75 8D 8B 45 14 FF 70 04 FF 30 8B 45 10 FF 70 04 FF 30 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 8B 45 0C FF 70 04 FF 30 8B 45 08 FF 70 04 FF 30 8B 83 94 02 00 00 E8 ?? ?? ?? ?? FF 77 04 FF 37 8B 45 FC FF 70 04 FF 30 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 1C FF 70 04 FF 30 8B 45 18 FF 70 04 FF 30 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? C6 83 84 03 00 00 01 66 83 BB DA 03 00 00 00 74 0E 8B D3 8B 83 DC 03 00 00 FF 93 D8 03 00 00 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_1550_0 {
	meta:
		name = "TCustomChart.SetAnimatedZoom"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 08 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1551_0 {
	meta:
		name = "TCustomChart.SetAnimatedZoomSteps"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 04 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1552_0 {
	meta:
		name = "TCustomChart.ZoomRect"
		size = 44
	strings:
		$1 = { 56 8B F0 8B 86 58 02 00 00 8B 0A 89 48 08 8B 4A 04 89 48 0C 8B 4A 08 89 48 10 8B 52 0C 89 50 14 8B C6 8B 10 FF 92 FC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_1553_0 {
	meta:
		name = "CalcAxisScale"
		size = 108
		refs = "002b TCustomChartAxis.CalcMinMax 003d CalcAxisScale"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F1 8B DA 8B 50 18 89 55 F0 8B 50 1C 89 55 F4 8B 50 10 89 55 E8 8B 50 14 89 55 EC 8D 4D E8 8D 55 F0 E8 ?? ?? ?? ?? DD 45 E8 DC 65 F0 8B 45 08 DD 40 08 D8 25 ?? ?? ?? ?? DE C9 D8 35 ?? ?? ?? ?? DD 5D F8 9B DD 45 F0 DC 45 F8 DD 1B 9B DD 45 E8 DC 65 F8 DD 1E 9B 5E 5B 8B E5 5D C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_1554_0 {
	meta:
		name = "TCustomChart.ZoomPercent"
		size = 141
		refs = "0018 CalcAxisScale"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 8B D8 55 8D 4D F0 8D 55 F8 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D E0 8D 55 E8 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D D0 8D 55 D8 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D C0 8D 55 C8 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 59 8D 45 C8 50 8D 45 C0 50 8D 45 F8 50 8D 45 F0 50 8D 45 E8 50 8D 45 E0 50 8D 4D D0 8D 55 D8 8B C3 8B 30 FF 96 00 01 00 00 8B C3 8B 10 FF 52 7C 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1555_0 {
	meta:
		name = "ClickedAxis"
		size = 50
		refs = "0015 TCustomChartAxis.Clicked"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 48 FC 8B 45 08 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 55 08 8B 52 F4 C6 02 02 8B 55 08 8B 52 F4 89 5A 0C 5B 5D C3 }
	condition:
		$1
}

rule function_1556_0 {
	meta:
		name = "TCustomChart.CalcClickedPart"
		size = 442
		refs = "004c PtInRect 0062 TCustomAxisPanel.SeriesCount 0073 TCustomAxisPanel.GetSeries 00f5 ClickedAxis 015b TChartTitle.Clicked 01a5 TChartSeriesList.CountActive"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D F8 A5 A5 89 4D F4 8B D8 8B 45 F4 C6 00 00 8B 45 F4 C7 40 04 FF FF FF FF 8B 45 F4 33 D2 89 50 08 8B 45 F4 33 D2 89 50 0C 8B B3 28 03 00 00 80 7E 2C 00 74 1E FF 75 FC FF 75 F8 8D 46 40 50 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 45 F4 C6 00 01 E9 54 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 7F 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 80 78 24 00 74 64 8B 45 F8 89 45 EC 8B 45 FC 89 45 F0 8B 45 E8 8B 80 D4 00 00 00 50 8D 4D F0 8D 55 EC 8B 83 5C 02 00 00 8B 38 FF 97 A0 00 00 00 8B 4D F0 8B 55 EC 8B 45 E8 8B 38 FF 97 E0 00 00 00 8B 55 F4 89 42 04 8B 45 F4 83 78 04 FF 74 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 89 42 08 8B 45 F4 C6 00 03 E9 CC 00 00 00 4E 83 FE FF 75 81 55 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 B1 00 00 00 55 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 9C 00 00 00 55 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 87 00 00 00 55 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 76 55 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 65 8B 4D FC 8B 55 F8 8B 83 80 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F4 C6 00 04 EB 48 8B 4D FC 8B 55 F8 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F4 C6 00 05 EB 2B FF 75 FC FF 75 F8 8D 83 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 15 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 06 8B 45 F4 C6 00 06 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1557_0 {
	meta:
		name = "CheckZoomPanning"
		size = 204
		refs = "001a TeeZoomMouseButton 002a TeeZoomKeyShift 0039 TControl.SetCursor 0056 TZoomPanningRecord.Activate 0061 TCustomTeePanel.DrawZoomRectangle 0083 TeeScrollMouseButton 0093 TeeScrollKeyShift"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 B8 09 03 00 00 00 74 5A 8B 45 08 8A 40 FB 3A 05 ?? ?? ?? ?? 75 4C 8B 45 08 8A 40 FA F7 D0 22 05 ?? ?? ?? ?? 75 3C 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 48 08 8B 45 08 8B 50 0C 8B 45 08 8B 40 FC 8B 80 58 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 C6 40 F9 01 8B 45 08 8B 40 FC 80 B8 0A 03 00 00 00 74 4F 8B 45 08 8A 40 FB 3A 05 ?? ?? ?? ?? 75 41 8B 45 08 8A 40 FA F7 D0 22 05 ?? ?? ?? ?? 75 31 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 48 08 8B 45 08 8B 50 0C 8B 45 08 8B 40 FC 8B 80 40 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 C6 40 F9 01 5D C3 }
	condition:
		$1
}

rule function_1558_0 {
	meta:
		name = "CheckBackground"
		size = 105
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 66 83 B8 9A 03 00 00 00 74 52 8B 45 08 8B 40 FC C6 80 00 03 00 00 01 8B 45 08 8A 40 FA 50 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 08 50 8B 45 08 8B 58 FC 8B 45 08 8A 48 FB 8B 45 08 8B 50 FC 8B 83 9C 03 00 00 FF 93 98 03 00 00 8B 45 08 8B 40 FC 8A 80 00 03 00 00 8B 55 08 88 42 F9 5B 5D C3 }
	condition:
		$1
}

rule function_1559_0 {
	meta:
		name = "TCustomChart.MouseDown"
		size = 509
		refs = "0022 TControl.MouseDown 0071 Point 007f TCustomChart.CalcClickedPart 016d CheckZoomPanning 01cd CheckBackground"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 88 4D FA 88 55 FB 89 45 FC 8B 45 0C 50 8B 45 08 50 8A 4D FA 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 58 02 00 00 80 78 04 00 0F 85 BD 01 00 00 8B 45 FC 8B 80 40 02 00 00 80 78 04 00 0F 85 AA 01 00 00 8B 45 FC 80 B8 00 03 00 00 00 74 0F 8B 45 FC C6 80 00 03 00 00 00 E9 8F 01 00 00 8D 4D E0 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 8D 55 E0 8D 4D E8 8B 45 FC E8 ?? ?? ?? ?? C6 45 F9 00 8A 45 E8 FE C8 74 19 FE C8 0F 84 DE 00 00 00 FE C8 74 5A 2C 03 0F 84 29 01 00 00 E9 38 01 00 00 8B 45 FC 66 83 B8 A2 03 00 00 00 0F 84 27 01 00 00 8B 45 FC C6 80 00 03 00 00 01 8A 45 FA 50 8B 45 0C 50 8B 45 08 50 8B 5D FC 8A 4D FB 8B 55 FC 8B 83 A4 03 00 00 FF 93 A0 03 00 00 8B 45 FC 8A 80 00 03 00 00 88 45 F9 E9 EB 00 00 00 8A 45 FB 50 8A 45 FA 50 8B 45 0C 50 8B 45 08 50 8B 4D EC 8B 5D F0 8B D3 8B C3 8B 18 FF 93 04 01 00 00 88 45 F9 8B 45 FC 66 83 B8 AA 03 00 00 00 74 3F 8B 45 FC C6 80 00 03 00 00 01 8B 45 EC 50 8A 45 FB 50 8A 45 FA 50 8B 45 0C 50 8B 45 08 50 8B 5D FC 8B 4D F0 8B 55 FC 8B 83 AC 03 00 00 FF 93 A8 03 00 00 8B 45 FC 8A 80 00 03 00 00 88 45 F9 80 7D F9 00 75 74 55 E8 ?? ?? ?? ?? 59 EB 6B 8B 45 FC 66 83 B8 92 03 00 00 00 74 3B 8B 45 FC C6 80 00 03 00 00 01 8A 45 FB 50 8A 45 FA 50 8B 45 0C 50 8B 45 08 50 8B 5D FC 8B 4D F4 8B 55 FC 8B 83 94 03 00 00 FF 93 90 03 00 00 8B 45 FC 8A 80 00 03 00 00 88 45 F9 80 7D F9 00 75 1D 55 E8 ?? ?? ?? ?? 59 EB 14 55 E8 ?? ?? ?? ?? 59 80 7D F9 00 75 07 55 E8 ?? ?? ?? ?? 59 80 7D F9 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC C6 80 00 03 00 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1560_0 {
	meta:
		name = "ProcessPanning"
		size = 147
		refs = "0014 TCustomChartAxis.CalcPosPoint 0088 TCustomChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D DC 9B 8B D7 8B C3 E8 ?? ?? ?? ?? DC 6D DC DD 5D F8 9B DD 43 18 DC 45 F8 DD 5D F0 9B DD 43 10 DC 45 F8 DD 5D E8 9B C6 45 E7 01 8B 45 08 8B 40 FC 66 83 B8 8A 03 00 00 00 74 1F 8D 45 E8 50 8D 45 E7 50 8B 45 08 8B 70 FC 8D 4D F0 8B D3 8B 86 8C 03 00 00 FF 96 88 03 00 00 80 7D E7 00 74 13 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1561_0 {
	meta:
		name = "CheckMouseSeries"
		size = 198
		refs = "0014 TCustomAxisPanel.SeriesCount 002b TCustomAxisPanel.GetSeries 006d TControl.SetCursor"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 C6 45 FF 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 5C 43 33 F6 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 78 24 00 74 3C 8B 45 F8 66 83 78 38 00 74 32 8B 45 08 8B 48 08 8B 45 08 8B 50 F8 8B 45 F8 8B 38 FF 97 E0 00 00 00 40 74 18 8B 45 F8 66 8B 50 38 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C6 45 FF 01 EB 04 46 4B 75 A7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2F 43 33 F6 8B 45 08 8B 40 08 50 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 08 8B 4A F8 8B 55 08 8A 52 F7 8B 38 FF 97 00 01 00 00 46 4B 75 D4 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1562_0 {
	meta:
		name = "TCustomChart.MouseMove"
		size = 513
		refs = "0020 TControl.MouseMove 0058 TCustomTeePanel.DrawZoomRectangle 0092 Point 00a6 PtInRect 00cb TZoomPanningRecord.Check 00e2 TCustomChart.SaveScales 012f ProcessPanning 01dd CheckMouseSeries 01f4 TControl.SetCursor"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 89 4D F8 88 55 F7 89 45 FC 8B 45 08 50 8B 4D F8 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 0F 85 C7 01 00 00 8B 45 FC 8B 98 58 02 00 00 80 7B 04 00 74 35 8B 45 F8 3B 43 10 75 0C 8B 45 08 3B 43 14 0F 84 A4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 89 43 10 8B 45 08 89 43 14 8B 45 FC E8 ?? ?? ?? ?? E9 83 01 00 00 8B 45 FC 8B B0 40 02 00 00 80 7E 04 00 0F 84 53 01 00 00 8D 4D EC 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 FF 75 EC 8B 45 FC 05 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 84 1A 01 00 00 8B 45 F8 3B 46 10 75 0C 8B 45 08 3B 46 14 0F 84 32 01 00 00 33 DB 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 2C 03 00 00 00 74 2A 8D 55 9C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 56 8D 75 9C 8D B8 30 03 00 00 B9 14 00 00 00 F3 A5 5E 8B 45 FC C6 80 2C 03 00 00 00 8B 55 F8 3B 56 10 74 3F 8B 45 FC 8A 80 0A 03 00 00 3C 01 74 04 3C 03 75 2E 55 8B 45 FC 8B 80 8C 02 00 00 8B 4D F8 8B 56 10 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 88 02 00 00 8B 4D F8 8B 56 10 E8 ?? ?? ?? ?? 59 B3 01 8B 55 08 3B 56 14 74 3F 8B 45 FC 8A 80 0A 03 00 00 3C 02 74 04 3C 03 75 2E 55 8B 45 FC 8B 80 90 02 00 00 8B 4D 08 8B 56 14 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 94 02 00 00 8B 4D 08 8B 56 14 E8 ?? ?? ?? ?? 59 B3 01 8B 45 F8 89 46 10 8B 45 08 89 46 14 84 DB 74 55 8B 45 FC 66 83 B8 CA 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 CC 03 00 00 FF 93 C8 03 00 00 8B 45 FC 8B 10 FF 52 78 EB 2C 8B 45 FC 8B 80 40 02 00 00 C6 40 04 00 EB 1D 55 E8 ?? ?? ?? ?? 59 84 C0 75 12 8B 45 FC 66 8B 90 3C 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1563_0 {
	meta:
		name = "TCustomChart.UndoZoom"
		size = 72
		refs = "0015 TCustomChart.RestoreScales"
	strings:
		$1 = { 53 8B D8 80 BB 2C 03 00 00 00 75 0D 8D 93 30 03 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 2C 03 00 00 01 66 83 BB D2 03 00 00 00 74 0E 8B D3 8B 83 D4 03 00 00 FF 93 D0 03 00 00 8B C3 8B 10 FF 52 78 C6 83 84 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1564_0 {
	meta:
		name = "TCustomChart.CalcZoomPoints"
		size = 225
		refs = "0010 TZoomPanningRecord.Check 001e TCustomChartAxis.CalcPosPoint"
	strings:
		$1 = { 53 56 83 C4 C0 8B D8 8B B3 58 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 56 14 8B 83 90 02 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 56 0C 8B 83 90 02 00 00 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 56 14 8B 83 94 02 00 00 E8 ?? ?? ?? ?? DD 5C 24 10 9B 8B 56 0C 8B 83 94 02 00 00 E8 ?? ?? ?? ?? DD 5C 24 18 9B 8B 56 08 8B 83 88 02 00 00 E8 ?? ?? ?? ?? DD 5C 24 20 9B 8B 56 10 8B 83 88 02 00 00 E8 ?? ?? ?? ?? DD 5C 24 28 9B 8B 56 08 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DD 5C 24 30 9B 8B 56 10 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DD 5C 24 38 9B 8D 44 24 30 50 8D 44 24 3C 50 8D 44 24 08 50 8D 44 24 14 50 8D 44 24 20 50 8D 44 24 2C 50 8D 4C 24 40 8D 54 24 38 8B C3 8B 18 FF 93 00 01 00 00 83 C4 40 5E 5B C3 }
	condition:
		$1
}

rule function_1565_0 {
	meta:
		name = "TCustomChart.MouseUp"
		size = 262
		refs = "0022 TControl.MouseUp 0029 TCustomAxisPanel.SeriesCount 004a TCustomAxisPanel.GetSeries 0077 TeeZoomMouseButton 0086 TCustomTeePanel.DrawZoomRectangle 0096 TPen.SetMode"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FE 88 55 FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 C7 45 F8 00 00 00 00 8B 45 0C 50 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8A 4D FE 8A 55 FF 8B 38 FF 97 08 01 00 00 FF 45 F8 4E 75 DA 8B 83 58 02 00 00 80 78 04 00 0F 84 81 00 00 00 8A 55 FF 3A 15 ?? ?? ?? ?? 75 76 8B F0 C6 46 04 00 8B C3 E8 ?? ?? ?? ?? 8B 83 5C 02 00 00 8B 40 0C B2 04 E8 ?? ?? ?? ?? 8B 45 0C 89 46 10 8B 45 08 89 46 14 8B 46 10 2B 46 08 99 33 C2 2B C2 83 F8 10 7E 3D 8B 46 14 2B 46 0C 99 33 C2 2B C2 83 F8 10 7E 2D 8B 46 10 3B 46 08 7E 14 8B 46 14 3B 46 0C 7E 0C 8B C3 8B 10 FF 92 FC 00 00 00 EB 0A 8B C3 8B 10 FF 92 14 01 00 00 8B C3 8B 10 FF 52 78 8B 83 40 02 00 00 C6 40 04 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1566_0 {
	meta:
		name = "TCustomChart.WMGetDlgCode"
		size = 16
	strings:
		$1 = { 56 8B F2 8B D6 8B 08 FF 51 F0 83 4E 0C 01 5E C3 }
	condition:
		$1
}

rule function_1567_0 {
	meta:
		name = "AxisRect"
		size = 101
		refs = "0014 TCustomAxisPanel.IsAxisVisible 0032 TCustomChartAxis.CalcRect 0046 IntersectRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 42 8B 45 08 8D 70 EC 8D 7D F0 B9 04 00 00 00 F3 A5 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 83 C0 EC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 85 C0 74 10 8B 45 08 8D 78 EC 8D 75 F0 B9 04 00 00 00 F3 A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1568_0 {
	meta:
		name = "TCustomChart.CalcAxisRect"
		size = 302
		refs = "0018 TCustomChartAxis.AdjustMaxMin 0053 TCustomAxisPanel.CalcSize3DWalls 00ad TCustomTeePanel.ReCalcWidthHeight 00cd AxisRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8D 5D FC 8B 03 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 4C 02 00 00 00 74 48 8B 03 8B 80 50 02 00 00 80 78 0C 00 74 3A 8B 03 80 B8 98 02 00 00 00 74 0D 8B 03 8B 80 14 03 00 00 8B 40 10 EB 02 33 C0 8B 13 81 C2 60 02 00 00 8B 0B 8B 89 54 02 00 00 03 C8 29 4A 08 8B 0B 03 81 28 02 00 00 01 42 04 8B 03 E8 ?? ?? ?? ?? 8B 03 8D B0 60 02 00 00 8D 7D EC B9 04 00 00 00 F3 A5 55 8B 03 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 03 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 59 8B 03 8D B8 60 02 00 00 8D 75 EC B9 04 00 00 00 F3 A5 8B 03 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1569_0 {
	meta:
		name = "CalcSeriesAxisRect"
		size = 249
		refs = "0018 Rect 0023 TCustomAxisPanel.SeriesCount 0044 TCustomAxisPanel.GetSeries 0063 TChartSeries.GetHorizAxis 0083 MaxLong 00a9 TChartSeries.GetVertAxis 00ef TCustomChartAxis.AdjustMaxMinRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 45 FC 6A 00 8D 45 E0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C B6 00 00 00 46 C7 45 F0 00 00 00 00 8B 45 08 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 0F 84 8A 00 00 00 8B 45 FC 80 B8 86 00 00 00 00 74 3A 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 75 2E 8D 4D F4 8D 55 F8 8B C3 8B 18 FF 93 1C 01 00 00 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 89 45 E0 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E8 EB 44 8B 45 FC 80 B8 86 00 00 00 00 75 38 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 75 2C 8D 4D F4 8D 55 F8 8B C3 8B 18 FF 93 20 01 00 00 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E4 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 89 45 EC FF 45 F0 4E 0F 85 52 FF FF FF 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1570_0 {
	meta:
		name = "TCustomChart.CalcSeriesRect"
		size = 74
		refs = "0012 CalcSeriesAxisRect"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_1571_0 {
	meta:
		name = "TCustomChart.Assign"
		size = 212
		refs = "000b _DV_TCustomChart 0010 @IsClass 0094 TCustomChart.SetAnimatedZoom 00a1 TCustomChart.SetAnimatedZoomSteps 00cc TCustomAxisPanel.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AB 00 00 00 8B FE 8B 97 14 03 00 00 8B 83 14 03 00 00 8B 08 FF 51 08 8B 97 18 03 00 00 8B 83 18 03 00 00 8B 08 FF 51 08 8B 97 20 03 00 00 8B 83 20 03 00 00 8B 08 FF 51 08 8B 97 24 03 00 00 8B 83 24 03 00 00 8B 08 FF 51 08 8B 97 28 03 00 00 8B 83 28 03 00 00 8B 08 FF 51 08 8A 87 0A 03 00 00 88 83 0A 03 00 00 8A 87 09 03 00 00 88 83 09 03 00 00 8A 97 08 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 04 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 1C 03 00 00 8B 83 1C 03 00 00 8B 08 FF 51 08 8B 97 80 03 00 00 8B 83 80 03 00 00 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1572_0 {
	meta:
		name = "TCustomChart.ExchangeSeries"
		size = 99
		refs = "0015 TList.Exchange 001e TCustomAxisPanel.GetSeries 0023 TComponent.GetComponentIndex 0043 TComponent.SetComponentIndex"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 7C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1573_0 {
	meta:
		name = "TCustomChart.GetPalette"
		size = 57
		refs = "001c _Dn_TBitmap 0021 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 FF 8B B3 10 03 00 00 85 F6 74 22 83 7E 04 00 74 1C 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 46 04 8B 10 FF 52 24 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1575_0 {
	meta:
		name = "TCustomChart.FillValueSourceItems"
		size = 102
		refs = "000c TChartSeries.GetDataSource 001d _Dn_TChartSeries 0022 @IsClass 004e TChartValueLists.GetValueList"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5A 2C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4B 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 40 6C 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 40 6C 8B D6 E8 ?? ?? ?? ?? 8B 50 24 8B 45 0C FF 55 08 46 4B 75 E6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1576_0 {
	meta:
		name = "TCustomChartLegend.Create"
		size = 188
		refs = "000a @ClassCreate 0017 TChartFontObject.Create 0031 _Dn_TChartPen 0036 TChartPen.Create 0040 TCustomChartLegend.GetParentChart 007e _Dn_TChartHiddenPen 0083 TChartHiddenPen.Create 00a9 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 2C 01 C6 46 2D 01 C6 46 50 00 C7 46 20 FF FF FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B C6 E8 ?? ?? ?? ?? 8B 56 24 89 42 08 8B 00 8B 80 C0 00 00 00 89 42 04 C6 46 0E 01 C6 46 0D 00 C7 46 10 0C 00 00 00 C7 46 1C 0A 00 00 00 C6 46 0C 01 33 C0 89 46 30 C7 46 34 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 E8 ?? ?? ?? ?? 8B 56 38 89 42 08 8B 00 8B 80 C0 00 00 00 89 42 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1577_0 {
	meta:
		name = "TCustomChartLegend.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TChartFontObject.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1578_0 {
	meta:
		name = "TCustomChartLegend.Assign"
		size = 120
		refs = "000a _DV_TCustomChartLegend 000f @IsClass 0071 TChartFontObject.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 55 8B C6 8A 50 2C 88 53 2C 8A 50 0D 88 53 0D 8B 50 28 89 53 28 8A 50 2D 88 53 2D 8A 50 0E 88 53 0E 8B 50 10 89 53 10 8B 50 14 89 53 14 8B 50 18 89 53 18 8A 50 0C 88 53 0C 8A 50 2E 88 53 2E 8B 50 1C 89 53 1C 8B 50 20 89 53 20 8B 50 24 8B 43 24 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1579_0 {
	meta:
		name = "TCustomChartLegend.SetVisible"
		size = 26
		refs = "0009 TCustomChartLegend.GetParentChart 0013 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 56 2C 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1580_0 {
	meta:
		name = "TCustomChartLegend.SetInverted"
		size = 26
		refs = "0009 TCustomChartLegend.GetParentChart 0013 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 56 2E 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1581_0 {
	meta:
		name = "TCustomChartLegend.SetAlignment"
		size = 14
		refs = "0009 TChartFontObject.Repaint"
	strings:
		$1 = { 3A 50 2D 74 08 88 50 2D E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1585_0 {
	meta:
		name = "TCustomChartLegend.SetTopLeftPos"
		size = 120
		refs = "000f TCustomChartLegend.SetTopLeftPos 0026 TeeMsg_LegendTopPos 002b LoadResString 0035 _DV_LegendException 003a Exception.Create 003f @RaiseExcept 0048 TCustomChartLegend.GetParentChart 0052 TCustomTeePanel.SetIntegerProperty 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 05 83 FB 64 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B C6 E8 ?? ?? ?? ?? 8D 56 1C 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1586_0 {
	meta:
		name = "TCustomChartLegend.SetFirstValue"
		size = 115
		refs = "000f TCustomChartLegend.SetFirstValue 0021 TeeMsg_LegendFirstValue 0026 LoadResString 0030 _DV_LegendException 0035 Exception.Create 003a @RaiseExcept 0043 TCustomChartLegend.GetParentChart 004d TCustomTeePanel.SetLongintProperty 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7D 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B C3 E8 ?? ?? ?? ?? 8D 53 28 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1587_0 {
	meta:
		name = "TCustomChartLegend.SetTextStyle"
		size = 14
		refs = "0009 TChartFontObject.Repaint"
	strings:
		$1 = { 3A 50 0E 74 08 88 50 0E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1588_0 {
	meta:
		name = "TCustomChartLegend.SetLegendStyle"
		size = 27
		refs = "000e TCustomChartLegend.CalcLegendStyle 0015 TChartFontObject.Repaint"
	strings:
		$1 = { 53 8B D8 3A 53 0D 74 11 88 53 0D 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1589_0 {
	meta:
		name = "TCustomChartLegend.SetHorizMargin"
		size = 26
		refs = "0009 TCustomChartLegend.GetParentChart 0013 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 53 14 8B CE E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1590_0 {
	meta:
		name = "TCustomChartLegend.SetVertMargin"
		size = 26
		refs = "0009 TCustomChartLegend.GetParentChart 0013 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 53 18 8B CE E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1591_0 {
	meta:
		name = "TCollectionItem.GetOwner"
		size = 4
		altNames = "TComponent.GetOwner TCustomChartLegend.GetParentChart TQRMerger.GetOrgLines"
	strings:
		$1 = { 8B 40 04 C3 }
	condition:
		$1
}

rule function_1592_0 {
	meta:
		name = "TCustomChartLegend.SetResizeChart"
		size = 26
		refs = "0009 TCustomChartLegend.GetParentChart 0013 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 56 0C 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1593_0 {
	meta:
		name = "TCustomChartLegend.SetColor"
		size = 26
		refs = "0009 TCustomChartLegend.GetParentChart 0013 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 53 20 8B CE E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1594_0 {
	meta:
		name = "TCustomChartLegend.SetColorWidth"
		size = 120
		refs = "000f TCustomChartLegend.SetColorWidth 0026 TeeMsg_LegendColorWidth 002b LoadResString 0035 _DV_LegendException 003a Exception.Create 003f @RaiseExcept 0048 TCustomChartLegend.GetParentChart 0052 TCustomTeePanel.SetIntegerProperty 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 05 83 FB 64 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B C6 E8 ?? ?? ?? ?? 8D 56 10 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1595_0 {
	meta:
		name = "TCustomChartLegend.CalcLegendStyle"
		size = 48
		refs = "000d TCustomChartLegend.GetParentChart 0018 TChartSeriesList.CountActive"
	strings:
		$1 = { 53 8B D8 8A 43 0D 84 C0 75 21 8B C3 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 48 7E 06 C6 43 50 01 EB 09 C6 43 50 02 5B C3 88 43 50 5B C3 }
	condition:
		$1
}

rule function_1596_0 {
	meta:
		name = "TCustomChartLegend.FormattedLegend"
		size = 125
		refs = "000e TCustomChartLegend.GetParentChart 002d TCustomAxisPanel.SeriesTitleLegend 003a TCustomAxisPanel.GetASeries 0057 TCustomAxisPanel.GetSeries 005c TChartSeries.Count"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8A 43 50 FE C8 74 0A FE C8 74 14 FE C8 74 2B EB 53 8B 0C 24 8B D7 8B C6 E8 ?? ?? ?? ?? EB 45 8B 04 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C6 8B 18 FF 93 F8 00 00 00 EB 2A 8B 04 24 50 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 50 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 18 FF 93 F8 00 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1597_0 {
	meta:
		name = "TCustomChartLegend.SetShadowColor"
		size = 26
		refs = "0009 TCustomChartLegend.GetParentChart 0013 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 53 30 8B CE E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1598_0 {
	meta:
		name = "TCustomChartLegend.SetShadowSize"
		size = 26
		refs = "0009 TCustomChartLegend.GetParentChart 0013 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 53 34 8B CE E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1599_0 {
	meta:
		name = "TCustomChartAxis.SetGrid"
		size = 9
		altNames = "TCustomChartLegend.SetDividingLines"
	strings:
		$1 = { 8B 40 38 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_1600_0 {
	meta:
		name = "CalcMaxLegendValues"
		size = 114
		refs = "0013 TCustomChartLegend.GetParentChart 0032 TPen.GetWidth 0058 TCustomChartLegend.TotalLegendItems 0061 MinLong"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 3B 58 F8 7E 4A 8B 45 08 83 78 F4 00 7E 41 8B 45 08 8B 40 FC 8B 40 24 E8 ?? ?? ?? ?? 03 C0 50 8B C6 5A 2B C2 8B 55 08 2B 42 F8 03 C7 8B 55 08 8B 4A F4 99 F7 F9 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1601_0 {
	meta:
		name = "TCustomChartLegend.MaxLegendValues"
		size = 91
		refs = "0014 TCustomChartLegend.GetParentChart 001e TCustomChartLegend.GetVertical 003a CalcMaxLegendValues"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1B 55 8B 8B 64 02 00 00 8B 93 18 02 00 00 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 59 EB 15 55 33 C9 8B 93 14 02 00 00 8B 83 68 02 00 00 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1602_0 {
	meta:
		name = "TCustomChartLegend.TotalLegendItems"
		size = 134
		refs = "0016 TCustomChartLegend.GetParentChart 001b TCustomAxisPanel.SeriesCount 0033 TCustomAxisPanel.GetSeries 0055 TCustomAxisPanel.GetASeries 0079 MaxLong"
	strings:
		$1 = { 53 56 57 55 8B D8 33 FF 8A 43 50 3C 01 74 04 3C 03 75 3A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 22 46 33 ED 8B C3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 80 78 24 00 74 07 80 78 5C 00 74 01 47 45 4E 75 E1 2B 7B 28 EB 27 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 15 80 7E 5C 00 74 0F 8B C6 8B 10 FF 92 94 00 00 00 8B F8 2B 7B 28 8B D7 33 C0 E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1603_0 {
	meta:
		name = "TCustomChartLegend.MaxLegendWidth"
		size = 172
		refs = "0017 TCustomChartLegend.MaxLegendWidth 002c TCustomChartLegend.TotalLegendItems 0042 TCustomChartLegend.GetParentChart 0060 TCustomChart.FormattedLegend 007a MaxLong 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7D FC FF 75 0F 8B C3 E8 ?? ?? ?? ?? 8B F8 03 7B 28 4F EB 07 8B 7B 28 03 7D FC 4F 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 43 28 8B DF 2B D8 7C 34 43 89 45 F8 8D 4D F0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 80 5C 02 00 00 8B 08 FF 51 60 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 45 F8 4B 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1604_0 {
	meta:
		name = "TCustomChartLegend.GetColorRect"
		size = 48
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B 5D 08 8B CA 2B 48 3C 89 0B 03 48 3C 89 4B 08 8B 45 FC 83 C0 02 89 43 04 8B 45 0C 83 E8 02 89 43 0C 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1605_0 {
	meta:
		name = "TCustomChartLegend.GetVertical"
		size = 18
	strings:
		$1 = { 8A 50 2D 84 D2 74 08 80 FA 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_1606_0 {
	meta:
		name = "DrawLegendItem"
		size = 628
		refs = "0018 DrawLegendItem 0029 TCustomChartLegend.TotalLegendItems 003d TCustomChartLegend.GetParentChart 004f TBrush.SetStyle 0060 TBrush.SetColor 0081 TCustomChartLegend.GetVertical 0106 TCustomChart.FormattedLegend 0143 TCustomChartLegend.GetColorRect 0161 TCustomAxisPanel.ActiveSeriesLegend 0261 @LStrClr 0267 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B 45 F8 0F 8E 1A 02 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B B3 5C 02 00 00 33 D2 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 50 20 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 89 45 F4 8B 45 08 8B 40 F8 8B 40 44 40 89 45 F0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 08 8B 40 F0 F7 6D F8 01 45 F0 EB 27 8B 45 08 FF 70 E8 8B 45 F8 5A 8B CA 99 F7 F9 8B 45 08 8B 40 EC 8B 4D 08 8B 49 F8 03 41 3C 83 C0 04 0F AF D0 01 55 F4 66 83 BB B2 03 00 00 00 74 2B 8D 45 F4 50 8D 45 F0 50 8B 45 08 83 C0 FC 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 83 B4 03 00 00 FF 93 B0 03 00 00 B2 01 8B 46 10 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 B1 00 00 00 8B 45 EC 50 8B 4D F0 8B 55 F4 8B C6 8B 38 FF 57 5C 8B 45 08 8B 40 F0 03 45 F0 50 8D 45 DC 50 8B 55 F4 83 EA 04 8B 45 08 8B 40 F8 8B 4D F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8A 40 50 3C 01 74 07 8B 55 08 3C 03 75 1A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D DC 83 CA FF 8B 38 FF 97 10 01 00 00 EB 50 8B 45 08 83 78 E4 00 74 26 8B 45 08 8B 40 E4 8B 55 FC 8B 08 FF 91 A8 00 00 00 8B D0 8D 4D DC 8B 45 08 8B 40 E4 8B 38 FF 97 10 01 00 00 EB 21 BA FF FF FF 00 8B 46 10 E8 ?? ?? ?? ?? 33 D2 8B 46 10 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 8B 08 FF 51 70 83 7D F8 00 0F 8E 81 00 00 00 8B 45 08 8B 40 F8 8B 40 38 80 78 18 00 74 72 8B 45 08 8B 40 F8 8B 50 38 8B 83 5C 02 00 00 8B 40 0C 8B 08 FF 51 08 B2 01 8B 83 5C 02 00 00 8B 08 FF 51 1C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 F0 50 8B 45 08 8B 40 F8 8B 48 48 8B 45 08 8B 40 F8 8B 50 40 8B C6 8B 18 FF 53 6C EB 20 8B 45 08 8B 40 F8 8B 40 4C 50 8B 45 08 8B 40 F8 8B 48 44 8B 55 DC 83 EA 04 8B C6 8B 18 FF 53 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1607_0 {
	meta:
		name = "DrawLegendBackground"
		size = 302
		refs = "0023 TCustomChartLegend.GetParentChart 0039 TTeeCanvas.AssignVisiblePen 0050 TPen.GetColor 0061 TPen.SetColor 0078 InflateRect 00ad TBrush.SetStyle 00ca TBrush.SetColor 00fe Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 45 08 8B 40 F8 8D 70 40 8D 7D F0 B9 04 00 00 00 F3 A5 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B B0 5C 02 00 00 8B 45 08 8B 40 F8 8B 50 24 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 24 80 78 18 00 74 51 8B 46 0C E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0A 33 D2 8B 46 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 E0 50 8B 45 08 8B 40 E0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 78 34 8B 45 08 03 78 E0 8B 45 08 8B 40 E0 48 D1 F8 79 03 83 D0 00 03 F8 EB 0A 8B 45 08 8B 40 F8 8B 78 34 4F 33 D2 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 83 78 34 00 7E 4F 8B 45 08 8B 40 F8 8B 50 30 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8D 58 40 8B 43 0C 03 C7 50 8D 45 E0 50 8B 4B 08 03 CF 8B 45 08 8B 40 F8 8B 50 34 03 53 04 8B 45 08 8B 40 F8 8B 40 34 03 03 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 08 FF 51 3C 8B 45 08 8B 40 F8 8B 50 20 8B 46 10 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 51 70 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1608_0 {
	meta:
		name = "CalcHorizontalColsRows"
		size = 77
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 48 EC 8B 45 08 8B 40 F8 03 48 3C 83 C1 08 8B 45 08 8B 40 F8 BA 08 00 00 00 8B 18 FF 53 0C 8B 55 08 89 42 E8 8B 45 08 83 78 E8 00 7E 0D 8B 45 08 C7 40 DC 01 00 00 00 5B 5D C3 8B 45 08 33 D2 89 50 DC 5B 5D C3 }
	condition:
		$1
}

rule function_1609_0 {
	meta:
		name = "CalcHorizMargin"
		size = 50
		refs = "0019 TCustomChartLegend.GetParentChart 0027 MulDiv"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 40 14 85 C0 75 1D 6A 64 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 80 14 02 00 00 50 6A 03 E8 ?? ?? ?? ?? 5D C3 8B 55 08 5D C3 }
	condition:
		$1
}

rule function_1610_0 {
	meta:
		name = "CalcVertMargin"
		size = 50
		refs = "0019 TCustomChartLegend.GetParentChart 0027 MulDiv"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 40 18 85 C0 75 1D 6A 64 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 80 18 02 00 00 50 6A 04 E8 ?? ?? ?? ?? 5D C3 8B 55 08 5D C3 }
	condition:
		$1
}

rule function_1611_0 {
	meta:
		name = "TCustomChartLegend.Draw"
		size = 1224
		refs = "0010 TCustomChartLegend.CalcLegendStyle 0018 TCustomChartLegend.GetParentChart 0041 TTeeCanvas.FontHeight 004f TCustomChartLegend.MaxLegendWidth 006a TCustomChartLegend.Draw 006f @ROUND 0080 TPen.GetWidth 00bf CalcHorizontalColsRows 02b9 MinLong 0379 DrawLegendBackground 0398 TPen.SetColor 03ac TPen.SetStyle 03b8 TPen.SetWidth 03bf TCustomAxisPanel.GetASeries 03ee DrawLegendItem 0484 CalcHorizMargin 049b CalcVertMargin 04b2 TCustomTeePanel.ReCalcWidthHeight"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 40 20 89 83 FC 02 00 00 8B 45 F8 8B 50 08 8B C3 8B 08 FF 91 C8 00 00 00 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 04 89 45 EC 8B 45 F8 8B 40 10 F7 6D EC 89 45 C4 DB 45 C4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 3C 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F8 8D 70 40 8B 45 F8 8A 40 2D 2C 02 74 44 FE C8 75 77 8B 45 F8 8B 93 6C 02 00 00 2B 50 34 89 56 0C 8B 45 F8 8B 40 24 80 78 18 00 74 07 8B 45 E0 40 29 46 0C 55 E8 ?? ?? ?? ?? 59 8B 46 0C 83 E8 02 8B 55 F0 0F AF 55 DC 2B C2 89 46 04 E9 93 00 00 00 8B 83 64 02 00 00 89 46 04 8B 45 F8 8B 40 24 80 78 18 00 74 07 8B 45 E0 40 01 46 04 55 E8 ?? ?? ?? ?? 59 8B 46 04 83 C0 02 8B 55 F0 0F AF 55 DC 03 C2 89 46 0C EB 5C 8B 45 F8 DB 40 1C D8 0D ?? ?? ?? ?? 8B 83 10 02 00 00 8B BB 08 02 00 00 2B C7 89 45 C4 DB 45 C4 DE C9 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C7 89 46 04 C7 45 E8 01 00 00 00 8B 56 04 8B 4D F0 8B 45 F8 8B 38 FF 57 0C 89 45 DC 8B 46 04 83 C0 02 8B 55 F0 0F AF 55 DC 03 C2 89 46 0C 33 F6 8B 45 F8 8D 78 40 8B 45 F8 8A 40 2D 2C 01 72 14 0F 84 88 00 00 00 48 2C 02 0F 82 06 01 00 00 E9 94 01 00 00 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 83 60 02 00 00 89 07 8B 45 F8 8B 40 24 80 78 18 00 74 06 8B 45 E0 40 01 07 8B 07 83 C0 04 89 45 FC 8B 45 FC 83 C0 04 03 45 EC 83 C0 02 2B 07 8B 55 F8 F7 6A 10 89 45 C4 DB 45 C4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 89 70 3C 03 75 FC 83 C6 04 89 75 F4 8B 45 F4 03 45 EC 83 C0 02 89 47 08 8B 75 DC E9 1A 01 00 00 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 83 68 02 00 00 89 47 08 8B 45 F8 8B 40 24 80 78 18 00 74 07 8B 45 E0 40 29 47 08 8B 45 F8 8B 40 34 29 47 08 8B 47 08 2B 45 EC 83 E8 02 89 45 F4 8B 47 08 8B 55 F4 83 EA 04 83 EA 04 2B C2 8B 55 F8 F7 6A 10 89 45 C4 DB 45 C4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 89 70 3C 8B 45 F4 2B C6 83 E8 04 89 45 FC 8B 45 FC 83 E8 04 89 07 8B 75 DC E9 93 00 00 00 8B 45 F8 8B 70 3C 03 75 EC 83 C6 04 0F AF 75 E8 83 C6 08 8B 45 F8 8B 50 34 03 D2 03 D6 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 DB 40 1C D8 0D ?? ?? ?? ?? 8B 83 0C 02 00 00 2B 83 04 02 00 00 2B C6 89 45 C4 DB 45 C4 DE C9 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? D1 FE 79 03 83 D6 00 8B 93 1C 02 00 00 2B D6 03 D0 89 17 03 B3 1C 02 00 00 03 C6 89 47 08 8B 07 83 C0 04 89 45 FC 8B 45 F8 8B 40 3C 03 45 FC 83 C0 04 89 45 F4 8B 75 E8 0F AF 75 DC 66 83 BB BA 03 00 00 00 74 3D 8B 45 F8 56 8D 70 40 8D 7D C8 B9 04 00 00 00 F3 A5 5E 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D C8 8B 83 BC 03 00 00 FF 93 B8 03 00 00 8B 45 F8 56 8D 78 40 8D 75 C8 B9 04 00 00 00 F3 A5 5E 85 F6 0F 8E 3F 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 83 5C 02 00 00 8B 78 0C 8B 45 F8 83 78 20 00 75 0E BA FF FF FF 00 8B C7 E8 ?? ?? ?? ?? EB 09 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 45 F8 8B 40 28 03 F0 4E 89 75 D8 8B 55 F8 80 7A 2E 00 74 1E 8B 75 D8 8B F8 2B FE 7F 34 4F 55 8B 55 D8 2B D6 8B C6 E8 ?? ?? ?? ?? 59 4E 47 75 EE EB 1F 8B F0 8B 7D D8 2B FE 7C 16 47 55 8B 45 F8 8B D6 2B 50 28 8B C6 E8 ?? ?? ?? ?? 59 46 4F 75 EB 8D B3 60 02 00 00 8B 45 F8 80 78 0C 00 74 45 8B 45 F8 8A 40 2D 2C 01 72 0C 74 14 FE C8 74 1B FE C8 74 28 EB 2F 8B 45 F8 8B 40 48 89 06 EB 25 8B 45 F8 8B 40 40 89 46 08 EB 1A 8B 45 F8 8B 40 4C 8B 55 F8 03 42 34 89 46 04 EB 09 8B 45 F8 8B 40 44 89 46 0C 8B 45 F8 8A 40 2D 2C 01 72 0C 74 15 FE C8 74 1D FE C8 74 25 EB 2D 55 E8 ?? ?? ?? ?? 59 01 06 EB 22 55 E8 ?? ?? ?? ?? 59 29 46 08 EB 16 55 E8 ?? ?? ?? ?? 59 01 46 04 EB 0A 55 E8 ?? ?? ?? ?? 59 29 46 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 C8 42 00 00 80 3F }
	condition:
		$1
}

rule function_1612_0 {
	meta:
		name = "TCustomChartLegend.FormattedValue"
		size = 552
		refs = "0023 TCustomChartLegend.FormattedValue 005a TeeLineSeparator 0061 @LStrFromChar 006b @LStrPos 0078 UniqueString 00f1 FormatFloat 014e @LStrCatN 01a3 TChartSeries.GetHorizAxis 01e5 TCustomChartAxis.LabelValue 01ff @LStrArrayClr 0205 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 89 5D E0 89 5D DC 89 4D F4 89 55 F8 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 FF 0F 84 B2 01 00 00 8B 55 F4 8B 45 F8 8B 08 FF 91 A8 00 00 00 89 45 F4 8B CE 8B 55 F4 8B 45 F8 8B 18 FF 53 64 8D 45 D8 8B 15 ?? ?? ?? ?? 8A 12 E8 ?? ?? ?? ?? 8B 45 D8 8B 16 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0C 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 20 85 DB 75 D0 8B 45 FC 80 78 0E 00 0F 84 57 01 00 00 8B 55 F4 8B 45 F8 8B 08 FF 91 E8 00 00 00 DD 5D EC 9B 8B 45 F8 8B 10 FF 92 F0 00 00 00 8B D0 DD 42 40 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 E4 C7 45 E8 00 00 59 40 EB 10 D9 05 ?? ?? ?? ?? DC 4D EC DC 72 40 DD 5D E4 9B DD 45 EC 83 C4 F4 DB 3C 24 9B 8D 55 E0 8B 45 F8 8B 40 68 E8 ?? ?? ?? ?? DD 45 E4 83 C4 F4 DB 3C 24 9B 8D 55 DC 8B 45 F8 8B 40 58 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 0E 83 F8 05 0F 87 CC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 36 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 92 00 00 00 FF 36 68 ?? ?? ?? ?? FF 75 E0 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 7A FF 75 DC 68 ?? ?? ?? ?? FF 36 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 62 FF 36 68 ?? ?? ?? ?? FF 75 DC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 4A 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8B 55 F4 8B 45 F8 8B 08 FF 51 68 83 C4 F4 DB 3C 24 9B 8B D6 8B 45 F8 8B 40 68 E8 ?? ?? ?? ?? EB 1B 8B 55 F4 8B 45 F8 8B 08 FF 51 68 83 C4 F8 DD 1C 24 9B 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 C8 42 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_1613_0 {
	meta:
		name = "TCustomChartLegend.Clicked"
		size = 157
		refs = "001e Point 002f PtInRect 003a TCustomChartLegend.GetParentChart 0045 TTeeCanvas.FontHeight"
	strings:
		$1 = { 53 56 83 C4 EC 89 0C 24 8B F2 8B D8 C7 44 24 04 FF FF FF FF 8D 4C 24 0C 8B 14 24 8B C6 E8 ?? ?? ?? ?? FF 74 24 10 FF 74 24 10 8D 43 40 50 E8 ?? ?? ?? ?? 85 C0 74 5C 8B C3 E8 ?? ?? ?? ?? 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? 89 44 24 08 8B 4C 24 08 8B 53 44 8B C3 8B 30 FF 56 0C 8B F0 4E 85 F6 7C 31 46 33 D2 8B 43 44 40 8B CA 0F AF 4C 24 08 03 C1 3B 04 24 7F 18 8B 4C 24 08 D1 F9 79 03 83 D1 00 03 C1 3B 04 24 7C 06 89 54 24 04 EB 04 42 4E 75 D2 8B 44 24 04 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_1614_0 {
	meta:
		name = "TeeGetUniqueName"
		size = 264
		refs = "001b TeeGetUniqueName 0029 @LStrClr 0031 _Dn_TCustomForm 0036 @IsClass 0058 @IntfCast 007d IntToStr 008b @LStrCat3 00b0 TComponent.FindComponent 00bf @LStrLAsg 00dc @IntfClear 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B DE 83 BB 30 02 00 00 00 74 21 8D 45 F0 8B 93 30 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 4D F8 8B 55 FC 8B 18 FF 53 58 8B 45 F8 83 38 00 75 51 BB 01 00 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? EB 19 43 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 85 C0 75 D9 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 55 72 BE AB 95 54 D1 11 9F B5 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_1615_0 {
	meta:
		name = "GetNewSeriesName"
		size = 40
		refs = "0009 GetNewSeriesName 0010 TeeGetUniqueName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 06 00 00 00 53 65 72 69 65 73 00 00 }
	condition:
		$1
}

rule function_1616_0 {
	meta:
		name = "GetNewFunctionName"
		size = 176
		refs = "0012 GetNewFunctionName 0027 IntToStr 0037 @LStrCat3 005e TComponent.FindComponent 006c @LStrLAsg 0086 @LStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 43 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 75 D7 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 0B 00 00 00 54 65 65 46 75 6E 63 74 69 6F 6E 00 }
	condition:
		$1
}

rule function_1617_0 {
	meta:
		name = "AssignSeries"
		size = 520
		refs = "0016 AssignSeries 0112 @LStrLAsg 011d TList.Get 012f TList.IndexOf 013b TList.Add 0150 TList.Remove 015a TChartSeries.AddLinkedSeries 0164 TChartSeries.RemoveLinkedSeries 019b TList.Exchange 01a2 TObject.Free 01b7 TChartSeries.GetDataSource 01e0 TChartSeries.RefreshSeries 01f5 @LStrClr 01fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 13 8B 06 8B 08 FF 51 08 8B 06 8B 13 8B 8A B0 00 00 00 89 88 B0 00 00 00 8B 8A B4 00 00 00 89 88 B4 00 00 00 8B 06 8B 13 8B 8A A8 00 00 00 89 88 A8 00 00 00 8B 8A AC 00 00 00 89 88 AC 00 00 00 8B 06 8B 13 8B 8A 90 00 00 00 89 88 90 00 00 00 8B 8A 94 00 00 00 89 88 94 00 00 00 8B 06 8B 13 8B 8A 88 00 00 00 89 88 88 00 00 00 8B 8A 8C 00 00 00 89 88 8C 00 00 00 8B 06 8B 13 8B 8A 98 00 00 00 89 88 98 00 00 00 8B 8A 9C 00 00 00 89 88 9C 00 00 00 8B 06 8B 13 8B 8A B8 00 00 00 89 88 B8 00 00 00 8B 8A BC 00 00 00 89 88 BC 00 00 00 8B 06 8B 13 8B 8A C0 00 00 00 89 88 C0 00 00 00 8B 8A C4 00 00 00 89 88 C4 00 00 00 8B 06 8B 13 8B 8A A0 00 00 00 89 88 A0 00 00 00 8B 8A A4 00 00 00 89 88 A4 00 00 00 8D 45 FC 8B 13 8B 52 08 E8 ?? ?? ?? ?? EB 50 8B C7 33 D2 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 78 3C 8B 16 8B C7 E8 ?? ?? ?? ?? 40 75 09 8B 16 8B C7 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 40 74 09 8B 13 8B C7 E8 ?? ?? ?? ?? 8B 06 8B 55 F4 E8 ?? ?? ?? ?? 8B 03 8B 55 F4 E8 ?? ?? ?? ?? 8B 03 8B 78 4C 83 7F 08 00 7F A5 8B 03 8B 40 54 8B B8 80 02 00 00 8B 13 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8B 16 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 8B 06 8B 55 FC 8B 08 FF 51 18 8B 06 E8 ?? ?? ?? ?? 85 C0 75 1E 8B 06 F6 40 20 10 74 16 8B 06 8B 10 FF 92 C4 00 00 00 8B D0 8B 06 8B 08 FF 91 9C 00 00 00 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1618_0 {
	meta:
		name = "CreateNewTeeFunction"
		size = 101
		refs = "000d CreateNewTeeFunction 0028 TTeeFunction.SetParentSeries 0033 GetNewFunctionName 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 04 8B C2 B2 01 FF 50 2C 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1619_0 {
	meta:
		name = "CreateNewSeries"
		size = 138
		refs = "0019 CreateNewSeries 0044 GetNewSeriesName 005e CreateNewTeeFunction 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 02 8B F3 8B CE B2 01 8B 45 FC FF 50 2C 8B F8 8B D3 8B C7 8B 08 FF 51 7C 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 08 FF 51 18 83 7D 08 00 74 0A 8B 55 08 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1620_0 {
	meta:
		name = "CloneChartSeries"
		size = 84
		refs = "0015 TObject.ClassType 002c CreateNewSeries 003e TChartSeries.GetDataSource 004b TChartSeries.AssignValues"
	strings:
		$1 = { 53 56 8B D8 8B B3 80 00 00 00 85 F6 75 04 33 F6 EB 09 8B C6 E8 ?? ?? ?? ?? 8B F0 56 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 54 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1621_0 {
	meta:
		name = "ChangeSeriesType"
		size = 64
		refs = "000a TObject.ClassType 0021 CreateNewSeries 0033 AssignSeries"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 03 E8 ?? ?? ?? ?? 3B F0 74 2A 6A 00 8B 03 8B 50 54 8B 03 8B 40 04 8B CE E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 0E 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 03 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1622_0 {
	meta:
		name = "ChangeAllSeriesType"
		size = 57
		refs = "000c TCustomAxisPanel.SeriesCount 001f TCustomAxisPanel.GetSeries 002b ChangeSeriesType"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 89 04 24 8B C4 8B D5 E8 ?? ?? ?? ?? 46 4B 75 E7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1624_0 {
	meta:
		name = "RegisterTeeSeriesFunction"
		size = 236
		refs = "001b RegisterClass 002f TeeSeriesTypes 0039 _DV_TTeeSeriesTypes 003e TObject.Create 005f TTeeSeriesTypes.GetSeriesType 0077 _DV_TTeeSeriesType 009a @LStrToString 00aa @PStrNCpy 00df TList.Add"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 89 4D F8 89 55 FC 8B F8 85 FF 74 07 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 20 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 78 04 75 08 8B 40 08 3B 45 FC 74 73 46 4B 75 E3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 7B 04 8B 45 FC 89 43 08 8D 85 F8 FE FF FF 8B 55 F8 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 43 0C B1 14 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 8B 55 0C B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 43 21 B1 14 E8 ?? ?? ?? ?? 8B 45 08 89 43 38 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1625_0 {
	meta:
		name = "RegisterTeeSeries"
		size = 21
		refs = "000d RegisterTeeSeriesFunction"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 33 C9 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_1626_0 {
	meta:
		name = "RegisterTeeFunction"
		size = 22
		refs = "000e RegisterTeeSeriesFunction"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 33 C9 91 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_1627_0 {
	meta:
		name = "RegisterTeeBasicFunction"
		size = 86
		refs = "000f RegisterTeeBasicFunction 001f TeeMsg_GalleryFunctions 0024 LoadResString 0030 RegisterTeeFunction 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1628_0 {
	meta:
		name = "GetTeeFunctionDescription"
		size = 76
		refs = "000e @LStrClr 0013 TeeSeriesTypes 002a TTeeSeriesTypes.GetSeriesType 003c @LStrFromString"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 04 24 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 27 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 6B 08 75 0D 8B 04 24 8D 53 0C E8 ?? ?? ?? ?? EB 04 47 4E 75 DC 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1629_0 {
	meta:
		name = "InternalUnRegister"
		size = 82
		refs = "0009 TeeSeriesTypes 001d TTeeSeriesTypes.GetSeriesType 0034 TObject.Free 003e TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 BD ?? ?? ?? ?? 83 7D 00 00 74 3A 33 F6 EB 2E 8B D6 8B 45 00 E8 ?? ?? ?? ?? 84 DB 74 05 3B 78 04 74 09 84 DB 75 16 3B 78 08 75 11 E8 ?? ?? ?? ?? 8B D6 8B 45 00 E8 ?? ?? ?? ?? EB 01 46 8B 45 00 3B 70 08 7C CA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1630_0 {
	meta:
		name = "UnRegisterTeeSeries"
		size = 29
		refs = "0010 InternalUnRegister"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 12 46 8B D8 8B 13 B0 01 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_1631_0 {
	meta:
		name = "UnRegisterTeeFunctions"
		size = 29
		refs = "0010 InternalUnRegister"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 12 46 8B D8 8B 13 33 C0 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_1632_0 {
	meta:
		name = "TeeGalleryExitProc"
		size = 54
		refs = "0004 TeeSeriesTypes 001a TTeeSeriesTypes.GetSeriesType 001f TObject.Free"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? 8B 07 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B 07 E8 ?? ?? ?? ?? 33 C0 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1634_0 {
	meta:
		name = "Chart"
		size = 364
		refs = "000f Chart 001b _DV_21 0029 TeeSeriesTypes 0031 AnimatedZoomFactor 0041 TeeZoomMouseButton 0048 TeeScrollMouseButton 0053 TeeZoomKeyShift 005d TeeScrollKeyShift 0062 _DV_TChartLegend 006a _DV_TChartGradient 0072 _DV_TChartWall 007a _DV_TChartTitle 008a RegisterClasses 0092 TeeMsg_FunctionAdd 0097 LoadResString 009f _Dn_TAddTeeFunction 00a4 RegisterTeeBasicFunction 00ac TeeMsg_FunctionSubtract 00b9 _Dn_TSubtractTeeFunction 00c6 TeeMsg_FunctionMultiply 00d3 _Dn_TMultiplyTeeFunction 00e0 TeeMsg_FunctionDivide 00ed _Dn_TDivideTeeFunction 00fa TeeMsg_FunctionHigh 0107 _Dn_THighTeeFunction 0114 TeeMsg_FunctionLow 0121 _Dn_TLowTeeFunction 012e TeeMsg_FunctionAverage 013b _Dn_TAverageTeeFunction 0155 @LStrClr 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 1E 01 00 00 33 C0 A3 ?? ?? ?? ?? 33 C0 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 08 40 C6 05 ?? ?? ?? ?? 00 C6 05 ?? ?? ?? ?? 01 A0 ?? ?? ?? ?? A2 ?? ?? ?? ?? A0 ?? ?? ?? ?? A2 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1635_0 {
	meta:
		name = "GetCheckSize"
		size = 131
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 0017 GetCheckSize 0029 LoadBitmap 0033 TBitmap.SetHandle 004a FCheckWidth 005f FCheckHeight 0074 TObject.Free 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 F7 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C 85 C0 79 03 83 C0 03 C1 F8 02 A3 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 B9 03 00 00 00 99 F7 F9 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1636_0 {
	meta:
		name = "TCheckListBoxDataWrapper.SetChecked"
		size = 14
	strings:
		$1 = { 84 D2 74 05 C6 40 08 01 C3 C6 40 08 00 C3 }
	condition:
		$1
}

rule function_1637_0 {
	meta:
		name = "TCheckListBoxDataWrapper.GetChecked"
		size = 8
	strings:
		$1 = { 80 78 08 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_1639_0 {
	meta:
		name = "TCheckListBox.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 2D 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1640_0 {
	meta:
		name = "TCheckListBox.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TCustomListBox.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 3C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1641_0 {
	meta:
		name = "TCheckListBox.CreateWnd"
		size = 42
		refs = "0006 TCustomListBox.CreateWnd 0015 TObject.Free 0024 TCheckListBox.ResetItemHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 3C 02 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 3C 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1642_0 {
	meta:
		name = "TCheckListBox.DestroyWnd"
		size = 98
		refs = "0017 _Dn_TList 001c TObject.Create 0040 TCheckListBox.GetState 004f TList.Add 005a TCustomListBox.DestroyWnd"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 EC 01 00 00 8B 10 FF 52 14 85 C0 7E 43 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 02 00 00 8B 83 EC 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 1F 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 3C 02 00 00 E8 ?? ?? ?? ?? 47 4E 75 E4 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1643_0 {
	meta:
		name = "TCheckListBox.CreateParams"
		size = 22
		refs = "0006 TCustomListBox.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? F6 43 04 30 75 04 83 4B 04 10 5B C3 }
	condition:
		$1
}

rule function_1644_0 {
	meta:
		name = "TCheckListBox.GetCheckWidth"
		size = 9
		refs = "0001 FCheckWidth"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 C0 02 C3 }
	condition:
		$1
}

rule function_1645_0 {
	meta:
		name = "TCheckListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TCheckListBox.ResetItemHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3347_0 {
	meta:
		name = "TCoolBar.CMSysFontChanged"
		size = 19
		refs = "0006 TWinControl.CMSysFontChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3300_0 {
	meta:
		name = "TCoolBar.Loaded"
		size = 19
		refs = "0006 TControl.Loaded 000d TCoolBar.UpdateBands"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3341_0 {
	meta:
		name = "TCoolBar.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize 000d TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17585_0 {
	meta:
		name = "TCustomCheckBox.Click"
		size = 19
		refs = "0006 TControl.Changed 000d TControl.Click"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6797_0 {
	meta:
		name = "TCustomDBGrid.TopLeftChanged"
		size = 19
		refs = "0006 TCustomDBGrid.InvalidateTitles 000d TCustomGrid.TopLeftChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6786_0 {
	meta:
		name = "TCustomDBGrid.WMIMEStartComp"
		size = 19
		refs = "0006 TWinControl.WMIMEStartComp 000d TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13008_0 {
	meta:
		name = "TCustomDecisionGraph.Updated"
		size = 19
		refs = "0006 TComponent.Updated 000d TCustomDecisionGraph.NewGraphLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9765_0 {
	meta:
		name = "TCustomGrid.CMCtl3DChanged"
		size = 19
		refs = "0006 TWinControl.CMCtl3DChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9770_0 {
	meta:
		name = "TCustomGrid.ColWidthsChanged"
		size = 19
		refs = "0006 TCustomGrid.UpdateScrollRange 000d TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9771_0 {
	meta:
		name = "TCustomGrid.RowHeightsChanged"
		size = 19
		refs = "0006 TCustomGrid.UpdateScrollRange 000d TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9762_0 {
	meta:
		name = "TCustomGrid.WMCancelMode"
		size = 19
		refs = "0006 TControl.WMCancelMode 000d TCustomGrid.CancelMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17659_0 {
	meta:
		name = "TCustomListBox.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize 000d TCustomListBox.SetColumnWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8493_0 {
	meta:
		name = "TCustomRadioGroup.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TCustomRadioGroup.ArrangeButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8494_0 {
	meta:
		name = "TCustomRadioGroup.WMSize"
		size = 19
		refs = "0006 TCustomGroupBox.WMSize 000d TCustomRadioGroup.ArrangeButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17686_0 {
	meta:
		name = "TCustomStaticText.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TCustomStaticText.AdjustBounds"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17688_0 {
	meta:
		name = "TCustomStaticText.Loaded"
		size = 19
		refs = "0006 TControl.Loaded 000d TCustomStaticText.AdjustBounds"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2615_0 {
	meta:
		name = "TCustomTreeView.CMColorChanged"
		size = 19
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6175_0 {
	meta:
		name = "TDBComboBox.CreateWnd"
		size = 19
		refs = "0006 TCustomComboBox.CreateWnd 000d TDBComboBox.SetEditReadOnly"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6853_0 {
	meta:
		name = "TDBLookupCombo.CMFontChanged"
		size = 19
		refs = "0006 TCustomEdit.CMFontChanged 000d TDBLookupCombo.GetMinHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6404_0 {
	meta:
		name = "TDBLookupListBox.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d TDBLookupListBox.UpdateScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13142_0 {
	meta:
		name = "TDecisionPivot.SetBorderStyle"
		size = 19
		refs = "0006 TCustomPanel.SetBorderStyle 000d TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13141_0 {
	meta:
		name = "TDecisionPivot.SetBorderWidth"
		size = 19
		refs = "0006 TCustomPanel.SetBorderWidth 000d TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8614_0 {
	meta:
		name = "TDirectoryListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TDirectoryListBox.ResetItemHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8609_0 {
	meta:
		name = "TDirectoryListBox.DblClick"
		size = 19
		refs = "0006 TControl.DblClick 000d TDirectoryListBox.OpenCurrent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17227_0 {
	meta:
		name = "TFastLineSeries.DrawAllValues"
		size = 19
		refs = "0006 TFastLineSeries.PrepareCanvas 000d TChartSeries.DrawAllValues"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8641_0 {
	meta:
		name = "TFileListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TFileListBox.ResetItemHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8648_0 {
	meta:
		name = "TFilterComboBox.CreateWnd"
		size = 19
		refs = "0006 TCustomComboBox.CreateWnd 000d TFilterComboBox.BuildList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2475_0 {
	meta:
		name = "THeaderControl.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d THeaderControl.UpdateSections"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10721_0 {
	meta:
		name = "TIdMessage.Clear"
		size = 19
		refs = "0006 TIdMessage.ClearHeader 000d TIdMessage.ClearBody"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11007_0 {
	meta:
		name = "TIdTCPConnection.CancelWriteBuffer"
		size = 19
		refs = "0006 TIdTCPConnection.ClearWriteBuffer 000d TIdTCPConnection.CloseWriteBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12500_0 {
	meta:
		name = "TMediaPlayer.Updated"
		size = 19
		refs = "0006 TComponent.Updated 000d TMediaPlayer.Adjust"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15623_0 {
	meta:
		name = "TQRCompEd.Apply1Click"
		size = 19
		refs = "0006 TQRCompEd.SetValues 000d TQRCompEd.GetValues"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15622_0 {
	meta:
		name = "TQRCompEd.OK1Click"
		size = 19
		refs = "0006 TQRCompEd.SetValues 000d TCustomForm.Close"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16099_0 {
	meta:
		name = "TQRStandardPreview.Show"
		size = 19
		refs = "0006 TCustomForm.Show 000d TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7441_0 {
	meta:
		name = "TQuery.Disconnect"
		size = 19
		refs = "0006 TDataSet.Close 000d TQuery.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8780_0 {
	meta:
		name = "TScrollBox.WMSize"
		size = 19
		refs = "0006 TScrollingWinControl.WMSize 000d TScrollingWinControl.CalcAutoRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17363_0 {
	meta:
		name = "TSpinEdit.CreateWnd"
		size = 19
		refs = "0006 TCustomEdit.CreateWnd 000d TSpinEdit.SetEditRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2445_0 {
	meta:
		name = "TStatusBar.CMColorChanged"
		size = 19
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7415_0 {
	meta:
		name = "TStoredProc.Disconnect"
		size = 19
		refs = "0006 TDataSet.Close 000d TStoredProc.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19010_0 {
	meta:
		name = "TTeeGalleryPanel.Resize"
		size = 19
		refs = "0006 TControl.Resize 000d TTeeGalleryPanel.ResizeCharts"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3222_0 {
	meta:
		name = "TToolBar.CMColorChanged"
		size = 19
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3225_0 {
	meta:
		name = "TToolBar.CMSysFontChanged"
		size = 19
		refs = "0006 TWinControl.CMSysFontChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1646_0 {
	meta:
		name = "TCheckListBox.ResetItemHeight"
		size = 92
		refs = "0007 TWinControl.HandleAllocated 0022 TCanvas.SetFont 0027 TCheckListBox.ResetItemHeight 0032 TCanvas.TextHeight 0049 TControl.Perform"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 80 BB 00 02 00 00 00 75 35 8B 53 58 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 30 02 00 00 56 33 C9 BA A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 02 00 00 00 57 67 00 00 }
	condition:
		$1
}

rule function_1647_0 {
	meta:
		name = "TCheckListBox.DrawItem"
		size = 296
		refs = "001e TCheckListBox.GetCheckWidth 004f @CallDynaInst 0075 TCheckListBox.GetState 0082 TCheckListBox.DrawCheck 00c9 TCheckListBox.DrawItem 00e0 TCustomListBox.DrawItem 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F1 8D 7D E4 B9 04 00 00 00 F3 A5 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 EC 01 00 00 8B 10 FF 52 14 3B F0 7D 50 56 57 8D 75 E4 8D 7D D4 B9 04 00 00 00 F3 A5 5F 5E 8B 45 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 E4 89 45 DC 2B C7 89 45 D4 EB 0B 8B 45 EC 89 45 D4 03 F8 89 7D DC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 00 02 00 00 00 75 7C 8B 45 FC 66 83 B8 1A 02 00 00 00 74 6F 8B 45 FC 8B 90 18 02 00 00 89 55 F4 8B 90 1C 02 00 00 89 55 F8 8B 45 FC 33 D2 89 90 18 02 00 00 89 90 1C 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 08 50 8D 4D E4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 90 18 02 00 00 8B 55 F8 89 90 1C 02 00 00 C3 E9 ?? ?? ?? ?? EB E3 8A 45 08 50 8D 4D E4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1648_0 {
	meta:
		name = "TCheckListBox.CNDrawItem"
		size = 62
		refs = "0012 @CallDynaInst 001d TCheckListBox.GetCheckWidth 0035 TCustomListBox.CNDrawItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 7D 08 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 0C 8B C6 E8 ?? ?? ?? ?? 01 47 1C EB 0A 8B C6 E8 ?? ?? ?? ?? 29 47 24 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1649_0 {
	meta:
		name = "TCheckListBox.DrawCheck"
		size = 424
		refs = "0026 FCheckWidth 0068 FCheckHeight 009f CreateRectRgn 00a9 TCanvas.GetHandle 00af GetClipRgn 00ea SelectClipRgn 00f4 DeleteObject 0109 DrawFrameControl 0132 TBrush.GetStyle 013d TBrush.GetColor 0147 TPen.GetColor 0153 TBrush.SetStyle 0160 TPen.SetColor 017d TCanvas.Rectangle 0192 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F2 8D 7C 24 08 51 B9 04 00 00 00 F3 A5 59 8B F0 33 FF 8B 54 24 10 8B 44 24 08 2B D0 2B 15 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 03 D0 89 54 24 18 8B 54 24 14 8B 44 24 0C 2B D0 2B 15 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 03 D0 89 54 24 1C 8B 44 24 18 03 05 ?? ?? ?? ?? 89 44 24 20 8B 44 24 1C 03 05 ?? ?? ?? ?? 89 44 24 24 80 E9 01 72 09 75 0B BB 00 04 00 00 EB 09 33 DB EB 05 BB 08 04 00 00 8B AE F4 01 00 00 80 BE 2D 02 00 00 00 74 62 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F8 57 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 24 83 E8 02 50 8B 44 24 24 83 E8 02 50 8B 44 24 24 83 C0 02 50 8B 44 24 24 83 C0 02 50 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 50 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 50 E8 ?? ?? ?? ?? 53 6A 04 8D 44 24 20 50 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BE 2D 02 00 00 00 0F 84 86 00 00 00 57 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 88 04 24 8B 45 14 E8 ?? ?? ?? ?? 8B F0 8B 45 10 E8 ?? ?? ?? ?? 8B F8 B2 01 8B 45 14 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 45 10 E8 ?? ?? ?? ?? 8B 44 24 20 48 50 8B 44 24 28 48 50 8B 4C 24 24 41 8B 54 24 20 42 8B C5 E8 ?? ?? ?? ?? 8A 14 24 8B 45 14 E8 ?? ?? ?? ?? 8B D6 8B 45 14 E8 ?? ?? ?? ?? 8B D7 8B 45 10 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1650_0 {
	meta:
		name = "TCheckListBox.SetChecked"
		size = 51
		refs = "000e TCheckListBox.GetChecked 001b TCheckListBox.GetWrapper 0022 TCheckListBoxDataWrapper.SetChecked 002b TCheckListBox.InvalidateCheck"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 74 19 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1651_0 {
	meta:
		name = "TCheckListBox.SetState"
		size = 47
		refs = "000e TCheckListBox.GetState 001b TCheckListBox.GetWrapper 0027 TCheckListBox.InvalidateCheck"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 74 15 8B D6 8B C7 E8 ?? ?? ?? ?? 88 58 08 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1652_0 {
	meta:
		name = "TCheckListBox.InvalidateCheck"
		size = 118
		refs = "0010 TCustomListBox.ItemRect 001b @CallDynaInst 0026 TCheckListBox.GetCheckWidth 0059 TWinControl.GetHandle 005f InvalidateRect 006c UpdateWindow"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B CC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 10 8B C6 E8 ?? ?? ?? ?? 03 04 24 89 44 24 08 EB 10 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 2B D0 89 14 24 F6 46 40 40 0F 95 C0 34 01 F6 D8 1B C0 50 8D 44 24 04 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_1653_0 {
	meta:
		name = "TCheckListBox.GetChecked"
		size = 41
		refs = "000b TCheckListBox.HaveWrapper 0018 TCheckListBox.GetWrapper 001d TCheckListBoxDataWrapper.GetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1654_0 {
	meta:
		name = "TCheckListBox.GetState"
		size = 47
		refs = "000b TCheckListBox.HaveWrapper 0018 TCheckListBox.GetWrapper 0023 _DV_TCheckListBoxDataWrapper 0028 TCheckListBoxDataWrapper.GetDefaultState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 40 08 5E 5B C3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1655_0 {
	meta:
		name = "TCheckListBox.KeyPress"
		size = 39
		refs = "000b TWinControl.KeyPress 0017 TCustomListBox.GetItemIndex 0020 TCheckListBox.ToggleClickCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 3E 20 75 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1656_0 {
	meta:
		name = "TCheckListBox.MouseDown"
		size = 186
		refs = "0022 TControl.MouseDown 002e Point 003a TCustomListBox.ItemAtPos 004e @CallDynaInst 005f TCustomListBox.ItemRect 0069 TCheckListBox.GetCheckWidth 0077 TCheckListBox.ToggleClickCheck"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 88 4D FE 88 55 FF 8B F0 8B 5D 08 8B 7D 0C 57 53 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 F0 B1 01 8B C6 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 74 6A 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 27 8D 4D E0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 2B 7D E0 8B C6 E8 ?? ?? ?? ?? 3B F8 7D 40 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 34 8D 4D E0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 5D E8 8B C6 E8 ?? ?? ?? ?? 2B D8 2B FB 85 FF 7E 15 8B C6 E8 ?? ?? ?? ?? 3B F8 7D 0A 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1657_0 {
	meta:
		name = "TCheckListBox.ToggleClickCheck"
		size = 97
		refs = "001e TCheckListBox.GetState 004f TCheckListBox.SetState 005a @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 54 8B 83 EC 01 00 00 8B 10 FF 52 14 3B F0 7D 45 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 80 EA 01 72 08 74 17 FE CA 74 17 EB 17 80 BB 2C 02 00 00 00 74 04 B0 02 EB 0A B0 01 EB 06 33 C0 EB 02 B0 01 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB B4 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1658_0 {
	meta:
		name = "TAnimate.DoStart"
		size = 29
		altNames = "TCheckListBox.ClickCheck TCustomComboBox.DropDown TCustomRichEdit.SelectionChange"
	strings:
		$1 = { 53 66 83 B8 36 02 00 00 00 74 10 8B D8 8B D0 8B 83 38 02 00 00 FF 93 34 02 00 00 5B C3 }
	condition:
		$1
}

rule function_1659_0 {
	meta:
		name = "TCheckListBox.GetItemData"
		size = 40
		refs = "000e TCheckListBox.HaveWrapper 001b TCheckListBox.GetWrapper"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 78 04 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1660_0 {
	meta:
		name = "TCheckListBox.GetWrapper"
		size = 31
		refs = "000b TCheckListBox.ExtractWrapper 0018 TCheckListBox.CreateWrapper"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1661_0 {
	meta:
		name = "TCheckListBox.ExtractWrapper"
		size = 153
		refs = "0015 TCheckListBox.ExtractWrapper 0024 TCustomListBox.GetItemData 0040 SListIndexError 0045 LoadResString 004f _Dn_EListError 0054 Exception.CreateFmt 0059 @RaiseExcept 0065 _DV_TCheckListBoxDataWrapper 006a @IsClass 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 13 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1662_0 {
	meta:
		name = "TCheckListBox.CreateWrapper"
		size = 38
		refs = "000a _DV_TCheckListBoxDataWrapper 000f TObject.Create 001c TCustomListBox.SetItemData"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1663_0 {
	meta:
		name = "TCheckListBox.HaveWrapper"
		size = 23
		refs = "000b TCheckListBox.ExtractWrapper"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_16700_0 {
	meta:
		name = "TRegistry.ReadBool"
		size = 23
		refs = "000b TRegistry.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_1664_0 {
	meta:
		name = "TCheckListBox.SetItemData"
		size = 68
		refs = "000e TCheckListBox.GetWrapper 002c TList.Get 003c TList.Delete"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 89 7E 04 8B BB 3C 02 00 00 85 FF 74 1F 83 7F 08 00 7E 19 33 D2 8B C7 E8 ?? ?? ?? ?? 88 46 08 33 D2 8B 83 3C 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1665_0 {
	meta:
		name = "TCheckListBox.ResetContent"
		size = 68
		refs = "001f TCheckListBox.HaveWrapper 002c TCheckListBox.GetWrapper 0031 TObject.Free 003c TCustomListBox.ResetContent"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 EC 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 22 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 E1 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1666_0 {
	meta:
		name = "TCheckListBox.DeleteString"
		size = 45
		refs = "000b TCheckListBox.HaveWrapper 0018 TCheckListBox.GetWrapper 001d TObject.Free 0026 TCustomListBox.DeleteString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1667_0 {
	meta:
		name = "TCheckListBox.SetFlat"
		size = 20
		altNames = "TQRDBImage.SetCenter"
	strings:
		$1 = { 3A 90 2D 02 00 00 74 0B 88 90 2D 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_1668_0 {
	meta:
		name = "TCheckListBox.WMDestroy"
		size = 61
		refs = "0022 TCheckListBox.ExtractWrapper 0027 TObject.Free 0034 TWinControl.WMDestroy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 EC 01 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1671_0 {
	meta:
		name = "_NF__1D2"
		size = 279
		refs = "0005 TInterfaceList.Get 000d TInterfaceList.GetCapacity 0015 TInterfaceList.GetCount 001d TInterfaceList.Put 0025 TInterfaceList.SetCapacity 002d TInterfaceList.SetCount 0035 TInterfaceList.Clear 003d TInterfaceList.Delete 0045 TInterfaceList.Exchange 004d TInterfaceList.First 0055 TInterfaceList.IndexOf 005d TInterfaceList.Add 0065 TInterfaceList.Insert 006d TInterfaceList.Last 0075 TInterfaceList.Remove 007d TInterfaceList.Lock 0085 TInterfaceList.Unlock 008f TInterfacedObject.QueryInterface 0099 TInterfacedObject._AddRef 00a3 TInterfacedObject._Release 00a7 _NF__1D2"
	strings:
		$1 = { CC 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 8A EA 5D 28 65 B8 D1 11 AA A7 00 C0 4F B1 7A 72 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1680_0 {
	meta:
		name = "_NF__21A"
		size = 274
		refs = "00a0 TInterfacedObject.QueryInterface 00aa TInterfacedObject._AddRef 00b4 TInterfacedObject._Release 00ba _NF__21A"
	strings:
		$1 = { CC 83 44 24 04 EC 8B 44 24 04 8B 00 FF 20 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 04 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 08 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 0C 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 10 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 14 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 18 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 1C 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 20 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 24 83 44 24 04 EC 8B 44 24 04 8B 00 FF 60 28 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 0C 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1685_0 {
	meta:
		name = "Point"
		size = 6
	strings:
		$1 = { 89 01 89 51 04 C3 }
	condition:
		$1
}

rule function_1686_0 {
	meta:
		name = "SmallPoint"
		size = 15
	strings:
		$1 = { 51 66 89 04 24 66 89 54 24 02 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_1687_0 {
	meta:
		name = "Rect"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 89 4B 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1688_0 {
	meta:
		name = "Bounds"
		size = 28
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 03 C8 89 4B 08 03 55 0C 89 53 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1689_0 {
	meta:
		name = "GetFieldClassTable"
		size = 11
	strings:
		$1 = { 8B 40 C8 09 C0 74 03 8B 40 02 C3 }
	condition:
		$1
}

rule function_1690_0 {
	meta:
		name = "ClassNotFound"
		size = 129
		refs = "0015 ClassNotFound 0027 SClassNotFound 002c LoadResString 0042 Format 004c _DV_EClassNotFound 0051 Exception.Create 0056 @RaiseExcept 0070 @LStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1691_0 {
	meta:
		name = "GetClass"
		size = 174
		refs = "000d ClassList 0012 TThreadList.LockList 001c GetClass 0036 TList.Get 0044 TObject.ClassNameIs 004d @TryFinallyExit 005b ClassAliasList 0098 TThreadList.UnlockList 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 77 08 4E 85 F6 7C 29 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? EB 51 43 4E 75 DA 8B 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 50 8B D8 85 DB 7C 16 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 89 45 F8 E8 ?? ?? ?? ?? EB 24 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1692_0 {
	meta:
		name = "FindClass"
		size = 29
		refs = "0007 GetClass 0014 ClassNotFound"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_1693_0 {
	meta:
		name = "FindFieldClass"
		size = 201
		refs = "0018 FindFieldClass 0023 TObject.ClassType 0030 GetFieldClassTable 005c TObject.ClassName 006a @LStrFromString 0075 CompareText 0087 TObject.ClassParent 0093 _DV_TPersistent 009d FindClass 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 C9 89 4D F0 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 F4 EB 62 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 74 49 0F BF 1E 4B 85 DB 7C 41 43 C7 45 F8 00 00 00 00 8B 45 F8 8B 44 86 02 8B 38 8D 95 F0 FE FF FF 8B C7 E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 26 FF 45 F8 4B 75 C7 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 3B 05 ?? ?? ?? ?? 75 93 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1694_0 {
	meta:
		name = "RegisterClass"
		size = 291
		refs = "001c RegisterClass 0027 ClassList 002c TThreadList.LockList 004e TObject.ClassName 005c @LStrFromString 0064 GetClass 008c SDuplicateClass 0091 LoadResString 009e _DV_EFilerError 00a3 Exception.CreateFmt 00a8 @RaiseExcept 00b1 TList.Add 00b7 _DV_TPersistent 00c0 TObject.ClassParent 00cb TList.IndexOf 00e9 TThreadList.UnlockList 00ef @HandleFinally 0109 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 33 D2 89 95 F0 FE FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 81 00 00 00 8D 95 FC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 40 8B 45 FC 89 85 F4 FE FF FF C6 85 F8 FE FF FF 0B 8D 85 F4 FE FF FF 50 6A 00 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 1D ?? ?? ?? ?? 74 19 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 40 0F 84 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1695_0 {
	meta:
		name = "RegisterClasses"
		size = 52
		refs = "0020 RegisterClass"
	strings:
		$1 = { 55 8B EC 53 56 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 8B F2 85 F6 7C 10 46 8B D8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_1698_0 {
	meta:
		name = "UnRegisterClasses"
		size = 52
		refs = "0020 UnRegisterClass"
	strings:
		$1 = { 55 8B EC 53 56 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 8B F2 85 F6 7C 10 46 8B D8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_1696_0 {
	meta:
		name = "RegisterClassAlias"
		size = 89
		refs = "000a ClassList 000f TThreadList.LockList 0017 RegisterClassAlias 0024 RegisterClass 002d ClassAliasList 0049 TThreadList.UnlockList 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B CB 8B D6 A1 ?? ?? ?? ?? 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1697_0 {
	meta:
		name = "UnRegisterClass"
		size = 13
		refs = "0003 ClassList 0008 TThreadList.Remove"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6808_0 {
	meta:
		name = "InitProc"
		size = 13
		refs = "0003 InputReqClass 0008 TInputReqClass.RegisterCallback"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1699_0 {
	meta:
		name = "UnRegisterModuleClasses"
		size = 198
		refs = "000c ClassList 0011 TThreadList.LockList 001b UnRegisterModuleClasses 0039 TList.Get 003f VirtualQuery 0051 TList.Delete 005c ClassAliasList 00b3 TThreadList.UnlockList 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 83 FB 00 7C 2D 6A 1C 8D 45 E4 50 8B D3 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 74 05 3B 75 E8 75 09 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D3 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 33 6A 1C 8D 45 E4 50 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 50 E8 ?? ?? ?? ?? 85 F6 74 05 3B 75 E8 75 0C 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 44 4B 83 FB FF 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1700_0 {
	meta:
		name = "RegisterComponents"
		size = 125
		refs = "001a RegisterComponents 0026 RegisterComponentsProc 0039 SRegisterError 003e LoadResString 0048 _DV_EComponentError 004d Exception.Create 0052 @RaiseExcept 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_1701_0 {
	meta:
		name = "RegisterNoIcon"
		size = 121
		refs = "0019 RegisterNoIcon 0025 RegisterNoIconProc 0038 SRegisterError 003d LoadResString 0047 _DV_EComponentError 004c Exception.Create 0051 @RaiseExcept 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_1702_0 {
	meta:
		name = "RegisterNonActiveX"
		size = 123
		refs = "001a RegisterNonActiveX 0026 RegisterNonActiveXProc 0031 SRegisterError 0036 LoadResString 0040 _DV_EComponentError 0045 Exception.Create 004a @RaiseExcept 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 85 DB 78 07 8B 34 98 4B 56 79 F9 8B C4 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 83 3D ?? ?? ?? ?? 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_1703_0 {
	meta:
		name = "TIntConst.Create"
		size = 53
		refs = "000b @ClassCreate 0023 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 8B 4D 0C 89 48 08 8B 4D 08 89 48 0C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_1704_0 {
	meta:
		name = "RegisterIntegerConsts"
		size = 41
		refs = "0010 _DV_TIntConst 0015 TIntConst.Create 001c IntConstList 0021 TThreadList.Add"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1705_0 {
	meta:
		name = "IdentToInt"
		size = 64
		refs = "001c CompareText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 75 08 85 F6 7C 23 46 8D 59 04 8B D7 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0C B0 01 8B 55 FC 8B 4B FC 89 0A EB 08 83 C3 08 4E 75 E1 33 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1706_0 {
	meta:
		name = "IntToIdent"
		size = 67
		refs = "0027 @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B 75 08 85 F6 7C 1E 46 8B 5D FC 3B 03 75 10 C6 45 FB 01 8B C7 8B 53 04 E8 ?? ?? ?? ?? EB 0A 83 C3 08 4E 75 E6 C6 45 FB 00 8A 45 FB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1707_0 {
	meta:
		name = "InternalReadComponentRes"
		size = 133
		refs = "0013 HInstance 001e @LStrToPChar 0025 FindResource 003a _DV_TResourceStream 003f TResourceStream.Create 004a InternalReadComponentRes 005a TStream.ReadComponent 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 8B F8 85 DB 75 08 8B 1D ?? ?? ?? ?? 8B 1B 6A 0A 8B C7 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 84 C0 74 4D 57 6A 0A 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 16 8B 45 FC E8 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B0 01 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1708_0 {
	meta:
		name = "BeginGlobalLoading"
		size = 96
		refs = "0002 @GetTls 0008 GlobalLists 0012 _DV_TList 0017 TObject.Create 002f GlobalLoaded 0041 TList.Add"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1709_0 {
	meta:
		name = "NotifyGlobalLoading"
		size = 54
		refs = "0003 @GetTls 0009 GlobalLoaded 0026 TList.Get"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 F6 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 46 4B 75 E5 5E 5B C3 }
	condition:
		$1
}

rule function_1710_0 {
	meta:
		name = "EndGlobalLoading"
		size = 127
		refs = "0002 @GetTls 0008 GlobalLoaded 000d TObject.Free 0018 GlobalLists 001d TList.Last 004b TList.Delete"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 40 08 48 50 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 83 78 08 00 75 1D E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1711_0 {
	meta:
		name = "InitComponent"
		size = 165
		refs = "0016 InitComponent 0024 _DV_TComponent 0039 TObject.ClassParent 004e TObject.ClassName 005c @LStrFromString 0067 FindClassHInstance 006c FindResourceHInstance 007a InternalReadComponentRes 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 3B 35 ?? ?? ?? ?? 74 56 8B 45 08 3B 70 F8 74 4E 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D8 8D 95 FC FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8D 48 FC 58 E8 ?? ?? ?? ?? 0A D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1712_0 {
	meta:
		name = "InitInheritedComponent"
		size = 142
		refs = "000d GlobalNameSpace 0012 TMultiReadExclusiveWriteSynchronizer.BeginWrite 001a InitInheritedComponent 0025 BeginGlobalLoading 003c TObject.ClassType 0041 InitComponent 004a NotifyGlobalLoading 005c EndGlobalLoading 0062 @HandleFinally 007b TMultiReadExclusiveWriteSynchronizer.EndWrite"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 88 45 F7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_1713_0 {
	meta:
		name = "InitComponentRes"
		size = 39
		refs = "000b TObject.ClassType 0010 FindClassHInstance 0015 FindResourceHInstance 0020 InternalReadComponentRes"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 04 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CC 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_1714_0 {
	meta:
		name = "ReadComponentRes"
		size = 166
		refs = "0016 ReadComponentRes 002a TObject.ClassType 002f FindClassHInstance 0034 FindResourceHInstance 0046 InternalReadComponentRes 0064 SResNotFound 0069 LoadResString 0073 _DV_EResNotFound 0078 Exception.CreateFmt 007d @RaiseExcept 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 16 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 8B 5D FC EB 2E 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1715_0 {
	meta:
		name = "ReadComponentResEx"
		size = 140
		refs = "0015 ReadComponentResEx 002c InternalReadComponentRes 004a SResNotFound 004f LoadResString 0059 _DV_EResNotFound 005e Exception.CreateFmt 0063 @RaiseExcept 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 5D FC EB 2E 89 5D F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1716_0 {
	meta:
		name = "ReadComponentResFile"
		size = 92
		refs = "0010 _DV_TFileStream 0015 TFileStream.Create 0020 ReadComponentResFile 0030 TStream.ReadComponentRes 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 6A 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1717_0 {
	meta:
		name = "WriteComponentResFile"
		size = 170
		refs = "0015 WriteComponentResFile 0029 _DV_TFileStream 002e TFileStream.Create 004c TObject.ClassName 005a @LStrFromString 0067 TStream.WriteComponentRes 007c TObject.Free 0082 @HandleFinally 0099 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 33 C9 89 4D F8 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 FF FF 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B CB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1718_0 {
	meta:
		name = "WriteCollection"
		size = 86
		refs = "0011 _DV_TWriter 0016 TFiler.Create 0021 WriteCollection 0031 TWriter.WriteCollection 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 68 00 04 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1719_0 {
	meta:
		name = "CollectionsEqual"
		size = 273
		refs = "0014 TObject.ClassType 002c TCollection.GetCount 0044 _DV_TMemoryStream 0049 TObject.Create 0054 CollectionsEqual 0064 WriteCollection 0093 TStream.GetSize 00bc CompareMem 00de TObject.Free 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 C6 45 FF 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 85 DE 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 85 C6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 75 1F 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 45 F4 8B 50 04 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1720_0 {
	meta:
		name = "LineStart"
		size = 30
	strings:
		$1 = { 57 89 D7 89 D1 29 C1 83 E9 01 76 10 89 C2 4F B0 0A FD F2 AE FC 89 D0 75 03 8D 47 02 5F C3 }
	condition:
		$1
}

rule function_1721_0 {
	meta:
		name = "ExtractStrings"
		size = 480
		refs = "0031 ExtractStrings 006d TStrings.BeginUpdate 009c @SetUnion 013d @LStrFromPCharLen 016b TStrings.EndUpdate 0171 @HandleFinally 0188 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 DB 89 5D F0 8B F2 8D 7D B0 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D D0 51 B9 08 00 00 00 F3 A5 59 89 4D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7D FC 00 0F 84 2D 01 00 00 8B 45 FC 80 38 00 0F 84 21 01 00 00 83 7D 08 00 0F 84 17 01 00 00 8B 75 FC 33 DB C6 45 F6 00 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 01 46 56 8D 75 B0 8D 7D 90 B9 08 00 00 00 F3 A5 5E 8D 45 90 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8A 06 25 FF 00 00 00 0F A3 45 90 72 D4 8B FE EB 01 46 84 DB 74 0E 8A 06 84 C0 74 08 2C 22 74 04 2C 05 75 ED 56 57 8D 75 D0 8D 7D 90 B9 08 00 00 00 F3 A5 5F 5E 8D 45 90 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8A 06 25 FF 00 00 00 0F A3 45 90 73 C0 8A 06 2C 22 74 04 2C 05 75 22 80 7D F6 00 74 0D 8A 06 3A 45 F6 75 06 C6 45 F6 00 EB 05 8A 06 88 45 F6 80 7D F6 00 0F 95 C3 46 EB 95 80 3E 00 0F 94 45 F7 3B F7 74 27 80 3F 00 74 22 83 7D 08 00 74 19 8B CE 2B CF 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 08 FF 51 34 FF 45 F8 46 80 7D F7 00 0F 84 28 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 24 00 00 84 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1722_0 {
	meta:
		name = "TList.Destroy"
		size = 41
		refs = "0004 @BeforeDestruction 0014 @CallDynaInst 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1723_0 {
	meta:
		name = "TList.Add"
		size = 36
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 3B 73 0C 75 06 8B C3 8B 10 FF 12 8B 43 04 89 3C B0 FF 43 08 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1724_0 {
	meta:
		name = "TList.Clear"
		size = 23
		refs = "0008 TList.SetCount 0011 TList.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1725_0 {
	meta:
		name = "TList.Delete"
		size = 126
		refs = "000f TList.Delete 0026 SListIndexError 002b LoadResString 0058 Move 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 FF 4B 08 8B 43 08 3B F0 7D 19 2B C6 8B C8 C1 E1 02 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1726_0 {
	meta:
		name = "ReturnAddr"
		size = 4
	strings:
		$1 = { 8B 45 04 C3 }
	condition:
		$1
}

rule function_1727_0 {
	meta:
		name = "TList.Error"
		size = 55
		refs = "000a ReturnAddr 0024 _DV_EListError 0029 Exception.CreateFmt 002e @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA E8 ?? ?? ?? ?? 50 89 74 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1833_0 {
	meta:
		name = "TStrings.Error"
		size = 55
		refs = "000a ReturnAddr 0024 _DV_EStringListError 0029 Exception.CreateFmt 002e @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA E8 ?? ?? ?? ?? 50 89 74 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1728_0 {
	meta:
		name = "TList.Exchange"
		size = 158
		refs = "0018 TList.Exchange 002f SListIndexError 0034 LoadResString 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B 03 FF 50 04 85 FF 7C 05 3B 7B 08 7C 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CF 8B 03 FF 50 04 8B 43 04 8B 14 B0 89 55 FC 8B 53 04 8B 14 BA 89 14 B0 8B 55 FC 89 14 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1729_0 {
	meta:
		name = "TList.Expand"
		size = 21
	strings:
		$1 = { 53 8B D8 8B 43 08 3B 43 0C 75 06 8B C3 8B 10 FF 12 8B C3 5B C3 }
	condition:
		$1
}

rule function_1730_0 {
	meta:
		name = "TList.First"
		size = 8
		refs = "0003 TList.Get"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3710_0 {
	meta:
		name = "Animate_Close"
		size = 8
		refs = "0003 Animate_Open"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9045_0 {
	meta:
		name = "TApplication.NormalizeTopMosts"
		size = 8
		refs = "0003 TApplication.DoNormalizeTopMosts"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19582_0 {
	meta:
		name = "TChartShape.DrawLegendShape"
		size = 8
		refs = "0003 TChartShape.DrawShape"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5884_0 {
	meta:
		name = "TClientDataSet.CancelUpdates"
		size = 8
		refs = "0003 TClientDataSet.SetSavePoint"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1793_0 {
	meta:
		name = "TCollectionItem.SetDisplayName"
		size = 8
		refs = "0003 TCollectionItem.Changed"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4150_0 {
	meta:
		name = "TControl.Hide"
		size = 8
		refs = "0003 TControl.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8922_0 {
	meta:
		name = "TCustomForm.Hide"
		size = 8
		refs = "0003 TCustomForm.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11903_0 {
	meta:
		name = "TCustomMaskEdit.Clear"
		size = 8
		refs = "0003 TCustomMaskEdit.SetText"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16581_0 {
	meta:
		name = "TCustomQuickRep.PreviewModeless"
		size = 8
		refs = "0003 TCustomQuickRep.PreviewIt"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19541_0 {
	meta:
		name = "TCustomTeePanel.PrintPortrait"
		size = 8
		refs = "0003 TCustomTeePanel.PrintOrientation"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4979_0 {
	meta:
		name = "TField.Clear"
		size = 8
		refs = "0003 TField.SetData"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7520_0 {
	meta:
		name = "THTMLTableColumn.TitleChanged"
		size = 8
		refs = "0003 TCollectionItem.Changed"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14954_0 {
	meta:
		name = "TOutlineNode.Collapse"
		size = 8
		refs = "0003 TOutlineNode.SetExpandedState"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12763_0 {
	meta:
		name = "TPivotButton.DragCanceled"
		size = 8
		refs = "0003 TPivotButton.SetState"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8019_0 {
	meta:
		name = "TPropertyEditor.GetOrdValue"
		size = 8
		refs = "0003 TPropertyEditor.GetOrdValueAt"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1985_0 {
	meta:
		name = "TReader.ReadListEnd"
		size = 8
		refs = "0003 TReader.CheckValue"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9021_0 {
	meta:
		name = "TScreen.Realign"
		size = 8
		refs = "0003 TScreen.AlignForm"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7021_0 {
	meta:
		name = "TSession.Close"
		size = 8
		refs = "0003 TSession.SetActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2521_0 {
	meta:
		name = "TTreeNode.GetCut"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4276_0 {
	meta:
		name = "TWinControl.Realign"
		size = 8
		refs = "0003 TWinControl.AlignControl"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2044_0 {
	meta:
		name = "TWriter.WriteListEnd"
		size = 8
		refs = "0003 TWriter.WriteValue"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1731_0 {
	meta:
		name = "TList.Get"
		size = 99
		refs = "000f TList.Get 0026 SListIndexError 002b LoadResString 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 8B 43 04 8B 1C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1732_0 {
	meta:
		name = "TList.Grow"
		size = 49
		refs = "002c TList.SetCapacity"
	strings:
		$1 = { 8B 50 0C 83 FA 40 7E 0E 8B CA 85 C9 79 03 83 C1 03 C1 F9 02 EB 11 83 FA 08 7E 07 B9 10 00 00 00 EB 05 B9 04 00 00 00 03 CA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1733_0 {
	meta:
		name = "TList.IndexOf"
		size = 31
	strings:
		$1 = { 53 33 C9 EB 01 41 3B 48 08 7D 08 8B 58 04 3B 14 8B 75 F2 3B 48 08 75 03 83 C9 FF 8B C1 5B C3 }
	condition:
		$1
}

rule function_1734_0 {
	meta:
		name = "TList.Insert"
		size = 159
		refs = "0018 TList.Insert 002f SListIndexError 0034 LoadResString 006c Move 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7E 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B 03 FF 50 04 8B 43 08 3B 43 0C 75 06 8B C3 8B 10 FF 12 8B 43 08 3B F0 7D 19 2B C6 8B C8 C1 E1 02 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8B 55 FC 89 14 B0 FF 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1735_0 {
	meta:
		name = "TList.Last"
		size = 10
		refs = "0005 TList.Get"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1736_0 {
	meta:
		name = "TList.Move"
		size = 139
		refs = "0018 TList.Move 0033 SListIndexError 0038 LoadResString 004b TList.Get 0057 TList.Delete 0063 TList.Insert 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 74 41 85 F6 7C 05 3B 73 08 7C 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B 03 FF 50 04 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1737_0 {
	meta:
		name = "TList.Put"
		size = 101
		refs = "0012 TList.Put 0029 SListIndexError 002e LoadResString 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 8B 43 04 89 3C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1738_0 {
	meta:
		name = "TList.Remove"
		size = 32
		refs = "0007 TList.IndexOf 0017 TList.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1739_0 {
	meta:
		name = "TList.Pack"
		size = 44
		refs = "0012 TList.Get 001f TList.Delete"
	strings:
		$1 = { 53 56 8B F0 8B 5E 08 4B 83 FB 00 7C 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E4 5E 5B C3 }
	condition:
		$1
}

rule function_1740_0 {
	meta:
		name = "TList.SetCapacity"
		size = 116
		refs = "000f TList.SetCapacity 002a SListCapacityError 002f LoadResString 004b @ReallocMem 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 08 7C 08 81 FE FF FF FF 07 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 3B 73 0C 74 10 8B D6 C1 E2 02 8D 43 04 E8 ?? ?? ?? ?? 89 73 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1741_0 {
	meta:
		name = "TList.SetCount"
		size = 141
		refs = "000f TList.SetCount 0029 SListCountError 002e LoadResString 0046 TList.SetCapacity 0064 @FillChar 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 81 FE FF FF FF 07 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 03 FF 50 04 3B 73 0C 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7E 17 8B 53 04 8D 14 82 8B CE 2B C8 8B C1 C1 E0 02 33 C9 92 E8 ?? ?? ?? ?? 89 73 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1742_0 {
	meta:
		name = "QuickSort"
		size = 129
		refs = "006c QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 8B 5D FC 8B 75 F8 8B 45 FC 03 45 F8 D1 E8 8B 04 87 89 45 F4 EB 01 43 8B 04 9F 8B 55 F4 FF 55 08 85 C0 7C F2 EB 01 4E 8B 04 B7 8B 55 F4 FF 55 08 85 C0 7F F2 3B F3 7C 0E 8B 04 9F 8B 14 B7 89 14 9F 89 04 B7 43 4E 3B F3 7D CD 3B 75 FC 7E 10 8B 45 08 50 8B CE 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 89 5D FC 3B 5D F8 7C 99 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1743_0 {
	meta:
		name = "TList.Sort"
		size = 30
		refs = "0019 QuickSort"
	strings:
		$1 = { 8B 48 04 85 C9 74 16 83 78 08 00 7E 10 52 8B 50 08 4A 8B C1 33 C9 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1744_0 {
	meta:
		name = "TThreadList.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TObject.Create 0020 InitializeCriticalSection 0027 _DV_TList 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 08 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1745_0 {
	meta:
		name = "TThreadList.Destroy"
		size = 123
		refs = "0007 @BeforeDestruction 0015 TThreadList.LockList 001d TThreadList.Destroy 002e TObject.Free 003c TObject.Destroy 0051 TThreadList.UnlockList 005d DeleteCriticalSection 0063 @HandleFinally 0073 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_12744_0 {
	meta:
		name = "TThreadCustomArray.Destroy"
		size = 123
		refs = "0007 @BeforeDestruction 0015 TThreadCustomArray.LockArray 001d TThreadCustomArray.Destroy 002e TObject.Free 003c TObject.Destroy 0051 TThreadCustomArray.UnlockArray 005d DeleteCriticalSection 0063 @HandleFinally 0073 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_1746_0 {
	meta:
		name = "TThreadList.Add"
		size = 94
		refs = "000e TThreadList.LockList 0016 TThreadList.Add 0029 TList.IndexOf 0039 TList.Add 004e TThreadList.UnlockList 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 40 75 0D 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1747_0 {
	meta:
		name = "TThreadList.Clear"
		size = 78
		refs = "000c TThreadList.LockList 0014 TThreadList.Clear 0029 @CallDynaInst 003e TThreadList.UnlockList 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 66 BB FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1748_0 {
	meta:
		name = "TThreadCustomArray.LockArray"
		size = 17
		refs = "0008 EnterCriticalSection"
		altNames = "TThreadList.LockList"
	strings:
		$1 = { 53 8B D8 8D 43 08 50 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_1749_0 {
	meta:
		name = "TThreadList.Remove"
		size = 78
		refs = "000e TThreadList.LockList 0016 TThreadList.Remove 0029 TList.Remove 003e TThreadList.UnlockList 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1750_0 {
	meta:
		name = "TPatternManager.Unlock"
		size = 10
		refs = "0005 LeaveCriticalSection"
		altNames = "TResourceManager.Unlock TThreadCustomArray.UnlockArray TThreadList.UnlockList"
	strings:
		$1 = { 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9551_0 {
	meta:
		name = "TPatternManager.Lock"
		size = 10
		refs = "0005 EnterCriticalSection"
	strings:
		$1 = { 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9194_0 {
	meta:
		name = "TResourceManager.Lock"
		size = 10
		refs = "0005 EnterCriticalSection"
	strings:
		$1 = { 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1751_0 {
	meta:
		name = "TInterfaceList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TThreadList 0023 TThreadList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7995_0 {
	meta:
		name = "TComponentList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1752_0 {
	meta:
		name = "TInterfaceList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000e TInterfaceList.Clear 0016 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1753_0 {
	meta:
		name = "TInterfaceList.Clear"
		size = 116
		refs = "0015 TThreadList.LockList 001f TInterfaceList.Clear 003b @IntfClear 004a @CallDynaInst 0062 TThreadList.UnlockList 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 0C 85 C0 74 5A E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 12 43 33 F6 8B 47 04 8D 04 B0 E8 ?? ?? ?? ?? 46 4B 75 F1 8B C7 66 BB FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1754_0 {
	meta:
		name = "TInterfaceList.Delete"
		size = 96
		refs = "0012 TThreadList.LockList 001c TInterfaceList.Delete 002e TInterfaceList.Put 0037 TList.Delete 004f TThreadList.UnlockList 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1755_0 {
	meta:
		name = "TInterfaceList.Expand"
		size = 84
		refs = "0010 TThreadList.LockList 0018 TInterfaceList.Expand 0023 TList.Expand 0041 TThreadList.UnlockList 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_1756_0 {
	meta:
		name = "TInterfaceList.First"
		size = 20
		refs = "000d TInterfaceList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4617_0 {
	meta:
		name = "TCopyParser.SkipToEOF"
		size = 20
		refs = "000d TCopyParser.CopySkipToEOF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4616_0 {
	meta:
		name = "TCopyParser.SkipToEOL"
		size = 20
		refs = "000d TCopyParser.CopySkipToEOL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8015_0 {
	meta:
		name = "TPropertyEditor.GetMethodValue"
		size = 20
		refs = "000d TPropertyEditor.GetMethodValueAt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8025_0 {
	meta:
		name = "TPropertyEditor.GetStrValue"
		size = 20
		refs = "000d TPropertyEditor.GetStrValueAt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8027_0 {
	meta:
		name = "TPropertyEditor.GetVarValue"
		size = 20
		refs = "000d TPropertyEditor.GetVarValueAt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1757_0 {
	meta:
		name = "TInterfaceList.Get"
		size = 92
		refs = "0015 TThreadList.LockList 001f TInterfaceList.Get 0032 @IntfCopy 004a TThreadList.UnlockList 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1758_0 {
	meta:
		name = "TInterfaceList.GetCapacity"
		size = 79
		refs = "0010 TThreadList.LockList 0018 TInterfaceList.GetCapacity 003c TThreadList.UnlockList 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 0C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_1759_0 {
	meta:
		name = "TInterfaceList.GetCount"
		size = 79
		refs = "0010 TThreadList.LockList 0018 TInterfaceList.GetCount 003c TThreadList.UnlockList 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_1760_0 {
	meta:
		name = "TInterfaceList.IndexOf"
		size = 138
		refs = "0010 @IntfAddRef 0018 TInterfaceList.IndexOf 0029 TThreadList.LockList 003f TList.IndexOf 005a TThreadList.UnlockList 0060 @HandleFinally 0077 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_1761_0 {
	meta:
		name = "TInterfaceList.Add"
		size = 160
		refs = "0011 @IntfAddRef 0019 TInterfaceList.Add 002a TThreadList.LockList 0043 TList.Add 0057 @IntfCopy 006f TThreadList.UnlockList 0075 @HandleFinally 008c @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 43 04 8B 55 F4 8D 04 90 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1762_0 {
	meta:
		name = "TInterfaceList.Insert"
		size = 157
		refs = "0014 @IntfAddRef 001c TInterfaceList.Insert 002d TThreadList.LockList 0048 TList.Insert 0056 @IntfCopy 006e TThreadList.UnlockList 0074 @HandleFinally 008b @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 8B F2 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1763_0 {
	meta:
		name = "TInterfaceList.Last"
		size = 89
		refs = "0012 TThreadList.LockList 001c TInterfaceList.Last 0030 TInterfaceList.Get 0048 TThreadList.UnlockList 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 53 08 4A 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1764_0 {
	meta:
		name = "TInterfaceList.Put"
		size = 191
		refs = "0019 @IntfAddRef 0021 TInterfaceList.Put 0032 TThreadList.LockList 0053 SListIndexError 0058 LoadResString 0070 @IntfCopy 0088 TThreadList.UnlockList 008e @HandleFinally 00a5 @LStrClr 00ad @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 8B DA 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 05 3B 5E 08 7C 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 06 8B CB FF 50 04 8B 46 04 8D 04 98 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1765_0 {
	meta:
		name = "TInterfaceList.Remove"
		size = 174
		refs = "0011 @IntfAddRef 0019 TInterfaceList.Remove 002a TThreadList.LockList 0044 TList.IndexOf 005b @IntfClear 0065 TList.Delete 007d TThreadList.UnlockList 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FF 7E 18 8B 43 04 8B 55 F4 8D 04 90 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1766_0 {
	meta:
		name = "TInterfaceList.SetCapacity"
		size = 78
		refs = "0011 TThreadList.LockList 0019 TInterfaceList.SetCapacity 0026 TList.SetCapacity 003e TThreadList.UnlockList 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_1767_0 {
	meta:
		name = "TInterfaceList.SetCount"
		size = 78
		refs = "0011 TThreadList.LockList 0019 TInterfaceList.SetCount 0026 TList.SetCount 003e TThreadList.UnlockList 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_1768_0 {
	meta:
		name = "TInterfaceList.Exchange"
		size = 84
		refs = "0014 TThreadList.LockList 001c TInterfaceList.Exchange 002b TList.Exchange 0043 TThreadList.UnlockList 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1769_0 {
	meta:
		name = "TInterfaceList.Lock"
		size = 9
		refs = "0004 TThreadList.LockList"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7999_0 {
	meta:
		name = "TComponentList.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1770_0 {
	meta:
		name = "TInterfaceList.Unlock"
		size = 9
		refs = "0004 TThreadList.UnlockList"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14973_0 {
	meta:
		name = "TOutlineStrings.Clear"
		size = 9
		refs = "0004 TCustomOutline.Clear"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14972_0 {
	meta:
		name = "TOutlineStrings.GetCount"
		size = 9
		refs = "0004 TCustomOutline.GetItemCount"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9850_0 {
	meta:
		name = "TStringGridStrings.SetUpdateState"
		size = 9
		refs = "0004 TStringGrid.SetUpdateState"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9833_0 {
	meta:
		name = "TStringSparseList.Exchange"
		size = 9
		refs = "0004 TSparseList.Exchange"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2602_0 {
	meta:
		name = "TTreeStrings.Clear"
		size = 9
		refs = "0004 TTreeNodes.Clear"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2601_0 {
	meta:
		name = "TTreeStrings.GetCount"
		size = 9
		refs = "0004 TTreeNodes.GetCount"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1771_0 {
	meta:
		name = "TBits.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0010 TBits.SetSize 001c TObject.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1786_0 {
	meta:
		name = "TCollectionItem.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0010 TCollectionItem.SetCollection 001c TPersistent.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12941_0 {
	meta:
		name = "TDecisionDataLink.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0010 TDecisionDataLink.SetDecisionSource 001c TPersistent.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11072_0 {
	meta:
		name = "TIdUDPBase.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0010 TIdUDPBase.SetActive 001c TIdComponent.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4570_0 {
	meta:
		name = "TMouse.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0010 TMouse.SetCapture 001c TObject.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1821_0 {
	meta:
		name = "TStrings.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0010 TStrings.SetStringsAdapter 001c TPersistent.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1772_0 {
	meta:
		name = "TBits.Error"
		size = 84
		refs = "0009 TBits.Error 0017 SBitsIndexError 001c LoadResString 0026 _DV_EBitsError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_18626_0 {
	meta:
		name = "ALV"
		size = 84
		refs = "0009 ALV 0017 SNL 001c LoadResString 0026 _DV_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12611_0 {
	meta:
		name = "ArrayDuplicateError"
		size = 84
		refs = "0009 ArrayDuplicateError 0017 sDupeItem 001c LoadResString 0026 _DV_EArrayError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_10337_0 {
	meta:
		name = "DoMailBRdata"
		size = 84
		refs = "0009 DoMailBRdata 0017 RSDNSMailBNotImplemented 001c LoadResString 0026 _Dn_EIdDnsResolverError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9309_0 {
	meta:
		name = "Error"
		size = 84
		refs = "0009 Error 0017 SNoCanvasHandle 001c LoadResString 0026 _Dn_EInvalidOperation 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12603_0 {
	meta:
		name = "LowCapacityError"
		size = 84
		refs = "0009 LowCapacityError 0017 sLowCapacityError 001c LoadResString 0026 _DV_ELowCapacityError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9324_0 {
	meta:
		name = "OutOfResources"
		size = 84
		refs = "0009 OutOfResources 0017 SOutOfResources 001c LoadResString 0026 _Dn_EOutOfResources 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_3924_0 {
	meta:
		name = "RaiseException"
		size = 84
		refs = "0009 RaiseException 0017 SVarNotObject 001c LoadResString 0026 _DV_EOleError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12009_0 {
	meta:
		name = "RaiseOverflowError"
		size = 84
		refs = "0009 RaiseOverflowError 0017 SIntOverflow 001c LoadResString 0026 _Dn_EIntOverflow 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9810_0 {
	meta:
		name = "TSparseList.Error"
		size = 84
		refs = "0009 TSparseList.Error 0017 SListIndexError 001c LoadResString 0026 _Dn_EListError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_9831_0 {
	meta:
		name = "TStringSparseList.Error"
		size = 84
		refs = "0009 TStringSparseList.Error 0017 SPutObjectError 001c LoadResString 0026 _DV_EStringSparseListError 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1773_0 {
	meta:
		name = "Min"
		size = 11
	strings:
		$1 = { 8B C8 3B D0 7D 02 8B CA 8B C1 C3 }
	condition:
		$1
}

rule function_1774_0 {
	meta:
		name = "TBits.SetSize"
		size = 162
		refs = "0019 TBits.Error 0056 @GetMem 0065 @FillChar 0078 Min 0085 Move 008f @FreeMem"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 3B 73 04 0F 84 8A 00 00 00 85 F6 7D 07 8B C3 E8 ?? ?? ?? ?? 8D 46 20 48 85 C0 79 03 83 C0 1F C1 F8 05 8B F8 C1 E7 02 8B 43 04 83 C0 20 48 85 C0 79 03 83 C0 1F C1 F8 05 8B E8 C1 E5 02 3B EF 74 4F 33 C0 89 04 24 85 FF 74 16 8B C7 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 33 C9 8B D7 E8 ?? ?? ?? ?? 85 ED 74 26 83 3C 24 00 74 16 8B D7 8B C5 E8 ?? ?? ?? ?? 8B C8 8B 14 24 8B 43 08 E8 ?? ?? ?? ?? 8B D5 8B 43 08 E8 ?? ?? ?? ?? 8B 04 24 89 43 08 89 73 04 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1775_0 {
	meta:
		name = "TBits.SetBit"
		size = 44
		refs = "0019 TBits.Error 0022 TBits.SetSize"
	strings:
		$1 = { 3B 50 04 73 0F 8B 40 08 08 C9 74 04 0F AB 10 C3 0F B3 10 C3 83 FA 00 0F 8C ?? ?? ?? ?? 50 52 51 42 E8 ?? ?? ?? ?? 59 5A 58 EB DA C3 }
	condition:
		$1
}

rule function_1776_0 {
	meta:
		name = "TBits.GetBit"
		size = 21
		refs = "0005 TBits.Error"
	strings:
		$1 = { 3B 50 04 0F 83 ?? ?? ?? ?? 8B 40 08 0F A3 10 19 C0 83 E0 01 C3 }
	condition:
		$1
}

rule function_1777_0 {
	meta:
		name = "TBits.OpenBit"
		size = 120
		refs = "0027 TBits.OpenBit"
	strings:
		$1 = { 53 56 57 51 8B D8 8B 43 04 83 C0 20 48 85 C0 79 03 83 C0 1F C1 F8 05 48 85 C0 7C 4D 40 89 04 24 33 F6 8B 43 08 8B 15 ?? ?? ?? ?? 3B 14 B0 74 33 8B 43 08 8B 3C B0 33 C0 8B D0 80 FA 1F 77 06 83 E2 7F 0F A3 D7 72 17 8B D6 C1 E2 05 83 E0 7F 03 D0 8B C2 8B 53 04 3B C2 7C 12 8B C2 EB 0E 40 3C 20 75 D5 46 FF 0C 24 75 B9 8B 43 04 5A 5F 5E 5B C3 00 00 00 FF FF FF FF }
	condition:
		$1
}

rule function_1778_0 {
	meta:
		name = "TPersistent.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e RemoveFixups 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9452_0 {
	meta:
		name = "TBitmapCanvas.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TBitmapCanvas.FreeContext 001a TCanvas.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4048_0 {
	meta:
		name = "TControlCanvas.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TControlCanvas.FreeHandle 001a TCanvas.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13347_0 {
	meta:
		name = "TDataCache.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TDataCache.FreeCache 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7665_0 {
	meta:
		name = "TDdeCliItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TDdeCliItem.StopAdvise 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6554_0 {
	meta:
		name = "TGridDataLink.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TGridDataLink.ClearMapping 001a TDataLink.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7537_0 {
	meta:
		name = "THTTPDataLink.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e THTTPDataLink.ClearMapping 001a TDataLink.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2926_0 {
	meta:
		name = "TListItems.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TListItems.Clear 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1912_0 {
	meta:
		name = "TMemoryStream.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TMemoryStream.Clear 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14257_0 {
	meta:
		name = "TOleContainer.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TOleContainer.DestroyObject 001a TCustomControl.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16677_0 {
	meta:
		name = "TRegistry.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TRegistry.CloseKey 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2563_0 {
	meta:
		name = "TTreeNodes.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TTreeNodes.Clear 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2020_0 {
	meta:
		name = "TWriter.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e TWriter.WriteBuffer 001a TFiler.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1779_0 {
	meta:
		name = "TPersistent.Assign"
		size = 18
		refs = "000d TPersistent.AssignError"
	strings:
		$1 = { 85 D2 74 06 92 8B 08 FF 11 C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1780_0 {
	meta:
		name = "TPersistent.AssignError"
		size = 240
		refs = "001e TPersistent.AssignError 0035 TObject.ClassName 0043 @LStrFromString 0052 @LStrLAsg 0096 SAssignError 009b LoadResString 00a8 _Dn_EConvertError 00ad Exception.CreateFmt 00b2 @RaiseExcept 00ca @LStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 33 C9 89 8D E8 FE FF FF 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 1D 8D 95 FC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 95 FC FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 89 85 F4 FE FF FF C6 85 F8 FE FF FF 04 8D 85 EC FE FF FF 50 6A 01 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 6E 69 6C 00 }
	condition:
		$1
}

rule function_1783_0 {
	meta:
		name = "TPersistent.GetNamePath"
		size = 176
		refs = "0019 TPersistent.GetNamePath 002c TObject.ClassName 0039 @LStrFromString 0044 @CallDynaInst 007b @LStrCatN 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 33 C9 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B C7 E8 ?? ?? ?? ?? 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 85 C0 74 33 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 8D 55 FC 66 BB FE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 16 FF 75 FC 68 ?? ?? ?? ?? FF 37 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1785_0 {
	meta:
		name = "TCollectionItem.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCollectionItem.SetCollection 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9806_0 {
	meta:
		name = "TSparseList.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TSparseList.NewList 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1787_0 {
	meta:
		name = "TCollectionItem.Changed"
		size = 33
	strings:
		$1 = { 56 8B 70 04 85 F6 74 17 83 7E 0C 00 75 11 84 D2 74 04 33 D2 EB 02 8B D0 8B C6 8B 08 FF 51 10 5E C3 }
	condition:
		$1
}

rule function_1788_0 {
	meta:
		name = "TCollectionItem.GetIndex"
		size = 21
		refs = "000c TList.IndexOf"
	strings:
		$1 = { 8B 50 04 85 D2 74 0A 8B 52 08 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_1789_0 {
	meta:
		name = "TCollectionItem.GetDisplayName"
		size = 39
		refs = "0011 TObject.ClassName 001a @LStrFromString"
		altNames = "TDragObject.GetName"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 8B D4 8B 03 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1790_0 {
	meta:
		name = "TCollectionItem.GetNamePath"
		size = 180
		refs = "0019 TCollectionItem.GetNamePath 0035 @CallDynaInst 0046 TCollectionItem.GetIndex 005f Format 006e TObject.ClassName 007b @LStrFromString 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C9 89 4D EC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 04 00 74 3C 57 8D 55 EC 8B 46 04 66 BB FE FF E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 0B 8B C6 E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 95 EC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 25 73 5B 25 64 5D 00 00 }
	condition:
		$1
}

rule function_1792_0 {
	meta:
		name = "TCollectionItem.SetCollection"
		size = 40
		refs = "0014 TCollection.RemoveItem 0021 TCollection.InsertItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 3B F0 74 18 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1794_0 {
	meta:
		name = "TCollectionItem.SetIndex"
		size = 47
		refs = "0009 TCollectionItem.GetIndex 001f TList.Move 0028 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1B 3B F0 74 17 8B 53 04 8B 52 08 8B CE 92 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1796_0 {
	meta:
		name = "TCollection.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 001b TCollection.Clear 0023 TObject.Free 002f TPersistent.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 0C 01 00 00 00 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1797_0 {
	meta:
		name = "TCollection.Add"
		size = 11
	strings:
		$1 = { 8B C8 B2 01 8B 40 04 FF 50 18 C3 }
	condition:
		$1
}

rule function_1798_0 {
	meta:
		name = "TCollection.Assign"
		size = 149
		refs = "0010 _DV_TCollection 0015 @IsClass 0029 TCollection.Assign 0037 TCollection.Clear 003e TCollection.GetCount 0051 TCollection.GetItem 005a TCollection.Add 007f @HandleFinally 008b TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 89 45 FC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 47 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1799_0 {
	meta:
		name = "TCollection.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 0C C3 }
	condition:
		$1
}

rule function_1800_0 {
	meta:
		name = "TCollection.Changed"
		size = 14
	strings:
		$1 = { 83 78 0C 00 75 07 33 D2 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_1801_0 {
	meta:
		name = "TCollection.Clear"
		size = 101
		refs = "0020 TCollection.Clear 002f TList.Last 0034 TObject.Free 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 08 83 78 08 00 7E 4D 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 58 08 83 7B 08 00 7F E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1802_0 {
	meta:
		name = "TCollection.EndUpdate"
		size = 9
		refs = "0004 TCollection.Changed"
	strings:
		$1 = { FF 48 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1803_0 {
	meta:
		name = "TCollection.FindItemID"
		size = 48
		refs = "001c TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 08 8B D6 E8 ?? ?? ?? ?? 3B 68 08 74 06 46 4B 75 ED 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1805_0 {
	meta:
		name = "TCollection.GetAttr"
		size = 12
		refs = "0006 @LStrClr"
		altNames = "TCustomModule.GetVerb"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5758_0 {
	meta:
		name = "TCustomRemoteServer.GetProvider"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1806_0 {
	meta:
		name = "TCollection.GetItemAttr"
		size = 32
		refs = "000e TCollection.GetItem"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 08 FF 51 0C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1807_0 {
	meta:
		name = "TChartValueList.Count"
		size = 7
		altNames = "TCollection.GetCount"
	strings:
		$1 = { 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_1808_0 {
	meta:
		name = "TCollection.GetItem"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16214_0 {
	meta:
		name = "TPrinterSettings.GetDriver"
		size = 19
		refs = "000c StrPas"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1809_0 {
	meta:
		name = "TCollection.GetNamePath"
		size = 200
		refs = "001c TCollection.GetNamePath 002f TObject.ClassName 003c @LStrFromString 0047 @CallDynaInst 0072 TCollection.GetPropName 008f @LStrCatN 00a9 @LStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 4D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F8 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B C7 E8 ?? ?? ?? ?? 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 85 C0 74 44 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 8D 55 FC 66 BB FE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 27 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 17 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1810_0 {
	meta:
		name = "TCollection.GetPropName"
		size = 281
		refs = "0019 @LStrLAsg 0025 @CallDynaInst 0048 TObject.ClassInfo 005f GetTypeData 0080 @GetMem 008b TCollection.GetPropName 00a3 GetPropInfos 00cc GetOrdProp 00df @LStrFromString 00f8 @FreeMem 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 83 38 00 0F 85 DA 00 00 00 83 7D F0 00 0F 84 D0 00 00 00 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 85 C0 0F 84 BE 00 00 00 8B 45 F0 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 A5 00 00 00 66 83 7B 08 00 0F 84 9A 00 00 00 0F BF 43 08 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 0F BF 7B 08 4F 85 FF 7C 37 47 33 DB 8B 45 F4 8B 34 98 8B 06 8B 00 80 38 07 75 21 8B 45 F4 8B 14 98 8B 45 F0 E8 ?? ?? ?? ?? 3B 45 FC 75 0E 8B 45 FC 83 C0 14 8D 56 1A E8 ?? ?? ?? ?? 43 4F 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1811_0 {
	meta:
		name = "TCollection.Insert"
		size = 25
		refs = "0005 TCollection.Add"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 10 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_1812_0 {
	meta:
		name = "GetDesigner"
		size = 152
		refs = "0015 @IntfClear 0024 @CallDynaInst 0032 _DV_TComponent 0037 @IsClass 004e GetDesigner"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 85 FF 74 04 33 C0 89 07 8B C7 E8 ?? ?? ?? ?? 85 F6 74 64 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 2C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 F6 46 20 10 74 3C 8B C7 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 50 28 EB 27 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 F6 46 20 10 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 00 00 07 E8 71 B9 A6 E3 D1 11 AA B1 00 C0 4F B1 6F BC }
	condition:
		$1
}

rule function_1813_0 {
	meta:
		name = "NotifyDesigner"
		size = 98
		refs = "0012 NotifyDesigner 0020 @IntfClear 0029 GetDesigner 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B CB 8B D6 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1814_0 {
	meta:
		name = "TCollection.InsertItem"
		size = 150
		refs = "000f TCollection.InsertItem 001f @IsClass 002b SInvalidProperty 0030 LoadResString 003a _DV_TList 003f TList.Error 0049 TList.Add 0065 TCollection.Changed 0070 NotifyDesigner 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 04 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 89 5E 04 8B 43 10 89 46 08 FF 43 10 8B D6 8B C3 8B 08 FF 51 0C 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1815_0 {
	meta:
		name = "TCollection.RemoveItem"
		size = 42
		refs = "000d NotifyDesigner 0017 TList.Remove 0023 TCollection.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 46 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1816_0 {
	meta:
		name = "TCollection.SetItem"
		size = 30
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1822_0 {
	meta:
		name = "TStrings.Add"
		size = 33
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 52 14 8B F0 8B CF 8B D6 8B C3 8B 18 FF 53 54 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1823_0 {
	meta:
		name = "TStrings.AddObject"
		size = 33
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 8B 08 FF 51 34 8B F0 8B CF 8B D6 8B C3 8B 18 FF 53 24 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1824_0 {
	meta:
		name = "TStrings.Append"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_1825_0 {
	meta:
		name = "TStrings.AddStrings"
		size = 181
		refs = "0018 TStrings.AddStrings 0026 TStrings.BeginUpdate 0085 TStrings.EndUpdate 008b @HandleFinally 00a2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F4 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 45 F8 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 38 FF 57 38 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1826_0 {
	meta:
		name = "TStrings.Assign"
		size = 110
		refs = "000e _DV_TStrings 0013 @IsClass 001f TStrings.BeginUpdate 0027 TStrings.Assign 0054 TStrings.EndUpdate 005a @HandleFinally 0066 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B D3 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_1827_0 {
	meta:
		name = "TStrings.BeginUpdate"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 09 B2 01 8B C3 8B 08 FF 51 30 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_1828_0 {
	meta:
		name = "DoWrite"
		size = 85
		refs = "001b _DV_TStrings 0020 @IsClass 0034 TStrings.Equals"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 70 1C 85 F6 74 2D B3 01 8B 45 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 08 8B D6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 80 F3 01 EB 10 8B 45 08 8B 40 F8 8B 10 FF 52 14 85 C0 0F 9F C3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1829_0 {
	meta:
		name = "TStrings.DefineProperties"
		size = 76
		refs = "0012 TStrings.ReadData 001b TStrings.WriteData 0021 DoWrite 0029 TStrings.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 00 00 FF FF FF FF 07 00 00 00 53 74 72 69 6E 67 73 00 }
	condition:
		$1
}

rule function_1830_0 {
	meta:
		name = "TStrings.EndUpdate"
		size = 17
	strings:
		$1 = { FF 48 04 83 78 04 00 75 07 33 D2 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_1831_0 {
	meta:
		name = "TStrings.Equals"
		size = 166
		refs = "001b TStrings.Equals 006c @LStrCmp 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 10 FF 52 14 8B D8 8B 45 F8 8B 10 FF 52 14 3B D8 75 3B 8B F3 4E 85 F6 7C 30 46 33 DB 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 EC 58 E8 ?? ?? ?? ?? 75 08 43 4E 75 D3 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1834_0 {
	meta:
		name = "TStrings.Exchange"
		size = 230
		refs = "001c TStrings.Exchange 002a TStrings.BeginUpdate 00b1 TStrings.EndUpdate 00b7 @HandleFinally 00d3 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 8B D3 8B 45 FC 8B 08 FF 51 18 89 45 F8 8D 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 4D F0 8B D3 8B 45 FC 8B 38 FF 57 20 8B D6 8B 45 FC 8B 08 FF 51 18 8B C8 8B D3 8B 45 FC 8B 18 FF 53 24 8B 4D F4 8B D6 8B 45 FC 8B 18 FF 53 20 8B 4D F8 8B D6 8B 45 FC 8B 18 FF 53 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1835_0 {
	meta:
		name = "TStrings.GetCapacity"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_1836_0 {
	meta:
		name = "TStrings.GetCommaText"
		size = 308
		refs = "001a TStrings.GetCommaText 004e @LStrLAsg 005a @LStrClr 0080 @LStrToPChar 0088 CharNext 00ab AnsiQuotedStr 00cc @LStrCatN 00db @LStrLen 00e9 @LStrDelete 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 83 FE 01 75 24 8D 4D EC 33 D2 8B 45 FC 8B 38 FF 57 0C 83 7D EC 00 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8B C3 E8 ?? ?? ?? ?? 4E 85 F6 7C 75 46 89 75 F0 C7 45 F4 00 00 00 00 8D 4D F8 8B 55 F4 8B 45 FC 8B 30 FF 56 0C 8B 45 F8 E8 ?? ?? ?? ?? EB 06 50 E8 ?? ?? ?? ?? 8A 10 80 EA 21 72 0A 80 EA 01 74 05 80 EA 0A 75 E9 80 38 00 74 18 8D 4D EC B2 22 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? FF 33 FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 75 96 8B 03 E8 ?? ?? ?? ?? 8B D0 8B C3 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 02 00 00 00 22 22 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_1837_0 {
	meta:
		name = "TStrings.GetName"
		size = 76
		refs = "0017 TStrings.GetName 001c AnsiPos 002a @LStrSetLength"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 8B 30 FF 56 0C 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_1839_0 {
	meta:
		name = "TStrings.GetText"
		size = 82
		refs = "000c TStrings.GetText 0024 @LStrToPChar 0029 StrNew 0040 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_1840_0 {
	meta:
		name = "TStrings.GetTextStr"
		size = 229
		refs = "001b TStrings.GetTextStr 0054 @LStrLen 006b @LStrFromPCharLen 00a8 Move 00d2 @LStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 89 45 F0 33 DB 8B 75 F0 4E 85 F6 7C 29 46 C7 45 F4 00 00 00 00 8D 4D E8 8B 55 F4 8B 45 FC 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 83 C0 02 03 D8 FF 45 F4 4E 75 DF 8B 45 F8 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 5D F8 8B 1B 8B 75 F0 4E 85 F6 7C 40 46 C7 45 F4 00 00 00 00 8D 4D EC 8B 55 F4 8B 45 FC 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 8B F8 85 FF 74 0E 8B D3 8B 45 EC 8B CF E8 ?? ?? ?? ?? 03 DF C6 03 0D 43 C6 03 0A 43 FF 45 F4 4E 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1841_0 {
	meta:
		name = "TStrings.GetValue"
		size = 140
		refs = "0019 TStrings.GetValue 0029 TStrings.IndexOfName 004b @LStrLen 005b @LStrCopy 0065 @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 2E 8B 45 F8 50 8D 4D F4 8B D6 8B C3 8B 18 FF 53 0C 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 FF FF FF 7F 58 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13519_0 {
	meta:
		name = "TExStringList.GetValue"
		size = 140
		refs = "0019 TExStringList.GetValue 0029 TExStringList.IndexOfName 004b @LStrLen 005b @LStrCopy 0065 @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 2E 8B 45 F8 50 8D 4D F4 8B D6 8B C3 8B 18 FF 53 0C 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 FF FF FF 7F 58 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1842_0 {
	meta:
		name = "TStrings.IndexOf"
		size = 125
		refs = "0018 TStrings.IndexOf 0048 AnsiCompareText 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 23 43 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 07 46 4B 75 E0 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1843_0 {
	meta:
		name = "TStrings.IndexOfName"
		size = 196
		refs = "001a TStrings.IndexOfName 0052 AnsiPos 006c @LStrCopy 0077 AnsiCompareText 00a2 @LStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 52 46 C7 45 F4 00 00 00 00 8D 4D F0 8B 55 F4 8B 45 FC 8B 18 FF 53 0C 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 8D 45 EC 50 8B CB 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 0D FF 45 F4 4E 75 B6 C7 45 F4 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_1844_0 {
	meta:
		name = "TStrings.IndexOfObject"
		size = 52
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 14 43 33 F6 8B D6 8B C7 8B 08 FF 51 18 3B E8 74 07 46 4B 75 EF 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1845_0 {
	meta:
		name = "TStrings.InsertObject"
		size = 46
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 4D FC 8B D3 8B C6 8B 38 FF 57 54 8B 4D 08 8B D3 8B C6 8B 18 FF 53 24 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1846_0 {
	meta:
		name = "TStrings.LoadFromFile"
		size = 83
		refs = "000c _DV_TFileStream 0013 TFileStream.Create 001e TStrings.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_1847_0 {
	meta:
		name = "TStrings.LoadFromStream"
		size = 171
		refs = "0016 TStrings.LoadFromStream 0024 TStrings.BeginUpdate 0039 TStream.GetSize 0042 TStream.GetPosition 0050 @LStrFromPCharLen 007c TStrings.EndUpdate 0082 @HandleFinally 0099 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 8D 45 F8 8B CE 33 D2 E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 8B 18 FF 53 04 8B 55 F8 8B 45 FC 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1848_0 {
	meta:
		name = "TStrings.Move"
		size = 175
		refs = "0019 TStrings.Move 002b TStrings.BeginUpdate 006a TStrings.InsertObject 007f TStrings.EndUpdate 0085 @HandleFinally 009c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F3 74 64 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D3 8B 45 FC 8B 38 FF 57 0C 8B D3 8B 45 FC 8B 08 FF 51 18 8B F8 8B D3 8B 45 FC 8B 08 FF 51 44 57 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1849_0 {
	meta:
		name = "TStrings.Put"
		size = 47
		refs = "0026 TStrings.InsertObject"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 18 8B F8 8B D6 8B C3 8B 08 FF 51 44 57 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1851_0 {
	meta:
		name = "TStrings.ReadData"
		size = 175
		refs = "0015 TStrings.ReadData 0023 TReader.ReadListBegin 002b TStrings.BeginUpdate 004e TReader.ReadString 0061 TReader.EndOfList 007a TStrings.EndUpdate 0080 @HandleFinally 008a TReader.ReadListEnd 009f @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 EB 16 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_1852_0 {
	meta:
		name = "TStrings.SaveToFile"
		size = 86
		refs = "000f _DV_TFileStream 0016 TFileStream.Create 0021 TStrings.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_1853_0 {
	meta:
		name = "TStrings.SaveToStream"
		size = 89
		refs = "000f TStrings.SaveToStream 0027 @LStrLen 0033 TStream.WriteBuffer 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1855_0 {
	meta:
		name = "TStrings.SetCommaText"
		size = 285
		refs = "0019 TStrings.SetCommaText 0027 TStrings.BeginUpdate 0044 @LStrToPChar 0050 CharNext 006d AnsiExtractQuotedStr 0097 @LStrFromPCharLen 00ee TStrings.EndUpdate 00f4 @HandleFinally 010b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 89 45 FC 8D 5D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 40 8B C6 E8 ?? ?? ?? ?? 89 03 EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 03 8A 00 48 2C 20 72 ED EB 74 3C 22 75 0E 8D 4D F4 8B C3 B2 22 E8 ?? ?? ?? ?? EB 28 8B 33 EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 03 8A 00 3C 20 76 04 3C 2C 75 EA 8B 0B 2B CE 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 03 8A 00 48 2C 20 72 ED 8B 03 80 38 2C 75 13 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 03 8A 00 48 2C 20 72 ED 8B 03 8A 00 84 C0 75 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1856_0 {
	meta:
		name = "TStrings.SetStringsAdapter"
		size = 49
		refs = "001a @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 08 00 74 08 8B 43 08 8B 10 FF 52 10 8D 43 08 8B D6 E8 ?? ?? ?? ?? 83 7B 08 00 74 0A 8B D3 8B 43 08 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_1857_0 {
	meta:
		name = "TStrings.SetText"
		size = 79
		refs = "000f TStrings.SetText 001f @LStrFromPChar 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1858_0 {
	meta:
		name = "TStrings.SetTextStr"
		size = 192
		refs = "0015 TStrings.SetTextStr 0023 TStrings.BeginUpdate 0061 @LStrFromPCharLen 0092 TStrings.EndUpdate 0098 @HandleFinally 00af @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 40 85 DB 74 40 EB 39 8B C3 EB 01 43 8A 13 84 D2 74 0A 80 EA 0A 74 05 80 EA 03 75 EF 8B CB 2B C8 8D 55 F8 92 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 80 3B 0D 75 01 43 80 3B 0A 75 01 43 80 3B 00 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1860_0 {
	meta:
		name = "TStrings.SetValue"
		size = 164
		refs = "0019 TStrings.SetValue 0028 TStrings.IndexOfName 0055 @LStrCatN 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 33 85 DB 7D 0B 33 D2 8B C6 8B 08 FF 51 34 8B D8 57 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B C6 8B 18 FF 53 20 EB 0D 85 DB 7C 09 8B D3 8B C6 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_1861_0 {
	meta:
		name = "TStrings.WriteData"
		size = 132
		refs = "0018 TStrings.WriteData 0026 TWriter.WriteListBegin 0050 TWriter.WriteString 005c TWriter.WriteListEnd 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1862_0 {
	meta:
		name = "TStringList.Destroy"
		size = 90
		refs = "0003 @BeforeDestruction 0023 TStrings.Destroy 0034 TStringItem 003a @FinalizeArray 0053 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 1C 89 46 20 33 C0 89 46 24 89 46 28 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 10 85 C0 74 10 8B 56 0C 8B C8 A1 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? 33 C0 89 46 10 33 D2 8B C6 8B 08 FF 51 28 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1863_0 {
	meta:
		name = "TStringList.Add"
		size = 151
		refs = "0016 TStringList.Add 004f SDuplicateString 0054 LoadResString 0060 TStrings.Error 006c TStringList.InsertItem 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 75 08 8B 43 10 89 45 FC EB 36 8D 4D FC 8B D6 8B C3 8B 38 FF 57 78 84 C0 74 26 8A 43 19 2C 01 72 2B FE C8 74 02 EB 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1864_0 {
	meta:
		name = "TStringList.Changed"
		size = 26
	strings:
		$1 = { 53 83 78 04 00 75 11 66 83 78 1E 00 74 0A 8B D8 8B D0 8B 43 20 FF 53 1C 5B C3 }
	condition:
		$1
}

rule function_1865_0 {
	meta:
		name = "TStringList.Changing"
		size = 26
	strings:
		$1 = { 53 83 78 04 00 75 11 66 83 78 26 00 74 0A 8B D8 8B D0 8B 43 28 FF 53 24 5B C3 }
	condition:
		$1
}

rule function_1866_0 {
	meta:
		name = "TStringList.Clear"
		size = 56
		refs = "0018 TStringItem 001d @FinalizeArray"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 74 2D 8B C3 8B 10 FF 52 74 8B 43 0C 8B 4B 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 10 33 D2 8B C3 8B 08 FF 51 28 8B C3 8B 10 FF 52 70 5B C3 }
	condition:
		$1
}

rule function_1867_0 {
	meta:
		name = "TStringList.Delete"
		size = 159
		refs = "000f TStringList.Delete 0026 SListIndexError 002b LoadResString 0037 TStrings.Error 004a TStringItem 004f @Finalize 0072 Move 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 8B 43 0C 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 10 8B 43 10 3B F0 7D 19 2B C6 8B C8 C1 E1 03 8B 43 0C 8D 14 F0 8B 43 0C 8D 44 F0 08 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1868_0 {
	meta:
		name = "TStringList.Exchange"
		size = 156
		refs = "0012 TStringList.Exchange 0029 SListIndexError 002e LoadResString 003a TStrings.Error 006e TStringList.ExchangeItems 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 85 FF 7C 05 3B 7B 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1869_0 {
	meta:
		name = "TStringList.ExchangeItems"
		size = 35
	strings:
		$1 = { 53 8B 58 0C 8D 14 D3 8B 40 0C 8D 04 C8 8B 0A 8B 18 89 1A 89 08 8B 4A 04 8B 58 04 89 5A 04 89 48 04 5B C3 }
	condition:
		$1
}

rule function_1870_0 {
	meta:
		name = "TStringList.Find"
		size = 101
		refs = "002e AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B E8 C6 44 24 08 00 33 F6 8B 7D 10 4F 3B FE 7C 34 8D 1C 37 D1 EB 8B 45 0C 8B 04 D8 8B 14 24 E8 ?? ?? ?? ?? 85 C0 7D 05 8D 73 01 EB 14 8B FB 4F 85 C0 75 0D C6 44 24 08 01 80 7D 19 01 74 02 8B F3 3B FE 7D CC 8B 44 24 04 89 30 8A 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1871_0 {
	meta:
		name = "TStringList.Get"
		size = 110
		refs = "0012 TStringList.Get 0029 SListIndexError 002e LoadResString 003a TStrings.Error 0047 @LStrLAsg 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 53 0C 8B 14 F2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1874_0 {
	meta:
		name = "TStringList.GetObject"
		size = 102
		refs = "000f TStringList.GetObject 0026 SListIndexError 002b LoadResString 0037 TStrings.Error 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B 5C F0 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1875_0 {
	meta:
		name = "TStringList.Grow"
		size = 51
	strings:
		$1 = { 56 8B 50 14 83 FA 40 7E 0E 8B F2 85 F6 79 03 83 C6 03 C1 FE 02 EB 11 83 FA 08 7E 07 BE 10 00 00 00 EB 05 BE 04 00 00 00 03 F2 8B D6 8B 08 FF 51 28 5E C3 }
	condition:
		$1
}

rule function_1876_0 {
	meta:
		name = "TStringList.IndexOf"
		size = 56
		refs = "0012 TStrings.IndexOf"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 80 7B 18 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 16 8B CC 8B D6 8B C3 8B 18 FF 53 78 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1877_0 {
	meta:
		name = "TStringList.Insert"
		size = 139
		refs = "0012 TStringList.Insert 0026 SSortedListError 002b LoadResString 0037 TStrings.Error 0048 SListIndexError 0064 TStringList.InsertItem 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 74 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 10 7E 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1878_0 {
	meta:
		name = "TStringList.InsertItem"
		size = 102
		refs = "001b TStringList.Grow 003a Move 0054 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 74 8B 43 10 3B 43 14 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 10 3B F0 7D 18 8B 53 0C 8D 54 F2 08 8B 4B 0C 8D 0C F1 2B C6 C1 E0 03 91 E8 ?? ?? ?? ?? 8B 43 0C 8D 04 F0 8B F0 33 C0 89 06 33 C0 89 46 04 8B C6 8B D7 E8 ?? ?? ?? ?? FF 43 10 8B C3 8B 10 FF 52 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1879_0 {
	meta:
		name = "TStringList.Put"
		size = 155
		refs = "0012 TStringList.Put 0026 SSortedListError 002b LoadResString 0037 TStrings.Error 0048 SListIndexError 006d @LStrAsg 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 74 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 8B 43 0C 8D 04 F0 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1880_0 {
	meta:
		name = "TStringList.PutObject"
		size = 118
		refs = "0012 TStringList.PutObject 0029 SListIndexError 002e LoadResString 003a TStrings.Error 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 10 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 8B 43 0C 89 7C F0 04 8B C3 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1881_0 {
	meta:
		name = "TStringList.QuickSort"
		size = 188
		refs = "001a TStringList.QuickSort 003c @LStrLAsg 004d AnsiCompareText 0075 TStringList.ExchangeItems 00a9 @LStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 75 F8 8D 45 F4 8B 55 FC 03 55 F8 D1 EA 8B 4F 0C 8B 14 D1 E8 ?? ?? ?? ?? EB 01 43 8B 47 0C 8B 04 D8 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 7C ED EB 01 4E 8B 47 0C 8B 04 F0 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 7F ED 3B F3 7C 0D 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 3B F3 7D C4 3B 75 FC 7E 0C 8B CE 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 89 5D FC 3B 5D F8 7C 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1882_0 {
	meta:
		name = "TStringList.SetCapacity"
		size = 25
		refs = "000f @ReallocMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 C1 E2 03 8D 43 0C E8 ?? ?? ?? ?? 89 73 14 5E 5B C3 }
	condition:
		$1
}

rule function_1883_0 {
	meta:
		name = "TStringList.SetSorted"
		size = 28
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 18 74 0E 84 DB 74 07 8B C6 8B 10 FF 52 7C 88 5E 18 5E 5B C3 }
	condition:
		$1
}

rule function_1884_0 {
	meta:
		name = "TStringList.SetUpdateState"
		size = 16
	strings:
		$1 = { 84 D2 74 06 8B 10 FF 52 74 C3 8B 10 FF 52 70 C3 }
	condition:
		$1
}

rule function_1885_0 {
	meta:
		name = "TStringList.Sort"
		size = 44
		refs = "001f TStringList.QuickSort"
	strings:
		$1 = { 53 8B D8 80 7B 18 00 75 21 83 7B 10 01 7E 1B 8B C3 8B 10 FF 52 74 8B 4B 10 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5B C3 }
	condition:
		$1
}

rule function_1886_0 {
	meta:
		name = "TStream.GetPosition"
		size = 14
	strings:
		$1 = { 53 66 B9 01 00 33 D2 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_1887_0 {
	meta:
		name = "TStream.SetPosition"
		size = 10
	strings:
		$1 = { 53 33 C9 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_1888_0 {
	meta:
		name = "TStream.GetSize"
		size = 52
	strings:
		$1 = { 53 56 57 8B D8 66 B9 01 00 33 D2 8B C3 8B 30 FF 56 0C 8B F0 66 B9 02 00 33 D2 8B C3 8B 38 FF 57 0C 8B F8 33 C9 8B D6 8B C3 8B 18 FF 53 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1890_0 {
	meta:
		name = "TStream.ReadBuffer"
		size = 122
		refs = "0018 TStream.ReadBuffer 003a SReadError 003f LoadResString 0049 _DV_EReadError 004e Exception.Create 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 31 8B 55 FC 8B CB 8B C6 8B 30 FF 56 04 3B D8 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1891_0 {
	meta:
		name = "TStream.WriteBuffer"
		size = 122
		refs = "0018 TStream.WriteBuffer 003a SWriteError 003f LoadResString 0049 _DV_EWriteError 004e Exception.Create 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 31 8B 55 FC 8B CB 8B C6 8B 30 FF 56 08 3B D8 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1892_0 {
	meta:
		name = "TStream.CopyFrom"
		size = 180
		refs = "001b TStream.SetPosition 0023 TStream.GetSize 0044 @GetMem 004f TStream.CopyFrom 0074 TStream.ReadBuffer 0080 TStream.WriteBuffer 009e @FreeMem 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 89 55 F8 89 45 FC 85 DB 75 14 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 89 5D F4 81 FB 00 F0 00 00 7E 09 C7 45 F0 00 F0 00 00 EB 03 89 5D F0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2D 3B 5D F0 7E 05 8B 75 F0 EB 02 8B F3 8B 7D EC 8B D7 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 8B D7 8B CE 8B 45 FC E8 ?? ?? ?? ?? 2B DE 85 DB 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1893_0 {
	meta:
		name = "TStream.ReadComponent"
		size = 95
		refs = "0013 _DV_TReader 0018 TFiler.Create 0023 TStream.ReadComponent 0033 TReader.ReadRootComponent 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 68 00 10 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1894_0 {
	meta:
		name = "TStream.WriteComponent"
		size = 8
		refs = "0003 TStream.WriteDescendent"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18225_0 {
	meta:
		name = "@Write0Variant"
		size = 8
		refs = "0003 @WriteVariant"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8228_0 {
	meta:
		name = "EditChart"
		size = 8
		refs = "0003 EditChartPage"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9518_0 {
	meta:
		name = "TBitmap.SaveToStream"
		size = 8
		refs = "0003 TBitmap.WriteStream"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5825_0 {
	meta:
		name = "TClientDataSet.SaveToStream"
		size = 8
		refs = "0003 TClientDataSet.WriteDataPacket"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5902_0 {
	meta:
		name = "TClientDataSet.SetIndexName"
		size = 8
		refs = "0003 TClientDataSet.SetIndex"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4619_0 {
	meta:
		name = "TCopyParser.SkipToken"
		size = 8
		refs = "0003 TCopyParser.SkipToNextToken"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7126_0 {
	meta:
		name = "TDatabase.SetDriverName"
		size = 8
		refs = "0003 TDatabase.SetDatabaseType"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9600_0 {
	meta:
		name = "TInplaceEdit.UpdateLoc"
		size = 8
		refs = "0003 TInplaceEdit.InternalMove"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15496_0 {
	meta:
		name = "TSQLResolver.DoUpdate"
		size = 8
		refs = "0003 TSQLResolver.InternalDoUpdate"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7063_0 {
	meta:
		name = "TSession.OpenDatabase"
		size = 8
		refs = "0003 TSession.DoOpenDatabase"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9870_0 {
	meta:
		name = "TStringGrid.GetRows"
		size = 8
		refs = "0003 TStringGrid.EnsureColRow"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7340_0 {
	meta:
		name = "TTable.SetIndexName"
		size = 8
		refs = "0003 TTable.SetIndex"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7386_0 {
	meta:
		name = "TTable.UnlockTable"
		size = 8
		refs = "0003 TTable.SetTableLock"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2067_0 {
	meta:
		name = "TWriter.WriteRootComponent"
		size = 8
		refs = "0003 TWriter.WriteDescendent"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22006_0 {
	meta:
		name = "ZeroMemory"
		size = 8
		refs = "0003 @FillChar"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1895_0 {
	meta:
		name = "TStream.WriteDescendent"
		size = 92
		refs = "0014 _DV_TWriter 0019 TFiler.Create 0024 TStream.WriteDescendent 0036 TWriter.WriteDescendent 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 68 00 10 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1896_0 {
	meta:
		name = "TStream.ReadComponentRes"
		size = 25
		refs = "0009 TStream.ReadResHeader 0012 TStream.ReadComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2110_0 {
	meta:
		name = "ObjectResourceToText"
		size = 25
		refs = "0009 TStream.ReadResHeader 0012 ObjectBinaryToText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6545_0 {
	meta:
		name = "TDBGridInplaceEdit.WMCancelMode"
		size = 25
		refs = "0009 TDBGridInplaceEdit.StopTracking 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6313_0 {
	meta:
		name = "TDBImage.WMLButtonDblClk"
		size = 25
		refs = "0009 TDBImage.LoadPicture 0012 TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6457_0 {
	meta:
		name = "TDBLookupComboBox.WMCancelMode"
		size = 25
		refs = "0009 TDBLookupComboBox.StopTracking 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6427_0 {
	meta:
		name = "TDBLookupListBox.WMCancelMode"
		size = 25
		refs = "0009 TDBLookupListBox.StopTracking 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19727_0 {
	meta:
		name = "TToolWindow.CMBorderChanged"
		size = 25
		refs = "0009 TWinControl.RecreateWnd 0012 TWinControl.CMBorderChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1897_0 {
	meta:
		name = "TStream.WriteComponentRes"
		size = 8
		refs = "0003 TStream.WriteDescendentRes"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18584_0 {
	meta:
		name = "Beep"
		size = 8
		refs = "0003 MessageBeep"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9343_0 {
	meta:
		name = "GetDIBSizes"
		size = 8
		refs = "0003 InternalGetDIBSizes"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15005_0 {
	meta:
		name = "TCustomOutline.Add"
		size = 8
		refs = "0003 TCustomOutline.AddObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15007_0 {
	meta:
		name = "TCustomOutline.AddChild"
		size = 8
		refs = "0003 TCustomOutline.AddChildObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15003_0 {
	meta:
		name = "TCustomOutline.Insert"
		size = 8
		refs = "0003 TCustomOutline.InsertObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5560_0 {
	meta:
		name = "TDataSet.InsertRecord"
		size = 8
		refs = "0003 TDataSet.AddRecord"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2574_0 {
	meta:
		name = "TTreeNodes.Add"
		size = 8
		refs = "0003 TTreeNodes.AddObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2570_0 {
	meta:
		name = "TTreeNodes.AddChild"
		size = 8
		refs = "0003 TTreeNodes.AddChildObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2568_0 {
	meta:
		name = "TTreeNodes.AddChildFirst"
		size = 8
		refs = "0003 TTreeNodes.AddChildObjectFirst"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2572_0 {
	meta:
		name = "TTreeNodes.AddFirst"
		size = 8
		refs = "0003 TTreeNodes.AddObjectFirst"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2577_0 {
	meta:
		name = "TTreeNodes.Insert"
		size = 8
		refs = "0003 TTreeNodes.InsertObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1898_0 {
	meta:
		name = "TStream.WriteDescendentRes"
		size = 167
		refs = "0028 StrPLCopy 002d StrUpper 0032 StrLen 0052 TStream.WriteBuffer 0059 TStream.GetPosition 0068 TStream.WriteDescendent 0080 TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 89 4D FC 8B F2 8B D8 8D 45 A8 C6 00 FF 8D 45 A9 66 C7 00 0A 00 8D 45 AB B9 3F 00 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 0A 8D 54 05 A2 66 C7 02 30 10 8D 54 05 A4 33 C9 89 0A 8D 55 A8 8B C8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2B C6 89 45 F8 8B D6 83 EA 04 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 03 D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1899_0 {
	meta:
		name = "TStream.ReadResHeader"
		size = 177
		refs = "0013 TStream.ReadResHeader 0028 @FillChar 0055 StrLen 0071 SInvalidImage 0076 LoadResString 0080 _DV_EInvalidImage 0085 Exception.Create 008a @RaiseExcept 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 33 D2 89 55 AC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B0 33 C9 BA 50 00 00 00 E8 ?? ?? ?? ?? 8D 55 B0 B9 4F 00 00 00 8B C3 8B 30 FF 56 04 8B F0 8D 45 B0 80 38 FF 75 28 8D 45 B1 66 83 38 0A 75 1F 8D 45 B0 83 C0 03 E8 ?? ?? ?? ?? 8B D0 83 C2 0A 2B D6 66 B9 01 00 8B C3 8B 18 FF 53 0C EB 21 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1900_0 {
	meta:
		name = "TEventDispatch.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
		altNames = "THandleStream.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_1901_0 {
	meta:
		name = "THandleStream.Read"
		size = 16
		refs = "0004 FileRead"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_1902_0 {
	meta:
		name = "THandleStream.Write"
		size = 16
		refs = "0004 FileWrite"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_1903_0 {
	meta:
		name = "THandleStream.Seek"
		size = 12
		refs = "0007 FileSeek"
	strings:
		$1 = { 0F B7 C9 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1904_0 {
	meta:
		name = "THandleStream.SetSize"
		size = 30
		refs = "0012 SetEndOfFile 0017 Win32Check"
	strings:
		$1 = { 53 56 8B D8 33 C9 8B C3 8B 30 FF 56 0C 8B 43 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1905_0 {
	meta:
		name = "TFileStream.Create"
		size = 249
		refs = "0016 @ClassCreate 0028 TFileStream.Create 003c FileCreate 005a SFCreateError 005f LoadResString 0069 _DV_EFCreateError 006e Exception.CreateFmt 0073 @RaiseExcept 007f FileOpen 009d SFOpenError 00ac _DV_EFOpenError 00cb @LStrClr 00d1 @HandleFinally 00e0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FF FF FF 75 40 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 04 85 FF 7D 71 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 41 0F B7 D7 8B C6 E8 ?? ?? ?? ?? 89 43 04 83 7B 04 00 7D 2E 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1906_0 {
	meta:
		name = "TFileStream.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 FileClose 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 7C 05 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1907_0 {
	meta:
		name = "TCustomMemoryStream.SetPointer"
		size = 7
	strings:
		$1 = { 89 50 04 89 48 08 C3 }
	condition:
		$1
}

rule function_1908_0 {
	meta:
		name = "TCustomMemoryStream.Read"
		size = 56
		refs = "0027 Move"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 0C 85 FF 7C 24 85 C9 7C 20 8B 73 08 2B F7 85 F6 7E 17 3B CE 7D 02 8B F1 8B 43 04 03 C7 8B CE E8 ?? ?? ?? ?? 01 73 0C EB 02 33 F6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1909_0 {
	meta:
		name = "TCustomMemoryStream.Seek"
		size = 35
	strings:
		$1 = { 66 83 E9 01 72 09 74 0C 66 FF C9 74 0C EB 10 89 50 0C EB 0B 01 50 0C EB 06 03 50 08 89 50 0C 8B 40 0C C3 }
	condition:
		$1
}

rule function_1910_0 {
	meta:
		name = "TCustomMemoryStream.SaveToStream"
		size = 22
		refs = "0010 TStream.WriteBuffer"
	strings:
		$1 = { 53 8B 48 08 85 C9 74 0C 8B 58 04 87 DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1911_0 {
	meta:
		name = "TCustomMemoryStream.SaveToFile"
		size = 86
		refs = "000f _DV_TFileStream 0016 TFileStream.Create 0021 TCustomMemoryStream.SaveToFile 0031 TCustomMemoryStream.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5229_0 {
	meta:
		name = "TBlobField.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TBlobField.SaveToFile 0031 TBlobField.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5827_0 {
	meta:
		name = "TClientDataSet.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TClientDataSet.SaveToFile 0031 TClientDataSet.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15067_0 {
	meta:
		name = "TCustomOutline.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TCustomOutline.SaveToFile 0031 TCustomOutline.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2678_0 {
	meta:
		name = "TCustomTreeView.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TCustomTreeView.SaveToFile 0031 TCustomTreeView.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6657_0 {
	meta:
		name = "TDBGridColumns.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TDBGridColumns.SaveToFile 0031 TDBGridColumns.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14310_0 {
	meta:
		name = "TOleContainer.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TOleContainer.SaveToFile 0031 TOleContainer.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1913_0 {
	meta:
		name = "TMemoryStream.Clear"
		size = 24
		refs = "0008 TMemoryStream.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_1914_0 {
	meta:
		name = "TMemoryStream.LoadFromStream"
		size = 53
		refs = "000c TStream.SetPosition 0013 TStream.GetSize 002d TStream.ReadBuffer"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 8B 08 FF 11 85 DB 74 0C 8B 56 04 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1915_0 {
	meta:
		name = "TMemoryStream.LoadFromFile"
		size = 83
		refs = "000c _DV_TFileStream 0013 TFileStream.Create 001e TMemoryStream.LoadFromFile 002e TMemoryStream.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5225_0 {
	meta:
		name = "TBlobField.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TBlobField.LoadFromFile 002e TBlobField.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5826_0 {
	meta:
		name = "TClientDataSet.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TClientDataSet.LoadFromFile 002e TClientDataSet.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15059_0 {
	meta:
		name = "TCustomOutline.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TCustomOutline.LoadFromFile 002e TCustomOutline.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2676_0 {
	meta:
		name = "TCustomTreeView.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TCustomTreeView.LoadFromFile 002e TCustomTreeView.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6652_0 {
	meta:
		name = "TDBGridColumns.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TDBGridColumns.LoadFromFile 002e TDBGridColumns.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14295_0 {
	meta:
		name = "TOleContainer.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TOleContainer.LoadFromFile 002e TOleContainer.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1916_0 {
	meta:
		name = "TMemoryStream.SetCapacity"
		size = 37
		refs = "0018 TCustomMemoryStream.SetPointer"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B D4 8B C3 8B 08 FF 51 10 8B D0 8B 4B 08 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 10 5A 5B C3 }
	condition:
		$1
}

rule function_1917_0 {
	meta:
		name = "TMemoryStream.SetSize"
		size = 43
		refs = "000f TMemoryStream.SetCapacity"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 3B F7 7D 0D 66 B9 02 00 33 D2 8B C3 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1918_0 {
	meta:
		name = "TMemoryStream.Realloc"
		size = 190
		refs = "000c TMemoryStream.Realloc 0041 GlobalFreePtr 004e HeapAllocFlags 0058 GlobalAllocPtr 006e GlobalReAllocPtr 007c SMemoryStreamError 0081 LoadResString 008b _DV_EStreamError 0090 Exception.Create 0095 @RaiseExcept 00aa @LStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3A 00 7E 10 8B 0A 81 C1 FF 1F 00 00 81 E1 00 E0 FF FF 89 0A 8B 70 04 8B DE 8B 3A 8B 48 10 3B F9 74 60 83 3A 00 75 0B 8B C6 E8 ?? ?? ?? ?? 33 DB EB 50 85 C9 75 13 A1 ?? ?? ?? ?? 0F B7 00 8B 12 E8 ?? ?? ?? ?? 8B D8 EB 14 8B 0D ?? ?? ?? ?? 0F B7 09 8B 12 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1919_0 {
	meta:
		name = "TMemoryStream.Write"
		size = 80
		refs = "002c TMemoryStream.SetCapacity 003e Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 43 0C 85 C0 7C 38 85 F6 7C 34 8B F8 03 FE 85 FF 7E 2C 3B 7B 08 7E 11 3B 7B 10 7E 09 8B D7 8B C3 E8 ?? ?? ?? ?? 89 7B 08 8B 53 04 03 53 0C 8B C5 8B CE E8 ?? ?? ?? ?? 89 7B 0C 8B C6 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1920_0 {
	meta:
		name = "TStringStream.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @LStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1921_0 {
	meta:
		name = "TStringStream.Read"
		size = 61
		refs = "000e @LStrLen 0021 UniqueString 002f Move"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 2B 73 08 3B FE 7D 02 8B F7 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 03 C2 8B D5 8B CE E8 ?? ?? ?? ?? 01 73 08 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1922_0 {
	meta:
		name = "TStringStream.Write"
		size = 54
		refs = "0012 @LStrSetLength 001a UniqueString 0029 Move"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B F1 8B 53 08 03 D6 8D 43 04 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 8D 14 10 8B C7 8B CE E8 ?? ?? ?? ?? 01 73 08 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1923_0 {
	meta:
		name = "TStringStream.Seek"
		size = 87
		refs = "0023 @LStrLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 E9 01 72 09 74 0C 66 FF C9 74 0C EB 17 89 73 08 EB 12 01 73 08 EB 0D 8B 43 04 E8 ?? ?? ?? ?? 2B C6 89 43 08 8B 43 04 E8 ?? ?? ?? ?? 3B 43 08 7D 0D 8B 43 04 E8 ?? ?? ?? ?? 89 43 08 EB 0B 83 7B 08 00 7D 05 33 C0 89 43 08 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_1924_0 {
	meta:
		name = "TStringStream.ReadString"
		size = 60
		refs = "000e @LStrLen 0021 UniqueString 0030 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 2B 73 08 3B FE 7D 02 8B F7 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 8D 14 10 8B C5 8B CE E8 ?? ?? ?? ?? 01 73 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1925_0 {
	meta:
		name = "TStringStream.WriteString"
		size = 34
		refs = "0009 @LStrLen 0011 @LStrToPChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_1926_0 {
	meta:
		name = "TStringStream.SetSize"
		size = 27
		refs = "000c @LStrSetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 04 8B D6 E8 ?? ?? ?? ?? 3B 73 08 7D 03 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_1927_0 {
	meta:
		name = "TResourceStream.Create"
		size = 86
		refs = "000e @ClassCreate 001d TObject.Create 0029 @LStrToPChar 0034 TResourceStream.Initialize 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1928_0 {
	meta:
		name = "TResourceStream.CreateFromID"
		size = 79
		refs = "000e @ClassCreate 001d TObject.Create 002d TResourceStream.Initialize 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1929_0 {
	meta:
		name = "Error"
		size = 129
		refs = "0012 Error 0024 SResNotFound 0029 LoadResString 0043 Format 004d _DV_EResNotFound 0052 Exception.Create 0057 @RaiseExcept 0071 @LStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 08 8B 52 FC 89 55 F0 C6 45 F4 06 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_1930_0 {
	meta:
		name = "TResourceStream.Initialize"
		size = 108
		refs = "0018 FindResource 0027 Error 0032 LoadResource 004c SizeofResource 0056 LockResource 0060 TCustomMemoryStream.SetPointer"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 45 FC 50 56 E8 ?? ?? ?? ?? 8B F8 89 7B 10 85 FF 75 07 55 E8 ?? ?? ?? ?? 59 8B 43 10 50 56 E8 ?? ?? ?? ?? 8B F8 89 7B 14 85 FF 75 07 55 E8 ?? ?? ?? ?? 59 8B 43 10 50 56 E8 ?? ?? ?? ?? 50 8B 43 14 50 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1931_0 {
	meta:
		name = "TResourceStream.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 000f UnlockResource 0018 FreeResource 0024 TObject.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 14 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1932_0 {
	meta:
		name = "TResourceStream.Write"
		size = 88
		refs = "000a TResourceStream.Write 0018 SCantWriteResourceStreamError 001d LoadResString 0027 _DV_EStreamError 002c Exception.Create 0031 @RaiseExcept 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_1933_0 {
	meta:
		name = "TFiler.Create"
		size = 71
		refs = "000e @ClassCreate 001f @GetMem 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 75 08 89 4F 04 8B C6 E8 ?? ?? ?? ?? 89 47 08 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1934_0 {
	meta:
		name = "TFiler.Destroy"
		size = 40
		refs = "0003 @BeforeDestruction 0016 @FreeMem 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 08 8B 56 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1935_0 {
	meta:
		name = "TPropFixup.Create"
		size = 87
		refs = "000d @ClassCreate 002b @LStrAsg 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8B 45 14 89 46 08 8B 45 10 89 46 0C 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 8D 46 14 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_1936_0 {
	meta:
		name = "AddFinished"
		size = 56
		refs = "000f TList.IndexOf 0031 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 1E 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1937_0 {
	meta:
		name = "AddNotFinished"
		size = 69
		refs = "000f TList.IndexOf 0020 TList.Delete 003e TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 83 F8 FF 74 0C 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_1938_0 {
	meta:
		name = "GlobalFixupReferences"
		size = 496
		refs = "000b FindGlobalComponent 0017 GlobalNameSpace 001c TMultiReadExclusiveWriteSynchronizer.BeginWrite 0024 GlobalFixupReferences 002f GlobalFixupList 0034 TThreadList.LockList 0055 _DV_TList 005a TObject.Create 0098 TList.Get 00b7 GetOrdProp 00cc TComponent.FindComponent 00e2 CompareText 00fa SetOrdProp 0103 AddFinished 010d TList.Delete 0114 TObject.Free 011f AddNotFinished 0145 @HandleFinally 0169 _DV_TComponent 016e @IsClass 01ae TThreadList.UnlockList 01cd TMultiReadExclusiveWriteSynchronizer.EndWrite"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 83 3D ?? ?? ?? ?? 00 0F 84 C3 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 08 00 0F 8E 49 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 E9 92 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 43 10 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 0F 8B 53 0C 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 5B 83 7D F4 00 74 39 8B 53 14 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 17 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 06 8B 45 F4 89 45 F0 8B 53 0C 8B 43 04 8B 4D F0 E8 ?? ?? ?? ?? 55 8B 43 04 E8 ?? ?? ?? ?? 59 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0B 55 8B 43 04 E8 ?? ?? ?? ?? 59 46 3B 77 08 0F 8C 65 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 58 08 4B 85 DB 7C 28 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 80 67 20 7F 46 4B 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 4F 57 4E 45 52 00 00 00 }
	condition:
		$1
}

rule function_1939_0 {
	meta:
		name = "NameInStrings"
		size = 131
		refs = "0018 NameInStrings 004c CompareText 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 23 43 33 F6 8D 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 08 46 4B 75 E0 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1940_0 {
	meta:
		name = "GetFixupReferenceNames"
		size = 152
		refs = "000f GlobalFixupList 0014 TThreadList.LockList 001f GetFixupReferenceNames 0043 TList.Get 0059 NameInStrings 0085 TThreadList.UnlockList 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 70 08 4E 85 F6 7C 3E 46 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 FF 74 05 3B 7B 08 75 1A 8B 53 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0B 8B 53 10 8B 45 FC 8B 08 FF 51 34 FF 45 F8 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1941_0 {
	meta:
		name = "RedirectFixupReferences"
		size = 160
		refs = "0012 GlobalFixupList 0017 TThreadList.LockList 0022 RedirectFixupReferences 0046 TList.Get 005c CompareText 006b @LStrAsg 0076 GlobalFixupReferences 008d TThreadList.UnlockList 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 70 08 4E 85 F6 7C 3E 46 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 85 FF 74 05 3B 7B 08 75 1A 8B 53 10 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0B 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? FF 45 F4 4E 75 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1942_0 {
	meta:
		name = "RemoveFixupReferences"
		size = 169
		refs = "0011 GlobalFixupList 0022 TThreadList.LockList 002c RemoveFixupReferences 0044 TList.Get 0065 CompareText 0072 TList.Delete 0079 TObject.Free 0096 TThreadList.UnlockList 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 83 3D ?? ?? ?? ?? 00 0F 84 86 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 83 FB 00 7C 44 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 83 7D FC 00 74 08 8B 46 08 3B 45 FC 75 25 83 7D F8 00 74 0F 8B 56 10 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 10 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1943_0 {
	meta:
		name = "RemoveFixups"
		size = 132
		refs = "000c GlobalFixupList 0019 TThreadList.LockList 0023 RemoveFixups 003b TList.Get 004e TList.Delete 0055 TObject.Free 0072 TThreadList.UnlockList 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 83 3D ?? ?? ?? ?? 00 74 6B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 83 FB 00 7C 29 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 46 04 3B 45 FC 75 10 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1944_0 {
	meta:
		name = "GetFixupInstanceNames"
		size = 162
		refs = "0013 GlobalFixupList 0018 TThreadList.LockList 0023 GetFixupInstanceNames 0041 TList.Get 0056 CompareText 0065 NameInStrings 008f TThreadList.UnlockList 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 70 08 4E 85 F6 7C 44 46 33 FF 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 43 08 3B 45 FC 75 29 8B 53 10 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1A 8B 53 14 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 53 14 8B 45 F4 8B 08 FF 51 34 47 4E 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1948_0 {
	meta:
		name = "EnumValue"
		size = 22
		refs = "0002 GetEnumValue 000e PropValueError"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_1949_0 {
	meta:
		name = "TReader.Destroy"
		size = 57
		refs = "0004 @BeforeDestruction 0026 TFiler.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 10 2B 56 14 66 B9 01 00 8B 46 04 8B 38 FF 57 0C 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1950_0 {
	meta:
		name = "TReader.BeginReferences"
		size = 102
		refs = "000d _DV_TList 0012 TObject.Create 0020 TReader.BeginReferences 0047 @HandleAnyException 0052 TObject.Free 0057 @RaiseAgain 005c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1951_0 {
	meta:
		name = "TReader.CheckValue"
		size = 35
		refs = "0009 TReader.ReadValue 0017 TReader.SkipValue 001c PropValueError"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 0F FF 4E 10 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1952_0 {
	meta:
		name = "TReader.DefineProperty"
		size = 52
		refs = "000f CompareText 002a @LStrClr"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 53 60 8B C6 E8 ?? ?? ?? ?? 85 C0 75 17 66 83 7D 12 00 74 10 8B D3 8B 45 14 FF 55 10 8D 43 60 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_1953_0 {
	meta:
		name = "TReader.DefineBinaryProperty"
		size = 217
		refs = "0015 CompareText 0030 TReader.ReadValue 0042 TReader.SkipValue 004e PropValueError 0055 _DV_TMemoryStream 005a TObject.Create 0065 TReader.DefineBinaryProperty 007b TReader.Read 00bb TObject.Free 00c1 @HandleFinally 00ce @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC 8B 50 60 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 B1 00 00 00 66 83 7D 12 00 0F 84 A6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3C 0A 74 1A 8B 45 FC FF 48 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 5C 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 11 8B 45 F8 8B 50 04 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 5C 01 8B 55 F8 8B 45 14 FF 55 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 60 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_1954_0 {
	meta:
		name = "TReader.EndOfList"
		size = 20
		refs = "0006 TReader.ReadValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 FF 4B 10 5B C3 }
	condition:
		$1
}

rule function_1955_0 {
	meta:
		name = "TReader.EndReferences"
		size = 25
		refs = "0006 TReader.FreeFixups 000e TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 33 C0 89 43 30 5B C3 }
	condition:
		$1
}

rule function_1956_0 {
	meta:
		name = "TReader.Error"
		size = 32
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 56 00 74 0D 54 8B D8 8B CA 8B D0 8B 43 58 FF 53 54 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_1957_0 {
	meta:
		name = "TReader.FindMethod"
		size = 102
		refs = "001b @LStrToString 0026 TObject.MethodAddress 0055 PropValueError"
	strings:
		$1 = { 53 56 57 81 C4 F8 FE FF FF 8B F1 8B FA 8B D8 8D 44 24 08 8B D6 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B 07 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 0F 94 44 24 04 66 83 7B 36 00 74 10 54 8D 44 24 08 50 8B CE 8B D3 8B 43 38 FF 53 34 80 7C 24 04 00 74 05 E8 ?? ?? ?? ?? 8B 04 24 81 C4 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1958_0 {
	meta:
		name = "TReader.DoFixupReferences"
		size = 256
		refs = "0015 TReader.DoFixupReferences 0055 TList.Get 0062 @LStrLAsg 007b TComponent.FindComponent 008e CompareText 00a5 SetOrdProp 00c0 TReader.FreeFixups 00c6 @HandleFinally 00dd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 2C 85 C0 0F 84 9F 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 78 08 4F 85 FF 7C 6C 47 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 2C 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B 53 14 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8B 45 FC 8B 40 18 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 75 17 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 06 8B 45 FC 8B 70 18 8B 53 0C 8B 43 04 8B CE E8 ?? ?? ?? ?? FF 45 F8 4F 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 4F 57 4E 45 52 00 00 00 }
	condition:
		$1
}

rule function_1959_0 {
	meta:
		name = "TReader.FixupReferences"
		size = 54
		refs = "0008 TReader.DoFixupReferences 000d GlobalFixupReferences 0025 TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 30 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 30 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1960_0 {
	meta:
		name = "TReader.FlushBuffer"
		size = 32
		refs = "0006 TReader.GetPosition 0010 TStream.SetPosition"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 33 C0 89 43 14 5B C3 }
	condition:
		$1
}

rule function_1961_0 {
	meta:
		name = "TReader.FreeFixups"
		size = 59
		refs = "001d TList.Get 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 2C 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 43 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1962_0 {
	meta:
		name = "TReader.GetPosition"
		size = 21
		refs = "0007 TStream.GetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B 53 14 2B 53 10 2B C2 5B C3 }
	condition:
		$1
}

rule function_1963_0 {
	meta:
		name = "TReader.NextValue"
		size = 15
		refs = "0006 TReader.ReadValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 4B 10 5B C3 }
	condition:
		$1
}

rule function_1965_0 {
	meta:
		name = "TReader.Read"
		size = 73
		refs = "0016 TReader.ReadBuffer"
	strings:
		$1 = { 56 57 53 89 D7 89 CB 89 C6 EB 36 8B 4E 14 2B 4E 10 77 0A 89 F0 E8 ?? ?? ?? ?? 8B 4E 14 39 D9 72 02 89 D9 56 29 CB 8B 46 08 03 46 10 01 4E 10 89 C6 89 CA C1 E9 02 FC F3 A5 89 D1 83 E1 03 F3 A4 5E 09 DB 75 C6 5B 5F 5E C3 }
	condition:
		$1
}

rule function_1966_0 {
	meta:
		name = "TReader.ReadBuffer"
		size = 118
		refs = "000d TReader.ReadBuffer 0032 SReadError 0037 LoadResString 0041 _DV_EReadError 0046 Exception.Create 004b @RaiseExcept 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 08 8B 4B 0C 8B 43 04 8B 30 FF 56 04 8B F0 89 73 14 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1967_0 {
	meta:
		name = "TReader.ReadBoolean"
		size = 17
		refs = "0006 TReader.ReadValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 09 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_1968_0 {
	meta:
		name = "TReader.ReadChar"
		size = 129
		refs = "0012 TReader.ReadChar 0021 TReader.CheckValue 0030 TReader.Read 0044 TReader.ReadStr 0049 PropValueError 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 06 8B C3 E8 ?? ?? ?? ?? 8D 55 FF B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8A 45 FF 3C 01 74 12 FF 4B 10 8D 55 F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FF B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1969_0 {
	meta:
		name = "TReader.ReadCollection"
		size = 172
		refs = "0017 TReader.ReadCollection 0024 TReader.EndOfList 0030 TCollection.Clear 0039 TReader.NextValue 0046 TReader.ReadInteger 004e TCollection.Add 0057 TReader.ReadListBegin 0062 TReader.ReadProperty 0074 TReader.ReadListEnd 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4C 8B 45 FC E8 ?? ?? ?? ?? EB 42 8B C3 E8 ?? ?? ?? ?? 04 FE 2C 03 73 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 B3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1970_0 {
	meta:
		name = "ComponentCreated"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 08 F6 40 FF 01 75 09 8B 45 08 83 78 F8 00 74 04 33 C0 5D C3 B0 01 5D C3 }
	condition:
		$1
}

rule function_1971_0 {
	meta:
		name = "Recover"
		size = 94
		refs = "000a ExceptObject 0010 _Dn_Exception 0015 @IsClass 0022 ComponentCreated 002e TObject.Free 003f TReader.SkipComponent"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 33 DB E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 07 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 8B 45 08 8B 40 F4 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 8B 40 F4 8B 08 FF 51 0C 8B D8 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1972_0 {
	meta:
		name = "CreateComponent"
		size = 120
		refs = "000a CreateComponent 0024 FindFieldClass 0051 @HandleAnyException 0060 Recover 006a @RaiseAgain 006f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 EC 8B 45 08 8B 40 F4 8B 40 18 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F4 8B 4A 24 B2 01 FF 50 2C 8B 55 08 89 42 F0 8B 45 08 8B 40 F0 80 48 20 01 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1973_0 {
	meta:
		name = "SetCompName"
		size = 117
		refs = "000a SetCompName 0028 @CallDynaInst 004e @HandleAnyException 005d Recover 0067 @RaiseAgain 006c @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 8B 50 28 8B 45 08 8B 40 F0 66 BB F9 FF E8 ?? ?? ?? ?? 8B 45 08 8D 48 E8 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1974_0 {
	meta:
		name = "FindExistingComponent"
		size = 139
		refs = "000a FindExistingComponent 0024 FindFieldClass 004c @CallDynaInst 0064 @HandleAnyException 0073 Recover 007d @RaiseAgain 0082 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 EC 8B 45 08 8B 40 F4 8B 40 18 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 E8 8B 45 08 8B 40 F4 8B 18 FF 53 1C 8B 55 08 89 42 F0 8B 45 08 8B 40 F0 66 BB F3 FF E8 ?? ?? ?? ?? 8B 55 08 8B 52 F4 89 42 28 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1975_0 {
	meta:
		name = "TReader.ReadComponent"
		size = 382
		refs = "001b TReader.ReadComponent 003a TReader.ReadStr 0074 FindExistingComponent 007d CreateComponent 00a9 SetCompName 00bd @TryFinallyExit 00f6 @CallDynaInst 0104 TList.Add 0113 @HandleAnyException 0119 ComponentCreated 0126 TObject.Free 012b @RaiseAgain 0130 @DoneExcept 014c @HandleFinally 0168 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D EC 89 4D E8 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 8D 55 FF 8B 45 F4 8B 18 FF 53 20 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 28 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 45 F0 83 7D F0 00 75 16 F6 45 FF 01 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 83 7D F0 00 0F 84 A8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 80 48 20 01 F6 45 FF 01 75 07 55 E8 ?? ?? ?? ?? 59 83 7D F0 00 75 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 8C 00 00 00 8B 45 F0 80 48 20 02 8B 55 F4 8B 45 F0 8B 08 FF 51 14 8B 45 F0 80 60 20 FD F6 45 FF 02 74 15 8B 45 F4 8B 40 28 8B 4D E4 8B 55 F0 66 BB FA FF E8 ?? ?? ?? ?? 8B 45 F4 8B 40 30 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 08 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 55 E0 89 50 28 C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1976_0 {
	meta:
		name = "TReader.ReadData"
		size = 112
		refs = "0016 _DV_TList 001b TObject.Create 0029 TReader.ReadData 0039 TReader.ReadDataInner 0041 TReader.DoFixupReferences 0056 TReader.FreeFixups 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 83 78 2C 00 75 4F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_1977_0 {
	meta:
		name = "TReader.ReadDataInner"
		size = 208
		refs = "0016 TReader.ReadProperty 001e TReader.EndOfList 002a TReader.ReadListEnd 0047 @CallDynaInst 0055 TReader.ReadDataInner 008a TReader.ReadComponent 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 89 45 FC EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 EA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 89 45 F8 8B 45 FC 8B 40 24 89 45 F4 8B C6 66 BB FB FF E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 66 BB FC FF E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 78 24 85 FF 75 18 8B 45 FC 8B 40 18 8B 55 FC 89 42 24 EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 EA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 28 8B 45 FC 8B 55 F4 89 50 24 C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1978_0 {
	meta:
		name = "TReader.ReadFloat"
		size = 63
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInteger"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 05 75 10 8B D4 B9 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 16 FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 3C 24 9B DB 2C 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_1979_0 {
	meta:
		name = "TReader.ReadSingle"
		size = 62
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInteger"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 0F 75 10 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 16 FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 DB 44 24 04 D9 1C 24 9B D9 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_1980_0 {
	meta:
		name = "TReader.ReadCurrency"
		size = 76
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInteger 0035 TReader.ReadCurrency"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 10 75 10 8B D4 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 1C FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 83 C4 0C 5B C3 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_1981_0 {
	meta:
		name = "TReader.ReadDate"
		size = 63
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInteger"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 11 75 10 8B D4 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 16 FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_1982_0 {
	meta:
		name = "TReader.ReadIdent"
		size = 180
		refs = "000a TReader.ReadValue 002a TReader.Read 0038 @LStrFromPCharLen 003f UniqueString 0056 TReader.ReadIdent 005b @LStrLAsg 007e PropValueError"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 2C 07 74 0E FE C8 74 3D FE C8 74 47 2C 04 74 51 EB 5D 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 0C 24 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8A 0C 24 8B C3 E8 ?? ?? ?? ?? EB 2F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 03 00 00 00 6E 69 6C 00 }
	condition:
		$1
}

rule function_1983_0 {
	meta:
		name = "TReader.ReadInteger"
		size = 107
		refs = "0009 TReader.ReadValue 0027 TReader.Read 0060 PropValueError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 2C 02 74 0A FE C8 74 20 FE C8 74 36 EB 44 8D 54 24 04 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F BE 44 24 04 89 04 24 EB 2F 8D 54 24 06 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F BF 44 24 06 89 04 24 EB 15 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_1984_0 {
	meta:
		name = "TReader.ReadListBegin"
		size = 8
		refs = "0003 TReader.CheckValue"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9046_0 {
	meta:
		name = "TApplication.NormalizeAllTopMosts"
		size = 8
		refs = "0003 TApplication.DoNormalizeTopMosts"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12638_0 {
	meta:
		name = "TBaseArray.GetAutoSize"
		size = 8
		refs = "0003 TBaseArray.HasFlag"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16582_0 {
	meta:
		name = "TCustomQuickRep.Preview"
		size = 8
		refs = "0003 TCustomQuickRep.PreviewIt"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16583_0 {
	meta:
		name = "TCustomQuickRep.PreviewModal"
		size = 8
		refs = "0003 TCustomQuickRep.PreviewIt"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19542_0 {
	meta:
		name = "TCustomTeePanel.PrintLandscape"
		size = 8
		refs = "0003 TCustomTeePanel.PrintOrientation"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14953_0 {
	meta:
		name = "TOutlineNode.Expand"
		size = 8
		refs = "0003 TOutlineNode.SetExpandedState"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7462_0 {
	meta:
		name = "TQuery.CreateHandle"
		size = 8
		refs = "0003 TQuery.CreateCursor"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7061_0 {
	meta:
		name = "TSession.Open"
		size = 8
		refs = "0003 TSession.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7417_0 {
	meta:
		name = "TStoredProc.CreateHandle"
		size = 8
		refs = "0003 TStoredProc.CreateCursor"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2523_0 {
	meta:
		name = "TTreeNode.GetDropTarget"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2043_0 {
	meta:
		name = "TWriter.WriteListBegin"
		size = 8
		refs = "0003 TWriter.WriteValue"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1986_0 {
	meta:
		name = "TReader.ReadPrefix"
		size = 64
		refs = "000a TReader.ReadPrefix 0013 TReader.NextValue 0020 TReader.ReadValue 0030 TReader.ReadInteger"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 A0 ?? ?? ?? ?? 88 06 8B C3 E8 ?? ?? ?? ?? 24 F0 3C F0 75 19 8B C3 E8 ?? ?? ?? ?? 24 0F 88 06 F6 06 02 74 09 8B C3 E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1987_0 {
	meta:
		name = "HandleException"
		size = 286
		refs = "001b HandleException 0029 @LStrClr 0035 _DV_TComponent 003a @IsClass 004f @LStrLAsg 0068 TObject.ClassName 0076 @LStrFromString 008b DotSep 00d1 SPropertyException 00d6 LoadResString 00e3 _DV_EReadError 00e8 Exception.CreateFmt 00ed @RaiseExcept 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FE FF FF 53 33 D2 89 95 D8 FE FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8D 45 FC 8B 55 08 8B 52 FC 8B 52 08 E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 95 FC FE FF FF 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 85 DC FE FF FF C6 85 E0 FE FF FF 0B A1 ?? ?? ?? ?? 8B 00 89 85 E4 FE FF FF C6 85 E8 FE FF FF 0B 8B 45 08 8B 40 F8 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8B 43 04 89 85 F4 FE FF FF C6 85 F8 FE FF FF 0B 8D 85 DC FE FF FF 50 6A 03 8D 95 D8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D D8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1988_0 {
	meta:
		name = "PropPathError"
		size = 83
		refs = "0009 PropPathError 001a TReader.SkipValue 0022 SInvalidPropertyPath 0027 LoadResString 002f ReadError 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1989_0 {
	meta:
		name = "TReader.ReadProperty"
		size = 466
		refs = "0018 TReader.ReadProperty 0037 TReader.ReadStr 0052 @LStrLen 0089 @LStrCopy 0097 TObject.ClassInfo 00a2 GetPropInfo 00b0 TReader.PropertyError 00c8 GetOrdProp 00d4 _DV_TPersistent 00d9 @IsClass 00e3 PropPathError 0118 TReader.ReadPropValue 0153 @HandleOnException 015b _Dn_Exception 0165 HandleException 016b @DoneExcept 01a5 @RaiseAgain 01bf @LStrClr 01c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F8 89 55 FC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BB 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 45 F0 8B 45 F4 C6 40 5C 01 8B FB EB 01 43 3B F3 7C 0A 8B 45 F8 80 7C 18 FF 2E 75 F1 8B 45 F4 83 C0 60 50 8B CB 2B CF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 3B F3 7C 63 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 60 E8 ?? ?? ?? ?? 8B F8 85 FF 75 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 07 8B 00 80 38 07 75 0D 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 EC 89 45 F0 43 E9 71 FF FF FF 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 60 E8 ?? ?? ?? ?? 8B F8 85 FF 74 0F 8B CF 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 2A 8B 45 F4 C6 40 5C 00 8B 55 F4 8B 45 F0 8B 08 FF 51 04 8B 45 F4 C6 40 5C 01 8B 45 F4 83 78 60 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F4 80 78 5C 00 74 0F 8B 53 04 8B 45 F4 8B 08 FF 51 0C 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1990_0 {
	meta:
		name = "SetIntIdent"
		size = 180
		refs = "001c IntConstList 0021 TThreadList.LockList 002c SetIntIdent 004a TList.Get 0086 TThreadList.UnlockList 008c @HandleFinally 00a2 SetOrdProp 00a9 PropValueError"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F4 89 55 F8 89 45 FC C6 45 EF 00 33 C0 89 45 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 70 08 4E 85 F6 7C 32 46 33 FF 8B D7 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 00 8B 00 3B 43 04 75 13 8D 55 F0 8B 45 F4 FF 53 08 84 C0 74 06 C6 45 EF 01 EB 04 47 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 80 7D EF 00 74 10 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1991_0 {
	meta:
		name = "SetObjectIdent"
		size = 236
		refs = "0017 SetObjectIdent 0025 @LStrClr 002f @LStrLAsg 003b @LStrPos 0054 @LStrCopy 0086 _DV_TPropFixup 008b TPropFixup.Create 00a3 TList.Add 00ac GlobalFixupList 00b1 TThreadList.Add 00cb @LStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 26 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 56 01 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 18 50 8B 45 FC 50 8B 45 F8 50 8B 45 F4 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 7D F8 00 75 12 8B 45 08 8B 40 FC 8B 40 2C 8B D3 E8 ?? ?? ?? ?? EB 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_1992_0 {
	meta:
		name = "ReadVariantProp"
		size = 516
		refs = "0010 ReadVariantProp 0021 TReader.NextValue 008e TReader.ReadValue 009a @VarClear 00a8 Null 00ad @VarCopy 00bd TReader.ReadInteger 00f7 TReader.ReadFloat 010b TReader.ReadSingle 011f TReader.ReadCurrency 0133 TReader.ReadDate 0147 TReader.ReadString 0152 @VarFromLStr 0162 TReader.ReadWideString 016d @VarFromWStr 0191 SReadError 0196 LoadResString 01a0 _DV_EReadError 01a5 Exception.Create 01aa @RaiseExcept 01b6 ValTtoVarT 01ce SetVariantProp 01e3 @WStrClr 01eb @LStrClr 01f3 @VarClr 01f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 33 C0 8A C3 83 F8 12 0F 87 59 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 0D 75 0D 8D 45 F0 E8 ?? ?? ?? ?? E9 0B 01 00 00 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F8 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 88 45 F8 E9 E5 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 66 89 45 F8 E9 D1 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 E9 BE 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? DD 5D F8 9B E9 AA 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? D9 5D F8 9B E9 96 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? DF 7D F8 9B E9 82 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? DD 5D F8 9B EB 71 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? EB 56 8D 55 E8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F0 E8 ?? ?? ?? ?? EB 3B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 09 0F 94 C0 F6 D8 1B C0 66 89 45 F8 EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8A C3 66 8B 04 85 ?? ?? ?? ?? 66 89 45 F0 8D 4D F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1993_0 {
	meta:
		name = "TReader.ReadPropValue"
		size = 616
		refs = "0019 TReader.ReadPropValue 0030 SReadOnlyProperty 0035 LoadResString 003d ReadError 0094 TReader.NextValue 00a3 TReader.ReadIdent 00b1 SetIntIdent 00be TReader.ReadInteger 00cb SetOrdProp 00d8 TReader.ReadChar 0101 EnumValue 011b TReader.ReadFloat 012d SetFloatProp 013d TReader.ReadString 014b SetStrProp 015a TReader.ReadSet 0186 TReader.ReadValue 01ab GetOrdProp 01b5 TReader.ReadCollection 01d4 SetObjectIdent 01f0 NilMethod 01fb SetMethodProp 0241 ReadVariantProp 0257 @LStrClr 025d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 08 00 75 15 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 00 8B 18 33 C0 8A 03 83 F8 0C 0F 87 F1 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3C 07 75 1E 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 8C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 72 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8A C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 56 01 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 2F 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 10 01 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 F2 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 D6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 2C 0D 74 06 FE C8 74 1C EB 3C 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 AA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? E9 88 00 00 00 55 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 6B 8B 45 FC E8 ?? ?? ?? ?? 3C 0D 75 1A 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 45 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8B 45 FC 8B 50 18 8B 45 FC 8B 18 FF 53 10 89 45 EC 8B 45 FC 8B 40 18 89 45 F0 83 7D EC 00 74 17 8D 4D EC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1994_0 {
	meta:
		name = "FindUniqueName"
		size = 112
		refs = "0012 @LStrClr 0018 FindGlobalComponent 0024 @LStrLAsg 0043 FindUniqueName 0048 Format"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 8B F8 33 F6 8B C3 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 39 8B C3 8B D7 E8 ?? ?? ?? ?? EB 22 46 53 89 7D F0 C6 45 F4 0B 89 75 F8 C6 45 FC 00 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 FF 15 ?? ?? ?? ?? 85 C0 75 D2 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 25 73 5F 25 64 00 00 00 }
	condition:
		$1
}

rule function_1995_0 {
	meta:
		name = "TReader.ReadRootComponent"
		size = 624
		refs = "001b TReader.ReadRootComponent 0029 TReader.ReadSignature 0033 GlobalNameSpace 0038 TMultiReadExclusiveWriteSynchronizer.BeginWrite 0073 TReader.ReadStr 007b FindClass 00da FindUniqueName 00f3 @GetTls 00f9 GlobalLoaded 0116 _DV_TList 011b TObject.Create 0140 TList.Add 01aa TList.Get 01db TObject.Free 01e9 @HandleFinally 01f0 GlobalFixupReferences 01ff @HandleAnyException 0209 RemoveFixupReferences 021c @RaiseAgain 0221 @DoneExcept 0238 TMultiReadExclusiveWriteSynchronizer.EndWrite 025a @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8D 55 EF 8B 45 FC 8B 18 FF 53 20 83 7D F8 00 75 35 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C9 B2 01 FF 50 2C 89 45 F4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 18 EB 48 8B 45 F8 89 45 F4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 F6 40 20 10 74 0D 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 21 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 18 8B 45 FC 8B 55 F4 89 50 18 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 13 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 55 FC 89 42 30 EB 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 18 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 55 FC 89 42 24 8B 45 FC 8B 40 18 80 48 20 01 8B 45 FC 8B 40 18 80 48 20 02 8B 45 FC 8B 40 18 8B 55 FC 8B 08 FF 51 14 8B 45 FC 8B 40 18 80 60 20 FD E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 2F 8B 45 FC 8B 40 30 8B 58 08 4B 85 DB 7C 21 43 C7 45 F0 00 00 00 00 8B 45 FC 8B 40 30 8B 55 F0 E8 ?? ?? ?? ?? 8B 10 FF 52 0C FF 45 F0 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 0B 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 30 C3 E9 ?? ?? ?? ?? EB D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 08 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1996_0 {
	meta:
		name = "TReader.ReadComponents"
		size = 144
		refs = "001d TReader.BeginReferences 0025 TReader.ReadComponents 0035 TReader.ReadSignature 003f TReader.ReadComponent 0056 TReader.EndOfList 0062 TReader.ReadListEnd 006a TReader.FixupReferences 007f TReader.EndReferences 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 89 50 18 8B 45 FC 89 50 24 8B 45 FC 89 48 28 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 21 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 66 83 7D 0A 00 74 08 8B D0 8B 45 0C FF 55 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1997_0 {
	meta:
		name = "TReader.ReadSet"
		size = 186
		refs = "0017 TReader.ReadSet 0033 TReader.ReadValue 003c PropValueError 0043 GetTypeData 0055 TReader.ReadStr 0065 EnumValue 007e @HandleAnyException 0086 TReader.SkipSetBody 008b @RaiseAgain 0090 @DoneExcept 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 3C 0B 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 01 8B 30 33 DB 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 14 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 83 F8 1F 77 E0 0F AB C3 EB DB 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1998_0 {
	meta:
		name = "TReader.ReadSignature"
		size = 103
		refs = "000f TReader.ReadSignature 0022 TReader.Read 002b FilerSignature 0035 SInvalidImage 003a LoadResString 0042 ReadError 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 3B 05 ?? ?? ?? ?? 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_1999_0 {
	meta:
		name = "TReader.ReadStr"
		size = 60
		refs = "0011 TReader.Read 001f @LStrFromPCharLen 0026 UniqueString"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 0C 24 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2000_0 {
	meta:
		name = "TReader.ReadString"
		size = 94
		refs = "000f TReader.ReadValue 0027 TReader.Read 003e PropValueError 004a @LStrFromPCharLen"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 8B C3 E8 ?? ?? ?? ?? 2C 06 74 06 2C 06 74 12 EB 20 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 15 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B C6 8B 0C 24 33 D2 E8 ?? ?? ?? ?? 8B 16 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2001_0 {
	meta:
		name = "TReader.ReadWideString"
		size = 70
		refs = "000f TReader.ReadValue 0018 PropValueError 0026 TReader.Read 0030 @WStrSetLength"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 8B C3 E8 ?? ?? ?? ?? 3C 12 74 05 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 0C 24 03 C9 8B 16 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2002_0 {
	meta:
		name = "TReader.ReadValue"
		size = 18
		refs = "0009 TReader.Read"
	strings:
		$1 = { 51 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8A 04 24 5A C3 }
	condition:
		$1
}

rule function_2003_0 {
	meta:
		name = "TReader.SetPosition"
		size = 23
		refs = "0007 TStream.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 33 C0 89 43 14 5B C3 }
	condition:
		$1
}

rule function_2004_0 {
	meta:
		name = "TReader.SkipSetBody"
		size = 71
		refs = "000c TReader.SkipSetBody 001c TReader.ReadStr 0037 @LStrClr 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2005_0 {
	meta:
		name = "SkipList"
		size = 40
		refs = "000f TReader.SkipValue 0016 TReader.EndOfList 0021 TReader.ReadListEnd"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC EB 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EE 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_2006_0 {
	meta:
		name = "SkipBytes"
		size = 84
		refs = "002a TReader.Read"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 8B D8 85 DB 7E 3F 81 FB 00 01 00 00 7E 1E 8D 95 00 FF FF FF 8B 45 08 8B 40 FC B9 00 01 00 00 E8 ?? ?? ?? ?? 81 EB 00 01 00 00 EB 15 8D 95 00 FF FF FF 8B 45 08 8B 40 FC 8B CB E8 ?? ?? ?? ?? 33 DB 85 DB 7F C1 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2007_0 {
	meta:
		name = "SkipBinary"
		size = 39
		refs = "0013 TReader.Read 001f SkipBytes"
	strings:
		$1 = { 55 8B EC 51 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_2008_0 {
	meta:
		name = "SkipCollection"
		size = 95
		refs = "000f TReader.NextValue 001c TReader.SkipValue 002a SkipBytes 0034 TReader.SkipProperty 003b TReader.EndOfList 0046 TReader.ReadListEnd"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC EB 3E 8B 03 E8 ?? ?? ?? ?? 04 FE 2C 03 73 07 8B 03 E8 ?? ?? ?? ?? 8B 45 08 50 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EE 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 B7 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_2009_0 {
	meta:
		name = "TReader.SkipValue"
		size = 254
		refs = "0012 TReader.SkipValue 0020 TReader.ReadValue 0077 SkipList 0085 SkipBytes 00bd TReader.ReadStr 00c5 SkipBinary 00d0 TReader.SkipSetBody 00d8 SkipCollection 00ee @LStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0E 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? EB 68 55 E8 ?? ?? ?? ?? 59 EB 5F 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 51 55 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 EB 43 55 B8 04 00 00 00 E8 ?? ?? ?? ?? 59 EB 35 55 B8 0A 00 00 00 E8 ?? ?? ?? ?? 59 EB 27 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 1A 55 E8 ?? ?? ?? ?? 59 EB 11 8B 45 FC E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_2010_0 {
	meta:
		name = "CopySetBody"
		size = 109
		refs = "0009 CopySetBody 001a TReader.ReadValue 0027 TWriter.WriteValue 0035 TReader.ReadStr 0043 TWriter.WriteStr 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_2011_0 {
	meta:
		name = "CopyList"
		size = 73
		refs = "0014 TReader.ReadValue 001d TWriter.WriteValue 0028 TReader.CopyValue 002f TReader.EndOfList 003a TReader.ReadListEnd 0041 TWriter.WriteListEnd"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 F8 8B 75 08 83 C6 FC 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? EB 09 8B 16 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EC 8B 03 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_2012_0 {
	meta:
		name = "CopyBytes"
		size = 141
		refs = "0036 TReader.Read 004c TWriter.Write"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 04 53 8B D8 81 FB 00 20 00 00 7E 3A 8D 95 00 E0 FF FF 8B 45 08 8B 40 F8 B9 00 20 00 00 E8 ?? ?? ?? ?? 8D 95 00 E0 FF FF 8B 45 08 8B 40 FC B9 00 20 00 00 E8 ?? ?? ?? ?? 81 EB 00 20 00 00 81 FB 00 20 00 00 7F C6 85 DB 7E 26 8D 95 00 E0 FF FF 8B 45 08 8B 40 F8 8B CB E8 ?? ?? ?? ?? 8D 95 00 E0 FF FF 8B 45 08 8B 40 FC 8B CB E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2013_0 {
	meta:
		name = "CopyBinary"
		size = 82
		refs = "000b TReader.ReadValue 0018 TWriter.WriteValue 002b TReader.Read 003e TWriter.Write 004a CopyBytes"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 F8 B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_2014_0 {
	meta:
		name = "TReader.CopyValue"
		size = 289
		refs = "0015 TReader.CopyValue 0023 TReader.NextValue 007a TReader.ReadValue 0084 TWriter.WriteValue 008c CopyList 0097 TReader.ReadInteger 00a1 TWriter.WriteInteger 00ab TReader.ReadFloat 00ba TWriter.WriteFloat 00c7 TReader.ReadStr 00d2 TWriter.WriteStr 00df TReader.ReadIdent 00ea TWriter.WriteIdent 00f2 CopyBinary 00fb CopySetBody 0111 @LStrClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0E 0F 87 CD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 76 55 E8 ?? ?? ?? ?? 59 EB 6D 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 59 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? EB 40 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 28 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_2015_0 {
	meta:
		name = "TReader.SkipProperty"
		size = 72
		refs = "000c TReader.SkipProperty 001c TReader.ReadStr 0023 TReader.SkipValue 0038 @LStrClr 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2016_0 {
	meta:
		name = "TReader.SkipComponent"
		size = 157
		refs = "0013 TReader.SkipComponent 0034 TReader.ReadStr 0047 TReader.SkipProperty 004e TReader.EndOfList 0059 TReader.ReadListEnd 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 74 2A 8D 4D F8 8D 55 FF 8B C6 8B 18 FF 53 20 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 EE 8B C6 E8 ?? ?? ?? ?? EB 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2017_0 {
	meta:
		name = "TReader.FindAncestorComponent"
		size = 192
		refs = "001b TReader.FindAncestorComponent 002b @LStrLAsg 0036 TComponent.FindComponent 0074 SAncestorNotFound 0079 LoadResString 0083 _DV_EReadError 0088 Exception.CreateFmt 008d @RaiseExcept 00a2 @LStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 18 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 4E 66 83 7B 4E 00 74 10 57 8D 45 FC 50 8B 4D F8 8B D3 8B 43 50 FF 53 4C 83 7D FC 00 75 31 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2018_0 {
	meta:
		name = "TReader.ReferenceName"
		size = 22
	strings:
		$1 = { 53 66 83 78 46 00 74 0C 8B CA 8B D8 8B D0 8B 43 48 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_2019_0 {
	meta:
		name = "TReader.SetName"
		size = 40
	strings:
		$1 = { 53 56 57 8B F1 8B DA 66 83 78 3E 00 74 0D 56 8B F8 8B CB 8B D0 8B 47 40 FF 57 3C 8B 16 8B C3 8B 08 FF 51 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2021_0 {
	meta:
		name = "TQRCustomController.AddAfter"
		size = 9
		refs = "0004 TList.Add"
		altNames = "TWriter.AddAncestor"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2022_0 {
	meta:
		name = "TWriter.DefineProperty"
		size = 37
		refs = "0014 TWriter.WritePropName"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 C9 74 16 66 83 7D 0A 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 0C FF 55 08 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_2023_0 {
	meta:
		name = "TWriter.DefineBinaryProperty"
		size = 42
		refs = "0014 TWriter.WritePropName 0021 TWriter.WriteBinary"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 C9 74 1B 66 83 7D 0A 00 74 14 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_2024_0 {
	meta:
		name = "TWriter.GetPosition"
		size = 16
		refs = "0007 TStream.GetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 43 10 5B C3 }
	condition:
		$1
}

rule function_2026_0 {
	meta:
		name = "TWriter.SetPosition"
		size = 55
		refs = "000a TStream.GetPosition 001e TWriter.WriteBuffer 0028 TStream.SetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B C6 7F 09 8B 53 10 03 D0 3B F2 7E 14 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 2B F0 89 73 10 5E 5B C3 }
	condition:
		$1
}

rule function_2027_0 {
	meta:
		name = "TWriter.Write"
		size = 73
		refs = "0016 TWriter.WriteBuffer"
	strings:
		$1 = { 56 57 53 89 D6 89 CB 89 C7 EB 36 8B 4F 0C 2B 4F 10 77 0A 89 F8 E8 ?? ?? ?? ?? 8B 4F 0C 39 D9 72 02 89 D9 29 CB 57 8B 47 08 03 47 10 01 4F 10 89 C7 89 CA C1 E9 02 FC F3 A5 89 D1 83 E1 03 F3 A4 5F 09 DB 75 C6 5B 5F 5E C3 }
	condition:
		$1
}

rule function_2028_0 {
	meta:
		name = "TWriter.WriteBinary"
		size = 134
		refs = "000c _DV_TMemoryStream 0011 TObject.Create 001c TWriter.WriteBinary 0034 TWriter.WriteValue 003c TStream.GetSize 004e TWriter.Write 0073 TObject.Free 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 0C FF 55 08 B2 0A 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2029_0 {
	meta:
		name = "TWriter.WriteBuffer"
		size = 24
		refs = "000d TStream.WriteBuffer"
	strings:
		$1 = { 53 8B D8 8B 53 08 8B 4B 10 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_2030_0 {
	meta:
		name = "TWriter.WriteBoolean"
		size = 20
		refs = "0007 TWriter.WriteValue"
	strings:
		$1 = { 84 D2 74 08 B2 09 E8 ?? ?? ?? ?? C3 B2 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2031_0 {
	meta:
		name = "TWriter.WriteChar"
		size = 79
		refs = "000f TWriter.WriteChar 001f @LStrFromChar 0029 TWriter.WriteString 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2032_0 {
	meta:
		name = "TWriter.WriteCollection"
		size = 82
		refs = "000d TWriter.WriteValue 0014 TCollection.GetCount 0025 TWriter.WriteListBegin 002e TCollection.GetItem 0037 TWriter.WriteProperties 003e TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 B2 0E 8B C3 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 27 46 33 FF 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 4E 75 DC 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2033_0 {
	meta:
		name = "FindAncestor"
		size = 77
		refs = "002a TList.Get 0037 CompareText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 8B 40 FC 8B 40 2C 8B 58 08 4B 85 DB 7C 28 43 33 FF 8B 45 08 8B 40 FC 8B 40 2C 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B 46 08 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 DB 33 F6 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2034_0 {
	meta:
		name = "TWriter.WriteComponent"
		size = 57
		refs = "001c FindAncestor"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 80 4B 20 04 8B 45 FC 83 78 2C 00 74 10 55 8B 43 08 E8 ?? ?? ?? ?? 59 8B 55 FC 89 42 1C 8B 55 FC 8B C3 8B 08 FF 51 24 80 63 20 FB 5B 59 5D C3 }
	condition:
		$1
}

rule function_2035_0 {
	meta:
		name = "TWriter.WriteData"
		size = 724
		refs = "001c TWriter.WriteData 0032 TObject.ClassName 0045 @LStrLen 0066 TWriter.WriteBuffer 006e TWriter.GetPosition 00b5 TList.Get 00d2 TWriter.WritePrefix 00f3 @LStrFromString 0101 TWriter.WriteStr 014f TWriter.WriteProperties 0157 TWriter.WriteListEnd 01c5 _DV_TComponent 01ca @IsClass 01d5 _DV_TList 01da TObject.Create 01e9 TWriter.AddAncestor 01fe @CallDynaInst 0207 TWriter.WriteComponent 0231 TObject.Free 0237 @HandleFinally 02a3 TWriter.SetPosition 02bb @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 DC FE FF FF 53 33 C9 89 8D DC FE FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 E0 FE FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 33 DB 8A 9D E0 FE FF FF 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 03 D8 43 83 C3 05 83 C3 03 8B 45 FC 8B 40 0C 8B 55 FC 2B 42 10 3B D8 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 A0 ?? ?? ?? ?? 88 45 E3 8B 45 FC 83 78 1C 00 74 04 80 4D E3 01 8B 45 FC 8B 58 2C 85 DB 74 31 8B 45 FC 8B 40 30 3B 43 08 7D 26 8B 45 FC 83 78 1C 00 74 19 8B 45 FC 8B 50 30 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 55 FC 3B 42 1C 74 04 80 4D E3 02 8B 45 FC 8B 48 34 8A 55 E3 8B 45 FC E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 40 2C 85 C0 74 20 8B 55 FC 8B 52 30 3B 50 08 7D 15 8B 45 FC 83 78 1C 00 74 06 8B 45 FC FF 40 30 8B 45 FC FF 40 34 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 89 45 EC 8B 45 FC 8B 40 30 89 45 E8 8B 45 FC 8B 40 34 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 2C 8B 45 FC 33 D2 89 50 30 8B 45 FC 33 D2 89 50 34 8B 45 FC 80 78 20 00 0F 85 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 1C 85 DB 74 41 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B 45 FC 8B 40 1C 66 BB FD FF E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B 45 F8 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 89 50 2C 8B 45 FC 8B 55 E8 89 50 30 8B 45 FC 8B 55 E4 89 50 34 C3 E9 ?? ?? ?? ?? EB DD 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 3B 45 F8 74 27 A0 ?? ?? ?? ?? 3A 45 E3 75 1D 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 83 C2 02 3B C2 75 0B 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_2036_0 {
	meta:
		name = "TWriter.WriteDescendent"
		size = 34
		refs = "0012 TWriter.WriteSignature 001b TWriter.WriteComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 4B 24 89 4B 1C 89 73 18 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2037_0 {
	meta:
		name = "TWriter.WriteFloat"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_2038_0 {
	meta:
		name = "TWriter.WriteSingle"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 0F 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2039_0 {
	meta:
		name = "TWriter.WriteCurrency"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 10 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2040_0 {
	meta:
		name = "TWriter.WriteDate"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 11 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2041_0 {
	meta:
		name = "TWriter.WriteIdent"
		size = 156
		refs = "0007 TWriter.WriteIdent 000e CompareText 001b TWriter.WriteValue 0066 TWriter.WriteStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0C B2 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0B B2 09 8B C3 E8 ?? ?? ?? ?? EB 2D BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0B B2 0D 8B C3 E8 ?? ?? ?? ?? EB 12 B2 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 03 00 00 00 6E 69 6C 00 }
	condition:
		$1
}

rule function_2042_0 {
	meta:
		name = "TWriter.WriteInteger"
		size = 114
		refs = "0018 TWriter.WriteValue 0026 TWriter.Write"
	strings:
		$1 = { 53 51 89 14 24 8B D8 83 3C 24 80 7C 20 83 3C 24 7F 7F 1A B2 02 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 81 3C 24 00 80 FF FF 7C 22 81 3C 24 FF 7F 00 00 7F 19 B2 03 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 17 B2 04 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_2045_0 {
	meta:
		name = "TWriter.WritePrefix"
		size = 68
		refs = "000b TWriter.WritePrefix 0029 TWriter.Write 0038 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 51 8B F1 88 14 24 8B D8 A0 ?? ?? ?? ?? 3A 04 24 74 28 8A 04 24 0C F0 88 44 24 01 8D 54 24 01 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 04 24 02 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_2046_0 {
	meta:
		name = "TWriter.WriteProperties"
		size = 198
		refs = "0015 TObject.ClassInfo 001a GetTypeData 0036 @GetMem 0041 TWriter.WriteProperties 0059 GetPropInfos 0078 IsStoredProp 0089 TWriter.WriteProperty 00a8 @FreeMem 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E 85 00 00 00 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 2C 46 33 FF 8B 45 F0 8B 1C B8 85 DB 74 1F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 55 FC 8B 45 F8 8B 08 FF 51 04 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2047_0 {
	meta:
		name = "AncestorValid"
		size = 74
		refs = "0017 TObject.ClassType"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 30 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 3B D8 74 16 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 3B 42 18 74 05 33 C0 5B 5D C3 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_2048_0 {
	meta:
		name = "WritePropPath"
		size = 82
		refs = "0009 WritePropPath 0020 @LStrFromString 002e TWriter.WritePropName 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 F4 83 C2 1A E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_2049_0 {
	meta:
		name = "WriteSet"
		size = 147
		refs = "000e WriteSet 001f GetTypeData 0031 TWriter.WriteValue 004b GetEnumName 0059 TWriter.WriteStr 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 40 01 8B 38 8B 45 08 8B 40 FC B2 0B E8 ?? ?? ?? ?? 33 DB 8B C3 83 F8 1F 77 03 0F A3 C6 73 1A 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 43 83 FB 20 75 D4 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2050_0 {
	meta:
		name = "WriteIntProp"
		size = 214
		refs = "0018 WriteIntProp 0023 IntConstList 0028 TThreadList.LockList 0051 TList.Get 0076 TWriter.WriteIdent 007b @TryFinallyExit 0098 TThreadList.UnlockList 009e @HandleFinally 00ae TWriter.WriteInteger 00c3 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 70 08 4E 85 F6 7C 3D 46 33 FF 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 43 04 3B 45 FC 75 22 8D 55 F4 8B 45 F8 FF 53 0C 84 C0 74 19 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 47 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2051_0 {
	meta:
		name = "WriteCollectionProp"
		size = 161
		refs = "000c WriteCollectionProp 001b WritePropPath 002d @LStrLAsg 0049 @LStrClr 0056 TWriter.WriteCollection 0074 @LStrAsg 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 45 FC 8B 55 08 8B 52 FC 8B 52 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 C0 28 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 C0 28 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2052_0 {
	meta:
		name = "IsDefaultValue"
		size = 80
		refs = "000b AncestorValid 002a GetOrdProp"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 25 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 08 3B 42 FC 0F 94 C0 5D C3 8B 45 08 8B 40 FC 8B 55 08 8B 52 08 8B 52 F4 3B 42 14 0F 94 C0 5D C3 }
	condition:
		$1
}

rule function_2053_0 {
	meta:
		name = "WriteOrdProp"
		size = 212
		refs = "000f WriteOrdProp 0026 GetOrdProp 002f IsDefaultValue 003d WritePropPath 006e WriteIntProp 007f TWriter.WriteChar 008d WriteSet 00a1 GetEnumName 00af TWriter.WriteIdent 00c4 @LStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 FC 55 E8 ?? ?? ?? ?? 59 84 C0 75 7B 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 8A 00 FE C8 74 0E FE C8 74 23 FE C8 74 3E 2C 03 74 2B EB 57 8B 45 08 50 8B 45 08 8B 40 F4 8B 00 8B 00 8B 55 FC E8 ?? ?? ?? ?? 59 EB 3E 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 2E 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 EB 1F 8D 4D F8 8B 45 08 8B 40 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_2054_0 {
	meta:
		name = "IsDefaultValue"
		size = 88
		refs = "000b AncestorValid 002a GetFloatProp 0046 IsDefaultValue"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 2A 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 08 DB 68 F6 DE D9 DF E0 9E 0F 94 C0 5D C3 8B 45 08 DB 68 F6 D8 1D ?? ?? ?? ?? DF E0 9E 0F 94 C0 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2055_0 {
	meta:
		name = "WriteFloatProp"
		size = 74
		refs = "0013 GetFloatProp 001d IsDefaultValue 002b WritePropPath 0042 TWriter.WriteFloat"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? DB 7D F6 9B 55 E8 ?? ?? ?? ?? 59 84 C0 75 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 66 8B 45 FE 50 FF 75 FA FF 75 F6 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_2056_0 {
	meta:
		name = "IsDefault"
		size = 130
		refs = "000a IsDefault 001c AncestorValid 003e GetStrProp 004c @LStrCmp 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 30 8D 4D FC 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 0F 94 C3 EB 0A 8B 45 08 83 78 FC 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_2057_0 {
	meta:
		name = "WriteStrProp"
		size = 106
		refs = "0009 WriteStrProp 0023 GetStrProp 0029 IsDefault 0037 WritePropPath 0046 TWriter.WriteString 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 75 18 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_2058_0 {
	meta:
		name = "IsDefault"
		size = 143
		refs = "000e AncestorValid 002d GetOrdProp 0075 CompareText"
	strings:
		$1 = { 55 8B EC 53 33 DB 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 6C 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D8 85 DB 74 4C 8B 43 04 8B 55 08 8B 52 08 8B 52 FC 3B 42 24 75 3B 8B 45 08 83 78 FC 00 74 32 8B 45 08 8B 40 FC 8B 40 04 8B 55 08 8B 52 08 8B 52 FC 3B 42 18 75 1B 8B 45 08 8B 40 FC 8B 50 08 8B 43 08 E8 ?? ?? ?? ?? 85 C0 75 06 8B 45 08 8B 58 FC 8B 45 08 3B 58 FC 0F 94 C0 5B 5D C3 }
	condition:
		$1
}

rule function_2059_0 {
	meta:
		name = "GetComponentValue"
		size = 160
		refs = "0023 @LStrLAsg 0036 GetComponentValue 0058 @LStrCatN 0069 @LStrCat3"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 45 08 8B 40 08 8B 40 FC 8B 40 18 8B 7B 04 3B C7 75 0C 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 44 8B 55 08 8B 52 08 3B C3 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 85 FF 74 19 FF 77 08 68 ?? ?? ?? ?? FF 73 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0F 8B C6 B9 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 00 00 FF FF FF FF 05 00 00 00 4F 77 6E 65 72 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 06 00 00 00 2E 4F 77 6E 65 72 00 00 }
	condition:
		$1
}

rule function_2060_0 {
	meta:
		name = "WriteObjectProp"
		size = 548
		refs = "000e WriteObjectProp 0025 GetOrdProp 0034 IsDefault 0042 WritePropPath 0050 TWriter.WriteValue 005e _DV_TPersistent 0063 @IsClass 0074 _DV_TComponent 0098 GetComponentValue 00a4 @LStrLAsg 00c6 TWriter.WriteIdent 00d4 _DV_TCollection 00e6 AncestorValid 0109 CollectionsEqual 011d WriteCollectionProp 0168 @LStrFromString 0183 @LStrCatN 01bc TWriter.WriteProperties 01e6 @LStrAsg 01ec @HandleFinally 0208 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 27 55 E8 ?? ?? ?? ?? 59 84 C0 75 1C 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC B2 0D E8 ?? ?? ?? ?? E9 99 01 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 83 01 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 55 E8 ?? ?? ?? ?? 59 84 C0 0F 85 62 01 00 00 55 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 40 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? E9 23 01 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 26 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 DD 00 00 00 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 E9 CB 00 00 00 8B 45 08 8B 40 FC 8B 40 1C 89 45 F8 8D 45 F4 8B 55 08 8B 52 FC 8B 52 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC FF 70 28 8D 45 EC 8B 55 08 8B 52 F4 83 C2 1A E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 C0 28 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 1D 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 1C 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F8 89 50 1C 8B 45 08 8B 40 FC 83 C0 28 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_2061_0 {
	meta:
		name = "IsDefaultValue"
		size = 131
		refs = "0015 AncestorValid 0037 GetMethodProp 006a TObject.MethodName"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 DB 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 20 8D 4D F8 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 5D F8 8B 45 08 3B 58 F8 74 35 8B 45 08 8B 70 F8 85 F6 74 27 8D 8D F8 FE FF FF 8B 45 08 8B D6 8B 45 08 8B 40 08 8B 40 FC 8B 40 18 8B 00 E8 ?? ?? ?? ?? 80 BD F8 FE FF FF 00 74 04 33 C0 EB 02 B0 01 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2062_0 {
	meta:
		name = "WriteMethodProp"
		size = 178
		refs = "0013 WriteMethodProp 002d GetMethodProp 0033 IsDefaultValue 0041 WritePropPath 0056 TWriter.WriteValue 0070 TObject.MethodName 007e @LStrFromString 008c TWriter.WriteIdent 00a1 @LStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 75 54 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 5D F8 85 DB 75 0F 8B 45 08 8B 40 FC B2 0D E8 ?? ?? ?? ?? EB 34 8D 8D F4 FE FF FF 8B 45 08 8B 40 FC 8B 40 18 8B 00 8B D3 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2063_0 {
	meta:
		name = "IsDefaultValue"
		size = 138
		refs = "000e IsDefaultValue 0020 AncestorValid 0042 GetVariantProp 0050 @VarCmp 0060 VarIsEmpty 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 30 8D 4D F0 8B 45 08 8B 40 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 0F 94 C3 EB 0D 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2064_0 {
	meta:
		name = "WriteVariantProp"
		size = 659
		refs = "0012 WriteVariantProp 002c GetVariantProp 0032 IsDefaultValue 0043 VarIsArray 004f SWriteError 0054 LoadResString 005e _DV_EWriteError 0063 Exception.Create 0068 @RaiseExcept 0071 WritePropPath 007a VarType 00ec TWriter.WriteValue 010e @VarToWStr 011c TWriter.WriteWideString 012c @VarToLStr 013a TWriter.WriteString 0147 @VarToInt 0154 TWriter.WriteInteger 0161 @VarToReal 0173 TWriter.WriteSingle 0192 TWriter.WriteFloat 019f @VarToCurr 01b1 TWriter.WriteCurrency 01d0 TWriter.WriteDate 01dd @VarToBool 0235 @HandleAnyException 025b @DoneExcept 0270 @WStrClr 0278 @LStrClr 0280 @VarClr 0286 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 0F 85 20 02 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 45 F0 E8 ?? ?? ?? ?? 25 FF 0F 00 00 83 F8 06 7F 2E 0F 84 0D 01 00 00 83 F8 05 0F 87 6C 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 0B 7F 17 0F 84 18 01 00 00 83 E8 07 0F 84 F0 00 00 00 48 74 3A E9 31 01 00 00 83 E8 11 74 6C 2D EF 00 00 00 74 47 E9 20 01 00 00 8B 45 08 8B 40 FC B2 0D E8 ?? ?? ?? ?? E9 6A 01 00 00 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? E9 58 01 00 00 8D 45 E8 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 3A 01 00 00 8D 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 1C 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 02 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 E3 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 C4 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 86 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 FC B2 09 E8 ?? ?? ?? ?? EB 6B 8B 45 08 8B 40 FC B2 08 E8 ?? ?? ?? ?? EB 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2065_0 {
	meta:
		name = "TWriter.WriteProperty"
		size = 161
		refs = "0031 TWriter.WriteProperty 006b WriteOrdProp 0074 WriteFloatProp 007d WriteStrProp 0086 WriteObjectProp 008f WriteMethodProp 0098 WriteVariantProp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 83 78 08 00 0F 84 81 00 00 00 8B 00 8B 00 89 45 F0 8B 45 F0 0F B6 00 83 F8 0C 77 6F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 2B 55 E8 ?? ?? ?? ?? 59 EB 22 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_2066_0 {
	meta:
		name = "TWriter.WritePropName"
		size = 82
		refs = "000f TWriter.WritePropName 0022 @LStrCat3 002c TWriter.WriteStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE 8B 53 28 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2068_0 {
	meta:
		name = "TWriter.WriteSignature"
		size = 16
		refs = "0001 FilerSignature 000b TWriter.Write"
	strings:
		$1 = { BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2069_0 {
	meta:
		name = "TWriter.WriteStr"
		size = 70
		refs = "000a @LStrLen 002b TWriter.Write 0032 @LStrToPChar"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 04 24 81 3C 24 FF 00 00 00 7E 07 C7 04 24 FF 00 00 00 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2070_0 {
	meta:
		name = "TWriter.WriteString"
		size = 90
		refs = "000a @LStrLen 001f TWriter.WriteValue 002d TWriter.Write"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 04 24 81 3C 24 FF 00 00 00 7F 19 B2 06 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 17 B2 0C 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2071_0 {
	meta:
		name = "TWriter.WriteWideString"
		size = 58
		refs = "000c TWriter.WriteValue 0013 @WStrLen 0024 TWriter.Write"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 B2 12 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 0C 24 03 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2072_0 {
	meta:
		name = "TWriter.WriteValue"
		size = 18
		refs = "000c TWriter.Write"
	strings:
		$1 = { 51 88 14 24 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2073_0 {
	meta:
		name = "BinToHex"
		size = 60
		refs = "0025 BinToHex"
	strings:
		$1 = { 56 57 89 C6 89 D7 BA 00 00 00 00 EB 10 30 31 32 33 34 35 36 37 38 39 41 42 43 44 45 46 AC 88 C2 80 E2 0F 8A A2 ?? ?? ?? ?? 88 C2 C0 EA 04 8A 82 ?? ?? ?? ?? 66 AB 49 75 E4 5F 5E C3 }
	condition:
		$1
}

rule function_2074_0 {
	meta:
		name = "HexToBin"
		size = 136
		refs = "0057 HexToBin"
	strings:
		$1 = { 56 57 53 89 C6 89 D7 89 D3 BA 00 00 00 00 EB 37 00 01 02 03 04 05 06 07 08 09 FF FF FF FF FF FF FF 0A 0B 0C 0D 0E 0F FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF 0A 0B 0C 0D 0E 0F 66 AD 80 F8 30 72 32 80 F8 66 77 2D 88 C2 8A 82 ?? ?? ?? ?? 80 F8 FF 74 20 C0 E0 04 80 FC 30 72 18 80 FC 66 77 13 88 E2 8A A2 ?? ?? ?? ?? 80 FC FF 74 06 08 E0 AA 49 75 C7 89 F8 29 D8 5B 5F 5E C3 }
	condition:
		$1
}

rule function_2075_0 {
	meta:
		name = "TParser.Create"
		size = 113
		refs = "000b @ClassCreate 001c @GetMem 0052 TParser.NextToken 005d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 89 4F 04 B8 00 10 00 00 E8 ?? ?? ?? ?? 8B F0 89 77 0C C6 06 00 89 77 10 8B 47 0C 05 00 10 00 00 89 47 14 8B 47 0C 89 47 18 8B 47 0C 89 47 1C 8B 47 0C 89 47 20 C7 47 28 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2076_0 {
	meta:
		name = "TParser.Destroy"
		size = 59
		refs = "0004 @BeforeDestruction 0028 @FreeMem 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 0C 00 74 1A 8B 56 20 2B 56 10 66 B9 01 00 8B 46 04 8B 38 FF 57 0C 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2077_0 {
	meta:
		name = "TParser.CheckToken"
		size = 204
		refs = "0015 TParser.CheckToken 003f SIdentifierExpected 0044 LoadResString 004e TParser.Error 0058 SStringExpected 0071 SNumberExpected 008c SCharExpected 00a5 TParser.ErrorFmt 00ba @LStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 2D 0F 84 81 00 00 00 8B C3 FE C8 74 0D FE C8 74 22 48 2C 02 72 36 74 1B EB 4B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 55 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 3C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 88 5D F4 C6 45 F8 02 8D 4D F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2078_0 {
	meta:
		name = "TParser.CheckTokenSymbol"
		size = 116
		refs = "0015 TParser.CheckTokenSymbol 0024 TParser.TokenSymbolIs 0032 SSymbolExpected 0037 LoadResString 004d TParser.ErrorFmt 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 4D F4 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4600_0 {
	meta:
		name = "TCopyParser.CheckTokenSymbol"
		size = 116
		refs = "0015 TCopyParser.CheckTokenSymbol 0024 TCopyParser.TokenSymbolIs 0032 SSymbolExpected 0037 LoadResString 004d TCopyParser.ErrorFmt 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 4D F4 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2080_0 {
	meta:
		name = "TParser.ErrorFmt"
		size = 91
		refs = "0012 TParser.ErrorFmt 0028 Format 0032 TParser.ErrorStr 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4611_0 {
	meta:
		name = "TCopyParser.ErrorFmt"
		size = 91
		refs = "0012 TCopyParser.ErrorFmt 0028 Format 0032 TCopyParser.ErrorStr 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2081_0 {
	meta:
		name = "TParser.ErrorStr"
		size = 122
		refs = "0015 TParser.ErrorStr 003a SParseError 003f LoadResString 0049 _DV_EParserError 004e Exception.CreateFmt 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F0 C6 45 F4 0B 8B 43 28 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2082_0 {
	meta:
		name = "TParser.HexToBinary"
		size = 183
		refs = "001d TParser.HexToBinary 002a TParser.SkipBlanks 003c HexToBin 004d SInvalidBinary 0052 LoadResString 005f TParser.Error 008c TParser.NextToken 00a4 @LStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 8D F8 FE FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 51 8D 95 FC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 1D 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B CE 8B 45 FC 8B 38 FF 57 08 8B C6 03 C0 01 43 18 8B C3 E8 ?? ?? ?? ?? 8B 43 18 80 38 7D 75 A7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2083_0 {
	meta:
		name = "TParser.NextToken"
		size = 674
		refs = "0014 TParser.NextToken 0021 TParser.SkipBlanks 00f7 SInvalidString 00fc LoadResString 0106 TParser.Error 0125 @WStrSetLength 028c @LStrClr 0292 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5E 18 89 5E 20 33 C0 8A 03 83 F8 30 7D 1F 83 E8 23 74 64 48 0F 84 AA 01 00 00 83 E8 03 74 58 83 E8 06 0F 84 BA 01 00 00 E9 13 02 00 00 83 C0 D0 83 E8 0A 0F 82 A9 01 00 00 83 C0 F9 83 E8 1A 72 11 83 E8 04 74 0C 83 C0 FE 83 E8 1A 0F 83 EE 01 00 00 43 EB 01 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 1A 72 F1 2C 04 74 ED 04 FE 2C 1A 72 E7 C6 45 FF 01 E9 D5 01 00 00 C6 45 FE 00 33 FF 89 5D F8 8A 03 2C 23 74 06 2C 04 74 2E EB 64 43 33 C0 EB 0F 03 C0 8D 04 80 33 D2 8A 13 83 EA 30 03 C2 43 8A 13 80 C2 D0 80 EA 0A 72 E7 3D FF 00 00 00 7E 04 C6 45 FE 01 47 EB C8 43 8A 03 2C 01 72 0E 2C 09 74 0A 2C 03 74 06 2C 1A 74 1B EB 1F 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 06 43 80 3B 27 75 94 47 43 EB C9 8B 5D F8 80 7D FE 00 74 0A 8D 46 30 8B D7 E8 ?? ?? ?? ?? BF 01 00 00 00 8A 03 2C 23 74 09 2C 04 74 3E E9 8F 00 00 00 43 33 C0 EB 0F 03 C0 8D 04 80 33 D2 8A 13 83 EA 30 03 C2 43 8A 13 80 C2 D0 80 EA 0A 72 E7 80 7D FE 00 74 0B 8B 56 30 66 89 44 7A FE 47 EB C2 8B 55 F8 88 02 FF 45 F8 EB B8 43 8A 03 2C 01 72 0E 2C 09 74 0A 2C 03 74 06 2C 1A 74 1B EB 1F 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 06 43 80 3B 27 75 84 80 7D FE 00 74 0F 8B 46 30 33 D2 8A 13 66 89 54 78 FE 47 EB 0A 8B 45 F8 8A 13 88 10 FF 45 F8 43 EB AB 8B 45 F8 89 46 24 80 7D FE 00 74 09 C6 45 FF 05 E9 91 00 00 00 C6 45 FF 02 E9 88 00 00 00 43 EB 01 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 06 72 F1 04 E6 2C 06 72 EB C6 45 FF 03 EB 6A 43 EB 01 43 8A 03 04 D0 2C 0A 72 F7 C6 45 FF 03 EB 05 43 C6 45 FF 04 8A 03 2C 2B 74 F5 04 FE 2C 02 72 EF 48 2C 0A 72 EA 2C 0B 74 E6 2C 20 74 E2 8A 03 8B D0 80 C2 BD 80 EA 02 72 12 80 EA 0E 74 0D 80 C2 F0 80 EA 02 72 05 80 EA 0E 75 0A C6 45 FF 04 88 46 2E 43 EB 12 C6 46 2E 00 EB 0C 8A 03 88 45 FF 80 7D FF 00 74 01 43 89 5E 18 8A 45 FF 88 46 2D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2084_0 {
	meta:
		name = "TParser.ReadBuffer"
		size = 199
		refs = "000e TParser.ReadBuffer 003b Move 0071 LineStart 0083 SLineTooLong 0088 LoadResString 0092 TParser.Error 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 2B 43 0C 01 43 08 8B 43 1C 8A 53 2C 88 10 8B 73 10 8B 43 18 2B F0 85 F6 74 0A 8B 53 0C 8B CE E8 ?? ?? ?? ?? 03 73 0C 89 73 10 8B 4B 14 2B 4B 10 8B 53 10 8B 43 04 8B 30 FF 56 04 01 43 10 8B 43 0C 89 43 18 8B 73 10 89 73 1C 3B 73 14 75 2C 8B D6 4A 8B 43 0C E8 ?? ?? ?? ?? 8B F8 89 7B 1C 3B 7B 0C 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 8A 00 88 43 2C 8B 43 1C C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2085_0 {
	meta:
		name = "TParser.SkipBlanks"
		size = 51
		refs = "001b TParser.ReadBuffer"
	strings:
		$1 = { 53 8B D8 8B 43 18 8A 00 2C 01 72 0C 2C 09 74 19 04 E9 2C DF 72 1B EB 14 8B C3 E8 ?? ?? ?? ?? 8B 43 18 80 38 00 74 0A EB DA FF 43 28 FF 43 18 EB D2 5B C3 }
	condition:
		$1
}

rule function_2086_0 {
	meta:
		name = "TParser.SourcePos"
		size = 12
	strings:
		$1 = { 8B 50 20 2B 50 0C 03 50 08 8B C2 C3 }
	condition:
		$1
}

rule function_2087_0 {
	meta:
		name = "TParser.TokenFloat"
		size = 105
		refs = "0012 TParser.TokenFloat 002b TParser.TokenString 0033 StrToFloat 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 2E 00 74 03 FF 4B 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DB 7D F6 9B 80 7B 2E 00 74 03 FF 43 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2088_0 {
	meta:
		name = "TParser.TokenInt"
		size = 77
		refs = "000c TParser.TokenInt 001c TParser.TokenString 0024 StrToInt 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_4625_0 {
	meta:
		name = "TCopyParser.TokenInt"
		size = 77
		refs = "000c TCopyParser.TokenInt 001c TCopyParser.TokenString 0024 StrToInt 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_11888_0 {
	meta:
		name = "TCustomMaskEdit.GetTextLen"
		size = 77
		refs = "000c TCustomMaskEdit.GetTextLen 001c TCustomMaskEdit.GetText 0024 @LStrLen 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_2089_0 {
	meta:
		name = "TParser.TokenString"
		size = 30
		refs = "0019 @LStrFromPCharLen"
	strings:
		$1 = { 80 78 2D 02 75 08 8B 48 24 2B 48 20 EB 06 8B 48 18 2B 48 20 8B 40 20 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2090_0 {
	meta:
		name = "TParser.TokenWideString"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 30 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2091_0 {
	meta:
		name = "TParser.TokenSymbolIs"
		size = 99
		refs = "000f TParser.TokenSymbolIs 0025 TParser.TokenString 002f CompareText 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 2D 01 75 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2092_0 {
	meta:
		name = "TParser.TokenComponentIdent"
		size = 159
		refs = "0010 TParser.TokenComponentIdent 001f TParser.CheckToken 003f SIdentifierExpected 0044 LoadResString 004e TParser.Error 0078 TParser.TokenString 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 5E 18 EB 43 43 8A 03 04 BF 2C 1A 72 21 2C 04 74 1D 04 FE 2C 1A 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 1A 72 F1 2C 04 74 ED 04 FE 2C 1A 72 E7 80 3B 2E 74 B8 89 5E 18 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2093_0 {
	meta:
		name = "WriteIndent"
		size = 41
		refs = "000f Blanks 001f TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 58 FC 85 DB 7E 18 BA ?? ?? ?? ?? 8B 45 08 8B 40 F8 B9 02 00 00 00 E8 ?? ?? ?? ?? 4B 75 E8 5B 5D C3 }
	condition:
		$1
}

rule function_2094_0 {
	meta:
		name = "WriteStr"
		size = 38
		refs = "0009 @LStrLen 0011 @LStrToPChar 001f TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 59 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_2095_0 {
	meta:
		name = "NewLine"
		size = 44
		refs = "0008 NewLine 000d WriteStr 0017 WriteIndent"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 5D C3 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_2096_0 {
	meta:
		name = "ConvertHeader"
		size = 372
		refs = "000f ConvertHeader 0034 TReader.ReadStr 004b WriteIndent 0060 WriteStr 00c5 IntToStr 0101 @LStrClr 010e @LStrArrayClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8D 55 F7 8B 45 08 8B 40 F4 8B 18 FF 53 20 8D 55 FC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 F6 45 F7 01 74 11 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0F 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 7D F8 00 74 1C 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 F6 45 F7 02 74 36 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 FF FF FF FF 0A 00 00 00 69 6E 68 65 72 69 74 65 64 20 00 00 FF FF FF FF 07 00 00 00 6F 62 6A 65 63 74 20 00 FF FF FF FF 02 00 00 00 3A 20 00 00 FF FF FF FF 02 00 00 00 20 5B 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_2097_0 {
	meta:
		name = "ConvertBinary"
		size = 208
		refs = "0013 TReader.ReadValue 001c ConvertBinary 0021 WriteStr 003a TReader.Read 0052 NewLine 007e BinToHex 0090 TWriter.Write"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8D 7D FC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC 8B D7 8B 45 08 8B 40 F4 B9 04 00 00 00 E8 ?? ?? ?? ?? 83 3F 20 0F 9D C3 83 3F 00 7E 52 84 DB 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 3F 20 7C 07 BE 20 00 00 00 EB 02 8B 37 8D 55 DC 8B 45 08 8B 40 F4 8B CE E8 ?? ?? ?? ?? 8D 55 9C 8D 45 DC 8B CE E8 ?? ?? ?? ?? 8B CE 03 C9 8D 55 9C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 29 37 83 3F 00 7F AE 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 7B 00 00 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_2098_0 {
	meta:
		name = "ConvertValue"
		size = 2012
		refs = "0011 ConvertValue 0022 TReader.NextValue 008c TReader.ReadValue 009a WriteStr 00ac NewLine 00c2 TReader.EndOfList 00d1 TReader.ReadListEnd 00fa TReader.ReadInteger 0102 IntToStr 011f TReader.ReadFloat 012e FloatToStr 014b TReader.ReadSingle 0167 @LStrCat 0184 TReader.ReadCurrency 01c9 TReader.ReadDate 0201 TReader.ReadWideString 0209 @WStrLen 02cc @LStrFromWStr 02d6 ByteType 0301 @LStrFromChar 03a2 @HandleFinally 03b2 TReader.ReadString 03ba @LStrLen 0472 UniqueString 0485 TWriter.Write 052c TReader.ReadIdent 0543 ConvertBinary 0573 TReader.ReadStr 0643 TReader.CheckValue 0654 ConvertProperty 067e WriteIndent 06d6 @LStrClr 06de @WStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 12 0F 87 93 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC EB 14 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 74 DD 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 D6 05 00 00 8B 45 08 50 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 E9 B1 05 00 00 8B 45 08 50 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 E9 85 05 00 00 8B 45 08 50 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 E9 4C 05 00 00 8B 45 08 50 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 E9 07 05 00 00 8B 45 08 50 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 E9 CE 04 00 00 8D 55 F4 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 75 14 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 9E 04 00 00 BB 01 00 00 00 8B 45 08 FF 40 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 FE 40 7E 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 5D FC C6 45 F3 00 8B 45 F4 66 8B 44 58 FE 66 83 F8 20 0F 82 BC 00 00 00 8B 55 F4 66 83 F8 27 0F 84 AF 00 00 00 8B 55 F4 66 3D FF 00 0F 87 A2 00 00 00 8B FB 43 3B F3 7C 2E 8B 45 F4 66 83 7C 58 FE 20 72 23 8B 45 F4 66 83 7C 58 FE 27 74 18 8B C3 2B 45 FC 83 F8 40 7D 0E 8B 45 F4 66 8B 44 58 FE 66 3D FF 00 76 CD 8B C3 2B 45 FC 83 F8 40 7C 1E C6 45 F3 01 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 3C 02 75 01 4B 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 3B DF 7E 21 8B 45 08 50 8D 45 EC 8B 55 F4 8A 54 7A FE E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 47 3B DF 7F DF 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 3B 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 F4 0F B7 44 58 FE 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 43 8B C3 2B 45 FC 83 F8 40 7C 04 C6 45 F3 01 80 7D F3 00 74 20 3B F3 7C 1C 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 5D FC 3B F3 0F 8D C5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 FF 48 FC C3 E9 ?? ?? ?? ?? EB F2 8D 55 F8 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 75 14 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 ED 02 00 00 BB 01 00 00 00 8B 45 08 FF 40 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 FE 40 7E 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 5D FC C6 45 F3 00 8B 45 F8 8A 44 18 FF 3C 20 0F 82 84 00 00 00 8B 55 F8 3C 27 74 7D 8B FB 43 3B F3 7C 1E 8B 45 F8 80 7C 18 FF 20 72 14 8B 45 F8 80 7C 18 FF 27 74 0A 8B C3 2B 45 FC 83 F8 40 7C DD 8B C3 2B 45 FC 83 F8 40 7C 13 C6 45 F3 01 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 3C 02 75 01 4B 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 F8 E8 ?? ?? ?? ?? 8D 54 38 FF 8B CB 2B CF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 3B 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 F8 0F B6 44 18 FF 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 43 8B C3 2B 45 FC 83 F8 40 7C 04 C6 45 F3 01 80 7D F3 00 74 20 3B F3 7C 1C 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 5D FC 3B F3 0F 8D 00 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 FF 48 FC C3 E9 ?? ?? ?? ?? EB F2 8B 45 08 50 8D 55 EC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 E9 87 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 78 01 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 DB 8D 55 F8 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 83 7D F8 00 74 23 85 DB 7E 0F 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 43 EB C9 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 11 01 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC E9 B9 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 04 FE 2C 03 73 28 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 B2 01 E8 ?? ?? ?? ?? 8B 45 08 FF 40 FC EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 74 E7 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 34 FF FF FF 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 01 00 00 00 73 00 00 00 00 40 1C 46 FF FF FF FF 01 00 00 00 63 00 00 00 FF FF FF FF 01 00 00 00 64 00 00 00 FF FF FF FF 02 00 00 00 27 27 00 00 FF FF FF FF 01 00 00 00 27 00 00 00 FF FF FF FF 01 00 00 00 23 00 00 00 FF FF FF FF 02 00 00 00 20 2B 00 00 FF FF FF FF 01 00 00 00 5B 00 00 00 FF FF FF FF 02 00 00 00 2C 20 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 FF FF FF FF 01 00 00 00 3C 00 00 00 FF FF FF FF 04 00 00 00 69 74 65 6D 00 00 00 00 FF FF FF FF 02 00 00 00 20 5B 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 03 00 00 00 65 6E 64 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_2099_0 {
	meta:
		name = "ConvertProperty"
		size = 152
		refs = "0009 ConvertProperty 0018 WriteIndent 002b TReader.ReadStr 0033 WriteStr 004c ConvertValue 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 FC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 FF FF FF FF 03 00 00 00 20 3D 20 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_2100_0 {
	meta:
		name = "ConvertObject"
		size = 136
		refs = "000f ConvertHeader 0021 ConvertProperty 0029 TReader.EndOfList 0034 TReader.ReadListEnd 003f ConvertObject 0061 WriteIndent 0070 WriteStr"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 F4 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EB 8B 03 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EB 8B 03 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5B 5D C3 FF FF FF FF 05 00 00 00 65 6E 64 0D 0A 00 00 00 }
	condition:
		$1
}

rule function_2101_0 {
	meta:
		name = "ObjectBinaryToText"
		size = 196
		refs = "001b _DV_TReader 0020 TFiler.Create 0028 DecimalSeparator 003d ObjectBinaryToText 0051 _DV_TWriter 006f TReader.ReadSignature 0075 ConvertObject 008b TObject.Free 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 33 C0 89 45 FC 68 00 10 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 8A 00 88 45 F3 A1 ?? ?? ?? ?? C6 00 2E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 55 F3 88 10 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2102_0 {
	meta:
		name = "ConvertOrderModifier"
		size = 96
		refs = "001a TParser.NextToken 0027 TParser.CheckToken 0032 TParser.TokenInt"
	strings:
		$1 = { 55 8B EC 53 83 CB FF 8B 45 08 8B 40 FC 80 78 2D 5B 75 48 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 03 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 5D E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_2103_0 {
	meta:
		name = "ConvertHeader"
		size = 260
		refs = "0012 ConvertHeader 0025 TParser.CheckToken 0033 TParser.TokenString 003b @LStrClr 0046 TParser.NextToken 006d @LStrLAsg 0095 ConvertOrderModifier 00b7 TWriter.WritePrefix 00c5 TWriter.WriteStr 00ed @LStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 3A 75 3C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8A 1D ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B F0 80 7D FF 00 74 03 80 CB 01 85 F6 7C 03 80 CB 02 8B 45 08 8B 40 F8 8B CE 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_2104_0 {
	meta:
		name = "CombineString"
		size = 124
		refs = "0016 CombineString 0025 TParser.TokenString 002e TParser.NextToken 0037 TParser.CheckToken 004b @LStrCat 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 8B 75 08 8B 76 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 06 E8 ?? ?? ?? ?? EB 24 8B 06 E8 ?? ?? ?? ?? 8B 06 B2 02 E8 ?? ?? ?? ?? 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 3C 2B 74 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2105_0 {
	meta:
		name = "CombineWideString"
		size = 124
		refs = "0016 CombineWideString 0025 TParser.TokenWideString 002e TParser.NextToken 0037 TParser.CheckToken 004b @WStrCat 006b @WStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 8B 75 08 8B 76 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 06 E8 ?? ?? ?? ?? EB 24 8B 06 E8 ?? ?? ?? ?? 8B 06 B2 05 E8 ?? ?? ?? ?? 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 3C 2B 74 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2106_0 {
	meta:
		name = "ConvertValue"
		size = 932
		refs = "000b ConvertValue 0027 CombineString 0036 TWriter.WriteString 004b CombineWideString 005a TWriter.WriteWideString 00b0 TParser.TokenComponentIdent 00be TWriter.WriteIdent 00ce TParser.TokenInt 00db TWriter.WriteInteger 0115 TParser.TokenFloat 0127 TWriter.WriteSingle 0155 TWriter.WriteCurrency 0177 TWriter.WriteDate 0199 TWriter.WriteFloat 01a9 TParser.NextToken 01b6 TWriter.WriteValue 01cf TParser.CheckToken 01dd TParser.TokenString 01eb TWriter.WriteStr 023c TWriter.WriteListBegin 025f TWriter.WriteListEnd 0270 TParser.HexToBinary 027b TWriter.WriteBinary 02aa TParser.CheckTokenSymbol 02be ConvertOrderModifier 02e6 ConvertProperty 02f7 TParser.TokenSymbolIs 0336 SInvalidProperty 033b LoadResString 0349 TParser.Error 0369 @WStrClr 0371 @LStrClr 0377 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8A 40 2D 3C 02 75 1D 55 8D 45 FC E8 ?? ?? ?? ?? 59 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 19 03 00 00 8B 55 08 3C 05 75 1D 55 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 55 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 F5 02 00 00 8B 55 08 25 FF 00 00 00 83 F8 28 7F 16 0F 84 B4 01 00 00 48 74 2D 83 E8 02 74 49 48 74 63 E9 AC 02 00 00 83 E8 3C 0F 84 F5 01 00 00 83 E8 1F 0F 84 0A 01 00 00 83 E8 20 0F 84 C7 01 00 00 E9 8C 02 00 00 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 86 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 69 02 00 00 8B 45 08 8B 40 FC 0F B6 40 2E 83 F8 63 7F 11 74 3B 83 E8 43 74 36 48 74 61 83 E8 0F 74 0C EB 7C 83 E8 64 74 55 83 E8 0F 75 72 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 1D 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 EF 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 CD 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 AB 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 B2 0B E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 2D 5D 74 52 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 5D 74 1A 8B 45 08 8B 40 FC B2 2C E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB AE 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? E9 23 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 80 78 2D 29 75 EA 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 E5 00 00 00 8B 45 08 8B 40 FC 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 B2 0E E8 ?? ?? ?? ?? EB 77 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 F8 FF 74 0C 8B 55 08 8B 52 F8 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E2 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 2D 3E 0F 85 79 FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 1B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 00 00 00 00 40 1C 46 FF FF FF FF 04 00 00 00 69 74 65 6D 00 00 00 00 FF FF FF FF 03 00 00 00 65 6E 64 00 }
	condition:
		$1
}

rule function_2107_0 {
	meta:
		name = "ConvertProperty"
		size = 212
		refs = "0012 ConvertProperty 0021 TParser.CheckToken 002b TParser.TokenString 0032 TParser.NextToken 0066 @LStrCatN 0083 TWriter.WriteStr 009c ConvertValue 00b7 @LStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 B2 01 E8 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? EB 39 8B 03 E8 ?? ?? ?? ?? 8B 03 B2 01 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? FF 75 F8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 2D 2E 74 BF 8B 45 08 8B 40 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 03 B2 3D E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_2108_0 {
	meta:
		name = "ConvertObject"
		size = 236
		refs = "0010 ConvertObject 0015 TParser.TokenSymbolIs 0029 TParser.CheckTokenSymbol 0030 TParser.NextToken 003b ConvertHeader 0047 ConvertProperty 0083 TWriter.WriteListEnd"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 33 DB 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 0C 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 C6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 00 00 00 FF FF FF FF 09 00 00 00 49 4E 48 45 52 49 54 45 44 00 00 00 FF FF FF FF 06 00 00 00 4F 42 4A 45 43 54 00 00 FF FF FF FF 03 00 00 00 45 4E 44 00 }
	condition:
		$1
}

rule function_2109_0 {
	meta:
		name = "ObjectTextToBinary"
		size = 186
		refs = "0011 _DV_TParser 0016 TParser.Create 001e DecimalSeparator 0033 ObjectTextToBinary 0047 _DV_TWriter 004c TFiler.Create 0065 TWriter.WriteSignature 006b ConvertObject 0081 TObject.Free 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC A1 ?? ?? ?? ?? 8A 00 88 45 F7 A1 ?? ?? ?? ?? C6 00 2E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 55 F7 88 10 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2111_0 {
	meta:
		name = "ObjectTextToResource"
		size = 332
		refs = "0010 _DV_TMemoryStream 0015 TObject.Create 0020 ObjectTextToResource 0030 ObjectTextToBinary 0038 TStream.GetSize 0049 @FillChar 0056 TStream.SetPosition 00dc StrUpper 0139 TObject.Free 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 A4 33 C9 BA 50 00 00 00 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 FF B9 01 00 00 00 8B 45 F4 8B 38 FF 57 04 8A 45 FF 24 F0 3C F0 75 55 A8 02 74 41 8D 55 FF B9 01 00 00 00 8B 45 F4 8B 38 FF 57 04 8A 45 FF 2C 02 74 0A FE C8 74 0C FE C8 74 0E EB 10 C6 45 FF 01 EB 0A C6 45 FF 02 EB 04 C6 45 FF 04 33 C9 8A 4D FF 8D 55 F8 8B 45 F4 8B 38 FF 57 04 8D 55 FF B9 01 00 00 00 8B 45 F4 8B 38 FF 57 04 33 C9 8A 4D FF 8D 55 A7 8B 45 F4 8B 38 FF 57 04 8D 45 A7 E8 ?? ?? ?? ?? 8D 45 A4 C6 00 FF 8D 45 A5 66 C7 00 0A 00 33 C0 8A 45 FF 8D 44 05 A8 66 C7 00 30 10 33 C0 8A 45 FF 8D 44 05 AA 89 18 33 C9 8A 4D FF 83 C1 0A 8D 55 A4 8B C6 8B 38 FF 57 08 8B 45 F4 8B 50 04 8B CB 8B C6 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2112_0 {
	meta:
		name = "FreeThreadWindow"
		size = 28
		refs = "0002 ThreadWindow 0010 DestroyWindow"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2113_0 {
	meta:
		name = "ThreadWndProc"
		size = 157
		refs = "0020 ThreadWndProc 0045 @HandleAnyException 004a RaiseList 006b @DoneExcept 0072 FreeThreadWindow 008b DefWindowProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 0C 8B D0 81 EA FE 8F 00 00 74 5D 4A 75 66 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 14 33 D2 89 50 24 8B D8 8B 43 20 FF 53 1C 33 C0 5A 59 59 64 89 10 EB 4E E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 18 E8 ?? ?? ?? ?? 8B 40 08 8B 55 14 89 42 24 E8 ?? ?? ?? ?? 33 D2 89 50 08 E8 ?? ?? ?? ?? EB 21 E8 ?? ?? ?? ?? 33 C0 89 45 FC EB 15 8B 55 14 52 8B 55 10 52 50 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_2114_0 {
	meta:
		name = "_NF__925"
		size = 16
	strings:
		$1 = { 54 54 68 72 65 61 64 57 69 6E 64 6F 77 00 00 00 }
	condition:
		$1
}

rule function_2115_0 {
	meta:
		name = "AllocateWindow"
		size = 144
		refs = "0007 HInstance 000e ThreadWindowClass 0025 GetClassInfo 0034 ThreadWndProc 0050 UnregisterClass 005a RegisterClass 0075 AllocateWindow 0081 CreateWindow"
	strings:
		$1 = { 55 8B EC 83 C4 D8 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 8D 45 D8 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 74 0A BA ?? ?? ?? ?? 3B 55 DC 74 21 84 C0 74 13 A1 ?? ?? ?? ?? 8B 00 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 BA ?? ?? ?? ?? 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2116_0 {
	meta:
		name = "AddThread"
		size = 26
		refs = "0002 ThreadCount 000a AllocateWindow 000f ThreadWindow"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2117_0 {
	meta:
		name = "RemoveThread"
		size = 36
		refs = "0002 ThreadCount 0019 ThreadWindow 001f PostMessage"
	strings:
		$1 = { FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 14 6A 00 6A 00 68 FE 8F 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2118_0 {
	meta:
		name = "ThreadProc"
		size = 52
		refs = "0023 TObject.Free 002a EndThread"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 52 04 8A 5F 0E 8B 77 10 C6 47 0F 01 8B C7 8B 10 FF 12 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2119_0 {
	meta:
		name = "TThread.Create"
		size = 108
		refs = "000f @ClassCreate 001f TObject.Create 0024 AddThread 003d ThreadProc 0046 BeginThread 0056 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5F 0D 33 F6 84 DB 74 05 BE 04 00 00 00 57 56 8D 47 08 50 B9 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 89 47 04 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2120_0 {
	meta:
		name = "TThread.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 001a TThread.Terminate 0021 TThread.WaitFor 002e CloseHandle 003a TObject.Destroy 003f RemoveThread 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 0F 00 75 14 80 7E 0D 00 75 0E 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2121_0 {
	meta:
		name = "TThread.CallOnTerminate"
		size = 13
	strings:
		$1 = { 53 8B D8 8B D0 8B 43 18 FF 53 14 5B C3 }
	condition:
		$1
}

rule function_2122_0 {
	meta:
		name = "TThread.DoTerminate"
		size = 19
		refs = "0009 TThread.CallOnTerminate 000e TThread.Synchronize"
	strings:
		$1 = { 66 83 78 16 00 74 0B 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2123_0 {
	meta:
		name = "TThread.GetPriority"
		size = 38
		refs = "0006 GetThreadPriority 0011 Priorities"
	strings:
		$1 = { 56 8B 40 04 50 E8 ?? ?? ?? ?? 8B F0 B0 03 33 D2 B9 ?? ?? ?? ?? 3B 31 75 02 8B C2 42 83 C1 04 80 FA 07 75 F1 5E C3 }
	condition:
		$1
}

rule function_2124_0 {
	meta:
		name = "TThread.SetPriority"
		size = 21
		refs = "0006 Priorities 0010 SetThreadPriority"
	strings:
		$1 = { 83 E2 7F 8B 14 95 ?? ?? ?? ?? 52 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2125_0 {
	meta:
		name = "TThread.Synchronize"
		size = 59
		refs = "0020 ThreadWindow 0026 SendMessage 0032 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 89 43 24 8B 45 08 89 43 1C 8B 45 0C 89 43 20 53 6A 00 68 FF 8F 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2126_0 {
	meta:
		name = "TThread.SetSuspended"
		size = 22
		refs = "000a TThread.Suspend 0011 TThread.Resume"
	strings:
		$1 = { 3A 50 0D 74 10 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2127_0 {
	meta:
		name = "TThread.Suspend"
		size = 14
		refs = "0009 SuspendThread"
	strings:
		$1 = { C6 40 0D 01 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2128_0 {
	meta:
		name = "TThread.Resume"
		size = 23
		refs = "0008 ResumeThread"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 83 F8 01 75 04 C6 43 0D 00 5B C3 }
	condition:
		$1
}

rule function_2129_0 {
	meta:
		name = "TThread.Terminate"
		size = 5
	strings:
		$1 = { C6 40 0C 01 C3 }
	condition:
		$1
}

rule function_2130_0 {
	meta:
		name = "TThread.WaitFor"
		size = 94
		refs = "0007 GetCurrentThreadId 000d MainThreadID 0025 PeekMessage 0036 MsgWaitForMultipleObjects 0048 WaitForSingleObject 0052 GetExitCodeThread"
	strings:
		$1 = { 53 83 C4 E0 8B D8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 2C EB 12 6A 00 6A 00 6A 00 6A 00 8D 44 24 14 50 E8 ?? ?? ?? ?? 6A 40 6A FF 6A 00 8D 43 04 50 6A 01 E8 ?? ?? ?? ?? 83 F8 01 74 D8 EB 0B 6A FF 8B 43 04 50 E8 ?? ?? ?? ?? 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_2131_0 {
	meta:
		name = "TComponent.Create"
		size = 76
		refs = "000b @ClassCreate 0016 TComponent.Create 0026 TComponent.InsertComponent 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 A0 ?? ?? ?? ?? 88 47 21 85 F6 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_2132_0 {
	meta:
		name = "TComponent.Destroy"
		size = 129
		refs = "0006 @BeforeDestruction 0027 TList.Get 003c TObject.Free 0048 TComponent.Destroying 004f TComponent.DestroyComponents 005d TComponent.RemoveComponent 006a TPersistent.Destroy 0077 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 43 14 85 C0 74 2F 8B 70 08 4E 85 F6 7C 1A 46 33 FF 8B D7 8B 43 14 E8 ?? ?? ?? ?? B1 01 8B D3 8B 28 FF 55 10 47 4E 75 E9 8B 43 14 E8 ?? ?? ?? ?? 33 C0 89 43 14 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8A 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2133_0 {
	meta:
		name = "TComponent.FreeNotification"
		size = 75
		refs = "001b _DV_TList 0020 TObject.Create 002d TList.IndexOf 003b TList.Add 0044 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 85 C0 74 05 3B 46 04 74 36 83 7B 14 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B D6 8B 43 14 E8 ?? ?? ?? ?? 85 C0 7D 13 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2134_0 {
	meta:
		name = "TComponent.ReadLeft"
		size = 20
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_2135_0 {
	meta:
		name = "TComponent.ReadTop"
		size = 20
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 43 1A 5E 5B C3 }
	condition:
		$1
}

rule function_2136_0 {
	meta:
		name = "TComponent.WriteLeft"
		size = 11
		refs = "0006 TWriter.WriteInteger"
	strings:
		$1 = { 0F B7 40 18 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2137_0 {
	meta:
		name = "TComponent.WriteTop"
		size = 11
		refs = "0006 TWriter.WriteInteger"
	strings:
		$1 = { 0F B7 40 1A 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2138_0 {
	meta:
		name = "TComponent.Insert"
		size = 43
		refs = "000f _DV_TList 0014 TObject.Create 0021 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B D6 8B 43 10 E8 ?? ?? ?? ?? 89 5E 04 5E 5B C3 }
	condition:
		$1
}

rule function_2139_0 {
	meta:
		name = "TComponent.Remove"
		size = 37
		refs = "000c TList.Remove 001a TObject.Free"
	strings:
		$1 = { 53 8B D8 33 C0 89 42 04 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 83 78 08 00 75 0A E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_2140_0 {
	meta:
		name = "TComponent.InsertComponent"
		size = 83
		refs = "0010 @CallDynaInst 0028 TComponent.Insert 0031 TComponent.SetReference 0040 TComponent.SetDesigning"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B D7 8B C6 66 BB F6 FF E8 ?? ?? ?? ?? 8B 46 08 50 33 C9 8B D6 8B C7 8B 18 FF 53 20 8B D6 8B C7 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? F6 47 20 10 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? 33 C9 8B D6 8B C7 8B 18 FF 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2141_0 {
	meta:
		name = "TComponent.RemoveComponent"
		size = 63
		refs = "0017 TComponent.SetReference 0020 TComponent.Remove 0029 TComponent.SetDesigning"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B1 01 8B D3 8B C6 8B 38 FF 57 10 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 4B 08 8B D3 8B C6 8B 18 FF 53 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2142_0 {
	meta:
		name = "TComponent.DestroyComponents"
		size = 43
		refs = "0009 TList.Last 0014 TComponent.Remove"
	strings:
		$1 = { 53 56 8B D8 EB 1B 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 FC 8B 73 10 85 F6 75 DE 5E 5B C3 }
	condition:
		$1
}

rule function_2143_0 {
	meta:
		name = "TComponent.Destroying"
		size = 56
		refs = "0027 TList.Get 002c TComponent.Destroying"
	strings:
		$1 = { 53 56 57 8B D8 F6 43 20 08 75 29 80 4B 20 08 8B 43 10 85 C0 74 1E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2144_0 {
	meta:
		name = "TComponent.Notification"
		size = 108
		refs = "0022 TList.Remove 0030 TObject.Free 0051 TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B D8 8B 43 14 85 C0 74 22 80 7C 24 04 01 75 1B 8B 14 24 E8 ?? ?? ?? ?? 8B 43 14 83 78 08 00 75 0A E8 ?? ?? ?? ?? 33 C0 89 43 14 8B 43 10 85 C0 74 25 8B 70 08 4E 85 F6 7C 1D 46 33 FF 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8A 4C 24 04 8B 14 24 8B 28 FF 55 10 47 4E 75 E6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2145_0 {
	meta:
		name = "TComponent.DefineProperties"
		size = 132
		refs = "001f TComponent.ReadLeft 0025 TComponent.WriteLeft 0035 TComponent.DefineProperties 0041 TComponent.ReadTop 0047 TComponent.WriteTop"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 33 C0 89 45 FC 8B 46 1C 85 C0 74 06 8B 40 18 89 45 FC 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 66 8B 43 18 66 3B 45 FC 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 66 8B 45 FE 66 3B 43 1A 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B 59 5D C3 00 FF FF FF FF 04 00 00 00 4C 65 66 74 00 00 00 00 FF FF FF FF 03 00 00 00 54 6F 70 00 }
	condition:
		$1
}

rule function_2150_0 {
	meta:
		name = "TComponent.GetNamePath"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2155_0 {
	meta:
		name = "TComponent.Updating"
		size = 9
	strings:
		$1 = { 53 8B D8 80 4B 20 40 5B C3 }
	condition:
		$1
}

rule function_2156_0 {
	meta:
		name = "TComponent.Updated"
		size = 9
	strings:
		$1 = { 53 8B D8 80 63 20 BF 5B C3 }
	condition:
		$1
}

rule function_2157_0 {
	meta:
		name = "TComponent.Loaded"
		size = 9
	strings:
		$1 = { 53 8B D8 80 63 20 FE 5B C3 }
	condition:
		$1
}

rule function_2159_0 {
	meta:
		name = "TComponent.WriteState"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_2160_0 {
	meta:
		name = "TComponent.ValidateRename"
		size = 179
		refs = "001c TComponent.ValidateRename 0030 CompareText 003d TComponent.FindComponent 0056 SDuplicateName 005b LoadResString 0065 _DV_EComponentError 006a Exception.CreateFmt 006f @RaiseExcept 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 49 8B D6 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 3B 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2E 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 20 10 74 14 83 7B 04 00 74 0E 56 8B 4D FC 8B D7 8B 43 04 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2161_0 {
	meta:
		name = "TComponent.ValidateContainer"
		size = 20
		refs = "000d @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C2 8B D6 66 BB F5 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2163_0 {
	meta:
		name = "TComponent.FindComponent"
		size = 77
		refs = "002a TList.Get 0037 CompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 83 3C 24 00 74 33 83 7F 10 00 74 2D 8B 47 10 8B 58 08 4B 85 DB 7C 22 43 33 ED 8B 47 10 8B D5 E8 ?? ?? ?? ?? 8B F0 8B 14 24 8B 46 08 E8 ?? ?? ?? ?? 85 C0 74 06 45 4B 75 E1 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2164_0 {
	meta:
		name = "TComponent.SetName"
		size = 201
		refs = "0016 TComponent.SetName 0026 @LStrCmp 0033 IsValidIdent 004c SInvalidName 0051 LoadResString 005b _DV_EComponentError 0060 Exception.CreateFmt 0065 @RaiseExcept 008f TComponent.SetReference 0098 TComponent.ChangeName 00b6 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D6 E8 ?? ?? ?? ?? 74 79 85 F6 74 39 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2E 89 75 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 0D 56 8B 4B 08 8B D3 8B 38 FF 57 20 EB 0D 56 8B 4B 08 33 D2 8B C3 8B 38 FF 57 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2165_0 {
	meta:
		name = "TComponent.ChangeName"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2166_0 {
	meta:
		name = "TComponent.GetComponentIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 50 04 85 D2 74 10 83 7A 10 00 74 0A 8B 52 10 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_2167_0 {
	meta:
		name = "TComponent.GetComponent"
		size = 107
		refs = "000f TComponent.GetComponent 0023 SListIndexError 0028 LoadResString 0032 _DV_TList 0037 TList.Error 0041 TList.Get 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 75 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2168_0 {
	meta:
		name = "TComponent.GetComponentCount"
		size = 14
	strings:
		$1 = { 8B 50 10 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_2169_0 {
	meta:
		name = "TComponent.SetComponentIndex"
		size = 81
		refs = "0014 TList.IndexOf 003a TList.Delete 0049 TList.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 85 C0 74 3F 8B 40 10 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 31 8B 53 04 8B 7A 10 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 17 8B D7 92 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2170_0 {
	meta:
		name = "TComponent.SetAncestor"
		size = 64
		refs = "0019 TComponent.GetComponentCount 002c TComponent.GetComponent 0033 TComponent.SetAncestor"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 84 DB 74 06 80 4F 20 20 EB 04 80 67 20 DF 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2171_0 {
	meta:
		name = "TComponent.SetDesigning"
		size = 64
		refs = "0019 TComponent.GetComponentCount 002c TComponent.GetComponent 0033 TComponent.SetDesigning"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 84 DB 74 06 80 4F 20 10 EB 04 80 67 20 EF 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2172_0 {
	meta:
		name = "TComponent.SetReference"
		size = 70
		refs = "001f @LStrToString 0028 TObject.FieldAddress"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B DA 8B F8 8B 77 04 85 F6 74 28 8B C4 8B 57 08 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0C 84 DB 74 04 89 38 EB 04 33 D2 89 10 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2173_0 {
	meta:
		name = "TComponent.ExecuteAction"
		size = 38
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 8B 08 FF 51 38 84 C0 74 0E 8B D3 8B C6 8B 08 FF 51 40 B0 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_2174_0 {
	meta:
		name = "TComponent.UpdateAction"
		size = 38
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 8B 08 FF 51 38 84 C0 74 0E 8B D3 8B C6 8B 08 FF 51 3C B0 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_2175_0 {
	meta:
		name = "TComponent.GetComObject"
		size = 212
		refs = "001b TComponent.GetComObject 002d CreateVCLComObjectProc 004b TObject.ClassName 0069 SNoComSupport 006e LoadResString 007b _DV_EComponentError 0080 Exception.CreateFmt 0085 @RaiseExcept 008c @IntfClear 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 5E 83 3D ?? ?? ?? ?? 00 74 08 8B C3 FF 15 ?? ?? ?? ?? 83 7B 1C 00 75 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 43 1C 50 8B 00 FF 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_2176_0 {
	meta:
		name = "TComponent.SafeCallException"
		size = 24
		refs = "0012 TObject.SafeCallException"
	strings:
		$1 = { 53 83 78 1C 00 74 0A 8B 40 1C 8B 18 FF 53 1C 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2177_0 {
	meta:
		name = "TComponent.FreeOnRelease"
		size = 15
	strings:
		$1 = { 83 78 1C 00 74 08 8B 40 1C 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_2179_0 {
	meta:
		name = "TComponent.QueryInterface"
		size = 64
		refs = "001c TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 83 7B 1C 00 75 1A 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 11 B8 02 40 00 80 EB 0A 57 56 8B 43 1C 50 8B 00 FF 10 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_2180_0 {
	meta:
		name = "TComponent._AddRef"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 1C 00 75 05 83 C8 FF EB 09 8B 40 1C 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_2181_0 {
	meta:
		name = "TComponent._Release"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 1C 00 75 05 83 C8 FF EB 09 8B 40 1C 50 8B 00 FF 50 08 5D C2 04 00 }
	condition:
		$1
}

rule function_2182_0 {
	meta:
		name = "TComponent.GetTypeInfoCount"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 1C 00 75 07 B8 01 40 00 80 EB 0D 8B 55 0C 52 8B 40 1C 50 8B 00 FF 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_2183_0 {
	meta:
		name = "TComponent.GetTypeInfo"
		size = 44
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 1C 00 75 07 B8 01 40 00 80 EB 15 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 1C 50 8B 00 FF 50 10 5D C2 10 00 }
	condition:
		$1
}

rule function_2184_0 {
	meta:
		name = "TComponent.GetIDsOfNames"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 1C 00 75 07 B8 01 40 00 80 EB 1D 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 1C 50 8B 00 FF 50 14 5D C2 18 00 }
	condition:
		$1
}

rule function_2185_0 {
	meta:
		name = "TComponent.Invoke"
		size = 65
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 1C 00 75 07 B8 01 40 00 80 EB 2A 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 66 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 1C 50 8B 00 FF 50 18 5D C2 24 00 }
	condition:
		$1
}

rule function_2186_0 {
	meta:
		name = "TBasicActionLink.Create"
		size = 65
		refs = "000b @ClassCreate 001a TObject.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 11 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2188_0 {
	meta:
		name = "TBasicActionLink.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0015 TBasicAction.UnRegisterChanges 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2189_0 {
	meta:
		name = "TBasicActionLink.Change"
		size = 21
	strings:
		$1 = { 53 66 83 78 06 00 74 0B 8B D8 8B 50 0C 8B 43 08 FF 53 04 5B C3 }
	condition:
		$1
}

rule function_2190_0 {
	meta:
		name = "TBasicActionLink.Execute"
		size = 15
		refs = "0009 @CallDynaInst"
	strings:
		$1 = { 53 8B 40 0C 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2191_0 {
	meta:
		name = "TBasicActionLink.SetAction"
		size = 43
		refs = "0014 TBasicAction.UnRegisterChanges 0024 TBasicAction.RegisterChanges"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 73 0C 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2194_0 {
	meta:
		name = "TBasicActionLink.Update"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_2195_0 {
	meta:
		name = "TBasicAction.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _DV_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2196_0 {
	meta:
		name = "TBasicAction.Destroy"
		size = 74
		refs = "0004 @BeforeDestruction 0014 TComponent.Destroy 001d TList.Last 0026 TBasicAction.UnRegisterChanges 0037 TObject.Free 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 3C 83 7E 08 00 7F E7 8B 47 3C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2200_0 {
	meta:
		name = "TBasicAction.Execute"
		size = 26
	strings:
		$1 = { 53 66 83 78 2E 00 74 0E 8B D8 8B D0 8B 43 30 FF 53 2C B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2201_0 {
	meta:
		name = "TBasicAction.Update"
		size = 26
	strings:
		$1 = { 53 66 83 78 36 00 74 0E 8B D8 8B D0 8B 43 38 FF 53 34 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2202_0 {
	meta:
		name = "TBasicAction.SetOnExecute"
		size = 81
		refs = "002a TList.Get"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 3B 43 2C 74 3A 8B 43 3C 8B 70 08 4E 85 F6 7C 1C 46 33 FF FF 75 0C FF 75 08 8B D7 8B 43 3C E8 ?? ?? ?? ?? 8B 10 FF 52 10 47 4E 75 E7 8B 45 08 89 43 2C 8B 45 0C 89 43 30 8B C3 8B 10 FF 52 30 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2203_0 {
	meta:
		name = "TBasicAction.Change"
		size = 20
		altNames = "TCanvas.Changed TDdeServerConv.Connect"
	strings:
		$1 = { 53 66 83 78 26 00 74 0A 8B D8 8B D0 8B 43 28 FF 53 24 5B C3 }
	condition:
		$1
}

rule function_2204_0 {
	meta:
		name = "TBasicAction.RegisterChanges"
		size = 12
		refs = "0007 TList.Add"
	strings:
		$1 = { 89 42 0C 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2205_0 {
	meta:
		name = "TBasicAction.UnRegisterChanges"
		size = 62
		refs = "001c TList.Get 002f TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 3C 8B 70 08 4E 85 F6 7C 26 46 33 DB 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 3B E8 75 11 33 C0 89 45 0C 8B 47 3C 8B D3 E8 ?? ?? ?? ?? EB 04 43 4E 75 DD 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2206_0 {
	meta:
		name = "TStreamAdapter.Create"
		size = 72
		refs = "000e @ClassCreate 001d TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8A 45 08 88 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2207_0 {
	meta:
		name = "TStreamAdapter.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 10 01 75 0D 8B 46 0C E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2208_0 {
	meta:
		name = "TStreamAdapter.Read"
		size = 103
		refs = "0010 TStreamAdapter.Read 0050 @HandleAnyException 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 55 0C 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 75 0F BB 09 00 03 80 33 C0 5A 59 59 64 89 10 EB 31 8B 40 0C 8B 4D 10 8B 18 FF 53 04 83 7D 14 00 74 05 8B 55 14 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_2209_0 {
	meta:
		name = "TStreamAdapter.Write"
		size = 103
		refs = "0010 TStreamAdapter.Write 0050 @HandleAnyException 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 55 0C 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 75 0F BB 09 00 03 80 33 C0 5A 59 59 64 89 10 EB 31 8B 40 0C 8B 4D 10 8B 18 FF 53 08 83 7D 14 00 74 05 8B 55 14 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 03 01 03 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_2210_0 {
	meta:
		name = "TStreamAdapter.Seek"
		size = 119
		refs = "0010 TStreamAdapter.Seek 0060 @HandleAnyException 006a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 4D 14 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 C9 7C 05 83 F9 02 7E 0F BB 01 00 03 80 33 C0 5A 59 59 64 89 10 EB 3C 8B 45 0C 8B D0 8B 43 0C 8B 18 FF 53 0C 8B C8 8B 45 18 85 C0 74 0B 8B C1 99 8B 4D 18 89 01 89 51 04 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 09 00 03 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_2211_0 {
	meta:
		name = "TStreamAdapter.SetSize"
		size = 97
		refs = "000d TStreamAdapter.SetSize 0027 TStream.GetSize 004a @HandleAnyException 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B D0 8B 43 0C 8B 08 FF 11 8B 43 0C E8 ?? ?? ?? ?? 99 3B 55 10 75 03 3B 45 0C 74 07 BB 05 40 00 80 EB 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_2212_0 {
	meta:
		name = "TStreamAdapter.CopyTo"
		size = 259
		refs = "0013 @IntfAddRef 001b TStreamAdapter.CopyTo 003d @GetMem 009a @FreeMem 00a0 @HandleFinally 00ca @HandleAnyException 00d6 @DoneExcept 00eb @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 5D 18 8B 75 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 46 0C 8B 4D F4 8B 30 FF 56 04 8B C8 85 DB 74 08 8B C1 99 89 03 89 53 04 8D 45 F0 50 8B 45 F4 50 8B 45 F8 50 8B 45 0C 50 8B 00 FF 50 10 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 7D FC 00 75 13 8B 45 1C 85 C0 74 0C 8B 45 F0 99 8B 4D 1C 89 01 89 51 04 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 FC FF FF 00 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_2214_0 {
	meta:
		name = "TStreamAdapter.Revert"
		size = 12
	strings:
		$1 = { 55 8B EC B8 02 01 03 80 5D C2 04 00 }
	condition:
		$1
}

rule function_2215_0 {
	meta:
		name = "TStreamAdapter.LockRegion"
		size = 12
		altNames = "TStreamAdapter.UnlockRegion"
	strings:
		$1 = { 55 8B EC B8 01 00 03 80 5D C2 18 00 }
	condition:
		$1
}

rule function_2217_0 {
	meta:
		name = "TStreamAdapter.Stat"
		size = 125
		refs = "0012 TStreamAdapter.Stat 002b TStream.GetSize 0066 @HandleAnyException 0070 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 7D 08 33 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 3B C7 43 04 02 00 00 00 8B 47 0C E8 ?? ?? ?? ?? 99 89 43 08 89 53 0C 33 C0 89 43 10 33 C0 89 43 14 33 C0 89 43 18 33 C0 89 43 1C 33 C0 89 43 20 33 C0 89 43 24 C7 43 2C 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE FF FF 00 80 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_2219_0 {
	meta:
		name = "FreeIntConstList"
		size = 107
		refs = "0007 IntConstList 000c TThreadList.LockList 0016 FreeIntConstList 0030 TList.Get 0035 TObject.Free 0050 TThreadList.UnlockList 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_2221_0 {
	meta:
		name = "Finalization"
		size = 169
		refs = "0007 Finalization 0013 _DV_84 001a HInstance 0021 UnRegisterModuleClasses 0026 GlobalNameSpace 002b TMultiReadExclusiveWriteSynchronizer.BeginWrite 0030 FreeIntConstList 0035 ClassList 003a TObject.Free 003f ClassAliasList 004d RemoveFixupReferences 0052 GlobalFixupList 0063 @GetTls 0069 GlobalLists 0073 FreeThreadWindow 0089 ModuleUnload 008e RemoveModuleUnloadProc 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 79 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_2222_0 {
	meta:
		name = "Classes"
		size = 105
		refs = "0002 _DV_84 000a ModuleUnload 000f AddModuleUnloadProc 0016 _Dn_TMultiReadExclusiveWriteSynchronizer 001b TMultiReadExclusiveWriteSynchronizer.Create 0020 GlobalNameSpace 0027 _DV_TThreadList 002c TThreadList.Create 0031 ClassList 0038 _DV_TStringList 003d TObject.Create 0042 ClassAliasList 0053 IntConstList 0064 GlobalFixupList"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 5F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2223_0 {
	meta:
		name = "TClipboard.Clear"
		size = 66
		refs = "000b TClipboard.Open 0013 TClipboard.Clear 001e EmptyClipboard 0033 TClipboard.Close 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_2224_0 {
	meta:
		name = "TClipboard.Adding"
		size = 28
		refs = "0012 TClipboard.Clear"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 11 80 7B 0D 00 75 0B 8B C3 E8 ?? ?? ?? ?? C6 43 0D 01 5B C3 }
	condition:
		$1
}

rule function_2225_0 {
	meta:
		name = "TClipboard.Close"
		size = 44
		refs = "0013 CloseClipboard 0021 DeallocateHWnd"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 21 FF 4B 04 83 7B 04 00 75 18 E8 ?? ?? ?? ?? 80 7B 0C 00 74 08 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_2226_0 {
	meta:
		name = "TClipboard.Open"
		size = 149
		refs = "000c TClipboard.Open 001d Application 002f TClipboard.WndProc 0034 AllocateHWnd 0044 OpenClipboard 0050 SCannotOpenClipboard 0055 LoadResString 005f _Dn_Exception 0064 Exception.Create 0069 @RaiseExcept 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 75 55 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 43 08 85 C0 75 12 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 C6 43 0C 01 8B 43 08 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 0D 00 FF 43 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2227_0 {
	meta:
		name = "TClipboard.WndProc"
		size = 32
		refs = "0016 DefWindowProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 08 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2228_0 {
	meta:
		name = "TClipboard.GetComponent"
		size = 414
		refs = "0019 TClipboard.Open 0021 TClipboard.GetComponent 002e CF_COMPONENT 0034 GetClipboardData 0042 @TryFinallyExit 0050 GlobalLock 0075 _Dn_TMemoryStream 007a TObject.Create 0094 GlobalSize 00a0 TStream.WriteBuffer 00aa TStream.SetPosition 00b9 _Dn_TReader 00be TFiler.Create 00df TReader.ReadRootComponent 00fa TComponent.InsertComponent 0109 @HandleAnyException 0111 TObject.Free 0116 @RaiseAgain 011b @DoneExcept 0136 @HandleFinally 016b GlobalUnlock 0188 TClipboard.Close"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B DA 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 0A E8 ?? ?? ?? ?? E9 49 01 00 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F8 85 FF 75 0A E8 ?? ?? ?? ?? E9 30 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 68 00 01 00 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 89 70 28 33 D2 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2229_0 {
	meta:
		name = "TClipboard.SetBuffer"
		size = 226
		refs = "0017 TClipboard.Open 001f TClipboard.SetBuffer 0030 GlobalAlloc 004a GlobalLock 0063 Move 006b TClipboard.Adding 0078 SetClipboardData 008e GlobalUnlock 0094 @HandleFinally 00a5 @HandleAnyException 00ae GlobalFree 00b3 @RaiseAgain 00b8 @DoneExcept 00cd TClipboard.Close"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 68 02 20 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 0F B7 C6 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2230_0 {
	meta:
		name = "TClipboard.SetComponent"
		size = 112
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TClipboard.SetComponent 002d TStream.WriteComponent 0035 TStream.GetSize 0043 CF_COMPONENT 004a TClipboard.SetBuffer 005f TObject.Free 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 48 04 66 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2231_0 {
	meta:
		name = "TClipboard.GetTextBuf"
		size = 79
		refs = "000d TClipboard.Open 0014 GetClipboardData 0024 GlobalLock 0030 StrLCopy 0035 StrLen 003d GlobalUnlock 0044 TClipboard.Close"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 33 FF EB 1F 53 E8 ?? ?? ?? ?? 8B D0 8B CD 49 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 53 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2232_0 {
	meta:
		name = "TClipboard.SetTextBuf"
		size = 31
		refs = "0009 StrLen 0018 TClipboard.SetBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 40 50 8B CE 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2233_0 {
	meta:
		name = "TClipboard.GetAsText"
		size = 126
		refs = "0010 TClipboard.Open 0017 GetClipboardData 0022 TClipboard.GetAsText 0037 GlobalLock 0040 @LStrFromPChar 0049 @LStrClr 0065 GlobalUnlock 006d TClipboard.Close 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 14 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2234_0 {
	meta:
		name = "TClipboard.SetAsText"
		size = 38
		refs = "0009 @LStrLen 0012 @LStrToPChar 001f TClipboard.SetBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 40 50 8B C6 E8 ?? ?? ?? ?? 8B C8 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2235_0 {
	meta:
		name = "TClipboard.AssignToPicture"
		size = 236
		refs = "0017 TClipboard.AssignToPicture 0025 TClipboard.Open 003a EnumClipboardFormats 0048 _Dn_TPicture 004d TPicture.SupportsClipboardFormat 005a GetClipboardData 006f TPicture.LoadFromClipboardFormat 0074 @TryFinallyExit 008e SInvalidClipFmt 0093 LoadResString 009d _Dn_Exception 00a2 Exception.Create 00a7 @RaiseExcept 00bc TClipboard.Close 00c2 @HandleFinally 00d9 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 45 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B7 C3 50 E8 ?? ?? ?? ?? 8B F0 6A 09 E8 ?? ?? ?? ?? 50 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 0F B7 C3 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 BB 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2236_0 {
	meta:
		name = "TClipboard.AssignToBitmap"
		size = 101
		refs = "0010 TClipboard.Open 0018 TClipboard.AssignToBitmap 0025 GetClipboardData 0053 TClipboard.Close 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 E8 ?? ?? ?? ?? 8B D8 6A 09 E8 ?? ?? ?? ?? 8B F0 56 8B CB 66 BA 02 00 8B C7 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2237_0 {
	meta:
		name = "TClipboard.AssignToMetafile"
		size = 97
		refs = "000f TClipboard.Open 0017 TClipboard.AssignToMetafile 0024 GetClipboardData 0050 TClipboard.Close 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 03 E8 ?? ?? ?? ?? 8B D8 6A 09 E8 ?? ?? ?? ?? 50 8B CB 66 BA 03 00 8B C6 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2238_0 {
	meta:
		name = "TClipboard.AssignTo"
		size = 103
		refs = "000a _Dn_TPicture 000f @IsClass 001c TClipboard.AssignToPicture 0027 _Dn_TBitmap 0039 TClipboard.AssignToBitmap 0043 _Dn_TMetafile 0055 TClipboard.AssignToMetafile 0060 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 25 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2239_0 {
	meta:
		name = "TClipboard.AssignPicture"
		size = 129
		refs = "0010 TClipboard.Open 0018 TClipboard.AssignPicture 0026 TClipboard.Adding 003c TPicture.SaveToClipboardFormat 004a SetClipboardData 0070 TClipboard.Close 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 45 F0 50 8D 4D F8 8D 55 F6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 0F B7 45 F6 50 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 45 F0 50 6A 09 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2240_0 {
	meta:
		name = "TClipboard.AssignGraphic"
		size = 129
		refs = "0010 TClipboard.Open 0018 TClipboard.AssignGraphic 0026 TClipboard.Adding 004a SetClipboardData 0070 TClipboard.Close 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 45 F0 50 8D 4D F8 8D 55 F6 8B C3 8B 18 FF 53 5C 8B 45 F8 50 0F B7 45 F6 50 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 45 F0 50 6A 09 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2241_0 {
	meta:
		name = "TClipboard.Assign"
		size = 75
		refs = "000a _Dn_TPicture 000f @IsClass 001c TClipboard.AssignPicture 0027 _Dn_TGraphic 0039 TClipboard.AssignGraphic 0044 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2242_0 {
	meta:
		name = "TClipboard.GetAsHandle"
		size = 83
		refs = "0010 TClipboard.Open 0018 TClipboard.GetAsHandle 0027 GetClipboardData 003f TClipboard.Close 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2243_0 {
	meta:
		name = "TClipboard.SetAsHandle"
		size = 87
		refs = "0011 TClipboard.Open 0019 TClipboard.SetAsHandle 0027 TClipboard.Adding 0031 SetClipboardData 0046 TClipboard.Close 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 56 0F B7 C3 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2245_0 {
	meta:
		name = "TClipboard.GetFormats"
		size = 106
		refs = "0010 TClipboard.Open 0018 TClipboard.GetFormats 0025 EnumClipboardFormats 0055 TClipboard.Close 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 66 89 45 FA 85 DB 7E 13 4B 0F B7 45 FA 50 E8 ?? ?? ?? ?? 66 89 45 FA 85 DB 7F ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 8B 45 FA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2246_0 {
	meta:
		name = "HasAPicture"
		size = 125
		refs = "000c TClipboard.Open 0014 HasAPicture 0025 EnumClipboardFormats 0033 _Dn_TPicture 0038 TPicture.SupportsClipboardFormat 006a TClipboard.Close 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 6A 00 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 26 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 01 EB 10 0F B7 C3 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_2247_0 {
	meta:
		name = "TClipboard.HasFormat"
		size = 53
		refs = "000f IsClipboardFormatAvailable 001a CF_PICTURE 0022 HasAPicture"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 0F B7 C3 50 E8 ?? ?? ?? ?? 85 C0 75 18 66 3B 1D ?? ?? ?? ?? 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 5B 59 5D C3 }
	condition:
		$1
}

rule function_2248_0 {
	meta:
		name = "Clipboard"
		size = 32
		refs = "0002 FClipboard 000c _DV_TClipboard 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3931_0 {
	meta:
		name = "ComClassManager"
		size = 32
		refs = "0002 ComClassManagerVar 000c _DV_TComClassManager 0011 TComClassManager.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9377_0 {
	meta:
		name = "GetClipboardFormats"
		size = 32
		refs = "0002 ClipboardFormats 000c _DV_TClipboardFormats 0011 TClipboardFormats.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9376_0 {
	meta:
		name = "GetFileFormats"
		size = 32
		refs = "0002 FileFormats 000c _DV_TFileFormatsList 0011 TFileFormatsList.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15320_0 {
	meta:
		name = "Printer"
		size = 32
		refs = "0002 FPrinter 000c _DV_TPrinter 0011 TPrinter.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16313_0 {
	meta:
		name = "QRPrinter"
		size = 32
		refs = "0002 FQRPrinter 000c _DV_TQRPrinter 0011 TQRPrinter.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2249_0 {
	meta:
		name = "SetClipboard"
		size = 14
		refs = "0002 FClipboard"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_15321_0 {
	meta:
		name = "SetPrinter"
		size = 14
		refs = "0002 FPrinter"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_2250_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_2 001a FClipboard 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6809_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_2 001a InputReqClass 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10098_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_4 001a CoderCollective 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15322_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_3 001a FPrinter 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15532_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_1 001a MethodNumbers 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16038_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_51 001a QRFunctionLibrary 001f TObject.Free 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_2251_0 {
	meta:
		name = "Clipbrd"
		size = 88
		refs = "0002 _DV_2 000a Clipbrd 000f RegisterClipboardFormat 0015 CF_PICTURE 0025 CF_COMPONENT 002c FClipboard"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 27 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 00 00 00 44 65 6C 70 68 69 20 50 69 63 74 75 72 65 00 00 44 65 6C 70 68 69 20 43 6F 6D 70 6F 6E 65 6E 74 00 00 00 00 }
	condition:
		$1
}

rule function_2252_0 {
	meta:
		name = "TColorGrid.Create"
		size = 204
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 TColorGrid.Create 005c TControl.SetColor 006c TBrush.SetStyle 007c TPen.SetColor 00a0 GetStockObject 00a6 GetPaletteEntries 00b3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 C6 83 64 02 00 00 02 C7 83 5C 02 00 00 04 00 00 00 C7 83 60 02 00 00 04 00 00 00 C6 83 4C 02 00 00 01 C6 83 4D 02 00 00 01 BA 0F 00 00 80 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 6A 64 6A 64 33 C9 33 D2 8B C3 8B 30 FF 96 80 00 00 00 8D 83 F0 01 00 00 50 6A 14 6A 00 6A 0F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 40 00 00 00 }
	condition:
		$1
}

rule function_2253_0 {
	meta:
		name = "TColorGrid.ColorToIndex"
		size = 83
		refs = "0014 ColorToRGB 002c RGB"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 FF 33 DB 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 8D B4 9D F0 01 00 00 8A 4E 02 8A 56 01 8A 06 E8 ?? ?? ?? ?? 3B 44 24 04 74 14 83 FB 07 74 03 43 EB 03 83 C3 05 47 83 FB 14 7C D5 83 CF FF 8B C7 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2254_0 {
	meta:
		name = "TColorGrid.CreateWnd"
		size = 48
		refs = "0006 TWinControl.CreateWnd 000f TWinControl.GetHandle 0015 GetWindowLong 002a SetWindowLong"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0D 00 00 00 04 50 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2255_0 {
	meta:
		name = "TColorGrid.DrawSquare"
		size = 518
		refs = "0064 Bounds 0080 TPen.SetColor 009d TCanvas.Rectangle 00ab InflateRect 00c6 Frame3D 00ee RGB 00fe TBrush.SetColor 0190 TCanvas.GetHandle 0196 DrawFocusRect 01b2 TPen.SetMode"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 88 0C 24 8B CA 8B D8 85 C9 0F 8C E8 01 00 00 83 F9 0F 0F 8F DF 01 00 00 83 F9 08 7D 04 8B F1 EB 03 8D 71 04 8B C1 8B AB 5C 02 00 00 99 F7 FD 8B F8 0F AF BB 58 02 00 00 8B C1 99 F7 FD 0F AF 93 54 02 00 00 8B EA 8B 83 58 02 00 00 50 8D 44 24 08 50 8B 8B 54 02 00 00 8B D7 8B C5 E8 ?? ?? ?? ?? 80 BB 2C 01 00 00 00 74 5B 8B 83 EC 01 00 00 8B 40 10 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 44 24 0C 50 E8 ?? ?? ?? ?? 68 14 00 00 80 6A 02 8D 54 24 0C B9 10 00 00 80 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? EB 10 8B 83 EC 01 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8D 84 B3 F0 01 00 00 8B F0 8A 4E 02 8A 56 01 8A 06 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 80 BB 2C 01 00 00 00 74 1D 8A 4E 02 8A 56 01 8A 06 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 8B 40 10 E8 ?? ?? ?? ?? 80 3C 24 00 75 22 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 80 BB 2C 01 00 00 00 74 43 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 44 24 0C 50 E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 62 8B 9B EC 01 00 00 8B 43 10 33 D2 E8 ?? ?? ?? ?? 8B 43 10 B2 03 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B C3 E8 ?? ?? ?? ?? 8B 43 10 B2 04 E8 ?? ?? ?? ?? 8B 44 24 0C 83 E8 02 50 8B 44 24 14 83 E8 02 50 8B 4C 24 10 83 C1 02 8B 54 24 0C 83 C2 02 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2256_0 {
	meta:
		name = "TernaryOp"
		size = 10
	strings:
		$1 = { 84 C0 74 03 8B C2 C3 8B C1 C3 }
	condition:
		$1
}

rule function_2257_0 {
	meta:
		name = "TColorGrid.DrawFgBg"
		size = 675
		refs = "0014 TColorGrid.DrawFgBg 0027 TCanvas.GetHandle 002d SetBkMode 005b SFB 0060 LoadResString 006a SFG 009a TernaryOp 00d7 RGB 00e7 TFont.SetColor 013a @LStrToPChar 014c DrawText 0187 SBG 0290 @LStrClr 0296 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 80 BB 4C 02 00 00 00 0F 84 10 01 00 00 8B 83 44 02 00 00 3B 83 48 02 00 00 75 18 80 BB 4D 02 00 00 00 74 0F 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 44 02 00 00 83 F8 08 7C 03 83 C0 04 8B 84 83 F0 01 00 00 89 45 FC 80 7D FC 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FC 80 7D FD 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FD 80 7D FE 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FE 8A 4D FE 8A 55 FD 8A 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 83 44 02 00 00 99 F7 BB 5C 02 00 00 8B CA 8B BB 54 02 00 00 0F AF CF 89 4D E8 03 CF 89 4D F0 8B 83 44 02 00 00 99 F7 BB 5C 02 00 00 8B C8 8B BB 58 02 00 00 0F AF CF 89 4D EC 03 CF 89 4D F4 68 25 01 00 00 8D 45 E8 50 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 4D 02 00 00 00 0F 84 10 01 00 00 8B 83 44 02 00 00 3B 83 48 02 00 00 75 18 80 BB 4C 02 00 00 00 74 0F 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 48 02 00 00 83 F8 08 7C 03 83 C0 04 8B 84 83 F0 01 00 00 89 45 FC 80 7D FC 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FC 80 7D FD 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FD 80 7D FE 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 FE 8A 4D FE 8A 55 FD 8A 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 83 48 02 00 00 99 F7 BB 5C 02 00 00 8B CA 8B BB 54 02 00 00 0F AF CF 89 4D E8 03 CF 89 4D F0 8B 83 48 02 00 00 99 F7 BB 5C 02 00 00 8B C8 8B BB 58 02 00 00 0F AF CF 89 4D EC 03 CF 89 4D F4 68 25 01 00 00 8D 45 E8 50 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2258_0 {
	meta:
		name = "TColorGrid.EnableForeground"
		size = 68
		refs = "0037 TColorGrid.DrawSquare 003e TColorGrid.DrawFgBg"
	strings:
		$1 = { 53 8B D8 3A 93 4C 02 00 00 74 37 88 93 4C 02 00 00 8B 83 44 02 00 00 3B 83 50 02 00 00 75 09 80 BB 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 93 44 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2259_0 {
	meta:
		name = "TColorGrid.EnableBackground"
		size = 68
		refs = "0037 TColorGrid.DrawSquare 003e TColorGrid.DrawFgBg"
	strings:
		$1 = { 53 8B D8 3A 93 4D 02 00 00 74 37 88 93 4D 02 00 00 8B 83 48 02 00 00 3B 83 50 02 00 00 75 09 80 BB 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 93 48 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2260_0 {
	meta:
		name = "TColorGrid.GetForegroundColor"
		size = 37
		refs = "001f RGB"
	strings:
		$1 = { 53 8B 90 44 02 00 00 83 FA 08 7C 03 83 C2 04 8D 9C 90 F0 01 00 00 8A 4B 02 8A 53 01 8A 03 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2261_0 {
	meta:
		name = "TColorGrid.GetBackgroundColor"
		size = 37
		refs = "001f RGB"
	strings:
		$1 = { 53 8B 90 48 02 00 00 83 FA 08 7C 03 83 C2 04 8D 9C 90 F0 01 00 00 8A 4B 02 8A 53 01 8A 03 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2262_0 {
	meta:
		name = "TColorGrid.WMSetFocus"
		size = 47
		refs = "0018 TColorGrid.DrawSquare 001f TColorGrid.DrawFgBg 0028 TWinControl.WMSetFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 65 02 00 00 01 B1 01 8B 93 50 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2263_0 {
	meta:
		name = "TColorGrid.WMKillFocus"
		size = 47
		refs = "0018 TColorGrid.DrawSquare 001f TColorGrid.DrawFgBg 0028 TWinControl.WMKillFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 65 02 00 00 00 33 C9 8B 93 50 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2264_0 {
	meta:
		name = "TColorGrid.KeyDown"
		size = 520
		refs = "0014 TWinControl.KeyDown 004c TColorGrid.KeyDown 00d7 TColorGrid.DrawSquare 00ea TColorGrid.SetForegroundIndex 00f3 TColorGrid.SetSelection 00fe @CallDynaInst 0159 TColorGrid.SetBackgroundIndex"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F0 8B D5 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 8B 8E 50 02 00 00 8B F9 8B 9E 5C 02 00 00 8B C3 F7 AE 60 02 00 00 0F B7 55 00 83 FA 27 7F 35 0F 84 8D 01 00 00 83 C2 E0 83 FA 06 0F 87 94 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FA 46 7F 19 74 25 83 EA 28 0F 84 25 01 00 00 83 EA 1A 0F 84 82 00 00 00 E9 53 01 00 00 83 EA 62 74 78 83 EA 04 0F 85 45 01 00 00 80 BE 4C 02 00 00 00 75 44 80 BE 40 02 00 00 00 74 3B C6 86 4C 02 00 00 01 8B 86 44 02 00 00 3B 86 50 02 00 00 75 09 80 BE 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 96 44 02 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 44 02 00 00 FF FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EC FF E8 ?? ?? ?? ?? E9 E4 00 00 00 80 BE 4D 02 00 00 00 75 44 80 BE 40 02 00 00 00 74 3B C6 86 4D 02 00 00 01 8B 86 48 02 00 00 3B 86 50 02 00 00 75 09 80 BE 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 96 48 02 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 48 02 00 00 FF FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EC FF E8 ?? ?? ?? ?? EB 78 33 FF EB 74 3B D9 7F 06 8B F9 2B FB EB 6A 85 C9 74 09 8B F8 2B FB 03 F9 4F EB 5D 8B F8 4F EB 58 85 C9 74 05 8B F9 4F EB 4F 8B F8 4F EB 4A 8B D1 03 D3 3B C2 7E 0E 8B BE 50 02 00 00 03 BE 5C 02 00 00 EB 34 48 3B C8 74 0A 8B C1 99 F7 FB 8B FA 47 EB 25 33 FF EB 21 48 3B C8 74 05 8B F9 47 EB 17 33 FF EB 13 8B F8 4F EB 0E 8B D5 8A 0C 24 8B C6 E8 ?? ?? ?? ?? EB 17 66 C7 45 00 00 00 3B BE 50 02 00 00 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2265_0 {
	meta:
		name = "TColorGrid.WMGetDlgCode"
		size = 8
		altNames = "TDBCtrlGrid.WMGetDlgCode TDBLookupControl.WMGetDlgCode"
	strings:
		$1 = { C7 42 0C 81 00 00 00 C3 }
	condition:
		$1
}

rule function_2266_0 {
	meta:
		name = "TColorGrid.WMSize"
		size = 21
		refs = "0006 TWinControl.WMSize 000f TColorGrid.UpdateCellSizes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17494_0 {
	meta:
		name = "TCustomMemo.Loaded"
		size = 21
		refs = "0006 TControl.Loaded 000f TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2793_0 {
	meta:
		name = "TCustomRichEdit.Clear"
		size = 21
		refs = "0006 TCustomEdit.Clear 000f TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6455_0 {
	meta:
		name = "TDBLookupComboBox.CMFontChanged"
		size = 21
		refs = "0006 TWinControl.CMFontChanged 000f TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7099_0 {
	meta:
		name = "TDatabase.Commit"
		size = 21
		refs = "0006 TDatabase.CheckActive 000f TDatabase.EndTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14326_0 {
	meta:
		name = "TOleContainer.WMKillFocus"
		size = 21
		refs = "0006 TWinControl.WMKillFocus 000f TOleContainer.SetFocused"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2268_0 {
	meta:
		name = "TColorGrid.MouseDown"
		size = 284
		refs = "001e TControl.MouseDown 0037 TColorGrid.SquareFromPos 0080 TColorGrid.DrawSquare 0093 TColorGrid.SetForegroundIndex 009e TControl.SetMouseCapture 00f4 TColorGrid.SetBackgroundIndex 00fd TColorGrid.SetSelection"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F8 8B 75 0C 56 8B 45 08 50 8A 4D FF 8B D3 8B C7 E8 ?? ?? ?? ?? 88 9F 70 02 00 00 C6 87 71 02 00 00 01 8B 4D 08 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F0 84 DB 75 58 80 BF 4C 02 00 00 00 75 44 80 BF 40 02 00 00 00 74 3B C6 87 4C 02 00 00 01 8B 87 44 02 00 00 3B 87 50 02 00 00 75 09 80 BF 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 97 44 02 00 00 8B C7 E8 ?? ?? ?? ?? C7 87 44 02 00 00 FF FF FF FF 8B D6 8B C7 E8 ?? ?? ?? ?? EB 5F B2 01 8B C7 E8 ?? ?? ?? ?? 80 BF 4D 02 00 00 00 75 44 80 BF 40 02 00 00 00 74 3B C6 87 4D 02 00 00 01 8B 87 48 02 00 00 3B 87 50 02 00 00 75 09 80 BF 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 97 48 02 00 00 8B C7 E8 ?? ?? ?? ?? C7 87 48 02 00 00 FF FF FF FF 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 80 BF 78 01 00 00 00 74 0A 8B C7 8B 10 FF 92 B4 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2269_0 {
	meta:
		name = "TColorGrid.MouseMove"
		size = 98
		refs = "001a TControl.MouseMove 002e TColorGrid.SquareFromPos 0042 TColorGrid.SetForegroundIndex 004d TColorGrid.SetBackgroundIndex 0056 TColorGrid.SetSelection"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 71 02 00 00 00 74 33 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB 70 02 00 00 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2270_0 {
	meta:
		name = "TColorGrid.MouseUp"
		size = 72
		refs = "0019 TControl.MouseUp 0032 TControl.SetMouseCapture 003d @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F0 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C6 E8 ?? ?? ?? ?? C6 86 71 02 00 00 00 80 BE 70 02 00 00 01 75 14 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2271_0 {
	meta:
		name = "TColorGrid.Paint"
		size = 113
		refs = "0011 TCanvas.SetFont 0043 TColorGrid.DrawSquare 0067 TColorGrid.DrawFgBg"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 53 58 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 60 02 00 00 85 C0 7C 32 40 89 04 24 33 ED 8B B3 5C 02 00 00 85 F6 7C 1C 46 33 FF 8B C5 F7 AB 5C 02 00 00 03 C7 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E7 45 FF 0C 24 75 D4 8A 8B 65 02 00 00 8B 93 50 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2272_0 {
	meta:
		name = "TColorGrid.SetBackgroundIndex"
		size = 138
		refs = "003b TColorGrid.DrawSquare 0078 TColorGrid.DrawFgBg 0083 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 48 02 00 00 3B F0 74 77 80 BB 4D 02 00 00 00 74 6E 8B 93 48 02 00 00 3B 93 50 02 00 00 75 09 80 BB 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 48 02 00 00 3B 83 44 02 00 00 75 26 8B 93 48 02 00 00 3B 93 50 02 00 00 75 09 80 BB 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2273_0 {
	meta:
		name = "TColorGrid.SetForegroundIndex"
		size = 138
		refs = "003b TColorGrid.DrawSquare 0078 TColorGrid.DrawFgBg 0083 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 44 02 00 00 3B F0 74 77 80 BB 4C 02 00 00 00 74 6E 8B 93 44 02 00 00 3B 93 50 02 00 00 75 09 80 BB 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 44 02 00 00 3B 83 48 02 00 00 75 26 8B 93 44 02 00 00 3B 93 50 02 00 00 75 09 80 BB 65 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2274_0 {
	meta:
		name = "TColorGrid.SetGridOrdering"
		size = 60
		refs = "0036 TColorGrid.UpdateCellSizes"
	strings:
		$1 = { 53 3A 90 64 02 00 00 74 31 8B DA 88 98 64 02 00 00 8B CB BA 10 00 00 00 D3 EA 89 90 5C 02 00 00 8A 88 64 02 00 00 BA 01 00 00 00 D3 E2 89 90 60 02 00 00 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2275_0 {
	meta:
		name = "TColorGrid.SetSelection"
		size = 60
		refs = "0017 TColorGrid.DrawSquare 0035 TColorGrid.DrawFgBg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 50 02 00 00 3B F0 74 29 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 50 02 00 00 8A 8B 65 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2276_0 {
	meta:
		name = "TColorGrid.SquareFromPos"
		size = 76
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 48 3B F0 7E 04 8B F0 EB 06 85 F6 7D 02 33 F6 8B 43 3C 48 3B C8 7E 04 8B C8 EB 06 85 C9 7D 02 33 C9 8B C1 99 F7 BB 58 02 00 00 8B C8 0F AF 8B 5C 02 00 00 8B C6 99 F7 BB 54 02 00 00 03 C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_2277_0 {
	meta:
		name = "TColorGrid.UpdateCellSizes"
		size = 124
		refs = "003c Bounds 0045 TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B DA 8B E8 8B 45 38 8B 8D 5C 02 00 00 99 F7 F9 8B F0 0F AF F1 8B 45 3C 8B 8D 60 02 00 00 99 F7 F9 8B F8 0F AF F9 57 8D 44 24 04 50 8B CE 8B 55 34 8B 45 30 E8 ?? ?? ?? ?? 8B D4 8B C5 E8 ?? ?? ?? ?? 8B 45 38 99 F7 BD 5C 02 00 00 89 85 54 02 00 00 8B 45 3C 99 F7 BD 60 02 00 00 89 85 58 02 00 00 84 DB 74 07 8B C5 8B 10 FF 52 78 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2278_0 {
	meta:
		name = "TColorGrid.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 6A 02 00 00 00 74 0E 8B D3 8B 83 6C 02 00 00 FF 93 68 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2283_0 {
	meta:
		name = "TCorbaComObjectFactory.Create"
		size = 85
		refs = "000d @ClassCreate 002e TCorbaFactory.Create 003f @AfterConstruction"
		altNames = "TCorbaObjectFactory.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8A 45 0C 50 8A 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 10 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_2284_0 {
	meta:
		name = "TCorbaComObjectFactory.CreateInterface"
		size = 35
		refs = "000c TComObject.Create 001c @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B D8 B2 01 8B 43 3C E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2291_0 {
	meta:
		name = "_NF__8FE"
		size = 12
	strings:
		$1 = { FF FF FF FF 03 00 00 00 72 74 66 00 }
	condition:
		$1
}

rule function_2292_0 {
	meta:
		name = "_NF__900"
		size = 12
	strings:
		$1 = { FF FF FF FF 03 00 00 00 74 78 74 00 }
	condition:
		$1
}

rule function_2293_0 {
	meta:
		name = "InitCommonControl"
		size = 43
		refs = "0012 InitCommonControlsEx 0021 InitCommonControls"
	strings:
		$1 = { 53 83 C4 F8 C7 04 24 08 00 00 00 89 44 24 04 8B C4 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 84 DB 75 05 E8 ?? ?? ?? ?? 8B C3 59 5A 5B C3 }
	condition:
		$1
}

rule function_2294_0 {
	meta:
		name = "CheckCommonControl"
		size = 99
		refs = "000c CheckCommonControl 0019 InitCommonControl 0025 sInvalidComCtl32 002a LoadResString 0034 _Dn_EComponentError 0039 Exception.Create 003e @RaiseExcept 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2295_0 {
	meta:
		name = "GetShellModule"
		size = 112
		refs = "0003 ShellModule 0010 SetErrorMode 0017 GetShellModule 001c GetModuleHandle 0034 LoadLibrary"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 75 52 68 00 80 00 00 E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 73 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 76 10 83 3D ?? ?? ?? ?? 20 73 07 33 C0 A3 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5B C3 00 73 68 65 6C 6C 33 32 2E 64 6C 6C 00 }
	condition:
		$1
}

rule function_2296_0 {
	meta:
		name = "GetComCtlVersion"
		size = 260
		refs = "0011 GetComCtlVersion 001d ComCtlVersion 0031 @LStrLAsg 003d @LStrToPChar 0045 GetFileVersionInfoSize 0052 @GetMem 0072 GetFileVersionInfo 008c VerQueryValue 00b0 @FreeMem 00b6 @HandleFinally 00d3 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 85 94 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B F0 56 E8 ?? ?? ?? ?? 8B D8 85 DB 74 6D 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 53 8B 45 F8 50 56 E8 ?? ?? ?? ?? 85 C0 74 25 8D 45 EC 50 8D 45 F0 50 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 45 F0 8B 40 08 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 FF FF FF FF 0C 00 00 00 63 6F 6D 63 74 6C 33 32 2E 64 6C 6C 00 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_2297_0 {
	meta:
		name = "CheckToolMenuDropdown"
		size = 16
		refs = "000a @CallDynaInst"
	strings:
		$1 = { 53 85 C0 74 09 66 BB CE FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2298_0 {
	meta:
		name = "SetComCtlStyle"
		size = 71
		refs = "000d TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 GetWindowLong 003e SetWindowLong"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 74 2D 6A F0 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 84 DB 75 06 F7 D7 23 F7 EB 02 0B F7 56 6A F0 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2300_0 {
	meta:
		name = "TTabStrings.Clear"
		size = 111
		refs = "000c TTabStrings.Clear 0023 TWinControl.GetHandle 0029 SendMessage 0035 sTabFailClear 003a LoadResString 0042 TabControlError 004a TCustomTabControl.TabsChanged 005f @LStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 68 09 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2301_0 {
	meta:
		name = "TTabStrings.Delete"
		size = 153
		refs = "0018 TTabStrings.Delete 002e TWinControl.GetHandle 0034 SendMessage 0044 sTabFailDelete 0049 LoadResString 005d Format 0065 TabControlError 006d TCustomTabControl.TabsChanged 0087 @LStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 68 08 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 2D 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 75 F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2302_0 {
	meta:
		name = "TTabStrings.Get"
		size = 246
		refs = "0028 TTabStrings.Get 0036 TControl.UseRightToLeftReading 0040 RTL 0068 TWinControl.GetHandle 006e SendMessage 0084 sTabFailRetrieve 0089 LoadResString 00a9 Format 00b4 TabControlError 00c6 @LStrFromArray 00e3 @LStrArrayClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 D4 53 56 57 33 DB 89 9D E0 EF FF FF 89 9D DC EF FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 83 C8 01 89 45 E4 8D 85 E4 EF FF FF 89 45 F0 C7 45 F4 00 10 00 00 8D 45 E4 50 56 68 05 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 42 8D 85 E0 EF FF FF 50 8D 95 DC EF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC EF FF FF 89 B5 D4 EF FF FF C6 85 D8 EF FF FF 00 8D 95 D4 EF FF FF 33 C9 E8 ?? ?? ?? ?? 8B 85 E0 EF FF FF E8 ?? ?? ?? ?? 8B C7 8D 95 E4 EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC EF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2303_0 {
	meta:
		name = "TTabStrings.GetCount"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2304_0 {
	meta:
		name = "TTabStrings.GetObject"
		size = 159
		refs = "0018 TTabStrings.GetObject 0037 TWinControl.GetHandle 003d SendMessage 004d sTabFailGetObject 0052 LoadResString 0066 Format 006e TabControlError 008b @LStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D E0 89 4D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E4 08 00 00 00 8D 45 E4 50 56 68 05 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 2D 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 75 D4 C6 45 D8 00 8D 55 D4 33 C9 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2305_0 {
	meta:
		name = "TTabStrings.Put"
		size = 224
		refs = "001b TTabStrings.Put 0029 TControl.UseRightToLeftReading 0033 RTL 0043 @LStrToPChar 0068 TWinControl.GetHandle 006e SendMessage 007e sTabFailSet 0083 LoadResString 00a3 Format 00ab TabControlError 00b3 TCustomTabControl.TabsChanged 00cd @LStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D E0 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 83 C8 01 83 C8 02 89 45 E4 8B C7 E8 ?? ?? ?? ?? 89 45 F0 8B D6 8B 43 0C 8B 08 FF 91 C0 00 00 00 89 45 F8 8D 45 E4 50 56 68 06 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 39 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 89 7D CC C6 45 D0 0B 89 75 D4 C6 45 D8 00 8D 55 CC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2306_0 {
	meta:
		name = "TTabStrings.PutObject"
		size = 157
		refs = "0018 TTabStrings.PutObject 003a TWinControl.GetHandle 0040 SendMessage 0050 sTabFailSetObject 0055 LoadResString 0069 Format 0071 TabControlError 008b @LStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D E0 89 5D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E4 08 00 00 00 89 4D FC 8D 45 E4 50 56 68 06 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 2D 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 75 D4 C6 45 D8 00 8D 55 D4 33 C9 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2307_0 {
	meta:
		name = "TTabStrings.Insert"
		size = 224
		refs = "001b TTabStrings.Insert 0029 TControl.UseRightToLeftReading 0033 RTL 0043 @LStrToPChar 0068 TWinControl.GetHandle 006e SendMessage 007e sTabFailSet 0083 LoadResString 00a3 Format 00ab TabControlError 00b3 TCustomTabControl.TabsChanged 00cd @LStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D E0 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 83 C8 01 83 C8 02 89 45 E4 8B C7 E8 ?? ?? ?? ?? 89 45 F0 8B D6 8B 43 0C 8B 08 FF 91 C0 00 00 00 89 45 F8 8D 45 E4 50 56 68 07 13 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7D 39 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 89 7D CC C6 45 D0 0B 89 75 D4 C6 45 D8 00 8D 55 CC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2308_0 {
	meta:
		name = "TTabStrings.SetUpdateState"
		size = 68
		refs = "001f TWinControl.GetHandle 0025 SendMessage 003c TCustomTabControl.TabsChanged"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 0C 88 9F 14 02 00 00 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 10 8B 46 0C 8B 10 FF 52 78 8B 46 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2309_0 {
	meta:
		name = "TCustomTabControl.Create"
		size = 192
		refs = "000e @ClassCreate 001c TWinControl.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 003d TWinControl.SetTabStop 0042 TCustomTabControl.Create 004c _DV_TTabStrings 0051 TObject.Create 0063 _Dn_TControlCanvas 0068 TCanvas.Create 0079 TControlCanvas.SetControl 0080 _Dn_TChangeLink 0097 TCustomTabControl.ImageListChange 00a4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 21 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C1 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 0C 02 00 00 89 5E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 81 00 00 00 }
	condition:
		$1
}

rule function_2310_0 {
	meta:
		name = "TCustomTabControl.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003f TWinControl.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2311_0 {
	meta:
		name = "TCustomTabControl.CanChange"
		size = 40
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 22 02 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2313_0 {
	meta:
		name = "TCustomQuickRep.PrintFinished"
		size = 29
		altNames = "TCustomTabControl.Change"
	strings:
		$1 = { 53 66 83 B8 1A 02 00 00 00 74 10 8B D8 8B D0 8B 83 1C 02 00 00 FF 93 18 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2314_0 {
	meta:
		name = "TCustomTabControl.CreateParams"
		size = 260
		refs = "000d InitCommonControl 0016 TWinControl.CreateParams 001b TCustomTabControl.CreateParams 0024 TWinControl.CreateSubClass 002f @CallDynaInst 003b AlignStyles 0060 TabStyles 006f RRStyles"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 83 E0 7F 03 C0 8D 04 C5 ?? ?? ?? ?? 33 D2 8A 96 0A 02 00 00 8B 04 90 8B 57 04 81 CA 00 00 00 02 0B C2 33 D2 8A 96 09 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 96 FF 01 00 00 0B 04 95 ?? ?? ?? ?? 89 47 04 80 BE 78 01 00 00 00 75 07 81 4F 04 00 80 00 00 80 BE FC 01 00 00 00 74 07 81 4F 04 00 02 00 00 80 BE FD 01 00 00 00 74 04 83 4F 04 04 80 BE FE 01 00 00 00 74 07 81 4F 04 00 20 00 00 66 83 BE 10 02 00 00 00 74 07 81 4F 04 00 04 00 00 80 BE F0 01 00 00 00 74 0A F6 46 20 10 75 04 83 4F 04 40 80 BE 08 02 00 00 00 74 04 83 4F 04 01 8B 47 24 83 E0 FC 83 C8 08 89 47 24 5F 5E 5B C3 53 79 73 54 61 62 43 6F 6E 74 72 6F 6C 33 32 00 }
	condition:
		$1
}

rule function_2315_0 {
	meta:
		name = "TCustomTabControl.CreateWnd"
		size = 132
		refs = "0007 TWinControl.CreateWnd 0018 TCustomImageList.HandleAllocated 0027 TCustomImageList.GetHandle 0036 TControl.Perform 0046 TCustomTabControl.UpdateTabSize 006a TCustomTabControl.SetTabIndex 0075 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 F8 01 00 00 85 F6 74 25 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 50 33 C9 BA 03 13 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 10 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B B3 04 02 00 00 85 F6 74 2D 8B D6 8B 83 0C 02 00 00 8B 08 FF 51 08 8B 93 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 04 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2316_0 {
	meta:
		name = "TCustomTabControl.DestroyWnd"
		size = 75
		refs = "0016 _Dn_TStringList 001b TObject.Create 0037 TCustomTabControl.GetTabIndex 0044 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 8B 83 0C 02 00 00 8B 10 FF 52 14 85 C0 7E 2E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 04 02 00 00 8B 93 0C 02 00 00 8B C6 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 89 83 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2317_0 {
	meta:
		name = "TCustomTabControl.DrawTab"
		size = 57
		refs = "0030 TCanvas.FillRect"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 2A 02 00 00 00 74 19 51 8A 4D 08 51 8B D8 8B CA 8B D0 8B 83 2C 02 00 00 FF 93 28 02 00 00 EB 0D 8B D1 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2318_0 {
	meta:
		name = "TCustomTabControl.GetDisplayRect"
		size = 43
		refs = "001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 44 56 6A 00 68 28 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 46 04 02 5E 5B C3 }
	condition:
		$1
}

rule function_2319_0 {
	meta:
		name = "TCustomTabControl.GetImageIndex"
		size = 40
	strings:
		$1 = { 53 51 89 14 24 66 83 B8 32 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 34 02 00 00 FF 93 30 02 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2320_0 {
	meta:
		name = "TCustomTabControl.GetTabIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0B 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2321_0 {
	meta:
		name = "TCustomTabControl.Loaded"
		size = 28
		refs = "0006 TControl.Loaded 0016 TCustomTabControl.UpdateTabImages"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB F8 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2322_0 {
	meta:
		name = "TCustomCheckBox.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomListBox.SetBorderStyle TCustomListView.SetBorderStyle TCustomTabControl.SetHotTrack TRadioButton.SetAlignment"
	strings:
		$1 = { 3A 90 F0 01 00 00 74 0B 88 90 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2323_0 {
	meta:
		name = "TCustomTabControl.Notification"
		size = 46
		refs = "0010 TControl.Notification 0026 TCustomTabControl.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 F8 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2324_0 {
	meta:
		name = "TCustomTabControl.SetImages"
		size = 111
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 0055 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F8 01 00 00 85 C0 74 0B 8B 93 F4 01 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 F8 01 00 00 85 C0 74 35 8B 93 F4 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 50 33 C9 BA 03 13 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 33 C9 BA 03 13 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2325_0 {
	meta:
		name = "TCustomTabControl.ImageListChange"
		size = 31
		refs = "0009 TCustomImageList.GetHandle 0018 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 33 C9 BA 03 13 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2326_0 {
	meta:
		name = "TCustomTabControl.InternalSetMultiLine"
		size = 141
		refs = "0015 TCustomTabControl.InternalSetMultiLine 0045 sTabMustBeMultiLine 004a LoadResString 0052 TabControlError 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E FC 01 00 00 0F 95 45 FF 80 7D FF 00 74 38 84 DB 75 23 8A 86 0A 02 00 00 3C 02 74 04 3C 03 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 9E FC 01 00 00 84 DB 75 07 C6 86 08 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2327_0 {
	meta:
		name = "TCustomTabControl.SetMultiLine"
		size = 29
		refs = "000b TCustomTabControl.InternalSetMultiLine 0016 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2328_0 {
	meta:
		name = "TCustomTabControl.SetMultiSelect"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 FD 01 00 00 74 0B 88 90 FD 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2329_0 {
	meta:
		name = "TCustomTabControl.SetOwnerDraw"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "THeader.SetBorderStyle"
	strings:
		$1 = { 3A 90 FE 01 00 00 74 0B 88 90 FE 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2330_0 {
	meta:
		name = "TCustomTabControl.SetRaggedRight"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 FF 01 00 00 74 12 88 90 FF 01 00 00 8B CA BA 00 08 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2331_0 {
	meta:
		name = "TCustomTabControl.SetScrollOpposite"
		size = 30
		refs = "0019 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 08 02 00 00 74 15 88 90 08 02 00 00 84 D2 74 06 88 90 FC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2332_0 {
	meta:
		name = "TCustomTabControl.SetStyle"
		size = 116
		refs = "0009 TCustomTabControl.SetStyle 002c SInvalidTabStyle 0031 LoadResString 003b _Dn_EInvalidOperation 0040 Exception.Create 0045 @RaiseExcept 0050 TWinControl.RecreateWnd 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3A 90 09 02 00 00 74 39 84 D2 74 2A 80 B8 0A 02 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 90 09 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_2333_0 {
	meta:
		name = "TCustomTabControl.SetTabHeight"
		size = 170
		refs = "0018 TCustomTabControl.SetTabHeight 0039 TObject.ClassName 0057 SPropertyOutOfRange 005c LoadResString 0069 _Dn_EInvalidOperation 006e Exception.CreateFmt 0073 @RaiseExcept 0081 TCustomTabControl.UpdateTabSize 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 C9 89 8D F4 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 93 12 02 00 00 74 5A 66 85 D2 7D 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 93 12 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2334_0 {
	meta:
		name = "TCustomTabControl.SetTabIndex"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0C 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2335_0 {
	meta:
		name = "TCustomTabControl.SetTabPosition"
		size = 150
		refs = "000c TCustomTabControl.SetTabPosition 002f SInvalidTabPosition 0034 LoadResString 003e _Dn_EInvalidOperation 0043 Exception.Create 0048 @RaiseExcept 006a TCustomTabControl.InternalSetMultiLine 0071 TWinControl.RecreateWnd 0086 @LStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 93 0A 02 00 00 74 57 84 D2 74 2A 80 BB 09 02 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 93 0A 02 00 00 80 BB FC 01 00 00 00 75 13 80 FA 02 74 05 80 FA 03 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2336_0 {
	meta:
		name = "TCustomControlBar.SetPicture"
		size = 16
		altNames = "TCustomTabControl.SetTabs"
	strings:
		$1 = { 56 8B F0 8B 86 0C 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2337_0 {
	meta:
		name = "TCustomTabControl.SetTabWidth"
		size = 196
		refs = "0018 TCustomTabControl.SetTabWidth 0039 TObject.ClassName 0057 SPropertyOutOfRange 005c LoadResString 0069 _Dn_EInvalidOperation 006e Exception.CreateFmt 0073 @RaiseExcept 0092 TWinControl.RecreateWnd 009b TCustomTabControl.UpdateTabSize 00b3 @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 C9 89 8D F4 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 93 10 02 00 00 74 74 66 85 D2 7D 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 83 10 02 00 00 66 89 93 10 02 00 00 66 85 C0 74 05 66 85 D2 75 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2338_0 {
	meta:
		name = "TCustomTabControl.TabsChanged"
		size = 63
		refs = "000f TWinControl.HandleAllocated 002c TWinControl.GetHandle 0032 SendMessage 0039 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 80 BB 14 02 00 00 00 75 31 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 0F B7 43 38 0F B7 53 3C C1 E2 10 0B C2 50 6A 00 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2339_0 {
	meta:
		name = "TCustomTabControl.UpdateTabSize"
		size = 39
		refs = "0014 TWinControl.GetHandle 001a SendMessage 0021 TCustomTabControl.TabsChanged"
	strings:
		$1 = { 53 8B D8 8B 83 10 02 00 00 50 6A 00 68 29 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2340_0 {
	meta:
		name = "TCustomTabControl.UpdateTabImages"
		size = 249
		refs = "001a TCustomTabControl.UpdateTabImages 0061 TWinControl.GetHandle 0067 SendMessage 009c sTabFailSet 00a1 LoadResString 00af Format 00b7 TabControlError 00c4 TCustomTabControl.TabsChanged 00de @LStrArrayClr 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 DC 89 55 C8 89 55 C4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E0 02 00 00 00 8B 86 0C 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 82 00 00 00 40 89 45 FC 33 DB 8B D3 8B C6 8B 08 FF 91 C0 00 00 00 89 45 F4 8D 45 E0 50 53 68 06 13 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 4C 8D 45 DC 50 8D 4D C8 8B D3 8B 86 0C 02 00 00 8B 38 FF 57 0C 8B 45 C8 89 45 CC C6 45 D0 0B 89 5D D4 C6 45 D8 00 8D 45 CC 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 43 FF 4D FC 75 84 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2341_0 {
	meta:
		name = "TCustomTabControl.CNDrawItem"
		size = 132
		refs = "0011 SaveDC 0022 TCanvas.SetHandle 0030 TCanvas.SetFont 0041 TCanvas.SetBrush 0073 RestoreDC"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B D8 8B 77 08 8B 46 18 50 E8 ?? ?? ?? ?? 89 04 24 8B 56 18 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 53 58 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 93 24 01 00 00 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? F6 46 10 01 0F 95 C0 50 8D 4E 1C 8B 56 08 8B C3 8B 28 FF 95 BC 00 00 00 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 50 8B 46 18 50 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2342_0 {
	meta:
		name = "TCustomTabControl.WMDestroy"
		size = 67
		refs = "0008 GetFocus 0015 TWinControl.GetHandle 0027 IsChild 0032 SetFocus 003b TWinControl.WMDestroy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 E8 ?? ?? ?? ?? 8B F0 85 F6 74 24 8B C3 E8 ?? ?? ?? ?? 3B F0 74 12 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 6A 00 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2343_0 {
	meta:
		name = "TCoolBar.WMNotifyFormat"
		size = 36
		refs = "0014 TWinControl.GetHandle 001a DefWindowProc"
		altNames = "TCustomTabControl.WMNotifyFormat TToolBar.WMNotifyFormat"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 08 50 8B 43 04 50 8B 03 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2344_0 {
	meta:
		name = "TCustomTabControl.WMSize"
		size = 31
		refs = "0006 TWinControl.WMSize 0013 TWinControl.GetHandle 0019 RedrawWindow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 05 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2345_0 {
	meta:
		name = "TCustomTabControl.CMFontChanged"
		size = 39
		refs = "0006 TWinControl.CMFontChanged 000d TWinControl.HandleAllocated 0021 TControl.Perform"
		altNames = "TMonthCalendar.CMFontChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 6A 00 33 C9 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2346_0 {
	meta:
		name = "TCoolBar.CMSysColorChange"
		size = 39
		refs = "000b TWinControl.CMSysColorChange"
		altNames = "TCustomTabControl.CMSysColorChange TCustomTreeView.CMSysColorChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 0F C7 06 15 00 00 00 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_2347_0 {
	meta:
		name = "TCustomTabControl.CMTabStopChanged"
		size = 12
		refs = "0007 TWinControl.RecreateWnd"
	strings:
		$1 = { F6 40 20 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2348_0 {
	meta:
		name = "TCustomTabControl.CNNotify"
		size = 67
		refs = "001e @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 47 08 8B 40 08 2D D8 FD FF FF 74 10 48 75 28 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? EB 1B C7 47 0C 01 00 00 00 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2349_0 {
	meta:
		name = "TCustomTabControl.CMDialogChar"
		size = 201
		refs = "0017 TCustomTabControl.CMDialogChar 0052 IsAccel 006d TWinControl.CanFocus 007a TCustomTabControl.SetTabIndex 008f @CallDynaInst 00a1 TWinControl.CMDialogChar 00b6 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 0C 02 00 00 8B 10 FF 52 14 48 85 C0 7C 6A 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B 86 0C 02 00 00 8B 38 FF 57 0C 8B 55 F4 8B 45 FC 66 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 3B 8B D3 8B C6 8B 08 FF 91 B8 00 00 00 84 C0 74 2B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC C7 40 0C 01 00 00 00 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? EB 10 43 FF 4D F8 75 9C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2350_0 {
	meta:
		name = "TCustomTabControl.AdjustClientRect"
		size = 50
		refs = "000f TCustomTabControl.GetDisplayRect 0027 TWinControl.AdjustClientRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 56 8B FE 8D 74 24 04 B9 04 00 00 00 F3 A5 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2351_0 {
	meta:
		name = "TTabSheet.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TWinControl.Create 0020 TControl.SetAlign 0025 TTabSheet.Create 0034 TControl.SetVisible 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 F4 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 01 04 00 00 }
	condition:
		$1
}

rule function_2352_0 {
	meta:
		name = "TTabSheet.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 002e TPageControl.RemovePage 003a TWinControl.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F0 01 00 00 85 C0 74 1D 3B B0 44 02 00 00 75 08 33 D2 89 90 44 02 00 00 8B D6 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2353_0 {
	meta:
		name = "TTabSheet.DoHide"
		size = 29
	strings:
		$1 = { 53 66 83 B8 FA 01 00 00 00 74 10 8B D8 8B D0 8B 83 FC 01 00 00 FF 93 F8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2354_0 {
	meta:
		name = "TTabSheet.DoShow"
		size = 29
	strings:
		$1 = { 53 66 83 B8 02 02 00 00 00 74 10 8B D8 8B D0 8B 83 04 02 00 00 FF 93 00 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2355_0 {
	meta:
		name = "TTabSheet.GetPageIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 90 F0 01 00 00 85 D2 74 0D 8B 92 38 02 00 00 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_2356_0 {
	meta:
		name = "TTabSheet.GetTabIndex"
		size = 77
		refs = "0017 TTabSheet.GetPageIndex 0034 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 80 BE F5 01 00 00 00 75 03 4D EB 32 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 FF 8B 86 F0 01 00 00 8B 80 38 02 00 00 8B D7 E8 ?? ?? ?? ?? 80 B8 F5 01 00 00 00 74 01 45 47 4B 75 DF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2357_0 {
	meta:
		name = "TCustomControlBar.CreateParams"
		size = 16
		refs = "0006 TWinControl.CreateParams"
		altNames = "TCustomGroupBox.CreateParams TDBCtrlPanel.CreateParams TScrollingWinControl.CreateParams TTabSet.CreateParams TTabSheet.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 63 24 FC 5B C3 }
	condition:
		$1
}

rule function_2359_0 {
	meta:
		name = "TTabSheet.SetImageIndex"
		size = 37
		refs = "0020 TPageControl.UpdateTab"
	strings:
		$1 = { 3B 90 EC 01 00 00 74 1C 89 90 EC 01 00 00 80 B8 F5 01 00 00 00 74 0D 8B D0 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2360_0 {
	meta:
		name = "TTabSheet.SetPageControl"
		size = 52
		refs = "0017 TPageControl.RemovePage 002d TPageControl.InsertPage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F0 01 00 00 3B F0 74 21 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 64 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2361_0 {
	meta:
		name = "TTabSheet.SetPageIndex"
		size = 212
		refs = "0016 TTabSheet.SetPageIndex 0054 sPageIndexError 0059 LoadResString 0063 _Dn_EListError 0068 Exception.CreateFmt 006d @RaiseExcept 0074 TTabSheet.GetTabIndex 007d TTabSheet.GetPageIndex 0092 TList.Move 00ac TPageControl.MoveTab 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 01 00 00 85 C0 0F 84 82 00 00 00 8B 80 38 02 00 00 8B 78 08 4F 3B FE 7D 35 89 75 F0 C6 45 F4 00 89 7D F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 F0 01 00 00 8B 80 38 02 00 00 8B CE E8 ?? ?? ?? ?? 85 FF 7C 16 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2362_0 {
	meta:
		name = "TTabSheet.SetTabShowing"
		size = 68
		refs = "001f TPageControl.InsertTab 0028 TTabSheet.GetTabIndex 003e TPageControl.DeleteTab"
	strings:
		$1 = { 53 8B D8 3A 93 F5 01 00 00 74 37 84 D2 74 16 C6 83 F5 01 00 00 01 8B D3 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? C6 83 F5 01 00 00 00 8B C8 8B D3 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2363_0 {
	meta:
		name = "TTabSheet.SetTabVisible"
		size = 20
		refs = "000f TTabSheet.UpdateTabShowing"
	strings:
		$1 = { 3A 90 F4 01 00 00 74 0B 88 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3088_0 {
	meta:
		name = "TAnimate.SetCenter"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F4 01 00 00 74 0B 88 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3311_0 {
	meta:
		name = "TCoolBar.SetBandBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F4 01 00 00 74 0B 88 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17547_0 {
	meta:
		name = "TCustomComboBox.SetCharCase"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F4 01 00 00 74 0B 88 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17695_0 {
	meta:
		name = "TCustomStaticText.SetShowAccelChar"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F4 01 00 00 74 0B 88 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2482_0 {
	meta:
		name = "THeaderControl.SetFullDrag"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F4 01 00 00 74 0B 88 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2364_0 {
	meta:
		name = "TTabSheet.UpdateTabShowing"
		size = 36
		refs = "001f TTabSheet.SetTabShowing"
	strings:
		$1 = { 83 B8 F0 01 00 00 00 74 0F 80 B8 F4 01 00 00 00 75 0A F6 40 20 10 75 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2365_0 {
	meta:
		name = "TTabSheet.CMTextChanged"
		size = 23
		refs = "0012 TPageControl.UpdateTab"
	strings:
		$1 = { 80 B8 F5 01 00 00 00 74 0D 8B D0 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2366_0 {
	meta:
		name = "TTabSheet.CMShowingChanged"
		size = 165
		refs = "000e TWinControl.CMShowingChanged 0023 TTabSheet.CMShowingChanged 0035 @CallDynaInst 0044 @HandleAnyException 0049 Application 0053 TApplication.HandleException 0058 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 80 6C 01 00 00 84 C0 74 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB B7 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5C E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 41 84 C0 75 3D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB B8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2367_0 {
	meta:
		name = "TPageControl.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TCustomTabControl.Create 001c TPageControl.Create 0026 _Dn_TList 002b TObject.Create 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 38 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 C0 00 00 00 }
	condition:
		$1
}

rule function_2368_0 {
	meta:
		name = "TPageControl.Destroy"
		size = 94
		refs = "0005 @BeforeDestruction 0027 TList.Get 003e TObject.Free 004a TCustomTabControl.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 38 02 00 00 8B 68 08 4D 85 ED 7C 1C 45 33 FF 8B D7 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 33 D2 89 90 F0 01 00 00 47 4D 75 E7 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2369_0 {
	meta:
		name = "TPageControl.CanShowTab"
		size = 27
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 50 5E 5B C3 }
	condition:
		$1
}

rule function_2370_0 {
	meta:
		name = "TPageControl.Change"
		size = 56
		refs = "0006 TPageControl.UpdateActivePage 0013 GetParentForm 0032 TCustomTabControl.Change"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 30 02 00 00 00 74 0B 8B 80 30 02 00 00 8B 10 FF 52 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2371_0 {
	meta:
		name = "TPageControl.ChangeActivePage"
		size = 255
		refs = "0017 GetParentForm 0037 TWinControl.ContainsControl 0048 TCustomForm.SetActiveControl 005d TTabSheet.GetTabIndex 0066 TCustomTabControl.SetTabIndex 0076 TControl.BringToFront 007f TControl.SetVisible 00a1 TWinControl.CanFocus 00f6 TWinControl.SelectFirst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 3B BB 3C 02 00 00 0F 84 E6 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4E 83 BB 3C 02 00 00 00 74 45 8B 96 00 02 00 00 8B 83 3C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 30 8B 93 3C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B AB 3C 02 00 00 3B AE 00 02 00 00 74 15 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 8B 00 00 00 85 FF 74 4A 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 85 F6 74 36 83 BB 3C 02 00 00 00 74 2D 8B 86 00 02 00 00 3B 83 3C 02 00 00 75 1F 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 83 3C 02 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 89 BB 3C 02 00 00 85 F6 74 22 83 BB 3C 02 00 00 00 74 19 8B 86 00 02 00 00 3B 83 3C 02 00 00 75 0B 8B 83 3C 02 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2372_0 {
	meta:
		name = "TPageControl.DeleteTab"
		size = 82
		refs = "0043 TCustomTabControl.SetTabIndex 004a TPageControl.UpdateActivePage"
	strings:
		$1 = { 53 56 57 8B F1 8B F8 3B 97 3C 02 00 00 0F 94 C3 8B D6 8B 87 0C 02 00 00 8B 08 FF 51 44 84 DB 74 26 8B 87 0C 02 00 00 8B 10 FF 52 14 3B F0 7C 0E 8B 87 0C 02 00 00 8B 10 FF 52 14 8B F0 4E 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2373_0 {
	meta:
		name = "TPageControl.DoAddDockClient"
		size = 19
	strings:
		$1 = { 8B 88 40 02 00 00 85 C9 74 08 8B C1 92 8B 08 FF 51 64 C3 }
	condition:
		$1
}

rule function_2374_0 {
	meta:
		name = "TPageControl.DockOver"
		size = 85
		refs = "0016 TWinControl.GetHandle 001c GetWindowRect 0048 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 57 8D 7E 38 8D 75 F0 B9 04 00 00 00 F3 A5 5F 5E 8B 45 10 50 8A 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 66 BB CB FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2375_0 {
	meta:
		name = "TPageControl.DoRemoveDockClient"
		size = 48
		refs = "0017 TPageControl.SelectNextPage 0022 TObject.Free"
	strings:
		$1 = { 53 8B D8 83 BB 44 02 00 00 00 74 22 F6 43 20 08 75 1C B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 44 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2376_0 {
	meta:
		name = "TPageControl.FindNextPage"
		size = 136
		refs = "0019 TList.IndexOf 0067 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F0 8B 86 38 02 00 00 83 78 08 00 74 66 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 14 80 7D FF 00 74 0C 8B 86 38 02 00 00 8B 78 08 4F EB 02 33 FF 8B DF 80 7D FF 00 74 10 43 8B 86 38 02 00 00 3B 58 08 75 12 33 DB EB 0E 85 DB 75 09 8B 86 38 02 00 00 8B 58 08 4B 8B D3 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 80 7D 08 00 74 0F 80 B8 F4 01 00 00 00 75 06 3B FB 75 BC 33 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2377_0 {
	meta:
		name = "TPageControl.GetChildren"
		size = 64
		refs = "0029 TList.Get"
		altNames = "TTabbedNotebook.GetChildren"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 38 02 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 38 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2378_0 {
	meta:
		name = "TPageControl.GetImageIndex"
		size = 46
		refs = "0015 TCustomTabControl.GetImageIndex 0021 TPageControl.GetPage"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB 32 02 00 00 00 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 80 EC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2379_0 {
	meta:
		name = "TPageControl.GetPageFromDockClient"
		size = 80
		refs = "0011 TPageControl.GetPageCount 0024 TPageControl.GetPage"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 C0 89 04 24 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2B 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 45 24 75 16 3B 9D 8C 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 D8 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2380_0 {
	meta:
		name = "TPageControl.GetPage"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2381_0 {
	meta:
		name = "TPageControl.GetPageCount"
		size = 10
	strings:
		$1 = { 8B 80 38 02 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_2382_0 {
	meta:
		name = "TPageControl.GetSiteInfo"
		size = 67
		refs = "0020 TPageControl.GetPageFromDockClient 0036 TWinControl.GetSiteInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 0C 8D 7D F4 A5 A5 89 4D FC 8B F2 8B D8 8B 7D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 07 8D 45 F4 50 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2383_0 {
	meta:
		name = "TPageControl.InsertPage"
		size = 35
		refs = "000f TList.Add 001c TTabSheet.UpdateTabShowing"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 89 9E F0 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2384_0 {
	meta:
		name = "TPageControl.InsertTab"
		size = 102
		refs = "000f TPageControl.InsertTab 0020 TControl.GetText 002b TTabSheet.GetTabIndex 0039 TStrings.InsertObject 0040 TPageControl.UpdateActivePage 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2385_0 {
	meta:
		name = "TPageControl.MoveTab"
		size = 24
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 86 0C 02 00 00 8B 18 FF 53 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2386_0 {
	meta:
		name = "TPageControl.RemovePage"
		size = 39
		refs = "000b TTabSheet.SetTabShowing 0020 TList.Remove"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F0 01 00 00 8B D3 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2387_0 {
	meta:
		name = "TPageControl.SelectNextPage"
		size = 82
		refs = "0012 TPageControl.FindNextPage 002b @CallDynaInst 0036 TTabSheet.GetTabIndex 003f TCustomTabControl.SetTabIndex"
	strings:
		$1 = { 53 56 57 8B F0 6A 01 8B CA 8B C6 8B 96 3C 02 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 32 3B BE 3C 02 00 00 74 2A 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 84 C0 74 1B 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2388_0 {
	meta:
		name = "TPageControl.SetActivePage"
		size = 70
		refs = "0017 TPageControl.ChangeActivePage 0025 TCustomTabControl.SetTabIndex 0036 TTabSheet.GetTabIndex"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 08 3B B3 F0 01 00 00 75 31 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 75 0C 83 CA FF 8B C6 E8 ?? ?? ?? ?? EB 18 3B 9E 3C 02 00 00 75 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2389_0 {
	meta:
		name = "TPageControl.SetChildOrder"
		size = 10
		refs = "0005 TTabSheet.SetPageIndex"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7182_0 {
	meta:
		name = "TBDEDataSet.BCDToCurr"
		size = 10
		refs = "0005 FMTBCDToCurr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5857_0 {
	meta:
		name = "TClientDataSet.BCDToCurr"
		size = 10
		refs = "0005 FMTBCDToCurr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2827_0 {
	meta:
		name = "TCustomRichEdit.RegisterConversionFormat"
		size = 10
		refs = "0005 AppendConversionFormat"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2390_0 {
	meta:
		name = "TPageControl.ShowControl"
		size = 52
		refs = "000a _DV_TTabSheet 000f @IsClass 0024 TPageControl.SetActivePage 002d TWinControl.ShowControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 3B 9E F0 01 00 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2391_0 {
	meta:
		name = "TPageControl.UpdateTab"
		size = 94
		refs = "000f TPageControl.UpdateTab 001f TControl.GetText 002a TTabSheet.GetTabIndex 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 02 00 00 59 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2392_0 {
	meta:
		name = "TPageControl.UpdateActivePage"
		size = 45
		refs = "0006 TCustomTabControl.GetTabIndex 0027 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1D 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 02 00 00 8B 08 FF 51 18 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2393_0 {
	meta:
		name = "TPageControl.CMDesignHitTest"
		size = 91
		refs = "0012 SmallPointToPoint 0032 TWinControl.GetHandle 0038 SendMessage 0045 TCustomTabControl.GetTabIndex"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B D8 8D 54 24 0C 8B 47 08 E8 ?? ?? ?? ?? 8B 44 24 0C 89 04 24 8B 44 24 10 89 44 24 04 8B C4 50 6A 00 68 0D 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 12 8B C3 E8 ?? ?? ?? ?? 3B F0 74 07 C7 47 0C 01 00 00 00 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2394_0 {
	meta:
		name = "TPageControl.CMDialogKey"
		size = 67
		refs = "0010 GetKeyState 0029 TPageControl.SelectNextPage 003c TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 7E 04 09 75 2A 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 1E 6A 10 E8 ?? ?? ?? ?? 66 85 C0 0F 9D C2 8B C3 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2395_0 {
	meta:
		name = "TPageControl.CMDockClient"
		size = 328
		refs = "0017 TPageControl.CMDockClient 002c _DV_TTabSheet 0031 TTabSheet.Create 0066 _Dn_TCustomForm 006b @IsClass 0079 TControl.GetText 0083 TControl.SetText 0094 TTabSheet.SetPageControl 00a8 @CallDynaInst 00b7 @HandleAnyException 00c5 TObject.Free 00ca @RaiseAgain 00cf @DoneExcept 00e2 TTabSheet.SetTabVisible 00f7 TPageControl.SetActivePage 0100 TControl.SetAlign 011e @HandleFinally 0135 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 47 0C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 40 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 70 30 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 47 04 8D 48 38 8B 55 FC 8B C6 66 BB D2 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 80 40 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 5E 47 8B 45 FC 8B 80 40 02 00 00 8B D3 E8 ?? ?? ?? ?? 84 DB 74 11 8B 45 FC 8B 90 40 02 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 40 02 00 00 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2396_0 {
	meta:
		name = "TPageControl.CMDockNotification"
		size = 157
		refs = "0010 TPageControl.CMDockNotification 0020 TPageControl.GetPageFromDockClient 0047 @LStrFromPChar 0051 TControl.SetText 0060 TControl.SetVisible 006d TTabSheet.SetTabVisible 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 47 8B 43 08 8B 00 83 E8 0C 74 09 2D FF AF 00 00 74 1C EB 34 8D 45 FC 8B 53 08 8B 52 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 1A 8B 43 08 8A 50 04 8B C7 E8 ?? ?? ?? ?? 8B 43 08 8A 50 04 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2397_0 {
	meta:
		name = "TPageControl.CMUnDockClient"
		size = 44
		refs = "0011 TPageControl.GetPageFromDockClient 0025 TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 46 0C 8B 56 08 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 89 83 44 02 00 00 8B 46 08 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2398_0 {
	meta:
		name = "TPageControl.GetDockClientFromMousePos"
		size = 150
		refs = "0038 TWinControl.GetHandle 003e SendMessage 004b TPageControl.GetPage 0063 TPageControl.FindNextPage 0070 TWinControl.GetControlCount 007d TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F2 8D 3C 24 A5 A5 8B D8 33 FF 80 BB 38 01 00 00 00 74 73 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 8D 44 24 08 50 6A 00 68 0D 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7C 47 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BE F4 01 00 00 00 75 0F 6A 01 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 20 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 15 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F8 3B 9F 8C 00 00 00 74 02 33 FF 8B C7 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2399_0 {
	meta:
		name = "TPageControl.WMLButtonDown"
		size = 56
		refs = "000e TControl.WMLButtonDown 0018 SmallPointToPoint 0021 TPageControl.GetDockClientFromMousePos 002f TControl.BeginDrag"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 46 08 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 83 C9 FF 33 D2 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2400_0 {
	meta:
		name = "TPageControl.WMLButtonDblClk"
		size = 57
		refs = "000e TControl.WMLButtonDblClk 0018 SmallPointToPoint 0021 TPageControl.GetDockClientFromMousePos 0030 TControl.ManualDock"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 46 08 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 6A 00 33 C9 33 D2 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2401_0 {
	meta:
		name = "TStatusPanel.Create"
		size = 75
		refs = "000a @ClassCreate 0026 TCollectionItem.Create 002d TStatusPanel.ParentBiDiModeChanged 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 10 32 00 00 00 C6 46 15 01 C6 46 17 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2402_0 {
	meta:
		name = "TStatusPanel.Assign"
		size = 91
		refs = "000b _DV_TStatusPanel 0010 @IsClass 0020 TStatusPanel.SetText 002a TStatusPanel.SetWidth 0034 TStatusPanel.SetAlignment 003e TStatusPanel.SetBevel 0048 TStatusPanel.SetStyle 0053 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8A 57 14 8B C3 E8 ?? ?? ?? ?? 8A 57 15 8B C3 E8 ?? ?? ?? ?? 8A 57 18 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2403_0 {
	meta:
		name = "TStatusPanel.SetBiDiMode"
		size = 20
		refs = "000f TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 16 74 0E 88 50 16 C6 40 17 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2404_0 {
	meta:
		name = "TStatusPanel.IsBiDiModeStored"
		size = 6
	strings:
		$1 = { 8A 40 17 34 01 C3 }
	condition:
		$1
}

rule function_2405_0 {
	meta:
		name = "TStatusPanel.SetParentBiDiMode"
		size = 14
		refs = "0009 TStatusPanel.ParentBiDiModeChanged"
	strings:
		$1 = { 3A 50 17 74 08 88 50 17 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2406_0 {
	meta:
		name = "TStatusPanel.ParentBiDiModeChanged"
		size = 56
		refs = "0011 @CallDynaInst 002d TStatusPanel.SetBiDiMode"
	strings:
		$1 = { 53 56 8B F0 80 7E 17 00 74 2B 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 85 C0 74 1C 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 8B 40 18 8A 50 4F 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 5E 5B C3 }
	condition:
		$1
}

rule function_2407_0 {
	meta:
		name = "TStatusPanel.UseRightToLeftReading"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 16 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_2408_0 {
	meta:
		name = "TStatusPanel.UseRightToLeftAlignment"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 16 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_2409_0 {
	meta:
		name = "THeaderSection.GetDisplayName"
		size = 33
		refs = "000c @LStrLAsg 001a TCollectionItem.GetDisplayName"
		altNames = "TStatusPanel.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2410_0 {
	meta:
		name = "THTMLTableColumn.SetAlign"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TStatusPanel.SetAlignment"
	strings:
		$1 = { 3A 50 14 74 0A 88 50 14 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2411_0 {
	meta:
		name = "TStatusPanel.SetBevel"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 15 74 0A 88 50 15 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2412_0 {
	meta:
		name = "TCoolBand.SetFixedBackground"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TStatusPanel.SetStyle TWebActionItem.SetMethodType"
	strings:
		$1 = { 3A 50 18 74 0A 88 50 18 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2413_0 {
	meta:
		name = "THeaderSection.SetText"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
		altNames = "TStatusPanel.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2414_0 {
	meta:
		name = "TStatusPanel.SetWidth"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 10 74 0A 89 50 10 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2415_0 {
	meta:
		name = "TStatusPanels.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TStatusPanel 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5991_0 {
	meta:
		name = "TAggregates.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TAggregate 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5362_0 {
	meta:
		name = "TCheckConstraints.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TCheckConstraint 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3276_0 {
	meta:
		name = "TCoolBands.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TCoolBand 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6935_0 {
	meta:
		name = "TDataBindings.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TDataBindItem 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2466_0 {
	meta:
		name = "THeaderSections.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_THeaderSection 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2882_0 {
	meta:
		name = "TListColumns.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TListColumn 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2420_0 {
	meta:
		name = "TStatusPanels.Update"
		size = 47
		refs = "000d TCollectionItem.GetIndex 0019 TStatusBar.UpdatePanel 0028 TStatusBar.UpdatePanels"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 B2 01 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2421_0 {
	meta:
		name = "TStatusBar.Create"
		size = 188
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 TStatusBar.Create 0030 TControl.SetColor 003c TControl.SetHeight 0045 TControl.SetAlign 004e _DV_TStatusPanels 0053 TStatusPanels.Create 0060 _Dn_TControlCanvas 0065 TCanvas.Create 0076 TControlCanvas.SetControl 0086 TControl.SetParentFont 0094 TStatusBar.SyncToSystemFont 00a1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 40 BA 0F 00 00 80 8B C3 E8 ?? ?? ?? ?? BA 13 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 EC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? C6 83 F9 01 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 FA 01 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 CA 00 00 00 }
	condition:
		$1
}

rule function_2422_0 {
	meta:
		name = "THeaderControl.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TWinControl.Destroy 0034 @ClassDestroy"
		altNames = "TStatusBar.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2423_0 {
	meta:
		name = "TStatusBar.CreateParams"
		size = 132
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TStatusBar.CreateParams 0023 TWinControl.CreateSubClass 0035 _Dn_TCustomForm 003a @IsClass 005f GripStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB F9 01 00 00 00 74 23 8B 43 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 24 8A 80 09 02 00 00 2C 02 74 08 2C 03 74 04 33 C0 EB 02 B0 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 09 46 04 83 66 24 FD 5E 5B C3 00 00 00 6D 73 63 74 6C 73 5F 73 74 61 74 75 73 62 61 72 33 32 00 00 }
	condition:
		$1
}

rule function_2424_0 {
	meta:
		name = "TStatusBar.CreateWnd"
		size = 127
		refs = "0006 TWinControl.CreateWnd 000e ColorToRGB 001d TWinControl.GetHandle 0023 SendMessage 002e TStatusBar.UpdatePanels 0042 @LStrToPChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 50 6A 00 68 01 20 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 83 BB F4 01 00 00 00 74 23 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 50 68 FF 00 00 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB F8 01 00 00 00 74 16 6A 00 6A 01 68 09 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2425_0 {
	meta:
		name = "TStatusBar.DoHint"
		size = 35
	strings:
		$1 = { 53 66 83 B8 06 02 00 00 00 74 14 8B D8 8B D0 8B 83 08 02 00 00 FF 93 04 02 00 00 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2426_0 {
	meta:
		name = "TStatusBar.DrawPanel"
		size = 47
		refs = "0029 TCanvas.FillRect"
	strings:
		$1 = { 53 66 83 B8 FE 01 00 00 00 74 15 51 8B D8 8B CA 8B D0 8B 83 00 02 00 00 FF 93 FC 01 00 00 5B C3 8B D1 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2427_0 {
	meta:
		name = "THeaderControl.SetSections"
		size = 12
		altNames = "TStatusBar.SetPanels"
	strings:
		$1 = { 8B 80 EC 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_2428_0 {
	meta:
		name = "TStatusBar.SetSimplePanel"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 002f TWinControl.GetHandle 0035 SendMessage"
	strings:
		$1 = { 53 8B D8 3A 93 F8 01 00 00 74 2E 88 93 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 6A 00 33 C0 8A 83 F8 01 00 00 50 68 09 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2429_0 {
	meta:
		name = "TStatusBar.DoRightToLeftAlignment"
		size = 104
		refs = "0014 ChangeBiDiModeAlignment 002b TStatusBar.DoRightToLeftAlignment 0030 @LStrInsert"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B DA 80 7D 08 00 74 08 8D 45 FF E8 ?? ?? ?? ?? 8A 45 FF FE C8 74 17 FE C8 75 24 8B D3 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B D3 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 02 00 00 00 09 09 00 00 }
	condition:
		$1
}

rule function_2430_0 {
	meta:
		name = "TStatusBar.UpdateSimpleText"
		size = 98
		refs = "000b @CallDynaInst 001b TStatusBar.DoRightToLeftAlignment 0022 TWinControl.HandleAllocated 0031 @LStrToPChar 0039 TControl.UseRightToLeftReading 0043 RTLReading 0055 TWinControl.GetHandle 005b SendMessage"
	strings:
		$1 = { 53 56 8B F0 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 50 8D 96 F4 01 00 00 33 C9 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 35 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 0D FF 00 00 00 50 68 01 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2431_0 {
	meta:
		name = "TStatusBar.SetSimpleText"
		size = 44
		refs = "000f @LStrCmp 001e @LStrAsg 0025 TStatusBar.UpdateSimpleText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 14 8D 83 F4 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2432_0 {
	meta:
		name = "TStatusBar.CMBiDiModeChanged"
		size = 118
		refs = "0008 TWinControl.CMBiDiModeChanged 000f TWinControl.HandleAllocated 0027 TCollection.GetCount 003e TStatusPanels.GetItem 0056 TStatusPanel.ParentBiDiModeChanged 0065 TStatusBar.UpdatePanels 006e TStatusBar.UpdateSimpleText"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5B 80 BB F8 01 00 00 00 75 4B 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2C 47 33 F6 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 80 78 17 00 74 12 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D7 B1 01 B2 01 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2433_0 {
	meta:
		name = "TStatusBar.FlipChildren"
		size = 447
		refs = "0010 TWinControl.HandleAllocated 0036 TCollection.GetCount 0046 TControl.GetClientWidth 0059 TStatusPanels.GetItem 009d _DV_TStatusPanels 00a2 TStatusPanels.Create 00ad TStatusBar.FlipChildren 00d3 TStatusPanels.Add 0155 TObject.Free 015b @HandleFinally 0190 TStatusPanel.SetWidth 01b4 TStatusBar.UpdatePanels"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9C 01 00 00 8B 45 FC 80 B8 F8 01 00 00 00 0F 85 8C 01 00 00 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 76 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 EC 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 40 10 89 45 F8 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 83 EB 02 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 10 29 45 F4 46 4B 75 E6 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2A 43 33 F6 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 46 4B 75 D9 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 39 43 33 F6 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 2B D6 4A 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 48 7E 3A 8B 45 FC 8B 98 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? B1 01 B2 01 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2434_0 {
	meta:
		name = "TStatusBar.SetSizeGrip"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F9 01 00 00 74 0B 88 90 F9 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2435_0 {
	meta:
		name = "TStatusBar.SyncToSystemFont"
		size = 76
		refs = "0025 SystemParametersInfo 0036 CreateFontIndirect 0040 TFont.SetHandle"
	strings:
		$1 = { 53 81 C4 AC FE FF FF 8B D8 80 BB FA 01 00 00 00 74 32 C7 04 24 54 01 00 00 6A 00 8D 44 24 04 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 17 8D 84 24 DC 00 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 43 58 E8 ?? ?? ?? ?? 81 C4 54 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2436_0 {
	meta:
		name = "TStatusBar.UpdatePanel"
		size = 392
		refs = "0019 TStatusBar.UpdatePanel 0026 TWinControl.HandleAllocated 003b TStatusPanels.GetItem 0052 TCollectionItem.GetIndex 005f TWinControl.GetHandle 0065 SendMessage 0078 InvalidateRect 00ad TStatusPanel.UseRightToLeftReading 00ce @LStrLAsg 00d5 TStatusPanel.UseRightToLeftAlignment 00ee TStatusBar.DoRightToLeftAlignment 010d @LStrInsert 0129 @LStrToPChar 015b @LStrClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 88 4D FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 18 01 00 00 8B D3 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 80 7D FF 00 75 3A C6 43 19 01 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 50 68 0A 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 8D 45 E8 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 C9 00 00 00 80 7B 19 00 0F 84 BF 00 00 00 C6 43 19 00 33 FF 8A 43 15 2C 01 72 06 FE C8 74 09 EB 0C BF 00 01 00 00 EB 05 BF 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 81 CF 00 04 00 00 80 7B 18 01 75 06 81 CF 00 10 00 00 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 50 8D 55 F8 8A 4B 14 8B C6 E8 ?? ?? ?? ?? EB 31 8A 43 14 FE C8 74 18 FE C8 75 26 8D 55 F8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8D 55 F8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 0B F8 57 68 01 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 02 00 00 00 09 09 00 00 }
	condition:
		$1
}

rule function_2437_0 {
	meta:
		name = "TStatusBar.UpdatePanels"
		size = 280
		refs = "0014 TWinControl.HandleAllocated 0027 TCollection.GetCount 0067 TWinControl.GetHandle 006d SendMessage 0072 TStatusBar.UpdatePanels 00ad TStatusPanels.GetItem 0101 TStatusBar.UpdatePanel"
	strings:
		$1 = { 53 56 57 55 81 C4 F4 FD FF FF 88 0C 24 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E9 00 00 00 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 89 44 24 04 84 DB 0F 84 B6 00 00 00 81 7C 24 04 80 00 00 00 7E 08 C7 44 24 04 80 00 00 00 83 7C 24 04 00 75 3C C7 44 24 0C FF FF FF FF 8D 44 24 0C 50 6A 01 68 04 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 01 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 61 33 C0 89 44 24 08 8B 6C 24 04 83 ED 02 85 ED 7C 28 45 33 FF 8D 5C 24 0C 8B D7 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 40 10 01 44 24 08 8B 44 24 08 89 03 47 83 C3 04 4D 75 DF 8B 44 24 04 C7 44 84 08 FF FF FF FF 8D 44 24 0C 50 8B 44 24 08 50 68 04 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 6C 24 04 4D 85 ED 7C 13 45 33 FF 8A 0C 24 8B D7 8B C6 E8 ?? ?? ?? ?? 47 4D 75 F0 81 C4 0C 02 00 00 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_2438_0 {
	meta:
		name = "TStatusBar.CMWinIniChange"
		size = 37
		refs = "000b TWinControl.CMWinIniChange 001e TStatusBar.SyncToSystemFont"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 05 83 F8 2A 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2439_0 {
	meta:
		name = "TStatusBar.CNDrawItem"
		size = 156
		refs = "0011 SaveDC 0022 TCanvas.SetHandle 0030 TCanvas.SetFont 0043 TBrush.SetColor 0053 TBrush.SetStyle 0061 TStatusPanels.GetItem 0071 @CallDynaInst 008b RestoreDC"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 8B 7D 08 8B 47 18 50 E8 ?? ?? ?? ?? 89 04 24 8B 57 18 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 57 08 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4F 1C 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 33 D2 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 50 8B 47 18 50 E8 ?? ?? ?? ?? C7 45 0C 01 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2440_0 {
	meta:
		name = "TStatusBar.WMGetTextLength"
		size = 23
		refs = "000d @LStrLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2441_0 {
	meta:
		name = "TStatusBar.WMPaint"
		size = 29
		refs = "000d TStatusBar.UpdatePanels 0016 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2442_0 {
	meta:
		name = "TStatusBar.WMSize"
		size = 31
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 F6 46 20 01 75 0B 8B C6 66 BB D5 FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 7C 5E 5B C3 }
	condition:
		$1
}

rule function_2443_0 {
	meta:
		name = "TStatusBar.IsFontStored"
		size = 27
	strings:
		$1 = { 80 B8 FA 01 00 00 00 75 0C 80 78 49 00 75 06 80 78 46 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_2444_0 {
	meta:
		name = "TStatusBar.SetUseSystemFont"
		size = 45
		refs = "0020 TControl.SetParentFont 0027 TStatusBar.SyncToSystemFont"
	strings:
		$1 = { 53 8B D8 3A 93 FA 01 00 00 74 20 88 93 FA 01 00 00 84 D2 74 16 80 7B 49 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2446_0 {
	meta:
		name = "TStatusBar.CMParentFontChanged"
		size = 34
		refs = "0006 TControl.CMParentFontChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB FA 01 00 00 00 74 0D 80 7B 49 00 74 07 C6 83 FA 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2447_0 {
	meta:
		name = "TStatusBar.ExecuteAction"
		size = 120
		refs = "0013 _Dn_THintAction 0018 @IsClass 003e TCollection.GetCount 004c TStatusBar.SetSimpleText 005b TStatusPanels.GetItem 0063 TStatusPanel.SetText 0071 TComponent.ExecuteAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB FB 01 00 00 00 74 5D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8B C3 8B 10 FF 92 B8 00 00 00 84 C0 75 3E 80 BB F8 01 00 00 00 75 0F 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 0C 8B 56 58 8B C3 E8 ?? ?? ?? ?? EB 15 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 E8 ?? ?? ?? ?? B0 01 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2448_0 {
	meta:
		name = "THeaderSection.Create"
		size = 82
		refs = "000a @ClassCreate 002d TCollectionItem.Create 0034 THeaderSection.ParentBiDiModeChanged 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 10 32 00 00 00 C7 46 18 10 27 00 00 C6 46 1E 01 C6 46 21 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2449_0 {
	meta:
		name = "THeaderSection.Assign"
		size = 107
		refs = "000b _DV_THeaderSection 0010 @IsClass 0020 THeaderSection.SetText 002a THeaderSection.SetWidth 0034 THeaderSection.SetMinWidth 003e THeaderSection.SetMaxWidth 0048 THeaderSection.SetAlignment 0052 THeaderSection.SetStyle 0063 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 14 8B C3 E8 ?? ?? ?? ?? 8B 57 18 8B C3 E8 ?? ?? ?? ?? 8A 57 1C 8B C3 E8 ?? ?? ?? ?? 8A 57 1D 8B C3 E8 ?? ?? ?? ?? 8A 47 1E 88 43 1E EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2450_0 {
	meta:
		name = "THeaderSection.SetBiDiMode"
		size = 20
		refs = "000f TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 20 74 0E 88 50 20 C6 40 21 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2451_0 {
	meta:
		name = "THeaderSection.IsBiDiModeStored"
		size = 6
	strings:
		$1 = { 8A 40 21 34 01 C3 }
	condition:
		$1
}

rule function_2452_0 {
	meta:
		name = "THeaderSection.SetParentBiDiMode"
		size = 14
		refs = "0009 THeaderSection.ParentBiDiModeChanged"
	strings:
		$1 = { 3A 50 21 74 08 88 50 21 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2453_0 {
	meta:
		name = "THeaderSection.ParentBiDiModeChanged"
		size = 56
		refs = "0011 @CallDynaInst 002d THeaderSection.SetBiDiMode"
	strings:
		$1 = { 53 56 8B F0 80 7E 21 00 74 2B 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 85 C0 74 1C 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 8B 40 18 8A 50 4F 8B C6 E8 ?? ?? ?? ?? C6 46 21 01 5E 5B C3 }
	condition:
		$1
}

rule function_2454_0 {
	meta:
		name = "THeaderSection.UseRightToLeftReading"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 20 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_2455_0 {
	meta:
		name = "THeaderSection.UseRightToLeftAlignment"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 20 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_2457_0 {
	meta:
		name = "THeaderSection.GetLeft"
		size = 49
		refs = "000b TCollectionItem.GetIndex 001f THeaderSections.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 14 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 03 68 10 46 4B 75 EF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2458_0 {
	meta:
		name = "THeaderSection.GetRight"
		size = 15
		refs = "0006 THeaderSection.GetLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 03 43 10 5B C3 }
	condition:
		$1
}

rule function_2459_0 {
	meta:
		name = "THeaderSection.SetAlignment"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 1C 74 0A 88 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2460_0 {
	meta:
		name = "THeaderSection.SetAutoSize"
		size = 32
		refs = "001a @CallDynaInst"
	strings:
		$1 = { 53 3A 50 1F 74 18 88 50 1F 8B 50 04 8B 52 18 85 D2 74 0B 8B C2 66 BB EF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2461_0 {
	meta:
		name = "THeaderSection.SetMaxWidth"
		size = 34
		refs = "001d THeaderSection.SetWidth"
	strings:
		$1 = { 8B 48 14 3B D1 7D 02 8B D1 81 FA 10 27 00 00 7E 05 BA 10 27 00 00 89 50 18 8B 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2462_0 {
	meta:
		name = "THeaderSection.SetMinWidth"
		size = 27
		refs = "0016 THeaderSection.SetWidth"
	strings:
		$1 = { 85 D2 7D 02 33 D2 8B 48 18 3B D1 7E 02 8B D1 89 50 14 8B 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2463_0 {
	meta:
		name = "THeaderSection.SetStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 1D 74 0A 88 50 1D 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2465_0 {
	meta:
		name = "THeaderSection.SetWidth"
		size = 63
		refs = "0021 TCollectionItem.GetIndex 002b TCollection.GetCount 0038 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B D8 8B 43 14 3B D0 7D 02 8B D0 8B 43 18 3B D0 7E 02 8B D0 3B 53 10 74 21 89 53 10 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 04 E8 ?? ?? ?? ?? 48 3B F0 0F 9C C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2471_0 {
	meta:
		name = "THeaderSections.Update"
		size = 41
		refs = "000d TCollectionItem.GetIndex 0017 THeaderControl.UpdateSection 0022 THeaderControl.UpdateSections"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3283_0 {
	meta:
		name = "TCoolBands.Update"
		size = 41
		refs = "000d TCollectionItem.GetIndex 0017 TCoolBar.UpdateBand 0022 TCoolBar.UpdateBands"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2887_0 {
	meta:
		name = "TListColumns.Update"
		size = 41
		refs = "000d TCollectionItem.GetIndex 0017 TCustomListView.UpdateColumn 0022 TCustomListView.UpdateColumns"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2472_0 {
	meta:
		name = "THeaderControl.Create"
		size = 152
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 THeaderControl.Create 002d TControl.SetAlign 0039 TControl.SetHeight 0042 _DV_THeaderSections 0047 THeaderSections.Create 0054 _Dn_TControlCanvas 0059 TCanvas.Create 006a TControlCanvas.SetControl 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 40 B2 01 8B C3 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 EC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? C6 83 F4 01 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_2474_0 {
	meta:
		name = "THeaderControl.CreateParams"
		size = 108
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a THeaderControl.CreateParams 0023 TWinControl.CreateSubClass 0032 HeaderStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 F6 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 80 BB F4 01 00 00 00 74 07 81 4E 04 80 00 00 00 80 BB F5 01 00 00 00 74 04 83 4E 04 04 83 66 24 FC 5E 5B C3 00 00 00 53 79 73 48 65 61 64 65 72 33 32 00 }
	condition:
		$1
}

rule function_2476_0 {
	meta:
		name = "THeaderControl.CMBiDiModeChanged"
		size = 89
		refs = "0008 TWinControl.CMBiDiModeChanged 000f TWinControl.HandleAllocated 001e TCollection.GetCount 0035 THeaderSections.GetItem 004d THeaderSection.ParentBiDiModeChanged"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2C 47 33 F6 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 80 78 21 00 74 12 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2477_0 {
	meta:
		name = "THeaderControl.FlipChildren"
		size = 427
		refs = "0010 TWinControl.HandleAllocated 0026 TCollection.GetCount 0036 TControl.GetClientWidth 0049 THeaderSections.GetItem 008d _DV_THeaderSections 0092 THeaderSections.Create 009d THeaderControl.FlipChildren 00c3 THeaderSections.Add 0145 TObject.Free 014b @HandleFinally 0180 THeaderSection.SetWidth 01a0 THeaderControl.UpdateSections"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 88 01 00 00 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 72 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 EC 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 40 10 89 45 F8 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 83 EB 02 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 10 29 45 F4 46 4B 75 E6 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2A 43 33 F6 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 46 4B 75 D9 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 39 43 33 F6 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 2B D6 4A 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 EC 01 00 00 8B D6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 48 7E 3A 8B 45 FC 8B 98 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2478_0 {
	meta:
		name = "THeaderControl.DrawSection"
		size = 57
		refs = "0030 TCanvas.FillRect"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 0A 02 00 00 00 74 19 51 8A 4D 08 51 8B D8 8B CA 8B D0 8B 83 0C 02 00 00 FF 93 08 02 00 00 EB 0D 8B D1 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2479_0 {
	meta:
		name = "THeaderControl.SectionClick"
		size = 31
	strings:
		$1 = { 53 66 83 B8 12 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 14 02 00 00 FF 93 10 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2480_0 {
	meta:
		name = "THeaderControl.SectionResize"
		size = 31
	strings:
		$1 = { 53 66 83 B8 1A 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 1C 02 00 00 FF 93 18 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2481_0 {
	meta:
		name = "THeaderControl.SectionTrack"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 22 02 00 00 00 74 17 51 8A 4D 08 51 8B D8 8B CA 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2483_0 {
	meta:
		name = "TCoolBar.SetBandMaximize"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomComboBox.SetSorted TCustomEdit.SetHideSelection THeaderControl.SetHotTrack"
	strings:
		$1 = { 3A 90 F5 01 00 00 74 0B 88 90 F5 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2484_0 {
	meta:
		name = "TCustomEdit.SetOEMConvert"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "THeaderControl.SetStyle"
	strings:
		$1 = { 3A 90 F6 01 00 00 74 0B 88 90 F6 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2486_0 {
	meta:
		name = "THeaderControl.UpdateItem"
		size = 215
		refs = "0013 THeaderSections.GetItem 0025 @FillChar 003c @LStrToPChar 0048 @LStrLen 0059 THeaderSection.UseRightToLeftAlignment 0064 ChangeBiDiModeAlignment 00a8 THeaderSection.UseRightToLeftReading 00bd TCollectionItem.GetIndex 00c6 TWinControl.GetHandle 00cc SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B FA 8B F0 8B D1 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 44 24 01 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? C7 44 24 01 07 00 00 00 8B 43 10 89 44 24 05 8B 43 0C E8 ?? ?? ?? ?? 89 44 24 09 8B 43 0C E8 ?? ?? ?? ?? 89 44 24 11 8A 43 1C 88 04 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C4 E8 ?? ?? ?? ?? 8A 04 24 2C 01 72 04 74 0A EB 12 33 C0 89 44 24 15 EB 12 C7 44 24 15 01 00 00 00 EB 08 C7 44 24 15 02 00 00 00 80 7B 1D 01 75 0A 81 4C 24 15 00 80 00 00 EB 08 81 4C 24 15 00 40 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 83 4C 24 15 04 8D 44 24 01 50 8B C3 E8 ?? ?? ?? ?? 50 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2487_0 {
	meta:
		name = "THeaderControl.UpdateSection"
		size = 34
		refs = "0009 TWinControl.HandleAllocated 001b THeaderControl.UpdateItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE BA 04 12 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2488_0 {
	meta:
		name = "THeaderControl.UpdateSections"
		size = 114
		refs = "0008 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage 004e TCollection.GetCount 0066 THeaderControl.UpdateItem"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5E 6A 00 6A 00 68 00 12 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 6A 00 6A 00 68 02 12 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4B 75 E7 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 FF 8B CF BA 01 12 00 00 8B C6 E8 ?? ?? ?? ?? 47 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2489_0 {
	meta:
		name = "THeaderControl.CNDrawItem"
		size = 164
		refs = "0011 SaveDC 0022 TCanvas.SetHandle 0030 TCanvas.SetFont 0043 TBrush.SetColor 0053 TBrush.SetStyle 0069 THeaderSections.GetItem 0079 @CallDynaInst 0093 RestoreDC"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 8B 7D 08 8B 47 18 50 E8 ?? ?? ?? ?? 89 04 24 8B 57 18 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? F6 47 10 01 0F 95 C0 50 8B 57 08 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4F 1C 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 33 D2 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 50 8B 47 18 50 E8 ?? ?? ?? ?? C7 45 0C 01 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2490_0 {
	meta:
		name = "THeaderControl.CNNotify"
		size = 380
		refs = "0035 THeaderSections.GetItem 0043 @CallDynaInst 00c4 THeaderControl.CNNotify 00ea GetMessagePos 0118 TWinControl.GetHandle 011e ScreenToClient 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 5A 08 8B 43 08 05 34 01 00 00 83 E8 03 72 75 83 E8 03 74 08 48 74 29 E9 4E 01 00 00 8B 53 0C 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 66 BB B7 FF E8 ?? ?? ?? ?? E9 2A 01 00 00 8B 43 14 F6 00 01 0F 84 1E 01 00 00 8B 53 0C 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 43 14 8B 40 04 3B 46 10 0F 84 FC 00 00 00 89 46 10 8B D6 8B 45 FC 66 BB B6 FF E8 ?? ?? ?? ?? E9 E6 00 00 00 8B 53 0C 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 43 08 2D CD FE FF FF 74 09 48 75 0C C6 45 FB 00 EB 0A C6 45 FB 02 EB 04 C6 45 FB 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 80 7D FB 02 74 4E 8B 45 FC 89 B0 F8 01 00 00 8B 46 10 8B 55 FC 89 82 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 81 E2 FF FF 00 00 8B 4D FC 89 91 00 02 00 00 C1 E8 10 8B 55 FC 89 82 04 02 00 00 8B 45 FC 05 00 02 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 14 8B 56 14 3B 50 04 7E 03 89 50 04 8B 56 18 3B 50 04 7D 03 89 50 04 8A 55 FB 52 8B 48 04 8B D6 8B 45 FC 66 BB B5 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 02 75 0B 8B 45 FC 33 D2 89 90 F8 01 00 00 C3 E9 ?? ?? ?? ?? EB E7 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2491_0 {
	meta:
		name = "FullWindowUpdate"
		size = 54
		refs = "001e SystemParametersInfo"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 80 B8 F4 01 00 00 00 74 19 6A 00 8D 45 FC 50 6A 00 6A 26 E8 ?? ?? ?? ?? 85 C0 74 06 83 7D FC 00 75 05 33 C0 59 5D C3 B0 01 59 5D C3 }
	condition:
		$1
}

rule function_2492_0 {
	meta:
		name = "THeaderControl.WndProc"
		size = 163
		refs = "0018 FullWindowUpdate 0031 TControl.GetMouseCapture 0084 @CallDynaInst 0098 TWinControl.WndProc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC 81 3F 00 02 00 00 75 7C 55 E8 ?? ?? ?? ?? 59 84 C0 74 71 8B 45 FC 83 B8 F8 01 00 00 00 74 65 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 59 0F BF 77 08 8B 45 FC 2B B0 00 02 00 00 8B 45 FC 03 B0 FC 01 00 00 C6 45 FB 00 8B 45 FC 8B 80 F8 01 00 00 8B 50 14 3B F2 7D 06 2B F2 C6 45 FB 01 8B 50 18 3B F2 7E 06 2B F2 C6 45 FB 01 6A 01 8B D0 8B CE 8B 45 FC 66 BB B5 FF E8 ?? ?? ?? ?? 80 7D FB 00 74 04 66 29 77 08 8B D7 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2493_0 {
	meta:
		name = "THeaderControl.WMLButtonDown"
		size = 96
		refs = "0026 TWinControl.GetHandle 002c SendMessage 0046 THeaderSections.GetItem 0055 TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 0F BF 47 08 89 04 24 0F BF 47 0A 89 44 24 04 8B C4 50 6A 00 68 06 12 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1A F6 44 24 08 02 74 13 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 80 78 1E 00 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2494_0 {
	meta:
		name = "THeaderControl.WMSize"
		size = 425
		refs = "0010 TWinControl.WMSize 0018 TWinControl.HandleAllocated 0034 _Dn_TList 0039 TObject.Create 0044 THeaderControl.WMSize 0052 TControl.GetClientWidth 0063 TCollection.GetCount 007d THeaderSections.GetItem 008f TList.Add 00f3 TList.Get 0105 THeaderSection.SetWidth 013f TList.Delete 017f @HandleFinally 0196 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 7E 01 00 00 8B 45 FC F6 40 20 02 0F 85 71 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 31 47 33 DB 8B 45 FC 8B 80 EC 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 80 7E 1F 00 74 0C 8B D6 8B 45 EC E8 ?? ?? ?? ?? EB 06 8B 46 10 29 45 F4 43 4F 75 D2 8B 45 EC 83 78 08 00 0F 8E D9 00 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 08 89 45 F8 8B 45 F4 99 F7 7D F8 89 55 F0 8B 45 F4 99 F7 7D F8 8B F8 8B 5D F8 4B 83 FB 00 7C 22 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 03 03 7D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DE 8B 45 F4 99 F7 7D F8 8B F8 8B 5D F8 4B 83 FB 00 7C 2E 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 03 03 7D F0 3B 7E 10 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 46 10 29 45 F4 4B 83 FB FF 75 D2 8B 45 EC 8B 40 08 85 C0 74 09 3B 45 F8 0F 85 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2496_0 {
	meta:
		name = "DefaultTreeViewSort"
		size = 108
		refs = "000f TTreeNode.GetTreeView 004c @LStrToPChar 005b lstrcmp"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 66 83 B8 9E 02 00 00 00 74 2B 56 8B 45 10 50 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 A0 02 00 00 FF 96 9C 02 00 00 EB 1A 8B 46 08 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2498_0 {
	meta:
		name = "TreeViewErrorFmt"
		size = 64
		refs = "0025 _DV_ETreeViewError 002a Exception.CreateFmt 002f @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F4 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_2499_0 {
	meta:
		name = "TTreeNode.Create"
		size = 74
		refs = "000b @ClassCreate 001a TObject.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 1C FF FF FF FF C7 47 20 FF FF FF FF 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2500_0 {
	meta:
		name = "TTreeNode.Destroy"
		size = 176
		refs = "0005 @BeforeDestruction 0011 TTreeNodes.ClearCache 0032 TTreeNode.GetParent 0047 TTreeNode.IndexOf 005c TTreeNode.CompareCount 0069 TTreeNode.SetExpanded 0072 TTreeNode.SetChildren 007f TTreeNode.GetHandle 0087 TreeView_DeleteItem 0090 TTreeNode.SetData 009c TPersistent.Destroy 00a7 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 04 E8 ?? ?? ?? ?? C6 45 24 01 8B 45 04 8B 40 04 3B A8 1C 02 00 00 75 08 33 D2 89 90 1C 02 00 00 8B C5 E8 ?? ?? ?? ?? 8B F0 85 F6 74 3A 80 7E 24 00 75 34 8B D5 8B C6 E8 ?? ?? ?? ?? 40 74 07 BF 01 00 00 00 EB 02 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 33 D2 8B C5 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7D 10 00 74 0F 8B C5 E8 ?? ?? ?? ?? 8B 55 10 E8 ?? ?? ?? ?? 33 D2 8B C5 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2501_0 {
	meta:
		name = "TTreeNode.GetHandle"
		size = 17
		refs = "0006 TTreeNode.GetTreeView 000b TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3003_0 {
	meta:
		name = "TCustomListView.GetSelCount"
		size = 17
		refs = "0006 TWinControl.GetHandle 000b ListView_GetSelectedCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2637_0 {
	meta:
		name = "TCustomTreeView.GetIndent"
		size = 17
		refs = "0006 TWinControl.GetHandle 000b TreeView_GetIndent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3404_0 {
	meta:
		name = "TDateTimePicker.GetCalendarHandle"
		size = 17
		refs = "0006 TWinControl.GetHandle 000b DateTime_GetMonthCal"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4914_0 {
	meta:
		name = "TFieldDef.AddChild"
		size = 17
		refs = "0006 TFieldDef.GetChildDefs 000b TFieldDefs.AddFieldDef"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2901_0 {
	meta:
		name = "TListItem.GetHandle"
		size = 17
		refs = "0006 TListItem.GetListView 000b TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16296_0 {
	meta:
		name = "TQRPrinter.EndMetafileCanvas"
		size = 17
		refs = "0006 TQRPrinter.GetCanvas 000b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12457_0 {
	meta:
		name = "mci_TMSF_Frame"
		size = 17
		refs = "0006 HiWord 000b HiByte"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2502_0 {
	meta:
		name = "TListItem.GetListView"
		size = 7
		altNames = "TTreeNode.GetTreeView"
	strings:
		$1 = { 8B 40 04 8B 40 04 C3 }
	condition:
		$1
}

rule function_2503_0 {
	meta:
		name = "TTreeNode.HasAsParent"
		size = 62
		refs = "000d TTreeNode.GetParent 0032 TTreeNode.HasAsParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 2F 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 22 8B C3 E8 ?? ?? ?? ?? 3B F0 75 04 B0 01 EB 13 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2504_0 {
	meta:
		name = "TTreeNode.SetText"
		size = 123
		refs = "000f @LStrAsg 002c TTreeNode.GetHandle 0033 TreeView_SetItem 003a TTreeNode.GetTreeView 0053 TTreeNode.GetParent 0063 TTreeNode.AlphaSort 0071 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 53 56 83 C4 D8 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? C7 04 24 01 00 00 00 8B 43 10 89 44 24 04 C7 44 24 10 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 80 43 02 00 00 04 FE 2C 02 73 2B 80 7B 25 00 74 25 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2505_0 {
	meta:
		name = "TTreeNode.SetData"
		size = 95
		refs = "0009 TTreeNode.GetTreeView 003b TTreeNode.GetParent 004b TTreeNode.AlphaSort 0059 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 53 8B D8 89 53 0C 8B C3 E8 ?? ?? ?? ?? 8A 80 43 02 00 00 2C 01 74 04 2C 02 75 42 8B C3 E8 ?? ?? ?? ?? 66 83 B8 9E 02 00 00 00 74 31 80 7B 24 00 75 2B 80 7B 25 00 74 25 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2506_0 {
	meta:
		name = "TTreeNode.GetState"
		size = 140
		refs = "001e TTreeNode.GetHandle 0027 TreeView_GetItem 003c TTreeNode.GetState"
	strings:
		$1 = { 53 56 83 C4 D4 88 14 24 8B F0 33 DB C7 44 24 01 08 00 00 00 8B 46 10 89 44 24 05 8B C6 E8 ?? ?? ?? ?? 8D 54 24 01 E8 ?? ?? ?? ?? 85 C0 74 55 33 C0 8A 04 24 83 F8 04 77 4B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 44 24 09 04 0F 95 C3 EB 26 F6 44 24 09 01 0F 95 C3 EB 1C F6 44 24 09 02 0F 95 C3 EB 12 F6 44 24 09 20 0F 95 C3 EB 08 F6 44 24 09 08 0F 95 C3 8B C3 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_2507_0 {
	meta:
		name = "TTreeNode.SetImageIndex"
		size = 50
		refs = "0022 TTreeNode.GetHandle 0029 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 89 53 14 C7 04 24 12 00 00 00 8B 43 10 89 44 24 04 C7 44 24 18 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2508_0 {
	meta:
		name = "TTreeNode.SetSelectedIndex"
		size = 50
		refs = "0022 TTreeNode.GetHandle 0029 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 89 53 18 C7 04 24 30 00 00 00 8B 43 10 89 44 24 04 C7 44 24 1C FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2509_0 {
	meta:
		name = "TTreeNode.SetOverlayIndex"
		size = 66
		refs = "0026 IndexToOverlayMask 0031 TTreeNode.GetHandle 0038 TreeView_SetItem"
	strings:
		$1 = { 53 56 83 C4 D8 8B D8 8B F2 89 73 1C C7 04 24 18 00 00 00 C7 44 24 0C 00 0F 00 00 8B 43 10 89 44 24 04 8B C6 40 E8 ?? ?? ?? ?? 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2510_0 {
	meta:
		name = "TTreeNode.SetStateIndex"
		size = 71
		refs = "002b IndexToStateImageMask 0036 TTreeNode.GetHandle 003d TreeView_SetItem"
	strings:
		$1 = { 53 56 83 C4 D8 8B F2 8B D8 89 73 20 85 F6 7C 01 4E C7 04 24 18 00 00 00 C7 44 24 0C 00 F0 00 00 8B 43 10 89 44 24 04 8D 46 01 E8 ?? ?? ?? ?? 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2511_0 {
	meta:
		name = "TTreeNode.CompareCount"
		size = 46
		refs = "000a TTreeNode.getFirstChild 0016 TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B F2 33 FF 33 DB E8 ?? ?? ?? ?? 85 C0 74 10 47 8B D0 E8 ?? ?? ?? ?? 3B F7 7C 0A 85 C0 75 F0 3B F7 75 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2512_0 {
	meta:
		name = "TTreeNode.DoCanExpand"
		size = 75
		refs = "000d TTreeNode.GetChildren 001e TTreeNode.GetTreeView 0029 @CallDynaInst"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 30 80 3C 24 00 74 16 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BB B5 FF E8 ?? ?? ?? ?? 8B D8 EB 14 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BB B6 FF E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2513_0 {
	meta:
		name = "TTreeNode.DoExpand"
		size = 62
		refs = "0009 TTreeNode.GetChildren 0018 TTreeNode.GetTreeView 0023 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 84 DB 74 14 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BB B0 FF E8 ?? ?? ?? ?? EB 12 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BB B3 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2514_0 {
	meta:
		name = "TTreeNode.ExpandItem"
		size = 226
		refs = "0019 TTreeNode.ExpandItem 0020 TTreeNode.GetNext 0034 TTreeNode.HasAsParent 0045 TTreeNode.GetTreeView 006a TTreeNode.DoCanExpand 007d TTreeNode.DoExpand 00a8 TTreeNode.GetHandle 00b5 TreeView_Expand 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 84 C9 74 32 8B 75 FC 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 AF 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 D6 E9 9C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 80 20 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 84 DB 74 1F B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2E BE 02 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 1D 33 D2 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F BE 01 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 85 F6 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 10 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C6 80 20 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E9 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2515_0 {
	meta:
		name = "TTreeNode.Expand"
		size = 10
		refs = "0005 TTreeNode.ExpandItem"
	strings:
		$1 = { 8B CA B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2516_0 {
	meta:
		name = "TTreeNode.Collapse"
		size = 10
		refs = "0005 TTreeNode.ExpandItem"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2517_0 {
	meta:
		name = "TTreeNode.GetExpanded"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { B2 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2518_0 {
	meta:
		name = "TTreeNode.SetExpanded"
		size = 20
		refs = "0007 TTreeNode.Expand 000f TTreeNode.Collapse"
	strings:
		$1 = { 84 D2 74 08 33 D2 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2519_0 {
	meta:
		name = "TTreeNode.GetSelected"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2520_0 {
	meta:
		name = "TTreeNode.SetSelected"
		size = 51
		refs = "000a TTreeNode.GetHandle 0012 TreeView_SelectItem 001b TTreeNode.GetSelected"
	strings:
		$1 = { 53 8B D8 84 D2 74 11 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2524_0 {
	meta:
		name = "TTreeNode.SetDropTarget"
		size = 51
		refs = "000a TTreeNode.GetHandle 0012 TreeView_SelectDropTarget 001b TTreeNode.GetDropTarget"
	strings:
		$1 = { 53 8B D8 84 D2 74 11 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2522_0 {
	meta:
		name = "TTreeNode.SetCut"
		size = 65
		refs = "0031 TTreeNode.GetHandle 0038 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 84 D2 74 05 83 C8 FF EB 02 33 C0 C7 04 24 08 00 00 00 8B 53 10 89 54 24 04 BA 04 00 00 00 89 54 24 0C 23 C2 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2525_0 {
	meta:
		name = "TTreeNode.GetChildren"
		size = 55
		refs = "0017 TTreeNode.GetHandle 001e TreeView_GetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 C7 04 24 40 00 00 00 8B 43 10 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 0A 83 7C 24 20 00 0F 9F C0 EB 02 33 C0 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2526_0 {
	meta:
		name = "TTreeNode.SetFocused"
		size = 65
		refs = "0031 TTreeNode.GetHandle 0038 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 84 D2 74 05 83 C8 FF EB 02 33 C0 C7 04 24 08 00 00 00 8B 53 10 89 54 24 04 BA 01 00 00 00 89 54 24 0C 23 C2 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2527_0 {
	meta:
		name = "TTreeNode.GetFocused"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2528_0 {
	meta:
		name = "TTreeNode.SetChildren"
		size = 47
		refs = "001f TTreeNode.GetHandle 0026 TreeView_SetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 C7 04 24 40 00 00 00 8B 43 10 89 44 24 04 33 C0 8A C2 89 44 24 20 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2529_0 {
	meta:
		name = "TTreeNode.GetParent"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetParent 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2533_0 {
	meta:
		name = "TTreeNode.GetPrevVisible"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetPrevVisible 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2536_0 {
	meta:
		name = "TTreeNode.getFirstChild"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetChild 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2530_0 {
	meta:
		name = "TTreeNode.getNextSibling"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetNextSibling 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2531_0 {
	meta:
		name = "TTreeNode.getPrevSibling"
		size = 34
		refs = "000a TTreeNodes.GetHandle 0012 TreeView_GetPrevSibling 001b TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2532_0 {
	meta:
		name = "TTreeNode.GetNextVisible"
		size = 50
		refs = "0007 TTreeNode.IsNodeVisible 0015 TTreeNodes.GetHandle 001d TreeView_GetNextVisible 0026 TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_2534_0 {
	meta:
		name = "TTreeNode.GetNextChild"
		size = 15
		refs = "0007 TTreeNode.getNextSibling"
	strings:
		$1 = { 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_2535_0 {
	meta:
		name = "TTreeNode.GetPrevChild"
		size = 15
		refs = "0007 TTreeNode.getPrevSibling"
	strings:
		$1 = { 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_2537_0 {
	meta:
		name = "TTreeNode.GetLastChild"
		size = 31
		refs = "0002 TTreeNode.getFirstChild 0013 TTreeNode.getNextSibling"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0F 8B C3 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 F3 8B C3 5B C3 }
	condition:
		$1
}

rule function_2538_0 {
	meta:
		name = "TTreeNode.GetNext"
		size = 85
		refs = "0009 TTreeNodes.GetHandle 0015 TreeView_GetChild 0023 TreeView_GetNextSibling 0031 TreeView_GetParent 004d TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B F0 8B 57 10 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 57 10 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 EB 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 75 04 85 DB 75 E4 8B 57 04 92 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2539_0 {
	meta:
		name = "TTreeNode.GetPrev"
		size = 48
		refs = "0007 TTreeNode.getPrevSibling 0018 TTreeNode.GetLastChild 0025 TTreeNode.GetParent"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 F3 EB 09 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_2540_0 {
	meta:
		name = "TTreeNode.GetAbsoluteIndex"
		size = 35
		refs = "0017 TTreeNode.GetPrev"
	strings:
		$1 = { 53 8B 50 04 3B 42 0C 75 05 8B 5A 10 EB 11 83 CB FF 85 C0 74 0A 43 E8 ?? ?? ?? ?? 85 C0 75 F6 8B C3 5B C3 }
	condition:
		$1
}

rule function_2541_0 {
	meta:
		name = "TTreeNode.GetIndex"
		size = 22
		refs = "000a TTreeNode.getPrevSibling"
	strings:
		$1 = { 53 83 CB FF 85 C0 74 0A 43 E8 ?? ?? ?? ?? 85 C0 75 F6 8B C3 5B C3 }
	condition:
		$1
}

rule function_2542_0 {
	meta:
		name = "TTreeNode.GetItem"
		size = 119
		refs = "0010 TTreeNode.GetItem 001d TTreeNode.getFirstChild 002a TTreeNode.GetNextChild 0041 SListIndexError 0046 LoadResString 004e TreeViewError 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 4E 85 DB 74 04 85 F6 7F EC 85 DB 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2544_0 {
	meta:
		name = "TTreeNode.IndexOf"
		size = 52
		refs = "000d TTreeNode.getFirstChild 001f TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 CE FF 8B C3 E8 ?? ?? ?? ?? 85 C0 74 12 46 3B F8 74 0D 8B D0 8B C3 E8 ?? ?? ?? ?? 85 C0 75 EE 85 C0 75 03 83 CE FF 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2545_0 {
	meta:
		name = "TTreeNode.GetCount"
		size = 28
		refs = "0004 TTreeNode.getFirstChild 0010 TTreeNode.GetNextChild"
	strings:
		$1 = { 53 33 DB E8 ?? ?? ?? ?? 85 C0 74 0C 43 8B D0 E8 ?? ?? ?? ?? 85 C0 75 F4 8B C3 5B C3 }
	condition:
		$1
}

rule function_2546_0 {
	meta:
		name = "TTreeNode.EndEdit"
		size = 25
		refs = "0009 TTreeNode.GetHandle 0012 TreeView_EndEditLabelNow"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? F6 DB 1B D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2547_0 {
	meta:
		name = "TTreeNode.InternalMove"
		size = 392
		refs = "001c TTreeNode.InternalMove 0033 TTreeNodes.ClearCache 0051 TTreeNode.GetChildren 005b TTreeNode.GetSelected 0065 TTreeNode.GetParent 007a TTreeNode.CompareCount 008c TTreeNode.SetExpanded 009a TTreeNode.SetChildren 00b3 TTreeNode.GetHandle 00bb TreeView_SetItem 00ca TTreeNodes.CreateItem 00de TTreeNodes.AddItem 00ec sInsertError 00f1 LoadResString 00fb _Dn_EOutOfResources 0100 Exception.Create 0105 @RaiseExcept 010c TTreeNode.GetCount 0120 TTreeNode.GetItem 013e TreeView_DeleteItem 015e TTreeNode.SetSelected 0173 @LStrClr 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D A0 8B F1 89 55 FC 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 75 FC 0F 84 33 01 00 00 8B 43 04 E8 ?? ?? ?? ?? 80 7D 08 02 75 0C 85 F6 74 08 8B 46 10 89 45 F8 EB 05 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 88 45 F7 8B C3 E8 ?? ?? ?? ?? 88 45 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 31 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C7 45 CE 04 00 00 00 8B 43 10 89 45 D2 33 C0 89 45 F2 8B C3 E8 ?? ?? ?? ?? 8D 55 CE E8 ?? ?? ?? ?? 8B 73 04 8D 4D A4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 A4 50 8A 45 08 50 8B 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 75 21 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 1B 57 6A 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 E5 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 89 7B 10 8B D3 8B C3 8B 08 FF 51 08 8A 55 F7 8B C3 E8 ?? ?? ?? ?? 8A 55 F6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2548_0 {
	meta:
		name = "TTreeNode.MoveTo"
		size = 378
		refs = "0015 TTreeNode.GetTreeView 0075 TTreeNode.MoveTo 0089 TTreeNode.HasAsParent 00a7 TTreeNode.GetParent 00e1 TTreeNode.getPrevSibling 0106 TTreeNode.InternalMove 011d TTreeNode.SetChildren 0126 TTreeNode.SetExpanded 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D FB 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 90 8C 02 00 00 89 55 F0 8B 90 90 02 00 00 89 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 90 94 02 00 00 89 55 E8 8B 90 98 02 00 00 89 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 89 90 8C 02 00 00 89 90 90 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 89 90 94 02 00 00 89 90 98 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 FF 74 12 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 95 00 00 00 B3 01 85 FF 74 14 8A 45 FB 04 FE 2C 02 72 0B 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 02 8B F7 33 C0 8A 45 FB 83 F8 04 77 36 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 01 EB 17 33 DB EB 13 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 04 33 DB EB 02 B3 02 85 F6 74 05 8B 46 10 EB 02 33 C0 50 53 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 90 8C 02 00 00 8B 55 F4 89 90 90 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 89 90 94 02 00 00 8B 55 EC 89 90 98 02 00 00 C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2549_0 {
	meta:
		name = "TTreeNode.MakeVisible"
		size = 20
		refs = "0006 TTreeNode.GetHandle 000e TreeView_EnsureVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2550_0 {
	meta:
		name = "TTreeNode.GetLevel"
		size = 26
		refs = "0004 TTreeNode.GetParent"
	strings:
		$1 = { 53 33 DB E8 ?? ?? ?? ?? 85 C0 74 0A 43 E8 ?? ?? ?? ?? 85 C0 75 F6 8B C3 5B C3 }
	condition:
		$1
}

rule function_2551_0 {
	meta:
		name = "TTreeNode.IsNodeVisible"
		size = 38
		refs = "000b TTreeNode.GetHandle 0017 TreeView_GetItemRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A FF 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 8B 53 10 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_2552_0 {
	meta:
		name = "TTreeNode.EditText"
		size = 25
		refs = "0006 TTreeNode.GetHandle 000e TreeView_EditLabel"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_2553_0 {
	meta:
		name = "TTreeNode.DisplayRect"
		size = 49
		refs = "0013 @FillChar 001f TTreeNode.GetHandle 0029 TreeView_GetItemRect"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? F6 DB 1B C0 50 8B C7 E8 ?? ?? ?? ?? 8B CE 8B 57 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2554_0 {
	meta:
		name = "TTreeNode.AlphaSort"
		size = 10
		refs = "0005 TTreeNode.CustomSort"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5928_0 {
	meta:
		name = "TClientDataSet.EditKey"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7354_0 {
	meta:
		name = "TTable.EditKey"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3646_0 {
	meta:
		name = "TreeView_GetRoot"
		size = 10
		refs = "0005 TreeView_GetNextItem"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2555_0 {
	meta:
		name = "TTreeNode.CustomSort"
		size = 78
		refs = "0010 TTreeNodes.ClearCache 0019 DefaultTreeViewSort 0034 TTreeNode.GetHandle 003d TreeView_SortChildrenCB"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 F6 75 0B B8 ?? ?? ?? ?? 89 44 24 04 EB 04 89 74 24 04 8B 43 10 89 04 24 89 7C 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 33 C9 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2556_0 {
	meta:
		name = "TTreeNode.Delete"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 80 78 24 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2557_0 {
	meta:
		name = "TTreeNode.DeleteChildren"
		size = 47
		refs = "0007 TTreeNodes.ClearCache 000e TTreeNode.GetTreeView 0013 TWinControl.GetHandle 0020 TreeView_Expand 0029 TTreeNode.SetChildren"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 01 80 00 00 8B 53 10 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2558_0 {
	meta:
		name = "TTreeNode.Assign"
		size = 170
		refs = "000a TTreeNodes.ClearCache 0012 _DV_TTreeNode 0017 @IsClass 0025 TTreeNode.SetText 002f TTreeNode.SetData 0039 TTreeNode.SetImageIndex 0043 TTreeNode.SetSelectedIndex 004d TTreeNode.SetStateIndex 0057 TTreeNode.SetOverlayIndex 005e TTreeNode.GetFocused 0067 TTreeNode.SetFocused 006e TTreeNode.GetDropTarget 0077 TTreeNode.SetDropTarget 007e TTreeNode.GetCut 0087 TTreeNode.SetCut 008e TTreeNode.GetChildren 0097 TTreeNode.SetChildren 00a3 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7F 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? 8B 56 20 8B C3 E8 ?? ?? ?? ?? 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2559_0 {
	meta:
		name = "TTreeNode.IsEqual"
		size = 37
		refs = "000d @LStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B 56 08 E8 ?? ?? ?? ?? 75 08 8B 43 0C 3B 46 0C 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2560_0 {
	meta:
		name = "TTreeNode.ReadData"
		size = 214
		refs = "0019 TTreeNode.ReadData 0027 TTreeNodes.ClearCache 0037 TStream.ReadBuffer 004f @LStrFromString 0059 TTreeNode.SetText 0062 TTreeNode.SetImageIndex 006c TTreeNode.SetSelectedIndex 0076 TTreeNode.SetStateIndex 0080 TTreeNode.SetOverlayIndex 008a TTreeNode.SetData 00a1 TTreeNodes.AddChild 00c3 @LStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 8D 55 F8 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8D 56 18 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 16 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 46 14 8B F8 4F 85 FF 7C 1A 47 33 C9 8B D3 8B 43 04 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 4F 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2561_0 {
	meta:
		name = "TTreeNode.WriteData"
		size = 174
		refs = "0012 @LStrLen 003c @LStrToString 0060 TTreeNode.GetCount 0076 TStream.WriteBuffer 0095 TTreeNode.GetItem 009f TTreeNode.WriteData"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 89 14 24 8B D8 8B 43 08 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 05 B8 FF 00 00 00 05 18 01 00 00 2D FF 00 00 00 89 44 24 04 8D 46 18 8B 53 08 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 43 14 89 06 8B 43 18 89 46 04 8B 43 1C 89 46 0C 8B 43 20 89 46 08 8B 43 0C 89 46 10 8B C3 E8 ?? ?? ?? ?? 8B F8 89 7E 14 8D 54 24 04 B9 04 00 00 00 8B 04 24 E8 ?? ?? ?? ?? 8B D6 8B 4C 24 04 8B 04 24 E8 ?? ?? ?? ?? 4F 85 FF 7C 1A 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 14 24 E8 ?? ?? ?? ?? 45 4F 75 E9 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2562_0 {
	meta:
		name = "THTMLTagAttributes.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
		altNames = "TListItems.Create TParaAttributes.Create TQRPrintableEditor.Create TQRSubDetailGroupBands.Create TQuickRepBands.Create TSizeConstraints.Create TTreeNodes.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2564_0 {
	meta:
		name = "TTreeNodes.GetCount"
		size = 33
		refs = "0007 TWinControl.HandleAllocated 0012 TTreeNodes.GetHandle 0017 TreeView_GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2929_0 {
	meta:
		name = "TListItems.GetCount"
		size = 33
		refs = "0007 TWinControl.HandleAllocated 0012 TListItems.GetHandle 0017 ListView_GetItemCount"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2565_0 {
	meta:
		name = "TListItems.GetHandle"
		size = 9
		refs = "0004 TWinControl.GetHandle"
		altNames = "TTreeNodes.GetHandle"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16046_0 {
	meta:
		name = "QRFreeReport"
		size = 9
		refs = "0004 TObject.Free"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4680_0 {
	meta:
		name = "TCorbaListManager.BeginRead"
		size = 9
		refs = "0004 TMultiReadExclusiveWriteSynchronizer.BeginRead"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4681_0 {
	meta:
		name = "TCorbaListManager.BeginWrite"
		size = 9
		refs = "0004 TMultiReadExclusiveWriteSynchronizer.BeginWrite"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4682_0 {
	meta:
		name = "TCorbaListManager.EndRead"
		size = 9
		refs = "0004 TMultiReadExclusiveWriteSynchronizer.EndRead"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4683_0 {
	meta:
		name = "TCorbaListManager.EndWrite"
		size = 9
		refs = "0004 TMultiReadExclusiveWriteSynchronizer.EndWrite"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4961_0 {
	meta:
		name = "TFields.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16080_0 {
	meta:
		name = "TQRLabelEditor.SetColor"
		size = 9
		refs = "0004 TControl.SetColor"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16081_0 {
	meta:
		name = "TQRLabelEditor.SetFont"
		size = 9
		refs = "0004 TControl.SetFont"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16278_0 {
	meta:
		name = "TQRPrinter.GetPrinterIndex"
		size = 9
		refs = "0004 TPrinter.GetPrinterIndex"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16279_0 {
	meta:
		name = "TQRPrinter.GetPrinters"
		size = 9
		refs = "0004 TPrinter.GetPrinters"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16491_0 {
	meta:
		name = "TQRSubDetailGroupBands.GetFooterBand"
		size = 9
		refs = "0004 TQRSubDetail.GetFooterBand"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16490_0 {
	meta:
		name = "TQRSubDetailGroupBands.GetHeaderBand"
		size = 9
		refs = "0004 TQRSubDetail.GetHeaderBand"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2566_0 {
	meta:
		name = "TTreeNodes.Delete"
		size = 34
		refs = "0014 @CallDynaInst 001b TTreeNode.Delete"
	strings:
		$1 = { 53 56 8B F2 83 7E 10 00 75 0E 8B D6 8B 40 04 66 BB B2 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2567_0 {
	meta:
		name = "TTreeNodes.Clear"
		size = 36
		refs = "0006 TTreeNodes.ClearCache 000e TWinControl.HandleAllocated 0019 TTreeNodes.GetHandle 001e TreeView_DeleteAllItems"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2569_0 {
	meta:
		name = "TTreeNodes.AddChildObjectFirst"
		size = 20
		refs = "000b TTreeNodes.InternalAddObject"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9345_0 {
	meta:
		name = "GetDIB"
		size = 20
		refs = "000b InternalGetDIB"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2571_0 {
	meta:
		name = "TTreeNodes.AddChildObject"
		size = 20
		refs = "000b TTreeNodes.InternalAddObject"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 01 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2573_0 {
	meta:
		name = "TTreeNodes.AddObjectFirst"
		size = 43
		refs = "0010 TTreeNode.GetParent 0021 TTreeNodes.InternalAddObject"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 85 D2 74 09 8B C2 E8 ?? ?? ?? ?? 8B D0 8B 45 08 50 6A 00 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2575_0 {
	meta:
		name = "TTreeNodes.Repaint"
		size = 83
		refs = "0014 TTreeNode.GetParent 0021 TTreeNode.IsNodeVisible 0034 TTreeNode.DisplayRect 0043 TWinControl.GetHandle 0049 InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 83 7E 08 01 7D 3E EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 E8 85 DB 74 20 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B 46 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_2576_0 {
	meta:
		name = "TTreeNodes.AddObject"
		size = 43
		refs = "0010 TTreeNode.GetParent 0021 TTreeNodes.InternalAddObject"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 85 D2 74 09 8B C2 E8 ?? ?? ?? ?? 8B D0 8B 45 08 50 6A 01 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2578_0 {
	meta:
		name = "TTreeNodes.AddedNode"
		size = 31
		refs = "000f TTreeNode.SetChildren 0018 TTreeNodes.Repaint"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 12 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2579_0 {
	meta:
		name = "TTreeNodes.InsertObject"
		size = 314
		refs = "0019 TTreeNodes.InsertObject 0056 TTreeNode.GetParent 006c TTreeNode.getPrevSibling 0089 TTreeNode.SetData 0094 TTreeNode.SetText 00a1 TTreeNodes.CreateItem 00b5 TTreeNodes.AddItem 00c3 sInsertError 00c8 LoadResString 00d2 _Dn_EOutOfResources 00d7 Exception.Create 00dc @RaiseExcept 00ec TTreeNodes.AddedNode 00fb @HandleAnyException 0103 TObject.Free 0108 @RaiseAgain 010d @DoneExcept 0122 @LStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 92 B8 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 89 45 F4 33 C0 89 45 F0 C6 45 EF 02 85 FF 74 2F 8B C7 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 06 8B 45 F0 8B 58 10 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 74 08 8B 47 10 89 45 F4 EB 04 C6 45 EF 00 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D C4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 C4 50 8A 45 EF 50 8B 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 58 10 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2580_0 {
	meta:
		name = "TTreeNodes.InternalAddObject"
		size = 256
		refs = "0019 TTreeNodes.InternalAddObject 0051 TTreeNode.SetData 005c TTreeNode.SetText 0069 TTreeNodes.CreateItem 007c TTreeNodes.AddItem 008a sInsertError 008f LoadResString 0099 _Dn_EOutOfResources 009e Exception.Create 00a3 @RaiseExcept 00b2 TTreeNodes.AddedNode 00c1 @HandleAnyException 00c9 TObject.Free 00ce @RaiseAgain 00d3 @DoneExcept 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 92 B8 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 05 8B 5F 10 EB 02 33 DB 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D D0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 D0 50 8A 45 08 50 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 58 10 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2581_0 {
	meta:
		name = "TTreeNodes.CreateItem"
		size = 35
	strings:
		$1 = { C6 42 25 01 C7 01 27 00 00 00 89 51 24 C7 41 10 FF FF FF FF C7 41 18 FF FF FF FF C7 41 1C FF FF FF FF C3 }
	condition:
		$1
}

rule function_2582_0 {
	meta:
		name = "TTreeNodes.AddItem"
		size = 116
		refs = "0012 TTreeNodes.ClearCache 0058 TTimer.SetEnabled 005f TTreeNodes.GetHandle 0067 TreeView_InsertItem"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 75 CC 8A 45 08 2C 01 72 08 74 0F FE C8 74 14 EB 15 C7 45 D0 01 00 FF FF EB 0C C7 45 D0 02 00 FF FF EB 03 89 7D D0 8B 45 0C 8B F0 8D 7D D4 B9 0A 00 00 00 F3 A5 8B 43 04 8B 80 CC 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2583_0 {
	meta:
		name = "TTreeNodes.GetFirstNode"
		size = 26
		refs = "0006 TTreeNodes.GetHandle 000b TreeView_GetRoot 0014 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2584_0 {
	meta:
		name = "TTreeNodes.GetNodeFromIndex"
		size = 226
		refs = "0017 TTreeNodes.GetNodeFromIndex 002b sInvalidIndex 0030 LoadResString 0038 TreeViewError 0067 TTreeNode.GetPrev 0072 TTreeNode.GetNext 007d TTreeNodes.GetFirstNode 00cd @LStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 7D 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7E 0C 00 74 38 8B 46 10 2B 45 FC 99 33 C2 2B C2 48 7F 2A 8D 46 0C 8B 50 04 3B 55 FC 75 04 8B 18 EB 3B 3B 55 FC 7E 0B 8B 00 E8 ?? ?? ?? ?? 8B D8 EB 2B 8B 00 E8 ?? ?? ?? ?? 8B D8 EB 20 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 7D FC EB 0A 8B C3 E8 ?? ?? ?? ?? 8B D8 4F 85 FF 74 04 85 DB 75 EE 85 DB 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 5E 0C 8B 45 FC 89 46 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2585_0 {
	meta:
		name = "TTreeNodes.GetNode"
		size = 48
		refs = "0014 TTreeNodes.GetHandle 001b TreeView_GetItem"
	strings:
		$1 = { 53 83 C4 D8 8B D8 89 54 24 04 C7 04 24 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 06 8B 44 24 24 EB 02 33 C0 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2587_0 {
	meta:
		name = "TTreeNodes.BeginUpdate"
		size = 23
		refs = "000e TTreeNodes.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 43 08 5B C3 }
	condition:
		$1
}

rule function_2936_0 {
	meta:
		name = "TListItems.BeginUpdate"
		size = 23
		refs = "000e TListItems.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 43 08 5B C3 }
	condition:
		$1
}

rule function_2588_0 {
	meta:
		name = "TTreeNodes.SetUpdateState"
		size = 49
		refs = "0015 TTreeNodes.GetHandle 001b SendMessage 002a TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2589_0 {
	meta:
		name = "TTreeNodes.EndUpdate"
		size = 17
		refs = "000c TTreeNodes.SetUpdateState"
	strings:
		$1 = { FF 48 08 83 78 08 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2938_0 {
	meta:
		name = "TListItems.EndUpdate"
		size = 17
		refs = "000c TListItems.SetUpdateState"
	strings:
		$1 = { FF 48 08 83 78 08 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2590_0 {
	meta:
		name = "TTreeNodes.Assign"
		size = 143
		refs = "000d TTreeNodes.ClearCache 0015 _DV_TTreeNodes 001a @IsClass 0025 TTreeNodes.Clear 002c _Dn_TMemoryStream 0031 TObject.Create 003c TTreeNodes.Assign 004c TTreeNodes.WriteData 0056 TStream.SetPosition 0060 TTreeNodes.ReadData 0075 TObject.Free 007b @HandleFinally 0086 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2591_0 {
	meta:
		name = "WriteNodes"
		size = 142
		refs = "001b TTreeNodes.GetCount 005f TTreeNodes.GetNodeFromIndex 0073 TTreeNode.IsEqual"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 78 1C 85 FF 75 12 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 EB 60 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B D8 74 04 B3 01 EB 44 33 DB 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 45 FC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 06 46 FF 4D FC 75 D4 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2940_0 {
	meta:
		name = "WriteItems"
		size = 142
		refs = "001b TListItems.GetCount 005f TListItems.GetItem 0073 TListItem.IsEqual"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 78 1C 85 FF 75 12 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 EB 60 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B D8 74 04 B3 01 EB 44 33 DB 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 45 FC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 06 46 FF 4D FC 75 D4 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2592_0 {
	meta:
		name = "TTreeNodes.DefineProperties"
		size = 88
		refs = "0014 TPersistent.DefineProperties 001d TTreeNodes.ReadData 0026 TTreeNodes.WriteData 002c WriteNodes 0034 TTreeNodes.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_14991_0 {
	meta:
		name = "TCustomOutline.DefineProperties"
		size = 88
		refs = "0014 TCustomGrid.DefineProperties 001d TCustomOutline.ReadBinaryData 0026 TCustomOutline.WriteBinaryData 002c WriteOutline 0034 TCustomOutline.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_2941_0 {
	meta:
		name = "TListItems.DefineProperties"
		size = 88
		refs = "0014 TPersistent.DefineProperties 001d TListItems.ReadData 0026 TListItems.WriteData 002c WriteItems 0034 TListItems.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_2593_0 {
	meta:
		name = "TTreeNodes.ReadData"
		size = 78
		refs = "0010 TTreeNodes.Clear 001e TStream.ReadBuffer 0032 TTreeNodes.Add 003d TTreeNode.ReadData"
	strings:
		$1 = { 53 56 57 81 C4 E4 FE FF FF 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 1C 24 4B 85 DB 7C 1A 43 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 04 8B D7 E8 ?? ?? ?? ?? 4B 75 E7 81 C4 1C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2594_0 {
	meta:
		name = "TTreeNodes.WriteData"
		size = 110
		refs = "0015 TTreeNodes.GetFirstNode 0025 TTreeNode.getNextSibling 0039 TStream.WriteBuffer 0053 TTreeNode.WriteData"
	strings:
		$1 = { 53 56 57 81 C4 E4 FE FF FF 8B F2 8B F8 33 C0 89 04 24 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 FF 04 24 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F0 8B D4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E6 81 C4 1C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2595_0 {
	meta:
		name = "TQREvCountFunction.Reset"
		size = 6
		altNames = "TQRFiFo.Start TTreeNodes.ClearCache"
	strings:
		$1 = { 33 D2 89 50 0C C3 }
	condition:
		$1
}

rule function_2596_0 {
	meta:
		name = "TTreeStrings.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2597_0 {
	meta:
		name = "TTreeStrings.Get"
		size = 84
		refs = "000c @LStrClr 0016 TTreeNodes.GetNodeFromIndex 001f TTreeNode.GetLevel 002e TTreeStrings.Get 0033 @LStrCat"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 8B D7 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 10 46 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F1 8B C3 8B 57 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_2598_0 {
	meta:
		name = "TTreeStrings.GetBufStart"
		size = 22
	strings:
		$1 = { 33 C0 89 01 EB 03 42 FF 01 8A 02 2C 09 74 F7 2C 17 74 F3 8B C2 C3 }
	condition:
		$1
}

rule function_2599_0 {
	meta:
		name = "TTreeStrings.GetObject"
		size = 22
		refs = "000c TTreeNodes.GetNodeFromIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2600_0 {
	meta:
		name = "TTreeStrings.PutObject"
		size = 30
		refs = "000f TTreeNodes.GetNodeFromIndex 0016 TTreeNode.SetData"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8003_0 {
	meta:
		name = "TComponentList.Intf_Get"
		size = 30
		refs = "000f TList.Get 0016 MakeIPersistent"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8416_0 {
	meta:
		name = "TPageAccess.Get"
		size = 30
		refs = "000f TList.Get 0016 TControl.GetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8417_0 {
	meta:
		name = "TPageAccess.Put"
		size = 30
		refs = "000f TList.Get 0016 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18650_0 {
	meta:
		name = "TTabPageAccess.Get"
		size = 30
		refs = "000f TList.Get 0016 TControl.GetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2603_0 {
	meta:
		name = "TTreeStrings.Delete"
		size = 24
		refs = "000c TTreeNodes.GetNodeFromIndex 0011 TTreeNode.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2604_0 {
	meta:
		name = "TTreeStrings.SetUpdateState"
		size = 53
		refs = "0016 TTreeNodes.GetHandle 001c SendMessage 002e TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 0B 8B 46 0C 8B 40 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2605_0 {
	meta:
		name = "TTreeStrings.Add"
		size = 291
		refs = "001a TTreeStrings.Add 0032 @LStrLen 004d @LStrToPChar 0059 TTreeStrings.GetBufStart 0063 @LStrFromPChar 0075 TTreeNodes.GetNodeFromIndex 007e TTreeNode.GetLevel 0099 sInvalidLevel 009e LoadResString 00a6 TreeViewError 00bb TTreeNode.GetParent 00f3 TTreeNodes.AddChild 010d @LStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 14 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 48 75 0C 8B 45 FC 80 38 1A 0F 84 B2 00 00 00 33 DB 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B C7 E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 83 7D F8 00 7E 17 8B 55 F8 4A 8B 47 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 3B 75 F4 7C 04 85 DB 75 1F 8B 45 F4 2B C6 48 7E 55 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 3E 8B 45 F4 2B C6 7F 37 48 96 89 45 F0 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1F 8B 45 F0 2B 45 F4 85 C0 7E 15 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? FF 4D F0 46 75 CE 8B 47 0C 8B 4D EC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2606_0 {
	meta:
		name = "TTreeStrings.Insert"
		size = 34
		refs = "000f TTreeNodes.GetNodeFromIndex 001a TTreeNodes.Insert"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B 58 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2607_0 {
	meta:
		name = "TTreeStrings.LoadTreeFromStream"
		size = 538
		refs = "001a TTreeStrings.LoadTreeFromStream 0027 _Dn_TStringList 002c TObject.Create 003a TTreeNodes.BeginUpdate 009b @LStrToPChar 00a8 TTreeStrings.GetBufStart 00b2 @LStrFromPChar 00c6 TTreeNodes.AddChild 00d4 TTreeNode.GetLevel 00e0 TTreeNode.GetParent 0169 sInvalidLevelEx 016e LoadResString 0194 TreeViewErrorFmt 01b6 TTreeNodes.EndUpdate 01be TObject.Free 01c4 @HandleFinally 01d5 @HandleAnyException 01e8 @RaiseAgain 01ed @DoneExcept 0207 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D E8 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B D3 8B 45 F8 8B 08 FF 51 5C 33 DB 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 21 01 00 00 46 C7 45 F0 00 00 00 00 8D 4D E8 8B 55 F0 8B 45 F8 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 85 DB 75 17 8B 45 FC 8B 40 0C 8B 4D EC 33 D2 E8 ?? ?? ?? ?? 8B D8 E9 C7 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 75 1E 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C 8B 4D EC E8 ?? ?? ?? ?? 8B D8 E9 9D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 4A 3B C2 75 14 8B 45 FC 8B 40 0C 8B 4D EC 8B D3 E8 ?? ?? ?? ?? 8B D8 EB 7A 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7E 3B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7F EB 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C 8B 4D EC E8 ?? ?? ?? ?? 8B D8 EB 33 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F4 89 45 D8 C6 45 DC 00 8B 45 EC 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? FF 45 F0 4E 0F 85 E7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 04 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2608_0 {
	meta:
		name = "TTreeStrings.SaveTreeToStream"
		size = 216
		refs = "0016 TTreeStrings.SaveTreeToStream 0031 TTreeNodes.GetNodeFromIndex 003f @LStrClr 0046 TTreeNode.GetLevel 005b @LStrCat 0076 @LStrCatN 007e @LStrLen 0092 TTreeNode.GetNext 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 7E 71 8B 43 0C 33 D2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 61 8D 45 F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 11 43 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 75 F0 FF 75 F8 FF 76 08 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 FC 8B 18 FF 53 08 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_2609_0 {
	meta:
		name = "TCustomTreeView.Create"
		size = 396
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 TCustomTreeView.Create 003b TControl.SetWidth 0047 TControl.SetHeight 0050 TWinControl.SetTabStop 0059 TControl.SetParentColor 0060 _Dn_TControlCanvas 0065 TCanvas.Create 0076 TControlCanvas.SetControl 007f _DV_TTreeNodes 0084 TTreeNodes.Create 00bb _Dn_TDragImageList 00c0 TCustomImageList.CreateSize 00d9 _Dn_TTimer 00de TTimer.Create 00ef TTimer.SetEnabled 00fc TTimer.SetInterval 0102 TCustomTreeView.OnChangeTimer 010d TTimer.SetOnTimer 011a TCustomTreeView.EditWndProc 011f MakeObjectInstance 012c _Dn_TChangeLink 0131 TObject.Create 0143 TCustomTreeView.ImageListChange 016e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 40 0B 05 ?? ?? ?? ?? 89 43 40 BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 54 02 00 00 C6 83 ED 01 00 00 01 C6 83 40 02 00 00 01 C6 83 42 02 00 00 01 C6 83 41 02 00 00 01 C6 83 10 02 00 00 01 6A 20 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 02 00 00 C7 83 34 02 00 00 FF FF FF FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 CC 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? C6 83 50 02 00 00 01 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 02 00 00 00 00 60 00 00 }
	condition:
		$1
}

rule function_2610_0 {
	meta:
		name = "TCustomTreeView.Destroy"
		size = 136
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0049 FreeObjectInstance 0076 TWinControl.Destroy 0081 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 8B 86 14 02 00 00 E8 ?? ?? ?? ?? 8B 86 4C 02 00 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2611_0 {
	meta:
		name = "TCustomTreeView.CreateParams"
		size = 292
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomTreeView.CreateParams 0023 TWinControl.CreateSubClass 002a TControl.UseRightToLeftReading 0034 RTLStyles 0046 LineStyles 0055 BorderStyles 0064 RootStyles 0073 ButtonStyles 0082 EditStyles 0091 HideSelections 009d DragStyles 00ae ToolTipStyles 00bd AutoExpandStyles 00cc HotTrackStyles 00db RowSelectStyles 00ec NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 56 04 33 C9 8A 8B 41 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B ED 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 42 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 40 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 2D 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 10 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 4B 4D 0B 14 8D ?? ?? ?? ?? 0B C2 33 D2 8A 93 50 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 EC 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 11 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 2E 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 80 BB 2C 01 00 00 00 74 21 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB ED 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 00 53 79 73 54 72 65 65 56 69 65 77 33 32 00 00 00 }
	condition:
		$1
}

rule function_2612_0 {
	meta:
		name = "TCustomTreeView.CreateWnd"
		size = 289
		refs = "000e TWinControl.CreateWnd 0016 ColorToRGB 001e TWinControl.GetHandle 0024 TreeView_SetBkColor 003d TreeView_SetTextColor 0054 TTreeNodes.ReadData 007a TTreeNodes.GetNodeFromIndex 0083 TCustomTreeView.SetTopItem 00a5 TCustomTreeView.SetSelection 00c1 TCustomTreeView.SetIndent 00d2 TCustomImageList.HandleAllocated 00e1 TCustomImageList.GetHandle 00ec TCustomTreeView.SetImageList"
	strings:
		$1 = { 53 56 8B D8 C6 83 44 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 43 58 8B 40 14 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 24 02 00 00 85 C0 74 66 8B D0 8B 83 54 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 24 02 00 00 8B 08 FF 51 FC 33 C0 89 83 24 02 00 00 8B 93 3C 02 00 00 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 3C 02 00 00 8B 93 30 02 00 00 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 30 02 00 00 8B 83 34 02 00 00 83 F8 FF 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 18 02 00 00 85 F6 74 21 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B B3 48 02 00 00 85 F6 74 24 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2613_0 {
	meta:
		name = "TCustomTreeView.DestroyWnd"
		size = 147
		refs = "0012 TTreeNodes.GetCount 001d _Dn_TMemoryStream 0022 TObject.Create 0037 TTreeNodes.WriteData 0044 TStream.SetPosition 004b TCustomTreeView.GetTopItem 0058 TTreeNode.GetAbsoluteIndex 0065 TCustomTreeView.GetSelection 007f TCustomTreeView.GetIndent 008c TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 C6 83 44 02 00 00 01 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 62 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 02 00 00 8B D6 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 89 83 3C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 89 83 30 02 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 34 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2614_0 {
	meta:
		name = "TCustomTreeView.EditWndProc"
		size = 256
		refs = "0010 TCustomTreeView.EditWndProc 0057 TWinControl.DoKeyDown 0072 TWinControl.DoKeyPress 008a TWinControl.DoKeyUp 00d0 CallWindowProc 00e2 @HandleAnyException 00e7 Application 00f1 TApplication.HandleException 00f6 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 05 01 00 00 7F 16 74 5F 2D 00 01 00 00 74 25 48 74 55 48 74 3A 83 E8 02 74 1A EB 77 2D 00 BD 00 00 74 5C 83 E8 02 74 57 83 E8 02 74 52 83 E8 02 74 4D EB 5F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 33 C0 5A 59 59 64 89 10 E9 8E 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 5A 59 59 64 89 10 EB 76 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1E 33 C0 5A 59 59 64 89 10 EB 5E 8B D3 8B 45 FC 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 08 02 00 00 50 8B 45 FC 8B 80 F8 01 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2616_0 {
	meta:
		name = "TCustomTreeView.CMCtl3DChanged"
		size = 28
		refs = "0006 TWinControl.CMCtl3DChanged 0016 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB ED 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2617_0 {
	meta:
		name = "TCustomTreeView.CMFontChanged"
		size = 37
		refs = "0006 TWinControl.CMFontChanged 0011 ColorToRGB 0019 TWinControl.GetHandle 001f TreeView_SetTextColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 58 8B 40 14 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2619_0 {
	meta:
		name = "TCustomTreeView.AlphaSort"
		size = 89
		refs = "0007 TWinControl.HandleAllocated 0016 TCustomTreeView.CustomSort 0024 TTreeNodes.GetFirstNode 0031 TTreeNode.GetChildren 003c TTreeNode.AlphaSort 0043 TTreeNode.GetNext"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 88 04 24 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E1 EB 04 C6 04 24 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2620_0 {
	meta:
		name = "TCustomTreeView.CustomSort"
		size = 160
		refs = "0014 TWinControl.HandleAllocated 0021 DefaultTreeViewSort 003e TWinControl.GetHandle 0049 TreeView_SortChildrenCB 005d TTreeNodes.GetFirstNode 006a TTreeNode.GetChildren 0079 TTreeNode.CustomSort 0080 TTreeNode.GetNext 0091 TTreeNodes.ClearCache"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B FA 8B F0 C6 04 24 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 79 85 FF 75 0B B8 ?? ?? ?? ?? 89 44 24 05 EB 04 89 7C 24 05 C7 44 24 01 00 00 FF FF 89 6C 24 09 8B C6 E8 ?? ?? ?? ?? 8D 54 24 01 33 C9 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 88 04 24 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 DD 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8A 04 24 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2621_0 {
	meta:
		name = "TCustomTreeView.SetAutoExpand"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 EC 01 00 00 74 12 88 90 EC 01 00 00 8B CA BA 00 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2622_0 {
	meta:
		name = "TCustomTreeView.SetHotTrack"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 11 02 00 00 74 12 88 90 11 02 00 00 8B CA BA 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2623_0 {
	meta:
		name = "TCustomTreeView.SetRowSelect"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 2E 02 00 00 74 12 88 90 2E 02 00 00 8B CA BA 00 10 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2624_0 {
	meta:
		name = "TCustomTreeView.SetToolTips"
		size = 30
		refs = "0019 SetComCtlStyle"
	strings:
		$1 = { 3A 90 50 02 00 00 74 15 88 90 50 02 00 00 8B CA 80 F1 01 BA 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2625_0 {
	meta:
		name = "TCustomTreeView.SetSortType"
		size = 56
		refs = "0033 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 3A 90 43 02 00 00 74 2F 88 90 43 02 00 00 8A 90 43 02 00 00 8B CA 80 E9 01 74 05 80 E9 02 75 0A 66 83 B8 9E 02 00 00 00 75 08 80 C2 FE 80 EA 02 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2626_0 {
	meta:
		name = "TCustomTreeView.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TToolWindow.SetEdgeInner TTrackBar.SetTickMarks"
	strings:
		$1 = { 3A 90 ED 01 00 00 74 0B 88 90 ED 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2627_0 {
	meta:
		name = "TCustomTreeView.SetDragMode"
		size = 40
		refs = "0018 SetComCtlStyle 0021 TControl.SetDragMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 4D 74 11 84 DB 0F 94 C1 BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2628_0 {
	meta:
		name = "TCustomTreeView.SetButtonStyle"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 40 02 00 00 74 12 88 90 40 02 00 00 8B CA BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2629_0 {
	meta:
		name = "TCustomTreeView.SetLineStyle"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 41 02 00 00 74 12 88 90 41 02 00 00 8B CA BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2630_0 {
	meta:
		name = "TCustomTreeView.SetRootStyle"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 42 02 00 00 74 12 88 90 42 02 00 00 8B CA BA 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2631_0 {
	meta:
		name = "TCustomTreeView.SetReadOnly"
		size = 30
		refs = "0019 SetComCtlStyle"
	strings:
		$1 = { 3A 90 2D 02 00 00 74 15 88 90 2D 02 00 00 8B CA 80 F1 01 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2632_0 {
	meta:
		name = "TCustomTreeView.SetHideSelection"
		size = 43
		refs = "001e SetComCtlStyle"
	strings:
		$1 = { 53 8B D8 3A 93 10 02 00 00 74 1E 88 93 10 02 00 00 8B CA 80 F1 01 8B C3 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_2633_0 {
	meta:
		name = "TCustomTreeView.GetNodeAt"
		size = 55
		refs = "0010 TWinControl.GetHandle 0017 TreeView_HitTest 002a TTreeNodes.GetNode"
	strings:
		$1 = { 53 83 C4 F0 8B D8 89 14 24 89 4C 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 11 8B 54 24 0C 8B 83 54 02 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_2634_0 {
	meta:
		name = "TCustomTreeView.GetHitTestInfoAt"
		size = 176
		refs = "000d TCustomTreeView.GetHitTestInfoAt 001b TWinControl.GetHandle 0022 TreeView_HitTest"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B D8 66 8B 35 ?? ?? ?? ?? 89 14 24 89 7C 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B 5C 24 08 F6 C7 01 74 04 66 83 CE 01 F6 C7 02 74 04 66 83 CE 02 F6 C3 01 74 04 66 83 CE 04 8B C3 83 E0 46 83 F8 46 75 06 66 83 CE 08 EB 1D F6 C3 02 74 04 66 83 CE 20 F6 C3 04 74 05 66 81 CE 80 00 F6 C3 40 74 05 66 81 CE 00 02 F6 C3 10 74 04 66 83 CE 10 F6 C3 08 74 04 66 83 CE 40 F6 C3 20 74 05 66 81 CE 00 01 F6 C7 08 74 05 66 81 CE 00 04 F6 C7 04 74 05 66 81 CE 00 08 8B C6 83 C4 10 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_2635_0 {
	meta:
		name = "TCustomQuickRep.SetDescription"
		size = 16
		altNames = "TCustomTreeView.SetTreeNodes"
	strings:
		$1 = { 56 8B F0 8B 86 54 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2636_0 {
	meta:
		name = "TCustomTreeView.SetIndent"
		size = 34
		refs = "0009 TCustomTreeView.GetIndent 0014 TWinControl.GetHandle 001b TreeView_SetIndent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2638_0 {
	meta:
		name = "TCustomTreeView.FullExpand"
		size = 42
		refs = "0008 TTreeNodes.GetFirstNode 0017 TTreeNode.Expand 001e TTreeNode.getNextSibling"
	strings:
		$1 = { 53 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 5B C3 }
	condition:
		$1
}

rule function_2639_0 {
	meta:
		name = "TCustomTreeView.FullCollapse"
		size = 42
		refs = "0008 TTreeNodes.GetFirstNode 0017 TTreeNode.Collapse 001e TTreeNode.getNextSibling"
	strings:
		$1 = { 53 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 5B C3 }
	condition:
		$1
}

rule function_2640_0 {
	meta:
		name = "TCustomTreeView.Loaded"
		size = 25
		refs = "0006 TControl.Loaded 0013 TCustomTreeView.FullExpand"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2641_0 {
	meta:
		name = "TCustomTreeView.GetTopItem"
		size = 45
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0016 TreeView_GetFirstVisible 0023 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2642_0 {
	meta:
		name = "TCustomTreeView.SetTopItem"
		size = 39
		refs = "0009 TWinControl.HandleAllocated 0018 TWinControl.GetHandle 0020 TreeView_SelectSetFirstVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 85 F6 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2643_0 {
	meta:
		name = "TCustomTreeView.OnChangeTimer"
		size = 38
		refs = "000c TTimer.SetEnabled 0020 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 8B 50 0C 8B C3 66 BB B4 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2644_0 {
	meta:
		name = "TCustomTreeView.GetSelection"
		size = 71
		refs = "0006 TWinControl.HandleAllocated 002b TWinControl.GetHandle 0030 TreeView_GetSelection 003d TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 80 BB 2C 02 00 00 00 74 11 83 BB 28 02 00 00 00 74 08 8B 83 28 02 00 00 EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2645_0 {
	meta:
		name = "TCustomTreeView.SetSelection"
		size = 34
		refs = "000c TTreeNode.SetSelected 0015 TWinControl.GetHandle 001c TreeView_SelectItem"
	strings:
		$1 = { 53 8B D8 85 D2 74 0B 8B C2 B2 01 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2646_0 {
	meta:
		name = "TCustomTreeView.SetChangeDelay"
		size = 12
		refs = "0007 TTimer.SetInterval"
	strings:
		$1 = { 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2647_0 {
	meta:
		name = "TCustomTreeView.GetChangeDelay"
		size = 10
	strings:
		$1 = { 8B 80 CC 02 00 00 8B 40 24 C3 }
	condition:
		$1
}

rule function_2648_0 {
	meta:
		name = "TCustomTreeView.GetDropTarget"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0016 TreeView_GetDropHilite 0023 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 83 1C 02 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2649_0 {
	meta:
		name = "TCustomTreeView.SetDropTarget"
		size = 49
		refs = "0009 TWinControl.HandleAllocated 001a TTreeNode.SetDropTarget 0023 TWinControl.GetHandle 002a TreeView_SelectDropTarget"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 85 F6 74 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2650_0 {
	meta:
		name = "TCustomTreeView.GetNodeFromItem"
		size = 25
		refs = "0014 TTreeNodes.GetNode"
	strings:
		$1 = { F6 42 08 04 74 04 8B 42 24 C3 8B 52 04 8B 80 54 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2651_0 {
	meta:
		name = "TCustomTreeView.IsEditing"
		size = 39
		refs = "0006 TWinControl.GetHandle 000b TreeView_GetEditControl 0017 IsWindowVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3014_0 {
	meta:
		name = "TCustomListView.IsEditing"
		size = 39
		refs = "0006 TWinControl.GetHandle 000b ListView_GetEditControl 0017 IsWindowVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2652_0 {
	meta:
		name = "TCustomTreeView.CNNotify"
		size = 1683
		refs = "0016 TCustomTreeView.CNNotify 00e2 TCustomTreeView.IsCustomDrawn 00f7 TCanvas.SetHandle 0105 TCanvas.SetFont 0116 TCanvas.SetBrush 019f @FillChar 01b2 TCustomTreeView.GetNodeFromItem 020b TFont.SetColor 021e TBrush.SetColor 0231 TCustomTreeView.CanvasChanged 02a6 ColorToRGB 02b7 TBrush.GetColor 02cd TFont.GetHandle 02da SelectObject 0330 TControl.Dragging 034e @CallDynaInst 036a TWinControl.GetHandle 036f TreeView_GetEditControl 037f GetWindowLong 039a SetWindowLong 04c3 TTimer.SetEnabled 0537 TTreeNode.Delete 054a TTreeNodes.Delete 057d @LStrFromPChar 0588 TTreeNode.SetText 05b7 @LStrToPChar 05c4 StrLCopy 0614 GetCursorPos 0621 TControl.ScreenToClient 0629 PointToSmallPoint 0641 TCustomTreeView.GetNodeAt 0650 MakeLong 065f TControl.Perform 0680 @LStrClr 0686 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 C9 89 4D A8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 8B 50 08 81 FA 6B FE FF FF 7F 56 0F 84 82 03 00 00 81 FA 66 FE FF FF 7F 27 0F 84 E8 02 00 00 81 EA 3D FE FF FF 0F 84 60 04 00 00 4A 0F 84 2B 04 00 00 83 EA 27 0F 84 45 03 00 00 E9 0C 06 00 00 81 EA 67 FE FF FF 0F 84 8F 04 00 00 83 EA 02 0F 84 93 02 00 00 4A 0F 84 AD 03 00 00 E9 EB 05 00 00 81 FA 6F FE FF FF 7F 25 0F 84 EE 03 00 00 81 EA 6C FE FF FF 0F 84 B5 04 00 00 4A 0F 84 EC 04 00 00 4A 0F 84 02 04 00 00 E9 BE 05 00 00 83 EA F4 74 0E 83 EA 07 0F 84 47 05 00 00 E9 AB 05 00 00 89 45 F0 33 C0 89 47 0C 8B 45 F0 8B 40 0C 83 F8 01 0F 85 AE 00 00 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 84 C0 74 68 8B 45 F0 8B 50 10 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 96 24 01 00 00 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B C6 8B 08 FF 51 44 8D 55 D4 33 C9 8B C6 8B 18 FF 93 BC 00 00 00 8B D8 33 D2 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 84 DB 75 0C C7 47 0C 04 00 00 00 E9 1D 05 00 00 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 C7 47 0C 10 00 00 00 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 83 4F 0C 20 E9 EF 04 00 00 83 4F 0C 00 E9 E6 04 00 00 3D 01 00 01 00 0F 85 DB 04 00 00 8D 45 AC 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 24 89 45 B0 8D 55 AC 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 AC 04 00 00 8B 45 F0 8B 50 10 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 96 24 01 00 00 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 F6 40 28 01 74 26 8B 86 F0 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 50 0C 89 72 08 C7 42 04 ?? ?? ?? ?? 8B 40 14 89 70 08 C7 40 04 ?? ?? ?? ?? 6A 00 8B 45 F0 66 8B 48 28 8B 55 FC 8B C6 8B 18 FF 93 C0 00 00 00 8B D8 84 DB 75 06 83 4F 0C 04 EB 7E 80 BE F4 01 00 00 00 74 75 C6 86 F4 01 00 00 00 8B 86 F0 01 00 00 8B 40 0C 33 D2 89 50 04 89 50 08 8B 86 F0 01 00 00 8B 40 14 33 D2 89 50 04 89 50 08 8B 5F 08 8B 86 F0 01 00 00 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 89 43 30 8B 86 F0 01 00 00 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 8B 86 F0 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 10 50 E8 ?? ?? ?? ?? 83 4F 0C 02 33 D2 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? B1 01 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 6D 03 00 00 83 4F 0C 10 E9 64 03 00 00 C6 86 FC 01 00 00 01 8B 5F 08 8D 53 38 8B C6 E8 ?? ?? ?? ?? 89 86 04 02 00 00 E9 45 03 00 00 89 45 EC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 EC 8D 50 0C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 84 C0 75 07 C7 47 0C 01 00 00 00 83 7F 0C 00 0F 85 08 03 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 08 02 00 00 6A FC 53 E8 ?? ?? ?? ?? 89 86 F8 01 00 00 8B 86 0C 02 00 00 50 6A FC 8B 86 08 02 00 00 50 E8 ?? ?? ?? ?? E9 CC 02 00 00 8D 50 0C 8B C6 66 BB B1 FF E8 ?? ?? ?? ?? E9 B9 02 00 00 80 BE 20 02 00 00 00 0F 85 AC 02 00 00 89 45 E8 8B 45 E8 8D 50 38 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 45 E8 83 78 0C 02 75 1E 8B 55 FC 8B C6 66 BB B5 FF E8 ?? ?? ?? ?? 84 C0 75 0C C7 47 0C 01 00 00 00 E9 72 02 00 00 8B 45 E8 83 78 0C 01 0F 85 65 02 00 00 8B 55 FC 8B C6 66 BB B6 FF E8 ?? ?? ?? ?? 84 C0 0F 85 4F 02 00 00 C7 47 0C 01 00 00 00 E9 43 02 00 00 80 BE 20 02 00 00 00 0F 85 36 02 00 00 8B 5F 08 8D 53 38 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 43 0C 83 F8 02 75 13 8B 55 FC 8B C6 66 BB B0 FF E8 ?? ?? ?? ?? E9 0B 02 00 00 83 F8 01 0F 85 02 02 00 00 8B 55 FC 8B C6 66 BB B3 FF E8 ?? ?? ?? ?? E9 EF 01 00 00 8B 47 08 8D 50 38 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 84 C0 0F 85 CD 01 00 00 C7 47 0C 01 00 00 00 E9 C1 01 00 00 8B F8 8B 86 CC 02 00 00 83 78 24 00 76 26 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 57 38 8B C6 E8 ?? ?? ?? ?? 89 43 0C B2 01 8B C3 E8 ?? ?? ?? ?? E9 8D 01 00 00 8D 57 38 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB B4 FF E8 ?? ?? ?? ?? E9 71 01 00 00 8D 50 10 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 5A 01 00 00 8B 45 FC 33 D2 89 50 10 33 D2 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 80 BE 44 02 00 00 00 74 0D 8B 45 FC E8 ?? ?? ?? ?? E9 2F 01 00 00 8B 55 FC 8B 86 54 02 00 00 E8 ?? ?? ?? ?? E9 1C 01 00 00 8B D8 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 03 01 00 00 F6 43 0C 01 0F 84 F9 00 00 00 8D 45 A8 8B 53 1C E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC E8 ?? ?? ?? ?? E9 DE 00 00 00 8B D8 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 C5 00 00 00 F6 43 0C 01 74 18 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D0 8B 4B 20 8B 43 1C E8 ?? ?? ?? ?? F6 43 0C 02 74 16 8B 55 FC 8B C6 8B 08 FF 91 C4 00 00 00 8B 45 FC 8B 40 14 89 43 24 F6 43 0C 20 0F 84 81 00 00 00 8B 55 FC 8B C6 8B 08 FF 91 C8 00 00 00 8B 45 FC 8B 40 18 89 43 28 EB 69 80 BE 2C 02 00 00 00 74 56 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D A0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 89 45 E4 66 8B 7D E6 0F BF CF 66 8B 5D E4 0F BF D3 8B C6 E8 ?? ?? ?? ?? 89 86 28 02 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 50 33 C9 BA 05 02 00 00 8B C6 E8 ?? ?? ?? ?? EB 0A C7 86 28 02 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2653_0 {
	meta:
		name = "TCustomTreeView.GetDragImages"
		size = 30
		refs = "000a TCustomImageList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 08 8B 83 00 02 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2654_0 {
	meta:
		name = "TCustomTreeView.WndProc"
		size = 112
		refs = "0022 TControl.Dragging 003e TWinControl.IsControlMouseMsg 0048 TCustomTreeView.WndProc 0064 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 52 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 40 8B C3 E8 ?? ?? ?? ?? 84 C0 75 35 80 7B 4D 01 75 2F 80 BB 87 00 00 00 00 75 26 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 22 66 A1 ?? ?? ?? ?? 66 0B 43 44 66 89 43 44 8B D6 8B C3 8B 08 FF 51 EC EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_2655_0 {
	meta:
		name = "TCustomTreeView.DoStartDrag"
		size = 136
		refs = "000a TControl.DoStartDrag 002a GetCursorPos 0037 TControl.ScreenToClient 0046 TCustomTreeView.GetNodeAt 0053 TWinControl.GetHandle 005b TreeView_CreateDragImage 006e TCustomImageList.SetHandle 007e TDragImageList.SetDragImage"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 04 02 00 00 33 C0 89 83 1C 02 00 00 33 C0 89 83 04 02 00 00 85 F6 75 24 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 0C 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 32 8B C3 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 85 C0 74 1F 8B 9B 00 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 02 B9 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_2656_0 {
	meta:
		name = "TCustomTreeView.DoEndDrag"
		size = 30
		refs = "000d TControl.DoEndDrag"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 1C 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2657_0 {
	meta:
		name = "TCustomTreeView.CMDrag"
		size = 133
		refs = "000f TWinControl.CMDrag 002e TControl.ScreenToClient 0049 TCustomTreeView.DoDragOver 005a TCustomTreeView.GetDropTarget 0069 TCustomTreeView.SetDropTarget"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 08 8A 46 04 FE C8 74 32 FE C8 74 06 FE C8 74 52 EB 58 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 50 83 7E 0C 00 0F 95 C0 50 8B 57 08 8B 4C 24 08 8B C3 E8 ?? ?? ?? ?? EB 30 8B 47 08 8B 10 FF 52 14 8B C3 E8 ?? ?? ?? ?? 89 83 1C 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 47 08 8B 10 FF 52 1C EB 08 33 C0 89 83 1C 02 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2658_0 {
	meta:
		name = "TCustomTreeView.DoDragOver"
		size = 93
		refs = "0017 TCustomTreeView.GetNodeAt 0024 TCustomTreeView.GetDropTarget 004a TTreeNode.SetDropTarget"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 4D 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 34 8B C3 E8 ?? ?? ?? ?? 3B F0 75 08 3B B3 1C 02 00 00 75 21 33 C0 89 83 1C 02 00 00 8B DF 8B C3 8B 10 FF 52 14 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 1C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2659_0 {
	meta:
		name = "TCustomTreeView.GetImageIndex"
		size = 31
	strings:
		$1 = { 53 66 83 B8 BE 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 C0 02 00 00 FF 93 BC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2660_0 {
	meta:
		name = "TCustomTreeView.GetSelectedIndex"
		size = 31
	strings:
		$1 = { 53 66 83 B8 C6 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 C8 02 00 00 FF 93 C4 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2661_0 {
	meta:
		name = "TCustomTreeView.CanChange"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 8E 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 90 02 00 00 FF 93 8C 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2662_0 {
	meta:
		name = "TCustomTreeView.Change"
		size = 31
	strings:
		$1 = { 53 66 83 B8 96 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 98 02 00 00 FF 93 94 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2663_0 {
	meta:
		name = "TCustomTreeView.Delete"
		size = 31
	strings:
		$1 = { 53 66 83 B8 A6 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 A8 02 00 00 FF 93 A4 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2664_0 {
	meta:
		name = "TCustomTreeView.Expand"
		size = 31
	strings:
		$1 = { 53 66 83 B8 6E 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 70 02 00 00 FF 93 6C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2665_0 {
	meta:
		name = "TCustomTreeView.CanExpand"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 76 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 78 02 00 00 FF 93 74 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2666_0 {
	meta:
		name = "TCustomListView.ColClick"
		size = 31
		altNames = "TCustomTreeView.Collapse"
	strings:
		$1 = { 53 66 83 B8 7E 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 80 02 00 00 FF 93 7C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2667_0 {
	meta:
		name = "TCustomTreeView.CanCollapse"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 86 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 88 02 00 00 FF 93 84 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2668_0 {
	meta:
		name = "TCustomTreeView.CanEdit"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 5E 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 60 02 00 00 FF 93 5C 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2669_0 {
	meta:
		name = "TCustomTreeView.Edit"
		size = 133
		refs = "0010 TCustomTreeView.Edit 0027 @LStrFromPChar 0030 TCustomTreeView.GetNodeFromItem 005e TTreeNode.SetText 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 10 85 FF 74 41 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 66 83 BB 66 02 00 00 00 74 14 8D 45 FC 50 8B CE 8B D3 8B 83 68 02 00 00 FF 93 64 02 00 00 85 F6 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2670_0 {
	meta:
		name = "TCustomTreeView.CreateNode"
		size = 19
		refs = "0009 _DV_TTreeNode 000e TTreeNode.Create"
	strings:
		$1 = { 8B 88 54 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2671_0 {
	meta:
		name = "TCustomTreeView.SetImageList"
		size = 40
		refs = "000c TWinControl.HandleAllocated 0017 TWinControl.GetHandle 0020 TreeView_SetImageList"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2959_0 {
	meta:
		name = "TCustomListView.SetImageList"
		size = 40
		refs = "000c TWinControl.HandleAllocated 0017 TWinControl.GetHandle 0020 ListView_SetImageList"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2672_0 {
	meta:
		name = "TCustomTreeView.ImageListChange"
		size = 89
		refs = "000a TWinControl.HandleAllocated 0017 TCustomImageList.HandleAllocated 0022 TCustomImageList.GetHandle 0039 TCustomTreeView.SetImageList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 43 8B FE 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 E8 ?? ?? ?? ?? EB 02 33 C0 3B B3 18 02 00 00 75 0D 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? EB 16 3B B3 48 02 00 00 75 0E B9 02 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2673_0 {
	meta:
		name = "TCustomTreeView.Notification"
		size = 63
		refs = "0010 TControl.Notification 0026 TCustomTreeView.SetImages 0037 TCustomTreeView.SetStateImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 22 3B B7 18 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 48 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2674_0 {
	meta:
		name = "TCustomTreeView.SetImages"
		size = 102
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 0051 TCustomTreeView.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 18 02 00 00 85 C0 74 0B 8B 93 14 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 18 02 00 00 85 C0 74 31 8B 93 14 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2675_0 {
	meta:
		name = "TCustomTreeView.SetStateImages"
		size = 108
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 0054 TCustomTreeView.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 48 02 00 00 85 C0 74 0B 8B 93 4C 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 48 02 00 00 85 C0 74 34 8B 93 4C 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B9 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2677_0 {
	meta:
		name = "TCustomTreeView.LoadFromStream"
		size = 85
		refs = "0010 _DV_TTreeStrings 0015 TTreeStrings.Create 0020 TCustomTreeView.LoadFromStream 0030 TTreeStrings.LoadTreeFromStream 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 88 54 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2679_0 {
	meta:
		name = "TCustomTreeView.SaveToStream"
		size = 85
		refs = "0010 _DV_TTreeStrings 0015 TTreeStrings.Create 0020 TCustomTreeView.SaveToStream 0030 TTreeStrings.SaveTreeToStream 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 88 54 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2680_0 {
	meta:
		name = "TCustomTreeView.WMRButtonDown"
		size = 175
		refs = "0018 TCustomTreeView.WMRButtonDown 0032 TControl.WMRButtonDown 0047 GetCursorPos 0055 TControl.ScreenToClient 005d PointToSmallPoint 006d MakeLong 007d TControl.Perform 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC 8B 45 FC 33 C9 89 88 28 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 2C 02 00 00 00 75 55 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 28 02 00 00 00 74 49 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 89 45 F0 66 8B 55 F2 66 8B 45 F0 E8 ?? ?? ?? ?? 50 33 C9 BA 05 02 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 28 02 00 00 C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_2681_0 {
	meta:
		name = "DoMouseDown"
		size = 73
		refs = "0029 KeysToShiftState 0040 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FE 88 55 FF 8B F0 8B 45 08 8B 40 FC F6 40 41 10 75 2A 0F BF 46 08 50 0F BF 46 0A 50 66 8B 46 04 E8 ?? ?? ?? ?? 8B C8 0A 4D FE 8B 45 08 8B 40 FC 8A 55 FF 66 BB DB FF E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2682_0 {
	meta:
		name = "TCustomTreeView.WMRButtonUp"
		size = 60
		refs = "001b TCustomTreeView.WMRButtonUp 0022 DoMouseDown 002d TControl.WMRButtonUp"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 B8 2C 02 00 00 00 74 11 55 8B C3 8A 0D ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2683_0 {
	meta:
		name = "TCustomTreeView.WMLButtonDown"
		size = 264
		refs = "0025 TCustomTreeView.WMLButtonDown 0035 TControl.WMLButtonDown 0072 GetCursorPos 0080 TControl.ScreenToClient 0088 PointToSmallPoint 0098 MakeLong 00a8 TControl.Perform 00ba TCustomTreeView.GetNodeAt 00c9 TTreeNode.SetFocused 00d2 TTreeNode.SetSelected 00df TControl.BeginDrag 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 89 45 FC 8B 45 FC C6 80 FC 01 00 00 00 8B 45 FC 33 D2 89 90 04 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 4D 01 0F 85 9D 00 00 00 8B 45 FC 80 B8 87 00 00 00 00 0F 85 8D 00 00 00 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B 45 FC 80 B8 FC 01 00 00 00 75 41 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 89 45 F0 66 8B 55 F2 66 8B 45 F0 E8 ?? ?? ?? ?? 50 33 C9 BA 02 02 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 35 0F BF 4B 0A 0F BF 53 08 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 1F B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 04 02 00 00 C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2684_0 {
	meta:
		name = "TCustomTreeView.WMNotify"
		size = 319
		refs = "001d GetCursorPos 002a TControl.ScreenToClient 0047 TCustomTreeView.GetNodeAt 0070 GetComCtlVersion 007f @LStrLen 008d TWinControl.WMNotify 00a0 @WStrFromLStr 00b0 @WStrLen 00c2 @WStrSetLength 00cd @WStrToPWChar 00df @FillChar 00ff Move 0121 SetWindowPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 8B 46 08 81 78 08 EE FD FF FF 0F 85 13 01 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 E2 00 00 00 83 7F 08 00 0F 84 D8 00 00 00 8B 46 08 F6 80 B4 00 00 00 01 0F 84 C8 00 00 00 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 1B 8B 47 08 E8 ?? ?? ?? ?? 83 F8 50 7D 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 A1 00 00 00 8D 83 58 02 00 00 8B 57 08 E8 ?? ?? ?? ?? BF 50 00 00 00 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 3B F8 7F 0E 8B D7 4A 8D 83 58 02 00 00 E8 ?? ?? ?? ?? 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 8B 6E 08 89 45 0C 8D 45 10 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 8B C8 03 C9 8B 46 08 8D 50 10 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 8B 46 08 33 D2 89 90 B0 00 00 00 68 13 02 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 00 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2685_0 {
	meta:
		name = "TCustomTreeView.CanvasChanged"
		size = 8
	strings:
		$1 = { C6 80 F4 01 00 00 01 C3 }
	condition:
		$1
}

rule function_2686_0 {
	meta:
		name = "TCustomTreeView.IsCustomDrawn"
		size = 45
	strings:
		$1 = { 84 C9 75 26 80 FA 01 75 0D 66 83 B8 B6 02 00 00 00 0F 95 C0 EB 16 84 D2 75 0D 66 83 B8 AE 02 00 00 00 0F 95 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_2687_0 {
	meta:
		name = "TCustomTreeView.CustomDraw"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 AE 02 00 00 00 74 13 54 8B CA 8B D8 8B D0 8B 83 B0 02 00 00 FF 93 AC 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2688_0 {
	meta:
		name = "TCustomTreeView.CustomDrawItem"
		size = 59
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE C6 45 FD 01 66 83 B8 B6 02 00 00 00 74 1B 66 8B 4D FE 51 8D 4D FD 51 8B D8 8B CA 8B D0 8B 83 B8 02 00 00 FF 93 B4 02 00 00 8A 45 FD 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2689_0 {
	meta:
		name = "TTrackBar.Create"
		size = 192
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 008c TTrackBar.Create 00a6 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 2D 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 00 02 00 00 C7 86 04 02 00 00 0A 00 00 00 C7 86 F0 01 00 00 01 00 00 00 C7 86 F4 01 00 00 02 00 00 00 C7 86 08 02 00 00 01 00 00 00 C7 86 F8 01 00 00 14 00 00 00 C6 86 ED 01 00 00 00 C6 86 EE 01 00 00 01 C6 86 EC 01 00 00 00 A1 ?? ?? ?? ?? F7 D0 23 46 40 89 46 40 C6 86 FC 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_2690_0 {
	meta:
		name = "TTrackBar.CreateParams"
		size = 148
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TTrackBar.CreateParams 0023 TWinControl.CreateSubClass 0035 OrientationStyle 0044 TickStyles 0053 ATickMarks"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 33 D2 8A 93 EC 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 EE 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 ED 01 00 00 0B 04 95 ?? ?? ?? ?? 83 C8 40 83 C8 20 89 46 04 8B 46 24 83 E0 FC 83 C8 08 89 46 24 80 BB FC 01 00 00 00 75 07 81 4E 04 80 00 00 00 5E 5B C3 00 6D 73 63 74 6C 73 5F 74 72 61 63 6B 62 61 72 33 32 00 00 00 }
	condition:
		$1
}

rule function_2691_0 {
	meta:
		name = "TTrackBar.CreateWnd"
		size = 223
		refs = "0006 TWinControl.CreateWnd 000d TWinControl.HandleAllocated 002a TWinControl.GetHandle 0030 SendMessage 00a3 TTrackBar.UpdateSelection"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 6A 00 8B 83 F8 01 00 00 50 68 1B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 50 6A 00 68 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 50 6A 00 68 15 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 50 6A 00 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 50 6A 00 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 50 6A 01 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 8B 83 08 02 00 00 50 68 14 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2693_0 {
	meta:
		name = "TTrackBar.CNHScroll"
		size = 75
		refs = "001b TWinControl.GetHandle 0021 SendMessage"
		altNames = "TTrackBar.CNVScroll"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 6A 00 6A 00 68 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 0C 02 00 00 66 83 BB 1A 02 00 00 00 74 0E 8B D3 8B 83 1C 02 00 00 FF 93 18 02 00 00 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2695_0 {
	meta:
		name = "TTrackBar.GetThumbLength"
		size = 46
		refs = "0006 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 6A 00 68 1C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 F8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2696_0 {
	meta:
		name = "TTrackBar.SetOrientation"
		size = 80
		refs = "0013 TTrackBar.SetOrientation 003f TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 EC 01 00 00 74 37 88 93 EC 01 00 00 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 75 18 8B 43 3C 50 8B 43 38 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 96 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 41 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2697_0 {
	meta:
		name = "TTrackBar.SetParams"
		size = 318
		refs = "001e TTrackBar.SetParams 0036 TObject.ClassName 0054 SPropertyOutOfRange 0059 LoadResString 0066 _Dn_EInvalidOperation 006b Exception.CreateFmt 0070 @RaiseExcept 0093 TWinControl.HandleAllocated 00a6 TWinControl.GetHandle 00ac SendMessage 0129 @LStrClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 DB 89 9D F4 FE FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 7D 08 7E 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B FE 7E 02 8B F7 3B 75 08 7E 03 8B 75 08 3B BB 00 02 00 00 74 26 89 BB 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 57 6A 01 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 3B 45 08 74 2C 8B 45 08 89 83 04 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 50 6A 01 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B B3 0C 02 00 00 74 26 89 B3 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 56 6A 01 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2698_0 {
	meta:
		name = "TTrackBar.SetPosition"
		size = 19
		refs = "000e TTrackBar.SetParams"
	strings:
		$1 = { 8B 88 04 02 00 00 51 8B 88 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2699_0 {
	meta:
		name = "TTrackBar.SetMin"
		size = 25
		refs = "0014 TTrackBar.SetParams"
	strings:
		$1 = { 8B 88 04 02 00 00 3B D1 7F 0E 51 8B 88 0C 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2700_0 {
	meta:
		name = "TTrackBar.SetMax"
		size = 23
		refs = "0012 TTrackBar.SetParams"
	strings:
		$1 = { 8B 88 00 02 00 00 3B D1 7C 0C 52 8B 90 0C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2701_0 {
	meta:
		name = "TTrackBar.SetFrequency"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 08 02 00 00 74 2C 89 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 01 8B 83 08 02 00 00 50 68 14 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2702_0 {
	meta:
		name = "TTrackBar.SetTick"
		size = 41
		refs = "0009 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 56 6A 00 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2703_0 {
	meta:
		name = "TCustomStaticText.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TToolWindow.SetEdgeOuter TTrackBar.SetTickStyle"
	strings:
		$1 = { 3A 90 EE 01 00 00 74 0B 88 90 EE 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2705_0 {
	meta:
		name = "TTrackBar.SetLineSize"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 F0 01 00 00 74 2C 89 93 F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 83 F0 01 00 00 50 6A 00 68 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2706_0 {
	meta:
		name = "TTrackBar.SetPageSize"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 F4 01 00 00 74 2C 89 93 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 83 F4 01 00 00 50 6A 00 68 15 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2707_0 {
	meta:
		name = "TTrackBar.SetThumbLength"
		size = 55
		refs = "0017 TWinControl.HandleAllocated 002a TWinControl.GetHandle 0030 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 F8 01 00 00 74 26 89 B3 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 56 68 1B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2708_0 {
	meta:
		name = "TCustomPanel.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TTrackBar.SetSliderVisible"
	strings:
		$1 = { 3A 90 FC 01 00 00 74 0B 88 90 FC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2709_0 {
	meta:
		name = "TTrackBar.UpdateSelection"
		size = 98
		refs = "0006 TWinControl.HandleAllocated 002c TWinControl.GetHandle 0032 SendMessage 0047 MakeLong"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 83 BB 10 02 00 00 00 75 21 83 BB 14 02 00 00 00 75 18 6A 00 6A 01 68 13 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 28 66 8B 93 14 02 00 00 66 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 50 6A 01 68 0A 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2710_0 {
	meta:
		name = "TTrackBar.SetSelStart"
		size = 20
		refs = "000f TTrackBar.UpdateSelection"
	strings:
		$1 = { 3B 90 10 02 00 00 74 0B 89 90 10 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2711_0 {
	meta:
		name = "TTrackBar.SetSelEnd"
		size = 20
		refs = "000f TTrackBar.UpdateSelection"
	strings:
		$1 = { 3B 90 14 02 00 00 74 0B 89 90 14 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2712_0 {
	meta:
		name = "ProgressLimitError"
		size = 117
		refs = "000f ProgressLimitError 0037 SOutOfRange 003c LoadResString 0046 _Dn_Exception 004b Exception.CreateFmt 0050 @RaiseExcept 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 C6 45 F4 00 C7 45 F8 FF FF 00 00 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_2713_0 {
	meta:
		name = "TProgressBar.Create"
		size = 138
		refs = "000b @ClassCreate 001b InitCommonControl 002c TWinControl.Create 0038 TControl.SetWidth 003f GetSystemMetrics 0048 TControl.SetHeight 0076 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B8 20 00 00 00 E8 ?? ?? ?? ?? 88 87 EC 01 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C7 E8 ?? ?? ?? ?? 6A 14 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 89 87 F0 01 00 00 C7 87 F4 01 00 00 64 00 00 00 C7 87 FC 01 00 00 0A 00 00 00 C6 87 00 02 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2714_0 {
	meta:
		name = "TProgressBar.CreateParams"
		size = 108
		refs = "0010 InitCommonControls 0019 TWinControl.CreateParams 001e TProgressBar.CreateParams 0027 TWinControl.CreateSubClass 004e TProgressBar.SetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB EC 01 00 00 00 75 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 00 02 00 00 01 75 04 83 4E 04 04 80 BB 01 02 00 00 00 74 04 83 4E 04 01 8B 93 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 6D 73 63 74 6C 73 5F 70 72 6F 67 72 65 73 73 33 32 00 00 00 }
	condition:
		$1
}

rule function_2715_0 {
	meta:
		name = "TProgressBar.CreateWnd"
		size = 135
		refs = "0006 TWinControl.CreateWnd 0029 TWinControl.GetHandle 002f SendMessage 0044 MakeLong 0081 TProgressBar.SetPosition"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB EC 01 00 00 00 74 22 8B 83 F4 01 00 00 50 8B 83 F0 01 00 00 50 68 06 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 28 66 8B 93 F4 01 00 00 66 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 83 FC 01 00 00 50 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 93 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2716_0 {
	meta:
		name = "TProgressBar.GetMin"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 80 BB EC 01 00 00 00 74 18 6A 00 6A 01 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 F0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2717_0 {
	meta:
		name = "TProgressBar.GetMax"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 80 BB EC 01 00 00 00 74 18 6A 00 6A 00 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 F4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2718_0 {
	meta:
		name = "TProgressBar.GetPosition"
		size = 79
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 80 BB EC 01 00 00 00 74 18 6A 00 6A 00 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 6A 00 6A 00 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 F8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2719_0 {
	meta:
		name = "TProgressBar.SetParams"
		size = 321
		refs = "001e TProgressBar.SetParams 0035 TObject.ClassName 0053 SPropertyOutOfRange 0058 LoadResString 0065 _Dn_EInvalidOperation 006a Exception.CreateFmt 006f @RaiseExcept 0095 ProgressLimitError 00ac TWinControl.HandleAllocated 00c7 TWinControl.GetHandle 00cd SendMessage 00d8 MakeLong 012e @LStrClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 DB 89 9D F4 FE FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 7E 47 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB EC 01 00 00 00 75 1D 85 F6 7C 14 81 FE FF FF 00 00 7F 0C 85 FF 7C 08 81 FF FF FF 00 00 7E 05 E8 ?? ?? ?? ?? 3B B3 F0 01 00 00 75 08 3B BB F4 01 00 00 74 71 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5A 80 BB EC 01 00 00 00 74 16 57 56 68 06 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 8B D7 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B B3 F0 01 00 00 7D 15 6A 00 56 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 B3 F0 01 00 00 89 BB F4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2720_0 {
	meta:
		name = "TProgressBar.SetMin"
		size = 12
		refs = "0007 TProgressBar.SetParams"
	strings:
		$1 = { 8B 88 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2721_0 {
	meta:
		name = "TProgressBar.SetMax"
		size = 14
		refs = "0009 TProgressBar.SetParams"
	strings:
		$1 = { 8B CA 8B 90 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2722_0 {
	meta:
		name = "TProgressBar.SetPosition"
		size = 76
		refs = "001c ProgressLimitError 0023 TWinControl.HandleAllocated 0036 TWinControl.GetHandle 003c SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB EC 01 00 00 00 75 11 85 F6 7C 08 81 FE FF FF 00 00 7E 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 56 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 89 B3 F8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2723_0 {
	meta:
		name = "TProgressBar.SetStep"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 FC 01 00 00 74 2C 89 93 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 8B 83 FC 01 00 00 50 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2724_0 {
	meta:
		name = "TProgressBar.StepIt"
		size = 38
		refs = "0006 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2725_0 {
	meta:
		name = "TProgressBar.StepBy"
		size = 41
		refs = "0009 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 56 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2726_0 {
	meta:
		name = "TCustomListBox.SetStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TPageScroller.SetOrientation TProgressBar.SetOrientation TScrollBox.SetBorderStyle"
	strings:
		$1 = { 3A 90 00 02 00 00 74 0B 88 90 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2727_0 {
	meta:
		name = "TCustomListBox.SetIntegralHeight"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TProgressBar.SetSmooth TToolBar.SetList"
	strings:
		$1 = { 3A 90 01 02 00 00 74 0B 88 90 01 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2728_0 {
	meta:
		name = "TTextAttributes.Create"
		size = 72
		refs = "000e @ClassCreate 001d TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8A 45 08 88 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2729_0 {
	meta:
		name = "TTextAttributes.InitFormat"
		size = 25
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B DA 8B C3 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? C7 03 3C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2730_0 {
	meta:
		name = "TTextAttributes.GetConsistentAttributes"
		size = 184
		refs = "0007 TTextAttributes.GetConsistentAttributes 0012 TWinControl.HandleAllocated 002f TTextAttributes.InitFormat 004c TWinControl.GetHandle 0052 SendMessage"
	strings:
		$1 = { 53 83 C4 C0 8B D8 A0 ?? ?? ?? ?? 88 04 24 8B 43 04 E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 80 7B 08 00 0F 85 83 00 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8D 44 24 04 50 80 7B 08 00 0F 94 C0 83 E0 7F 50 68 3A 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 08 F6 C3 01 74 04 80 0C 24 01 F7 C3 00 00 00 40 74 04 80 0C 24 02 F7 C3 00 00 00 20 74 04 80 0C 24 04 F6 C3 02 74 04 80 0C 24 08 F7 C3 00 00 00 80 74 04 80 0C 24 10 F6 C3 08 74 04 80 0C 24 20 F6 C3 04 74 04 80 0C 24 40 F6 C3 10 74 04 80 0C 24 80 8A 04 24 83 C4 40 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_2731_0 {
	meta:
		name = "TTextAttributes.GetAttributes"
		size = 61
		refs = "000b TTextAttributes.InitFormat 0013 TWinControl.HandleAllocated 0030 TWinControl.GetHandle 0036 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 1F 56 80 7B 08 00 0F 94 C0 83 E0 7F 50 68 3A 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2732_0 {
	meta:
		name = "TTextAttributes.SetAttributes"
		size = 59
		refs = "001a TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 80 7B 08 00 75 07 BE 01 00 00 00 EB 02 33 F6 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 15 57 56 68 44 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2733_0 {
	meta:
		name = "TTextAttributes.GetCharset"
		size = 18
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? 8A 44 24 18 83 C4 3C C3 }
	condition:
		$1
}

rule function_2734_0 {
	meta:
		name = "TTextAttributes.SetCharset"
		size = 45
		refs = "000e TTextAttributes.InitFormat 0023 TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 C4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 08 88 5C 24 18 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2735_0 {
	meta:
		name = "TTextAttributes.GetProtected"
		size = 27
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? F6 44 24 08 10 74 04 B0 01 EB 02 33 C0 83 C4 3C C3 }
	condition:
		$1
}

rule function_2736_0 {
	meta:
		name = "TTextAttributes.SetProtected"
		size = 53
		refs = "000e TTextAttributes.InitFormat 002b TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 C4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 10 00 00 00 84 DB 74 08 C7 44 24 08 10 00 00 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2737_0 {
	meta:
		name = "TTextAttributes.GetColor"
		size = 32
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? F6 44 24 0B 40 74 07 B8 08 00 00 80 EB 04 8B 44 24 14 83 C4 3C C3 }
	condition:
		$1
}

rule function_2738_0 {
	meta:
		name = "TTextAttributes.SetColor"
		size = 70
		refs = "000e TTextAttributes.InitFormat 002f ColorToRGB 003c TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 C4 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 40 81 FE 08 00 00 80 75 0A C7 44 24 08 00 00 00 40 EB 0B 8B C6 E8 ?? ?? ?? ?? 89 44 24 14 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2739_0 {
	meta:
		name = "TTextAttributes.GetName"
		size = 34
		refs = "0009 TTextAttributes.GetAttributes 0019 @LStrFromArray"
	strings:
		$1 = { 53 83 C4 C4 8B DA 8B D4 E8 ?? ?? ?? ?? 8B C3 8D 54 24 1A B9 20 00 00 00 E8 ?? ?? ?? ?? 83 C4 3C 5B C3 }
	condition:
		$1
}

rule function_2740_0 {
	meta:
		name = "TTextAttributes.SetName"
		size = 111
		refs = "0010 @LStrAddRef 0018 TTextAttributes.SetName 0028 TTextAttributes.InitFormat 003f StrPLCopy 0049 TTextAttributes.SetAttributes 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C0 8B C3 E8 ?? ?? ?? ?? C7 45 C4 00 00 00 20 8D 45 DA B9 20 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2741_0 {
	meta:
		name = "TTextAttributes.GetStyle"
		size = 80
		refs = "0007 TTextAttributes.GetStyle 000e TTextAttributes.GetAttributes"
	strings:
		$1 = { 53 56 83 C4 C4 8A 1D ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B 74 24 08 F7 C6 01 00 00 00 74 03 80 CB 01 F7 C6 02 00 00 00 74 03 80 CB 02 F7 C6 04 00 00 00 74 03 80 CB 04 F7 C6 08 00 00 00 74 03 80 CB 08 8B C3 83 C4 3C 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2742_0 {
	meta:
		name = "TTextAttributes.SetStyle"
		size = 88
		refs = "0010 TTextAttributes.InitFormat 004f TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 83 C4 C0 88 14 24 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? C7 44 24 08 0F 00 00 00 F6 04 24 01 74 05 83 4C 24 0C 01 F6 04 24 02 74 05 83 4C 24 0C 02 F6 04 24 04 74 05 83 4C 24 0C 04 F6 04 24 08 74 05 83 4C 24 0C 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 83 C4 40 5B C3 }
	condition:
		$1
}

rule function_2743_0 {
	meta:
		name = "TTextAttributes.GetSize"
		size = 26
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? 8B 44 24 0C B9 14 00 00 00 99 F7 F9 83 C4 3C C3 }
	condition:
		$1
}

rule function_2744_0 {
	meta:
		name = "TTextAttributes.SetSize"
		size = 53
		refs = "000e TTextAttributes.InitFormat 002b TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 C4 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 80 8B C6 C1 E0 02 8D 04 80 89 44 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2745_0 {
	meta:
		name = "TTextAttributes.GetHeight"
		size = 30
		refs = "0012 TTextAttributes.GetSize 0018 MulDiv"
	strings:
		$1 = { 53 8B D8 6A 48 8B 43 04 8B 80 28 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2746_0 {
	meta:
		name = "TTextAttributes.SetHeight"
		size = 36
		refs = "0014 MulDiv 001d TTextAttributes.SetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 80 28 02 00 00 50 6A 48 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2747_0 {
	meta:
		name = "TTextAttributes.GetPitch"
		size = 46
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 C4 8B D4 E8 ?? ?? ?? ?? 8A 44 24 19 24 03 2C 01 72 08 74 0E FE C8 74 06 EB 0C 33 C0 EB 0A B0 01 EB 06 B0 02 EB 02 33 C0 83 C4 3C C3 }
	condition:
		$1
}

rule function_2748_0 {
	meta:
		name = "TTextAttributes.SetPitch"
		size = 62
		refs = "000e TTextAttributes.InitFormat 0034 TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 C4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? FE CB 74 06 FE CB 74 09 EB 0E C6 44 24 19 02 EB 0C C6 44 24 19 01 EB 05 C6 44 24 19 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_2749_0 {
	meta:
		name = "TTextAttributes.Assign"
		size = 290
		refs = "0010 TTextAttributes.Assign 001e _Dn_TFont 0023 @IsClass 0033 TTextAttributes.SetColor 003d TFont.GetName 0047 TTextAttributes.SetName 004e TFont.GetCharset 0057 TTextAttributes.SetCharset 005e TFont.GetStyle 0067 TTextAttributes.SetStyle 006e TFont.GetSize 0077 TTextAttributes.SetSize 007e TFont.GetPitch 0087 TTextAttributes.SetPitch 0091 _DV_TTextAttributes 00a3 TTextAttributes.GetColor 00b6 TTextAttributes.GetName 00c7 TTextAttributes.GetCharset 00d7 TTextAttributes.GetStyle 00e7 TTextAttributes.GetPitch 00fb TPersistent.Assign 0110 @LStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 62 8B FB 8B 57 14 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 72 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B FB 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2750_0 {
	meta:
		name = "TTextAttributes.AssignTo"
		size = 296
		refs = "0010 TTextAttributes.AssignTo 001e _Dn_TFont 0023 @IsClass 002e TTextAttributes.GetColor 0039 TFont.SetColor 0043 TTextAttributes.GetName 004d TFont.SetName 0054 TTextAttributes.GetCharset 005d TFont.SetCharset 0064 TTextAttributes.GetStyle 006d TFont.SetStyle 0074 TTextAttributes.GetSize 007d TFont.SetSize 0084 TTextAttributes.GetPitch 008d TFont.SetPitch 0097 _DV_TTextAttributes 00b2 TTextAttributes.SetColor 00c6 TTextAttributes.SetName 00d6 TTextAttributes.SetCharset 00e6 TTextAttributes.SetStyle 00f6 TTextAttributes.SetPitch 0101 TPersistent.AssignTo 0116 @LStrClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B C6 E8 ?? ?? ?? ?? 8B D0 8B FB 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 72 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B C6 E8 ?? ?? ?? ?? 8B D0 8B FB 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2752_0 {
	meta:
		name = "TParaAttributes.InitPara"
		size = 25
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B DA 8B C3 33 C9 BA 9C 00 00 00 E8 ?? ?? ?? ?? C7 03 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2753_0 {
	meta:
		name = "TParaAttributes.GetAttributes"
		size = 52
		refs = "000b TParaAttributes.InitPara 0013 TWinControl.HandleAllocated 0027 TWinControl.GetHandle 002d SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 16 56 6A 00 68 3D 04 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2754_0 {
	meta:
		name = "TParaAttributes.SetAttributes"
		size = 99
		refs = "000b TWinControl.HandleNeeded 0013 TWinControl.HandleAllocated 0023 @CallDynaInst 0055 TWinControl.GetHandle 005b SendMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 44 8B 46 04 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 1E 66 8B 47 18 66 83 F8 01 75 08 66 C7 47 18 02 00 EB 0C 66 83 F8 02 75 06 66 C7 47 18 01 00 57 6A 00 68 47 04 00 00 8B 46 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2755_0 {
	meta:
		name = "TParaAttributes.GetAlignment"
		size = 26
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 66 8B 44 24 18 48 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2756_0 {
	meta:
		name = "TParaAttributes.SetAlignment"
		size = 57
		refs = "0011 TParaAttributes.InitPara 002c TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 08 00 00 00 33 C0 8A C3 40 66 89 44 24 18 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2757_0 {
	meta:
		name = "TParaAttributes.GetNumbering"
		size = 24
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8A 44 24 08 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2758_0 {
	meta:
		name = "TParaAttributes.SetNumbering"
		size = 99
		refs = "0017 TParaAttributes.GetLeftIndent 0028 TParaAttributes.SetLeftIndent 003c TParaAttributes.InitPara 0056 TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B DA 8B F0 8B C3 2C 01 72 1C 75 23 8B C6 E8 ?? ?? ?? ?? 83 F8 0A 7D 17 BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 20 00 00 00 33 C0 8A C3 66 89 44 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2759_0 {
	meta:
		name = "TParaAttributes.GetFirstIndent"
		size = 32
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 0C B9 14 00 00 00 99 F7 F9 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2760_0 {
	meta:
		name = "TParaAttributes.SetFirstIndent"
		size = 59
		refs = "0011 TParaAttributes.InitPara 002e TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 01 00 00 00 8B C6 C1 E0 02 8D 04 80 89 44 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2761_0 {
	meta:
		name = "TParaAttributes.GetLeftIndent"
		size = 32
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 14 B9 14 00 00 00 99 F7 F9 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2762_0 {
	meta:
		name = "TParaAttributes.SetLeftIndent"
		size = 59
		refs = "0011 TParaAttributes.InitPara 002e TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 04 00 00 00 8B C6 C1 E0 02 8D 04 80 89 44 24 14 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2763_0 {
	meta:
		name = "TParaAttributes.GetRightIndent"
		size = 32
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 10 B9 14 00 00 00 99 F7 F9 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2764_0 {
	meta:
		name = "TParaAttributes.SetRightIndent"
		size = 59
		refs = "0011 TParaAttributes.InitPara 002e TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 02 00 00 00 8B C6 C1 E0 02 8D 04 80 89 44 24 10 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2765_0 {
	meta:
		name = "TParaAttributes.GetTab"
		size = 40
		refs = "000c TParaAttributes.GetAttributes"
	strings:
		$1 = { 53 81 C4 64 FF FF FF 8B DA 8B D4 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 44 84 1C B9 14 00 00 00 99 F7 F9 81 C4 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_2766_0 {
	meta:
		name = "TParaAttributes.SetTab"
		size = 83
		refs = "0014 TParaAttributes.GetAttributes 0045 TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 57 81 C4 64 FF FF FF 8B F9 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C7 C1 E0 02 8D 04 80 33 D2 8A D3 89 44 94 1C C7 44 24 04 10 00 00 00 33 C0 8A C3 66 3B 44 24 1A 7E 05 66 89 44 24 1A 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2767_0 {
	meta:
		name = "TParaAttributes.GetTabCount"
		size = 25
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 E8 ?? ?? ?? ?? 0F BF 44 24 1A 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_2768_0 {
	meta:
		name = "TParaAttributes.SetTabCount"
		size = 52
		refs = "0011 TParaAttributes.GetAttributes 0027 TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 10 00 00 00 66 89 74 24 1A 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2769_0 {
	meta:
		name = "TParaAttributes.Assign"
		size = 153
		refs = "000c _DV_TParaAttributes 0011 @IsClass 001e TParaAttributes.GetAlignment 0027 TParaAttributes.SetAlignment 002e TParaAttributes.GetFirstIndent 0037 TParaAttributes.SetFirstIndent 003e TParaAttributes.GetLeftIndent 0047 TParaAttributes.SetLeftIndent 004e TParaAttributes.GetRightIndent 0057 TParaAttributes.SetRightIndent 005e TParaAttributes.GetNumbering 0067 TParaAttributes.SetNumbering 0074 TParaAttributes.GetTab 007f TParaAttributes.SetTab 0090 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 8B DF 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 ED 8B DD 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 45 83 FD 20 75 E4 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2770_0 {
	meta:
		name = "TConversion.ConvertReadStream"
		size = 20
	strings:
		$1 = { 55 8B EC 53 8B C1 8B 4D 08 92 8B 18 FF 53 04 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2771_0 {
	meta:
		name = "TConversion.ConvertWriteStream"
		size = 20
	strings:
		$1 = { 55 8B EC 53 8B C1 8B 4D 08 92 8B 18 FF 53 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2772_0 {
	meta:
		name = "TRichEditStrings.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TStrings.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13703_0 {
	meta:
		name = "TSummary.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2773_0 {
	meta:
		name = "TRichEditStrings.AddStrings"
		size = 118
		refs = "0033 TRichEditStrings.AddStrings 0041 TStrings.AddStrings 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 40 0C 8B 88 34 02 00 00 89 4D F4 8B 88 38 02 00 00 89 4D F8 33 C9 89 88 34 02 00 00 89 88 38 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 55 F4 89 90 34 02 00 00 8B 55 F8 89 90 38 02 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 }
	condition:
		$1
}

rule function_2774_0 {
	meta:
		name = "TRichEditStrings.GetCount"
		size = 86
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B D8 6A 00 6A 00 68 BA 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 00 8B C6 48 50 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2775_0 {
	meta:
		name = "TRichEditStrings.Get"
		size = 83
		refs = "0024 TWinControl.GetHandle 002a SendMessage 0045 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 81 C4 04 F0 FF FF 50 8B F9 8B F2 8B D8 8B C4 66 C7 00 00 10 8B C4 50 56 68 C4 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7C 04 FE 0D 75 0A 80 7C 04 FF 0A 75 03 83 E8 02 8B D4 8B CF 91 E8 ?? ?? ?? ?? 81 C4 00 10 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2776_0 {
	meta:
		name = "TRichEditStrings.Put"
		size = 140
		refs = "001d TWinControl.GetHandle 0023 SendMessage 006b @LStrToPChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B F2 8B D8 85 F6 7C 74 6A 00 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 3C 24 47 74 56 6A 00 8B 44 24 04 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 04 24 89 44 24 04 8B C4 50 6A 00 68 37 04 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2777_0 {
	meta:
		name = "TRichEditStrings.Insert"
		size = 384
		refs = "001c TRichEditStrings.Insert 003a TWinControl.GetHandle 0040 SendMessage 00d8 @LStrFromPChar 00e3 Format 00eb @LStrToPChar 0116 @LStrLen 0125 sRichEditInsertError 012a LoadResString 0134 _Dn_EOutOfResources 0139 Exception.Create 013e @RaiseExcept 0153 @LStrClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 8C 14 01 00 00 6A 00 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 7D F4 85 FF 7C 07 BE ?? ?? ?? ?? EB 4D 6A 00 4E 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 7D F4 85 FF 0F 8C CA 00 00 00 6A 00 8B 45 F4 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 A9 00 00 00 01 45 F4 BE ?? ?? ?? ?? 8B 45 F4 89 45 F8 8D 45 F4 50 6A 00 68 37 04 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 89 45 E8 C6 45 EC 0B 8D 45 E8 50 8D 45 E4 8B D6 E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 92 C0 00 00 00 8B D8 8B 45 F0 E8 ?? ?? ?? ?? 03 45 F8 3B D8 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 25 73 0D 0A 00 00 00 00 0D 0A 25 73 00 00 00 00 }
	condition:
		$1
}

rule function_2779_0 {
	meta:
		name = "TRichEditStrings.Delete"
		size = 170
		refs = "001e TWinControl.GetHandle 0024 SendMessage 008a Empty"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 85 F6 0F 8C 92 00 00 00 6A 00 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 3C 24 47 74 74 6A 00 46 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 7C 24 04 47 75 21 6A 00 8B 44 24 04 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 04 24 89 44 24 04 8B C4 50 6A 00 68 37 04 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2780_0 {
	meta:
		name = "TMemoStrings.Clear"
		size = 16
		altNames = "TRichEditStrings.Clear"
	strings:
		$1 = { 56 8B F0 8B 46 0C 8B 10 FF 92 D0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_2781_0 {
	meta:
		name = "TRichEditStrings.SetUpdateState"
		size = 77
		refs = "0022 TWinControl.GetHandle 0028 SendMessage 0034 TControl.Refresh 0045 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 0C 80 BF 6C 01 00 00 00 74 19 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 75 19 8B 46 0C E8 ?? ?? ?? ?? 6A 00 33 C9 BA 12 B0 00 00 8B 46 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2782_0 {
	meta:
		name = "TRichEditStrings.EnableChange"
		size = 89
		refs = "0015 TWinControl.GetHandle 001b SendMessage"
	strings:
		$1 = { 53 56 8B 58 0C 84 D2 74 1D 6A 00 6A 00 68 3B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 CE 01 EB 1B 6A 00 6A 00 68 3B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 E6 FE 56 6A 00 68 45 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2783_0 {
	meta:
		name = "TRichEditStrings.SetTextStr"
		size = 79
		refs = "0010 TRichEditStrings.EnableChange 0018 TRichEditStrings.SetTextStr 0028 TStrings.SetTextStr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_2784_0 {
	meta:
		name = "AdjustLineBreaks"
		size = 54
	strings:
		$1 = { 56 57 89 C7 89 D6 89 C2 FC AC 08 C0 74 1F 80 F8 0A 74 11 AA 80 F8 0D 75 F0 B0 0A AA AC 80 F8 0A 74 E7 EB E6 B8 0D 0A 00 00 66 AB EB DC AA 8D 47 FF 29 D0 5F 5E C3 }
	condition:
		$1
}

rule function_2785_0 {
	meta:
		name = "StreamSave"
		size = 93
		refs = "000f StreamSave 0046 @HandleAnyException 0050 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 F6 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 33 D2 89 10 83 3B 00 74 16 8B 45 10 50 8B 53 04 8B 03 8B 4D 0C 8B 18 FF 53 04 8B 55 14 89 02 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE 02 00 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_2786_0 {
	meta:
		name = "StreamLoad"
		size = 243
		refs = "001e StrAlloc 0029 StreamLoad 009c AdjustLineBreaks 00ab Move 00ba @HandleAnyException 00c6 @DoneExcept 00db StrDispose 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 5D 14 8B 75 10 33 C0 89 45 FC 8B 45 08 89 45 F0 8D 46 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D1 FE 79 03 83 D6 00 33 C0 89 03 8B 45 F8 03 C6 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 83 38 00 74 15 56 8B 45 F0 8B 50 04 8B 45 F0 8B 00 8B 4D F4 8B 30 FF 16 89 03 83 3B 00 7E 39 8B 03 8B 55 F4 C6 04 02 00 8B 03 8B 55 F4 80 7C 02 FF 0D 75 0A 8B 03 8B 55 F4 C6 44 02 FF 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 03 8B 0B 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 FC 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_2787_0 {
	meta:
		name = "TRichEditStrings.LoadFromStream"
		size = 350
		refs = "0017 TRichEditStrings.LoadFromStream 0042 TObject.Create 0064 StreamLoad 0073 TStream.GetPosition 009f TWinControl.GetHandle 00a5 SendMessage 00b9 TStream.SetPosition 00f7 sRichEditLoadFail 00fc LoadResString 0106 _Dn_EOutOfResources 010b Exception.Create 0110 @RaiseExcept 012e TObject.Free 0134 @HandleFinally 014b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F8 8B 45 FC 8B 40 14 85 C0 74 05 89 45 F0 EB 16 8B 45 FC 8B 40 0C 8B 80 40 02 00 00 B2 01 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 89 45 E4 B8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 80 78 10 00 74 07 BB 01 00 00 00 EB 05 BB 02 00 00 00 8D 45 E4 50 53 68 49 04 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 FB 02 75 66 83 7D E8 00 74 60 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 10 00 74 07 BB 02 00 00 00 EB 05 BB 01 00 00 00 8D 45 E4 50 53 68 49 04 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 14 00 75 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2788_0 {
	meta:
		name = "TRichEditStrings.SaveToStream"
		size = 269
		refs = "0015 TRichEditStrings.SaveToStream 003d TObject.Create 0062 StreamSave 0094 TWinControl.GetHandle 009a SendMessage 00a8 sRichEditSaveFail 00ad LoadResString 00b7 _Dn_EOutOfResources 00bc Exception.Create 00c1 @RaiseExcept 00df TObject.Free 00e5 @HandleFinally 00fc @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 85 C0 74 05 89 45 F0 EB 16 8B 45 FC 8B 40 0C 8B 80 40 02 00 00 B2 01 E8 ?? ?? ?? ?? 89 45 F0 89 5D F8 8B 45 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 89 45 E4 B8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 8B 45 FC 80 78 10 00 74 07 BB 01 00 00 00 EB 05 BB 02 00 00 00 8D 45 E4 50 53 68 4A 04 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 14 00 75 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2789_0 {
	meta:
		name = "TRichEditStrings.LoadFromFile"
		size = 244
		refs = "0015 TRichEditStrings.LoadFromFile 0025 ExtractFileExt 0030 AnsiLowerCaseFileName 0042 @LStrDelete 0048 ConversionFormatList 0059 @LStrCmp 006b TextConversionFormat 007d TObject.Create 009b TStrings.LoadFromFile 00aa @HandleAnyException 00b5 TObject.Free 00c2 @RaiseAgain 00c7 @DoneExcept 00e1 @LStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 85 DB 74 16 8B F3 8B 46 04 8B 55 F8 E8 ?? ?? ?? ?? 74 07 8B 5E 08 85 DB 75 EA 85 DB 75 05 BB ?? ?? ?? ?? 8B 45 FC 83 78 14 00 75 0F 8B 03 B2 01 E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2790_0 {
	meta:
		name = "TRichEditStrings.SaveToFile"
		size = 244
		refs = "0015 TRichEditStrings.SaveToFile 0025 ExtractFileExt 0030 AnsiLowerCaseFileName 0042 @LStrDelete 0048 ConversionFormatList 0059 @LStrCmp 006b TextConversionFormat 007d TObject.Create 009b TStrings.SaveToFile 00aa @HandleAnyException 00b5 TObject.Free 00c2 @RaiseAgain 00c7 @DoneExcept 00e1 @LStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 85 DB 74 16 8B F3 8B 46 04 8B 55 F8 E8 ?? ?? ?? ?? 74 07 8B 5E 08 85 DB 75 EA 85 DB 75 05 BB ?? ?? ?? ?? 8B 45 FC 83 78 14 00 75 0F 8B 03 B2 01 E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2791_0 {
	meta:
		name = "TCustomRichEdit.Create"
		size = 284
		refs = "000e @ClassCreate 001c TCustomMemo.Create 0027 _DV_TTextAttributes 002c TTextAttributes.Create 0051 _DV_TParaAttributes 0056 TParaAttributes.Create 0063 _DV_TRichEditStrings 0068 TObject.Create 007c TWinControl.SetTabStop 0088 TControl.SetWidth 0094 TControl.SetHeight 009d TCustomEdit.SetAutoSize 00b4 TCustomRichEdit.SetHideScrollBars 00bb GetDC 00c5 GetDeviceCaps 00d0 _DV_TConversion 00de ReleaseDC 00fa TControl.Perform 0107 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 02 00 00 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 02 00 00 89 5E 0C B2 01 8B C3 E8 ?? ?? ?? ?? BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 E8 01 00 00 00 C6 83 3C 02 00 00 01 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 5A 56 E8 ?? ?? ?? ?? 89 83 28 02 00 00 A1 ?? ?? ?? ?? 89 83 40 02 00 00 56 6A 00 E8 ?? ?? ?? ?? 8A 83 08 02 00 00 88 83 24 02 00 00 6A 00 33 C9 BA 3D B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2792_0 {
	meta:
		name = "TCustomRichEdit.Destroy"
		size = 92
		refs = "0003 @BeforeDestruction 0012 TObject.Free 004a TCustomMemo.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 18 02 00 00 E8 ?? ?? ?? ?? 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2794_0 {
	meta:
		name = "TCustomRichEdit.CreateParams"
		size = 160
		refs = "000d SetErrorMode 0014 TCustomRichEdit.CreateParams 0019 LoadLibrary 0045 TCustomMemo.CreateParams 0053 TWinControl.CreateSubClass 0065 HideScrollBars 0074 HideSelections"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 68 00 80 00 00 E8 ?? ?? ?? ?? 8B F8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 10 02 00 00 8B 83 10 02 00 00 85 C0 76 0D 83 F8 20 73 08 33 C0 89 83 10 02 00 00 57 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 33 D2 8A 93 14 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 3C 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 83 66 24 FC 5F 5E 5B C3 00 52 49 43 48 45 44 33 32 2E 44 4C 4C 00 00 00 00 52 49 43 48 45 44 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_2795_0 {
	meta:
		name = "TCustomRichEdit.CreateWnd"
		size = 292
		refs = "000d TCustomEdit.CreateWnd 0012 SysLocale 0029 GetDefFontCharSet 0036 TFont.SetCharset 004a TWinControl.GetHandle 0050 SendMessage 005b ColorToRGB 0089 TCustomRichEdit.GetPlainText 00a2 TStream.ReadBuffer 00ad TCustomRichEdit.SetPlainText 00b5 TCustomRichEdit.CreateWnd 00e0 TObject.Free 0109 @HandleFinally 011c TCustomEdit.SetModified"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 1E A1 ?? ?? ?? ?? 66 83 78 04 11 74 12 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 68 01 00 2C 00 6A 00 68 45 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 50 6A 00 68 43 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 30 02 00 00 00 0F 84 8A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8D 55 FA 8B 45 FC 8B 80 30 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8A 55 FA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 30 02 00 00 8B 45 FC 8B 80 2C 02 00 00 8B 08 FF 51 5C 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 30 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8A 90 3D 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_2796_0 {
	meta:
		name = "TCustomRichEdit.DestroyWnd"
		size = 201
		refs = "000d TCustomEdit.GetModified 001d _Dn_TMemoryStream 0022 TObject.Create 0033 TCustomRichEdit.GetPlainText 004e TCustomRichEdit.SetPlainText 0064 TStream.WriteBuffer 006c TCustomRichEdit.DestroyWnd 0099 TStream.SetPosition 00b7 @HandleFinally 00c1 TCustomEdit.DestroyWnd"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 88 82 3D 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 30 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8B 45 FC F6 40 20 10 0F 95 C0 88 45 FA 8A 55 FA 8B 45 FC E8 ?? ?? ?? ?? 8D 55 FA 8B 45 FC 8B 80 30 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 30 02 00 00 8B 45 FC 8B 80 2C 02 00 00 8B 08 FF 51 68 8B 45 FC 8B 80 30 02 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_2797_0 {
	meta:
		name = "TCustomRichEdit.WMNCDestroy"
		size = 28
		refs = "0006 TCustomMemo.WMNCDestroy 0016 FreeLibrary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 10 02 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2798_0 {
	meta:
		name = "TCustomRichEdit.CMFontChanged"
		size = 15
		altNames = "TCustomRichEdit.WMSetFont"
	strings:
		$1 = { 8B 50 58 8B 80 1C 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_2800_0 {
	meta:
		name = "TCustomRichEdit.DoSetMaxLength"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 35 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2801_0 {
	meta:
		name = "TCustomRichEdit.GetCaretPos"
		size = 93
		refs = "0016 TWinControl.GetHandle 001c SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C4 50 6A 00 68 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 89 06 8B 06 50 6A 00 68 36 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 04 6A 00 6A FF 68 BB 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 29 06 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2802_0 {
	meta:
		name = "TCustomRichEdit.GetSelLength"
		size = 40
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C4 50 6A 00 68 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_2803_0 {
	meta:
		name = "TCustomRichEdit.GetSelStart"
		size = 36
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C4 50 6A 00 68 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_2804_0 {
	meta:
		name = "TCustomRichEdit.GetSelTextBuf"
		size = 114
		refs = "0012 TCustomRichEdit.GetSelTextBuf 002d @LStrLen 0049 StrPLCopy 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 C4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 02 8B DE 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2805_0 {
	meta:
		name = "TCustomRichEdit.GetSelText"
		size = 65
		refs = "0016 @LStrSetLength 001d @LStrToPChar 002c TWinControl.GetHandle 0032 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 8B D0 42 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 6A 00 68 3E 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 92 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2806_0 {
	meta:
		name = "TCustomRichEdit.CMBiDiModeChanged"
		size = 85
		refs = "000f TWinControl.HandleNeeded 0018 TWinControl.CMBiDiModeChanged 0025 TParaAttributes.GetAttributes 0048 TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 64 FF FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 83 20 02 00 00 E8 ?? ?? ?? ?? C7 44 24 04 08 00 00 00 33 C0 8A 83 08 02 00 00 40 66 89 44 24 18 8B D4 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 81 C4 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_2807_0 {
	meta:
		name = "TCustomListView.SetHideSelection"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomRichEdit.SetHideScrollBars"
	strings:
		$1 = { 3A 90 14 02 00 00 74 0B 88 90 14 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2808_0 {
	meta:
		name = "TCustomRichEdit.SetHideSelection"
		size = 48
		refs = "0024 TWinControl.GetHandle 002a SendMessage"
	strings:
		$1 = { 53 8B D8 3A 93 3C 02 00 00 74 23 88 93 3C 02 00 00 6A 01 33 C0 8A 83 3C 02 00 00 50 68 3F 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2809_0 {
	meta:
		name = "TCustomRichEdit.SetSelAttributes"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 18 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2810_0 {
	meta:
		name = "TCustomRichEdit.SetSelLength"
		size = 89
		refs = "0016 TWinControl.GetHandle 001c SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C4 50 6A 00 68 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 8B C4 50 6A 00 68 37 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 31 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2811_0 {
	meta:
		name = "TCustomRichEdit.SetDefAttributes"
		size = 16
		altNames = "TQRImage.SetPicture"
	strings:
		$1 = { 56 8B F0 8B 86 1C 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2812_0 {
	meta:
		name = "TCustomRichEdit.GetPlainText"
		size = 10
	strings:
		$1 = { 8B 80 2C 02 00 00 8A 40 10 C3 }
	condition:
		$1
}

rule function_2813_0 {
	meta:
		name = "TCustomRichEdit.SetPlainText"
		size = 10
	strings:
		$1 = { 8B 80 2C 02 00 00 88 50 10 C3 }
	condition:
		$1
}

rule function_2814_0 {
	meta:
		name = "TCustomRichEdit.CMColorChanged"
		size = 41
		refs = "0006 TWinControl.CMColorChanged 000e ColorToRGB 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 50 6A 00 68 43 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2815_0 {
	meta:
		name = "TCustomRichEdit.SetRichEditStrings"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 2C 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2816_0 {
	meta:
		name = "TCustomRichEdit.SetSelStart"
		size = 40
		refs = "001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 14 24 89 54 24 04 8B C4 50 6A 00 68 37 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_2817_0 {
	meta:
		name = "TCustomRichEdit.Print"
		size = 442
		refs = "0018 @FillChar 001d Printer 002d @LStrAsg 0035 TPrinter.BeginDoc 003d TPrinter.GetHandle 0055 GetDeviceCaps 0075 IsRectEmpty 0081 TPrinter.GetPageWidth 0095 TPrinter.GetPageHeight 00fb TControl.GetTextLen 010f SetMapMode 0129 SendMessage 0131 TCustomRichEdit.Print 014c TWinControl.GetHandle 0165 TPrinter.NewPage 0176 TPrinter.EndDoc 01ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B DA 8B F0 8D 45 C8 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 C0 18 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 89 5D C8 89 5D CC 6A 58 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 6A 5A 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 8D 86 5C 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 2A 8B 45 F8 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FB 89 45 D8 8B 45 F8 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 89 45 DC EB 40 69 86 5C 02 00 00 A0 05 00 00 99 F7 FB 89 45 D0 69 86 60 02 00 00 A0 05 00 00 99 F7 FF 89 45 D4 69 86 64 02 00 00 A0 05 00 00 99 F7 FB 89 45 D8 69 86 68 02 00 00 A0 05 00 00 99 F7 FF 89 45 DC 56 8D 75 D0 8D 7D E0 B9 04 00 00 00 F3 A5 5E 33 DB 8B C6 E8 ?? ?? ?? ?? 8B F8 C7 45 F4 FF FF FF FF 6A 01 8B 45 C8 50 E8 ?? ?? ?? ?? 89 45 FC 6A 00 6A 00 68 39 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F0 8D 45 C8 50 6A 01 68 39 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 3B FB 7E 0D 83 FB FF 74 08 8B 45 F8 E8 ?? ?? ?? ?? 3B FB 7E 05 83 FB FF 75 C9 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 6A 00 68 39 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 C8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2818_0 {
	meta:
		name = "TCustomRichEdit.WMPaint"
		size = 195
		refs = "0016 TWinControl.GetHandle 001c GetUpdateRect 0044 Rect 0055 IntersectRect 006c InvalidateRect 0072 Painting 008d TCustomRichEdit.WMPaint 009c TWinControl.WMPaint 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B FA 8B D8 6A FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 4C 8D 55 D0 8B C3 8B 08 FF 51 44 8B 45 DC 50 8D 45 E0 50 8B 75 D8 8B C6 83 E8 03 8B CE 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 F0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 85 C0 74 13 6A FF 8D 45 E0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 09 8B C3 8B 10 FF 52 78 EB 3A C6 05 ?? ?? ?? ?? 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 E9 ?? ?? ?? ?? EB F1 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2819_0 {
	meta:
		name = "TCustomRichEdit.WMSetCursor"
		size = 143
		refs = "000e TWinControl.WMSetCursor 0021 GetCursorPos 0028 PointToSmallPoint 003b MakeLong 004a TControl.Perform 005a Screen 0066 TScreen.GetCursors 006c SetCursor"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 75 71 C7 46 0C 01 00 00 00 54 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 89 44 24 08 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 50 33 C9 BA 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 74 21 83 C0 FB 83 E8 02 73 30 A1 ?? ?? ?? ?? 8B 00 BA FE FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 17 A1 ?? ?? ?? ?? 8B 00 BA FC FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2820_0 {
	meta:
		name = "TCustomRichEdit.CNNotify"
		size = 122
		refs = "002b @CallDynaInst 004b TCustomRichEdit.SaveClipboard 0067 TCustomRichEdit.ProtectChange"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 43 08 8B 50 08 81 EA 01 07 00 00 74 1C 4A 74 0C 83 EA 02 74 3F 83 EA 04 74 1E EB 52 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? EB 45 8D 50 0C 8B C6 8B 08 FF 91 DC 00 00 00 EB 36 8B F8 8B 4F 10 8B 57 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 23 C7 43 0C 01 00 00 00 EB 1A 8D 78 18 8B 4F 04 8B 17 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 C7 43 0C 01 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2821_0 {
	meta:
		name = "TCustomRichEdit.SaveClipboard"
		size = 46
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 56 02 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 58 02 00 00 FF 93 54 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2822_0 {
	meta:
		name = "TCustomRichEdit.ProtectChange"
		size = 46
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 4E 02 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 50 02 00 00 FF 93 4C 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2824_0 {
	meta:
		name = "TCustomRichEdit.RequestSize"
		size = 31
	strings:
		$1 = { 53 66 83 B8 46 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 48 02 00 00 FF 93 44 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2825_0 {
	meta:
		name = "TCustomRichEdit.FindText"
		size = 85
		refs = "002e @LStrToPChar 0042 TWinControl.GetHandle 0048 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 8B F0 8B 45 08 8B D1 89 55 F4 03 55 0C 89 55 F8 33 DB A8 01 74 03 83 CB 02 A8 02 74 03 83 CB 04 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 53 68 38 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2826_0 {
	meta:
		name = "AppendConversionFormat"
		size = 129
		refs = "0017 AppendConversionFormat 0023 TConversionFormat 002d @New 003b AnsiLowerCaseFileName 0046 @LStrAsg 0050 ConversionFormatList 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 04 E8 ?? ?? ?? ?? 8B 45 FC 89 03 A1 ?? ?? ?? ?? 89 43 08 89 35 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2828_0 {
	meta:
		name = "TCustomUpDown.Create"
		size = 180
		refs = "000d @ClassCreate 001b TWinControl.Create 0022 GetSystemMetrics 002b TControl.SetWidth 003b TControl.SetHeight 0084 TCustomUpDown.Create 0099 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 14 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 8B D0 D1 FA 79 03 83 D2 00 03 D0 8B C3 E8 ?? ?? ?? ?? C6 83 EC 01 00 00 01 66 C7 83 F6 01 00 00 64 00 C7 83 F8 01 00 00 01 00 00 00 C6 83 08 02 00 00 01 C6 83 09 02 00 00 01 C6 83 FE 01 00 00 01 A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_2829_0 {
	meta:
		name = "TCustomUpDown.CreateParams"
		size = 148
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 0068 TCustomUpDown.CreateParams 0071 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 B8 10 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 83 4B 04 02 80 BE 08 02 00 00 01 75 06 83 4B 04 04 EB 04 83 4B 04 08 80 BE 09 02 00 00 00 75 04 83 4B 04 40 80 BE EC 01 00 00 00 74 04 83 4B 04 20 80 BE FE 01 00 00 00 75 07 81 4B 04 80 00 00 00 80 BE FF 01 00 00 00 74 04 83 4B 04 01 B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 24 83 E0 FC 83 C8 08 89 43 24 5E 5B C3 6D 73 63 74 6C 73 5F 75 70 64 6F 77 6E 33 32 00 }
	condition:
		$1
}

rule function_2830_0 {
	meta:
		name = "TCustomUpDown.CreateWnd"
		size = 213
		refs = "000d TWinControl.CreateWnd 0020 TCustomUpDown.UndoAutoResizing 002d TWinControl.GetHandle 0040 SendMessage 0049 TControl.SetWidth 005c MakeLong"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 73 38 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 85 C0 74 29 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 66 8B 93 F4 01 00 00 66 8B 83 F6 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 66 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 67 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C4 50 6A 01 68 6C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 89 44 24 04 8B C4 50 6A 01 68 6B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2831_0 {
	meta:
		name = "TCustomUpDown.WMHScroll"
		size = 87
		refs = "0030 @CallDynaInst"
		altNames = "TCustomUpDown.WMVScroll"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 F0 66 83 7F 04 04 75 3C 66 8B 47 06 66 8B 96 FC 01 00 00 66 3B C2 7E 0F 33 D2 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? EB 12 66 3B D0 7E 0D B2 01 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 66 8B 47 06 66 89 86 FC 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2832_0 {
	meta:
		name = "TCustomUpDown.WMSize"
		size = 47
		refs = "0009 TWinControl.WMSize 0020 TWinControl.GetHandle 0026 InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 44 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_2834_0 {
	meta:
		name = "TCustomUpDown.CanChange"
		size = 40
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 0E 02 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 10 02 00 00 FF 93 0C 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_2835_0 {
	meta:
		name = "TCustomUpDown.CMAllChildrenFlipped"
		size = 25
		refs = "000c TCustomUpDown.SetAlignButton"
	strings:
		$1 = { 80 B8 08 02 00 00 01 75 08 33 D2 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2836_0 {
	meta:
		name = "TCustomUpDown.CNNotify"
		size = 43
		refs = "001a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 47 08 81 78 08 2E FD FF FF 75 14 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 34 01 F6 D8 1B C0 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2837_0 {
	meta:
		name = "TCustomUpDown.Click"
		size = 31
	strings:
		$1 = { 53 66 83 B8 02 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 04 02 00 00 FF 93 00 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2838_0 {
	meta:
		name = "IsClass"
		size = 47
		refs = "0012 TObject.ClassNameIs 001d TObject.ClassParent"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 85 FF 74 1A 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 E6 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2839_0 {
	meta:
		name = "TCustomUpDown.SetAssociate"
		size = 540
		refs = "0016 TCustomUpDown.SetAssociate 002c TWinControl.GetControlCount 0045 TWinControl.GetControl 004b _DV_TCustomUpDown 0050 @IsClass 00a0 sUDAssociated 00a5 LoadResString 00af _Dn_Exception 00b4 Exception.CreateFmt 00b9 @RaiseExcept 00d3 TWinControl.HandleAllocated 00e7 TWinControl.GetHandle 00ed SendMessage 0126 _DV_TCustomTreeView 013b _DV_TCustomListView 014f TObject.ClassType 0159 IsClass 0186 TCustomUpDown.UndoAutoResizing 01b0 _Dn_TCustomEdit 01c8 IntToStr 01d2 TControl.SetText 01e7 @LStrClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 9F 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 8E 00 00 00 40 89 45 FC 33 FF 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 65 8B D7 8B 43 24 E8 ?? ?? ?? ?? 3B D8 74 57 8B D7 8B 43 24 E8 ?? ?? ?? ?? 3B B0 F0 01 00 00 75 45 8B 46 08 89 45 EC C6 45 F0 0B 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 C6 45 F8 0B 8D 45 EC 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D FC 0F 85 78 FF FF FF 83 BB F0 01 00 00 00 74 29 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 83 F0 01 00 00 85 F6 0F 84 D5 00 00 00 8B 46 24 3B 43 24 0F 85 C9 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 B4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 9F 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 8A 00 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 75 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 60 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C6 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 B3 F0 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 E8 0F BF 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 07 00 00 00 54 44 42 45 64 69 74 00 FF FF FF FF 07 00 00 00 54 44 42 4D 65 6D 6F 00 }
	condition:
		$1
}

rule function_2840_0 {
	meta:
		name = "TCustomUpDown.UndoAutoResizing"
		size = 84
		refs = "0013 TWinControl.GetHandle 0026 SendMessage 0040 TControl.SetWidth 004b TControl.SetLeft"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 73 38 8B 7B 30 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 38 8B 53 30 8B CE 2B C8 8B C1 8B EA 2B EF 8D 14 30 8B C3 E8 ?? ?? ?? ?? 8B D7 2B D5 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2841_0 {
	meta:
		name = "TCustomUpDown.Notification"
		size = 78
		refs = "0010 TControl.Notification 0024 TWinControl.HandleAllocated 0038 TWinControl.GetHandle 003e SendMessage"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 31 3B B7 F0 01 00 00 75 29 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1E 6A 00 6A 00 68 69 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 87 F0 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2842_0 {
	meta:
		name = "TCustomUpDown.GetPosition"
		size = 54
		refs = "0006 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 6A 00 6A 00 68 68 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 89 83 FC 01 00 00 5B C3 66 8B 83 FC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_2843_0 {
	meta:
		name = "TCustomUpDown.SetMin"
		size = 72
		refs = "0016 TWinControl.HandleAllocated 002d MakeLong 003c TWinControl.GetHandle 0042 SendMessage"
	strings:
		$1 = { 53 8B D8 66 3B 93 F4 01 00 00 74 3A 66 89 93 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 66 8B 93 F4 01 00 00 66 8B 83 F6 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2844_0 {
	meta:
		name = "TCustomUpDown.SetMax"
		size = 72
		refs = "0016 TWinControl.HandleAllocated 002d MakeLong 003c TWinControl.GetHandle 0042 SendMessage"
	strings:
		$1 = { 53 8B D8 66 3B 93 F6 01 00 00 74 3A 66 89 93 F6 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 66 8B 93 F4 01 00 00 66 8B 83 F6 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2845_0 {
	meta:
		name = "TCustomUpDown.SetIncrement"
		size = 89
		refs = "001a TWinControl.HandleAllocated 002f TWinControl.GetHandle 0035 SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 3B B3 F8 01 00 00 74 43 89 B3 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C4 50 6A 01 68 6C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 74 24 04 8B C4 50 6A 01 68 6B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2846_0 {
	meta:
		name = "TCustomUpDown.SetPosition"
		size = 182
		refs = "000d TCustomUpDown.SetPosition 0040 _Dn_TCustomEdit 0045 @IsClass 0058 IntToStr 0062 TControl.SetText 0069 TWinControl.HandleAllocated 007b MakeLong 008a TWinControl.GetHandle 0090 SendMessage 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 93 FC 01 00 00 74 74 66 89 93 FC 01 00 00 F6 43 20 10 74 39 83 BB F0 01 00 00 00 74 30 8B B3 F0 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 FC 0F BF 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 33 D2 66 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 67 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2847_0 {
	meta:
		name = "TCustomUpDown.SetOrientation"
		size = 112
		refs = "0013 TCustomUpDown.SetOrientation 003f TWinControl.HandleAllocated 0053 TWinControl.GetHandle 0059 SendMessage 0060 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 09 02 00 00 74 58 88 93 09 02 00 00 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 75 18 8B 43 3C 50 8B 43 38 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 96 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 41 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2848_0 {
	meta:
		name = "TCustomUpDown.SetAlignButton"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 08 02 00 00 74 2E 88 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2849_0 {
	meta:
		name = "TCustomUpDown.SetArrowKeys"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 EC 01 00 00 74 2E 88 93 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2850_0 {
	meta:
		name = "TCustomUpDown.SetThousands"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 FE 01 00 00 74 2E 88 93 FE 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2851_0 {
	meta:
		name = "TCustomUpDown.SetWrap"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 FF 01 00 00 74 2E 88 93 FF 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2852_0 {
	meta:
		name = "TCustomHotKey.Create"
		size = 148
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 0041 TControl.SetParentColor 004d TCustomHotKey.Create 006e TCustomHotKey.AdjustHeight 0079 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 EC 01 00 00 01 A0 ?? ?? ?? ?? 88 86 EE 01 00 00 A0 ?? ?? ?? ?? 88 86 ED 01 00 00 66 C7 86 F0 01 00 00 41 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 03 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_2853_0 {
	meta:
		name = "TCustomHotKey.CreateParams"
		size = 64
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomHotKey.CreateParams 0023 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 40 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 66 24 FC 5E 5B C3 00 00 6D 73 63 74 6C 73 5F 68 6F 74 6B 65 79 33 32 00 }
	condition:
		$1
}

rule function_2854_0 {
	meta:
		name = "TCustomHotKey.CreateWnd"
		size = 96
		refs = "0006 TWinControl.CreateWnd 0015 MakeLong 002b TWinControl.GetHandle 0031 SendMessage 0044 MakeWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 ED 01 00 00 33 D2 E8 ?? ?? ?? ?? 50 33 C0 8A 83 EE 01 00 00 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8A 93 ED 01 00 00 8A 83 F0 01 00 00 E8 ?? ?? ?? ?? 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2855_0 {
	meta:
		name = "TCustomHotKey.SetAutoSize"
		size = 20
		refs = "000f TCustomHotKey.UpdateHeight"
	strings:
		$1 = { 3A 90 EC 01 00 00 74 0B 88 90 EC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17691_0 {
	meta:
		name = "TCustomStaticText.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 EC 01 00 00 74 0B 88 90 EC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3424_0 {
	meta:
		name = "TPageScroller.SetAutoScroll"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 EC 01 00 00 74 0B 88 90 EC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2856_0 {
	meta:
		name = "TCustomHotKey.SetModifiers"
		size = 111
		refs = "0023 MakeLong 0039 TWinControl.GetHandle 003f SendMessage 0052 MakeWord"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 83 ED 01 00 00 3A 04 24 74 5A 8A 04 24 88 83 ED 01 00 00 33 C0 8A 04 24 33 D2 E8 ?? ?? ?? ?? 50 33 C0 8A 83 EE 01 00 00 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8A 93 ED 01 00 00 8A 83 F0 01 00 00 E8 ?? ?? ?? ?? 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_2857_0 {
	meta:
		name = "TCustomHotKey.SetInvalidKeys"
		size = 112
		refs = "0026 MakeLong 003a TWinControl.GetHandle 0040 SendMessage 0053 MakeWord"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 83 EE 01 00 00 3A 04 24 74 5B 8A 04 24 88 83 EE 01 00 00 33 C0 8A 83 ED 01 00 00 33 D2 E8 ?? ?? ?? ?? 50 33 C0 8A 44 24 04 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8A 93 ED 01 00 00 8A 83 F0 01 00 00 E8 ?? ?? ?? ?? 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_2858_0 {
	meta:
		name = "TCustomHotKey.GetHotKey"
		size = 36
		refs = "000f TWinControl.GetHandle 0015 SendMessage 001e TCustomHotKey.HotKeyToShortCut"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2859_0 {
	meta:
		name = "TCustomHotKey.SetHotKey"
		size = 53
		refs = "0006 TCustomHotKey.ShortCutToHotKey 0019 MakeWord 0029 TWinControl.GetHandle 002f SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8A 93 ED 01 00 00 8A 83 F0 01 00 00 E8 ?? ?? ?? ?? 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2860_0 {
	meta:
		name = "TCustomHotKey.UpdateHeight"
		size = 52
		refs = "000d TCustomHotKey.UpdateHeight 001a TCustomHotKey.AdjustHeight"
	strings:
		$1 = { 53 8B D8 80 BB EC 01 00 00 00 74 14 A1 ?? ?? ?? ?? 0B 43 40 89 43 40 8B C3 E8 ?? ?? ?? ?? 5B C3 A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 5B C3 00 00 02 00 00 }
	condition:
		$1
}

rule function_2861_0 {
	meta:
		name = "TCustomEdit.AdjustHeight"
		size = 168
		refs = "000b GetDC 0014 GetTextMetrics 001c TFont.GetHandle 0023 SelectObject 003f ReleaseDC 0044 NewStyleControls 0065 GetSystemMetrics 009d TControl.SetHeight"
		altNames = "TCustomHotKey.AdjustHeight"
	strings:
		$1 = { 53 56 57 83 C4 90 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 38 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 22 80 BE 2C 01 00 00 00 74 07 BB 08 00 00 00 EB 05 BB 06 00 00 00 6A 06 E8 ?? ?? ?? ?? F7 EB 8B D8 EB 25 8B 1C 24 8B 44 24 38 3B D8 7E 02 8B D8 6A 06 E8 ?? ?? ?? ?? C1 E0 02 85 DB 79 03 83 C3 03 C1 FB 02 03 C3 8B D8 8B 54 24 38 03 D3 8B C6 E8 ?? ?? ?? ?? 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2862_0 {
	meta:
		name = "TCustomHotKey.ShortCutToHotKey"
		size = 80
		refs = "0014 TCustomHotKey.ShortCutToHotKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 66 25 FF 1F 66 89 83 F0 01 00 00 A0 ?? ?? ?? ?? 88 83 ED 01 00 00 66 F7 C6 00 20 74 07 80 8B ED 01 00 00 01 66 F7 C6 00 40 74 07 80 8B ED 01 00 00 02 66 F7 C6 00 80 74 07 80 8B ED 01 00 00 04 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_2863_0 {
	meta:
		name = "TCustomHotKey.HotKeyToShortCut"
		size = 75
		refs = "0009 HiByte"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 88 83 ED 01 00 00 8B C6 25 FF 00 00 00 66 89 83 F0 01 00 00 F6 83 ED 01 00 00 01 74 04 66 05 00 20 F6 83 ED 01 00 00 02 74 04 66 05 00 40 F6 83 ED 01 00 00 04 74 04 66 05 00 80 5E 5B C3 }
	condition:
		$1
}

rule function_2864_0 {
	meta:
		name = "TListColumn.Create"
		size = 148
		refs = "0011 @ClassCreate 0023 TCollectionItem.Create 0053 TWinControl.HandleAllocated 005e TCollectionItem.GetIndex 0067 TWinControl.GetHandle 0070 ListView_InsertColumn 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C7 43 24 32 00 00 00 C6 43 0C 00 83 C8 FF 89 43 1C C7 45 DF 13 00 00 00 33 D2 89 55 E3 8B 53 24 89 55 E7 89 45 F7 8B FE 8B 47 18 E8 ?? ?? ?? ?? 84 C0 74 19 8B C3 E8 ?? ?? ?? ?? 50 8B 47 18 E8 ?? ?? ?? ?? 8D 4D DF 5A E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2865_0 {
	meta:
		name = "TListColumn.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 0012 TWinControl.HandleAllocated 001d TCollectionItem.GetIndex 0029 TWinControl.GetHandle 002f ListView_DeleteColumn 003b TCollectionItem.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 19 8B C6 E8 ?? ?? ?? ?? 50 8B 46 04 8B 40 18 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2866_0 {
	meta:
		name = "TListColumn.DefineProperties"
		size = 68
		refs = "000b TPersistent.DefineProperties 0011 TListColumn.ReadData 0017 TListColumn.WriteData 0023 TListColumn.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 24 FF 0F 9E C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 FF FF FF FF 09 00 00 00 57 69 64 74 68 54 79 70 65 00 00 00 }
	condition:
		$1
}

rule function_2867_0 {
	meta:
		name = "TListColumn.ReadData"
		size = 39
		refs = "0009 TReader.ReadListBegin 0010 TReader.ReadInteger 0019 TListColumn.SetWidth 0020 TReader.ReadListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2868_0 {
	meta:
		name = "TListColumn.WriteData"
		size = 33
		refs = "0009 TWriter.WriteListBegin 0013 TWriter.WriteInteger 001a TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 56 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2869_0 {
	meta:
		name = "WriteCols"
		size = 240
		refs = "0019 TWinControl.HandleAllocated 002d WriteCols 005f _Dn_TMemoryStream 0064 TObject.Create 008a _Dn_TWriter 008f TFiler.Create 00b1 TWriter.WriteCollection 00c6 TObject.Free 00d6 TStream.SetPosition 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 FC 8B 40 04 8B 40 18 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 BD 00 00 00 8B 45 F8 8A 40 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 0F 85 A3 00 00 00 8B 45 F8 80 B8 65 02 00 00 00 0F 85 93 00 00 00 8B 45 F8 8B 80 24 02 00 00 85 C0 75 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 24 02 00 00 EB 06 33 D2 8B 08 FF 11 68 00 04 00 00 8B 45 F8 8B 88 24 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 50 04 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 24 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 59 59 5D C3 00 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2870_0 {
	meta:
		name = "TListColumn.DoChange"
		size = 89
		refs = "0010 TCollection.GetCount 0027 TCollection.GetItem 0049 TCollectionItem.Changed 004f WriteCols"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 83 78 24 FF 7E 04 46 4B 75 E9 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 3B F0 0F 95 C2 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2871_0 {
	meta:
		name = "TListColumn.SetCaption"
		size = 38
		refs = "000c @LStrCmp 0018 @LStrAsg 001f TListColumn.DoChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2873_0 {
	meta:
		name = "TListColumn.IsWidthStored"
		size = 6
	strings:
		$1 = { 8A 40 0D 34 01 C3 }
	condition:
		$1
}

rule function_2874_0 {
	meta:
		name = "TListColumn.SetWidth"
		size = 14
		refs = "0009 TListColumn.DoChange"
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9937_0 {
	meta:
		name = "THTMLTableAttributes.SetCellPadding"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15582_0 {
	meta:
		name = "TThreadTimer.SetInterval"
		size = 14
		refs = "0009 TThreadTimer.UpdateTimer"
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8394_0 {
	meta:
		name = "TTimer.SetInterval"
		size = 14
		refs = "0009 TTimer.UpdateTimer"
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2875_0 {
	meta:
		name = "TListColumn.SetAlignment"
		size = 48
		refs = "000e TCollectionItem.GetIndex 001e TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 0C 74 22 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 88 5E 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 18 8B 10 FF 52 7C 5E 5B C3 }
	condition:
		$1
}

rule function_2876_0 {
	meta:
		name = "TListColumn.SetAutoSize"
		size = 41
		refs = "001b @CallDynaInst 0022 TListColumn.DoChange"
	strings:
		$1 = { 53 56 8B F0 3A 56 0D 74 1D 88 56 0D 8B 46 04 8B 40 18 85 C0 74 09 66 BB EF FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2877_0 {
	meta:
		name = "TListColumn.SetImageIndex"
		size = 14
		refs = "0009 TListColumn.DoChange"
	strings:
		$1 = { 3B 50 1C 74 08 89 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2878_0 {
	meta:
		name = "TCoolBand.SetImageIndex"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TDataBindItem.SetDispID TListColumn.SetMaxWidth"
	strings:
		$1 = { 3B 50 14 74 0A 89 50 14 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2879_0 {
	meta:
		name = "TListColumn.SetMinWidth"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 18 74 0A 89 50 18 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2880_0 {
	meta:
		name = "TListColumn.Assign"
		size = 114
		refs = "000a _DV_TListColumn 000f @IsClass 001d TListColumn.SetAlignment 0027 TListColumn.SetAutoSize 0031 TListColumn.SetCaption 003b TListColumn.SetImageIndex 0045 TListColumn.SetMaxWidth 004f TListColumn.SetMinWidth 0056 TListColumn.GetWidth 005f TListColumn.SetWidth 006b TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8A 56 0C 8B C3 E8 ?? ?? ?? ?? 8A 56 0D 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2881_0 {
	meta:
		name = "TColumn.GetDisplayName"
		size = 33
		refs = "000c @LStrLAsg 001a TCollectionItem.GetDisplayName"
		altNames = "TListColumn.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2888_0 {
	meta:
		name = "TIndexFiles.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
		altNames = "TSubItems.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2889_0 {
	meta:
		name = "TSubItems.Add"
		size = 28
		refs = "0007 TStringList.Add 0013 TSubItems.RefreshItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 56 01 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2890_0 {
	meta:
		name = "TSubItems.Delete"
		size = 20
		refs = "0006 TStringList.Delete 000e TListItem.Update"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2891_0 {
	meta:
		name = "TSubItems.GetHandle"
		size = 12
		refs = "0007 TListItems.GetHandle"
	strings:
		$1 = { 8B 40 2C 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2896_0 {
	meta:
		name = "TSubItems.SetUpdateState"
		size = 12
		refs = "0007 TListItems.SetUpdateState"
	strings:
		$1 = { 8B 40 2C 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2892_0 {
	meta:
		name = "TSubItems.SetColumnWidth"
		size = 67
		refs = "0008 TListItem.GetListView 0011 TCustomListView.ColumnsShowing 0020 TCollection.GetCount 002d TCustomListView.GetColumnFromIndex 003c TCustomListView.UpdateColumn"
	strings:
		$1 = { 53 56 8B F2 8B 40 2C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 27 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 3B F0 7D 18 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 24 FF 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2893_0 {
	meta:
		name = "TSubItems.Insert"
		size = 50
		refs = "000c TStringList.Insert 0026 TSubItems.RefreshItem"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 73 01 8B C7 8B 10 FF 52 14 8B D8 2B DE 7C 0E 43 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2894_0 {
	meta:
		name = "TSubItems.Put"
		size = 28
		refs = "000b TStringList.Put 0015 TSubItems.RefreshItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 56 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2895_0 {
	meta:
		name = "TSubItems.RefreshItem"
		size = 44
		refs = "000c TListItem.GetIndex 0014 TSubItems.GetHandle 001c ListView_SetItemText 0025 TSubItems.SetColumnWidth"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 8B 43 2C E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2897_0 {
	meta:
		name = "TListItem.Create"
		size = 122
		refs = "000e @ClassCreate 001f _DV_TSubItems 0024 TSubItems.Create 004b TWinControl.HandleAllocated 0058 TListItem.SetChecked 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 89 4B 04 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 C7 43 1C FF FF FF FF C7 43 20 FF FF FF FF 8B 43 04 8B 70 04 80 BE 50 02 00 00 00 74 14 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2898_0 {
	meta:
		name = "TListItem.Destroy"
		size = 108
		refs = "0003 @BeforeDestruction 0028 TListItem.GetListView 002d TWinControl.HandleAllocated 0038 TListItem.GetIndex 0040 TListItem.GetHandle 0046 ListView_DeleteItem 004e TObject.Free 005a TPersistent.Destroy 0065 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 28 01 8B 46 04 8B 40 04 3B B0 4C 02 00 00 75 08 33 D2 89 90 4C 02 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2900_0 {
	meta:
		name = "TListItem.Delete"
		size = 33
		refs = "000c TListItem.GetListView 001b TObject.Free"
	strings:
		$1 = { 53 8B D8 80 7B 28 00 75 16 8B C3 E8 ?? ?? ?? ?? 3B 98 68 02 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2902_0 {
	meta:
		name = "TListItem.MakeVisible"
		size = 34
		refs = "0009 TListItem.GetIndex 0011 TListItem.GetHandle 001b ListView_EnsureVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? F6 DB 1B C9 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2903_0 {
	meta:
		name = "TListItem.GetChecked"
		size = 97
		refs = "0016 TWinControl.HandleAllocated 002a TListItem.GetIndex 0032 TWinControl.GetHandle 0038 ListView_GetCheckState"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 58 04 80 BB 20 02 00 00 00 75 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 80 BB 50 02 00 00 00 74 19 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 1A B0 01 5E 5B C3 80 BB 50 02 00 00 00 74 06 80 7E 2A 00 75 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2904_0 {
	meta:
		name = "TListItem.SetChecked"
		size = 103
		refs = "001d TWinControl.HandleAllocated 002f TListItem.GetHandle 0034 ListView_GetExtendedListViewStyle 003d TWinControl.GetHandle 0047 ListView_SetExtendedListViewStyle 004e TListItem.GetIndex 005e ListView_SetCheckState"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 88 5E 2A 8B 46 04 8B 78 04 80 BF 20 02 00 00 00 75 48 8B C7 E8 ?? ?? ?? ?? 84 C0 74 3D C6 87 50 02 00 00 01 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C7 E8 ?? ?? ?? ?? 8B D5 83 CA 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2905_0 {
	meta:
		name = "TListItem.GetLeft"
		size = 22
		refs = "000b TListItem.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_7815_0 {
	meta:
		name = "TFindDialog.GetLeft"
		size = 22
		refs = "000b TFindDialog.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_2906_0 {
	meta:
		name = "TListItem.SetLeft"
		size = 41
		refs = "000c TListItem.GetTop 0017 Point 0020 TListItem.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4099_0 {
	meta:
		name = "TControl.SetClientWidth"
		size = 41
		refs = "000c TControl.GetClientHeight 0017 Point 0020 TControl.SetClientSize"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7822_0 {
	meta:
		name = "TFindDialog.SetLeft"
		size = 41
		refs = "000c TFindDialog.GetTop 0017 Point 0020 TFindDialog.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2907_0 {
	meta:
		name = "TListItem.GetTop"
		size = 23
		refs = "000b TListItem.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7818_0 {
	meta:
		name = "TFindDialog.GetTop"
		size = 23
		refs = "000b TFindDialog.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_2908_0 {
	meta:
		name = "TListItem.SetTop"
		size = 39
		refs = "000c TListItem.GetLeft 0015 Point 001e TListItem.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CC 8B D6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4101_0 {
	meta:
		name = "TControl.SetClientHeight"
		size = 39
		refs = "000c TControl.GetClientWidth 0015 Point 001e TControl.SetClientSize"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CC 8B D6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7825_0 {
	meta:
		name = "TFindDialog.SetTop"
		size = 39
		refs = "000c TFindDialog.GetLeft 0015 Point 001e TFindDialog.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CC 8B D6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2909_0 {
	meta:
		name = "TListItem.Update"
		size = 26
		refs = "0006 TListItem.GetIndex 000e TListItem.GetHandle 0014 ListView_Update"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3258_0 {
	meta:
		name = "TCoolBand.GetHeight"
		size = 26
		refs = "0006 TCollectionItem.GetIndex 000e TCoolBand.CoolBar 0014 TCoolBar.GetRowHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2910_0 {
	meta:
		name = "TListItem.SetCaption"
		size = 160
		refs = "000c @LStrAsg 0024 TListItem.GetIndex 002c TListItem.GetHandle 0034 ListView_SetItemText 003b TListItem.GetListView 0040 TCustomListView.ColumnsShowing 0056 TCollection.GetCount 0068 TCustomListView.GetColumnFromIndex 007a TCustomListView.UpdateColumns 0099 TCustomListView.AlphaSort"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 24 8B D6 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 80 B8 20 02 00 00 00 75 19 6A FF 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B C3 E8 ?? ?? ?? ?? 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 20 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 78 24 FF 7F 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 80 05 02 00 00 04 FE 2C 02 73 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2911_0 {
	meta:
		name = "TListItem.SetData"
		size = 41
		refs = "0009 TListItem.GetListView 0023 TCustomListView.AlphaSort"
	strings:
		$1 = { 53 8B D8 89 53 0C 8B C3 E8 ?? ?? ?? ?? 8A 80 05 02 00 00 2C 01 74 04 2C 02 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2912_0 {
	meta:
		name = "TListItem.EditCaption"
		size = 46
		refs = "0006 TListItem.GetListView 0015 TListItem.GetIndex 001d TListItem.GetHandle 0023 ListView_EditLabel"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_2913_0 {
	meta:
		name = "TListItem.CancelEdit"
		size = 20
		refs = "0006 TListItem.GetHandle 000e ListView_EditLabel"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2914_0 {
	meta:
		name = "TListItem.GetState"
		size = 104
		refs = "000c TListItem.GetState 004c TListItem.GetIndex 0054 TListItem.GetHandle 005c ListView_GetItemState"
	strings:
		$1 = { 53 56 8B F0 83 FA 04 77 3E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BB 04 00 00 00 EB 1E BB 08 00 00 00 EB 17 BB 01 00 00 00 EB 10 BB 02 00 00 00 EB 09 BB 20 00 00 00 EB 02 33 DB 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 85 D8 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_2915_0 {
	meta:
		name = "TListItem.SetState"
		size = 112
		refs = "000d TListItem.SetState 0058 TListItem.GetIndex 0060 TListItem.GetHandle 0068 ListView_SetItemState"
	strings:
		$1 = { 53 56 57 8B D8 83 FA 04 77 3E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BE 04 00 00 00 EB 1E BE 08 00 00 00 EB 17 BE 01 00 00 00 EB 10 BE 02 00 00 00 EB 09 BE 20 00 00 00 EB 02 33 F6 84 C9 74 04 8B FE EB 02 33 FF 56 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2916_0 {
	meta:
		name = "TListItem.SetImage"
		size = 276
		refs = "0044 TListItem.GetIndex 0055 TListItem.GetHandle 005c ListView_SetItem 007e IndexToOverlayMask 0095 ListView_SetItemState 00c6 IndexToStateImageMask 0103 TListItem.GetListView 010a TCustomListView.UpdateItems"
	strings:
		$1 = { 53 56 83 C4 D8 8B F1 8B D8 83 EA 01 72 0E 74 52 4A 0F 84 84 00 00 00 E9 C5 00 00 00 89 73 10 8B 43 04 8B 40 04 80 B8 20 02 00 00 00 0F 85 AF 00 00 00 C7 04 24 02 00 00 00 C7 44 24 1C FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? EB 7F 89 73 1C 8B 43 04 8B 40 04 80 B8 20 02 00 00 00 75 6D 68 00 0F 00 00 8B 43 1C 40 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 46 89 73 20 8B 43 04 8B 40 04 80 B8 50 02 00 00 00 74 07 83 FE FF 75 02 33 F6 80 B8 20 02 00 00 00 75 24 68 00 F0 00 00 8D 46 01 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 80 B8 20 02 00 00 00 75 1E 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2917_0 {
	meta:
		name = "TListItem.SetIndent"
		size = 106
		refs = "002b TListItem.GetIndex 003c TListItem.GetHandle 0043 ListView_SetItem 005a TListItem.GetListView 0061 TCustomListView.UpdateItems"
	strings:
		$1 = { 53 83 C4 D8 8B D8 3B 53 14 74 5A 89 53 14 8B 43 04 8B 40 04 80 B8 20 02 00 00 00 75 48 C7 04 24 10 00 00 00 89 54 24 24 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_2918_0 {
	meta:
		name = "TListItem.Assign"
		size = 151
		refs = "000a _DV_TListItem 000f @IsClass 0020 @AsClass 002c TListItem.SetCaption 0036 TListItem.SetData 0042 TListItem.SetImage 004c TListItem.SetIndent 0074 TListItem.SetSubItems 007b TListItem.GetChecked 0084 TListItem.SetChecked 0090 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 74 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 24 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 4E 10 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B 4E 1C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4E 20 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2919_0 {
	meta:
		name = "TListItem.IsEqual"
		size = 37
		refs = "000d @LStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 8B 56 24 E8 ?? ?? ?? ?? 75 08 8B 43 0C 3B 46 0C 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2920_0 {
	meta:
		name = "TListItem.SetSubItems"
		size = 17
	strings:
		$1 = { 56 8B F0 85 D2 74 08 8B 46 08 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_2921_0 {
	meta:
		name = "TListItem.GetIndex"
		size = 26
		refs = "0015 TListItems.IndexOf"
	strings:
		$1 = { 8B 50 04 8B 4A 04 80 B9 20 02 00 00 00 74 04 8B 40 18 C3 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2922_0 {
	meta:
		name = "TListItem.GetPosition"
		size = 32
		refs = "0009 TListItem.GetIndex 0011 TListItem.GetHandle 0019 ListView_GetItemPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2923_0 {
	meta:
		name = "TListItem.SetPosition"
		size = 53
		refs = "0009 TListItem.GetListView 001e TListItem.GetIndex 0026 TListItem.GetHandle 002e ListView_SetItemPosition32"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 80 F1 01 00 00 2C 02 73 1B 8B 46 04 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 0E 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2924_0 {
	meta:
		name = "TListItem.DisplayRect"
		size = 48
		refs = "0010 Codes 0018 TListItem.GetIndex 0020 TListItem.GetHandle 0028 ListView_GetItemRect"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2927_0 {
	meta:
		name = "TListItems.Add"
		size = 61
		refs = "0018 TListItems.GetCount 0023 TListItems.CreateItem 002b TListItems.GetHandle 0031 ListView_InsertItem"
	strings:
		$1 = { 53 56 83 C4 D8 8B D8 8B 43 04 8B 10 FF 92 B8 00 00 00 8B F0 54 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C6 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_2928_0 {
	meta:
		name = "TListItems.Insert"
		size = 58
		refs = "001f TListItems.CreateItem 0027 TListItems.GetHandle 002d ListView_InsertItem"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B FA 8B D8 8B 43 04 8B 10 FF 92 B8 00 00 00 8B F0 54 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C6 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2931_0 {
	meta:
		name = "TListItems.GetItem"
		size = 127
		refs = "0010 TWinControl.HandleAllocated 002e @FillChar 0047 TCustomListView.GetItem 0063 TListItems.GetHandle 006a ListView_GetItem"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B FA 8B D8 33 F6 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 5E 8B 43 04 80 B8 20 02 00 00 00 74 2B 8B C4 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 04 24 89 7C 24 04 33 C0 89 44 24 08 8B D4 8B 43 04 E8 ?? ?? ?? ?? 8B F0 EB 27 C7 04 24 04 00 00 00 89 7C 24 04 33 C0 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 04 8B 74 24 20 8B C6 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2932_0 {
	meta:
		name = "TListItems.IndexOf"
		size = 39
		refs = "0014 TListItems.GetHandle 001e ListView_FindItem"
	strings:
		$1 = { 53 83 C4 E8 8B D8 C7 04 24 01 00 00 00 89 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B CC 83 CA FF E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_2933_0 {
	meta:
		name = "TListItems.SetCount"
		size = 28
		refs = "0009 TListItems.GetHandle 0015 ListView_SetItemCountEx"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2935_0 {
	meta:
		name = "TListItems.Clear"
		size = 29
		refs = "0007 TWinControl.HandleAllocated 0012 TListItems.GetHandle 0017 ListView_DeleteAllItems"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2937_0 {
	meta:
		name = "TListItems.SetUpdateState"
		size = 452
		refs = "0027 TCustomListView.SetSortType 0038 TCollection.GetCount 0055 TListColumns.GetItem 0068 TListColumn.GetWidth 0072 TListColumn.DoChange 0084 TListItems.GetHandle 008a SendMessage 0095 TCustomListView.ColumnsShowing 00a8 TCustomListView.ValidHeaderHandle 012b TListColumn.SetWidth 0143 TListItems.SetUpdateState 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 84 D2 0F 84 BF 00 00 00 8B 45 FC 8B 40 04 8A 90 05 02 00 00 88 90 64 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 37 46 33 FF 8B 45 FC 8B 40 04 8B 80 18 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 24 85 C0 7D 14 89 43 20 8B C3 E8 ?? ?? ?? ?? 89 43 24 8B C3 E8 ?? ?? ?? ?? 47 4E 75 CC 6A 00 6A 00 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 0F 84 1D 01 00 00 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 0F 84 0A 01 00 00 6A 00 6A 00 6A 0B 8B 45 FC 8B 40 04 8B 80 40 02 00 00 50 E8 ?? ?? ?? ?? E9 ED 00 00 00 8B 45 FC 83 78 08 00 0F 85 E0 00 00 00 8B 45 FC 8B 40 04 8A 90 64 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 31 46 33 FF 8B 45 FC 8B 40 04 8B 80 18 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 20 85 C0 7D 0E 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 20 47 4E 75 D2 8B 45 FC C6 40 0C 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 01 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 0C 00 C3 E9 ?? ?? ?? ?? EB F1 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 6A 01 6A 0B 8B 45 FC 8B 40 04 8B 80 40 02 00 00 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2939_0 {
	meta:
		name = "TListItems.Assign"
		size = 94
		refs = "000c _DV_TListItems 0011 @IsClass 001c TListItems.Clear 0025 TListItems.GetCount 0038 TListItems.GetItem 0040 TListItems.Add 0055 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B C7 E8 ?? ?? ?? ?? 8B EB 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 29 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4B 75 E5 EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2942_0 {
	meta:
		name = "TListItems.ReadData"
		size = 387
		refs = "0016 TListItems.ReadData 0024 TListItems.Clear 0033 TStream.ReadBuffer 003b AllocMem 0083 TListItems.Add 0093 @LStrFromString 009d TListItem.SetCaption 00ab TListItem.SetImage 00dc TListItem.SetData 0154 @FreeMem 015a @HandleFinally 0171 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D F8 83 E9 04 8B 45 F0 8D 50 04 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 08 89 45 EC 8B 45 F0 8B 40 04 48 85 C0 0F 8C C5 00 00 00 40 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 E0 8B 55 EC 83 C2 14 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 48 08 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 48 04 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 50 10 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8D 58 14 33 C0 8A 03 40 01 C3 33 C0 89 45 F4 8B 45 EC 8B 40 0C 48 85 C0 7C 2A 40 89 45 E4 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8B 55 E0 8B 46 08 8B 08 FF 51 34 33 C0 8A 03 8D 50 01 01 55 F4 01 D3 FF 4D E4 75 DA 8B 45 EC 0F B6 40 14 83 C0 15 03 45 F4 01 45 EC FF 4D E8 0F 85 3F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2943_0 {
	meta:
		name = "GetLength"
		size = 18
		refs = "0001 @LStrLen"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 05 B8 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_2944_0 {
	meta:
		name = "TListItems.WriteData"
		size = 575
		refs = "0018 TListItems.WriteData 002d TListItems.GetCount 0048 TListItems.GetItem 0050 GetLength 00b4 AllocMem 0124 @LStrToString 01f7 TStream.WriteBuffer 020f @FreeMem 0215 @HandleFinally 022c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 7A 40 89 45 D8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 40 24 E8 ?? ?? ?? ?? 8B F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 C7 45 F0 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8D 4D D0 8B 55 F0 8B 38 FF 57 0C 8B 45 D0 E8 ?? ?? ?? ?? 40 03 F0 FF 45 F0 4B 75 D6 83 C6 15 01 75 EC FF 45 F4 FF 4D D8 75 91 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 8B 55 EC 89 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 89 42 04 8B 45 E4 83 C0 08 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C F4 00 00 00 40 89 45 D8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 D4 8B 45 E0 83 C0 14 8B 55 D4 8B 52 24 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8B 40 10 8B 55 E0 89 02 8B 45 D4 8B 40 1C 8B 55 E0 89 42 08 8B 45 D4 8B 40 20 8B 55 E0 89 42 04 8B 45 D4 8B 40 0C 8B 55 E0 89 42 10 8B 45 D4 8B 40 08 8B 10 FF 52 14 8B 55 E0 89 42 0C 8B 45 E0 83 C0 14 89 45 DC 8B 45 E0 0F B6 40 14 40 01 45 DC 33 C0 89 45 E8 8B 45 D4 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3E 43 C7 45 F0 00 00 00 00 8D 4D D0 8B 45 D4 8B 40 08 8B 55 F0 8B 30 FF 56 0C 8B 55 D0 8B 45 DC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 0F B6 30 8D 46 01 01 45 E8 01 45 DC FF 45 F0 4B 75 CA 8B 45 E0 0F B6 40 14 83 C0 15 03 45 E8 01 45 E0 FF 45 F4 FF 4D D8 0F 85 17 FF FF FF 8B 55 E4 8B 4D EC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2945_0 {
	meta:
		name = "TListItems.Delete"
		size = 23
		refs = "000b TListItems.GetItem 0010 TListItem.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5370_0 {
	meta:
		name = "TParams.GetItem"
		size = 23
		refs = "000b TCollection.GetItem 0010 TParam.ParamRef"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2946_0 {
	meta:
		name = "TListItems.CreateItem"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 45 08 C7 00 06 00 00 00 89 50 04 33 D2 89 50 08 C7 40 1C FF FF FF FF 89 48 20 5D C2 04 00 }
	condition:
		$1
}

rule function_2947_0 {
	meta:
		name = "TIconOptions.Create"
		size = 174
		refs = "0010 @ClassCreate 001e TIconOptions.Create 002d TObject.Create 0039 sInvalidOwner 003e LoadResString 0048 _Dn_Exception 004d Exception.Create 0052 @RaiseExcept 005e TIconOptions.SetArrangement 0067 TIconOptions.SetAutoArrange 0070 TIconOptions.SetWrapText 0085 @LStrClr 008b @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 04 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2948_0 {
	meta:
		name = "TIconOptions.SetArrangement"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 08 74 0B 88 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2949_0 {
	meta:
		name = "TIconOptions.SetAutoArrange"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 09 74 0B 88 50 09 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2950_0 {
	meta:
		name = "TIconOptions.SetWrapText"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 0A 74 0B 88 50 0A 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2951_0 {
	meta:
		name = "DefaultListViewSort"
		size = 108
		refs = "000f TListItem.GetListView 004c @LStrToPChar 005b lstrcmp"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 66 83 B8 EE 02 00 00 00 74 2B 56 8B 45 10 50 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 F0 02 00 00 FF 96 EC 02 00 00 EB 1A 8B 46 24 E8 ?? ?? ?? ?? 50 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2952_0 {
	meta:
		name = "TCustomListView.Create"
		size = 440
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 TCustomListView.Create 003b TControl.SetWidth 0047 TControl.SetHeight 0050 TCustomListView.SetBorderStyle 0059 TCustomListView.SetViewStyle 0062 TControl.SetParentColor 006b TWinControl.SetTabStop 0074 TCustomListView.SetHideSelection 007d TCustomListView.SetColumnHeaders 0086 TCustomListView.SetColumnClick 008d _Dn_TControlCanvas 0092 TCanvas.Create 00a3 TControlCanvas.SetControl 00b6 _DV_TListColumns 00bb TListColumns.Create 00ca _DV_TListItems 00cf TListItems.Create 00ee _DV_TIconOptions 00f3 TIconOptions.Create 0107 _Dn_TDragImageList 010c TCustomImageList.CreateSize 0118 TCustomListView.EditWndProc 011d MakeObjectInstance 0129 TCustomListView.HeaderWndProc 013b _Dn_TChangeLink 0140 TObject.Create 0152 TCustomListView.ImageListChange 019b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 40 0B 05 ?? ?? ?? ?? 89 43 40 BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? C7 83 48 02 00 00 FF FF FF FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 02 00 00 8B C3 8B 10 FF 92 B8 00 00 00 89 83 68 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 10 02 00 00 6A 20 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 02 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 2C 02 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 5C 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 60 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 02 00 00 00 00 60 00 00 }
	condition:
		$1
}

rule function_2953_0 {
	meta:
		name = "TCustomListView.Destroy"
		size = 237
		refs = "0003 @BeforeDestruction 000e TWinControl.HandleAllocated 0027 TObject.Free 007f FreeObjectInstance 0098 SetWindowLong 00db TWinControl.Destroy 00e6 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 86 18 02 00 00 E8 ?? ?? ?? ?? 8B 86 68 02 00 00 E8 ?? ?? ?? ?? 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B 86 10 02 00 00 E8 ?? ?? ?? ?? 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 8B 86 40 02 00 00 85 C0 74 0F 8B 96 3C 02 00 00 52 6A FC 50 E8 ?? ?? ?? ?? 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 8B 86 5C 02 00 00 E8 ?? ?? ?? ?? 8B 86 60 02 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2954_0 {
	meta:
		name = "TCustomListView.CreateParams"
		size = 300
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomListView.CreateParams 0023 TWinControl.CreateSubClass 003b ViewStyles 004a BorderStyles 005c Arrangements 006b EditStyles 007a MultiSelections 0089 HideSelections 0095 AutoArrange 00a0 WrapText 00af ShowColumns 00be ColumnClicks 00f2 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 56 04 81 CA 00 00 00 02 33 C9 8A 8B F1 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B F0 01 00 00 0B 14 8D ?? ?? ?? ?? 8B 83 10 02 00 00 33 C9 8A 48 08 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B F2 01 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 04 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 14 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 48 09 0B 14 8D ?? ?? ?? ?? 0F B6 40 0A 0B 14 85 ?? ?? ?? ?? 33 C0 8A 83 07 02 00 00 0B 14 85 ?? ?? ?? ?? 33 C0 8A 83 06 02 00 00 0B 14 85 ?? ?? ?? ?? 83 CA 40 89 56 04 80 BB 20 02 00 00 00 74 07 81 4E 04 00 10 00 00 80 BB 21 02 00 00 00 74 07 81 4E 04 00 04 00 00 80 BB 2C 01 00 00 00 74 21 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB F0 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 00 00 00 53 79 73 4C 69 73 74 56 69 65 77 33 32 00 00 00 }
	condition:
		$1
}

rule function_2955_0 {
	meta:
		name = "ReadCols"
		size = 179
		refs = "0024 TCollection.Clear 003c _Dn_TReader 0041 TFiler.Create 004c ReadCols 005a TReader.ReadValue 006e TReader.ReadCollection 0083 TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 83 B8 24 02 00 00 00 0F 84 99 00 00 00 8B 45 08 8B 40 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 68 00 04 00 00 8B 45 08 8B 40 FC 8B 88 24 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 18 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC 8B 80 24 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 08 8B 40 FC 33 D2 89 90 24 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_2956_0 {
	meta:
		name = "UpdateCols"
		size = 128
		refs = "0018 TCollection.GetCount 003d TListColumns.GetItem 0057 TCollectionItem.GetIndex 005f TWinControl.GetHandle 0068 ListView_InsertColumn 0071 TCustomListView.UpdateColumn"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 56 46 33 DB C7 45 E0 03 00 00 00 33 C0 89 45 E4 8B 07 8B 80 18 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 24 89 45 E8 8B 07 8B 80 18 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 07 E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? 8B 07 8B D3 E8 ?? ?? ?? ?? 43 4E 75 AD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2957_0 {
	meta:
		name = "TCustomListView.CreateWnd"
		size = 445
		refs = "000c TWinControl.CreateWnd 0014 TCustomListView.ResetExStyles 0022 TCustomListView.SetTextBkColor 0033 TCustomListView.SetTextColor 0044 TCustomListView.SetAllocBy 0062 TListItems.BeginUpdate 0074 TCustomListView.CreateWnd 0088 TCollection.Clear 0099 TStream.ReadComponent 00c8 TCustomListView.RestoreChecks 00ce ReadCols 00dd TControl.SetFont 00f8 TListItems.EndUpdate 0108 @HandleFinally 0110 UpdateCols 0125 TCustomImageList.HandleAllocated 0137 TCustomImageList.GetHandle 0143 TCustomListView.SetImageList 01b5 TCustomListView.DoAutoSize"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 8B 50 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 44 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 1C 02 00 00 00 0F 84 B6 00 00 00 8B 45 FC 8B 80 08 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 65 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 1C 02 00 00 8B 45 FC 80 B8 50 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 50 58 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 08 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 65 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 98 F4 01 00 00 85 DB 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 F8 01 00 00 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 FC 01 00 00 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_2958_0 {
	meta:
		name = "TCustomListView.DestroyWnd"
		size = 90
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0030 TStream.WriteComponent 003d TStream.SetPosition 004d TCustomListView.SaveChecks 0054 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B 83 1C 02 00 00 85 C0 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 02 00 00 EB 06 33 D2 8B 08 FF 11 8B D3 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 80 BB 50 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2960_0 {
	meta:
		name = "TCustomListView.ImageListChange"
		size = 113
		refs = "000a TWinControl.HandleAllocated 0017 TCustomImageList.HandleAllocated 0022 TCustomImageList.GetHandle 0039 TCustomListView.SetImageList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5B 8B FE 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 E8 ?? ?? ?? ?? EB 02 33 C0 3B B3 F4 01 00 00 75 0D 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? EB 2E 3B B3 F8 01 00 00 75 10 B9 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 16 3B B3 FC 01 00 00 75 0E B9 02 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2961_0 {
	meta:
		name = "TCustomListView.Notification"
		size = 80
		refs = "0010 TControl.Notification 0026 TCustomListView.SetLargeImages 0037 TCustomListView.SetSmallImages 0048 TCustomListView.SetStateImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 33 3B B7 F4 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 F8 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 FC 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2962_0 {
	meta:
		name = "TCustomListView.HeaderWndProc"
		size = 220
		refs = "0010 TCustomListView.HeaderWndProc 0065 CallWindowProc 00be @HandleAnyException 00c3 Application 00cd TApplication.HandleException 00d2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 33 8B C6 2D 82 00 00 00 74 22 83 E8 02 75 62 8B 45 FC F6 40 20 10 74 59 C7 43 0C FF FF FF FF 33 C0 5A 59 59 64 89 10 E9 8F 00 00 00 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 80 40 02 00 00 50 8B 45 FC 8B 80 3C 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 8B 45 FC 33 D2 89 90 40 02 00 00 8B 45 FC 33 D2 89 90 3C 02 00 00 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 40 02 00 00 50 8B 45 FC 8B 80 3C 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2963_0 {
	meta:
		name = "TCustomListView.EditWndProc"
		size = 256
		refs = "0010 TCustomListView.EditWndProc 0057 TWinControl.DoKeyDown 0072 TWinControl.DoKeyPress 008a TWinControl.DoKeyUp 00d0 CallWindowProc 00e2 @HandleAnyException 00e7 Application 00f1 TApplication.HandleException 00f6 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 05 01 00 00 7F 16 74 5F 2D 00 01 00 00 74 25 48 74 55 48 74 3A 83 E8 02 74 1A EB 77 2D 00 BD 00 00 74 5C 83 E8 02 74 57 83 E8 02 74 52 83 E8 02 74 4D EB 5F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 33 C0 5A 59 59 64 89 10 E9 8E 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 5A 59 59 64 89 10 EB 76 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1E 33 C0 5A 59 59 64 89 10 EB 5E 8B D3 8B 45 FC 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 34 02 00 00 50 8B 45 FC 8B 80 30 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2964_0 {
	meta:
		name = "TCustomListView.UpdateItems"
		size = 29
		refs = "000c TWinControl.GetHandle 0015 ListView_RedrawItems"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3030_0 {
	meta:
		name = "TCustomListView.Scroll"
		size = 29
		refs = "000c TWinControl.GetHandle 0015 ListView_Scroll"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2965_0 {
	meta:
		name = "TCustomListView.ResetExStyles"
		size = 232
		refs = "0008 TWinControl.HandleAllocated 0027 TCustomListView.SetStateImages 0089 TCustomListView.ResetExStyles 00c4 TWinControl.GetHandle 00cb ListView_SetExtendedListViewStyle"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 33 FF 8B 83 FC 01 00 00 85 C0 74 0B 8B F8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 F6 80 BB 50 02 00 00 00 74 05 BE 04 00 00 00 80 BB 53 02 00 00 00 74 03 83 CE 01 80 BB 54 02 00 00 00 74 03 83 CE 08 80 BB 56 02 00 00 00 74 03 83 CE 20 80 BB 51 02 00 00 00 74 06 81 CE 00 01 00 00 80 BB 52 02 00 00 00 74 03 83 CE 10 F6 83 55 02 00 00 01 74 05 83 CE 40 EB 1B A0 ?? ?? ?? ?? 22 83 55 02 00 00 8A 15 ?? ?? ?? ?? 3A D0 74 06 81 CE 80 00 00 00 F6 83 55 02 00 00 04 74 06 81 CE 00 08 00 00 F6 83 55 02 00 00 02 74 06 81 CE 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 FF 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 06 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2966_0 {
	meta:
		name = "TCustomListView.RestoreChecks"
		size = 122
		refs = "000e TListItems.GetCount 003b TListItems.GetItem 0043 TListItem.SetChecked 0068 TObject.Free"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 48 46 33 FF 8B 83 28 02 00 00 85 C0 74 23 8B D4 B9 01 00 00 00 8B 28 FF 55 04 8B D7 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8A 14 24 E8 ?? ?? ?? ?? EB 14 8B D7 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4E 75 BB 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 28 02 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2967_0 {
	meta:
		name = "TCustomListView.SaveChecks"
		size = 126
		refs = "0014 _Dn_TMemoryStream 0019 TObject.Create 0032 TListItems.GetCount 0049 TListItems.GetItem 004e TListItem.GetChecked 0074 TStream.SetPosition"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 28 02 00 00 85 C0 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 28 02 00 00 EB 06 33 D2 8B 08 FF 11 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 33 FF 8B D7 8B 83 08 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 04 24 8B D4 B9 01 00 00 00 8B 83 28 02 00 00 8B 28 FF 55 08 47 4E 75 D5 33 D2 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2968_0 {
	meta:
		name = "TCustomListView.SetCheckboxes"
		size = 42
		refs = "0014 TCustomListView.ResetExStyles 0024 TCustomListView.RestoreChecks"
	strings:
		$1 = { 53 8B D8 3A 93 50 02 00 00 74 1D 88 93 50 02 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 50 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2969_0 {
	meta:
		name = "TCustomListView.SetGridLines"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 53 02 00 00 74 0B 88 90 53 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2970_0 {
	meta:
		name = "TCustomListView.SetHotTrack"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 54 02 00 00 74 0B 88 90 54 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2971_0 {
	meta:
		name = "TCustomListView.SetHotTrackStyles"
		size = 37
		refs = "001e TCustomListView.ResetExStyles"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 04 24 3A 83 55 02 00 00 74 10 8A 04 24 88 83 55 02 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_2972_0 {
	meta:
		name = "TCustomListView.SetOwnerData"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 20 02 00 00 74 0B 88 90 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2973_0 {
	meta:
		name = "TCustomListView.SetOwnerDraw"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 21 02 00 00 74 0B 88 90 21 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2974_0 {
	meta:
		name = "TCustomListView.SetRowSelect"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 56 02 00 00 74 0B 88 90 56 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2975_0 {
	meta:
		name = "TCustomListView.SetFlatScrollBars"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 51 02 00 00 74 0B 88 90 51 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2976_0 {
	meta:
		name = "TCustomListView.SetFullDrag"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 52 02 00 00 74 0B 88 90 52 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2978_0 {
	meta:
		name = "TCustomListView.SetColumnClick"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 06 02 00 00 74 0B 88 90 06 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2979_0 {
	meta:
		name = "TCustomListBox.SetExtendedSelect"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomListView.SetMultiSelect"
	strings:
		$1 = { 3A 90 04 02 00 00 74 0B 88 90 04 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2980_0 {
	meta:
		name = "TCustomListView.SetColumnHeaders"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 07 02 00 00 74 0B 88 90 07 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2981_0 {
	meta:
		name = "TCustomListView.SetTextColor"
		size = 30
		refs = "000a ColorToRGB 0012 TWinControl.GetHandle 0018 ListView_SetTextColor"
	strings:
		$1 = { 53 8B D8 8B 43 58 8B 40 14 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2982_0 {
	meta:
		name = "TCustomListView.SetTextBkColor"
		size = 49
		refs = "0007 ColorToRGB 000f TWinControl.GetHandle 0015 ListView_SetTextBkColor 002b ListView_SetBkColor"
	strings:
		$1 = { 53 8B D8 8B 43 64 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2983_0 {
	meta:
		name = "TCustomListView.SetAllocBy"
		size = 48
		refs = "0017 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0029 ListView_SetItemCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 44 02 00 00 74 1F 89 B3 44 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2984_0 {
	meta:
		name = "TCustomListView.CMColorChanged"
		size = 33
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.HandleAllocated 001b TCustomListView.SetTextBkColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 53 64 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2985_0 {
	meta:
		name = "TCustomListView.CMCtl3DChanged"
		size = 34
		refs = "0012 TWinControl.RecreateWnd 001b TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB F0 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2986_0 {
	meta:
		name = "TCustomListView.WMNotify"
		size = 84
		refs = "000c TWinControl.WMNotify 0013 TCustomListView.ValidHeaderHandle 0044 TCustomListView.GetColumnFromIndex 004c TListColumn.SetWidth"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 8B 46 08 8B 10 3B 93 40 02 00 00 75 28 81 78 08 CD FE FF FF 75 1F 8B 46 08 8B F0 8B 7E 14 F6 07 01 74 12 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2987_0 {
	meta:
		name = "TCustomListView.ColumnsShowing"
		size = 11
	strings:
		$1 = { 80 B8 F1 01 00 00 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_2988_0 {
	meta:
		name = "TCustomListView.ValidHeaderHandle"
		size = 11
	strings:
		$1 = { 83 B8 40 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_2989_0 {
	meta:
		name = "TCustomListView.CMFontChanged"
		size = 63
		refs = "0006 TWinControl.CMFontChanged 000d TWinControl.HandleAllocated 001e TCustomListView.SetTextColor 0025 TCustomListView.ValidHeaderHandle 0039 InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B 43 58 8B 50 14 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 6A FF 6A 00 8B 83 40 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2991_0 {
	meta:
		name = "TCustomListView.SetReadOnly"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F2 01 00 00 74 0B 88 90 F2 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2992_0 {
	meta:
		name = "TCustomListView.SetIconOptions"
		size = 43
		refs = "0010 TIconOptions.SetArrangement 001a TIconOptions.SetAutoArrange 0024 TIconOptions.SetWrapText"
	strings:
		$1 = { 53 56 8B F2 8B 98 10 02 00 00 8A 56 08 8B C3 E8 ?? ?? ?? ?? 8A 56 09 8B C3 E8 ?? ?? ?? ?? 8A 56 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2993_0 {
	meta:
		name = "TCustomListView.SetViewStyle"
		size = 132
		refs = "0015 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0028 GetWindowLong 003c ViewStyles 004c SetWindowLong 0053 TCustomListView.UpdateColumns 0072 TCustomListView.Arrange"
	strings:
		$1 = { 53 56 8B D8 3A 93 F1 01 00 00 74 75 88 93 F1 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 64 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 E6 FC 33 C0 8A 83 F1 01 00 00 0B 34 85 ?? ?? ?? ?? 56 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 83 F1 01 00 00 2C 02 73 20 8B 83 10 02 00 00 80 78 08 00 75 0B B2 03 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2994_0 {
	meta:
		name = "TCustomListView.WMParentNotify"
		size = 80
		refs = "0024 GetWindowLong 003f SetWindowLong 0048 TWinControl.WMParentNotify"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 66 83 7E 04 01 75 35 83 BB 40 02 00 00 00 75 2C 8B 7E 08 89 BB 40 02 00 00 6A FC 57 E8 ?? ?? ?? ?? 89 83 3C 02 00 00 8B 83 38 02 00 00 50 6A FC 8B 83 40 02 00 00 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2995_0 {
	meta:
		name = "TCustomListView.GetItemIndex"
		size = 85
		refs = "0017 TListItems.GetCount 002e TListItems.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 87 08 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 8B 87 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 3B E8 74 04 46 4B 75 EB 8B 87 08 02 00 00 E8 ?? ?? ?? ?? 3B F0 7D 03 89 34 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2996_0 {
	meta:
		name = "TCustomListView.OwnerDataFetch"
		size = 37
	strings:
		$1 = { 53 66 83 B8 9E 02 00 00 00 74 16 8B D8 8B CA 8B D0 8B 83 A0 02 00 00 FF 93 9C 02 00 00 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2997_0 {
	meta:
		name = "TCustomListView.OwnerDataFind"
		size = 74
	strings:
		$1 = { 55 8B EC 51 53 C7 45 FC FF FF FF FF 66 83 B8 A6 02 00 00 00 74 2B 51 8B 4D 18 51 8B 4D 14 51 8B 4D 10 51 8A 4D 0C 51 8A 4D 08 51 8D 4D FC 51 8B D8 8B CA 8B D0 8B 83 A8 02 00 00 FF 93 A4 02 00 00 8B 45 FC 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_2998_0 {
	meta:
		name = "TCustomListView.OwnerDataHint"
		size = 38
	strings:
		$1 = { 53 66 83 B8 AE 02 00 00 00 74 17 51 8B D8 8B CA 8B D0 8B 83 B0 02 00 00 FF 93 AC 02 00 00 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2999_0 {
	meta:
		name = "TCustomListView.OwnerDataStateChange"
		size = 52
	strings:
		$1 = { 55 8B EC 53 66 83 B8 B6 02 00 00 00 74 1F 51 8A 4D 0C 51 8A 4D 08 51 8B D8 8B CA 8B D0 8B 83 B8 02 00 00 FF 93 B4 02 00 00 B0 01 EB 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3000_0 {
	meta:
		name = "TCustomListView.CreateListItem"
		size = 19
		refs = "0009 _DV_TListItem 000e TListItem.Create"
	strings:
		$1 = { 8B 88 08 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3001_0 {
	meta:
		name = "ConvertMask"
		size = 76
		refs = "0006 ConvertMask"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? F7 C6 01 00 00 00 74 03 80 CB 01 F7 C6 02 00 00 00 74 03 80 CB 02 F7 C6 04 00 00 00 74 03 80 CB 04 F7 C6 08 00 00 00 74 03 80 CB 08 F7 C6 10 00 00 00 74 03 80 CB 10 8B C3 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3002_0 {
	meta:
		name = "TCustomListView.GetItem"
		size = 303
		refs = "0020 TCustomListView.GetItem 0064 ConvertMask 0096 StrPas 00a0 @LStrClr 00b1 @LStrAsg 0103 TListItems.GetItem 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D FC 8B F2 8D 7D D4 B9 0A 00 00 00 F3 A5 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D D4 F7 C7 04 00 00 00 74 08 8B 5D F4 E9 CC 00 00 00 80 BE 20 02 00 00 00 0F 84 AF 00 00 00 83 7D D8 00 7D 07 33 DB E9 B2 00 00 00 83 7D DC 00 0F 85 90 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 8B BE 68 02 00 00 8B 45 D8 89 47 18 8B 45 F4 89 47 0C 8B 47 08 8B 10 FF 52 40 F6 C3 01 74 13 83 7D E8 00 74 0D 8D 55 FC 8B 45 E8 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 86 68 02 00 00 83 C0 24 8B 55 FC E8 ?? ?? ?? ?? F6 C3 02 74 0C 8B 86 68 02 00 00 8B 55 F0 89 50 10 F6 C3 10 74 0C 8B 86 68 02 00 00 8B 55 F8 89 50 14 8B CB 8B 96 68 02 00 00 8B C6 8B 18 FF 93 CC 00 00 00 8B 9E 68 02 00 00 EB 18 8B 9E 68 02 00 00 EB 10 8B 55 D8 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3004_0 {
	meta:
		name = "ConvertFlags"
		size = 34
	strings:
		$1 = { A8 01 74 03 33 C0 C3 A8 08 74 04 B0 01 EB 12 A8 02 74 04 B0 02 EB 0A A8 40 74 04 B0 03 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_3005_0 {
	meta:
		name = "ConvertStates"
		size = 76
		refs = "0006 ConvertStates"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? F7 C6 20 00 00 00 74 03 80 CB 20 F7 C6 04 00 00 00 74 03 80 CB 02 F7 C6 08 00 00 00 74 03 80 CB 04 F7 C6 01 00 00 00 74 03 80 CB 08 F7 C6 02 00 00 00 74 03 80 CB 10 8B C3 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3006_0 {
	meta:
		name = "TCustomListView.CNNotify"
		size = 1836
		refs = "0019 TCustomListView.CNNotify 00e9 TCustomListView.IsCustomDrawn 00fe TCanvas.SetHandle 010c TCanvas.SetFont 011d TCanvas.SetBrush 01e3 TCustomListView.CanvasChanged 01ff @FillChar 0222 TCustomListView.GetItem 02a9 ColorToRGB 02ba TBrush.GetColor 02d0 TFont.GetHandle 02dd SelectObject 0366 @CallDynaInst 0376 TListItems.GetCount 038f TListItems.GetItem 03da StrPLCopy 0425 TCustomListView.GetImageIndex 046a ConvertFlags 0479 @LStrClr 0485 Point 04b6 StrPas 0548 ConvertStates 05a1 TWinControl.GetHandle 05a6 ListView_GetEditControl 05b6 GetWindowLong 05d1 SetWindowLong 0609 TCustomListView.GetColumnFromIndex 071f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C9 89 4D 9C 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 8B 43 08 83 F8 98 7F 5A 0F 84 3B 03 00 00 83 F8 93 7F 31 0F 84 09 03 00 00 2D 68 FF FF FF 0F 84 16 04 00 00 83 E8 02 0F 84 58 03 00 00 83 E8 23 0F 84 E5 04 00 00 83 E8 02 0F 84 E4 03 00 00 E9 96 06 00 00 83 E8 94 0F 84 90 05 00 00 83 E8 02 0F 84 5E 05 00 00 48 0F 84 E8 04 00 00 E9 78 06 00 00 83 F8 9C 7F 22 0F 84 AC 05 00 00 83 E8 99 0F 84 BD 02 00 00 48 0F 84 7C 05 00 00 48 0F 84 D0 05 00 00 E9 51 06 00 00 83 E8 F4 74 17 83 E8 07 0F 84 3C 06 00 00 83 E8 03 0F 84 2A 06 00 00 E9 35 06 00 00 89 5D E4 33 C0 89 47 0C 8B 45 E4 8B 40 0C 83 F8 01 0F 85 AE 00 00 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 84 C0 74 68 8B 45 E4 8B 50 10 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 96 24 01 00 00 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8D 55 C8 8B C6 8B 08 FF 51 44 8D 55 C8 33 C9 8B C6 8B 18 FF 93 BC 00 00 00 8B D8 33 D2 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 84 DB 75 0C C7 47 0C 04 00 00 00 E9 A7 05 00 00 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 C7 47 0C 10 00 00 00 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 83 4F 0C 20 E9 79 05 00 00 83 4F 0C 00 E9 70 05 00 00 A9 01 00 01 00 0F 84 65 05 00 00 A9 00 00 02 00 0F 95 45 EA 8B 45 E4 8B 50 10 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 96 24 01 00 00 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 50 0C 89 72 08 C7 42 04 ?? ?? ?? ?? 8B 40 14 89 70 08 C7 40 04 ?? ?? ?? ?? 8D 45 A0 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 24 89 45 A4 80 7D EA 00 74 2A 8B 45 E4 66 8B 40 28 50 6A 00 8D 55 A0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 47 08 8B 48 38 8B C6 8B 18 FF 93 C4 00 00 00 8B D8 EB 21 6A 00 8D 55 A0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 66 8B 48 28 8B C6 8B 18 FF 93 C0 00 00 00 8B D8 84 DB 75 06 83 4F 0C 04 EB 7E 80 BE 66 02 00 00 00 74 75 C6 86 66 02 00 00 00 8B 86 EC 01 00 00 8B 40 0C 33 D2 89 50 04 89 50 08 8B 86 EC 01 00 00 8B 40 14 33 D2 89 50 04 89 50 08 8B 5F 08 8B 86 EC 01 00 00 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 89 43 30 8B 86 EC 01 00 00 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 8B 86 EC 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 50 8B 45 E4 8B 40 10 50 E8 ?? ?? ?? ?? 83 4F 0C 02 33 D2 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 80 7D EA 00 75 34 B1 01 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 83 4F 0C 10 33 C9 B2 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 83 4F 0C 20 E9 DD 03 00 00 83 4F 0C 00 E9 D4 03 00 00 B1 01 B2 02 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 C1 03 00 00 83 4F 0C 10 E9 B8 03 00 00 8B 47 08 8B 40 0C 89 86 48 02 00 00 E9 A7 03 00 00 8B 47 08 8B 50 28 8B C6 66 BB B4 FF E8 ?? ?? ?? ?? E9 91 03 00 00 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 83 FF 00 0F 8C 7A 03 00 00 8B D7 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB B4 FF E8 ?? ?? ?? ?? 4F 83 FF FF 75 E0 E9 55 03 00 00 8B 47 08 8D 50 0C 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 47 08 8D 58 0C F6 03 01 74 54 8B 7B 08 85 FF 75 13 8B 4B 18 8B 45 FC 8B 50 24 8B 43 14 E8 ?? ?? ?? ?? EB 3A 8B 45 FC 8B 40 08 89 45 E0 8B 45 E0 8B 10 FF 52 14 3B F8 7F 1F 8D 4D 9C 8B 53 08 4A 8B 45 E0 8B 38 FF 57 0C 8B 55 9C 8B 4B 18 8B 43 14 E8 ?? ?? ?? ?? EB 06 8B 43 14 C6 00 00 F6 03 02 74 13 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 89 43 1C F6 03 10 0F 84 C5 02 00 00 8B 45 FC 8B 40 14 89 43 24 E9 B7 02 00 00 8B C3 8B 48 10 8B 50 0C 8B C6 8B 18 FF 93 D4 00 00 00 E9 A0 02 00 00 89 5D DC 8B 45 DC 8B 40 10 E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 EC 8D 45 F8 E8 ?? ?? ?? ?? 8D 4D F0 33 D2 33 C0 E8 ?? ?? ?? ?? C6 45 EB 04 80 EB 01 72 09 80 EB 02 72 0F 74 2D EB 66 8B 45 DC 8B 40 18 89 45 EC EB 5B 8B 45 DC 8B 58 14 85 DB 74 0C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? EB 45 8D 45 F8 E8 ?? ?? ?? ?? EB 3B 8B 45 DC 8B 50 1C 89 55 F0 8B 50 20 89 55 F4 8B 45 DC 8B 40 24 83 E8 25 74 0B 48 74 0E 48 74 11 48 74 14 EB 16 C6 45 EB 00 EB 10 C6 45 EB 02 EB 0A C6 45 EB 01 EB 04 C6 45 EB 03 8D 45 F0 50 8B 45 EC 50 8B 45 DC 8B 40 0C 50 8A 45 EB 50 8B 45 DC F6 40 10 20 0F 95 C0 50 8B 45 DC 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C6 8B 18 FF 93 D0 00 00 00 89 47 0C E9 BF 01 00 00 8B 5F 08 8B 43 14 E8 ?? ?? ?? ?? 50 8B 43 18 E8 ?? ?? ?? ?? 50 8B 4B 10 8B 53 0C 8B C6 8B 18 FF 93 D8 00 00 00 E9 95 01 00 00 8B 47 08 8D 50 0C 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 84 C0 75 07 C7 47 0C 01 00 00 00 83 7F 0C 00 0F 85 62 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 34 02 00 00 6A FC 53 E8 ?? ?? ?? ?? 89 86 30 02 00 00 8B 86 2C 02 00 00 50 6A FC 8B 86 34 02 00 00 50 E8 ?? ?? ?? ?? E9 26 01 00 00 8B C3 83 78 20 00 0F 84 1A 01 00 00 83 78 10 FF 0F 84 10 01 00 00 8D 50 0C 8B C6 66 BB B3 FF E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB B5 FF E8 ?? ?? ?? ?? E9 E1 00 00 00 8B 53 0C 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB B2 FF E8 ?? ?? ?? ?? E9 C1 00 00 00 89 5D D8 8B 45 D8 8B 50 0C 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 D8 8B 48 1C 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 84 C0 0F 85 92 00 00 00 C7 47 0C 01 00 00 00 E9 86 00 00 00 8B FB 8B 57 0C 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 89 45 FC 8B 4F 1C 8B 55 FC 8B C6 66 BB B6 FF E8 ?? ?? ?? ?? 66 83 BE F6 02 00 00 00 74 58 83 7F 1C 08 75 52 F6 47 18 02 74 1B F6 47 14 02 75 15 6A 00 8B 4D FC 8B D6 8B 86 F8 02 00 00 FF 96 F4 02 00 00 EB 31 F6 47 18 02 75 2B F6 47 14 02 74 25 6A 01 8B 4D FC 8B D6 8B 86 F8 02 00 00 FF 96 F4 02 00 00 EB 10 C6 86 0C 02 00 00 01 EB 07 C6 86 0D 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3008_0 {
	meta:
		name = "TCustomListView.InsertItem"
		size = 31
	strings:
		$1 = { 53 66 83 B8 E6 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 E8 02 00 00 FF 93 E4 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3009_0 {
	meta:
		name = "TCustomListView.CanChange"
		size = 69
	strings:
		$1 = { 53 51 C6 04 24 01 49 74 0A 49 74 0B 83 E9 06 74 0A EB 2C 33 C9 EB 06 B1 01 EB 02 B1 02 66 83 B8 76 02 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 78 02 00 00 FF 93 74 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_3010_0 {
	meta:
		name = "TCustomListView.Change"
		size = 55
	strings:
		$1 = { 53 49 74 0A 49 74 0B 83 E9 06 74 0A EB 27 33 C9 EB 06 B1 01 EB 02 B1 02 66 83 B8 6E 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 70 02 00 00 FF 93 6C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3011_0 {
	meta:
		name = "TCustomListView.Delete"
		size = 56
		refs = "0031 TListItem.Delete"
	strings:
		$1 = { 53 56 8B DA 85 DB 74 2D 80 7B 29 00 75 27 66 83 B8 BE 02 00 00 00 74 12 8B F0 8B CB 8B D0 8B 86 C0 02 00 00 FF 96 BC 02 00 00 C6 43 29 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3012_0 {
	meta:
		name = "TCustomListView.CanEdit"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 CE 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 D0 02 00 00 FF 93 CC 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_3013_0 {
	meta:
		name = "TCustomListView.Edit"
		size = 125
		refs = "000f TCustomListView.Edit 0020 @LStrFromPChar 0029 TCustomListView.GetItem 0057 TListItem.SetCaption 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 14 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 66 83 BB D6 02 00 00 00 74 14 8D 45 FC 50 8B CE 8B D3 8B 83 D8 02 00 00 FF 93 D4 02 00 00 85 F6 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3015_0 {
	meta:
		name = "TCustomListView.GetDragImages"
		size = 25
		refs = "0006 TCustomListView.GetSelCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 48 75 08 8B 83 00 02 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_3016_0 {
	meta:
		name = "TCustomListView.WndProc"
		size = 128
		refs = "0022 TControl.Dragging 0035 TWinControl.IsControlMouseMsg 003f TCustomListView.WndProc 0073 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 49 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 37 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2C 80 7B 4D 01 75 26 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3A 66 A1 ?? ?? ?? ?? 66 0B 43 44 66 89 43 44 8B D6 8B C3 8B 08 FF 51 EC EB 21 8B 06 83 F8 0F 74 05 83 F8 14 75 0C 8B 83 08 02 00 00 80 78 0C 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_3017_0 {
	meta:
		name = "TCustomListView.DoStartDrag"
		size = 209
		refs = "000a TControl.DoStartDrag 0018 GetCursorPos 0025 TControl.ScreenToClient 004c TListItems.GetItem 006e TCustomListView.GetItemAt 007b TListItem.GetIndex 0083 TWinControl.GetHandle 008d ListView_CreateDragImage 00a0 TCustomImageList.SetHandle 00ad TListItem.DisplayRect 00c7 TDragImageList.SetDragImage"
	strings:
		$1 = { 53 56 83 C4 D8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 4C 02 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 20 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 8B 83 48 02 00 00 83 F8 FF 74 11 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 C7 83 48 02 00 00 FF FF FF FF 85 F6 75 10 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 53 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 0C 5A E8 ?? ?? ?? ?? 85 C0 74 36 8B 9B 00 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 10 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 2B 44 24 14 50 8B 4C 24 04 2B 4C 24 14 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_3018_0 {
	meta:
		name = "TCustomListView.DoEndDrag"
		size = 30
		refs = "000d TControl.DoEndDrag"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 4C 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3019_0 {
	meta:
		name = "TCustomListView.CMDrag"
		size = 143
		refs = "000f TWinControl.CMDrag 002e TControl.ScreenToClient 0049 TCustomListView.DoDragOver 005a TCustomListView.GetDropTarget 0069 TCustomListView.SetDropTarget"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 08 8A 46 04 FE C8 74 32 FE C8 74 06 FE C8 74 5C EB 62 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 50 83 7E 0C 00 0F 95 C0 50 8B 57 08 8B 4C 24 08 8B C3 E8 ?? ?? ?? ?? EB 3A 8B 47 08 8B 10 FF 52 14 8B C3 E8 ?? ?? ?? ?? 89 83 4C 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 84 00 00 00 8B 47 08 8B 10 FF 52 1C EB 08 33 C0 89 83 4C 02 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3020_0 {
	meta:
		name = "TCustomListView.DoDragOver"
		size = 136
		refs = "0014 TCustomListView.GetItemAt 0021 TCustomListView.GetDropTarget 005b TListItem.SetState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B D1 8B C6 8B 4D 0C E8 ?? ?? ?? ?? 8B D8 85 DB 74 62 8B C6 E8 ?? ?? ?? ?? 8B F8 3B FB 75 08 3B 9E 4C 02 00 00 75 4D 33 C0 89 86 4C 02 00 00 8B 45 FC 8B 10 FF 52 14 8B C6 8B 10 FF 92 84 00 00 00 85 FF 74 0E 33 C9 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8A 4D 08 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 84 00 00 00 8B 45 FC 8B 10 FF 52 1C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3021_0 {
	meta:
		name = "TCustomListView.SetItems"
		size = 12
	strings:
		$1 = { 8B 80 08 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_3022_0 {
	meta:
		name = "TCustomListView.SetListColumns"
		size = 12
	strings:
		$1 = { 8B 80 18 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_3023_0 {
	meta:
		name = "TCustomListView.CustomSort"
		size = 61
		refs = "000f TWinControl.HandleAllocated 001c DefaultListViewSort 0023 TWinControl.GetHandle 002c ListView_SortItems"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 85 FF 75 05 BF ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CD 8B D7 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3024_0 {
	meta:
		name = "TCustomListView.AlphaSort"
		size = 45
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0016 DefaultListViewSort 001d ListView_SortItems"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_3025_0 {
	meta:
		name = "TCustomListView.SetSortType"
		size = 56
		refs = "0033 TCustomListView.AlphaSort"
	strings:
		$1 = { 3A 90 05 02 00 00 74 2F 88 90 05 02 00 00 8A 90 05 02 00 00 8B CA 80 E9 01 74 05 80 E9 02 75 0A 66 83 B8 EE 02 00 00 00 75 08 80 C2 FE 80 EA 02 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3026_0 {
	meta:
		name = "TCustomListView.GetVisibleRowCount"
		size = 33
		refs = "0012 TWinControl.GetHandle 0017 ListView_GetCountPerPage"
	strings:
		$1 = { 53 8B D8 8A 83 F1 01 00 00 04 FE 2C 02 73 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_3027_0 {
	meta:
		name = "TCustomListView.GetViewOrigin"
		size = 23
		refs = "0009 TWinControl.GetHandle 0010 ListView_GetOrigin"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8107_0 {
	meta:
		name = "TColorProperty.GetValue"
		size = 23
		refs = "0009 TPropertyEditor.GetOrdValue 0010 ColorToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8111_0 {
	meta:
		name = "TCursorProperty.GetValue"
		size = 23
		refs = "0009 TPropertyEditor.GetOrdValue 0010 CursorToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3029_0 {
	meta:
		name = "TCustomListView.GetBoundingRect"
		size = 23
		refs = "0009 TWinControl.GetHandle 0010 ListView_GetViewRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5342_0 {
	meta:
		name = "TDataLink.MoveBy"
		size = 23
		refs = "0009 TDataLink.GetDataSet 0010 TDataSet.MoveBy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8044_0 {
	meta:
		name = "TIntegerProperty.GetValue"
		size = 23
		refs = "0009 TPropertyEditor.GetOrdValue 0010 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14927_0 {
	meta:
		name = "TOutlineNode.GetNode"
		size = 23
		refs = "0009 TOutlineNode.GetList 0010 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16513_0 {
	meta:
		name = "TQRLoopBand.LocalVarExpression"
		size = 23
		refs = "0009 TQRLoopBand.GetCount 0010 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3028_0 {
	meta:
		name = "TCustomListView.GetTopItem"
		size = 53
		refs = "0013 TWinControl.GetHandle 0018 ListView_GetTopIndex 002a TListItems.GetItem"
	strings:
		$1 = { 53 56 8B D8 33 F6 8A 83 F1 01 00 00 2C 02 72 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3031_0 {
	meta:
		name = "TCustomListView.SetLargeImages"
		size = 102
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 0051 TCustomListView.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 01 00 00 85 C0 74 0B 8B 93 58 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 F4 01 00 00 85 C0 74 31 8B 93 58 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3032_0 {
	meta:
		name = "TCustomListView.SetSmallImages"
		size = 108
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 0054 TCustomListView.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F8 01 00 00 85 C0 74 0B 8B 93 5C 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 F8 01 00 00 85 C0 74 34 8B 93 5C 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B9 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3033_0 {
	meta:
		name = "TCustomListView.SetStateImages"
		size = 171
		refs = "0017 TCustomImageList.UnRegisterChanges 002d TCustomListView.SaveChecks 0042 TCustomImageList.RegisterChanges 004f TComponent.FreeNotification 005a TCustomImageList.GetHandle 0068 TCustomListView.SetImageList 0078 TCustomListView.RestoreChecks 009b TCustomListView.SetCheckboxes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 01 00 00 85 C0 74 0B 8B 93 60 02 00 00 E8 ?? ?? ?? ?? 89 B3 FC 01 00 00 80 BB 50 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 85 C0 74 44 8B 93 60 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 50 02 00 00 00 74 33 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B9 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 50 02 00 00 00 74 12 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3034_0 {
	meta:
		name = "TCustomListView.GetColumnFromIndex"
		size = 12
		refs = "0007 TListColumns.GetItem"
	strings:
		$1 = { 8B 80 18 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6827_0 {
	meta:
		name = "TDBLookupCombo.GetLookupSource"
		size = 12
		refs = "0007 TDBLookupList.GetLookupSource"
	strings:
		$1 = { 8B 80 18 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3035_0 {
	meta:
		name = "TCustomListView.FindCaption"
		size = 165
		refs = "0013 @LStrAddRef 001b TCustomListView.FindCaption 002d FullString 003c Wraps 0047 @LStrToPChar 0058 TWinControl.GetHandle 0062 ListView_FindItem 0074 TListItems.GetItem 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 45 10 8B 04 85 ?? ?? ?? ?? 83 C8 02 33 D2 8A 55 08 0B 04 95 ?? ?? ?? ?? 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 80 7D 0C 00 74 01 4E 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 8B D6 E8 ?? ?? ?? ?? 83 F8 FF 74 11 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3036_0 {
	meta:
		name = "TCustomListView.FindData"
		size = 160
		refs = "002a TListItems.GetCount 003f TListItems.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 33 C0 89 45 F4 80 7D 0C 00 74 03 FF 4D FC 8B 75 FC 46 8B 87 08 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 2B DE 7C 23 43 8B 87 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0D 8B 50 0C 3B 55 F8 75 05 89 45 F4 EB 40 46 4B 75 DE 80 7D 08 00 74 36 80 7D 0C 00 74 03 FF 45 FC 8B 5D FC 4B 85 DB 7C 25 43 33 F6 8B 87 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0D 8B 50 0C 3B 55 F8 75 05 89 45 F4 EB 04 46 4B 75 DE 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3037_0 {
	meta:
		name = "TCustomListView.GetHitTestInfoAt"
		size = 156
		refs = "000e TCustomListView.GetHitTestInfoAt 001c TWinControl.GetHandle 0023 ListView_HitTest"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F9 8B D8 66 8B 35 ?? ?? ?? ?? 89 14 24 89 7C 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B 5C 24 08 8B EB 83 E5 08 85 ED 74 08 85 FF 7D 04 66 83 CE 01 F6 C3 10 74 04 66 83 CE 02 F6 C3 01 74 04 66 83 CE 04 8B C3 83 E0 0E 83 F8 0E 75 06 66 83 CE 08 EB 1C F6 C3 02 74 04 66 83 CE 20 F6 C3 04 74 05 66 81 CE 80 00 85 ED 74 05 66 81 CE 00 02 F6 C3 40 74 05 66 81 CE 00 04 F6 C3 20 74 05 66 81 CE 00 08 8B C6 83 C4 14 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_3038_0 {
	meta:
		name = "TCustomListView.GetSelection"
		size = 24
		refs = "0002 TCustomListView.GetSelection 000c TCustomListView.GetNextItem"
	strings:
		$1 = { 8A 15 ?? ?? ?? ?? 52 B1 04 33 D2 E8 ?? ?? ?? ?? C3 00 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_3039_0 {
	meta:
		name = "TCustomListView.SetSelection"
		size = 100
		refs = "0015 TListItem.SetState 001e TCustomListView.GetSelection 0027 TCustomListView.GetSelCount 0046 TCustomListView.SetSelection 0052 TCustomListView.GetNextItem"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 85 DB 74 10 B1 01 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 40 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 29 46 85 DB 74 21 33 C9 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 B1 04 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 4E 75 D8 5F 5E 5B C3 00 10 00 00 00 }
	condition:
		$1
}

rule function_3040_0 {
	meta:
		name = "TCustomListView.GetDropTarget"
		size = 36
		refs = "0004 TCustomListView.GetDropTarget 0010 TCustomListView.GetNextItem"
	strings:
		$1 = { 53 8B D8 A0 ?? ?? ?? ?? 50 B1 04 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 75 06 8B 83 4C 02 00 00 5B C3 04 00 00 00 }
	condition:
		$1
}

rule function_3041_0 {
	meta:
		name = "TCustomListView.SetDropTarget"
		size = 67
		refs = "0009 TWinControl.HandleAllocated 001f TListItem.SetState 0028 TCustomListView.GetDropTarget"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 85 F6 74 10 B1 01 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E 33 C9 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3042_0 {
	meta:
		name = "TCustomListView.GetFocused"
		size = 24
		refs = "0002 TCustomListView.GetFocused 000c TCustomListView.GetNextItem"
	strings:
		$1 = { 8A 15 ?? ?? ?? ?? 52 B1 04 33 D2 E8 ?? ?? ?? ?? C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_3043_0 {
	meta:
		name = "TCustomListView.SetFocused"
		size = 67
		refs = "0009 TWinControl.HandleAllocated 001f TListItem.SetState 0028 TCustomListView.GetFocused"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 85 F6 74 10 B1 01 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E 33 C9 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3044_0 {
	meta:
		name = "TCustomListView.GetImageIndex"
		size = 31
	strings:
		$1 = { 53 66 83 B8 DE 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 E0 02 00 00 FF 93 DC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3045_0 {
	meta:
		name = "TCustomListView.GetNextItem"
		size = 210
		refs = "0018 TWinControl.HandleAllocated 0033 TCustomListView.GetNextItem 0070 TListItem.GetIndex 00a2 TWinControl.GetHandle 00ab ListView_GetNextItem 00bf TListItems.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 8B D8 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 33 F6 33 C0 8A 45 FF 83 F8 04 77 39 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BE 00 01 00 00 EB 17 BE 00 02 00 00 EB 10 BE 00 04 00 00 EB 09 BE 00 08 00 00 EB 02 33 F6 85 FF 74 0B 8B C7 E8 ?? ?? ?? ?? 8B F8 EB 03 83 CF FF F6 45 08 02 74 03 83 CE 04 F6 45 08 04 74 03 83 CE 08 F6 45 08 08 74 03 83 CE 01 F6 45 08 10 74 03 83 CE 02 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 10 8B D7 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3046_0 {
	meta:
		name = "TCustomListView.GetNearestItem"
		size = 103
		refs = "002f Directions 003a TWinControl.GetHandle 0046 ListView_FindItem 0058 TListItems.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 A5 A5 8B D9 8B F0 C7 44 24 08 40 00 00 00 8B 04 24 89 44 24 14 8B 44 24 04 89 44 24 18 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 89 44 24 1C 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 08 83 CA FF E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 86 08 02 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3047_0 {
	meta:
		name = "TCustomListView.GetItemAt"
		size = 98
		refs = "0012 TWinControl.HandleAllocated 0023 Point 0039 TWinControl.GetHandle 0040 ListView_HitTest 0052 TListItems.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B E9 8B FA 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 4C 24 14 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 44 24 14 89 04 24 8B 44 24 18 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3048_0 {
	meta:
		name = "TCustomListView.Arrange"
		size = 32
		refs = "0009 TWinControl.GetHandle 0014 Codes 0019 ListView_Arrange"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3049_0 {
	meta:
		name = "TCustomListView.StringWidth"
		size = 93
		refs = "000e @LStrAddRef 0016 TCustomListView.StringWidth 0023 TWinControl.GetHandle 002c @LStrToPChar 0034 ListView_GetStringWidth 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_3050_0 {
	meta:
		name = "TCustomListView.UpdateColumns"
		size = 54
		refs = "0008 TWinControl.HandleAllocated 0017 TCollection.GetCount 002a TCustomListView.UpdateColumn"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 22 8B 86 18 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 10 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 47 4B 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3051_0 {
	meta:
		name = "TCustomListView.UpdateColumn"
		size = 262
		refs = "000d TWinControl.HandleAllocated 0022 TListColumns.GetItem 003b @LStrToPChar 004c TCollectionItem.GetIndex 005b @CallDynaInst 0068 IAlignment 009c TWinControl.GetHandle 00a6 ListView_SetColumn 00dd ListView_SetColumnWidth"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 E6 00 00 00 8B D3 8B 87 18 02 00 00 E8 ?? ?? ?? ?? 8B F0 C7 44 24 01 15 00 00 00 8B 46 1C 89 44 24 19 8B 46 10 E8 ?? ?? ?? ?? 89 44 24 0D 8A 46 0C 88 04 24 8B C6 E8 ?? ?? ?? ?? 85 C0 74 26 8B C7 66 BB CF FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 33 D2 8A 14 24 8B 04 90 89 44 24 05 EB 06 33 C0 89 44 24 05 8B 46 24 83 F8 FF 7E 24 83 4C 24 01 02 89 44 24 09 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8D 4C 24 05 5A E8 ?? ?? ?? ?? EB 53 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8D 4C 24 05 5A E8 ?? ?? ?? ?? 8A 87 F1 01 00 00 3C 02 75 14 8B C7 E8 ?? ?? ?? ?? 8B 4E 24 83 CA FF E8 ?? ?? ?? ?? EB 1C 3C 03 75 18 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B 4E 24 5A E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3052_0 {
	meta:
		name = "TCustomListView.WMRButtonDown"
		size = 96
		refs = "0010 TControl.WMRButtonDown 001f GetCursorPos 002c TControl.ScreenToClient 0035 PointToSmallPoint 0048 MakeLong 0057 TControl.Perform"
	strings:
		$1 = { 53 83 C4 EC 8B D8 C6 83 0D 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 0D 02 00 00 00 74 3E 54 E8 ?? ?? ?? ?? 8D 4C 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 44 24 0C E8 ?? ?? ?? ?? 89 44 24 08 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 50 33 C9 BA 05 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_3053_0 {
	meta:
		name = "TCustomListView.WMLButtonDown"
		size = 348
		refs = "001a KeysToShiftState 0036 TControl.WMLButtonDown 0067 TCustomListView.GetItemAt 0079 TListItem.GetState 0089 TControl.BeginDrag 009d GetCursorPos 00aa TControl.ScreenToClient 00b3 PointToSmallPoint 00be TControl.Dragging 00d1 MakeLong 00e0 TControl.Perform 00fe GetCapture 0104 SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B F0 8B C6 8B 10 FF 92 B4 00 00 00 66 8B 47 04 E8 ?? ?? ?? ?? 8B D8 C6 86 0C 02 00 00 00 C7 86 48 02 00 00 FF FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 4D 01 75 52 80 BE 04 02 00 00 00 74 49 F6 C3 01 75 44 F6 C3 04 75 3F 80 BE 0C 02 00 00 00 75 36 0F BF 4F 0A 0F BF 57 08 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 21 BA 03 00 00 00 8B C5 E8 ?? ?? ?? ?? 84 C0 74 11 83 C9 FF 33 D2 8B C6 E8 ?? ?? ?? ?? E9 C2 00 00 00 80 BE 0C 02 00 00 00 74 6F 54 E8 ?? ?? ?? ?? 8D 4C 24 0C 8B D4 8B C6 E8 ?? ?? ?? ?? 8D 44 24 0C E8 ?? ?? ?? ?? 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 75 20 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 50 33 C9 BA 02 02 00 00 8B C6 E8 ?? ?? ?? ?? EB 6E 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 50 6A 00 68 02 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 4A 80 7E 4D 01 75 44 80 BE 04 02 00 00 00 74 0A F6 C3 01 75 36 F6 C3 04 75 31 0F BF 4F 0A 0F BF 57 08 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 1C BA 03 00 00 00 8B C5 E8 ?? ?? ?? ?? 84 C0 74 0C 83 C9 FF 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3054_0 {
	meta:
		name = "TCustomListView.DoAutoSize"
		size = 402
		refs = "000f _Dn_TList 0014 TObject.Create 001f TCustomListView.DoAutoSize 002d TControl.GetClientWidth 003e TCollection.GetCount 0058 TListColumns.GetItem 006a TList.Add 0073 TListColumn.GetWidth 00d2 TList.Get 00e4 TListColumn.SetWidth 0124 TList.Delete 0168 @HandleFinally 017f TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 35 47 33 DB 8B 45 FC 8B 80 18 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 80 7E 0D 00 74 0C 8B D6 8B 45 EC E8 ?? ?? ?? ?? EB 0A 8B C6 E8 ?? ?? ?? ?? 29 45 F4 43 4F 75 CE 8B 45 EC 83 78 08 00 0F 8E E3 00 00 00 8B 45 FC 8B 80 18 02 00 00 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 08 89 45 F8 8B 45 F4 99 F7 7D F8 89 55 F0 8B 45 F4 99 F7 7D F8 8B F8 8B 5D F8 4B 83 FB 00 7C 22 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 03 03 7D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DE 8B 45 F4 99 F7 7D F8 8B F8 8B 5D F8 4B 83 FB 00 7C 38 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 03 03 7D F0 8B C6 E8 ?? ?? ?? ?? 3B F8 74 14 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 29 45 F4 4B 83 FB FF 75 C8 8B 45 EC 8B 40 08 85 C0 74 09 3B 45 F8 0F 85 5C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3055_0 {
	meta:
		name = "TCustomListView.WMWindowPosChanged"
		size = 51
		refs = "0018 TWinControl.HandleAllocated 0023 TCustomListView.DoAutoSize 002c TWinControl.WMWindowPosChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 02 75 1B 8B 46 08 F6 40 18 01 75 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3056_0 {
	meta:
		name = "TCustomListView.GetSearchString"
		size = 71
		refs = "000f @LStrClr 0016 TWinControl.HandleAllocated 0021 TWinControl.GetHandle 0028 ListView_GetISearchString 003a @LStrFromArray"
	strings:
		$1 = { 53 56 81 C4 00 FC FF FF 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C6 8B D4 B9 00 04 00 00 E8 ?? ?? ?? ?? 81 C4 00 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3057_0 {
	meta:
		name = "TCustomListView.CNDrawItem"
		size = 175
		refs = "0019 SaveDC 002b TCanvas.SetHandle 0039 TCanvas.SetFont 004a TCanvas.SetBrush 0060 TCanvas.FillRect 0073 TListItems.GetItem 009d RestoreDC"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B D8 8B 77 08 8A 46 10 88 04 24 8B 46 18 50 E8 ?? ?? ?? ?? 89 44 24 04 8B 56 18 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 53 58 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 93 24 01 00 00 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 6E 08 83 FD FF 75 10 8D 56 1C 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? EB 20 8A 04 24 50 8B D5 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4E 1C 8B C3 8B 28 FF 95 C8 00 00 00 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 04 50 8B 46 18 50 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3058_0 {
	meta:
		name = "TCustomListView.CanvasChanged"
		size = 8
	strings:
		$1 = { C6 80 66 02 00 00 01 C3 }
	condition:
		$1
}

rule function_3059_0 {
	meta:
		name = "TCustomListView.IsCustomDrawn"
		size = 55
	strings:
		$1 = { 84 C9 75 30 80 FA 02 75 0D 66 83 B8 96 02 00 00 00 0F 95 C0 EB 20 80 FA 01 75 0D 66 83 B8 8E 02 00 00 00 0F 95 C0 EB 0E 66 83 B8 86 02 00 00 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_3060_0 {
	meta:
		name = "TCustomListView.CustomDraw"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 86 02 00 00 00 74 13 54 8B CA 8B D8 8B D0 8B 83 88 02 00 00 FF 93 84 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_3061_0 {
	meta:
		name = "TCustomListView.CustomDrawItem"
		size = 59
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE C6 45 FD 01 66 83 B8 8E 02 00 00 00 74 1B 66 8B 4D FE 51 8D 4D FD 51 8B D8 8B CA 8B D0 8B 83 90 02 00 00 FF 93 8C 02 00 00 8A 45 FD 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3062_0 {
	meta:
		name = "TCustomListView.CustomDrawSubItem"
		size = 56
	strings:
		$1 = { 55 8B EC 51 53 C6 45 FF 01 66 83 B8 96 02 00 00 00 74 1C 51 66 8B 4D 0C 51 8D 4D FF 51 8B D8 8B CA 8B D0 8B 83 98 02 00 00 FF 93 94 02 00 00 8A 45 FF 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3063_0 {
	meta:
		name = "TCustomListView.DrawItem"
		size = 119
		refs = "0020 TControlCanvas.UpdateTextFlags 0052 TCanvas.FillRect 006a TCanvas.TextOut"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 66 83 BB C6 02 00 00 00 74 1A 8D 45 F0 50 8A 45 08 50 8B CE 8B D3 8B 83 C8 02 00 00 FF 93 C4 02 00 00 EB 26 8D 55 F0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 46 24 50 8B 55 F0 83 C2 02 8B 4D F4 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3064_0 {
	meta:
		name = "TAnimate.Create"
		size = 124
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TAnimate.Create 002e TControl.SetWidth 003a TControl.SetHeight 0043 TControl.SetAutoSize 0065 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 50 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 F4 01 00 00 01 66 C7 86 1C 02 00 00 01 00 C6 86 1A 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 40 00 00 }
	condition:
		$1
}

rule function_3065_0 {
	meta:
		name = "TAnimate.CreateParams"
		size = 248
		refs = "0012 InitCommonControl 001b TWinControl.CreateParams 0020 GetComCtlVersion 002e TAnimate.GetActualResHandle 0036 TAnimate.CreateParams 003f TWinControl.CreateSubClass 0051 CenterStyles 0060 TimerStyles 006f TransparentStyles 008f TObject.ClassName 00a1 HInstance 00b1 GetCurrentThreadId 00cb StrFmt"
	strings:
		$1 = { 53 56 81 C4 E8 FE FF FF 8B F2 8B D8 B8 80 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 0A 8B C3 E8 ?? ?? ?? ?? 89 46 34 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 33 D2 8A 93 F4 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 19 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 1A 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 83 66 24 FC E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 49 6A 02 8D 54 24 1C 8B 03 E8 ?? ?? ?? ?? 8D 44 24 1C 89 44 24 04 C6 44 24 08 04 A1 ?? ?? ?? ?? 8B 00 89 44 24 0C C6 44 24 10 00 E8 ?? ?? ?? ?? 89 44 24 14 C6 44 24 18 00 8D 4C 24 04 BA ?? ?? ?? ?? 8D 46 4C E8 ?? ?? ?? ?? 81 C4 18 01 00 00 5E 5B C3 53 79 73 41 6E 69 6D 61 74 65 33 32 00 00 00 00 25 73 2E 25 2E 38 58 3A 25 2E 38 58 00 00 00 00 }
	condition:
		$1
}

rule function_3066_0 {
	meta:
		name = "TAnimate.CreateWnd"
		size = 33
		refs = "0014 TWinControl.CreateWnd 001b TAnimate.UpdateActiveState"
	strings:
		$1 = { 53 8B D8 C6 83 05 02 00 00 00 C6 83 04 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3067_0 {
	meta:
		name = "TAnimate.DestroyWnd"
		size = 55
		refs = "0019 TAnimate.SetOpen 0020 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 51 8B F0 8A 9E EC 01 00 00 8A 86 04 02 00 00 88 04 24 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8A 04 24 88 86 04 02 00 00 88 9E EC 01 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3068_0 {
	meta:
		name = "TAnimate.UpdateActiveState"
		size = 45
		refs = "000e TAnimate.SetOpen 0027 TAnimate.SetActive"
	strings:
		$1 = { 53 8B D8 F6 43 20 01 75 22 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB EC 01 00 00 00 74 10 C6 83 EC 01 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3069_0 {
	meta:
		name = "TAnimate.WMNCCalcSize"
		size = 37
		refs = "0015 InflateRect 001e TWinControl.WMNCCalcSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 74 0D 8B 46 08 6A FF 6A FF 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3070_0 {
	meta:
		name = "TAnimate.WMNCHitTest"
		size = 20
		refs = "000f TWinControl.WMNCHitTest"
	strings:
		$1 = { F6 40 20 10 75 08 C7 42 0C 01 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3071_0 {
	meta:
		name = "TAnimate.WMNCPaint"
		size = 271
		refs = "0020 TWinControl.GetHandle 0026 GetDCEx 0031 TAnimate.WMNCPaint 0049 GetWindowRect 005e OffsetRect 007b ExcludeClipRect 0086 CreatePen 0092 SelectObject 009f ColorToRGB 00a9 SetBkColor 00c2 Rectangle 00d6 DeleteObject 00f5 ReleaseDC 00fb @HandleFinally 0105 TWinControl.WMNCPaint"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 FC 8B 45 FC F6 40 20 10 0F 84 E9 00 00 00 6A 13 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC F7 D8 50 8B 45 E8 F7 D8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F4 48 50 8B 45 F0 48 50 8B 45 EC 40 50 8B 45 E8 40 50 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 01 E8 ?? ?? ?? ?? 8B D8 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 F6 74 0A 56 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3073_0 {
	meta:
		name = "TAnimate.WMWindowPosChanged"
		size = 178
		refs = "0009 TWinControl.WMWindowPosChanged 0014 TWinControl.GetHandle 001a InvalidateRect 0035 Rect 0045 TControl.GetClientHeight 005e TControl.GetClientWidth 007a OffsetRect 0088 ValidateRect 0095 UpdateWindow"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8D 44 24 04 50 8B 8B 00 02 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB F4 01 00 00 00 74 3C 8B C3 E8 ?? ?? ?? ?? 8B 54 24 0C 2B 54 24 04 2B C2 D1 F8 79 03 83 D0 00 50 8B C3 E8 ?? ?? ?? ?? 8B 54 24 0C 2B 54 24 04 2B C2 D1 F8 79 03 83 D0 00 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_3074_0 {
	meta:
		name = "TAnimate.CMColorChanged"
		size = 25
		refs = "0006 TWinControl.CMColorChanged 0013 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6345_0 {
	meta:
		name = "TDBNavigator.CMEnabledChanged"
		size = 25
		refs = "0006 TWinControl.CMEnabledChanged 0013 TDBNavigator.ActiveChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3075_0 {
	meta:
		name = "TAnimate.CNCommand"
		size = 74
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 F0 66 8B 43 06 66 FF C8 74 07 66 FF C8 74 0F EB 28 8B C6 8B 10 FF 92 C0 00 00 00 5E 5B C3 83 BE 20 02 00 00 00 75 0C 8B C6 8B 10 FF 92 C4 00 00 00 EB 06 FF 8E 20 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3076_0 {
	meta:
		name = "TAnimate.DoOpen"
		size = 29
	strings:
		$1 = { 53 66 83 B8 26 02 00 00 00 74 10 8B D8 8B D0 8B 83 28 02 00 00 FF 93 24 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3077_0 {
	meta:
		name = "TAnimate.DoClose"
		size = 29
	strings:
		$1 = { 53 66 83 B8 2E 02 00 00 00 74 10 8B D8 8B D0 8B 83 30 02 00 00 FF 93 2C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3079_0 {
	meta:
		name = "TAnimate.DoStop"
		size = 36
	strings:
		$1 = { 53 8B D8 66 83 BB 3E 02 00 00 00 74 0E 8B D3 8B 83 40 02 00 00 FF 93 3C 02 00 00 C6 83 EC 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_3080_0 {
	meta:
		name = "TAnimate.Loaded"
		size = 30
		refs = "0006 TControl.Loaded 0018 TAnimate.SetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 18 02 00 00 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3081_0 {
	meta:
		name = "TAnimate.GetAnimateParams"
		size = 63
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F0 01 00 00 E8 ?? ?? ?? ?? 8A 83 F5 01 00 00 88 46 04 8B 83 0C 02 00 00 89 46 08 8D 46 0C 8B 93 14 02 00 00 E8 ?? ?? ?? ?? 8B 83 10 02 00 00 89 46 10 5E 5B C3 }
	condition:
		$1
}

rule function_3082_0 {
	meta:
		name = "TAnimate.SetAnimateParams"
		size = 63
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 F0 01 00 00 8B 16 E8 ?? ?? ?? ?? 8A 46 04 88 83 F5 01 00 00 8B 46 08 89 83 0C 02 00 00 8D 83 14 02 00 00 8B 56 0C E8 ?? ?? ?? ?? 8B 46 10 89 83 10 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3083_0 {
	meta:
		name = "TAnimate.GetActualResHandle"
		size = 56
		refs = "000a GetShellModule 001e MainInstance 0031 HInstance"
	strings:
		$1 = { 80 B8 F5 01 00 00 00 74 06 E8 ?? ?? ?? ?? C3 8B 90 0C 02 00 00 85 D2 74 04 8B C2 EB 1A A1 ?? ?? ?? ?? 83 38 00 74 09 A1 ?? ?? ?? ?? 8B 00 EB 07 A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_3084_0 {
	meta:
		name = "TAnimate.GetActualResId"
		size = 67
		refs = "0013 CommonAVIId"
	strings:
		$1 = { 53 8B D8 8A 83 F5 01 00 00 84 C0 74 0C 83 E0 7F 8B 04 85 ?? ?? ?? ?? 5B C3 83 BB F0 01 00 00 00 74 08 8B 83 F0 01 00 00 EB 17 83 BB 14 02 00 00 00 74 08 8B 83 14 02 00 00 EB 06 8B 83 10 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3085_0 {
	meta:
		name = "CreateResStream"
		size = 148
		refs = "0024 _Dn_TFileStream 0029 TFileStream.Create 0037 TAnimate.GetActualResHandle 005a CreateResStream 0063 _Dn_TResourceStream 0068 TResourceStream.Create 0075 TAnimate.GetActualResId 0089 TResourceStream.CreateFromID"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 B8 F0 01 00 00 00 74 1D 6A 40 8B 45 08 8B 40 FC 8B 88 F0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 83 B8 14 02 00 00 00 74 22 8B 45 08 8B 40 FC 8B 80 14 02 00 00 50 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 41 56 49 00 }
	condition:
		$1
}

rule function_3086_0 {
	meta:
		name = "TAnimate.GetFrameInfo"
		size = 194
		refs = "000c CreateResStream 0018 TAnimate.GetFrameInfo 0048 TStream.ReadBuffer 00b1 TObject.Free 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 55 E8 ?? ?? ?? ?? 59 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 BA 30 00 00 00 8B 45 F8 8B 18 FF 53 0C 83 F8 30 75 16 8B 45 FC 8D 90 F8 01 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA 40 00 00 00 8B 45 F8 8B 18 FF 53 0C 83 F8 40 75 16 8B 45 FC 8D 90 00 02 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA 44 00 00 00 8B 45 F8 8B 18 FF 53 0C 83 F8 44 75 16 8B 45 FC 8D 90 FC 01 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3087_0 {
	meta:
		name = "TAnimate.SetActive"
		size = 64
		refs = "0034 TAnimate.Play 003b TAnimate.Stop"
	strings:
		$1 = { F6 40 20 02 74 0C 84 D2 74 35 C6 80 18 02 00 00 01 C3 3A 90 EC 01 00 00 74 25 84 D2 74 1C 8B 90 08 02 00 00 52 66 8B 88 1E 02 00 00 66 8B 90 1C 02 00 00 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3089_0 {
	meta:
		name = "TAnimate.SetCommonAVI"
		size = 116
		refs = "0018 GetComCtlVersion 003c @LStrClr 0064 TAnimate.SetOpen 006d TAnimate.Reset"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E F5 01 00 00 74 63 80 BE F5 01 00 00 00 75 0C E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 04 33 C0 EB 02 B0 01 88 86 05 02 00 00 88 9E F5 01 00 00 8D 86 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 0C 02 00 00 8D 86 14 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 10 02 00 00 84 DB 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3090_0 {
	meta:
		name = "TAnimate.SetFileName"
		size = 280
		refs = "0013 @LStrAddRef 001c TAnimateParams 0021 @InitializeRecord 0029 TAnimate.SetFileName 0040 AnsiCompareText 0053 TAnimate.GetAnimateParams 0071 @LStrAsg 0093 @LStrClr 00b4 TAnimate.SetOpen 00be TAnimate.Reset 00cd @HandleAnyException 00d8 TAnimate.SetAnimateParams 00dd @RaiseAgain 00e2 @DoneExcept 00fd @FinalizeRecord 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F0 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 F0 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC C6 80 F5 01 00 00 00 8B 45 FC 33 D2 89 90 0C 02 00 00 8B 45 FC 05 14 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 10 02 00 00 8B 45 FC 83 B8 F0 01 00 00 00 75 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3091_0 {
	meta:
		name = "TAnimate.SetOpen"
		size = 62
		refs = "0012 TAnimate.InternalOpen 0029 @CallDynaInst 0032 TAnimate.InternalClose"
	strings:
		$1 = { 53 8B D8 3A 93 04 02 00 00 74 31 84 D2 74 20 8B C3 E8 ?? ?? ?? ?? 88 83 04 02 00 00 80 7B 4C 00 74 1A 8B C3 66 BB EF FF E8 ?? ?? ?? ?? EB 0D 8B C3 E8 ?? ?? ?? ?? 88 83 04 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3092_0 {
	meta:
		name = "TAnimate.SetRepetitions"
		size = 26
		refs = "0015 TAnimate.Stop"
	strings:
		$1 = { 3B 90 08 02 00 00 74 11 89 90 08 02 00 00 F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3093_0 {
	meta:
		name = "TAnimate.SetResHandle"
		size = 83
		refs = "0012 GetComCtlVersion 0032 @LStrClr 0044 TAnimate.SetOpen 004d TAnimate.Reset"
	strings:
		$1 = { 53 8B D8 3B 93 0C 02 00 00 74 46 89 93 0C 02 00 00 E8 ?? ?? ?? ?? 3D 47 00 04 00 0F 9C C0 88 83 05 02 00 00 C6 83 F5 01 00 00 00 8D 83 F0 01 00 00 E8 ?? ?? ?? ?? 83 BB 0C 02 00 00 00 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3094_0 {
	meta:
		name = "TAnimate.SetResId"
		size = 116
		refs = "0027 GetComCtlVersion 004c @LStrClr 0064 TAnimate.SetOpen 006d TAnimate.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 10 02 00 00 74 63 89 B3 10 02 00 00 80 BB F5 01 00 00 00 75 09 83 BB F0 01 00 00 00 74 0C E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 04 33 C0 EB 02 B0 01 88 83 05 02 00 00 C6 83 F5 01 00 00 00 8D 83 F0 01 00 00 E8 ?? ?? ?? ?? 8D 83 14 02 00 00 E8 ?? ?? ?? ?? 85 F6 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3095_0 {
	meta:
		name = "TAnimate.SetResName"
		size = 187
		refs = "000e @LStrAddRef 0016 TAnimate.SetResName 002a @LStrCmp 003a @LStrAsg 0051 GetComCtlVersion 0076 @LStrClr 008d TAnimate.SetOpen 0096 TAnimate.Reset 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 14 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 6A 8D 83 14 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 80 BB F5 01 00 00 00 75 19 83 BB F0 01 00 00 00 74 0C E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 04 33 C0 EB 02 B0 01 88 83 05 02 00 00 C6 83 F5 01 00 00 00 8D 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 10 02 00 00 83 7D FC 00 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3096_0 {
	meta:
		name = "TAnimate.SetStartFrame"
		size = 47
		refs = "001f TAnimate.Stop 0028 TAnimate.Seek"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B B3 1C 02 00 00 74 1D 66 89 B3 1C 02 00 00 F6 43 20 01 75 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3097_0 {
	meta:
		name = "TAnimate.SetStopFrame"
		size = 28
		refs = "0017 TAnimate.Stop"
	strings:
		$1 = { 66 3B 90 1E 02 00 00 74 12 66 89 90 1E 02 00 00 F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3098_0 {
	meta:
		name = "TAnimate.SetTimers"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 19 02 00 00 74 0B 88 90 19 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3099_0 {
	meta:
		name = "TAnimate.SetTransparent"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 1A 02 00 00 74 0B 88 90 1A 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3100_0 {
	meta:
		name = "TAnimate.CheckOpen"
		size = 106
		refs = "000c TAnimate.CheckOpen 001b TAnimate.SetOpen 002c SCannotOpenAVI 0031 LoadResString 003b _Dn_Exception 0040 Exception.Create 0045 @RaiseExcept 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB 04 02 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3101_0 {
	meta:
		name = "TAnimate.InternalOpen"
		size = 158
		refs = "0012 TWinControl.RecreateWnd 0019 TWinControl.HandleNeeded 002d TControl.GetBoundsRect 0034 TAnimate.GetActualResId 003c TAnimate.GetActualResHandle 004a TControl.Perform 0064 TControl.SetBoundsRect 0071 TAnimate.GetFrameInfo"
	strings:
		$1 = { 56 83 C4 EC 8B F0 80 BE 05 02 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE F4 01 00 00 00 75 0B 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 64 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 04 24 80 BE F4 01 00 00 00 75 0B 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 74 28 8B C6 E8 ?? ?? ?? ?? 66 C7 86 1C 02 00 00 01 00 66 8B 86 F8 01 00 00 66 89 86 1E 02 00 00 8B C6 8B 10 FF 92 B8 00 00 00 8A 04 24 83 C4 14 5E C3 }
	condition:
		$1
}

rule function_3102_0 {
	meta:
		name = "TAnimate.InternalClose"
		size = 69
		refs = "0010 TAnimate.Stop 0020 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 53 56 8B F0 80 BE EC 01 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 68 64 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C6 8B 10 FF 92 BC 00 00 00 8B C6 8B 10 FF 52 78 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_3103_0 {
	meta:
		name = "TAnimate.Play"
		size = 92
		refs = "0015 TWinControl.HandleNeeded 001c TAnimate.CheckOpen 0037 MakeLong 0046 TControl.Perform"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B FA 8B D8 8B 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 EC 01 00 00 01 85 F6 75 03 83 CE FF 66 8B 55 FE 4A 8B C7 48 E8 ?? ?? ?? ?? 50 8B CE BA 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 48 74 07 C6 83 EC 01 00 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3104_0 {
	meta:
		name = "TAnimate.Reset"
		size = 31
		refs = "000e TAnimate.SetOpen 0019 TAnimate.Seek"
	strings:
		$1 = { 53 8B D8 F6 43 20 01 75 14 33 D2 8B C3 E8 ?? ?? ?? ?? 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3105_0 {
	meta:
		name = "TAnimate.Seek"
		size = 51
		refs = "000a TAnimate.CheckOpen 0016 MakeLong 0025 TWinControl.GetHandle 002b SendMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B FE 4F 8B D7 8B C7 E8 ?? ?? ?? ?? 50 6A 01 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3106_0 {
	meta:
		name = "TAnimate.Stop"
		size = 68
		refs = "0011 MakeLong 0020 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 53 56 8B F0 66 8B 9E 1C 02 00 00 4B 8B D3 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 65 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 86 EC 01 00 00 00 FF 86 20 02 00 00 8B C6 8B 10 FF 92 C4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3107_0 {
	meta:
		name = "TAnimate.CanAutoSize"
		size = 38
	strings:
		$1 = { 53 56 80 B8 04 02 00 00 00 74 14 B3 01 8B B0 00 02 00 00 89 32 8B 80 FC 01 00 00 89 01 EB 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_3108_0 {
	meta:
		name = "TToolButton.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001c TToolButton.Create 002b TControl.SetWidth 0037 TControl.SetHeight 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 BA 17 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 1C 01 00 00 FF FF FF FF C6 86 2D 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_3109_0 {
	meta:
		name = "TToolButton.MouseDown"
		size = 80
		refs = "0031 TToolButton.SetDown 0045 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 80 BE 2D 01 00 00 02 75 1F 84 DB 75 1B 8B C6 8B 10 FF 52 50 84 C0 74 10 8A 96 1A 01 00 00 80 F2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3110_0 {
	meta:
		name = "TToolButton.MouseMove"
		size = 101
		refs = "001a TControl.MouseMove 002a TControl.GetMouseCapture 0039 TControl.GetClientWidth 0048 TControl.GetClientHeight 0059 TToolButton.SetDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 2D 01 00 00 02 75 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 85 F6 7C 1A 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0F 85 FF 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 7E 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3111_0 {
	meta:
		name = "TToolButton.MouseUp"
		size = 109
		refs = "0020 TControl.MouseUp 0031 TControl.GetClientWidth 0040 TControl.GetClientHeight 0056 TToolButton.SetDown 0061 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 75 3B 85 F6 7C 37 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 2C 85 FF 7C 28 8B C3 E8 ?? ?? ?? ?? 3B F8 7F 1D 80 BB 2D 01 00 00 02 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB EC FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3113_0 {
	meta:
		name = "TToolButton.Notification"
		size = 65
		refs = "0010 TControl.Notification 0026 TToolButton.SetDropdownMenu 0039 TToolButton.SetMenuItem"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 24 3B BE 28 01 00 00 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 11 3B BE 24 01 00 00 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3114_0 {
	meta:
		name = "TToolButton.CMTextChanged"
		size = 79
		refs = "0049 TToolBar.RecreateButtons"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 8B 10 FF 92 98 00 00 00 F6 46 20 01 75 33 83 BE 34 01 00 00 00 74 2A 8B 86 34 01 00 00 80 B8 00 02 00 00 00 74 1B 8B 86 34 01 00 00 33 D2 89 90 F0 01 00 00 33 D2 89 90 F4 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3115_0 {
	meta:
		name = "TToolButton.SetBounds"
		size = 461
		refs = "003b TToolButton.GetIndex 0051 TToolBar.ReorderButton 00a5 GetComCtlVersion 0118 TControl.SetBounds 0131 TToolBar.SetButtonWidth 0145 TToolBar.SetButtonHeight 0176 TToolBar.RefreshButton 0185 TToolBar.UpdateButton 0190 TToolBar.ResizeButtons 019d TToolBar.RepositionButtons 01ac TToolBar.RepositionButton"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 0C 83 BB 30 01 00 00 00 0F 85 91 01 00 00 F6 43 20 01 0F 85 87 01 00 00 83 BB 34 01 00 00 00 0F 84 7A 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 50 8B 4D FC 8B D6 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 3B F0 0F 95 45 F7 80 7D F7 00 74 1A C6 45 F6 00 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 2B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 20 8A 83 2D 01 00 00 04 FD 2C 02 73 05 3B 7B 38 75 04 33 C0 EB 02 B0 01 88 45 F6 8A 45 F6 88 45 F7 80 BB 2D 01 00 00 02 75 2A E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 0F 8B 83 34 01 00 00 80 B8 02 02 00 00 00 75 0F 8B 83 34 01 00 00 03 B8 F0 01 00 00 2B 7B 38 8A 83 2D 01 00 00 04 FD 2C 02 72 0E 8B 83 34 01 00 00 3B B8 F0 01 00 00 75 04 33 C0 EB 02 B0 01 88 45 F5 8B 83 34 01 00 00 8B 80 F4 01 00 00 3B 45 08 0F 95 45 F4 80 7D F6 00 74 12 57 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 27 80 7D F5 00 74 0D 8B D7 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 80 7D F4 00 74 0E 8B 55 08 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 80 7D F7 00 74 54 80 7D F5 00 75 4E 80 7D F4 00 75 48 80 7D F6 00 74 28 8A 83 2D 01 00 00 04 FD 2C 02 73 0F 8B D6 8B 83 34 01 00 00 E8 ?? ?? ?? ?? EB 0D 8B D6 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 34 01 00 00 E8 ?? ?? ?? ?? EB 21 8B D6 8B 83 34 01 00 00 E8 ?? ?? ?? ?? EB 12 57 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3116_0 {
	meta:
		name = "TToolButton.Paint"
		size = 269
		refs = "003f Rect 004f TCanvas.GetHandle 0055 DrawEdge 007b TPen.SetStyle 0085 TPen.SetMode 0092 TPen.SetColor 009c TBrush.SetStyle 00a3 TControl.GetClientWidth 00ab TControl.GetClientHeight 00b7 TCanvas.Rectangle"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 83 BB 34 01 00 00 00 0F 84 F1 00 00 00 80 BB 2D 01 00 00 04 75 3B 8B B3 14 01 00 00 8B 43 3C 50 8D 44 24 04 50 8B 7B 38 8B C7 D1 F8 79 03 83 D0 00 48 8B CF 33 D2 E8 ?? ?? ?? ?? 6A 01 6A 06 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 43 20 10 0F 84 A3 00 00 00 8A 83 2D 01 00 00 04 FD 2C 02 73 4E 8B B3 14 01 00 00 B2 02 8B 46 10 E8 ?? ?? ?? ?? B2 0E 8B 46 10 E8 ?? ?? ?? ?? BA CE D8 FF 00 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? EB 49 8B 83 34 01 00 00 80 B8 02 02 00 00 00 74 3A 80 BB 1A 01 00 00 00 75 31 8B B3 14 01 00 00 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 0F 6A 04 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3117_0 {
	meta:
		name = "TToolButton.GetButtonState"
		size = 146
		refs = "001b ButtonStates"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 80 BE 1A 01 00 00 00 74 17 80 BE 2D 01 00 00 01 75 08 0A 1D ?? ?? ?? ?? EB 06 0A 1D ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 84 C0 74 1B 8B BE 34 01 00 00 85 FF 74 0B 8B C7 8B 10 FF 52 50 84 C0 74 06 0A 1D ?? ?? ?? ?? 80 7E 47 00 75 0C F6 46 20 10 75 06 0A 1D ?? ?? ?? ?? 80 BE 20 01 00 00 00 74 06 0A 1D ?? ?? ?? ?? 80 BE 2C 01 00 00 00 74 06 0A 1D ?? ?? ?? ?? 80 BE 21 01 00 00 00 74 06 0A 1D ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3118_0 {
	meta:
		name = "TToolButton.SetAutoSize"
		size = 86
		refs = "0050 TToolBar.RecreateButtons"
	strings:
		$1 = { 53 8B D8 3A 93 19 01 00 00 74 49 88 93 19 01 00 00 8B C3 8B 10 FF 92 98 00 00 00 F6 43 20 01 75 33 83 BB 34 01 00 00 00 74 2A 8B 83 34 01 00 00 80 B8 00 02 00 00 00 74 1B 8B 83 34 01 00 00 33 D2 89 90 F0 01 00 00 33 D2 89 90 F4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3119_0 {
	meta:
		name = "TToolButton.SetButtonState"
		size = 103
		refs = "002e TControl.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 C3 03 0F 95 C0 88 86 1A 01 00 00 F6 C3 04 0F 95 C2 8B C6 8B 08 FF 51 60 F6 46 20 10 75 0D F6 C3 08 0F 94 C2 8B C6 E8 ?? ?? ?? ?? 80 BE 1A 01 00 00 00 75 05 F6 C3 10 75 04 33 C0 EB 02 B0 01 88 86 20 01 00 00 F6 C3 20 0F 95 C0 88 86 2C 01 00 00 F6 C3 80 0F 95 C0 88 86 21 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3120_0 {
	meta:
		name = "TToolButton.SetToolBar"
		size = 52
		refs = "0017 TToolBar.RemoveButton 002d TToolBar.InsertButton"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 34 01 00 00 3B F0 74 21 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 64 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3121_0 {
	meta:
		name = "TToolButton.CMVisibleChanged"
		size = 91
		refs = "002b TToolButton.GetIndex 0039 TControl.Perform 004a @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 F6 46 20 10 75 4E 83 BE 34 01 00 00 00 74 45 8B 86 34 01 00 00 85 C0 74 31 8B D8 8A 46 47 34 01 83 E0 7F 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 80 7B 4C 00 74 0B 8B C3 66 BB EF FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 98 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3122_0 {
	meta:
		name = "TToolButton.CMEnabledChanged"
		size = 49
		refs = "001c TToolButton.GetIndex 002a TControl.Perform"
	strings:
		$1 = { 53 56 8B D8 8B B3 34 01 00 00 85 F6 74 20 8B C3 8B 10 FF 52 50 83 E0 7F 50 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 01 04 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3123_0 {
	meta:
		name = "TToolButton.CMHitTest"
		size = 36
	strings:
		$1 = { 8A 88 2D 01 00 00 80 C1 FD 80 E9 02 73 0D 80 B8 87 00 00 00 01 74 04 33 C0 EB 02 B0 01 83 E0 7F 89 42 0C C3 }
	condition:
		$1
}

rule function_3124_0 {
	meta:
		name = "TToolButton.SetDown"
		size = 94
		refs = "0026 MakeLong 002e TToolButton.GetIndex 0044 DownMessage 004b TControl.Perform 0056 TToolBar.UpdateButtonStates"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E 1A 01 00 00 74 4B 88 9E 1A 01 00 00 8B BE 34 01 00 00 85 FF 74 3B 33 C0 8A C3 33 D2 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B C8 80 BE 2D 01 00 00 01 0F 94 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3125_0 {
	meta:
		name = "TToolButton.SetDropdownMenu"
		size = 25
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 3B 90 28 01 00 00 74 10 89 90 28 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3126_0 {
	meta:
		name = "TToolButton.SetGrouped"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 1B 01 00 00 74 10 88 96 1B 01 00 00 8B C6 8B 10 FF 92 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_3127_0 {
	meta:
		name = "TToolButton.SetImageIndex"
		size = 99
		refs = "002b TToolButton.GetIndex 003d TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 1C 01 00 00 74 52 89 B3 1C 01 00 00 83 BB 34 01 00 00 00 74 43 8B C3 8B 10 FF 92 94 00 00 00 56 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 2B 04 00 00 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 80 B8 03 02 00 00 00 75 09 80 B8 02 02 00 00 00 74 07 8B C3 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_3128_0 {
	meta:
		name = "TToolButton.SetMarked"
		size = 61
		refs = "0027 TToolButton.GetIndex 0035 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E 21 01 00 00 74 2A 88 9E 21 01 00 00 8B BE 34 01 00 00 85 FF 74 1A 33 C0 8A C3 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 06 04 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3129_0 {
	meta:
		name = "TToolButton.SetIndeterminate"
		size = 74
		refs = "0018 TToolButton.SetDown 0034 TToolButton.GetIndex 0042 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E 20 01 00 00 74 37 84 DB 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 88 9E 20 01 00 00 8B BE 34 01 00 00 85 FF 74 1A 33 C0 8A C3 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 05 04 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3130_0 {
	meta:
		name = "TToolButton.SetMenuItem"
		size = 113
		refs = "0017 TComponent.FreeNotification 001e TMenuItem.GetAction 0027 TControl.SetAction 0031 TControl.SetText 003b TToolButton.SetDown 0050 @LStrAsg 005a TToolButton.SetImageIndex 0064 TControl.SetVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 5E 3B B3 24 01 00 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 56 24 8B C3 E8 ?? ?? ?? ?? 8A 56 2C 8B C3 E8 ?? ?? ?? ?? 8A 56 2D 8B C3 8B 08 FF 51 60 8D 43 74 8B 56 4C E8 ?? ?? ?? ?? 8B 56 34 8B C3 E8 ?? ?? ?? ?? 8A 56 30 8B C3 E8 ?? ?? ?? ?? 89 B3 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3131_0 {
	meta:
		name = "TToolButton.SetStyle"
		size = 165
		refs = "004c TToolBar.RecreateButtons 007b TToolBar.ResizeButtons 0082 TToolButton.GetIndex 008f TToolBar.RepositionButtons 009e @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3A 96 2D 01 00 00 0F 84 92 00 00 00 88 96 2D 01 00 00 8B C6 8B 10 FF 52 78 F6 46 20 01 75 7F 83 BE 34 01 00 00 00 74 76 8B 86 34 01 00 00 80 B8 00 02 00 00 00 74 17 33 D2 89 90 F0 01 00 00 33 D2 89 90 F4 01 00 00 E8 ?? ?? ?? ?? EB 41 8A 86 2D 01 00 00 04 FD 2C 02 73 0C 8B C6 8B 10 FF 92 94 00 00 00 EB 0A 8B C6 8B 10 FF 92 98 00 00 00 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 8B 86 34 01 00 00 66 BB EF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3132_0 {
	meta:
		name = "TToolButton.SetWrap"
		size = 38
	strings:
		$1 = { 56 8B F0 3A 96 2C 01 00 00 74 19 88 96 2C 01 00 00 83 BE 34 01 00 00 00 74 0A 8B C6 8B 10 FF 92 94 00 00 00 5E C3 }
	condition:
		$1
}

rule function_3133_0 {
	meta:
		name = "TToolButton.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 30 01 00 00 C3 }
	condition:
		$1
}

rule function_3134_0 {
	meta:
		name = "TToolButton.EndUpdate"
		size = 7
	strings:
		$1 = { FF 88 30 01 00 00 C3 }
	condition:
		$1
}

rule function_3135_0 {
	meta:
		name = "TToolButton.GetIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 90 34 01 00 00 85 D2 74 0D 8B 92 F8 01 00 00 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_3136_0 {
	meta:
		name = "TToolButton.IsWidthStored"
		size = 14
	strings:
		$1 = { 8A 80 2D 01 00 00 04 FD 2C 02 0F 92 C0 C3 }
	condition:
		$1
}

rule function_3137_0 {
	meta:
		name = "TToolButton.RefreshControl"
		size = 35
		refs = "0011 TToolButton.GetIndex 001a TToolBar.RefreshButton"
	strings:
		$1 = { 53 56 8B D8 8B B3 34 01 00 00 85 F6 74 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 5E 5B C3 }
	condition:
		$1
}

rule function_3138_0 {
	meta:
		name = "TToolButton.UpdateControl"
		size = 33
		refs = "0011 TToolButton.GetIndex 001a TToolBar.UpdateButton"
	strings:
		$1 = { 53 56 8B D8 8B B3 34 01 00 00 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3139_0 {
	meta:
		name = "TToolButton.CheckMenuDropdown"
		size = 76
		refs = "003a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F0 F6 46 20 10 75 37 8B BE 28 01 00 00 85 FF 74 06 80 7F 51 00 75 09 83 BE 24 01 00 00 00 74 1E 83 BE 34 01 00 00 00 74 15 8B D6 8B 86 34 01 00 00 66 BB B7 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3140_0 {
	meta:
		name = "TButtonControl.IsCheckedStored"
		size = 32
		altNames = "TToolButton.IsCheckedStored"
	strings:
		$1 = { 53 56 8B D8 8B 73 5C 85 F6 74 10 8B C6 8B 10 FF 52 20 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_3141_0 {
	meta:
		name = "TToolButton.IsImageIndexStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 5C 85 F6 74 10 8B C6 8B 10 FF 52 30 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_3142_0 {
	meta:
		name = "TToolButton.ActionChange"
		size = 87
		refs = "0010 TControl.ActionChange 0018 _Dn_TCustomAction 001d @IsClass 0038 TToolButton.SetDown 004f TToolButton.SetImageIndex"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 84 DB 74 09 80 BF 1A 01 00 00 00 75 0A 8A 56 50 8B C7 E8 ?? ?? ?? ?? 84 DB 74 09 83 BF 1C 01 00 00 FF 75 0A 8B 56 5C 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3144_0 {
	meta:
		name = "TToolButton.AssignTo"
		size = 65
		refs = "000c TControl.AssignTo 0014 _Dn_TCustomAction 0019 @IsClass 002c TCustomAction.SetChecked 0039 TCustomAction.SetImageIndex"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8A 93 1A 01 00 00 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 93 1C 01 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3145_0 {
	meta:
		name = "TToolButton.ValidateContainer"
		size = 90
		refs = "000c TComponent.ValidateContainer 001a _DV_TToolBar 001f @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 20 01 74 40 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8A 86 2D 01 00 00 04 FD 2C 02 73 05 8B 46 38 EB 06 8B 87 F0 01 00 00 50 8B 87 F4 01 00 00 50 8B 4E 34 8B 56 30 8B C6 8B 18 FF 93 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3146_0 {
	meta:
		name = "TToolBar.Create"
		size = 384
		refs = "0010 @ClassCreate 001e TToolWindow.Create 0023 TToolBar.Create 0032 TControl.SetWidth 003e TControl.SetHeight 0047 TControl.SetAlign 0054 TToolWindow.SetEdgeBorders 007d _Dn_TList 0082 TObject.Create 008f _Dn_TChangeLink 00a6 TToolBar.ImageListChange 00c4 TToolBar.DisabledImageListChange 00e2 TToolBar.HotImageListChange 00e9 _Dn_TBitmap 00ee TBitmap.Create 0115 TBitmap.GetCanvas 0122 TBrush.SetColor 0136 Rect 0147 TCanvas.FillRect 014c _Dn_TToolDockForm 015f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 40 BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 1D 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 83 F0 01 00 00 17 00 00 00 C7 83 F4 01 00 00 16 00 00 00 C6 83 24 02 00 00 01 C6 83 04 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 0C 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 28 02 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 40 BA 01 00 00 00 8B C6 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 B9 01 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 A0 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 00 AB 00 01 00 02 00 00 00 }
	condition:
		$1
}

rule function_3147_0 {
	meta:
		name = "TToolBar.Destroy"
		size = 166
		refs = "0005 @BeforeDestruction 0014 TObject.Free 0053 TList.Get 0059 _DV_TToolButton 005e @IsClass 0092 TWinControl.Destroy 009d @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 85 28 02 00 00 E8 ?? ?? ?? ?? 8B 85 1C 02 00 00 E8 ?? ?? ?? ?? 8B 85 14 02 00 00 E8 ?? ?? ?? ?? 8B 85 0C 02 00 00 E8 ?? ?? ?? ?? 8B 85 F8 01 00 00 8B 78 08 4F 85 FF 7C 38 47 33 F6 8B D6 8B 85 F8 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B 85 F8 01 00 00 E8 ?? ?? ?? ?? 33 D2 89 90 34 01 00 00 46 4F 75 CB 8B 85 F8 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3148_0 {
	meta:
		name = "TToolBar.CreateParams"
		size = 140
		refs = "000c InitCommonControl 001b TWinControl.CreateParams 0020 TToolBar.CreateParams 0029 TWinControl.CreateSubClass 003e FlatStyles 004d ListStyles 005c TransparentStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? 88 83 24 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 83 C8 4E 33 D2 8A 93 02 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 01 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 03 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 80 BB 00 02 00 00 00 74 07 81 4E 04 00 80 00 00 83 66 24 FC 5E 5B C3 00 00 54 6F 6F 6C 62 61 72 57 69 6E 64 6F 77 33 32 00 }
	condition:
		$1
}

rule function_3149_0 {
	meta:
		name = "TToolBar.CreateWnd"
		size = 169
		refs = "000b TWinControl.CreateWnd 0010 GetComCtlVersion 0027 TControl.Perform 0048 GetStockObject 0055 GetDC 0062 SelectObject 006b GetTextMetrics 0090 ReleaseDC 0097 TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 22 6A 00 33 C9 BA 55 04 00 00 8B C3 E8 ?? ?? ?? ?? 83 C8 01 50 33 C9 BA 54 04 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 2C 02 00 00 6A 0D E8 ?? ?? ?? ?? 8B F0 85 F6 74 42 6A 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 35 56 57 E8 ?? ?? ?? ?? 8B F0 54 57 E8 ?? ?? ?? ?? 85 C0 74 12 8B 04 24 2B 44 24 0C 2B 44 24 10 40 89 83 34 02 00 00 56 57 E8 ?? ?? ?? ?? 57 6A 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3150_0 {
	meta:
		name = "ToolButtonVisible"
		size = 112
		refs = "002c TList.Get 0036 _DV_TToolButton 003b @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B 70 08 4E 85 F6 7C 4F 46 33 FF 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 08 8B 40 FC F6 40 20 10 75 06 80 7B 47 00 74 10 8A 83 2D 01 00 00 04 FD 2C 02 72 04 B0 01 EB 06 47 4E 75 B4 33 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_3151_0 {
	meta:
		name = "TToolBar.CreateButtons"
		size = 403
		refs = "0014 TToolBar.BeginUpdate 001c TToolBar.CreateButtons 002a TWinControl.HandleNeeded 003e TControl.Perform 00b0 MakeLParam 00d2 ToolButtonVisible 0132 TToolBar.EndUpdate 0138 @HandleFinally 0142 TToolBar.InternalButtonCount 0166 TToolBar.UpdateButtons 016e TToolBar.UpdateImages 0188 TToolBar.GetButtonSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 6A 00 B9 14 00 00 00 BA 1E 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 88 20 02 00 00 BA 2F 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 08 02 00 00 85 C0 74 0B 8B 78 28 8B 40 24 89 45 F8 EB 37 8B 45 FC 8B 80 10 02 00 00 85 C0 74 0B 8B 78 28 8B 40 24 89 45 F8 EB 1F 8B 45 FC 8B 80 18 02 00 00 85 C0 74 0B 8B 78 28 8B 40 24 89 45 F8 EB 07 33 FF 33 C0 89 45 F8 66 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 50 33 C9 BA 20 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 00 02 00 00 00 74 14 55 E8 ?? ?? ?? ?? 59 84 C0 74 09 8B 45 FC 2B 98 34 02 00 00 85 F6 7F 05 BE 01 00 00 00 85 DB 7F 05 BB 01 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 50 33 C9 BA 1F 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 B0 F0 01 00 00 8B 45 FC 89 98 F4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 6A 00 33 C9 BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4B 75 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 88 F4 01 00 00 8B 45 FC 8D 90 F0 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3152_0 {
	meta:
		name = "TToolBar.RepositionButton"
		size = 312
		refs = "0025 TControl.Perform 0056 _DV_TToolButton 005b @IsClass 0072 TToolBar.RepositionButton 009b _Dn_TWinControl 00ab TWinControl.HandleNeeded 00b6 TControl.SetBoundsRect 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 8B F8 F6 47 20 01 0F 85 1A 01 00 00 8D 45 E8 50 8B CE BA 17 04 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 00 01 00 00 8D 45 D8 50 8B CE BA 1D 04 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 E6 00 00 00 8B 45 F4 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 45 FC 8B 10 FF 92 8C 00 00 00 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 75 5E 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E4 8B 55 DC 2B CA 8B 45 FC 8B 40 3C 3B C8 7E 33 8B F1 2B F0 D1 FE 79 03 83 D6 00 8B 4D E0 8B 7D D8 2B CF 51 50 8B CA 03 CE 8B 45 FC 8B D7 8B 18 FF 93 80 00 00 00 EB 0B 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 90 00 00 00 C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3153_0 {
	meta:
		name = "TToolBar.RepositionButtons"
		size = 118
		refs = "0024 TToolBar.BeginUpdate 002c TToolBar.RepositionButtons 003a TToolBar.InternalButtonCount 004c TToolBar.RepositionButton 0065 TToolBar.EndUpdate 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC F6 40 20 01 75 5D 8B 45 FC 83 B8 30 02 00 00 00 7F 51 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 2B DE 7F 0F 4B 8B D6 8B 45 FC E8 ?? ?? ?? ?? 4E 43 75 F2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3154_0 {
	meta:
		name = "TToolBar.GetButtonSize"
		size = 216
		refs = "0010 TWinControl.HandleAllocated 001d GetComCtlVersion 0034 TControl.Perform 0052 TToolBar.InternalButtonCount"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F9 8B EA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 E8 ?? ?? ?? ?? 3D 46 00 04 00 7C 27 6A 00 33 C9 BA 3A 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 C1 E8 10 89 07 81 E3 FF FF 00 00 89 5D 00 E9 81 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 73 EB 01 4B 85 DB 7C 1E 8D 44 24 10 50 8B CB BA 17 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 07 F6 44 24 19 01 75 DD 85 DB 7D 21 8B C4 50 33 C9 BA 1D 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 35 8B 44 24 0C 2B 44 24 04 89 07 EB 29 8B C4 50 8B CB BA 1D 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 14 8B 44 24 0C 2B 44 24 04 89 07 8B 44 24 08 2B 04 24 89 45 00 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3155_0 {
	meta:
		name = "TToolBar.SetButtonHeight"
		size = 20
		refs = "000f TToolBar.RecreateButtons"
	strings:
		$1 = { 3B 90 F4 01 00 00 74 0B 89 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3156_0 {
	meta:
		name = "TToolBar.SetButtonWidth"
		size = 20
		refs = "000f TToolBar.RecreateButtons"
	strings:
		$1 = { 3B 90 F0 01 00 00 74 0B 89 90 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3157_0 {
	meta:
		name = "TToolBar.InsertButton"
		size = 187
		refs = "000b _DV_TToolButton 0010 @IsClass 002d TList.IndexOf 0041 TToolBar.ReorderButton 0055 TToolBar.ButtonIndex 0066 TList.Insert 0075 TToolBar.UpdateItem 0084 TList.Add 008f TToolBar.UpdateButton 00a1 TToolBar.RepositionButtons 00b3 TToolBar.ResizeButtons"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 9E 34 01 00 00 F6 46 20 01 75 57 8B D6 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 85 C0 7C 14 8B 56 34 52 8B 4E 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 4A 8B 56 34 52 8B 4E 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CE 8B D7 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 57 8B CF BA 15 04 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 8B D6 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB 04 02 00 00 00 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3158_0 {
	meta:
		name = "TToolBar.RemoveButton"
		size = 118
		refs = "000f TList.IndexOf 001b _DV_TToolButton 0020 @IsClass 0039 TList.Remove 004b TControl.Perform 0052 TToolBar.ResizeButtons 0064 TToolBar.RepositionButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 85 C0 7C 5C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 86 34 01 00 00 8B D6 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B F0 6A 00 8B CE BA 16 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 04 02 00 00 00 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3159_0 {
	meta:
		name = "TToolBar.UpdateItem"
		size = 496
		refs = "0026 TToolBar.UpdateItem 0039 TList.Get 0043 _DV_TToolButton 0048 @IsClass 005f @FillChar 00a1 ButtonStyles 00b4 GetComCtlVersion 00c6 TToolButton.GetButtonState 00ef TControl.GetText 0111 @LStrLAsg 011f StrPCopy 0127 @LStrLen 0144 TControl.Perform 0187 ButtonStates 01c2 @LStrClr 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 E0 53 56 57 33 DB 89 9D E0 EF FF FF 89 5D F8 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 02 01 00 00 8D 45 E4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8A 83 2D 01 00 00 8B D0 80 C2 FD 80 EA 02 73 0F 8B 53 38 89 55 E4 C7 45 E8 FF FF FF FF EB 19 8B 93 1C 01 00 00 85 D2 7D 09 C7 45 E4 FE FF FF FF EB 03 89 55 E4 89 7D E8 83 E0 7F 8A 04 45 ?? ?? ?? ?? 88 45 ED 8B FB 80 BF 19 01 00 00 00 74 10 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 04 80 4D ED 10 8B C7 E8 ?? ?? ?? ?? 88 45 EC 80 BF 1B 01 00 00 00 74 04 80 4D ED 04 89 5D F0 80 BE 00 02 00 00 00 74 67 8D 95 E0 EF FF FF 8B C7 E8 ?? ?? ?? ?? 83 BD E0 EF FF FF 00 74 0C 8D 55 F8 8B C7 E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 EF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C6 84 05 E5 EF FF FF 00 8D 85 E4 EF FF FF 50 33 C9 BA 1C 04 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 F4 EB 4B C7 45 F4 FF FF FF FF EB 42 8D 45 E4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 45 ED 8B 43 38 89 45 E4 C7 45 E8 FF FF FF FF 80 7B 47 00 75 0E F6 43 20 10 75 08 A0 ?? ?? ?? ?? 08 45 EC 89 5D F0 C7 45 F4 FF FF FF FF 8D 45 E4 50 8B 4D 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 EF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_3160_0 {
	meta:
		name = "TToolBar.UpdateItem2"
		size = 516
		refs = "0027 TToolBar.UpdateItem2 003b TList.Get 004c @FillChar 005b _DV_TToolButton 0060 @IsClass 00bc ButtonStyles 00e0 TToolButton.GetButtonState 00fc TControl.GetText 011e @LStrLAsg 012c StrPCopy 0134 @LStrLen 01b9 TControl.Perform 01d6 @LStrClr 01e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 D0 53 56 57 33 DB 89 9D D0 EF FF FF 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? C7 45 D4 20 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 15 01 00 00 C7 45 D8 7C 00 00 00 8B FB 8A 87 2D 01 00 00 8B D0 80 C2 FD 80 EA 02 73 09 C7 45 DC FF FF FF FF EB 20 83 4D D8 01 8B 97 1C 01 00 00 85 D2 7D 09 C7 45 E0 FE FF FF FF EB 03 89 55 E0 8B 55 F8 89 55 DC 66 8B 57 38 66 89 55 E6 83 E0 7F 8A 04 45 ?? ?? ?? ?? 88 45 E5 80 BF 19 01 00 00 00 74 04 80 4D E5 10 80 BF 1B 01 00 00 00 74 04 80 4D E5 04 8B C7 E8 ?? ?? ?? ?? 88 45 E4 89 5D E8 80 BE 00 02 00 00 00 74 67 8D 95 D0 EF FF FF 8B C7 E8 ?? ?? ?? ?? 83 BD D0 EF FF FF 00 74 0C 8D 55 F4 8B C7 E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 D4 EF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C6 84 05 D5 EF FF FF 00 8D 85 D4 EF FF FF 89 45 EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 83 4D D8 02 EB 0A 33 C0 89 45 EC 33 C0 89 45 F0 8A 87 2D 01 00 00 04 FD 2C 02 73 3C C7 45 D8 1C 00 00 00 C6 45 E4 24 C6 45 E5 00 EB 2B C7 45 D8 7E 00 00 00 A0 ?? ?? ?? ?? 88 45 E5 66 8B 43 38 66 89 45 E6 C7 45 DC FF FF FF FF 89 5D E8 33 C0 89 45 EC 33 C0 89 45 F0 8D 45 D4 50 8B 4D 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D0 EF FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_3161_0 {
	meta:
		name = "TToolBar.RefreshButton"
		size = 264
		refs = "002d TToolBar.BeginUpdate 0035 TToolBar.RefreshButton 0045 TWinControl.GetHandle 004b GetWindowLong 0067 SetWindowLong 007d TToolBar.InternalButtonCount 0091 TToolBar.UpdateItem 00d9 @HandleFinally 00f0 TToolBar.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC F6 40 20 01 0F 85 E3 00 00 00 8B 45 FC 83 B8 30 02 00 00 00 0F 85 D3 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 25 FF FF FF EF 50 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7D 28 53 8B CB BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 53 8B CB BA 15 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C6 45 FB 00 8A 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3162_0 {
	meta:
		name = "TToolBar.UpdateButton"
		size = 250
		refs = "002d TToolBar.BeginUpdate 0035 TToolBar.UpdateButton 0043 TWinControl.HandleNeeded 004d TWinControl.GetHandle 0053 GetWindowLong 006f SetWindowLong 0085 TToolBar.InternalButtonCount 0099 TToolBar.UpdateItem2 00ab TToolBar.UpdateItem 00d2 @HandleFinally 00e9 TToolBar.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC F6 40 20 01 0F 85 DC 00 00 00 8B 45 FC 83 B8 30 02 00 00 00 0F 8F CC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 25 FF FF FF EF 50 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7D 12 53 8B CB BA 42 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 10 53 8B CB BA 15 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3163_0 {
	meta:
		name = "TToolBar.UpdateButtons"
		size = 259
		refs = "0010 TToolBar.BeginUpdate 0018 TToolBar.UpdateButtons 0026 TWinControl.HandleNeeded 0030 TWinControl.GetHandle 0036 GetWindowLong 0052 SetWindowLong 0068 TToolBar.InternalButtonCount 0092 TToolBar.UpdateItem2 00a4 TToolBar.UpdateItem 00cf @HandleFinally 00e6 TToolBar.EndUpdate 00f8 TToolBar.RepositionButtons"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 25 FF FF FF EF 50 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 F8 01 00 00 8B 70 08 4E 85 F6 7C 2D 46 33 DB 3B FB 7E 12 53 8B CB BA 42 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 10 53 8B CB BA 15 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3164_0 {
	meta:
		name = "TToolBar.UpdateButtonState"
		size = 94
		refs = "0016 TControl.Perform 0027 TToolButton.SetButtonState 0030 TToolButton.GetButtonState 003c MakeLong 0046 TToolButton.GetIndex"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 8B C4 50 8B CE BA 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3A 8A 54 24 08 8B 44 24 0C E8 ?? ?? ?? ?? 8B 44 24 0C E8 ?? ?? ?? ?? 25 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 50 8B 44 24 10 E8 ?? ?? ?? ?? 8B C8 BA 11 04 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_3165_0 {
	meta:
		name = "TToolBar.UpdateButtonStates"
		size = 67
		refs = "001f TList.Get 0025 _DV_TToolButton 002a @IsClass 0037 TToolBar.UpdateButtonState"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 F8 01 00 00 8B 70 08 4E 85 F6 7C 2C 46 33 DB 8B 87 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3166_0 {
	meta:
		name = "TToolBar.SetShowCaptions"
		size = 45
		refs = "001b TWinControl.RecreateWnd 0026 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3A 96 00 02 00 00 74 1E 88 96 00 02 00 00 F6 46 20 01 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3167_0 {
	meta:
		name = "TToolBar.GetButton"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3168_0 {
	meta:
		name = "TToolBar.GetButtonCount"
		size = 10
	strings:
		$1 = { 8B 80 F8 01 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_3169_0 {
	meta:
		name = "TToolBar.GetRowCount"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 28 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3171_0 {
	meta:
		name = "TCustomListBox.SetMultiSelect"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TToolBar.SetFlat"
	strings:
		$1 = { 3A 90 02 02 00 00 74 0B 88 90 02 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3172_0 {
	meta:
		name = "TCustomListBox.SetSorted"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TToolBar.SetTransparent"
	strings:
		$1 = { 3A 90 03 02 00 00 74 0B 88 90 03 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3173_0 {
	meta:
		name = "TToolBar.SetWrapable"
		size = 32
		refs = "001a @CallDynaInst"
	strings:
		$1 = { 53 3A 90 04 02 00 00 74 15 88 90 04 02 00 00 80 78 4C 00 74 09 66 BB EF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3174_0 {
	meta:
		name = "TToolBar.Notification"
		size = 80
		refs = "0010 TControl.Notification 0026 TToolBar.SetImages 0037 TToolBar.SetHotImages 0048 TToolBar.SetDisabledImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 33 3B B7 08 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 18 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 10 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3175_0 {
	meta:
		name = "GetImageBitmap"
		size = 246
		refs = "000e _Dn_TBitmap 0013 TBitmap.Create 001e GetImageBitmap 002b TCustomImageList.GetCount 0064 Rect 006c TBitmap.GetCanvas 007b TBrush.SetColor 0085 TCanvas.FillRect 00ad TCanvas.GetHandle 00b6 TCustomImageList.GetHandle 00bc ImageList_Draw 00c8 TBitmap.ReleaseHandle 00e0 TObject.Free 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 0F AF 53 28 8B 45 F8 8B 08 FF 51 40 8B 53 24 8B 45 F8 8B 08 FF 51 34 8B 45 08 8B 40 FC 8B 40 3C 50 8D 45 E8 50 8B 45 08 8B 40 FC 8B 48 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 46 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 F6 6A 01 6A 00 8B 43 28 F7 EE 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 46 4F 75 D6 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3176_0 {
	meta:
		name = "TToolBar.LoadImages"
		size = 250
		refs = "0011 GetImageBitmap 001e _Dn_TBitmap 0023 TBitmap.Create 002e TToolBar.LoadImages 004d TBitmap.ReleaseHandle 0065 TObject.Free 006b @HandleFinally 0091 TToolBar.GetButtonCount 00a0 TControl.Perform 00e6 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 D8 89 45 FC 85 D2 74 0E 55 8B C2 E8 ?? ?? ?? ?? 59 89 45 F0 EB 56 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 28 02 00 00 8B 45 EC 8B 08 FF 51 08 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 2C 02 00 00 85 C0 75 28 33 C0 89 45 F4 8B 45 F0 89 45 F8 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 13 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 44 33 D2 89 55 D8 89 45 DC 33 C0 89 45 E0 8B 45 F0 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8D 45 D8 50 33 C9 BA 2E 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 02 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 2C 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_3177_0 {
	meta:
		name = "TToolBar.UpdateImages"
		size = 121
		refs = "001a TCustomImageList.GetHandle 0023 TToolBar.SetImageList 003d TToolBar.SetDisabledImageList 0057 TToolBar.SetHotImageList 0061 TWinControl.HandleAllocated 0072 TToolBar.LoadImages"
	strings:
		$1 = { 53 56 8B D8 80 BB 24 02 00 00 00 74 51 8B B3 08 02 00 00 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 10 02 00 00 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 18 02 00 00 85 F6 74 2B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3178_0 {
	meta:
		name = "TToolBar.ImageListChange"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 08 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3179_0 {
	meta:
		name = "TToolBar.SetImageList"
		size = 42
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 56 33 C9 BA 30 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_3180_0 {
	meta:
		name = "TToolBar.SetImages"
		size = 84
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TToolBar.SetImageList 004d TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 08 02 00 00 85 C0 74 0B 8B 93 0C 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 08 02 00 00 85 C0 74 1A 8B 93 0C 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 08 02 00 00 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3181_0 {
	meta:
		name = "TToolBar.DisabledImageListChange"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 10 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3182_0 {
	meta:
		name = "TToolBar.SetDisabledImageList"
		size = 42
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 56 33 C9 BA 36 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_3183_0 {
	meta:
		name = "TToolBar.SetDisabledImages"
		size = 84
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TToolBar.SetDisabledImageList 004d TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 10 02 00 00 85 C0 74 0B 8B 93 14 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 10 02 00 00 85 C0 74 1A 8B 93 14 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 10 02 00 00 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3184_0 {
	meta:
		name = "TToolBar.HotImageListChange"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 18 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3185_0 {
	meta:
		name = "TToolBar.SetHotImageList"
		size = 42
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 56 33 C9 BA 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_3186_0 {
	meta:
		name = "TToolBar.SetHotImages"
		size = 84
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TToolBar.SetHotImageList 004d TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 18 02 00 00 85 C0 74 0B 8B 93 1C 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 18 02 00 00 85 C0 74 1A 8B 93 1C 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 18 02 00 00 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3187_0 {
	meta:
		name = "TToolBar.SetIndent"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3B 90 20 02 00 00 74 0B 89 90 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9732_0 {
	meta:
		name = "TCustomGrid.SetFixedColor"
		size = 20
		refs = "000f TCustomGrid.InvalidateGrid"
	strings:
		$1 = { 3B 90 20 02 00 00 74 0B 89 90 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3188_0 {
	meta:
		name = "TToolBar.RecreateButtons"
		size = 48
		refs = "000c TWinControl.HandleAllocated 0023 TToolBar.CreateButtons 002a TToolBar.ResizeButtons"
	strings:
		$1 = { 53 8B D8 F6 43 20 01 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 8B F4 01 00 00 8B 93 F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3189_0 {
	meta:
		name = "TToolBar.WMCaptureChanged"
		size = 43
		refs = "0024 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 F0 80 BE 39 02 00 00 00 74 14 80 BE 38 02 00 00 00 74 0B 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3190_0 {
	meta:
		name = "TToolBar.WMKeyDown"
		size = 175
		refs = "0023 TControl.Perform 0058 TList.Get 006d Point 007a TControl.ClientToScreen 0087 @CallDynaInst 00a4 TWinControl.WMKeyDown"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 80 BE 39 02 00 00 00 0F 84 88 00 00 00 6A 00 33 C9 BA 47 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 66 8B 47 04 66 83 E8 0D 74 0C 66 83 E8 0E 74 5B 66 83 E8 0D 75 60 83 FB FF 7E 47 8B 86 F8 01 00 00 3B 58 08 7D 3C 8B D3 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 4C 24 08 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 66 BB B6 FF E8 ?? ?? ?? ?? 66 83 7F 04 28 74 16 EB 0B 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3191_0 {
	meta:
		name = "TToolBar.GetChildren"
		size = 141
		refs = "002f TList.Get 0043 TWinControl.GetControlCount 0057 TWinControl.GetControl 0071 TList.IndexOf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 80 F8 01 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 F8 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 36 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 47 04 3B 45 F8 75 1B 8B 45 FC 8B 80 F8 01 00 00 8B D7 E8 ?? ?? ?? ?? 40 75 08 8B D7 8B 45 0C FF 55 08 46 4B 75 CD 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3192_0 {
	meta:
		name = "TToolBar.Loaded"
		size = 76
		refs = "0008 TToolBar.RecreateButtons 000f TWinControl.GetControlCount 0022 TWinControl.GetControl 0029 TControl.SetHostDockSite 0034 TControl.Loaded 003b TToolBar.ResizeButtons 0044 TToolBar.RepositionButtons"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 17 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 4E 75 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3193_0 {
	meta:
		name = "TToolBar.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 30 02 00 00 C3 }
	condition:
		$1
}

rule function_3194_0 {
	meta:
		name = "TToolBar.EndUpdate"
		size = 7
	strings:
		$1 = { FF 88 30 02 00 00 C3 }
	condition:
		$1
}

rule function_3195_0 {
	meta:
		name = "TToolBar.ResizeButtons"
		size = 55
		refs = "000c TWinControl.HandleAllocated 0020 TControl.Perform 0031 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 F6 43 20 01 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 6A 00 33 C9 BA 21 04 00 00 8B C3 E8 ?? ?? ?? ?? 80 7B 4C 00 74 0B 8B C3 66 BB EF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3196_0 {
	meta:
		name = "TToolBar.InternalButtonCount"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3197_0 {
	meta:
		name = "TToolBar.ButtonIndex"
		size = 330
		refs = "0061 TList.Get 006d _DV_TToolButton 0072 @IsClass 012a @SetRange"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 8B FA 8B F0 85 FF 7C 13 8B 86 F8 01 00 00 83 78 08 01 7F 07 8B DF E9 18 01 00 00 33 DB 8B 86 F8 01 00 00 83 78 08 00 0F 84 06 01 00 00 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC C7 45 F8 FF FF FF 7F E9 81 00 00 00 3B FB 74 79 8B D3 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 E8 80 B8 2C 01 00 00 00 75 0E 8B 86 F8 01 00 00 8B 40 08 48 3B D8 75 40 8B 45 E8 FF 70 34 8B 45 08 5A 2B C2 99 33 C2 2B C2 8B C8 3B 4D F8 7D 1D 8B 45 E8 FF 70 34 8B 45 08 5A 2B C2 99 33 C2 2B C2 89 4D F8 8B 45 F4 89 45 F0 89 5D EC 8D 43 01 89 45 F4 EB 03 89 5D EC 43 83 7D F8 00 7E 0F 8B 86 F8 01 00 00 3B 58 08 0F 8C 6A FF FF FF 8B 5D F0 8B 45 EC 2B C3 7C 23 40 89 45 E4 3B FB 74 15 8B D3 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B 40 30 3B 45 FC 7D 06 43 FF 4D E4 75 E1 8D 47 01 3B D8 75 21 8B 45 F0 8B 55 EC 8D 4D C4 B4 20 E8 ?? ?? ?? ?? 8B C7 3D FF 00 00 00 77 04 0F A3 45 C4 73 02 8B DF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3198_0 {
	meta:
		name = "TToolBar.ReorderButton"
		size = 199
		refs = "0017 TToolBar.ButtonIndex 003b TList.Get 004d TList.Delete 0060 TList.Insert 0068 TToolBar.BeginUpdate 0070 TToolBar.ReorderButton 0087 TControl.Perform 009b TToolBar.UpdateItem 00b0 TToolBar.EndUpdate 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 08 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 3B 5D F8 0F 84 95 00 00 00 3B 5D F8 7D 03 FF 4D F8 8B 45 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 8B CE 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F8 BA 15 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3199_0 {
	meta:
		name = "TToolBar.AdjustControl"
		size = 211
		refs = "0014 TList.IndexOf 002f TToolBar.ReorderButton 0064 TControl.Perform 0097 TToolBar.SetButtonHeight 00ac TToolBar.RefreshButton 00b3 TToolBar.ResizeButtons 00bc TToolBar.RepositionButtons 00c7 TToolBar.RepositionButton"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B E8 8B D7 8B 85 F8 01 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 A8 00 00 00 8B 47 34 50 8B 4F 30 8B D6 8B C5 E8 ?? ?? ?? ?? 3B F0 0F 95 C3 C6 04 24 00 84 DB 74 15 8B D7 8B 85 F8 01 00 00 E8 ?? ?? ?? ?? 3B F0 7E 2F 8B F0 EB 2B 8D 44 24 04 50 8B CE BA 1D 04 00 00 8B C5 E8 ?? ?? ?? ?? 85 C0 74 14 8B 47 38 8B 54 24 0C 2B 54 24 04 3B C2 0F 95 04 24 8A 1C 24 F6 45 20 10 74 17 8B 47 3C 3B 85 F4 01 00 00 74 0C 8B 57 3C 8B C5 E8 ?? ?? ?? ?? EB 2E 84 DB 74 21 80 3C 24 00 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 33 D2 8B C5 E8 ?? ?? ?? ?? EB 09 8B D6 8B C5 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3200_0 {
	meta:
		name = "TToolBar.AlignControls"
		size = 59
		refs = "0018 TToolBar.RepositionButtons 0022 _DV_TToolButton 0027 @IsClass 0034 TToolBar.AdjustControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 30 02 00 00 00 7F 29 85 F6 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3202_0 {
	meta:
		name = "TToolBar.WMEraseBkgnd"
		size = 21
		refs = "000a TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 80 B8 03 02 00 00 00 75 06 E8 ?? ?? ?? ?? C3 8B 08 FF 51 F0 C3 }
	condition:
		$1
}

rule function_3203_0 {
	meta:
		name = "TToolBar.WMGetDlgCode"
		size = 17
	strings:
		$1 = { 80 B8 39 02 00 00 00 74 07 C7 42 0C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_3204_0 {
	meta:
		name = "TToolBar.WMGetText"
		size = 42
		refs = "000d @LStrToPChar 001b StrLCopy 0020 StrLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4B 04 49 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3205_0 {
	meta:
		name = "TToolBar.WMGetTextLength"
		size = 23
		refs = "000d @LStrLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3206_0 {
	meta:
		name = "TToolBar.WMSetText"
		size = 36
		refs = "000d StrLen 001c @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 08 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 8D 83 FC 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3208_0 {
	meta:
		name = "TToolBar.WMSize"
		size = 49
		refs = "0009 TWinControl.WMSize 0029 TToolBar.WrapButtons"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 4C 00 75 1A 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_3209_0 {
	meta:
		name = "TToolBar.WMSysChar"
		size = 39
		refs = "0009 GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 8B D6 8B 08 FF 51 EC 5E 5B C3 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3210_0 {
	meta:
		name = "TToolBar.WMWindowPosChanged"
		size = 228
		refs = "001b TWinControl.HandleAllocated 0035 TWinControl.GetHandle 003b GetWindowRect 0042 TControl.GetClientWidth 0052 TControl.GetClientHeight 0071 CreateRectRgn 0097 CombineRgn 009e GetRgnBox 00a8 DeleteObject 00b7 TWinControl.WMWindowPosChanged 00cd RedrawWindow"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 8B D8 80 BB 02 02 00 00 00 0F 84 BB 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AC 00 00 00 83 7B 24 00 0F 84 A2 00 00 00 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 74 24 08 2B 34 24 2B F0 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 0C 2B 7C 24 04 2B F8 8B 43 3C 2B C7 50 8B 43 38 2B C6 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 50 14 2B D7 52 8B 40 10 2B C7 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F8 6A 03 56 57 56 E8 ?? ?? ?? ?? 54 56 E8 ?? ?? ?? ?? 83 2C 24 02 56 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D5 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3211_0 {
	meta:
		name = "TToolBar.WMWindowPosChanging"
		size = 95
		refs = "002a TWinControl.HandleAllocated 0037 TControl.GetBoundsRect 0046 TWinControl.GetHandle 004c InvalidateRect 0055 TWinControl.WMWindowPosChanging"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 80 BB 03 02 00 00 00 74 3E 8B 46 08 8B 40 18 83 E0 03 83 F8 03 74 30 83 7B 24 00 74 2A 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 1E 8B D4 8B C3 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_3212_0 {
	meta:
		name = "CalcSize"
		size = 519
		refs = "005b TList.Get 007b _DV_TToolButton 0080 @IsClass 00ae TBits.GetBit 00f2 GetComCtlVersion"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 33 D2 89 10 8B 45 F8 33 D2 89 10 8B 45 08 8B 40 FC 8B 80 20 02 00 00 89 45 F0 33 C0 89 45 EC 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B 78 08 4F 85 FF 0F 8C 9A 01 00 00 47 33 F6 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC F6 40 20 10 75 0A 80 7B 47 00 0F 84 64 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B 40 08 48 3B F0 7D 26 8B 45 08 83 78 F8 00 74 12 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 88 45 F7 EB 0F 8A 83 2C 01 00 00 88 45 F7 EB 04 C6 45 F7 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 8A 83 2D 01 00 00 04 FD 2C 02 0F 83 97 00 00 00 8B 43 38 89 45 E8 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 1B 8B 45 08 8B 40 FC 80 B8 02 02 00 00 00 75 1C E8 ?? ?? ?? ?? 3D 48 00 04 00 7C 10 8B 45 E8 03 C0 B9 03 00 00 00 99 F7 F9 89 45 E8 80 7D F7 00 74 34 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B 40 08 48 3B F0 7D 20 8B 45 08 8B 40 FC 8B 80 F4 01 00 00 03 45 EC 03 45 E8 8B 55 F8 3B 02 7E 19 8B 55 F8 89 02 EB 12 8B 45 F0 03 43 38 8B 55 FC 3B 02 7E 05 8B 55 FC 89 02 80 7D F7 00 74 35 8B 45 E8 01 45 EC EB 2D 8B 45 F0 03 43 38 8B 55 FC 3B 02 7E 05 8B 55 FC 89 02 8B 45 08 8B 40 FC 8B 80 F4 01 00 00 03 45 EC 8B 55 F8 3B 02 7E 05 8B 55 F8 89 02 80 7D F7 00 74 20 8B 45 08 8B 40 FC 8B 80 20 02 00 00 89 45 F0 8B 45 08 8B 40 FC 8B 80 F4 01 00 00 01 45 EC EB 06 8B 43 38 01 45 F0 46 4F 0F 85 69 FE FF FF 8B 45 F8 83 38 00 7E 15 8B 45 08 8B 40 FC 80 B8 02 02 00 00 00 75 06 8B 45 F8 83 00 02 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3213_0 {
	meta:
		name = "WrapHorz"
		size = 524
		refs = "0031 TList.Get 003b _DV_TToolButton 0040 @IsClass 0053 TBits.SetBit 0102 TBits.GetBit"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC C7 45 F8 01 00 00 00 8B 45 08 8B 40 FC 8B 80 20 02 00 00 89 45 F4 33 FF E9 C4 01 00 00 8B 45 08 8B C3 8B D7 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 F8 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 40 20 10 75 0A 80 7E 47 00 0F 84 7F 01 00 00 8B 45 F4 03 46 38 3B 45 FC 0F 8E 6A 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8A 86 2D 01 00 00 04 FD 2C 02 0F 82 49 01 00 00 C6 45 F3 00 8B DF 83 FB 00 0F 8C 91 00 00 00 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 65 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? F6 40 20 10 75 06 80 78 47 00 74 46 8A 80 2D 01 00 00 04 FD 2C 02 73 3A 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 84 C0 75 33 C6 45 F3 01 8B FB 8B 45 08 8B 40 FC 8B 80 20 02 00 00 89 45 F4 8B 45 08 8B 40 F8 B1 01 8B D3 E8 ?? ?? ?? ?? FF 45 F8 EB 0A 4B 83 FB FF 0F 85 6F FF FF FF 80 7D F3 00 0F 85 A5 00 00 00 8B DF 4B 83 FB 00 0F 8C 85 00 00 00 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? F6 40 20 10 75 06 80 78 47 00 74 3A 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 84 C0 75 33 C6 45 F3 01 8B FB 8B 45 08 8B 40 FC 8B 80 20 02 00 00 89 45 F4 8B 45 08 8B 40 F8 B1 01 8B D3 E8 ?? ?? ?? ?? FF 45 F8 EB 0A 4B 83 FB FF 0F 85 7B FF FF FF 80 7D F3 00 75 0E 8B 46 38 01 45 F4 EB 06 8B 46 38 01 45 F4 47 8B 45 08 8B 40 FC 8B 98 F8 01 00 00 3B 7B 08 0F 8C 27 FE FF FF 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3214_0 {
	meta:
		name = "WrapSizeVert"
		size = 217
		refs = "0013 WrapHorz 0023 CalcSize"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 FC 33 DB 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 F0 8D 45 EC E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 FF FF FF 7F E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 F8 8D 45 F4 E8 ?? ?? ?? ?? 59 EB 7B 8B C8 03 CA D1 F9 79 03 83 D1 00 89 4D E4 8B 45 08 50 8B C1 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 8D 55 E8 8D 45 E4 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 00 3B 45 E8 7D 2F 8B 45 EC 3B 45 E4 75 19 8B 45 F0 3B 45 E8 75 11 8B 45 08 50 8B 45 F4 E8 ?? ?? ?? ?? 59 8B D8 EB 32 8B 45 E4 89 45 EC 8B 45 E8 89 45 F0 EB 16 8B 45 FC 8B 00 3B 45 E8 7E 1A 8B 45 E4 89 45 F4 8B 45 E8 89 45 F8 8B 55 F4 8B 45 EC 3B D0 0F 8F 77 FF FF FF 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3215_0 {
	meta:
		name = "WrapSizeHorz"
		size = 148
		refs = "0019 WrapHorz 0078 CalcSize"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 33 FF 8B 18 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 89 45 F8 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 3B 45 F8 74 3B 3B DF 7E 37 8D 34 3B D1 FE 79 03 83 D6 00 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 3B 45 F8 75 04 8B DE EB 14 3B F7 75 0E 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 EB 06 8B FE 3B DF 7F C9 8B 45 08 50 8D 55 F4 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3216_0 {
	meta:
		name = "TToolBar.WrapButtons"
		size = 584
		refs = "0019 TWinControl.HandleAllocated 0029 TToolBar.InternalButtonCount 004a TControl.GetClientWidth 0055 TControl.GetClientHeight 0089 CalcSize 00a2 Point 00ed _Dn_TBits 00f2 TObject.Create 00fd TToolBar.WrapButtons 0117 TBits.SetSize 0129 WrapSizeVert 0138 WrapSizeHorz 0183 TList.Get 0189 _DV_TToolButton 018e @IsClass 019c TBits.GetBit 01b3 TToolButton.SetWrap 01c1 TToolBar.RepositionButtons 01cb TToolBar.UpdateButtonStates 01e0 TObject.Free 01e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 89 4D F0 89 55 F4 89 45 FC C6 45 EF 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 1A 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7D 0D 8B 45 FC F6 40 20 10 0F 85 FE 01 00 00 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 89 5D DC 8B 45 FC 8B 40 38 2B 45 D8 89 45 E8 8B 45 FC 8B 40 3C 2B C3 89 45 E4 8B 45 D8 89 45 C8 8B 45 DC 89 45 CC 55 8D 55 DC 8D 45 D8 E8 ?? ?? ?? ?? 59 8D 4D D0 8B 55 F0 8B 12 2B 55 E4 8B 45 F4 8B 00 2B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 4B 84 C0 74 0C 04 FD 2C 02 0F 92 C0 88 45 E3 EB 1E 8B 45 D0 2B 45 C8 99 33 C2 2B C2 8B C8 8B 45 D4 2B 45 CC 99 33 C2 2B C2 3B C8 0F 9C 45 E3 8B 45 FC 80 B8 04 02 00 00 00 0F 84 02 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 01 00 00 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 80 7D E3 00 74 0F 55 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 59 EB 0D 55 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 59 55 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 59 80 7D E3 00 75 09 8B 45 FC 80 78 4B 00 75 08 8B 45 D0 3B 45 D8 75 08 8B 45 D4 3B 45 DC 74 5E 8B 45 F8 8B 70 04 4E 85 F6 7C 47 46 33 DB 8B 45 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 BC 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 55 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 59 8B 45 FC 80 78 4C 00 74 3D 8B 45 FC 80 78 4B 05 74 34 80 7D E3 00 75 09 8B 45 FC 80 78 4B 00 75 0B 8B 45 D0 03 45 E8 8B 55 F4 89 02 80 7D E3 00 74 09 8B 45 FC 80 78 4B 00 75 0B 8B 45 D4 03 45 E4 8B 55 F0 89 02 8A 45 EF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3218_0 {
	meta:
		name = "TToolBar.CMControlChange"
		size = 47
		refs = "001b TToolBar.InsertButton 0028 TToolBar.RemoveButton"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 83 7E 08 00 74 0D 8B 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3219_0 {
	meta:
		name = "TToolBar.CNChar"
		size = 55
		refs = "0025 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 39 02 00 00 00 74 25 F6 43 20 10 75 1F 8B 46 08 50 0F B7 4E 04 BA 06 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3220_0 {
	meta:
		name = "TToolBar.CMDialogChar"
		size = 140
		refs = "002b TToolBar.FindButtonFromAccel 003f GetComCtlVersion 0065 @CallDynaInst 0084 TWinControl.CMDialogChar"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 52 50 84 C0 74 6D 80 BB 6C 01 00 00 00 74 64 80 BB 00 02 00 00 00 74 5B 66 8B 57 04 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4A 80 BE 2D 01 00 00 02 75 0C E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 21 83 BE 28 01 00 00 00 75 09 83 BE 24 01 00 00 00 74 0F 8B D6 8B C3 66 BB B4 FF E8 ?? ?? ?? ?? EB 0B 8B C6 66 BB EC FF E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3221_0 {
	meta:
		name = "TToolBar.CMEnabledChanged"
		size = 27
		refs = "000b TWinControl.CMEnabledChanged 0014 TWinControl.Broadcast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4411_0 {
	meta:
		name = "TWinControl.CMSysFontChanged"
		size = 27
		refs = "000b TControl.CMSysFontChanged 0014 TWinControl.Broadcast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3223_0 {
	meta:
		name = "TToolBar.CMParentColorChanged"
		size = 28
		refs = "0006 TControl.CMParentColorChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE 03 02 00 00 00 74 07 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_3224_0 {
	meta:
		name = "TToolBar.CNSysKeyDown"
		size = 36
		refs = "000b TWinControl.CNSysKeyDown 001d @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7E 04 12 75 0B 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3226_0 {
	meta:
		name = "TToolBar.CNDropDownClosed"
		size = 19
		refs = "0006 TToolBar.ClearTempMenu"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 38 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_3227_0 {
	meta:
		name = "TToolBar.CNNotify"
		size = 62
		refs = "0023 TControl.Perform 0037 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B 42 08 8B 48 08 81 E9 3A FD FF FF 75 29 8B D8 8D 43 10 50 8B 4B 0C BA 17 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 10 8B 43 1C 85 C0 74 09 66 BB CE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3228_0 {
	meta:
		name = "IsToolButtonMouseMsg"
		size = 167
		refs = "0011 TWinControl.GetHandle 0018 GetCapture 0021 GetCaptureControl 0054 SmallPointToPoint 0064 TWinControl.ControlAtPos 007f _DV_TToolButton 0084 @IsClass 0093 TControl.Dragging"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 2D E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 83 78 F8 00 74 19 8B 45 08 8B 40 F8 8B 40 24 8B 55 08 3B 42 FC 74 08 8B 45 08 33 D2 89 50 F8 8D 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 74 24 8B 45 08 8B 40 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3229_0 {
	meta:
		name = "SendDropdownMsg"
		size = 109
		refs = "0014 @FillChar 001f TWinControl.GetHandle 003e TToolButton.GetIndex 0064 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 8B D8 8D 45 D4 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 D4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 D8 C7 45 DC 3A FD FF FF 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8D 45 D4 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 6A 4E 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3230_0 {
	meta:
		name = "TToolBar.WndProc"
		size = 497
		refs = "0040 IsToolButtonMouseMsg 00c9 TToolButton.SetDown 00d1 TToolBar.UpdateButtonStates 00fc TControl.GetMouseCapture 010a TControl.SetMouseCapture 011b GetComCtlVersion 0147 TWinControl.WndProc 014f TControl.Dragging 0187 TToolBar.WndProc 0196 SendDropdownMsg 01b8 TWinControl.GetHandle 01c2 PeekMessage 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 89 55 F0 89 45 FC 8B 45 FC F6 40 20 10 0F 85 C9 01 00 00 8B 45 F0 8B 00 2D 00 02 00 00 74 16 48 0F 84 AE 00 00 00 48 74 47 48 0F 84 A4 00 00 00 E9 A7 01 00 00 55 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 74 1D 8B 45 F4 80 78 4D 01 0F 84 8C 01 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 F0 E9 7C 01 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 F0 E9 6C 01 00 00 55 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 0F 84 5A 01 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 F0 8B 45 F8 3B 45 F4 0F 85 4E 01 00 00 8B 45 F4 80 B8 1A 01 00 00 00 74 22 80 B8 1B 01 00 00 00 74 19 80 B8 18 01 00 00 00 74 10 80 B8 2D 01 00 00 01 75 07 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 08 01 00 00 55 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 0F 84 F6 00 00 00 8B 45 FC 80 B8 39 02 00 00 00 74 16 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 2D 01 00 00 02 75 26 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 25 8B 45 F4 8B 40 30 8B 55 FC 03 82 F0 01 00 00 8B 55 F0 0F BF 52 08 3B C2 7E 0B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 55 F0 8B 45 FC 8B 08 FF 51 F0 8B 55 F4 80 BA 2D 01 00 00 02 74 7F 8B 45 F4 83 B8 28 01 00 00 00 75 09 83 B8 24 01 00 00 00 74 6A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 F4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 01 68 01 02 00 00 68 01 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 45 F0 C7 00 02 02 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 EC C3 E9 ?? ?? ?? ?? EB C6 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_3232_0 {
	meta:
		name = "TToolBar.FindButtonFromAccel"
		size = 191
		refs = "0019 TToolBar.FindButtonFromAccel 0043 TList.Get 0049 _DV_TToolButton 004e @IsClass 007f TControl.GetText 008b IsAccel 00aa @LStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 66 89 55 FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 01 00 00 8B 70 08 4E 85 F6 7C 63 46 33 DB 8B 45 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 8B 45 FC 8B 80 F8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 80 7F 47 00 74 25 8B C7 8B 10 FF 52 50 84 C0 74 1A 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 66 8B 45 FA E8 ?? ?? ?? ?? 84 C0 75 06 43 4E 75 A0 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3233_0 {
	meta:
		name = "FindButton"
		size = 171
		refs = "000d MenuToolBar 001a MenuButtonIndex 0027 TToolBar.GetButtonCount 0044 TToolBar.GetButton"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8B 3D ?? ?? ?? ?? 85 FF 0F 84 87 00 00 00 A1 ?? ?? ?? ?? 89 45 FC 8B 75 FC 8B C7 E8 ?? ?? ?? ?? 89 45 F8 84 DB 74 39 8B 45 F8 48 3B F0 75 04 33 F6 EB 01 46 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 14 8B C3 8B 10 FF 52 50 84 C0 74 09 80 BB 1B 01 00 00 00 75 3E 3B 75 FC 75 C9 EB 35 85 F6 75 06 8B 75 F8 4E EB 01 4E 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 14 8B C3 8B 10 FF 52 50 84 C0 74 09 80 BB 1B 01 00 00 00 75 07 3B 75 FC 75 CB 33 DB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3234_0 {
	meta:
		name = "ToolMenuGetMsgHook"
		size = 653
		refs = "0016 ToolMenuHook 001c CallNextHookEx 003a InitDone 0055 PostMessage 0089 HiWord 009b StillModal 00a7 MenuToolBar 00b0 @CallDynaInst 00df GetSubMenu 00fd TMenu.FindItem 0102 LastMenuItem 016b TMenuItem.GetCount 0176 FindButton 0194 _Dn_TPopupMenu 0199 @IsClass 01ba Point 01c7 TControl.ClientToScreen 01de LastMousePos 01f5 FindDragTarget 0215 _DV_TToolButton 0227 TToolButton.GetIndex 022d MenuButtonIndex 0246 TWinControl.HandleAllocated"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 7D 10 8B 5D 08 57 8B 45 0C 50 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 85 54 02 00 00 83 FB 02 0F 85 4B 02 00 00 33 F6 80 3D ?? ?? ?? ?? 00 75 18 C6 05 ?? ?? ?? ?? 01 6A 00 6A 28 68 00 01 00 00 8B 07 50 E8 ?? ?? ?? ?? 8B 47 04 2D 00 01 00 00 0F 84 C1 00 00 00 83 E8 04 0F 84 9B 00 00 00 83 E8 1B 74 10 2D E1 00 00 00 0F 84 4D 01 00 00 E9 88 01 00 00 8B 47 08 E8 ?? ?? ?? ?? 66 3D FF FF 75 26 83 7F 0C 00 75 20 80 3D ?? ?? ?? ?? 00 0F 85 DB 01 00 00 A1 ?? ?? ?? ?? 66 BB B8 FF E8 ?? ?? ?? ?? E9 C8 01 00 00 C6 05 ?? ?? ?? ?? 00 33 DB 8B 47 08 E8 ?? ?? ?? ?? A8 10 74 02 B3 01 80 FB 01 75 12 0F B7 47 08 50 8B 47 0C 50 E8 ?? ?? ?? ?? 8B F8 EB 06 0F B7 47 08 8B F8 A1 ?? ?? ?? ?? 8B 80 3C 02 00 00 8B CB 8B D7 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E9 02 01 00 00 83 7F 08 12 0F 85 F8 00 00 00 A1 ?? ?? ?? ?? 66 BB B8 FF E8 ?? ?? ?? ?? E9 59 01 00 00 8B 47 08 83 F8 0D 75 11 A1 ?? ?? ?? ?? C6 80 48 02 00 00 01 E9 CC 00 00 00 83 F8 1B 75 0C C6 05 ?? ?? ?? ?? 01 E9 BB 00 00 00 83 3D ?? ?? ?? ?? 00 0F 84 AE 00 00 00 83 7F 08 27 75 19 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0B B0 01 E8 ?? ?? ?? ?? 8B F0 EB 30 83 7F 08 25 75 28 A1 ?? ?? ?? ?? 66 BB F3 FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 74 5B 8D 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 EC 8D 4D F4 8B C6 E8 ?? ?? ?? ?? EB 40 8B 47 14 89 45 F4 8B 47 18 89 45 F8 8B 45 F4 3B 05 ?? ?? ?? ?? 75 0B 8B 45 F8 3B 05 ?? ?? ?? ?? 74 1E 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 8B F0 8B 45 F4 89 05 ?? ?? ?? ?? 8B 45 F8 89 05 ?? ?? ?? ?? 85 F6 74 70 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 8B FE 8B C7 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 4E 80 BF 1B 01 00 00 00 74 45 83 7F 24 00 74 3F 8B 47 24 E8 ?? ?? ?? ?? 84 C0 74 33 C6 05 ?? ?? ?? ?? 01 A1 ?? ?? ?? ?? C6 80 38 02 00 00 00 8B D7 A1 ?? ?? ?? ?? 66 BB B6 FF E8 ?? ?? ?? ?? 8B D7 A1 ?? ?? ?? ?? 66 BB B6 FF E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3235_0 {
	meta:
		name = "InitToolMenuHooks"
		size = 53
		refs = "0002 StillModal 0008 LastMousePos 000d GetCursorPos 0013 ToolMenuHook 001b GetCurrentThreadId 0023 ToolMenuGetMsgHook 002b SetWindowsHookEx"
	strings:
		$1 = { C6 05 ?? ?? ?? ?? 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1A E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A FF E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3236_0 {
	meta:
		name = "ReleaseToolMenuHooks"
		size = 59
		refs = "0002 ToolMenuHook 0010 UnhookWindowsHookEx 001e LastMenuItem 0025 MenuToolBar 002b MenuButtonIndex 0035 InitDone"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? FF FF FF FF C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_3237_0 {
	meta:
		name = "ToolMenuKeyMsgHook"
		size = 124
		refs = "001a MenuToolBar2 0023 @CallDynaInst 002b ToolMenuHook 005e TWinControl.GetHandle 006b ToolMenuKeyHook 0071 CallNextHookEx"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 7D 08 85 FF 75 54 81 7E 04 01 B0 00 00 75 10 A1 ?? ?? ?? ?? 66 BB B8 FF E8 ?? ?? ?? ?? EB 3B 83 3D ?? ?? ?? ?? 00 75 32 8B 46 04 3D 02 01 00 00 74 1C 3D 00 01 00 00 74 15 3D 01 01 00 00 74 0E 3D 04 01 00 00 74 07 3D 05 01 00 00 75 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 56 8B 45 0C 50 57 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_3238_0 {
	meta:
		name = "InitToolMenuKeyHooks"
		size = 36
		refs = "0002 ToolMenuKeyHook 000a GetCurrentThreadId 0012 ToolMenuKeyMsgHook 001a SetWindowsHookEx"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 1A E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A 03 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3239_0 {
	meta:
		name = "ReleaseToolMenuKeyHooks"
		size = 35
		refs = "0002 ToolMenuKeyHook 0010 UnhookWindowsHookEx 001e MenuToolBar2"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3240_0 {
	meta:
		name = "TToolBar.ClearTempMenu"
		size = 171
		refs = "0041 TMenuItem.GetCount 0059 TMenuItem.GetItem 006b TMenuItem.Delete 007a TMenuItem.Insert 008b TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 40 02 00 00 00 0F 84 95 00 00 00 83 BB 44 02 00 00 00 0F 84 88 00 00 00 8B 83 44 02 00 00 83 B8 24 01 00 00 00 74 79 83 BB 3C 02 00 00 00 74 70 8B 83 3C 02 00 00 8B 40 28 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 37 8B 83 3C 02 00 00 8B 40 28 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 83 3C 02 00 00 8B 40 28 8B D6 E8 ?? ?? ?? ?? 8B CF 33 D2 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 4E 83 FE FF 75 C9 8B 83 3C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 3C 02 00 00 33 C0 89 83 44 02 00 00 33 C0 89 83 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3241_0 {
	meta:
		name = "TToolBar.CheckMenuDropdown"
		size = 619
		refs = "002a TToolBar.CheckMenuDropdown 0069 TToolBar.ClearTempMenu 0073 _Dn_TPopupMenu 0078 TPopupMenu.Create 0096 TPopupMenu.SetHelpContext 00b1 TMenuItem.GetParentMenu 00c6 TMenu.SetImages 00df TMenuItem.GetCount 00f7 TMenuItem.GetItem 0109 TMenuItem.Delete 011e TMenuItem.Insert 012b @TryFinallyExit 013a TControl.SendCancelMode 0178 TToolButton.GetIndex 017d MenuButtonIndex 0185 MenuToolBar 018a InitToolMenuHooks 019c TControl.Perform 01b2 TControl.GetClientHeight 01be Point 01cc TControl.ClientToScreen 01f8 ReleaseToolMenuHooks 01fe @HandleFinally 0212 StillModal 0250 TWinControl.GetHandle 0256 PostMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 55 F8 89 45 FC C6 45 F7 00 83 7D F8 00 0F 84 46 02 00 00 8B 45 FC C6 80 38 02 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 80 28 01 00 00 85 C0 74 0E 8B 55 FC 89 82 3C 02 00 00 E9 E5 00 00 00 8B 45 F8 8B 80 24 01 00 00 85 C0 0F 84 CA 00 00 00 8B 10 FF 52 3C 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 3C 02 00 00 8B 45 F8 8B 80 24 01 00 00 8B 50 48 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 02 00 00 C6 40 58 01 8B 45 F8 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 8B 50 3C 8B 45 FC 8B 80 3C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 98 24 01 00 00 8B 45 FC 89 98 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 48 83 F8 00 7C 4B 89 C3 8B 45 FC 8B 80 40 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 40 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 02 00 00 8B 40 28 8B CE 33 D2 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C3 EB 0A E8 ?? ?? ?? ?? E9 2E 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 02 00 00 8B 55 FC 89 50 54 8B 45 F8 80 B8 1B 01 00 00 00 75 10 8B 45 F8 83 B8 24 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 45 F6 80 7D F6 00 74 1A 8B 45 F8 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 83 C9 FF BA 48 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D E4 33 C0 E8 ?? ?? ?? ?? 8D 55 E4 8D 4D EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 02 00 00 8B 4D F0 8B 55 EC 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F6 00 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 55 F8 89 90 44 02 00 00 80 3D ?? ?? ?? ?? 00 74 19 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA 48 04 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 6A 00 68 00 14 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 8A 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3242_0 {
	meta:
		name = "TToolBar.WMSysCommand"
		size = 138
		refs = "004a GetCapture 0064 TToolBar.FindButtonFromAccel 007c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 39 02 00 00 00 75 78 8B C3 8B 10 FF 52 50 84 C0 74 6D 80 BB 6C 01 00 00 00 74 64 80 BB 00 02 00 00 00 74 5B 8B 46 04 25 F0 FF 00 00 3D 00 F1 00 00 75 4C 66 83 7E 08 20 74 45 66 83 7E 08 2D 74 3E E8 ?? ?? ?? ?? 85 C0 75 35 66 8B 46 08 66 85 C0 75 04 33 C0 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 66 83 7E 08 00 74 04 85 C0 74 14 8B D0 8B C3 66 BB B4 FF E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3243_0 {
	meta:
		name = "TToolBar.ClickButton"
		size = 91
		refs = "0019 Point 0026 TControl.ClientToScreen 0033 TControl.ScreenToClient 003c PointToSmallPoint 004b TWinControl.GetHandle 0051 PostMessage"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 C6 83 38 02 00 00 00 8D 4C 24 08 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? 50 6A 01 68 01 02 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_3244_0 {
	meta:
		name = "TToolBar.InitMenu"
		size = 119
		refs = "0016 TControl.Perform 001c MenuToolBar2 0025 TControl.SetMouseCapture 002a InitToolMenuKeyHooks 0037 TToolButton.GetIndex 0052 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 6A 00 B9 01 00 00 00 BA 49 04 00 00 8B C6 E8 ?? ?? ?? ?? 89 35 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 26 6A 00 8B C7 E8 ?? ?? ?? ?? 8B C8 BA 48 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 66 BB B6 FF E8 ?? ?? ?? ?? EB 10 6A 00 33 C9 BA 48 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 FF 75 07 C6 86 38 02 00 00 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3245_0 {
	meta:
		name = "TToolBar.CancelMenu"
		size = 75
		refs = "000d ReleaseToolMenuKeyHooks 0016 TControl.SetMouseCapture 0026 TControl.Perform"
	strings:
		$1 = { 53 8B D8 80 BB 39 02 00 00 00 74 1E E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 49 04 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 39 02 00 00 00 C6 83 38 02 00 00 00 6A 00 83 C9 FF BA 48 04 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3246_0 {
	meta:
		name = "TToolBar.TrackMenu"
		size = 174
		refs = "000b Application 0027 @CallDynaInst 0043 TToolBar.TrackMenu 005a TApplication.HandleMessage 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 35 ?? ?? ?? ?? 8B 45 FC 80 B8 39 02 00 00 00 74 18 85 D2 74 10 8B 45 FC 66 BB B6 FF E8 ?? ?? ?? ?? B0 01 EB 7A 33 C0 EB 76 8B 45 FC 66 BB B5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 39 02 00 00 01 8B 06 E8 ?? ?? ?? ?? 8B 06 80 B8 84 00 00 00 00 74 0A 8B 45 FC C6 80 39 02 00 00 00 8B 45 FC 80 B8 39 02 00 00 00 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 BB B8 FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8A 80 48 02 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3247_0 {
	meta:
		name = "TCoolBand.Create"
		size = 180
		refs = "000f @ClassCreate 0049 _Dn_TBitmap 004e TBitmap.Create 005d TCoolBand.BitmapChanged 007b TCollectionItem.Create 0086 @CallDynaInst 009e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 C7 46 38 28 00 00 00 C6 46 0D 01 C7 46 24 0F 00 00 80 C6 46 18 01 C7 46 14 FF FF FF FF C7 46 1C 19 00 00 00 C6 46 2C 01 C6 46 2D 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 30 89 73 08 C7 43 04 ?? ?? ?? ?? C6 46 0F 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB FD FF E8 ?? ?? ?? ?? 8B C6 66 BB FC FF E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3248_0 {
	meta:
		name = "TCoolBand.Destroy"
		size = 107
		refs = "0004 @BeforeDestruction 0010 TObject.Free 002c TCollectionItem.Destroy 003d TWinControl.HandleAllocated 0048 TControl.BringToFront 0058 TControl.Perform 0063 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 47 3C E8 ?? ?? ?? ?? 8B 47 30 E8 ?? ?? ?? ?? 8B 77 28 33 C0 89 47 28 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 85 F6 74 28 F6 46 20 08 75 22 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 19 B0 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3249_0 {
	meta:
		name = "FindControl"
		size = 51
		refs = "0011 TCoolBand.CoolBar 001c TComponent.FindComponent 0022 _Dn_TWinControl 0027 @AsClass"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 24 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 04 8B 53 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_3250_0 {
	meta:
		name = "TCoolBand.Assign"
		size = 231
		refs = "000f _DV_TCoolBand 0014 @IsClass 0029 TCoolBand.SetBitmap 0034 TCoolBand.SetBreak 003f TCoolBand.SetColor 004a TCoolBand.SetFixedBackground 0055 TCoolBand.SetFixedSize 0060 TCoolBand.SetHorizontalOnly 006b TCoolBand.SetImageIndex 0076 TCoolBand.SetMinHeight 0081 TCoolBand.SetMinWidth 008c TCoolBand.SetParentBitmap 0097 TCoolBand.SetParentColor 00a2 TCoolBand.SetText 00a9 TCoolBand.GetVisible 00b3 TCoolBand.SetVisible 00be TCoolBand.SetWidth 00c7 FindControl 00d2 TCoolBand.SetControl 00de TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 8B F3 8B 56 30 8B 45 FC E8 ?? ?? ?? ?? 8A 56 0D 8B 45 FC E8 ?? ?? ?? ?? 8B 56 24 8B 45 FC E8 ?? ?? ?? ?? 8A 56 18 8B 45 FC E8 ?? ?? ?? ?? 8A 56 0E 8B 45 FC E8 ?? ?? ?? ?? 8A 56 10 8B 45 FC E8 ?? ?? ?? ?? 8B 56 14 8B 45 FC E8 ?? ?? ?? ?? 8B 56 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 56 20 8B 45 FC E8 ?? ?? ?? ?? 8A 56 2D 8B 45 FC E8 ?? ?? ?? ?? 8A 56 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 56 34 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 56 38 8B 45 FC E8 ?? ?? ?? ?? 55 8B 46 28 E8 ?? ?? ?? ?? 59 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3251_0 {
	meta:
		name = "TCoolBand.GetDisplayName"
		size = 33
		refs = "000c @LStrLAsg 001a TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 34 E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3252_0 {
	meta:
		name = "TCoolBand.GetVisible"
		size = 39
		refs = "000c TCoolBand.CoolBar"
	strings:
		$1 = { 53 8B D8 80 7B 0F 00 74 16 8B C3 E8 ?? ?? ?? ?? 80 B8 15 02 00 00 00 74 0A 80 7B 10 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3253_0 {
	meta:
		name = "TCoolBand.CoolBar"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 18 C3 }
	condition:
		$1
}

rule function_3254_0 {
	meta:
		name = "TCoolBand.ParentColorChanged"
		size = 32
		refs = "000c TCoolBand.CoolBar 0016 TCoolBand.SetColor"
	strings:
		$1 = { 53 8B D8 80 7B 2C 00 74 15 8B C3 E8 ?? ?? ?? ?? 8B 50 64 8B C3 E8 ?? ?? ?? ?? C6 43 2C 01 5B C3 }
	condition:
		$1
}

rule function_3255_0 {
	meta:
		name = "TCoolBand.ParentBitmapChanged"
		size = 8
		refs = "0003 TCoolBand.BitmapChanged"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3256_0 {
	meta:
		name = "TCoolBand.BitmapChanged"
		size = 65
		refs = "003b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 80 7B 2D 00 75 23 8B 53 30 8B 43 3C 8B 08 FF 51 08 8B 43 3C 8B 10 FF 52 1C 84 C0 75 16 B2 01 8B 43 3C 8B 08 FF 51 68 EB 0A 33 D2 8B 43 3C 8B 08 FF 51 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3257_0 {
	meta:
		name = "TCoolBand.SetBitmap"
		size = 26
		refs = "0014 TCollectionItem.Changed"
	strings:
		$1 = { 56 8B F0 C6 46 2D 00 8B 46 30 8B 08 FF 51 08 B2 01 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3260_0 {
	meta:
		name = "TCoolBand.SetBreak"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0D 74 0A 88 50 0D 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3261_0 {
	meta:
		name = "TCoolBand.SetFixedSize"
		size = 38
		refs = "0014 TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0E 74 20 84 D2 74 11 C6 40 0D 00 C6 40 0E 01 B2 01 E8 ?? ?? ?? ?? EB 0B C6 40 0E 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3262_0 {
	meta:
		name = "TCoolBand.SetMinHeight"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 1C 74 0A 89 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3263_0 {
	meta:
		name = "TCoolBand.SetMinWidth"
		size = 17
		refs = "000c TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 20 74 0B 89 50 20 8A 50 0E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3264_0 {
	meta:
		name = "TCoolBand.SetVisible"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0F 74 0A 88 50 0F B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3265_0 {
	meta:
		name = "TCoolBand.SetHorizontalOnly"
		size = 33
		refs = "000e TCoolBand.CoolBar 001b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 3A 53 10 74 17 88 53 10 8B C3 E8 ?? ?? ?? ?? 8A 90 15 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3268_0 {
	meta:
		name = "TCoolBand.SetColor"
		size = 20
		refs = "000f TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 24 74 0E 89 50 24 C6 40 2C 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3269_0 {
	meta:
		name = "TCoolBand.SetControl"
		size = 100
		refs = "0016 TCoolBands.FindBand 0025 TCoolBand.SetControl 0036 TCoolBand.CoolBar 003f TComponent.FreeNotification 0048 TCollectionItem.Changed 005c TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B 73 28 74 54 85 F6 74 19 8B D6 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 0B 3B D8 74 07 33 D2 E8 ?? ?? ?? ?? 8B 7B 28 89 73 28 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 85 FF 74 10 6A 00 33 C9 BA 19 B0 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3270_0 {
	meta:
		name = "TCoolBand.SetText"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 34 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 34 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3271_0 {
	meta:
		name = "TCoolBand.IsColorStored"
		size = 6
	strings:
		$1 = { 8A 40 2C 34 01 C3 }
	condition:
		$1
}

rule function_3272_0 {
	meta:
		name = "TCoolBand.SetParentColor"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 2C 74 0A 88 50 2C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3273_0 {
	meta:
		name = "TCoolBand.IsBitmapStored"
		size = 6
	strings:
		$1 = { 8A 40 2D 34 01 C3 }
	condition:
		$1
}

rule function_3274_0 {
	meta:
		name = "TCoolBand.SetParentBitmap"
		size = 26
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3A 56 2D 74 0E 88 56 2D 8B C6 66 BB FC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3275_0 {
	meta:
		name = "TCoolBand.SetWidth"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 38 74 0A 89 50 38 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3278_0 {
	meta:
		name = "TCoolBands.FindBand"
		size = 50
		refs = "000b TCollection.GetCount 001e TCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 28 74 06 46 4B 75 EE 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3279_0 {
	meta:
		name = "TCoolBands.HaveGraphic"
		size = 61
		refs = "000b TCollection.GetCount 001e TCoolBands.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 20 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 3C 8B 10 FF 52 1C 84 C0 75 04 B3 01 EB 04 46 4D 75 E3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3284_0 {
	meta:
		name = "TToolButtonActionLink.AssignClient"
		size = 34
		refs = "000b TControlActionLink.AssignClient 0013 _DV_TToolButton 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_4257_0 {
	meta:
		name = "TWinControlActionLink.AssignClient"
		size = 34
		refs = "000b TControlActionLink.AssignClient 0013 _DV_TWinControl 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_3285_0 {
	meta:
		name = "TToolButtonActionLink.IsCheckedLinked"
		size = 50
		refs = "0006 TActionLink.IsCheckedLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 40 50 8B 53 14 3A 82 1A 01 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3286_0 {
	meta:
		name = "TToolButtonActionLink.IsImageIndexLinked"
		size = 50
		refs = "0006 TActionLink.IsImageIndexLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 5C 8B 53 14 3B 82 1C 01 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3287_0 {
	meta:
		name = "TToolButtonActionLink.SetChecked"
		size = 30
		refs = "0017 TToolButton.SetDown"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 20 84 C0 74 0A 8B D3 8B 46 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3288_0 {
	meta:
		name = "TToolButtonActionLink.SetImageIndex"
		size = 30
		refs = "0017 TToolButton.SetImageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 30 84 C0 74 0A 8B D6 8B 43 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3289_0 {
	meta:
		name = "TDragObject.GetDragCursor"
		size = 21
		altNames = "TToolBarDockObject.GetDragCursor"
	strings:
		$1 = { 55 8B EC 84 D2 74 06 66 B8 F4 FF EB 04 66 B8 F3 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_3290_0 {
	meta:
		name = "TToolBarDockObject.AdjustDockRect"
		size = 61
		refs = "0019 TDragDockObject.AdjustDockRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B 53 0C 2B 10 8B 4B 10 2B 48 04 01 10 01 48 04 01 50 08 01 48 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3291_0 {
	meta:
		name = "IndexOfControl"
		size = 65
		refs = "0012 TToolBar.GetButtonCount 0028 TToolBar.GetButton"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B 07 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 17 3B 42 30 74 07 46 4B 75 E9 83 CE FF 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_3292_0 {
	meta:
		name = "TToolBarDockObject.ToolDockImage"
		size = 704
		refs = "001d _DV_TToolBar 0022 @IsClass 0041 IndexOfControl 005e TControl.ScreenToClient 006f TToolBar.ButtonIndex 0096 TToolBar.GetButtonCount 00a6 Point 00bf TToolBar.GetButton 011a Bounds 0136 TWinControl.GetHandle 013c MapWindowPoints 0157 CompareMem 01ca GetDesktopWindow 01dd GetDCEx 01e8 TToolBarDockObject.ToolDockImage 01f9 TBrush.GetHandle 0203 SelectObject 0225 PatBlt 02aa ReleaseDC 02b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 8B DA 89 45 FC 8D 75 C8 84 DB 74 19 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3C 01 00 00 8B 45 FC 8B 78 04 8B 45 FC 8B 40 30 3B 78 24 75 0C 55 E8 ?? ?? ?? ?? 59 89 45 EC EB 07 C7 45 EC FF FF FF FF 8D 4D E0 8B 45 FC 8D 50 38 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 4D E0 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 56 57 8B FE 8D 70 38 B9 04 00 00 00 F3 A5 5F 5E 83 7D E8 00 0F 8C AD 00 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0E 8D 4D E0 33 D2 33 C0 E8 ?? ?? ?? ?? EB 57 8B C7 E8 ?? ?? ?? ?? 3B 45 E8 75 2A 8B 55 E8 4A 8B C7 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 8B 40 30 8B 55 DC 03 42 38 8D 4D E0 8B 55 DC 8B 52 34 E8 ?? ?? ?? ?? EB 21 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 89 45 D8 8D 4D E0 8B 45 D8 8B 50 34 8B 45 D8 8B 40 30 E8 ?? ?? ?? ?? 8B 46 0C 2B 46 04 50 8D 45 B8 50 8B 4E 08 2B 0E 8B 55 E4 8B 45 E0 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 B8 B9 04 00 00 00 F3 A5 5F 5E 6A 02 56 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 80 78 2C 00 75 16 8B 45 FC 8D 50 64 8B C6 B9 10 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB EB 04 C6 45 FB 00 84 DB 74 1D 80 7D FB 00 0F 85 3A 01 00 00 8B 45 FC 56 8B FE 8D 70 64 B9 04 00 00 00 F3 A5 5E EB 30 8B 45 FC 56 8D 78 38 B9 04 00 00 00 F3 A5 5E 8A 45 FB 34 01 88 45 FB 80 7D FB 00 0F 84 06 01 00 00 8B 45 FC 56 8D 78 64 B9 04 00 00 00 F3 A5 5E 8B 45 FC 8B 10 FF 52 34 8B D8 E8 ?? ?? ?? ?? 89 45 F4 68 02 04 00 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B F8 68 49 00 5A 00 53 8B 56 08 8B 06 2B D0 2B D3 52 8B 56 04 52 03 C3 50 8B 45 F0 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B 56 0C 8B 46 04 2B D0 2B D3 52 53 03 C3 50 8B 46 08 2B C3 50 8B 45 F0 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 53 8B 56 08 8B 06 2B D0 2B D3 52 8B 56 0C 2B D3 52 50 8B 45 F0 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B 56 0C 8B 46 04 2B D0 2B D3 52 53 50 8B 06 50 8B 45 F0 50 E8 ?? ?? ?? ?? 57 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3293_0 {
	meta:
		name = "TToolBarDockObject.DrawDragDockImage"
		size = 85
		refs = "000d _DV_TToolBar 0012 @IsClass 0037 Rect 004a TDragDockObject.DrawDragDockImage"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F C6 43 74 01 33 D2 8B C3 8B 08 FF 51 38 EB 25 6A 00 8D 44 24 04 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B F4 8D 7B 64 B9 04 00 00 00 F3 A5 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3294_0 {
	meta:
		name = "TToolBarDockObject.EraseDragDockImage"
		size = 24
		refs = "0013 TDragDockObject.EraseDragDockImage"
	strings:
		$1 = { 80 78 74 00 74 0C C6 40 74 00 B2 01 8B 08 FF 51 38 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3295_0 {
	meta:
		name = "SizeOfReBarBandInfo"
		size = 23
		refs = "0001 GetComCtlVersion"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3D 47 00 04 00 B8 50 00 00 00 7D 05 B8 38 00 00 00 C3 }
	condition:
		$1
}

rule function_3296_0 {
	meta:
		name = "TCoolBar.Create"
		size = 272
		refs = "000b @ClassCreate 001b CheckCommonControl 0026 TToolWindow.Create 002b TCoolBar.Create 003a TControl.SetWidth 0046 TControl.SetHeight 004f TCoolBar.SetAlign 0058 TControl.SetParentColor 0061 TControl.SetParentFont 0076 _Dn_TBitmap 007b TBitmap.Create 008d TCoolBar.BitmapChanged 0094 _Dn_TFont 0099 TFont.Create 00c1 _DV_TCoolBands 00c6 TCoolBands.Create 00d3 _Dn_TChangeLink 00d8 TObject.Create 00ea TCoolBar.ImageListChange 00f5 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B8 00 04 00 00 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 47 40 BA 96 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? C6 87 F4 01 00 00 01 C6 87 F5 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 F8 01 00 00 89 7E 08 C7 46 04 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 FC 01 00 00 C6 87 14 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 04 02 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 F0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 10 02 00 00 89 7E 0C C7 46 08 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 CB 00 00 00 }
	condition:
		$1
}

rule function_3297_0 {
	meta:
		name = "TCoolBar.Destroy"
		size = 92
		refs = "0003 @BeforeDestruction 0012 TObject.Free 004a TWinControl.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 86 10 02 00 00 E8 ?? ?? ?? ?? 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3298_0 {
	meta:
		name = "TCoolBar.CreateParams"
		size = 148
		refs = "000b TWinControl.CreateParams 0010 TCoolBar.CreateParams 0019 TWinControl.CreateSubClass 002e BandBorderStyles 003d FixedStyles 004c HeightStyles 005b VerticalStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 83 C8 4E 33 D2 8A 93 F4 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 09 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 08 02 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 15 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 80 BB F5 01 00 00 02 75 07 81 4E 04 00 80 00 00 8B 46 24 83 E0 FC 83 C8 08 89 46 24 5E 5B C3 00 00 00 52 65 42 61 72 57 69 6E 64 6F 77 33 32 00 00 00 }
	condition:
		$1
}

rule function_3299_0 {
	meta:
		name = "TCoolBar.CreateWnd"
		size = 58
		refs = "0006 TWinControl.CreateWnd 000d TCoolBar.GetCaptionFont 001a TFont.SetHandle 0021 TCoolBar.GetCaptionFontHeight 0034 TCoolBar.UpdateBands"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 00 02 00 00 F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3301_0 {
	meta:
		name = "IsBandCurrent"
		size = 124
		refs = "0007 SizeOfReBarBandInfo 0013 @FillChar 0030 TWinControl.HandleAllocated 0057 TControl.Perform 0069 TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 B0 E8 ?? ?? ?? ?? 8B D0 8D 45 B0 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 C7 45 B4 10 00 00 00 8B 45 08 8B 40 FC 8B 40 28 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 45 B0 50 8B 45 08 8B 40 FC 8B 48 40 81 E1 FF FF FF 7F 8B 45 08 8B 40 F8 BA 05 04 00 00 E8 ?? ?? ?? ?? 85 C0 74 13 8B 45 08 8B 40 FC 8B 40 28 E8 ?? ?? ?? ?? 3B 45 D0 74 04 33 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule function_3302_0 {
	meta:
		name = "TCoolBar.RefreshControl"
		size = 294
		refs = "0033 TCoolBand.SetVisible 003b TCoolBar.BeginUpdate 0043 TCoolBar.RefreshControl 0054 TCoolBar.GetCaptionSize 0098 IsBandCurrent 00cf TCoolBand.SetWidth 00d9 TCoolBand.SetMinHeight 00f4 TCoolBar.EndUpdate 00fa @HandleFinally 011b TCoolBar.ReadBands"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 89 45 F8 83 7D FC 00 0F 84 06 01 00 00 8B 45 FC 83 78 28 00 0F 84 F9 00 00 00 8B 45 FC 8B 40 28 8A 50 47 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 45 F8 80 B8 15 02 00 00 00 74 0E 8B 45 FC 8B 50 28 8B 42 3C 8B 52 38 EB 0C 8B 45 FC 8B 50 28 8B 42 38 8B 52 3C 8D 5C 01 04 8B F2 8B 45 FC 3B 58 38 75 13 8B 45 FC 3B 70 1C 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 75 3E C6 45 F7 01 8B 45 FC 80 78 0E 00 75 18 8B 45 F8 80 B8 09 02 00 00 00 74 0F 8B 45 FC F7 40 40 FF FF FF 7F 75 03 83 EB 04 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 19 8B 45 F8 8B 80 F0 01 00 00 8B 55 FC 8B 08 FF 51 10 8B 45 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3303_0 {
	meta:
		name = "TCoolBar.AlignControls"
		size = 144
		refs = "0021 TCollection.GetCount 002d _Dn_TWinControl 0032 @IsClass 003d TCoolBar.ReadBands 0063 TCoolBands.GetItem 006c TCoolBar.RefreshControl 007f TCoolBands.FindBand"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 08 75 7F 83 BB 1C 02 00 00 00 75 76 85 F6 75 0F 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 85 C0 7F 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 52 8B C3 E8 ?? ?? ?? ?? 85 F6 75 31 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 FF 8B D7 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E6 EB 16 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3304_0 {
	meta:
		name = "TCoolBar.Change"
		size = 66
		refs = "000c GetParentForm"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 30 02 00 00 00 74 0B 8B 80 30 02 00 00 8B 10 FF 52 0C 66 83 BB 22 02 00 00 00 74 0E 8B D3 8B 83 24 02 00 00 FF 93 20 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3305_0 {
	meta:
		name = "TCoolBar.GetAlign"
		size = 4
	strings:
		$1 = { 8A 40 4B C3 }
	condition:
		$1
}

rule function_3306_0 {
	meta:
		name = "TCoolBar.GetCaptionFont"
		size = 78
		refs = "0019 SystemParametersInfo 002b GetStockObject 0031 GetObject 0043 CreateFontIndirect"
	strings:
		$1 = { 81 C4 AC FE FF FF C7 04 24 54 01 00 00 6A 00 8D 44 24 04 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 75 14 8D 44 24 18 50 6A 3C 6A 0D E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 44 24 28 90 01 00 00 8D 44 24 18 50 E8 ?? ?? ?? ?? 81 C4 54 01 00 00 C3 }
	condition:
		$1
}

rule function_3307_0 {
	meta:
		name = "TCoolBar.GetCaptionFontHeight"
		size = 143
		refs = "0011 TWinControl.HandleAllocated 001c _Dn_TControlCanvas 0021 TCanvas.Create 002c TCoolBar.GetCaptionFontHeight 003c TControlCanvas.SetControl 004a TCanvas.SetFont 0056 TCanvas.GetHandle 005c GetTextMetrics 007b TObject.Free 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8B D8 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 93 FC 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 06 8B 45 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3308_0 {
	meta:
		name = "TCoolBar.GetCaptionSize"
		size = 475
		refs = "0015 TCoolBar.GetCaptionSize 003f TCoolBand.GetVisible 0098 @LStrLAsg 00c7 _Dn_TControlCanvas 00cc TCanvas.Create 00e8 TControlCanvas.SetControl 00f9 TCanvas.SetFont 0104 TCanvas.TextWidth 011c TObject.Free 0122 @HandleFinally 01a2 GetComCtlVersion 01c8 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 C6 45 EF 00 83 7D F8 00 0F 84 85 01 00 00 8B 45 FC F6 40 20 10 75 10 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 6C 01 00 00 8B 45 FC F6 40 20 10 74 12 8B 45 F8 83 78 28 00 75 09 8B 45 F8 83 78 34 00 74 04 33 C0 EB 02 B0 01 8B 55 FC 8A 92 14 02 00 00 0A D0 0F 84 AB 00 00 00 84 C0 74 0D 8D 55 F0 8B 45 F8 8B 08 FF 51 0C EB 0E 8D 45 F0 8B 55 F8 8B 52 34 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 82 00 00 00 C6 45 EF 01 8B 45 FC 80 B8 15 02 00 00 00 74 0E 8B 45 FC 8B 80 00 02 00 00 89 45 F4 EB 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 FC 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 83 78 14 00 7C 41 80 7D EF 00 74 04 83 45 F4 02 8B 45 FC 8B 80 0C 02 00 00 85 C0 74 20 C6 45 EF 01 8B 55 FC 80 BA 15 02 00 00 00 74 08 8B 40 24 01 45 F4 EB 12 8B 40 28 01 45 F4 EB 0A 80 7D EF 00 75 04 83 45 F4 04 80 7D EF 00 74 04 83 45 F4 04 8B 45 FC 80 B8 09 02 00 00 00 74 0C 8B 45 F8 F7 40 40 FF FF FF 7F 7E 23 8B 45 F8 80 78 0E 00 75 1A 83 45 F4 04 E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 06 83 45 F4 08 EB 04 83 45 F4 05 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_3309_0 {
	meta:
		name = "TCoolBar.SetAlign"
		size = 63
		refs = "000d TControl.SetAlign 002d TCoolBar.SetVertical"
	strings:
		$1 = { 53 51 8B D8 8A 43 4B 88 04 24 8B C3 E8 ?? ?? ?? ?? 8A 43 4B F6 43 20 02 75 22 3A 04 24 74 1D 48 2C 02 72 0F 2C 02 73 14 B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_3310_0 {
	meta:
		name = "TCoolBar.SetBands"
		size = 12
	strings:
		$1 = { 8B 80 F0 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_3313_0 {
	meta:
		name = "TCoolBar.SetFixedSize"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomMemo.SetAlignment"
	strings:
		$1 = { 3A 90 08 02 00 00 74 0B 88 90 08 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3314_0 {
	meta:
		name = "TCoolBar.SetFixedOrder"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomMemo.SetScrollBars"
	strings:
		$1 = { 3A 90 09 02 00 00 74 0B 88 90 09 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3315_0 {
	meta:
		name = "TCoolBar.ImageListChange"
		size = 74
		refs = "0009 TWinControl.HandleAllocated 0020 TCustomImageList.HandleAllocated 002f TCustomImageList.GetHandle 0038 TCoolBar.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 3B B3 0C 02 00 00 75 2E 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3316_0 {
	meta:
		name = "TCoolBar.SetImageList"
		size = 82
		refs = "000c TWinControl.HandleAllocated 001b TWinControl.RecreateWnd 0041 TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 2B C7 04 24 0C 00 00 00 C7 44 24 04 01 00 00 00 89 74 24 08 8B C4 50 33 C9 BA 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3317_0 {
	meta:
		name = "TCoolBar.SetImages"
		size = 98
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 004f TCoolBar.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 0C 02 00 00 85 C0 74 0B 8B 93 10 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 0C 02 00 00 85 C0 74 2F 8B 93 10 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3318_0 {
	meta:
		name = "TCoolBar.SetShowText"
		size = 26
		refs = "0015 TCoolBar.UpdateBands"
	strings:
		$1 = { 3A 90 14 02 00 00 74 11 88 90 14 02 00 00 F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3319_0 {
	meta:
		name = "TCoolBar.Notification"
		size = 93
		refs = "0010 TControl.Notification 0023 _Dn_TWinControl 0028 @IsClass 0039 TCoolBands.FindBand 0055 TCoolBar.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? F6 47 20 08 75 3F 80 FB 01 75 3A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 87 F0 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 33 D2 89 50 28 EB 11 3B B7 0C 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3321_0 {
	meta:
		name = "TCoolBar.GetPalette"
		size = 40
		refs = "0022 TControl.GetPalette"
	strings:
		$1 = { 53 8B D8 8B 83 04 02 00 00 8B 10 FF 52 1C 84 C0 75 0D 8B 83 04 02 00 00 8B 10 FF 52 24 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3322_0 {
	meta:
		name = "TCoolBar.BitmapChanged"
		size = 136
		refs = "003a TCollection.GetCount 0051 TCoolBands.GetItem 005a @CallDynaInst 0065 TWinControl.HandleAllocated 0079 TWinControl.GetHandle 007f RedrawWindow"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 96 F8 01 00 00 8B 86 04 02 00 00 8B 08 FF 51 08 8B 86 04 02 00 00 8B 10 FF 52 1C 84 C0 75 0D B2 01 8B 86 04 02 00 00 8B 08 FF 51 68 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1D 47 33 ED 8B D5 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 66 BB FC FF E8 ?? ?? ?? ?? 45 4F 75 E6 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 68 85 00 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3323_0 {
	meta:
		name = "TCoolBar.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 1C 02 00 00 C3 }
	condition:
		$1
}

rule function_3324_0 {
	meta:
		name = "TCoolBar.EndUpdate"
		size = 7
	strings:
		$1 = { FF 88 1C 02 00 00 C3 }
	condition:
		$1
}

rule function_3325_0 {
	meta:
		name = "TCoolBar.IsAutoSized"
		size = 63
		refs = "0015 TCoolBar.GetAlign"
	strings:
		$1 = { 53 8B D8 80 7B 4C 00 74 2E 80 BB 15 02 00 00 00 74 11 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 04 FD 2C 02 72 18 80 BB 15 02 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 2C 03 72 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3326_0 {
	meta:
		name = "TCoolBar.IsBackgroundDirty"
		size = 33
		refs = "0006 TWinControl.HandleAllocated 0011 TCoolBar.IsAutoSized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_3327_0 {
	meta:
		name = "TCoolBar.SetBitmap"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 F8 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_3328_0 {
	meta:
		name = "TCoolBar.SetVertical"
		size = 65
		refs = "0014 TWinControl.RecreateWnd 0021 TWinControl.HandleAllocated 0035 TWinControl.GetHandle 003b RedrawWindow"
	strings:
		$1 = { 53 8B D8 3A 93 15 02 00 00 74 34 88 93 15 02 00 00 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 21 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3329_0 {
	meta:
		name = "TCoolBar.UpdateItem"
		size = 823
		refs = "0019 TCoolBar.UpdateItem 002b TWinControl.HandleAllocated 0044 TCoolBands.GetItem 0060 @CallDynaInst 006b TCoolBar.BeginUpdate 0099 TCoolBar.EndUpdate 009f @HandleFinally 00b2 TCoolBand.GetVisible 00bc TControl.SetVisible 00ea @FillChar 00ef SizeOfReBarBandInfo 010c ColorToRGB 012d BreakStyles 013b FixedSizeStyles 0149 BorderStyles 0157 FixedBmpStyles 015f GetComCtlVersion 0191 GripperStyles 01f7 TWinControl.GetHandle 02c1 @LStrLAsg 02c9 @LStrToPChar 02e2 TControl.Perform 030c SetFocus 0321 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 33 DB 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D9 02 00 00 8B 45 FC 8B 80 F0 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 40 28 85 C0 74 6D 89 45 E0 8B 45 E0 66 BB BB FF E8 ?? ?? ?? ?? 88 45 EB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 E0 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC F6 40 20 10 75 18 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 E0 E8 ?? ?? ?? ?? EB 04 C6 45 EB 00 8B 45 FC F6 40 20 10 75 10 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 31 02 00 00 8D 45 90 33 C9 BA 50 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 90 8B 45 EC 89 45 C4 8B 45 EC 80 78 2C 00 74 10 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 89 45 A0 EB 0E 8B 45 EC 8B 40 24 E8 ?? ?? ?? ?? 89 45 A0 8B 45 EC 0F B6 40 0D 8B 04 85 ?? ?? ?? ?? 8B 55 EC 0F B6 52 0E 0B 04 95 ?? ?? ?? ?? 8B 55 EC 0F B6 52 0C 0B 04 95 ?? ?? ?? ?? 8B 55 EC 0F B6 52 18 0B 04 95 ?? ?? ?? ?? 89 45 98 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 2E 8B 45 FC 80 B8 09 02 00 00 00 74 06 83 7D F4 00 74 0D 8B 45 EC 80 78 0E 00 75 04 33 C0 EB 02 B0 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 09 45 98 C7 45 94 CB 01 00 00 8B 45 EC 80 78 2D 00 74 13 8B 45 FC 8B 80 04 02 00 00 8B 10 FF 52 60 89 45 C0 EB 0E 8B 45 EC 8B 40 3C 8B 10 FF 52 60 89 45 C0 8B 45 EC 8B 40 14 89 45 AC 8B 45 EC 83 78 28 00 74 23 8B 45 EC 8B 40 28 80 78 47 00 75 09 8B 45 FC F6 40 20 10 74 0E 8B 45 EC 8B 40 28 E8 ?? ?? ?? ?? 89 45 B0 8B 45 EC 8B 40 38 89 45 BC 8B 45 EC 80 78 0E 00 74 3A 8B 45 EC 83 78 20 00 7F 31 8B 45 EC 83 78 28 00 74 28 8B 45 FC 80 B8 15 02 00 00 00 74 0E 8B 45 EC 8B 40 28 8B 40 3C 89 45 B4 EB 17 8B 45 EC 8B 40 28 8B 40 38 89 45 B4 EB 09 8B 45 EC 8B 40 20 89 45 B4 E8 ?? ?? ?? ?? 3D 48 00 04 00 7D 04 83 45 B4 04 8B 45 EC 8B 40 1C 89 45 B8 8B 45 94 83 C8 10 83 C8 20 89 45 94 8B 45 FC F6 40 20 10 74 12 8B 45 EC 83 78 28 00 75 09 8B 45 EC 83 78 34 00 74 04 33 C0 EB 02 B0 01 8B 55 FC 8A 92 14 02 00 00 0A D0 74 2E 84 C0 74 0D 8D 55 E4 8B 45 EC 8B 08 FF 51 0C EB 0E 8D 45 E4 8B 55 EC 8B 52 34 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 A4 83 4D 94 04 8D 45 90 50 8B 4D 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 95 45 F3 80 7D EB 00 74 1E 8B 45 EC 8B 58 28 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3330_0 {
	meta:
		name = "TCoolBar.ReadBands"
		size = 576
		refs = "0014 TWinControl.HandleAllocated 0031 SizeOfReBarBandInfo 003d @FillChar 0054 TCoolBar.BeginUpdate 005c TCoolBar.ReadBands 0094 TControl.GetClientHeight 00a1 TControl.GetClientWidth 00c1 TControl.Perform 00ea TCollection.GetCount 0102 TCoolBands.GetItem 0107 TCoolBand.GetVisible 0114 GetComCtlVersion 01a2 TCollectionItem.GetIndex 01c0 TCoolBand.SetBreak 01f6 TCoolBand.SetWidth 022a TCoolBar.EndUpdate 0230 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 16 02 00 00 8B 45 FC 83 B8 1C 02 00 00 00 0F 85 06 02 00 00 E8 ?? ?? ?? ?? 8B D0 8D 45 96 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 96 C7 45 9A 41 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 DB 8B 45 FC 80 B8 F4 01 00 00 01 75 09 C7 45 E8 02 00 00 00 EB 05 33 C0 89 45 E8 8B 45 FC 80 B8 15 02 00 00 00 74 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 EB 0B 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 EC E9 4A 01 00 00 8D 45 96 50 8B CE BA 05 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 2D 01 00 00 83 7D CA 00 0F 84 23 01 00 00 8B 45 FC F6 40 20 10 75 33 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 2B FB 7C 1E 47 8B 45 FC 8B 80 F0 01 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 43 4F 75 E3 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 20 8D 45 84 50 8B CE BA 09 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 09 8B 45 8C 2B 45 84 89 45 C2 8B 45 C2 89 45 F4 F6 45 9E 01 0F 95 45 E7 80 7D E7 00 75 04 85 F6 75 08 8B 45 C2 89 45 EC EB 09 8B 45 C2 03 45 E8 01 45 EC 8B 45 EC 3B 45 F0 76 15 8B 45 C2 89 45 EC 8B C6 0D 00 00 00 80 8B 55 CA 89 42 40 EB 06 8B 45 CA 89 70 40 8B 45 CA 8A 40 0D 3A 45 E7 0F 95 45 E6 80 7D E6 00 75 17 8B 45 CA E8 ?? ?? ?? ?? 3B D8 75 0B 8B 45 CA 8B 40 38 3B 45 F4 74 45 C6 45 FB 01 8A 55 E7 8B 45 CA E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 01 00 00 8B D3 E8 ?? ?? ?? ?? 50 8B 45 CA E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 10 8B D3 8B 45 CA 8B 08 FF 51 10 8B 55 F4 8B 45 CA E8 ?? ?? ?? ?? 46 43 8B 45 FC 8B B8 F0 01 00 00 3B 77 1C 73 0F 8B C7 E8 ?? ?? ?? ?? 3B D8 0F 8C 99 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3331_0 {
	meta:
		name = "TCoolBar.UpdateBand"
		size = 65
		refs = "0009 TWinControl.HandleAllocated 0023 TCoolBands.GetItem 003a TCoolBar.UpdateItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 83 BB 1C 02 00 00 00 75 24 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 40 40 25 FF FF FF 7F 50 8B CE BA 06 04 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3332_0 {
	meta:
		name = "TCoolBar.UpdateBands"
		size = 403
		refs = "0010 TWinControl.HandleAllocated 0030 TCoolBar.BeginUpdate 0035 GetDesktopWindow 003b LockWindowUpdate 004c TCoolBar.UpdateBands 0063 TControl.Perform 009b TCollection.GetCount 00b6 TCoolBar.UpdateItem 00fd TCustomImageList.GetHandle 0107 TCoolBar.SetImageList 0146 TCoolBar.EndUpdate 014c @HandleFinally 0173 TCoolBar.ReadBands 0188 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 70 01 00 00 8B 45 FC 83 B8 1C 02 00 00 00 0F 85 60 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 BA 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B F7 4E 85 F6 7C 15 46 6A 00 33 C9 BA 02 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4E 75 EC 8B 45 FC 80 B8 09 02 00 00 00 74 2F 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 47 46 33 DB 6A FF 8B CB BA 01 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 EB EB 2D 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 17 6A 00 8B CB BA 01 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4B 83 FB FF 75 E9 8B 45 FC 8B 98 0C 02 00 00 85 DB 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7E 08 8B 45 FC 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 07 6A 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 6A 00 33 C9 BA 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 F0 01 00 00 89 42 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 4C 00 74 0C 8B 45 FC 66 BB EF FF E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3333_0 {
	meta:
		name = "TCoolBar.GetRowHeight"
		size = 725
		refs = "0017 TCoolBar.GetRowHeight 0030 TCollection.GetCount 0069 TCoolBands.GetItem 006e TCoolBand.GetVisible 01b7 @LStrLAsg 01d0 _Dn_TControlCanvas 01d5 TCanvas.Create 01f1 TControlCanvas.SetControl 0202 TCanvas.SetFont 020d TCanvas.TextWidth 0225 TObject.Free 022b @HandleFinally 02bf @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D E4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 8B 45 FC 80 B8 08 02 00 00 00 74 07 33 DB E9 BE 00 00 00 89 5D F4 3B 75 F4 7E 5C 8B 45 FC F6 40 20 10 75 1B 8B 55 F4 42 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 7D F4 47 8B D7 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 80 78 0D 00 75 1E 8B D7 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? F6 40 43 80 75 08 FF 45 F4 3B 75 F4 7F A4 8B 75 F4 85 DB 7E 53 8B 45 FC F6 40 20 10 75 19 8B 45 FC 8B 80 F0 01 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 FC 8B 80 F0 01 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 0D 00 75 1B 8B 45 FC 8B 80 F0 01 00 00 8B D3 E8 ?? ?? ?? ?? F6 40 43 80 75 05 4B 85 DB 7F AD 2B F3 0F 8C 9E 01 00 00 46 89 75 E0 89 5D F4 8B 45 FC 8B 80 F0 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC F6 40 20 10 75 10 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 5E 01 00 00 8B 45 E8 83 78 28 00 74 18 8B 45 E8 8B 40 1C 89 45 F0 8B 45 E8 80 78 0C 00 75 0B 83 6D F0 04 EB 05 33 C0 89 45 F0 8B 45 FC F6 40 20 10 74 12 8B 45 E8 83 78 28 00 75 09 8B 45 E8 83 78 34 00 74 04 33 C0 EB 02 B0 01 8B 55 FC 8A 92 14 02 00 00 0A D0 0F 84 B6 00 00 00 84 C0 74 0D 8D 55 E4 8B 45 E8 8B 08 FF 51 0C EB 0E 8D 45 E4 8B 55 E8 8B 52 34 E8 ?? ?? ?? ?? 83 7D E4 00 74 7E 8B 45 FC 80 B8 15 02 00 00 00 74 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 FC 01 00 00 8B 45 DC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 DC E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 00 02 00 00 89 45 EC EB 05 33 C0 89 45 EC 8B 45 EC 3B 45 F0 7E 06 8B 45 EC 89 45 F0 8B 45 FC 8B 80 0C 02 00 00 85 C0 74 31 8B 55 E8 83 7A 14 00 7C 28 8B 55 FC 80 BA 15 02 00 00 00 74 08 8B 40 24 89 45 EC EB 06 8B 40 28 89 45 EC 8B 45 EC 3B 45 F0 7E 06 8B 45 EC 89 45 F0 83 45 F0 04 8B 45 F0 3B 45 F8 7E 06 8B 45 F0 89 45 F8 FF 45 F4 FF 4D E0 0F 85 69 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3334_0 {
	meta:
		name = "TCoolBar.PtInGripRect"
		size = 543
		refs = "000e GetComCtlVersion 0035 TControl.Perform 003c SizeOfReBarBandInfo 0049 @FillChar 00fc TCollection.GetCount 0119 TCoolBands.GetItem 0128 TCoolBand.GetVisible 016d TCoolBar.GetRowHeight 01d2 TCoolBar.GetCaptionSize"
	strings:
		$1 = { 53 56 57 55 83 C4 84 8B D9 8B FA 8B F0 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 78 8B 07 89 44 24 1C 8B 47 04 89 44 24 20 8D 44 24 1C 50 33 C9 BA 08 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 8B D0 8D 44 24 2C 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 2C C7 44 24 30 00 01 00 00 8D 44 24 2C 50 8B CF BA 05 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0F 83 7C 24 60 00 74 08 8B 44 24 60 89 03 EB 04 33 C0 89 03 8B 44 24 24 E9 86 01 00 00 8B 86 F0 01 00 00 83 78 1C 00 0F 86 71 01 00 00 33 C0 89 03 80 BE 15 02 00 00 00 74 0E 8B 47 04 89 04 24 8B 07 89 44 24 04 EB 0C 8B 07 89 04 24 8B 47 04 89 44 24 04 33 ED 33 C0 89 44 24 08 33 C0 89 44 24 0C 33 C0 89 44 24 10 80 BE F4 01 00 00 01 75 0A C7 44 24 14 02 00 00 00 EB 06 33 C0 89 44 24 14 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 09 01 00 00 40 89 44 24 18 33 FF 8B D7 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 89 03 F6 46 20 10 75 0F 8B 03 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 00 00 00 8B 03 F7 40 40 FF FF FF 7F 74 10 8B 03 80 78 0D 00 75 08 8B 03 F6 40 43 80 74 28 33 ED 8B 03 F7 40 40 FF FF FF 7F 7E 0C 8B 44 24 10 03 44 24 14 01 44 24 08 8B D7 8B C6 E8 ?? ?? ?? ?? 89 44 24 10 EB 04 03 6C 24 0C 8B 03 8B 40 38 03 44 24 14 89 44 24 0C 3B 2C 24 7F 7A 8B 03 8B 40 38 03 C5 3B 04 24 7C 6E 8B 44 24 04 3B 44 24 08 7C 64 8B 44 24 08 03 44 24 10 3B 44 24 04 7C 56 8B 03 80 78 0E 00 75 59 80 BE 09 02 00 00 00 74 0B 8B 03 F7 40 40 FF FF FF 7F 7E 45 8B 13 8B C6 E8 ?? ?? ?? ?? 03 C5 3B 04 24 7C 35 8D 45 08 3B 04 24 7C 14 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 0F 83 C5 05 3B 2C 24 7D 07 B8 02 00 00 00 EB 17 B8 04 00 00 00 EB 10 47 FF 4C 24 18 0F 85 FE FE FF FF B8 03 00 00 00 83 C4 7C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3335_0 {
	meta:
		name = "TCoolBar.WMCaptureChanged"
		size = 34
		refs = "0016 TWinControl.GetHandle 001c PostMessage"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 6A 00 6A 00 68 01 14 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_3336_0 {
	meta:
		name = "TCoolBar.WMEraseBkgnd"
		size = 64
		refs = "0009 TCoolBar.IsBackgroundDirty 0014 TCoolBar.IsAutoSized 0023 TCollection.GetCount 0030 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_3337_0 {
	meta:
		name = "TCoolBar.WMLButtonDown"
		size = 62
		refs = "0011 SmallPointToPoint 001e TCoolBar.PtInGripRect 0034 TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8D 54 24 04 8B 46 08 E8 ?? ?? ?? ?? 8D 54 24 04 8B CC 8B C3 E8 ?? ?? ?? ?? A8 03 75 09 8B 46 08 89 83 16 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3338_0 {
	meta:
		name = "TCoolBar.WMLButtonUp"
		size = 96
		refs = "0051 TControl.WMLButtonUp 005a TControl.SetMouseCapture"
	strings:
		$1 = { 53 F6 40 20 10 75 09 80 B8 F5 01 00 00 00 75 40 0F BF 88 16 02 00 00 0F BF 5A 08 4B 3B CB 7C 30 0F BF 88 16 02 00 00 0F BF 5A 08 43 3B CB 7F 20 0F BF 88 18 02 00 00 0F BF 5A 0A 4B 3B CB 7C 10 0F BF 88 18 02 00 00 0F BF 5A 0A 43 3B CB 7E 07 E8 ?? ?? ?? ?? 5B C3 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3340_0 {
	meta:
		name = "TCoolBar.WMSetCursor"
		size = 219
		refs = "000c TWinControl.GetHandle 002c GetMessagePos 0048 ScreenToClient 0055 TCoolBar.PtInGripRect 0063 Screen 006f TScreen.GetCursors 0075 SetCursor 00d1 TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3B 43 04 0F 85 B3 00 00 00 66 83 7B 08 01 0F 85 A8 00 00 00 C7 43 0C 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 81 E2 FF FF 00 00 89 14 24 C1 E8 10 89 44 24 04 54 8B 43 04 50 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? A8 03 75 59 83 F8 02 75 19 A1 ?? ?? ?? ?? 8B 00 BA EB FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 5A 80 BE 15 02 00 00 00 74 19 A1 ?? ?? ?? ?? 8B 00 BA F9 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 38 A1 ?? ?? ?? ?? 8B 00 BA F7 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3342_0 {
	meta:
		name = "TCoolBar.WndProc"
		size = 196
		refs = "0031 TCoolBar.WndProc 004f TWinControl.WndProc 0076 @HandleFinally 0082 TControl.SetMouseCapture 00ad TCoolBar.UpdateBands"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC F6 40 20 10 74 73 8B 03 2D 00 02 00 00 74 0D 83 E8 02 74 5B 48 74 05 83 E8 03 75 5D 8B 45 FC 8B 40 40 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? F7 D2 23 50 40 8B 45 FC 89 50 40 C3 E9 ?? ?? ?? ?? EB E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 03 2D 10 02 00 00 74 0F 2D F1 11 00 00 75 1B C7 03 00 14 00 00 EB 13 8B 43 04 25 FF FF 00 00 48 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_3343_0 {
	meta:
		name = "TCoolBar.CMColorChanged"
		size = 104
		refs = "0009 TWinControl.CMColorChanged 001a TCollection.GetCount 0031 TCoolBands.GetItem 003a @CallDynaInst 0045 TWinControl.HandleAllocated 0059 TWinControl.GetHandle 005f RedrawWindow"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E F0 01 00 00 85 DB 74 2B 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1D 47 33 ED 8B D5 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 66 BB FD FF E8 ?? ?? ?? ?? 45 4F 75 E6 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3344_0 {
	meta:
		name = "TCoolBar.CMControlChange"
		size = 92
		refs = "001a _Dn_TWinControl 001f @IsClass 0034 TCoolBands.Add 003c TCoolBand.SetControl 004c TCoolBands.FindBand 0055 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 1C 02 00 00 00 75 4A F6 43 20 01 75 44 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 83 7E 08 00 74 15 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 56 04 E8 ?? ?? ?? ?? EB 17 8B 56 04 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3345_0 {
	meta:
		name = "TCoolBar.CMDesignHitTest"
		size = 68
		refs = "0017 SmallPointToPoint 0024 TCoolBar.PtInGripRect 003a TWinControl.CMDesignHitTest"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 F6 43 40 04 75 26 8D 54 24 04 8B 46 08 E8 ?? ?? ?? ?? 8D 54 24 04 8B CC 8B C3 E8 ?? ?? ?? ?? A8 03 75 09 C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_3348_0 {
	meta:
		name = "TCoolBar.CMWinIniChange"
		size = 45
		refs = "0006 TWinControl.CMWinIniChange 000d TCoolBar.GetCaptionFont 001a TFont.SetHandle 0021 TCoolBar.GetCaptionFontHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 00 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3349_0 {
	meta:
		name = "TCoolBar.CNBandChange"
		size = 29
		refs = "0007 TCoolBar.ReadBands 0016 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3350_0 {
	meta:
		name = "TCoolBar.CNNotify"
		size = 172
		refs = "001c TCoolBar.IsAutoSized 002c TCoolBar.CNNotify 003e TCoolBar.ReadBands 0046 TCoolBar.BeginUpdate 0069 @CallDynaInst 007e TCoolBar.EndUpdate 0084 @HandleFinally 008e TCoolBar.IsBackgroundDirty"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 42 08 81 78 08 C1 FC FF FF 0F 85 86 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 66 8B 45 FC 8A 40 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 4C 00 74 0C 8B 45 FC 66 BB EF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 78 5B 59 5D C3 00 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3351_0 {
	meta:
		name = "GetDisplaySize"
		size = 174
		refs = "0020 TCollection.GetCount 003d TCoolBands.GetItem 0052 TCoolBand.GetVisible 007b TCoolBar.GetRowHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 C0 89 45 F8 8B 45 08 8B 40 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5B 47 33 F6 8B 45 08 8B 40 FC 8B 80 F0 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC F6 40 20 10 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 F7 43 40 FF FF FF 7F 74 0C 80 7B 0D 00 75 06 F6 43 43 80 74 13 FF 45 F8 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 01 45 FC 46 4F 75 A8 83 7D F8 01 7E 18 8B 45 08 8B 40 FC 80 B8 F4 01 00 00 01 75 09 8B 45 F8 48 03 C0 01 45 FC 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3352_0 {
	meta:
		name = "TCoolBar.CanAutoSize"
		size = 197
		refs = "0014 TWinControl.HandleAllocated 0024 TCoolBar.IsAutoSized 003a TCollection.GetCount 005b TCoolBar.GetAlign 006d GetDisplaySize 007e TControl.GetClientWidth 00b5 TControl.GetClientHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 33 DB 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 85 C0 7F 09 8B 45 FC F6 40 20 10 75 72 8B 45 FC 80 B8 15 02 00 00 00 74 31 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 04 FD 2C 02 73 1F B3 01 55 E8 ?? ?? ?? ?? 59 8B F8 8B 45 FC 03 78 38 8B 45 FC E8 ?? ?? ?? ?? 2B F8 89 3E EB 35 8B 45 FC 80 B8 15 02 00 00 00 75 29 8B 45 FC E8 ?? ?? ?? ?? 2C 03 73 1D B3 01 55 E8 ?? ?? ?? ?? 59 8B F0 8B 45 FC 03 70 3C 8B 45 FC E8 ?? ?? ?? ?? 2B F0 89 37 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3353_0 {
	meta:
		name = "TCoolBar.HitTest"
		size = 13
		refs = "0004 TCoolBar.PtInGripRect"
	strings:
		$1 = { 51 8B CC E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_3354_0 {
	meta:
		name = "TMonthCalColors.Create"
		size = 77
		refs = "0008 @ClassCreate 003e @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 C7 40 08 05 00 00 80 C7 40 0C 08 00 00 80 C7 40 10 02 00 00 80 C7 40 14 FF FF FF 00 C7 40 18 FF FF FF 00 C7 40 1C 13 00 00 80 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_3355_0 {
	meta:
		name = "TMonthCalColors.Assign"
		size = 300
		refs = "001e TMonthCalColors.Assign 0035 @LStrLAsg 0044 TObject.ClassName 0052 @LStrFromString 005e _DV_TMonthCalColors 0063 @IsClass 00ab SAssignError 00b0 LoadResString 00bd _Dn_EConvertError 00c2 Exception.CreateFmt 00c7 @RaiseExcept 0105 @LStrClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 33 C9 89 8D E8 FE FF FF 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 95 FC FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 60 8B 45 FC 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 95 FC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 89 85 F4 FE FF FF C6 85 F8 FE FF FF 04 8D 85 EC FE FF FF 50 6A 01 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 50 08 89 56 08 8B 50 0C 89 56 0C 8B 50 10 89 56 10 8B 50 14 89 56 14 8B 50 18 89 56 18 8B 40 1C 89 46 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 6E 69 6C 00 }
	condition:
		$1
}

rule function_3356_0 {
	meta:
		name = "TMonthCalColors.SetColor"
		size = 118
		refs = "0013 TMonthCalColors.SetColor 004f TWinControl.HandleAllocated 005a ColorToRGB 0063 ColorIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 83 F8 05 77 3B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 7B 08 EB 17 89 7B 0C EB 12 89 7B 10 EB 0D 89 7B 14 EB 08 89 7B 18 EB 03 89 7B 1C 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 14 B5 ?? ?? ?? ?? 8B 43 04 8B 18 FF 93 C8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3357_0 {
	meta:
		name = "TMonthCalColors.SetAllColors"
		size = 92
		refs = "000b TMonthCalColors.SetColor"
	strings:
		$1 = { 53 8B D8 8B 4B 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4B 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 10 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 14 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 18 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 1C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3358_0 {
	meta:
		name = "TCommonCalendar.Create"
		size = 156
		refs = "000b @ClassCreate 001b CheckCommonControl 0026 TWinControl.Create 0039 TCommonCalendar.Create 0045 _DV_TMonthCalColors 004a TMonthCalColors.Create 0055 Now 0082 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B8 00 01 00 00 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 87 21 02 00 00 01 C6 87 22 02 00 00 01 A1 ?? ?? ?? ?? 89 47 40 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 EC 01 00 00 E8 ?? ?? ?? ?? DD 9F F4 01 00 00 9B C6 87 04 02 00 00 07 C7 87 10 02 00 00 1F 00 00 00 C7 87 1C 02 00 00 01 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 C8 40 00 00 }
	condition:
		$1
}

rule function_3359_0 {
	meta:
		name = "TCommonCalendar.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 TWinControl.Destroy 001e TObject.Free 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3360_0 {
	meta:
		name = "TCommonCalendar.BoldDays"
		size = 82
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D FC 8B 75 08 33 C0 89 06 8B 5D FC 85 DB 72 20 43 8B C2 8B 10 85 D2 76 11 83 FA 20 73 0C 8B CA 49 BA 01 00 00 00 D3 E2 09 16 83 C0 04 4B 75 E3 8B 75 F4 8B 5D F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3362_0 {
	meta:
		name = "TCommonCalendar.CheckValidDate"
		size = 280
		refs = "0015 TCommonCalendar.CheckValidDate 004e DateToStr 0066 sDateTimeMax 006b LoadResString 007b Exception.CreateFmt 0080 @RaiseExcept 00cb sDateTimeMin 00ff @LStrArrayClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 08 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 54 DD 45 08 DC 9B 08 02 00 00 DF E0 9E 76 46 FF B3 0C 02 00 00 FF B3 08 02 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 83 14 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 54 DD 45 08 DC 9B 14 02 00 00 DF E0 9E 73 46 FF B3 18 02 00 00 FF B3 14 02 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3363_0 {
	meta:
		name = "TCommonCalendar.CreateWnd"
		size = 154
		refs = "0006 TWinControl.CreateWnd 0011 TMonthCalColors.SetAllColors 0030 TCommonCalendar.SetRange 003d TCommonCalendar.SetMaxSelectRange 004a TCommonCalendar.SetMonthDelta 0057 TCommonCalendar.SetFirstDayOfWeek 007f TCommonCalendar.SetSelectedRange 0094 TCommonCalendar.SetDateTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? FF B3 18 02 00 00 FF B3 14 02 00 00 FF B3 0C 02 00 00 FF B3 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 10 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 1C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8A 93 04 02 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 20 02 00 00 00 74 21 FF B3 F8 01 00 00 FF B3 F4 01 00 00 FF B3 00 02 00 00 FF B3 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 FF B3 F8 01 00 00 FF B3 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3364_0 {
	meta:
		name = "TCommonCalendar.GetCalStyles"
		size = 65
		refs = "000b ShowTodayFlags 001d ShowTodayCircleFlags 002c WeekNumFlags 003a MultiSelFlags"
	strings:
		$1 = { 33 D2 8A 90 21 02 00 00 8B 14 95 ?? ?? ?? ?? 83 CA 01 33 C9 8A 88 22 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 88 23 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 80 20 02 00 00 0B 14 85 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_3365_0 {
	meta:
		name = "TCommonCalendar.DoStoreEndDate"
		size = 7
	strings:
		$1 = { 8A 80 20 02 00 00 C3 }
	condition:
		$1
}

rule function_3366_0 {
	meta:
		name = "TCommonCalendar.DoStoreMaxDate"
		size = 28
		refs = "000a TCommonCalendar.DoStoreMaxDate"
	strings:
		$1 = { 8B D0 DD 82 08 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 0F 95 C0 C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3367_0 {
	meta:
		name = "TCommonCalendar.DoStoreMinDate"
		size = 28
		refs = "000a TCommonCalendar.DoStoreMinDate"
	strings:
		$1 = { 8B D0 DD 82 14 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 0F 95 C0 C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3368_0 {
	meta:
		name = "TCommonCalendar.GetDate"
		size = 28
		altNames = "TDateTimePicker.GetTime"
	strings:
		$1 = { 83 C4 F8 8B 90 F4 01 00 00 89 14 24 8B 90 F8 01 00 00 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_3369_0 {
	meta:
		name = "TCommonCalendar.SetCalColors"
		size = 20
	strings:
		$1 = { 56 8B B0 EC 01 00 00 3B D6 74 07 8B C6 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_3370_0 {
	meta:
		name = "TCommonCalendar.SetDate"
		size = 188
		refs = "0010 @TRUNC 002b @FRAC 003b TCommonCalendar.SetDate 0078 TCommonCalendar.SetDateTime 0087 @HandleAnyException 00a3 @RaiseAgain 00a8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC DD 45 08 E8 ?? ?? ?? ?? 89 45 EC 89 55 F0 DF 6D EC DD 5D F4 9B 8B 45 FC DD 80 F4 01 00 00 E8 ?? ?? ?? ?? DC 45 F4 DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0B 8B 45 FC 8B 10 FF 92 B8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 F8 FF 75 F4 8B 45 FC 8B 10 FF 92 BC 00 00 00 FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 FC FF B0 F8 01 00 00 FF B0 F4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3371_0 {
	meta:
		name = "TCommonCalendar.SetDateTime"
		size = 193
		refs = "0012 TCommonCalendar.SetDateTime 0026 DateTimeToSystemTime 0048 TCommonCalendar.SetSelectedRange 0051 TWinControl.HandleAllocated 006e sFailSetCalDateTime 0073 LoadResString 007d _DV_ECommonCalendarError 0082 Exception.Create 0087 @RaiseExcept 00ae @LStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 80 BB 20 02 00 00 00 74 1B FF 75 0C FF 75 08 FF B3 00 02 00 00 FF B3 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 4F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8D 55 F0 8B C3 8B 08 FF 91 CC 00 00 00 84 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 83 F4 01 00 00 8B 45 0C 89 83 F8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3372_0 {
	meta:
		name = "TCommonCalendar.SetEndDate"
		size = 152
		refs = "000d @TRUNC 003f TCommonCalendar.SetEndDate 0072 TCommonCalendar.GetDate 0086 TCommonCalendar.SetSelectedRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 DD 45 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 DF 6D F0 DD 5D F8 9B DD 83 FC 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 DF 6D F0 DC 5D F8 DF E0 9E 74 50 DD 45 F8 D8 05 ?? ?? ?? ?? DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0A 8B C3 8B 10 FF 92 B8 00 00 00 FF 75 FC FF 75 F8 8B C3 8B 10 FF 92 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B FF 75 FC FF 75 F8 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3373_0 {
	meta:
		name = "TCommonCalendar.SetFirstDayOfWeek"
		size = 102
		refs = "000b TWinControl.HandleAllocated 002a GetLocaleInfo 0057 MonthCal_SetFirstDayOfWeek"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 48 80 FB 07 75 1F 6A 02 8D 44 24 04 50 68 0C 10 00 00 68 00 04 00 00 E8 ?? ?? ?? ?? 0F B6 3C 24 83 EF 30 EB 05 8B FB 83 E7 7F 8B C6 8B 10 FF 92 C0 00 00 00 85 C0 74 11 8B C6 8B 10 FF 92 C0 00 00 00 8B D7 E8 ?? ?? ?? ?? 88 9E 04 02 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3374_0 {
	meta:
		name = "TCommonCalendar.SetMaxDate"
		size = 236
		refs = "0015 TCommonCalendar.SetMaxDate 004e DateToStr 0066 sDateTimeMin 006b LoadResString 007b Exception.CreateFmt 0080 @RaiseExcept 00a7 TCommonCalendar.SetRange 00d3 @LStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 14 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 54 DD 45 08 DC 9B 14 02 00 00 DF E0 9E 73 46 FF B3 18 02 00 00 FF B3 14 02 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 83 08 02 00 00 DC 5D 08 DF E0 9E 74 2B FF B3 18 02 00 00 FF B3 14 02 00 00 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 08 02 00 00 8B 45 0C 89 83 0C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3375_0 {
	meta:
		name = "TCommonCalendar.SetMaxSelectRange"
		size = 139
		refs = "000f TCommonCalendar.SetMaxSelectRange 0025 TWinControl.HandleAllocated 003a MonthCal_SetMaxSelCount 0046 sFailSetCalMaxSelRange 004b LoadResString 0055 _DV_ECommonCalendarError 005a Exception.Create 005f @RaiseExcept 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 20 02 00 00 00 74 41 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 8B C3 8B 10 FF 92 C0 00 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B3 10 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3376_0 {
	meta:
		name = "TCommonCalendar.SetMinDate"
		size = 236
		refs = "0015 TCommonCalendar.SetMinDate 004e DateToStr 0066 sDateTimeMax 006b LoadResString 007b Exception.CreateFmt 0080 @RaiseExcept 00a7 TCommonCalendar.SetRange 00d3 @LStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 08 02 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 54 DD 45 08 DC 9B 08 02 00 00 DF E0 9E 76 46 FF B3 0C 02 00 00 FF B3 08 02 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 83 14 02 00 00 DC 5D 08 DF E0 9E 74 2B FF 75 0C FF 75 08 FF B3 0C 02 00 00 FF B3 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 14 02 00 00 8B 45 0C 89 83 18 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3377_0 {
	meta:
		name = "TCommonCalendar.SetMonthDelta"
		size = 57
		refs = "0009 TWinControl.HandleAllocated 002c MonthCal_SetMonthDelta"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 8B 10 FF 92 C0 00 00 00 85 C0 74 11 8B C3 8B 10 FF 92 C0 00 00 00 8B D6 E8 ?? ?? ?? ?? 89 B3 1C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3378_0 {
	meta:
		name = "TCommonCalendar.SetMultiSelect"
		size = 64
		refs = "003b TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 20 02 00 00 74 37 88 90 20 02 00 00 84 D2 74 1A 8B 90 F4 01 00 00 89 90 FC 01 00 00 8B 90 F8 01 00 00 89 90 00 02 00 00 EB 0E 33 D2 89 90 FC 01 00 00 89 90 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3379_0 {
	meta:
		name = "TCommonCalendar.SetRange"
		size = 391
		refs = "0013 TCommonCalendar.SetRange 0023 @TRUNC 0086 TCommonCalendar.SetDate 00a7 TCommonCalendar.SetEndDate 00bc DateTimeToSystemTime 0126 TWinControl.HandleAllocated 0145 sFailSetCalMinMaxRange 014a LoadResString 0154 _DV_ECommonCalendarError 0159 Exception.Create 015e @RaiseExcept 0173 @LStrClr 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 33 D2 89 55 BC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 DD 45 10 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC DD 45 08 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 DD 83 F4 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC DD 83 FC 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D EC 00 75 04 83 7D E8 00 74 57 8B 45 F8 8B 55 FC 3B 55 EC 75 07 3B 45 E8 73 11 EB 02 7D 0D FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 3B 55 EC 75 07 3B 45 E8 73 11 EB 02 7D 0D FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 83 CE 01 DF 6D E8 83 C4 F8 DD 1C 24 9B 8D 45 C0 E8 ?? ?? ?? ?? 83 7D E4 00 75 04 83 7D E0 00 74 57 8B 45 F8 8B 55 FC 3B 55 E4 75 07 3B 45 E0 76 11 EB 02 7E 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 3B 55 E4 75 07 3B 45 E0 76 11 EB 02 7E 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 83 CE 02 DF 6D E0 83 C4 F8 DD 1C 24 9B 8D 45 D0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 34 8D 4D C0 8B D6 8B C3 8B 18 FF 93 D0 00 00 00 84 C0 75 21 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_3380_0 {
	meta:
		name = "TCommonCalendar.SetSelectedRange"
		size = 215
		refs = "0012 TCommonCalendar.SetSelectedRange 002e TCommonCalendar.SetDateTime 003e DateTimeToSystemTime 0053 TWinControl.HandleAllocated 005e TWinControl.GetHandle 0066 MonthCal_SetSelRange 0072 sFailsetCalSelRange 0077 LoadResString 0081 _DV_ECommonCalendarError 0086 Exception.Create 008b @RaiseExcept 00c4 @LStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 20 02 00 00 00 75 0F FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? EB 7F FF 75 14 FF 75 10 8D 45 E0 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 34 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 89 83 F4 01 00 00 8B 45 14 89 83 F8 01 00 00 8B 45 08 89 83 FC 01 00 00 8B 45 0C 89 83 00 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_3381_0 {
	meta:
		name = "TCommonCalendar.SetShowToday"
		size = 30
		refs = "0019 SetComCtlStyle"
	strings:
		$1 = { 3A 90 21 02 00 00 74 15 88 90 21 02 00 00 8B CA 80 F1 01 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3382_0 {
	meta:
		name = "TCommonCalendar.SetShowTodayCircle"
		size = 30
		refs = "0019 SetComCtlStyle"
	strings:
		$1 = { 3A 90 22 02 00 00 74 15 88 90 22 02 00 00 8B CA 80 F1 01 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3383_0 {
	meta:
		name = "TCommonCalendar.SetWeekNumbers"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 23 02 00 00 74 12 88 90 23 02 00 00 8B CA BA 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3384_0 {
	meta:
		name = "IsBlankSysTime"
		size = 61
	strings:
		$1 = { 66 83 38 00 75 31 66 83 78 02 00 75 2A 66 83 78 04 00 75 23 66 83 78 06 00 75 1C 66 83 78 08 00 75 15 66 83 78 0A 00 75 0E 66 83 78 0C 00 75 07 66 83 78 0E 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_3385_0 {
	meta:
		name = "TMonthCalendar.Create"
		size = 88
		refs = "000a @ClassCreate 0013 _DV_EMonthCalError 0022 TCommonCalendar.Create 002e TControl.SetWidth 003a TControl.SetHeight 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 89 86 F0 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? BA B0 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 99 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3387_0 {
	meta:
		name = "TMonthCalendar.CNNotify"
		size = 260
		refs = "003f @FillChar 00b6 IsBlankSysTime 00c1 SystemTimeToDateTime"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 4E 08 8B D1 8B C2 8B 40 08 2D 15 FD FF FF 74 0C 48 0F 84 8E 00 00 00 E9 CD 00 00 00 89 54 24 08 8B 44 24 08 8B 50 1C C1 E2 02 8B 44 24 08 8B 40 20 33 C9 E8 ?? ?? ?? ?? 66 83 BB 26 02 00 00 00 0F 84 A3 00 00 00 8B 44 24 08 8B 40 20 89 44 24 04 8B 44 24 08 8B 40 1C 48 85 C0 0F 8C 88 00 00 00 40 89 44 24 0C C7 04 24 00 00 00 00 8B 44 24 08 0F B7 40 0E 03 04 24 83 F8 0C 7E 03 83 E8 0C 8B 54 24 04 52 8B C8 8B D3 8B 83 28 02 00 00 FF 93 24 02 00 00 83 44 24 04 04 FF 04 24 FF 4C 24 0C 75 CA EB 44 8D 79 0C 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0E 8B C7 E8 ?? ?? ?? ?? DD 9B F4 01 00 00 9B 80 BB 20 02 00 00 00 74 1F 8B 46 08 8D 78 1C 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0E 8B C7 E8 ?? ?? ?? ?? DD 9B FC 01 00 00 9B 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3388_0 {
	meta:
		name = "TMonthCalendar.ConstrainedResize"
		size = 102
		refs = "0012 TWinControl.HandleAllocated 001d TWinControl.GetHandle 0025 MonthCal_GetMinReqRect 0059 TWinControl.ConstrainedResize"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 8B C3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 89 45 FC 8B 45 F4 2B 45 EC 8B 17 3B 55 FC 7D 05 8B 55 FC 89 17 3B 06 7E 02 89 06 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3389_0 {
	meta:
		name = "TMonthCalendar.CreateParams"
		size = 76
		refs = "000b TWinControl.CreateParams 0010 TMonthCalendar.CreateParams 0019 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 C4 00 00 00 09 43 04 8B 43 24 83 E0 FC 83 C8 08 89 43 24 5E 5B C3 00 00 00 53 79 73 4D 6F 6E 74 68 43 61 6C 33 32 00 00 00 }
	condition:
		$1
}

rule function_3391_0 {
	meta:
		name = "TMonthCalendar.MsgSetCalColors"
		size = 52
		refs = "000f TWinControl.HandleAllocated 001a TWinControl.GetHandle 0023 MonthCal_SetColor"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 E8 ?? ?? ?? ?? 8B CD 8B D7 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3406_0 {
	meta:
		name = "TDateTimePicker.MsgSetCalColors"
		size = 52
		refs = "000f TWinControl.HandleAllocated 001a TWinControl.GetHandle 0023 DateTime_SetMonthCalColor"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 E8 ?? ?? ?? ?? 8B CD 8B D7 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3392_0 {
	meta:
		name = "TMonthCalendar.MsgSetDateTime"
		size = 62
		refs = "0019 TWinControl.HandleAllocated 0024 TWinControl.GetHandle 002b MonthCal_SetCurSel"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3393_0 {
	meta:
		name = "TMonthCalendar.MsgSetRange"
		size = 56
		refs = "000f TWinControl.HandleAllocated 001e TWinControl.GetHandle 0027 Monthcal_SetRange"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 85 FF 74 16 8B C6 E8 ?? ?? ?? ?? 8B CD 8B D7 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3408_0 {
	meta:
		name = "TDateTimePicker.MsgSetRange"
		size = 56
		refs = "000f TWinControl.HandleAllocated 001e TWinControl.GetHandle 0027 DateTime_SetRange"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 85 FF 74 16 8B C6 E8 ?? ?? ?? ?? 8B CD 8B D7 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3394_0 {
	meta:
		name = "TMonthCalendar.CanAutoSize"
		size = 77
		refs = "0010 TWinControl.HandleAllocated 0027 TControl.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 29 B3 01 8B C4 50 33 C9 BA 09 10 00 00 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 2B 04 24 89 07 8B 44 24 0C 2B 44 24 04 89 45 00 EB 02 33 DB 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3395_0 {
	meta:
		name = "TDateTimePicker.Create"
		size = 172
		refs = "000a @ClassCreate 0013 _DV_EDateTimeError 0029 TCommonCalendar.Create 0040 DateTimeToSystemTime 0053 TDateTimePicker.Create 0065 TControl.SetColor 006e TControl.SetParentColor 0077 TWinControl.SetTabStop 0083 TControl.SetWidth 008a TDateTimePicker.AdjustHeight 0095 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 89 86 F0 01 00 00 C6 86 2D 02 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? FF B6 F8 01 00 00 FF B6 F4 01 00 00 8D 86 34 02 00 00 E8 ?? ?? ?? ?? C6 86 45 02 00 00 00 C6 86 2E 02 00 00 01 A1 ?? ?? ?? ?? 0B 46 40 89 46 40 BA 05 00 00 80 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA BA 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 42 00 00 }
	condition:
		$1
}

rule function_3396_0 {
	meta:
		name = "TDateTimePicker.AdjustHeight"
		size = 153
		refs = "000d GetDC 0018 TDateTimePicker.AdjustHeight 002b GetTextMetrics 0036 TFont.GetHandle 0040 SelectObject 0071 ReleaseDC 0077 @HandleFinally 0080 GetSystemMetrics 0090 TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 8D 45 88 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 6A 06 E8 ?? ?? ?? ?? 8B D0 C1 E2 03 03 55 88 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3397_0 {
	meta:
		name = "TDateTimePicker.CheckEmptyDate"
		size = 105
		refs = "0009 TDateTimePicker.CheckEmptyDate 0020 sNeedAllowNone 0025 LoadResString 002f _DV_EDateTimeError 0034 Exception.Create 0039 @RaiseExcept 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 45 02 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 80 2E 02 00 00 00 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_3398_0 {
	meta:
		name = "TDateTimePicker.CreateParams"
		size = 180
		refs = "000d TWinControl.CreateParams 0012 TDateTimePicker.CreateParams 001b TWinControl.CreateSubClass 002a Formats 005b @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 8A 86 2F 02 00 00 8B 04 85 ?? ?? ?? ?? 09 47 04 80 BE 30 02 00 00 01 75 04 83 4F 04 01 80 BE 32 02 00 00 01 75 04 83 4F 04 09 8A 86 2C 02 00 00 88 04 24 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 10 80 3C 24 00 75 06 C6 04 24 01 EB 04 C6 04 24 00 80 3C 24 01 75 04 83 4F 04 20 80 BE 44 02 00 00 00 74 04 83 4F 04 10 80 BE 45 02 00 00 00 74 04 83 4F 04 02 83 67 24 FC 5A 5F 5E 5B C3 53 79 73 44 61 74 65 54 69 6D 65 50 69 63 6B 33 32 00 00 00 }
	condition:
		$1
}

rule function_3399_0 {
	meta:
		name = "TDateTimePicker.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 5A 02 00 00 00 74 10 8B D8 8B D0 8B 83 5C 02 00 00 FF 93 58 02 00 00 5B C3 }
	condition:
		$1
}

rule function_3400_0 {
	meta:
		name = "TDateTimePicker.CreateWnd"
		size = 25
		refs = "0006 TCommonCalendar.CreateWnd 0013 TDateTimePicker.SetChecked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 93 2E 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3401_0 {
	meta:
		name = "TDateTimePicker.CMColorChanged"
		size = 29
		refs = "0006 TWinControl.CMColorChanged 0011 TWinControl.GetHandle 0017 InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3402_0 {
	meta:
		name = "TDateTimePicker.CMFontChanged"
		size = 36
		refs = "0006 TWinControl.CMFontChanged 000d TDateTimePicker.AdjustHeight 0018 TWinControl.GetHandle 001e InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3403_0 {
	meta:
		name = "TDateTimePicker.CNNotify"
		size = 477
		refs = "0014 TDateTimePicker.CNNotify 0055 SystemTimeToDateTime 0063 TCommonCalendar.SetDate 00bb IsBlankSysTime 0111 TDateTimePicker.SetTime 012c @CallDynaInst 0182 @LStrFromPChar 01a1 DateTimeToSystemTime 01ca @LStrClr 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 42 08 33 C9 89 4A 0C 8B 40 08 2D 09 FD FF FF 74 58 48 0F 84 1F 01 00 00 83 E8 04 0F 84 F5 00 00 00 48 0F 85 6B 01 00 00 C6 86 31 02 00 00 00 8D 86 34 02 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 66 83 BE 52 02 00 00 00 0F 84 44 01 00 00 8B D6 8B 86 54 02 00 00 FF 96 50 02 00 00 E9 31 01 00 00 8B 5A 08 80 BE 31 02 00 00 00 74 1A 83 7B 0C 00 75 14 56 8D BE 34 02 00 00 8D 73 10 B9 04 00 00 00 F3 A5 5E EB 77 80 BE 45 02 00 00 00 74 15 8D 43 10 E8 ?? ?? ?? ?? 84 C0 74 09 C6 86 2E 02 00 00 00 EB 59 83 7B 0C 00 75 53 56 8D BE 34 02 00 00 8D 73 10 B9 04 00 00 00 F3 A5 5E 8D 43 10 E8 ?? ?? ?? ?? DD 5D F8 9B 80 BE 32 02 00 00 00 75 0F FF 75 FC FF 75 F8 8B C6 E8 ?? ?? ?? ?? EB 0D FF 75 FC FF 75 F8 8B C6 E8 ?? ?? ?? ?? 80 BE 45 02 00 00 00 74 07 C6 86 2E 02 00 00 01 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? E9 84 00 00 00 C6 86 31 02 00 00 01 66 83 BE 62 02 00 00 00 74 73 8B D6 8B 86 64 02 00 00 FF 96 60 02 00 00 EB 63 66 83 BE 4A 02 00 00 00 0F 95 45 F7 8B 5A 08 80 7D F7 00 74 3A 33 C0 89 45 F8 89 45 FC 8D 45 F8 50 8D 45 F7 50 8D 45 F0 8B 53 0C E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 86 4C 02 00 00 FF 96 48 02 00 00 FF 75 FC FF 75 F8 8D 43 10 E8 ?? ?? ?? ?? 8A 45 F7 34 01 83 E0 7F 89 43 20 EB 07 8B C6 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3407_0 {
	meta:
		name = "TDateTimePicker.MsgSetDateTime"
		size = 142
		refs = "001f TWinControl.HandleAllocated 0041 TDateTimePicker.MsgSetDateTime 004f TWinControl.GetHandle 0059 DateTime_SetSystemTime 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F2 8D 7D EA B9 04 00 00 00 F3 A5 89 45 FC C6 45 FB 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5E 8B 45 FC 80 B8 2D 02 00 00 00 75 52 8B 45 FC C6 80 2D 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EA 33 D2 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 2D 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8A 45 FB 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_3409_0 {
	meta:
		name = "TDateTimePicker.SetCalAlignment"
		size = 37
		refs = "0020 SetComCtlStyle"
	strings:
		$1 = { 3A 90 2C 02 00 00 74 1C 88 90 2C 02 00 00 F6 40 20 10 75 10 80 FA 01 0F 94 C1 BA 20 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3410_0 {
	meta:
		name = "TDateTimePicker.SetChecked"
		size = 77
		refs = "0028 TCommonCalendar.SetDateTime 0031 TWinControl.GetHandle 003d DateTime_SetSystemTime"
	strings:
		$1 = { 56 83 C4 F0 8B F0 88 96 2E 02 00 00 80 BE 45 02 00 00 00 74 33 84 D2 74 15 FF B6 F8 01 00 00 FF B6 F4 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 8B CC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_3411_0 {
	meta:
		name = "TDateTimePicker.SetDateFormat"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 2F 02 00 00 74 0B 88 90 2F 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3412_0 {
	meta:
		name = "TDateTimePicker.SetDateMode"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 30 02 00 00 74 0B 88 90 30 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3413_0 {
	meta:
		name = "TDateTimePicker.SetKind"
		size = 31
		refs = "001a SetComCtlStyle"
	strings:
		$1 = { 3A 90 32 02 00 00 74 16 88 90 32 02 00 00 80 FA 01 0F 94 C1 BA 09 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3414_0 {
	meta:
		name = "TDateTimePicker.SetParseInput"
		size = 33
		refs = "001c SetComCtlStyle"
	strings:
		$1 = { 3A 90 44 02 00 00 74 18 88 90 44 02 00 00 F6 40 20 10 75 0C 8B CA BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3415_0 {
	meta:
		name = "TDateTimePicker.SetShowCheckbox"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 45 02 00 00 74 0B 88 90 45 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3416_0 {
	meta:
		name = "TDateTimePicker.SetTime"
		size = 228
		refs = "0012 TDateTimePicker.SetTime 0023 @FRAC 0044 @TRUNC 0081 sNeedAllowNone 0086 LoadResString 0090 _DV_EDateTimeError 0095 Exception.Create 009a @RaiseExcept 00b7 TCommonCalendar.SetDateTime 00cc @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 F4 01 00 00 E8 ?? ?? ?? ?? DB 7D F4 9B DD 45 08 E8 ?? ?? ?? ?? DB 6D F4 DE D9 DF E0 9E 74 7E DD 83 F4 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 89 55 F0 DF 6D EC DB 7D F4 9B DD 45 08 E8 ?? ?? ?? ?? DB 6D F4 DE C1 DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 3A 80 BB 45 02 00 00 00 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 2E 02 00 00 00 8B C3 8B 10 FF 52 78 EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3417_0 {
	meta:
		name = "TPageScroller.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 003d TPageScroller.Create 0067 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 2D 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 46 40 0B 05 ?? ?? ?? ?? 89 46 40 C7 86 F0 01 00 00 0C 00 00 00 C6 86 F8 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 22 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_3418_0 {
	meta:
		name = "TPageScroller.CreateParams"
		size = 104
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TPageScroller.CreateParams 0023 TWinControl.CreateSubClass 004c OrientationStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 00 10 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB EC 01 00 00 00 74 04 83 4E 04 02 80 BB F8 01 00 00 00 74 04 83 4E 04 04 33 C0 8A 83 00 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 83 66 24 FC 5E 5B C3 00 00 53 79 73 50 61 67 65 72 00 00 00 00 }
	condition:
		$1
}

rule function_3419_0 {
	meta:
		name = "TPageScroller.CreateWnd"
		size = 141
		refs = "0007 TWinControl.CreateWnd 0017 TControl.Perform 0028 TWinControl.GetHandle"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0D B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 F4 01 00 00 85 F6 74 16 8B C6 E8 ?? ?? ?? ?? 50 33 C9 BA 01 14 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 50 33 C9 BA 0A 14 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 33 C9 BA 06 14 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 50 33 C9 BA 08 14 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 02 14 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3420_0 {
	meta:
		name = "TPageScroller.GetButtonState"
		size = 81
		refs = "000d ButtonPos 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 50 6A 00 68 0C 14 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 48 74 0F 48 74 11 83 E8 02 74 11 83 E8 04 74 11 EB 14 33 C0 5E 5B C3 B0 02 5E 5B C3 B0 03 5E 5B C3 B0 04 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_3421_0 {
	meta:
		name = "TPageScroller.Notification"
		size = 46
		refs = "0010 TControl.Notification 0026 TPageScroller.SetControl"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 F4 01 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3422_0 {
	meta:
		name = "TPageScroller.Scroll"
		size = 56
	strings:
		$1 = { 55 8B EC 51 53 88 55 FF 66 83 B8 0E 02 00 00 00 74 20 51 8B 55 10 52 8A 55 0C 52 8B 55 08 52 8B D8 8B D0 8A 4D FF 8B 83 10 02 00 00 FF 93 0C 02 00 00 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_3423_0 {
	meta:
		name = "TPageScroller.UpdatePreferredSize"
		size = 47
	strings:
		$1 = { 80 B8 00 02 00 00 00 75 13 8B 90 F4 01 00 00 8B 4A 30 03 4A 38 89 88 08 02 00 00 C3 8B 90 F4 01 00 00 8B 4A 34 03 4A 3C 89 88 08 02 00 00 C3 }
	condition:
		$1
}

rule function_3425_0 {
	meta:
		name = "TPageScroller.SetButtonSize"
		size = 66
		refs = "001f TWinControl.GetHandle 0025 SendMessage 0035 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 F0 01 00 00 74 31 89 B3 F0 01 00 00 56 6A 00 68 0A 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0B 14 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 F0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3426_0 {
	meta:
		name = "TPageScroller.DoSetControl"
		size = 136
		refs = "0019 TPageScroller.UpdatePreferredSize 0026 TComponent.FreeNotification 003e TWinControl.GetHandle 0053 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B F2 89 B3 F4 01 00 00 F6 43 20 08 75 73 85 F6 74 43 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 F4 01 00 00 8B 08 FF 51 64 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 01 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 6A 00 6A 00 68 01 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 02 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3427_0 {
	meta:
		name = "TPageScroller.SetControl"
		size = 46
		refs = "0013 TPageScroller.DoSetControl"
	strings:
		$1 = { 53 56 8B D8 8B 83 F4 01 00 00 3B D0 74 1D 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 10 F6 46 20 08 75 0A 8B 53 24 8B C6 8B 08 FF 51 64 5E 5B C3 }
	condition:
		$1
}

rule function_3428_0 {
	meta:
		name = "TCustomGrid.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TDBImage.SetBorderStyle TPageScroller.SetDragScroll"
	strings:
		$1 = { 3A 90 F8 01 00 00 74 0B 88 90 F8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3429_0 {
	meta:
		name = "TPageScroller.SetMargin"
		size = 66
		refs = "001f TWinControl.GetHandle 0025 SendMessage 0035 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 FC 01 00 00 74 31 89 B3 FC 01 00 00 56 6A 00 68 06 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 07 14 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 FC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3431_0 {
	meta:
		name = "TPageScroller.SetPosition"
		size = 82
		refs = "001f TWinControl.GetHandle 0025 SendMessage 0035 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 04 02 00 00 74 41 89 B3 04 02 00 00 56 6A 00 68 08 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 02 14 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 09 14 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 04 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3432_0 {
	meta:
		name = "TPageScroller.AlignControls"
		size = 138
		refs = "0018 TWinControl.AlignControls 0028 TPageScroller.UpdatePreferredSize 0038 TControl.GetClientHeight 0053 TControl.GetClientWidth 006e TControl.Perform"
	strings:
		$1 = { 56 8B F0 F6 46 20 10 75 0C 85 D2 74 65 3B 96 F4 01 00 00 75 5D 8B C6 E8 ?? ?? ?? ?? 83 BE F4 01 00 00 00 74 4D 8B C6 E8 ?? ?? ?? ?? 80 BE 00 02 00 00 00 75 12 8B C6 E8 ?? ?? ?? ?? 8B 96 F4 01 00 00 3B 42 3C 74 1B 80 BE 00 02 00 00 01 75 22 8B C6 E8 ?? ?? ?? ?? 8B 96 F4 01 00 00 3B 42 38 75 10 6A 00 33 C9 BA 02 14 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 09 14 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 04 02 00 00 5E C3 }
	condition:
		$1
}

rule function_3433_0 {
	meta:
		name = "TPageScroller.WMNCHitTest"
		size = 39
		refs = "0009 TWinControl.GetControlCount 0020 TWinControl.WMNCHitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0A C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3434_0 {
	meta:
		name = "KeysToShiftState"
		size = 52
		refs = "0006 KeysToShiftState"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? 66 F7 C6 01 00 74 03 80 CB 01 66 F7 C6 02 00 74 03 80 CB 04 66 F7 C6 04 00 74 03 80 CB 02 8B C3 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_3435_0 {
	meta:
		name = "TPageScroller.CNNotify"
		size = 278
		refs = "00b3 KeysToShiftState 00c3 @CallDynaInst 00d2 TPageScroller.GetButtonState"
	strings:
		$1 = { 53 56 57 8B F8 8B 42 08 8B 48 08 81 E9 7A FC FF FF 74 08 49 74 6E E9 F7 00 00 00 8B 8F F4 01 00 00 85 C9 0F 84 E9 00 00 00 80 BF 00 02 00 00 00 75 2C 8B 97 20 01 00 00 03 D2 03 97 08 02 00 00 89 50 10 8B 97 F4 01 00 00 8B 52 3C 8B 8F 20 01 00 00 03 C9 03 D1 89 50 14 E9 B4 00 00 00 8B 51 38 8B 8F 20 01 00 00 03 C9 03 D1 89 50 10 8B 97 20 01 00 00 03 D2 03 97 08 02 00 00 89 50 14 E9 8E 00 00 00 8B F0 8B 46 1E 8B D0 4A 83 EA 02 73 0A B3 01 48 75 0F F7 5E 2A EB 0A 33 DB 83 F8 04 75 03 F7 5E 2A 8B 46 26 50 53 8D 46 2A 50 66 8B 46 0C E8 ?? ?? ?? ?? 8B D0 8B 4E 22 8B C7 66 BB B8 FF E8 ?? ?? ?? ?? 83 7E 2A 00 7E 16 33 D2 8B C7 E8 ?? ?? ?? ?? 3C 01 75 09 8B 87 F0 01 00 00 01 46 2A 8B 46 2A 85 C0 7D 05 F7 D8 89 46 2A 80 BF 00 02 00 00 00 75 0E 8B 46 22 03 46 2A 89 87 04 02 00 00 EB 0C 8B 46 26 03 46 2A 89 87 04 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3436_0 {
	meta:
		name = "TPageScroller.CMColorChanged"
		size = 58
		refs = "0009 TWinControl.HandleAllocated 0015 ColorToRGB 0024 TWinControl.GetHandle 002a SendMessage 0033 TWinControl.CMColorChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 43 64 E8 ?? ?? ?? ?? 50 6A 00 68 04 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3437_0 {
	meta:
		name = "TPageScroller.CMControlChange"
		size = 49
		refs = "0011 _Dn_TWinControl 0016 @IsClass 002a TPageScroller.DoSetControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 01 75 22 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 83 7E 08 00 74 0A 8B 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3438_0 {
	meta:
		name = "Finalization"
		size = 100
		refs = "0007 Finalization 0013 _DV_15 001b ShellModule 0029 FreeLibrary 002e TextConversionFormat 0034 TConversionFormat 0039 @FinalizeRecord 003e RTFConversionFormat 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 34 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3441_0 {
	meta:
		name = "InitComCtl"
		size = 96
		refs = "0002 ComCtl32DLL 000a InitComCtl 000f GetModuleHandle 002d GetProcAddress 0032 _InitCommonControlsEx"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 2D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 63 6F 6D 63 74 6C 33 32 2E 64 6C 6C 00 00 00 00 49 6E 69 74 43 6F 6D 6D 6F 6E 43 6F 6E 74 72 6F 6C 73 45 78 00 00 00 00 }
	condition:
		$1
}

rule function_3442_0 {
	meta:
		name = "InitCommonControlsEx"
		size = 49
		refs = "0005 ComCtl32DLL 000d InitComCtl 0013 _InitCommonControlsEx"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 53 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5B C3 }
	condition:
		$1
}

rule function_3459_0 {
	meta:
		name = "ImageList_AddIcon"
		size = 10
		refs = "0005 ImageList_ReplaceIcon"
	strings:
		$1 = { 52 6A FF 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3460_0 {
	meta:
		name = "IndexToOverlayMask"
		size = 4
	strings:
		$1 = { C1 E0 08 C3 }
	condition:
		$1
}

rule function_3480_0 {
	meta:
		name = "ImageList_RemoveAll"
		size = 9
		refs = "0004 ImageList_Remove"
	strings:
		$1 = { 6A FF 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3481_0 {
	meta:
		name = "ImageList_ExtractIcon"
		size = 10
		refs = "0005 ImageList_GetIcon"
	strings:
		$1 = { 6A 00 51 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3482_0 {
	meta:
		name = "ImageList_LoadBitmap"
		size = 29
		refs = "0014 ImageList_LoadImage"
	strings:
		$1 = { 55 8B EC 53 6A 00 6A 00 8B 5D 08 53 8B 5D 0C 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3490_0 {
	meta:
		name = "Header_GetItemCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 00 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3491_0 {
	meta:
		name = "Header_InsertItem"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 01 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3492_0 {
	meta:
		name = "Header_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 02 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3493_0 {
	meta:
		name = "Header_GetItem"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 03 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3494_0 {
	meta:
		name = "Header_SetItem"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 04 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3495_0 {
	meta:
		name = "Header_Layout"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 05 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3496_0 {
	meta:
		name = "Header_GetItemRect"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 07 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3497_0 {
	meta:
		name = "Header_SetImageList"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 08 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3498_0 {
	meta:
		name = "Header_GetImageList"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 09 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3499_0 {
	meta:
		name = "Header_OrderToIndex"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 0F 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3500_0 {
	meta:
		name = "Header_CreateDragImage"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 10 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3501_0 {
	meta:
		name = "Header_GetOrderArray"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 11 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3502_0 {
	meta:
		name = "Header_SetOrderArray"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 12 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3503_0 {
	meta:
		name = "Header_SetHotDivider"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 13 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3504_0 {
	meta:
		name = "Header_SetUnicodeFormat"
		size = 15
		refs = "000a SendMessage"
		altNames = "ListView_SetUnicodeFormat"
	strings:
		$1 = { 6A 00 52 68 05 20 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3505_0 {
	meta:
		name = "Header_GetUnicodeFormat"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 06 20 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3521_0 {
	meta:
		name = "ListView_GetUnicodeFormat"
		size = 20
		refs = "000e SendMessage"
		altNames = "MonthCal_GetUnicodeFormat TabCtrl_GetUnicodeFormat TreeView_GetUnicodeFormat"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 06 20 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3523_0 {
	meta:
		name = "ListView_GetBkColor"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 00 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3524_0 {
	meta:
		name = "ListView_SetBkColor"
		size = 23
		refs = "0010 SendMessage"
		altNames = "MonthCal_GetCurSel"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3525_0 {
	meta:
		name = "ListView_GetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3526_0 {
	meta:
		name = "ListView_SetImageList"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 03 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3527_0 {
	meta:
		name = "ListView_GetItemCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 04 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3528_0 {
	meta:
		name = "IndexToStateImageMask"
		size = 4
	strings:
		$1 = { C1 E0 0C C3 }
	condition:
		$1
}

rule function_3529_0 {
	meta:
		name = "DateTime_SetFormat"
		size = 23
		refs = "0010 SendMessage"
		altNames = "DateTime_SetFormatA ListView_GetItem ListView_GetItemA ListView_GetItemW MonthCal_GetSelRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 05 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3532_0 {
	meta:
		name = "ListView_SetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_SetItemA ListView_SetItemW MonthCal_SetSelRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 06 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3535_0 {
	meta:
		name = "ListView_InsertItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_InsertItemA ListView_InsertItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 07 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3538_0 {
	meta:
		name = "ListView_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 08 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3539_0 {
	meta:
		name = "ListView_DeleteAllItems"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 09 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3540_0 {
	meta:
		name = "ListView_GetCallbackMask"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 0A 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3541_0 {
	meta:
		name = "ListView_SetCallbackMask"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0B 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3542_0 {
	meta:
		name = "ListView_GetNextItem"
		size = 35
		refs = "000e MakeLong 001b SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 50 56 68 0C 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3543_0 {
	meta:
		name = "ListView_FindItem"
		size = 14
		refs = "0009 SendMessage"
		altNames = "ListView_FindItemA ListView_FindItemW"
	strings:
		$1 = { 51 52 68 0D 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3546_0 {
	meta:
		name = "ListView_GetItemRect"
		size = 57
		refs = "001e SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 85 DB 74 14 8B 45 08 89 03 53 57 68 0E 10 00 00 56 E8 ?? ?? ?? ?? EB 0E 6A 00 57 68 0E 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3547_0 {
	meta:
		name = "ListView_SetItemPosition"
		size = 43
		refs = "0013 MakeLong 0020 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 66 8B 55 08 8B C7 E8 ?? ?? ?? ?? 50 56 68 0F 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3548_0 {
	meta:
		name = "ListView_GetItemPosition"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 10 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3549_0 {
	meta:
		name = "ListView_GetStringWidth"
		size = 15
		refs = "000a SendMessage"
		altNames = "ListView_GetStringWidthA ListView_GetStringWidthW MonthCal_GetRange"
	strings:
		$1 = { 52 6A 00 68 11 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3552_0 {
	meta:
		name = "ListView_HitTest"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 12 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3553_0 {
	meta:
		name = "ListView_EnsureVisible"
		size = 44
		refs = "000e MakeLong 001b SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 50 56 68 13 10 00 00 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3554_0 {
	meta:
		name = "ListView_Scroll"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 14 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3555_0 {
	meta:
		name = "ListView_RedrawItems"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 15 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3556_0 {
	meta:
		name = "ListView_Arrange"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 16 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3557_0 {
	meta:
		name = "ListView_EditLabel"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_EditLabelA ListView_EditLabelW"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 17 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3560_0 {
	meta:
		name = "ListView_GetEditControl"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 18 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3561_0 {
	meta:
		name = "ListView_GetColumn"
		size = 26
		refs = "0012 SendMessage"
		altNames = "ListView_GetColumnA ListView_GetColumnW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 19 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3564_0 {
	meta:
		name = "ListView_SetColumn"
		size = 26
		refs = "0012 SendMessage"
		altNames = "ListView_SetColumnA ListView_SetColumnW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 1A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3567_0 {
	meta:
		name = "ListView_InsertColumn"
		size = 14
		refs = "0009 SendMessage"
		altNames = "ListView_InsertColumnA ListView_InsertColumnW"
	strings:
		$1 = { 51 52 68 1B 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3570_0 {
	meta:
		name = "ListView_DeleteColumn"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 1C 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3571_0 {
	meta:
		name = "ListView_GetColumnWidth"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 1D 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3572_0 {
	meta:
		name = "ListView_SetColumnWidth"
		size = 35
		refs = "000e MakeLong 001b SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 50 56 68 1E 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3573_0 {
	meta:
		name = "ListView_GetHeader"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 1F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3574_0 {
	meta:
		name = "ListView_CreateDragImage"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 21 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3575_0 {
	meta:
		name = "ListView_GetViewRect"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 22 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3576_0 {
	meta:
		name = "ListView_GetTextColor"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 23 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3577_0 {
	meta:
		name = "ListView_SetTextColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 24 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3578_0 {
	meta:
		name = "ListView_GetTextBkColor"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 25 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3579_0 {
	meta:
		name = "ListView_SetTextBkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 26 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3580_0 {
	meta:
		name = "ListView_GetTopIndex"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 27 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3581_0 {
	meta:
		name = "ListView_GetCountPerPage"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 28 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3582_0 {
	meta:
		name = "ListView_GetOrigin"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 29 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3583_0 {
	meta:
		name = "ListView_Update"
		size = 32
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 2A 10 00 00 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 5E 5B C3 }
	condition:
		$1
}

rule function_3584_0 {
	meta:
		name = "ListView_SetItemState"
		size = 45
		refs = "0021 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F2 8B D8 8B 45 08 89 45 E8 89 4D E4 8D 45 D8 50 56 68 2B 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3585_0 {
	meta:
		name = "ListView_GetItemState"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 2C 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3586_0 {
	meta:
		name = "ListView_GetCheckState"
		size = 30
		refs = "0013 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 00 F0 00 00 56 68 2C 10 00 00 53 E8 ?? ?? ?? ?? C1 E8 0C 48 5E 5B C3 }
	condition:
		$1
}

rule function_3587_0 {
	meta:
		name = "ListView_SetCheckState"
		size = 41
		refs = "0021 SendMessage"
	strings:
		$1 = { 83 C4 D8 C7 44 24 10 00 F0 00 00 83 E1 01 41 C1 E1 0C 89 4C 24 0C 8B CC 51 52 68 2B 10 00 00 50 E8 ?? ?? ?? ?? 83 C4 28 C3 }
	condition:
		$1
}

rule function_3588_0 {
	meta:
		name = "ListView_GetItemText"
		size = 43
		refs = "0021 SendMessage"
		altNames = "ListView_GetItemTextA ListView_GetItemTextW"
	strings:
		$1 = { 55 8B EC 83 C4 D8 89 4D E0 8B 4D 08 89 4D F0 8B 4D 0C 89 4D EC 8D 4D D8 51 52 68 2D 10 00 00 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3591_0 {
	meta:
		name = "ListView_SetItemText"
		size = 45
		refs = "0021 SendMessage"
		altNames = "ListView_SetItemTextA ListView_SetItemTextW"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F2 8B D8 89 4D E0 8B 45 08 89 45 EC 8D 45 D8 50 56 68 2E 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3594_0 {
	meta:
		name = "ListView_SetItemCount"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 2F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3595_0 {
	meta:
		name = "ListView_SetItemCountEx"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 2F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3596_0 {
	meta:
		name = "ListView_SortItems"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 30 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3597_0 {
	meta:
		name = "ListView_SetItemPosition32"
		size = 37
		refs = "001b SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 4D F8 8B 4D 08 89 4D FC 8D 4D F8 51 52 68 31 10 00 00 50 E8 ?? ?? ?? ?? 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3598_0 {
	meta:
		name = "ListView_GetSelectedCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 32 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3599_0 {
	meta:
		name = "ListView_GetItemSpacing"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 33 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3600_0 {
	meta:
		name = "ListView_GetISearchString"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_GetISearchStringA ListView_GetISearchStringW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 34 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3603_0 {
	meta:
		name = "ListView_SetIconSpacing"
		size = 36
		refs = "000e MakeLong 001c SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 35 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3604_0 {
	meta:
		name = "ListView_SetExtendedListViewStyle"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 36 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3605_0 {
	meta:
		name = "ListView_GetExtendedListViewStyle"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 37 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3606_0 {
	meta:
		name = "ListView_GetSubItemRect"
		size = 45
		refs = "0022 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 5D 08 85 DB 74 08 89 4B 04 8B 45 0C 89 03 53 57 68 38 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3607_0 {
	meta:
		name = "ListView_SubItemHitTest"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 39 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3608_0 {
	meta:
		name = "ListView_SetColumnOrderArray"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 3A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3609_0 {
	meta:
		name = "ListView_GetColumnOrderArray"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 3B 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3610_0 {
	meta:
		name = "ListView_SetHotItem"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 3C 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3611_0 {
	meta:
		name = "ListView_GetHotItem"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 3D 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3612_0 {
	meta:
		name = "ListView_SetHotCursor"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 3E 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3613_0 {
	meta:
		name = "ListView_GetHotCursor"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 3F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3614_0 {
	meta:
		name = "ListView_ApproximateViewRect"
		size = 44
		refs = "0011 MakeLParam 0021 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 50 8B 45 08 50 68 40 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3615_0 {
	meta:
		name = "ListView_SetWorkAreas"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 41 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3616_0 {
	meta:
		name = "ListView_GetSelectionMark"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 42 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3617_0 {
	meta:
		name = "ListView_SetSelectionMark"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 43 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3618_0 {
	meta:
		name = "ListView_GetWorkAreas"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 46 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3619_0 {
	meta:
		name = "ListView_SetHoverTime"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 47 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3620_0 {
	meta:
		name = "ListView_GetHoverTime"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 48 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3621_0 {
	meta:
		name = "ListView_GetNumberOfWorkAreas"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 49 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3622_0 {
	meta:
		name = "ListView_SetToolTips"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 4A 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3623_0 {
	meta:
		name = "ListView_GetToolTips"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 4E 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3624_0 {
	meta:
		name = "ListView_SetBkImage"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 44 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3625_0 {
	meta:
		name = "ListView_GetBkImage"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 45 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3626_0 {
	meta:
		name = "TreeView_InsertItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 00 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3627_0 {
	meta:
		name = "TreeView_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3628_0 {
	meta:
		name = "TreeView_DeleteAllItems"
		size = 23
		refs = "0011 SendMessage"
	strings:
		$1 = { 53 8B D8 68 00 00 FF FF 6A 00 68 01 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3629_0 {
	meta:
		name = "TreeView_Expand"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 02 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3630_0 {
	meta:
		name = "TreeView_GetItemRect"
		size = 33
		refs = "0017 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 89 13 53 8B 45 08 50 68 04 11 00 00 56 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3631_0 {
	meta:
		name = "TreeView_GetCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 05 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3632_0 {
	meta:
		name = "TreeView_GetIndent"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 06 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3633_0 {
	meta:
		name = "TreeView_SetIndent"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 07 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3634_0 {
	meta:
		name = "TreeView_GetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 08 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3635_0 {
	meta:
		name = "TreeView_SetImageList"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 09 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3636_0 {
	meta:
		name = "TreeView_GetNextItem"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3637_0 {
	meta:
		name = "TreeView_GetChild"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8229_0 {
	meta:
		name = "EditChartLegend"
		size = 11
		refs = "0006 EditChartPage"
	strings:
		$1 = { B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3638_0 {
	meta:
		name = "TreeView_GetNextSibling"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3639_0 {
	meta:
		name = "TreeView_GetPrevSibling"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3640_0 {
	meta:
		name = "TreeView_GetParent"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3641_0 {
	meta:
		name = "TreeView_GetFirstVisible"
		size = 13
		refs = "0008 TreeView_GetNextItem"
	strings:
		$1 = { B9 05 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3642_0 {
	meta:
		name = "TreeView_GetNextVisible"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 06 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3643_0 {
	meta:
		name = "TreeView_GetPrevVisible"
		size = 11
		refs = "0006 TreeView_GetNextItem"
	strings:
		$1 = { B9 07 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3644_0 {
	meta:
		name = "TreeView_GetSelection"
		size = 13
		refs = "0008 TreeView_GetNextItem"
	strings:
		$1 = { B9 09 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3645_0 {
	meta:
		name = "TreeView_GetDropHilite"
		size = 13
		refs = "0008 TreeView_GetNextItem"
	strings:
		$1 = { B9 08 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3647_0 {
	meta:
		name = "TreeView_GetLastVisible"
		size = 13
		refs = "0008 TreeView_GetNextItem"
	strings:
		$1 = { B9 0A 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3648_0 {
	meta:
		name = "TreeView_Select"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 0B 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3649_0 {
	meta:
		name = "TreeView_SelectItem"
		size = 11
		refs = "0006 TreeView_Select"
	strings:
		$1 = { B9 09 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3650_0 {
	meta:
		name = "TreeView_SelectDropTarget"
		size = 11
		refs = "0006 TreeView_Select"
	strings:
		$1 = { B9 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3651_0 {
	meta:
		name = "TreeView_SelectSetFirstVisible"
		size = 11
		refs = "0006 TreeView_Select"
	strings:
		$1 = { B9 05 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3652_0 {
	meta:
		name = "TreeView_GetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_GetItemA TreeView_GetItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0C 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3655_0 {
	meta:
		name = "TreeView_SetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_SetItemA TreeView_SetItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0D 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3658_0 {
	meta:
		name = "TreeView_EditLabel"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_EditLabelA TreeView_EditLabelW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0E 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3661_0 {
	meta:
		name = "TreeView_GetEditControl"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0F 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3662_0 {
	meta:
		name = "TreeView_GetVisibleCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 10 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3663_0 {
	meta:
		name = "TreeView_HitTest"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 11 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3664_0 {
	meta:
		name = "TreeView_CreateDragImage"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 12 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3665_0 {
	meta:
		name = "TreeView_SortChildren"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 13 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3666_0 {
	meta:
		name = "TreeView_EnsureVisible"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 14 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3667_0 {
	meta:
		name = "TreeView_SortChildrenCB"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 15 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3668_0 {
	meta:
		name = "TreeView_EndEditLabelNow"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 16 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3669_0 {
	meta:
		name = "TreeView_GetISearchString"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_GetISearchStringA TreeView_GetISearchStringW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 17 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3672_0 {
	meta:
		name = "TreeView_SetToolTips"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 18 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3673_0 {
	meta:
		name = "TreeView_GetToolTips"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 19 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3674_0 {
	meta:
		name = "TreeView_SetInsertMark"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 1A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3675_0 {
	meta:
		name = "MonthCal_SetUnicodeFormat"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TabCtrl_SetUnicodeFormat TreeView_SetUnicodeFormat"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 05 20 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3677_0 {
	meta:
		name = "TreeView_SetItemHeight"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 1B 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3678_0 {
	meta:
		name = "TreeView_GetItemHeight"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 1C 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3679_0 {
	meta:
		name = "TreeView_SetBkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 1D 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3680_0 {
	meta:
		name = "TreeView_SetTextColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 1E 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3681_0 {
	meta:
		name = "TreeView_GetBkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 1F 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3682_0 {
	meta:
		name = "TreeView_GetTextColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 20 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3683_0 {
	meta:
		name = "TreeView_SetScrollTime"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 21 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3684_0 {
	meta:
		name = "TreeView_GetScrollTime"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 22 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3685_0 {
	meta:
		name = "TreeView_SetInsertMarkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 25 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3686_0 {
	meta:
		name = "TreeView_GetInsertMarkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 26 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3687_0 {
	meta:
		name = "TabCtrl_HitTest"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0D 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3688_0 {
	meta:
		name = "TabCtrl_SetItemExtra"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0E 13 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3689_0 {
	meta:
		name = "TabCtrl_AdjustRect"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 28 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3690_0 {
	meta:
		name = "TabCtrl_SetItemSize"
		size = 36
		refs = "000e MakeLParam 001c SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 29 13 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3691_0 {
	meta:
		name = "TabCtrl_RemoveImage"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 2A 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3692_0 {
	meta:
		name = "TabCtrl_SetPadding"
		size = 36
		refs = "000e MakeLParam 001c SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 2B 13 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3693_0 {
	meta:
		name = "TabCtrl_GetRowCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 2C 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3694_0 {
	meta:
		name = "TabCtrl_GetToolTips"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 2D 13 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3695_0 {
	meta:
		name = "TabCtrl_SetToolTips"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 2E 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3696_0 {
	meta:
		name = "TabCtrl_GetCurFocus"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 2F 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3697_0 {
	meta:
		name = "TabCtrl_SetCurFocus"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 30 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3698_0 {
	meta:
		name = "TabCtrl_SetMinTabWidth"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 31 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3699_0 {
	meta:
		name = "TabCtrl_DeselectAll"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 32 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3700_0 {
	meta:
		name = "TabCtrl_HighlightItem"
		size = 35
		refs = "000e MakeLong 001b SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 50 56 68 33 13 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3701_0 {
	meta:
		name = "TabCtrl_SetExtendedStyle"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 34 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3702_0 {
	meta:
		name = "TabCtrl_GetExtendedStyle"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 35 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3705_0 {
	meta:
		name = "Animate_Create"
		size = 52
		refs = "0014 Animate_Create 001b CreateWindow"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 50 52 8B 45 08 50 6A 00 B8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5D C2 04 00 00 53 79 73 41 6E 69 6D 61 74 65 33 32 00 00 00 00 }
	condition:
		$1
}

rule function_3706_0 {
	meta:
		name = "Animate_Open"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 64 04 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3707_0 {
	meta:
		name = "Animate_OpenEx"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 64 04 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3708_0 {
	meta:
		name = "Animate_Play"
		size = 44
		refs = "0011 MakeLong 0021 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 50 8B 45 08 50 68 65 04 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3709_0 {
	meta:
		name = "Animate_Stop"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 66 04 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3711_0 {
	meta:
		name = "Animate_Seek"
		size = 10
		refs = "0005 Animate_Play"
	strings:
		$1 = { 6A 01 8B CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3713_0 {
	meta:
		name = "MonthCal_SetCurSel"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3714_0 {
	meta:
		name = "MonthCal_GetMaxSelCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 03 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3715_0 {
	meta:
		name = "MonthCal_SetMaxSelCount"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 04 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3718_0 {
	meta:
		name = "MonthCal_GetMonthRange"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 07 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3719_0 {
	meta:
		name = "MonthCal_SetDayState"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 08 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3720_0 {
	meta:
		name = "MonthCal_GetMinReqRect"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 09 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3721_0 {
	meta:
		name = "MonthCal_SetToday"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0C 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3722_0 {
	meta:
		name = "MonthCal_GetToday"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0D 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3723_0 {
	meta:
		name = "MonthCal_HitTest"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0E 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3724_0 {
	meta:
		name = "MonthCal_SetColor"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3725_0 {
	meta:
		name = "MonthCal_GetColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3726_0 {
	meta:
		name = "MonthCal_SetFirstDayOfWeek"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3727_0 {
	meta:
		name = "MonthCal_GetFirstDayOfWeek"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 10 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3729_0 {
	meta:
		name = "Monthcal_SetRange"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 12 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3730_0 {
	meta:
		name = "MonthCal_GetMonthDelta"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 13 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3731_0 {
	meta:
		name = "MonthCal_SetMonthDelta"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 14 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3732_0 {
	meta:
		name = "MonthCal_GetMaxTodayWidth"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 15 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3735_0 {
	meta:
		name = "DateTime_GetSystemTime"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 01 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3736_0 {
	meta:
		name = "DateTime_SetSystemTime"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3737_0 {
	meta:
		name = "DateTime_GetRange"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 03 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3738_0 {
	meta:
		name = "DateTime_SetRange"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 04 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3740_0 {
	meta:
		name = "DateTime_SetFormatW"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 32 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3742_0 {
	meta:
		name = "DateTime_SetMonthCalColor"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 06 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3743_0 {
	meta:
		name = "DateTime_GetMonthCalColor"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 07 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3744_0 {
	meta:
		name = "DateTime_GetMonthCal"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 08 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3745_0 {
	meta:
		name = "DateTime_SetMonthCalFont"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 09 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3746_0 {
	meta:
		name = "DateTime_GetMonthCalFont"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3747_0 {
	meta:
		name = "MAKEIPRANGE"
		size = 19
	strings:
		$1 = { 81 E2 FF 00 00 00 C1 E2 08 25 FF 00 00 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_3748_0 {
	meta:
		name = "MAKEIPADDRESS"
		size = 23
	strings:
		$1 = { 55 8B EC C1 E0 18 C1 E2 10 03 C2 C1 E1 08 03 C1 03 45 08 5D C2 04 00 }
	condition:
		$1
}

rule function_3749_0 {
	meta:
		name = "FIRST_IPADDRESS"
		size = 9
	strings:
		$1 = { C1 E8 18 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_3750_0 {
	meta:
		name = "SECOND_IPADDRESS"
		size = 9
	strings:
		$1 = { C1 E8 10 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_3751_0 {
	meta:
		name = "THIRD_IPADDRESS"
		size = 9
	strings:
		$1 = { C1 E8 08 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_3752_0 {
	meta:
		name = "FOURTH_IPADDRESS"
		size = 6
	strings:
		$1 = { 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_3753_0 {
	meta:
		name = "Pager_SetChild"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 01 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3754_0 {
	meta:
		name = "Pager_RecalcSize"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 02 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3755_0 {
	meta:
		name = "Pager_ForwardMouse"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 03 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3756_0 {
	meta:
		name = "Pager_SetBkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 04 14 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3757_0 {
	meta:
		name = "Pager_GetBkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 05 14 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3758_0 {
	meta:
		name = "Pager_SetBorder"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 06 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3759_0 {
	meta:
		name = "Pager_GetBorder"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 07 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3760_0 {
	meta:
		name = "Pager_SetPos"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 08 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3761_0 {
	meta:
		name = "Pager_GetPos"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 09 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3762_0 {
	meta:
		name = "Pager_SetButtonSize"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0A 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3763_0 {
	meta:
		name = "Pager_GetButtonSize"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 0B 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3764_0 {
	meta:
		name = "Pager_GetButtonState"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0C 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3765_0 {
	meta:
		name = "Pager_GetDropTarget"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 04 20 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3820_0 {
	meta:
		name = "_NF__133"
		size = 173
		refs = "0007 TComObject.InterfaceSupportsErrorInfo 0011 TComObject.QueryInterface 001b TComObject._AddRef 0025 TComObject._Release 0055 _NF__133"
	strings:
		$1 = { CC 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 08 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 04 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 0C CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 60 3D 0B DF 8F 54 1B 10 8E 65 08 00 2B 2B D1 19 ?? ?? ?? ?? 18 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 1C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3821_0 {
	meta:
		name = "_NF__140"
		size = 204
		refs = "0007 TComObjectFactory.GetLicInfo 0011 TComObjectFactory.RequestLicKey 001b TComObjectFactory.CreateInstanceLic 0025 TComObjectFactory.CreateInstance 002f TComObjectFactory.LockServer 0039 TComObjectFactory.QueryInterface 0043 TComObjectFactory._AddRef 004d TComObjectFactory._Release 0054 _NF__140"
	strings:
		$1 = { CC 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 00 00 00 8F B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 48 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 48 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 48 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3822_0 {
	meta:
		name = "_NF__145"
		size = 78
		refs = "0014 TAggregatedObject._AddRef 001e TAggregatedObject._Release 0022 _NF__145"
	strings:
		$1 = { CC 83 44 24 04 F8 8B 44 24 04 8B 00 FF 20 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3823_0 {
	meta:
		name = "_NF__148"
		size = 90
		refs = "0007 TTypedComObject.GetClassInfo 0011 TComObject.QueryInterface 001b TComObject._AddRef 0025 TComObject._Release 002a _NF__148"
	strings:
		$1 = { CC 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 83 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 20 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3824_0 {
	meta:
		name = "_NF__14F"
		size = 148
		refs = "003f TComObject.QueryInterface 0049 TComObject._AddRef 0053 TComObject._Release 0058 _NF__14F"
	strings:
		$1 = { CC 83 44 24 04 D4 8B 44 24 04 8B 00 FF 60 18 83 44 24 04 D4 8B 44 24 04 8B 00 FF 60 14 83 44 24 04 D4 8B 44 24 04 8B 00 FF 60 10 83 44 24 04 D4 8B 44 24 04 8B 00 FF 60 1C 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 2C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3825_0 {
	meta:
		name = "_NF__155"
		size = 218
		refs = "0007 TAutoIntfObject.InterfaceSupportsErrorInfo 0011 TInterfacedObject.QueryInterface 001b TInterfacedObject._AddRef 0025 TInterfacedObject._Release 002f TAutoIntfObject.GetTypeInfoCount 0039 TAutoIntfObject.GetTypeInfo 0043 TAutoIntfObject.GetIDsOfNames 004d TAutoIntfObject.Invoke 0072 _NF__155"
	strings:
		$1 = { CC 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? 83 44 24 04 D8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 60 3D 0B DF 8F 54 1B 10 8E 65 08 00 2B 2B D1 19 ?? ?? ?? ?? 24 00 00 00 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 28 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3826_0 {
	meta:
		name = "HandleSafeCallException"
		size = 328
		refs = "0012 HandleSafeCallException 0027 @IntfClear 002d CreateErrorInfo 0032 Succeeded 004e @WStrCmp 0058 @WStrToPWChar 0088 _Dn_Exception 008d @IsClass 009e @WStrFromLStr 00c5 _DV_EOleSysError 00fc SetErrorInfo 0111 @WStrClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BE FF FF 00 80 8B D8 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 57 8B 45 FC 50 8B 00 FF 50 0C 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 74 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 8B 45 08 33 D2 E8 ?? ?? ?? ?? 74 12 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8D 45 F4 8B FB 8B 57 04 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 8B 47 08 50 8B 45 FC 50 8B 00 FF 50 1C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 83 7B 0C 00 7D 03 8B 73 0C 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 0B 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C2 08 00 20 B1 F2 1C 7D 54 1B 10 8E 65 08 00 2B 2B D1 19 }
	condition:
		$1
}

rule function_3827_0 {
	meta:
		name = "_NF__17B"
		size = 162
		refs = "0007 TDispatchSilencer.GetTypeInfoCount 0011 TDispatchSilencer.GetTypeInfo 001b TDispatchSilencer.GetIDsOfNames 0025 TDispatchSilencer.Invoke 002f TDispatchSilencer.QueryInterface 0039 TInterfacedObject._AddRef 0043 TInterfacedObject._Release 004a _NF__17B"
	strings:
		$1 = { CC 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? 83 44 24 04 E0 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 20 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3828_0 {
	meta:
		name = "TDispatchSilencer.Create"
		size = 157
		refs = "000f @ClassCreate 0021 @IntfAddRef 0029 TDispatchSilencer.Create 0038 TObject.Create 004e @IntfClear 005d OleCheck 0078 @HandleFinally 0085 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 56 57 83 C7 10 B9 04 00 00 00 F3 A5 5F 5E 8D 47 0C E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3829_0 {
	meta:
		name = "TDispatchSilencer.QueryInterface"
		size = 81
		refs = "0013 TInterfacedObject.QueryInterface 0024 IsEqualGUID 0038 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 57 56 53 E8 ?? ?? ?? ?? 3D 02 40 00 80 75 2C 8D 43 10 50 56 E8 ?? ?? ?? ?? 84 C0 74 14 8B C7 8B D3 85 D2 74 03 83 EA E0 E8 ?? ?? ?? ?? 33 C0 EB 0A 57 56 8B 43 0C 50 8B 00 FF 10 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_3830_0 {
	meta:
		name = "TDispatchSilencer.GetTypeInfoCount"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_3831_0 {
	meta:
		name = "TDispatchSilencer.GetTypeInfo"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 10 5D C2 10 00 }
	condition:
		$1
}

rule function_3832_0 {
	meta:
		name = "TDispatchSilencer.GetIDsOfNames"
		size = 39
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 14 5D C2 18 00 }
	condition:
		$1
}

rule function_3833_0 {
	meta:
		name = "TDispatchSilencer.Invoke"
		size = 54
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 66 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 18 33 C0 5D C2 24 00 }
	condition:
		$1
}

rule function_3834_0 {
	meta:
		name = "TComClassManager.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TMultiReadExclusiveWriteSynchronizer 0023 TMultiReadExclusiveWriteSynchronizer.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15928_0 {
	meta:
		name = "TQREvElementFunction.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TQREvElement.Create 001e _Dn_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3836_0 {
	meta:
		name = "TComClassManager.AddObjectFactory"
		size = 86
		refs = "0011 TMultiReadExclusiveWriteSynchronizer.BeginWrite 0019 TComClassManager.AddObjectFactory 0046 TMultiReadExclusiveWriteSynchronizer.EndWrite 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 43 04 8B 45 FC 89 58 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_3837_0 {
	meta:
		name = "TComClassManager.ForEachFactory"
		size = 107
		refs = "0012 TMultiReadExclusiveWriteSynchronizer.BeginWrite 001a TComClassManager.ForEachFactory 0058 TMultiReadExclusiveWriteSynchronizer.EndWrite 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 85 C0 74 16 8B 58 04 3B 70 08 75 08 8B D0 8B 45 0C FF 55 08 8B C3 85 C0 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3838_0 {
	meta:
		name = "TComClassManager.GetFactoryFromClass"
		size = 250
		refs = "001b TComClassManager.GetFactoryFromClass 002c TMultiReadExclusiveWriteSynchronizer.BeginRead 0056 @TryFinallyExit 0074 TObject.ClassName 0092 SObjectFactoryMissing 0097 LoadResString 00a4 _DV_EOleError 00a9 Exception.CreateFmt 00ae @RaiseExcept 00c6 TMultiReadExclusiveWriteSynchronizer.EndRead 00cc @HandleFinally 00e6 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 33 C9 89 8D EC FE FF FF 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F8 83 7D F8 00 74 1E 8B 45 F8 3B 58 0C 75 07 E8 ?? ?? ?? ?? EB 76 8B 45 F8 8B 40 04 89 45 F8 83 7D F8 00 75 E2 8D 95 F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 45 F0 50 6A 00 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3839_0 {
	meta:
		name = "TComClassManager.GetFactoryFromClassID"
		size = 131
		refs = "0013 TMultiReadExclusiveWriteSynchronizer.BeginRead 001b TComClassManager.GetFactoryFromClassID 003d IsEqualGUID 0046 @TryFinallyExit 006f TMultiReadExclusiveWriteSynchronizer.EndRead 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F8 83 7D F8 00 74 27 53 8B 45 F8 83 C0 10 50 E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? EB 2F 8B 45 F8 8B 40 04 89 45 F8 83 7D F8 00 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3840_0 {
	meta:
		name = "TComClassManager.RemoveObjectFactory"
		size = 124
		refs = "0011 TMultiReadExclusiveWriteSynchronizer.BeginWrite 0019 TComClassManager.RemoveObjectFactory 0049 @TryFinallyExit 006c TMultiReadExclusiveWriteSynchronizer.EndWrite 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 D2 8B 45 FC 8B 40 04 85 C0 74 29 3B D8 75 1C 85 D2 74 08 8B 40 04 89 42 04 EB 09 8B 40 04 8B 55 FC 89 42 04 E8 ?? ?? ?? ?? EB 29 8B D0 8B 40 04 85 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_3841_0 {
	meta:
		name = "TComObject.Create"
		size = 80
		refs = "000a @ClassCreate 001b TObject.ClassType 0021 ComClassManager 0027 TComClassManager.GetFactoryFromClass 0032 TComObject.CreateFromFactory 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 0C 01 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3842_0 {
	meta:
		name = "TComObject.CreateAggregated"
		size = 83
		refs = "000b @ClassCreate 001d TObject.ClassType 0023 ComClassManager 0029 TComClassManager.GetFactoryFromClass 0034 TComObject.CreateFromFactory 003f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 C6 47 0C 01 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3843_0 {
	meta:
		name = "TComObject.CreateFromFactory"
		size = 93
		refs = "000d @ClassCreate 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 10 01 00 00 00 89 4E 08 8B 45 08 89 46 04 80 7E 0C 00 75 0C 8B 46 08 8B 40 08 B2 01 8B 08 FF 11 8B C6 8B 10 FF 12 FF 4E 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3844_0 {
	meta:
		name = "TComObject.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000d OleUninitializing 003d CoDisconnectObject 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 3D ?? ?? ?? ?? 00 75 2D 8B 46 08 85 C0 74 0F 80 7E 0C 00 75 09 8B 40 08 33 D2 8B 08 FF 11 83 7E 10 00 7E 11 6A 00 8B C6 85 C0 74 03 83 E8 E4 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3847_0 {
	meta:
		name = "TComObject.SafeCallException"
		size = 440
		refs = "0034 TComObject.SafeCallException 0051 _Dn_Exception 0056 @IsClass 0065 @LStrLAsg 0075 @WStrFromLStr 008b GUIDToString 00c8 TObject.ClassName 00d6 @WStrFromString 0152 HandleSafeCallException 016d @WStrClr 017d @LStrClr 019a @WStrArrayClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FD FF FF 53 56 57 33 DB 89 5D EC 89 5D E4 89 5D E8 89 5D DC 89 5D E0 89 5D D8 89 9D D4 FE FF FF 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 83 7B 14 00 0F 84 BE 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8D 45 F4 8B 56 04 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 50 8D 55 E4 8B 43 08 83 C0 28 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 DC 8B 43 08 8B 08 FF 11 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 F0 50 8D 45 F8 50 8D 95 D8 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 95 D4 FD FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 D4 FD FF FF 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8B 95 D4 FE FF FF 8B 43 14 59 8B 38 FF 57 0C 83 7D F0 00 75 48 8D 55 E4 8B 7B 08 8B C7 8B 08 FF 11 8B 55 E4 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 DC 8B 43 08 8B 40 08 8B 08 FF 51 08 8B 55 DC 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 4F 28 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3848_0 {
	meta:
		name = "TComObject.ObjQueryInterface"
		size = 38
		refs = "0010 TObject.GetInterface"
		altNames = "TComObjectFactory.QueryInterface TContainedObject.QueryInterface TCorbaImplementation.ObjQueryInterface TInterfacedObject.QueryInterface TOleControl.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 4D 10 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 02 40 00 80 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_3849_0 {
	meta:
		name = "TComObject.ObjAddRef"
		size = 19
		refs = "000b InterlockedIncrement"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 10 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_3850_0 {
	meta:
		name = "TComObject.ObjRelease"
		size = 40
		refs = "000d InterlockedDecrement"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 10 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3851_0 {
	meta:
		name = "TComObject.QueryInterface"
		size = 42
	strings:
		$1 = { 55 8B EC 8B 4D 10 8B 55 0C 8B 45 08 83 78 04 00 74 0C 51 52 8B 40 04 50 8B 00 FF 10 EB 08 51 52 50 8B 00 FF 50 08 5D C2 0C 00 }
	condition:
		$1
}

rule function_3852_0 {
	meta:
		name = "TComObject._AddRef"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 04 00 74 0B 8B 40 04 50 8B 00 FF 50 04 EB 06 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_3853_0 {
	meta:
		name = "TComObject._Release"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 04 00 74 0B 8B 40 04 50 8B 00 FF 50 08 EB 06 50 8B 00 FF 50 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_3854_0 {
	meta:
		name = "TComObject.InterfaceSupportsErrorInfo"
		size = 35
		refs = "000d TObject.GetInterfaceEntry"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 55 0C 8B 03 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3855_0 {
	meta:
		name = "TComObjectFactory.Create"
		size = 164
		refs = "000e @ClassCreate 0019 ComClassManager 0020 TComClassManager.AddObjectFactory 0045 @LStrAsg 005c TComObjectFactory.Create 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 89 77 08 8B 45 1C 89 47 0C 8B 45 18 57 8B F0 83 C7 10 B9 04 00 00 00 F3 A5 5F 8D 47 20 8B 55 14 E8 ?? ?? ?? ?? 8D 47 24 8B 55 10 E8 ?? ?? ?? ?? 8A 45 0C 88 47 38 57 BE ?? ?? ?? ?? 83 C7 28 B9 04 00 00 00 F3 A5 5F C6 47 44 01 8A 45 08 88 47 46 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 18 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3856_0 {
	meta:
		name = "TComObjectFactory.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0014 CoRevokeClassObject 0019 ComClassManager 0020 TComClassManager.RemoveObjectFactory 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 85 C0 74 06 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3857_0 {
	meta:
		name = "TComObjectFactory.CreateComObject"
		size = 14
		refs = "0009 TComObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 8B 40 0C B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3858_0 {
	meta:
		name = "TComObjectFactory.GetProgID"
		size = 120
		refs = "000f TComObjectFactory.GetProgID 003d @LStrCatN 0046 @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 20 00 74 24 8D 55 FC 8B 43 08 8B 08 FF 51 14 FF 75 FC 68 ?? ?? ?? ?? FF 73 20 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_3859_0 {
	meta:
		name = "TComObjectFactory.RegisterClassObject"
		size = 74
		refs = "001d SuspendedFlag 0028 RegFlags 003e CoRegisterClassObject 0043 OleCheck"
	strings:
		$1 = { 53 56 8B F0 8A 5E 38 84 DB 74 3C 8D 46 40 50 8B 46 08 8B 10 FF 52 18 83 E0 7F 8B 04 85 ?? ?? ?? ?? 33 D2 8A D3 0B 04 95 ?? ?? ?? ?? 50 6A 04 8B C6 85 C0 74 03 83 E8 B8 50 8D 46 10 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3860_0 {
	meta:
		name = "_NF__211"
		size = 52
	strings:
		$1 = { FF FF FF FF 09 00 00 00 41 70 61 72 74 6D 65 6E 74 00 00 00 FF FF FF FF 04 00 00 00 46 72 65 65 00 00 00 00 FF FF FF FF 04 00 00 00 42 6F 74 68 00 00 00 00 }
	condition:
		$1
}

rule function_3861_0 {
	meta:
		name = "TComObjectFactory.UpdateRegistry"
		size = 576
		refs = "0014 TComObjectFactory.UpdateRegistry 002f GUIDToString 0060 @LStrCatN 0078 @LStrCat3 0085 CreateRegKey 009d AnsiPos 00ac ExtractShortPathName 00b7 @LStrLAsg 00d1 IsLibrary 00e0 ThreadStrs 0172 DeleteRegKey 01cc @LStrArrayClr 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 38 00 0F 84 8E 01 00 00 8D 55 FC 8D 46 10 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 8B 08 FF 11 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 EC 8B 46 08 8B 08 FF 51 10 FF 75 EC 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 84 DB 0F 84 E2 00 00 00 8D 45 EC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 4E 24 33 D2 E8 ?? ?? ?? ?? 8D 55 F0 8B 46 08 8B 08 FF 51 0C 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 16 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8A 46 46 84 C0 74 22 8B 15 ?? ?? ?? ?? 80 3A 00 74 17 83 E0 7F 8B 0C 85 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 BB 00 00 00 8B 4E 24 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 EC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 4D F8 33 D2 E8 ?? ?? ?? ?? EB 68 83 7D F8 00 74 42 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 EC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 EC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 43 4C 53 49 44 5C 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 0E 00 00 00 54 68 72 65 61 64 69 6E 67 4D 6F 64 65 6C 00 00 FF FF FF FF 06 00 00 00 5C 43 6C 73 69 64 00 00 FF FF FF FF 07 00 00 00 5C 50 72 6F 67 49 44 00 }
	condition:
		$1
}

rule function_3862_0 {
	meta:
		name = "TComObjectFactory.GetLicenseString"
		size = 35
		refs = "0012 @WStrAsg 001c @WStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 45 00 74 0D 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3864_0 {
	meta:
		name = "TComObjectFactory.ValidateUserLicense"
		size = 110
		refs = "0011 TComObjectFactory.ValidateUserLicense 0022 @LStrFromWStr 0039 AnsiCompareText 005a @LStrArrayClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 3C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3866_0 {
	meta:
		name = "TComObjectFactory._AddRef"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 8B 40 08 8B 08 FF 51 04 5D C2 04 00 }
	condition:
		$1
}

rule function_3867_0 {
	meta:
		name = "TComObjectFactory._Release"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 8B 40 08 8B 08 FF 51 04 5D C2 04 00 }
	condition:
		$1
}

rule function_3868_0 {
	meta:
		name = "TComObjectFactory.CreateInstance"
		size = 32
		refs = "0018 TComObjectFactory.CreateInstanceLic"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 6A 00 8B 55 10 52 6A 00 8B 55 0C 52 50 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_3869_0 {
	meta:
		name = "TComObjectFactory.LockServer"
		size = 54
		refs = "001a CoLockObjectExternal"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 6A FF 56 8B C3 85 C0 74 03 83 E8 B8 50 E8 ?? ?? ?? ?? 8B F8 F7 DE 1B D2 F7 DA 8B 43 08 8B 08 FF 11 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3870_0 {
	meta:
		name = "TComObjectFactory.GetLicInfo"
		size = 185
		refs = "0012 TComObjectFactory.GetLicInfo 0048 @WStrCmp 0084 @HandleAnyException 008e @DoneExcept 00a3 @WStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 0C 00 00 00 80 7B 45 00 74 1A 8D 55 FC 8B C3 8B 08 FF 51 04 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 89 46 04 80 7B 45 00 74 0F 8B C3 8B 10 FF 52 08 84 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 89 46 08 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BF FF FF 00 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3871_0 {
	meta:
		name = "TComObjectFactory.RequestLicKey"
		size = 54
		refs = "002b @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 8B C3 8B 10 FF 52 08 84 C0 75 07 B8 12 01 04 80 EB 0D 8B 45 10 8B 53 3C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_3872_0 {
	meta:
		name = "TComObjectFactory.CreateInstanceLic"
		size = 472
		refs = "0021 TComObjectFactory.CreateInstanceLic 004b @WStrCmp 008e IsEqualIID 00c8 @HandleAnyException 00da ExceptObject 00e0 _Dn_Exception 00e5 @IsClass 00fe AnsiLastChar 010b @_CToPasStr 011b @PStrCmp 012a @LStrCat 013a SDAXError 013f LoadResString 014a @LStrToPChar 015b MessageBox 0165 @DoneExcept 0186 TObject.Free 019e @LStrClr 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 33 C0 89 85 FC FE FF FF 8B 7D 1C 8B 5D 18 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 0A BB 03 40 00 80 E9 51 01 00 00 33 C0 89 07 8B 45 08 80 78 45 00 74 19 8B C3 33 D2 E8 ?? ?? ?? ?? 74 0E 8B D3 8B 45 08 8B 08 FF 51 0C 84 C0 74 17 8B C3 33 D2 E8 ?? ?? ?? ?? 75 16 8B 45 08 8B 10 FF 52 08 84 C0 75 0A BB 12 01 04 80 E9 0A 01 00 00 85 F6 74 1C 68 ?? ?? ?? ?? 8B 45 14 50 E8 ?? ?? ?? ?? 84 C0 75 0A BB 10 01 04 80 E9 EA 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 08 8B 08 FF 51 10 8B F0 33 C0 5A 59 59 64 89 10 E9 A9 00 00 00 E9 ?? ?? ?? ?? 8B 45 08 80 78 44 00 0F 84 86 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 E8 ?? ?? ?? ?? 8B D8 83 7B 04 00 74 34 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 85 00 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 76 0D 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 10 00 01 00 8D 95 FC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 50 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? EB 1F E8 ?? ?? ?? ?? 57 8B 45 14 50 56 8B 06 FF 50 08 8B D8 83 7E 10 00 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 01 2E 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_3873_0 {
	meta:
		name = "TAggregatedObject.Create"
		size = 110
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TAggregatedObject.Create 0046 @IntfClear 004c @HandleFinally 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3875_0 {
	meta:
		name = "TAggregatedObject.QueryInterface"
		size = 26
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 04 50 8B 00 FF 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_3876_0 {
	meta:
		name = "TAggregatedObject._AddRef"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_3877_0 {
	meta:
		name = "TAggregatedObject._Release"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 8B 00 FF 50 08 5D C2 04 00 }
	condition:
		$1
}

rule function_3879_0 {
	meta:
		name = "TTypedComObject.GetClassInfo"
		size = 39
		refs = "001c @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 08 8B 52 4C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3880_0 {
	meta:
		name = "TTypedComObjectFactory.Create"
		size = 363
		refs = "002a @ClassCreate 0039 TTypedComObjectFactory.Create 0047 @IntfClear 0071 TObject.ClassName 008f STypeInfoMissing 0094 LoadResString 00a1 _DV_EOleError 00a6 Exception.CreateFmt 00ab @RaiseExcept 00c7 OleCheck 00dd @LStrFromWStr 010c TComObjectFactory.Create 0129 @LStrArrayClr 013e @WStrArrayClr 0144 @HandleFinally 0153 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 33 DB 89 9D E4 FE FF FF 89 9D E0 FE FF FF 89 5D F0 89 5D F8 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 4C E8 ?? ?? ?? ?? 50 8B 45 10 50 8D 55 F0 8B C6 8B 08 FF 51 1C 8B 45 F0 50 8B 00 FF 50 18 85 C0 74 48 8D 95 E8 FE FF FF 8B 45 14 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 89 45 E8 C6 45 EC 04 8D 45 E8 50 6A 00 8D 95 E4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F4 50 8D 45 F8 50 6A FF 8B 43 4C 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8D 85 E4 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 50 8D 85 E0 FE FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF 50 8A 45 0C 50 8A 45 08 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_3881_0 {
	meta:
		name = "TTypedComObjectFactory.GetInterfaceTypeInfo"
		size = 166
		refs = "001d OleCheck 0078 @IntfClear"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B EA 8B D8 8D 44 24 04 50 8B 43 4C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 44 24 04 0F B7 70 30 8B 44 24 04 50 8B 43 4C 50 8B 00 FF 50 4C 8B FE 4F 85 FF 7C 58 47 33 F6 8D 44 24 08 50 56 8B 43 4C 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 44 24 08 83 E0 03 3B E8 75 32 8D 44 24 0C 50 56 8B 43 4C 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 50 8B 44 24 10 50 8B 43 4C 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? EB 0C 46 4F 75 AB 8B 04 24 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3882_0 {
	meta:
		name = "TTypedComObjectFactory.UpdateRegistry"
		size = 472
		refs = "001e TTypedComObjectFactory.UpdateRegistry 002f GUIDToString 003f @LStrCat3 0050 TComObjectFactory.UpdateRegistry 006d OleCheck 00ad Format 00cc CreateRegKey 0116 @HandleFinally 0130 DeleteRegKey 0166 @LStrClr 0176 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D F0 89 4D DC 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8D 46 10 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 0F 84 D1 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 08 8B 08 FF 51 1C 8D 45 F4 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 F4 0F B7 40 18 89 45 E0 C6 45 E4 00 8B 45 F4 0F B7 40 1A 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 DC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 33 D2 59 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 DC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 33 D2 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 30 C3 E9 ?? ?? ?? ?? EB EB 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 43 4C 53 49 44 5C 00 00 FF FF FF FF 05 00 00 00 25 64 2E 25 64 00 00 00 FF FF FF FF 08 00 00 00 5C 56 65 72 73 69 6F 6E 00 00 00 00 FF FF FF FF 08 00 00 00 5C 54 79 70 65 4C 69 62 00 00 00 00 }
	condition:
		$1
}

rule function_3883_0 {
	meta:
		name = "TAutoObject.EventConnect"
		size = 96
		refs = "000e @IntfClear 0020 OleCheck 0030 _DV_TDispatchSilencer 0035 TDispatchSilencer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 42 8D 43 24 E8 ?? ?? ?? ?? 50 8B 43 28 83 C0 58 50 56 8B 06 FF 10 E8 ?? ?? ?? ?? 8B 43 28 83 C0 58 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E0 8B C3 8B 08 FF 51 20 5E 5B C3 8D 43 24 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 5E 5B C3 }
	condition:
		$1
}

rule function_3885_0 {
	meta:
		name = "TAutoObject.Initialize"
		size = 29
		refs = "0008 _DV_TAutoObjectFactory 000d @AsClass 0017 TComObject.Initialize"
	strings:
		$1 = { 53 8B D8 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3886_0 {
	meta:
		name = "TAutoObject.GetIDsOfNames"
		size = 34
		refs = "001a DispGetIDsOfNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 14 52 8B 55 10 52 8B 40 28 8B 40 50 50 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_3887_0 {
	meta:
		name = "TAutoObject.GetTypeInfo"
		size = 49
		refs = "0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 14 8B 5D 08 33 C0 89 06 83 7D 0C 00 74 07 B8 0B 00 02 80 EB 0F 8B C6 8B 53 08 8B 52 50 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_3888_0 {
	meta:
		name = "TAutoIntfObject.GetTypeInfoCount"
		size = 18
		altNames = "TAutoObject.GetTypeInfoCount TCorbaImplementation.GetTypeInfoCount"
	strings:
		$1 = { 55 8B EC 8B 45 0C C7 00 01 00 00 00 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_3889_0 {
	meta:
		name = "TAutoObject.Invoke"
		size = 66
	strings:
		$1 = { 55 8B EC 53 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 5D 28 53 8B 5D 24 53 8B 5D 20 53 8B 5D 1C 53 52 8B 55 0C 52 8B 48 08 8B 51 54 8B 52 14 03 D0 52 8B 41 50 50 8B 00 FF 50 2C 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_3890_0 {
	meta:
		name = "TAutoObjectFactory.Create"
		size = 476
		refs = "001f @ClassCreate 002f TAutoObjectFactory.Create 004b TTypedComObjectFactory.Create 005a TTypedComObjectFactory.GetInterfaceTypeInfo 0065 @IntfCopy 0078 TObject.ClassName 0096 SBadTypeInfo 009b LoadResString 00a8 _DV_EOleError 00ad Exception.CreateFmt 00b2 @RaiseExcept 00c4 OleCheck 0111 SDispIntfMissing 01a6 @LStrClr 01ae @IntfClear 01b4 @HandleFinally 01c3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 DB 89 5D F4 89 9D E8 FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 10 50 8A 45 0C 50 8A 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 46 50 E8 ?? ?? ?? ?? 83 7E 50 00 75 47 8D 95 EC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 89 45 EC C6 45 F0 04 8D 45 EC 50 6A 00 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 46 50 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 8B D0 8B C6 8B 08 FF 51 18 89 46 54 8B 45 F8 50 8B 46 50 50 8B 00 FF 50 4C 83 7E 54 00 75 47 8D 95 EC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 89 45 EC C6 45 F0 04 8D 45 EC 50 6A 00 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 54 56 8D 7E 28 8B F0 B9 04 00 00 00 F3 A5 5E 8D 4D F4 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 46 68 E8 ?? ?? ?? ?? 83 7E 68 00 74 30 8D 45 F8 50 8B 46 68 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 56 8D 7E 58 8B F0 B9 04 00 00 00 F3 A5 5E 8B 45 F8 50 8B 46 68 50 8B 00 FF 50 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_3891_0 {
	meta:
		name = "TAutoObjectFactory.GetIntfEntry"
		size = 33
		refs = "0017 TObject.GetInterfaceEntry"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D4 8B 40 0C E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_3892_0 {
	meta:
		name = "TAutoIntfObject.Create"
		size = 95
		refs = "000f @ClassCreate 0021 @IntfClear 002e OleCheck 0037 TObject.GetInterfaceEntry 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8D 43 0C E8 ?? ?? ?? ?? 50 56 57 8B 07 FF 50 18 E8 ?? ?? ?? ?? 8B D6 8B 03 E8 ?? ?? ?? ?? 89 43 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3893_0 {
	meta:
		name = "TAutoIntfObject.GetIDsOfNames"
		size = 31
		refs = "0017 DispGetIDsOfNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 14 52 8B 55 10 52 8B 40 0C 50 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_3894_0 {
	meta:
		name = "TAutoIntfObject.GetTypeInfo"
		size = 46
		refs = "0022 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 14 8B 5D 08 33 C0 89 06 83 7D 0C 00 74 07 B8 0B 00 02 80 EB 0C 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_3896_0 {
	meta:
		name = "TAutoIntfObject.Invoke"
		size = 61
	strings:
		$1 = { 55 8B EC 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 4D 28 51 8B 4D 24 51 8B 4D 20 51 8B 4D 1C 51 52 8B 55 0C 52 8B 50 10 8B 52 14 03 D0 52 8B 40 0C 50 8B 00 FF 50 2C 5D C2 24 00 }
	condition:
		$1
}

rule function_3897_0 {
	meta:
		name = "TAutoIntfObject.InterfaceSupportsErrorInfo"
		size = 38
		refs = "0010 IsEqualGUID"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 50 8D 43 14 50 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3898_0 {
	meta:
		name = "TAutoIntfObject.SafeCallException"
		size = 15
		refs = "000a HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 83 C0 14 91 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3899_0 {
	meta:
		name = "TrimPunctuation"
		size = 77
		refs = "000b @LStrLAsg 0012 AnsiLastChar 001d @LStrToPChar 0028 @LStrSetLength 0038 @LStrLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F0 EB 1B 8B 03 E8 ?? ?? ?? ?? 8B D6 2B D0 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 0A 8A 06 2C 21 72 D4 2C 0D 74 D0 5E 5B C3 }
	condition:
		$1
}

rule function_3900_0 {
	meta:
		name = "EOleSysError.Create"
		size = 208
		refs = "0019 @ClassCreate 002b EOleSysError.Create 003b @LStrLAsg 004b SysErrorMessage 005b SOleError 0060 LoadResString 0075 FmtStr 0085 Exception.CreateHelp 00a2 @LStrArrayClr 00a8 @HandleFinally 00b7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 83 7D F8 00 75 34 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 24 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 75 EC C6 45 F0 00 8D 4D EC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3901_0 {
	meta:
		name = "EOleException.Create"
		size = 152
		refs = "0010 @ClassCreate 001e EOleException.Create 0036 TrimPunctuation 0042 EOleSysError.Create 004d @LStrAsg 006d @LStrClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 10 8B 55 10 E8 ?? ?? ?? ?? 8D 47 14 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_3902_0 {
	meta:
		name = "OleError"
		size = 27
		refs = "000b _DV_EOleSysError 0010 EOleSysError.Create 0015 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 53 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3903_0 {
	meta:
		name = "OleCheck"
		size = 23
		refs = "0006 Succeeded 0011 OleError"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3904_0 {
	meta:
		name = "StringToGUID"
		size = 89
		refs = "000f StringToGUID 0020 @WStrFromLStr 0028 @WStrToPWChar 002e CLSIDFromString 0033 OleCheck 0048 @WStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3906_0 {
	meta:
		name = "ProgIDToClassID"
		size = 89
		refs = "000f ProgIDToClassID 0020 @WStrFromLStr 0028 @WStrToPWChar 002e CLSIDFromProgID 0033 OleCheck 0048 @WStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3905_0 {
	meta:
		name = "GUIDToString"
		size = 42
		refs = "000a StringFromCLSID 000f OleCheck 0019 @LStrFromPWChar 0022 CoTaskMemFree"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3907_0 {
	meta:
		name = "ClassIDToProgID"
		size = 42
		refs = "000a ProgIDFromCLSID 000f OleCheck 0019 @LStrFromPWChar 0022 CoTaskMemFree"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3908_0 {
	meta:
		name = "CreateRegKey"
		size = 208
		refs = "0018 CreateRegKey 003d @LStrToPChar 0048 RegCreateKeyEx 0055 @LStrLen 0074 RegSetValueEx 007f RegCloseKey 008b SCreateRegKeyError 0090 LoadResString 009a _DV_EOleError 009f Exception.Create 00a4 @RaiseExcept 00b9 @LStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 FC 50 6A 00 68 1F 00 02 00 6A 00 68 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 00 00 00 80 E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B C6 E8 ?? ?? ?? ?? 40 50 8B C6 E8 ?? ?? ?? ?? 50 6A 01 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 50 E8 ?? ?? ?? ?? 85 DB 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_3909_0 {
	meta:
		name = "DeleteRegKey"
		size = 23
		refs = "0006 @LStrToPChar 0011 RegDeleteKey"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 68 00 00 00 80 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3910_0 {
	meta:
		name = "CreateComObject"
		size = 56
		refs = "0009 @IntfClear 000f CreateComObject 0019 CoCreateInstance 001e OleCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3911_0 {
	meta:
		name = "CreateRemoteComObject"
		size = 368
		refs = "001c tagMULTI_QI 0021 @InitializeRecord 0029 CreateRemoteComObject 0035 CoCreateInstanceEx 0040 SDCOMNotInstalled 0045 LoadResString 004f _Dn_Exception 0054 Exception.Create 0059 @RaiseExcept 0068 @FillChar 006f @WStrToPWChar 0093 @IntfClear 009f @WStrLen 00b7 GetComputerName 00c5 @LStrFromWStr 00d9 @LStrFromArray 00e2 AnsiCompareText 0112 OleCheck 0124 @IntfCopy 013e @LStrArrayClr 014c @FinalizeRecord 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D BC 89 5D B8 8B F9 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 21 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 56 57 BE ?? ?? ?? ?? 8D 7D D0 B9 04 00 00 00 F3 A5 5F 5E 8D 45 D0 89 45 F0 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 51 C7 45 FC 10 00 00 00 8D 45 FC 50 8D 45 C0 50 E8 ?? ?? ?? ?? 85 C0 74 32 8D 45 BC 8B D3 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 45 B8 8D 55 C0 B9 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 5A E8 ?? ?? ?? ?? 85 C0 75 07 BB 15 00 00 00 EB 0C BB 10 00 00 00 EB 05 BB 15 00 00 00 8D 45 F0 50 6A 01 8D 45 E0 50 53 6A 00 56 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3912_0 {
	meta:
		name = "CreateOleObject"
		size = 72
		refs = "000e ProgIDToClassID 0015 @IntfClear 001b CreateOleObject 0029 CoCreateInstance 002e OleCheck"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 8D 44 24 10 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3913_0 {
	meta:
		name = "GetActiveOleObject"
		size = 144
		refs = "0015 GetActiveOleObject 0025 ProgIDToClassID 002d @IntfClear 0039 GetActiveObject 003e OleCheck 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8D 45 EC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_3914_0 {
	meta:
		name = "StringToLPOLESTR"
		size = 48
		refs = "0009 @LStrLen 0018 CoTaskMemAlloc 0025 StringToWideChar"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 8D 6B 01 8B C5 03 C0 50 E8 ?? ?? ?? ?? 8B F0 8B CD 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3915_0 {
	meta:
		name = "CreateClassID"
		size = 51
		refs = "000c CoCreateGuid 0017 StringFromCLSID 0021 @LStrFromPWChar 002a CoTaskMemFree"
	strings:
		$1 = { 53 83 C4 EC 8B D8 8D 44 24 04 50 E8 ?? ?? ?? ?? 54 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_3916_0 {
	meta:
		name = "RegisterComServer"
		size = 256
		refs = "0012 RegisterComServer 001f @LStrToPChar 0025 LoadLibrary 0033 GetLastError 003b SysErrorMessage 005e _Dn_Exception 0063 Exception.CreateFmt 0068 @RaiseExcept 0084 GetProcAddress 0091 OleCheck 0098 RaiseLastWin32Error 00ae FreeLibrary 00b4 @HandleFinally 00cb @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 20 77 3A E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 0B 89 5D F4 C6 45 F8 0B 8D 45 EC 50 6A 01 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 FF D3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 25 73 3A 20 25 73 00 00 44 6C 6C 52 65 67 69 73 74 65 72 53 65 72 76 65 72 00 00 00 }
	condition:
		$1
}

rule function_3917_0 {
	meta:
		name = "InterfaceConnect"
		size = 172
		refs = "001a InterfaceConnect 002c @IntfClear 003c Succeeded 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 E8 ?? ?? ?? ?? 84 C0 74 2A 8D 45 F4 E8 ?? ?? ?? ?? 50 57 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 84 C0 74 0E 53 8B 45 FC 50 8B 45 F4 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_3918_0 {
	meta:
		name = "InterfaceDisconnect"
		size = 176
		refs = "0014 InterfaceDisconnect 0027 @IntfClear 0037 Succeeded 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 74 51 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 E8 ?? ?? ?? ?? 84 C0 74 35 8D 45 F8 E8 ?? ?? ?? ?? 50 57 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 84 C0 74 19 8B 03 50 8B 45 F8 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_3919_0 {
	meta:
		name = "LoadComExProcs"
		size = 260
		refs = "0002 LoadComExProcs 0007 GetModuleHandle 0018 GetProcAddress 001d CoCreateInstanceEx 002d CoInitializeEx 003d CoAddRefServerProcess 004d CoReleaseServerProcess 005d CoResumeClassObjects 006d CoSuspendClassObjects"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 60 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 6F 6C 65 33 32 2E 64 6C 6C 00 00 00 43 6F 43 72 65 61 74 65 49 6E 73 74 61 6E 63 65 45 78 00 00 43 6F 49 6E 69 74 69 61 6C 69 7A 65 45 78 00 00 43 6F 41 64 64 52 65 66 53 65 72 76 65 72 50 72 6F 63 65 73 73 00 00 00 43 6F 52 65 6C 65 61 73 65 53 65 72 76 65 72 50 72 6F 63 65 73 73 00 00 43 6F 52 65 73 75 6D 65 43 6C 61 73 73 4F 62 6A 65 63 74 73 00 00 00 00 43 6F 53 75 73 70 65 6E 64 43 6C 61 73 73 4F 62 6A 65 63 74 73 00 00 00 }
	condition:
		$1
}

rule function_3920_0 {
	meta:
		name = "SafeCallError"
		size = 253
		refs = "0017 SafeCallError 002a @IntfClear 0032 GetErrorInfo 003e @WStrClr 0086 @LStrFromWStr 00b2 _DV_EOleException 00b7 EOleException.Create 00bc @RaiseExcept 00d6 @LStrArrayClr 00e3 @WStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 85 C0 75 43 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 18 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 1C 56 53 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 E4 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 EC 50 8D 45 E0 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3921_0 {
	meta:
		name = "DispatchInvoke"
		size = 764
		refs = "0019 tagEXCEPINFO 001e @InitializeRecord 0026 DispatchInvoke 00b7 StringToOleStr 012e @VarCast 0260 GUID_NULL 0277 DispatchInvokeError 029a OleStrToStrVar 02c0 SysFreeString 02ca @HandleFinally 02e7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 B0 F9 FF FF 53 56 57 89 4D F8 8B F2 89 45 FC 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C0 8A 46 01 89 45 F0 83 7D F0 00 0F 84 8D 01 00 00 8B 45 0C 89 45 E8 8B 45 F0 03 C0 8D BC C5 B0 F9 FF FF 33 DB 83 EF 10 8A 44 1E 03 8B D0 80 E2 7F 81 E2 FF 00 00 00 89 55 F4 24 80 83 7D F4 0A 75 12 C7 07 0A 00 00 00 C7 47 08 04 00 02 80 E9 40 01 00 00 83 7D F4 48 75 68 8B 55 EC 8D 94 D5 B0 FD FF FF 89 55 E4 84 C0 74 2A 8B 45 E8 8B 00 8B 00 E8 ?? ?? ?? ?? 8B 55 E4 89 02 8B 45 E8 8B 00 8B 55 E4 89 42 04 C7 07 08 40 00 00 8B 45 E4 89 47 08 EB 25 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 8B 55 E4 89 02 8B 45 E4 33 D2 89 50 04 C7 07 08 00 00 00 8B 45 E4 8B 00 89 47 08 FF 45 EC E9 CE 00 00 00 84 C0 74 3F 83 7D F4 0C 75 22 8B 45 E8 8B 00 66 81 38 00 01 75 16 8B 45 E8 8B 00 8B D0 8B 45 E8 8B 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 0D 00 40 00 00 89 07 8B 45 E8 8B 00 89 47 08 E9 8B 00 00 00 83 7D F4 0C 75 60 8B 45 E8 66 81 38 00 01 75 3A 8B 45 EC 8D 84 C5 B0 FD FF FF 89 45 E0 8B 45 E8 8B 00 8B 40 08 E8 ?? ?? ?? ?? 8B 55 E0 89 02 8B 45 E0 33 D2 89 50 04 C7 07 08 00 00 00 8B 45 E0 8B 00 89 47 08 FF 45 EC EB 41 8B 10 89 17 8B 50 04 89 57 04 8B 50 08 89 57 08 8B 40 0C 89 47 0C 83 45 E8 0C EB 25 8B 45 F4 89 07 8B 45 E8 8B 00 89 47 08 83 7D F4 05 7C 12 83 7D F4 07 7F 0C 83 45 E8 04 8B 45 E8 8B 00 89 47 0C 83 45 E8 04 43 3B 5D F0 0F 85 87 FE FF FF 8D 85 B0 F9 FF FF 89 45 D0 8B 45 F8 83 C0 04 89 45 D4 8B 45 F0 89 45 D8 33 C0 8A 46 02 89 45 DC 8B 45 F8 8B 10 33 C0 8A 06 83 F8 04 75 28 8B 8D B0 F9 FF FF 81 E1 FF 0F 00 00 83 F9 09 75 05 B8 08 00 00 00 8B 4D F8 C7 01 FD FF FF FF 83 6D D4 04 FF 45 DC EB 16 83 F8 01 75 11 83 7D F0 00 75 0B 83 7D 08 00 74 05 B8 03 00 00 00 6A 00 8D 4D B0 51 8B 4D 08 51 8D 4D D0 51 50 6A 00 A1 ?? ?? ?? ?? 50 52 8B 45 FC 50 8B 00 FF 50 18 85 C0 74 08 8D 55 B0 E8 ?? ?? ?? ?? 8B 5D EC 85 DB 74 20 4B 8D 84 DD B0 FD FF FF 8B 50 04 85 D2 74 0D 8B 08 8B C2 8B D0 8B C1 E8 ?? ?? ?? ?? 85 DB 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 5D EC 85 DB 74 12 4B 8B 84 DD B0 FD FF FF 50 E8 ?? ?? ?? ?? 85 DB 75 EE C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3922_0 {
	meta:
		name = "RaiseNameException"
		size = 110
		refs = "000f RaiseNameException 0030 SNoMethod 0035 LoadResString 003f _DV_EOleError 0044 Exception.CreateFmt 0049 @RaiseExcept 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 89 45 F8 C6 45 FC 06 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_3923_0 {
	meta:
		name = "GetIDsOfNames"
		size = 221
		refs = "002b StrLen 003c MultiByteToWideChar 00a0 GetThreadLocale 00ae GUID_NULL 00c5 RaiseNameException 00cd OleCheck"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 FC 89 45 E4 8B 5D FC 33 FF 89 65 F8 8B 45 F4 40 C1 E0 02 29 C4 8D 45 F0 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 00 56 53 6A 00 6A 00 E8 ?? ?? ?? ?? 40 89 45 EC 8B 45 EC 01 C0 83 C0 03 83 E0 FC 29 C4 8D 45 E8 89 20 85 FF 75 0A 8B 45 F0 8B 55 E8 89 10 EB 0E 8B 45 F4 2B C7 8B 55 F0 8B 4D E8 89 0C 82 8B 45 EC 50 8B 45 E8 50 56 53 6A 00 6A 00 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 EC 66 C7 44 50 FE 00 00 46 03 DE 47 3B 7D F4 75 8D 8B 45 08 50 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 45 F0 50 A1 ?? ?? ?? ?? 50 8B 45 E4 50 8B 00 FF 50 14 3D 06 00 02 80 75 09 55 E8 ?? ?? ?? ?? 59 EB 05 E8 ?? ?? ?? ?? 8B 65 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3925_0 {
	meta:
		name = "VarDispInvoke"
		size = 127
		refs = "0037 RaiseException 0055 GetIDsOfNames 0060 @VarClear 0075 DispatchInvoke"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 8B 5D 10 8B 45 0C 8B 75 08 66 8B 10 66 83 FA 09 75 08 8B 40 08 89 45 FC EB 16 66 81 FA 09 40 75 0A 8B 40 08 8B 00 89 45 FC EB 05 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 50 33 C9 8A 4B 02 41 33 C0 8A 43 01 8D 54 03 03 8B 45 FC E8 ?? ?? ?? ?? 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 8D 45 14 50 56 8D 8D FC FE FF FF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3926_0 {
	meta:
		name = "DispCallError"
		size = 212
		refs = "0016 DispCallError 0032 @LStrFromWStr 005e _DV_EOleException 0063 EOleException.Create 0073 tagEXCEPINFO 0078 @Finalize 0086 _DV_EOleSysError 008b EOleSysError.Create 009d @RaiseExcept 00c0 @LStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3D 09 00 02 80 75 57 8B 43 1C 50 8D 45 F8 8B 53 04 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 53 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 10 50 8D 45 F0 8B 53 08 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7D 08 00 74 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 50 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 7D FC 00 74 0C FF 75 FC 8B C6 E9 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3927_0 {
	meta:
		name = "DispatchInvokeError"
		size = 10
		refs = "0005 DispCallError"
	strings:
		$1 = { 6A 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3928_0 {
	meta:
		name = "ClearExcepInfo"
		size = 13
		refs = "0008 @FillChar"
	strings:
		$1 = { 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3929_0 {
	meta:
		name = "DispCall"
		size = 232
		refs = "00ab ClearExcepInfo 00bb GUID_NULL 00d9 DispCallError"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 5D 0C 31 D2 89 E7 0F B6 4B 01 89 4D F8 85 C9 74 4F 83 C3 03 8B 75 18 0F B6 03 A8 80 75 2B 80 F8 0C 74 16 80 F8 05 72 29 80 F8 07 77 24 FF 76 04 FF 36 52 50 83 C6 08 EB 20 FF 76 0C FF 76 08 FF 76 04 FF 36 83 C6 10 EB 10 80 E0 7F 0D 00 40 00 00 52 FF 36 52 50 83 C6 04 43 49 75 BA 8B 5D 0C 89 65 F0 0F B6 43 02 89 45 FC 85 C0 74 0A 8B 75 14 FF 74 86 FC 48 75 F9 0F B6 0B 83 F9 04 75 16 6A FD FF 45 FC 80 7B 03 09 74 06 80 7B 03 0D 75 05 B9 08 00 00 00 89 65 F4 52 8D 45 D0 50 51 52 E8 ?? ?? ?? ?? 5A 59 FF 75 1C 8D 45 F0 50 51 52 68 ?? ?? ?? ?? FF 75 10 8B 45 08 50 8B 00 FF 50 18 85 C0 74 0E 8D 55 D0 B1 01 51 8B 4D 04 E9 ?? ?? ?? ?? 89 FC 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_3930_0 {
	meta:
		name = "DispCallByID"
		size = 220
		refs = "001f DispCall 002d DispCallByID 008f SysFreeString 00b2 @VarClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 31 C0 50 50 50 50 89 E0 50 8D 45 14 50 50 FF 33 8D 43 05 50 FF 75 0C E8 ?? ?? ?? ?? 0F B6 43 04 8B 5D 08 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D9 44 24 08 EB 5B DD 44 24 08 EB 55 DF 6C 24 08 EB 4F 8B 03 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 44 24 08 89 03 EB 3B 8B 03 85 C0 74 06 50 8B 00 FF 50 08 8B 44 24 08 89 03 EB 27 89 D8 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 8B 44 24 08 89 43 08 8B 44 24 0C 89 43 0C EB 04 8B 44 24 08 83 C4 10 5B 5D C3 }
	condition:
		$1
}

rule function_3932_0 {
	meta:
		name = "InitComObj"
		size = 109
		refs = "0002 SaveInitProc 0011 CoInitFlags 001a CoInitializeEx 0030 Succeeded 0035 NeedToUninitialize 003a IsMultiThread 005e CoInitialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 74 43 83 3D ?? ?? ?? ?? 00 74 3A A1 ?? ?? ?? ?? 50 6A 00 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 0D F6 05 ?? ?? ?? ?? 02 75 04 33 C0 EB 02 B0 01 8B 15 ?? ?? ?? ?? 88 02 C3 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3933_0 {
	meta:
		name = "Finalization"
		size = 127
		refs = "0007 Finalization 0013 _DV_51 001b OleUninitializing 0021 ComClassManagerVar 0026 TObject.Free 002b SafeCallErrorProc 0034 DispCallByIDProc 003d VarDispProc 0047 NeedToUninitialize 004f CoUninitialize 0054 ThreadStrs 005f String 0064 @FinalizeArray 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 4F C6 05 ?? ?? ?? ?? 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 80 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3934_0 {
	meta:
		name = "ComObj"
		size = 81
		refs = "0002 _DV_51 000a LoadComExProcs 000f VarDispProc 0015 VarDispInvoke 001a DispCallByIDProc 0020 DispCallByID 0025 SafeCallErrorProc 002b SafeCallError 0030 IsLibrary 003a InitProc 0041 SaveInitProc 004c InitComObj"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 47 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 17 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3935_0 {
	meta:
		name = "GetModuleFileName"
		size = 51
		refs = "0014 HInstance 001c GetModuleFileName 0027 @LStrFromPCharLen"
	strings:
		$1 = { 53 81 C4 F8 FE FF FF 8B D8 68 06 01 00 00 8D 44 24 04 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_3936_0 {
	meta:
		name = "GetModuleName"
		size = 94
		refs = "000e GetModuleName 001c GetModuleFileName 0027 ExtractFileName 0033 ChangeFileExt 004d @LStrArrayClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B CB 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3937_0 {
	meta:
		name = "LoadTypeLibrary"
		size = 96
		refs = "000f LoadTypeLibrary 001c @IntfClear 0027 @WStrFromLStr 002f @WStrToPWChar 0035 LoadTypeLib 003a OleCheck 004f @WStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3938_0 {
	meta:
		name = "RegisterTypeLibrary"
		size = 155
		refs = "0013 @IntfAddRef 001b RegisterTypeLibrary 002b @WStrFromLStr 0035 ExtractFilePath 0048 @WStrToPWChar 005b RegisterTypeLib 0060 OleCheck 0075 @LStrClr 0082 @WStrArrayClr 008a @IntfClear 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3939_0 {
	meta:
		name = "UnregisterTypeLibrary"
		size = 216
		refs = "0011 UnregisterTypeLibrary 0021 GetModuleHandle 0032 GetProcAddress 0047 ComServer 005a OleCheck 00a2 @IntfClear 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 66 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 75 FC 85 F6 74 52 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? 8B 08 FF 51 1C 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F8 8B 50 14 52 8B 50 10 52 66 8B 50 1A 52 66 8B 50 18 52 50 FF 55 FC 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? 8B 08 FF 51 1C 8B 45 F4 50 8B 00 FF 50 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 4F 4C 45 41 55 54 33 32 2E 44 4C 4C 00 00 00 00 55 6E 52 65 67 69 73 74 65 72 54 79 70 65 4C 69 62 00 00 00 }
	condition:
		$1
}

rule function_3940_0 {
	meta:
		name = "GetTypeLibName"
		size = 117
		refs = "0015 @IntfAddRef 001d GetTypeLibName 003d OleCheck 0047 @LStrFromWStr 005c @WStrClr 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 F8 50 6A FF 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3941_0 {
	meta:
		name = "DllGetClassObject"
		size = 69
		refs = "0009 ComClassManager 0011 TComClassManager.GetFactoryFromClassID 0023 TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1B 8B CE 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 10 B8 02 40 00 80 EB 09 33 C0 89 06 B8 11 01 04 80 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_3942_0 {
	meta:
		name = "DllCanUnloadNow"
		size = 40
		refs = "0002 ComServer"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 16 A1 ?? ?? ?? ?? 83 78 04 00 75 0E A1 ?? ?? ?? ?? 83 78 08 00 75 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_3943_0 {
	meta:
		name = "DllRegisterServer"
		size = 66
		refs = "000c DllRegisterServer 0019 ComServer 001e TComServer.UpdateRegistry 002d @HandleAnyException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 05 40 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_3944_0 {
	meta:
		name = "DllUnregisterServer"
		size = 66
		refs = "000c DllUnregisterServer 0019 ComServer 001e TComServer.UpdateRegistry 002d @HandleAnyException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 05 40 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_3945_0 {
	meta:
		name = "AutomationTerminateProc"
		size = 175
		refs = "000e AutomationTerminateProc 001c ComServer 0037 SAutomationWarning 003c LoadResString 0044 @LStrToPChar 004d SNoCloseActiveServer1 005e SNoCloseActiveServer2 006c @LStrCat 007c MessageBox 009c @LStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 3D ?? ?? ?? ?? 00 74 63 A1 ?? ?? ?? ?? 83 78 04 00 7E 58 68 34 21 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 F8 06 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3946_0 {
	meta:
		name = "FindSwitch"
		size = 48
		refs = "0003 FindSwitch 0008 FindCmdLineSwitch"
	strings:
		$1 = { B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3947_0 {
	meta:
		name = "TComServer.Create"
		size = 216
		refs = "000a @ClassCreate 0016 @IntfClear 001b ModuleIsLib 0025 TComServer.Create 002a FindSwitch 0073 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 00 88 46 18 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 46 19 01 EB 26 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 46 19 02 EB 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 C6 46 19 03 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 FF FF FF FF 0A 00 00 00 41 55 54 4F 4D 41 54 49 4F 4E 00 00 FF FF FF FF 09 00 00 00 45 4D 42 45 44 44 49 4E 47 00 00 00 FF FF FF FF 09 00 00 00 52 45 47 53 45 52 56 45 52 00 00 00 FF FF FF FF 0B 00 00 00 55 4E 52 45 47 53 45 52 56 45 52 00 }
	condition:
		$1
}

rule function_3948_0 {
	meta:
		name = "TComServer.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000d TComServer.FactoryFree 0012 ComClassManager 0019 TComClassManager.ForEachFactory 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3949_0 {
	meta:
		name = "TComServer.CountObject"
		size = 123
		refs = "000d InterlockedIncrement 0020 CoAddRefServerProcess 0039 InterlockedDecrement 004c CoReleaseServerProcess 0065 TComServer.LastReleased"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 2C 8D 43 04 50 E8 ?? ?? ?? ?? 8B F0 80 7B 18 00 75 5D 80 7B 19 01 75 57 A1 ?? ?? ?? ?? 83 38 00 74 4D A1 ?? ?? ?? ?? 8B 00 FF D0 EB 42 8D 43 04 50 E8 ?? ?? ?? ?? 8B F0 80 7B 18 00 75 26 80 7B 19 01 75 20 A1 ?? ?? ?? ?? 83 38 00 74 16 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 75 14 8B C3 E8 ?? ?? ?? ?? EB 0B 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3950_0 {
	meta:
		name = "TComServer.CountFactory"
		size = 24
		refs = "0009 InterlockedIncrement 0013 InterlockedDecrement"
	strings:
		$1 = { 84 D2 74 0A 83 C0 08 50 E8 ?? ?? ?? ?? C3 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3951_0 {
	meta:
		name = "TComServer.FactoryFree"
		size = 8
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3952_0 {
	meta:
		name = "TComServer.FactoryRegisterClassObject"
		size = 8
		refs = "0003 TComObjectFactory.RegisterClassObject"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13278_0 {
	meta:
		name = "TCustomDataStore.SetCapacity"
		size = 8
		refs = "0003 SetMemoryCapacity"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5573_0 {
	meta:
		name = "TDataSet.FreeBookmark"
		size = 8
		refs = "0003 @FreeMem"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18754_0 {
	meta:
		name = "TTabSet.ReadBoolData"
		size = 8
		refs = "0003 TReader.ReadBoolean"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18753_0 {
	meta:
		name = "TTabSet.ReadIntData"
		size = 8
		refs = "0003 TReader.ReadInteger"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3953_0 {
	meta:
		name = "TComServer.FactoryUpdateRegistry"
		size = 21
	strings:
		$1 = { 56 8B F0 80 7A 38 00 74 0A 8B C2 8A 56 1B 8B 08 FF 51 14 5E C3 }
	condition:
		$1
}

rule function_3955_0 {
	meta:
		name = "TComServer.GetServerFileName"
		size = 12
		refs = "0006 GetModuleFileName"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19177_0 {
	meta:
		name = "TChartSeries.GetEditorClass"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9949_0 {
	meta:
		name = "TCustomContentProducer.Content"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15840_0 {
	meta:
		name = "TQRAbstractExportFilter.GetDescription"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15841_0 {
	meta:
		name = "TQRAbstractExportFilter.GetExtension"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16481_0 {
	meta:
		name = "TQRControllerBand.LocalVarExpression"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16197_0 {
	meta:
		name = "TQRExportFilter.GetExtension"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16638_0 {
	meta:
		name = "TQRPrintableEditor.GetControlName"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16635_0 {
	meta:
		name = "TQRPrintableEditor.GetGlyphResName"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16637_0 {
	meta:
		name = "TQRPrintableEditor.GetValue"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3956_0 {
	meta:
		name = "TComServer.GetServerKey"
		size = 88
		refs = "000c TComServer.GetServerKey 0011 @LStrLAsg"
	strings:
		$1 = { 53 8B DA 80 78 18 00 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 0E 00 00 00 49 6E 70 72 6F 63 53 65 72 76 65 72 33 32 00 00 FF FF FF FF 0D 00 00 00 4C 6F 63 61 6C 53 65 72 76 65 72 33 32 00 00 00 }
	condition:
		$1
}

rule function_3957_0 {
	meta:
		name = "TComServer.GetServerName"
		size = 53
		refs = "0012 @LStrLAsg 0025 GetTypeLibName 002e GetModuleName"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 74 0D 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 0C 00 74 0C 8B D6 8B 43 0C E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3958_0 {
	meta:
		name = "TComServer.SetServerName"
		size = 25
		refs = "0012 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 75 0A 8D 43 10 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3959_0 {
	meta:
		name = "TComServer.GetTypeLib"
		size = 26
		refs = "0009 TComServer.LoadTypeLib 0013 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3960_0 {
	meta:
		name = "TComServer.Initialize"
		size = 51
		refs = "000d TComServer.UpdateRegistry 001b @Halt0 0021 TComServer.FactoryRegisterClassObject 0026 ComClassManager 002d TComClassManager.ForEachFactory"
	strings:
		$1 = { 53 8B D8 80 7B 19 03 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8A 43 19 04 FE 2C 02 73 05 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3961_0 {
	meta:
		name = "TComServer.LastReleased"
		size = 101
		refs = "0017 TComServer.LastReleased 004d MainThreadID 0055 PostThreadMessage 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 80 78 18 00 75 56 80 78 19 01 0F 94 45 FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 78 1E 00 74 0B 8D 55 FF 8B D8 8B 43 20 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FF 00 74 13 6A 00 6A 00 6A 12 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5B 59 5D C3 }
	condition:
		$1
}

rule function_3962_0 {
	meta:
		name = "TComServer.LoadTypeLib"
		size = 107
		refs = "000e TComServer.LoadTypeLib 0022 GetModuleFileName 002d LoadTypeLibrary 003a InterlockedExchange 0052 @LStrClr 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 23 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 43 0C 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3963_0 {
	meta:
		name = "TComServer.UpdateRegistry"
		size = 119
		refs = "000f TComServer.UpdateRegistry 0027 GetModuleFileName 0032 RegisterTypeLibrary 003c UnregisterTypeLibrary 0045 TComServer.FactoryUpdateRegistry 004a ComClassManager 0051 TComClassManager.ForEachFactory 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 0C 00 74 21 84 DB 74 15 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? EB 08 8B 46 0C E8 ?? ?? ?? ?? 88 5E 1B 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3964_0 {
	meta:
		name = "InitComServer"
		size = 91
		refs = "0002 SaveInitProc 0010 CoInitFlags 001a CoInitializeEx 0024 CoResumeClassObjects 0035 ComServer 0042 TComServer.Initialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 FF 74 14 A1 ?? ?? ?? ?? 83 38 00 74 0A A1 ?? ?? ?? ?? 83 38 00 75 04 33 C0 EB 02 B0 01 8B 15 ?? ?? ?? ?? 88 42 1A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 1A 00 74 09 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_3965_0 {
	meta:
		name = "TComServer.GetStartSuspended"
		size = 4
	strings:
		$1 = { 8A 40 1A C3 }
	condition:
		$1
}

rule function_3966_0 {
	meta:
		name = "TComServer.SetHelpFileName"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 14 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3967_0 {
	meta:
		name = "Finalization"
		size = 76
		refs = "0007 Finalization 0013 _DV_2 001a ComServer 001f TObject.Free 002b OleAutHandle 0031 FreeLibrary 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_3968_0 {
	meta:
		name = "ComServ"
		size = 104
		refs = "0002 _DV_2 000a ComServ 000f LoadLibrary 0014 OleAutHandle 001b _DV_TComServer 0020 TComServer.Create 0025 ComServer 002a ModuleIsLib 0034 InitProc 003b SaveInitProc 0046 InitComServer 004b AutomationTerminateProc 0050 AddTerminateProc"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 4B 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 21 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 4F 4C 45 41 55 54 33 32 2E 44 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_3973_0 {
	meta:
		name = "_NF__44B"
		size = 243
		refs = "0005 TDockTree.BeginUpdate 000d TDockTree.EndUpdate 0015 TDockTree.GetControlBounds 0078 TDockTree.SetReplacingControl 0082 TInterfacedObject.QueryInterface 008c TInterfacedObject._AddRef 0096 TInterfacedObject._Release 009b _NF__44B"
	strings:
		$1 = { CC 83 C0 90 E9 ?? ?? ?? ?? 83 C0 90 E9 ?? ?? ?? ?? 83 C0 90 E9 ?? ?? ?? ?? 83 C0 90 50 8B 00 8B 40 08 87 04 24 C3 83 C0 90 50 8B 00 8B 40 0C 87 04 24 C3 83 C0 90 50 8B 00 8B 40 24 87 04 24 C3 83 C0 90 50 8B 00 8B 40 14 87 04 24 C3 83 C0 90 50 8B 00 8B 40 18 87 04 24 C3 83 C0 90 50 8B 00 8B 40 20 87 04 24 C3 83 C0 90 50 8B 00 8B 40 1C 87 04 24 C3 83 C0 90 E9 ?? ?? ?? ?? 83 44 24 04 90 E9 ?? ?? ?? ?? 83 44 24 04 90 E9 ?? ?? ?? ?? 83 44 24 04 90 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 79 FD 19 86 81 C2 D1 11 AA 60 00 C0 4F A3 70 E8 ?? ?? ?? ?? 70 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_3974_0 {
	meta:
		name = "ChangeBiDiModeAlignment"
		size = 19
	strings:
		$1 = { 8A 10 80 EA 01 72 04 74 06 EB 07 C6 00 01 C3 C6 00 00 C3 }
	condition:
		$1
}

rule function_3975_0 {
	meta:
		name = "InitWndProc"
		size = 184
		refs = "0009 CreationControl 0029 SetWindowLong 0034 GetWindowLong 0066 ControlAtom 0070 SetProp 007d WindowAtom"
	strings:
		$1 = { 55 8B EC 51 53 8D 5D FC A1 ?? ?? ?? ?? 8B 55 08 89 90 40 01 00 00 A1 ?? ?? ?? ?? 8B 80 60 01 00 00 50 6A FC 8B 45 08 50 E8 ?? ?? ?? ?? 6A F0 8B 45 08 50 E8 ?? ?? ?? ?? A9 00 00 00 40 74 1E 6A F4 8B 45 08 50 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 45 08 50 6A F4 8B 45 08 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 FF 90 60 01 00 00 89 45 FC 8B 03 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_3976_0 {
	meta:
		name = "FindControl"
		size = 25
		refs = "000c ControlAtom 0013 GetProp"
	strings:
		$1 = { 53 8B D8 33 C0 85 DB 74 0E 0F B7 05 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3977_0 {
	meta:
		name = "SendAppMessage"
		size = 39
		refs = "0004 Application 001b SendMessage"
	strings:
		$1 = { 53 56 8B 1D ?? ?? ?? ?? 8B 1B 8B 73 24 85 F6 74 11 51 52 50 A1 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_3978_0 {
	meta:
		name = "_NF__46C"
		size = 412
	strings:
		$1 = { FF FF FF FF 09 00 00 00 63 72 44 65 66 61 75 6C 74 00 00 00 FF FF FF FF 07 00 00 00 63 72 41 72 72 6F 77 00 FF FF FF FF 07 00 00 00 63 72 43 72 6F 73 73 00 FF FF FF FF 07 00 00 00 63 72 49 42 65 61 6D 00 FF FF FF FF 0A 00 00 00 63 72 53 69 7A 65 4E 45 53 57 00 00 FF FF FF FF 08 00 00 00 63 72 53 69 7A 65 4E 53 00 00 00 00 FF FF FF FF 0A 00 00 00 63 72 53 69 7A 65 4E 57 53 45 00 00 FF FF FF FF 08 00 00 00 63 72 53 69 7A 65 57 45 00 00 00 00 FF FF FF FF 09 00 00 00 63 72 55 70 41 72 72 6F 77 00 00 00 FF FF FF FF 0B 00 00 00 63 72 48 6F 75 72 47 6C 61 73 73 00 FF FF FF FF 06 00 00 00 63 72 44 72 61 67 00 00 FF FF FF FF 08 00 00 00 63 72 4E 6F 44 72 6F 70 00 00 00 00 FF FF FF FF 08 00 00 00 63 72 48 53 70 6C 69 74 00 00 00 00 FF FF FF FF 08 00 00 00 63 72 56 53 70 6C 69 74 00 00 00 00 FF FF FF FF 0B 00 00 00 63 72 4D 75 6C 74 69 44 72 61 67 00 FF FF FF FF 09 00 00 00 63 72 53 51 4C 57 61 69 74 00 00 00 FF FF FF FF 04 00 00 00 63 72 4E 6F 00 00 00 00 FF FF FF FF 0A 00 00 00 63 72 41 70 70 53 74 61 72 74 00 00 FF FF FF FF 06 00 00 00 63 72 48 65 6C 70 00 00 FF FF FF FF 0B 00 00 00 63 72 48 61 6E 64 50 6F 69 6E 74 00 FF FF FF FF 09 00 00 00 63 72 53 69 7A 65 41 6C 6C 00 00 00 FF FF FF FF 06 00 00 00 63 72 53 69 7A 65 00 00 }
	condition:
		$1
}

rule function_3979_0 {
	meta:
		name = "CursorToString"
		size = 72
		refs = "0012 CursorToIdent 002c CursorToString 0031 FmtStr"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 0F BF FB 8B C7 E8 ?? ?? ?? ?? 84 C0 75 1B 6A 00 89 7C 24 04 C6 44 24 08 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 00 FF FF FF FF 02 00 00 00 25 64 00 00 }
	condition:
		$1
}

rule function_3980_0 {
	meta:
		name = "StringToCursor"
		size = 34
		refs = "0009 IdentToCursor 0014 StrToInt"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 E8 ?? ?? ?? ?? 89 04 24 66 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_3981_0 {
	meta:
		name = "GetCursorValues"
		size = 35
		refs = "000b Cursors"
	strings:
		$1 = { 55 8B EC 53 56 BE 15 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3982_0 {
	meta:
		name = "CursorToIdent"
		size = 13
		refs = "0003 Cursors 0008 IntToIdent"
	strings:
		$1 = { 6A 15 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3983_0 {
	meta:
		name = "IdentToCursor"
		size = 13
		refs = "0003 Cursors 0008 IdentToInt"
	strings:
		$1 = { 6A 15 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3984_0 {
	meta:
		name = "GetShortHint"
		size = 68
		refs = "000a GetShortHint 000f AnsiPos 001e @LStrLAsg 0030 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 10 57 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_3985_0 {
	meta:
		name = "GetLongHint"
		size = 68
		refs = "000a GetLongHint 000f AnsiPos 001e @LStrLAsg 0030 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 10 57 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_3986_0 {
	meta:
		name = "GetCaptureControl"
		size = 40
		refs = "0001 GetCapture 0006 FindControl 0010 CaptureControl"
	strings:
		$1 = { E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 19 83 3D ?? ?? ?? ?? 00 74 10 8B 15 ?? ?? ?? ?? 3B 42 24 75 05 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3987_0 {
	meta:
		name = "SetCaptureControl"
		size = 66
		refs = "0004 ReleaseCapture 000b CaptureControl 0017 _DV_TWinControl 001c @IsClass 0036 TWinControl.GetHandle 003c SetCapture"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 85 DB 74 2D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F 83 7B 24 00 74 16 89 1D ?? ?? ?? ?? 8B 5B 24 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3988_0 {
	meta:
		name = "TSiteList.Find"
		size = 80
	strings:
		$1 = { 53 56 57 83 C4 F8 89 0C 24 C6 44 24 04 00 33 F6 8B 78 08 4F 3B FE 7C 29 8D 1C 37 D1 EB 8B 48 04 8B 0C 99 8B 49 04 2B CA 85 C9 7D 05 8D 73 01 EB 0C 8B FB 4F 85 C9 75 05 C6 44 24 04 01 3B FE 7D D7 8B 04 24 89 30 8A 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3989_0 {
	meta:
		name = "GetTopParent"
		size = 38
		refs = "000b TWinControl.GetHandle 0019 GetParent"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 85 C0 74 0C 8B D8 50 E8 ?? ?? ?? ?? 85 C0 75 F4 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_3990_0 {
	meta:
		name = "TSiteList.AddSite"
		size = 89
		refs = "0014 @GetMem 0021 GetTopParent 0033 TSiteList.Find 0043 TList.Insert 004e TList.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 03 55 E8 ?? ?? ?? ?? 59 8B F8 89 7B 04 8D 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3991_0 {
	meta:
		name = "TSiteList.Clear"
		size = 50
		refs = "0015 TList.Get 001f @FreeMem 002a TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3992_0 {
	meta:
		name = "TSiteList.GetTopSite"
		size = 99
		refs = "0017 TList.Get 0020 GetDesktopWindow 0026 GetTopWindow 0035 TSiteList.Find 004e GetNextWindow"
	strings:
		$1 = { 53 56 57 51 8B D8 33 FF 8B 43 08 85 C0 74 4D 48 75 0D 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 38 EB 3D E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 EB 26 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 04 8B 14 24 8B 04 90 8B 38 EB 0A 6A 02 56 E8 ?? ?? ?? ?? 8B F0 85 FF 75 04 85 F6 75 D2 8B C7 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3993_0 {
	meta:
		name = "IsDragObject"
		size = 96
		refs = "0009 TObject.ClassType 001a TObject.ClassName 0029 _DV_TDragObject 0040 @AStrCmp 0049 TObject.ClassParent"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF E8 ?? ?? ?? ?? 8B F0 B3 01 85 F6 74 3E 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C4 50 8D 94 24 04 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 94 24 04 01 00 00 58 33 C9 8A 08 41 E8 ?? ?? ?? ?? 74 0F 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 C2 33 DB 8B C3 81 C4 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_3994_0 {
	meta:
		name = "TDragObject.Assign"
		size = 61
	strings:
		$1 = { 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 4A 0C 89 48 0C 8B 4A 10 89 48 10 8B 4A 14 89 48 14 8B 4A 18 89 48 18 8B 4A 1C 89 48 1C 8B 4A 20 89 48 20 8B 4A 24 89 48 24 8B 4A 28 89 48 28 C3 }
	condition:
		$1
}

rule function_3995_0 {
	meta:
		name = "TDragObject.Capture"
		size = 24
		refs = "0003 TDragObject.MouseMsg 0008 AllocateHWnd 0010 SetCapture"
	strings:
		$1 = { 53 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_3998_0 {
	meta:
		name = "TDragObject.ReleaseCapture"
		size = 17
		refs = "0004 ReleaseCapture 000b DeallocateHWnd"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3999_0 {
	meta:
		name = "TDragObject.MouseMsg"
		size = 220
		refs = "000f TDragObject.MouseMsg 0045 SmallPointToPoint 004e DragCapture 0054 ClientToScreen 005c DragTo 0065 DragDone 0072 DragObject 00b7 @HandleAnyException 00bd DragControl 00cc @RaiseAgain 00d1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 05 02 00 00 7F 10 74 3E 2D 00 02 00 00 74 13 83 E8 02 74 32 EB 7A 2D 00 BD 00 00 74 47 48 74 2F EB 6E 8D 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8D 45 F8 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? EB 4A B0 01 E8 ?? ?? ?? ?? EB 41 83 7B 04 11 75 3B A1 ?? ?? ?? ?? 83 C0 0C E8 ?? ?? ?? ?? EB 2C 8B 43 04 83 E8 11 74 07 83 E8 0A 74 11 EB 1D A1 ?? ?? ?? ?? 83 C0 0C E8 ?? ?? ?? ?? EB 0E C7 43 0C 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 07 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4003_0 {
	meta:
		name = "TDragObject.Instance"
		size = 8
		refs = "0001 HInstance"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_4005_0 {
	meta:
		name = "TBaseDragControlObject.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 30 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_4006_0 {
	meta:
		name = "TBaseDragControlObject.Assign"
		size = 41
		refs = "000b TDragObject.Assign 0013 _DV_TBaseDragControlObject 0018 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 30 89 43 30 5E 5B C3 }
	condition:
		$1
}

rule function_4007_0 {
	meta:
		name = "TBaseDragControlObject.EndDrag"
		size = 35
		refs = "0018 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B 46 30 66 BB E3 FF E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4008_0 {
	meta:
		name = "TBaseDragControlObject.Finished"
		size = 50
		refs = "0018 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F0 80 7D 08 00 75 0E 8B 46 30 66 BB E5 FF E8 ?? ?? ?? ?? 33 D2 8B 45 0C 50 8B CF 8B C6 8B 18 FF 53 20 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4009_0 {
	meta:
		name = "TDragControlObject.GetDragCursor"
		size = 24
	strings:
		$1 = { 55 8B EC 84 D2 74 09 8B 40 30 66 8B 40 6E EB 04 66 B8 F3 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_4010_0 {
	meta:
		name = "TDragControlObject.GetDragImages"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_4011_0 {
	meta:
		name = "TDragControlObject.HideDragImage"
		size = 30
		refs = "0018 TDragImageList.HideDragImage"
	strings:
		$1 = { 53 8B D8 8B 43 30 8B 10 FF 52 4C 85 C0 74 0D 8B 43 30 8B 10 FF 52 4C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4012_0 {
	meta:
		name = "TDragControlObject.ShowDragImage"
		size = 30
		refs = "0018 TDragImageList.ShowDragImage"
	strings:
		$1 = { 53 8B D8 8B 43 30 8B 10 FF 52 4C 85 C0 74 0D 8B 43 30 8B 10 FF 52 4C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4013_0 {
	meta:
		name = "TDragDockObject.Create"
		size = 100
		refs = "000e @ClassCreate 001c TBaseDragControlObject.Create 0023 _Dn_TBrush 0028 TBrush.Create 0039 AllocPatternBitmap 0042 TBrush.SetBitmap 004f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 34 BA FF FF FF 00 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4014_0 {
	meta:
		name = "TDragDockObject.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15464_0 {
	meta:
		name = "TCustomResolver.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4015_0 {
	meta:
		name = "TDragDockObject.Assign"
		size = 98
		refs = "000c TBaseDragControlObject.Assign 0014 _DV_TDragDockObject 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 8B C6 8A 50 48 88 53 48 8B 50 4C 89 53 4C 8A 50 60 88 53 60 56 8D 70 38 8D 7B 38 B9 04 00 00 00 F3 A5 5E 56 8D 70 50 8D 7B 50 B9 04 00 00 00 F3 A5 5E 8B 50 34 8B 43 34 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4016_0 {
	meta:
		name = "TDragDockObject.SetBrush"
		size = 9
		altNames = "TIdHTTPRequestInfo.SetCookies"
	strings:
		$1 = { 8B 40 34 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_4017_0 {
	meta:
		name = "TDragDockObject.EndDrag"
		size = 29
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 8B 46 30 66 BB E8 FF E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4018_0 {
	meta:
		name = "AbsMin"
		size = 36
	strings:
		$1 = { 53 56 8B DA 8B C8 8B C1 99 33 C2 2B C2 8B F0 8B C3 99 33 C2 2B C2 3B F0 7D 05 8B C1 5E 5B C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4019_0 {
	meta:
		name = "TDragDockObject.AdjustDockRect"
		size = 125
		refs = "0030 AbsMin 0072 OffsetRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8B 43 0C 8B 14 24 3B C2 7C 06 3B 44 24 08 7E 14 2B D0 8B 4C 24 08 2B C8 8B C1 92 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8B 43 10 8B 54 24 04 3B C2 7C 06 3B 44 24 0C 7E 12 2B D0 8B 4C 24 0C 2B C8 8B C1 92 E8 ?? ?? ?? ?? EB 02 33 C0 85 F6 75 04 85 C0 74 0F F7 D8 50 F7 DE 56 8D 43 38 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4020_0 {
	meta:
		name = "TDragDockObject.DrawDragDockImage"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 53 8B D0 8B 40 30 66 BB E1 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4021_0 {
	meta:
		name = "TDragDockObject.EraseDragDockImage"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 53 8B D0 8B 40 30 66 BB E0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4023_0 {
	meta:
		name = "TDragDockObject.GetFrameWidth"
		size = 6
		altNames = "TWebActionItems.GetAttrCount"
	strings:
		$1 = { B8 04 00 00 00 C3 }
	condition:
		$1
}

rule function_4024_0 {
	meta:
		name = "IsBeforeTargetWindow"
		size = 105
		refs = "0026 GetWindowRect 0035 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 5D 0C 8B 75 08 8B FB 3B 77 04 75 04 33 C0 EB 46 83 7F 08 00 75 20 8D 45 F0 50 56 E8 ?? ?? ?? ?? FF 77 10 FF 77 0C 8D 45 F0 50 E8 ?? ?? ?? ?? 85 C0 74 03 89 77 08 8B D3 3B 32 75 0A 83 C8 FF 33 C9 89 4A 08 EB 10 3B 72 08 75 08 33 C0 C6 42 14 01 EB 03 83 C8 FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4025_0 {
	meta:
		name = "ValidDockTarget"
		size = 327
		refs = "0014 DragFindWindow 0021 GetWindow 0027 Application 0036 FindControl 0052 TWinControl.GetHandle 00b6 _DV_TWinControl 00bb @IsClass 00f8 IsBeforeTargetWindow 00fd GetCurrentThreadId 0103 EnumThreadWindows 0116 GetWindowRect 0134 IntersectRect"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F8 B3 01 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 8B F0 89 75 F0 6A 04 56 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 3B 42 24 74 27 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 FA 00 00 00 EB 02 8B F0 8B 46 24 85 C0 75 F7 8B C6 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 DB 00 00 00 8B F7 EB 02 8B F0 8B 46 24 85 C0 75 F7 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7D EC 3B 7D F0 0F 84 B9 00 00 00 8B 45 08 8B 40 F4 8B 40 24 85 C0 74 1C 8B 55 08 8B F0 EB 02 8B F0 8B 46 24 85 C0 75 F7 8B C6 E8 ?? ?? ?? ?? 89 45 E8 EB 2A 8B 45 08 8B 40 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 89 45 E8 EB 05 33 C0 89 45 E8 8B 45 F0 3B 45 E8 74 5E C6 45 FC 00 8B 45 08 8B 50 F8 89 55 F4 8B 50 FC 89 55 F8 8D 45 E8 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D FC 00 74 31 8D 45 D8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 45 D8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 74 02 33 DB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4026_0 {
	meta:
		name = "IsSiteChildOfClient"
		size = 65
		refs = "000b _DV_TWinControl 0010 @IsClass 001f TWinControl.GetHandle 0031 IsChild"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_4027_0 {
	meta:
		name = "GetDockSiteAtPos"
		size = 334
		refs = "001b GetKeyState 0028 DockSiteList 0039 QualifyingSites 0042 @CallDynaInst 0062 TList.Get 0095 TWinControl.GetHandle 009b IsWindowVisible 00a5 IsSiteChildOfClient 00c0 TWinControl.GetDockClientCount 00f6 PtInRect 0107 TSiteList.AddSite 0124 TSiteList.GetTopSite 0136 ValidDockTarget"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F0 8D 7D F8 A5 A5 89 55 F4 33 C0 89 45 EC 6A 11 E8 ?? ?? ?? ?? 66 A9 00 80 0F 95 C0 83 3D ?? ?? ?? ?? 00 0F 94 C2 0A C2 0F 85 0C 01 00 00 A1 ?? ?? ?? ?? 66 BB FF FF E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 0F 8C BC 00 00 00 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 3B 45 F4 0F 84 96 00 00 00 8B 45 F0 80 B8 6C 01 00 00 00 0F 84 86 00 00 00 8B 45 F0 8B 10 FF 52 50 84 C0 74 7A 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 68 55 E8 ?? ?? ?? ?? 59 84 C0 75 5D 8B 45 F4 8B 80 8C 00 00 00 3B 45 F0 75 0B 8B 45 F0 E8 ?? ?? ?? ?? 48 7E 44 C6 45 EB 01 8D 45 F8 50 8D 45 EB 50 8D 4D D8 8B 55 F4 8B 45 F0 66 BB C2 FF E8 ?? ?? ?? ?? 80 7D EB 00 74 20 FF 75 FC FF 75 F8 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 74 0D 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 0F 85 47 FF FF FF A1 ?? ?? ?? ?? 83 78 08 00 7E 0D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 13 55 8B 45 EC E8 ?? ?? ?? ?? 59 84 C0 75 05 33 C0 89 45 EC 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4028_0 {
	meta:
		name = "RegisterDockSite"
		size = 93
		refs = "000d DockSiteList 0017 _Dn_TList 001c TObject.Create 002f TList.IndexOf 0042 TList.Add 0055 TList.Delete"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 F6 74 4E 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B FE 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 11 40 75 1F 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 83 F8 FF 74 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4029_0 {
	meta:
		name = "DragMessage"
		size = 85
		refs = "002c ActiveDrag 0046 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 4D FC 33 C9 85 C0 74 3C 8B 4D 08 8B 19 89 5D E8 8B 59 04 89 5D EC 8B 4D 0C 89 4D F4 8B 4D FC 89 4D F0 80 3D ?? ?? ?? ?? 02 0F 94 C1 88 4D F8 8D 4D E8 51 83 E2 7F 52 68 2F B0 00 00 50 E8 ?? ?? ?? ?? 8B C8 8B C1 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4030_0 {
	meta:
		name = "IsDelphiHandle"
		size = 33
		refs = "000a WindowAtom 0011 GetProp"
	strings:
		$1 = { 53 8B D8 85 DB 74 12 0F B7 05 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4031_0 {
	meta:
		name = "DragFindWindow"
		size = 44
		refs = "0007 WindowFromPoint 0014 IsDelphiHandle 001e GetParent"
	strings:
		$1 = { 53 FF 70 04 FF 30 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 53 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E9 8B C3 5B C3 }
	condition:
		$1
}

rule function_4032_0 {
	meta:
		name = "DragFindTarget"
		size = 77
		refs = "0010 DragFindWindow 001d DragObject 0024 DragMessage 0032 GetDockSiteAtPos 003f TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 84 C9 75 1F 8B C3 E8 ?? ?? ?? ?? 89 06 6A 00 53 8B 06 8B 0D ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 8B D8 EB 19 8B C3 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B C3 E8 ?? ?? ?? ?? 89 06 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4033_0 {
	meta:
		name = "DoDragOver"
		size = 59
		refs = "0008 DragObject 002e DragMessage"
	strings:
		$1 = { 53 56 8B D8 33 C0 8B 15 ?? ?? ?? ?? 8B 72 04 85 F6 74 25 56 A1 ?? ?? ?? ?? 83 C0 0C 50 A1 ?? ?? ?? ?? 8B 40 08 8B 0D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_4034_0 {
	meta:
		name = "GetDropCtl"
		size = 147
		refs = "0006 DragObject 0026 TWinControl.GetDockClientCount 0041 TList.Get 005b FindDragTarget 006c TList.IndexOf 007a TWinControl.GetDockClients"
	strings:
		$1 = { 53 56 57 33 FF A1 ?? ?? ?? ?? 8B 70 04 85 F6 74 7C 80 BE 80 01 00 00 00 74 73 83 BE 34 01 00 00 00 74 6A 8B C6 E8 ?? ?? ?? ?? 85 C0 74 5F 8B C6 E8 ?? ?? ?? ?? 48 75 18 33 D2 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 42 30 74 3D A1 ?? ?? ?? ?? 83 C0 0C 33 D2 E8 ?? ?? ?? ?? 8B D8 EB 22 8B D3 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 83 F8 FF 74 0D 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 0B 8B 5B 24 85 DB 74 04 3B F3 75 D6 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4035_0 {
	meta:
		name = "DragTo"
		size = 721
		refs = "000a ActiveDrag 0012 DragStartPos 001f DragThreshold 003f DragControl 0056 DragFindTarget 0067 DragImageList 0075 GetDesktopWindow 0087 TDragImageList.BeginDrag 00bb DragObject 00c7 DoDragOver 0139 TControl.ScreenToClient 0186 TDragImageList.SetDragCursor 01b9 TDragImageList.DragMove 01c5 TDragImageList.EndDrag 01cd Screen 01d4 TScreen.GetCursors 01da SetCursor 0218 @CallDynaInst 021f GetDropCtl 0295 CompareMem"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 80 3D ?? ?? ?? ?? 00 75 2D A1 ?? ?? ?? ?? 2B 06 99 33 C2 2B C2 3B 05 ?? ?? ?? ?? 7D 19 A1 ?? ?? ?? ?? 2B 46 04 99 33 C2 2B C2 3B 05 ?? ?? ?? ?? 0F 8C 8C 02 00 00 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8A 88 87 00 00 00 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B D8 80 3D ?? ?? ?? ?? 00 75 26 83 3D ?? ?? ?? ?? 00 74 1D A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 B8 87 00 00 00 00 75 0E C6 05 ?? ?? ?? ?? 01 C6 44 24 04 00 EB 13 80 3D ?? ?? ?? ?? 00 0F 95 44 24 04 C6 05 ?? ?? ?? ?? 02 A1 ?? ?? ?? ?? 3B 58 04 74 4B B0 01 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 F2 01 00 00 A1 ?? ?? ?? ?? 89 58 04 A1 ?? ?? ?? ?? 8B 14 24 89 50 08 A1 ?? ?? ?? ?? 8B 16 89 50 0C 8B 56 04 89 50 10 33 C0 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 BB 01 00 00 A1 ?? ?? ?? ?? 8B 16 89 50 0C 8B 56 04 89 50 10 A1 ?? ?? ?? ?? 83 78 04 00 74 26 8D 4C 24 08 8B D6 A1 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 54 24 08 89 50 14 8B 54 24 0C 89 50 18 8B 46 04 50 B0 02 E8 ?? ?? ?? ?? 8B D0 8B 0E A1 ?? ?? ?? ?? 8B 38 FF 57 04 8B F8 83 3D ?? ?? ?? ?? 00 74 6A 85 DB 74 06 F6 43 41 20 74 41 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 5E 00 75 19 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B 0E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 8B 4E 04 8B 16 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 02 0F 85 CA 00 00 00 85 DB 75 1A 8B 56 04 52 8B 0E A1 ?? ?? ?? ?? 8B 50 30 92 66 BB E9 FF E8 ?? ?? ?? ?? EB 5C E8 ?? ?? ?? ?? 8B F8 A1 ?? ?? ?? ?? 89 78 4C 85 FF 75 24 A1 ?? ?? ?? ?? 8D 50 14 A1 ?? ?? ?? ?? 8B 40 04 66 BB DE FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 88 42 48 EB 25 8D 4C 24 08 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 54 24 08 8B C7 66 BB DE FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 88 42 48 83 3D ?? ?? ?? ?? 00 74 47 8B 1D ?? ?? ?? ?? 8D 53 50 8D 43 38 B9 10 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 2D 80 7C 24 04 00 74 0A A1 ?? ?? ?? ?? 8B 10 FF 52 30 A1 ?? ?? ?? ?? 8B 10 FF 52 2C A1 ?? ?? ?? ?? 8D 70 38 8D 78 50 B9 04 00 00 00 F3 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4036_0 {
	meta:
		name = "DragInit"
		size = 368
		refs = "000e DragObject 001d DragStartPos 0022 GetCursorPos 003e GetCursor 0043 DragSaveCursor 004d TDragObject.Capture 0052 DragCapture 0058 DragThreshold 0060 _DV_TDragDockObject 0065 @IsClass 00e6 ActiveDrag 011c DragImageList 0130 GetDesktopWindow 0142 TDragImageList.BeginDrag 0149 _DV_TSiteList 014e TObject.Create 0153 QualifyingSites 0166 DragTo"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B DA 8B F0 89 35 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 50 04 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 50 0C 8B 15 ?? ?? ?? ?? 89 50 10 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8B D6 8D 42 38 8B 78 08 8B 08 2B F9 85 FF 7E 20 8B 7A 0C 2B F9 89 3C 24 DB 04 24 8B 48 08 2B 08 89 4C 24 04 DB 44 24 04 DE F9 DD 5A 1C 9B EB 08 33 C9 89 4A 1C 89 4A 20 8B 48 0C 8B 50 04 2B CA 85 C9 7E 23 8B CE 8B 79 10 2B FA 89 3C 24 DB 04 24 8B 50 0C 2B 50 04 89 54 24 04 DB 44 24 04 DE F9 DD 59 24 9B EB 08 33 C0 89 46 24 89 46 28 84 DB 74 10 C6 05 ?? ?? ?? ?? 02 8B C6 8B 10 FF 52 2C EB 1D C6 05 ?? ?? ?? ?? 00 EB 14 84 DB 74 09 C6 05 ?? ?? ?? ?? 01 EB 07 C6 05 ?? ?? ?? ?? 00 A1 ?? ?? ?? ?? 8B 10 FF 52 08 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4037_0 {
	meta:
		name = "DragInitControl"
		size = 455
		refs = "0012 DragControl 001a DragInitControl 002b DragFreeObject 0043 @CallDynaInst 006c _DV_TDragControlObject 0071 TBaseDragControlObject.Create 00b3 _DV_TDragDockObject 00b8 TDragDockObject.Create 00d0 _DV_TWinControl 00d5 @IsClass 00e7 TWinControl.GetHandle 00ed GetWindowRect 0118 GetCursorPos 0135 Point 0142 TControl.ClientToScreen 019c DragInit 01ab @HandleAnyException 01b7 @RaiseAgain 01bc @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 88 55 FF 8B F0 89 35 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F8 C6 05 ?? ?? ?? ?? 00 80 BE 87 00 00 00 00 75 4B 8D 55 F8 8B C6 66 BB E2 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 33 C0 5A 59 59 64 89 10 E9 63 01 00 00 83 7D F8 00 0F 85 2C 01 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C6 05 ?? ?? ?? ?? 01 E9 0F 01 00 00 8D 55 F8 8B C6 66 BB E6 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 33 C0 5A 59 59 64 89 10 E9 18 01 00 00 83 7D F8 00 75 18 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C6 05 ?? ?? ?? ?? 01 8B 45 F8 8B 58 30 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 F8 83 C0 38 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 8B 00 00 00 8B 45 F8 8B 58 30 83 7B 24 00 75 2B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1A 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F0 89 50 38 8B 55 F4 89 50 3C EB 28 8D 4D E0 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 E8 89 50 38 8B 55 EC 89 50 3C 8B 5D F8 8B 53 3C 8B 45 F8 8B 70 30 03 56 3C 8B 43 38 03 46 38 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 E8 89 50 40 8B 55 EC 89 50 44 8B 45 F8 57 8D 70 38 8D 78 50 B9 04 00 00 00 F3 A5 5F 8B CF 8A 55 FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4038_0 {
	meta:
		name = "CheckUndock"
		size = 112
		refs = "0005 DragObject 001b ActiveDrag 0023 DragControl 0065 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 A1 ?? ?? ?? ?? 83 78 04 00 0F 95 C3 8B 45 08 80 78 FF 00 74 52 80 3D ?? ?? ?? ?? 02 75 49 A1 ?? ?? ?? ?? 8B 10 FF 52 54 84 C0 75 0E A1 ?? ?? ?? ?? 83 B8 8C 00 00 00 00 75 04 B3 01 EB 29 A1 ?? ?? ?? ?? 8B 80 8C 00 00 00 85 C0 74 1A 8B 15 ?? ?? ?? ?? 8B 52 04 8B 0D ?? ?? ?? ?? 66 BB C3 FF E8 ?? ?? ?? ?? 8B D8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_4039_0 {
	meta:
		name = "DragDone"
		size = 628
		refs = "0017 DragObject 0031 DragDone 0045 @TryFinallyExit 006f DragCapture 0079 TDragObject.ReleaseCapture 007f ActiveDrag 008d _DV_TDragDockObject 0092 @AsClass 00be _DV_TControl 00c3 @IsClass 00f1 CheckUndock 0115 DoDragOver 0145 GetParentForm 015b TCustomForm.SetActiveControl 016d DragControl 0172 TControl.Perform 017a DragImageList 0187 TDragImageList.EndDrag 018e DragSaveCursor 0194 SetCursor 01ec DragMessage 021e @HandleFinally 0232 QualifyingSites 0237 TObject.Free 0258 DragFreeObject"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 88 45 FF 33 DB 33 C0 89 45 F8 C6 45 F7 00 83 3D ?? ?? ?? ?? 00 74 0F A1 ?? ?? ?? ?? 80 78 2C 00 0F 85 42 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 3D ?? ?? ?? ?? 00 75 0A E8 ?? ?? ?? ?? E9 21 02 00 00 A1 ?? ?? ?? ?? C6 40 2C 01 A1 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 02 75 23 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 30 83 7B 04 00 0F 94 C0 88 43 60 A1 ?? ?? ?? ?? 83 78 04 00 74 2A A1 ?? ?? ?? ?? 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 A1 ?? ?? ?? ?? 8B 50 14 89 55 EC 8B 50 18 89 55 F0 EB 11 A1 ?? ?? ?? ?? 8B 50 0C 89 55 EC 8B 50 10 89 55 F0 55 E8 ?? ?? ?? ?? 59 84 C0 74 29 80 3D ?? ?? ?? ?? 02 75 06 80 7B 60 00 75 14 80 3D ?? ?? ?? ?? 00 74 11 B0 01 E8 ?? ?? ?? ?? 84 C0 74 06 80 7D FF 00 75 04 33 C0 EB 02 B0 01 88 45 F7 80 3D ?? ?? ?? ?? 02 75 43 80 7D F7 00 74 5D 80 7B 60 00 74 57 8B 43 30 E8 ?? ?? ?? ?? 85 C0 74 12 8B 90 00 02 00 00 3B 53 30 75 07 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 BA 3A B0 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 83 3D ?? ?? ?? ?? 00 74 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 74 41 B0 03 80 7D F7 00 75 1C B0 04 8B 55 F8 33 C9 89 4A 0C 8B 55 F8 33 C9 89 4A 10 33 D2 89 55 EC 33 D2 89 55 F0 8B 55 F8 8B 52 04 52 8B 55 F8 83 C2 0C 52 8B 55 F8 8B 52 08 8B 4D F8 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8A 45 F7 50 8B 45 F8 8B 50 04 8B 4D EC 8B 45 F8 8B 18 FF 13 33 C0 A3 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 7D F8 00 74 18 8B 45 F8 C6 40 2C 00 80 3D ?? ?? ?? ?? 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4040_0 {
	meta:
		name = "CancelDrag"
		size = 24
		refs = "0002 DragObject 000c DragDone 0013 DragControl"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 33 C0 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4041_0 {
	meta:
		name = "FindVCLWindow"
		size = 50
		refs = "0008 WindowFromPoint 0017 FindControl 0023 GetParent"
	strings:
		$1 = { 53 56 FF 70 04 FF 30 E8 ?? ?? ?? ?? 8B D8 33 F6 85 DB 74 19 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0C 53 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E7 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4042_0 {
	meta:
		name = "FindDragTarget"
		size = 65
		refs = "0010 FindVCLWindow 0023 TControl.ScreenToClient 002e TWinControl.ControlAtPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F8 33 F6 8B C7 E8 ?? ?? ?? ?? 8B E8 85 ED 74 1E 8B F5 8B CC 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D4 8B CB 8B C5 E8 ?? ?? ?? ?? 85 C0 74 02 8B F0 8B C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4043_0 {
	meta:
		name = "ListAdd"
		size = 37
		refs = "000e _Dn_TList 0013 TObject.Create 001e TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3B 00 75 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 03 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4044_0 {
	meta:
		name = "ListRemove"
		size = 31
		refs = "0006 TList.Remove 0015 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 03 E8 ?? ?? ?? ?? 8B 03 83 78 08 00 75 0B 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_4045_0 {
	meta:
		name = "MoveWindowOrg"
		size = 47
		refs = "000f GetWindowOrgEx 0025 SetWindowOrgEx"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 2B C7 50 8B 44 24 08 2B C6 50 53 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4046_0 {
	meta:
		name = "FreeDeviceContext"
		size = 187
		refs = "0007 CanvasList 000c TThreadList.LockList 0017 FreeDeviceContext 003e TList.Get 0049 TCanvas.TryLock 0063 TControlCanvas.FreeHandle 0068 @TryFinallyExit 0084 TCanvas.Unlock 008a @HandleFinally 00ab TThreadList.UnlockList"
	strings:
		$1 = { 55 8B EC 83 C4 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 48 85 C0 7C 6C 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 FC FF 4D F4 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_4047_0 {
	meta:
		name = "FreeDeviceContexts"
		size = 169
		refs = "0007 CanvasList 000c TThreadList.LockList 0017 FreeDeviceContexts 0037 TList.Get 0042 TCanvas.TryLock 005c TControlCanvas.FreeHandle 0071 TCanvas.Unlock 0077 @HandleFinally 0099 TThreadList.UnlockList"
	strings:
		$1 = { 55 8B EC 83 C4 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 48 83 F8 00 7C 59 89 45 FC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D FC 83 7D FC FF 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_9449_0 {
	meta:
		name = "FreeMemoryContexts"
		size = 169
		refs = "0007 BitmapCanvasList 000c TThreadList.LockList 0017 FreeMemoryContexts 0037 TList.Get 0042 TCanvas.TryLock 005c TBitmapCanvas.FreeContext 0071 TCanvas.Unlock 0077 @HandleFinally 0099 TThreadList.UnlockList"
	strings:
		$1 = { 55 8B EC 83 C4 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 48 83 F8 00 7C 59 89 45 FC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D FC 83 7D FC FF 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_4049_0 {
	meta:
		name = "TControlCanvas.CreateHandle"
		size = 166
		refs = "0015 TCanvas.CreateHandle 0028 CanvasList 002d TThreadList.LockList 0037 TControlCanvas.CreateHandle 0048 FreeDeviceContext 0069 TList.Add 0080 TThreadList.UnlockList 0086 @HandleFinally 0096 TCanvas.SetHandle 009e TControlCanvas.UpdateTextFlags"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 83 78 54 00 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 84 00 00 00 8B 45 FC 83 78 58 00 75 65 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 04 7C 05 E8 ?? ?? ?? ?? 8B 45 FC 8D 50 5C 8B 45 FC 8B 40 54 8B 08 FF 51 48 8B 55 FC 89 42 58 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 50 58 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4050_0 {
	meta:
		name = "TControlCanvas.FreeHandle"
		size = 50
		refs = "000e TCanvas.SetHandle 0015 CanvasList 001a TThreadList.Remove 0027 ReleaseDC"
	strings:
		$1 = { 53 8B D8 83 7B 58 00 74 27 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 58 50 8B 43 5C 50 E8 ?? ?? ?? ?? 33 C0 89 43 58 5B C3 }
	condition:
		$1
}

rule function_4051_0 {
	meta:
		name = "TControlCanvas.SetControl"
		size = 24
		refs = "000e TControlCanvas.FreeHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 54 74 0A 8B C3 E8 ?? ?? ?? ?? 89 73 54 5E 5B C3 }
	condition:
		$1
}

rule function_4052_0 {
	meta:
		name = "TControlCanvas.UpdateTextFlags"
		size = 50
		refs = "000a SysLocale 0018 TControl.UseRightToLeftReading"
	strings:
		$1 = { 53 8B D8 83 7B 54 00 74 27 A1 ?? ?? ?? ?? 80 78 09 00 74 15 8B 43 54 E8 ?? ?? ?? ?? 84 C0 74 09 81 4B 50 80 00 00 00 EB 07 81 63 50 7F FF FF FF 5B C3 }
	condition:
		$1
}

rule function_4054_0 {
	meta:
		name = "TSizeConstraints.AssignTo"
		size = 73
		refs = "000a _DV_TSizeConstraints 000f @IsClass 0036 @CallDynaInst 0042 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B C3 8B 56 08 89 50 08 8B 56 0C 89 50 0C 8B 56 10 89 50 10 8B 56 08 89 50 08 66 BB FD FF E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4055_0 {
	meta:
		name = "TSizeConstraints.SetConstraints"
		size = 166
		refs = "0035 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 83 EA 01 72 0D 74 31 4A 74 50 4A 74 71 E9 8D 00 00 00 3B 4E 08 0F 84 84 00 00 00 89 4E 08 85 C9 76 08 3B 4E 10 73 03 89 4E 10 8B C6 66 BB FD FF E8 ?? ?? ?? ?? 5E 5B C3 3B 4E 0C 74 62 89 4E 0C 85 C9 76 08 3B 4E 14 73 03 89 4E 14 8B C6 66 BB FD FF E8 ?? ?? ?? ?? 5E 5B C3 3B 4E 10 74 40 89 4E 10 8B 46 08 85 C0 76 07 3B C1 73 03 89 4E 08 8B C6 66 BB FD FF E8 ?? ?? ?? ?? 5E 5B C3 3B 4E 14 74 1C 89 4E 14 8B 46 0C 85 C0 76 07 3B C1 73 03 89 4E 0C 8B C6 66 BB FD FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4056_0 {
	meta:
		name = "TSizeConstraints.Change"
		size = 20
	strings:
		$1 = { 53 66 83 78 1A 00 74 0A 8B D8 8B D0 8B 43 1C FF 53 18 5B C3 }
	condition:
		$1
}

rule function_4057_0 {
	meta:
		name = "TControlActionLink.AssignClient"
		size = 25
		refs = "000a _DV_TControl 000f @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_12092_0 {
	meta:
		name = "TMenuActionLink.AssignClient"
		size = 25
		refs = "000a _DV_TMenuItem 000f @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_4058_0 {
	meta:
		name = "TControlActionLink.DoShowHint"
		size = 228
		refs = "0019 TControlActionLink.DoShowHint 002a _Dn_TCustomAction 002f @IsClass 003d TCustomAction.DoHint 0046 Application 0079 ShortCutToText 0095 Format 009f @LStrAsg 00b4 @LStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D E8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 47 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C 8B D6 8B 47 0C E8 ?? ?? ?? ?? 84 C0 74 5E A1 ?? ?? ?? ?? 8B 00 80 78 64 00 74 51 8B 47 0C 66 83 78 60 00 74 47 83 3E 00 74 42 8D 45 FC 50 8B 06 89 45 EC C6 45 F0 0B 8D 55 E8 8B 47 0C 66 8B 40 60 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 07 00 00 00 25 73 20 28 25 73 29 00 }
	condition:
		$1
}

rule function_4059_0 {
	meta:
		name = "TControlActionLink.IsCaptionLinked"
		size = 116
		refs = "000c TControlActionLink.IsCaptionLinked 0019 TActionLink.IsCaptionLinked 0028 TControl.GetText 0035 _Dn_TCustomAction 003a @AsClass 0043 @LStrCmp 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8D 55 FC 8B 43 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 4C 58 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_4060_0 {
	meta:
		name = "TControlActionLink.IsEnabledLinked"
		size = 51
		refs = "0006 TActionLink.IsEnabledLinked 001c _Dn_TCustomAction 0021 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 43 10 8B 10 FF 52 50 50 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A 50 51 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4061_0 {
	meta:
		name = "TControlActionLink.IsHintLinked"
		size = 52
		refs = "0006 TActionLink.IsHintLinked 0013 _Dn_TCustomAction 0018 @AsClass 0026 @LStrCmp"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 43 10 8B 40 74 E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4062_0 {
	meta:
		name = "TControlActionLink.IsVisibleLinked"
		size = 47
		refs = "0006 TActionLink.IsVisibleLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 40 62 8B 53 10 3A 42 47 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4063_0 {
	meta:
		name = "TControlActionLink.IsOnExecuteLinked"
		size = 39
		refs = "0006 TBasicActionLink.IsOnExecuteLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 10 8B 80 04 01 00 00 8B 53 0C 3B 42 2C 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4064_0 {
	meta:
		name = "TControlActionLink.SetCaption"
		size = 30
		refs = "0017 TControl.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 1C 84 C0 74 0A 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12102_0 {
	meta:
		name = "TMenuActionLink.SetCaption"
		size = 30
		refs = "0017 TMenuItem.SetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 1C 84 C0 74 0A 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4065_0 {
	meta:
		name = "TControlActionLink.SetEnabled"
		size = 30
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 24 84 C0 74 0A 8B D3 8B 46 10 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_4066_0 {
	meta:
		name = "TControlActionLink.SetHint"
		size = 33
		refs = "001a @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 2C 84 C0 74 0D 8B 43 10 83 C0 74 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4067_0 {
	meta:
		name = "TControlActionLink.SetVisible"
		size = 30
		refs = "0017 TControl.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 38 84 C0 74 0A 8B D3 8B 46 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12109_0 {
	meta:
		name = "TMenuActionLink.SetVisible"
		size = 30
		refs = "0017 TMenuItem.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 38 84 C0 74 0A 8B D3 8B 46 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4068_0 {
	meta:
		name = "TControlActionLink.SetOnExecute"
		size = 43
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 08 84 C0 74 15 8B 43 10 8B 55 08 89 90 04 01 00 00 8B 55 0C 89 90 08 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4069_0 {
	meta:
		name = "TControl.Create"
		size = 208
		refs = "000e @ClassCreate 001c TComponent.Create 002c TControl.Create 0036 _Dn_TFont 003b TFont.Create 004a TControl.FontChanged 005b _DV_TSizeConstraints 0060 TSizeConstraints.Create 006f TControl.DoConstraintsChange 00a0 _Dn_TCustomDockForm 00b3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 5B 2C 8B 03 8B 40 70 89 43 28 A1 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 89 5E 08 C7 46 04 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 43 60 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 68 89 5E 1C C7 46 18 ?? ?? ?? ?? C7 43 64 05 00 00 80 C6 43 47 01 C6 43 48 01 C6 43 49 01 C6 43 4A 01 C6 83 86 00 00 00 01 C6 43 50 01 C6 43 4E 00 66 C7 43 6E F4 FF A1 ?? ?? ?? ?? 89 83 A0 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 AA 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_4070_0 {
	meta:
		name = "TControl.Destroy"
		size = 173
		refs = "0006 @BeforeDestruction 0010 Application 0019 TApplication.ControlDestroyed 003f TControl.Perform 004a TControl.GetBoundsRect 005c @CallDynaInst 006c TObject.Free 0089 StrDispose 0096 TComponent.Destroy 00a3 @ClassDestroy"
	strings:
		$1 = { 53 56 83 C4 EC E8 ?? ?? ?? ?? 88 14 24 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 64 8B 86 8C 00 00 00 85 C0 74 38 F6 40 20 08 75 32 56 33 C9 BA 39 B0 00 00 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 04 83 CA FF 8B C6 66 BB D2 FF E8 ?? ?? ?? ?? 33 C0 89 86 8C 00 00 00 8B 46 5C E8 ?? ?? ?? ?? 33 C0 89 46 5C 8B 46 68 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 8B 46 54 E8 ?? ?? ?? ?? 8A 14 24 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_4072_0 {
	meta:
		name = "TControl.GetEnabled"
		size = 4
	strings:
		$1 = { 8A 40 48 C3 }
	condition:
		$1
}

rule function_4074_0 {
	meta:
		name = "TControl.HasParent"
		size = 8
		altNames = "TSession.GetActive"
	strings:
		$1 = { 83 78 24 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_4076_0 {
	meta:
		name = "TControl.SetParentComponent"
		size = 35
		refs = "000a _DV_TWinControl 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 64 5E 5B C3 }
	condition:
		$1
}

rule function_4077_0 {
	meta:
		name = "TControl.PaletteChanged"
		size = 123
		refs = "001d @CallDynaInst 0041 SelectPalette 0049 RealizePalette 0068 ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 F8 88 14 24 8B F0 C6 44 24 01 00 80 7E 47 00 74 5B 8B C6 66 BB DD FF E8 ?? ?? ?? ?? 8B F8 85 FF 74 4A 8D 54 24 04 8B C6 8B 08 FF 51 48 8B D8 8A 04 24 34 01 F6 D8 1B C0 50 57 53 E8 ?? ?? ?? ?? 8B F8 53 E8 ?? ?? ?? ?? 85 C0 74 07 8B C6 8B 10 FF 52 78 6A FF 57 53 E8 ?? ?? ?? ?? 53 8B 44 24 08 50 E8 ?? ?? ?? ?? C6 44 24 01 01 8A 44 24 01 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4078_0 {
	meta:
		name = "TControl.GetAction"
		size = 14
	strings:
		$1 = { 8B 50 5C 85 D2 74 04 8B 42 0C C3 33 C0 C3 }
	condition:
		$1
}

rule function_4079_0 {
	meta:
		name = "TControl.SetAction"
		size = 123
		refs = "000f TObject.Free 0035 @CallDynaInst 0056 TControl.DoActionChange 0073 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 85 FF 75 16 8B 46 5C E8 ?? ?? ?? ?? 33 C0 89 46 5C 81 66 40 FF 7F FF FF EB 56 81 4E 40 00 80 00 00 83 7E 5C 00 75 15 8B C6 66 BB DF FF E8 ?? ?? ?? ?? 8B CE B2 01 FF 50 14 89 46 5C 8B D7 8B 46 5C 8B 08 FF 51 0C 8B 46 5C 89 70 08 C7 40 04 ?? ?? ?? ?? F6 47 20 01 0F 95 C1 8B D7 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4080_0 {
	meta:
		name = "TControl.IsAnchorsStored"
		size = 22
		refs = "000a AnchorAlign"
	strings:
		$1 = { 53 8B D8 33 C0 8A 43 4B 8A 80 ?? ?? ?? ?? 3A 43 60 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_4081_0 {
	meta:
		name = "TControl.SetDragMode"
		size = 4
	strings:
		$1 = { 88 50 4D C3 }
	condition:
		$1
}

rule function_4082_0 {
	meta:
		name = "TControl.RequestAlign"
		size = 14
		refs = "0009 TWinControl.AlignControl"
	strings:
		$1 = { 8B 50 24 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4083_0 {
	meta:
		name = "TControl.Resize"
		size = 29
		altNames = "TDataSet.DoBeforePost"
	strings:
		$1 = { 53 66 83 B8 DE 00 00 00 00 74 10 8B D8 8B D0 8B 83 E0 00 00 00 FF 93 DC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4084_0 {
	meta:
		name = "TControl.ReadState"
		size = 145
		refs = "0013 _DV_TWinControl 0018 @IsClass 002e TComponent.ReadState 0049 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 66 83 4B 44 08 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 8B 08 FF 51 64 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 63 44 F7 83 7B 24 00 74 50 6A 00 33 C9 BA 09 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 08 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 23 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 35 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 3D B0 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4085_0 {
	meta:
		name = "TControl.Notification"
		size = 65
		refs = "0010 TComponent.Notification 0023 TControl.SetPopupMenu 002c TControl.GetAction 0039 TControl.SetAction"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 24 3B 7E 70 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 14 8B C6 E8 ?? ?? ?? ?? 3B F8 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4086_0 {
	meta:
		name = "TControl.SetAlign"
		size = 150
		refs = "0075 @CallDynaInst 0080 AnchorAlign"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8A 46 4B 3A 04 24 74 77 8A 14 24 88 56 4B F6 46 20 01 75 5D F6 46 20 10 74 06 83 7E 24 00 74 51 8B D0 4A 80 EA 02 0F 92 C2 8A 0C 24 80 C1 FD 80 E9 02 0F 92 C1 3A D1 75 2D 84 C0 74 29 2C 05 74 25 8A 04 24 84 C0 74 1E 2C 05 74 1A 8B 46 3C 50 8B 46 38 50 8B 4E 34 8B 56 30 8B C6 8B 18 FF 93 80 00 00 00 EB 0B 8B C6 66 BB EF FF E8 ?? ?? ?? ?? 33 C0 8A 04 24 8A 80 ?? ?? ?? ?? 88 46 60 8B C6 66 BB D6 FF E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4087_0 {
	meta:
		name = "TControl.SetBounds"
		size = 165
		refs = "0017 TControl.CheckNewSize 0044 TControl.InvalidateControl 007d TControl.Perform 0088 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8D 4D 08 8D 55 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 7E 3B 5E 30 75 18 8B 45 FC 3B 46 34 75 10 8B 45 0C 3B 46 38 75 08 8B 45 08 3B 46 3C 74 61 33 C9 8A 56 47 8B C6 E8 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B C6 8B 38 FF 57 30 89 5E 30 8B 45 FC 89 46 34 8B 45 0C 89 46 38 8B 45 08 89 46 3C 8B C6 8B 10 FF 52 78 6A 00 33 C9 BA 47 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB D6 FF E8 ?? ?? ?? ?? F6 46 20 01 75 0B 8B C6 66 BB D5 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4088_0 {
	meta:
		name = "TControl.SetLeft"
		size = 35
	strings:
		$1 = { 53 56 8B D8 8B 43 38 50 8B 43 3C 50 8B 4B 34 8B C3 8B 30 FF 96 80 00 00 00 80 8B 84 00 00 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_4089_0 {
	meta:
		name = "TControl.SetTop"
		size = 37
	strings:
		$1 = { 53 56 8B D8 8B 43 38 50 8B 43 3C 50 8B CA 8B C3 8B 53 30 8B 30 FF 96 80 00 00 00 80 8B 84 00 00 00 02 5E 5B C3 }
	condition:
		$1
}

rule function_4090_0 {
	meta:
		name = "TControl.SetWidth"
		size = 35
	strings:
		$1 = { 53 56 8B D8 52 8B 43 3C 50 8B 4B 34 8B C3 8B 53 30 8B 30 FF 96 80 00 00 00 80 8B 84 00 00 00 04 5E 5B C3 }
	condition:
		$1
}

rule function_4091_0 {
	meta:
		name = "TControl.SetHeight"
		size = 35
	strings:
		$1 = { 53 56 8B D8 8B 43 38 50 52 8B 4B 34 8B C3 8B 53 30 8B 30 FF 96 80 00 00 00 80 8B 84 00 00 00 08 5E 5B C3 }
	condition:
		$1
}

rule function_4092_0 {
	meta:
		name = "TControl.Dock"
		size = 268
		refs = "0045 TList.Remove 0065 TList.Add 0076 TControl.Dock 0092 @CallDynaInst 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D EC B9 04 00 00 00 F3 A5 8B F2 89 45 FC 8B 45 FC 3B B0 8C 00 00 00 74 44 8B 45 FC 8B 80 8C 00 00 00 85 C0 74 17 83 B8 34 01 00 00 00 74 0E 8B 80 34 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 85 F6 74 1C 83 FE FF 74 17 83 BE 34 01 00 00 00 74 0E 8B 86 34 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 66 81 48 44 00 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 FE FF 74 11 8D 4D EC 8B D6 8B 45 FC 66 BB E7 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 00 00 00 3B F0 74 44 8B F8 83 FE FF 74 20 8B 45 FC 89 B0 8C 00 00 00 85 F6 74 1E 8D 4D EC 8B 55 FC 8B C6 66 BB CD FF E8 ?? ?? ?? ?? EB 0B 8B 45 FC 33 D2 89 90 8C 00 00 00 85 FF 74 0E 8B 55 FC 8B C7 66 BB C4 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 81 60 44 FF FB C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4093_0 {
	meta:
		name = "TControl.DoDock"
		size = 85
		refs = "000d _DV_TWinControl 0012 @IsClass 0022 TControl.InvalidateControl 0030 TControl.UpdateBoundsRect 003b TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 33 C9 8A 53 47 8B C3 E8 ?? ?? ?? ?? 3B 73 24 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 85 F6 74 05 83 FE FF 75 09 33 D2 8B C3 8B 08 FF 51 64 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4094_0 {
	meta:
		name = "TControl.SetHostDockSite"
		size = 41
		refs = "000f TControl.GetBoundsRect 001e @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B CC 8B D7 8B C6 66 BB D2 FF E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4095_0 {
	meta:
		name = "TControl.GetBoundsRect"
		size = 30
	strings:
		$1 = { 8B 48 30 89 0A 8B 48 34 89 4A 04 8B 48 30 03 48 38 89 4A 08 8B 48 34 03 48 3C 89 4A 0C C3 }
	condition:
		$1
}

rule function_4096_0 {
	meta:
		name = "TControl.SetBoundsRect"
		size = 36
	strings:
		$1 = { 53 56 57 8B 4A 08 8B 32 2B CE 51 8B 4A 0C 8B 7A 04 2B CF 51 8B CF 8B D6 8B 18 FF 93 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4097_0 {
	meta:
		name = "TControl.GetClientRect"
		size = 22
	strings:
		$1 = { 33 C9 89 0A 33 C9 89 4A 04 8B 48 38 89 4A 08 8B 40 3C 89 42 0C C3 }
	condition:
		$1
}

rule function_4098_0 {
	meta:
		name = "TControl.GetClientWidth"
		size = 24
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 44 8B 44 24 08 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_4100_0 {
	meta:
		name = "TControl.GetClientHeight"
		size = 24
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 44 8B 44 24 0C 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_4102_0 {
	meta:
		name = "TControl.GetClientOrigin"
		size = 142
		refs = "0015 TControl.GetClientOrigin 0039 SParentRequired 003e LoadResString 0048 _Dn_EInvalidOperation 004d Exception.CreateFmt 0052 @RaiseExcept 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 31 8B 43 08 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 24 8B 08 FF 51 40 8B 43 30 01 06 8B 43 34 01 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4103_0 {
	meta:
		name = "TControl.ClientToScreen"
		size = 44
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B C3 8B 08 FF 51 40 8B 06 03 04 24 89 07 8B 46 04 03 44 24 04 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4104_0 {
	meta:
		name = "TControl.ScreenToClient"
		size = 44
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B C3 8B 08 FF 51 40 8B 06 2B 04 24 89 07 8B 46 04 2B 44 24 04 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4105_0 {
	meta:
		name = "TControl.SendCancelMode"
		size = 47
		refs = "000f _Dn_TCustomForm 0014 @IsClass 0021 TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B 58 24 85 DB 74 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 5B 24 85 DB 75 DF 5E 5B C3 }
	condition:
		$1
}

rule function_4106_0 {
	meta:
		name = "TControl.SendDockNotification"
		size = 104
		refs = "001c DragObject 0024 TControl.SendDockNotification 0052 TControl.Perform"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8B B3 8C 00 00 00 85 F6 74 3C 83 3D ?? ?? ?? ?? 00 75 33 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 75 21 89 7D F0 8B 45 FC 89 45 F4 8B 45 08 89 45 F8 8D 45 F0 50 8B CB BA 42 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4107_0 {
	meta:
		name = "TControl.Changed"
		size = 14
		refs = "0009 TControl.Perform"
	strings:
		$1 = { 50 33 C9 BA 37 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4108_0 {
	meta:
		name = "TControl.ChangeScale"
		size = 328
		refs = "0027 TControl.ChangeScale 003a MulDiv 0119 TFont.GetSize 0128 TFont.SetSize"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B FA 8B F0 3B 3C 24 0F 84 15 01 00 00 F6 46 20 01 74 08 8A 9E 84 00 00 00 EB 06 8A 1D ?? ?? ?? ?? F6 C3 01 74 12 8B 04 24 50 57 8B 46 30 50 E8 ?? ?? ?? ?? 8B E8 EB 03 8B 6E 30 F6 C3 02 74 14 8B 04 24 50 57 8B 46 34 50 E8 ?? ?? ?? ?? 89 44 24 04 EB 07 8B 46 34 89 44 24 04 F6 C3 04 74 38 F6 46 41 01 75 32 F6 C3 01 74 19 8B 04 24 50 57 8B 46 30 03 46 38 50 E8 ?? ?? ?? ?? 2B C5 89 44 24 08 EB 1B 8B 04 24 50 57 8B 46 38 50 E8 ?? ?? ?? ?? 89 44 24 08 EB 07 8B 46 38 89 44 24 08 F6 C3 08 0F 95 C0 84 C0 74 37 F6 46 41 02 75 31 F6 C3 08 0F 95 C2 84 C0 74 17 8B 04 24 50 57 8B 46 34 03 46 3C 50 E8 ?? ?? ?? ?? 2B 44 24 04 EB 13 8B 04 24 50 57 8B 46 34 50 E8 ?? ?? ?? ?? EB 03 8B 46 3C 8B 54 24 08 52 50 8B 4C 24 0C 8B D5 8B C6 8B 28 FF 95 80 00 00 00 80 7E 49 00 75 23 F6 C3 10 74 1E 8B 04 24 50 57 8B 5E 58 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 86 84 00 00 00 83 C4 0C 5D 5F 5E 5B C3 00 1F 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4109_0 {
	meta:
		name = "TControl.SetAutoSize"
		size = 24
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 53 3A 50 4C 74 10 88 50 4C 84 D2 74 09 66 BB EF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4110_0 {
	meta:
		name = "TControl.SetName"
		size = 158
		refs = "0017 TControl.SetName 002d TControl.GetText 0038 @LStrCmp 0049 _DV_TControl 004e @IsClass 0068 TComponent.SetName 0076 TControl.SetText 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 47 40 20 74 35 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 47 08 E8 ?? ?? ?? ?? 75 1E 8B 77 04 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A F6 46 20 01 74 04 33 DB EB 02 B3 01 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4111_0 {
	meta:
		name = "TControl.SetClientSize"
		size = 72
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8D 3C 24 A5 A5 8B D8 8D 54 24 08 8B C3 8B 08 FF 51 44 8B 43 38 2B 44 24 10 03 04 24 50 8B 43 3C 2B 44 24 18 03 44 24 08 50 8B 4B 34 8B 53 30 8B C3 8B 18 FF 93 80 00 00 00 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4112_0 {
	meta:
		name = "TControl.SetParent"
		size = 130
		refs = "000f TControl.SetParent 0028 SControlParentSetToSelf 002d LoadResString 0037 _Dn_EInvalidOperation 003c Exception.Create 0041 @RaiseExcept 004f TWinControl.RemoveControl 005c TWinControl.InsertControl 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 3B F0 74 40 3B D8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4113_0 {
	meta:
		name = "TControl.SetVisible"
		size = 68
		refs = "0017 @CallDynaInst 0031 TControl.Perform"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8A 46 47 3A 04 24 74 30 8B C6 66 BB D3 FF E8 ?? ?? ?? ?? 8A 04 24 88 46 47 6A 00 33 C9 8A 4C 24 04 BA 0B B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB D6 FF E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4114_0 {
	meta:
		name = "TControl.SetEnabled"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 3A 50 48 74 11 88 50 48 6A 00 33 C9 BA 0C B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4115_0 {
	meta:
		name = "TControl.GetTextLen"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4116_0 {
	meta:
		name = "TControl.GetTextBuf"
		size = 12
		refs = "0007 TControl.Perform"
	strings:
		$1 = { 52 BA 0D 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4117_0 {
	meta:
		name = "TControl.GetUndockHeight"
		size = 17
	strings:
		$1 = { 8B 90 94 00 00 00 85 D2 7E 03 8B C2 C3 8B 40 3C C3 }
	condition:
		$1
}

rule function_4118_0 {
	meta:
		name = "TControl.GetUndockWidth"
		size = 17
	strings:
		$1 = { 8B 90 90 00 00 00 85 D2 7E 03 8B C2 C3 8B 40 38 C3 }
	condition:
		$1
}

rule function_4119_0 {
	meta:
		name = "TControl.GetTBDockHeight"
		size = 19
		refs = "000e TControl.GetUndockHeight"
	strings:
		$1 = { 8B 90 9C 00 00 00 85 D2 7E 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4120_0 {
	meta:
		name = "TControl.GetLRDockWidth"
		size = 19
		refs = "000e TControl.GetUndockWidth"
	strings:
		$1 = { 8B 90 98 00 00 00 85 D2 7E 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4121_0 {
	meta:
		name = "TControl.SetPopupMenu"
		size = 34
		refs = "0012 TMenu.ParentBiDiModeChanged 001b TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 70 85 F6 74 12 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4122_0 {
	meta:
		name = "TControl.SetTextBuf"
		size = 36
		refs = "000e TControl.Perform"
	strings:
		$1 = { 53 8B D8 52 33 C9 8B C3 BA 0C 00 00 00 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 12 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4123_0 {
	meta:
		name = "TControl.GetText"
		size = 47
		refs = "000a TControl.GetTextLen 0017 @LStrFromPCharLen 0027 TControl.GetTextBuf"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 85 DB 74 0C 8D 4B 01 8B 17 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4124_0 {
	meta:
		name = "TControl.SetText"
		size = 97
		refs = "000f TControl.SetText 001f TControl.GetText 0029 @LStrCmp 0032 @LStrToPChar 003b TControl.SetTextBuf 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4125_0 {
	meta:
		name = "TControl.SetBiDiMode"
		size = 27
		refs = "0016 TControl.Perform"
	strings:
		$1 = { 3A 50 4F 74 15 88 50 4F C6 40 50 00 6A 00 33 C9 BA 3C B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4126_0 {
	meta:
		name = "TControl.FontChanged"
		size = 60
		refs = "000f TFont.GetHeight 0036 TControl.Perform"
	strings:
		$1 = { 53 8B D8 C6 43 49 00 C6 43 46 00 8B 43 58 E8 ?? ?? ?? ?? 3B 43 78 74 12 80 8B 84 00 00 00 10 8B 43 58 E8 ?? ?? ?? ?? 89 43 78 6A 00 33 C9 BA 0E B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4127_0 {
	meta:
		name = "TControl.SetFont"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 58 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_4128_0 {
	meta:
		name = "TControl.IsFontStored"
		size = 18
	strings:
		$1 = { 80 78 49 00 75 06 80 78 46 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_4129_0 {
	meta:
		name = "TControl.IsShowHintStored"
		size = 9
	strings:
		$1 = { 8A 80 86 00 00 00 34 01 C3 }
	condition:
		$1
}

rule function_4130_0 {
	meta:
		name = "TControl.IsBiDiModeStored"
		size = 6
	strings:
		$1 = { 8A 40 50 34 01 C3 }
	condition:
		$1
}

rule function_4131_0 {
	meta:
		name = "TControl.SetParentFont"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3A 50 49 74 17 88 50 49 83 78 24 00 74 0E 6A 00 33 C9 BA 08 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4132_0 {
	meta:
		name = "TControl.SetDesktopFont"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 3A 50 46 74 11 88 50 46 6A 00 33 C9 BA 35 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4133_0 {
	meta:
		name = "TControl.SetShowHint"
		size = 36
		refs = "001f TControl.Perform"
	strings:
		$1 = { 3A 90 85 00 00 00 74 1B 88 90 85 00 00 00 C6 80 86 00 00 00 00 6A 00 33 C9 BA 22 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4134_0 {
	meta:
		name = "TControl.SetParentShowHint"
		size = 35
		refs = "001e TControl.Perform"
	strings:
		$1 = { 3A 90 86 00 00 00 74 1A 88 90 86 00 00 00 83 78 24 00 74 0E 6A 00 33 C9 BA 23 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4135_0 {
	meta:
		name = "TControl.SetColor"
		size = 27
		refs = "0016 TControl.Perform"
	strings:
		$1 = { 3B 50 64 74 15 89 50 64 C6 40 4A 00 6A 00 33 C9 BA 0D B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4136_0 {
	meta:
		name = "TControl.IsColorStored"
		size = 6
	strings:
		$1 = { 8A 40 4A 34 01 C3 }
	condition:
		$1
}

rule function_4137_0 {
	meta:
		name = "TControl.SetParentColor"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3A 50 4A 74 17 88 50 4A 83 78 24 00 74 0E 6A 00 33 C9 BA 09 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4138_0 {
	meta:
		name = "TControl.SetParentBiDiMode"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3A 50 50 74 17 88 50 50 83 78 24 00 74 0E 6A 00 33 C9 BA 3D B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4139_0 {
	meta:
		name = "TControl.SetCursor"
		size = 25
		refs = "0014 TControl.Perform"
	strings:
		$1 = { 66 3B 50 6C 74 12 66 89 50 6C 6A 00 33 C9 BA 0F B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4140_0 {
	meta:
		name = "TControl.GetMouseCapture"
		size = 15
		refs = "0004 GetCaptureControl"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_4141_0 {
	meta:
		name = "TControl.SetMouseCapture"
		size = 40
		refs = "0009 TControl.GetMouseCapture 0018 SetCaptureControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4142_0 {
	meta:
		name = "TControl.BringToFront"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 53 B2 01 66 BB D4 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4143_0 {
	meta:
		name = "TControl.SendToBack"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 53 33 D2 66 BB D4 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4144_0 {
	meta:
		name = "TControl.SetZOrderPosition"
		size = 126
		refs = "0017 TList.IndexOf 0040 TList.Delete 0052 TList.Insert 005e TControl.InvalidateControl 0065 ValidParentForm 0076 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 24 85 C0 74 6C 8B 80 28 01 00 00 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 5B 8B 53 24 8B BA 28 01 00 00 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 3E 8B D7 92 E8 ?? ?? ?? ?? 8B 43 24 8B 80 28 01 00 00 8B CB 8B D6 E8 ?? ?? ?? ?? B1 01 8A 53 47 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F6 40 44 04 74 0B B2 01 66 BB D7 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4145_0 {
	meta:
		name = "TControl.SetZOrder"
		size = 36
		refs = "0016 TControl.SetZOrderPosition"
	strings:
		$1 = { 8B 48 24 85 C9 74 1C 84 D2 74 11 8B 91 28 01 00 00 8B 52 08 4A E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4146_0 {
	meta:
		name = "TControl.GetDeviceContext"
		size = 165
		refs = "0013 TControl.GetDeviceContext 0037 SParentRequired 003c LoadResString 0046 _Dn_EInvalidOperation 004b Exception.CreateFmt 0050 @RaiseExcept 006a SetViewportOrgEx 007c IntersectClipRect 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 31 8B 43 08 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 24 8B 08 FF 51 48 8B F0 6A 00 8B 43 34 50 8B 43 30 50 56 E8 ?? ?? ?? ?? 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4147_0 {
	meta:
		name = "BackgroundClipped"
		size = 139
		refs = "0025 TList.IndexOf 0035 TList.Get 004d TControl.GetBoundsRect 0061 IntersectRect 0071 EqualRect"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 C6 45 FF 01 8B 45 08 8B 40 FC 8B 40 24 8B B8 28 01 00 00 8B 45 08 8B 50 FC 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 4E 4E 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 38 F6 43 40 40 74 32 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 08 83 C0 EC 50 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 45 08 83 C0 EC 50 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 08 85 F6 7F B2 C6 45 FF 00 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4148_0 {
	meta:
		name = "TControl.InvalidateControl"
		size = 138
		refs = "0035 TWinControl.HandleAllocated 0044 TControl.GetBoundsRect 005c BackgroundClipped 007b TWinControl.GetHandle 0081 InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 88 4D EB 8B DA 89 45 FC 84 DB 75 12 8B 45 FC F6 40 20 10 74 69 8B 45 FC F6 40 41 04 75 60 8B 45 FC 83 78 24 00 74 57 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 48 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 80 7D EB 00 75 17 8B 45 FC 8B 40 24 F6 40 40 40 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 50 8D 45 EC 50 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4149_0 {
	meta:
		name = "TControl.Invalidate"
		size = 16
		refs = "000b TControl.InvalidateControl"
	strings:
		$1 = { F6 40 40 40 0F 95 C1 8A 50 47 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4151_0 {
	meta:
		name = "TControl.Show"
		size = 47
		refs = "0028 TControl.SetVisible"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 0C 8B D3 8B C6 8B 08 FF 91 B0 00 00 00 F6 43 20 10 74 06 F6 43 41 04 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4152_0 {
	meta:
		name = "TControl.Update"
		size = 20
	strings:
		$1 = { 56 8B 70 24 85 F6 74 0A 8B C6 8B 10 FF 92 84 00 00 00 5E C3 }
	condition:
		$1
}

rule function_4153_0 {
	meta:
		name = "TControl.Refresh"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_4154_0 {
	meta:
		name = "TControl.Repaint"
		size = 248
		refs = "0041 TWinControl.HandleAllocated 0061 TWinControl.GetHandle 0067 GetDC 0072 TControl.Repaint 00a1 IntersectClipRect 00b2 TWinControl.PaintControls 00d4 ReleaseDC 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 80 78 47 00 75 1A 8B 45 FC F6 40 20 10 0F 84 D3 00 00 00 8B 45 FC F6 40 41 04 0F 85 C6 00 00 00 8B 45 FC 83 78 24 00 0F 84 B9 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 84 C0 0F 84 A6 00 00 00 8B 45 FC F6 40 40 40 0F 84 86 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 FC 8B 52 34 8B CA 8B 5D FC 03 4B 3C 51 8B 45 FC 8B 40 30 8B C8 8B 5D FC 03 4B 38 51 52 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 8B 10 FF 52 78 8B 45 FC 8B 10 FF 92 84 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4156_0 {
	meta:
		name = "TControl.IsRightToLeft"
		size = 24
		refs = "0002 SysLocale"
		altNames = "TControl.UseRightToLeftReading"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 4F 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_4158_0 {
	meta:
		name = "TControl.UseRightToLeftAlignment"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 4F 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_4159_0 {
	meta:
		name = "TControl.UseRightToLeftScrollBar"
		size = 26
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 08 8A 40 4F 48 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_4160_0 {
	meta:
		name = "TControl.BeginAutoDrag"
		size = 24
		refs = "0002 Mouse 0013 TControl.BeginDrag"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 4A 08 8B 15 ?? ?? ?? ?? 8A 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4161_0 {
	meta:
		name = "TControl.BeginDrag"
		size = 256
		refs = "0018 TControl.BeginDrag 0026 _Dn_TCustomForm 002b @IsClass 0040 SCannotDragForm 0045 LoadResString 004f _Dn_EInvalidOperation 0054 Exception.Create 0059 @RaiseExcept 0060 TControl.CalcDockSizes 0066 DragControl 0088 GetCursorPos 0095 TControl.ScreenToClient 00a9 PointToSmallPoint 00b8 TControl.Perform 00c1 Mouse 00d8 DragInitControl 00ed @LStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 80 BF 87 00 00 00 01 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 09 83 3D ?? ?? ?? ?? FF 75 66 33 C0 A3 ?? ?? ?? ?? F6 47 44 01 74 39 8D 45 F8 50 E8 ?? ?? ?? ?? 8D 4D EC 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 8B 45 F0 89 45 FC 8D 45 F8 E8 ?? ?? ?? ?? 50 33 C9 BA 02 02 00 00 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 08 A1 ?? ?? ?? ?? 8B 70 08 83 3D ?? ?? ?? ?? FF 74 0B 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4162_0 {
	meta:
		name = "TControl.EndDrag"
		size = 49
		refs = "0009 TControl.Dragging 0014 DragDone 001d DragControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 83 3D ?? ?? ?? ?? 00 75 0A C7 05 ?? ?? ?? ?? FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_4164_0 {
	meta:
		name = "TControl.Dragging"
		size = 10
		refs = "0002 DragControl"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 0F 94 C0 C3 }
	condition:
		$1
}

rule function_4165_0 {
	meta:
		name = "TControl.DragOver"
		size = 58
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 C6 06 00 66 83 B8 D6 00 00 00 00 74 1F C6 06 01 51 8B 4D 10 51 8A 4D 0C 51 56 8B D8 8B CA 8B D0 8B 83 D8 00 00 00 FF 93 D4 00 00 00 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_4166_0 {
	meta:
		name = "TControl.DragDrop"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 CE 00 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 D0 00 00 00 FF 93 CC 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4167_0 {
	meta:
		name = "TControl.DoStartDrag"
		size = 31
	strings:
		$1 = { 53 66 83 B8 F6 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 F8 00 00 00 FF 93 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4168_0 {
	meta:
		name = "TControl.DoEndDrag"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 FE 00 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 00 01 00 00 FF 93 FC 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4169_0 {
	meta:
		name = "TControl.PositionDockRect"
		size = 208
		refs = "001f TControl.GetUndockWidth 0029 TControl.GetUndockHeight 005f @ROUND 0090 TWinControl.GetHandle 0096 GetWindowRect"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B DA 83 7B 04 00 74 0C 8B 43 04 80 B8 80 01 00 00 00 75 6D 8B 43 30 E8 ?? ?? ?? ?? 8B F8 8B 43 30 E8 ?? ?? ?? ?? 8B E8 89 7C 24 10 DB 44 24 10 DC 4B 1C DB 43 0C DE E1 DD 1C 24 9B 89 6C 24 10 DB 44 24 10 DC 4B 24 DB 43 10 DE E1 DD 5C 24 08 9B 8D 73 38 DD 04 24 E8 ?? ?? ?? ?? 89 06 DD 44 24 08 E8 ?? ?? ?? ?? 89 46 04 03 3E 89 7E 08 03 6E 04 89 6E 0C 8D 53 38 8B C3 8B 08 FF 51 28 EB 40 8D 43 38 50 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 04 80 B8 80 01 00 00 00 74 22 83 B8 3C 01 00 00 00 74 19 8A 53 48 52 8D 53 38 52 8B 80 3C 01 00 00 8B 4B 4C 8B 53 30 8B 18 FF 53 24 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4170_0 {
	meta:
		name = "TControl.DockTrackNoTarget"
		size = 30
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B D7 8B C6 66 BB D8 FF E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4171_0 {
	meta:
		name = "TControl.DoEndDock"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 EE 00 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 F0 00 00 00 FF 93 EC 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4172_0 {
	meta:
		name = "TControl.DoStartDock"
		size = 31
	strings:
		$1 = { 53 66 83 B8 E6 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 E8 00 00 00 FF 93 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4173_0 {
	meta:
		name = "TControl.DefaultDockImage"
		size = 303
		refs = "003e GetDesktopWindow 0051 GetDCEx 005c TControl.DefaultDockImage 006a TBrush.GetHandle 0074 SelectObject 009a PatBlt 011c ReleaseDC 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 88 4D FF 8B F2 8B C6 8B 10 FF 52 34 8B D8 80 7D FF 00 74 11 56 83 C6 50 8D 7D E0 B9 04 00 00 00 F3 A5 5E EB 0F 56 83 C6 38 8D 7D E0 B9 04 00 00 00 F3 A5 5E E8 ?? ?? ?? ?? 89 45 F8 68 02 04 00 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 34 E8 ?? ?? ?? ?? 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 68 49 00 5A 00 53 8B 45 E8 8B 75 E0 2B C6 2B C3 50 8B 7D E4 57 8B C6 03 C3 50 8B 45 F4 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B 45 EC 2B C7 2B C3 50 53 8B C7 03 C3 50 8B 45 E8 2B C3 50 8B 45 F4 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 53 8B 45 E8 2B 45 E0 2B C3 50 8B 45 EC 2B C3 50 56 8B 45 F4 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B 45 EC 2B 45 E4 2B C3 50 53 57 56 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4174_0 {
	meta:
		name = "TControl.DrawDragDockImage"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 53 33 C9 66 BB EA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4175_0 {
	meta:
		name = "TControl.EraseDragDockImage"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 53 B1 01 66 BB EA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4176_0 {
	meta:
		name = "TControl.DoDragMsg"
		size = 238
		refs = "0016 _DV_TDragDockObject 001b @IsClass 0023 DragFreeObject 0032 _DV_TDragControlObject 0037 @AsClass 0048 TControl.ScreenToClient 007f @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 89 04 24 8B 7D 08 8B 77 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 3D ?? ?? ?? ?? 00 74 14 84 DB 75 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 70 30 8D 4C 24 08 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8A 45 04 2C 03 72 07 74 5C E9 8C 00 00 00 C6 44 24 04 01 84 DB 74 22 8B 44 24 0C 50 8A 45 04 50 8D 44 24 0C 50 8B 4C 24 14 8B D6 8B 47 0C 66 BB CC FF E8 ?? ?? ?? ?? EB 21 8B 44 24 0C 50 8A 45 04 50 8D 44 24 0C 50 8B 4C 24 14 8B D6 8B 44 24 0C 66 BB E4 FF E8 ?? ?? ?? ?? 33 C0 8A 44 24 04 89 45 0C EB 35 84 DB 74 19 8B 44 24 0C 50 8B 4C 24 0C 8B D6 8B 47 0C 66 BB BD FF E8 ?? ?? ?? ?? EB 18 8B 44 24 0C 50 8B 4C 24 0C 8B D6 8B 44 24 04 66 BB D1 FF E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4177_0 {
	meta:
		name = "TControl.ManualDock"
		size = 497
		refs = "0058 TWinControl.GetHandle 005e MapWindowPoints 006e Point 008e TControl.ClientToScreen 00a1 TControl.GetUndockHeight 00ad TControl.GetUndockWidth 00ba Bounds 00d3 TControl.ManualFloat 00e2 TControl.CalcDockSizes 0109 @CallDynaInst 0129 _DV_TDragDockObject 012e TDragDockObject.Create 0139 TControl.ManualDock 015e TControl.GetBoundsRect 01d9 TObject.Free 01df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D FC 8B FA 8B F0 85 FF 74 09 83 FF FF 0F 85 C2 00 00 00 8B 86 8C 00 00 00 85 C0 74 3D 80 B8 80 01 00 00 00 74 34 83 B8 3C 01 00 00 00 74 2B 8D 4D E4 8B 80 3C 01 00 00 8B D6 8B 18 FF 53 14 6A 02 8D 45 E4 50 6A 00 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 3A 8D 4D DC 8B 56 34 8B 46 30 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8B 5E 24 85 DB 74 19 8D 4D DC 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8B C6 E8 ?? ?? ?? ?? 50 8D 45 CC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 56 8D 75 CC 8D 7D E4 B9 04 00 00 00 F3 A5 5E 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 88 45 FB E9 06 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 54 84 C0 75 24 83 BE 8C 00 00 00 00 74 17 8B 86 8C 00 00 00 8B CE 8B D7 66 BB C3 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 0F 84 C1 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 86 8C 00 00 00 85 C0 74 09 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 85 DB 74 0E 6A 02 8D 45 E4 50 6A 00 53 E8 ?? ?? ?? ?? 8B 45 F4 89 78 04 8B 45 F4 8A 55 08 88 50 48 8B 45 F4 8B 55 FC 89 50 4C 8B 45 F4 57 8D 78 38 8D 75 E4 B9 04 00 00 00 F3 A5 5F 6A 01 8D 45 E4 50 8B C7 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 4D E4 8B 55 F4 8B C7 66 BB BD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4178_0 {
	meta:
		name = "TControl.ManualFloat"
		size = 159
		refs = "002a @CallDynaInst 0048 TControl.CreateFloatingDockSite 0055 TControl.GetClientHeight 0062 TControl.GetClientWidth 006d Rect"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F2 8D 7C 24 04 B9 04 00 00 00 F3 A5 8B F0 8B BE 8C 00 00 00 85 FF 74 17 8B CE 33 D2 8B C7 66 BB C3 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 54 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 32 8B C7 E8 ?? ?? ?? ?? 50 8D 44 24 18 50 8B C7 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4C 24 14 8B D7 8B C6 66 BB D2 FF E8 ?? ?? ?? ?? EB 11 8D 4C 24 04 8B D7 8B C6 66 BB D2 FF E8 ?? ?? ?? ?? 8A 04 24 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4179_0 {
	meta:
		name = "TControl.ReplaceDockedControl"
		size = 208
		refs = "0069 TControl.ReplaceDockedControl 007d TControl.ManualDock 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F8 89 55 FC 8B D8 C6 45 F7 00 8B 55 FC 83 BA 8C 00 00 00 00 74 23 8B 45 FC 8B 80 8C 00 00 00 80 B8 80 01 00 00 00 0F 84 91 00 00 00 83 B8 3C 01 00 00 00 0F 84 84 00 00 00 8B 45 FC 8B 80 8C 00 00 00 89 45 F0 83 7D F0 00 74 11 8B 45 F0 8B 80 3C 01 00 00 8B 55 FC 8B 08 FF 51 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 33 C9 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 10 8B 45 F0 8B 80 3C 01 00 00 33 D2 8B 08 FF 51 34 C3 E9 ?? ?? ?? ?? EB E2 8A 45 08 50 8B 4D 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 F7 01 8A 45 F7 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4180_0 {
	meta:
		name = "TControl.DoConstraintsChange"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 53 66 BB EF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4182_0 {
	meta:
		name = "TControl.CanResize"
		size = 46
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 A6 00 00 00 00 74 18 51 8D 4C 24 04 51 8B CA 8B D8 8B D0 8B 83 A8 00 00 00 FF 93 A4 00 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_4183_0 {
	meta:
		name = "TControl.DoCanAutoSize"
		size = 105
	strings:
		$1 = { 53 56 83 C4 F0 89 4C 24 04 89 14 24 8B F0 80 7E 4B 05 74 4D 8B 04 24 8B 00 89 44 24 08 8B 44 24 04 8B 00 89 44 24 0C 8D 4C 24 0C 8D 54 24 08 8B C6 8B 18 FF 53 38 8A 56 4B 8B CA 84 C9 74 08 80 C1 FD 80 E9 02 73 09 8B 0C 24 8B 5C 24 08 89 19 80 EA 03 73 0E 8B 54 24 04 8B 4C 24 0C 89 0A EB 02 B0 01 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_4184_0 {
	meta:
		name = "TControl.DoCanResize"
		size = 48
		refs = "0025 TControl.DoConstrainedResize"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B F0 8B 0C 24 8B D7 8B C6 8B 18 FF 53 34 8B D8 84 DB 74 0C 8B 0C 24 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4185_0 {
	meta:
		name = "TControl.ConstrainedResize"
		size = 46
	strings:
		$1 = { 55 8B EC 53 66 83 B8 AE 00 00 00 00 74 1B 51 8B 4D 0C 51 8B 4D 08 51 8B CA 8B D8 8B D0 8B 83 B0 00 00 00 FF 93 AC 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4186_0 {
	meta:
		name = "TControl.DoConstrainedResize"
		size = 211
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B 50 68 8B 52 14 85 D2 76 05 89 14 24 EB 05 33 D2 89 14 24 8B 50 68 8B 52 10 85 D2 76 06 89 54 24 04 EB 06 33 D2 89 54 24 04 8B 50 68 8B 52 0C 85 D2 76 06 89 54 24 08 EB 06 33 D2 89 54 24 08 8B 50 68 8B 52 08 85 D2 76 06 89 54 24 0C EB 06 33 D2 89 54 24 0C 8D 54 24 08 52 8D 54 24 10 52 8D 4C 24 0C 8D 54 24 08 8B 18 FF 53 3C 83 7C 24 08 00 7E 10 8B 06 3B 44 24 08 7E 08 8B 44 24 08 89 06 EB 12 83 3C 24 00 7E 0C 8B 06 3B 04 24 7D 05 8B 04 24 89 06 83 7C 24 0C 00 7E 10 8B 07 3B 44 24 0C 7E 08 8B 44 24 0C 89 07 EB 15 83 7C 24 04 00 7E 0E 8B 07 3B 44 24 04 7D 06 8B 44 24 04 89 07 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4187_0 {
	meta:
		name = "TControl.Perform"
		size = 49
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F0 89 4D F4 8B 55 08 89 55 F8 33 D2 89 55 FC 85 C0 74 0B 8D 55 F0 8B D8 8B 43 2C FF 53 28 8B 45 FC 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4188_0 {
	meta:
		name = "TControl.CalcDockSizes"
		size = 112
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 54 84 C0 74 14 8B 43 3C 89 83 94 00 00 00 8B 43 38 89 83 90 00 00 00 5B C3 83 BB 8C 00 00 00 00 74 43 80 BB 88 00 00 00 02 74 0E 8B 83 8C 00 00 00 8A 40 4B 48 2C 02 73 0B 8B 43 3C 89 83 9C 00 00 00 EB 21 80 BB 88 00 00 00 01 74 0F 8B 83 8C 00 00 00 8A 40 4B 04 FD 2C 02 73 09 8B 43 38 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4189_0 {
	meta:
		name = "TControl.UpdateBoundsRect"
		size = 57
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 4B 0C 2B 4B 04 8B 53 08 2B 13 8B C6 8B 38 FF 57 30 8B 03 89 46 30 8B 43 04 89 46 34 8B 43 08 2B 03 89 46 38 8B 43 0C 2B 43 04 89 46 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4191_0 {
	meta:
		name = "TControl.WndProc"
		size = 280
		refs = "0010 GetParentForm 00c4 Application 00cd TApplication.HintMouseMessage 00e0 @CallDynaInst 0107 TControl.SendDockNotification"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 74 3A 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 ED 00 00 00 83 BF 30 02 00 00 00 0F 84 E0 00 00 00 8B CE 8B 87 30 02 00 00 8B D3 8B 38 FF 57 24 84 C0 0F 85 D2 00 00 00 E9 C4 00 00 00 8B 06 3D 00 01 00 00 72 33 3D 08 01 00 00 77 2C 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 A3 00 00 00 8B CE 8B D3 8B C7 8B 38 FF 97 D0 00 00 00 84 C0 0F 85 96 00 00 00 E9 88 00 00 00 8B 06 3D 00 02 00 00 72 68 3D 0A 02 00 00 77 61 F6 43 40 80 75 14 2D 03 02 00 00 74 0A 83 E8 03 74 05 83 E8 03 75 03 83 2E 02 8B 06 2D 00 02 00 00 74 0B 48 74 1A 48 74 31 48 74 14 EB 4A 8B CE A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? EB 38 80 7B 4D 01 75 0D 8B C3 66 BB EE FF E8 ?? ?? ?? ?? EB 2E 66 83 4B 44 01 EB 1E 66 83 63 44 FE EB 17 3D 0B B0 00 00 75 10 8B 56 08 52 8B 4E 04 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 EC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4192_0 {
	meta:
		name = "TControl.DefaultHandler"
		size = 136
		refs = "0022 TControl.DefaultHandler 0030 StrLCopy 0035 StrLen 005c StrNew 0066 StrDispose 0079 TControl.SendDockNotification"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 03 83 E8 0C 74 4A 48 74 05 48 74 2A EB 67 8B 46 54 85 C0 74 04 8B F8 EB 05 BF ?? ?? ?? ?? 8B 4B 04 49 8B 43 08 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C EB 3F 8B 7E 54 85 FF 75 07 33 C0 89 43 0C EB 31 8B C7 E8 ?? ?? ?? ?? 89 43 0C EB 25 8B 43 08 E8 ?? ?? ?? ?? 8B F8 8B 46 54 E8 ?? ?? ?? ?? 89 7E 54 8B 43 08 50 8B 4B 04 8B 13 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4193_0 {
	meta:
		name = "TControl.ReadIsControl"
		size = 19
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 88 43 4E 5E 5B C3 }
	condition:
		$1
}

rule function_4194_0 {
	meta:
		name = "TControl.WriteIsControl"
		size = 10
		refs = "0005 TWriter.WriteBoolean"
	strings:
		$1 = { 8A 40 4E 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4195_0 {
	meta:
		name = "DoWrite"
		size = 47
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 1C 85 C0 74 14 8B 55 08 8A 40 4E 8B 55 08 8B 52 F8 3A 42 4E 0F 95 C0 5D C3 8B 45 08 8B 40 F8 8A 40 4E 5D C3 }
	condition:
		$1
}

rule function_4196_0 {
	meta:
		name = "TControl.DefineProperties"
		size = 80
		refs = "0012 TControl.ReadIsControl 001b TControl.WriteIsControl 0021 DoWrite 0029 TControl.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 00 00 FF FF FF FF 09 00 00 00 49 73 43 6F 6E 74 72 6F 6C 00 00 00 }
	condition:
		$1
}

rule function_4197_0 {
	meta:
		name = "TControl.Click"
		size = 110
		refs = "0010 TControl.GetAction 004e @CallDynaInst"
	strings:
		$1 = { 53 8B D8 66 83 BB 06 01 00 00 00 74 2D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 22 8B C3 E8 ?? ?? ?? ?? 8B 40 2C 3B 83 04 01 00 00 74 10 8B D3 8B 83 08 01 00 00 FF 93 04 01 00 00 5B C3 F6 43 20 10 75 14 83 7B 5C 00 74 0E 8B 43 5C 66 BB FF FF E8 ?? ?? ?? ?? EB 18 66 83 BB 06 01 00 00 00 74 0E 8B D3 8B 83 08 01 00 00 FF 93 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4198_0 {
	meta:
		name = "TControl.DblClick"
		size = 29
		altNames = "TDataSet.DoBeforeScroll"
	strings:
		$1 = { 53 66 83 B8 0E 01 00 00 00 74 10 8B D8 8B D0 8B 83 10 01 00 00 FF 93 0C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4199_0 {
	meta:
		name = "TControl.MouseDown"
		size = 54
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 66 83 B8 B6 00 00 00 00 74 1E 8A 4D FF 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 B8 00 00 00 FF 93 B4 00 00 00 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4200_0 {
	meta:
		name = "TControl.DoMouseDown"
		size = 66
		refs = "0023 KeysToShiftState 0036 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 F6 46 41 10 75 26 0F BF 47 08 50 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B C8 0A 4D 08 8A 55 FF 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4201_0 {
	meta:
		name = "TControl.WMLButtonDown"
		size = 76
		refs = "000b TControl.SendCancelMode 0023 TControl.SetMouseCapture 0033 TControl.WMLButtonDown 003f TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 F6 43 40 02 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 40 08 74 05 66 83 4B 44 02 A0 ?? ?? ?? ?? 50 8B D6 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4202_0 {
	meta:
		name = "TControl.WMNCLButtonDown"
		size = 27
		refs = "000b TControl.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4203_0 {
	meta:
		name = "TControl.WMLButtonDblClk"
		size = 84
		refs = "000c TControl.SendCancelMode 0024 TControl.SetMouseCapture 0035 @CallDynaInst 003a TControl.WMLButtonDblClk 0046 TControl.DoMouseDown"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 51 F0 F6 46 40 02 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? F6 46 40 08 74 0B 8B C6 66 BB EB FF E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8B D7 33 C9 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_4205_0 {
	meta:
		name = "TControl.CheckMenuPopup"
		size = 116
		refs = "001e @CallDynaInst 0033 TControl.SendCancelMode 0042 SmallPointToPoint 0051 TControl.ClientToScreen"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F8 F6 47 20 10 75 5C 8B F7 85 F6 74 56 8B C6 66 BB DC FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 3E 80 7B 51 00 74 3F 33 D2 8B C7 E8 ?? ?? ?? ?? 89 73 54 8D 54 24 0C 8B 04 24 E8 ?? ?? ?? ?? 8D 54 24 0C 8D 4C 24 04 8B C7 E8 ?? ?? ?? ?? 8B 4C 24 08 8B 54 24 04 8B C3 8B 18 FF 53 3C EB 07 8B 76 24 85 F6 75 AA 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4206_0 {
	meta:
		name = "TControl.CheckNewSize"
		size = 155
		refs = "0024 TControl.DoCanResize 004c TControl.DoCanAutoSize"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B FA 8B F0 33 DB 8B 07 89 04 24 8B 45 00 89 44 24 04 8D 4C 24 04 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 65 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 80 7E 4C 00 74 3D 8D 4C 24 0C 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B 44 24 08 3B 04 24 75 0A 8B 44 24 0C 3B 44 24 04 74 17 8D 4C 24 0C 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 0D 8B 44 24 08 89 07 8B 44 24 0C 89 45 00 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4207_0 {
	meta:
		name = "TControl.WMRButtonDown"
		size = 40
		refs = "0010 TControl.WMRButtonDown 001c TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 50 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_4208_0 {
	meta:
		name = "TControl.WMRButtonDblClk"
		size = 40
		refs = "0010 TControl.WMRButtonDblClk 001c TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 50 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_4209_0 {
	meta:
		name = "TControl.WMMButtonDown"
		size = 40
		refs = "0010 TControl.WMMButtonDown 001c TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 50 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_4210_0 {
	meta:
		name = "TControl.WMMButtonDblClk"
		size = 40
		refs = "0010 TControl.WMMButtonDblClk 001c TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 50 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_4211_0 {
	meta:
		name = "TControl.MouseMove"
		size = 48
	strings:
		$1 = { 55 8B EC 51 53 88 55 FF 66 83 B8 BE 00 00 00 00 74 18 51 8B 55 08 52 8B D8 8B D0 8A 4D FF 8B 83 C0 00 00 00 FF 93 BC 00 00 00 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4212_0 {
	meta:
		name = "TControl.WMMouseMove"
		size = 57
		refs = "0020 KeysToShiftState 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 F0 F6 46 41 10 75 1F 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B D0 0F BF 4F 08 8B C6 66 BB DA FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4213_0 {
	meta:
		name = "TControl.MouseUp"
		size = 54
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 66 83 B8 C6 00 00 00 00 74 1E 8A 4D FF 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 C8 00 00 00 FF 93 C4 00 00 00 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4214_0 {
	meta:
		name = "TControl.DoMouseUp"
		size = 58
		refs = "0020 KeysToShiftState 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 F6 46 41 10 75 24 0F BF 47 08 50 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B C8 8A 54 24 08 8B C6 66 BB D9 FF E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4215_0 {
	meta:
		name = "TControl.WMLButtonUp"
		size = 117
		refs = "001e TControl.SetMouseCapture 0033 SmallPointToPoint 0050 PtInRect 005f @CallDynaInst 006a TControl.DoMouseUp"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 F0 F6 46 40 02 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? F6 46 44 02 74 3B 66 83 66 44 FD 8B D4 8B 47 08 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 54 24 10 8B C6 8B 08 FF 51 44 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 8B D7 33 C9 8B C6 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4216_0 {
	meta:
		name = "TControl.WMRButtonUp"
		size = 45
		refs = "0016 TControl.DoMouseUp 0026 TControl.CheckMenuPopup"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 75 0A 8B 56 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4217_0 {
	meta:
		name = "TControl.WMMButtonUp"
		size = 29
		refs = "0016 TControl.DoMouseUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4218_0 {
	meta:
		name = "TControl.WMCancelMode"
		size = 61
		refs = "000d TControl.GetMouseCapture 001a TControl.SetMouseCapture 0030 TControl.Perform"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 21 33 D2 8B C6 E8 ?? ?? ?? ?? F6 46 44 01 74 17 6A FF 33 C9 BA 02 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E C3 66 83 66 44 FE 5E C3 }
	condition:
		$1
}

rule function_4219_0 {
	meta:
		name = "TControl.WMWindowPosChanged"
		size = 172
		refs = "0010 TControl.WMWindowPosChanged 009b TControl.CalcDockSizes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 75 7E 8B 43 68 8B 50 0C 85 D2 76 0D 3B 53 38 7D 08 8B 53 38 89 50 0C EB 12 8B 50 14 85 D2 76 0B 3B 53 38 7E 06 8B 53 38 89 50 14 8B 50 08 85 D2 76 0D 3B 53 3C 7D 08 8B 53 3C 89 50 08 EB 12 8B 50 10 85 D2 76 0B 3B 53 3C 7E 06 8B 53 3C 89 50 10 8B 46 08 85 C0 74 28 83 BB 8C 00 00 00 00 74 1F F6 43 45 04 75 19 F6 40 18 01 75 13 83 78 10 00 74 0D 83 78 14 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4220_0 {
	meta:
		name = "TControl.CMVisibleChanged"
		size = 38
		refs = "0021 TControl.InvalidateControl"
	strings:
		$1 = { F6 40 20 10 74 06 F6 40 41 04 74 19 80 78 47 00 74 06 F6 40 40 40 75 04 33 C9 EB 02 B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4224_0 {
	meta:
		name = "TControl.CMParentColorChanged"
		size = 46
		refs = "0015 TControl.SetColor"
	strings:
		$1 = { 53 8B D8 80 7B 4A 00 74 23 83 7A 04 00 74 0C 8B 52 08 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 43 24 8B 50 64 8B C3 E8 ?? ?? ?? ?? C6 43 4A 01 5B C3 }
	condition:
		$1
}

rule function_4225_0 {
	meta:
		name = "TControl.CMParentBiDiModeChanged"
		size = 32
	strings:
		$1 = { 53 8B D8 80 7B 50 00 74 15 8B 43 24 85 C0 74 0A 8A 50 4F 8B C3 8B 08 FF 51 6C C6 43 50 01 5B C3 }
	condition:
		$1
}

rule function_4226_0 {
	meta:
		name = "TControl.CMBiDiModeChanged"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 80 79 09 00 74 0B 83 7A 04 00 75 05 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_4227_0 {
	meta:
		name = "TControl.CMParentShowHintChanged"
		size = 37
		refs = "0018 TControl.SetShowHint"
	strings:
		$1 = { 53 8B D8 80 BB 86 00 00 00 00 74 17 8B 43 24 8A 90 85 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 86 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_4228_0 {
	meta:
		name = "TControl.CMParentFontChanged"
		size = 46
		refs = "0015 TControl.SetFont"
	strings:
		$1 = { 53 8B D8 80 7B 49 00 74 23 83 7A 04 00 74 0C 8B 52 08 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 43 24 8B 50 58 8B C3 E8 ?? ?? ?? ?? C6 43 49 01 5B C3 }
	condition:
		$1
}

rule function_4229_0 {
	meta:
		name = "TControl.CMSysFontChanged"
		size = 32
		refs = "000a Screen 0016 TControl.SetFont"
	strings:
		$1 = { 53 8B D8 80 7B 46 00 74 15 A1 ?? ?? ?? ?? 8B 00 8B 50 74 8B C3 E8 ?? ?? ?? ?? C6 43 46 01 5B C3 }
	condition:
		$1
}

rule function_4230_0 {
	meta:
		name = "TControl.CMHitTest"
		size = 8
		altNames = "TDBCtrlGrid.WMEraseBkgnd TDBCtrlPanel.WMEraseBkgnd TDBNavigator.WMGetDlgCode TMediaPlayer.WMGetDlgCode TPopupGrid.CMHintShow TSpinButton.WMGetDlgCode TTabbedNotebook.WMGetDlgCode"
	strings:
		$1 = { C7 42 0C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_4231_0 {
	meta:
		name = "TControl.CMMouseEnter"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 8B 50 24 85 D2 74 0F 50 33 C9 8B C2 BA 13 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4232_0 {
	meta:
		name = "TControl.CMMouseLeave"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 8B 50 24 85 D2 74 0F 50 33 C9 8B C2 BA 14 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4233_0 {
	meta:
		name = "TControl.CMDesignHitTest"
		size = 6
	strings:
		$1 = { 33 C0 89 42 0C C3 }
	condition:
		$1
}

rule function_4234_0 {
	meta:
		name = "TControl.CreateFloatingDockSite"
		size = 134
		refs = "002d TObject.ClassType 003e Application 0052 TControl.SetTop 005c TControl.SetLeft 006a TControl.SetClientWidth 0079 TControl.SetClientHeight"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 33 F6 8B C3 8B 10 FF 52 58 85 C0 74 5C 8B C3 8B 10 FF 52 58 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 48 8B C3 8B 10 FF 52 58 8B 0D ?? ?? ?? ?? 8B 09 B2 01 FF 50 2C 8B F0 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 2B 14 24 8B C6 E8 ?? ?? ?? ?? 8B 54 24 0C 2B 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B C6 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4235_0 {
	meta:
		name = "UpdateFloatingDockSitePos"
		size = 137
		refs = "001d Point 002d TControl.ClientToScreen 0074 Bounds 007e TControl.SetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 7D 08 83 C7 FC 8D 4D F0 8B 07 8B 50 34 8B 07 8B 40 30 E8 ?? ?? ?? ?? 8D 55 F0 8D 4D F8 8B 07 8B 40 24 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 08 8D 58 38 8B 43 0C 2B 43 04 8B 17 8B 72 24 03 46 3C 8B 17 2B 42 3C 50 8D 45 E0 50 8B 4B 08 2B 0B 03 4E 38 8B 07 2B 48 38 8B 56 34 03 53 04 2B 55 FC 8B 46 30 03 03 2B 45 F8 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4236_0 {
	meta:
		name = "TControl.CMFloat"
		size = 96
		refs = "0024 UpdateFloatingDockSitePos 0038 TControl.CreateFloatingDockSite 004e TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 52 54 84 C0 74 12 8B 45 FC 83 78 24 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 30 8B 45 F8 8B 40 08 8D 50 38 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8B 45 F8 8B 40 08 89 58 04 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 08 89 42 08 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4237_0 {
	meta:
		name = "TControl.ActionChange"
		size = 212
		refs = "0012 TControl.ActionChange 0020 _Dn_TCustomAction 0025 @IsClass 003b TControl.GetText 004b TControl.SetText 0079 @LStrAsg 008d TControl.SetVisible 00c2 @LStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 84 DB 74 10 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 8B 57 4C 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0B 8B C6 8B 10 FF 52 50 3C 01 75 0A 8A 57 51 8B C6 8B 08 FF 51 60 84 DB 74 06 83 7E 74 00 75 0B 8D 46 74 8B 57 58 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 47 01 75 0A 8A 57 62 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 66 83 BE 06 01 00 00 00 75 12 8B 47 2C 89 86 04 01 00 00 8B 47 30 89 86 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4238_0 {
	meta:
		name = "TControl.DoActionChange"
		size = 35
		refs = "0009 TControl.GetAction 001c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 75 0F 33 C9 8B D6 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12165_0 {
	meta:
		name = "TMenuItem.DoActionChange"
		size = 35
		refs = "0009 TMenuItem.GetAction 001c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 75 0F 33 C9 8B D6 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4240_0 {
	meta:
		name = "TControl.IsCaptionStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 5C 85 F6 74 10 8B C6 8B 10 FF 52 1C 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4241_0 {
	meta:
		name = "TControl.IsEnabledStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 5C 85 F6 74 10 8B C6 8B 10 FF 52 24 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4242_0 {
	meta:
		name = "TControl.IsHintStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 5C 85 F6 74 10 8B C6 8B 10 FF 52 2C 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4243_0 {
	meta:
		name = "TControl.IsVisibleStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 5C 85 F6 74 10 8B C6 8B 10 FF 52 38 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4244_0 {
	meta:
		name = "TControl.IsOnClickStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 5C 85 F6 74 10 8B C6 8B 10 FF 52 08 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4245_0 {
	meta:
		name = "TControl.Loaded"
		size = 45
		refs = "0006 TComponent.Loaded 000d TControl.GetAction 0027 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B C3 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4246_0 {
	meta:
		name = "TControl.AssignTo"
		size = 166
		refs = "0010 TControl.AssignTo 001e _Dn_TCustomAction 0023 @IsClass 0039 TCustomAction.SetEnabled 0043 TCustomAction.SetHint 004d TControl.GetText 0057 TCustomAction.SetCaption 0061 TCustomAction.SetVisible 007f TPersistent.AssignTo 0094 @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B C3 8B 10 FF 52 50 8B D0 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 53 74 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8A 53 47 8B C7 E8 ?? ?? ?? ?? FF B3 08 01 00 00 FF B3 04 01 00 00 8B C7 8B 10 FF 52 34 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4247_0 {
	meta:
		name = "MinVar"
		size = 57
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 33 DB 8B CA 85 C9 7E 21 BE 01 00 00 00 8B 55 FC 83 C2 08 DD 02 8B 45 FC DC 1C D8 DF E0 9E 73 02 8B DE 46 83 C2 08 49 75 EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4248_0 {
	meta:
		name = "TControl.GetDockEdge"
		size = 175
		refs = "0084 MinVar"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B F2 8D 3C 24 A5 A5 33 DB 8B 70 38 8B 78 3C 8B 04 24 85 C0 7F 07 B3 03 E9 81 00 00 00 3B F0 7F 04 B3 04 EB 79 8B 54 24 04 85 D2 7F 04 B3 01 EB 6D 3B FA 7F 04 B3 02 EB 65 8B EA 2B FA 89 44 24 08 2B F0 DB 44 24 08 DD 5C 24 0C 9B 89 74 24 2C DB 44 24 2C DD 5C 24 14 9B 89 6C 24 30 DB 44 24 30 DD 5C 24 1C 9B 89 7C 24 34 DB 44 24 34 DD 5C 24 24 9B 8D 44 24 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 0C 48 74 0D 48 74 0E EB 0E B3 03 EB 0A B3 04 EB 06 B3 01 EB 02 B3 02 8B C3 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4249_0 {
	meta:
		name = "TControl.GetFloating"
		size = 44
		refs = "001c @IsClass"
	strings:
		$1 = { 53 8B D8 83 BB 8C 00 00 00 00 74 18 8B C3 8B 10 FF 52 58 8B D0 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4250_0 {
	meta:
		name = "TControl.GetFloatingDockSiteClass"
		size = 7
	strings:
		$1 = { 8B 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_4251_0 {
	meta:
		name = "TControl.AdjustSize"
		size = 31
	strings:
		$1 = { 53 F6 40 20 01 75 16 8B 50 38 52 8B 50 3C 52 8B 48 34 8B 50 30 8B 18 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4252_0 {
	meta:
		name = "TControl.DrawTextBiDiModeFlags"
		size = 63
		refs = "000e @CallDynaInst 0033 TControl.DrawTextBiDiModeFlagsReadingOnly"
	strings:
		$1 = { 53 56 57 8B F8 8B F2 8B C7 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 1A 8B C6 83 E0 02 83 F8 02 75 05 83 E6 FD EB 0B 8B C6 83 E0 01 48 74 03 83 CE 02 8B C7 E8 ?? ?? ?? ?? 0B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4253_0 {
	meta:
		name = "TControl.DrawTextBiDiModeFlagsReadingOnly"
		size = 25
		refs = "0006 TControl.UseRightToLeftReading"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 B8 00 00 02 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_4254_0 {
	meta:
		name = "TControl.InitiateAction"
		size = 15
	strings:
		$1 = { 8B 50 5C 85 D2 74 07 8B C2 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_4255_0 {
	meta:
		name = "TControl.CMHintShow"
		size = 42
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 5C 85 F6 74 18 8B 47 08 8D 50 38 8B C6 8B 08 FF 51 5C 84 C0 75 07 C7 47 0C 01 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4256_0 {
	meta:
		name = "TControl.UpdateLastResize"
		size = 10
	strings:
		$1 = { 89 90 80 00 00 00 89 48 7C C3 }
	condition:
		$1
}

rule function_4258_0 {
	meta:
		name = "TWinControlActionLink.IsHelpContextLinked"
		size = 50
		refs = "0006 TActionLink.IsHelpContextLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 54 8B 53 14 3B 82 44 01 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4259_0 {
	meta:
		name = "TWinControlActionLink.SetHelpContext"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 28 84 C0 74 09 8B 43 14 89 B0 44 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4260_0 {
	meta:
		name = "TWinControl.Create"
		size = 228
		refs = "000e @ClassCreate 001c TControl.Create 0022 TWinControl.MainWndProc 0027 MakeObjectInstance 0034 _Dn_TBrush 0039 TBrush.Create 004b TBrush.SetColor 0068 SysLocale 007a @LStrClr 0088 Screen 0092 @LStrAsg 009e TWinControl.Create 00c9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 60 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 01 00 00 8B 53 64 8B C6 E8 ?? ?? ?? ?? C6 83 64 01 00 00 01 C7 83 74 01 00 00 FF FF FF FF C6 83 48 01 00 00 03 A1 ?? ?? ?? ?? 66 83 78 04 11 75 0D 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? EB 16 8D 83 4C 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? C6 83 80 01 00 00 00 A0 ?? ?? ?? ?? 88 83 16 01 00 00 C6 83 17 01 00 00 02 C6 83 18 01 00 00 01 C7 83 1C 01 00 00 01 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_4261_0 {
	meta:
		name = "TWinControl.CreateParented"
		size = 70
		refs = "000e @ClassCreate 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 89 8B 68 01 00 00 33 C9 33 D2 8B C3 8B 30 FF 56 2C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4262_0 {
	meta:
		name = "TWinControl.CreateParentedControl"
		size = 36
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 FF 50 F4 8B D8 89 B3 68 01 00 00 33 C9 83 CA FF 8B C3 8B 30 FF 56 2C 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4263_0 {
	meta:
		name = "TWinControl.Destroy"
		size = 209
		refs = "0004 @BeforeDestruction 0010 TComponent.Destroying 0029 RegisterDockSite 0034 @IntfClear 003f TObject.Free 004e TWinControl.RemoveFocus 0068 TWinControl.GetControlCount 0076 TWinControl.GetControl 0081 TWinControl.Remove 00af FreeObjectInstance 00bc TControl.Destroy 00c9 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 38 01 00 00 00 74 10 C6 83 38 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 83 7B 24 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 83 BB 40 01 00 00 00 74 0A 8B C3 8B 10 FF 92 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 29 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 75 D7 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8A 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4264_0 {
	meta:
		name = "TWinControl.FixupTabList"
		size = 209
		refs = "001e _Dn_TList 0023 TObject.Create 002e TWinControl.FixupTabList 004e TList.SetCount 0069 TList.Get 0082 TList.Put 00a6 TWinControl.UpdateTabOrder 00bf TObject.Free 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 FC 8B 45 FC 83 B8 84 01 00 00 00 0F 84 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 84 01 00 00 8B 40 08 89 45 F8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D F8 4B 85 DB 7C 30 43 33 F6 8B 45 FC 8B 80 84 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 90 74 01 00 00 85 D2 7C 0F 3B 55 F8 7D 0A 8B C8 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 D3 8B 5D F8 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4265_0 {
	meta:
		name = "TWinControl.ReadState"
		size = 117
		refs = "000e TWinControl.DisableAlign 0016 TWinControl.ReadState 0026 TControl.ReadState 003b TWinControl.EnableAlign 0041 @HandleFinally 004b TWinControl.FixupTabList 0065 TControl.Perform 006d TWinControl.UpdateControlState"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 24 00 74 11 6A 00 33 C9 BA 11 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_4267_0 {
	meta:
		name = "InsertBefore"
		size = 95
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 33 C9 8A 5D FF FE CB 74 0E FE CB 74 15 FE CB 74 24 FE CB 74 2B EB 3A 8B 52 34 3B 50 34 0F 9F C1 EB 2F 8B 4A 34 03 4A 3C 8B 50 34 03 50 3C 3B CA 0F 9C C1 EB 1C 8B 52 30 3B 50 30 0F 9F C1 EB 11 8B 4A 30 03 4A 38 8B 50 30 03 50 38 3B CA 0F 9C C1 8B C1 5B 59 5D C3 }
	condition:
		$1
}

rule function_4268_0 {
	meta:
		name = "DoPosition"
		size = 732
		refs = "0039 TControl.GetBoundsRect 0061 OffsetRect 00e2 TControl.SetBoundsRect 01a4 TControl.GetClientHeight 0205 TControl.GetClientWidth 0264 DoPosition"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 88 55 FF 8B D8 80 7D FF 00 0F 85 DF 00 00 00 8B 43 24 8B B0 58 01 00 00 03 B3 80 00 00 00 8B 80 5C 01 00 00 03 43 7C 89 45 F4 8D 55 E4 8B C3 E8 ?? ?? ?? ?? F6 43 60 01 75 3B F6 43 60 04 75 1E 6A 00 8B 43 24 8B 80 58 01 00 00 D1 F8 79 03 83 D0 00 50 8D 45 E4 50 E8 ?? ?? ?? ?? EB 25 6A 00 8B 43 24 8B 80 58 01 00 00 50 8D 45 E4 50 E8 ?? ?? ?? ?? EB 0E F6 43 60 04 74 08 8B 45 E4 03 C6 89 45 EC F6 43 60 02 75 3B F6 43 60 08 75 1E 8B 43 24 8B 80 5C 01 00 00 D1 F8 79 03 83 D0 00 50 6A 00 8D 45 E4 50 E8 ?? ?? ?? ?? EB 26 8B 43 24 8B 80 5C 01 00 00 50 6A 00 8D 45 E4 50 E8 ?? ?? ?? ?? EB 0F F6 43 60 08 74 09 8B 45 E8 03 45 F4 89 45 F0 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 89 B3 80 00 00 00 8B 45 F4 89 43 7C E9 DE 01 00 00 8B 45 08 8B 70 FC 8B 76 08 8B 45 08 8B 40 FC 2B 30 85 F6 7C 09 8A 45 FF 04 FD 2C 02 73 03 8B 73 38 8B 45 08 8B 40 FC 8B 40 0C 8B 55 08 8B 52 FC 2B 42 04 89 45 F4 83 7D F4 00 7C 08 8A 45 FF 48 2C 02 73 06 8B 43 3C 89 45 F4 8B 45 08 8B 78 FC 8B 3F 8B 45 08 8B 40 FC 8B 40 04 89 45 F8 8A 45 FF FE C8 74 15 FE C8 74 37 FE C8 74 78 FE C8 0F 84 8C 00 00 00 E9 C3 00 00 00 F6 43 60 08 74 0F 8B 45 08 8B 40 F8 8B 80 5C 01 00 00 01 45 F4 8B 45 08 8B 40 FC 8B 55 F4 01 50 04 E9 9D 00 00 00 F6 43 60 02 74 25 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 8B 92 5C 01 00 00 8B 4D 08 8B 49 FC 03 51 0C 2B D0 01 55 F4 8B 45 08 8B 40 FC 8B 55 F4 29 50 0C 8B 45 08 8B 40 FC 8B 40 0C 89 45 F8 EB 58 F6 43 60 04 74 0C 8B 45 08 8B 40 F8 03 B0 58 01 00 00 8B 45 08 8B 40 FC 01 30 EB 3C F6 43 60 01 74 24 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 8B 92 58 01 00 00 8B 4D 08 8B 49 FC 03 51 08 2B D0 03 F2 8B 45 08 8B 40 FC 29 70 08 8B 45 08 8B 78 FC 8B 7F 08 56 8B 45 F4 50 8B 4D F8 8B D7 8B C3 8B 38 FF 97 80 00 00 00 8B 43 38 3B F0 75 08 8B 53 3C 3B 55 F4 74 7E 33 D2 8A 55 FF 83 FA 05 77 74 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 2B 43 3C 8B 55 08 8B 52 FC 29 42 04 EB 44 8B 45 F4 2B 43 3C 8B 55 08 8B 52 FC 01 42 0C EB 33 2B F0 8B 45 08 8B 40 FC 29 30 EB 27 2B F0 8B 45 08 8B 40 FC 01 70 08 EB 1A 2B F0 8B 45 08 8B 40 FC 01 70 08 8B 45 F4 2B 43 3C 8B 55 08 8B 52 FC 01 42 0C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4269_0 {
	meta:
		name = "Anchored"
		size = 112
		refs = "0012 Anchored"
	strings:
		$1 = { 55 8B EC 51 88 55 FF 83 E0 7F 83 F8 05 77 55 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 45 FF 01 0F 95 C0 59 5D C3 F6 45 FF 02 0F 95 C0 59 5D C3 F6 45 FF 04 0F 95 C0 59 5D C3 F6 45 FF 08 0F 95 C0 59 5D C3 A0 ?? ?? ?? ?? 3A 45 FF 0F 94 C0 59 5D C3 33 C0 59 5D C3 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_4270_0 {
	meta:
		name = "DoAlign"
		size = 323
		refs = "0017 @CallDynaInst 0069 TList.Add 0074 TWinControl.GetControlCount 0095 TWinControl.GetControl 00dc TList.Get 00e8 InsertBefore 00fb TList.Insert 0131 DoPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 45 FF 8B 45 08 8B 40 F4 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 08 83 78 F0 00 74 49 80 7D FF 00 74 24 8B 45 08 8B 40 F0 80 78 47 00 75 18 8B 45 08 8B 40 F0 F6 40 20 10 74 2B 8B 45 08 8B 40 F0 F6 40 41 04 75 1F 8B 45 08 8B 40 F0 8A 40 4B 3A 45 FF 75 11 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 82 00 00 00 47 C7 45 F8 00 00 00 00 8B 45 08 8B 40 F8 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8A 43 4B 3A 45 FF 75 5C 80 7D FF 00 74 12 80 7B 47 00 75 0C F6 43 20 10 74 4A F6 43 41 04 75 44 8B 45 08 3B 58 F0 74 3C 33 F6 EB 01 46 8B 45 08 8B 40 F4 3B 70 08 7D 1D 8B 45 08 8B 40 F4 8B D6 E8 ?? ?? ?? ?? 8B D0 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 D7 8B 45 08 8B 40 F4 8B CB 8B D6 E8 ?? ?? ?? ?? FF 45 F8 4F 75 86 8B 45 08 8B 40 F4 8B 78 08 4F 85 FF 7C 29 47 C7 45 F8 00 00 00 00 8B 45 08 50 8B 45 08 8B 40 F4 8B 55 F8 E8 ?? ?? ?? ?? 8A 55 FF E8 ?? ?? ?? ?? 59 FF 45 F8 4F 75 DF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4271_0 {
	meta:
		name = "AlignWork"
		size = 84
		refs = "0011 TWinControl.GetControlCount 0022 TWinControl.GetControl 0037 AlignWork"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 F8 B3 01 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 29 8B 07 8B D6 E8 ?? ?? ?? ?? 80 78 4B 00 75 1C 8B 07 8B D6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A 50 60 75 08 4E 83 FE FF 75 D7 33 DB 8B C3 5F 5E 5B 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_4272_0 {
	meta:
		name = "TWinControl.AlignControls"
		size = 249
		refs = "004b AlignWork 0065 _Dn_TList 006a TObject.Create 0075 TWinControl.AlignControls 0083 DoAlign 00c6 TObject.Free 00cc @HandleFinally 00f0 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D FC 89 55 F0 89 45 F8 8B 45 F8 80 B8 38 01 00 00 00 74 2D 8B 45 F8 80 B8 80 01 00 00 00 74 21 8B 45 F8 83 B8 3C 01 00 00 00 74 15 8B 45 F8 8B 80 3C 01 00 00 33 D2 8B 08 FF 51 2C E9 89 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 74 7E 8B 55 FC 8B 45 F8 8B 08 FF 91 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 B0 01 E8 ?? ?? ?? ?? 59 55 B0 02 E8 ?? ?? ?? ?? 59 55 B0 03 E8 ?? ?? ?? ?? 59 55 B0 04 E8 ?? ?? ?? ?? 59 55 B0 05 E8 ?? ?? ?? ?? 59 55 33 C0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 33 D2 89 90 58 01 00 00 8B 45 F8 33 D2 89 90 5C 01 00 00 8B 45 F8 66 BB EF FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4273_0 {
	meta:
		name = "TWinControl.AlignControl"
		size = 147
		refs = "0010 TWinControl.HandleAllocated 003c TWinControl.DisableAlign 0044 TWinControl.AlignControl 0082 TWinControl.EnableAlign 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 76 8B 45 FC F6 40 20 08 75 6D 8B 45 FC 66 83 B8 14 01 00 00 00 74 0A 8B 45 FC 66 83 48 44 10 EB 56 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 44 8D 4D EC 8B D3 8B 45 FC 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 83 60 44 EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4274_0 {
	meta:
		name = "TWinControl.DisableAlign"
		size = 8
	strings:
		$1 = { 66 FF 80 14 01 00 00 C3 }
	condition:
		$1
}

rule function_4275_0 {
	meta:
		name = "TWinControl.EnableAlign"
		size = 51
		refs = "001d TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 66 FF 8B 14 01 00 00 66 83 BB 14 01 00 00 00 75 1D F6 43 44 10 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 01 00 00 33 C0 89 83 5C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4277_0 {
	meta:
		name = "TWinControl.DoFlipChildren"
		size = 211
		refs = "000f _Dn_TList 0014 TObject.Create 001f TWinControl.DoFlipChildren 002d TControl.GetClientWidth 0038 TWinControl.GetControlCount 004c TWinControl.GetControl 006d TList.Add 007d TControl.SetLeft 009b TList.Get 00a7 TControl.Perform 00c0 TObject.Free 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 42 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 47 04 8B 55 FC 3B 42 04 75 24 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 2B 57 38 2B 57 30 8B C7 E8 ?? ?? ?? ?? 46 4B 75 C1 8B 45 F4 8B 58 08 4B 85 DB 7C 1F 43 33 F6 6A 00 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA 3E B0 00 00 E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4278_0 {
	meta:
		name = "TWinControl.FlipChildren"
		size = 319
		refs = "0013 TWinControl.GetControlCount 0022 _Dn_TList 0027 TObject.Create 0032 TWinControl.DisableAlign 003a TWinControl.FlipChildren 005c TWinControl.GetControl 0079 TList.Add 0089 @CallDynaInst 00a3 TList.Get 00b0 TControl.SetAlign 00c8 TList.Delete 00da TObject.Free 00e2 TWinControl.EnableAlign 00e8 @HandleFinally 0112 _DV_TWinControl 0117 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 19 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2E 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8A 40 4B 04 FD 2C 02 73 14 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 46 4F 75 D5 8B 45 FC 66 BB C8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? EB 30 8B D3 4A 8B 45 F4 E8 ?? ?? ?? ?? 80 78 4B 03 75 09 B2 04 E8 ?? ?? ?? ?? EB 07 B2 03 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 08 4A 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 58 08 85 DB 7F C6 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 80 7D FB 00 74 44 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 35 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B 45 FC E8 ?? ?? ?? ?? B2 01 66 BB BC FF E8 ?? ?? ?? ?? 46 4F 75 CE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4279_0 {
	meta:
		name = "TWinControl.ContainsControl"
		size = 19
	strings:
		$1 = { EB 03 8B 52 24 85 D2 74 04 3B C2 75 F5 85 D2 0F 95 C0 C3 }
	condition:
		$1
}

rule function_4280_0 {
	meta:
		name = "TWinControl.RemoveFocus"
		size = 29
		refs = "0009 GetParentForm 0016 TCustomForm.DefocusControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 09 8B CB 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4281_0 {
	meta:
		name = "TWinControl.Insert"
		size = 74
		refs = "000e _DV_TWinControl 0013 @IsClass 0024 ListAdd"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 3D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 86 84 01 00 00 8B D3 E8 ?? ?? ?? ?? 8D 86 70 01 00 00 8B D3 E8 ?? ?? ?? ?? EB 0D 8D 86 28 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_4282_0 {
	meta:
		name = "TWinControl.Remove"
		size = 72
		refs = "000a _DV_TWinControl 000f @IsClass 0020 ListRemove"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 86 70 01 00 00 8B D3 E8 ?? ?? ?? ?? 8D 86 84 01 00 00 8B D3 E8 ?? ?? ?? ?? EB 0D 8D 86 28 01 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 89 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_4283_0 {
	meta:
		name = "TWinControl.InsertControl"
		size = 210
		refs = "0010 @CallDynaInst 0022 TControl.Perform 002b TWinControl.Insert 007d _DV_TWinControl 0082 @IsClass 009d TWinControl.UpdateControlState 00a6 TWinControl.HandleAllocated 00ba TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B D7 8B C6 66 BB F6 FF E8 ?? ?? ?? ?? 6A 01 8B DE 8B CB BA 2C B0 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? F6 46 44 08 0F 85 85 00 00 00 6A 00 33 C9 BA 09 B0 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 08 B0 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 23 B0 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 3D B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 33 C9 BA 11 B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 12 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 78 8B D6 8B C7 E8 ?? ?? ?? ?? 6A 01 8B CB BA 36 B0 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4284_0 {
	meta:
		name = "TWinControl.RemoveControl"
		size = 123
		refs = "0016 TControl.Perform 001e _DV_TWinControl 0023 @IsClass 0032 TWinControl.RemoveFocus 0039 TWinControl.DestroyHandle 0042 TWinControl.HandleAllocated 0052 TControl.InvalidateControl 005b TWinControl.Remove 0072 TWinControl.Realign"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 6A 00 8B FB 8B CF BA 36 B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 B2 01 8B EB 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? EB 17 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 33 C9 8A 53 47 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 8B CF BA 2C B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4285_0 {
	meta:
		name = "TWinControl.GetControl"
		size = 60
		refs = "0022 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B AB 28 01 00 00 85 ED 74 05 8B 75 08 EB 02 33 F6 3B F7 7E 0B 8B D7 8B C5 E8 ?? ?? ?? ?? EB 0F 8B D7 2B D6 8B 83 84 01 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4286_0 {
	meta:
		name = "TWinControl.GetControlCount"
		size = 31
	strings:
		$1 = { 33 D2 8B 88 28 01 00 00 85 C9 74 03 03 51 08 8B 88 84 01 00 00 85 C9 74 03 03 51 08 8B C2 C3 }
	condition:
		$1
}

rule function_4287_0 {
	meta:
		name = "TWinControl.Broadcast"
		size = 64
		refs = "000e TWinControl.GetControlCount 0022 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 55 51 8B F2 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B E8 8B D6 8B 45 2C FF 55 28 83 7E 0C 00 75 04 47 4B 75 E2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4288_0 {
	meta:
		name = "TWinControl.NotifyControls"
		size = 38
		refs = "001e TWinControl.Broadcast"
	strings:
		$1 = { 83 C4 F0 0F B7 D2 89 14 24 33 D2 89 54 24 04 33 D2 89 54 24 08 33 D2 89 54 24 0C 8B D4 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_4289_0 {
	meta:
		name = "TWinControl.CreateSubClass"
		size = 109
		refs = "0014 HInstance 001c GetClassInfo 003a MainInstance"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 85 F6 74 5E 8B 7B 34 8D 43 24 50 56 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 34 8D 43 24 50 56 6A 00 E8 ?? ?? ?? ?? 85 C0 75 24 8D 43 24 50 56 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8D 43 24 50 56 8B 43 34 50 E8 ?? ?? ?? ?? 89 7B 34 8B 43 24 25 1F BF FF FF 83 C8 03 89 43 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4290_0 {
	meta:
		name = "TWinControl.AddBiDiModeExStyle"
		size = 101
		refs = "000a TControl.UseRightToLeftReading 001b TControl.UseRightToLeftScrollBar 0030 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 81 0F 00 20 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 81 0F 00 40 00 00 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 29 8B C6 66 BB D0 FF E8 ?? ?? ?? ?? 84 C0 75 08 81 0F 00 10 00 00 EB 12 8B C6 66 BB D0 FF E8 ?? ?? ?? ?? 3C 01 75 03 83 0F 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4291_0 {
	meta:
		name = "TWinControl.CreateParams"
		size = 302
		refs = "0019 TWinControl.CreateParams 002d @FillChar 0043 TWinControl.AddBiDiModeExStyle 00a5 TWinControl.GetHandle 00bf DefWindowProc 00ce LoadCursor 00db HInstance 00ed TObject.ClassName 00fb @LStrFromString 0106 StrPCopy 011b @LStrClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 33 C9 BA 8C 00 00 00 E8 ?? ?? ?? ?? 8B 46 54 89 03 C7 43 04 00 00 00 44 8D 53 08 8B C6 E8 ?? ?? ?? ?? F6 46 40 01 74 0E 81 4B 04 00 00 00 02 81 4B 08 00 00 01 00 F6 46 20 10 75 12 8B C6 8B 10 FF 52 50 84 C0 75 07 81 4B 04 00 00 00 08 80 BE 78 01 00 00 00 74 07 81 4B 04 00 00 01 00 8B 46 30 89 43 0C 8B 46 34 89 43 10 8B 46 38 89 43 14 8B 46 3C 89 43 18 8B 7E 24 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 89 43 1C EB 09 8B 86 68 01 00 00 89 43 1C C7 43 24 0B 00 00 00 B8 ?? ?? ?? ?? 89 43 28 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 43 3C 33 C0 89 43 40 A1 ?? ?? ?? ?? 8B 00 89 43 34 8D 95 FC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4292_0 {
	meta:
		name = "TWinControl.CreateWnd"
		size = 364
		refs = "0018 TWinControl.CreateWnd 0061 SParentRequired 0066 LoadResString 0073 _Dn_EInvalidOperation 0078 Exception.CreateFmt 007d @RaiseExcept 009a GetClassInfo 00a9 InitWndProc 00c2 UnregisterClass 00d8 RegisterClass 00e2 RaiseLastWin32Error 00e8 CreationControl 010e StrDispose 011a TWinControl.UpdateBounds 0124 TFont.GetHandle 0132 TControl.Perform 0143 @CallDynaInst 015b @LStrClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 33 D2 89 95 40 FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 74 FF FF FF 8B C3 8B 08 FF 91 94 00 00 00 83 7D 90 00 75 49 F6 85 7B FF FF FF 40 74 40 8B 43 08 89 85 44 FF FF FF C6 85 48 FF FF FF 0B 8D 85 44 FF FF FF 50 6A 00 8D 95 40 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 83 30 01 00 00 8D 85 4C FF FF FF 50 8D 45 C0 50 8B 45 A8 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 74 0D BA ?? ?? ?? ?? 3B 95 50 FF FF FF 74 31 84 C0 74 0D 8B 45 A8 50 8D 45 C0 50 E8 ?? ?? ?? ?? C7 45 9C ?? ?? ?? ?? 8D 45 C0 89 45 BC 8D 45 98 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 8D 95 74 FF FF FF 8B C3 8B 08 FF 91 98 00 00 00 83 BB 40 01 00 00 00 75 05 E8 ?? ?? ?? ?? 8B 43 54 E8 ?? ?? ?? ?? 33 C0 89 43 54 8B C3 E8 ?? ?? ?? ?? 6A 01 8B 43 58 E8 ?? ?? ?? ?? 8B C8 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7B 4C 00 74 0B 8B C3 66 BB EF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4293_0 {
	meta:
		name = "TWinControl.CreateWindowHandle"
		size = 65
		refs = "0034 CreateWindowEx"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 20 50 8B 43 34 50 6A 00 8B 43 1C 50 8B 43 18 50 8B 43 14 50 8B 43 10 50 8B 43 0C 50 8B 43 04 50 8B 03 50 8D 43 4C 50 8B 43 08 50 E8 ?? ?? ?? ?? 89 86 40 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4294_0 {
	meta:
		name = "TWinControl.DestroyWnd"
		size = 88
		refs = "0008 TControl.GetTextLen 0014 TWinControl.DestroyWnd 0019 StrNew 0026 StrAlloc 0032 StrBufSize 003d TControl.GetTextBuf 0042 FreeDeviceContexts"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 0F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 54 EB 1F 8D 46 01 E8 ?? ?? ?? ?? 8B F8 89 7B 54 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_4295_0 {
	meta:
		name = "TWinControl.DestroyWindowHandle"
		size = 89
		refs = "0014 TWinControl.DestroyWindowHandle 0029 DestroyWindow 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 66 81 48 44 00 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 40 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 81 60 44 FF FD C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 33 D2 89 90 40 01 00 00 59 5D C3 }
	condition:
		$1
}

rule function_4296_0 {
	meta:
		name = "TWinControl.PrecedingWindow"
		size = 71
		refs = "0010 TList.IndexOf 002f TList.Get"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 87 84 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 46 8B 87 84 01 00 00 8B 58 08 4B 2B DE 7C 1C 43 8B 87 84 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 80 40 01 00 00 85 C0 75 06 46 4B 75 E5 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4297_0 {
	meta:
		name = "TWinControl.CreateHandle"
		size = 109
		refs = "001d ControlAtom 002a SetProp 0032 WindowAtom 0059 TWinControl.PrecedingWindow 0066 SetWindowPos"
	strings:
		$1 = { 53 56 8B D8 83 BB 40 01 00 00 00 75 5D 8B C3 8B 10 FF 92 9C 00 00 00 8B F3 56 0F B7 05 ?? ?? ?? ?? 50 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 56 0F B7 05 ?? ?? ?? ?? 50 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 8B 73 24 85 F6 74 20 6A 13 6A 00 6A 00 6A 00 6A 00 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4298_0 {
	meta:
		name = "TWinControl.DestroyHandle"
		size = 71
		refs = "002c TList.Get 0031 TWinControl.DestroyHandle"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 40 01 00 00 00 74 35 8B 83 84 01 00 00 85 C0 74 21 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B 83 84 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EA 8B C3 8B 10 FF 92 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4299_0 {
	meta:
		name = "TWinControl.RecreateWnd"
		size = 24
		refs = "0013 TControl.Perform"
	strings:
		$1 = { 83 B8 40 01 00 00 00 74 0E 6A 00 33 C9 BA 33 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4300_0 {
	meta:
		name = "TWinControl.CMRecreateWnd"
		size = 59
		refs = "000b @CallDynaInst 0014 TWinControl.DestroyHandle 001b TWinControl.UpdateControlState 0034 SetFocus"
	strings:
		$1 = { 53 56 8B F0 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 15 83 BE 40 01 00 00 00 74 0C 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4301_0 {
	meta:
		name = "TWinControl.UpdateShowing"
		size = 250
		refs = "007a TList.Get 007f TWinControl.UpdateShowing 00c8 TControl.Perform 00d7 @HandleAnyException 00ea @RaiseAgain 00ef @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 80 78 47 00 75 12 8B 45 FC F6 40 20 10 74 12 8B 45 FC F6 40 41 04 75 09 8B 45 FC F6 40 44 08 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 48 8B 45 FC 83 B8 40 01 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 90 00 00 00 8B 45 FC 8B 80 84 01 00 00 85 C0 74 24 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 FC 8B 80 84 01 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 45 FC 83 B8 40 01 00 00 00 74 60 8B 45 FC 8A 80 6C 01 00 00 3A 45 FB 74 52 8B 45 FC 8A 55 FB 88 90 6C 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 BA 19 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8A 45 FB 34 01 8B 55 FC 88 82 6C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4302_0 {
	meta:
		name = "TWinControl.UpdateControlState"
		size = 62
		refs = "001e _Dn_TCustomForm 0023 @IsClass 0037 TWinControl.UpdateShowing"
	strings:
		$1 = { 53 56 8B F0 8B DE EB 0B 8B D8 80 BB 6C 01 00 00 00 74 28 8B 43 24 85 C0 75 EE 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 09 83 BB 68 01 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4303_0 {
	meta:
		name = "TWinControl.SetParentWindow"
		size = 86
		refs = "0039 SetParent 0042 TWinControl.DestroyHandle 004f TWinControl.UpdateControlState"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 24 00 75 47 3B B3 68 01 00 00 74 3F 83 BB 40 01 00 00 00 74 22 83 BB 68 01 00 00 00 74 19 85 F6 74 15 89 B3 68 01 00 00 56 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? EB 0D 8B C3 E8 ?? ?? ?? ?? 89 B3 68 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4304_0 {
	meta:
		name = "TWinControl.MainWndProc"
		size = 119
		refs = "000e TWinControl.MainWndProc 003d FreeDeviceContexts 0042 FreeMemoryContexts 0048 @HandleFinally 0059 @HandleAnyException 005e Application 0068 TApplication.HandleException 006d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 43 2C FF 53 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4305_0 {
	meta:
		name = "TWinControl.ControlAtPos"
		size = 196
		refs = "0032 TList.Get 0049 Point 0066 PtInRect 0097 PointToSmallPoint 00a6 TControl.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 88 0C 24 8B EA 8B F8 8B 87 28 01 00 00 85 C0 0F 84 9C 00 00 00 8B 70 08 4E 83 FE 00 0F 8C 8F 00 00 00 8B 87 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8D 4C 24 04 8B 55 04 2B 53 34 8B 45 00 2B 43 30 E8 ?? ?? ?? ?? FF 74 24 08 FF 74 24 08 8D 54 24 14 8B C3 8B 08 FF 51 44 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 74 40 F6 43 20 10 74 0C 80 7B 47 00 75 40 F6 43 41 04 74 3A 80 7B 47 00 74 28 8B C3 8B 10 FF 52 50 0A 04 24 74 1C 8D 44 24 04 E8 ?? ?? ?? ?? 50 33 C9 BA 0A B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C 4E 83 FE FF 0F 85 71 FF FF FF 33 DB 8B C3 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4306_0 {
	meta:
		name = "TWinControl.IsControlMouseMsg"
		size = 140
		refs = "000d TWinControl.GetHandle 0014 GetCapture 0020 CaptureControl 0041 SmallPointToPoint 004e TWinControl.ControlAtPos 0072 PointToSmallPoint 007f TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 1D 33 DB 83 3D ?? ?? ?? ?? 00 74 2D A1 ?? ?? ?? ?? 3B 70 24 75 23 8B 1D ?? ?? ?? ?? EB 1B 8D 54 24 08 8B 47 08 E8 ?? ?? ?? ?? 8D 54 24 08 33 C9 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 85 DB 74 2B 0F BF 47 08 2B 43 30 89 04 24 0F BF 47 0A 2B 43 34 89 44 24 04 8B C4 E8 ?? ?? ?? ?? 50 8B 4F 04 8B 17 8B C3 E8 ?? ?? ?? ?? B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4307_0 {
	meta:
		name = "TWinControl.WndProc"
		size = 442
		refs = "0055 GetParentForm 0090 TControl.WndProc 00a8 SmallPointToPoint 00bb TControl.ScreenToClient 00ca TWinControl.ControlAtPos 00e7 TWinControl.IsControlMouseMsg 00fb TControl.Dragging 010f TWinControl.GetHandle 0116 GetCapture 0124 CaptureControl 0144 TControl.Perform 014b Mouse 0175 GetKeyboardState 0185 KeyboardStateToShiftState 01a4 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 57 8B F2 8B D8 8B 06 3D 84 00 00 00 7F 18 74 70 83 E8 07 74 32 48 74 59 83 E8 17 0F 84 E0 00 00 00 E9 19 01 00 00 05 00 FF FF FF 83 E8 09 0F 82 B9 00 00 00 05 09 FF FF FF 83 E8 0B 0F 82 95 00 00 00 E9 F8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 47 01 00 00 8B D3 8B C7 8B 08 FF 91 C8 00 00 00 84 C0 0F 84 3C 01 00 00 E9 2E 01 00 00 F6 43 44 20 0F 85 2D 01 00 00 E9 1F 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C FF 0F 85 15 01 00 00 8D 95 E0 FE FF FF 8B 46 08 E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8D 8D E8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 DD 00 00 00 C7 46 0C 01 00 00 00 E9 D1 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 C0 00 00 00 E9 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 AC 00 00 00 E9 9E 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 0F 85 88 00 00 00 83 3D ?? ?? ?? ?? 00 74 7F A1 ?? ?? ?? ?? 3B 58 24 75 75 6A 00 33 C9 BA 1F 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 60 A1 ?? ?? ?? ?? 80 78 20 00 74 55 A1 ?? ?? ?? ?? 83 78 1C 00 74 4A 8B 06 8B 15 ?? ?? ?? ?? 3B 42 1C 75 3D 8D 85 F0 FE FF FF 50 E8 ?? ?? ?? ?? 8B 06 89 45 F0 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 88 45 F4 66 8B 46 04 66 89 45 F6 8B 46 08 89 45 F8 8D 55 F0 8B C3 66 BB B9 FF E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4308_0 {
	meta:
		name = "TWinControl.DefaultHandler"
		size = 203
		refs = "0041 SendMessage 0051 ColorToRGB 005b SetTextColor 0066 TBrush.GetColor 0075 SetBkColor 0080 TBrush.GetHandle 009d CallWindowProc 00b7 TControl.SendDockNotification 00c2 TControl.DefaultHandler"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B AE 40 01 00 00 85 ED 0F 84 A7 00 00 00 8B 3B 8B C7 05 CE FE FF FF 83 E8 07 72 0C 05 07 44 FF FF 83 E8 07 72 1C EB 59 8B 6B 08 55 8B 43 04 50 81 C7 00 BC 00 00 57 55 E8 ?? ?? ?? ?? 89 43 0C EB 5A 8B 46 58 8B 40 14 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 86 24 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 89 43 0C EB 1B 8B 43 08 50 8B 43 04 50 8B 03 50 55 8B 86 30 01 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 8B 03 83 F8 0C 75 1B 8B 53 08 52 8B 4B 04 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4309_0 {
	meta:
		name = "DoControlMsg"
		size = 51
		refs = "0008 FindControl 0024 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 33 DB E8 ?? ?? ?? ?? 8B F8 85 FF 74 1B 8B 46 08 50 8B 4E 04 8B 16 81 C2 00 BC 00 00 8B C7 E8 ?? ?? ?? ?? 89 46 0C B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4310_0 {
	meta:
		name = "TWinControl.PaintHandler"
		size = 302
		refs = "0021 TWinControl.GetHandle 0027 BeginPaint 0031 TWinControl.PaintHandler 005b SaveDC 0089 TList.Get 00bd ExcludeClipRect 00e7 RestoreDC 00f3 TWinControl.PaintControls 011b EndPaint 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 89 55 F8 89 45 FC 8B 5D F8 8B 5B 04 85 DB 75 14 8D 45 B0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 B8 28 01 00 00 00 75 12 8B D3 8B 45 FC 8B 08 FF 91 AC 00 00 00 E9 92 00 00 00 53 E8 ?? ?? ?? ?? 89 45 F0 C7 45 F4 02 00 00 00 8B 45 FC 8B 80 28 01 00 00 8B 78 08 4F 85 FF 7C 54 47 33 F6 8B 45 FC 8B 80 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 47 00 75 0C F6 40 20 10 74 31 F6 40 41 04 75 2B F6 40 40 40 74 25 8B 50 34 03 50 3C 52 8B 50 30 03 50 38 52 8B 50 34 52 8B 40 30 50 53 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 01 74 04 46 4F 75 AF 83 7D F4 01 74 0D 8B D3 8B 45 FC 8B 08 FF 91 AC 00 00 00 8B 45 F0 50 53 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 B0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4311_0 {
	meta:
		name = "TWinControl.PaintWindow"
		size = 37
	strings:
		$1 = { 83 C4 F0 C7 04 24 0F 00 00 00 89 54 24 04 33 D2 89 54 24 08 33 D2 89 54 24 0C 8B D4 8B 08 FF 51 F0 83 C4 10 C3 }
	condition:
		$1
}

rule function_4312_0 {
	meta:
		name = "TWinControl.PaintControls"
		size = 560
		refs = "004c TList.IndexOf 0076 TList.Get 00af Rect 00ba RectVisible 00d0 SaveDC 00e1 MoveWindowOrg 00f3 IntersectClipRect 0103 TControl.Perform 010e RestoreDC 0189 ColorToRGB 018f CreateSolidBrush 01c2 FrameRect 01cc DeleteObject"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B D9 8B EA 8B F0 80 BE 38 01 00 00 00 74 1F 80 BE 80 01 00 00 00 74 16 83 BE 3C 01 00 00 00 74 0D 8B 86 3C 01 00 00 8B D5 8B 08 FF 51 20 8B 86 28 01 00 00 85 C0 0F 84 DF 00 00 00 33 FF 85 DB 74 0F 8B D3 E8 ?? ?? ?? ?? 8B F8 85 FF 7D 02 33 FF 8B 86 28 01 00 00 8B 40 08 89 04 24 3B 3C 24 0F 8D B5 00 00 00 8B 86 28 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 75 14 F6 43 20 10 0F 84 8C 00 00 00 F6 43 41 04 0F 85 82 00 00 00 8B 43 34 03 43 3C 50 8D 44 24 14 50 8B 4B 30 03 4B 38 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8D 44 24 10 50 55 E8 ?? ?? ?? ?? 85 C0 74 56 F6 46 44 80 74 06 66 81 4B 44 80 00 55 E8 ?? ?? ?? ?? 89 44 24 04 8B 4B 34 8B 53 30 8B C5 E8 ?? ?? ?? ?? 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 55 E8 ?? ?? ?? ?? 6A 00 8B CD BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 50 55 E8 ?? ?? ?? ?? 66 81 63 44 7F FF 47 3B 3C 24 0F 8C 4B FF FF FF 8B 86 84 01 00 00 85 C0 0F 84 F8 00 00 00 8B 40 08 48 85 C0 0F 8C EC 00 00 00 40 89 44 24 0C 33 FF 8B 86 84 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 80 BB 2C 01 00 00 00 0F 84 BE 00 00 00 F6 43 40 10 0F 84 B4 00 00 00 80 7B 47 00 75 14 F6 43 20 10 0F 84 A4 00 00 00 F6 43 41 04 0F 85 9A 00 00 00 B8 10 00 00 80 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 50 8B 43 34 03 43 3C 50 8D 44 24 18 50 8B 4B 30 03 4B 38 8B 53 34 4A 8B 43 30 48 E8 ?? ?? ?? ?? 8D 44 24 14 50 55 E8 ?? ?? ?? ?? 8B 44 24 08 50 E8 ?? ?? ?? ?? B8 14 00 00 80 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 50 8B 43 34 03 43 3C 40 50 8D 44 24 18 50 8B 4B 30 03 4B 38 41 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8D 44 24 14 50 55 E8 ?? ?? ?? ?? 8B 44 24 08 50 E8 ?? ?? ?? ?? 47 FF 4C 24 0C 0F 85 1B FF FF FF 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4313_0 {
	meta:
		name = "TWinControl.PaintTo"
		size = 340
		refs = "0017 SaveDC 0026 MoveWindowOrg 0038 IntersectClipRect 0048 TWinControl.GetHandle 004e GetWindowLong 009c SetRect 00ab DrawEdge 00e0 TControl.Perform 011b TList.Get 012f TWinControl.PaintTo 0141 RestoreDC"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 8B F2 8B D8 66 81 4B 44 80 00 56 E8 ?? ?? ?? ?? 89 45 F4 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 33 FF 33 C0 89 45 F8 6A EC 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 C4 02 74 0E C7 45 F8 0A 00 00 00 BF 0F 20 00 00 EB 22 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 80 00 74 0C C7 45 F8 03 00 00 00 BF 0F A0 00 00 85 FF 74 49 8B 43 3C 50 8B 43 38 50 6A 00 6A 00 8D 45 E0 50 E8 ?? ?? ?? ?? 57 8B 45 F8 50 8D 45 E0 50 56 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 2B 45 E4 50 8B 45 E8 2B 45 E0 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 6A 00 8B CE BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CE BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 84 01 00 00 85 C0 74 3D 8B 40 08 48 85 C0 7C 35 40 89 45 F0 C7 45 FC 00 00 00 00 8B 55 FC 8B 83 84 01 00 00 E8 ?? ?? ?? ?? 80 78 47 00 74 0E 8B 50 34 52 8B 48 30 8B D6 E8 ?? ?? ?? ?? FF 45 FC FF 4D F0 75 D6 8B 45 F4 50 56 E8 ?? ?? ?? ?? 66 81 63 44 7F FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4314_0 {
	meta:
		name = "TWinControl.WMPaint"
		size = 352
		refs = "0025 TWinControl.GetControlCount 0040 TWinControl.PaintHandler 004c GetDC 0070 CreateCompatibleBitmap 007b ReleaseDC 0082 CreateCompatibleDC 0092 SelectObject 009d TWinControl.WMPaint 00ae TWinControl.GetHandle 00b4 BeginPaint 00c9 TControl.Perform 0110 BitBlt 0121 EndPaint 0144 DeleteDC 014d DeleteObject 0153 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 8B F2 8B D8 80 BB E8 01 00 00 00 74 06 83 7E 04 00 74 2D F6 43 45 01 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0E 8B D6 8B C3 8B 08 FF 51 F0 E9 1E 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? E9 10 01 00 00 6A 00 E8 ?? ?? ?? ?? 8B F8 8D 55 A4 8B C3 8B 08 FF 51 44 8B 45 B0 50 8D 55 94 8B C3 8B 08 FF 51 44 8B 45 9C 50 57 E8 ?? ?? ?? ?? 89 45 F8 57 6A 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 FC 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B4 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 50 8B 4D FC BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 46 04 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 04 68 20 00 CC 00 6A 00 6A 00 8B 45 FC 50 8D 55 A4 8B C3 8B 08 FF 51 44 8B 45 B0 50 8D 55 94 8B C3 8B 08 FF 51 44 8B 45 9C 50 6A 00 6A 00 57 E8 ?? ?? ?? ?? 8D 45 B4 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4315_0 {
	meta:
		name = "TWinControl.WMCharToItem"
		size = 32
		refs = "000c DoControlMsg"
		altNames = "TWinControl.WMCommand TWinControl.WMHScroll TWinControl.WMVKeyToItem TWinControl.WMVScroll"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4316_0 {
	meta:
		name = "TWinControl.WMNotify"
		size = 34
		refs = "000e DoControlMsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 8B 00 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4317_0 {
	meta:
		name = "TWinControl.WMSysColorChange"
		size = 26
		refs = "0004 PaletteChanged 0014 TControl.Perform"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 24 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4318_0 {
	meta:
		name = "TWinControl.WMWinIniChange"
		size = 18
		refs = "000d TControl.Perform"
	strings:
		$1 = { 8B 4A 08 51 8B 4A 04 BA 25 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4319_0 {
	meta:
		name = "TWinControl.WMFontChange"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 26 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4320_0 {
	meta:
		name = "TWinControl.WMTimeChange"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 27 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4323_0 {
	meta:
		name = "TWinControl.WMCompareItem"
		size = 35
		refs = "000f DoControlMsg"
		altNames = "TWinControl.WMDeleteItem TWinControl.WMDrawItem TWinControl.WMMeasureItem"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4327_0 {
	meta:
		name = "TWinControl.WMEraseBkgnd"
		size = 76
		refs = "0021 TBrush.GetHandle 003b FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 80 BE E8 01 00 00 00 74 08 8B 43 04 3B 43 08 75 25 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C6 8B 08 FF 51 44 8D 44 24 04 50 8B 43 04 50 E8 ?? ?? ?? ?? C7 43 0C 01 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_4328_0 {
	meta:
		name = "TWinControl.WMWindowPosChanged"
		size = 189
		refs = "003d IsWindowVisible 0081 TWinControl.InvalidateFrame 008e TWinControl.UpdateBounds 0097 TControl.WMWindowPosChanged"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 80 BF 2C 01 00 00 00 74 15 F6 47 40 10 74 0F 83 7F 24 00 74 09 8B 46 08 F6 40 18 08 74 04 33 DB EB 02 B3 01 8B 46 08 F6 40 18 02 75 10 8B 87 40 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 04 24 8B 46 08 F6 40 18 01 75 10 8B 87 40 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 44 24 01 84 DB 74 10 8A 04 24 0A 44 24 01 74 07 8B C7 E8 ?? ?? ?? ?? F6 47 45 02 75 07 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 74 19 8A 04 24 0A 44 24 01 75 09 8B 46 08 F6 40 18 C0 74 07 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4329_0 {
	meta:
		name = "TWinControl.WMWindowPosChanging"
		size = 76
		refs = "0008 TWinControl.WMWindowPosChanging 002b TControl.CheckNewSize"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 75 1E 8B 77 08 F6 46 18 01 75 15 8D 4E 14 8D 56 10 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 83 4E 18 01 8B D7 8B C3 8B 08 FF 51 F0 5F 5E 5B C3 0A 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4330_0 {
	meta:
		name = "TWinControl.WMSize"
		size = 49
		refs = "0009 TWinControl.UpdateBounds 0019 TWinControl.Realign 002a @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 8B C3 E8 ?? ?? ?? ?? F6 43 20 01 75 0B 8B C3 66 BB D5 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4331_0 {
	meta:
		name = "TWinControl.WMMove"
		size = 19
		refs = "000d TWinControl.UpdateBounds"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_4334_0 {
	meta:
		name = "TWinControl.WMKillFocus"
		size = 19
		refs = "000d TWinControl.ResetIme"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_4333_0 {
	meta:
		name = "TWinControl.WMSetFocus"
		size = 19
		refs = "000d TWinControl.SetIme"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_4332_0 {
	meta:
		name = "TWinControl.WMSetCursor"
		size = 235
		refs = "003a Screen 004b GetCursorPos 0058 TControl.ScreenToClient 0065 TWinControl.ControlAtPos 008a TScreen.GetCursors 0090 SetCursor 00a6 Application 00be GetLastActivePopup 00c5 GetForegroundWindow 00d5 TApplication.BringToFront"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 46 04 3B 83 40 01 00 00 0F 85 C2 00 00 00 66 8B 46 08 66 83 E8 FE 74 7A 66 83 E8 03 0F 85 AE 00 00 00 F6 43 20 10 74 06 66 BF FE FF EB 41 A1 ?? ?? ?? ?? 8B 00 66 8B 78 38 66 85 FF 75 31 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 66 8B 78 6C 66 85 FF 75 04 66 8B 7B 6C 66 85 FF 74 5C 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 47 66 81 7E 0A 01 02 75 36 A1 ?? ?? ?? ?? 8B 00 83 78 24 00 74 29 A1 ?? ?? ?? ?? 8B 00 8B 40 24 50 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 74 0E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4335_0 {
	meta:
		name = "TWinControl.WMIMEStartComp"
		size = 19
	strings:
		$1 = { 56 8B F0 C6 86 E9 01 00 00 01 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_4336_0 {
	meta:
		name = "TWinControl.WMIMEEndComp"
		size = 19
	strings:
		$1 = { 56 8B F0 C6 86 E9 01 00 00 00 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_4337_0 {
	meta:
		name = "TWinControl.SetImeCompositionWindow"
		size = 129
		refs = "0016 TWinControl.GetHandle 001b Imm32GetContext 003e Imm32SetCompositionWindow 0052 TFont.GetHandle 0058 GetObject 0062 Imm32SetCompositionFont 0070 Imm32ReleaseContext"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 89 4D F8 89 55 FC 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 51 C7 45 DC 02 00 00 00 8B 45 F8 89 45 E0 8B 45 08 89 45 E4 8D 55 DC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8D 45 A0 50 6A 3C 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 A0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4338_0 {
	meta:
		name = "TWinControl.ResetImeComposition"
		size = 76
		refs = "0016 TWinControl.GetHandle 001b Imm32GetContext 0031 Imm32NotifyIME 0041 Imm32ReleaseContext"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 33 DB 80 BF E9 01 00 00 00 74 32 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 20 6A 00 8B CD BA 15 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4339_0 {
	meta:
		name = "TWinControl.SetIme"
		size = 168
		refs = "0006 SysLocale 001e Screen 002e AnsiCompareText 008e ActivateKeyboardLayout 0095 TWinControl.GetHandle 00a0 SetImeMode"
	strings:
		$1 = { 53 56 57 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 90 00 00 00 83 BB 4C 01 00 00 00 74 75 A1 ?? ?? ?? ?? 8B 00 8B 50 2C 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 5C A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 10 FF 52 14 85 C0 74 49 A1 ?? ?? ?? ?? 8B 00 8B 70 30 80 BB 48 01 00 00 00 74 2E A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 93 4C 01 00 00 8B 08 FF 51 50 8B F8 85 FF 7C 13 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B D7 8B 08 FF 51 18 8B F0 6A 01 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 93 48 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4340_0 {
	meta:
		name = "TWinControl.ResetIme"
		size = 91
		refs = "0004 SysLocale 0018 Screen 0028 AnsiCompareText 003e ActivateKeyboardLayout 004e TWinControl.GetHandle 0055 Win32NLSEnableIME"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 74 4B 83 BB 4C 01 00 00 00 74 2B A1 ?? ?? ?? ?? 8B 00 8B 50 2C 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 40 30 50 E8 ?? ?? ?? ?? 80 BB 48 01 00 00 00 75 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4341_0 {
	meta:
		name = "TWinControl.DoAddDockClient"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 64 C3 }
	condition:
		$1
}

rule function_4343_0 {
	meta:
		name = "TWinControl.DoEnter"
		size = 29
	strings:
		$1 = { 53 66 83 B8 9A 01 00 00 00 74 10 8B D8 8B D0 8B 83 9C 01 00 00 FF 93 98 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4344_0 {
	meta:
		name = "TWinControl.DoExit"
		size = 29
	strings:
		$1 = { 53 66 83 B8 A2 01 00 00 00 74 10 8B D8 8B D0 8B 83 A4 01 00 00 FF 93 A0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4345_0 {
	meta:
		name = "TWinControl.DockDrop"
		size = 80
		refs = "0013 SmallPoint 0022 TControl.Perform"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 66 8B 55 08 8B C7 E8 ?? ?? ?? ?? 50 8B CE BA 38 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1F 66 83 BB 8A 01 00 00 00 74 15 57 8B 45 08 50 8B CE 8B D3 8B 83 8C 01 00 00 FF 93 88 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4346_0 {
	meta:
		name = "TWinControl.DoDockOver"
		size = 50
	strings:
		$1 = { 55 8B EC 53 66 83 B8 92 01 00 00 00 74 1F 51 8B 4D 10 51 8A 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 94 01 00 00 FF 93 90 01 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_4347_0 {
	meta:
		name = "TWinControl.DockOver"
		size = 63
		refs = "0017 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B D7 8B C6 66 BB D8 FF E8 ?? ?? ?? ?? 8B 45 10 50 8A 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C6 66 BB CB FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4348_0 {
	meta:
		name = "TWinControl.DoUnDock"
		size = 88
		refs = "003f TControl.Perform"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 C6 04 24 01 66 83 BB E2 01 00 00 00 74 16 56 8D 44 24 04 50 8B CF 8B D3 8B 83 E4 01 00 00 FF 93 E0 01 00 00 80 3C 24 00 74 13 57 8B CE BA 39 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 88 04 24 8A 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4349_0 {
	meta:
		name = "TWinControl.ReloadDockedControl"
		size = 36
		refs = "000f TComponent.FindComponent 0015 _DV_TControl 001a @AsClass"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4350_0 {
	meta:
		name = "TWinControl.GetDockClientCount"
		size = 17
	strings:
		$1 = { 8B 90 34 01 00 00 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_4351_0 {
	meta:
		name = "TWinControl.GetDockClients"
		size = 34
		refs = "0016 TList.Get"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 34 01 00 00 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4352_0 {
	meta:
		name = "TWinControl.GetSiteInfo"
		size = 91
		refs = "001b TWinControl.GetHandle 0021 GetWindowRect 002b InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 0C 8D 7D F8 A5 A5 8B F1 8B FA 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 0A 6A 0A 56 E8 ?? ?? ?? ?? 66 83 BB AA 01 00 00 00 74 19 56 8D 45 F8 50 8B 45 08 50 8B CF 8B D3 8B 83 AC 01 00 00 FF 93 A8 01 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4353_0 {
	meta:
		name = "TWinControl.CreateDockManager"
		size = 107
		refs = "0026 _DV_TDockTree 002b TDockTree.Create 003b @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 3C 01 00 00 00 75 32 80 BB 38 01 00 00 00 74 29 80 BB 80 01 00 00 00 74 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA 90 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 93 3C 01 00 00 E8 ?? ?? ?? ?? 80 BB E8 01 00 00 00 75 09 83 3E 00 75 04 33 C0 EB 02 B0 01 88 83 E8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4354_0 {
	meta:
		name = "TWinControl.SetDockSite"
		size = 179
		refs = "000f TWinControl.SetDockSite 0032 RegisterDockSite 0041 TObject.Free 0054 @IntfClear 0066 _Dn_TList 006b TObject.Create 007f @CallDynaInst 008d @IntfCopy 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 38 01 00 00 74 70 88 9E 38 01 00 00 F6 46 20 10 75 64 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 20 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 34 01 00 00 8D 86 3C 01 00 00 E8 ?? ?? ?? ?? EB 37 83 BE 34 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 34 01 00 00 8D 55 FC 8B C6 66 BB CE FF E8 ?? ?? ?? ?? 8B 55 FC 8D 86 3C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4355_0 {
	meta:
		name = "TWinControl.CMDockClient"
		size = 238
		refs = "0039 TWinControl.GetHandle 0041 MapWindowPoints 0049 TWinControl.DisableAlign 0051 TWinControl.CMDockClient 006f @CallDynaInst 00c0 TWinControl.EnableAlign 00c6 @HandleFinally 00d0 GetParentForm 00d9 TControl.BringToFront"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 83 78 0C 00 0F 85 CB 00 00 00 8B 45 F8 8B 40 04 8D 70 38 8D 7D E8 B9 04 00 00 00 F3 A5 6A 02 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 8B 40 30 8D 4D E8 8B 55 FC 66 BB D2 FF E8 ?? ?? ?? ?? 8B 45 FC 80 B8 80 01 00 00 00 74 30 8B 45 FC 83 B8 3C 01 00 00 00 74 24 8B 45 F8 8B 40 04 8B 50 4C 52 8B 55 F8 8A 48 48 8B 55 F8 8B 50 30 8B 45 FC 8B 80 3C 01 00 00 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4356_0 {
	meta:
		name = "TWinControl.CMUnDockClient"
		size = 38
	strings:
		$1 = { 33 C9 89 4A 0C 80 B8 80 01 00 00 00 74 17 83 B8 3C 01 00 00 00 74 0E 8B 52 08 8B 80 3C 01 00 00 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_4357_0 {
	meta:
		name = "TWinControl.CMFloat"
		size = 129
		refs = "001b TObject.ClassType 0030 TWinControl.CMFloat 004a @CallDynaInst 0065 TControl.BringToFront 006b @HandleFinally 0077 TControl.CMFloat"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 8B 45 FC 8B 10 FF 52 58 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B D8 75 4E 8B 45 FC 8A 40 47 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8D 48 38 33 D2 8B 45 FC 66 BB D2 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4358_0 {
	meta:
		name = "TWinControl.KeyDown"
		size = 40
	strings:
		$1 = { 53 51 88 0C 24 66 83 B8 B2 01 00 00 00 74 16 8A 0C 24 51 8B CA 8B D8 8B D0 8B 83 B4 01 00 00 FF 93 B0 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_4359_0 {
	meta:
		name = "TWinControl.DoKeyDown"
		size = 102
		refs = "000f GetParentForm 002b TWinControl.DoKeyDown 0037 KeyDataToShiftState 004f @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 C6 04 24 01 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 3B F3 74 16 80 BB 0D 02 00 00 00 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 47 08 E8 ?? ?? ?? ?? 8B D8 F6 46 41 10 75 17 8D 57 04 8B CB 8B C6 66 BB C1 FF E8 ?? ?? ?? ?? 66 83 7F 04 00 74 04 C6 04 24 00 8A 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4360_0 {
	meta:
		name = "TWinControl.WMKeyDown"
		size = 31
		refs = "000b TWinControl.DoKeyDown"
		altNames = "TWinControl.WMSysKeyDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4368_0 {
	meta:
		name = "TWinControl.WMChar"
		size = 31
		refs = "000b TWinControl.DoKeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4364_0 {
	meta:
		name = "TWinControl.WMKeyUp"
		size = 31
		refs = "000b TWinControl.DoKeyUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4365_0 {
	meta:
		name = "TWinControl.WMSysKeyUp"
		size = 31
		refs = "000b TWinControl.DoKeyUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_4362_0 {
	meta:
		name = "TWinControl.KeyUp"
		size = 40
	strings:
		$1 = { 53 51 88 0C 24 66 83 B8 C2 01 00 00 00 74 16 8A 0C 24 51 8B CA 8B D8 8B D0 8B 83 C4 01 00 00 FF 93 C0 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_4363_0 {
	meta:
		name = "TWinControl.DoKeyUp"
		size = 138
		refs = "000f GetParentForm 002b TWinControl.DoKeyUp 0037 KeyDataToShiftState 0053 @CallDynaInst 0071 SmallPoint 007a TControl.CheckMenuPopup"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 C6 04 24 01 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 3B F3 74 16 80 BB 0D 02 00 00 00 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4F 8B 47 08 E8 ?? ?? ?? ?? 88 44 24 01 F6 46 41 10 75 19 8D 57 04 8A 4C 24 01 8B C6 66 BB C0 FF E8 ?? ?? ?? ?? 66 83 7F 04 00 74 24 66 83 7F 04 5D 75 19 F6 44 24 01 02 75 12 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 04 24 00 8A 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4366_0 {
	meta:
		name = "TWinControl.KeyPress"
		size = 31
	strings:
		$1 = { 53 66 83 B8 BA 01 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 BC 01 00 00 FF 93 B8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4367_0 {
	meta:
		name = "TWinControl.DoKeyPress"
		size = 107
		refs = "000f GetParentForm 002b TWinControl.DoKeyPress 004b @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 C6 04 24 01 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 3B F3 74 16 80 BB 0D 02 00 00 00 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 30 F6 46 41 10 75 26 8A 47 04 88 44 24 01 8D 54 24 01 8B C6 66 BB BF FF E8 ?? ?? ?? ?? 33 C0 8A 44 24 01 66 89 47 04 80 7F 04 00 74 04 C6 04 24 00 8A 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4369_0 {
	meta:
		name = "TWinControl.CMMouseWheel"
		size = 92
		refs = "0015 SmallPointToPoint 0028 @CallDynaInst 004f TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B F8 33 C0 89 46 0C 8B D4 8B 46 08 E8 ?? ?? ?? ?? 54 0F BF 4E 06 8A 56 04 8B C7 66 BB C7 FF E8 ?? ?? ?? ?? 84 C0 74 09 C7 46 0C 01 00 00 00 EB 1D 8B 5F 24 85 DB 74 16 8B 46 08 50 8B 4E 04 BA 43 B0 00 00 8B C3 E8 ?? ?? ?? ?? 89 46 0C 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4370_0 {
	meta:
		name = "TWinControl.WMMouseWheel"
		size = 51
		refs = "000c KeysToShiftState 001c @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 66 8B 46 04 E8 ?? ?? ?? ?? 88 46 04 8B D6 8B C7 66 BB B9 FF E8 ?? ?? ?? ?? 83 7E 0C 00 75 09 8B D6 8B C7 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4371_0 {
	meta:
		name = "TWinControl.MouseWheelHandler"
		size = 61
		refs = "000a GetParentForm 001d @CallDynaInst 0032 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 8B D7 8B C6 66 BB B9 FF E8 ?? ?? ?? ?? EB 16 8B 47 08 50 8B 4F 04 BA 43 B0 00 00 8B C3 E8 ?? ?? ?? ?? 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4372_0 {
	meta:
		name = "TWinControl.DoMouseWheel"
		size = 195
		refs = "0088 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 08 8D 7D F4 A5 A5 8B D9 88 55 FF 8B F0 C6 45 F3 00 66 83 BE CA 01 00 00 00 74 1A 53 8D 45 F4 50 8D 45 F3 50 8A 4D FF 8B D6 8B 86 CC 01 00 00 FF 96 C8 01 00 00 80 7D F3 00 75 71 01 9E 7C 01 00 00 EB 57 85 C9 0F 9C C0 8B C8 8B 86 7C 01 00 00 99 33 C2 2B C2 8B D8 83 EB 78 89 9E 7C 01 00 00 84 C9 74 22 85 DB 74 08 F7 DB 89 9E 7C 01 00 00 8D 4D F4 8A 55 FF 8B C6 66 BB C6 FF E8 ?? ?? ?? ?? 88 45 F3 EB 14 8D 4D F4 8A 55 FF 8B C6 66 BB C5 FF E8 ?? ?? ?? ?? 88 45 F3 8B 8E 7C 01 00 00 8B C1 99 33 C2 2B C2 83 F8 78 7D 97 8A 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4373_0 {
	meta:
		name = "TWinControl.DoMouseWheelDown"
		size = 73
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 7C 24 04 A5 A5 88 14 24 C6 44 24 0C 00 66 83 B8 D2 01 00 00 00 74 1E 8D 54 24 04 52 8D 54 24 10 52 8B D8 8A 4C 24 08 8B D0 8B 83 D4 01 00 00 FF 93 D0 01 00 00 8A 44 24 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4374_0 {
	meta:
		name = "TWinControl.DoMouseWheelUp"
		size = 73
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 7C 24 04 A5 A5 88 14 24 C6 44 24 0C 00 66 83 B8 DA 01 00 00 00 74 1E 8D 54 24 04 52 8D 54 24 10 52 8B D8 8A 4C 24 08 8B D0 8B 83 DC 01 00 00 FF 93 D8 01 00 00 8A 44 24 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4375_0 {
	meta:
		name = "TraverseControls"
		size = 173
		refs = "0024 TWinControl.GetControlCount 0038 TWinControl.GetControl 0070 TControl.Perform 007c _DV_TWinControl 0081 @IsClass 0090 TraverseControls"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC 80 B8 6C 01 00 00 00 0F 84 83 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 74 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 5B 8B C3 8B 10 FF 52 50 84 C0 74 50 F6 43 42 01 74 23 8B 45 08 8B 40 FC 8B 40 08 50 8B 45 08 8B 48 FC 8B 49 04 BA 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 06 C6 45 FB 01 EB 04 47 4E 75 8F 8A 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4376_0 {
	meta:
		name = "TWinControl.WMSysCommand"
		size = 167
		refs = "0039 IsIconic 0042 GetCapture 004b Application 0059 GetParentForm 0071 TControl.Perform 008f TraverseControls"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC 8B 40 04 25 F0 FF 00 00 3D 00 F1 00 00 75 5C 8B 45 FC 66 83 78 08 20 74 52 8B 45 FC 66 83 78 08 2D 74 48 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 38 E8 ?? ?? ?? ?? 85 C0 75 2F A1 ?? ?? ?? ?? 8B 00 3B 58 30 74 23 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 16 8B 45 FC 50 33 C9 BA 17 B0 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 29 8B 45 FC 8B 40 04 25 F0 FF 00 00 3D 00 F1 00 00 75 0D 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 0A 8B 55 FC 8B C3 8B 08 FF 51 F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4378_0 {
	meta:
		name = "TWinControl.WMParentNotify"
		size = 50
		refs = "001d DoControlMsg"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 66 8B 73 04 66 83 FE 01 74 06 66 83 FE 02 75 0E 8B D3 8B 43 08 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C7 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4380_0 {
	meta:
		name = "TWinControl.WMDestroy"
		size = 52
		refs = "000d ControlAtom 001a RemoveProp 0021 WindowAtom"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 0F B7 05 ?? ?? ?? ?? 50 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_4381_0 {
	meta:
		name = "TWinControl.WMNCDestroy"
		size = 27
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 33 C0 89 86 40 01 00 00 C6 86 6C 01 00 00 00 5E C3 }
	condition:
		$1
}

rule function_4382_0 {
	meta:
		name = "TWinControl.WMNCHitTest"
		size = 33
	strings:
		$1 = { 56 8B F0 F6 46 20 10 74 0F 83 7E 24 00 74 09 C7 42 0C 01 00 00 00 5E C3 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_4383_0 {
	meta:
		name = "TWinControl.PaletteChanged"
		size = 97
		refs = "000f TControl.PaletteChanged 0020 TWinControl.GetControlCount 003a TWinControl.GetControl 0046 @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B F8 8A 14 24 8B C7 E8 ?? ?? ?? ?? 88 44 24 01 80 7F 47 00 74 3B 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 2C 8A 04 24 22 44 24 01 75 23 8B D6 8B C7 E8 ?? ?? ?? ?? 8A 14 24 66 BB D7 FF E8 ?? ?? ?? ?? 0A 44 24 01 88 44 24 01 4E 83 FE FF 75 D4 8A 44 24 01 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4384_0 {
	meta:
		name = "TWinControl.WMQueryNewPalette"
		size = 35
		refs = "0015 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 66 83 4E 44 04 B2 01 8B C6 66 BB D7 FF E8 ?? ?? ?? ?? 83 E0 7F 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4385_0 {
	meta:
		name = "TWinControl.WMPaletteChanged"
		size = 30
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 D2 8B C6 66 BB D7 FF E8 ?? ?? ?? ?? 83 E0 7F 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4386_0 {
	meta:
		name = "TWinControl.CMShowHintChanged"
		size = 23
		refs = "0011 TWinControl.NotifyControls"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 66 BA 23 B0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_4387_0 {
	meta:
		name = "TWinControl.CMBiDiModeChanged"
		size = 53
		refs = "000b TControl.CMBiDiModeChanged 0010 SysLocale 0023 TWinControl.RecreateWnd 002e TWinControl.NotifyControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 09 00 74 0D 83 7E 04 00 75 07 8B C3 E8 ?? ?? ?? ?? 66 BA 3D B0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4388_0 {
	meta:
		name = "TWinControl.CMEnter"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 53 66 BB CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4389_0 {
	meta:
		name = "TWinControl.CMExit"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 53 66 BB C9 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4390_0 {
	meta:
		name = "TWinControl.CMDesignHitTest"
		size = 31
		refs = "000b TWinControl.IsControlMouseMsg 0018 TControl.CMDesignHitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4391_0 {
	meta:
		name = "TWinControl.CMChanged"
		size = 18
		altNames = "TWinControl.CMChildKey TWinControl.CMControlListChange"
	strings:
		$1 = { 53 8B 48 24 85 C9 74 08 8B D9 8B 43 2C FF 53 28 5B C3 }
	condition:
		$1
}

rule function_4396_0 {
	meta:
		name = "TWinControl.CMVisibleChanged"
		size = 45
		refs = "0014 TWinControl.RemoveFocus 0027 TWinControl.UpdateControlState"
	strings:
		$1 = { 53 8B D8 80 7B 47 00 75 0F 83 7B 24 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 06 F6 43 41 04 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4397_0 {
	meta:
		name = "TWinControl.CMShowingChanged"
		size = 40
		refs = "000c ShowFlags 0023 SetWindowPos"
	strings:
		$1 = { 33 D2 8A 90 6C 01 00 00 0F B7 14 55 ?? ?? ?? ?? 52 6A 00 6A 00 6A 00 6A 00 6A 00 8B 80 40 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4398_0 {
	meta:
		name = "TWinControl.CMEnabledChanged"
		size = 72
		refs = "0019 TWinControl.RemoveFocus 0020 TWinControl.HandleAllocated 0042 EnableWindow"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 50 84 C0 75 0F 83 7B 24 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E F6 43 20 10 75 18 8B C3 8B 10 FF 52 50 F6 D8 1B C0 50 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4399_0 {
	meta:
		name = "TWinControl.CMColorChanged"
		size = 37
		refs = "0006 TControl.CMColorChanged 0014 TBrush.SetColor 001f TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 64 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 66 BA 09 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4400_0 {
	meta:
		name = "TWinControl.CMFontChanged"
		size = 58
		refs = "0006 TControl.CMFontChanged 000d TWinControl.HandleAllocated 001b TFont.GetHandle 0029 TControl.Perform 0034 TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 8B 43 58 E8 ?? ?? ?? ?? 8B C8 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 BA 08 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4401_0 {
	meta:
		name = "TWinControl.CMCursorChanged"
		size = 61
		refs = "0007 GetCapture 0011 GetCursorPos 001a FindDragTarget 0027 TWinControl.GetHandle 0035 TControl.Perform"
	strings:
		$1 = { 53 83 C4 F8 8B D8 E8 ?? ?? ?? ?? 85 C0 75 2A 54 E8 ?? ?? ?? ?? 8B C4 33 D2 E8 ?? ?? ?? ?? 3B D8 75 17 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_4402_0 {
	meta:
		name = "TWinControl.CMBorderChanged"
		size = 48
		refs = "000d TWinControl.HandleAllocated 0024 TWinControl.GetHandle 002a SetWindowPos"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 6A 37 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_4403_0 {
	meta:
		name = "TWinControl.CMCtl3DChanged"
		size = 62
		refs = "0012 TWinControl.HandleAllocated 0022 IsWindowVisible 002d TWinControl.InvalidateFrame 0038 TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 F6 43 40 10 74 28 83 7B 24 00 74 22 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 66 BA 11 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4404_0 {
	meta:
		name = "TWinControl.CMParentCtl3DChanged"
		size = 61
		refs = "001e TWinControl.SetCtl3D"
	strings:
		$1 = { 53 8B D8 80 BB 64 01 00 00 00 74 2F 83 7A 04 00 74 12 83 7A 08 00 0F 95 C0 8B D0 8B C3 E8 ?? ?? ?? ?? EB 10 8B 43 24 8A 90 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 64 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_4409_0 {
	meta:
		name = "TWinControl.CMDrag"
		size = 86
		refs = "0027 TControl.DoDragMsg 0034 TControl.ScreenToClient 003f TWinControl.ControlAtPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 8B 7B 08 8A 43 04 2C 04 72 06 FE C8 74 14 EB 34 83 7F 0C 00 74 2E 8B D3 8B 47 0C E8 ?? ?? ?? ?? EB 22 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B E8 89 6B 0C 85 ED 75 03 89 73 0C 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4412_0 {
	meta:
		name = "TWinControl.IsMenuKey"
		size = 148
		refs = "0028 @CallDynaInst 0054 GetParentForm 007c SendAppMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 89 04 24 C6 44 24 04 01 8B 04 24 F6 40 20 10 75 55 8B 34 24 85 F6 74 2F 8B C6 66 BB DC FF E8 ?? ?? ?? ?? 8B F8 85 FF 74 17 83 7F 2C 00 74 11 8B D5 8B C7 66 BB F0 FF E8 ?? ?? ?? ?? 84 C0 75 40 8B 76 24 85 F6 75 D1 8B 04 24 E8 ?? ?? ?? ?? 8B F0 85 F6 74 11 8B D5 8B C6 66 BB B1 FF E8 ?? ?? ?? ?? 84 C0 75 1A 8B 4D 08 0F B7 55 04 B8 16 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 C6 44 24 04 00 8A 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4413_0 {
	meta:
		name = "TWinControl.CNKeyDown"
		size = 214
		refs = "0013 TWinControl.IsMenuKey 0036 TControl.Perform 00b7 GetParentForm"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 C7 46 0C 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 B3 00 00 00 F6 43 20 10 0F 85 A4 00 00 00 53 0F B7 4E 04 BA 2E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 90 00 00 00 33 FF 0F B7 46 04 83 F8 1B 7F 13 74 2E 83 E8 03 74 29 83 E8 06 74 16 83 E8 04 74 1F EB 22 83 C0 DB 83 E8 04 72 0E 83 E8 02 74 10 EB 13 BF 02 00 00 00 EB 0C BF 01 00 00 00 EB 05 BF 04 00 00 00 85 FF 74 47 6A 00 0F B7 4E 04 BA 1E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 31 6A 00 33 C9 BA 87 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F8 75 1D 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 05 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4414_0 {
	meta:
		name = "TWinControl.CNKeyUp"
		size = 81
		refs = "0046 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 40 66 8B 7E 04 0F B7 C7 83 F8 1B 7F 13 74 1E 83 E8 03 74 19 83 E8 06 74 14 83 E8 04 74 0F EB 21 83 C0 DB 83 E8 04 72 05 83 E8 02 75 14 6A 00 0F B7 CF BA 1E B0 00 00 8B C3 E8 ?? ?? ?? ?? 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4415_0 {
	meta:
		name = "TWinControl.CNChar"
		size = 76
		refs = "001f TControl.Perform 002e GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 75 3D C7 46 0C 01 00 00 00 6A 00 33 C9 BA 87 00 00 00 8B C3 E8 ?? ?? ?? ?? A8 80 75 1D 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 06 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_4416_0 {
	meta:
		name = "TWinControl.CNSysKeyDown"
		size = 90
		refs = "0012 TWinControl.IsMenuKey 002d TControl.Perform 003c GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 C7 46 0C 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D F6 43 20 10 75 32 53 0F B7 4E 04 BA 2E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 22 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 05 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_4417_0 {
	meta:
		name = "TWinControl.CNSysChar"
		size = 50
		refs = "001a GetParentForm 0028 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 75 23 66 83 7E 04 20 74 1C 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 06 B0 00 00 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_4418_0 {
	meta:
		name = "TWinControl.SetBounds"
		size = 239
		refs = "0038 TWinControl.HandleAllocated 0048 IsIconic 0069 SetWindowPos 00ae GetWindowPlacement 00b8 TControl.GetBoundsRect 00d7 SetWindowPlacement 00e2 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 0C 8B 45 FC 3B 46 30 75 19 8B 45 F8 3B 46 34 75 11 3B 5E 38 75 0C 8B 45 08 3B 46 3C 0F 84 B1 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 1F 6A 14 8B 45 08 50 53 8B 45 F8 50 8B 45 FC 50 6A 00 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? EB 6C 8B 4D 08 8B D3 8B C6 8B 38 FF 57 30 8B 45 FC 89 46 30 8B 45 F8 89 46 34 89 5E 38 8B 45 08 89 46 3C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 40 C7 45 CC 2C 00 00 00 8D 45 CC 50 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 56 8D 75 BC 8D 7D E8 B9 04 00 00 00 F3 A5 5E 8D 45 CC 50 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 66 BB D6 FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4419_0 {
	meta:
		name = "TWinControl.ScaleControls"
		size = 69
		refs = "0013 TWinControl.GetControlCount 0026 TWinControl.GetControl 0036 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 20 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 66 BB ED FF E8 ?? ?? ?? ?? 47 4E 75 E3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4420_0 {
	meta:
		name = "TWinControl.ChangeScale"
		size = 93
		refs = "0011 TWinControl.DisableAlign 0019 TWinControl.ChangeScale 002b TWinControl.ScaleControls 0037 TControl.ChangeScale 004c TWinControl.EnableAlign 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4421_0 {
	meta:
		name = "TWinControl.ScaleBy"
		size = 173
		refs = "000f TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 IsWindowVisible 004f SetWindowPos 005a TControl.GetBoundsRect 0069 @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 1C 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 66 BB ED FF E8 ?? ?? ?? ?? 8B 46 38 50 8B 46 3C 50 8B 4C 24 10 8B 54 24 0C 8B C6 8B 18 FF 93 80 00 00 00 80 3C 24 00 74 19 6A 57 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4422_0 {
	meta:
		name = "TWinControl.ScrollBy"
		size = 216
		refs = "001c IsWindowVisible 004b ScrollWindow 0052 TWinControl.GetControlCount 0065 TWinControl.GetControl 006f _DV_TWinControl 0074 @IsClass 00c1 SetWindowPos 00cc TWinControl.Realign"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B F8 8B 9F 40 01 00 00 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 44 24 08 80 7C 24 08 00 74 1A 6A 00 6A 00 8B 44 24 0C 50 8B 44 24 0C 50 8B 87 40 01 00 00 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6C 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 83 BB 40 01 00 00 00 75 0F 8B 04 24 01 43 30 8B 44 24 04 01 43 34 EB 31 80 7C 24 08 00 75 2A 6A 14 8B C3 8B 50 3C 52 8B 50 38 52 8B 50 34 03 54 24 10 52 8B 50 30 03 54 24 10 52 6A 00 8B 80 40 01 00 00 50 E8 ?? ?? ?? ?? 45 4E 75 97 8B C7 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4423_0 {
	meta:
		name = "TWinControl.ShowControl"
		size = 22
	strings:
		$1 = { 56 8B 70 24 85 F6 74 0C 8B D0 8B C6 8B 08 FF 91 B0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_4424_0 {
	meta:
		name = "TWinControl.SetZOrderPosition"
		size = 215
		refs = "0029 TList.IndexOf 0055 TList.Delete 0067 TList.Insert 009e TList.Get 00a3 TWinControl.GetHandle 00ce SetWindowPos"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 43 24 85 C0 0F 84 BF 00 00 00 8B 90 28 01 00 00 85 D2 74 03 2B 72 08 8B 80 84 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 38 8B 43 24 8B 90 84 01 00 00 8B 42 08 85 F6 7D 02 33 F6 3B C6 7F 03 8B F0 4E 3B FE 74 1B 8B C2 8B D7 E8 ?? ?? ?? ?? 8B 43 24 8B 80 84 01 00 00 8B CB 8B D6 E8 ?? ?? ?? ?? 83 BB 40 01 00 00 00 74 5E 85 F6 75 07 B8 01 00 00 00 EB 3C 8B 43 24 8B A8 84 01 00 00 8B 45 08 48 3B F0 75 04 33 C0 EB 27 3B FE 7D 11 8D 56 01 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 3B FE 7E 25 8B C5 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 6A 00 6A 00 6A 00 6A 00 50 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4425_0 {
	meta:
		name = "TWinControl.SetZOrder"
		size = 95
		refs = "002f TWinControl.SetZOrderPosition 0051 WindowPos 0058 SetWindowPos"
	strings:
		$1 = { 53 56 8B 58 24 85 DB 74 2D 84 D2 74 0C 8B 93 84 01 00 00 8B 4A 08 49 EB 02 33 C9 33 D2 8B B3 28 01 00 00 85 F6 74 03 8B 56 08 03 CA 8B D1 E8 ?? ?? ?? ?? 5E 5B C3 8B 88 40 01 00 00 85 C9 74 1C 6A 03 6A 00 6A 00 6A 00 6A 00 83 E2 7F 0F B7 14 55 ?? ?? ?? ?? 52 51 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4426_0 {
	meta:
		name = "TWinControl.GetDeviceContext"
		size = 150
		refs = "0010 TWinControl.GetDeviceContext 0027 TWinControl.GetHandle 002d GetDCEx 003e GetDC 004c SWindowDCError 0051 LoadResString 005b _Dn_EOutOfResources 0060 Exception.Create 0065 @RaiseExcept 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 20 10 74 15 6A 12 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 EB 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 40 01 00 00 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4427_0 {
	meta:
		name = "TWinControl.GetParentHandle"
		size = 22
		refs = "000a TWinControl.GetHandle"
	strings:
		$1 = { 8B 50 24 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 8B 80 68 01 00 00 C3 }
	condition:
		$1
}

rule function_4428_0 {
	meta:
		name = "TWinControl.GetTopParentHandle"
		size = 31
		refs = "0016 TWinControl.GetHandle"
	strings:
		$1 = { EB 02 8B C2 8B 50 24 85 D2 75 F7 8B 90 68 01 00 00 85 D2 75 07 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_4429_0 {
	meta:
		name = "TWinControl.Invalidate"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 34 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4430_0 {
	meta:
		name = "TWinControl.CMInvalidate"
		size = 78
		refs = "0009 TWinControl.HandleAllocated 0025 TControl.Perform 0047 InvalidateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 43 24 85 C0 74 11 6A 00 B9 01 00 00 00 BA 34 B0 00 00 E8 ?? ?? ?? ?? 83 7E 04 00 75 1C F6 43 40 40 0F 95 C0 34 01 F6 D8 1B C0 50 6A 00 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4431_0 {
	meta:
		name = "TWinControl.Update"
		size = 28
		refs = "0006 TWinControl.HandleAllocated 0016 UpdateWindow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4432_0 {
	meta:
		name = "TWinControl.Repaint"
		size = 22
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 78 8B C3 8B 10 FF 92 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4433_0 {
	meta:
		name = "TWinControl.InvalidateFrame"
		size = 56
		refs = "000b TControl.GetBoundsRect 0019 InflateRect 002f InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B 43 24 8B 80 40 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_4434_0 {
	meta:
		name = "TWinControl.CanFocus"
		size = 61
		refs = "000c GetParentForm"
	strings:
		$1 = { 53 56 51 8B D8 C6 04 24 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 20 3B F3 74 18 80 7B 47 00 74 16 8B C3 8B 10 FF 52 50 84 C0 74 0B 8B 5B 24 3B F3 75 E8 C6 04 24 01 8A 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4435_0 {
	meta:
		name = "TWinControl.SetFocus"
		size = 56
		refs = "0006 GetParentForm 0011 TCustomForm.FocusControl 0023 TWinControl.GetHandle 0029 SetFocus 0032 ValidParentForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D3 E8 ?? ?? ?? ?? 5B C3 83 BB 68 01 00 00 00 74 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4436_0 {
	meta:
		name = "TWinControl.Focused"
		size = 33
		refs = "000d GetFocus"
	strings:
		$1 = { 53 8B D8 83 BB 40 01 00 00 00 74 0D E8 ?? ?? ?? ?? 3B 83 40 01 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_4437_0 {
	meta:
		name = "TWinControl.HandleNeeded"
		size = 36
		refs = "0014 TWinControl.HandleNeeded"
	strings:
		$1 = { 53 8B D8 83 BB 40 01 00 00 00 75 16 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4438_0 {
	meta:
		name = "TWinControl.GetHandle"
		size = 18
		refs = "0006 TWinControl.HandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_4439_0 {
	meta:
		name = "TWinControl.GetControlExtents"
		size = 147
		refs = "0018 Rect 001f TWinControl.GetControlCount 0032 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 6A 00 53 33 C9 BA FF FF FF 7F B8 FF FF FF 7F E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 64 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 47 00 75 0C F6 40 20 10 74 48 F6 40 41 04 75 42 8B 13 3B 50 30 7E 05 8B 50 30 89 13 8B 53 04 3B 50 34 7E 06 8B 50 34 89 53 04 8B 50 30 03 50 38 3B 53 08 7E 09 8B 50 30 03 50 38 89 53 08 8B 50 34 03 50 3C 3B 53 0C 7E 09 8B 50 34 03 50 3C 89 53 0C 45 4E 75 9F 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4440_0 {
	meta:
		name = "TWinControl.GetClientOrigin"
		size = 32
		refs = "0013 TWinControl.GetHandle 0019 ClientToScreen"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 03 33 C0 89 43 04 53 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4441_0 {
	meta:
		name = "TWinControl.GetClientRect"
		size = 23
		refs = "000a TWinControl.GetHandle 0010 GetClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4442_0 {
	meta:
		name = "TWinControl.AdjustSize"
		size = 64
		refs = "000d TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SetWindowPos 0039 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 F6 46 20 01 75 33 8B C6 E8 ?? ?? ?? ?? 84 C0 74 28 6A 16 8B 46 3C 50 8B 46 38 50 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 66 BB D6 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4443_0 {
	meta:
		name = "TWinControl.SetBorderWidth"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3B 90 20 01 00 00 74 14 89 90 20 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4444_0 {
	meta:
		name = "TWinControl.SetCtl3D"
		size = 36
		refs = "001f TControl.Perform"
	strings:
		$1 = { 3A 90 2C 01 00 00 74 1B 88 90 2C 01 00 00 C6 80 64 01 00 00 00 6A 00 33 C9 BA 10 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4445_0 {
	meta:
		name = "TWinControl.IsCtl3DStored"
		size = 9
	strings:
		$1 = { 8A 80 64 01 00 00 34 01 C3 }
	condition:
		$1
}

rule function_4446_0 {
	meta:
		name = "TWinControl.SetParentCtl3D"
		size = 35
		refs = "001e TControl.Perform"
	strings:
		$1 = { 3A 90 64 01 00 00 74 1A 88 90 64 01 00 00 83 78 24 00 74 0E 6A 00 33 C9 BA 11 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4447_0 {
	meta:
		name = "TWinControl.GetTabOrder"
		size = 33
		refs = "0014 TList.IndexOf"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 10 8B 86 70 01 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_4448_0 {
	meta:
		name = "TWinControl.UpdateTabOrder"
		size = 89
		refs = "000b TWinControl.GetTabOrder 003e TList.Delete 0050 TList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 0F BF C0 85 C0 7C 3E 8B 53 24 8B AA 70 01 00 00 8B 55 08 66 85 F6 7D 02 33 F6 0F BF CE 3B D1 7F 03 8B F2 4E 0F BF FE 3B C7 74 1A 8B D5 92 E8 ?? ?? ?? ?? 8B D7 8B 43 24 8B 80 70 01 00 00 8B CB E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4449_0 {
	meta:
		name = "TWinControl.SetTabOrder"
		size = 22
		refs = "0011 TWinControl.UpdateTabOrder"
	strings:
		$1 = { F6 40 44 08 74 0A 0F BF D2 89 90 74 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4450_0 {
	meta:
		name = "TWinControl.SetTabStop"
		size = 93
		refs = "0017 TWinControl.HandleAllocated 0029 GetWindowLong 0046 SetWindowLong 0056 TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 78 01 00 00 74 4C 88 9E 78 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2B 6A F0 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 25 FF FF FE FF 84 DB 74 05 0D 00 00 01 00 50 6A F0 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 28 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4451_0 {
	meta:
		name = "TWinControl.UpdateLastResize"
		size = 228
		refs = "0010 TControl.UpdateLastResize 0019 TWinControl.UpdateLastResize 002e TWinControl.HandleAllocated 0058 TControl.GetClientWidth 0099 TControl.GetClientHeight"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 43 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 0F 85 AB 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 8B C6 2B 43 38 85 C0 74 08 01 83 58 01 00 00 EB 30 8B B3 50 01 00 00 85 F6 7E 26 8B C3 E8 ?? ?? ?? ?? 3B F0 74 1B 8B C3 E8 ?? ?? ?? ?? 8B 93 50 01 00 00 03 93 58 01 00 00 2B C2 01 83 58 01 00 00 8B C7 2B 43 3C 85 C0 74 08 01 83 5C 01 00 00 EB 30 8B B3 54 01 00 00 85 F6 7E 26 8B C3 E8 ?? ?? ?? ?? 3B F0 74 1B 8B C3 E8 ?? ?? ?? ?? 8B 93 54 01 00 00 03 93 5C 01 00 00 2B C2 01 83 5C 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 50 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 54 01 00 00 5F 5E 5B C3 00 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4452_0 {
	meta:
		name = "TWinControl.SetUseDockManager"
		size = 112
		refs = "000d TWinControl.SetUseDockManager 003c @CallDynaInst 004a @IntfCopy 005f @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 96 80 01 00 00 74 2F 88 96 80 01 00 00 F6 46 20 10 0F 95 C0 34 01 84 D0 74 1C 8D 55 FC 8B C6 66 BB CE FF E8 ?? ?? ?? ?? 8B 55 FC 8D 86 3C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4453_0 {
	meta:
		name = "TWinControl.HandleAllocated"
		size = 11
	strings:
		$1 = { 83 B8 40 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_4454_0 {
	meta:
		name = "TWinControl.UpdateBounds"
		size = 199
		refs = "0010 IsIconic 002d GetWindowPlacement 0049 GetWindowRect 0057 GetWindowLong 0079 ScreenToClient"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B D8 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 28 C7 44 24 10 2C 00 00 00 8D 44 24 10 50 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 8D 74 24 2C 8B FC B9 04 00 00 00 F3 A5 EB 0D 54 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 6A F0 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? A9 00 00 00 40 74 26 6A F8 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 54 56 E8 ?? ?? ?? ?? 8D 44 24 08 50 56 E8 ?? ?? ?? ?? 8B 4C 24 0C 2B 4C 24 04 8B 54 24 08 2B 14 24 8B C3 8B 30 FF 56 30 8B 04 24 89 43 30 8B 44 24 04 89 43 34 8B 44 24 08 2B 04 24 89 43 38 8B 44 24 0C 2B 44 24 04 89 43 3C 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4455_0 {
	meta:
		name = "TWinControl.GetTabOrderList"
		size = 85
		refs = "002d TList.Get 0038 TList.Add 0045 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 8B 87 70 01 00 00 85 C0 74 3C 8B 70 08 4E 85 F6 7C 34 46 C7 04 24 00 00 00 00 8B 87 70 01 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C5 E8 ?? ?? ?? ?? 8B D5 8B C3 66 BB BA FF E8 ?? ?? ?? ?? FF 04 24 4E 75 D4 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4456_0 {
	meta:
		name = "TWinControl.FindNextControl"
		size = 256
		refs = "0018 _Dn_TList 001d TObject.Create 0028 TWinControl.FindNextControl 003c @CallDynaInst 0053 TList.IndexOf 009e TList.Get 00a7 TWinControl.CanFocus 00e8 TObject.Free 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D FF 8B F2 8B F8 33 C0 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B C7 66 BB BA FF E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 0F 8E 8A 00 00 00 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FF 75 17 80 7D FF 00 74 0C 8B 45 F0 8B 40 08 48 89 45 F4 EB 05 33 C0 89 45 F4 8B 5D F4 80 7D FF 00 74 0D 43 8B 45 F0 3B 58 08 75 0F 33 DB EB 0B 85 DB 75 06 8B 45 F0 8B 58 08 4B 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 80 7D 0C 00 74 09 80 BE 78 01 00 00 00 74 0E 80 7D 08 00 74 05 3B 7E 24 75 03 89 75 F8 83 7D F8 00 75 05 3B 5D F4 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4457_0 {
	meta:
		name = "TWinControl.SelectNext"
		size = 42
		refs = "0011 TWinControl.FindNextControl"
	strings:
		$1 = { 55 8B EC 56 8B F2 8B 55 08 52 80 F2 01 52 8B D6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0A 8B C6 8B 10 FF 92 B4 00 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_4458_0 {
	meta:
		name = "TWinControl.SelectFirst"
		size = 67
		refs = "0007 GetParentForm 001c TWinControl.FindNextControl 003c TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2F 6A 01 6A 00 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F 6A 00 6A 00 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4459_0 {
	meta:
		name = "TWinControl.GetChildren"
		size = 70
		refs = "0012 TWinControl.GetControlCount 0026 TWinControl.GetControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 E2 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4460_0 {
	meta:
		name = "TWinControl.SetChildOrder"
		size = 64
		refs = "000a _DV_TWinControl 000f @IsClass 001c TWinControl.SetZOrderPosition 0027 _DV_TControl 0039 TControl.SetZOrderPosition"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4462_0 {
	meta:
		name = "DoCalcConstraints"
		size = 129
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 46 68 83 78 14 00 76 0A 8B 56 68 8B 52 14 89 17 EB 04 33 D2 89 17 83 78 10 00 76 0A 8B 56 68 8B 52 10 89 11 EB 04 33 D2 89 11 83 78 0C 00 76 0D 8B 56 68 8B 52 0C 8B 5D 0C 89 13 EB 07 8B 55 0C 33 DB 89 1A 83 78 08 00 76 0D 8B 46 68 8B 40 08 8B 55 08 89 02 EB 07 8B 45 08 33 D2 89 10 8B 45 0C 50 8B 45 08 50 8B D7 8B C6 8B 18 FF 53 3C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4463_0 {
	meta:
		name = "TWinControl.CalcConstraints"
		size = 968
		refs = "0014 TWinControl.HandleAllocated 0023 TWinControl.GetControlCount 00ac TWinControl.CalcConstraints 00fe TWinControl.GetControl 012f DoCalcConstraints 03af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 89 4D F8 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 95 03 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 86 03 00 00 8D 55 A0 8B C6 8B 08 FF 51 44 8D 55 A0 8B C6 8B 08 FF 91 88 00 00 00 8B 46 38 8B 55 A8 2B 55 A0 2B C2 89 45 F4 8B 56 3C 8B 4D AC 2B 4D A4 2B D1 89 55 F0 89 45 EC 89 55 E8 8B 45 FC 83 38 00 7E 08 8B 45 FC 8B 55 F4 29 10 8B 45 F8 83 38 00 7E 08 8B 45 F8 8B 55 F0 29 10 8B 45 0C 83 38 00 7E 08 8B 45 0C 8B 55 EC 29 10 8B 45 08 83 38 00 7E 08 8B 45 08 8B 55 E8 29 10 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C0 89 45 E0 33 C0 89 45 D0 33 C0 89 45 DC 33 C0 89 45 CC 33 C0 89 45 D8 33 C0 89 45 C8 33 C0 89 45 D4 33 C0 89 45 C4 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C E8 01 00 00 47 C7 45 E4 00 00 00 00 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 75 14 F6 43 20 10 0F 84 BA 01 00 00 F6 43 41 04 0F 85 B0 01 00 00 8D 45 BC 50 8D 45 B4 50 8D 4D B8 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8A 43 4B 2C 01 72 16 2C 02 72 06 2C 02 74 08 EB 55 C6 45 B3 01 EB 53 C6 45 B3 02 EB 4D 8A 43 60 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 30 C6 45 B3 01 83 7D C0 00 7E 0F 8B 45 A8 2B 45 A0 2B 43 38 2B 45 C0 89 45 C0 83 7D BC 00 7E 1B 8B 45 A8 2B 45 A0 03 45 BC 2B 43 38 89 45 BC EB 0A C6 45 B3 00 EB 04 C6 45 B3 03 8A 43 4B 2C 01 72 12 04 FE 2C 02 72 04 74 06 EB 4D B0 01 EB 4B B0 02 EB 47 8A 43 60 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 2E B0 01 83 7D B8 00 7E 0F 8B 55 AC 2B 55 A4 2B 53 3C 2B 55 B8 89 55 B8 83 7D B4 00 7E 17 8B 55 AC 2B 55 A4 03 55 B4 2B 53 3C 89 55 B4 EB 06 33 C0 EB 02 B0 03 8A 55 B3 FE CA 74 0A FE CA 74 38 FE CA 74 52 EB 59 83 7D C0 00 7E 12 8B 55 FC 8B 12 3B 55 C0 7D 08 8B 55 FC 8B 4D C0 89 0A 83 7D BC 00 7E 3B 8B 55 0C 8B 12 3B 55 BC 7E 31 8B 55 0C 8B 4D BC 89 0A EB 27 8B 55 C0 01 55 E0 83 7D BC 00 7E 08 8B 55 BC 01 55 DC EB 13 8B 55 0C 8B 12 89 55 DC EB 09 8B 53 38 01 55 D0 01 55 CC FE C8 74 0A FE C8 74 38 FE C8 74 52 EB 59 83 7D B8 00 7E 12 8B 45 F8 8B 00 3B 45 B8 7D 08 8B 45 F8 8B 55 B8 89 10 83 7D B4 00 7E 3B 8B 45 08 8B 00 3B 45 B4 7E 31 8B 45 08 8B 55 B4 89 10 EB 27 8B 45 B8 01 45 D8 83 7D B4 00 7E 08 8B 45 B4 01 45 D4 EB 13 8B 45 08 8B 00 89 45 D4 EB 09 8B 43 3C 01 45 C8 01 45 C4 FF 45 E4 4F 0F 85 20 FE FF FF 83 7D E0 00 7E 18 8B 45 E0 03 45 D0 8B 55 FC 3B 02 7E 0B 8B 45 E0 03 45 D0 8B 55 FC 89 02 83 7D DC 00 7E 20 8B 45 0C 83 38 00 74 0D 8B 45 DC 03 45 CC 8B 55 0C 3B 02 7D 0B 8B 45 DC 03 45 CC 8B 55 0C 89 02 83 7D D8 00 7E 18 8B 45 D8 03 45 C8 8B 55 F8 3B 02 7E 0B 8B 45 D8 03 45 C8 8B 55 F8 89 02 83 7D D4 00 7E 20 8B 45 08 83 38 00 74 0D 8B 45 D4 03 45 C4 8B 55 08 3B 02 7D 0B 8B 45 D4 03 45 C4 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 38 00 7E 08 8B 45 FC 8B 55 F4 01 10 8B 45 F8 83 38 00 7E 08 8B 45 F8 8B 55 F0 01 10 8B 45 0C 83 38 00 7E 08 8B 45 0C 8B 55 EC 01 10 8B 45 08 83 38 00 7E 08 8B 45 08 8B 55 E8 01 10 C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C2 08 00 00 00 05 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_4464_0 {
	meta:
		name = "TWinControl.ConstrainedResize"
		size = 57
		refs = "001b TWinControl.CalcConstraints 002e TControl.ConstrainedResize"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4465_0 {
	meta:
		name = "TWinControl.ActionChange"
		size = 63
		refs = "0010 TControl.ActionChange 0018 _Dn_TCustomAction 001d @IsClass"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 84 DB 74 09 83 BF 44 01 00 00 00 75 09 8B 46 54 89 87 44 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4467_0 {
	meta:
		name = "TWinControl.IsHelpContextStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 5C 85 F6 74 10 8B C6 8B 10 FF 52 28 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4468_0 {
	meta:
		name = "TWinControl.AssignTo"
		size = 48
		refs = "000b TControl.AssignTo 0013 _Dn_TCustomAction 0018 @IsClass 0029 TCustomAction.SetHelpContext"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 44 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4469_0 {
	meta:
		name = "TWinControl.CanAutoSize"
		size = 457
		refs = "001a TWinControl.HandleAllocated 0040 TWinControl.GetControlCount 0077 TWinControl.DisableAlign 007f TWinControl.CanAutoSize 00a7 TWinControl.GetControl 0127 TWinControl.EnableAlign 012d @HandleFinally 016f @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D F4 89 55 F8 89 45 FC C6 45 F3 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 99 01 00 00 8B 45 FC 80 78 4B 05 0F 84 8C 01 00 00 8B 45 FC F6 40 20 10 74 10 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 73 01 00 00 8D 55 DC 8B 45 FC 8B 08 FF 91 A8 00 00 00 8D 55 CC 8B 45 FC 8B 08 FF 51 44 8D 55 CC 8B 45 FC 8B 08 FF 91 88 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 76 43 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 80 78 47 00 75 0C F6 40 20 10 74 51 F6 40 41 04 75 4B 8B 55 FC 8A 52 4B 84 D2 74 08 80 C2 FD 80 EA 02 73 08 8B 75 DC 2B 75 CC EB 02 33 F6 8B 55 FC 8A 52 4B 80 EA 03 73 08 8B 7D E0 2B 7D D0 EB 02 33 FF 8B 50 38 52 8B 50 3C 52 8B 48 34 2B CF 8B 50 30 2B D6 8B 30 FF 96 80 00 00 00 FF 45 EC 4B 75 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 83 60 44 EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8A 50 4B 8B C2 84 C0 74 06 04 FD 2C 02 73 37 8B 45 E4 2B 45 DC 85 C0 7E 26 8B 4D FC 03 41 38 8B 4D D4 2B 4D CC 2B C1 8B 4D F8 89 01 80 FA 04 75 15 8B 45 FC 66 BB D6 FF E8 ?? ?? ?? ?? EB 07 8B 45 F8 33 D2 89 10 8B 45 FC 8A 50 4B 8B C2 2C 03 73 37 8B 45 E8 2B 45 E0 85 C0 7E 26 8B 4D FC 03 41 3C 8B 4D D8 2B 4D D0 2B C1 8B 4D F4 89 01 80 FA 02 75 15 8B 45 FC 66 BB D6 FF E8 ?? ?? ?? ?? EB 07 8B 45 F4 33 D2 89 10 8A 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4470_0 {
	meta:
		name = "TWinControl.SetBevelCut"
		size = 67
		refs = "0021 TControl.Perform"
	strings:
		$1 = { 83 EA 01 72 04 74 1F EB 39 3A 88 17 01 00 00 74 31 88 88 17 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 3A 88 18 01 00 00 74 14 88 88 18 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4471_0 {
	meta:
		name = "TWinControl.SetBevelEdges"
		size = 46
		refs = "0027 TControl.Perform"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 83 16 01 00 00 3A 04 24 74 19 8A 04 24 88 83 16 01 00 00 6A 00 33 C9 BA 3B B0 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_4472_0 {
	meta:
		name = "TWinControl.SetBevelKind"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3A 90 19 01 00 00 74 14 88 90 19 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4473_0 {
	meta:
		name = "TWinControl.SetBevelWidth"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3B 90 1C 01 00 00 74 14 89 90 1C 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4474_0 {
	meta:
		name = "TWinControl.WMNCCalcSize"
		size = 141
		refs = "002b InflateRect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 46 08 8B F0 8B 83 20 01 00 00 F7 D8 50 8B 93 20 01 00 00 F7 DA 50 8B FE 57 E8 ?? ?? ?? ?? 80 BB 19 01 00 00 00 74 51 33 C0 80 BB 17 01 00 00 00 74 06 03 83 1C 01 00 00 80 BB 18 01 00 00 00 74 06 03 83 1C 01 00 00 8B F7 F6 83 16 01 00 00 01 74 02 01 06 F6 83 16 01 00 00 02 74 03 01 46 04 F6 83 16 01 00 00 04 74 03 29 46 08 F6 83 16 01 00 00 08 74 03 29 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4475_0 {
	meta:
		name = "TWinControl.WMNCPaint"
		size = 648
		refs = "002f TWinControl.GetHandle 0035 GetWindowDC 0040 TWinControl.WMNCPaint 0058 GetClientRect 006a GetWindowRect 0080 MapWindowPoints 0095 OffsetRect 00ae ExcludeClipRect 00cf InflateRect 0128 GetWindowLong 0166 GetSystemMetrics 01ad EdgeStyles 01be Ctl3DStyles 01d5 InnerStyles 01e6 OuterStyles 01f4 DrawEdge 020d IntersectClipRect 023d TBrush.GetHandle 024b FillRect 026a ReleaseDC 0270 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 B8 19 01 00 00 00 75 10 8B 45 FC 83 B8 20 01 00 00 00 0F 86 4B 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 D8 F7 D8 50 8B 45 D4 F7 D8 50 8D 45 E4 50 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 75 D4 8D 7D C4 B9 04 00 00 00 F3 A5 8B 45 FC 8B 80 20 01 00 00 50 50 8D 45 E4 50 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D D4 B9 04 00 00 00 F3 A5 8B 45 FC 80 B8 19 01 00 00 00 0F 84 08 01 00 00 33 DB 8B 45 FC 80 B8 17 01 00 00 00 74 09 8B 45 FC 03 98 1C 01 00 00 8B 45 FC 80 B8 18 01 00 00 00 74 09 8B 45 FC 03 98 1C 01 00 00 6A F0 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B 45 FC F6 80 16 01 00 00 01 74 03 29 5D D4 8B 45 FC F6 80 16 01 00 00 02 74 03 29 5D D8 8B 45 FC F6 80 16 01 00 00 04 74 03 01 5D DC F7 C6 00 00 20 00 74 0E 6A 14 A1 ?? ?? ?? ?? 8B 00 FF D0 01 45 DC 8B 45 FC F6 80 16 01 00 00 08 74 03 01 5D E0 F7 C6 00 00 10 00 74 0E 6A 15 A1 ?? ?? ?? ?? 8B 00 FF D0 01 45 E0 8B 45 FC 0F B6 80 16 01 00 00 8B 55 FC 0F B6 92 19 01 00 00 0B 04 95 ?? ?? ?? ?? 8B 55 FC 0F B6 92 2C 01 00 00 0B 04 95 ?? ?? ?? ?? 0D 00 20 00 00 50 8B 45 FC 0F B6 80 17 01 00 00 8B 04 85 ?? ?? ?? ?? 8B 55 FC 0F B6 92 18 01 00 00 0B 04 95 ?? ?? ?? ?? 50 8D 45 D4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 D4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 75 C4 8D 7D D4 B9 04 00 00 00 F3 A5 8B 45 D8 F7 D8 50 8B 45 D4 F7 D8 50 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 D4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 55 F8 8B 45 FC 8B 08 FF 51 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4476_0 {
	meta:
		name = "TWinControl.FindChildControl"
		size = 93
		refs = "002c TList.Get 0036 CompareText"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 C0 89 04 24 8B 83 84 01 00 00 85 C0 74 3C 8B 78 08 4F 85 FF 7C 34 47 33 F6 8B D6 8B 83 84 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B D5 E8 ?? ?? ?? ?? 85 C0 75 12 8B D6 8B 83 84 01 00 00 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 CF 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4477_0 {
	meta:
		name = "TGraphicControl.Create"
		size = 91
		refs = "000e @ClassCreate 001c TControl.Create 0023 _DV_TControlCanvas 0028 TCanvas.Create 0039 TControlCanvas.SetControl 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4478_0 {
	meta:
		name = "TGraphicControl.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 000d CaptureControl 0016 SetCaptureControl 0021 TObject.Free 002d TControl.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 3B 35 ?? ?? ?? ?? 75 07 33 C0 E8 ?? ?? ?? ?? 8B 86 14 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4479_0 {
	meta:
		name = "TGraphicControl.WMPaint"
		size = 166
		refs = "001e TCanvas.Lock 0026 TGraphicControl.WMPaint 003d TCanvas.SetHandle 0079 @HandleFinally 0096 TCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 83 7B 04 00 0F 84 8E 00 00 00 8B 45 FC 8B 80 14 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 04 8B 45 FC 8B 80 14 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 14 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 14 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_4481_0 {
	meta:
		name = "THintWindow.Create"
		size = 171
		refs = "0013 @ClassCreate 0020 TCustomControl.Create 002c TControl.SetColor 0048 SystemParametersInfo 0055 CreateFontIndirect 0065 TFont.SetHandle 007a TFont.SetSize 008a TBrush.SetStyle 0095 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA FF FF 80 00 8B C6 E8 ?? ?? ?? ?? C7 85 AC FE FF FF 54 01 00 00 6A 00 8D 85 AC FE FF FF 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 1B 8D 45 88 50 E8 ?? ?? ?? ?? 8B D0 8B 86 EC 01 00 00 8B 40 0C E8 ?? ?? ?? ?? EB 13 8B 86 EC 01 00 00 8B 40 0C BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4482_0 {
	meta:
		name = "THintWindow.CreateParams"
		size = 58
		refs = "000b TWinControl.CreateParams 001f NewStyleControls 0033 TWinControl.AddBiDiModeExStyle"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? C7 43 04 00 00 80 80 81 4B 24 00 08 00 00 80 3D ?? ?? ?? ?? 00 74 07 C7 43 08 80 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4483_0 {
	meta:
		name = "THintWindow.WMNCHitTest"
		size = 8
	strings:
		$1 = { C7 42 0C FF FF FF FF C3 }
	condition:
		$1
}

rule function_4484_0 {
	meta:
		name = "THintWindow.WMNCPaint"
		size = 126
		refs = "000d TWinControl.GetHandle 0013 GetWindowDC 001e THintWindow.WMNCPaint 003e Rect 004f DrawEdge 006e ReleaseDC 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 50 8D 45 E8 50 8B 45 FC 8B 48 38 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 0F 6A 01 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B E5 5D C3 }
	condition:
		$1
}

rule function_4485_0 {
	meta:
		name = "THintWindow.Paint"
		size = 154
		refs = "0012 THintWindow.Paint 003d TFont.SetColor 0044 TControl.DrawTextBiDiModeFlagsReadingOnly 005a TControl.GetText 0062 @LStrToPChar 006e TCanvas.GetHandle 0074 DrawText 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 44 83 45 F0 02 83 45 F4 02 8B 83 EC 01 00 00 8B 40 0C BA 17 00 00 80 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0D 10 08 00 00 50 8D 45 F0 50 6A FF 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4486_0 {
	meta:
		name = "THintWindow.IsHintMsg"
		size = 100
	strings:
		$1 = { 56 8B 42 04 3D 00 01 00 00 72 07 3D 08 01 00 00 76 4E 8B 4A 04 81 F9 00 B0 00 00 74 43 81 F9 01 B0 00 00 74 3B 81 7A 04 16 B0 00 00 74 32 81 7A 04 17 B0 00 00 74 29 81 7A 04 11 01 00 00 74 20 8B 72 04 81 FE 00 02 00 00 76 08 81 FE 0A 02 00 00 76 0D 81 7A 04 A0 00 00 00 74 04 33 C0 5E C3 B0 01 5E C3 }
	condition:
		$1
}

rule function_4488_0 {
	meta:
		name = "THintWindow.CMTextChanged"
		size = 143
		refs = "000c THintWindow.CMTextChanged 002c TControl.GetText 003a TCanvas.TextWidth 0046 TControl.SetWidth 005e TCanvas.TextHeight 006a TControl.SetHeight 007f @LStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 08 FF 51 F0 80 BE F0 01 00 00 00 75 48 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 83 C2 06 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D0 83 C2 04 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_4489_0 {
	meta:
		name = "THintWindow.ActivateHint"
		size = 283
		refs = "001c Screen 002e THintWindow.ActivateHint 003e TControl.SetText 004d TControl.UpdateBoundsRect 0054 TScreen.GetDesktopHeight 0078 TScreen.GetDesktopWidth 009c TScreen.GetDesktopLeft 00b2 TScreen.GetDesktopTop 00e3 TWinControl.GetHandle 00e9 SetWindowPos 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 45 FC 8B 1D ?? ?? ?? ?? 8B 45 FC C6 80 F0 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D1 8B 45 FC E8 ?? ?? ?? ?? 83 45 F8 04 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 3C 03 55 F0 3B C2 7D 10 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 2B 42 3C 89 45 F0 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 38 03 55 EC 3B C2 7D 10 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 2B 42 38 89 45 EC 8B 03 E8 ?? ?? ?? ?? 3B 45 EC 7E 0A 8B 03 E8 ?? ?? ?? ?? 89 45 EC 8B 03 E8 ?? ?? ?? ?? 3B 45 F8 7E 0A 8B 03 E8 ?? ?? ?? ?? 89 45 F8 6A 50 8B 45 FC 8B 40 3C 50 8B 45 FC 8B 40 38 50 8B 45 F0 50 8B 45 EC 50 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F0 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4490_0 {
	meta:
		name = "THintWindow.ActivateHintData"
		size = 43
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8D 55 F0 8B 18 FF 93 BC 00 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4491_0 {
	meta:
		name = "THintWindow.CalcHintRect"
		size = 89
		refs = "001b Rect 0022 TControl.DrawTextBiDiModeFlagsReadingOnly 0033 @LStrToPChar 003f TCanvas.GetHandle 0045 DrawText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 6A 00 53 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0D 10 0C 00 00 50 53 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 43 08 06 83 43 0C 02 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4492_0 {
	meta:
		name = "ClientToWindow"
		size = 64
		refs = "0019 ClientToScreen 0023 GetWindowRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 8B 75 08 89 55 F8 89 4D FC 8D 45 F8 50 53 E8 ?? ?? ?? ?? 8D 45 E8 50 53 E8 ?? ?? ?? ?? 8B 45 F8 2B 45 E8 89 06 8B 45 FC 2B 45 EC 89 46 04 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4493_0 {
	meta:
		name = "TDragImageList.Initialize"
		size = 22
		refs = "0006 TCustomImageList.Initialize 0010 TDragImageList.SetDragCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4494_0 {
	meta:
		name = "TDragImageList.CombineDragCursor"
		size = 204
		refs = "001d GetSystemMetrics 0033 ImageList_Create 003e TDragImageList.CombineDragCursor 004d Screen 0054 TScreen.GetCursors 005e ImageList_AddIcon 0087 ImageList_SetDragCursorImage 0092 ImageList_GetDragImage 00bb ImageList_Destroy 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 66 83 7B 5C FF 0F 84 B3 00 00 00 6A 01 6A 01 6A 01 6A 0E A1 ?? ?? ?? ?? 8B 00 FF D0 50 6A 0D A1 ?? ?? ?? ?? 8B 00 FF D0 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F BF 53 5C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 0F BF 53 5C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 8D 45 F4 50 6A 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 6A 01 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4495_0 {
	meta:
		name = "TDragImageList.SetDragImage"
		size = 70
		refs = "000f TCustomImageList.HandleAllocated 002c TCustomImageList.GetHandle 0032 ImageList_BeginDrag"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 89 73 6C 89 7B 64 8B 45 08 89 43 68 8B 45 08 50 57 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B0 01 88 43 5E EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4496_0 {
	meta:
		name = "TDragImageList.SetDragCursor"
		size = 22
		refs = "0011 TDragImageList.CombineDragCursor"
	strings:
		$1 = { 66 3B 50 5C 74 0F 66 89 50 5C 80 78 5E 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4497_0 {
	meta:
		name = "TDragImageList.GetHotSpot"
		size = 43
		refs = "000b TCustomImageList.GetHotSpot 0012 TCustomImageList.HandleAllocated 0024 ImageList_GetDragImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7B 5E 00 74 08 56 6A 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4498_0 {
	meta:
		name = "TDragImageList.BeginDrag"
		size = 96
		refs = "0013 TCustomImageList.HandleAllocated 002e TDragImageList.SetDragImage 0035 TDragImageList.CombineDragCursor 0045 TDragImageList.DragLock 0052 ShowCursor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B 80 7E 5E 00 75 11 8B 46 68 50 8B 4E 64 8B 56 6C 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 07 6A 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4499_0 {
	meta:
		name = "TDragImageList.DragLock"
		size = 97
		refs = "0015 TCustomImageList.HandleAllocated 0025 TDragImageList.DragUnlock 003b ClientToWindow 004c ImageList_DragEnter"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 84 C0 74 39 3B 77 60 74 34 8B C7 E8 ?? ?? ?? ?? 8B DE 89 5F 60 8D 45 F4 50 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 8B 47 60 50 E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4500_0 {
	meta:
		name = "TDragImageList.DragUnlock"
		size = 36
		refs = "0006 TCustomImageList.HandleAllocated 0019 ImageList_DragLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 83 7B 60 00 74 0E 8B 43 60 50 E8 ?? ?? ?? ?? 33 C0 89 43 60 5B C3 }
	condition:
		$1
}

rule function_4501_0 {
	meta:
		name = "TDragImageList.DragMove"
		size = 67
		refs = "000f TCustomImageList.HandleAllocated 0020 ClientToWindow 002f ImageList_DragMove"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 54 8B CF 8B D6 8B 43 60 E8 ?? ?? ?? ?? 8B 44 24 04 50 8B 44 24 04 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 EB 02 33 C0 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4502_0 {
	meta:
		name = "TDragImageList.ShowDragImage"
		size = 23
		refs = "0006 TCustomImageList.HandleAllocated 0011 ImageList_DragShowNolock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 6A FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4503_0 {
	meta:
		name = "TDragImageList.HideDragImage"
		size = 23
		refs = "0006 TCustomImageList.HandleAllocated 0011 ImageList_DragShowNolock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 6A 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4504_0 {
	meta:
		name = "TDragImageList.EndDrag"
		size = 69
		refs = "0007 TCustomImageList.HandleAllocated 0018 TDragImageList.DragUnlock 001d ImageList_EndDrag 0031 TDragImageList.SetDragCursor 0038 ShowCursor"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F 80 7E 5E 00 74 29 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB C6 46 5E 00 83 CA FF 8B C6 E8 ?? ?? ?? ?? 6A FF E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4505_0 {
	meta:
		name = "TCustomControl.Create"
		size = 91
		refs = "000e @ClassCreate 001c TWinControl.Create 0023 _DV_TControlCanvas 0028 TCanvas.Create 0039 TControlCanvas.SetControl 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4506_0 {
	meta:
		name = "TCustomControl.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TWinControl.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4507_0 {
	meta:
		name = "TCustomControl.WMPaint"
		size = 30
		refs = "0011 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 81 4B 44 00 01 8B D6 8B C3 E8 ?? ?? ?? ?? 66 81 63 44 FF FE 5E 5B C3 }
	condition:
		$1
}

rule function_4508_0 {
	meta:
		name = "TCustomControl.PaintWindow"
		size = 169
		refs = "0014 TCanvas.Lock 001c TCustomControl.PaintWindow 0032 TCanvas.SetHandle 004e TControlCanvas.UpdateTextFlags 007c @HandleFinally 0099 TCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_4510_0 {
	meta:
		name = "TDockZone.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
		altNames = "TOutlineNode.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 1C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_4511_0 {
	meta:
		name = "TDockZone.GetChildCount"
		size = 20
	strings:
		$1 = { 33 D2 8B 40 08 85 C0 74 08 8B 40 0C 42 85 C0 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_4512_0 {
	meta:
		name = "TDockZone.GetLimitBegin"
		size = 71
		refs = "001d TDockZone.GetTopLeft 0038 _Dn_Exception 003d Exception.Create 0042 @RaiseExcept"
	strings:
		$1 = { 8B 50 1C 3B 42 60 75 04 8B D0 EB 03 8B 50 14 8A 4A 10 80 F9 01 75 0B BA 01 00 00 00 E8 ?? ?? ?? ?? C3 80 F9 02 75 0C BA 02 00 00 00 E8 ?? ?? ?? ?? EB 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4513_0 {
	meta:
		name = "TDockZone.GetLimitSize"
		size = 71
		refs = "001d TDockZone.GetHeightWidth 0038 _Dn_Exception 003d Exception.Create 0042 @RaiseExcept"
	strings:
		$1 = { 8B 50 1C 3B 42 60 75 04 8B D0 EB 03 8B 50 14 8A 4A 10 80 F9 01 75 0B BA 01 00 00 00 E8 ?? ?? ?? ?? C3 80 F9 02 75 0C BA 02 00 00 00 E8 ?? ?? ?? ?? EB 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4514_0 {
	meta:
		name = "TDockZone.GetTopLeft"
		size = 105
	strings:
		$1 = { 56 57 83 C4 F0 8B FA 8B F0 8B C6 EB 1A 8B CF 8B 50 14 3A 4A 10 75 0E 83 78 18 00 74 08 8B 40 18 8B 40 20 EB 3E 8B C2 8B 56 1C 3B 42 60 75 DE 8B D4 8B 46 1C 8B 40 14 8B 08 FF 51 44 8B D4 8B 46 1C 8B 40 14 8B 08 FF 91 88 00 00 00 8B C7 FE C8 74 0A FE C8 75 0B 8B 44 24 04 EB 07 8B 04 24 EB 02 33 C0 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_4515_0 {
	meta:
		name = "TDockZone.GetHeightWidth"
		size = 167
		refs = "0026 TDockZone.GetChildCount 0074 TDockZone.GetLimitBegin"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 8B 43 1C 3B 58 60 74 1B 8B 43 1C 8B 70 60 3B 73 14 75 46 83 7B 04 00 74 40 8B C6 E8 ?? ?? ?? ?? 48 75 36 8B D4 8B 43 1C 8B 40 14 8B 08 FF 51 44 8B D4 8B 43 1C 8B 40 14 8B 08 FF 91 88 00 00 00 8B C7 3C 01 75 0A 8B 44 24 0C 2B 44 24 04 EB 46 8B 44 24 08 2B 04 24 EB 3D 8B F3 EB 1C 8B D7 8B 46 14 3A 50 10 75 10 8B C6 E8 ?? ?? ?? ?? 50 8B 46 20 5A 2B C2 EB 1F 8B F0 8B 43 1C 3B 70 60 75 DC 8B CF 8B 43 1C 8B 50 60 3A 4A 10 75 05 8B 40 64 EB 03 8B 42 20 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4516_0 {
	meta:
		name = "TDockZone.ResetChildren"
		size = 124
		refs = "001a TDockZone.GetHeightWidth 0036 TDockZone.GetChildCount 0048 TDockZone.GetLimitBegin 0054 TDockZone.Update"
	strings:
		$1 = { 53 56 57 8B F8 8A 47 10 FE C8 74 06 FE C8 74 12 EB 66 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 0E BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 5F 08 8B C7 E8 ?? ?? ?? ?? 50 8B C6 5A 8B CA 99 F7 F9 8B F0 8B C3 E8 ?? ?? ?? ?? 03 C6 89 43 20 8B C3 E8 ?? ?? ?? ?? 8B 5B 0C 85 DB 74 19 8B 43 18 8B 40 20 03 C6 89 43 20 8B C3 E8 ?? ?? ?? ?? 8B 5B 0C 85 DB 75 E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4517_0 {
	meta:
		name = "TDockZone.GetControlName"
		size = 127
		refs = "0010 TDockZone.GetControlName 001d @LStrClr 0032 SDockedCtlNeedsName 0037 LoadResString 0041 _Dn_Exception 0046 Exception.Create 004b @RaiseExcept 0058 @LStrLAsg 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 7B 04 85 FF 74 34 83 7F 08 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 04 8B 52 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4518_0 {
	meta:
		name = "TDockZone.SetControlName"
		size = 118
		refs = "0023 @CallDynaInst 0037 TDockZone.SetControlName 004f TControl.ManualDock 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 33 C0 89 45 FC 8B 46 1C 89 45 F8 8D 4D FC 8B 45 F8 8B 40 14 66 BB BE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 43 8B 45 F8 89 70 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 8B 50 14 33 C9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 38 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4519_0 {
	meta:
		name = "ParentNotLast"
		size = 39
	strings:
		$1 = { 55 8B EC 33 D2 8B 45 08 8B 40 FC 8B 40 14 85 C0 74 11 83 78 0C 00 74 04 B2 01 EB 07 8B 40 14 85 C0 75 EF 8B C2 5D C3 }
	condition:
		$1
}

rule function_4520_0 {
	meta:
		name = "TDockZone.Update"
		size = 336
		refs = "0042 TDockZone.GetHeightWidth 0059 ParentNotLast 010e TDockZone.GetTopLeft 0124 Bounds 0145 TControl.SetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8B 45 FC 8B 40 04 85 C0 0F 84 2F 01 00 00 8B 55 FC 8B 52 1C 83 7A 68 00 0F 85 1F 01 00 00 8B 55 FC 8B 52 14 8A 52 10 88 90 88 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 55 E8 ?? ?? ?? ?? 59 84 C0 74 20 8B 45 FC 8B 40 14 80 78 10 01 75 0B 8B 45 FC 8B 40 1C 2B 58 0C EB 09 8B 45 FC 8B 40 1C 2B 70 0C 8B 4D FC 83 79 0C 00 75 55 8B 4D FC 8B 49 14 8B 7D FC 8B 7F 1C 3B 4F 60 74 22 8B 4D FC 8B 49 14 8A 49 10 8B 45 FC 8B 40 1C 8B 78 60 3A 4F 10 75 0B 8B 4D FC 8B 49 20 3B 48 64 7C 22 8B 45 FC 8B 40 14 8A 40 10 8B 55 FC 8B 52 1C 8B 52 60 3A 42 10 74 2B 8B 45 FC 8B 40 20 3B 42 20 7D 20 8B 45 FC 8B 40 14 80 78 10 01 75 0B 8B 45 FC 8B 40 1C 2B 70 0C EB 09 8B 45 FC 8B 40 1C 2B 58 0C 56 8D 45 EC 50 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 8D 4D EC 8B 45 FC 8B 50 04 8B 45 FC 8B 40 1C 8B 18 FF 13 8D 55 EC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4521_0 {
	meta:
		name = "TDockTree.Create"
		size = 348
		refs = "0011 @ClassCreate 0065 _DV_TDockZone 006a TDockZone.Create 0077 _Dn_TBrush 007c TBrush.Create 0090 AllocPatternBitmap 0099 TBrush.SetBitmap 00a1 TDockTree.BeginUpdate 00a9 TDockTree.Create 00b7 TWinControl.GetControlCount 00cd TWinControl.GetControl 00e8 TDockZone.ResetChildren 00fd TDockTree.EndUpdate 0103 @HandleFinally 0136 TDockTree.WindowProc 0144 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 FC C7 40 0C 04 00 00 00 8B 45 FC 8B 55 F4 89 50 14 8B 45 FC C7 40 6C 00 00 04 00 8B 45 FC C7 40 18 0B 00 00 00 8B 45 F4 8A 40 4B 3C 01 74 04 3C 02 75 04 33 C0 EB 02 B0 01 8B 55 FC 88 42 1C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 10 BA FF FF FF 00 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 6A 00 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 B1 03 8B 45 FC 8B 38 FF 57 08 46 4B 75 E4 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 F6 40 20 10 75 28 8B 45 FC 8B 55 FC 8B 52 14 8B 4A 28 89 48 30 8B 4A 2C 89 48 34 8B 45 FC 8B 40 14 8B 55 FC 89 50 2C C7 40 28 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4522_0 {
	meta:
		name = "TDockTree.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 0026 TDockTree.PruneZone 002e TObject.Free 003a TObject.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 30 00 74 0F 8B 46 14 8B 56 30 89 50 28 8B 56 34 89 50 2C 8B 56 60 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4523_0 {
	meta:
		name = "TDockTree.AdjustDockRect"
		size = 20
	strings:
		$1 = { 8B 40 14 8A 40 4B 48 2C 02 73 04 83 01 0B C3 83 41 04 0B C3 }
	condition:
		$1
}

rule function_4524_0 {
	meta:
		name = "TDockTree.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 68 C3 }
	condition:
		$1
}

rule function_4525_0 {
	meta:
		name = "TDockTree.EndUpdate"
		size = 20
		refs = "000f TDockTree.UpdateAll"
	strings:
		$1 = { FF 48 68 83 78 68 00 7F 0A 33 D2 89 50 68 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4526_0 {
	meta:
		name = "DoFindControlZone"
		size = 85
		refs = "0031 DoFindControlZone"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 3B 43 04 75 09 8B 45 08 89 58 F8 5B 5D C3 8B 45 08 83 78 F8 00 75 13 83 7B 0C 00 74 0D 8B 45 08 50 8B 43 0C E8 ?? ?? ?? ?? 59 8B 45 08 83 78 F8 00 75 13 83 7B 08 00 74 0D 8B 45 08 50 8B 43 08 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_4527_0 {
	meta:
		name = "TDockTree.FindControlZone"
		size = 43
		refs = "001f DoFindControlZone"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 33 D2 89 55 F8 83 7D FC 00 74 10 83 78 60 00 74 0A 55 8B 40 60 E8 ?? ?? ?? ?? 59 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_4528_0 {
	meta:
		name = "DoForEach"
		size = 58
		refs = "0020 DoForEach"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8D 70 08 8B D3 8B 46 04 FF 16 8B 43 0C 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B 43 08 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_4529_0 {
	meta:
		name = "TDockTree.ForEachAt"
		size = 23
		refs = "000e DoForEach"
	strings:
		$1 = { 55 8B EC 85 D2 75 03 8B 50 60 55 8B C2 E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4530_0 {
	meta:
		name = "TDockTree.GetControlBounds"
		size = 116
		refs = "0009 TDockTree.FindControlZone 001d @FillChar 002b TDockZone.GetHeightWidth 004a TDockZone.GetTopLeft 005e Bounds"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 E8 ?? ?? ?? ?? 8B D8 85 DB 75 10 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? EB 4A BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B FE 8B F4 B9 04 00 00 00 F3 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4531_0 {
	meta:
		name = "TDockTree.HitTest"
		size = 16
		refs = "0001 TDockTree.InternalHitTest"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 04 8B 40 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_4532_0 {
	meta:
		name = "TDockTree.InsertControl"
		size = 525
		refs = "0025 TDockZone.Update 0073 TControl.GetUndockWidth 0082 TControl.GetUndockHeight 009a Bounds 00be TControl.SetBoundsRect 00c7 _DV_TDockZone 00cc TDockZone.Create 00f5 TDockTree.FindControlZone 0102 TDockTree.RemoveZone 011a OrientArray 0125 TDockZone.GetChildCount 014b TDockZone.GetHeightWidth 01cd MakeLast 01da TDockTree.InsertSibling 01f8 TDockTree.InsertNewParent"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 88 4D FF 8B F2 8B D8 80 7E 47 00 0F 84 EA 01 00 00 8B 43 38 85 C0 74 0D 89 70 04 E8 ?? ?? ?? ?? E9 CE 01 00 00 8B 43 60 83 78 08 00 0F 85 A6 00 00 00 8D 55 E0 8B 43 14 8B 08 FF 51 44 8D 55 E0 8B 43 14 8B 08 FF 91 88 00 00 00 8B 7D E8 2B 7D E0 8B 45 EC 2B 45 E4 89 45 F0 8B 43 14 80 78 4C 00 74 1D 85 FF 75 09 8B C6 E8 ?? ?? ?? ?? 8B F8 83 7D F0 00 75 0A 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 8D 45 D0 50 8B CF 8B 55 E4 8B 45 E0 E8 ?? ?? ?? ?? 56 8D 75 D0 8D 7D E0 B9 04 00 00 00 F3 A5 5E 8D 4D E0 8B D6 8B C3 8B 38 FF 17 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 60 89 42 08 89 50 14 89 70 04 E9 1B 01 00 00 8A 45 FF 84 C0 74 04 2C 05 75 04 C6 45 FF 04 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 8A 45 FF 8A 80 ?? ?? ?? ?? 88 45 F7 8B 43 60 E8 ?? ?? ?? ?? 48 75 64 8B 7B 60 8A 45 F7 88 47 10 8A 45 F7 FE C8 74 06 FE C8 74 2A EB 4E 8B 47 08 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 53 60 89 42 20 8B 43 60 8B 40 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 43 64 EB 26 8B 47 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 53 60 89 42 20 8B 43 60 8B 40 08 BA 02 00 00 00 E8 ?? ?? ?? ?? 89 43 64 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 70 04 83 7D F8 00 74 0B 8B 55 F8 8B 52 14 8A 52 10 EB 06 8B 53 60 8A 52 10 80 7D F7 00 75 03 88 55 F7 3A 55 F7 75 1A 33 D2 8A 55 FF 8A 92 ?? ?? ?? ?? 52 8B 4D F8 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1C 8A 55 F7 52 33 D2 8A 55 FF 8A 92 ?? ?? ?? ?? 52 8B 4D F8 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 10 FF 52 78 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4533_0 {
	meta:
		name = "TDockTree.InsertNewParent"
		size = 390
		refs = "0013 _DV_TDockZone 0018 TDockZone.Create 0076 TDockTree.ScaleZone 0080 TDockTree.ForEachAt 00c9 TDockTree.ShiftZone 00ec TDockTree.UpdateZone 016b TDockZone.ResetChildren"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8A 45 0C 88 43 10 85 FF 0F 85 CF 00 00 00 8B 46 64 89 43 20 8B 46 60 8B 40 20 89 46 64 8A 45 0C 88 46 44 33 C0 89 46 3C C7 46 40 00 00 E0 3F 80 7D 08 00 74 33 8B 46 60 89 43 08 8B 46 60 89 58 14 8B 55 FC 89 50 0C 8B 55 FC 89 42 18 8B 45 FC 89 58 14 89 5E 60 56 68 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? EB 64 8B 45 FC 89 43 08 8B 46 60 89 58 14 8B 55 FC 89 50 18 8B 55 FC 89 42 0C 8B 45 FC 89 58 14 89 5E 60 56 68 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 46 60 8B 40 20 D1 F8 79 03 83 D0 00 89 46 48 56 68 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 46 60 8B 40 20 D1 F8 79 03 83 D0 00 8B 55 FC 89 42 20 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? EB 6D 8B 47 20 89 43 20 8B 47 14 89 43 14 8B 47 18 89 43 18 85 C0 74 03 89 58 0C 8B 47 0C 89 43 0C 85 C0 74 03 89 58 18 8B 43 14 3B 78 08 75 03 89 58 08 8B 45 FC 89 58 14 89 5F 14 80 7D 08 00 74 16 89 7B 08 33 C0 89 47 18 8B 45 FC 89 47 0C 8B 45 FC 89 78 18 EB 17 8B 45 FC 89 43 08 8B 45 FC 89 47 18 33 C0 89 47 0C 8B 45 FC 89 78 0C 8B C3 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4534_0 {
	meta:
		name = "TDockTree.InsertSibling"
		size = 109
		refs = "0064 TDockZone.ResetChildren"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 85 C9 75 15 8B 40 60 8B 48 08 84 DB 74 0B EB 02 8B C8 8B 41 0C 85 C0 75 F7 84 DB 74 1B 8B 41 14 89 42 14 89 4A 18 8B 41 0C 89 42 0C 85 C0 74 03 89 50 18 89 51 0C EB 21 89 4A 0C 8B 41 18 89 42 18 85 C0 74 03 89 50 0C 89 51 18 8B 41 14 89 42 14 3B 48 08 75 03 89 50 08 8B 41 14 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4535_0 {
	meta:
		name = "DoFindZone"
		size = 519
		refs = "009f TDockZone.GetTopLeft 0102 TDockZone.GetHeightWidth 01e1 DoFindZone"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 4B 14 80 79 10 01 75 3A 8B 45 08 8B 40 FC 8B 40 04 8B 53 20 3B C2 7F 2A 8B 4D 08 8B 49 FC 8B 4D 08 8B 49 F8 2B 51 0C 3B C2 7C 17 8B 45 08 8B 40 F4 C7 00 12 00 00 00 8B 45 08 89 58 F0 E9 7F 01 00 00 8B 4B 14 80 79 10 02 75 39 8B 45 08 8B 40 FC 8B 00 8B 53 20 3B C2 7F 2A 8B 4D 08 8B 49 FC 8B 4D 08 8B 49 F8 2B 51 0C 3B C2 7C 17 8B 45 08 8B 40 F4 C7 00 12 00 00 00 8B 45 08 89 58 F0 E9 3D 01 00 00 83 7B 04 00 0F 84 33 01 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 F8 80 78 1C 00 0F 84 8E 00 00 00 8B 45 08 8B 40 FC 3B 70 04 0F 8F F8 00 00 00 8B 45 08 8B 40 FC 8B 40 04 8B 55 08 8B 52 F8 03 72 18 3B C6 0F 8F DE 00 00 00 8B 45 08 8B 40 FC 3B 38 0F 8F D0 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 03 F8 8B 45 08 8B 40 FC 3B 38 0F 8C B4 00 00 00 8B 45 08 89 58 F0 8B 43 04 8B 50 30 03 50 38 83 EA 0F 8B 45 08 8B 40 FC 3B 10 7D 11 8B 45 08 8B 40 F4 C7 00 14 00 00 00 E9 87 00 00 00 8B 45 08 8B 40 F4 C7 00 02 00 00 00 EB 79 8B 45 08 8B 40 FC 3B 38 7F 6F 8B 45 08 8B 40 FC 8B 00 8B 55 08 8B 52 F8 03 7A 18 3B C7 7F 5A 8B 45 08 8B 40 FC 3B 70 04 7F 4F BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 03 F0 8B 45 08 8B 40 FC 3B 70 04 7C 36 8B 45 08 89 58 F0 8B 45 08 8B 40 FC 8B 40 04 8B 53 04 8B 52 34 83 C2 0F 3B C2 7D 0E 8B 45 08 8B 40 F4 C7 00 14 00 00 00 EB 0C 8B 45 08 8B 40 F4 C7 00 02 00 00 00 8B 45 08 83 78 F0 00 75 13 83 7B 0C 00 74 0D 8B 45 08 50 8B 43 0C E8 ?? ?? ?? ?? 59 8B 45 08 83 78 F0 00 75 13 83 7B 08 00 74 0D 8B 45 08 50 8B 43 08 E8 ?? ?? ?? ?? 59 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_4536_0 {
	meta:
		name = "TDockTree.InternalHitTest"
		size = 146
		refs = "0029 TWinControl.ControlAtPos 0047 TDockTree.FindControlZone 006e TDockZone.GetChildCount 0084 DoFindZone"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 FC 89 45 F8 33 C0 89 45 F0 8B 45 F4 33 D2 89 10 8B 55 FC 8B 45 F8 8B 40 14 33 C9 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2C 8B 45 F8 8B 40 14 3B 83 8C 00 00 00 75 1E 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 35 8B 45 F4 C7 00 01 00 00 00 EB 2A 8B 45 F8 8B 70 60 83 7E 08 00 74 1E 8B C6 E8 ?? ?? ?? ?? 48 7C 14 85 DB 75 10 55 8B 45 F8 8B 40 60 8B 40 08 E8 ?? ?? ?? ?? 59 8B 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4537_0 {
	meta:
		name = "ReadControlName"
		size = 71
		refs = "000b @LStrClr 002e @LStrSetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 04 83 7D FC 00 7E 1A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 13 8B 45 08 8B 40 FC 8B 4D FC 8B 18 FF 53 04 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4538_0 {
	meta:
		name = "TDockTree.LoadFromStream"
		size = 505
		refs = "0018 TDockTree.LoadFromStream 002c TDockTree.PruneZone 0034 TDockTree.BeginUpdate 007b ReadControlName 0097 @CallDynaInst 00a7 TControl.SetVisible 00b9 TControl.ManualDock 00f2 TreeStreamEndFlag 0102 _DV_TDockZone 0107 TDockZone.Create 0143 TDockZone.SetControlName 01c9 TDockTree.EndUpdate 01cf @HandleFinally 01e6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 60 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E4 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 04 8D 55 E0 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 04 8B 75 E0 4E 85 F6 7C 55 46 C7 45 E4 00 00 00 00 55 8D 45 F4 E8 ?? ?? ?? ?? 59 83 7D F4 00 74 37 8D 4D F0 8B 45 F8 8B 40 14 8B 55 F4 66 BB BE FF E8 ?? ?? ?? ?? 83 7D F0 00 74 1C 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 8B 50 14 33 C9 8B 45 F0 E8 ?? ?? ?? ?? FF 45 E4 4E 75 B3 8B 45 F8 8D 50 64 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 04 33 C0 89 45 E8 33 F6 8D 55 EC B9 04 00 00 00 8B 45 FC 8B 18 FF 53 04 8B 45 EC 3B 05 ?? ?? ?? ?? 0F 84 BC 00 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 53 10 B9 01 00 00 00 8B 45 FC 8B 38 FF 57 04 8D 53 20 B9 04 00 00 00 8B 45 FC 8B 38 FF 57 04 55 8D 45 F4 E8 ?? ?? ?? ?? 59 83 7D F4 00 74 0A 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 75 08 8B 45 F8 89 58 60 EB 56 8B 45 EC 3B 45 E8 75 0E 89 5E 0C 89 73 18 8B 46 14 89 43 14 EB 40 8B 45 EC 3B 45 E8 7E 08 89 5E 08 89 73 14 EB 30 8B 45 EC 3B 45 E8 7D 28 8B C6 8B 75 E8 2B 75 EC 85 F6 7E 10 C7 45 E4 01 00 00 00 8B 40 14 FF 45 E4 4E 75 F7 89 58 0C 89 43 18 8B 40 14 89 43 14 8B 45 EC 89 45 E8 8B F3 E9 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4539_0 {
	meta:
		name = "DrawGrabber"
		size = 233
		refs = "001f TPen.SetColor 0032 TCanvas.MoveTo 003e TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 7D 08 83 C7 EC 8B 75 08 83 C6 FC 8B 06 8B 40 10 BA 14 00 00 80 E8 ?? ?? ?? ?? 84 DB 74 5F 8B 4F 04 8B 17 83 C2 02 8B 06 E8 ?? ?? ?? ?? 8B 4F 04 8B 17 8B 06 E8 ?? ?? ?? ?? 8B 4F 0C 41 8B 17 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 40 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 4F 04 8B 57 08 8B 06 E8 ?? ?? ?? ?? 8B 4F 0C 8B 57 08 8B 06 E8 ?? ?? ?? ?? 8B 4F 0C 8B 17 8B 06 E8 ?? ?? ?? ?? EB 5E 8B 4F 04 83 C1 02 8B 17 8B 06 E8 ?? ?? ?? ?? 8B 4F 04 8B 17 8B 06 E8 ?? ?? ?? ?? 8B 4F 04 8B 57 08 42 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 40 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 4F 0C 8B 17 8B 06 E8 ?? ?? ?? ?? 8B 4F 0C 8B 57 08 8B 06 E8 ?? ?? ?? ?? 8B 4F 04 8B 57 08 8B 06 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_4540_0 {
	meta:
		name = "DrawCloseBtn"
		size = 81
		refs = "0044 TCanvas.GetHandle 004a DrawFrameControl"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 EC 84 C0 74 16 83 2B 05 83 43 08 03 8B 43 04 83 E8 03 89 43 0C 83 6B 04 0F EB 14 83 6B 04 05 83 43 0C 03 8B 43 08 83 C0 03 89 03 83 43 08 0F 6A 00 6A 01 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_4541_0 {
	meta:
		name = "TDockTree.PaintDockFrame"
		size = 187
		refs = "0035 Rect 0041 DrawGrabber 004f OffsetRect 0060 DrawCloseBtn"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 FC 8B 5D 08 8B 40 14 8A 40 4B 48 2C 02 73 4E 8B 43 0C 40 50 8D 45 EC 50 8B 33 83 C6 02 8B CE 83 C1 02 8B 53 04 83 C2 02 8B C6 E8 ?? ?? ?? ?? 83 45 F0 0F 55 B0 01 E8 ?? ?? ?? ?? 59 6A 00 6A 03 8D 45 EC 50 E8 ?? ?? ?? ?? 55 B0 01 E8 ?? ?? ?? ?? 59 55 B0 01 E8 ?? ?? ?? ?? 59 EB 4C 8B 73 04 83 C6 02 8B C6 83 C0 02 50 8D 45 EC 50 8B 4B 08 41 8B D6 8B 03 83 C0 02 E8 ?? ?? ?? ?? 83 6D F4 0F 55 33 C0 E8 ?? ?? ?? ?? 59 6A 03 6A 00 8D 45 EC 50 E8 ?? ?? ?? ?? 55 33 C0 E8 ?? ?? ?? ?? 59 55 33 C0 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4542_0 {
	meta:
		name = "TDockTree.PaintSite"
		size = 341
		refs = "0010 _DV_TControlCanvas 0015 TCanvas.Create 0020 TDockTree.PaintSite 0031 TControlCanvas.SetControl 0039 TCanvas.Lock 0051 TCanvas.SetHandle 0067 TWinControl.GetControlCount 0086 TWinControl.GetControl 0098 TControl.GetBoundsRect 010e @HandleFinally 0125 TCanvas.Unlock 0142 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 14 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 81 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 46 14 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 5B 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 8B D3 8B C6 8B 38 FF 17 8B 45 E4 2B 43 30 03 C0 29 45 E4 8B 45 E8 2B 43 34 03 C0 29 45 E8 8B 43 38 8B 55 EC 2B 55 E4 2B C2 03 C0 29 45 EC 8B 43 3C 8B 55 F0 2B 55 E8 2B C2 03 C0 29 45 F0 8D 45 E4 50 8B CB 8B 55 FC 8B C6 8B 18 FF 53 10 FF 45 F8 FF 4D F4 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4543_0 {
	meta:
		name = "TDockTree.PositionDockRect"
		size = 371
		refs = "0022 TControl.GetClientHeight 002f TControl.GetClientWidth 003a Rect 006b TControl.GetLRDockWidth 00a2 TControl.GetTBDockHeight 0145 Bounds 0160 TWinControl.GetHandle 0166 MapWindowPoints"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 45 0C 85 FF 0F 85 B9 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 50 8D 45 DC 50 8B 43 14 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 56 8B FE 8D 75 DC B9 04 00 00 00 F3 A5 5E 8B 7B 14 8A 47 4B FE C8 74 48 FE C8 74 54 FE C8 74 09 FE C8 74 15 E9 F0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 46 08 E9 E0 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 2B D0 89 16 8B 45 FC E8 ?? ?? ?? ?? 03 06 89 46 08 E9 B9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 46 0C E9 A9 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 2B D0 89 56 04 8B 45 FC E8 ?? ?? ?? ?? 03 46 04 89 46 0C E9 80 00 00 00 8B 57 30 89 55 F8 8B 57 34 89 55 F4 8B 57 38 89 55 F0 8B 57 3C 89 55 EC 8B D0 80 C2 FD 80 EA 02 73 0F 8B 57 38 D1 FA 79 03 83 D2 00 89 55 F0 EB 15 8B D0 4A 80 EA 02 73 0D 8B 57 3C D1 FA 79 03 83 D2 00 89 55 EC 2C 02 74 0C 2C 02 75 0E 8B 45 F0 01 45 F8 EB 06 8B 45 EC 01 45 F4 8B 45 EC 50 8D 45 DC 50 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 56 8B FE 8D 75 DC B9 04 00 00 00 F3 A5 5E 6A 02 56 6A 00 8B 43 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4544_0 {
	meta:
		name = "DoPrune"
		size = 50
		refs = "0012 DoPrune 002b TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 0C 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B 43 08 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_4545_0 {
	meta:
		name = "TDockTree.PruneZone"
		size = 89
		refs = "0016 DoPrune 0051 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 85 DB 74 48 8B 43 08 85 C0 74 07 55 E8 ?? ?? ?? ?? 59 8B 43 18 85 C0 74 08 8B 53 0C 89 50 0C EB 0D 8B 43 14 85 C0 74 06 8B 53 0C 89 50 08 8B 43 0C 85 C0 74 06 8B 53 18 89 50 18 3B 5E 60 75 05 33 C0 89 46 60 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_4546_0 {
	meta:
		name = "TDockTree.RemoveControl"
		size = 58
		refs = "000b TDockTree.FindControlZone 0024 TDockTree.RemoveZone"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 24 3B 43 38 75 07 33 D2 89 50 04 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? C6 86 88 00 00 00 00 8B 43 14 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_4547_0 {
	meta:
		name = "TDockTree.RemoveZone"
		size = 610
		refs = "0012 TDockTree.RemoveZone 0024 SDockTreeRemoveError 0029 LoadResString 0035 SDockZoneNotFound 0043 @LStrCat 004d _Dn_Exception 0052 Exception.Create 0057 @RaiseExcept 0076 SDockZoneHasNoCtl 00a0 TDockZone.GetChildCount 00f5 TDockZone.GetLimitSize 00ff TDockZone.Update 0117 TObject.Free 011d TDockTree.UpdateZone 0127 TDockTree.ForEachAt 0164 TDockTree.UpdateAll 024f @LStrArrayClr 0255 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 3B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 04 00 75 3B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 83 F8 01 75 11 8B 46 60 33 D2 89 50 08 C6 40 10 00 E9 78 01 00 00 83 F8 02 0F 85 22 01 00 00 8B 43 18 85 C0 75 05 8B 7B 0C EB 02 8B F8 83 7F 04 00 74 59 8B 56 60 8B 43 14 3B D0 75 24 8B 46 60 89 78 08 33 C0 89 47 18 33 C0 89 47 0C 8B 46 60 E8 ?? ?? ?? ?? 89 47 20 8B C7 E8 ?? ?? ?? ?? EB 16 C6 40 10 00 8B 57 04 89 50 04 33 D2 89 50 08 8B C7 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? E9 02 01 00 00 8B 43 14 3B 46 60 75 35 8B 46 64 89 47 20 8B 46 60 8B 40 20 89 46 64 8B 46 60 E8 ?? ?? ?? ?? 89 7E 60 33 C0 89 47 0C 33 C0 89 47 18 33 C0 89 47 14 8B C6 E8 ?? ?? ?? ?? E9 C5 00 00 00 8B 43 14 8B 40 18 8B 57 08 89 42 18 85 C0 75 0E 8B 47 08 8B 53 14 8B 52 14 89 42 08 EB 06 8B 57 08 89 50 0C 8B 47 08 8B 53 14 8B 52 14 89 50 14 8B 40 0C 8B 53 14 8B 52 14 89 50 14 83 78 0C 00 75 EE 8B 53 14 8B 52 0C 89 50 0C 83 78 0C 00 74 06 8B 50 0C 89 42 18 56 68 ?? ?? ?? ?? 8B 50 14 8B C6 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 4D 8B 43 18 85 C0 75 18 8B 43 14 8B 53 0C 89 50 08 8B 43 0C 33 D2 89 50 18 E8 ?? ?? ?? ?? EB 1E 8B 53 0C 89 50 0C 8B 53 0C 85 D2 74 03 89 42 18 8B 43 18 8B 53 20 89 50 20 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4548_0 {
	meta:
		name = "TDockTree.ResetBounds"
		size = 219
		refs = "0024 TWinControl.GetDockClientCount 0056 CompareMem 00bb TDockTree.SetNewBounds 00c7 TDockTree.UpdateZone 00d0 TDockTree.ForEachAt"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F8 8B 77 14 F6 46 20 01 0F 85 BD 00 00 00 83 7F 60 00 0F 84 B3 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E A4 00 00 00 8B D4 8B 47 14 8B 08 FF 51 44 8B D4 8B 47 14 8B 08 FF 91 88 00 00 00 84 DB 75 13 8D 57 20 8B C4 B9 10 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 76 57 8D 74 24 04 83 C7 20 B9 04 00 00 00 F3 A5 5F 8B 47 60 8A 50 10 FE CA 74 06 FE CA 74 19 EB 2C 8B 54 24 08 2B 14 24 89 50 20 8B 44 24 0C 2B 44 24 04 89 47 64 EB 15 8B 54 24 0C 2B 54 24 04 89 50 20 8B 44 24 08 2B 04 24 89 47 64 8B 47 14 E8 ?? ?? ?? ?? 85 C0 7E 1E 33 D2 8B C7 E8 ?? ?? ?? ?? 83 7F 68 00 75 0F 57 68 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4549_0 {
	meta:
		name = "TDockTree.ScaleZone"
		size = 42
		refs = "0020 @ROUND"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 1D 85 DB 74 19 8B 43 14 8A 40 10 3A 46 44 75 0E DB 43 20 DC 4E 3C E8 ?? ?? ?? ?? 89 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_4550_0 {
	meta:
		name = "WriteControlName"
		size = 119
		refs = "000e @LStrAddRef 0016 WriteControlName 0024 @LStrLen 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 55 F8 8B 45 08 8B 40 FC B9 04 00 00 00 8B 18 FF 53 08 83 7D F8 00 7E 11 8B 55 FC 8B 45 08 8B 40 FC 8B 4D F8 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4551_0 {
	meta:
		name = "DoSaveZone"
		size = 188
		refs = "0016 DoSaveZone 0063 TDockZone.GetControlName 006b WriteControlName 00aa @LStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 08 8D 53 10 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 08 8D 53 20 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 08 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 43 08 85 C0 74 0E 8B 55 08 52 8B 55 FC 42 E8 ?? ?? ?? ?? 59 8B 43 0C 85 C0 74 0D 8B 55 08 52 8B 55 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4552_0 {
	meta:
		name = "TDockTree.SaveToStream"
		size = 327
		refs = "0018 TDockTree.SaveToStream 0038 _Dn_TStringList 003d TObject.Create 0059 TWinControl.GetDockClientCount 0070 TWinControl.GetDockClients 00c9 WriteControlName 00e3 TObject.Free 00e9 @HandleFinally 010c DoSaveZone 0112 TreeStreamEndFlag 0134 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8D 50 6C B9 04 00 00 00 8B 45 FC 8B 18 FF 53 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2D 43 33 F6 8B 45 F8 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B F8 80 7F 47 00 75 11 83 7F 08 00 74 0B 8B 57 08 8B 45 F0 8B 08 FF 51 34 46 4B 75 D6 8B 45 F0 8B 10 FF 52 14 89 45 F4 8D 55 F4 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 08 8B 5D F4 4B 85 DB 7C 1E 43 33 F6 55 8D 4D EC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 59 46 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8D 50 64 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 08 55 8B 45 F8 8B 40 60 33 D2 E8 ?? ?? ?? ?? 59 BA ?? ?? ?? ?? B9 04 00 00 00 8B 45 FC 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4553_0 {
	meta:
		name = "DoSetNewBounds"
		size = 103
		refs = "004e DoSetNewBounds"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 5A 83 7B 0C 00 75 32 8B 45 08 8B 40 FC 3B 58 60 74 27 8B 55 08 8B 52 FC 8B 52 60 8B 43 14 3B D0 75 0E 8B 45 08 8B 40 FC 8B 40 64 89 43 20 EB 09 8B 40 14 8B 40 20 89 43 20 8B 43 08 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B 43 0C 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_4554_0 {
	meta:
		name = "TDockTree.SetNewBounds"
		size = 43
		refs = "0018 DoSetNewBounds"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 85 D2 75 09 8B 45 FC 8B 40 60 8B 50 08 55 8B C2 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 14 8B 10 FF 52 78 59 5D C3 }
	condition:
		$1
}

rule function_4555_0 {
	meta:
		name = "TDockTree.SetReplacingControl"
		size = 21
		refs = "000b TDockTree.FindControlZone"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 89 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_4556_0 {
	meta:
		name = "TDockTree.ShiftZone"
		size = 27
	strings:
		$1 = { 85 D2 74 16 3B 50 60 74 11 8B 4A 14 8A 49 10 3A 48 44 75 06 8B 40 48 01 42 20 C3 }
	condition:
		$1
}

rule function_4557_0 {
	meta:
		name = "TDockTree.SplitterMouseDown"
		size = 93
		refs = "0016 TWinControl.GetHandle 001d Mouse 0022 TMouse.SetCapture 003c GetDCEx 0053 TDockTree.DrawSizeSplitter"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8D 3C 24 A5 A5 8B D8 89 53 5C 8B 43 14 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B F0 89 73 58 68 12 04 00 00 6A 00 56 E8 ?? ?? ?? ?? 89 43 54 8B 04 24 89 43 4C 8B 44 24 04 89 43 50 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4558_0 {
	meta:
		name = "TDockTree.SplitterMouseUp"
		size = 100
		refs = "0006 Mouse 000b TMouse.SetCapture 0012 TDockTree.DrawSizeSplitter 001f ReleaseDC 0046 TDockTree.SetNewBounds 004c TDockTree.UpdateZone 0059 TDockTree.ForEachAt"
	strings:
		$1 = { 53 8B D8 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 54 50 8B 43 58 50 E8 ?? ?? ?? ?? 8B 43 5C 8B 50 14 80 7A 10 01 75 08 8B 53 50 89 50 20 EB 06 8B 53 4C 89 50 20 8B 43 5C 8B 50 14 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 5C 8B 50 14 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 5C 5B C3 }
	condition:
		$1
}

rule function_4559_0 {
	meta:
		name = "TDockTree.UpdateAll"
		size = 38
		refs = "000d TWinControl.GetDockClientCount 0017 TDockTree.UpdateZone 0020 TDockTree.ForEachAt"
	strings:
		$1 = { 53 8B D8 83 7B 68 00 75 1B 8B 43 14 E8 ?? ?? ?? ?? 85 C0 7E 0F 53 68 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4560_0 {
	meta:
		name = "TDockTree.UpdateZone"
		size = 14
		refs = "0009 TDockZone.Update"
	strings:
		$1 = { 83 78 68 00 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4561_0 {
	meta:
		name = "TDockTree.DrawSizeSplitter"
		size = 209
		refs = "0023 TDockZone.GetTopLeft 003a TDockZone.GetHeightWidth 008b TBrush.GetHandle 0095 SelectObject 00bd PatBlt"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 73 5C 85 F6 0F 84 B9 00 00 00 8B 46 14 80 78 10 01 75 37 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B 43 50 89 44 24 04 BA 02 00 00 00 8B 43 5C E8 ?? ?? ?? ?? 03 04 24 89 44 24 08 8B 44 24 04 83 C0 04 89 44 24 0C EB 35 8B 43 4C 89 04 24 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B 04 24 83 C0 04 89 44 24 08 BA 01 00 00 00 8B 43 5C E8 ?? ?? ?? ?? 03 44 24 04 89 44 24 0C 8B 43 10 E8 ?? ?? ?? ?? 50 8B 43 54 50 E8 ?? ?? ?? ?? 8B F0 68 49 00 5A 00 8B 4C 24 10 8B 54 24 08 2B CA 51 8B 4C 24 10 8B 44 24 08 2B C8 51 52 50 8B 43 54 50 E8 ?? ?? ?? ?? 56 8B 43 54 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_4562_0 {
	meta:
		name = "Min"
		size = 7
		altNames = "MinLong"
	strings:
		$1 = { 3B D0 7D 02 8B C2 C3 }
	condition:
		$1
}

rule function_4563_0 {
	meta:
		name = "DoGetNextLimit"
		size = 124
		refs = "004d Min 0063 DoGetNextLimit"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 55 08 3B 5A FC 74 49 8B 53 14 8A 52 10 8B 4D 08 8B 49 FC 8B 49 14 3A 51 10 75 35 8B 55 08 8B 52 FC 8B 52 20 3B 53 20 7D 27 83 7B 04 00 74 0D 8B 43 04 85 C0 74 1A 80 78 47 00 74 14 8B 45 08 8B 40 F8 8B 53 20 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 43 0C 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B 43 08 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_4564_0 {
	meta:
		name = "TDockTree.GetNextLimit"
		size = 68
		refs = "0022 TDockZone.GetLimitSize 0037 DoGetNextLimit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC 8B 40 0C 85 C0 74 08 8B 40 20 89 45 F8 EB 11 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 03 42 20 89 45 F8 55 8B 43 60 8B 40 08 E8 ?? ?? ?? ?? 59 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4565_0 {
	meta:
		name = "GetDockAlign"
		size = 106
		refs = "0019 TControl.GetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F2 8B F8 B3 04 85 F6 74 4E 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 03 45 EC D1 F8 79 03 83 D0 00 3B 45 F4 7F 02 B3 02 8B 45 F4 3B 45 E4 7F 0C 8B 45 F8 3B 45 E8 7C 04 B3 01 EB 12 8B 45 F0 3B 45 E0 7F 0A 8B 45 FC 3B 45 EC 7C 02 B3 03 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4566_0 {
	meta:
		name = "TDockTree.ControlVisibilityChanged"
		size = 105
		refs = "0013 TDockTree.FindControlZone 0026 Point 0033 TDockTree.InternalHitTest 0048 GetDockAlign"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B FA 8B F0 84 C9 74 4B 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 75 47 8D 4C 24 04 8B 57 30 8B 47 34 E8 ?? ?? ?? ?? 8D 54 24 04 8B CC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 05 8B 58 04 EB 02 33 DB 53 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 8B 18 FF 53 08 EB 09 8B D7 8B C6 8B 08 FF 51 18 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4567_0 {
	meta:
		name = "CalcSplitterPos"
		size = 147
		refs = "0021 TDockZone.GetTopLeft 003e TDockTree.GetNextLimit"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 FC 8B 03 8B 70 5C 8B 46 14 80 78 10 01 75 3C 8B C6 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 13 03 42 0C 8B 13 3B 42 50 7C 05 8B 13 89 42 50 8B 03 8B 50 5C 8B 03 E8 ?? ?? ?? ?? 8B 13 2B 42 0C 8B 13 3B 42 50 7F 41 8B 13 89 42 50 EB 3A 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 13 03 42 0C 8B 13 3B 42 4C 7C 05 8B 13 89 42 4C 8B 03 8B 50 5C 8B 03 E8 ?? ?? ?? ?? 8B 13 2B 42 0C 8B 13 3B 42 4C 7F 05 8B 13 89 42 4C 5E 5B 5D C3 }
	condition:
		$1
}

rule function_4568_0 {
	meta:
		name = "TDockTree.WindowProc"
		size = 991
		refs = "0017 TDockTree.WindowProc 0080 TDockTree.ControlVisibilityChanged 009a TDockTree.DrawSizeSplitter 00a5 SmallPointToPoint 00ba CalcSplitterPos 00e1 TDockTree.InternalHitTest 0104 CancelDrag 0112 TControl.ManualDock 014d TDockTree.SplitterMouseDown 0173 TWinControl.GetHandle 017d PeekMessage 018a _DV_TWinControl 018f @IsClass 01c2 TControl.BeginDrag 0208 _Dn_TCustomForm 0218 TCustomForm.Close 0226 TControl.SetVisible 0233 TDockTree.SplitterMouseUp 0241 GetCursorPos 0252 TControl.ScreenToClient 0288 TWinControl.GetDockClientCount 02c1 SizeCursors 02c6 Screen 02cd TScreen.GetCursors 02d3 SetCursor 0318 @LStrClr 0340 TControl.GetBoundsRect 038c TControl.GetText 039a @LStrAsg 03d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 02 02 00 00 7F 22 0F 84 9B 01 00 00 83 E8 20 0F 84 03 02 00 00 2D E0 01 00 00 74 49 48 0F 84 D4 00 00 00 E9 64 03 00 00 2D 03 02 00 00 74 79 2D 2D AE 00 00 0F 84 85 02 00 00 83 E8 12 0F 85 49 03 00 00 8B 43 08 81 38 0B B0 00 00 0F 85 3A 03 00 00 8A 48 04 8B 53 04 8B 45 FC E8 ?? ?? ?? ?? E9 27 03 00 00 8B 45 FC 83 78 5C 00 0F 84 1A 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 BC 8B 43 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 BC 89 50 4C 8B 55 C0 89 50 50 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? E9 E4 02 00 00 8D 55 BC 8B 43 08 E8 ?? ?? ?? ?? 8D 55 BC 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 C1 02 00 00 83 7E 04 00 0F 84 B7 02 00 00 83 7D F0 02 0F 85 AD 02 00 00 E8 ?? ?? ?? ?? 6A 01 33 C9 33 D2 8B 46 04 E8 ?? ?? ?? ?? E9 95 02 00 00 8D 55 F4 8B 43 08 E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 72 02 00 00 83 7D F0 12 75 12 8D 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 5A 02 00 00 83 7D F0 02 0F 85 50 02 00 00 6A 00 68 03 02 00 00 68 03 02 00 00 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 50 8D 45 C4 50 E8 ?? ?? ?? ?? 85 C0 75 1D 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 46 04 8B 10 FF 92 B4 00 00 00 8B 46 04 80 B8 87 00 00 00 01 0F 85 09 02 00 00 80 78 4D 01 0F 85 FF 01 00 00 83 C9 FF 33 D2 E8 ?? ?? ?? ?? E9 F0 01 00 00 8B 45 FC 83 78 5C 00 75 5B 8D 55 F4 8B 43 08 E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 B9 01 00 00 83 7D F0 14 0F 85 AF 01 00 00 8B 7E 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C7 E8 ?? ?? ?? ?? E9 8F 01 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? E9 81 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 74 01 00 00 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D BC 8D 55 F4 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 BC 89 45 F4 8B 45 C0 89 45 F8 66 83 7B 08 01 0F 85 43 01 00 00 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 3B 43 04 0F 85 2F 01 00 00 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 85 C0 0F 8E 1C 01 00 00 8D 4D F0 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 04 01 00 00 83 7D F0 12 0F 85 FA 00 00 00 8B 46 14 0F B6 40 10 0F BF 14 45 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 43 0C 01 00 00 00 E9 D8 00 00 00 8B D3 8B 75 FC 8B 46 34 FF 56 30 83 7B 0C 00 0F 85 C3 00 00 00 8D 4D F0 8B 43 08 8D 50 28 8B 45 FC 8B 30 FF 56 04 8B F0 83 7D F0 12 75 10 8B 43 08 83 C0 38 E8 ?? ?? ?? ?? E9 9A 00 00 00 85 F6 0F 84 92 00 00 00 8B 45 F0 83 E8 02 74 09 83 E8 12 0F 85 81 00 00 00 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 4D E0 8B D6 8B 45 FC 8B 38 FF 17 8B 45 E0 2B 46 30 03 C0 29 45 E0 8B 45 E4 2B 46 34 03 C0 29 45 E4 8B 46 38 8B 55 E8 2B 55 E0 2B C2 03 C0 29 45 E8 8B 46 3C 8B 55 EC 2B 55 E4 2B C2 03 C0 29 45 EC 8D 55 B8 8B C6 E8 ?? ?? ?? ?? 8B 55 B8 8B 43 08 83 C0 38 E8 ?? ?? ?? ?? 8B 43 08 8D 78 18 8D 75 E0 B9 04 00 00 00 F3 A5 EB 0B 8B D3 8B 5D FC 8B 43 34 FF 53 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4569_0 {
	meta:
		name = "TMouse.Create"
		size = 142
		refs = "000a @ClassCreate 0017 TObject.Create 0027 Win32Platform 0031 Win32MajorVersion 0059 Win32MinorVersion 0070 TMouse.SettingChanged 007b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 01 C7 46 08 05 00 00 00 A1 ?? ?? ?? ?? 83 38 02 75 0A A1 ?? ?? ?? ?? 83 38 04 7D 2C A1 ?? ?? ?? ?? 83 38 01 75 1E A1 ?? ?? ?? ?? 83 38 04 7F 18 A1 ?? ?? ?? ?? 83 38 04 75 0A A1 ?? ?? ?? ?? 83 38 0A 7D 04 33 C0 EB 02 B0 01 88 46 0D 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4572_0 {
	meta:
		name = "TMouse.GetCursorPos"
		size = 16
		refs = "0005 GetCursorPos 000a Win32Check"
	strings:
		$1 = { 53 8B DA 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4573_0 {
	meta:
		name = "TMouse.GetMouseData"
		size = 25
		refs = "0006 GetSystemMetrics"
	strings:
		$1 = { 53 8B D8 6A 13 A1 ?? ?? ?? ?? 8B 00 FF D0 F7 D8 1B C0 F7 D8 88 43 0C 5B C3 }
	condition:
		$1
}

rule function_4574_0 {
	meta:
		name = "TMouse.GetNativeData"
		size = 46
		refs = "0007 GetSystemMetrics 0027 SystemParametersInfo"
	strings:
		$1 = { 53 56 8B F0 6A 4B A1 ?? ?? ?? ?? 8B 00 FF D0 F7 D8 1B DB F7 DB 88 5E 20 84 DB 74 0F 6A 00 8D 46 10 50 6A 00 6A 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4575_0 {
	meta:
		name = "TMouse.GetRegisteredData"
		size = 39
		refs = "0013 HwndMSWheel"
	strings:
		$1 = { 53 51 8B D8 54 8D 43 10 50 8D 4B 14 8D 53 24 8D 43 1C E8 ?? ?? ?? ?? 89 43 18 83 7B 1C 00 0F 95 C0 88 43 20 5A 5B C3 }
	condition:
		$1
}

rule function_4576_0 {
	meta:
		name = "TMouse.SetCapture"
		size = 37
		refs = "0009 TMouse.GetCapture 0016 ReleaseCapture 001e SetCapture"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 11 85 F6 75 07 E8 ?? ?? ?? ?? EB 06 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4577_0 {
	meta:
		name = "TMouse.SetCursorPos"
		size = 22
		refs = "000b SetCursorPos 0010 Win32Check"
	strings:
		$1 = { 53 8B DA 8B 43 04 50 8B 03 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4578_0 {
	meta:
		name = "TMouse.SettingChanged"
		size = 97
		refs = "0012 TMouse.GetMouseData 001f TMouse.GetRegisteredData 0028 TMouse.GetNativeData 0045 SystemParametersInfo 0058 SendMessage"
	strings:
		$1 = { 53 8B D8 83 EA 01 72 07 83 EA 67 74 21 EB 50 8B C3 E8 ?? ?? ?? ?? 80 7B 0D 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 3A 8B C3 E8 ?? ?? ?? ?? 5B C3 80 7B 20 00 74 2B 80 7B 0D 00 74 11 6A 00 8D 43 10 50 6A 00 6A 68 E8 ?? ?? ?? ?? EB 14 6A 00 6A 00 8B 43 14 50 8B 43 18 50 E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_4579_0 {
	meta:
		name = "InitIMM32"
		size = 616
		refs = "0006 SysLocale 001a SetErrorMode 0025 InitIMM32 0031 _WINNLSEnableIME 003e GetModuleHandle 004b GetProcAddress 0056 IMM32DLL 0067 LoadLibrary 008e _ImmGetContext 00a3 _ImmReleaseContext 00b8 _ImmGetConversionStatus 00cd _ImmSetConversionStatus 00e2 _ImmSetOpenStatus 00f7 _ImmSetCompositionWindow 010c _ImmSetCompositionFont 0121 _ImmGetCompositionString 0136 _ImmIsIME 014b _ImmNotifyIME 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 59 01 00 00 68 00 80 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 1C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 EE 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 D2 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 59 5D C3 00 00 00 55 53 45 52 33 32 00 00 57 49 4E 4E 4C 53 45 6E 61 62 6C 65 49 4D 45 00 49 4D 4D 33 32 2E 44 4C 4C 00 00 00 49 6D 6D 47 65 74 43 6F 6E 74 65 78 74 00 00 00 49 6D 6D 52 65 6C 65 61 73 65 43 6F 6E 74 65 78 74 00 00 00 49 6D 6D 47 65 74 43 6F 6E 76 65 72 73 69 6F 6E 53 74 61 74 75 73 00 00 49 6D 6D 53 65 74 43 6F 6E 76 65 72 73 69 6F 6E 53 74 61 74 75 73 00 00 49 6D 6D 53 65 74 4F 70 65 6E 53 74 61 74 75 73 00 00 00 00 49 6D 6D 53 65 74 43 6F 6D 70 6F 73 69 74 69 6F 6E 57 69 6E 64 6F 77 00 49 6D 6D 53 65 74 43 6F 6D 70 6F 73 69 74 69 6F 6E 46 6F 6E 74 41 00 00 49 6D 6D 47 65 74 43 6F 6D 70 6F 73 69 74 69 6F 6E 53 74 72 69 6E 67 41 00 00 00 00 49 6D 6D 49 73 49 4D 45 00 00 00 00 49 6D 6D 4E 6F 74 69 66 79 49 4D 45 00 00 00 00 }
	condition:
		$1
}

rule function_4580_0 {
	meta:
		name = "Win32NLSEnableIME"
		size = 21
		refs = "0002 _WINNLSEnableIME"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4584_0 {
	meta:
		name = "Imm32ReleaseContext"
		size = 21
		refs = "0002 IMM32DLL 000d _ImmReleaseContext"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4589_0 {
	meta:
		name = "Imm32SetCompositionFont"
		size = 21
		refs = "0002 IMM32DLL 000d _ImmSetCompositionFont"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4588_0 {
	meta:
		name = "Imm32SetCompositionWindow"
		size = 21
		refs = "0002 IMM32DLL 000d _ImmSetCompositionWindow"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4587_0 {
	meta:
		name = "Imm32SetOpenStatus"
		size = 21
		refs = "0002 IMM32DLL 000d _ImmSetOpenStatus"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4581_0 {
	meta:
		name = "SetImeMode"
		size = 217
		refs = "000b SysLocale 002b Win32NLSEnableIME 003f IMM32DLL 004d _ImmGetContext 0064 _ImmGetConversionStatus 0079 _ImmSetOpenStatus 00b1 ModeMap 00c7 _ImmSetConversionStatus 00cf _ImmReleaseContext"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F0 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 BA 00 00 00 80 FB 03 0F 84 B1 00 00 00 84 DB 75 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E9 9F 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 89 00 00 00 56 FF 15 ?? ?? ?? ?? 8B F8 85 FF 74 7C 8D 44 24 04 50 8D 44 24 04 50 57 FF 15 ?? ?? ?? ?? 8B C3 FE C8 74 06 FE C8 74 0D EB 16 6A 00 57 FF 15 ?? ?? ?? ?? EB 3B 6A 01 57 FF 15 ?? ?? ?? ?? EB 30 6A 01 57 FF 15 ?? ?? ?? ?? 8D 44 24 04 50 8D 44 24 04 50 57 FF 15 ?? ?? ?? ?? 8B 04 24 83 E0 F4 33 D2 8A D3 0F B6 92 ?? ?? ?? ?? 0B C2 89 04 24 8B 44 24 04 50 8B 44 24 04 50 57 FF 15 ?? ?? ?? ?? 57 56 FF 15 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4582_0 {
	meta:
		name = "SetImeName"
		size = 162
		refs = "000d @LStrAddRef 0015 SetImeName 0020 SysLocale 0031 Screen 007c ActivateKeyboardLayout 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 08 00 74 56 83 7D FC 00 74 50 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 10 FF 52 14 85 C0 74 3D A1 ?? ?? ?? ?? 8B 00 8B 70 30 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 55 FC 8B 08 FF 51 50 8B D8 85 DB 7C 13 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B D3 8B 08 FF 51 18 8B F0 6A 01 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4583_0 {
	meta:
		name = "Imm32GetContext"
		size = 20
		refs = "0002 IMM32DLL 000c _ImmGetContext"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 08 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4591_0 {
	meta:
		name = "Imm32IsIME"
		size = 20
		refs = "0002 IMM32DLL 000c _ImmIsIME"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 08 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4585_0 {
	meta:
		name = "Imm32GetConversionStatus"
		size = 22
		refs = "0002 IMM32DLL 000e _ImmGetConversionStatus"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A 51 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4586_0 {
	meta:
		name = "Imm32SetConversionStatus"
		size = 22
		refs = "0002 IMM32DLL 000e _ImmSetConversionStatus"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A 51 52 50 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_4590_0 {
	meta:
		name = "Imm32GetCompositionString"
		size = 35
		refs = "0006 IMM32DLL 0016 _ImmGetCompositionString"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0F 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4592_0 {
	meta:
		name = "Imm32NotifyIME"
		size = 35
		refs = "0006 IMM32DLL 0016 _ImmNotifyIME"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0F 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4593_0 {
	meta:
		name = "DoneControls"
		size = 114
		refs = "0001 Application 0008 TObject.Free 0016 Screen 002b Mouse 003c CanvasList 0047 ControlAtom 004d GlobalDeleteAtom 0053 WindowAtom 005f IMM32DLL 006d FreeLibrary"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4594_0 {
	meta:
		name = "InitControls"
		size = 272
		refs = "0006 GetCurrentProcessId 0018 InitControls 0021 StrFmt 0027 GlobalAddAtom 002d WindowAtom 0034 HInstance 0044 GetCurrentThreadId 006b ControlAtom 0072 _Dn_TThreadList 0077 TThreadList.Create 007c CanvasList 0081 InitIMM32 0088 _DV_TMouse 008d TMouse.Create 0092 Mouse 009b _Dn_TScreen 00a0 TScreen.Create 00a6 Screen 00b1 _Dn_TApplication 00b6 TApplication.Create 00bc Application 00c3 InitCtl3D 00d1 TApplication.SetShowHint 00d6 CursorToIdent 00db IdentToCursor 00e0 TCursor 00e5 RegisterIntegerConsts"
	strings:
		$1 = { 83 C4 C8 6A 00 E8 ?? ?? ?? ?? 89 44 24 24 C6 44 24 28 00 8D 4C 24 24 BA ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 6A 01 A1 ?? ?? ?? ?? 8B 00 89 44 24 2C C6 44 24 30 00 E8 ?? ?? ?? ?? 89 44 24 34 C6 44 24 38 00 8D 4C 24 2C BA ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 38 C3 00 00 00 44 65 6C 70 68 69 25 2E 38 58 00 00 43 6F 6E 74 72 6F 6C 4F 66 73 25 2E 38 58 25 2E 38 58 00 00 }
	condition:
		$1
}

rule function_4595_0 {
	meta:
		name = "Finalization"
		size = 84
		refs = "0007 Finalization 0013 _DV_22 001a DockSiteList 001f TObject.Free 0024 DoneControls 0029 Cursors 0034 TIdentMapEntry 0039 @FinalizeArray 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 16 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4596_0 {
	meta:
		name = "Controls"
		size = 35
		refs = "0002 _DV_22 000a GetVersion 0019 NewStyleControls 001e InitControls"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 19 E8 ?? ?? ?? ?? 66 25 FF 00 66 83 F8 04 0F 93 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4597_0 {
	meta:
		name = "TCopyParser.Create"
		size = 127
		refs = "000e @ClassCreate 0025 @GetMem 005d TCopyParser.SkipToken 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 89 4F 04 8B 45 08 89 47 08 B8 00 10 00 00 E8 ?? ?? ?? ?? 8B F0 89 77 10 C6 06 00 89 77 14 8B 47 10 05 00 10 00 00 89 47 18 8B 47 10 89 47 1C 8B 47 10 89 47 20 8B 47 10 89 47 24 C7 47 2C 01 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4598_0 {
	meta:
		name = "TCopyParser.Destroy"
		size = 59
		refs = "0004 @BeforeDestruction 0028 @FreeMem 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 10 00 74 1A 8B 56 24 2B 56 14 66 B9 01 00 8B 46 04 8B 38 FF 57 0C 8B 46 10 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4599_0 {
	meta:
		name = "TCopyParser.CheckToken"
		size = 198
		refs = "0015 TCopyParser.CheckToken 0039 SIdentifierExpected 003e LoadResString 0048 TCopyParser.Error 0052 SStringExpected 006b SNumberExpected 0086 SCharExpected 009f TCopyParser.ErrorFmt 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 31 74 7F 8B C3 FE C8 74 0B FE C8 74 20 48 2C 02 72 34 EB 4B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 55 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 3C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 88 5D F4 C6 45 F8 02 8D 4D F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4601_0 {
	meta:
		name = "TCopyParser.CopySkipTo"
		size = 181
		refs = "0019 TCopyParser.CopySkipTo 0027 @LStrClr 0054 TStream.WriteBuffer 0065 @LStrFromPCharLen 0070 @LStrCat 007e TCopyParser.ReadBuffer 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 5F 24 EB 02 43 4E 85 F6 7E 05 80 3B 00 75 F5 80 7D FF 00 74 17 83 7F 08 00 74 11 8B 47 24 8B CB 2B C8 50 8B 47 08 5A E8 ?? ?? ?? ?? 8B 47 24 8B CB 2B C8 50 8D 45 F8 5A E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 85 F6 7E 07 8B C7 E8 ?? ?? ?? ?? 85 F6 74 06 80 7F 31 00 75 9F 89 5F 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4602_0 {
	meta:
		name = "TCopyParser.CopySkipToEOL"
		size = 79
		refs = "0027 @LStrFromPCharLen 0040 TCopyParser.UpdateOutStream 0047 TCopyParser.NextToken"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8B 5E 24 EB 01 43 8A 03 84 C0 74 08 2C 0A 74 04 2C 03 75 F1 8B D1 8B CB 8B 46 24 2B C8 92 E8 ?? ?? ?? ?? 80 3B 0D 75 01 43 89 5E 1C 80 3C 24 00 74 0A 8B 56 24 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4603_0 {
	meta:
		name = "TCopyParser.CopySkipToEOF"
		size = 158
		refs = "0019 TCopyParser.CopySkipToEOF 0034 TCopyParser.ReadBuffer 0044 @LStrFromPCharLen 004e @LStrCat 005e TCopyParser.UpdateOutStream 0065 TCopyParser.NextToken 0070 TCopyParser.SkipToken 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 24 EB 01 43 80 3B 00 75 FA 89 5E 1C 8B C6 E8 ?? ?? ?? ?? 8B CB 8B 46 24 2B C8 8D 55 F8 92 E8 ?? ?? ?? ?? 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 80 7D FF 00 74 13 8B 56 24 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 80 7E 31 00 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4604_0 {
	meta:
		name = "TCopyParser.CopySkipToToken"
		size = 192
		refs = "0019 TCopyParser.CopySkipToToken 0027 @LStrClr 0035 TCopyParser.SkipBlanks 004a @LStrFromPCharLen 0055 @LStrCat 0063 TCopyParser.SkipToNextToken 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 88 55 FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? EB 61 8B 77 1C 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 47 1C 3B F0 74 1C 8B C8 2B CE 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B CB 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 47 31 3A 45 FF 74 1F 8B 4F 1C 8B 47 24 2B C8 8D 55 F8 92 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8A 47 31 3A 45 FF 74 04 84 C0 75 93 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4605_0 {
	meta:
		name = "TCopyParser.CopyTo"
		size = 25
		refs = "0011 TCopyParser.CopySkipTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4606_0 {
	meta:
		name = "TCopyParser.CopyToToken"
		size = 25
		refs = "0011 TCopyParser.CopySkipToToken"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4607_0 {
	meta:
		name = "TCopyParser.CopyToEOL"
		size = 20
		refs = "000d TCopyParser.CopySkipToEOL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4608_0 {
	meta:
		name = "TCopyParser.CopyToEOF"
		size = 20
		refs = "000d TCopyParser.CopySkipToEOF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4609_0 {
	meta:
		name = "TCopyParser.CopyTokenToOutput"
		size = 9
		refs = "0004 TCopyParser.UpdateOutStream"
	strings:
		$1 = { 8B 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4612_0 {
	meta:
		name = "TCopyParser.ErrorStr"
		size = 122
		refs = "0015 TCopyParser.ErrorStr 003a SParseError 003f LoadResString 0049 _Dn_EParserError 004e Exception.CreateFmt 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F0 C6 45 F4 0B 8B 43 2C 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4613_0 {
	meta:
		name = "TCopyParser.NextToken"
		size = 10
		refs = "0005 TCopyParser.SkipToNextToken"
	strings:
		$1 = { B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5933_0 {
	meta:
		name = "TClientDataSet.SetRangeStart"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7359_0 {
	meta:
		name = "TTable.SetRangeStart"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4614_0 {
	meta:
		name = "TCopyParser.SkipTo"
		size = 25
		refs = "0011 TCopyParser.CopySkipTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5769_0 {
	meta:
		name = "TClientDataSet.GetOptionalParam"
		size = 25
		refs = "0011 TClientDataSet.InternalGetOptionalParam"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4615_0 {
	meta:
		name = "TCopyParser.SkipToToken"
		size = 25
		refs = "0011 TCopyParser.CopySkipToToken"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4618_0 {
	meta:
		name = "TCopyParser.SkipToNextToken"
		size = 131
		refs = "000b TCopyParser.SkipBlanks 0076 TCopyParser.UpdateOutStream"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 89 46 24 8A 10 80 EA 0A 74 3C 80 C2 C9 80 EA 1A 72 0D 80 EA 04 74 08 80 C2 FE 80 EA 1A 73 2F 40 EB 01 40 8A 10 80 C2 D0 80 EA 0A 72 F5 80 C2 F9 80 EA 1A 72 ED 80 EA 04 74 E8 80 C2 FE 80 EA 1A 72 E0 B3 01 EB 0F 40 FF 46 2C B3 05 EB 07 8A 18 84 DB 74 01 40 8B 56 1C 89 46 1C 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 5E 31 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4620_0 {
	meta:
		name = "TCopyParser.ReadBuffer"
		size = 199
		refs = "000e TCopyParser.ReadBuffer 003b Move 0071 LineStart 0083 SLineTooLong 0088 LoadResString 0092 TCopyParser.Error 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 2B 43 10 01 43 0C 8B 43 20 8A 53 30 88 10 8B 73 14 8B 43 1C 2B F0 85 F6 74 0A 8B 53 10 8B CE E8 ?? ?? ?? ?? 03 73 10 89 73 14 8B 4B 18 2B 4B 14 8B 53 14 8B 43 04 8B 30 FF 56 04 01 43 14 8B 43 10 89 43 1C 8B 73 14 89 73 20 3B 73 18 75 2C 8B D6 4A 8B 43 10 E8 ?? ?? ?? ?? 8B F8 89 7B 20 3B 7B 10 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 20 8A 00 88 43 30 8B 43 20 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4621_0 {
	meta:
		name = "TCopyParser.SkipBlanks"
		size = 88
		refs = "002b TCopyParser.UpdateOutStream 0032 TCopyParser.ReadBuffer"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 1C 8B 56 1C 8A 12 80 EA 01 72 0F 80 EA 09 74 28 80 C2 E9 80 EA DF 72 28 EB 21 84 DB 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 80 38 00 74 17 EB C9 FF 46 2C FF 46 1C EB C1 84 DB 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4622_0 {
	meta:
		name = "TCopyParser.SourcePos"
		size = 12
	strings:
		$1 = { 8B 50 24 2B 50 10 03 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_4623_0 {
	meta:
		name = "TCopyParser.SkipEOL"
		size = 49
		refs = "0026 TCopyParser.NextToken"
	strings:
		$1 = { 80 78 31 05 75 2A EB 03 FF 40 24 8B 50 24 8A 12 80 EA 0A 74 F3 80 EA 03 74 EE 8B 50 24 89 50 1C 80 3A 00 74 07 E8 ?? ?? ?? ?? EB 04 C6 40 31 00 C3 }
	condition:
		$1
}

rule function_4624_0 {
	meta:
		name = "TCopyParser.TokenFloat"
		size = 87
		refs = "0012 TCopyParser.TokenFloat 0022 TCopyParser.TokenString 002a StrToFloat 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DB 7D F6 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4626_0 {
	meta:
		name = "TCopyParser.TokenString"
		size = 30
		refs = "0019 @LStrFromPCharLen"
	strings:
		$1 = { 80 78 31 02 75 08 8B 48 28 2B 48 24 EB 06 8B 48 1C 2B 48 24 8B 40 24 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4627_0 {
	meta:
		name = "TCopyParser.TokenSymbolIs"
		size = 99
		refs = "000f TCopyParser.TokenSymbolIs 0025 TCopyParser.TokenString 002f CompareText 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 31 01 75 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4628_0 {
	meta:
		name = "TCopyParser.TokenComponentIdent"
		size = 159
		refs = "0010 TCopyParser.TokenComponentIdent 001f TCopyParser.CheckToken 003f SIdentifierExpected 0044 LoadResString 004e TCopyParser.Error 0078 TCopyParser.TokenString 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 5E 1C EB 43 43 8A 03 04 BF 2C 1A 72 21 2C 04 74 1D 04 FE 2C 1A 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 43 8A 03 04 D0 2C 0A 72 F7 04 F9 2C 1A 72 F1 2C 04 74 ED 04 FE 2C 1A 72 E7 80 3B 2E 74 B8 89 5E 1C 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4629_0 {
	meta:
		name = "TCopyParser.UpdateOutStream"
		size = 32
		refs = "0019 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 8B 48 08 85 C9 74 14 8B DA 8B 70 1C 2B F2 8B D6 8B C1 87 DA 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4632_0 {
	meta:
		name = "TCorbaBindThread.Create"
		size = 194
		refs = "0011 @ClassCreate 0030 @LStrAsg 0073 InitializeCriticalSection 0080 CreateEvent 009e TThread.Create 00a9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 0C 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B DA 8B F8 8D 47 28 8B D6 E8 ?? ?? ?? ?? 8D 47 2C 8B 55 18 E8 ?? ?? ?? ?? 8D 47 30 8B 55 14 E8 ?? ?? ?? ?? 8D 47 34 8B 55 10 E8 ?? ?? ?? ?? 57 8D 75 F0 83 C7 38 B9 04 00 00 00 F3 A5 5F 8B 45 08 89 47 48 C6 47 0E 01 8D 47 4C 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A FF 6A 00 E8 ?? ?? ?? ?? 89 47 64 6A 00 6A 00 6A FF 6A 00 E8 ?? ?? ?? ?? 89 47 68 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4633_0 {
	meta:
		name = "TCorbaBindThread.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 0010 DeleteCriticalSection 0019 CloseHandle 002a TObject.Free 0036 TThread.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 4C 50 E8 ?? ?? ?? ?? 8B 46 64 50 E8 ?? ?? ?? ?? 8B 46 68 50 E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4634_0 {
	meta:
		name = "TCorbaBindThread.Cancel"
		size = 85
		refs = "000f EnterCriticalSection 0017 TCorbaBindThread.Cancel 0046 LeaveCriticalSection 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 48 8B 45 FC 33 D2 89 50 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 59 5D C3 }
	condition:
		$1
}

rule function_4635_0 {
	meta:
		name = "TCorbaBindThread.Execute"
		size = 376
		refs = "0015 TCorbaBindThread.Execute 005a CorbaFactoryCreateStub 0066 EnterCriticalSection 0088 @IntfCopy 00a1 LeaveCriticalSection 00a7 @HandleFinally 00b8 @HandleAnyException 00bd RaiseList 00de @DoneExcept 010e PostMessage 0142 ResetEvent 0150 WaitForSingleObject 0165 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 50 8B 45 FC 83 C0 38 50 8D 45 F8 50 8B 45 FC 8B 48 30 8B 45 FC 8B 50 2C 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 48 85 DB 74 0A 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 18 E8 ?? ?? ?? ?? 8B 40 08 8B 55 FC 89 42 6C E8 ?? ?? ?? ?? 33 D2 89 50 08 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 74 85 C0 74 0C 6A 00 6A 00 6A 10 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC C6 40 70 01 8B 45 FC 8B 40 68 50 E8 ?? ?? ?? ?? 6A FF 8B 45 FC 8B 40 64 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4636_0 {
	meta:
		name = "TCorbaBindThread.MarkFreeable"
		size = 10
		refs = "0005 ResetEvent"
	strings:
		$1 = { 8B 40 64 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4637_0 {
	meta:
		name = "TCorbaBindThread.SetDialogHandle"
		size = 79
		refs = "0012 EnterCriticalSection 001a TCorbaBindThread.SetDialogHandle 003f LeaveCriticalSection 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 5B 59 5D C3 }
	condition:
		$1
}

rule function_4638_0 {
	meta:
		name = "ShowConnectDialog"
		size = 60
		refs = "0007 ShowConnectDialog 000e CreateMessageDialog 0017 TWinControl.GetHandle 0024 TCorbaBindThread.SetDialogHandle"
	strings:
		$1 = { 55 8B EC 53 66 8B 0D ?? ?? ?? ?? B2 02 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 CC 00 00 00 5B 5D C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_4639_0 {
	meta:
		name = "ThreadedBind"
		size = 421
		refs = "0027 ThreadedBind 0044 _DV_TCorbaBindThread 0049 TCorbaBindThread.Create 0068 GetTickCount 0085 MsgWaitForMultipleObjects 009d sConnecting 00a2 LoadResString 00d3 ShowConnectDialog 00ef TCorbaBindThread.Cancel 00f7 @IntfClear 00fc Abort 010d RaiseLastWin32Error 011d Application 0124 TApplication.ProcessMessages 015e @RaiseExcept 0173 TCorbaBindThread.MarkFreeable 0179 @HandleFinally 0190 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F0 8B 75 18 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8B 45 1C 50 8D 45 E0 50 8B 45 08 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 68 89 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 5D 14 E9 C8 00 00 00 68 FF 00 00 00 53 6A 00 8D 45 F8 50 6A 01 E8 ?? ?? ?? ?? 83 E8 FF 74 7E 2D 03 01 00 00 75 7E C6 45 F7 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7D 0E 00 74 0C 8D 4D F7 8D 55 F0 8B 45 10 FF 55 0C 8B 45 FC 80 78 70 00 75 1A 80 7D F7 00 75 14 83 7D F0 00 74 0E 55 8B 45 F0 E8 ?? ?? ?? ?? 59 C6 45 F7 01 80 7D F7 00 74 1E 8B 45 FC 80 78 70 00 75 15 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 5D 14 EB 32 E8 ?? ?? ?? ?? EB 2B 8B 45 FC 80 78 70 00 75 2F A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 14 03 D6 3B C2 73 06 8B DA 2B D8 EB 02 33 DB 8B 45 FC 80 78 70 00 0F 84 2B FF FF FF 8B 45 FC 8B 40 6C 85 C0 74 0D 8B 55 FC 33 C9 89 4A 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_4640_0 {
	meta:
		name = "TCorbaConnection.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCustomRemoteServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5177_0 {
	meta:
		name = "TBinaryField.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TField.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15476_0 {
	meta:
		name = "TDataSetResolver.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCustomResolver.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7522_0 {
	meta:
		name = "TDefaultHTMLTableColumn.Create"
		size = 53
		refs = "000a @ClassCreate 0017 THTMLTableColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9349_0 {
	meta:
		name = "TGraphic.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10156_0 {
	meta:
		name = "TIdIMFUUDecoder.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TIdIMFDecoder.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12772_0 {
	meta:
		name = "TQuickMenu.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TPopupMenu.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4641_0 {
	meta:
		name = "TCorbaConnection.SetRepositoryId"
		size = 46
		refs = "000c @LStrCmp 0027 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 4C E8 ?? ?? ?? ?? 74 19 F6 43 20 01 75 09 33 D2 8B C3 8B 08 FF 51 48 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4642_0 {
	meta:
		name = "TCorbaConnection.SetObjectName"
		size = 46
		refs = "000c @LStrCmp 0027 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 E8 ?? ?? ?? ?? 74 19 F6 43 20 01 75 09 33 D2 8B C3 8B 08 FF 51 48 8D 43 50 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4643_0 {
	meta:
		name = "TCorbaConnection.SetHostName"
		size = 46
		refs = "000c @LStrCmp 0027 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 54 E8 ?? ?? ?? ?? 74 19 F6 43 20 01 75 09 33 D2 8B C3 8B 08 FF 51 48 8D 43 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4644_0 {
	meta:
		name = "TCorbaConnection.GetConnected"
		size = 128
		refs = "0011 TCorbaConnection.GetConnected 0029 VarIsNull 0042 @VarToIntf 0065 @IntfClear 006d @VarClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 50 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 F0 8B C3 8B 08 FF 51 50 8D 55 F0 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4645_0 {
	meta:
		name = "TCorbaConnection.SetConnected"
		size = 151
		refs = "0015 TCorbaConnection.SetConnected 004e SRepositoryIdBlank 0053 LoadResString 005d _Dn_Exception 0062 Exception.CreateFmt 0067 @RaiseExcept 0070 TCustomRemoteServer.SetConnected 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 20 02 75 46 84 DB 74 42 8B C6 8B 10 FF 52 3C 84 C0 75 37 83 7E 4C 00 75 31 8B 46 08 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4646_0 {
	meta:
		name = "TCorbaConnection.DoDisconnect"
		size = 12
		refs = "0002 Null"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 08 FF 51 54 C3 }
	condition:
		$1
}

rule function_4647_0 {
	meta:
		name = "TCorbaConnection.GetAppServer"
		size = 19
		refs = "000c @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4648_0 {
	meta:
		name = "TCorbaConnection.SetAppServer"
		size = 92
		refs = "001b @VarAddRef 0023 TCorbaConnection.SetAppServer 0034 @VarCopy 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 58 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4649_0 {
	meta:
		name = "TCorbaConnection.GetProvider"
		size = 336
		refs = "0020 TCorbaConnection.GetProvider 0037 @IntfClear 004d @VarToIntf 005d @IntfCast 0080 @LStrCat3 0088 @LStrToPChar 00b8 UnmarshalObject 00dd @LStrClr 00e5 @VarClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 48 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 D8 8B C3 8B 08 FF 51 50 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 0C 8D 45 F4 E8 ?? ?? ?? ?? 50 6A FF 8D 45 D4 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 14 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 18 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5E 5B 8B E5 5D C3 00 E9 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 FF FF FF FF 04 00 00 00 47 65 74 5F 00 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_4650_0 {
	meta:
		name = "TCorbaConnection.GetProviderNames"
		size = 336
		refs = "0019 TCorbaConnection.GetProviderNames 0030 @VarClear 0046 @VarClr 005c @VarToIntf 006c @IntfCast 007a @CheckAutoResult 0089 @HandleAnyException 008e @DoneExcept 0096 VarIsArray 00a2 VarArrayDimCount 00b2 VarArrayLowBound 00c1 VarArrayHighBound 00d8 @VarArrayGet 00e6 @VarToLStr 0108 @LStrClr 0118 @IntfClear 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 48 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 D8 8B C3 8B 08 FF 51 50 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 59 8D 45 F0 E8 ?? ?? ?? ?? 48 75 4E 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 2B DE 7C 2C 43 56 6A 01 8D 45 F0 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D8 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 0C FF 55 08 46 4B 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 65 BF 39 65 E7 6F D0 11 9E 8C 00 A0 24 57 62 1F }
	condition:
		$1
}

rule function_4651_0 {
	meta:
		name = "TCorbaConnection.DoConnect"
		size = 676
		refs = "0029 TCorbaConnection.DoConnect 0056 CorbaInitialize 0061 @LStrLen 007f @LStrCopy 008c AnsiCompareStr 00cb Format 010a @LStrLAsg 0125 @LStrPos 0137 @LStrDelete 013f CorbaInterfaceIDManager 0149 TCorbaInterfaceIDManager.SearchGUID 0187 TCorbaConnection.ThreadTimeout 019b ThreadedBind 01bc CorbaFactoryCreateStub 01cd @VarFromIntf 01f2 @HandleFinally 0209 @VarClr 0211 @LStrClr 021e @LStrArrayClr 0226 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 A4 56 57 33 D2 89 55 A4 89 55 A8 89 55 AC 89 55 B0 89 55 DC 89 55 F8 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 70 00 0F 85 B8 01 00 00 8B 45 FC C6 40 70 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 83 F8 04 7E 2A 8D 45 DC 50 8B 45 FC 8B 40 4C B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 6C 8D 45 F4 50 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 0B 8B 45 FC 8B 40 4C 89 45 CC C6 45 D0 0B B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 0B 8D 55 C4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 0B 8B 45 FC 8B 40 4C 89 45 BC C6 45 C0 0B 8D 55 B4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 8D 45 F4 8B 55 FC 8B 52 4C E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC 8B 52 4C E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0E 8D 55 F0 B9 07 00 00 00 92 E8 ?? ?? ?? ?? 8D 4D E0 A1 ?? ?? ?? ?? 8B 00 8B 55 F0 E8 ?? ?? ?? ?? 84 C0 75 0F BE ?? ?? ?? ?? 8D 7D E0 B9 04 00 00 00 F3 A5 8B 45 FC 80 78 71 00 75 09 8B 45 FC F6 40 20 10 74 2F 8B 45 FC 8B 40 54 50 8D 45 E0 50 68 E8 03 00 00 8B 45 FC 50 68 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 8B 50 50 33 C9 8B 45 F4 E8 ?? ?? ?? ?? EB 1F 8B 45 FC 8B 40 54 50 8D 45 E0 50 8D 45 F8 50 8B 45 FC 8B 50 50 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 74 16 8D 45 A4 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 70 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 8B E5 5D C3 FF FF FF FF 04 00 00 00 49 44 4C 3A 00 00 00 00 FF FF FF FF 07 00 00 00 46 61 63 74 6F 72 79 00 FF FF FF FF 0A 00 00 00 25 73 25 73 25 73 3A 31 2E 30 00 00 FF FF FF FF 08 00 00 00 25 73 25 73 3A 31 2E 30 00 00 00 00 FF FF FF FF 08 00 00 00 46 61 63 74 6F 72 79 3A 00 00 00 00 65 BF 39 65 E7 6F D0 11 9E 8C 00 A0 24 57 62 1F }
	condition:
		$1
}

rule function_4652_0 {
	meta:
		name = "TCorbaConnection.ThreadTimeout"
		size = 21
	strings:
		$1 = { 53 66 83 78 6A 00 74 0B 52 8B D8 8B D0 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_4655_0 {
	meta:
		name = "_NF__BA"
		size = 122
		refs = "0007 TCorbaSkeleton.GetSkeleton 001e TCorbaSkeleton.Execute 0028 TInterfacedObject.QueryInterface 0032 TInterfacedObject._AddRef 003c TInterfacedObject._Release 0042 _NF__BA"
	strings:
		$1 = { CC 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 8B 44 24 04 8B 00 FF 20 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 E8 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4656_0 {
	meta:
		name = "_NF__BD"
		size = 210
		refs = "0005 TCorbaStub.NonExistent 000d TCorbaStub.Hash 0015 TCorbaStub.IsA 001d TCorbaStub.SetPrincipal 0027 TInterfacedObject.QueryInterface 0031 TInterfacedObject._AddRef 003b TInterfacedObject._Release 0045 TCorbaStub.GetStub 006a _NF__BD"
	strings:
		$1 = { CC 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 01 8E AF 0B 38 CE D1 11 AA DC 00 C0 4F B1 7A 72 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 E9 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4657_0 {
	meta:
		name = "_NF__C0"
		size = 146
		refs = "003e TInterfacedObject.QueryInterface 0048 TInterfacedObject._AddRef 0052 TInterfacedObject._Release 0056 _NF__C0"
	strings:
		$1 = { CC 83 44 24 04 E8 8B 44 24 04 8B 00 FF 60 08 83 44 24 04 E8 8B 44 24 04 8B 00 FF 60 04 83 44 24 04 E8 8B 44 24 04 8B 00 FF 20 83 44 24 04 E8 8B 44 24 04 8B 00 FF 60 0C 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 18 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4658_0 {
	meta:
		name = "_NF__D3"
		size = 89
		refs = "002d _NF__D3"
	strings:
		$1 = { CC 83 44 24 04 F0 8B 44 24 04 8B 00 FF 60 04 83 44 24 04 F0 8B 44 24 04 8B 00 FF 20 83 44 24 04 F0 8B 44 24 04 8B 00 FF 60 08 CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4659_0 {
	meta:
		name = "_NF__D7"
		size = 120
		refs = "0007 TCorbaFactory.GetSkeleton 0011 TCorbaFactory.GetImplementation 001b TCorbaFactory.Execute 0025 TInterfacedObject.QueryInterface 002f TInterfacedObject._AddRef 0039 TInterfacedObject._Release 0040 _NF__D7"
	strings:
		$1 = { CC 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 E8 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 ?? ?? ?? ?? 38 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4661_0 {
	meta:
		name = "TCorbaSkeleton.Create"
		size = 38
		refs = "000b @ClassCreate 0014 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_4662_0 {
	meta:
		name = "TCorbaSkeleton.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f @IntfClear 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4663_0 {
	meta:
		name = "TCorbaSkeleton.InitSkeleton"
		size = 110
		refs = "001b CorbaFactoryManager 0020 TCorbaFactoryManager.Find 004c @IntfClear 0062 CreateSkeleton"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B 45 F8 50 8B 4D FC 8B 55 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 09 80 78 19 01 0F 94 C3 EB 07 80 7D 0C 01 0F 94 C3 8B 45 F8 50 8B 45 10 50 8A 45 08 F6 D8 1B C0 50 8D 46 0C E8 ?? ?? ?? ?? 50 F6 DB 1B C9 8B D6 85 D2 74 03 83 EA F0 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4664_0 {
	meta:
		name = "TCorbaSkeleton.GetSkeleton"
		size = 34
		refs = "0019 @IntfCopy"
		altNames = "TCorbaStub.GetStub"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4665_0 {
	meta:
		name = "TCorbaFactory.GetImplementation"
		size = 26
		refs = "0012 @IntfClear"
		altNames = "TCorbaSkeleton.GetImplementation"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_4666_0 {
	meta:
		name = "TCorbaSkeleton.Execute"
		size = 137
		refs = "0017 TCorbaSkeleton.Execute 002b @_CToPasStr 0038 TObject.MethodAddress 0069 @HandleAnyException 006e @DoneExcept"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 8B 5D 08 C6 45 F7 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 F4 FE FF FF 8B 55 0C E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8B F0 89 75 F8 85 F6 75 0A 33 C0 5A 59 59 64 89 10 EB 2E 89 5D FC 8B 4D 14 8B 55 10 8B 45 FC FF 55 F8 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 E8 ?? ?? ?? ?? C6 45 F7 FF 8A 45 F7 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_4667_0 {
	meta:
		name = "TCorbaStub.Create"
		size = 58
		refs = "000b @ClassCreate 001b @IntfCopy 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4668_0 {
	meta:
		name = "TCorbaStub.Destroy"
		size = 100
		refs = "000a @BeforeDestruction 0018 TCorbaStub.Destroy 0029 @IntfClear 0038 @HandleAnyException 003d @DoneExcept 004b TObject.Destroy 0059 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4670_0 {
	meta:
		name = "TCorbaStub.Hash"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 0C 50 8B 00 FF 50 24 5E 5B C3 }
	condition:
		$1
}

rule function_4671_0 {
	meta:
		name = "TCorbaStub.IsA"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 0C 50 8B 00 FF 50 28 F6 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_4672_0 {
	meta:
		name = "TCorbaStub.NonExistent"
		size = 20
	strings:
		$1 = { 53 8B D8 8B 43 0C 50 8B 00 FF 50 20 F6 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_4673_0 {
	meta:
		name = "TCorbaStub.SetPrincipal"
		size = 28
		refs = "0009 @DynArrayHigh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 40 50 56 8B 43 0C 50 8B 00 FF 50 2C 5E 5B C3 }
	condition:
		$1
}

rule function_4674_0 {
	meta:
		name = "TCorbaDispatchStub.GetIDsOfNames"
		size = 12
		altNames = "TCorbaImplementation.GetIDsOfNames TEventDispatch.GetIDsOfNames TOleControl.GetIDsOfNames"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 18 00 }
	condition:
		$1
}

rule function_4677_0 {
	meta:
		name = "TCorbaDispatchStub.Invoke"
		size = 12
		altNames = "TCorbaImplementation.Invoke"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 24 00 }
	condition:
		$1
}

rule function_4678_0 {
	meta:
		name = "TCorbaListManager.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _Dn_TMultiReadExclusiveWriteSynchronizer 001a TMultiReadExclusiveWriteSynchronizer.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4930_0 {
	meta:
		name = "TLookupList.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4679_0 {
	meta:
		name = "TCorbaListManager.Destroy"
		size = 33
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a @ClassDestroy"
		altNames = "TExprParser.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4684_0 {
	meta:
		name = "TCorbaInterfaceIDManager.FindID"
		size = 118
		refs = "0012 TCorbaInterfaceIDManager.FindID 001f @LStrClr 002a TCorbaInterfaceIDManager.SearchID 0036 SCorbaInterfaceIDNotRegister 003b LoadResString 0045 _DV_ECorbaException 004a Exception.Create 004f @RaiseExcept 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4685_0 {
	meta:
		name = "TCorbaInterfaceIDManager.FindGUID"
		size = 131
		refs = "0018 TCorbaInterfaceIDManager.FindGUID 0029 TCorbaInterfaceIDManager.SearchGUID 0042 SCorbaRepositoryIDNotRegistered 0047 LoadResString 0051 _DV_ECorbaException 0056 Exception.CreateFmt 005b @RaiseExcept 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2E 89 75 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4686_0 {
	meta:
		name = "TCorbaInterfaceIDManager.RegisterInterface"
		size = 194
		refs = "0012 TCorbaListManager.BeginWrite 001a TCorbaInterfaceIDManager.RegisterInterface 002b @DynArrayLength 0058 TInterfaceIDList 005d @DynArraySetLength 0095 @LStrAsg 00b0 TCorbaListManager.EndWrite 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 3B 58 0C 75 2B 85 DB 75 07 BB 08 00 00 00 EB 06 8B C3 03 C0 8B D8 53 8B 45 FC 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 0C 8D 04 80 8B 55 FC 8B 52 08 57 8D 7C 82 04 B9 04 00 00 00 F3 A5 5F 8B 45 FC 8B 40 0C 8D 04 80 8B 55 FC 8B 52 08 8D 04 82 8B D7 E8 ?? ?? ?? ?? 8B 45 FC FF 40 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4687_0 {
	meta:
		name = "TCorbaInterfaceIDManager.SearchGUID"
		size = 151
		refs = "0016 TCorbaListManager.BeginRead 001e TCorbaInterfaceIDManager.SearchGUID 0046 @LStrCmp 0065 @TryFinallyExit 0080 TCorbaListManager.EndRead 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 0C 4E 85 F6 7C 3C 46 33 DB 8D 3C 9B 8B 45 FC 8B 40 08 8B 04 B8 8B 55 F8 E8 ?? ?? ?? ?? 75 1F 8B 45 FC 8B 40 08 8B 55 F4 8D 74 B8 04 8B FA B9 04 00 00 00 F3 A5 B3 01 E8 ?? ?? ?? ?? EB 23 43 4E 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 DB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4688_0 {
	meta:
		name = "TCorbaInterfaceIDManager.SearchID"
		size = 162
		refs = "0021 TCorbaListManager.BeginRead 0029 TCorbaInterfaceIDManager.SearchID 0054 IsEqualGUID 0069 @LStrAsg 0070 @TryFinallyExit 008b TCorbaListManager.EndRead 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 85 C0 74 04 33 D2 89 10 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 0C 4E 85 F6 7C 3C 46 33 DB 8B 45 F8 50 8D 3C 9B 8B 45 FC 8B 40 08 8D 44 B8 04 50 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F4 8B 55 FC 8B 52 08 8B 14 BA E8 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? EB 23 43 4E 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 DB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4689_0 {
	meta:
		name = "TCorbaSkeletonManager.RegisterSkeleton"
		size = 205
		refs = "0020 TCorbaListManager.BeginWrite 0028 TCorbaSkeletonManager.RegisterSkeleton 0039 @DynArrayLength 0066 TSkeletonList 006b @DynArraySetLength 00ba TCorbaListManager.EndWrite 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 8B F1 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 3B 58 0C 75 2B 85 DB 75 07 BB 08 00 00 00 EB 06 8B C3 03 C0 8B D8 53 8B 45 FC 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 0C 8D 04 80 8B 55 FC 8B 52 08 56 8D 3C 82 8D 75 EC B9 04 00 00 00 F3 A5 5E 8B 45 FC 8B 40 0C 8D 04 80 8B 55 FC 8B 52 08 89 74 82 10 8B 45 FC FF 40 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4691_0 {
	meta:
		name = "TCorbaStubManager.RegisterStub"
		size = 205
		refs = "0020 TCorbaListManager.BeginWrite 0028 TCorbaStubManager.RegisterStub 0039 @DynArrayLength 0066 TStubList 006b @DynArraySetLength 00ba TCorbaListManager.EndWrite 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 8B F1 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 3B 58 0C 75 2B 85 DB 75 07 BB 08 00 00 00 EB 06 8B C3 03 C0 8B D8 53 8B 45 FC 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 0C 8D 04 80 8B 55 FC 8B 52 08 56 8D 3C 82 8D 75 EC B9 04 00 00 00 F3 A5 5E 8B 45 FC 8B 40 0C 8D 04 80 8B 55 FC 8B 52 08 89 74 82 10 8B 45 FC FF 40 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4690_0 {
	meta:
		name = "TCorbaSkeletonManager.CreateSkeleton"
		size = 276
		refs = "0026 TCorbaSkeletonManager.CreateSkeleton 0034 TCorbaListManager.BeginRead 0066 IsEqualGUID 0091 @IntfCopy 0096 @TryFinallyExit 00b1 TCorbaListManager.EndRead 00b7 @HandleFinally 00d1 SCorbaSkeletonNotRegistered 00d6 LoadResString 00e0 _Dn_Exception 00e5 Exception.CreateFmt 00ea @RaiseExcept 00ff @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 0C 4E 85 F6 7C 4F 46 33 DB 8D 45 E8 50 8D 3C 9B 8B 45 FC 8B 40 08 8D 04 B8 50 E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 0C 50 8B 45 FC 8B 40 08 8B 44 B8 10 8B 4D F8 B2 01 FF 50 04 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 43 4E 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 89 45 E0 C6 45 E4 0B 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4692_0 {
	meta:
		name = "TCorbaStubManager.CreateStub"
		size = 258
		refs = "0026 TCorbaStubManager.CreateStub 0034 TCorbaListManager.BeginRead 0066 IsEqualGUID 007e TCorbaStub.Create 008f @IntfCopy 0094 @TryFinallyExit 00af TCorbaListManager.EndRead 00b5 @HandleFinally 00bf SCorbaStubNotRegistered 00c4 LoadResString 00ce _Dn_Exception 00d3 Exception.Create 00d8 @RaiseExcept 00ed @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 0C 4E 85 F6 7C 4D 46 33 DB 8D 45 E8 50 8D 3C 9B 8B 45 FC 8B 40 08 8D 04 B8 50 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 FC 8B 40 08 8B 44 B8 10 8B 4D F8 B2 01 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 43 4E 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4693_0 {
	meta:
		name = "TCorbaImplementation.Create"
		size = 127
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TCorbaImplementation.Create 0034 TObject.Create 0055 @IntfClear 005b @HandleFinally 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 0C 8B 45 FC 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4694_0 {
	meta:
		name = "TCorbaImplementation._AddRef"
		size = 32
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 08 00 74 0B 8B 40 08 50 8B 00 FF 50 04 EB 05 50 8B 00 FF 10 5D C2 04 00 }
	condition:
		$1
}

rule function_4695_0 {
	meta:
		name = "TCorbaImplementation._Release"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 08 00 74 0B 8B 40 08 50 8B 00 FF 50 08 EB 06 50 8B 00 FF 50 08 5D C2 04 00 }
	condition:
		$1
}

rule function_4696_0 {
	meta:
		name = "TCorbaImplementation.ObjAddRef"
		size = 19
		refs = "000b InterlockedIncrement"
		altNames = "TInterfacedObject._AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 04 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_4698_0 {
	meta:
		name = "TCorbaImplementation.ObjRelease"
		size = 40
		refs = "000d InterlockedDecrement"
		altNames = "TInterfacedObject._Release"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 04 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4699_0 {
	meta:
		name = "TCorbaImplementation.QueryInterface"
		size = 42
	strings:
		$1 = { 55 8B EC 8B 4D 10 8B 55 0C 8B 45 08 83 78 08 00 74 0C 51 52 8B 40 08 50 8B 00 FF 10 EB 08 51 52 50 8B 00 FF 50 04 5D C2 0C 00 }
	condition:
		$1
}

rule function_4701_0 {
	meta:
		name = "TCorbaImplementation.GetTypeInfo"
		size = 21
		refs = "000d TCorbaFactory.GetTypeInfo"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 8B 40 0C E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_4704_0 {
	meta:
		name = "TCorbaFactory.Create"
		size = 129
		refs = "000e @ClassCreate 0031 @LStrAsg 005a CorbaFactoryManager 005f TCorbaFactoryManager.AddFactory 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 10 56 57 8B F0 83 C7 1C B9 04 00 00 00 F3 A5 5F 5E 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8D 47 10 8B 55 18 E8 ?? ?? ?? ?? 8D 47 14 8B 55 14 E8 ?? ?? ?? ?? 8A 45 0C 88 47 18 8A 45 08 88 47 19 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_4705_0 {
	meta:
		name = "TCorbaFactory.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f @IntfClear 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 2C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4706_0 {
	meta:
		name = "TCorbaFactory.GetSkeleton"
		size = 34
		refs = "0019 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 2C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4708_0 {
	meta:
		name = "TCorbaFactory.Execute"
		size = 292
		refs = "0014 TCorbaFactory.Execute 0027 @LStrFromPChar 0034 CompareStr 0043 UnmarshalText 0054 @IntfCopy 0065 @IntfClear 00ca @LStrClr 00d3 ISkeletonObject 00dd @FinalizeArray 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 E8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 7D 8D 55 FC 8B 45 10 E8 ?? ?? ?? ?? 83 7E 30 00 74 28 8D 45 F0 8B 56 30 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 04 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 0C EB 1E 8D 4D EC 8B 55 FC 8B C6 8B 18 FF 13 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 46 2C 50 8B 00 FF 50 18 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 40 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B C3 5E 5B 8B E5 5D C2 10 00 00 FF FF FF FF 0E 00 00 00 43 72 65 61 74 65 49 6E 73 74 61 6E 63 65 00 00 }
	condition:
		$1
}

rule function_4709_0 {
	meta:
		name = "TCorbaFactory.RegisterFactory"
		size = 137
		refs = "000d TCorbaFactory.RegisterFactory 0025 @IntfClear 003a CreateSkeleton 003f BOA 0047 TBOA.ObjIsReady 0063 @IntfCopy 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 50 8B 43 14 50 6A 00 8D 43 2C E8 ?? ?? ?? ?? 50 8B D3 85 D2 74 03 83 EA C8 83 C9 FF 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 2C E8 ?? ?? ?? ?? 80 7B 18 00 75 16 8D 4D FC 33 D2 8B C3 8B 30 FF 16 8B 55 FC 8D 43 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4710_0 {
	meta:
		name = "TCorbaFactory.CreateInstance"
		size = 118
		refs = "0019 TCorbaFactory.CreateInstance 003c CorbaSkeletonManager 0041 TCorbaSkeletonManager.CreateSkeleton 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 8B 38 FF 57 04 8B 45 F8 50 56 8B 4D FC 8D 53 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3E 00 74 08 8B 06 50 8B 00 FF 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4711_0 {
	meta:
		name = "TCorbaFactory.CreateInterface"
		size = 86
		refs = "000a TCorbaFactory.CreateInterface 0018 SCorbaIncompleteFactory 001d LoadResString 0027 _DV_ECorbaException 002c Exception.Create 0031 @RaiseExcept 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4712_0 {
	meta:
		name = "TCorbaFactory.GetTypeInfo"
		size = 215
		refs = "001f TCorbaFactory.GetTypeInfo 003c HInstance 0044 GetModuleFileName 004c @IntfClear 0063 @WStrFromArray 006e @WStrToPWChar 0074 LoadTypeLib 00a0 @IntfCopy 00ba @WStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 C9 89 8D F0 FE FF FF 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 34 00 75 6B 68 06 01 00 00 8D 85 F6 FE FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 85 F0 FE FF FF 8D 95 F6 FE FF FF B9 06 01 00 00 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 28 8D 43 34 E8 ?? ?? ?? ?? 50 8D 43 1C 50 8B 45 FC 50 8B 00 FF 50 18 8B F0 85 F6 75 0C 8B C7 8B 53 34 E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4713_0 {
	meta:
		name = "TCorbaFactoryManager.Destroy"
		size = 67
		refs = "0005 @BeforeDestruction 001f TObject.Free 002f TCorbaListManager.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 0C 4D 85 ED 7C 12 45 33 F6 8B 47 08 8B 04 B0 E8 ?? ?? ?? ?? 46 4D 75 F1 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4714_0 {
	meta:
		name = "TCorbaFactoryManager.AddFactory"
		size = 174
		refs = "0011 TCorbaListManager.BeginWrite 0019 TCorbaFactoryManager.AddFactory 002a @DynArrayLength 0057 TFactoryList 005c @DynArraySetLength 008c TCorbaListManager.EndWrite 0092 @HandleFinally 00a5 TCorbaFactory.RegisterFactory"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 3B 58 0C 75 2B 85 DB 75 07 BB 08 00 00 00 EB 06 8B C3 03 C0 8B D8 53 8B 45 FC 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 0C 8B 55 FC 8B 52 08 8B 4D F8 89 0C 82 8B 45 FC FF 40 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 78 10 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4715_0 {
	meta:
		name = "TCorbaFactoryManager.RegisterFactories"
		size = 194
		refs = "001c TCorbaListManager.BeginWrite 0024 TCorbaFactoryManager.RegisterFactories 005a TCorbaListManager.EndWrite 0060 @HandleFinally 0070 TCorbaListManager.BeginRead 0097 TCorbaFactory.RegisterFactory 00b0 TCorbaListManager.EndRead"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 FC 8B 45 FC 80 78 10 00 0F 85 A4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 89 45 F4 8B 45 FC 8A 40 10 34 01 88 45 FB 8B 45 FC C6 40 10 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 74 50 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F4 4B 85 DB 7C 15 43 33 F6 8B 45 FC 8B 40 08 8B 04 B0 E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4716_0 {
	meta:
		name = "TCorbaFactoryManager.Find"
		size = 208
		refs = "0020 TCorbaListManager.BeginRead 0028 TCorbaFactoryManager.Find 0061 @LStrCmp 0091 @TryFinallyExit 00b3 TCorbaListManager.EndRead 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 89 45 FC 85 FF 75 08 85 F6 0F 84 A3 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 0C 4B 85 DB 7C 60 43 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 08 8B 55 F4 8B 04 90 89 45 F8 85 F6 74 0F 8B C6 8B 55 F8 8B 52 14 E8 ?? ?? ?? ?? 75 30 85 FF 74 0F 8B C7 8B 55 F8 8B 52 0C E8 ?? ?? ?? ?? 75 1D 83 7D 08 00 74 10 8B 45 08 8B 55 F8 8B 52 10 E8 ?? ?? ?? ?? 75 07 E8 ?? ?? ?? ?? EB 2D FF 45 F4 4B 75 A8 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 89 45 F8 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4718_0 {
	meta:
		name = "TCorbaObjectFactory.CreateInterface"
		size = 36
		refs = "001d @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B D8 53 33 C9 B2 01 8B 43 3C FF 50 0C 8B D0 85 D2 74 03 83 EA F0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4719_0 {
	meta:
		name = "TBOA.Initialize"
		size = 68
		refs = "0005 BOAVar 000f _DV_TBOA 0014 TObject.Create 0026 @IntfClear 002f @DynArrayLength 0035 ORBVar"
	strings:
		$1 = { 53 8B DA 83 3D ?? ?? ?? ?? 00 75 36 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 04 E8 ?? ?? ?? ?? 50 53 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 04 50 8B 00 FF 50 10 5B C3 }
	condition:
		$1
}

rule function_4720_0 {
	meta:
		name = "TBOA.GetPrincipal"
		size = 176
		refs = "0014 TBOA.GetPrincipal 0022 @IntfClear 0032 @IntfCast 0058 TCorbaPrincipal 005d @DynArraySetLength 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B D7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C 8B 45 FC 50 8B 43 04 50 8B 00 FF 50 18 8B F8 57 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 50 8B 45 FC 50 8B 43 04 50 8B 00 FF 50 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 E9 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4721_0 {
	meta:
		name = "TBOA.Deactivate"
		size = 104
		refs = "000f TBOA.Deactivate 0024 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 04 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 E4 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4722_0 {
	meta:
		name = "TBOA.ImplIsReady"
		size = 10
	strings:
		$1 = { 8B 40 04 50 8B 00 FF 50 10 C3 }
	condition:
		$1
}

rule function_4723_0 {
	meta:
		name = "TBOA.ObjIsReady"
		size = 104
		refs = "000f TBOA.ObjIsReady 0024 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 04 50 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 E4 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4724_0 {
	meta:
		name = "TORB.Initialize"
		size = 44
		refs = "0006 _DV_TORB 000b TObject.Create 0010 ORBVar 001d @IntfClear 0026 InitORB"
	strings:
		$1 = { 53 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 04 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4725_0 {
	meta:
		name = "TORB.Initialize"
		size = 166
		refs = "000e TORB.Initialize 001a ORBVar 0022 ParamCount 0032 TArgv 0037 @DynArraySetLength 0055 ParamStr 0069 BOAVar 0074 _DV_TBOA 0079 TBOA.Initialize 0094 @DynArrayClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 5C E8 ?? ?? ?? ?? 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 14 46 33 DB 8B 45 FC 8D 14 98 8B C3 E8 ?? ?? ?? ?? 43 4E 75 EF 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4726_0 {
	meta:
		name = "InternalBind"
		size = 50
		refs = "000d ORB 001b @IntfClear 0027 BindStub"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 40 04 50 6A 00 8B 45 08 E8 ?? ?? ?? ?? 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4727_0 {
	meta:
		name = "TORB.Bind"
		size = 123
		refs = "0011 TORB.Bind 0029 CorbaInterfaceIDManager 002e TCorbaInterfaceIDManager.FindID 003b InternalBind 0045 CorbaStubManager 004a TCorbaStubManager.CreateStub 005f @LStrClr 0067 @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 50 8D 4D F8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 4D 0C 8B D6 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4728_0 {
	meta:
		name = "TORB.Bind"
		size = 156
		refs = "0016 TORB.Bind 002c InternalBind 0036 CorbaInterfaceIDManager 003b TCorbaInterfaceIDManager.SearchGUID 005d CorbaStubManager 0062 TCorbaStubManager.CreateStub 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4D 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F BE ?? ?? ?? ?? 8D 7D EC B9 04 00 00 00 F3 A5 8B 45 08 50 8B 4D FC 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 E5 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4729_0 {
	meta:
		name = "TORB.ObjectToString"
		size = 156
		refs = "0014 TORB.ObjectToString 0022 @IntfClear 0032 @IntfCast 0053 @LStrFromPChar 005a CorbaStringFree 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C 8B 45 FC 50 8B 43 04 50 8B 00 FF 50 14 8B D8 8B C7 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 E9 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4730_0 {
	meta:
		name = "TORB.StringToObject"
		size = 214
		refs = "001b TORB.StringToObject 0029 @IntfClear 0069 @LStrFromPChar 0074 CorbaInterfaceIDManager 0079 TCorbaInterfaceIDManager.FindGUID 0084 CorbaStubManager 0089 TCorbaStubManager.CreateStub 009e CorbaStringFree 00a4 @HandleFinally 00bb @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 04 50 8B 00 FF 50 18 83 7D FC 00 75 09 8B C6 E8 ?? ?? ?? ?? EB 63 8B 45 FC 50 8B 00 FF 50 30 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 4D FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4731_0 {
	meta:
		name = "TORB.Shutdown"
		size = 10
	strings:
		$1 = { 8B 40 04 50 8B 00 FF 50 1C C3 }
	condition:
		$1
}

rule function_4732_0 {
	meta:
		name = "TORB.FindTypeCode"
		size = 38
		refs = "000c @IntfClear 0014 @LStrToPChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4733_0 {
	meta:
		name = "TORB.MakeArray"
		size = 104
		refs = "0012 TORB.MakeArray 0020 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 53 8B 46 04 50 8B 00 FF 50 24 8B 45 0C 50 8B 45 08 50 8B CF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4735_0 {
	meta:
		name = "TORB.MakeSequence"
		size = 104
		refs = "0012 TORB.MakeSequence 0020 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 53 8B 46 04 50 8B 00 FF 50 24 8B 45 0C 50 8B 45 08 50 8B CF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4734_0 {
	meta:
		name = "TORB.MakeArray"
		size = 91
		refs = "0011 @IntfAddRef 0019 TORB.MakeArray 0033 TORB.MakeComplexAny 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4736_0 {
	meta:
		name = "TORB.MakeSequence"
		size = 91
		refs = "0011 @IntfAddRef 0019 TORB.MakeSequence 0033 TORB.MakeComplexAny 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4737_0 {
	meta:
		name = "TORB.MakeStructure"
		size = 91
		refs = "0011 @IntfAddRef 0019 TORB.MakeStructure 0033 TORB.MakeComplexAny 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4738_0 {
	meta:
		name = "TORB.MakeComplexAny"
		size = 102
		refs = "0015 @IntfAddRef 001d TORB.MakeComplexAny 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 06 01 01 8B 45 0C 50 57 8B 45 FC 50 8B 43 04 50 8B 00 FF 50 30 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4739_0 {
	meta:
		name = "MarshalObject"
		size = 244
		refs = "002d MarshalObject 003b @IntfClear 0077 CorbaSkeletonManager 007c TCorbaSkeletonManager.CreateSkeleton 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B F2 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 53 8B 03 FF 10 85 C0 75 1E 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C 8B 45 F8 50 56 8B 06 FF 50 40 EB 39 53 8D 45 F0 50 33 C9 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 04 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 0C 8B 45 F4 50 56 8B 06 FF 50 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 E9 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4740_0 {
	meta:
		name = "UnmarshalObject"
		size = 232
		refs = "002a UnmarshalObject 0038 @IntfClear 005c @IntfCast 008b CorbaStubManager 0090 TCorbaStubManager.CreateStub 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 5D F8 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 06 FF 50 40 8B 45 FC 50 8B 00 FF 50 10 84 C0 74 23 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 14 EB 21 53 8D 45 E4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 E4 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 E5 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4741_0 {
	meta:
		name = "MarshalAny"
		size = 74
		refs = "000a VariantToAny 0015 MarshalAny 003a CorbaReleaseAny 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B C2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 53 8B 03 FF 50 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4742_0 {
	meta:
		name = "UnmarshalAny"
		size = 73
		refs = "0014 UnmarshalAny 0024 AnyToVariant 0039 CorbaReleaseAny 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 50 8B 00 FF 50 3C 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4743_0 {
	meta:
		name = "UnmarshalText"
		size = 49
		refs = "0018 @LStrClr 0023 @LStrFromPChar 002a CorbaStringFree"
	strings:
		$1 = { 53 56 8B F2 50 8B 00 FF 50 10 8B D8 85 DB 74 0E 80 3B 00 75 09 8B C6 E8 ?? ?? ?? ?? EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4744_0 {
	meta:
		name = "UnmarshalWideText"
		size = 31
		refs = "0011 @WStrFromPWChar 0018 CorbaWStringFree"
	strings:
		$1 = { 53 56 8B F2 50 8B 00 FF 50 34 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4745_0 {
	meta:
		name = "MarshalWordBool"
		size = 23
	strings:
		$1 = { 66 85 D2 74 09 6A 01 50 8B 00 FF 50 18 C3 6A 00 50 8B 00 FF 50 18 C3 }
	condition:
		$1
}

rule function_4746_0 {
	meta:
		name = "UnmarshalWordBool"
		size = 20
	strings:
		$1 = { 53 8B D8 53 8B 03 FF 50 18 84 C0 0F 95 C0 F6 D8 1B C0 5B C3 }
	condition:
		$1
}

rule function_4747_0 {
	meta:
		name = "CorbaFactoryCreateStub"
		size = 304
		refs = "002f CorbaFactoryCreateStub 003a ORB 0048 @IntfClear 0055 BindStub 00b4 @IntfCast 00bf CorbaStubManager 00c4 TCorbaStubManager.CreateStub 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B 75 0C 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 40 04 50 6A 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 4D 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 14 57 8B 45 F8 50 8B 00 FF 50 10 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 18 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 40 8B 45 08 50 8D 45 DC 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 43 72 65 61 74 65 49 6E 73 74 61 6E 63 65 00 00 E5 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4748_0 {
	meta:
		name = "ORB"
		size = 20
		refs = "0002 ORBVar 000a CorbaInitialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4749_0 {
	meta:
		name = "BOA"
		size = 20
		refs = "0002 BOAVar 000a CorbaInitialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4751_0 {
	meta:
		name = "CorbaBind"
		size = 38
		refs = "0012 ORB 001b TORB.Bind"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 08 50 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4752_0 {
	meta:
		name = "CorbaBind"
		size = 38
		refs = "0012 ORB 001b TORB.Bind"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 08 50 E8 ?? ?? ?? ?? 8B D3 8B CE E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4753_0 {
	meta:
		name = "MakePrincipal"
		size = 51
		refs = "0017 TCorbaPrincipal 001c @DynArraySetLength 002a Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B DA 8B E8 8D 7B 01 57 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CF 8B 16 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4754_0 {
	meta:
		name = "ClearAnyImpl"
		size = 25
		refs = "0014 CorbaReleaseAny"
	strings:
		$1 = { 66 81 38 01 01 75 11 66 C7 00 00 00 8B 40 08 85 C0 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4755_0 {
	meta:
		name = "ChangeAnyImpl"
		size = 134
		refs = "0011 ChangeAnyImpl 0029 AnyToVariant 0035 sInvalidTypeCast 003a LoadResString 0044 _DV_ECorbaDispatch 0049 Exception.Create 004e @RaiseExcept 0058 @VarCopy 006d @LStrClr 0075 @VarClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 01 01 75 3A 8D 55 F0 8B 43 08 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4756_0 {
	meta:
		name = "RefAnyImpl"
		size = 9
		refs = "0004 CorbaDuplicateAny"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12716_0 {
	meta:
		name = "TCustomArray.GetInteger"
		size = 9
		refs = "0004 TIntArray.GetItem"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13353_0 {
	meta:
		name = "TDataCache.SetDimension"
		size = 9
		refs = "0004 TList.Insert"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16011_0 {
	meta:
		name = "TQREvEmbeddedFunction.Reset"
		size = 9
		refs = "0004 TQREvaluator.Reset"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15914_0 {
	meta:
		name = "TQRFiFo.Put"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16268_0 {
	meta:
		name = "TQRPrinter.GetBin"
		size = 9
		refs = "0004 TPrinterSettings.GetOutputBin"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16269_0 {
	meta:
		name = "TQRPrinter.GetCopies"
		size = 9
		refs = "0004 TPrinterSettings.GetCopies"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16270_0 {
	meta:
		name = "TQRPrinter.GetDuplex"
		size = 9
		refs = "0004 TPrinterSettings.GetDuplex"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16272_0 {
	meta:
		name = "TQRPrinter.GetOrientation"
		size = 9
		refs = "0004 TPrinterSettings.GetOrientation"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16273_0 {
	meta:
		name = "TQRPrinter.GetPaperLength"
		size = 9
		refs = "0004 TPrinterSettings.GetPaperLength"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16277_0 {
	meta:
		name = "TQRPrinter.GetPaperSize"
		size = 9
		refs = "0004 TPrinterSettings.GetPaperSize"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16276_0 {
	meta:
		name = "TQRPrinter.GetPaperWidth"
		size = 9
		refs = "0004 TPrinterSettings.GetPaperWidth"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16281_0 {
	meta:
		name = "TQRPrinter.SetBin"
		size = 9
		refs = "0004 TPrinterSettings.SetOutputBin"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16282_0 {
	meta:
		name = "TQRPrinter.SetCopies"
		size = 9
		refs = "0004 TPrinterSettings.SetCopies"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16284_0 {
	meta:
		name = "TQRPrinter.SetDuplex"
		size = 9
		refs = "0004 TPrinterSettings.SetDuplex"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16285_0 {
	meta:
		name = "TQRPrinter.SetOrientation"
		size = 9
		refs = "0004 TPrinterSettings.SetOrientation"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16289_0 {
	meta:
		name = "TQRPrinter.SetPaperLength"
		size = 9
		refs = "0004 TPrinterSettings.SetPaperLength"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16290_0 {
	meta:
		name = "TQRPrinter.SetPaperSize"
		size = 9
		refs = "0004 TPrinterSettings.SetPaperSize"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16286_0 {
	meta:
		name = "TQRPrinter.SetPaperWidth"
		size = 9
		refs = "0004 TPrinterSettings.SetPaperWidth"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16761_0 {
	meta:
		name = "TRegistryIniFile.DeleteKey"
		size = 9
		refs = "0004 TRegIniFile.DeleteKey"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16760_0 {
	meta:
		name = "TRegistryIniFile.EraseSection"
		size = 9
		refs = "0004 TRegIniFile.EraseSection"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16757_0 {
	meta:
		name = "TRegistryIniFile.ReadSection"
		size = 9
		refs = "0004 TRegIniFile.ReadSection"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16759_0 {
	meta:
		name = "TRegistryIniFile.ReadSectionValues"
		size = 9
		refs = "0004 TRegIniFile.ReadSectionValues"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16758_0 {
	meta:
		name = "TRegistryIniFile.ReadSections"
		size = 9
		refs = "0004 TRegIniFile.ReadSections"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9924_0 {
	meta:
		name = "TWebResponse.SetCustomHeader"
		size = 9
		refs = "0004 TStrings.SetValue"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4757_0 {
	meta:
		name = "CorbaDispProc"
		size = 32
		refs = "000b CorbaStructDispatch 0015 CorbaObjectDispatch 001b OldVarDispProc"
	strings:
		$1 = { 8B 44 24 08 66 81 38 01 01 0F 84 ?? ?? ?? ?? 66 83 38 0D 0F 84 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4758_0 {
	meta:
		name = "MethodName"
		size = 36
		refs = "001d @LStrFromPChar"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 55 08 8B 52 FC 0F B6 52 01 8B 4D 08 8B 49 FC 8D 54 11 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_4759_0 {
	meta:
		name = "CorbaDispatchError"
		size = 414
		refs = "001b CorbaDispatchError 0049 sInvalidParameterCount 004e LoadResString 005b MethodName 0071 Format 0082 sMethodNotFound 00b7 sNoRepository 00c9 sNotCorbaObject 00e3 sParamOut 0125 sParamTypeCast 0161 _DV_ECorbaDispatch 0166 Exception.Create 016b @RaiseExcept 0180 @LStrClr 018d @LStrArrayClr 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D F4 89 4D E8 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 83 E8 01 0F 82 95 00 00 00 2D FC 1F 00 00 74 7C 48 74 40 48 0F 85 96 00 00 00 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 45 E8 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? E9 E1 00 00 00 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 45 E8 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? E9 A8 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 00 00 00 85 DB 7D 42 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 F7 DB 89 5D D8 C6 45 DC 00 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 45 E8 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? EB 3E 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 89 5D D8 C6 45 DC 00 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 45 E8 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4760_0 {
	meta:
		name = "CorbaStructDispatch"
		size = 118
		refs = "0015 CorbaStructDispatch 0029 @VarClr 003b ORB 004f CorbaDispatchError 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B 75 10 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 03 8D 5D F0 8B C3 E8 ?? ?? ?? ?? 50 8D 45 14 50 56 8B 45 0C 8B 40 08 50 E8 ?? ?? ?? ?? 8B 40 04 50 8B 00 FF 50 34 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4761_0 {
	meta:
		name = "CorbaObjectDispatch"
		size = 260
		refs = "0018 CorbaObjectDispatch 0030 @VarToIntf 0038 @IntfClear 0081 CorbaDispatchError 0088 @VarClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B 75 10 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 03 8D 5D E4 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 14 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 0C EB 23 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 74 09 8B D6 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 45 14 50 56 8B 45 F4 50 8B 00 FF 50 34 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 E9 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 E5 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4762_0 {
	meta:
		name = "CorbaHookDispatch"
		size = 57
		refs = "0001 ClearAnyProc 0007 ClearAnyImpl 000c ChangeAnyProc 0012 ChangeAnyImpl 0017 RefAnyProc 001d RefAnyImpl 0022 VarDispProc 0029 OldVarDispProc 0034 CorbaDispProc"
	strings:
		$1 = { A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4763_0 {
	meta:
		name = "CorbaUnhookDispatch"
		size = 69
		refs = "0001 ClearAnyProc 0008 ClearAnyImpl 0018 ChangeAnyProc 0021 RefAnyProc 002a VarDispProc 0031 CorbaDispProc 003e OldVarDispProc"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 3D ?? ?? ?? ?? 75 1B A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 8B 00 3D ?? ?? ?? ?? 75 0D A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 C3 }
	condition:
		$1
}

rule function_4764_0 {
	meta:
		name = "IsCorba"
		size = 44
		refs = "0008 IsCorba 0014 StrLComp"
	strings:
		$1 = { 53 8B D8 85 DB 74 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B D3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 43 4F 52 42 41 5F 00 00 }
	condition:
		$1
}

rule function_4765_0 {
	meta:
		name = "CorbaGetExceptClass"
		size = 40
		refs = "000f IsCorba 0018 _DV_ECorbaException 0022 OldExceptClassProc"
	strings:
		$1 = { 53 8B D8 81 3B CE FA EF 0E 75 13 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? 5B C3 8B C3 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4766_0 {
	meta:
		name = "CorbaGetExceptObject"
		size = 120
		refs = "000c CorbaGetExceptObject 0022 IsCorba 0034 @LStrFromPChar 003e _DV_ECorbaException 0043 Exception.Create 004f OldExceptObjectProc 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 3B CE FA EF 0E 75 2D 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 FC 8B 53 14 83 C2 06 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 0A 8B C3 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_4767_0 {
	meta:
		name = "CorbaHookExceptions"
		size = 47
		refs = "0001 ExceptClsProc 0008 OldExceptClassProc 000d ExceptObjProc 0014 OldExceptObjectProc 001f CorbaGetExceptClass 002a CorbaGetExceptObject"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4768_0 {
	meta:
		name = "CorbaUnhookExceptions"
		size = 41
		refs = "0001 ExceptClsProc 0008 CorbaGetExceptClass 0015 OldExceptClassProc 001c ExceptObjProc 0022 OldExceptObjectProc"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 3D ?? ?? ?? ?? 75 1A A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 C3 }
	condition:
		$1
}

rule function_4769_0 {
	meta:
		name = "Finalization"
		size = 118
		refs = "0007 Finalization 0013 _DV_61 001a CorbaSkeletonManager 001f TObject.Free 0024 CorbaStubManager 002e CorbaFactoryManager 0038 CorbaInterfaceIDManager 0042 BOAVar 004c ORBVar 0056 CorbaUnhookDispatch 005b CorbaUnhookExceptions 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 46 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4770_0 {
	meta:
		name = "CorbaObj"
		size = 116
		refs = "0002 _DV_61 000c _DV_TCorbaSkeletonManager 0011 TCorbaListManager.Create 0016 CorbaSkeletonManager 001d _DV_TCorbaStubManager 0027 CorbaStubManager 002e _DV_TCorbaFactoryManager 0038 CorbaFactoryManager 003f _DV_TCorbaInterfaceIDManager 0049 CorbaInterfaceIDManager 004f _DV_TCorbaStub 0054 CorbaObj 005e TCorbaStubManager.RegisterStub"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 E5 46 E9 47 A1 BE D1 11 AA 8A 00 C0 4F B1 6F 42 }
	condition:
		$1
}

rule function_4771_0 {
	meta:
		name = "_NF__2E"
		size = 80
		refs = "0015 TComponent._AddRef 001f TComponent._Release 0024 _NF__2E"
	strings:
		$1 = { CC 83 44 24 04 B4 8B 44 24 04 8B 00 FF 60 28 83 44 24 04 B4 E9 ?? ?? ?? ?? 83 44 24 04 B4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 4C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4772_0 {
	meta:
		name = "TCorbaDataModule.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TDataModule.Create 001e CoInitialize 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4773_0 {
	meta:
		name = "TCorbaDataModule.Destroy"
		size = 42
		refs = "0003 @BeforeDestruction 000c CoUninitialize 0018 TDataModule.Destroy 0023 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4776_0 {
	meta:
		name = "_NF__45"
		size = 272
		refs = "0007 TProviderStub.Get_Data 0011 TProviderStub.ApplyUpdates 001b TProviderStub.GetMetaData 0025 TProviderStub.GetRecords 002f TProviderStub.DataRequest 0039 TProviderStub.Get_Constraints 0043 TProviderStub.Set_Constraints 004d TProviderStub.Reset 0057 TProviderStub.SetParams 0098 TInterfacedObject.QueryInterface 00a2 TInterfacedObject._AddRef 00ac TInterfacedObject._Release 00b0 _NF__45"
	strings:
		$1 = { CC 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 08 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 04 83 44 24 04 E4 8B 44 24 04 8B 00 FF 20 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 0C 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A ?? ?? ?? ?? 1C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4777_0 {
	meta:
		name = "_NF__4A"
		size = 161
		refs = "0007 TDataBrokerStub.GetProviderNames 0048 TInterfacedObject.QueryInterface 0052 TInterfacedObject._AddRef 005c TInterfacedObject._Release 0061 _NF__4A"
	strings:
		$1 = { CC 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 08 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 04 83 44 24 04 E4 8B 44 24 04 8B 00 FF 20 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 0C 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 65 BF 39 65 E7 6F D0 11 9E 8C 00 A0 24 57 62 1F ?? ?? ?? ?? 1C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4778_0 {
	meta:
		name = "TProviderStub.Get_Data"
		size = 192
		refs = "002d TProviderStub.Get_Data 003b @IntfClear 006d UnmarshalAny 0078 @OleVarFromVar 008a @HandleAutoException 0092 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 47 65 74 5F 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_4779_0 {
	meta:
		name = "TProviderStub.ApplyUpdates"
		size = 248
		refs = "0015 @VarAddRef 0035 TProviderStub.ApplyUpdates 0043 @IntfClear 005f MarshalAny 008d UnmarshalAny 0098 @OleVarFromVar 00b8 @HandleAutoException 00c0 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 24 8B 55 24 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 8D 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 1C 50 8B 45 FC 50 8B 00 FF 50 24 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 24 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 8B 55 20 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 20 00 00 41 70 70 6C 79 55 70 64 61 74 65 73 00 00 00 00 }
	condition:
		$1
}

rule function_4780_0 {
	meta:
		name = "TProviderStub.GetMetaData"
		size = 192
		refs = "002d TProviderStub.GetMetaData 003b @IntfClear 006d UnmarshalAny 0078 @OleVarFromVar 008a @HandleAutoException 0092 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 47 65 74 4D 65 74 61 44 61 74 61 00 }
	condition:
		$1
}

rule function_4781_0 {
	meta:
		name = "TProviderStub.GetRecords"
		size = 216
		refs = "002d TProviderStub.GetRecords 003b @IntfClear 007a UnmarshalAny 0085 @OleVarFromVar 00a5 @HandleAutoException 00ad @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 8B 45 0C 50 8B 45 FC 50 8B 00 FF 50 24 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 14 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 8B 55 10 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 47 65 74 52 65 63 6F 72 64 73 00 00 }
	condition:
		$1
}

rule function_4782_0 {
	meta:
		name = "TProviderStub.DataRequest"
		size = 216
		refs = "0015 @VarAddRef 0035 TProviderStub.DataRequest 0043 @IntfClear 005f MarshalAny 0080 UnmarshalAny 008b @OleVarFromVar 009d @HandleAutoException 00a5 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 8D 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 18 00 44 61 74 61 52 65 71 75 65 73 74 00 }
	condition:
		$1
}

rule function_4783_0 {
	meta:
		name = "TProviderStub.Get_Constraints"
		size = 152
		refs = "0012 TProviderStub.Get_Constraints 0020 @IntfClear 004f UnmarshalWordBool 0067 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 00 47 65 74 5F 43 6F 6E 73 74 72 61 69 6E 74 73 00 }
	condition:
		$1
}

rule function_4784_0 {
	meta:
		name = "TProviderStub.Set_Constraints"
		size = 148
		refs = "0012 TProviderStub.Set_Constraints 0020 @IntfClear 003d MarshalWordBool 0065 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 66 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 53 65 74 5F 43 6F 6E 73 74 72 61 69 6E 74 73 00 }
	condition:
		$1
}

rule function_4785_0 {
	meta:
		name = "TProviderStub.Reset"
		size = 140
		refs = "0012 TProviderStub.Reset 0020 @IntfClear 003d MarshalWordBool 0065 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 66 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 52 65 73 65 74 00 00 00 }
	condition:
		$1
}

rule function_4786_0 {
	meta:
		name = "TProviderStub.SetParams"
		size = 160
		refs = "0011 @VarAddRef 001a TProviderStub.SetParams 0028 @IntfClear 0044 MarshalAny 006c @HandleAutoException 0084 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 8D 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 14 00 00 53 65 74 50 61 72 61 6D 73 00 00 00 }
	condition:
		$1
}

rule function_4787_0 {
	meta:
		name = "TProviderSkeleton.Create"
		size = 120
		refs = "000d @ClassCreate 001c TProviderSkeleton.Create 0023 TCorbaSkeleton.InitSkeleton 0033 @IntfCast 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 6A 00 6A 01 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 14 8B 55 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 FF FF FF FF 09 00 00 00 49 50 72 6F 76 69 64 65 72 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_4788_0 {
	meta:
		name = "TDataBrokerSkeleton.GetImplementation"
		size = 34
		refs = "0019 @IntfCopy"
		altNames = "TProviderSkeleton.GetImplementation"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 14 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4789_0 {
	meta:
		name = "TProviderSkeleton.ApplyUpdates"
		size = 230
		refs = "0021 TProviderSkeleton.ApplyUpdates 0031 UnmarshalAny 003c @OleVarFromVar 004b CoInitialize 0053 @VarClr 0073 @CheckAutoResult 0078 CoUninitialize 0080 @IntfClear 0096 MarshalAny 00c1 OleVariant 00cb @FinalizeArray 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8D 55 C8 8D 45 E8 E8 ?? ?? ?? ?? 56 8B 06 FF 50 24 8B F0 6A 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 50 8D 45 F8 50 56 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8B 43 14 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 0C 50 8B 00 FF 50 18 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4790_0 {
	meta:
		name = "TProviderSkeleton.DataRequest"
		size = 191
		refs = "0020 TProviderSkeleton.DataRequest 0030 UnmarshalAny 003b @OleVarFromVar 0043 @VarClr 005e @CheckAutoResult 0066 @IntfClear 007c MarshalAny 009a OleVariant 00a4 @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8B 43 14 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 0C 50 8B 00 FF 50 18 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4791_0 {
	meta:
		name = "TProviderSkeleton.Get_Constraints"
		size = 119
		refs = "0016 TProviderSkeleton.Get_Constraints 002e @CheckAutoResult 003a @IntfClear 004f MarshalWordBool 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 43 14 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 66 8B 75 F8 8D 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 0C 50 8B 00 FF 50 18 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4792_0 {
	meta:
		name = "TProviderSkeleton.Get_Data"
		size = 129
		refs = "0017 TProviderSkeleton.Get_Data 0025 @VarClr 0034 @CheckAutoResult 003c @IntfClear 0052 MarshalAny 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 8B 43 14 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 43 0C 50 8B 00 FF 50 18 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4800_0 {
	meta:
		name = "TDataBrokerSkeleton.GetProviderNames"
		size = 129
		refs = "0017 TDataBrokerSkeleton.GetProviderNames 0025 @VarClr 0034 @CheckAutoResult 003c @IntfClear 0052 MarshalAny 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 8B 43 14 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 43 0C 50 8B 00 FF 50 18 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4793_0 {
	meta:
		name = "TProviderSkeleton.GetMetaData"
		size = 129
		refs = "0017 TProviderSkeleton.GetMetaData 0025 @VarClr 0034 @CheckAutoResult 003c @IntfClear 0052 MarshalAny 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 8B 43 14 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 43 0C 50 8B 00 FF 50 18 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4794_0 {
	meta:
		name = "TProviderSkeleton.GetRecords"
		size = 173
		refs = "001c TProviderSkeleton.GetRecords 0031 CoInitialize 0039 @VarClr 004d @CheckAutoResult 0052 CoUninitialize 005a @IntfClear 0070 MarshalAny 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 06 FF 50 24 8B F0 6A 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 F8 50 56 8B 43 14 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 0C 50 8B 00 FF 50 18 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4795_0 {
	meta:
		name = "TProviderSkeleton.Reset"
		size = 104
		refs = "0010 TProviderSkeleton.Reset 001d UnmarshalWordBool 0027 @IntfClear 0041 @CheckAutoResult 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 0C 50 8B 00 FF 50 18 56 8B 43 14 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4796_0 {
	meta:
		name = "TProviderSkeleton.Set_Constraints"
		size = 27
		refs = "0006 UnmarshalWordBool 0015 @CheckAutoResult"
	strings:
		$1 = { 53 8B D8 8B C2 E8 ?? ?? ?? ?? 50 8B 43 14 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4797_0 {
	meta:
		name = "TProviderSkeleton.SetParams"
		size = 160
		refs = "0020 TProviderSkeleton.SetParams 0030 UnmarshalAny 003b @OleVarFromVar 0055 @CheckAutoResult 005d @IntfClear 007d @VarClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8B 43 14 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 57 8B 43 0C 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4798_0 {
	meta:
		name = "TDataBrokerSkeleton.Create"
		size = 84
		refs = "000d @ClassCreate 001c TDataBrokerSkeleton.Create 0021 @IntfCast 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 55 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 00 00 65 BF 39 65 E7 6F D0 11 9E 8C 00 A0 24 57 62 1F }
	condition:
		$1
}

rule function_4801_0 {
	meta:
		name = "TDataBrokerStub.GetProviderNames"
		size = 200
		refs = "002d TDataBrokerStub.GetProviderNames 003b @IntfClear 006d UnmarshalAny 0078 @OleVarFromVar 008a @HandleAutoException 0092 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 50 14 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 18 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 47 65 74 50 72 6F 76 69 64 65 72 4E 61 6D 65 73 00 00 00 00 }
	condition:
		$1
}

rule function_4803_0 {
	meta:
		name = "CorbaStd"
		size = 136
		refs = "0002 _DV_5 000a CorbaSkeletonManager 0012 _DV_TProviderSkeleton 0017 CorbaStd 001c TCorbaSkeletonManager.RegisterSkeleton 0021 CorbaStubManager 0029 _DV_TProviderStub 0033 TCorbaStubManager.RegisterStub 0040 _DV_TDataBrokerSkeleton 0057 _DV_TDataBrokerStub"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 5C A1 ?? ?? ?? ?? 8B 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A 65 BF 39 65 E7 6F D0 11 9E 8C 00 A0 24 57 62 1F }
	condition:
		$1
}

rule function_4804_0 {
	meta:
		name = "_NF__38"
		size = 162
		refs = "0007 TCorbaImplementation.GetTypeInfoCount 0011 TCorbaImplementation.GetTypeInfo 001b TCorbaImplementation.GetIDsOfNames 0025 TCorbaImplementation.Invoke 003a TCorbaVclComponentAdapter.FreeOnRelease 0044 TCorbaImplementation.QueryInterface 004e TCorbaImplementation._AddRef 0058 TCorbaImplementation._Release 005e _NF__38"
	strings:
		$1 = { CC 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 C0 E8 50 8B 00 8B 40 E0 87 04 24 C3 83 C0 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 ?? ?? ?? ?? 18 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4805_0 {
	meta:
		name = "TCorbaVclComponentAdapter.CreateFromFactory"
		size = 112
		refs = "000e @ClassCreate 0027 TCorbaImplementation.Create 005b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 8B 45 F4 8B 40 3C FF 50 2C 8B 55 FC 89 42 14 8B 45 FC 85 C0 74 03 83 E8 E8 8B 55 FC 8B 52 14 89 42 1C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_4806_0 {
	meta:
		name = "TCorbaVclComponentAdapter.Destroy"
		size = 80
		refs = "0007 @BeforeDestruction 002c TObject.Free 003a TObject.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 14 00 74 16 8B 45 FC 8B 40 14 33 D2 89 50 1C 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_4807_0 {
	meta:
		name = "TCorbaVclComponentAdapter.FreeOnRelease"
		size = 10
		altNames = "TSynchroObject.Acquire TSynchroObject.Release"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 59 5D C3 }
	condition:
		$1
}

rule function_4808_0 {
	meta:
		name = "TCorbaVclComponentAdapter.ObjQueryInterface"
		size = 64
		refs = "0011 TCorbaImplementation.ObjQueryInterface 002b TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 51 8B 45 10 50 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 1A 8B 4D 10 8B 55 0C 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 45 FC 8B 45 FC 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4809_0 {
	meta:
		name = "TCorbaVclComponentFactory.Create"
		size = 102
		refs = "000e @ClassCreate 0038 TCorbaFactory.Create 004f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8A 45 0C 50 8A 45 08 50 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 8B 55 FC 89 42 3C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_4810_0 {
	meta:
		name = "TCorbaVclComponentFactory.CreateInterface"
		size = 51
		refs = "0015 _DV_TCorbaVclComponentAdapter 001a TCorbaVclComponentAdapter.CreateFromFactory 002b @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 F4 89 45 FC 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_4815_0 {
	meta:
		name = "InitCorba"
		size = 21
		refs = "0001 CorbaInitialize 0007 SaveInitProc"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4817_0 {
	meta:
		name = "CorbInit"
		size = 43
		refs = "0002 _DV_1 000a IsLibrary 0014 InitProc 001b SaveInitProc 0026 InitCorba"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 21 A1 ?? ?? ?? ?? 80 38 00 75 17 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4820_0 {
	meta:
		name = "TCustomSeriesEditor.Enable3DPoint"
		size = 67
	strings:
		$1 = { 53 8B 90 28 03 00 00 8B 92 F8 00 00 00 8B 98 28 03 00 00 8B 5B 54 80 BB 4C 02 00 00 00 74 11 8A 4A 1C 84 C9 74 0E 80 F9 02 74 09 80 F9 03 74 04 33 D2 EB 02 B2 01 8B 80 CC 02 00 00 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_4821_0 {
	meta:
		name = "TCustomSeriesEditor.FormShow"
		size = 374
		refs = "0005 Screen 000e TScreen.SetCursor 0029 TCustomSeriesEditor.SetPointerVisible 005e TCustomSeriesEditor.Enable3DPoint 0073 TCustomUpDown.SetPosition 009e TCustomComboBox.SetItemIndex 00c1 _Dn_TLineSeries 00c6 @IsClass 0154 TControl.SetVisible 0168 TControl.SetLeft"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 28 03 00 00 8B F0 8B 86 F8 00 00 00 8A 50 24 8B C3 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 8A 50 24 8B 83 C8 02 00 00 8B 08 FF 91 BC 00 00 00 8B 86 F8 00 00 00 8A 50 04 8B 83 CC 02 00 00 8B 08 FF 91 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 66 8B 50 0C 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 66 8B 50 20 8B 83 20 03 00 00 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 33 D2 8A 50 1C 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 8A 50 10 8B 83 D0 02 00 00 8B 08 FF 91 BC 00 00 00 8B 83 28 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7D 33 D2 8A 96 F1 00 00 00 8B 83 04 03 00 00 E8 ?? ?? ?? ?? 8A 96 FC 00 00 00 8B 83 0C 03 00 00 8B 08 FF 91 BC 00 00 00 8A 56 2C 8B 83 14 03 00 00 8B 08 FF 91 BC 00 00 00 8A 96 F0 00 00 00 8B 83 10 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 0C 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 10 03 00 00 8B 08 FF 51 60 8A 96 ED 00 00 00 8B 83 18 03 00 00 8B 08 FF 91 BC 00 00 00 EB 21 33 D2 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 8B 50 30 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? C6 83 24 03 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4822_0 {
	meta:
		name = "TCustomSeriesEditor.SetPointerVisible"
		size = 158
		refs = "0015 TSeriesPointer.SetVisible 0020 TCustomSeriesEditor.Enable3DPoint"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 28 03 00 00 8B 80 F8 00 00 00 8B D3 E8 ?? ?? ?? ?? 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 86 CC 02 00 00 8B 08 FF 51 60 8B D3 8B 86 D0 02 00 00 8B 08 FF 51 60 8B D3 8B 86 DC 02 00 00 8B 08 FF 51 60 8B D3 8B 86 E0 02 00 00 8B 08 FF 51 60 8B D3 8B 86 1C 03 00 00 8B 08 FF 51 60 8B D3 8B 86 20 03 00 00 8B 08 FF 51 60 8B D3 8B 86 EC 02 00 00 8B 08 FF 51 60 8B D3 8B 86 E4 02 00 00 8B 08 FF 51 60 8B D3 8B 86 F0 02 00 00 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_4823_0 {
	meta:
		name = "TCustomSeriesEditor.CBDrawPointClick"
		size = 28
		refs = "0016 TCustomSeriesEditor.SetPointerVisible"
	strings:
		$1 = { 53 8B D8 8B 83 C8 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4824_0 {
	meta:
		name = "TCustomSeriesEditor.CB3dPointClick"
		size = 38
		refs = "0020 TSeriesPointer.SetDraw3D"
	strings:
		$1 = { 53 8B D8 8B 83 CC 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 28 03 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4825_0 {
	meta:
		name = "TCustomSeriesEditor.BitBtn1Click"
		size = 35
		refs = "0010 EditColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 28 03 00 00 8B 56 28 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_4826_0 {
	meta:
		name = "TCustomSeriesEditor.SEPointHorizSizeChange"
		size = 45
		refs = "0013 TCustomUpDown.GetPosition 0027 TSeriesPointer.SetHorizSize"
	strings:
		$1 = { 53 8B D8 80 BB 24 03 00 00 00 75 1F 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 28 03 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4827_0 {
	meta:
		name = "TCustomSeriesEditor.BPointFillColorClick"
		size = 76
		refs = "0017 TBrush.GetColor 003b EditColor 0044 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 28 03 00 00 8B 80 F8 00 00 00 8B 70 08 8B C6 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0B 8B 83 28 03 00 00 8B 78 28 EB 09 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4828_0 {
	meta:
		name = "TCustomSeriesEditor.CBPointStyleChange"
		size = 42
		refs = "000a TCustomComboBox.GetItemIndex 001d TSeriesPointer.SetStyle 0024 TCustomSeriesEditor.Enable3DPoint"
	strings:
		$1 = { 53 8B D8 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 28 03 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4829_0 {
	meta:
		name = "TCustomSeriesEditor.Button1Click"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 28 03 00 00 8B 92 F4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4830_0 {
	meta:
		name = "TCustomSeriesEditor.BPoinPenColClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 28 03 00 00 8B 92 F8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4831_0 {
	meta:
		name = "TCustomSeriesEditor.CBStairsClick"
		size = 59
		refs = "001a TCustomSeries.SetStairs"
	strings:
		$1 = { 53 8B D8 8B 83 0C 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 8B 83 0C 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 10 03 00 00 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_4832_0 {
	meta:
		name = "TCustomSeriesEditor.FormCreate"
		size = 16
	strings:
		$1 = { C6 80 24 03 00 00 01 33 D2 89 90 28 03 00 00 C3 }
	condition:
		$1
}

rule function_4833_0 {
	meta:
		name = "TCustomSeriesEditor.SEPointVertSizeChange"
		size = 45
		refs = "0013 TCustomUpDown.GetPosition 0027 TSeriesPointer.SetVertSize"
	strings:
		$1 = { 53 8B D8 80 BB 24 03 00 00 00 75 1F 8B 83 20 03 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 28 03 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4834_0 {
	meta:
		name = "TCustomSeriesEditor.CBLineBrushChange"
		size = 29
		refs = "000a TCustomComboBox.GetItemIndex 0017 TCustomSeries.SetLineBrush"
	strings:
		$1 = { 53 8B D8 8B 83 04 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4835_0 {
	meta:
		name = "TCustomSeriesEditor.CBInflateClick"
		size = 38
		refs = "0020 TSeriesPointer.SetInflateMargins"
	strings:
		$1 = { 53 8B D8 8B 83 D0 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 28 03 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4836_0 {
	meta:
		name = "TCustomSeriesEditor.CBInvStairsClick"
		size = 32
		refs = "001a TCustomSeries.SetInvertedStairs"
	strings:
		$1 = { 53 8B D8 8B 83 10 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4837_0 {
	meta:
		name = "TCustomSeriesEditor.CBColorEachClick"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 83 14 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 28 03 00 00 8B 08 FF 51 78 5B C3 }
	condition:
		$1
}

rule function_4838_0 {
	meta:
		name = "TCustomSeriesEditor.CBDark3DClick"
		size = 32
		refs = "001a TCustomSeries.SetDark3D"
	strings:
		$1 = { 53 8B D8 8B 83 18 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4841_0 {
	meta:
		name = "_NF__5B"
		size = 152
		refs = "0007 TDataModule.GetProviderNames 0011 TComponent.GetTypeInfoCount 001b TComponent.GetTypeInfo 0025 TComponent.GetIDsOfNames 002f TComponent.Invoke 0047 TComponent._AddRef 0051 TComponent._Release 0058 _NF__5B"
	strings:
		$1 = { CC 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 8B 44 24 04 8B 00 FF 60 28 83 44 24 04 B8 E9 ?? ?? ?? ?? 83 44 24 04 B8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 65 BF 39 65 E7 6F D0 11 9E 8C 00 A0 24 57 62 1F ?? ?? ?? ?? 48 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_4842_0 {
	meta:
		name = "VarArrayFromStrings"
		size = 231
		refs = "001c VarArrayFromStrings 002b Null 0030 @VarCopy 0063 VarArrayCreate 0090 @WStrFromLStr 009b @VarFromWStr 00a8 @VarArrayPut 00c4 @LStrClr 00cc @WStrClr 00d4 @VarClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 7E 73 8B 45 F8 50 33 C0 89 45 F0 8B 45 FC 8B 10 FF 52 14 48 89 45 F4 8D 45 F0 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3D 46 33 DB 53 6A 01 8D 4D D8 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4843_0 {
	meta:
		name = "SaveName"
		size = 117
		refs = "0011 SaveName 002d OleCheck 0038 @LStrFromWStr 005b @LStrClr 0063 @WStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 FC 50 56 53 8B 03 FF 50 30 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4844_0 {
	meta:
		name = "IsProviderProp"
		size = 212
		refs = "0015 IsProviderProp 0037 @IntfClear 0046 OleCheck 0074 IsEqualGUID 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 66 83 7B 04 1A 75 73 8B 1B 66 83 7B 04 1D 75 6A 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 03 50 56 8B 06 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_4845_0 {
	meta:
		name = "EnumIProviderProps"
		size = 644
		refs = "0015 @IntfAddRef 001d EnumIProviderProps 0035 OleCheck 0071 @IntfClear 0091 @IntfCopy 00b1 @HandleFinally 011c IsProviderProp 012e SaveName"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 C9 89 4D E4 89 55 FC 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 83 78 28 04 75 3A 8B 45 F0 F6 40 36 40 74 31 8D 45 E0 50 6A FF 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 E0 50 8B 45 F8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? EB 0B 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 8D 45 F0 50 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 0F B7 40 2E 48 85 C0 7C 7A 40 89 45 DC C7 45 F4 00 00 00 00 8D 45 E8 50 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8D 50 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 0F 55 8B 45 E8 8B 10 8B 45 E4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 8B 45 E4 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D DC 75 91 8B 45 F0 0F B7 40 2C 48 85 C0 0F 8C CC 00 00 00 40 89 45 DC C7 45 F4 00 00 00 00 8D 45 EC 50 8B 45 F4 50 8B 45 E4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 83 78 10 02 75 66 8B 45 F0 83 78 28 03 75 3C 8B 45 EC 66 83 78 18 00 7E 53 8B 45 EC 8B 40 08 66 83 78 04 1A 75 46 8B 45 EC 8B 40 08 8B 10 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 32 55 8B 45 EC 8B 10 8B 45 E4 E8 ?? ?? ?? ?? 59 EB 21 8B 45 EC 8D 50 20 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 0F 55 8B 45 EC 8B 10 8B 45 E4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E4 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D DC 0F 85 3F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 E4 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_4846_0 {
	meta:
		name = "GetProviderNamesFromObject"
		size = 268
		refs = "0014 GetProviderNamesFromObject 0022 Null 0027 @VarCopy 0031 TComponent.GetComObject 0041 @IntfCast 0053 OleCheck 0060 _Dn_TStringList 0065 TObject.Create 007e @IntfClear 009c EnumIProviderProps 00a6 VarArrayFromStrings 00bb TObject.Free 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 83 7D F4 00 7E 6A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 }
	condition:
		$1
}

rule function_4847_0 {
	meta:
		name = "RegisterAsDataBroker"
		size = 176
		refs = "000c RegisterAsDataBroker 002e @LStrCatN 003a CreateRegKey 005c DeleteRegKey 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 74 26 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 C9 33 D2 E8 ?? ?? ?? ?? EB 20 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 43 4C 53 49 44 5C 00 00 FF FF FF FF 13 00 00 00 5C 42 6F 72 6C 61 6E 64 20 44 61 74 61 42 72 6F 6B 65 72 00 }
	condition:
		$1
}

rule function_4849_0 {
	meta:
		name = "DataBkr"
		size = 32
		refs = "0002 _DV_2 000a GetDataModuleProviderNames 0010 GetProviderNamesFromObject 0015 UpdateDataModuleRegistry 001b RegisterAsDataBroker"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4873_0 {
	meta:
		name = "_NF__302"
		size = 516
	strings:
		$1 = { FF FF FF FF 07 00 00 00 55 6E 6B 6E 6F 77 6E 00 FF FF FF FF 06 00 00 00 53 74 72 69 6E 67 00 00 FF FF FF FF 08 00 00 00 53 6D 61 6C 6C 49 6E 74 00 00 00 00 FF FF FF FF 07 00 00 00 49 6E 74 65 67 65 72 00 FF FF FF FF 04 00 00 00 57 6F 72 64 00 00 00 00 FF FF FF FF 07 00 00 00 42 6F 6F 6C 65 61 6E 00 FF FF FF FF 05 00 00 00 46 6C 6F 61 74 00 00 00 FF FF FF FF 08 00 00 00 43 75 72 72 65 6E 63 79 00 00 00 00 FF FF FF FF 03 00 00 00 42 43 44 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 FF FF FF FF 04 00 00 00 54 69 6D 65 00 00 00 00 FF FF FF FF 08 00 00 00 44 61 74 65 54 69 6D 65 00 00 00 00 FF FF FF FF 05 00 00 00 42 79 74 65 73 00 00 00 FF FF FF FF 08 00 00 00 56 61 72 42 79 74 65 73 00 00 00 00 FF FF FF FF 07 00 00 00 41 75 74 6F 49 6E 63 00 FF FF FF FF 04 00 00 00 42 6C 6F 62 00 00 00 00 FF FF FF FF 04 00 00 00 4D 65 6D 6F 00 00 00 00 FF FF FF FF 07 00 00 00 47 72 61 70 68 69 63 00 FF FF FF FF 07 00 00 00 46 6D 74 4D 65 6D 6F 00 FF FF FF FF 0A 00 00 00 50 61 72 61 64 6F 78 4F 6C 65 00 00 FF FF FF FF 08 00 00 00 64 42 61 73 65 4F 6C 65 00 00 00 00 FF FF FF FF 0B 00 00 00 54 79 70 65 64 42 69 6E 61 72 79 00 FF FF FF FF 06 00 00 00 43 75 72 73 6F 72 00 00 FF FF FF FF 09 00 00 00 46 69 78 65 64 43 68 61 72 00 00 00 FF FF FF FF 0A 00 00 00 57 69 64 65 53 74 72 69 6E 67 00 00 FF FF FF FF 08 00 00 00 4C 61 72 67 65 49 6E 74 00 00 00 00 FF FF FF FF 03 00 00 00 41 44 54 00 FF FF FF FF 05 00 00 00 41 72 72 61 79 00 00 00 FF FF FF FF 09 00 00 00 52 65 66 65 72 65 6E 63 65 00 00 00 FF FF FF FF 07 00 00 00 44 61 74 61 53 65 74 00 }
	condition:
		$1
}

rule function_4874_0 {
	meta:
		name = "DatabaseError"
		size = 172
		refs = "0015 DatabaseError 004c Format 0056 _DV_EDatabaseError 005b Exception.Create 0060 @RaiseExcept 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 43 83 7B 08 00 74 3D 8D 45 FC 50 8B 43 08 89 45 EC C6 45 F0 0B 89 75 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 25 73 3A 20 25 73 00 00 }
	condition:
		$1
}

rule function_4875_0 {
	meta:
		name = "DatabaseErrorFmt"
		size = 91
		refs = "0012 DatabaseErrorFmt 0027 Format 0032 DatabaseError 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4876_0 {
	meta:
		name = "DBError"
		size = 76
		refs = "000c DBError 001d LoadStr 0027 DatabaseError 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B7 C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4877_0 {
	meta:
		name = "DBErrorFmt"
		size = 89
		refs = "0012 DBErrorFmt 0028 FmtLoadStr 0032 DatabaseError 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 0F B7 C3 8B CF E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4878_0 {
	meta:
		name = "GetFieldProperty"
		size = 119
		refs = "0016 GetFieldProperty 0023 TDataSet.FindField 0032 SFieldNotFound 0037 LoadResString 004d DatabaseErrorFmt 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 24 57 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4879_0 {
	meta:
		name = "DisposeMem"
		size = 20
		refs = "000a @FreeMem"
	strings:
		$1 = { 53 8B D8 8B 03 85 C0 74 09 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_4880_0 {
	meta:
		name = "BuffersEqual"
		size = 19
	strings:
		$1 = { 57 56 89 C6 89 D7 31 C0 E3 06 FC F3 A6 75 01 40 5E 5F C3 }
	condition:
		$1
}

rule function_4881_0 {
	meta:
		name = "ExtractFieldName"
		size = 143
		refs = "0019 ExtractFieldName 002b @LStrLen 0047 @LStrCopy 0052 Trim 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1F EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 07 80 7C 1E FF 3B 75 ED 8D 45 F8 50 8B CB 2B 0F 8B 17 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 08 80 7C 1E FF 3B 75 01 43 89 1F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4882_0 {
	meta:
		name = "RegisterFields"
		size = 91
		refs = "0009 RegisterFields 0015 RegisterFieldsProc 0028 SInvalidFieldRegistration 002d LoadResString 0037 DatabaseError 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_4883_0 {
	meta:
		name = "TDataSetDesigner.Create"
		size = 42
		refs = "0009 @ClassCreate 001a @AfterConstruction"
	strings:
		$1 = { 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 89 58 04 89 43 60 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_4884_0 {
	meta:
		name = "TDataSetDesigner.Destroy"
		size = 25
		refs = "0002 @BeforeDestruction 0013 @ClassDestroy"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B 48 04 33 DB 89 59 60 84 D2 7E 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4885_0 {
	meta:
		name = "TDataSetDesigner.BeginDesign"
		size = 50
		refs = "0008 TDataSet.DisableControls 0010 TDataSet.GetActive 0023 TDataSet.SetState 002b TDataSet.DoInternalClose"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D8 88 5E 08 84 DB 74 12 33 D2 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4887_0 {
	meta:
		name = "TDataSetDesigner.EndDesign"
		size = 134
		refs = "0017 TDataSetDesigner.EndDesign 0028 TDataSet.DoInternalOpen 0035 TDataSet.SetState 0044 @HandleAnyException 004f TDataSet.EnableControls 006c @RaiseAgain 0071 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 78 08 00 74 62 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4889_0 {
	meta:
		name = "TNamedItem.SetDisplayName"
		size = 219
		refs = "001b TNamedItem.SetDisplayName 002f AnsiCompareText 003c _DV_TDefCollection 0041 @IsClass 004f TDefCollection.IndexOf 006c TObject.ClassName 0088 SDuplicateName 008d LoadResString 009e DatabaseErrorFmt 00a8 @LStrAsg 00b1 TCollectionItem.SetDisplayName 00c9 @LStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 8D EC FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 79 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 85 C0 74 6B 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8B D6 8B 43 04 E8 ?? ?? ?? ?? 85 C0 7C 4B 6A 00 89 75 F0 C6 45 F4 0B 8D 95 F0 FE FF FF 8B 43 04 8B 00 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F0 50 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4890_0 {
	meta:
		name = "TDefCollection.Create"
		size = 83
		refs = "000e @ClassCreate 0024 TOwnedCollection.Create 0031 TDefCollection.DoUpdate 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 50 8B 4D 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 89 7F 28 C7 47 24 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4891_0 {
	meta:
		name = "TDefCollection.SetItemName"
		size = 215
		refs = "0022 TDefCollection.SetItemName 004a TObject.ClassName 005f @Copy 006d @LStrFromString 007f IntToStr 0092 @LStrCatN 00b4 @LStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 57 33 C9 89 4D FC 89 4D F8 89 8D F4 FD FF FF 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 83 7E 0C 00 75 6C 8B 47 1C FF 70 08 8D 85 F8 FE FF FF 50 8D 95 F8 FD FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 F8 FD FF FF B9 05 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 8D 95 F4 FD FF FF 8B 46 08 40 E8 ?? ?? ?? ?? FF B5 F4 FD FF FF 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FD FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4892_0 {
	meta:
		name = "TDefCollection.Update"
		size = 20
	strings:
		$1 = { 53 8B 48 1C F6 41 20 01 75 08 8B D8 8B 43 28 FF 53 24 5B C3 }
	condition:
		$1
}

rule function_4893_0 {
	meta:
		name = "TDefCollection.DoUpdate"
		size = 21
	strings:
		$1 = { 83 78 2C 00 75 0E C6 40 20 00 8B D0 8B 40 1C 8B 08 FF 51 60 C3 }
	condition:
		$1
}

rule function_4894_0 {
	meta:
		name = "TDefCollection.UpdateDefs"
		size = 97
		refs = "0022 TDefCollection.UpdateDefs 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 78 20 00 75 4C 8B 45 FC FF 40 2C 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C FF 55 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 8B 45 FC FF 48 2C C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC C6 40 20 01 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4895_0 {
	meta:
		name = "TDefCollection.IndexOf"
		size = 62
		refs = "000b TCollection.GetCount 001e TCollection.GetItem 0028 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 0C 8B D5 E8 ?? ?? ?? ?? 85 C0 74 07 46 4B 75 E5 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4896_0 {
	meta:
		name = "TDefCollection.Find"
		size = 34
		refs = "0007 TDefCollection.IndexOf 001b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 05 33 C0 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5998_0 {
	meta:
		name = "TAggregates.Find"
		size = 34
		refs = "0007 TAggregates.IndexOf 001b TAggregates.GetItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 05 33 C0 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4897_0 {
	meta:
		name = "TDefCollection.GetItemNames"
		size = 132
		refs = "0013 TStrings.BeginUpdate 001b TDefCollection.GetItemNames 0031 TCollection.GetCount 0045 TCollection.GetItem 0071 TStrings.EndUpdate 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 7B 0C 00 74 0B 8B 53 0C 8B 45 F8 8B 08 FF 51 34 47 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4898_0 {
	meta:
		name = "TFieldDef.Create"
		size = 134
		refs = "000e @ClassCreate 0020 TCollectionItem.Create 0044 @LStrAsg 006f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 46 1C 8A 55 14 8B 08 FF 91 D4 00 00 00 85 C0 74 07 0F B7 55 10 FF 50 34 8D 43 0C 8B 55 18 E8 ?? ?? ?? ?? 8A 45 14 88 43 1F 66 8B 45 10 66 89 43 1C 80 7D 0C 00 74 04 80 4B 20 04 8B 45 08 89 43 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_4899_0 {
	meta:
		name = "TFieldDef.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0013 TCollectionItem.Destroy 001b TObject.Free 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4900_0 {
	meta:
		name = "TFieldDef.ReadRequired"
		size = 25
		refs = "0009 TReader.ReadBoolean 0012 TFieldDef.SetRequired"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8001_0 {
	meta:
		name = "TComponentList.Intf_Add"
		size = 25
		refs = "0009 ExtractPersistent 0012 TComponentList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13477_0 {
	meta:
		name = "TCubeDim.ReadActive"
		size = 25
		refs = "0009 TReader.ReadBoolean 0012 TDimensionItem.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5242_0 {
	meta:
		name = "TObjectField.ReadUnNamed"
		size = 25
		refs = "0009 TReader.ReadBoolean 0012 TObjectField.SetUnNamed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4901_0 {
	meta:
		name = "TFieldDef.DefineProperties"
		size = 64
		refs = "000b TPersistent.DefineProperties 0011 TFieldDef.ReadRequired 001c TFieldDef.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 00 00 FF FF FF FF 08 00 00 00 52 65 71 75 69 72 65 64 00 00 00 00 }
	condition:
		$1
}

rule function_4902_0 {
	meta:
		name = "TFieldDef.GetFieldClass"
		size = 46
		refs = "000b _DV_TFieldDefs 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 46 1C 8A 53 1F 8B 08 FF 91 D4 00 00 00 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_4903_0 {
	meta:
		name = "TFieldDef.GetFieldNo"
		size = 20
		refs = "000d TCollectionItem.GetIndex"
	strings:
		$1 = { 53 8B D8 8B 43 18 85 C0 7F 08 8B C3 E8 ?? ?? ?? ?? 40 5B C3 }
	condition:
		$1
}

rule function_4904_0 {
	meta:
		name = "TFieldDef.SetAttributes"
		size = 19
		refs = "000d TCollectionItem.Changed"
	strings:
		$1 = { 51 88 14 24 8A 14 24 88 50 20 33 D2 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4905_0 {
	meta:
		name = "TFieldDef.SetDataType"
		size = 30
		refs = "000e TypeSizes 0019 TCollectionItem.Changed"
	strings:
		$1 = { 88 50 1F 33 C9 89 48 14 83 E2 7F 0F B6 92 ?? ?? ?? ?? 66 89 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4906_0 {
	meta:
		name = "TFieldDef.SetPrecision"
		size = 11
		refs = "0006 TCollectionItem.Changed"
	strings:
		$1 = { 89 50 14 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4907_0 {
	meta:
		name = "TFieldDef.GetRequired"
		size = 8
	strings:
		$1 = { F6 40 20 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_4908_0 {
	meta:
		name = "TFieldDef.SetRequired"
		size = 52
		refs = "0009 TFieldDef.SetRequired 0013 TFieldDef.SetAttributes"
	strings:
		$1 = { 53 8B D8 84 D2 74 12 8A 15 ?? ?? ?? ?? 0A 53 20 8B C3 E8 ?? ?? ?? ?? 5B C3 8A 15 ?? ?? ?? ?? F7 D2 22 53 20 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_4909_0 {
	meta:
		name = "TFieldDef.GetSize"
		size = 37
		refs = "0006 TFieldDef.HasChildDefs 0019 TCollection.GetCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 66 83 7B 1C 00 75 0A 8B 43 10 E8 ?? ?? ?? ?? 5B C3 66 8B 43 1C 5B C3 }
	condition:
		$1
}

rule function_4910_0 {
	meta:
		name = "TFieldDef.SetSize"
		size = 60
		refs = "000d TCollectionItem.Changed 0014 TFieldDef.GetFieldClass 0021 TFieldDef.GetSize"
	strings:
		$1 = { 53 56 8B D8 66 89 53 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1B 8B C3 E8 ?? ?? ?? ?? 66 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 0F B7 D0 8B C6 FF 50 34 5E 5B C3 }
	condition:
		$1
}

rule function_4911_0 {
	meta:
		name = "TFieldDef.GetChildDefs"
		size = 31
		refs = "000e _DV_TFieldDefs 0013 TFieldDefs.Create"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 43 10 5B C3 }
	condition:
		$1
}

rule function_4912_0 {
	meta:
		name = "TFieldDef.SetChildDefs"
		size = 23
		refs = "0009 TFieldDef.GetChildDefs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_5891_0 {
	meta:
		name = "TClientDataSet.SetIndexDefs"
		size = 23
		refs = "0009 TClientDataSet.GetIndexDefs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_4913_0 {
	meta:
		name = "TFieldDef.HasChildDefs"
		size = 32
		refs = "000e TCollection.GetCount"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_4915_0 {
	meta:
		name = "TFieldDef.GetParentDef"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 30 C3 }
	condition:
		$1
}

rule function_4916_0 {
	meta:
		name = "TFieldDef.Assign"
		size = 288
		refs = "0012 _DV_TFieldDef 0017 @IsClass 0036 TFieldDef.Assign 0056 TFieldDef.SetDataType 005d TFieldDef.GetSize 0067 TFieldDef.SetSize 0072 TFieldDef.SetPrecision 007d TFieldDef.SetAttributes 008e TFieldDef.HasChildDefs 009a TFieldDef.GetChildDefs 009f TCollection.Clear 00b6 TCollection.GetCount 00c8 TFieldDef.AddChild 00d9 TFieldDefs.GetFieldDef 0109 @HandleFinally 0115 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EC 00 00 00 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B FE 8B DF 8B 53 0C 8B 45 FC 8B 08 FF 51 14 8A 53 1F 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 53 14 8B 45 FC E8 ?? ?? ?? ?? 8A 53 20 8B 45 FC E8 ?? ?? ?? ?? 8A 47 1E 8B 55 FC 88 42 1E 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 FF 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 47 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB E9 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4917_0 {
	meta:
		name = "TFieldDef.CreateFieldComponent"
		size = 432
		refs = "0019 @LStrAddRef 0021 TFieldDef.CreateFieldComponent 002e TFieldDef.GetFieldClass 003e SUnknownFieldType 0043 LoadResString 005c DatabaseErrorFmt 007e TFieldDef.GetSize 009c TField.SetFieldName 00c5 TField.SetReadOnly 00dc _DV_TBCDField 00e1 @IsClass 0147 _DV_TObjectField 015a TObjectField.SetUnNamed 0169 @HandleAnyException 0171 TObject.Free 0176 @RaiseAgain 017b @DoneExcept 0190 @LStrClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 8B F9 89 55 FC 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 28 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 46 0C 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C3 FF 50 2C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 91 AC 00 00 00 83 7D 08 00 74 0D 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 56 0C 8B 45 F8 E8 ?? ?? ?? ?? F6 46 20 04 0F 95 C0 8B 55 F8 88 42 35 F6 46 20 02 0F 95 C2 8B 45 F8 E8 ?? ?? ?? ?? 8A 56 1F 8B 45 F8 8B 08 FF 91 C4 00 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 46 14 8B 55 F8 89 82 E4 00 00 00 85 FF 74 0F 8B D7 8B 45 F8 8B 08 FF 91 A8 00 00 00 EB 11 8B 46 04 8B 50 1C 8B 45 F8 8B 08 FF 91 A0 00 00 00 80 7E 1F 17 75 0A 8B 45 F8 C6 80 C8 00 00 00 01 80 7E 1E 00 74 0D B2 03 8B 45 F8 8B 08 FF 91 A4 00 00 00 F6 46 20 10 74 1C 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A B2 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4918_0 {
	meta:
		name = "TFieldDef.CreateField"
		size = 312
		refs = "0014 TFieldDef.CreateField 0025 TFieldDef.CreateFieldComponent 0039 TFieldDef.HasChildDefs 0064 TFieldDef.GetSize 009f Format 00ac TFieldDef.GetChildDefs 00b3 TFieldDefs.GetFieldDef 00cf TCollection.GetCount 010e @LStrClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 89 45 FC 80 7D 08 00 0F 84 C7 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 80 7B 1F 1B 75 7C 8B 43 04 8B 40 1C 80 B8 9A 00 00 00 00 74 07 B8 01 00 00 00 EB 0A 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 8B F0 4E 85 F6 0F 8C 87 00 00 00 46 33 FF 8D 45 F8 50 8B 45 FC 8B 40 28 89 45 E8 C6 45 EC 0B 89 7D F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 47 4E 75 B4 EB 36 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 23 46 33 FF 6A 00 6A 01 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 47 4E 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 06 00 00 00 25 73 5B 25 64 5D 00 00 }
	condition:
		$1
}

rule function_4919_0 {
	meta:
		name = "TFieldDefs.Create"
		size = 133
		refs = "000e @ClassCreate 001d _DV_TFieldDef 0022 @IsClass 003b _DV_TDataSet 0040 @AsClass 0053 TDefCollection.Create 0063 TFieldDefs.ChildDefUpdate 0070 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 89 43 30 8B 40 04 8B 40 1C EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 15 ?? ?? ?? ?? 52 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 7B 30 00 74 0A 89 5B 28 C7 43 24 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4920_0 {
	meta:
		name = "TFieldDefs.SetItemName"
		size = 245
		refs = "0022 TFieldDefs.SetItemName 0033 @CallDynaInst 0041 TDefCollection.SetItemName 006b TObject.ClassName 0080 @Copy 008e @LStrFromString 00a0 IntToStr 00b3 @LStrCatN 00d5 @LStrClr 00e2 @LStrArrayClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 57 33 C9 89 4D FC 89 4D F8 89 8D F4 FD FF FF 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 3B 46 1C 75 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 7A 83 7F 0C 00 75 74 8B C6 66 BB FF FF E8 ?? ?? ?? ?? FF 70 0C 8D 85 F8 FE FF FF 50 8D 95 F8 FD FF FF 8B 07 E8 ?? ?? ?? ?? 8D 85 F8 FD FF FF B9 05 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 8D 95 F4 FD FF FF 8B 47 08 40 E8 ?? ?? ?? ?? FF B5 F4 FD FF FF 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FD FF FF E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4922_0 {
	meta:
		name = "TFieldDefs.Add"
		size = 256
		refs = "0019 TFieldDefs.Add 002b SFieldNameMissing 0030 LoadResString 003e DatabaseError 005c TFieldDefs.AddFieldDef 0081 TFieldDef.SetDataType 008d TFieldDef.SetSize 0098 TFieldDef.SetRequired 00a7 @HandleAnyException 00af TObject.Free 00b4 @RaiseAgain 00b9 @DoneExcept 00d4 @HandleFinally 00eb @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 1B 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 52 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F8 8B 08 FF 51 14 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 66 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8A 55 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4923_0 {
	meta:
		name = "TFieldDefs.Find"
		size = 124
		refs = "0016 TFieldDefs.Find 0025 TDefCollection.Find 0037 SFieldNotFound 003c LoadResString 0052 DatabaseErrorFmt 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 27 8B 43 1C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5308_0 {
	meta:
		name = "TIndexDefs.Find"
		size = 124
		refs = "0016 TIndexDefs.Find 0025 TDefCollection.Find 0037 SIndexNotFound 003c LoadResString 0052 DatabaseErrorFmt 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 27 8B 43 1C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4926_0 {
	meta:
		name = "TFieldDefs.SetHiddenFields"
		size = 8
	strings:
		$1 = { 88 50 34 C6 40 20 00 C3 }
	condition:
		$1
}

rule function_4927_0 {
	meta:
		name = "TFieldDefs.Update"
		size = 26
		refs = "0015 TDefCollection.UpdateDefs"
	strings:
		$1 = { 8B 50 1C 8B 4A 30 C6 41 31 00 52 8B 12 8B 92 FC 00 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4928_0 {
	meta:
		name = "TFieldDefs.ChildDefUpdate"
		size = 24
		refs = "0013 TDefCollection.DoUpdate"
	strings:
		$1 = { 8B 48 1C 8B 49 2C 83 79 0C 00 75 0B 83 79 2C 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4929_0 {
	meta:
		name = "TFieldDefs.FieldDefUpdate"
		size = 22
		refs = "0006 TDefCollection.DoUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 8B 40 30 C6 40 31 00 5B C3 }
	condition:
		$1
}

rule function_4931_0 {
	meta:
		name = "TLookupList.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0014 TLookupList.Clear 001c TObject.Free 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 04 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4932_0 {
	meta:
		name = "TLookupList.Add"
		size = 62
		refs = "000c TLookupListEntry 0016 @New 0021 @VarCopy 0035 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 20 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D7 E8 ?? ?? ?? ?? 8D 43 10 8B D5 E8 ?? ?? ?? ?? 8B D3 8B 46 04 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4933_0 {
	meta:
		name = "TLookupList.Clear"
		size = 60
		refs = "0019 TList.Get 001f TLookupListEntry 0024 @Dispose 0034 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 47 04 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7917_0 {
	meta:
		name = "TNameMap.Clear"
		size = 60
		refs = "0019 TList.Get 001f TNameMapRec 0024 @Dispose 0034 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 47 04 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7905_0 {
	meta:
		name = "TValueList.Clear"
		size = 60
		refs = "0019 TList.Get 001f TValueRec 0024 @Dispose 0034 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 47 04 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4934_0 {
	meta:
		name = "TLookupList.ValueOfKey"
		size = 103
		refs = "0011 Null 0016 @VarCopy 001d VarIsNull 0039 TList.Get 0040 @VarCmp"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 3C 8B 47 04 8B 70 08 4E 85 F6 7C 31 46 33 DB 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 75 17 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8D 50 10 8B 04 24 E8 ?? ?? ?? ?? EB 04 43 4E 75 D2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4935_0 {
	meta:
		name = "TFlatList.Create"
		size = 70
		refs = "000a @ClassCreate 001a TObject.Create 0024 TFlatList.ListChanging 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 2C 33 D2 8B C6 E8 ?? ?? ?? ?? 89 76 28 C7 46 24 ?? ?? ?? ?? C6 46 30 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4936_0 {
	meta:
		name = "TFlatList.FindItem"
		size = 166
		refs = "0018 TFlatList.FindItem 0033 TFlatList.Update 0060 SFieldNotFound 0065 LoadResString 007b DatabaseErrorFmt 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 80 00 00 00 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 50 83 F8 FF 7E 0D 8B D0 8B C3 8B 08 FF 51 18 8B D8 EB 2F 80 7D FF 00 74 27 8B 43 2C 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4937_0 {
	meta:
		name = "TFlatList.GetCount"
		size = 33
		refs = "0014 TFlatList.Update 001b TStringList.GetCount"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 80 00 00 00 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4938_0 {
	meta:
		name = "TFlatList.GetUpdated"
		size = 4
		altNames = "TPrinterSettings.GetOutputBin"
	strings:
		$1 = { 8A 40 31 C3 }
	condition:
		$1
}

rule function_4939_0 {
	meta:
		name = "TFlatList.ListChanging"
		size = 85
		refs = "000c TFlatList.ListChanging 0020 SReadOnlyProperty 0025 LoadResString 0030 DatabaseError 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 30 00 74 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4940_0 {
	meta:
		name = "TFlatList.Update"
		size = 116
		refs = "0021 TStrings.BeginUpdate 0029 TFlatList.Update 005e TStrings.EndUpdate 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 75 5B 8B 45 FC C6 40 30 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 45 FC 8B 10 FF 92 84 00 00 00 8B 45 FC C6 40 31 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 30 01 C3 E9 ?? ?? ?? ?? EB E9 59 5D C3 }
	condition:
		$1
}

rule function_4941_0 {
	meta:
		name = "TFieldDefList.GetFieldDef"
		size = 39
		refs = "0017 TFlatList.Update"
		altNames = "TFieldList.GetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_4942_0 {
	meta:
		name = "TFieldDefList.Find"
		size = 20
		refs = "000d TFlatList.FindItem"
		altNames = "TFieldList.Find"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4943_0 {
	meta:
		name = "TFieldDefList.FieldByName"
		size = 20
		refs = "000d TFlatList.FindItem"
		altNames = "TFieldList.FieldByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4944_0 {
	meta:
		name = "AddFieldDefs"
		size = 456
		refs = "001e AddFieldDefs 002c TCollection.GetCount 004b TFieldDefs.GetFieldDef 005b @LStrCat3 0072 TFieldDef.HasChildDefs 008b TFieldDef.GetChildDefs 009b TFieldDef.GetSize 00db Format 0160 @LStrCatN 018b @LStrClr 0198 @LStrArrayClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D EC 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 41 01 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 8B 4B 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B CB 8B 55 EC 8B 30 FF 56 38 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 F0 00 00 00 80 7B 1F 1B 0F 85 9B 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 8B D8 4B 85 DB 0F 8C C1 00 00 00 43 C7 45 F4 00 00 00 00 8D 45 E8 50 8B 45 EC 89 45 D4 C6 45 D8 0B 8B 45 F4 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B CE 8B 55 E8 8B 38 FF 57 38 80 7E 1F 1A 75 26 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 50 8D 45 D0 B9 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 D0 5A E8 ?? ?? ?? ?? 59 FF 45 F4 4B 75 94 EB 4B F6 43 20 10 74 17 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C0 E8 ?? ?? ?? ?? 59 EB 2E 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 50 FF 75 FC FF 73 0C 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 5A E8 ?? ?? ?? ?? 59 FF 45 F0 FF 4D E4 0F 85 CA FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 25 73 5B 25 64 5D 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_4945_0 {
	meta:
		name = "TFieldDefList.UpdateList"
		size = 57
		refs = "000e TDataSet.GetActive 0020 TFieldDefs.Update 0031 AddFieldDefs"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 40 2C 8B 40 2C E8 ?? ?? ?? ?? 55 8B 45 FC 8B 40 2C 8B 50 2C 33 C0 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_4946_0 {
	meta:
		name = "TFieldDefList.GetUpdated"
		size = 24
	strings:
		$1 = { 80 78 31 00 74 0C 8B 40 2C 8B 40 2C 80 78 20 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_4950_0 {
	meta:
		name = "AddFields"
		size = 159
		refs = "0015 AddFields 003c TFields.GetField 0048 TField.GetFullName 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 4E 46 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 FC 8B CB 8B 38 FF 57 38 8A 43 30 04 E6 2C 02 73 10 8B 45 08 50 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 59 FF 45 F8 4E 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4951_0 {
	meta:
		name = "TFieldList.UpdateList"
		size = 26
		refs = "0012 AddFields"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 8B 45 FC 8B 40 2C 8B 40 24 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_4952_0 {
	meta:
		name = "TFields.Create"
		size = 80
		refs = "000b @ClassCreate 0018 _Dn_TList 001d TObject.Create 0028 TFields.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 89 77 08 A0 ?? ?? ?? ?? 88 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_4953_0 {
	meta:
		name = "TFields.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0014 TFields.Clear 001c TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 04 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4954_0 {
	meta:
		name = "TFields.Changed"
		size = 46
	strings:
		$1 = { 53 56 8B D8 8B 73 08 85 F6 74 11 F6 46 20 08 75 0B 33 C9 B2 09 8B C6 8B 30 FF 56 5C 66 83 7B 12 00 74 08 8B D3 8B 43 14 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_4955_0 {
	meta:
		name = "TFields.CheckFieldKind"
		size = 94
		refs = "000d TFields.CheckFieldKind 0029 SInvalidFieldKind 002e LoadResString 0038 DatabaseError 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 80 FA 07 77 07 83 E2 7F 0F A3 50 18 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4956_0 {
	meta:
		name = "TFields.Add"
		size = 41
		refs = "000e TFields.CheckFieldKind 0018 TList.Add 0022 TFields.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8A 56 32 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 89 5E 2C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4957_0 {
	meta:
		name = "TFields.Remove"
		size = 31
		refs = "000c TList.Remove 0018 TFields.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 46 2C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4958_0 {
	meta:
		name = "TFields.Clear"
		size = 54
		refs = "0009 TList.Last 0013 TObject.Free 001f TList.Delete 002f TFields.Changed"
	strings:
		$1 = { 53 56 8B D8 EB 1D 8B C6 E8 ?? ?? ?? ?? 33 D2 89 50 24 E8 ?? ?? ?? ?? 8B 43 04 8B 50 08 4A E8 ?? ?? ?? ?? 8B 73 04 83 7E 08 00 7F DA 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4959_0 {
	meta:
		name = "TFields.GetField"
		size = 126
		refs = "000f TFields.GetField 0028 SListIndexError 002d LoadResString 0038 DatabaseError 0042 TList.Get 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 85 C0 7E 2E 3B C6 7F 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 08 E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B D8 66 89 73 3A EB 0C 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4960_0 {
	meta:
		name = "TFields.GetCount"
		size = 26
	strings:
		$1 = { 8B 50 0C 85 D2 7E 0C 8B 48 04 83 79 08 00 7E 03 8B C2 C3 8B 40 04 8B 40 08 C3 }
	condition:
		$1
}

rule function_4962_0 {
	meta:
		name = "TFields.CheckFieldName"
		size = 146
		refs = "0015 TFields.CheckFieldName 0027 SFieldNameMissing 002c LoadResString 0037 DatabaseError 0040 TFields.FindField 0050 SDuplicateFieldName 006b DatabaseErrorFmt 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 27 8B 43 08 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4963_0 {
	meta:
		name = "TFields.CheckFieldNames"
		size = 110
		refs = "0015 TFields.CheckFieldNames 0031 ExtractFieldName 003b TFields.FieldByName 0042 @LStrLen 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 17 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4964_0 {
	meta:
		name = "TFields.GetFieldNames"
		size = 116
		refs = "0010 TStrings.BeginUpdate 0018 TFields.GetFieldNames 003e TList.Get 0062 TStrings.EndUpdate 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 50 28 8B 45 FC 8B 08 FF 51 34 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4965_0 {
	meta:
		name = "TFields.FindField"
		size = 65
		refs = "001e TList.Get 002b AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 04 8B 58 08 4B 85 DB 7C 22 43 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 14 24 8B 46 28 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 E1 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4966_0 {
	meta:
		name = "TFields.FieldByName"
		size = 124
		refs = "0016 TFields.FieldByName 0025 TFields.FindField 0037 SFieldNotFound 003c LoadResString 0052 DatabaseErrorFmt 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 27 8B 43 08 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4967_0 {
	meta:
		name = "TFields.FieldByNumber"
		size = 62
		refs = "001e TList.Get"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 04 8B 58 08 4B 85 DB 7C 1F 43 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 6C 3B 04 24 74 06 47 4B 75 E4 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4968_0 {
	meta:
		name = "TFields.SetFieldIndex"
		size = 89
		refs = "0010 TList.IndexOf 0034 TList.Delete 0040 TList.Insert 0049 TField.PropertyChanged 0050 TFields.Changed"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B D7 8B 43 04 E8 ?? ?? ?? ?? 85 C0 7C 3C 8B 6B 04 8B 55 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 25 8B D0 8B C5 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4969_0 {
	meta:
		name = "TField.Create"
		size = 128
		refs = "000b @ClassCreate 0018 TComponent.Create 0028 TField.Create 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 34 01 56 8D BE 88 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5E A0 ?? ?? ?? ?? 88 86 80 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 00 00 FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF 03 00 00 00 }
	condition:
		$1
}

rule function_4970_0 {
	meta:
		name = "TField.Destroy"
		size = 71
		refs = "0003 @BeforeDestruction 0013 TDataSet.Close 0021 TFields.Remove 0029 TObject.Free 0035 TComponent.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 85 C0 74 13 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4971_0 {
	meta:
		name = "TField.AccessError"
		size = 166
		refs = "001b TField.AccessError 002f TField.GetDisplayName 004c SFieldAccessError 0051 LoadResString 005f Format 0069 _DV_EDatabaseError 006e Exception.Create 008a @LStrArrayClr 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 0B 89 75 F4 C6 45 F8 0B 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4972_0 {
	meta:
		name = "TField.Assign"
		size = 131
		refs = "0013 TField.Assign 0031 _DV_TField 0036 @IsClass 005c TPersistent.Assign 0071 @VarClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0C 8B C6 8B 10 FF 92 B8 00 00 00 EB 33 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 F0 8B C3 8B 08 FF 51 5C 8D 55 F0 8B C6 8B 08 FF 91 9C 00 00 00 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4973_0 {
	meta:
		name = "Error"
		size = 120
		refs = "0012 Error 0028 TField.GetDisplayName 003e SFieldValueError 0043 LoadResString 004e DatabaseErrorFmt 0068 @LStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_4974_0 {
	meta:
		name = "TField.AssignValue"
		size = 426
		refs = "0016 TField.AssignValue 0097 @LStrFromChar 00cf @LStrFromString 00f1 Error 0101 @LStrFromPChar 011f _Dn_TPersistent 0124 @IsClass 0167 VarIsEmpty 0198 @LStrClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 46 04 83 F8 0D 0F 87 52 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 16 8B 45 FC 8B 08 FF 91 94 00 00 00 E9 08 01 00 00 8A 16 8B 45 FC 8B 08 FF 91 80 00 00 00 E9 F6 00 00 00 8D 45 F8 8A 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 98 00 00 00 E9 D9 00 00 00 8B 06 DB 28 83 C4 F8 DD 1C 24 9B 8B 45 FC 8B 10 FF 92 90 00 00 00 E9 BE 00 00 00 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 98 00 00 00 E9 A1 00 00 00 83 3E 00 0F 84 98 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 8C 00 00 00 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 98 00 00 00 EB 72 8B 3E 85 FF 74 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B 45 FC 8B 08 FF 51 08 EB 4F 55 E8 ?? ?? ?? ?? 59 EB 46 8B 16 8B 45 FC 8B 08 FF 91 98 00 00 00 EB 37 8B 06 FF 70 04 FF 30 8B 45 FC 8B 10 FF 92 88 00 00 00 EB 23 8B 06 E8 ?? ?? ?? ?? 84 C0 75 18 8B 06 8B D0 8B 45 FC 8B 08 FF 91 9C 00 00 00 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_4975_0 {
	meta:
		name = "TField.Bind"
		size = 31
		refs = "0011 TField.RefreshLookupList 001a TField.ValidateLookupInfo"
	strings:
		$1 = { 80 78 32 02 75 18 84 D2 74 14 80 78 60 00 74 07 E8 ?? ?? ?? ?? EB 07 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4976_0 {
	meta:
		name = "TField.CalcLookupValue"
		size = 202
		refs = "0015 TField.CalcLookupValue 002f TDataSet.GetFieldValue 003a TField.GetLookupList 0043 TLookupList.ValueOfKey 0060 TDataSet.GetActive 00ae Variant 00b8 @FinalizeArray 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 60 00 74 31 8D 4D E0 8B 53 54 8B 43 24 E8 ?? ?? ?? ?? 8D 45 E0 50 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 9C 00 00 00 EB 46 8B 73 50 85 F6 74 3F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 34 8B 43 5C 50 8D 45 F0 50 8D 4D E0 8B 53 54 8B 43 24 E8 ?? ?? ?? ?? 8D 4D E0 8B 53 58 8B 43 50 8B 30 FF 96 E0 01 00 00 8D 55 F0 8B C3 8B 08 FF 91 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4977_0 {
	meta:
		name = "TChartSeries.DoBeforeDrawValues"
		size = 29
		altNames = "TDdeClientConv.Open TField.Change"
	strings:
		$1 = { 53 66 83 B8 AA 00 00 00 00 74 10 8B D8 8B D0 8B 83 AC 00 00 00 FF 93 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_4978_0 {
	meta:
		name = "TField.CheckInactive"
		size = 15
	strings:
		$1 = { 8B 50 24 85 D2 74 07 8B C2 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_4980_0 {
	meta:
		name = "TField.DataChanged"
		size = 15
	strings:
		$1 = { 53 8B C8 33 D2 8B 40 24 8B 18 FF 53 5C 5B C3 }
	condition:
		$1
}

rule function_4981_0 {
	meta:
		name = "AttributeSetStored"
		size = 61
		refs = "0021 CompareText"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 1C 8B 45 08 8B 53 68 8B 45 08 8B 40 F8 8B 40 68 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 83 78 68 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_4982_0 {
	meta:
		name = "CalculatedStored"
		size = 65
		refs = "0017 TField.GetCalculated"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 23 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 3A D8 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_4983_0 {
	meta:
		name = "LookupStored"
		size = 65
		refs = "0017 TField.GetLookup"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 23 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 3A D8 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_4984_0 {
	meta:
		name = "TField.DefineProperties"
		size = 196
		refs = "0012 TField.ReadAttributeSet 001b TField.WriteAttributeSet 0021 AttributeSetStored 0029 TField.DefineProperties 0039 TField.ReadCalculated 0042 TField.WriteCalculated 0048 CalculatedStored 0060 TField.ReadLookup 0069 TField.WriteLookup 006f LookupStored"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 FF FF FF FF 0C 00 00 00 41 74 74 72 69 62 75 74 65 53 65 74 00 00 00 00 FF FF FF FF 0A 00 00 00 43 61 6C 63 75 6C 61 74 65 64 00 00 FF FF FF FF 06 00 00 00 4C 6F 6F 6B 75 70 00 00 }
	condition:
		$1
}

rule function_4985_0 {
	meta:
		name = "TField.FocusControl"
		size = 42
		refs = "000f TDataSet.GetActive"
	strings:
		$1 = { 53 56 51 8B D8 8B 73 24 85 F6 74 1A 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 89 1C 24 8B CC B2 0A 8B 43 24 8B 18 FF 53 5C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4987_0 {
	meta:
		name = "TField.GetAsBoolean"
		size = 44
		refs = "0005 TField.GetAsBoolean 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 42 6F 6F 6C 65 61 6E 00 }
	condition:
		$1
}

rule function_5032_0 {
	meta:
		name = "TField.SetAsBoolean"
		size = 44
		refs = "0005 TField.SetAsBoolean 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 42 6F 6F 6C 65 61 6E 00 }
	condition:
		$1
}

rule function_4988_0 {
	meta:
		name = "TField.GetAsByteArray"
		size = 141
		refs = "0031 VarArrayCreate 0039 VarArrayLock 0041 TField.GetAsByteArray 0050 TField.GetData 0068 VarArrayUnlock 006e @HandleFinally 007f Null 0084 @VarCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 FC 8B D8 8B 45 FC 50 33 C0 89 45 F0 8B C3 8B 10 FF 52 64 0F B7 C0 48 89 45 F4 8D 45 F0 B9 11 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C3 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 75 0E 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4989_0 {
	meta:
		name = "TField.GetAsCurrency"
		size = 36
		refs = "000f TField.GetAsCurrency"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 50 D8 0D ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5B C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_4990_0 {
	meta:
		name = "TField.GetAsDateTime"
		size = 56
		refs = "0008 TField.GetAsDateTime 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 04 24 59 5A 5E 5B C3 FF FF FF FF 08 00 00 00 44 61 74 65 54 69 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_4991_0 {
	meta:
		name = "TField.GetAsFloat"
		size = 52
		refs = "0008 TField.GetAsFloat 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 04 24 59 5A 5E 5B C3 FF FF FF FF 05 00 00 00 46 6C 6F 61 74 00 00 00 }
	condition:
		$1
}

rule function_4992_0 {
	meta:
		name = "TField.GetAsInteger"
		size = 44
		refs = "0005 TField.GetAsInteger 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 49 6E 74 65 67 65 72 00 }
	condition:
		$1
}

rule function_5036_0 {
	meta:
		name = "TField.SetAsInteger"
		size = 44
		refs = "0005 TField.SetAsInteger 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 49 6E 74 65 67 65 72 00 }
	condition:
		$1
}

rule function_4994_0 {
	meta:
		name = "TField.GetAsVariant"
		size = 44
		refs = "0005 TField.GetAsVariant 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 56 61 72 69 61 6E 74 00 }
	condition:
		$1
}

rule function_5066_0 {
	meta:
		name = "TField.SetVarValue"
		size = 44
		refs = "0005 TField.SetVarValue 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 56 61 72 69 61 6E 74 00 }
	condition:
		$1
}

rule function_5118_0 {
	meta:
		name = "TLargeintField.GetAsVariant"
		size = 44
		refs = "0005 TLargeintField.GetAsVariant 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 56 61 72 69 61 6E 74 00 }
	condition:
		$1
}

rule function_4995_0 {
	meta:
		name = "TField.GetCalculated"
		size = 8
	strings:
		$1 = { 80 78 32 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_4996_0 {
	meta:
		name = "TField.GetCanModify"
		size = 68
		refs = "003a TField.GetIsIndexField"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 6C 85 C0 7E 32 8B 43 24 80 B8 8D 00 00 00 04 74 1D 80 7B 31 00 75 0F 8B 43 24 8B 10 FF 92 CC 00 00 00 84 C0 75 04 33 C0 EB 0F B0 01 EB 0B 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_4997_0 {
	meta:
		name = "TField.GetClassDesc"
		size = 336
		refs = "001d TField.GetClassDesc 0030 TObject.ClassName 0040 @PStrNCpy 0076 @Copy 0087 @LStrFromString 0097 CompareText 00dc FmtStr 00f7 AnsiUpperCase 0105 @LStrLAsg 011d @LStrClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FE FF FF 53 56 57 33 C9 89 8D B8 FE FF FF 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 BC FE FF FF 8B 07 E8 ?? ?? ?? ?? 8D 95 BC FE FF FF 8D 45 BC B1 3F E8 ?? ?? ?? ?? BB 01 00 00 00 0F B6 75 BC 80 7D BD 54 75 05 BB 02 00 00 00 8B C6 2B C3 83 F8 05 7C 41 8D 85 78 FE FF FF 50 8B D6 83 EA 04 B9 05 00 00 00 8D 45 BC E8 ?? ?? ?? ?? 8D 95 78 FE FF FF 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? 8B 85 B8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 03 83 EE 05 6A 00 8D 85 78 FE FF FF 50 8D 4E 01 2B CB 8B D3 8D 45 BC E8 ?? ?? ?? ?? 8D 85 78 FE FF FF 89 85 70 FE FF FF C6 85 74 FE FF FF 04 8D 8D 70 FE FF FF 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 74 84 C0 75 1E 8D 95 B8 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 95 B8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 46 49 45 4C 44 00 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_4998_0 {
	meta:
		name = "TField.GetData"
		size = 196
		refs = "0019 TField.GetData 0031 TField.GetDisplayName 0047 SDataSetMissing 004c LoadResString 0057 DatabaseErrorFmt 0082 Move 00af @LStrArrayClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 24 00 75 32 6A 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 80 7E 36 00 74 27 8B 46 4C F7 D8 1B DB F7 DB 84 DB 74 2B 85 FF 74 27 8B C6 8B 10 FF 52 64 0F B7 C8 8B D7 8B 46 4C E8 ?? ?? ?? ?? EB 11 8B CF 8B D6 8B 46 24 8B 18 FF 93 CC 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5000_0 {
	meta:
		name = "TField.GetDefaultWidth"
		size = 6
	strings:
		$1 = { B8 0A 00 00 00 C3 }
	condition:
		$1
}

rule function_5002_0 {
	meta:
		name = "TField.GetDisplayName"
		size = 38
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 44 00 74 0D 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5003_0 {
	meta:
		name = "TField.GetDisplayText"
		size = 58
		refs = "0009 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 BB BA 00 00 00 00 74 15 6A 01 8B CE 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5E 5B C3 8B D6 B1 01 8B C3 8B 18 FF 53 7C 5E 5B C3 }
	condition:
		$1
}

rule function_5004_0 {
	meta:
		name = "TField.GetDisplayWidth"
		size = 16
	strings:
		$1 = { 8B 50 40 85 D2 7E 03 8B C2 C3 8B 10 FF 52 68 C3 }
	condition:
		$1
}

rule function_5005_0 {
	meta:
		name = "TField.GetEditText"
		size = 58
		refs = "0009 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 BB BA 00 00 00 00 74 15 6A 00 8B CE 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5E 5B C3 8B D6 33 C9 8B C3 8B 18 FF 53 7C 5E 5B C3 }
	condition:
		$1
}

rule function_5006_0 {
	meta:
		name = "TField.GetFieldNo"
		size = 106
	strings:
		$1 = { 53 56 57 8B D8 8B 73 3C 83 BB 84 00 00 00 00 74 53 8B 03 FF 90 BC 00 00 00 84 C0 75 47 80 7B 32 00 75 41 66 8B 43 3A 66 85 C0 76 07 0F B7 C0 03 F0 EB 31 8B 9B 84 00 00 00 85 DB 74 27 66 8B 7B 3A 66 85 FF 76 14 8B C3 8B 10 FF 52 78 0F B7 C0 40 0F B7 D7 F7 EA 03 F0 EB 0A 8B 9B 84 00 00 00 85 DB 75 D9 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5007_0 {
	meta:
		name = "TField.GetFullName"
		size = 52
		refs = "001b @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 84 00 00 00 00 74 06 83 7B 24 00 75 0D 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 8B CE 8B D3 8B 43 24 8B 18 FF 93 D8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5008_0 {
	meta:
		name = "TField.GetHasConstraints"
		size = 29
	strings:
		$1 = { 53 8B D8 83 7B 6C 00 75 10 83 7B 70 00 75 0A 83 7B 78 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5009_0 {
	meta:
		name = "TField.GetIndex"
		size = 59
		refs = "001b TFields.IndexOf"
	strings:
		$1 = { 53 56 8B D8 8B B3 84 00 00 00 85 F6 74 14 8B C6 8B 10 FF 92 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 24 85 C0 74 0C 8B 40 24 8B D3 E8 ?? ?? ?? ?? EB 03 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_5010_0 {
	meta:
		name = "TField.GetIsIndexField"
		size = 29
	strings:
		$1 = { 8B 50 24 85 D2 74 13 83 B8 84 00 00 00 00 75 0A 92 8B 08 FF 91 E0 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_5012_0 {
	meta:
		name = "TField.GetIsNull"
		size = 16
		refs = "0008 TField.GetData"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_5013_0 {
	meta:
		name = "TField.GetLookup"
		size = 8
	strings:
		$1 = { 80 78 32 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_5014_0 {
	meta:
		name = "TField.GetLookupList"
		size = 29
		refs = "000c _DV_TLookupList 0011 TLookupList.Create"
	strings:
		$1 = { 53 8B D8 83 7B 64 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 64 8B 43 64 5B C3 }
	condition:
		$1
}

rule function_5015_0 {
	meta:
		name = "TField.GetText"
		size = 79
		refs = "000f TField.GetText 0029 @LStrAsg 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 58 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5216_0 {
	meta:
		name = "TBlobField.GetAsVariant"
		size = 79
		refs = "000f TBlobField.GetAsVariant 0029 @VarFromLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 58 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5017_0 {
	meta:
		name = "TField.GetNewValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 07 8B 43 24 8B 18 FF 93 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5018_0 {
	meta:
		name = "TField.GetOldValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 08 8B 43 24 8B 18 FF 93 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5019_0 {
	meta:
		name = "TField.GetCurValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 09 8B 43 24 8B 18 FF 93 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5020_0 {
	meta:
		name = "TField.GetParentComponent"
		size = 17
	strings:
		$1 = { 8B 90 84 00 00 00 85 D2 74 03 8B C2 C3 8B 40 24 C3 }
	condition:
		$1
}

rule function_5021_0 {
	meta:
		name = "TField.SetParentComponent"
		size = 84
		refs = "0010 _DV_TObjectField 0015 @IsClass 0026 @AsClass 003c _DV_TDataSet"
	strings:
		$1 = { 56 57 8B FA 8B F0 F6 46 20 01 75 45 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 A8 00 00 00 EB 19 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 A0 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_5022_0 {
	meta:
		name = "TField.IsValidChar"
		size = 17
	strings:
		$1 = { 81 E2 FF 00 00 00 0F A3 90 88 00 00 00 0F 92 C0 C3 }
	condition:
		$1
}

rule function_5023_0 {
	meta:
		name = "TField.IsDisplayLabelStored"
		size = 12
	strings:
		$1 = { 53 8B D8 83 7B 44 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_5024_0 {
	meta:
		name = "TField.IsDisplayWidthStored"
		size = 8
	strings:
		$1 = { 83 78 40 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_5025_0 {
	meta:
		name = "TField.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 50 75 05 33 C0 89 47 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5026_0 {
	meta:
		name = "TField.PropertyChanged"
		size = 49
		refs = "0011 TDataSet.GetActive 001f Events"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 77 24 85 F6 74 1F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 8A C3 8A 90 ?? ?? ?? ?? 33 C9 8B 47 24 8B 18 FF 53 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5027_0 {
	meta:
		name = "TField.ReadAttributeSet"
		size = 80
		refs = "000f TField.ReadAttributeSet 001f TReader.ReadString 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5028_0 {
	meta:
		name = "TField.ReadCalculated"
		size = 24
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 32 01 5E 5B C3 }
	condition:
		$1
}

rule function_5029_0 {
	meta:
		name = "TField.ReadLookup"
		size = 24
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 32 02 5E 5B C3 }
	condition:
		$1
}

rule function_5030_0 {
	meta:
		name = "TField.ReadState"
		size = 83
		refs = "000c TComponent.ReadState 0017 _DV_TObjectField 001c @IsClass 0036 _DV_TDataSet"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 7B 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 8B 08 FF 91 A8 00 00 00 EB 1D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B C6 8B 08 FF 91 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5031_0 {
	meta:
		name = "TField.RefreshLookupList"
		size = 306
		refs = "0016 TField.RefreshLookupList 002c TDataSet.GetActive 0038 TField.ValidateLookupInfo 0053 TField.GetLookupList 0058 TLookupList.Clear 0060 TDataSet.DisableControls 0076 TDataSet.First 0086 TDataSet.GetFieldValue 00a4 TLookupList.Add 00ac TDataSet.Next 00cd TDataSet.EnableControls 00d3 @HandleFinally 0117 Variant 0121 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 50 85 C0 0F 84 D1 00 00 00 E8 ?? ?? ?? ?? 88 45 FF B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 50 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? EB 34 8D 4D E8 8B 53 5C 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 4D D8 8B 53 58 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D8 8B 43 64 59 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 91 00 00 00 00 74 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FF 8B 45 F8 8B 08 FF 91 20 01 00 00 C3 E9 ?? ?? ?? ?? EB EA 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5033_0 {
	meta:
		name = "TField.SetAsCurrency"
		size = 36
		refs = "0008 TField.SetAsCurrency"
	strings:
		$1 = { 55 8B EC DF 6D 08 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 10 FF 92 90 00 00 00 5D C2 08 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5034_0 {
	meta:
		name = "TField.SetAsDateTime"
		size = 56
		refs = "0008 TField.SetAsDateTime 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 FF FF FF FF 08 00 00 00 44 61 74 65 54 69 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_5035_0 {
	meta:
		name = "TField.SetAsFloat"
		size = 52
		refs = "0008 TField.SetAsFloat 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 FF FF FF FF 05 00 00 00 46 6C 6F 61 74 00 00 00 }
	condition:
		$1
}

rule function_5037_0 {
	meta:
		name = "TField.SetAsString"
		size = 44
		refs = "0005 TField.SetAsString 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 06 00 00 00 53 74 72 69 6E 67 00 00 }
	condition:
		$1
}

rule function_5038_0 {
	meta:
		name = "TField.SetAsVariant"
		size = 211
		refs = "001a TField.SetAsVariant 0027 VarIsNull 0062 @HandleOnException 006a _Dn_EVariantError 007b TField.GetDisplayName 0091 SFieldValueError 0096 LoadResString 00a1 DatabaseErrorFmt 00a6 @DoneExcept 00c0 @LStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 10 FF 92 B8 00 00 00 EB 6E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 91 B4 00 00 00 33 C0 5A 59 59 64 89 10 EB 49 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5039_0 {
	meta:
		name = "TField.SetAsByteArray"
		size = 271
		refs = "0019 TField.SetAsByteArray 0027 VarIsArray 0033 VarArrayDimCount 003e VarType 0055 VarArrayHighBound 0064 VarArrayLowBound 0081 TField.GetDisplayName 0097 SInvalidVarByteArray 009c LoadResString 00a7 DatabaseErrorFmt 00af VarArrayLock 00c6 TField.SetData 00db VarArrayUnlock 00e1 @HandleFinally 00fd @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F0 89 4D EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 FC E8 ?? ?? ?? ?? 48 75 3F 8B 45 FC E8 ?? ?? ?? ?? 25 FF 0F 00 00 83 F8 11 75 2D 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 2B F0 46 8B C3 8B 10 FF 52 64 0F B7 C0 3B F0 74 32 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5040_0 {
	meta:
		name = "TField.SetAlignment"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 33 74 0A 88 50 33 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5041_0 {
	meta:
		name = "TField.SetCalculated"
		size = 41
	strings:
		$1 = { 56 8B F0 84 D2 74 0E B2 01 8B C6 8B 08 FF 91 A4 00 00 00 5E C3 80 7E 32 01 75 0C 33 D2 8B C6 8B 08 FF 91 A4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5042_0 {
	meta:
		name = "TField.SetData"
		size = 145
		refs = "0018 TField.SetData 0030 TField.GetDisplayName 0046 SDataSetMissing 004b LoadResString 0056 DatabaseErrorFmt 007f @LStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 32 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8B CE 8B D3 8B 43 24 8B 18 FF 93 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5043_0 {
	meta:
		name = "TField.SetDataSet"
		size = 187
		refs = "0032 TFields.CheckFieldName 005b TFields.Remove 00a5 TFields.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 3B F0 0F 84 A7 00 00 00 85 C0 74 05 8B 10 FF 52 44 85 F6 74 25 8B C6 8B 10 FF 52 44 80 7B 32 04 75 0D 8B 53 28 8B 46 28 E8 ?? ?? ?? ?? EB 0B 8B 53 28 8B 46 24 E8 ?? ?? ?? ?? 8B 83 84 00 00 00 85 C0 74 1C 3B 70 24 74 17 8B 80 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 84 00 00 00 EB 23 8B 43 24 85 C0 74 1C 80 7B 32 04 75 0C 8B 40 28 8B D3 E8 ?? ?? ?? ?? EB 0A 8B 40 24 8B D3 E8 ?? ?? ?? ?? 85 F6 74 25 83 BB 84 00 00 00 00 75 1C 80 7B 32 04 75 0C 8B D3 8B 46 28 E8 ?? ?? ?? ?? EB 0A 8B D3 8B 46 24 E8 ?? ?? ?? ?? 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_5044_0 {
	meta:
		name = "TField.SetParentField"
		size = 161
		refs = "003d TFields.CheckFieldName 004e TFields.Add 005f TFields.Remove"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B B3 84 00 00 00 0F 84 8A 00 00 00 8B 43 24 85 C0 74 05 8B 10 FF 52 44 85 F6 74 48 8B 46 24 85 C0 74 05 8B 10 FF 52 44 8B C6 8B 10 FF 92 C8 00 00 00 8B 53 28 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 0A 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B 46 24 89 43 24 EB 11 8B 43 24 85 C0 74 0A 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B BB 84 00 00 00 85 FF 74 11 8B C7 8B 10 FF 92 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? 89 B3 84 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5045_0 {
	meta:
		name = "TField.SetDataType"
		size = 4
		altNames = "TQRPrinter.SetDestination"
	strings:
		$1 = { 88 50 30 C3 }
	condition:
		$1
}

rule function_5046_0 {
	meta:
		name = "TField.SetDisplayLabel"
		size = 119
		refs = "000e @LStrAddRef 0016 TField.SetDisplayLabel 0027 @LStrCmp 0031 @LStrClr 0049 @LStrAsg 0052 TField.PropertyChanged 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 28 E8 ?? ?? ?? ?? 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 43 44 8B 55 FC E8 ?? ?? ?? ?? 74 14 8D 43 44 8B 55 FC E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5047_0 {
	meta:
		name = "TField.SetDisplayWidth"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3B 50 40 74 0A 89 50 40 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5048_0 {
	meta:
		name = "TField.SetEditMask"
		size = 28
		refs = "000c @LStrAsg 0015 TField.PropertyChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 48 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5049_0 {
	meta:
		name = "TField.SetEditText"
		size = 50
	strings:
		$1 = { 56 57 8B FA 8B F0 66 83 BE C2 00 00 00 00 74 13 8B CF 8B D6 8B 86 C4 00 00 00 FF 96 C0 00 00 00 5F 5E C3 8B D7 8B C6 8B 08 FF 91 B0 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_5050_0 {
	meta:
		name = "TField.SetFieldKind"
		size = 119
		refs = "001b TFields.CheckFieldKind 0036 TDataSetDesigner.BeginDesign 003e TField.SetFieldKind 005c TDataSetDesigner.EndDesign 0062 @HandleFinally 006b TField.CheckInactive"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 3A 5E 32 74 63 8B 46 2C 85 C0 74 09 8B CE 8B D3 E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 42 83 78 60 00 74 3C 8B 40 60 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 5E 32 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? 88 5E 32 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5051_0 {
	meta:
		name = "TField.SetFieldName"
		size = 91
		refs = "0009 TField.CheckInactive 0019 AnsiCompareText 0027 TFields.CheckFieldName 0031 @LStrAsg 003b @LStrCmp 0045 @LStrClr 0054 TFields.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 24 00 74 18 8B 53 28 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0A 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8D 43 28 8B D6 E8 ?? ?? ?? ?? 8B 43 44 8B D6 E8 ?? ?? ?? ?? 75 08 8D 43 44 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 08 8B 40 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5053_0 {
	meta:
		name = "TField.SetIndex"
		size = 16
		refs = "000b TFields.SetFieldIndex"
	strings:
		$1 = { 8B 48 2C 85 C9 74 08 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5054_0 {
	meta:
		name = "TField.SetLookup"
		size = 41
	strings:
		$1 = { 56 8B F0 84 D2 74 0E B2 02 8B C6 8B 08 FF 91 A4 00 00 00 5E C3 80 7E 32 02 75 0C 33 D2 8B C6 8B 08 FF 91 A4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5055_0 {
	meta:
		name = "TField.SetLookupDataSet"
		size = 101
		refs = "000f TField.SetLookupDataSet 001c TField.CheckInactive 002d SCircularDataLink 0032 LoadResString 003c DatabaseError 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1C 3B 73 24 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 89 73 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5056_0 {
	meta:
		name = "TField.SetLookupKeyFields"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 58 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5057_0 {
	meta:
		name = "TField.SetLookupResultField"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 5C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5058_0 {
	meta:
		name = "TField.SetKeyFields"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5059_0 {
	meta:
		name = "TField.SetNewValue"
		size = 23
	strings:
		$1 = { 53 56 8B F0 52 8B CE 8B 46 24 B2 07 8B 18 FF 93 48 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5060_0 {
	meta:
		name = "TField.SetLookupCache"
		size = 19
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 60 5E 5B C3 }
	condition:
		$1
}

rule function_5061_0 {
	meta:
		name = "TField.CheckTypeSize"
		size = 98
		refs = "000f TField.CheckTypeSize 002d SInvalidFieldSize 0032 LoadResString 003c DatabaseError 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 23 8B C3 FF 90 BC 00 00 00 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5062_0 {
	meta:
		name = "TField.SetSize"
		size = 28
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 D6 8B 03 FF 50 34 66 89 73 38 5E 5B C3 }
	condition:
		$1
}

rule function_5063_0 {
	meta:
		name = "TField.GetSize"
		size = 5
	strings:
		$1 = { 66 8B 40 38 C3 }
	condition:
		$1
}

rule function_5064_0 {
	meta:
		name = "TField.SetText"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5065_0 {
	meta:
		name = "TField.SetReadOnly"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 31 74 0A 88 50 31 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5067_0 {
	meta:
		name = "TField.SetVisible"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 34 74 0A 88 50 34 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5068_0 {
	meta:
		name = "TField.Validate"
		size = 98
		refs = "0026 TField.Validate 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 B8 B2 00 00 00 00 74 49 8B 45 FC 89 50 4C 8B 45 FC C6 40 36 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 B4 00 00 00 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 36 00 C3 E9 ?? ?? ?? ?? EB F1 5B 59 5D C3 }
	condition:
		$1
}

rule function_5069_0 {
	meta:
		name = "TField.ValidateLookupInfo"
		size = 200
		refs = "0018 TField.ValidateLookupInfo 0046 TField.GetDisplayName 005c SLookupInfoError 0061 LoadResString 006c DatabaseErrorFmt 0077 TFields.CheckFieldNames 0083 TDataSet.Open 009c TDataSet.FieldByName 00b6 @LStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 12 83 7E 50 00 74 12 83 7E 58 00 74 0C 83 7E 5C 00 74 06 83 7E 54 00 75 32 6A 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8B 56 54 8B 46 2C E8 ?? ?? ?? ?? 84 DB 74 21 8B 46 50 E8 ?? ?? ?? ?? 8B 46 50 8B 40 24 8B 56 58 E8 ?? ?? ?? ?? 8B 56 5C 8B 46 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5070_0 {
	meta:
		name = "TField.WriteAttributeSet"
		size = 10
		refs = "0005 TWriter.WriteString"
	strings:
		$1 = { 8B 40 68 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5071_0 {
	meta:
		name = "TField.WriteCalculated"
		size = 10
		refs = "0005 TWriter.WriteBoolean"
		altNames = "TField.WriteLookup"
	strings:
		$1 = { 8B C2 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5073_0 {
	meta:
		name = "TStringField.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 66 BA 14 00 8B C6 8B 08 FF 91 AC 00 00 00 C6 86 C9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5074_0 {
	meta:
		name = "TStringField.CheckTypeSize"
		size = 87
		refs = "0009 TStringField.CheckTypeSize 0024 SInvalidFieldSize 0029 LoadResString 0033 DatabaseError 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 01 7C 08 81 FA 00 20 00 00 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5075_0 {
	meta:
		name = "TStringField.GetAsBoolean"
		size = 106
		refs = "000c TStringField.GetAsBoolean 0024 @LStrLen 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 58 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 15 8B 45 FC 8A 00 2C 54 74 10 2C 05 74 0C 2C 1B 74 08 2C 05 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5076_0 {
	meta:
		name = "TStringField.GetAsDateTime"
		size = 87
		refs = "0012 TStringField.GetAsDateTime 002a StrToDateTime 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 58 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5077_0 {
	meta:
		name = "TStringField.GetAsFloat"
		size = 87
		refs = "0012 TStringField.GetAsFloat 002a StrToFloat 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 58 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5078_0 {
	meta:
		name = "TStringField.GetAsInteger"
		size = 77
		refs = "000c TStringField.GetAsInteger 0024 StrToInt 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 58 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5079_0 {
	meta:
		name = "TStringField.GetAsString"
		size = 29
		refs = "000b TStringField.GetValue 0016 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5080_0 {
	meta:
		name = "TStringField.GetAsVariant"
		size = 98
		refs = "000f TStringField.GetAsVariant 001f TStringField.GetValue 002d @VarFromLStr 0037 Null 003c @VarCopy 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5081_0 {
	meta:
		name = "TStringField.GetDataSize"
		size = 13
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 78 40 5B C3 }
	condition:
		$1
}

rule function_5082_0 {
	meta:
		name = "TStringField.GetDefaultWidth"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 78 0F B7 C0 5B C3 }
	condition:
		$1
}

rule function_5083_0 {
	meta:
		name = "TStringField.GetText"
		size = 137
		refs = "0014 TStringField.GetText 003c FormatMaskText 0046 @LStrAsg 0076 @LStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 2A 83 7F 48 00 74 24 8D 55 F8 8B C7 8B 08 FF 51 58 8B 55 F8 8D 4D FC 8B 47 48 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 14 8D 55 FC 8B C7 8B 08 FF 51 58 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5084_0 {
	meta:
		name = "TStringField.GetValue"
		size = 113
		refs = "0024 TField.GetData 0038 @LStrFromArray 004f @LStrToPChar"
	strings:
		$1 = { 53 56 57 55 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 8B FA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 36 8B C7 8B D4 B9 01 20 00 00 E8 ?? ?? ?? ?? 80 BE C9 00 00 00 00 74 1F 83 3F 00 74 1A 6A 00 8B 07 E8 ?? ?? ?? ?? 8B E8 55 8B D5 8B 46 24 59 8B 30 FF 96 EC 01 00 00 8B C3 81 C4 04 20 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5085_0 {
	meta:
		name = "TStringField.SetAsBoolean"
		size = 91
		refs = "000f TStringField.SetAsBoolean 0023 Values 0028 @LStrFromString 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 D2 8A D3 8D 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5086_0 {
	meta:
		name = "TStringField.SetAsDateTime"
		size = 84
		refs = "000c TStringField.SetAsDateTime 0020 DateTimeToStr 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5087_0 {
	meta:
		name = "TStringField.SetAsFloat"
		size = 88
		refs = "000c TStringField.SetAsFloat 0024 FloatToStr 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5088_0 {
	meta:
		name = "TStringField.SetAsInteger"
		size = 82
		refs = "000f TStringField.SetAsInteger 001f IntToStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5089_0 {
	meta:
		name = "TStringField.SetAsString"
		size = 107
		refs = "002b @LStrToPChar 0037 StrLCopy 005e TField.SetData"
	strings:
		$1 = { 53 56 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 8B F2 8B D8 8B C3 8B 10 FF 52 78 0F B7 C0 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 44 24 04 59 E8 ?? ?? ?? ?? 80 BB C9 00 00 00 00 74 15 6A 01 8D 4C 24 04 8D 54 24 04 8B 43 24 8B 30 FF 96 EC 01 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 04 20 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5090_0 {
	meta:
		name = "TStringField.SetVarValue"
		size = 82
		refs = "000f TStringField.SetVarValue 001f @VarToLStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5237_0 {
	meta:
		name = "TBlobField.SetVarValue"
		size = 82
		refs = "000f TBlobField.SetVarValue 001f @VarToLStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5091_0 {
	meta:
		name = "TNumericField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetAlignment 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7280_0 {
	meta:
		name = "TNestedTable.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TBDEDataSet.Create 0020 TDataSet.SetObjectView 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5092_0 {
	meta:
		name = "TNumericField.RangeError"
		size = 155
		refs = "0015 TNumericField.RangeError 0031 TField.GetDisplayName 005b SFieldRangeError 0060 LoadResString 006e DatabaseErrorFmt 0088 @LStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 DC 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 20 89 45 E0 C6 45 E4 03 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 0B 8D 45 14 89 45 F0 C6 45 F4 03 8D 45 08 89 45 F8 C6 45 FC 03 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 03 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_5093_0 {
	meta:
		name = "TDateTimeField.SetDisplayFormat"
		size = 46
		refs = "000f @LStrCmp 001e @LStrAsg 0027 TField.PropertyChanged"
		altNames = "TNumericField.SetDisplayFormat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 16 8D 83 C8 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5094_0 {
	meta:
		name = "TNumericField.SetEditFormat"
		size = 46
		refs = "000f @LStrCmp 001e @LStrAsg 0027 TField.PropertyChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 CC 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 16 8D 83 CC 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5095_0 {
	meta:
		name = "TIntegerField.Create"
		size = 136
		refs = "000b @ClassCreate 0018 TNumericField.Create 0021 TField.SetDataType 0041 TIntegerField.Create 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? C7 86 D0 00 00 00 00 00 00 80 C7 86 D4 00 00 00 FF FF FF 7F 56 8D BE 88 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5096_0 {
	meta:
		name = "TIntegerField.CheckRange"
		size = 75
		refs = "003f TNumericField.RangeError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F0 8B 7D 08 3B CA 7F 04 3B FA 7D 2E 89 55 FC DB 45 FC 83 C4 F4 DB 3C 24 9B 89 4D F8 DB 45 F8 83 C4 F4 DB 3C 24 9B 89 7D F4 DB 45 F4 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5097_0 {
	meta:
		name = "TIntegerField.GetAsFloat"
		size = 33
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 52 54 89 44 24 08 DB 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_5098_0 {
	meta:
		name = "TIntegerField.GetAsInteger"
		size = 28
		refs = "0009 TIntegerField.GetValue"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5099_0 {
	meta:
		name = "TIntegerField.GetAsString"
		size = 66
		refs = "0011 TIntegerField.GetValue 0021 @Str0Long 002c @LStrFromString 0035 @LStrClr"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5100_0 {
	meta:
		name = "TIntegerField.GetAsVariant"
		size = 49
		refs = "000c TIntegerField.GetValue 001a @VarFromInt 0024 Null 0029 @VarCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 14 24 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5101_0 {
	meta:
		name = "TDateField.GetDataSize"
		size = 5
		altNames = "TIntegerField.GetDataSize TTimeField.GetDataSize"
	strings:
		$1 = { 66 B8 04 00 C3 }
	condition:
		$1
}

rule function_5102_0 {
	meta:
		name = "TIntegerField.GetText"
		size = 228
		refs = "0021 TIntegerField.GetText 0031 TIntegerField.GetValue 0050 @LStrLAsg 0074 @Str0Long 0081 @LStrFromString 009b FormatFloat 00a8 @LStrAsg 00b1 @LStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 DB 89 9D F4 FE FF FF 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 75 84 DB 75 09 83 BF CC 00 00 00 00 75 10 8D 45 F8 8B 97 C8 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 97 CC 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 1D 8D 95 F8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 2E DB 45 FC 83 C4 F4 DB 3C 24 9B 8D 95 F4 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5103_0 {
	meta:
		name = "TIntegerField.GetValue"
		size = 60
		refs = "000c TField.GetData"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8A 53 30 80 EA 02 74 07 80 EA 02 74 0A EB 10 0F BF 14 24 89 16 EB 0D 0F B7 14 24 89 16 EB 05 8B 14 24 89 16 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5104_0 {
	meta:
		name = "TIntegerField.SetAsFloat"
		size = 31
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 94 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5105_0 {
	meta:
		name = "TIntegerField.SetAsInteger"
		size = 84
		refs = "002a TIntegerField.CheckRange 004d TField.SetData"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 83 D8 00 00 00 85 C0 75 09 83 BB DC 00 00 00 00 74 16 8B 93 DC 00 00 00 52 8B C8 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? EB 18 8B 83 D4 00 00 00 50 8B 8B D0 00 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_5106_0 {
	meta:
		name = "TIntegerField.SetAsString"
		size = 182
		refs = "0019 TIntegerField.SetAsString 0039 @ValLong 0054 TField.GetDisplayName 006a SInvalidIntegerValue 006f LoadResString 007d DatabaseErrorFmt 00a3 @LStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0C 8B C6 8B 10 FF 92 B8 00 00 00 EB 5A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 83 7D FC 00 74 3C 6A 00 89 5D EC C6 45 F0 0B 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 0B 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 91 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5107_0 {
	meta:
		name = "TIntegerField.SetMaxValue"
		size = 37
		refs = "0018 TIntegerField.CheckRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D4 00 00 00 50 8B 8B D0 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5108_0 {
	meta:
		name = "TIntegerField.SetMinValue"
		size = 37
		refs = "0018 TIntegerField.CheckRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D4 00 00 00 50 8B 8B D0 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 D8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5109_0 {
	meta:
		name = "TIntegerField.SetVarValue"
		size = 28
		refs = "0009 @VarToInt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 94 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5110_0 {
	meta:
		name = "TSmallintField.Create"
		size = 82
		refs = "000a @ClassCreate 0017 TIntegerField.Create 0020 TField.SetDataType 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? C7 86 D0 00 00 00 00 80 FF FF C7 86 D4 00 00 00 FF 7F 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5111_0 {
	meta:
		name = "TBooleanField.GetDataSize"
		size = 5
		altNames = "TSmallintField.GetDataSize TWordField.GetDataSize"
	strings:
		$1 = { 66 B8 02 00 C3 }
	condition:
		$1
}

rule function_5112_0 {
	meta:
		name = "TLargeintField.Create"
		size = 116
		refs = "000b @ClassCreate 0018 TNumericField.Create 0021 TField.SetDataType 002d TLargeintField.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 19 8B C6 E8 ?? ?? ?? ?? 56 8D BE 88 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5113_0 {
	meta:
		name = "TLargeintField.CheckRange"
		size = 86
		refs = "004e TNumericField.RangeError"
	strings:
		$1 = { 55 8B EC 8B C8 8B 45 18 8B 55 1C 3B 55 14 75 07 3B 45 10 72 18 EB 02 7C 14 8B 45 18 8B 55 1C 3B 55 0C 75 07 3B 45 08 76 29 EB 02 7E 25 DF 6D 18 83 C4 F4 DB 3C 24 9B DF 6D 10 83 C4 F4 DB 3C 24 9B DF 6D 08 83 C4 F4 DB 3C 24 9B 8B C1 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_5114_0 {
	meta:
		name = "TLargeintField.GetAsFloat"
		size = 37
		refs = "0009 TLargeintField.GetAsLargeint"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C DF 6C 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5115_0 {
	meta:
		name = "TLargeintField.GetAsInteger"
		size = 30
		refs = "000b TLargeintField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 04 24 EB 02 33 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_5116_0 {
	meta:
		name = "TLargeintField.GetAsLargeint"
		size = 45
		refs = "000b TLargeintField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_5117_0 {
	meta:
		name = "TLargeintField.GetAsString"
		size = 71
		refs = "0011 TLargeintField.GetValue 0026 @Str0Int64 0031 @LStrFromString 003a @LStrClr"
	strings:
		$1 = { 53 56 81 C4 F8 FE FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E FF 74 24 04 FF 74 24 04 8D 44 24 10 E8 ?? ?? ?? ?? 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5119_0 {
	meta:
		name = "TDateTimeField.GetDataSize"
		size = 5
		altNames = "TFloatField.GetDataSize TLargeintField.GetDataSize"
	strings:
		$1 = { 66 B8 08 00 C3 }
	condition:
		$1
}

rule function_5120_0 {
	meta:
		name = "TLargeintField.GetDefaultWidth"
		size = 6
	strings:
		$1 = { B8 0F 00 00 00 C3 }
	condition:
		$1
}

rule function_5121_0 {
	meta:
		name = "TLargeintField.GetText"
		size = 231
		refs = "0021 TLargeintField.GetText 0031 TLargeintField.GetValue 0050 @LStrLAsg 0077 @Str0Int64 0084 @LStrFromString 009e FormatFloat 00ab @LStrAsg 00b4 @LStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 DB 89 9D F0 FE FF FF 89 5D F4 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 78 84 DB 75 09 83 BF CC 00 00 00 00 75 10 8D 45 F4 8B 97 C8 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F4 8B 97 CC 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 20 FF 75 FC FF 75 F8 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 2E DF 6D F8 83 C4 F4 DB 3C 24 9B 8D 95 F0 FE FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5123_0 {
	meta:
		name = "TLargeintField.SetAsFloat"
		size = 28
		refs = "000a @ROUND 0013 TLargeintField.SetAsLargeint"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5124_0 {
	meta:
		name = "TLargeintField.SetAsInteger"
		size = 19
		refs = "000d TLargeintField.SetAsLargeint"
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 99 52 50 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5125_0 {
	meta:
		name = "TLargeintField.SetAsLargeint"
		size = 94
		refs = "004b TLargeintField.CheckRange 0055 TField.SetData"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 BB D4 00 00 00 00 75 1B 83 BB D0 00 00 00 00 75 12 83 BB DC 00 00 00 00 75 07 83 BB D8 00 00 00 00 74 25 FF 75 0C FF 75 08 FF B3 D4 00 00 00 FF B3 D0 00 00 00 FF B3 DC 00 00 00 FF B3 D8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5126_0 {
	meta:
		name = "TLargeintField.SetAsString"
		size = 185
		refs = "0018 TLargeintField.SetAsString 0038 @ValInt64 0057 TField.GetDisplayName 006d SInvalidIntegerValue 0072 LoadResString 0080 DatabaseErrorFmt 008d TLargeintField.SetAsLargeint 00a7 @LStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D DC 89 4D D8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0C 8B C6 8B 10 FF 92 B8 00 00 00 EB 5F 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D FC 00 74 3C 6A 00 89 5D E0 C6 45 E4 0B 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 0B 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5127_0 {
	meta:
		name = "TLargeintField.SetVarValue"
		size = 36
		refs = "0002 TLargeintField.SetVarValue 000b @CallDynaInst"
	strings:
		$1 = { 53 BA ?? ?? ?? ?? 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 07 00 00 00 56 61 72 69 61 6E 74 00 }
	condition:
		$1
}

rule function_5128_0 {
	meta:
		name = "TWordField.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TIntegerField.Create 0020 TField.SetDataType 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 D0 00 00 00 C7 86 D4 00 00 00 FF FF 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5130_0 {
	meta:
		name = "TAutoIncField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TIntegerField.Create 0020 TField.SetDataType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0E 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5131_0 {
	meta:
		name = "TFloatField.Create"
		size = 168
		refs = "0011 @ClassCreate 001e TNumericField.Create 0027 TField.SetDataType 0037 TFloatField.Create 0047 DecimalSeparator 006f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 06 8B C6 E8 ?? ?? ?? ?? C7 86 D4 00 00 00 0F 00 00 00 56 BE ?? ?? ?? ?? 8D 7D E0 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 8A 00 25 FF 00 00 00 0F AB 45 E0 56 8D BE 88 00 00 00 8D 75 E0 B9 08 00 00 00 F3 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 28 FF 03 20 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5132_0 {
	meta:
		name = "TFloatField.GetAsFloat"
		size = 35
		refs = "000b TField.GetData"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5160_0 {
	meta:
		name = "TDateTimeField.GetAsDateTime"
		size = 35
		refs = "000b TDateTimeField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5133_0 {
	meta:
		name = "TFloatField.GetAsInteger"
		size = 17
		refs = "000b @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5134_0 {
	meta:
		name = "TFloatField.GetAsString"
		size = 53
		refs = "000e TField.GetData 0023 FloatToStr 002c @LStrClr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 DD 04 24 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5135_0 {
	meta:
		name = "TFloatField.GetAsVariant"
		size = 52
		refs = "000e TField.GetData 001c @VarFromReal 0026 Null 002b @VarCopy"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C DD 04 24 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5137_0 {
	meta:
		name = "TFloatField.GetText"
		size = 269
		refs = "001b TFloatField.GetText 002b TField.GetData 004e @LStrLAsg 007c CurrencyDecimals 00a9 FloatToStrF 00b3 @LStrAsg 00ca FormatFloat 00dd @LStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 84 DB 75 09 83 BF CC 00 00 00 00 75 10 8D 45 FC 8B 97 C8 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 97 CC 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 51 80 BF D0 00 00 00 00 74 17 84 DB 74 04 B3 04 EB 02 B3 02 A1 ?? ?? ?? ?? 0F B6 00 89 45 F8 EB 07 33 DB 33 C0 89 45 F8 DD 45 F0 83 C4 F4 DB 3C 24 9B 8D 45 EC 50 8B 4D F8 8B 97 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? EB 28 DD 45 F0 83 C4 F4 DB 3C 24 9B 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5138_0 {
	meta:
		name = "TFloatField.SetAsFloat"
		size = 101
		refs = "0052 TNumericField.RangeError 005c TField.SetData"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB D1 00 00 00 00 74 47 DD 45 08 DC 9B D8 00 00 00 DF E0 9E 72 0E DD 45 08 DC 9B E0 00 00 00 DF E0 9E 76 2B DD 45 08 83 C4 F4 DB 3C 24 9B DD 83 D8 00 00 00 83 C4 F4 DB 3C 24 9B DD 83 E0 00 00 00 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8D 55 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5139_0 {
	meta:
		name = "TFloatField.SetAsInteger"
		size = 30
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 92 90 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_5140_0 {
	meta:
		name = "TFloatField.SetAsString"
		size = 191
		refs = "0018 TFloatField.SetAsString 0035 @LStrToPChar 003f TextToFloat 0056 TField.GetDisplayName 006c SInvalidFloatValue 0071 LoadResString 007f DatabaseErrorFmt 00ad @LStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D E0 89 4D DC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0C 8B C6 8B 10 FF 92 B8 00 00 00 EB 65 8B C3 E8 ?? ?? ?? ?? 8D 55 F6 33 C9 E8 ?? ?? ?? ?? 84 C0 75 3C 6A 00 89 5D E4 C6 45 E8 0B 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 0B 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? DB 6D F6 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 92 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5141_0 {
	meta:
		name = "TBCDField.SetCurrency"
		size = 22
		refs = "0011 TField.PropertyChanged"
		altNames = "TFloatField.SetCurrency"
	strings:
		$1 = { 3A 90 D0 00 00 00 74 0D 88 90 D0 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5142_0 {
	meta:
		name = "TFloatField.SetMaxValue"
		size = 30
		refs = "0016 TFloatField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 E0 00 00 00 8B 55 0C 89 90 E4 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5143_0 {
	meta:
		name = "TFloatField.SetMinValue"
		size = 30
		refs = "0016 TFloatField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 D8 00 00 00 8B 55 0C 89 90 DC 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5144_0 {
	meta:
		name = "TFloatField.SetPrecision"
		size = 42
		refs = "0025 TField.PropertyChanged"
	strings:
		$1 = { 83 FA 02 7D 05 BA 02 00 00 00 83 FA 0F 7E 05 BA 0F 00 00 00 3B 90 D4 00 00 00 74 0D 89 90 D4 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5145_0 {
	meta:
		name = "TFloatField.SetVarValue"
		size = 33
		refs = "0009 @VarToReal"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5146_0 {
	meta:
		name = "TFloatField.UpdateCheckRange"
		size = 56
		refs = "000a TFloatField.UpdateCheckRange"
	strings:
		$1 = { 8B D0 DD 82 D8 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 15 DD 82 E0 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 33 C0 EB 02 B0 01 88 82 D1 00 00 00 C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5147_0 {
	meta:
		name = "TCurrencyField.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TFloatField.Create 0020 TField.SetDataType 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 07 8B C6 E8 ?? ?? ?? ?? C6 86 D0 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5148_0 {
	meta:
		name = "TBooleanField.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType 0027 TBooleanField.LoadTextValues 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5149_0 {
	meta:
		name = "TBooleanField.GetAsBoolean"
		size = 36
		refs = "0009 TField.GetData"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 66 8B 04 24 66 F7 D8 1B C0 F7 D8 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_5150_0 {
	meta:
		name = "TBooleanField.GetAsString"
		size = 61
		refs = "000c TField.GetData 002c @LStrLAsg 0035 @LStrClr"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B C6 66 8B 14 24 66 F7 DA 1B D2 F7 DA 83 E2 7F 8B 94 93 CC 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5151_0 {
	meta:
		name = "TBooleanField.GetAsVariant"
		size = 57
		refs = "000c TField.GetData 0022 @VarFromBool 002c Null 0031 @VarCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 66 8B 14 24 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5153_0 {
	meta:
		name = "TBooleanField.GetDefaultWidth"
		size = 60
		refs = "000b @LStrLen"
	strings:
		$1 = { 53 56 8B D8 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 3B F0 7E 0E 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5154_0 {
	meta:
		name = "TBooleanField.LoadTextValues"
		size = 37
		refs = "000a STextFalse 000f LoadResString 001a STextTrue"
	strings:
		$1 = { 53 8B D8 8D 93 CC 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 D0 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5155_0 {
	meta:
		name = "TBooleanField.SetAsBoolean"
		size = 28
		refs = "0016 TField.SetData"
	strings:
		$1 = { 51 84 D2 74 08 66 C7 04 24 01 00 EB 06 66 C7 04 24 00 00 8B D4 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5156_0 {
	meta:
		name = "TBooleanField.SetAsString"
		size = 331
		refs = "0019 TBooleanField.SetAsString 0026 @LStrLen 0091 @LStrCopy 009b AnsiCompareText 00f2 TField.GetDisplayName 0108 SInvalidBoolValue 010d LoadResString 011b DatabaseErrorFmt 0130 @LStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D E8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 4F 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 11 33 D2 8B C6 8B 08 FF 91 80 00 00 00 E9 CF 00 00 00 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 11 B2 01 8B C6 8B 08 FF 91 80 00 00 00 E9 AF 00 00 00 8B C6 8B 10 FF 92 B8 00 00 00 E9 A0 00 00 00 8D 45 FC 50 8B CB BA 01 00 00 00 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0E 33 D2 8B C6 8B 08 FF 91 80 00 00 00 EB 6E 8D 45 FC 50 8B CB BA 01 00 00 00 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0E B2 01 8B C6 8B 08 FF 91 80 00 00 00 EB 3C 6A 00 89 7D EC C6 45 F0 0B 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 0B 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5157_0 {
	meta:
		name = "TBooleanField.SetDisplayValues"
		size = 140
		refs = "0010 @LStrCmp 001f @LStrAsg 002a TBooleanField.LoadTextValues 0033 TBooleanField.SetDisplayValues 0038 @LStrPos 0059 @LStrCopy 0078 TField.PropertyChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 C8 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 66 8D 83 C8 00 00 00 8B D6 E8 ?? ?? ?? ?? 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 43 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 75 05 BF 00 01 00 00 8D 83 CC 00 00 00 50 8D 57 01 B9 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 83 D0 00 00 00 50 8B CF 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5158_0 {
	meta:
		name = "TBooleanField.SetVarValue"
		size = 28
		refs = "0009 @VarToBool"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5159_0 {
	meta:
		name = "TDateTimeField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0B 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5161_0 {
	meta:
		name = "TDateTimeField.GetAsFloat"
		size = 18
	strings:
		$1 = { 83 C4 F8 8B 10 FF 52 4C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_5162_0 {
	meta:
		name = "TDateTimeField.GetAsString"
		size = 10
	strings:
		$1 = { 53 33 C9 8B 18 FF 53 7C 5B C3 }
	condition:
		$1
}

rule function_5163_0 {
	meta:
		name = "TDateTimeField.GetAsVariant"
		size = 57
		refs = "000e TDateTimeField.GetValue 0021 VarFromDateTime 002b Null 0030 @VarCopy"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5165_0 {
	meta:
		name = "TDateTimeField.GetDefaultWidth"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 0F B7 C0 03 C0 83 C0 02 5B C3 }
	condition:
		$1
}

rule function_5166_0 {
	meta:
		name = "TDateTimeField.GetText"
		size = 185
		refs = "0018 TDateTimeField.GetText 0028 TDateTimeField.GetValue 0047 @LStrLAsg 005f ShortDateFormat 0071 LongTimeFormat 0088 DateTimeToString 0091 @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 5E 84 DB 74 19 83 BF C8 00 00 00 00 74 10 8D 45 FC 8B 97 C8 00 00 00 E8 ?? ?? ?? ?? EB 2F 8A 47 30 2C 09 74 06 FE C8 74 14 EB 22 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5167_0 {
	meta:
		name = "TDateTimeField.GetValue"
		size = 104
		refs = "000e TField.GetData 003f TDateTimeField.GetValue"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8A 53 30 80 EA 09 74 06 FE CA 74 18 EB 24 8B 14 24 81 EA 5A 95 0A 00 89 54 24 08 DB 44 24 08 DD 1E 9B EB 20 DB 04 24 D8 35 ?? ?? ?? ?? DD 1E 9B EB 12 DD 04 24 D8 35 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DD 1E 9B 83 C4 0C 5E 5B C3 80 CB A4 4C A0 55 29 49 }
	condition:
		$1
}

rule function_5168_0 {
	meta:
		name = "TDateTimeField.SetAsDateTime"
		size = 108
		refs = "001a @TRUNC 002c @FRAC 0032 TDateTimeField.SetAsDateTime 0037 @ROUND 0059 TField.SetData"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8A 43 30 2C 09 74 06 FE C8 74 14 EB 2A DD 45 08 E8 ?? ?? ?? ?? 05 5A 95 0A 00 89 45 F8 EB 2B DD 45 08 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 13 DD 45 08 D8 05 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 80 CB A4 4C A0 55 29 49 }
	condition:
		$1
}

rule function_5169_0 {
	meta:
		name = "TDateTimeField.SetAsFloat"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 10 FF 92 8C 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5170_0 {
	meta:
		name = "TDateTimeField.SetAsString"
		size = 98
		refs = "0029 StrToDate 0036 StrToTime 0043 StrToDateTime"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 85 DB 75 0C 8B C6 8B 10 FF 92 B8 00 00 00 EB 44 8A 46 30 2C 09 74 06 FE C8 74 0F EB 1A 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 18 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8B C6 8B 10 FF 92 8C 00 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5172_0 {
	meta:
		name = "TDateTimeField.SetVarValue"
		size = 33
		refs = "0009 VarToDateTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5173_0 {
	meta:
		name = "TDateField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TDateTimeField.Create 0020 TField.SetDataType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 09 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5175_0 {
	meta:
		name = "TTimeField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TDateTimeField.Create 0020 TField.SetDataType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0A 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16470_0 {
	meta:
		name = "TQRChildBand.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TQRCustomBand.Create 0020 TQRCustomBand.SetBandType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0A 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5178_0 {
	meta:
		name = "TBinaryField.CheckTypeSize"
		size = 78
		refs = "0009 TBinaryField.CheckTypeSize 001b SInvalidFieldSize 0020 LoadResString 002a DatabaseError 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5179_0 {
	meta:
		name = "TBinaryField.GetAsString"
		size = 42
		refs = "0013 @LStrSetLength 001a @LStrToPChar 0023 TField.GetData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 64 0F B7 D0 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5180_0 {
	meta:
		name = "TBinaryField.SetAsString"
		size = 222
		refs = "0010 TBinaryField.SetAsString 0027 @LStrLen 0035 @LStrLAsg 0049 @LStrSetLength 005c @LStrToPChar 0064 @FillChar 00a6 Move 00b7 TField.SetData 00cc @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 64 0F B7 F8 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0C 8D 45 FC 8B D6 E8 ?? ?? ?? ?? EB 6F 8B C3 8B 10 FF 52 64 0F B7 D0 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 64 0F B7 C0 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 64 0F B7 F8 8B C6 E8 ?? ?? ?? ?? 3B F8 7D 0C 8B C3 8B 10 FF 52 64 0F B7 F8 EB 09 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5181_0 {
	meta:
		name = "TBinaryField.GetAsVariant"
		size = 18
		altNames = "TCustomTeePanel.GetRectangle TReferenceField.GetAsVariant"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 44 5E 5B C3 }
	condition:
		$1
}

rule function_5182_0 {
	meta:
		name = "TBinaryField.SetVarValue"
		size = 15
		altNames = "TReferenceField.SetVarValue"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 84 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5183_0 {
	meta:
		name = "TBinaryField.GetText"
		size = 79
		refs = "000f TBinaryField.GetText 001f TField.GetAsString 0029 @LStrAsg 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5221_0 {
	meta:
		name = "TBlobField.GetText"
		size = 79
		refs = "000f TBlobField.GetText 001f TField.GetAsString 0029 @LStrAsg 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5184_0 {
	meta:
		name = "TBinaryField.SetText"
		size = 44
		refs = "0005 TBinaryField.SetText 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 04 00 00 00 54 65 78 74 00 00 00 00 }
	condition:
		$1
}

rule function_5236_0 {
	meta:
		name = "TBlobField.SetText"
		size = 44
		refs = "0005 TBlobField.SetText 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 04 00 00 00 54 65 78 74 00 00 00 00 }
	condition:
		$1
}

rule function_5185_0 {
	meta:
		name = "TBytesField.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TBinaryField.Create 0020 TField.SetDataType 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0C 8B C6 E8 ?? ?? ?? ?? 66 BA 10 00 8B C6 8B 08 FF 91 AC 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5187_0 {
	meta:
		name = "TVarBytesField.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TBytesField.Create 0020 TField.SetDataType 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0D 8B C6 E8 ?? ?? ?? ?? 66 BA 10 00 8B C6 8B 08 FF 91 AC 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5188_0 {
	meta:
		name = "TVarBytesField.GetDataSize"
		size = 16
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 78 66 83 C0 02 5B C3 }
	condition:
		$1
}

rule function_5189_0 {
	meta:
		name = "TBCDField.Create"
		size = 172
		refs = "0011 @ClassCreate 001e TNumericField.Create 0027 TField.SetDataType 003b TBCDField.Create 004b DecimalSeparator 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 08 8B C6 E8 ?? ?? ?? ?? 66 BA 04 00 8B C6 8B 08 FF 91 AC 00 00 00 56 BE ?? ?? ?? ?? 8D 7D E0 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 8A 00 25 FF 00 00 00 0F AB 45 E0 56 8D BE 88 00 00 00 8D 75 E0 B9 08 00 00 00 F3 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5190_0 {
	meta:
		name = "TBCDField.CheckTypeSize"
		size = 79
		refs = "0009 TBCDField.CheckTypeSize 001c SInvalidFieldSize 0021 LoadResString 002b DatabaseError 0040 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 20 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5191_0 {
	meta:
		name = "TBCDField.GetAsCurrency"
		size = 35
		refs = "000b TBCDField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DF 2C 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5192_0 {
	meta:
		name = "TBCDField.GetAsFloat"
		size = 36
		refs = "000f TBCDField.GetAsFloat"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 48 D8 35 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5193_0 {
	meta:
		name = "TBCDField.GetAsInteger"
		size = 28
		refs = "000c TBCDField.GetAsInteger 0011 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 48 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5194_0 {
	meta:
		name = "TBCDField.GetAsString"
		size = 51
		refs = "000e TBCDField.GetValue 0021 CurrToStr 002a @LStrClr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5195_0 {
	meta:
		name = "TBCDField.GetAsVariant"
		size = 52
		refs = "000e TBCDField.GetValue 001c @VarFromCurr 0026 Null 002b @VarCopy"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C DF 2C 24 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5196_0 {
	meta:
		name = "TBCDField.GetDataSize"
		size = 5
	strings:
		$1 = { 66 B8 22 00 C3 }
	condition:
		$1
}

rule function_5197_0 {
	meta:
		name = "TBCDField.GetDefaultWidth"
		size = 20
		refs = "000f TField.GetDefaultWidth"
	strings:
		$1 = { 8B 90 E4 00 00 00 85 D2 7E 04 42 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5198_0 {
	meta:
		name = "TBCDField.GetText"
		size = 316
		refs = "0022 TBCDField.GetText 0035 TField.GetData 0073 @LStrLAsg 00a4 CurrencyDecimals 00c2 CurrToStrF 00cf @LStrAsg 00e5 FormatCurr 00fb SBCDOverflow 0100 LoadResString 0109 @LStrClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D EC FE FF FF 89 5D F8 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C5 00 00 00 8D 4D F0 8D 95 F0 FE FF FF 8B 43 24 8B 38 FF 57 34 84 C0 0F 84 9E 00 00 00 80 7D FF 00 75 09 83 BB CC 00 00 00 00 75 10 8D 45 F8 8B 93 C8 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 93 CC 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 48 80 BB D0 00 00 00 00 74 17 80 7D FF 00 74 04 B3 04 EB 02 B3 02 8B 3D ?? ?? ?? ?? 0F B6 3F EB 04 33 DB 33 FF FF 75 F4 FF 75 F0 8D 8D EC FE FF FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 38 FF 75 F4 FF 75 F0 8D 95 EC FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 15 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5199_0 {
	meta:
		name = "TBCDField.GetValue"
		size = 202
		refs = "0023 TBCDField.GetValue 0036 TField.GetData 0060 TField.GetDisplayName 0085 SFieldOutOfRange 008a LoadResString 0098 DatabaseErrorFmt 00b5 @LStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C9 89 8D F0 FE FF FF 89 8D EC FE FF FF 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 5C 8B 4D FC 8D 95 FC FE FF FF 8B 46 24 8B 38 FF 57 34 84 C0 75 47 6A 00 8D 95 F0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 89 85 F4 FE FF FF C6 85 F8 FE FF FF 0B 8D 85 F4 FE FF FF 50 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5200_0 {
	meta:
		name = "TBCDField.SetAsCurrency"
		size = 180
		refs = "003b TBCDField.SetAsCurrency 006f TNumericField.RangeError 00a1 TField.SetData"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 8B D8 80 BB D1 00 00 00 00 74 5D DF 6D 08 DF AB D4 00 00 00 DE D9 DF E0 9E 77 10 DF 6D 08 DF AB DC 00 00 00 DE D9 DF E0 9E 73 3D DF 6D 08 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B DF AB D4 00 00 00 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B DF AB DC 00 00 00 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 78 0F B7 C0 50 8D 95 00 FF FF FF 8B 8B E4 00 00 00 8B 43 24 8B 30 FF 56 38 8D 95 00 FF FF FF 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5201_0 {
	meta:
		name = "TBCDField.SetAsFloat"
		size = 36
		refs = "0008 TBCDField.SetAsFloat"
	strings:
		$1 = { 55 8B EC DD 45 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 10 FF 92 88 00 00 00 5D C2 08 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5202_0 {
	meta:
		name = "TBCDField.SetAsInteger"
		size = 40
		refs = "000c TBCDField.SetAsInteger"
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 8B 10 FF 92 88 00 00 00 5A 5E C3 00 40 1C 46 }
	condition:
		$1
}

rule function_5203_0 {
	meta:
		name = "TBCDField.SetAsString"
		size = 187
		refs = "0018 TBCDField.SetAsString 0035 @LStrToPChar 003f TextToFloat 0056 TField.GetDisplayName 006c SInvalidFloatValue 0071 LoadResString 007f DatabaseErrorFmt 00a9 @LStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0C 8B C6 8B 10 FF 92 B8 00 00 00 EB 61 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 B1 01 E8 ?? ?? ?? ?? 84 C0 75 3C 6A 00 89 5D E8 C6 45 EC 0B 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8B C6 8B 10 FF 92 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5205_0 {
	meta:
		name = "TBCDField.SetMaxValue"
		size = 30
		refs = "0016 TBCDField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 DC 00 00 00 8B 55 0C 89 90 E0 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5206_0 {
	meta:
		name = "TBCDField.SetMinValue"
		size = 30
		refs = "0016 TBCDField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 D4 00 00 00 8B 55 0C 89 90 D8 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5207_0 {
	meta:
		name = "TBCDField.SetPrecision"
		size = 60
		refs = "0035 TField.PropertyChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 85 C0 74 05 8B 10 FF 52 44 85 F6 7D 02 33 F6 83 FE 20 7E 05 BE 20 00 00 00 3B B3 E4 00 00 00 74 0F 89 B3 E4 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5208_0 {
	meta:
		name = "TBCDField.SetVarValue"
		size = 33
		refs = "0009 @VarToCurr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 8B 10 FF 92 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5209_0 {
	meta:
		name = "TBCDField.UpdateCheckRange"
		size = 56
		refs = "000a TBCDField.UpdateCheckRange"
	strings:
		$1 = { 8B D0 DF AA D4 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 15 DF AA DC 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 33 C0 EB 02 B0 01 88 82 D1 00 00 00 C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5210_0 {
	meta:
		name = "TBlobField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 0F 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5211_0 {
	meta:
		name = "TBlobField.Assign"
		size = 153
		refs = "000a _DV_TBlobField 000f @IsClass 001c TBlobField.LoadFromBlob 0027 _Dn_TStrings 0039 TBlobField.LoadFromStrings 0044 _Dn_TBitmap 0056 TBlobField.LoadFromBitmap 0061 _Dn_TPicture 0092 TField.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5212_0 {
	meta:
		name = "TBlobField.AssignTo"
		size = 112
		refs = "000a _Dn_TStrings 000f @IsClass 001c TBlobField.SaveToStrings 0027 _Dn_TBitmap 0039 TBlobField.SaveToBitmap 0044 _Dn_TPicture 0054 TPicture.GetBitmap 0069 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5213_0 {
	meta:
		name = "TBlobField.Clear"
		size = 25
		refs = "0013 TObject.Free"
	strings:
		$1 = { 53 8B D8 B1 01 8B D3 8B 43 24 8B 18 FF 93 B4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5214_0 {
	meta:
		name = "TBlobField.FreeBuffers"
		size = 31
	strings:
		$1 = { 53 8B D8 80 BB C8 00 00 00 00 74 11 8B D3 8B 43 24 8B 08 FF 51 50 C6 83 C8 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5215_0 {
	meta:
		name = "TBlobField.GetAsString"
		size = 112
		refs = "001f TBlobField.GetAsString 002d TStream.GetSize 003b @LStrFromPCharLen 004a TStream.ReadBuffer 005f TObject.Free 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B 50 24 33 C9 92 8B 18 FF 93 B4 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8B 12 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5217_0 {
	meta:
		name = "TBlobField.GetBlobSize"
		size = 86
		refs = "001c TBlobField.GetBlobSize 002a TStream.GetSize 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 50 24 33 C9 92 8B 18 FF 93 B4 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5218_0 {
	meta:
		name = "TBlobField.GetBlobType"
		size = 4
		altNames = "TPrinterSettings.GetOrientation"
	strings:
		$1 = { 8A 40 30 C3 }
	condition:
		$1
}

rule function_5219_0 {
	meta:
		name = "TBlobField.GetIsNull"
		size = 113
		refs = "000c TBlobField.GetModified 002a TBlobField.GetIsNull 0038 TStream.GetSize 0053 TObject.Free 0059 @HandleFinally 0062 TField.GetIsNull"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 43 24 33 C9 8B D3 8B 18 FF 93 B4 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5220_0 {
	meta:
		name = "TBlobField.GetModified"
		size = 29
	strings:
		$1 = { 80 B8 C8 00 00 00 00 74 0E 8B 50 24 8B 52 48 3B 90 CC 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5223_0 {
	meta:
		name = "TBlobField.LoadFromBitmap"
		size = 188
		refs = "0023 TBlobField.LoadFromBitmap 0068 TStream.GetPosition 0078 TStream.SetPosition 00aa TObject.Free 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B D8 8B 43 24 B1 01 8B D3 8B 30 FF 96 B4 01 00 00 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8A 43 30 3C 11 74 04 3C 15 75 56 66 C7 45 F0 01 00 66 C7 45 F2 00 01 33 C0 89 45 F4 8D 55 F0 B9 08 00 00 00 8B 45 F8 8B 18 FF 53 08 8B 55 F8 8B 45 FC 8B 08 FF 51 54 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 08 89 45 F4 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 B9 08 00 00 00 8B 45 F8 8B 18 FF 53 08 EB 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5224_0 {
	meta:
		name = "TBlobField.LoadFromBlob"
		size = 83
		refs = "001d TBlobField.LoadFromBlob 002d TBlobField.SaveToStream 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 B1 01 92 8B 30 FF 96 B4 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5226_0 {
	meta:
		name = "TBlobField.LoadFromStream"
		size = 85
		refs = "001d TBlobField.LoadFromStream 002f TStream.CopyFrom 0044 TObject.Free 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 B1 01 92 8B 30 FF 96 B4 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5227_0 {
	meta:
		name = "TBlobField.LoadFromStrings"
		size = 83
		refs = "001d TBlobField.LoadFromStrings 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B 50 24 B1 01 92 8B 18 FF 93 B4 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5228_0 {
	meta:
		name = "TBlobField.SaveToBitmap"
		size = 152
		refs = "0020 TBlobField.SaveToBitmap 002e TStream.GetSize 0066 TStream.SetPosition 0086 TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B 50 24 33 C9 92 8B 18 FF 93 B4 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 FB 08 7C 31 8D 55 F0 B9 08 00 00 00 8B 45 F8 8B 30 FF 56 04 66 83 7D F0 01 75 10 66 81 7D F2 00 01 75 08 83 EB 08 3B 5D F4 74 0A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5230_0 {
	meta:
		name = "TBlobField.SaveToStream"
		size = 85
		refs = "001d TBlobField.SaveToStream 002f TStream.CopyFrom 0044 TObject.Free 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 33 C9 92 8B 30 FF 96 B4 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5231_0 {
	meta:
		name = "TBlobField.SaveToStrings"
		size = 83
		refs = "001d TBlobField.SaveToStrings 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B 50 24 33 C9 92 8B 18 FF 93 B4 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5232_0 {
	meta:
		name = "TBlobField.SetAsString"
		size = 92
		refs = "001d TBlobField.SetAsString 002a @LStrLen 0036 TStream.WriteBuffer 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 24 B1 01 92 8B 30 FF 96 B4 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5233_0 {
	meta:
		name = "TBlobField.SetBlobType"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 C4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5234_0 {
	meta:
		name = "TBlobField.SetFieldType"
		size = 16
		refs = "000b TField.SetDataType"
	strings:
		$1 = { 8B CA 80 C1 F1 80 E9 07 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5235_0 {
	meta:
		name = "TBlobField.SetModified"
		size = 25
	strings:
		$1 = { 8B CA 88 88 C8 00 00 00 84 C9 74 0C 8B 50 24 8B 52 48 89 90 CC 00 00 00 C3 }
	condition:
		$1
}

rule function_5238_0 {
	meta:
		name = "TMemoField.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TBlobField.Create 0020 TField.SetDataType 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 10 8B C6 E8 ?? ?? ?? ?? C6 86 D0 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5239_0 {
	meta:
		name = "TGraphicField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TBlobField.Create 0020 TField.SetDataType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 11 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5240_0 {
	meta:
		name = "TObjectField.Create"
		size = 96
		refs = "000f @ClassCreate 001f _DV_TFields 0024 TFields.Create 003d TField.Create 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 CC 00 00 00 89 B3 C8 00 00 00 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5241_0 {
	meta:
		name = "TObjectField.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 TField.Destroy 001e TObject.Free 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5243_0 {
	meta:
		name = "TObjectField.WriteUnNamed"
		size = 13
		refs = "0008 TWriter.WriteBoolean"
	strings:
		$1 = { 8A 80 D8 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5244_0 {
	meta:
		name = "UnNamedStored"
		size = 56
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 1C 85 C0 74 1A 8B 55 08 8B 52 F8 8A 92 D8 00 00 00 8B 4D 08 3A 90 D8 00 00 00 0F 95 C0 5D C3 8B 45 08 8B 40 F8 8A 80 D8 00 00 00 5D C3 }
	condition:
		$1
}

rule function_5245_0 {
	meta:
		name = "TObjectField.DefineProperties"
		size = 84
		refs = "0014 TField.DefineProperties 001d TObjectField.ReadUnNamed 0026 TObjectField.WriteUnNamed 002c UnNamedStored 0034 TObjectField.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 FF FF FF FF 07 00 00 00 55 6E 4E 61 6D 65 64 00 }
	condition:
		$1
}

rule function_5246_0 {
	meta:
		name = "TObjectField.GetChildren"
		size = 82
		refs = "0018 TFields.GetCount 0032 TFields.GetField"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 27 43 33 F6 8B 45 FC 8B 80 CC 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DC 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5247_0 {
	meta:
		name = "TObjectField.SetChildOrder"
		size = 54
		refs = "000d _DV_TField 0012 @AsClass 0021 TFields.IndexOf 002e TField.SetIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5248_0 {
	meta:
		name = "TObjectField.GetDefaultWidth"
		size = 85
		refs = "0012 TFields.GetCount 0038 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F0 BD 0A 00 00 00 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 34 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1B 43 33 FF 8B D7 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 68 03 E8 47 4B 75 E8 D1 FD 79 03 83 D5 00 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5249_0 {
	meta:
		name = "TObjectField.GetHasConstraints"
		size = 75
		refs = "0009 TField.GetHasConstraints 001a TFields.GetCount 0031 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 75 31 8B 87 C8 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1F 46 33 ED 8B 87 C8 00 00 00 8B D5 E8 ?? ?? ?? ?? 8B 10 FF 52 70 8B D8 84 DB 75 04 45 4E 75 E4 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5250_0 {
	meta:
		name = "TObjectField.SetFieldKind"
		size = 210
		refs = "0031 TDataSetDesigner.BeginDesign 0039 TObjectField.SetFieldKind 0050 TFields.GetCount 0067 TFields.GetField 0086 TDataSetDesigner.EndDesign 008c @HandleFinally 0095 TField.CheckInactive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FF 8B D8 8A 43 32 3A 45 FF 0F 84 B1 00 00 00 8B 43 24 85 C0 74 71 83 78 60 00 74 6B 8B 40 60 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 FF 88 43 32 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1A 46 33 FF 8B 83 C8 00 00 00 8B D7 E8 ?? ?? ?? ?? 8A 55 FF 88 50 32 47 4E 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 8A 45 FF 88 43 32 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1A 46 33 FF 8B 83 C8 00 00 00 8B D7 E8 ?? ?? ?? ?? 8A 55 FF 88 50 32 47 4E 75 E9 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5251_0 {
	meta:
		name = "TObjectField.DataSetChanged"
		size = 89
		refs = "0014 TFields.GetCount 002b TFields.GetField 0051 TDataSet.SetObjectView"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 CC 00 00 00 8B 43 24 89 46 08 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 21 40 89 C6 33 FF 8B D7 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B 53 24 8B 08 FF 91 A0 00 00 00 47 4E 75 E4 8B 43 24 85 C0 74 10 80 B8 99 00 00 00 00 75 07 B2 01 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5252_0 {
	meta:
		name = "TObjectField.SetDataSet"
		size = 31
		refs = "0012 TField.SetDataSet 0019 TObjectField.DataSetChanged"
	strings:
		$1 = { 53 8B D8 8B 83 CC 00 00 00 89 83 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5253_0 {
	meta:
		name = "TObjectField.SetParentField"
		size = 31
		refs = "0012 TField.SetParentField 0019 TObjectField.DataSetChanged"
	strings:
		$1 = { 53 8B D8 8B 83 CC 00 00 00 89 83 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5255_0 {
	meta:
		name = "TObjectField.FreeBuffers"
		size = 52
		refs = "000c TFields.GetCount 0023 TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 CC 00 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 F6 8B 87 CC 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 3C 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5256_0 {
	meta:
		name = "TObjectField.GetFieldCount"
		size = 20
		refs = "000e TFields.GetCount"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 C8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5257_0 {
	meta:
		name = "TObjectField.GetFields"
		size = 7
	strings:
		$1 = { 8B 80 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_5258_0 {
	meta:
		name = "ValueToStr"
		size = 364
		refs = "001c ValueToStr 0029 @LStrClr 0031 VarIsArray 0046 VarArrayHighBound 006d @VarArrayGet 0099 VarToStr 00ad @LStrCatN 00ba ListSeparator 00cd @PStrCpy 00dc @PStrNCat 00e7 @LStrFromString 012d @VarClr 013a @LStrArrayClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B FE 85 FF 0F 8C A1 00 00 00 47 33 F6 56 6A 01 8B 45 FC 50 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 50 8D 55 F8 8D 45 E4 E8 ?? ?? ?? ?? 59 EB 0B 8D 55 F8 8D 45 E4 E8 ?? ?? ?? ?? FF 33 FF 75 F4 FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 85 F6 75 36 8D 45 E0 8B 15 ?? ?? ?? ?? 8A 12 88 50 01 C6 00 01 8D 55 E0 8D 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 45 DC B1 02 E8 ?? ?? ?? ?? 8D 55 DC 8D 45 F4 E8 ?? ?? ?? ?? 46 4F 0F 85 6E FF FF FF EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 3B 00 74 18 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 01 20 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_5259_0 {
	meta:
		name = "TObjectField.GetAsString"
		size = 144
		refs = "0015 TObjectField.GetAsString 0030 TFields.GetCount 004a ValueToStr 0055 @LStrLAsg 0060 TField.GetAsString 0075 @VarClr 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 C8 00 00 00 3B B3 CC 00 00 00 75 2E 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 23 55 8D 55 EC 8B C3 8B 08 FF 51 5C 8D 45 EC 8D 55 FC E8 ?? ?? ?? ?? 59 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5260_0 {
	meta:
		name = "TObjectField.GetFieldValue"
		size = 33
		refs = "0012 TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5261_0 {
	meta:
		name = "TObjectField.SetFieldValue"
		size = 36
		refs = "0012 TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 91 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5262_0 {
	meta:
		name = "TObjectField.GetAsVariant"
		size = 203
		refs = "0021 TObjectField.GetAsVariant 003c Null 0041 @VarCopy 0054 TObjectField.GetFieldCount 006a VarArrayCreate 009c @VarArrayPut 00b8 @VarClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 84 C0 74 10 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 60 8B 45 F8 50 33 C0 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 48 89 45 F4 8D 45 F0 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 DB 53 6A 01 8D 4D E0 8B D3 8B 45 FC 8B 38 FF 97 CC 00 00 00 8D 45 E0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5263_0 {
	meta:
		name = "TObjectField.SetVarValue"
		size = 161
		refs = "0018 TObjectField.SetVarValue 002b VarArrayHighBound 0062 @VarArrayGet 008e @VarClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 43 8B 45 FC 8B 10 FF 52 78 0F B7 C0 3B D8 7E 0B 8B 45 FC 8B 10 FF 52 78 0F B7 D8 8B F3 4E 85 F6 7C 2A 46 33 DB 53 6A 01 8B 45 F8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 4D E8 8B D3 8B 45 FC 8B 38 FF 97 D0 00 00 00 43 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5264_0 {
	meta:
		name = "TObjectField.SetUnNamed"
		size = 7
	strings:
		$1 = { 88 90 D8 00 00 00 C3 }
	condition:
		$1
}

rule function_5265_0 {
	meta:
		name = "TADTField.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TObjectField.Create 0027 TADTField.FieldsChanged 0030 TField.SetDataType 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 C8 00 00 00 89 70 14 C7 40 10 ?? ?? ?? ?? B2 1A 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5266_0 {
	meta:
		name = "TADTField.FieldsChanged"
		size = 9
	strings:
		$1 = { 33 D2 89 90 D4 00 00 00 C3 }
	condition:
		$1
}

rule function_5267_0 {
	meta:
		name = "CalcTotalSize"
		size = 107
		refs = "000f TFields.GetCount 002e TFields.GetField 0047 _DV_TADTField 004c @AsClass 005c CalcTotalSize"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 01 02 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3F 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 30 1A 75 29 8B 45 08 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 C8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 59 43 4E 75 C4 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5268_0 {
	meta:
		name = "TADTField.GetSize"
		size = 44
		refs = "001d CalcTotalSize"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 BB D4 00 00 00 00 75 13 55 8D 93 D4 00 00 00 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 59 66 8B 83 D4 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_5269_0 {
	meta:
		name = "TArrayField.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TObjectField.Create 0020 TField.SetDataType 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 1B 8B C6 E8 ?? ?? ?? ?? 66 BA 0A 00 8B C6 8B 08 FF 91 AC 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5270_0 {
	meta:
		name = "TArrayField.Bind"
		size = 37
		refs = "0006 TField.Bind"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 24 80 B8 9A 00 00 00 00 74 0D 0F B7 43 38 8B 93 C8 00 00 00 89 42 0C 5B C3 }
	condition:
		$1
}

rule function_5271_0 {
	meta:
		name = "TArrayField.SetSize"
		size = 20
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 66 89 73 38 5E 5B C3 }
	condition:
		$1
}

rule function_5272_0 {
	meta:
		name = "TDataSetField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TObjectField.Create 0020 TField.SetDataType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 1D 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5273_0 {
	meta:
		name = "TDataSetField.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 0010 TDataSetField.AssignNestedDataSet 001b TObject.Free 0027 TObjectField.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5274_0 {
	meta:
		name = "TDataSetField.SetIncludeObjectField"
		size = 30
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 E0 00 00 00 85 C0 74 05 8B 10 FF 52 44 88 9E E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5275_0 {
	meta:
		name = "TDataSetField.Bind"
		size = 37
		refs = "000b TField.Bind 001e TDataSet.Close"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 E0 00 00 00 85 C0 74 09 84 DB 75 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5276_0 {
	meta:
		name = "TDataSetField.GetFields"
		size = 28
		refs = "000f TDataSetField.GetNestedDataSet 0016 TObjectField.GetFields"
	strings:
		$1 = { 53 8B D8 83 BB E0 00 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5277_0 {
	meta:
		name = "TDataSetField.GetNestedDataSet"
		size = 45
	strings:
		$1 = { 53 8B D8 83 BB E0 00 00 00 00 75 19 8B 43 24 F6 40 20 02 75 10 8B D3 8B 43 24 8B 08 FF 51 58 89 83 E0 00 00 00 8B 83 E0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5278_0 {
	meta:
		name = "TDataSetField.AssignNestedDataSet"
		size = 110
		refs = "0012 TDataSet.Close 002b TDataSet.GetNestedDataSets 0036 TList.Remove 0049 TList.Add"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 E0 00 00 00 85 C0 74 29 E8 ?? ?? ?? ?? 8B 83 E0 00 00 00 33 D2 89 50 78 8B 7B 24 85 FF 74 12 8B C7 E8 ?? ?? ?? ?? 8B 93 E0 00 00 00 E8 ?? ?? ?? ?? 85 F6 74 1A 8B 43 24 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 46 24 89 83 C8 00 00 00 EB 0C 8B 83 CC 00 00 00 89 83 C8 00 00 00 89 B3 E0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5279_0 {
	meta:
		name = "TReferenceField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TDataSetField.Create 0020 TField.SetDataType 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 1C 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5280_0 {
	meta:
		name = "TReferenceField.Assign"
		size = 57
		refs = "000a _DV_TDataSet 000f @IsClass 001d TFields.GetField 0026 TField.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 46 24 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5281_0 {
	meta:
		name = "TReferenceField.GetDataSize"
		size = 9
	strings:
		$1 = { 66 8B 40 38 66 83 C0 02 C3 }
	condition:
		$1
}

rule function_5284_0 {
	meta:
		name = "TAggregateField.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetDataType 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 34 00 C6 46 32 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5285_0 {
	meta:
		name = "TAggregateField.SetHandle"
		size = 7
	strings:
		$1 = { 89 90 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_5286_0 {
	meta:
		name = "TAggregateField.GetHandle"
		size = 7
	strings:
		$1 = { 8B 80 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_5287_0 {
	meta:
		name = "TAggregateField.SetActive"
		size = 132
		refs = "0022 TAggregateField.SetActive 0045 TDataSet.GetActive 0066 @HandleAnyException 0075 @RaiseAgain 007a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 3A 90 C8 00 00 00 74 69 8B 45 FC 88 90 C8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 01 75 26 8B 45 FC 83 78 24 00 74 1D 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 40 24 8B 55 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC C6 80 C8 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5288_0 {
	meta:
		name = "TAggregateField.SetGroupingLevel"
		size = 142
		refs = "0020 TAggregateField.SetGroupingLevel 004c TDataSet.GetActive 006d @HandleAnyException 007e @RaiseAgain 0083 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 80 D4 00 00 00 3B D0 74 6E 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 90 D4 00 00 00 8B 45 FC F6 40 20 01 75 26 8B 45 FC 83 78 24 00 74 1D 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 40 24 8B 55 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 D4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5289_0 {
	meta:
		name = "TAggregateField.SetIndexName"
		size = 241
		refs = "0018 @LStrAddRef 0020 TAggregateField.SetIndexName 0037 @LStrCmp 005c @LStrLAsg 006c @LStrAsg 0089 TDataSet.GetActive 00aa @HandleAnyException 00bf @RaiseAgain 00c4 @DoneExcept 00de @LStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 8B 92 D8 00 00 00 E8 ?? ?? ?? ?? 0F 84 87 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC 8B 92 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 75 26 8B 45 FC 83 78 24 00 74 1D 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 40 24 8B 55 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5290_0 {
	meta:
		name = "TAggregateField.SetExpression"
		size = 241
		refs = "0018 @LStrAddRef 0020 TAggregateField.SetExpression 0037 @LStrCmp 005c @LStrLAsg 006c @LStrAsg 0089 TDataSet.GetActive 00aa @HandleAnyException 00bf @RaiseAgain 00c4 @DoneExcept 00de @LStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 8B 92 D0 00 00 00 E8 ?? ?? ?? ?? 0F 84 87 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC 8B 92 D0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 75 26 8B 45 FC 83 78 24 00 74 1D 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 40 24 8B 55 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5291_0 {
	meta:
		name = "TAggregateField.GetAsString"
		size = 90
		refs = "0013 TAggregateField.GetAsString 0033 VarToStr 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D3 8B 43 24 8B 18 FF 93 B8 00 00 00 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5292_0 {
	meta:
		name = "TAggregateField.GetAsVariant"
		size = 24
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B D3 8B 43 24 8B 18 FF 93 B8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5293_0 {
	meta:
		name = "TIndexDef.Create"
		size = 87
		refs = "000d @ClassCreate 001a TCollectionItem.Create 0025 @LStrAsg 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 10 E8 ?? ?? ?? ?? 8D 46 14 8B 55 0C E8 ?? ?? ?? ?? 8A 45 08 88 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_5294_0 {
	meta:
		name = "TIndexDef.Assign"
		size = 249
		refs = "0016 TIndexDef.Assign 0024 _DV_TIndexDef 0029 @IsClass 005b TIndexDef.SetOptions 0071 TIndexDef.SetSource 007b TIndexDef.GetExpression 0086 TIndexDef.SetExpression 0090 TIndexDef.GetFields 009b TIndexDef.SetFields 00c6 @HandleFinally 00d2 TPersistent.Assign 00e7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 97 00 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8A 53 20 8B 45 FC E8 ?? ?? ?? ?? 8B 53 0C 8B 45 FC 8B 08 FF 51 14 8B 53 10 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 43 24 8B 55 FC 89 42 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5295_0 {
	meta:
		name = "TIndexDef.SetOptions"
		size = 33
		refs = "001a TCollectionItem.Changed"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 43 20 3A 04 24 74 0F 8A 04 24 88 43 20 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_5296_0 {
	meta:
		name = "TIndexDef.SetSource"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 74 13 8D 43 10 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5297_0 {
	meta:
		name = "TIndexDef.GetExpression"
		size = 35
		refs = "0012 @LStrLAsg 001c @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 74 0D 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5298_0 {
	meta:
		name = "TIndexDef.SetExpression"
		size = 54
		refs = "000c @LStrCmp 0026 @LStrAsg 002f TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 75 0A 85 F6 74 1D F6 43 20 10 75 17 80 4B 20 10 8D 43 14 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5299_0 {
	meta:
		name = "TIndexDef.GetFields"
		size = 35
		refs = "000f @LStrClr 001c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5300_0 {
	meta:
		name = "TIndexDef.SetFields"
		size = 50
		refs = "000c @LStrCmp 0022 @LStrAsg 002b TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 75 06 F6 43 20 10 74 17 80 63 20 EF 8D 43 14 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5301_0 {
	meta:
		name = "TIndexDef.SetDescFields"
		size = 48
		refs = "000c @LStrCmp 0020 @LStrAsg 0029 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 E8 ?? ?? ?? ?? 74 1B 85 F6 74 04 80 4B 20 04 8D 43 18 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5302_0 {
	meta:
		name = "TIndexDef.SetCaseInsFields"
		size = 48
		refs = "000c @LStrCmp 0020 @LStrAsg 0029 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 1C E8 ?? ?? ?? ?? 74 1B 85 F6 74 04 80 4B 20 08 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5303_0 {
	meta:
		name = "TIndexDefs.Create"
		size = 69
		refs = "000b @ClassCreate 0017 _DV_TIndexDef 0023 TDefCollection.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 56 A1 ?? ?? ?? ?? 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5305_0 {
	meta:
		name = "TIndexDefs.Add"
		size = 161
		refs = "0018 TIndexDefs.Add 0027 TDefCollection.IndexOf 0037 SDuplicateIndexName 003c LoadResString 0052 DatabaseErrorFmt 0059 TIndexDefs.AddIndexDef 006d TIndexDef.SetFields 0077 TIndexDef.SetOptions 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 27 8B 43 1C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 14 8B D7 8B C3 E8 ?? ?? ?? ?? 8A 55 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5306_0 {
	meta:
		name = "TIndexDefs.FindIndexForFields"
		size = 126
		refs = "0016 TIndexDefs.FindIndexForFields 0027 TIndexDefs.GetIndexForFields 0039 SNoIndexForFields 003e LoadResString 0054 DatabaseErrorFmt 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 27 8B 43 1C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5307_0 {
	meta:
		name = "TIndexDefs.GetIndexForFields"
		size = 332
		refs = "001e TIndexDefs.GetIndexForFields 002c TIndexDefs.Update 0034 @LStrLen 0043 TCollection.GetCount 005b TIndexDefs.GetIndexDef 008f TIndexDef.GetFields 009a AnsiCompareText 00be @LStrCopy 012d @LStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 C6 45 F6 01 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C B4 00 00 00 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 0F 85 87 00 00 00 80 7D F7 00 74 06 F6 43 20 08 74 7B 80 7D F6 00 74 1B 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 75 EB 5A 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 2D 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 3B 45 F0 74 2F 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F0 80 3C 10 3B 74 19 47 4E 0F 85 4F FF FF FF 80 7D F6 00 74 09 C6 45 F6 00 E9 2A FF FF FF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5311_0 {
	meta:
		name = "TIndexDefs.Update"
		size = 19
		refs = "000e TDefCollection.UpdateDefs"
	strings:
		$1 = { 8B 50 1C 52 8B 12 8B 92 4C 01 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5312_0 {
	meta:
		name = "TDataLink.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5313_0 {
	meta:
		name = "TDataLink.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001c TDataLink.SetDataSource 0028 TPersistent.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 15 00 C6 46 17 00 C6 46 19 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5314_0 {
	meta:
		name = "TDataLink.UpdateRange"
		size = 86
		refs = "0008 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 78 48 2B 7B 0C 47 85 FF 7D 02 33 FF 8B C3 E8 ?? ?? ?? ?? 8B 70 40 2B 73 0C 85 F6 7D 02 33 F6 8B C3 E8 ?? ?? ?? ?? 3B 70 48 7E 0A 8B C3 E8 ?? ?? ?? ?? 8B 70 48 3B 7B 10 7E 03 89 7B 10 3B 73 10 7D 03 89 73 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5315_0 {
	meta:
		name = "TDataLink.GetDataSet"
		size = 14
	strings:
		$1 = { 8B 50 04 85 D2 74 04 8B 42 24 C3 33 C0 C3 }
	condition:
		$1
}

rule function_5316_0 {
	meta:
		name = "TDataLink.SetDataSource"
		size = 121
		refs = "000f TDataLink.SetDataSource 0028 SDataSourceChange 002d LoadResString 0038 DatabaseError 0046 TDataSource.RemoveDataLink 0053 TDataSource.AddDataLink 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 04 74 39 80 7B 19 00 74 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5317_0 {
	meta:
		name = "TDataLink.SetReadOnly"
		size = 14
		refs = "0009 TDataLink.UpdateState"
	strings:
		$1 = { 3A 50 14 74 08 88 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9933_0 {
	meta:
		name = "THTMLTableAttributes.SetAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 14 74 08 88 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9941_0 {
	meta:
		name = "THTMLTableElementAttributes.SetAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 14 74 08 88 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5318_0 {
	meta:
		name = "TDataLink.SetActive"
		size = 38
		refs = "0012 TDataLink.UpdateRange"
	strings:
		$1 = { 53 8B D8 3A 53 15 74 1C 88 53 15 84 D2 74 09 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 43 10 8B C3 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_5319_0 {
	meta:
		name = "TDataLink.SetEditing"
		size = 14
	strings:
		$1 = { 3A 50 17 74 08 88 50 17 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_5320_0 {
	meta:
		name = "TDataLink.UpdateState"
		size = 66
		refs = "0019 TDataLink.SetActive 003c TDataLink.SetEditing"
	strings:
		$1 = { 53 8B D8 8B 43 04 85 C0 74 06 80 78 2E 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 0F 8A 40 2E 04 FE 2C 03 73 06 80 7B 14 00 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5321_0 {
	meta:
		name = "TDataLink.UpdateRecord"
		size = 67
		refs = "0012 TDataLink.UpdateRecord 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 18 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 C3 E9 ?? ?? ?? ?? EB F1 59 5D C3 }
	condition:
		$1
}

rule function_5322_0 {
	meta:
		name = "TDataLink.Edit"
		size = 28
		refs = "0013 TDataSource.Edit"
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 0E 83 7B 04 00 74 08 8B 43 04 E8 ?? ?? ?? ?? 8A 43 17 5B C3 }
	condition:
		$1
}

rule function_5323_0 {
	meta:
		name = "TDataLink.GetActiveRecord"
		size = 24
	strings:
		$1 = { 8B 50 04 80 7A 2E 04 75 03 33 C0 C3 8B 52 24 8B 52 48 2B 50 10 8B C2 C3 }
	condition:
		$1
}

rule function_5324_0 {
	meta:
		name = "TDataLink.SetActiveRecord"
		size = 19
	strings:
		$1 = { 8B 48 04 80 79 2E 04 74 09 03 50 10 8B 41 24 89 50 48 C3 }
	condition:
		$1
}

rule function_5325_0 {
	meta:
		name = "TDataLink.SetBufferCount"
		size = 45
		refs = "0014 TDataLink.UpdateRange 001b TDataLink.GetDataSet 0020 TDataSet.UpdateBufferCount"
	strings:
		$1 = { 53 8B D8 3B 53 0C 74 23 89 53 0C 80 7B 15 00 74 1A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5326_0 {
	meta:
		name = "TDataLink.GetRecordCount"
		size = 35
	strings:
		$1 = { 8B 50 04 80 7A 2E 04 75 08 BA 01 00 00 00 8B C2 C3 8B 52 24 8B 52 44 8B 48 0C 3B D1 7E 02 8B D1 8B C2 C3 }
	condition:
		$1
}

rule function_5327_0 {
	meta:
		name = "TDataLink.DataEvent"
		size = 246
		refs = "000f TDataLink.UpdateState 0032 TDataLink.DataEvent 00da TDataLink.UpdateRecord"
	strings:
		$1 = { 56 57 55 8B F9 8B F0 80 FA 06 75 0C 8B C6 E8 ?? ?? ?? ?? E9 DA 00 00 00 80 7E 15 00 0F 84 D0 00 00 00 33 C0 8A C2 83 F8 0A 0F 87 C3 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 7E 18 00 0F 85 86 00 00 00 8B D7 8B C6 8B 08 FF 51 44 EB 7B 33 C0 8B 4E 04 80 79 2E 04 74 29 8B 49 24 8B 69 48 8B 4E 10 03 CF 8B 7E 0C 03 F9 4F 3B FD 7D 06 8B C5 2B C7 EB 08 3B CD 7E 04 8B C5 2B C1 8D 0C 08 89 4E 10 80 EA 02 74 0A FE CA 74 0F FE CA 74 16 EB 38 8B C6 8B 10 FF 52 18 EB 2F 8B D0 8B C6 8B 08 FF 51 1C EB 24 8B C6 8B 10 FF 52 3C EB 1B 8B C6 E8 ?? ?? ?? ?? EB 12 8B C6 8B 10 FF 52 10 EB 09 8B D7 8B C6 8B 08 FF 51 24 5D 5F 5E C3 }
	condition:
		$1
}

rule function_5330_0 {
	meta:
		name = "TDataLink.DataSetChanged"
		size = 8
		altNames = "TFieldDataLink.Reset"
	strings:
		$1 = { 33 D2 8B 08 FF 51 44 C3 }
	condition:
		$1
}

rule function_5331_0 {
	meta:
		name = "TDataLink.DataSetScrolled"
		size = 6
		altNames = "TDataLink.LayoutChanged"
	strings:
		$1 = { 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_5333_0 {
	meta:
		name = "TDataLink.ExecuteAction"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 04 8B C6 8B 08 FF 51 38 84 C0 74 0F 8B 53 04 8B C6 8B 08 FF 51 40 B0 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5337_0 {
	meta:
		name = "TDataLink.UpdateAction"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 04 8B C6 8B 08 FF 51 38 84 C0 74 0F 8B 53 04 8B C6 8B 08 FF 51 3C B0 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5339_0 {
	meta:
		name = "TDataLink.GetBOF"
		size = 18
		refs = "0006 TDataLink.GetDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 80 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5340_0 {
	meta:
		name = "TDataLink.GetEOF"
		size = 18
		refs = "0006 TDataLink.GetDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 80 91 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5341_0 {
	meta:
		name = "TDataLink.GetBufferCount"
		size = 4
		altNames = "TIFileStream.GetFileStream TIMemoryStream.GetMemoryStream TOleForm.Form"
	strings:
		$1 = { 8B 40 0C C3 }
	condition:
		$1
}

rule function_5344_0 {
	meta:
		name = "TDataSource.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 C6 46 2C 01 C6 46 2D 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5345_0 {
	meta:
		name = "TDataSource.Destroy"
		size = 91
		refs = "0004 @BeforeDestruction 0019 TDataSource.SetDataSet 0022 TList.Last 002b TDataSource.RemoveDataLink 003c TObject.Free 0048 TComponent.Destroy 0053 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 89 47 30 89 47 34 33 D2 8B C7 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 28 83 7E 08 00 7F E7 8B 47 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5346_0 {
	meta:
		name = "TDataSource.Edit"
		size = 21
		refs = "0010 TDataSet.Edit"
	strings:
		$1 = { 80 78 2D 00 74 0E 80 78 2E 01 75 08 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5347_0 {
	meta:
		name = "TDataSource.SetState"
		size = 72
		refs = "0017 TDataSource.NotifyDataLinks"
	strings:
		$1 = { 53 56 8B F0 8A 46 2E 3A D0 74 3A 8B D8 88 56 2E 33 C9 B2 06 8B C6 E8 ?? ?? ?? ?? F6 46 20 08 75 24 66 83 7E 32 00 74 08 8B D6 8B 46 34 FF 56 30 84 DB 75 11 66 83 7E 3A 00 74 0A 33 C9 8B D6 8B 46 3C FF 56 38 5E 5B C3 }
	condition:
		$1
}

rule function_5348_0 {
	meta:
		name = "TDataSource.UpdateState"
		size = 35
		refs = "0016 TDataSource.SetState"
	strings:
		$1 = { 80 78 2C 00 74 15 83 78 24 00 74 0F 8B 50 24 8A 92 8D 00 00 00 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5349_0 {
	meta:
		name = "TDataSource.IsLinkedTo"
		size = 70
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 B3 01 85 ED 74 2F 8B 7D 78 85 FF 74 0F 8B 47 24 8B 10 FF 92 D0 00 00 00 3B F0 74 1B 8B C5 8B 10 FF 92 D0 00 00 00 85 C0 74 0B 3B F0 74 09 8B 68 24 85 ED 75 D1 33 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5350_0 {
	meta:
		name = "TDataSource.SetDataSet"
		size = 122
		refs = "000f TDataSource.SetDataSet 001e TDataSource.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0039 DatabaseError 0047 TDataSet.RemoveDataSource 0054 TDataSet.AddDataSource 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5351_0 {
	meta:
		name = "TDataSource.SetEnabled"
		size = 9
		refs = "0004 TDataSource.UpdateState"
	strings:
		$1 = { 88 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5352_0 {
	meta:
		name = "TDataSource.AddDataLink"
		size = 41
		refs = "000c TList.Add 001b TDataSet.UpdateBufferCount 0022 TDataLink.UpdateState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 28 E8 ?? ?? ?? ?? 89 5E 04 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5353_0 {
	meta:
		name = "TDataSource.RemoveDataLink"
		size = 43
		refs = "0011 TList.Remove 0018 TDataLink.UpdateState 0024 TDataSet.UpdateBufferCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 46 04 8B D6 8B 43 28 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5354_0 {
	meta:
		name = "TDataSource.NotifyLinkTypes"
		size = 86
		refs = "0031 TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 88 55 FB 89 45 FC 8B 45 FC 8B 40 28 8B 58 08 4B 85 DB 7C 2F 43 C7 45 F0 00 00 00 00 8B 45 FC 8B 40 28 8B 55 F0 E8 ?? ?? ?? ?? 8A 55 08 3A 50 16 75 0B 8B 4D F4 8A 55 FB 8B 30 FF 56 14 FF 45 F0 4B 75 D9 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5355_0 {
	meta:
		name = "TDataSource.NotifyDataLinks"
		size = 39
		refs = "0012 TDataSource.NotifyLinkTypes"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 6A 00 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5356_0 {
	meta:
		name = "TDataSource.DataEvent"
		size = 111
		refs = "0011 TDataSource.UpdateState 0024 TDataSource.NotifyDataLinks"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 80 FB 06 75 09 8B C6 E8 ?? ?? ?? ?? EB 54 80 7E 2E 00 74 4E 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 09 80 EB 04 72 17 74 28 EB 35 66 83 7E 3A 00 74 2E 8B CF 8B D6 8B 46 3C FF 56 38 EB 22 66 83 7E 3A 00 74 1B 33 C9 8B D6 8B 46 3C FF 56 38 EB 0F 66 83 7E 42 00 74 08 8B D6 8B 46 44 FF 56 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5357_0 {
	meta:
		name = "TCheckConstraint.Assign"
		size = 71
		refs = "000b _DV_TCheckConstraint 0010 @IsClass 0020 TCheckConstraint.SetImportedConstraint 002a TCheckConstraint.SetCustomConstraint 0034 TCheckConstraint.SetErrorMessage 003f TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 14 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5358_0 {
	meta:
		name = "TCheckConstraint.GetDisplayName"
		size = 48
		refs = "000c @LStrLAsg 0029 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 56 0C E8 ?? ?? ?? ?? 83 3B 00 75 0A 8B C3 8B 56 10 E8 ?? ?? ?? ?? 83 3B 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5359_0 {
	meta:
		name = "TCheckConstraint.SetImportedConstraint"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 0C 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5360_0 {
	meta:
		name = "TCheckConstraint.SetCustomConstraint"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 10 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5361_0 {
	meta:
		name = "TCheckConstraint.SetErrorMessage"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 14 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5367_0 {
	meta:
		name = "TParams.Create"
		size = 64
		refs = "000a @ClassCreate 0019 _DV_TParam 0022 TCollection.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 18 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5368_0 {
	meta:
		name = "TParams.Create"
		size = 62
		refs = "000a @ClassCreate 0017 _DV_TParam 0020 TCollection.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5369_0 {
	meta:
		name = "TParams.Update"
		size = 57
		refs = "000b TCollection.GetCount 001e TParams.GetItem 0030 TCollection.Update"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 33 D2 89 50 0C 46 4B 75 EE 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5373_0 {
	meta:
		name = "TParams.GetDataSet"
		size = 34
		refs = "000b _DV_TDataSet 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B C6 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5374_0 {
	meta:
		name = "TParams.AssignTo"
		size = 47
		refs = "000a _DV_TParams 000f @IsClass 0028 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5375_0 {
	meta:
		name = "TParams.AssignValues"
		size = 81
		refs = "000d TCollection.GetCount 0020 TParams.GetItem 002b TParams.FindParam"
	strings:
		$1 = { 53 56 57 55 51 8B EA 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 33 47 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B 50 24 8B 04 24 E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 8B D3 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 43 4F 75 D0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5377_0 {
	meta:
		name = "TParams.RemoveParam"
		size = 10
		refs = "0005 TCollectionItem.SetCollection"
	strings:
		$1 = { 8B C2 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5378_0 {
	meta:
		name = "TParams.CreateParam"
		size = 72
		refs = "0010 TCollection.Add 0016 _DV_TParam 001b @AsClass 0027 TParam.SetParamType 0031 @LStrAsg 003b TParam.SetDataType"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 88 55 FF 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8A 55 08 8B C3 E8 ?? ?? ?? ?? 8D 43 24 8B D6 E8 ?? ?? ?? ?? 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5379_0 {
	meta:
		name = "TParams.IsEqual"
		size = 97
		refs = "000d TCollection.GetCount 003b TParams.GetItem 004b TParam.IsEqual"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 8B 04 24 E8 ?? ?? ?? ?? 3B D8 0F 94 C3 84 DB 74 35 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 27 47 33 F6 8B D6 8B 04 24 E8 ?? ?? ?? ?? 50 8B D6 8B C5 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 84 DB 74 04 46 4F 75 DC 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5380_0 {
	meta:
		name = "TParams.ParamByName"
		size = 128
		refs = "0016 TParams.ParamByName 0025 TParams.FindParam 0032 TParams.GetDataSet 003b SParameterNotFound 0040 LoadResString 0056 DatabaseErrorFmt 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 2B 8B C3 E8 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5381_0 {
	meta:
		name = "TParams.FindParam"
		size = 67
		refs = "000d TCollection.GetCount 0020 TCollection.GetItem 002d AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B F0 8B 14 24 8B 46 24 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 E2 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5382_0 {
	meta:
		name = "TParams.DefineProperties"
		size = 60
		refs = "000b TPersistent.DefineProperties 0011 TParams.ReadBinaryData 001c TParams.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_5383_0 {
	meta:
		name = "TParams.ReadBinaryData"
		size = 507
		refs = "0020 TParams.ReadBinaryData 002e TCollection.Clear 003d TStream.ReadBuffer 004f SInvalidVersion 0054 LoadResString 0061 DatabaseError 00a2 TCollection.Add 00db @LStrSetLength 00e3 @LStrToPChar 00fa @LStrAsg 011f TParam.GetDataType 0180 TParam.SetBlobData 018f TParam.SetData 01ad Null 01b2 @VarCopy 01e0 @LStrClr 01ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 F7 FF FF 53 56 57 33 C9 89 8D E8 F7 FF FF 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EE B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 83 7D EE 02 76 1D 8D 95 E8 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 F7 FF FF 33 D2 E8 ?? ?? ?? ?? 33 C0 89 45 F4 66 83 7D EE 02 75 11 8D 55 F4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 8D 55 F4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 7D F4 4F 85 FF 0F 8C 2F 01 00 00 47 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 F8 66 83 7D EE 02 75 11 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 8D 55 F8 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8D 46 24 8B 55 F0 E8 ?? ?? ?? ?? 8D 56 2A B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 56 28 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 6C 33 C0 89 45 F8 66 83 7D EE 02 75 11 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 8D 55 F8 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 ED F7 FF FF 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 2C 0F 74 06 04 FE 2C 05 73 12 8D 95 ED F7 FF FF 8B 4D F8 8B C6 E8 ?? ?? ?? ?? EB 0D 8D 95 ED F7 FF FF 8B C6 E8 ?? ?? ?? ?? 8D 55 ED B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D ED 00 74 0E 8D 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 29 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 4F 0F 85 D2 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 F7 FF FF E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5384_0 {
	meta:
		name = "TParams.GetParamValue"
		size = 280
		refs = "001e TParams.GetParamValue 0030 @LStrPos 003f _Dn_TList 0044 TObject.Create 0061 TParams.GetParamList 0083 VarArrayCreate 009e TList.Get 00a6 TParam.GetAsVariant 00b0 @VarArrayPut 00cc TObject.Free 00d2 @HandleFinally 00dd TParams.ParamByName 00f9 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 57 33 C0 89 45 F4 8B 45 FC 8B 40 08 48 89 45 F8 8D 45 F4 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 29 46 33 DB 53 6A 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 57 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5385_0 {
	meta:
		name = "TParams.SetParamValue"
		size = 240
		refs = "001a TParams.SetParamValue 002c @LStrPos 0037 _Dn_TList 003c TObject.Create 0059 TParams.GetParamList 0071 TList.Get 007f @VarArrayGet 008b TParam.SetAsVariant 00a4 TObject.Free 00aa @HandleFinally 00b5 TParams.ParamByName 00d1 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 2B 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 53 6A 01 57 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 EC 58 E8 ?? ?? ?? ?? 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5386_0 {
	meta:
		name = "TParams.GetParamList"
		size = 123
		refs = "0018 TParams.GetParamList 0034 ExtractFieldName 003e TParams.ParamByName 0047 TList.Add 004e @LStrLen 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 20 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5596_0 {
	meta:
		name = "TDataSet.GetFieldList"
		size = 123
		refs = "0018 TDataSet.GetFieldList 0034 ExtractFieldName 003e TDataSet.FieldByName 0047 TList.Add 004e @LStrLen 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 20 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5387_0 {
	meta:
		name = "TParam.Create"
		size = 93
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0020 TParam.SetParamType 0029 TParam.SetDataType 0032 Unassigned 0037 @VarCopy 004a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 29 00 C6 46 20 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5388_0 {
	meta:
		name = "TParam.Create"
		size = 80
		refs = "000e @ClassCreate 0023 TParam.GetParamType 002c TParam.SetParamType 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 8B 30 FF 56 18 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5389_0 {
	meta:
		name = "TParam.IsEqual"
		size = 133
		refs = "000b VarType 0024 @VarCmp 0031 @LStrCmp 003a TParam.GetDataType 004e TParam.GetIsNull 006a TParam.GetParamType"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 10 E8 ?? ?? ?? ?? 8B F8 8D 46 10 E8 ?? ?? ?? ?? 3B F8 75 5E 8D 43 10 8D 56 10 E8 ?? ?? ?? ?? 75 51 8B 43 24 8B 56 24 E8 ?? ?? ?? ?? 75 44 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 75 30 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 75 1C 8A 43 29 3A 46 29 75 14 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5390_0 {
	meta:
		name = "TDecisionSource.GetReady"
		size = 4
		altNames = "TParam.IsParamStored"
	strings:
		$1 = { 8A 40 29 C3 }
	condition:
		$1
}

rule function_5391_0 {
	meta:
		name = "TParam.ParamRef"
		size = 47
		refs = "001d TParams.ParamByName"
	strings:
		$1 = { 53 56 8B D8 83 7B 0C 00 75 1F 8B 73 04 85 F6 74 15 83 7B 24 00 74 0F 8B 53 24 8B C6 E8 ?? ?? ?? ?? 89 43 0C EB 03 89 5B 0C 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_5392_0 {
	meta:
		name = "TParam.GetIsNull"
		size = 41
		refs = "000d VarIsNull 0019 VarIsEmpty"
	strings:
		$1 = { 53 8B D8 80 7B 20 00 75 1C 8D 43 10 E8 ?? ?? ?? ?? 84 C0 75 10 8D 43 10 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5393_0 {
	meta:
		name = "TParam.GetParamType"
		size = 15
		refs = "0006 TParam.ParamRef"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 40 2A 5B C3 }
	condition:
		$1
}

rule function_5394_0 {
	meta:
		name = "TParam.SetParamType"
		size = 19
		refs = "0009 TParam.ParamRef"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 58 2A 5E 5B C3 }
	condition:
		$1
}

rule function_5395_0 {
	meta:
		name = "TParam.GetDataType"
		size = 15
		refs = "0006 TParam.ParamRef"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 40 28 5B C3 }
	condition:
		$1
}

rule function_5396_0 {
	meta:
		name = "TParam.SetDataType"
		size = 204
		refs = "0010 TParam.ParamRef 001b TParam.GetDataSet 0042 TParam.GetIsNull 0051 VarTypeMap 005e TParam.SetDataType 0083 @VarCast 0092 @HandleAnyException 009f TParam.Clear 00a4 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 58 28 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 92 00 00 00 8B 45 FC E8 ?? ?? ?? ?? F6 40 20 10 0F 84 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 6F 33 C0 8A C3 8B 1C 85 ?? ?? ?? ?? 83 FB 0A 74 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 C0 10 50 8B 45 FC E8 ?? ?? ?? ?? 83 C0 10 8B CB 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5397_0 {
	meta:
		name = "TParam.GetDataSize"
		size = 408
		refs = "0013 TParam.GetDataSize 0022 TParam.GetDataType 008a TParam.GetDataSet 0093 SUnknownFieldType 0098 LoadResString 00b1 DatabaseErrorFmt 00c1 @VarToLStr 00c9 @LStrLen 010c VarIsArray 011d VarArrayHighBound 0151 SParamBadFieldType 0184 @LStrClr 018a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 17 0F 87 13 01 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 07 06 08 03 05 05 04 06 06 05 09 09 06 0A 02 0A 0A 0A 0A 0A 0B 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 24 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? E9 B9 00 00 00 8D 45 FC 8D 53 10 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 46 E9 9E 00 00 00 BE 02 00 00 00 E9 94 00 00 00 BE 22 00 00 00 E9 8A 00 00 00 BE 08 00 00 00 E9 80 00 00 00 BE 04 00 00 00 EB 79 BE 02 00 00 00 EB 72 BE 02 00 00 00 EB 6B 8D 43 10 E8 ?? ?? ?? ?? 84 C0 74 12 8D 43 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 46 EB 4D 33 F6 EB 49 8D 45 FC 8D 53 10 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 EB 32 33 F6 EB 2E 8B C3 E8 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 24 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5398_0 {
	meta:
		name = "TParam.GetData"
		size = 734
		refs = "0016 TParam.GetData 0024 TParam.GetDataType 009f TParam.GetDataSet 00a8 SUnknownFieldType 00ad LoadResString 00c9 DatabaseErrorFmt 00d9 TParam.GetAsString 00e1 @LStrLen 00f6 @LStrToPChar 0100 StrMove 010d TParam.GetAsInteger 013c TParam.GetAsDateTime 014b DateTimeToTimeStamp 0195 TimeStampToMSecs 01a5 TParam.GetAsBCD 01cf TParam.GetAsFloat 01df TParam.GetAsBoolean 01f5 VarIsArray 0208 VarArrayLock 0228 VarArrayHighBound 0234 Move 024c VarArrayUnlock 0252 @HandleFinally 0296 SParamBadFieldType 02cc @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 83 F8 17 0F 87 55 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 40 24 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? E9 E9 01 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 40 50 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? E9 B2 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 89 03 E9 A2 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 89 03 E9 92 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 03 E9 83 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 03 E9 62 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 89 03 E9 41 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? DD 1B 9B E9 1A 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 6A 04 8B 45 FC E8 ?? ?? ?? ?? B9 20 00 00 00 8B D3 8B 18 FF 53 38 E9 F0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? DD 1B 9B E9 E0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 66 89 03 E9 CD 00 00 00 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 84 C0 0F 84 BA 00 00 00 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C8 41 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 59 E8 ?? ?? ?? ?? EB 32 8B 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 40 24 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5399_0 {
	meta:
		name = "TParam.SetBlobData"
		size = 102
		refs = "0012 TParam.SetBlobData 0022 @LStrSetLength 002a @LStrToPChar 0035 Move 003f TParam.SetAsBlob 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5400_0 {
	meta:
		name = "TParam.SetData"
		size = 636
		refs = "0015 TParam.SetData 0022 TParam.GetDataType 009c TParam.GetDataSet 00a5 SUnknownFieldType 00aa LoadResString 00c3 DatabaseErrorFmt 00d2 StrPas 00dc TParam.SetAsString 00eb TParam.SetAsWord 00fa TParam.SetAsSmallInt 0108 TParam.SetAsInteger 0121 TimeStampToDateTime 012f TParam.SetAsTime 0154 TParam.SetAsDate 0174 MSecsToTimeStamp 018a TParam.SetAsDateTime 01b1 TParam.SetAsBCD 01dc TParam.SetAsCurrency 01ea TParam.SetAsFloat 01fd TParam.SetAsBoolean 0213 TParam.SetAsMemo 021f @VarFromInt 0231 SParamBadFieldType 0264 @LStrClr 026a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 17 0F 87 F3 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 24 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? E9 87 01 00 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 6E 01 00 00 0F B7 16 8B C3 E8 ?? ?? ?? ?? E9 5F 01 00 00 0F BF 16 8B C3 E8 ?? ?? ?? ?? E9 50 01 00 00 8B 16 8B C3 E8 ?? ?? ?? ?? E9 42 01 00 00 8B 06 89 45 F0 C7 45 F4 5A 95 0A 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 1B 01 00 00 33 C0 89 45 F0 8B 06 89 45 F4 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 F6 00 00 00 33 C0 89 45 F0 8B 06 89 45 F4 DD 06 83 C4 F8 DF 3C 24 9B 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 30 FF 56 34 84 C0 74 12 FF 75 FC FF 75 F8 8B C3 E8 ?? ?? ?? ?? E9 99 00 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E9 89 00 00 00 DD 06 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 71 FF 76 04 FF 36 8B C3 E8 ?? ?? ?? ?? EB 63 66 8B 06 66 F7 D8 1B D2 F7 DA 8B C3 E8 ?? ?? ?? ?? EB 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 3A 8D 43 10 33 D2 E8 ?? ?? ?? ?? EB 2E 8B C3 E8 ?? ?? ?? ?? 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 24 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5401_0 {
	meta:
		name = "TParam.SetText"
		size = 84
		refs = "0013 TParam.SetText 0023 @VarFromLStr 002d TParam.SetAsVariant 0042 @VarClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5402_0 {
	meta:
		name = "LoadFromBitmap"
		size = 95
		refs = "000a _Dn_TMemoryStream 000f TObject.Create 001a LoadFromBitmap 003a TParam.LoadFromStream 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 54 8B 45 08 8B 40 FC B1 11 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_5403_0 {
	meta:
		name = "LoadFromStrings"
		size = 79
		refs = "000c LoadFromStrings 002a TParam.SetAsMemo 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5404_0 {
	meta:
		name = "TParam.Assign"
		size = 188
		refs = "000e _DV_TParam 0013 @IsClass 0021 TParam.AssignParam 002e _DV_TField 0041 TParam.AssignField 004b _Dn_TStrings 005c LoadFromStrings 0067 _Dn_TBitmap 0078 LoadFromBitmap 0083 _Dn_TPicture 00b4 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 8E 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 71 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 55 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 39 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 55 8B 43 04 E8 ?? ?? ?? ?? 59 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_5405_0 {
	meta:
		name = "TParam.AssignTo"
		size = 51
		refs = "000a _DV_TField 000f @IsClass 002c TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8D 53 10 8B C6 8B 08 FF 91 9C 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5406_0 {
	meta:
		name = "TParam.AssignParam"
		size = 97
		refs = "000d TParam.GetDataType 0017 TParam.GetIsNull 0022 TParam.Clear 002e TParam.SetAsVariant 003f @LStrAsg 0046 TParam.GetParamType 005a TParam.SetParamType"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 54 8B C6 E8 ?? ?? ?? ?? 88 43 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 56 10 8B C3 E8 ?? ?? ?? ?? 8A 46 29 88 43 29 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5407_0 {
	meta:
		name = "TParam.AssignFieldValue"
		size = 116
		refs = "0021 TParam.SetDataType 0052 VarIsNull 005d TParam.Clear 0068 TParam.SetAsVariant"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 74 63 80 7B 30 01 75 14 80 BB C8 00 00 00 00 74 0B B2 17 8B C6 E8 ?? ?? ?? ?? EB 28 80 7B 30 10 75 18 8B C3 8B 10 FF 52 78 66 3D FF 00 76 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 0A 8A 53 30 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? C6 46 29 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5408_0 {
	meta:
		name = "TParam.AssignField"
		size = 101
		refs = "0013 TParam.AssignField 0033 TParam.AssignFieldValue 003e @LStrAsg 0053 @VarClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 21 8D 55 F0 8B C3 8B 08 FF 51 5C 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 46 24 8B 53 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5409_0 {
	meta:
		name = "TParam.Clear"
		size = 23
		refs = "000c Unassigned 0011 @VarCopy"
	strings:
		$1 = { 53 8B D8 C6 43 20 01 8D 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5410_0 {
	meta:
		name = "TParam.GetDataSet"
		size = 18
		refs = "000d TParams.GetDataSet"
	strings:
		$1 = { 8B 50 04 85 D2 75 03 33 C0 C3 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5411_0 {
	meta:
		name = "TParam.GetDisplayName"
		size = 37
		refs = "0011 TCollectionItem.GetDisplayName 001e @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 24 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5412_0 {
	meta:
		name = "TParam.SetAsBoolean"
		size = 88
		refs = "0013 TParam.SetAsBoolean 0027 @VarFromBool 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 46 28 05 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5413_0 {
	meta:
		name = "TParam.GetAsBoolean"
		size = 28
		refs = "0006 TParam.GetIsNull 0016 @VarToBool"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 8D 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5421_0 {
	meta:
		name = "TParam.GetAsInteger"
		size = 28
		refs = "0006 TParam.GetIsNull 0016 @VarToInt"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 8D 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5414_0 {
	meta:
		name = "TParam.SetAsFloat"
		size = 87
		refs = "0010 TParam.SetAsFloat 0025 @VarFromReal 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 06 DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5415_0 {
	meta:
		name = "TParam.GetAsFloat"
		size = 47
		refs = "0009 TParam.GetIsNull 0020 @VarToReal"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 89 04 24 89 44 24 04 EB 0C 8D 43 10 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5429_0 {
	meta:
		name = "TParam.GetAsDateTime"
		size = 47
		refs = "0009 TParam.GetIsNull 0020 VarToDateTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 89 04 24 89 44 24 04 EB 0C 8D 43 10 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5416_0 {
	meta:
		name = "TParam.SetAsCurrency"
		size = 87
		refs = "0010 TParam.SetAsCurrency 0025 @VarFromCurr 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 07 DF 6D 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5417_0 {
	meta:
		name = "TParam.GetAsBCD"
		size = 47
		refs = "0009 TParam.GetIsNull 0020 @VarToCurr"
		altNames = "TParam.GetAsCurrency"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 89 04 24 89 44 24 04 EB 0C 8D 43 10 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5418_0 {
	meta:
		name = "TParam.SetAsBCD"
		size = 87
		refs = "0010 TParam.SetAsBCD 0025 @VarFromCurr 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 08 DF 6D 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5420_0 {
	meta:
		name = "TParam.SetAsInteger"
		size = 88
		refs = "0013 TParam.SetAsInteger 0027 @VarFromInt 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 03 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5422_0 {
	meta:
		name = "TParam.SetAsWord"
		size = 88
		refs = "0013 TParam.SetAsWord 0027 @VarFromInt 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 04 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5423_0 {
	meta:
		name = "TParam.SetAsSmallInt"
		size = 88
		refs = "0013 TParam.SetAsSmallInt 0027 @VarFromInt 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 02 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5424_0 {
	meta:
		name = "TParam.SetAsString"
		size = 88
		refs = "0013 TParam.SetAsString 0027 @VarFromLStr 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 01 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5425_0 {
	meta:
		name = "TParam.GetAsString"
		size = 91
		refs = "0009 TParam.GetIsNull 0014 @LStrClr 001e TParam.GetDataType 002a @VarToBool 0035 STextTrue 003a LoadResString 0043 STextFalse 0054 @VarToLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 3C 05 75 28 8D 43 10 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8D 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5426_0 {
	meta:
		name = "TParam.SetAsDate"
		size = 87
		refs = "0010 TParam.SetAsDate 0025 @VarFromTDateTime 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 09 DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5427_0 {
	meta:
		name = "TParam.SetAsTime"
		size = 87
		refs = "0010 TParam.SetAsTime 0025 @VarFromTDateTime 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 0A DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5428_0 {
	meta:
		name = "TParam.SetAsDateTime"
		size = 87
		refs = "0010 TParam.SetAsDateTime 0025 @VarFromTDateTime 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 0B DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5430_0 {
	meta:
		name = "TParam.SetAsVariant"
		size = 202
		refs = "0009 TParam.ParamRef 0018 VarIsEmpty 002f VarIsNull 0049 VarType 00b2 @VarCopy 00c3 TParam.SetAsVariant"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B D8 0F 85 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 34 01 88 43 29 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 43 20 80 7B 28 00 75 66 8B C6 E8 ?? ?? ?? ?? 83 F8 07 7F 14 74 42 83 E8 02 74 25 48 74 28 48 83 E8 02 72 2E 74 26 EB 42 83 E8 08 74 37 83 E8 03 74 2C 83 E8 06 74 09 2D EF 00 00 00 74 26 EB 2A C6 43 28 02 EB 28 C6 43 28 03 EB 22 C6 43 28 08 EB 1C C6 43 28 06 EB 16 C6 43 28 0B EB 10 C6 43 28 05 EB 0A C6 43 28 01 EB 04 C6 43 28 00 8D 43 10 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5431_0 {
	meta:
		name = "TParam.GetAsVariant"
		size = 26
		refs = "0009 TParam.ParamRef 0013 @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 50 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5432_0 {
	meta:
		name = "TParam.SetAsMemo"
		size = 88
		refs = "0013 TParam.SetAsMemo 0027 @VarFromLStr 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 10 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5433_0 {
	meta:
		name = "TParam.GetAsMemo"
		size = 40
		refs = "0009 TParam.GetIsNull 0014 @LStrClr 0021 @VarToLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8D 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5434_0 {
	meta:
		name = "TParam.SetAsBlob"
		size = 88
		refs = "0013 TParam.SetAsBlob 0027 @VarFromLStr 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 28 0F 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5435_0 {
	meta:
		name = "TParam.LoadFromFile"
		size = 89
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TParam.LoadFromFile 0033 TParam.LoadFromStream 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F0 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5436_0 {
	meta:
		name = "TParam.LoadFromStream"
		size = 142
		refs = "0018 TParam.LoadFromStream 002a TStream.SetPosition 0031 TStream.GetSize 003d @LStrSetLength 0049 TStream.ReadBuffer 0054 @VarFromLStr 005e TParam.SetAsVariant 0073 @VarClr 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 4B 28 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5437_0 {
	meta:
		name = "NameDelimiter"
		size = 40
		refs = "0015 NameDelimiter"
	strings:
		$1 = { 55 8B EC 8B 45 08 8A 40 FF 04 F8 3C 37 77 0A 83 E0 7F 0F A3 05 ?? ?? ?? ?? 0F 92 C0 5D C3 00 00 24 00 00 01 12 00 08 00 }
	condition:
		$1
}

rule function_5438_0 {
	meta:
		name = "IsLiteral"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 08 8A 40 FF 2C 22 74 0C 2C 05 74 08 2C 39 74 04 33 C0 5D C3 B0 01 5D C3 }
	condition:
		$1
}

rule function_5439_0 {
	meta:
		name = "StripChar"
		size = 106
		refs = "002d StrMove 0038 StrLen"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8A 00 2C 22 74 08 2C 05 74 04 2C 39 75 1A 8B 45 08 0F B7 48 FA 49 8B 45 08 8B 50 FC 42 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8A 44 02 FF 2C 22 74 08 2C 05 74 04 2C 39 75 16 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC C6 44 02 FF 00 5D C3 }
	condition:
		$1
}

rule function_5440_0 {
	meta:
		name = "StripLiterals"
		size = 123
		refs = "000f StrLen 001d AllocMem 0027 @LStrClr 002f StripLiterals 003f StrCopy 0045 StripChar 0050 StrPas 0069 @FreeMem 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 40 66 89 45 FA 0F B7 45 FA E8 ?? ?? ?? ?? 89 45 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B7 55 FA 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5441_0 {
	meta:
		name = "TParams.ParseSQL"
		size = 457
		refs = "0021 @LStrAddRef 0027 LeadBytes 002f TParams.ParseSQL 003f @LStrLAsg 0046 @LStrToPChar 0056 TCollection.Clear 00b4 IsLiteral 00d8 NameDelimiter 00f3 StripLiterals 0111 StrPas 011f TCollection.Add 012a @LStrAsg 013f StrLen 014c StrMove 01ac @LStrArrayClr 01b4 @LStrClr 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 88 4D F3 89 55 F4 89 45 F8 8B 5D 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B D8 80 7D F3 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B FB 33 DB C6 45 EB 00 EB 03 83 C7 02 8A 07 25 FF 00 00 00 0F A3 06 72 F1 8A 07 88 45 FF 80 7D FF 3A 0F 85 D3 00 00 00 84 DB 0F 85 CB 00 00 00 8D 47 01 80 38 3A 0F 84 BF 00 00 00 89 7D EC EB 31 47 EB 03 83 C7 02 8A 07 25 FF 00 00 00 0F A3 06 72 F1 8A 07 88 45 FF 55 E8 ?? ?? ?? ?? 59 84 C0 74 0F 80 F3 01 8B 45 EC 40 3B F8 75 04 C6 45 EB 01 80 7D FF 00 74 0F 84 DB 75 C5 55 E8 ?? ?? ?? ?? 59 84 C0 74 BA C6 07 00 80 7D EB 00 74 1F 55 8D 55 E0 8B 45 EC 40 E8 ?? ?? ?? ?? 59 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? C6 45 EB 00 EB 0C 8D 55 E4 8B 45 EC 40 E8 ?? ?? ?? ?? 80 7D F3 00 74 13 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 24 8B 55 E4 E8 ?? ?? ?? ?? 8A 45 FF 88 07 8B 45 EC C6 00 3F FF 45 EC 8B C7 E8 ?? ?? ?? ?? 8B C8 41 8B D7 8B 45 EC E8 ?? ?? ?? ?? 8B 7D EC EB 36 80 7D FF 3A 75 22 84 DB 75 1E 8D 47 01 80 38 3A 75 16 8B C7 E8 ?? ?? ?? ?? 8B C8 41 8D 57 01 8B C7 E8 ?? ?? ?? ?? EB 0E 55 E8 ?? ?? ?? ?? 59 84 C0 74 03 80 F3 01 47 80 7D FF 00 0F 85 D1 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5442_0 {
	meta:
		name = "TDataSet.Create"
		size = 232
		refs = "000e @ClassCreate 001c TComponent.Create 0025 _DV_TFieldDefs 002a TFieldDefs.Create 0036 _DV_TFieldDefList 003b TFlatList.Create 0047 _DV_TFields 004c TFields.Create 0058 _DV_TFieldList 0067 _Dn_TList 006c TObject.Create 007f _DV_TCheckConstraints 0084 TCheckConstraints.Create 008e TObject.ClassType 00ac TDataSet.Create 00cd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 C6 83 97 00 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 74 8B C3 E8 ?? ?? ?? ?? 89 83 80 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 A0 ?? ?? ?? ?? 88 46 18 C7 83 88 00 00 00 01 00 00 00 8B C3 8B 10 FF 52 48 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_5443_0 {
	meta:
		name = "TDataSet.Destroy"
		size = 175
		refs = "0004 @BeforeDestruction 000f TComponent.Destroying 0016 TDataSet.Close 002a TObject.Free 0039 TList.Last 0042 TDataSet.RemoveDataSource 009c TComponent.Destroy 00a7 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 91 30 01 00 00 8B 47 60 E8 ?? ?? ?? ?? 83 7F 38 00 74 1B EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 38 83 7E 08 00 7F E7 8B 47 38 E8 ?? ?? ?? ?? 8B 47 24 E8 ?? ?? ?? ?? 8B 47 28 E8 ?? ?? ?? ?? 33 C0 89 47 28 8B 47 34 E8 ?? ?? ?? ?? 8B 47 30 E8 ?? ?? ?? ?? 8B 47 2C E8 ?? ?? ?? ?? 8B 47 74 E8 ?? ?? ?? ?? 8B 47 7C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5444_0 {
	meta:
		name = "RenameFields"
		size = 378
		refs = "0018 RenameFields 0026 TFields.GetCount 0045 TFields.GetField 006b @LStrLAsg 007e @LStrLen 00a8 @LStrSetLength 00b6 CompareText 00d4 @LStrDelete 00e7 @LStrInsert 010f @HandleOnException 0117 _Dn_EComponentError 0120 @DoneExcept 0167 @LStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 1E 01 00 00 40 89 45 E8 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 04 8B 55 08 8B 52 FC 3B 42 04 0F 85 E4 00 00 00 8D 45 F0 8B 55 F4 8B 52 08 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B D8 0F 8E 8D 00 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 EC E8 ?? ?? ?? ?? 85 C0 75 66 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B C8 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 F4 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F4 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8A 40 30 04 E6 2C 02 73 15 8B 45 08 50 8B 45 F4 8B 10 FF 92 C8 00 00 00 E8 ?? ?? ?? ?? 59 FF 45 F8 FF 4D E8 0F 85 ED FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5445_0 {
	meta:
		name = "TDataSet.SetName"
		size = 140
		refs = "0015 TDataSet.SetName 0029 @LStrLAsg 0034 TComponent.SetName 004b @LStrCmp 0059 RenameFields 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 2A 8B 45 FC 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 74 1A 55 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_5446_0 {
	meta:
		name = "TDataSet.GetChildren"
		size = 130
		refs = "0015 TFields.GetCount 002c TFields.GetField"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DF 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 8B 45 FC 8B 40 28 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DF 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5447_0 {
	meta:
		name = "TDataSet.SetChildOrder"
		size = 51
		refs = "000d _DV_TField 0012 @AsClass 001e TFields.IndexOf 002b TField.SetIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 46 24 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5448_0 {
	meta:
		name = "TDataSet.Loaded"
		size = 110
		refs = "000e TComponent.Loaded 0016 TDataSet.Loaded 0044 @HandleAnyException 005f @RaiseAgain 0064 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 93 00 00 00 00 74 0D B2 01 8B 45 FC 8B 08 FF 91 20 01 00 00 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 0D 8B 45 FC 8B 10 FF 92 7C 01 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5449_0 {
	meta:
		name = "TDataSet.SetState"
		size = 33
	strings:
		$1 = { 53 3A 90 8D 00 00 00 74 16 88 90 8D 00 00 00 C6 80 92 00 00 00 00 33 C9 B2 06 8B 18 FF 53 5C 5B C3 }
	condition:
		$1
}

rule function_5450_0 {
	meta:
		name = "TDataSet.SetModified"
		size = 7
	strings:
		$1 = { 88 90 92 00 00 00 C3 }
	condition:
		$1
}

rule function_5451_0 {
	meta:
		name = "TDataSet.CreateNestedDataSet"
		size = 115
		refs = "0028 TDataSet.CreateNestedDataSet 0038 TDataSet.SetObjectView 0054 @HandleAnyException 005c TObject.Free 0061 @RaiseAgain 0066 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 8B 83 80 00 00 00 FF 50 F4 89 45 FC 8B CE 83 CA FF 8B 45 FC 8B 18 FF 53 2C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 91 30 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5452_0 {
	meta:
		name = "TDataSet.SetDataSetField"
		size = 294
		refs = "0018 TDataSet.SetDataSetField 0057 SCircularDataLink 005c LoadResString 0066 DatabaseError 007a TObject.InheritsFrom 0093 TObject.ClassName 00ac SNestedDataSetClass 00bc DatabaseErrorFmt 00c3 TDataSet.GetActive 00ce TDataSet.Close 00dc TDataSetField.AssignNestedDataSet 00ff TDataSet.Open 0114 @LStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 78 0F 84 D8 00 00 00 85 F6 74 3B 3B 5E 24 74 1F 8B 46 24 8B 10 FF 92 D0 00 00 00 85 C0 74 27 8B 46 24 8B 10 FF 92 D0 00 00 00 3B 58 24 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 85 F6 74 52 8B 46 24 8B 90 80 00 00 00 8B 03 E8 ?? ?? ?? ?? 84 C0 75 3E 53 8D 95 F4 FE FF FF 8B 46 24 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 89 45 F4 C6 45 F8 04 8D 45 F4 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 78 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 89 73 78 85 F6 74 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5453_0 {
	meta:
		name = "TDataSet.GetNestedDataSets"
		size = 29
		refs = "000c _Dn_TList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 7C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 8B 43 7C 5B C3 }
	condition:
		$1
}

rule function_5454_0 {
	meta:
		name = "TDataSet.GetFound"
		size = 7
	strings:
		$1 = { 8A 80 95 00 00 00 C3 }
	condition:
		$1
}

rule function_5455_0 {
	meta:
		name = "TDataSet.SetFound"
		size = 7
	strings:
		$1 = { 88 90 95 00 00 00 C3 }
	condition:
		$1
}

rule function_5456_0 {
	meta:
		name = "TDataSet.SetObjectView"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 88 9E 99 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5457_0 {
	meta:
		name = "TDataSet.SetSparseArrays"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 88 9E 9A 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5458_0 {
	meta:
		name = "TCustomChartAxis.SetTicks"
		size = 9
		altNames = "TDataSet.SetConstraints"
	strings:
		$1 = { 8B 40 74 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_5459_0 {
	meta:
		name = "TDataSet.SetTempState"
		size = 25
	strings:
		$1 = { 8A 88 8D 00 00 00 88 90 8D 00 00 00 FF 40 64 C6 80 92 00 00 00 00 8B C1 C3 }
	condition:
		$1
}

rule function_5460_0 {
	meta:
		name = "TDataSet.RestoreState"
		size = 17
	strings:
		$1 = { 88 90 8D 00 00 00 FF 48 64 C6 80 92 00 00 00 00 C3 }
	condition:
		$1
}

rule function_5461_0 {
	meta:
		name = "TDataSet.Open"
		size = 11
	strings:
		$1 = { B2 01 8B 08 FF 91 20 01 00 00 C3 }
	condition:
		$1
}

rule function_5462_0 {
	meta:
		name = "TDataSet.Close"
		size = 11
	strings:
		$1 = { 33 D2 8B 08 FF 91 20 01 00 00 C3 }
	condition:
		$1
}

rule function_5463_0 {
	meta:
		name = "TDataSet.CheckInactive"
		size = 128
		refs = "000c TDataSet.CheckInactive 0019 TDataSet.GetActive 0037 TDataSet.Close 0041 SDataSetOpen 0046 LoadResString 0050 DatabaseError 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 33 8A 43 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 74 09 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 50 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5464_0 {
	meta:
		name = "TDataSet.CheckActive"
		size = 87
		refs = "000c TDataSet.CheckActive 0023 SDataSetClosed 0028 LoadResString 0032 DatabaseError 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8D 00 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5465_0 {
	meta:
		name = "TDataSet.GetActive"
		size = 11
	strings:
		$1 = { 80 B8 8D 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5466_0 {
	meta:
		name = "TDataSet.SetActive"
		size = 234
		refs = "0025 TDataSet.GetActive 0044 TDataSet.SetActive 007a TDataSet.SetState 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC F6 40 20 02 74 0E 8B 45 FC 88 98 93 00 00 00 E9 C5 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3A D8 0F 84 B5 00 00 00 84 DB 74 7A 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC 8B 08 FF 91 14 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 9B 00 00 00 00 74 0C B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 12 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 54 C3 E9 ?? ?? ?? ?? EB CE 8B 45 FC 8B 10 FF 52 7C 8B 45 FC 8B 10 FF 92 84 00 00 00 EB 37 8B 45 FC F6 40 20 08 75 0B 8B 45 FC 8B 10 FF 92 8C 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 54 8B 45 FC F6 40 20 08 75 08 8B 45 FC 8B 10 FF 52 6C 5B 59 5D C3 }
	condition:
		$1
}

rule function_5467_0 {
	meta:
		name = "TDataSet.DoInternalOpen"
		size = 54
		refs = "0006 TDataSet.GetFieldCount 0029 TDataSet.UpdateBufferCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 83 96 00 00 00 8B C3 8B 10 FF 92 8C 01 00 00 C6 83 9B 00 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 90 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_5468_0 {
	meta:
		name = "TDataSet.DoInternalClose"
		size = 60
		refs = "0020 TDataSet.SetBufListSize"
	strings:
		$1 = { 53 8B D8 C6 83 9B 00 00 00 00 8B C3 8B 10 FF 92 B4 00 00 00 8B C3 8B 10 FF 52 48 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 6C 01 00 00 33 C0 89 43 40 C6 83 96 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5469_0 {
	meta:
		name = "TDataSet.OpenCursor"
		size = 19
		refs = "000e TDataSet.DoInternalOpen"
	strings:
		$1 = { 84 D2 74 09 8B 10 FF 92 80 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5472_0 {
	meta:
		name = "TDataSet.GetDetailDataSets"
		size = 174
		refs = "0011 @CallDynaInst 0031 TList.Get 004f _DV_TDetailDataLink 0054 @IsClass 0098 TList.Add"
	strings:
		$1 = { 53 56 57 55 51 8B EA 89 04 24 8B C5 66 BB FF FF E8 ?? ?? ?? ?? 8B 04 24 8B 40 38 8B 78 08 4F 83 FF 00 0F 8C 80 00 00 00 8B 04 24 8B 40 38 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 46 28 8B 58 08 4B 83 FB 00 7C 5F 8B D3 8B 46 28 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B D3 8B 46 28 E8 ?? ?? ?? ?? 8B 10 FF 52 54 85 C0 74 2D 8B D3 8B 46 28 E8 ?? ?? ?? ?? 8B 10 FF 52 54 83 78 78 00 75 18 8B D3 8B 46 28 E8 ?? ?? ?? ?? 8B 10 FF 52 54 8B D0 8B C5 E8 ?? ?? ?? ?? 4B 83 FB FF 75 A1 4F 83 FF FF 75 80 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5475_0 {
	meta:
		name = "TDataSet.InitFieldDefs"
		size = 112
		refs = "0038 TDataSet.InitFieldDefs 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 92 98 01 00 00 84 C0 75 10 8B 45 FC 8B 58 60 85 DB 74 13 80 7B 08 00 74 0D 8B 45 FC 8B 10 FF 92 80 01 00 00 EB 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 14 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 54 C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5476_0 {
	meta:
		name = "CreateFieldDefs"
		size = 264
		refs = "0013 TFields.GetCount 0031 TFields.GetField 0045 TFieldDefs.AddFieldDef 005b TFieldDef.SetDataType 006b TFieldDef.SetSize 0077 CreateFieldDefs 007e TFieldDef.SetAttributes 00a2 _DV_TBCDField 00a7 @IsClass 00b8 TFieldDef.SetPrecision 00c0 _DV_TObjectField 00df TFieldDef.GetChildDefs"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C D4 00 00 00 47 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 32 00 0F 85 AB 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 53 28 8B C6 8B 08 FF 51 14 8A 53 30 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 8B D0 8B C6 E8 ?? ?? ?? ?? 80 7B 35 00 74 0D 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 7B 31 00 74 10 8A 15 ?? ?? ?? ?? 0A 56 20 8B C6 E8 ?? ?? ?? ?? 80 7B 30 08 75 1E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 E4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 08 50 8B C3 8B 10 FF 92 C8 00 00 00 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 59 FF 45 F4 4F 0F 85 34 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 04 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_5477_0 {
	meta:
		name = "TDataSet.InitFieldDefsFromFields"
		size = 101
		refs = "000e TCollection.GetCount 0025 TDataSet.InitFieldDefsFromFields 003d CreateFieldDefs 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 85 C0 75 4C 8B 45 FC 8B 40 2C 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 FC 8B 50 2C 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_5478_0 {
	meta:
		name = "TCustomChartAxis.SetAxisTitle"
		size = 9
		altNames = "TDataSet.SetFieldDefs"
	strings:
		$1 = { 8B 40 2C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_5479_0 {
	meta:
		name = "TDataSet.GetFieldClass"
		size = 12
		refs = "0007 DefaultFieldClasses"
	strings:
		$1 = { 33 C0 8A C2 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5480_0 {
	meta:
		name = "TDataSet.GetFieldFullName"
		size = 180
		refs = "0015 TDataSet.GetFieldFullName 0025 @LStrLAsg 0067 Format 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 28 E8 ?? ?? ?? ?? 8B 9B 84 00 00 00 85 DB 74 4C 80 7B 30 1B 74 3C 80 BB D8 00 00 00 00 75 33 8D 45 FC 50 8B 43 28 89 45 EC C6 45 F0 0B 8B 06 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 9B 84 00 00 00 85 DB 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 25 73 2E 25 73 00 00 00 }
	condition:
		$1
}

rule function_5481_0 {
	meta:
		name = "TDataSet.CreateFields"
		size = 246
		refs = "0014 TDataSet.CreateFields 002b TCollection.GetCount 0049 TFieldDefs.GetFieldDef 0062 TFieldDef.CreateField 008c TFieldDefList.GetFieldDef 00e3 @LStrClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 99 00 00 00 00 74 47 8B 46 2C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 98 00 00 00 43 C7 45 FC 00 00 00 00 8B 55 FC 8B 46 2C E8 ?? ?? ?? ?? 80 78 1F 00 74 13 F6 40 20 01 75 0D 6A 00 6A 01 33 C9 8B D6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 D6 EB 64 8B 46 30 8B 10 FF 52 14 8B D8 4B 85 DB 7C 55 43 C7 45 FC 00 00 00 00 8B 55 FC 8B 46 30 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8A 40 1F 84 C0 74 2F 8B 55 F8 F6 42 20 01 75 26 04 E6 2C 04 72 20 8D 4D F4 8B 55 FC 8B 46 30 8B 38 FF 57 0C 8B 45 F4 50 6A 01 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? FF 45 FC 4B 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5482_0 {
	meta:
		name = "TDataSet.DestroyFields"
		size = 29
		refs = "0007 TFields.Clear 0017 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B 43 24 E8 ?? ?? ?? ?? 8B 43 7C 85 C0 74 09 66 BB FF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5483_0 {
	meta:
		name = "DoBindFields"
		size = 824
		refs = "0017 DoBindFields 0024 TFields.GetCount 003c TFields.GetField 006f TField.GetDisplayName 0085 SInvalidCalcType 008a LoadResString 0095 DatabaseErrorFmt 00e2 TField.GetFullName 010d TFieldDefList.GetFieldDef 0139 SFieldNotFound 0157 TFieldDef.GetFieldNo 0179 BaseFieldTypes 01af FieldTypeNames 01d7 SFieldTypeMismatch 0213 TFieldDef.GetSize 0263 SFieldSizeMismatch 0325 @LStrArrayClr 032b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 E8 89 55 E4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 48 85 C0 0F 8C DE 02 00 00 40 89 45 F4 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 80 78 FF 00 0F 84 7B 02 00 00 8A 43 32 8B D0 4A 80 EA 02 73 6D 8A 43 30 48 2C 0B 72 37 8B 45 08 8B 40 F8 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 0B 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? C7 43 3C FF FF FF FF 8B 45 08 8B 40 F8 66 8B 40 5C 66 89 43 3A 8B C3 8B 10 FF 52 64 0F B7 C0 40 8B 55 08 8B 52 F8 01 42 5C E9 F8 01 00 00 3C 04 75 0C C7 43 3C FF FF FF FF E9 E8 01 00 00 33 C0 89 45 F8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 40 F8 8B 40 30 8B 08 FF 51 50 89 45 FC 83 7D FC FF 74 16 8B 45 08 8B 40 F8 8B 40 30 8B 55 FC E8 ?? ?? ?? ?? 89 45 F8 EB 37 8B 45 08 8B 40 F8 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 0B 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? 80 7B 32 03 75 0D 8B 45 F8 E8 ?? ?? ?? ?? 89 43 3C EB 12 8B 45 08 8B 40 F8 8B 80 88 00 00 00 03 45 FC 89 43 3C 33 C0 8A 43 30 8A 80 ?? ?? ?? ?? 8B 55 F8 0F B6 52 1F 3A 82 ?? ?? ?? ?? 74 62 8B 45 08 8B 40 F8 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 CC C6 45 D0 0B 33 C0 8A 43 30 8B 04 85 ?? ?? ?? ?? 89 45 D4 C6 45 D8 0B 8B 45 F8 0F B6 40 1F 8B 04 85 ?? ?? ?? ?? 89 45 DC C6 45 E0 0B 8D 45 CC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8A 43 30 2C 01 74 12 2C 07 74 0E 04 FC 2C 02 72 08 2C 09 74 04 2C 05 75 73 8B C3 8B 10 FF 52 78 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 66 3B D0 74 5D 8B 45 08 8B 40 F8 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 CC C6 45 D0 0B 8B C3 8B 10 FF 52 78 0F B7 C0 89 45 D4 C6 45 D8 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B7 C0 89 45 DC C6 45 E0 00 8D 45 CC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 F8 80 78 1E 00 74 0D 8B 45 08 8B 40 F8 C6 80 94 00 00 00 01 8B 03 FF 90 BC 00 00 00 84 C0 74 23 8B 45 F8 E8 ?? ?? ?? ?? 66 89 43 38 8B 45 08 8B 40 F8 66 8B 40 68 66 89 43 3A 8B 45 08 8B 40 F8 FF 40 68 B2 01 8B C3 8B 08 FF 51 30 EB 0E 33 D2 8B C3 8B 08 FF 51 30 33 C0 89 43 3C 8B D6 8B C7 E8 ?? ?? ?? ?? 8A 40 30 04 E6 2C 02 73 1B 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 92 C8 00 00 00 E8 ?? ?? ?? ?? 59 46 FF 4D F4 0F 85 28 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5484_0 {
	meta:
		name = "TDataSet.BindFields"
		size = 55
		refs = "002e DoBindFields"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FF 89 45 F8 8B 45 F8 33 D2 89 50 5C 8B 45 F8 33 D2 89 50 68 8B 45 F8 C6 80 94 00 00 00 00 55 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_5485_0 {
	meta:
		name = "TDataSet.FreeFieldBuffers"
		size = 46
		refs = "0009 TFields.GetCount 001d TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 24 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 3C 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5486_0 {
	meta:
		name = "TDataSet.GetFieldCount"
		size = 9
		refs = "0004 TFields.GetCount"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13294_0 {
	meta:
		name = "TCustomDataStore.CalcSubTotals"
		size = 9
		refs = "0004 TDataCache.CalcSubTotals"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13268_0 {
	meta:
		name = "TCustomDataStore.GetDimensionCount"
		size = 9
		refs = "0004 TDataCache.GetDimensionCount"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13267_0 {
	meta:
		name = "TCustomDataStore.GetDimensionMemberCount"
		size = 9
		refs = "0004 TDataCache.GetDimensionMemberCount"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13269_0 {
	meta:
		name = "TCustomDataStore.GetSummaryCount"
		size = 9
		refs = "0004 TDataCache.GetSummaryCount"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5751_0 {
	meta:
		name = "TCustomRemoteServer.AddDataSet"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5752_0 {
	meta:
		name = "TCustomRemoteServer.RemoveDataSet"
		size = 9
		refs = "0004 TList.Remove"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5493_0 {
	meta:
		name = "TDataSet.FieldByNumber"
		size = 9
		refs = "0004 TFields.FieldByNumber"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12883_0 {
	meta:
		name = "TDecisionCube.GetSparsing"
		size = 9
		refs = "0004 TDataCache.GetSparsing"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12888_0 {
	meta:
		name = "TDecisionCube.SetSparsing"
		size = 9
		refs = "0004 TDataCache.SetSparsing"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12809_0 {
	meta:
		name = "TDimensionItem.NotifyCollection"
		size = 9
		refs = "0004 TDimensionItems.NotifyOwner"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13106_0 {
	meta:
		name = "TDisplayDim.NotifyCollection"
		size = 9
		refs = "0004 TDisplayDims.NotifyOwner"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5487_0 {
	meta:
		name = "TDataSet.GetBlobFieldData"
		size = 172
		refs = "0014 TDataSet.FieldByNumber 001a _DV_TBlobField 001f @AsClass 0038 TDataSet.GetBlobFieldData 0046 TStream.GetSize 0056 @DynArrayLength 006c TBlobByteData 0071 @DynArraySetLength 0096 TObject.Free 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 8B 18 FF 93 B4 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 7E 32 8B 06 E8 ?? ?? ?? ?? 3B 45 FC 7D 19 8B 45 FC 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 8B 4D FC 8B 45 F8 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5490_0 {
	meta:
		name = "TDataSet.GetFieldValue"
		size = 280
		refs = "001e TDataSet.GetFieldValue 0030 @LStrPos 003f _Dn_TList 0044 TObject.Create 0061 TDataSet.GetFieldList 0083 VarArrayCreate 009e TList.Get 00b0 @VarArrayPut 00cc TObject.Free 00d2 @HandleFinally 00dd TDataSet.FieldByName 00f9 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 57 33 C0 89 45 F4 8B 45 FC 8B 40 08 48 89 45 F8 8D 45 F4 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 29 46 33 DB 53 6A 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 51 5C 8D 45 E4 50 57 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5491_0 {
	meta:
		name = "TDataSet.SetFieldValue"
		size = 248
		refs = "001a TDataSet.SetFieldValue 002c @LStrPos 0037 _Dn_TList 003c TObject.Create 0059 TDataSet.GetFieldList 0071 TList.Get 007f @VarArrayGet 00a7 TObject.Free 00ad @HandleFinally 00b8 TDataSet.FieldByName 00d7 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 2E 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 53 6A 01 57 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 EC 58 8B 08 FF 91 9C 00 00 00 43 4E 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 91 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5492_0 {
	meta:
		name = "TDataSet.FieldByName"
		size = 121
		refs = "0016 TDataSet.FieldByName 0025 TDataSet.FindField 0034 SFieldNotFound 0039 LoadResString 004f DatabaseErrorFmt 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 24 53 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5494_0 {
	meta:
		name = "TDataSet.FindField"
		size = 56
		refs = "000c TFields.FindField 0023 TFieldList.Find"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 85 C0 75 13 80 BB 99 00 00 00 00 74 0A 8B D6 8B 43 34 E8 ?? ?? ?? ?? 85 C0 75 0A 8B D6 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5495_0 {
	meta:
		name = "TDataSet.GetFieldNames"
		size = 52
		refs = "000a TFields.GetCount 0023 TFieldDefs.Update"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7E 0D 8B 53 34 8B C6 8B 08 FF 51 08 5E 5B C3 8B 43 2C E8 ?? ?? ?? ?? 8B 53 30 8B C6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_5496_0 {
	meta:
		name = "TDataSet.GetStateFieldValue"
		size = 125
		refs = "0034 TDataSet.GetStateFieldValue 0062 @HandleFinally 006c Null 0071 @VarCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 45 FC 8B 75 08 8A 43 32 84 C0 74 04 2C 03 75 4D 8B 45 FC 8A 80 8D 00 00 00 88 45 FB 8B 45 FC 88 90 8D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 8D 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5497_0 {
	meta:
		name = "TDataSet.SetStateFieldValue"
		size = 102
		refs = "0028 TDataSet.SetStateFieldValue 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 80 79 32 00 75 51 8B 45 FC 8A 80 8D 00 00 00 88 45 FB 8B 45 FC 88 90 8D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B C1 8B 08 FF 91 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 8D 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5505_0 {
	meta:
		name = "TDataSet.IsLinkedTo"
		size = 54
	strings:
		$1 = { 53 56 8B F0 B3 01 85 D2 74 25 8B 42 24 85 C0 74 1E 3B F0 74 1C 8B 50 78 85 D2 74 05 3B 72 24 74 10 8B 10 FF 92 D0 00 00 00 8B D0 85 D2 75 DB 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_5506_0 {
	meta:
		name = "TDataSet.AddDataSource"
		size = 36
		refs = "000c TList.Add 0016 TDataSet.UpdateBufferCount 001d TDataSource.UpdateState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 89 5E 24 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5507_0 {
	meta:
		name = "TDataSet.RemoveDataSource"
		size = 38
		refs = "0011 TList.Remove 0018 TDataSource.UpdateState 001f TDataSet.UpdateBufferCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 46 24 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5508_0 {
	meta:
		name = "UpdateCalcFields"
		size = 154
		refs = "0038 TDataSet.ActiveBuffer"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 B8 8D 00 00 00 04 0F 84 82 00 00 00 8B 45 08 8B 40 FC 80 B8 94 00 00 00 00 74 29 8B 45 08 8B 40 F8 80 78 32 00 75 1D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 08 FF 91 18 01 00 00 EB 3F 8B 45 08 8B 40 FC 83 78 5C 00 74 33 8B 45 08 8B 40 FC 80 B8 97 00 00 00 00 74 24 8B 45 08 8B 40 F8 80 78 32 00 75 18 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 08 FF 51 3C 8B 45 08 8B 40 F8 8B 10 FF 52 38 5D C3 }
	condition:
		$1
}

rule function_5509_0 {
	meta:
		name = "NotifyDetails"
		size = 187
		refs = "0028 TDataSet.UpdateCursorPos 004c TList.Get 0055 TDataSet.GetActive 00ae TDataSource.NotifyLinkTypes"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 83 78 7C 00 74 5A 8B 45 08 8B 40 FC 80 B8 8D 00 00 00 03 74 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 7C 8B 58 08 4B 85 DB 7C 2F 43 33 F6 8B 45 08 8B 40 FC 8B 40 7C 8B D6 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C9 B2 0B 8B C7 8B 38 FF 57 5C 46 4B 75 D4 8B 45 08 8B 40 FC 80 B8 8D 00 00 00 0A 75 3B 8B 45 08 8B 40 FC 8B 40 38 8B 58 08 4B 85 DB 7C 2A 43 33 F6 6A 00 8B 45 08 8B 40 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 55 08 8B 4A F8 8B 55 08 8A 52 F7 E8 ?? ?? ?? ?? 46 4B 75 D9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5510_0 {
	meta:
		name = "CheckNestedBrowseMode"
		size = 78
		refs = "002d TList.Get 0036 TDataSet.GetActive 0041 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 40 7C 85 C0 74 36 8B 55 08 8B 70 08 4E 85 F6 7C 2B 46 33 FF 8B 45 08 8B 40 FC 8B 40 7C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 47 4E 75 D8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5511_0 {
	meta:
		name = "TDataSet.DataEvent"
		size = 275
		refs = "001e TDataSet.DataEvent 005e TDataSet.SetModified 0064 UpdateCalcFields 0085 CheckNestedBrowseMode 008e NotifyDetails 00c2 TList.Get 00cd TDataSource.DataEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 88 55 F7 89 45 FC 33 C0 8A 45 F7 83 F8 09 77 78 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 8A 40 32 84 C0 74 04 2C 03 75 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 28 8B 45 FC 8B 40 34 C6 40 31 00 EB 1C 8B 45 FC 8B 40 2C C6 40 20 00 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 78 64 00 75 4F 8B 45 FC 80 B8 8D 00 00 00 0A 74 43 8B 45 FC 8B 40 38 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 4D F8 8A 55 F7 E8 ?? ?? ?? ?? 46 4B 75 E4 8B 45 FC 8B 40 60 85 C0 74 2E 8B 4D F8 8A 55 F7 8B 18 FF 13 EB 22 80 7D F7 06 75 0C 8B 45 FC 80 B8 8D 00 00 00 00 74 06 80 7D F7 04 75 0A 8B 45 FC C6 80 8E 00 00 00 04 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5512_0 {
	meta:
		name = "TDataSet.ControlsDisabled"
		size = 8
	strings:
		$1 = { 83 78 64 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5513_0 {
	meta:
		name = "TDataSet.DisableControls"
		size = 29
	strings:
		$1 = { 83 78 64 00 75 13 8A 90 8D 00 00 00 88 90 8F 00 00 00 C6 80 8E 00 00 00 02 FF 40 64 C3 }
	condition:
		$1
}

rule function_5514_0 {
	meta:
		name = "TDataSet.EnableControls"
		size = 80
	strings:
		$1 = { 53 56 8B D8 83 7B 64 00 74 43 FF 4B 64 83 7B 64 00 75 3A 8A 83 8F 00 00 00 3A 83 8D 00 00 00 74 0B 33 C9 B2 06 8B C3 8B 30 FF 56 5C 80 BB 8F 00 00 00 00 74 18 80 BB 8D 00 00 00 00 74 0F 33 C9 8A 93 8E 00 00 00 8B C3 8B 18 FF 53 5C 5E 5B C3 }
	condition:
		$1
}

rule function_5515_0 {
	meta:
		name = "TDataSet.UpdateRecord"
		size = 101
		refs = "000c TDataSet.UpdateRecord 0026 SNotEditing 002b LoadResString 0035 DatabaseError 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 83 8D 00 00 00 04 FE 2C 03 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C9 B2 05 8B C3 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5516_0 {
	meta:
		name = "TDataSet.SetBufListSize"
		size = 384
		refs = "0017 TDataSet.SetBufListSize 0028 @DynArrayHigh 0048 TBufferList 004d @DynArraySetLength 0060 @DynArrayClear 007c Move 010d @HandleAnyException 0139 @RaiseAgain 013e @DoneExcept 0152 @DynArrayAsg 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 40 89 45 F8 3B 5D F8 0F 84 1D 01 00 00 85 DB 7E 19 53 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 0E 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D F8 7D 4A 85 DB 74 13 8B CB C1 E1 02 8B 55 F0 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 F8 48 2B C3 0F 8C B6 00 00 00 40 93 89 45 F4 8B 45 FC 8B 40 50 8B 55 F4 8D 14 90 8B 45 FC 8B 08 FF 91 54 01 00 00 FF 45 F4 4B 75 E3 E9 8F 00 00 00 83 7D F8 00 74 14 8B 4D F8 C1 E1 02 8B 55 F0 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 5D F4 7E 1C 8B 45 FC 8B 10 FF 92 50 01 00 00 8B 55 F0 8B 4D F4 89 04 8A FF 45 F4 3B 5D F4 7F E4 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 8B 45 F4 3B 45 F8 7E 1F 8B 45 F0 8B 55 F4 8D 14 90 8B 45 FC 8B 08 FF 91 54 01 00 00 FF 4D F4 8B 45 F4 3B 45 F8 7F E1 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5517_0 {
	meta:
		name = "AdjustFirstRecord"
		size = 38
	strings:
		$1 = { 55 8B EC 85 C0 74 1D 8B 55 08 8B 52 FC 8B 52 3C 85 D2 74 10 80 7A 15 00 74 03 01 42 10 8B 52 08 85 D2 75 F0 5D C3 }
	condition:
		$1
}

rule function_5518_0 {
	meta:
		name = "TDataSet.SetBufferCount"
		size = 220
		refs = "0066 TDataSet.MoveBuffer 0099 AdjustFirstRecord 00a5 TDataSet.SetBufListSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC 8B 45 FC 3B 70 40 0F 84 BB 00 00 00 8B 45 FC 3B 70 40 7D 7C 8B 45 FC 83 78 44 00 7E 73 8B 45 FC 8B 58 48 8B 45 FC 8B 40 3C 85 C0 74 15 80 78 15 00 74 08 3B 58 10 7E 03 8B 58 10 8B 40 08 85 C0 75 EB 8B C6 48 85 C0 7C 19 40 89 45 F8 33 FF 8D 14 3B 8B CF 8B 45 FC E8 ?? ?? ?? ?? 47 FF 4D F8 75 ED 8B 45 FC 29 58 48 8B 45 FC 83 78 4C FF 74 06 8B 45 FC 29 58 4C 8B 45 FC 3B 70 44 7D 06 8B 45 FC 89 70 44 55 8B C3 F7 D8 E8 ?? ?? ?? ?? 59 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 70 40 8B 45 FC F6 40 20 08 75 1D 8B 45 FC 8B 10 FF 92 E4 00 00 00 55 8B 45 FC 8B 10 FF 92 EC 00 00 00 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5519_0 {
	meta:
		name = "TDataSet.UpdateBufferCount"
		size = 129
		refs = "0035 TList.Get 0077 TDataSet.SetBufferCount"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B C6 8B 10 FF 92 98 01 00 00 84 C0 74 66 BF 01 00 00 00 33 C0 89 46 3C 8B 46 38 8B 40 08 48 83 F8 00 7C 47 89 04 24 8B 46 38 8B 14 24 E8 ?? ?? ?? ?? 8B E8 8B 45 28 8B 58 08 4B 83 FB 00 7C 22 8B 45 28 8B D3 E8 ?? ?? ?? ?? 8B 56 3C 89 50 08 89 46 3C 8B 50 0C 3B FA 7D 02 8B FA 4B 83 FB FF 75 DE FF 0C 24 83 3C 24 FF 75 BC 8B D7 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5520_0 {
	meta:
		name = "TDataSet.SetCurrentRecord"
		size = 108
		refs = "001d TDataSet.UpdateCursorPos"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B 73 4C 75 06 83 7B 78 00 74 56 8B 43 78 85 C0 74 08 8B 40 24 E8 ?? ?? ?? ?? 8B 43 50 8B 3C B0 8B D7 8B C3 8B 08 FF 91 5C 01 00 00 2C 01 72 0A 74 16 FE C8 74 1E FE C8 75 24 8B D7 8B C3 8B 08 FF 91 94 01 00 00 EB 16 8B C3 8B 10 FF 92 74 01 00 00 EB 0A 8B C3 8B 10 FF 92 88 01 00 00 89 73 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5521_0 {
	meta:
		name = "TDataSet.GetBuffer"
		size = 7
	strings:
		$1 = { 8B 40 50 8B 04 90 C3 }
	condition:
		$1
}

rule function_5522_0 {
	meta:
		name = "TDataSet.GetNextRecord"
		size = 165
		refs = "002e TDataSet.ActiveBuffer 008a TDataSet.MoveBuffer 009c TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B 46 44 85 C0 7E 37 8B D0 4A 8B C6 8B 08 FF 91 2C 01 00 00 80 BE 8D 00 00 00 03 75 21 8B 46 4C 3B 46 48 75 19 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 5C 01 00 00 84 C0 75 02 33 DB 6A 01 8B 46 50 8B 56 44 8B 14 90 8B CB 8B C6 8B 18 FF 93 60 01 00 00 84 C0 0F 94 C0 8B D8 84 DB 74 33 8B 46 44 85 C0 75 0C 8B C6 8B 10 FF 92 C0 00 00 00 EB 15 3B 46 40 7D 05 FF 46 44 EB 0B 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 44 48 89 46 4C B3 01 EB 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_5523_0 {
	meta:
		name = "TDataSet.GetPriorRecord"
		size = 117
		refs = "0050 TDataSet.MoveBuffer 006c TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 56 8B F0 83 7E 44 00 7E 0C 33 D2 8B C6 8B 08 FF 91 2C 01 00 00 6A 01 8B 46 50 8B 56 44 8B 14 90 B1 02 8B C6 8B 18 FF 93 60 01 00 00 84 C0 0F 94 C3 84 DB 74 33 8B 46 44 85 C0 75 0C 8B C6 8B 10 FF 92 C0 00 00 00 EB 19 33 C9 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 46 44 3B 46 40 7D 06 FF 46 44 FF 46 48 33 C0 89 46 4C EB 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_5524_0 {
	meta:
		name = "TDataSet.Resync"
		size = 417
		refs = "0016 TDataSet.Resync 002a TDataSet.CursorPosChanged 0058 SRecordNotFound 005d LoadResString 0068 DatabaseError 0115 TDataSet.MoveBuffer 0179 @HandleFinally 0190 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FB 01 74 48 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC 8B 40 44 8B 55 FC 8B 52 50 8B 14 82 33 C9 8B 45 FC 8B 18 FF 93 60 01 00 00 84 C0 0F 84 99 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? EB 7F 6A 00 8B 45 FC 8B 40 44 8B 55 FC 8B 52 50 8B 14 82 33 C9 8B 45 FC 8B 18 FF 93 60 01 00 00 84 C0 74 5D 6A 00 8B 45 FC 8B 40 44 8B 55 FC 8B 52 50 8B 14 82 B1 01 8B 45 FC 8B 18 FF 93 60 01 00 00 84 C0 74 3B 6A 00 8B 45 FC 8B 40 44 8B 55 FC 8B 52 50 8B 14 82 B1 02 8B 45 FC 8B 18 FF 93 60 01 00 00 84 C0 74 19 8B 45 FC 8B 10 FF 52 48 33 C9 B2 02 8B 45 FC 8B 18 FF 53 5C E9 92 00 00 00 F6 45 FB 02 74 10 8B 45 FC 8B 58 40 4B D1 FB 79 0B 83 D3 00 EB 06 8B 45 FC 8B 58 48 8B 45 FC 8B 50 44 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 C0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 01 4B 85 DB 7E 0F 8B 45 FC 8B 10 FF 92 F0 00 00 00 84 C0 75 EC 8B 45 FC 8B 10 FF 92 E4 00 00 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 B2 02 8B 45 FC 8B 18 FF 53 5C C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5525_0 {
	meta:
		name = "TDataSet.MoveBuffer"
		size = 88
		refs = "002e Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B D8 3B F2 74 47 8B 43 50 8B 3C 90 3B F2 7E 1E 8B C6 2B C2 8B C8 C1 E1 02 8B 43 50 8D 44 90 04 8B 6B 50 8D 54 95 00 E8 ?? ?? ?? ?? EB 19 8B 43 50 8D 04 B0 8B 4B 50 8D 4C B1 04 2B D6 C1 E2 02 87 CA E8 ?? ?? ?? ?? 8B 43 50 89 3C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5526_0 {
	meta:
		name = "TDataSet.ActiveBuffer"
		size = 10
	strings:
		$1 = { 8B 50 50 8B 40 48 8B 04 82 C3 }
	condition:
		$1
}

rule function_5527_0 {
	meta:
		name = "TDataSet.TempBuffer"
		size = 10
	strings:
		$1 = { 8B 50 50 8B 40 44 8B 04 82 C3 }
	condition:
		$1
}

rule function_5528_0 {
	meta:
		name = "TDataSet.ClearBuffers"
		size = 32
	strings:
		$1 = { 33 D2 89 50 44 33 D2 89 50 48 C7 40 4C FF FF FF FF C6 80 90 00 00 00 01 C6 80 91 00 00 00 01 C3 }
	condition:
		$1
}

rule function_5529_0 {
	meta:
		name = "TDataSet.ActivateBuffers"
		size = 32
	strings:
		$1 = { C7 40 44 01 00 00 00 33 D2 89 50 48 33 D2 89 50 4C C6 80 90 00 00 00 00 C6 80 91 00 00 00 00 C3 }
	condition:
		$1
}

rule function_5530_0 {
	meta:
		name = "TDataSet.UpdateCursorPos"
		size = 18
	strings:
		$1 = { 83 78 44 00 7E 0B 8B 50 48 8B 08 FF 91 2C 01 00 00 C3 }
	condition:
		$1
}

rule function_5531_0 {
	meta:
		name = "TDataSet.CursorPosChanged"
		size = 8
	strings:
		$1 = { C7 40 4C FF FF FF FF C3 }
	condition:
		$1
}

rule function_5533_0 {
	meta:
		name = "TDataSet.GetNextRecords"
		size = 36
	strings:
		$1 = { 53 56 8B D8 33 F6 EB 01 46 8B 43 44 3B 43 40 7D 0E 8B C3 8B 10 FF 92 E8 00 00 00 84 C0 75 E9 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5534_0 {
	meta:
		name = "TDataSet.GetPriorRecords"
		size = 36
	strings:
		$1 = { 53 56 8B D8 33 F6 EB 01 46 8B 43 44 3B 43 40 7D 0E 8B C3 8B 10 FF 92 F0 00 00 00 84 C0 75 E9 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5535_0 {
	meta:
		name = "TDataSet.InitRecord"
		size = 44
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 84 01 00 00 8B D6 8B C3 8B 08 FF 51 4C B1 03 8B D6 8B C3 8B 18 FF 93 9C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5536_0 {
	meta:
		name = "TDataSet.IsEmpty"
		size = 10
	strings:
		$1 = { 8B 50 48 3B 50 44 0F 9D C0 C3 }
	condition:
		$1
}

rule function_5537_0 {
	meta:
		name = "TDataSet.GetCalcFields"
		size = 111
		refs = "0038 TDataSet.GetCalcFields 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 5C 00 7F 0C 8B 45 FC 80 B8 94 00 00 00 00 74 4D 8B 45 FC 8A 80 8D 00 00 00 88 45 FB 8B 45 FC C6 80 8D 00 00 00 05 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 8D 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 59 59 5D C3 }
	condition:
		$1
}

rule function_5538_0 {
	meta:
		name = "TDataSet.CalculateFields"
		size = 85
		refs = "0020 TFields.GetCount 0034 TFields.GetField 003f TField.CalcLookupValue"
	strings:
		$1 = { 53 56 57 8B F0 8B C2 89 46 54 80 BE 8D 00 00 00 0B 74 34 8B D0 8B C6 8B 08 FF 51 4C 8B 46 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 FF 8B D7 8B 46 24 E8 ?? ?? ?? ?? 80 78 32 02 75 05 E8 ?? ?? ?? ?? 47 4B 75 E7 8B C6 8B 10 FF 92 A8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5540_0 {
	meta:
		name = "TDataSet.RefreshInternalCalcFields"
		size = 139
		refs = "0014 TDataSet.RefreshInternalCalcFields 0022 TDataSet.GetFieldCount 003f TFields.GetField 0079 @VarClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3B 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 80 7B 32 03 75 17 8D 55 E8 8B C3 8B 08 FF 51 5C 8D 55 E8 8B C3 8B 08 FF 91 9C 00 00 00 FF 45 F8 4E 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5541_0 {
	meta:
		name = "TDataSet.First"
		size = 140
		refs = "000c TDataSet.CheckBrowseMode 0027 TDataSet.First 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A4 00 00 00 8B 45 FC 8B 10 FF 52 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 45 FC 8B 10 FF 92 E8 00 00 00 8B 45 FC 8B 10 FF 92 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 90 00 00 00 01 33 C9 B2 02 8B 45 FC 8B 18 FF 53 5C 8B 45 FC 8B 10 FF 92 84 00 00 00 C3 E9 ?? ?? ?? ?? EB D7 5B 59 5D C3 }
	condition:
		$1
}

rule function_5542_0 {
	meta:
		name = "TDataSet.Last"
		size = 140
		refs = "000c TDataSet.CheckBrowseMode 0027 TDataSet.Last 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A4 00 00 00 8B 45 FC 8B 10 FF 52 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 88 01 00 00 8B 45 FC 8B 10 FF 92 F0 00 00 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 91 00 00 00 01 33 C9 B2 02 8B 45 FC 8B 18 FF 53 5C 8B 45 FC 8B 10 FF 92 84 00 00 00 C3 E9 ?? ?? ?? ?? EB D7 5B 59 5D C3 }
	condition:
		$1
}

rule function_5543_0 {
	meta:
		name = "TDataSet.MoveBy"
		size = 414
		refs = "0011 TDataSet.CheckBrowseMode 0073 TDataSet.MoveBy 018f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 A4 00 00 00 85 DB 7E 0C 8B 45 FC 80 B8 91 00 00 00 00 74 18 85 DB 0F 8D 58 01 00 00 8B 45 FC 80 B8 90 00 00 00 00 0F 85 48 01 00 00 8B 45 FC C6 80 90 00 00 00 00 8B 45 FC C6 80 91 00 00 00 00 8B 45 FC 8B 40 44 89 45 F4 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7E 6B 8B 55 FC 8B 52 48 8B 45 FC 8B 40 44 8B C8 49 3B D1 7D 08 8B 45 FC FF 40 48 EB 48 8B 55 FC 3B 42 40 7D 04 33 F6 EB 05 BE 01 00 00 00 8B 45 FC 8B 10 FF 92 E8 00 00 00 84 C0 74 1C 29 75 F0 8B 45 FC 8B 40 48 8B 55 FC 8B 52 44 4A 3B C2 7D 14 8B 45 FC FF 40 48 EB 0C 8B 45 FC C6 80 91 00 00 00 01 EB 08 4B FF 45 F8 85 DB 7F 95 85 DB 7D 5F 8B 45 FC 83 78 48 00 7E 08 8B 45 FC FF 48 48 EB 46 8B 45 FC 8B 40 44 8B 55 FC 3B 42 40 7D 04 33 F6 EB 05 BE 01 00 00 00 8B 45 FC 8B 10 FF 92 F0 00 00 00 84 C0 74 14 01 75 F0 8B 45 FC 83 78 48 00 7E 14 8B 45 FC FF 48 48 EB 0C 8B 45 FC C6 80 90 00 00 00 01 EB 08 43 FF 4D F8 85 DB 7C A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 3B 45 F4 74 0E 33 C9 B2 02 8B 45 FC 8B 18 FF 53 5C EB 0D 8B 4D F0 B2 03 8B 45 FC 8B 18 FF 53 5C 8B 45 FC 8B 10 FF 92 84 00 00 00 C3 E9 ?? ?? ?? ?? EB C7 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5544_0 {
	meta:
		name = "TDataSet.Next"
		size = 26
		refs = "0015 TDataSet.MoveBy"
	strings:
		$1 = { 83 78 70 00 7E 09 8B 10 FF 92 1C 01 00 00 C3 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5547_0 {
	meta:
		name = "TDataSet.Refresh"
		size = 52
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.UpdateCursorPos 001d TDataSet.Refresh"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 10 01 00 00 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5548_0 {
	meta:
		name = "TDataSet.SetBlockReadSize"
		size = 43
		refs = "0016 TDataSet.SetState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 40 85 F6 7E 0B B2 0A 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 89 73 70 5E 5B C3 }
	condition:
		$1
}

rule function_5549_0 {
	meta:
		name = "TDataSet.CheckParentState"
		size = 16
		refs = "000b TDataSet.Edit"
	strings:
		$1 = { 8B 50 78 85 D2 74 08 8B 42 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5550_0 {
	meta:
		name = "TDataSet.Edit"
		size = 140
		refs = "0019 TDataSet.Insert 0022 TDataSet.CheckBrowseMode 0029 TDataSet.CheckCanModify 003a TDataSet.CheckParentState 0057 TDataSet.CheckOperation 005e TDataSet.ActiveBuffer 0073 TDataSet.SetState"
	strings:
		$1 = { 53 56 8B D8 8A 83 8D 00 00 00 04 FE 2C 02 72 79 83 7B 44 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 6A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 53 8B 03 8B 80 08 01 00 00 50 FF B3 30 01 00 00 FF B3 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 C8 00 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C3 8B 30 FF 56 5C 8B C3 8B 10 FF 52 74 5E 5B C3 }
	condition:
		$1
}

rule function_5551_0 {
	meta:
		name = "TDataSet.Insert"
		size = 176
		refs = "000d TDataSet.Insert 001a TDataSet.BeginInsertAppend 0034 TDataSet.MoveBuffer 003b TDataSet.ActiveBuffer 008a TDataSet.EndInsertAppend 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 91 C4 00 00 00 8B 4B 48 8B 53 44 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 8B 08 FF 91 00 01 00 00 83 7B 44 00 75 10 B1 01 8B D6 8B C3 8B 30 FF 96 9C 01 00 00 EB 0F 8B 4D FC 8B D6 8B C3 8B 30 FF 96 A0 01 00 00 8B 43 44 3B 43 40 7D 03 FF 43 44 8B C3 8B 10 FF 92 0C 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5552_0 {
	meta:
		name = "TDataSet.Append"
		size = 93
		refs = "0007 TDataSet.BeginInsertAppend 0056 TDataSet.EndInsertAppend"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 8B 43 50 8B 30 8B D6 8B C3 8B 08 FF 91 00 01 00 00 B1 02 8B D6 8B C3 8B 30 FF 96 9C 01 00 00 C7 43 44 01 00 00 00 C6 83 90 00 00 00 00 8B C3 8B 10 FF 92 EC 00 00 00 8B C3 8B 10 FF 92 0C 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5553_0 {
	meta:
		name = "TDataSet.Post"
		size = 132
		refs = "0007 TDataSet.UpdateRecord 0025 TDataSet.CheckRequiredFields 004c TDataSet.CheckOperation 005f TDataSet.SetState 0065 TDataSet.Post"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 83 8D 00 00 00 04 FE 2C 02 73 66 33 C9 B2 07 8B C3 8B 30 FF 56 5C 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 53 8B 03 8B 80 90 01 00 00 50 FF B3 38 01 00 00 FF B3 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B4 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 8B C3 8B 10 FF 92 80 00 00 00 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_5554_0 {
	meta:
		name = "CancelNestedDataSets"
		size = 81
		refs = "002d TList.Get 0036 TDataSet.GetActive"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 40 7C 85 C0 74 39 8B 55 08 8B 70 08 4E 85 F6 7C 2E 46 33 FF 8B 45 08 8B 40 FC 8B 40 7C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 AC 01 00 00 47 4E 75 D5 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5555_0 {
	meta:
		name = "TDataSet.Cancel"
		size = 128
		refs = "0019 CancelNestedDataSets 0039 TDataSet.UpdateCursorPos 0059 TDataSet.SetState 005f TDataSet.Cancel"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8A 80 8D 00 00 00 04 FE 2C 02 73 5F 55 E8 ?? ?? ?? ?? 59 33 C9 B2 07 8B 45 FC 8B 18 FF 53 5C 8B 45 FC 8B 10 FF 92 88 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 04 01 00 00 8B 45 FC 8B 10 FF 92 B4 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 8B 45 FC 8B 10 FF 52 68 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5556_0 {
	meta:
		name = "TDataSet.Delete"
		size = 236
		refs = "000d TDataSet.Delete 0043 SDataSetEmpty 0048 LoadResString 0052 DatabaseError 008e TDataSet.CheckOperation 00a1 TDataSet.SetState 00d7 @LStrClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 40 8A 86 8D 00 00 00 04 FD 2C 02 73 0F 8B C6 8B 10 FF 92 AC 01 00 00 E9 8D 00 00 00 83 7E 44 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 07 8B C6 8B 18 FF 53 5C 8B C6 8B 10 FF 92 90 00 00 00 8B C6 8B 10 FF 92 A4 00 00 00 56 8B 06 8B 80 70 01 00 00 50 FF B6 40 01 00 00 FF B6 3C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 E8 01 00 00 8B C6 8B 10 FF 52 70 8B C6 8B 10 FF 92 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_5557_0 {
	meta:
		name = "TDataSet.BeginInsertAppend"
		size = 46
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.CheckCanModify 001e TDataSet.CheckParentState"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 98 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5558_0 {
	meta:
		name = "TDataSet.EndInsertAppend"
		size = 168
		refs = "0010 TDataSet.SetState 0018 TDataSet.EndInsertAppend 0038 @HandleAnyException 0040 TDataSet.UpdateCursorPos 006b @RaiseAgain 0070 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC B2 03 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 5A 59 59 64 89 10 EB 3D E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 92 00 00 00 00 33 C9 B2 02 8B 45 FC 8B 18 FF 53 5C 8B 45 FC 8B 10 FF 52 78 8B 45 FC 8B 10 FF 92 84 00 00 00 5F 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5559_0 {
	meta:
		name = "TDataSet.AddRecord"
		size = 368
		refs = "0018 TDataSet.BeginInsertAppend 0024 TDataSet.UpdateCursorPos 002c TDataSet.DisableControls 0034 TDataSet.AddRecord 004e TDataSet.MoveBuffer 0064 TDataSet.ActiveBuffer 00ab TDataSet.SetFields 00f7 @HandleFinally 0108 @HandleAnyException 0121 @RaiseAgain 0126 @DoneExcept 0157 TDataSet.EnableControls"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B FA 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 84 DB 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 48 8B 45 FC 8B 50 44 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B D6 8B 45 FC 8B 08 FF 91 00 01 00 00 8B 45 FC C6 80 8D 00 00 00 03 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B 45 FC 8B 10 FF 52 78 8B D7 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A0 00 00 00 8B CB 8B D6 8B 45 FC 8B 18 FF 93 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B 45 FC C6 80 8D 00 00 00 01 8B 45 FC C6 80 92 00 00 00 00 C3 E9 ?? ?? ?? ?? EB D9 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 FC 8B 48 44 8B 45 FC 8B 50 48 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 8B 45 FC 8B 10 FF 92 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_5561_0 {
	meta:
		name = "TDataSet.AppendRecord"
		size = 8
		refs = "0003 TDataSet.AddRecord"
	strings:
		$1 = { 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5562_0 {
	meta:
		name = "TDataSet.CheckOperation"
		size = 143
		refs = "0014 TDataSet.CheckOperation 0022 TDataSet.UpdateCursorPos 003b @HandleOnException 0043 _DV_EDatabaseError 006c @RaiseAgain 0077 Abort 007c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 FF 55 10 C6 45 FB 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? C6 45 FA 00 66 83 7D 0A 00 74 0F 8D 55 FA 52 8B C8 8B 55 FC 8B 45 0C FF 55 08 80 7D FA 00 75 05 E8 ?? ?? ?? ?? 80 7D FA 01 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 74 8A 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_5563_0 {
	meta:
		name = "TDataSet.SetFields"
		size = 52
		refs = "001c TFields.GetField 0023 TField.AssignValue"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B E8 8B 34 24 85 F6 7C 1D 46 33 FF 8B DA 8B 45 24 8B D7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 E8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5564_0 {
	meta:
		name = "TDataSet.ClearFields"
		size = 161
		refs = "000d TDataSet.ClearFields 0027 SNotEditing 002c LoadResString 0036 DatabaseError 0048 TDataSet.ActiveBuffer 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 83 8D 00 00 00 04 FE 2C 03 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C9 B2 07 8B C3 8B 30 FF 56 5C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 84 01 00 00 80 BB 8D 00 00 00 04 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 C8 00 00 00 33 C9 B2 01 8B C3 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5565_0 {
	meta:
		name = "TDataSet.CheckRequiredFields"
		size = 201
		refs = "0017 TDataSet.CheckRequiredFields 0025 TFields.GetCount 003f TFields.GetField 0065 TField.FocusControl 0070 TField.GetDisplayName 0086 SFieldRequired 008b LoadResString 0096 DatabaseErrorFmt 00b6 @LStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F0 89 55 EC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 70 46 C7 45 FC 00 00 00 00 8B 47 24 8B 55 FC E8 ?? ?? ?? ?? 8B D8 80 7B 35 00 74 4F 80 7B 31 00 75 49 80 7B 32 00 75 43 8B C3 8B 10 FF 52 74 84 C0 74 38 8B C3 E8 ?? ?? ?? ?? 57 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? FF 45 FC 4E 75 98 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5566_0 {
	meta:
		name = "TDataSet.BookmarkAvailable"
		size = 56
		refs = "0011 TDataSet.IsEmpty 001c TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8A 83 8D 00 00 00 48 2C 03 73 22 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 5C 01 00 00 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5567_0 {
	meta:
		name = "TDataSet.GetBookmark"
		size = 55
		refs = "0007 TDataSet.BookmarkAvailable 0013 @GetMem 001c TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B 43 58 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 8B 18 FF 93 58 01 00 00 EB 02 33 F6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5568_0 {
	meta:
		name = "TDataSet.GetBookmarkStr"
		size = 61
		refs = "0009 TDataSet.BookmarkAvailable 0017 @LStrSetLength 001e TDataSet.ActiveBuffer 0036 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B C6 8B 53 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 0E 8B C3 8B 18 FF 93 58 01 00 00 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5569_0 {
	meta:
		name = "TDataSet.GotoBookmark"
		size = 72
		refs = "000d TDataSet.CheckBrowseMode 0029 TDataSet.GotoBookmark"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 37 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A4 00 00 00 8B D3 8B C6 8B 08 FF 91 78 01 00 00 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 E8 01 00 00 8B C6 8B 10 FF 92 84 00 00 00 5E 5B C3 03 00 00 00 }
	condition:
		$1
}

rule function_5578_0 {
	meta:
		name = "TDataSet.Translate"
		size = 37
		refs = "0011 StrCopy 0018 StrLen"
	strings:
		$1 = { 55 8B EC 53 8B D9 85 D2 74 14 3B DA 74 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5580_0 {
	meta:
		name = "TDataSet.FindFirst"
		size = 15
	strings:
		$1 = { 53 B1 01 B2 01 8B 18 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5581_0 {
	meta:
		name = "TDataSet.FindLast"
		size = 15
	strings:
		$1 = { 53 33 C9 B2 01 8B 18 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5582_0 {
	meta:
		name = "TDataSet.FindNext"
		size = 15
	strings:
		$1 = { 53 B1 01 33 D2 8B 18 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5583_0 {
	meta:
		name = "TDataSet.FindPrior"
		size = 15
	strings:
		$1 = { 53 33 C9 33 D2 8B 18 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5584_0 {
	meta:
		name = "TDataSet.SetFiltered"
		size = 7
	strings:
		$1 = { 88 90 98 00 00 00 C3 }
	condition:
		$1
}

rule function_5585_0 {
	meta:
		name = "TDataSet.SetFilterOptions"
		size = 15
	strings:
		$1 = { 51 88 14 24 8A 14 24 88 90 8C 00 00 00 5A C3 }
	condition:
		$1
}

rule function_5586_0 {
	meta:
		name = "TDataSet.SetFilterText"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 6C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5587_0 {
	meta:
		name = "TDataSet.SetOnFilterRecord"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 44 01 00 00 8B 55 0C 89 90 48 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5589_0 {
	meta:
		name = "TDataSet.Lookup"
		size = 17
		refs = "0009 @VarFromBool"
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5590_0 {
	meta:
		name = "TDataSet.GetAggregateValue"
		size = 18
		refs = "0007 Null 000c @VarCopy"
	strings:
		$1 = { 53 8B D9 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15404_0 {
	meta:
		name = "TCustomProvider.FetchData"
		size = 18
		refs = "0007 Null 000c @OleVarFromVar"
	strings:
		$1 = { 53 8B D9 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5593_0 {
	meta:
		name = "TDataSet.CheckBrowseMode"
		size = 92
		refs = "0029 TDataSet.UpdateRecord"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 40 33 C9 B2 07 8B C3 8B 30 FF 56 5C 8A 83 8D 00 00 00 04 FE 2C 02 72 04 74 2B EB 33 8B C3 E8 ?? ?? ?? ?? 80 BB 92 00 00 00 00 74 0C 8B C3 8B 10 FF 92 E4 01 00 00 EB 17 8B C3 8B 10 FF 92 AC 01 00 00 5E 5B C3 8B C3 8B 10 FF 92 E4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5595_0 {
	meta:
		name = "TDataSet.CheckCanModify"
		size = 92
		refs = "000c TDataSet.CheckCanModify 0028 SDataSetReadOnly 002d LoadResString 0037 DatabaseError 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 CC 00 00 00 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5597_0 {
	meta:
		name = "DefineHandleTable"
		size = 4
		altNames = "TChartSeries.Clicked TDataSet.GetRecNo TDataSet.GetRecordCount TISAPIApplication.TerminateExtension Yield"
	strings:
		$1 = { 83 C8 FF C3 }
	condition:
		$1
}

rule function_5602_0 {
	meta:
		name = "TDataSet.DoAfterCancel"
		size = 29
	strings:
		$1 = { 53 66 83 B8 F6 00 00 00 00 74 10 8B D8 8B D0 8B 83 F8 00 00 00 FF 93 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5603_0 {
	meta:
		name = "TDataSet.DoAfterClose"
		size = 29
	strings:
		$1 = { 53 66 83 B8 B6 00 00 00 00 74 10 8B D8 8B D0 8B 83 B8 00 00 00 FF 93 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5604_0 {
	meta:
		name = "TDataSet.DoAfterDelete"
		size = 29
	strings:
		$1 = { 53 66 83 B8 06 01 00 00 00 74 10 8B D8 8B D0 8B 83 08 01 00 00 FF 93 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5605_0 {
	meta:
		name = "TDataSet.DoAfterEdit"
		size = 29
	strings:
		$1 = { 53 66 83 B8 D6 00 00 00 00 74 10 8B D8 8B D0 8B 83 D8 00 00 00 FF 93 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5606_0 {
	meta:
		name = "TDataSet.DoAfterInsert"
		size = 29
	strings:
		$1 = { 53 66 83 B8 C6 00 00 00 00 74 10 8B D8 8B D0 8B 83 C8 00 00 00 FF 93 C4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5607_0 {
	meta:
		name = "TDataSet.DoAfterOpen"
		size = 29
	strings:
		$1 = { 53 66 83 B8 A6 00 00 00 00 74 10 8B D8 8B D0 8B 83 A8 00 00 00 FF 93 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5608_0 {
	meta:
		name = "TDataSet.DoAfterPost"
		size = 29
	strings:
		$1 = { 53 66 83 B8 E6 00 00 00 00 74 10 8B D8 8B D0 8B 83 E8 00 00 00 FF 93 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5609_0 {
	meta:
		name = "TDataSet.DoAfterScroll"
		size = 29
	strings:
		$1 = { 53 66 83 B8 16 01 00 00 00 74 10 8B D8 8B D0 8B 83 18 01 00 00 FF 93 14 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5610_0 {
	meta:
		name = "TDataSet.DoBeforeCancel"
		size = 29
	strings:
		$1 = { 53 66 83 B8 EE 00 00 00 00 74 10 8B D8 8B D0 8B 83 F0 00 00 00 FF 93 EC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5611_0 {
	meta:
		name = "TDataSet.DoBeforeClose"
		size = 29
	strings:
		$1 = { 53 66 83 B8 AE 00 00 00 00 74 10 8B D8 8B D0 8B 83 B0 00 00 00 FF 93 AC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5612_0 {
	meta:
		name = "TDataSet.DoBeforeDelete"
		size = 29
	strings:
		$1 = { 53 66 83 B8 FE 00 00 00 00 74 10 8B D8 8B D0 8B 83 00 01 00 00 FF 93 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5613_0 {
	meta:
		name = "TDataSet.DoBeforeEdit"
		size = 29
	strings:
		$1 = { 53 66 83 B8 CE 00 00 00 00 74 10 8B D8 8B D0 8B 83 D0 00 00 00 FF 93 CC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5614_0 {
	meta:
		name = "TDataSet.DoBeforeInsert"
		size = 29
	strings:
		$1 = { 53 66 83 B8 BE 00 00 00 00 74 10 8B D8 8B D0 8B 83 C0 00 00 00 FF 93 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5615_0 {
	meta:
		name = "TDataSet.DoBeforeOpen"
		size = 29
	strings:
		$1 = { 53 66 83 B8 9E 00 00 00 00 74 10 8B D8 8B D0 8B 83 A0 00 00 00 FF 93 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5618_0 {
	meta:
		name = "TDataSet.DoOnCalcFields"
		size = 29
	strings:
		$1 = { 53 66 83 B8 26 01 00 00 00 74 10 8B D8 8B D0 8B 83 28 01 00 00 FF 93 24 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5619_0 {
	meta:
		name = "TDataSet.DoOnNewRecord"
		size = 29
	strings:
		$1 = { 53 66 83 B8 1E 01 00 00 00 74 10 8B D8 8B D0 8B 83 20 01 00 00 FF 93 1C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5620_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_25 001a FieldTypeNames 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 1E 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_5622_0 {
	meta:
		name = "TDataSetAction.GetDataSet"
		size = 21
		refs = "0007 _Dn_TDataSource 000c @AsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 24 5B C3 }
	condition:
		$1
}

rule function_5623_0 {
	meta:
		name = "TDataSetAction.HandlesTarget"
		size = 63
		refs = "0022 _Dn_TDataSource 0027 @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 74 85 FF 74 0A 3B FE 75 06 83 7F 24 00 75 21 83 7B 74 00 75 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 83 7E 24 00 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5624_0 {
	meta:
		name = "TDataSetAction.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TDataSetAction.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0E 3B 77 74 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17386_0 {
	meta:
		name = "TEditAction.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TEditAction.SetControl"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0E 3B 77 74 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17395_0 {
	meta:
		name = "TWindowAction.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TWindowAction.SetForm"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0E 3B 77 74 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5625_0 {
	meta:
		name = "TDataSetAction.SetDataSource"
		size = 19
		refs = "000e TComponent.FreeNotification"
		altNames = "TEditAction.SetControl TWindowAction.SetForm"
	strings:
		$1 = { 3B 50 74 74 0D 89 50 74 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5626_0 {
	meta:
		name = "TDataSetFirst.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.First"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5644_0 {
	meta:
		name = "TDataSetDelete.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5642_0 {
	meta:
		name = "TDataSetEdit.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Edit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5634_0 {
	meta:
		name = "TDataSetInsert.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5632_0 {
	meta:
		name = "TDataSetLast.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Last"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5630_0 {
	meta:
		name = "TDataSetNext.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Next"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5628_0 {
	meta:
		name = "TDataSetPrior.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Prior"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5636_0 {
	meta:
		name = "TDataSetRefresh.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17389_0 {
	meta:
		name = "TEditCopy.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.CopyToClipboard"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17390_0 {
	meta:
		name = "TEditCut.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.CutToClipboard"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17391_0 {
	meta:
		name = "TEditPaste.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.PasteFromClipboard"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17405_0 {
	meta:
		name = "TWindowArrange.ExecuteTarget"
		size = 23
		refs = "0010 TForm.ArrangeIcons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17400_0 {
	meta:
		name = "TWindowCascade.ExecuteTarget"
		size = 23
		refs = "0010 TForm.Cascade"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5627_0 {
	meta:
		name = "TDataSetFirst.UpdateTarget"
		size = 49
		refs = "0010 TDataSet.GetActive 002a TCustomAction.SetEnabled"
		altNames = "TDataSetPrior.UpdateTarget"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 08 FF 51 48 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 80 BE 90 00 00 00 00 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5631_0 {
	meta:
		name = "TDataSetLast.UpdateTarget"
		size = 49
		refs = "0010 TDataSet.GetActive 002a TCustomAction.SetEnabled"
		altNames = "TDataSetNext.UpdateTarget"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 08 FF 51 48 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 80 BE 91 00 00 00 00 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5635_0 {
	meta:
		name = "TDataSetInsert.UpdateTarget"
		size = 54
		refs = "0010 TDataSet.GetActive 002f TCustomAction.SetEnabled"
		altNames = "TDataSetRefresh.UpdateTarget"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 08 FF 51 48 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 8B 10 FF 92 CC 00 00 00 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5638_0 {
	meta:
		name = "TDataSetPost.ExecuteTarget"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 8B 10 FF 92 E4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5639_0 {
	meta:
		name = "TDataSetCancel.UpdateTarget"
		size = 66
		refs = "0010 TDataSet.GetActive 003b TCustomAction.SetEnabled"
		altNames = "TDataSetPost.UpdateTarget"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 48 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 8B 10 FF 92 CC 00 00 00 84 C0 74 0C 8A 83 8D 00 00 00 04 FE 2C 03 72 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5640_0 {
	meta:
		name = "TDataSetCancel.ExecuteTarget"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 8B 10 FF 92 AC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5643_0 {
	meta:
		name = "TDataSetEdit.UpdateTarget"
		size = 66
		refs = "0010 TDataSet.GetActive 003b TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 48 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 8B 10 FF 92 CC 00 00 00 84 C0 74 0C 8A 83 8D 00 00 00 04 FE 2C 03 73 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5645_0 {
	meta:
		name = "TDataSetDelete.UpdateTarget"
		size = 72
		refs = "0010 TDataSet.GetActive 0041 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 48 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 8B 10 FF 92 CC 00 00 00 84 C0 74 12 80 BB 90 00 00 00 00 74 0D 80 BB 91 00 00 00 00 74 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5648_0 {
	meta:
		name = "TDBCtrlGridLink.Create"
		size = 69
		refs = "000b @ClassCreate 001a TDataLink.Create 0026 RPR 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C C6 47 16 01 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5649_0 {
	meta:
		name = "TDBCtrlGridLink.ActiveChanged"
		size = 11
		refs = "0006 TDBCtrlGrid.DataSetChanged"
		altNames = "TDBCtrlGridLink.DataSetChanged"
	strings:
		$1 = { 33 D2 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5651_0 {
	meta:
		name = "TDBCtrlPanel.CreateLinked"
		size = 88
		refs = "000b @ClassCreate 001c TWinControl.Create 0021 TDBCtrlPanel.CreateLinked 003e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 47 40 89 B7 EC 01 00 00 8B D6 8B C7 8B 08 FF 51 64 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 CB 08 00 00 }
	condition:
		$1
}

rule function_5653_0 {
	meta:
		name = "TDBCtrlPanel.PaintWindow"
		size = 390
		refs = "0054 TDBCtrlGrid.DrawPanelBackground 0064 TCanvas.SetHandle 006c TDBCtrlPanel.PaintWindow 0086 TCanvas.SetFont 0099 TBrush.SetStyle 00b0 TBrush.SetColor 010a InflateRect 0132 TCanvas.DrawFocusRect 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 8B F8 8B 87 EC 01 00 00 89 45 FC 8B 45 FC 8B 98 EC 01 00 00 80 7B 15 00 0F 84 32 01 00 00 8B C3 8B 10 FF 52 28 8B 55 FC 3B 82 08 02 00 00 0F 94 C0 8B D8 6A 01 53 8D 55 DC 8B C7 8B 08 FF 51 44 8D 4D DC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 01 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 58 8B 45 FC 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 45 FC 8B 80 F4 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 8B 10 FF 52 28 8B D0 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B 45 FC 80 B8 24 02 00 00 00 74 5B 8B 45 FC 80 B8 25 02 00 00 00 74 4F 84 DB 74 4B 8D 55 EC 8B C7 8B 08 FF 51 44 8B 45 FC 80 B8 21 02 00 00 01 75 0D 6A FE 6A FE 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 45 FC 8B 80 F4 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 6A 01 8B 45 FC F6 40 20 10 0F 95 C0 50 8D 55 DC 8B C7 8B 08 FF 51 44 8D 4D DC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5654_0 {
	meta:
		name = "TDBCtrlPanel.CMControlListChange"
		size = 24
		refs = "0013 TDBCtrlGrid.UpdateDataLinks"
	strings:
		$1 = { 8B 4A 08 F7 D9 1B C9 F7 D9 8B 52 04 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5655_0 {
	meta:
		name = "TDBCtrlPanel.WMPaint"
		size = 218
		refs = "0020 TDBCtrlGrid.CreatePanelBitmap 0028 TDBCtrlPanel.WMPaint 004a TWinControl.PaintHandler 005b TWinControl.GetHandle 0061 BeginPaint 0092 BitBlt 00a4 EndPaint 00bf TDBCtrlGrid.DestroyPanelBitmap 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 8B DA 89 45 FC 83 7B 04 00 0F 85 B5 00 00 00 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 EC 01 00 00 8B 80 1C 02 00 00 89 43 04 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 43 04 8D 45 BC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 55 FC 8B 92 EC 01 00 00 8B 92 1C 02 00 00 52 8B 55 FC 8B 52 3C 52 8B 55 FC 8B 52 38 52 6A 00 6A 00 50 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5656_0 {
	meta:
		name = "TDBCtrlPanel.WMNCHitTest"
		size = 22
	strings:
		$1 = { F6 40 20 10 74 08 C7 42 0C 01 00 00 00 C3 C7 42 0C FF FF FF FF C3 }
	condition:
		$1
}

rule function_5658_0 {
	meta:
		name = "TDBCtrlGrid.Create"
		size = 216
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TDBCtrlGrid.Create 0028 TWinControl.SetTabStop 0031 _DV_TDBCtrlGridLink 0036 TDBCtrlGridLink.Create 0043 _Dn_TCanvas 0048 TCanvas.Create 0057 _DV_TDBCtrlPanel 005c TDBCtrlPanel.CreateLinked 00b6 TDBCtrlGrid.AdjustSize 00c1 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 B2 01 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 EC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F4 01 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F0 01 00 00 C7 86 F8 01 00 00 01 00 00 00 C7 86 FC 01 00 00 03 00 00 00 C7 86 00 02 00 00 C8 00 00 00 C7 86 04 02 00 00 48 00 00 00 C6 86 21 02 00 00 01 C6 86 22 02 00 00 01 C6 86 23 02 00 00 01 C6 86 24 02 00 00 01 8B 46 64 89 86 2C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 C0 00 00 00 }
	condition:
		$1
}

rule function_5659_0 {
	meta:
		name = "TDBCtrlGrid.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0031 TWinControl.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 EC 01 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5660_0 {
	meta:
		name = "TDBCtrlGrid.AcquireFocus"
		size = 66
		refs = "0010 @CallDynaInst 001b TDBCtrlGrid.GetEditMode"
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 01 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 75 23 8B C6 E8 ?? ?? ?? ?? 84 C0 75 18 8B C6 8B 10 FF 92 B4 00 00 00 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 88 04 24 8A 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5661_0 {
	meta:
		name = "TDBCtrlGrid.AdjustSize"
		size = 89
		refs = "002b GetSystemMetrics 0051 TDBCtrlGrid.Reset"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 00 02 00 00 0F AF B3 F8 01 00 00 8B BB 04 02 00 00 0F AF BB FC 01 00 00 80 BB 20 02 00 00 00 75 0B 6A 02 E8 ?? ?? ?? ?? 03 F0 EB 09 6A 03 E8 ?? ?? ?? ?? 03 F8 56 57 8B 4B 34 8B 53 30 8B C3 8B 30 FF 96 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5662_0 {
	meta:
		name = "TDBCtrlGrid.CreatePanelBitmap"
		size = 101
		refs = "0011 GetDC 0027 CreateCompatibleBitmap 0035 ReleaseDC 003c CreateCompatibleDC 0051 SelectObject"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 10 02 00 00 00 75 4D 6A 00 E8 ?? ?? ?? ?? 8B F0 8B BB F0 01 00 00 8B 47 3C 50 8B 47 38 50 56 E8 ?? ?? ?? ?? 89 83 14 02 00 00 56 6A 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 89 B3 1C 02 00 00 8B 83 14 02 00 00 50 56 E8 ?? ?? ?? ?? 89 83 18 02 00 00 FF 83 10 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5663_0 {
	meta:
		name = "TDBCtrlGrid.CreateParams"
		size = 23
		refs = "0006 TWinControl.CreateParams"
		altNames = "TNotebook.CreateParams TOleContainer.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 02 83 63 24 FC 5B C3 }
	condition:
		$1
}

rule function_5664_0 {
	meta:
		name = "TDBCtrlGrid.CreateWnd"
		size = 86
		refs = "0006 TWinControl.CreateWnd 0043 TWinControl.GetHandle 0049 SetScrollRange 0050 TDBCtrlGrid.UpdateScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 20 02 00 00 00 75 0C C7 83 28 02 00 00 01 00 00 00 EB 08 33 C0 89 83 28 02 00 00 8B 83 EC 01 00 00 80 78 15 00 75 1A 6A 00 6A 04 6A 00 8B 83 28 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5665_0 {
	meta:
		name = "TDBCtrlGrid.DataSetChanged"
		size = 377
		refs = "0055 TDBCtrlGrid.GetPanelBounds 0062 TWinControl.HandleAllocated 0075 TControl.SetBoundsRect 007f GetFocus 0084 FindControl 009b TWinControl.ContainsControl 00e4 TWinControl.GetHandle 00ea SetWindowPos 0104 RedrawWindow 0122 TControl.SetVisible 014b TDBCtrlGrid.UpdateScrollBar 015f TWinControl.CanFocus"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 88 14 24 8B D8 F6 43 20 10 74 09 33 FF BD 01 00 00 00 EB 2F 8B 83 EC 01 00 00 80 78 15 00 74 1F 8B 10 FF 52 28 8B F8 8B 83 EC 01 00 00 8B 10 FF 52 38 8B E8 85 ED 75 0B BD 01 00 00 00 EB 04 33 FF 33 ED 33 F6 8D 4C 24 04 8B D7 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 8D 54 24 04 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? E9 8A 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 3B B3 F0 01 00 00 74 21 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B 83 F0 01 00 00 8B 10 FF 92 B4 00 00 00 EB 02 33 F6 3B BB 08 02 00 00 74 4B 6A 0C 8B 44 24 14 2B 44 24 0C 50 8B 44 24 14 2B 44 24 0C 50 8B 44 24 14 50 8B 44 24 14 50 6A 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 81 00 00 00 6A 00 6A 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 BB 08 02 00 00 8B C5 89 83 0C 02 00 00 85 C0 0F 9F C2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 10 FF 52 78 80 3C 24 00 75 11 8B C3 8B 10 FF 52 78 8B C3 8B 10 FF 92 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1E 80 BB 26 02 00 00 00 75 15 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 B4 00 00 00 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5666_0 {
	meta:
		name = "TDBCtrlGrid.DestroyPanelBitmap"
		size = 63
		refs = "0021 SelectObject 002d DeleteDC 0039 DeleteObject"
	strings:
		$1 = { 53 8B D8 FF 8B 10 02 00 00 83 BB 10 02 00 00 00 75 2B 8B 83 18 02 00 00 50 8B 83 1C 02 00 00 50 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 50 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5667_0 {
	meta:
		name = "TDBCtrlGrid.DoKey"
		size = 537
		refs = "003c TDataLink.GetDataSet 0053 TDBCtrlGrid.DoKey 00a2 TDBCtrlGrid.GetEditMode 00ae TDBCtrlGrid.SetEditMode 00bc TDBCtrlGrid.SelectNext 00dc TDBCtrlGrid.Scroll 016c TDataSet.First 0178 TDataSet.Last 019f TDataSet.Insert 01c8 TDataSet.Append 01f1 TDataSet.Delete"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 8B 83 EC 01 00 00 80 78 15 00 0F 84 F9 01 00 00 80 BB 20 02 00 00 00 75 0D BD 01 00 00 00 8B BB F8 01 00 00 EB 0B 8B AB FC 01 00 00 BF 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 33 C0 8A 04 24 83 F8 11 0F 87 C3 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? E9 5C 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? E9 4E 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? E9 40 01 00 00 8B D5 F7 DA 33 C9 8B C3 E8 ?? ?? ?? ?? E9 2E 01 00 00 33 C9 8B D5 8B C3 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B D7 F7 DA 33 C9 8B C3 E8 ?? ?? ?? ?? E9 0C 01 00 00 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 FC 00 00 00 8B D7 F7 DA B1 01 8B C3 E8 ?? ?? ?? ?? E9 EA 00 00 00 B1 01 8B D7 8B C3 E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 83 EC 01 00 00 8B 50 0C F7 DA B1 01 8B C3 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B 83 EC 01 00 00 8B 50 0C B1 01 8B C3 E8 ?? ?? ?? ?? E9 AA 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 9E 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 92 00 00 00 80 BB 22 02 00 00 00 0F 84 85 00 00 00 8B C6 8B 10 FF 92 CC 00 00 00 84 C0 74 77 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 65 80 BB 22 02 00 00 00 74 5C 8B C6 8B 10 FF 92 CC 00 00 00 84 C0 74 4E 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 3C 80 BB 23 02 00 00 00 74 33 8B C6 8B 10 FF 92 CC 00 00 00 84 C0 74 25 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 13 8B C6 8B 10 FF 92 AC 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5668_0 {
	meta:
		name = "TDBCtrlGrid.DrawPanel"
		size = 189
		refs = "0016 TDBCtrlGrid.GetPanelBounds 004d TWinControl.PaintTo 0080 TDBCtrlGrid.DrawPanelBackground 00b2 BitBlt"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F1 89 14 24 8B D8 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 3B B3 0C 02 00 00 7D 3E 8B 83 EC 01 00 00 8B 10 FF 52 28 8B F8 8B D6 8B 83 EC 01 00 00 8B 08 FF 51 48 6A 00 33 C9 8B 93 1C 02 00 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 83 EC 01 00 00 8B 08 FF 51 48 EB 24 6A 01 6A 00 8D 54 24 1C 8B 83 F0 01 00 00 8B 08 FF 51 44 8D 4C 24 1C 8B 93 1C 02 00 00 8B C3 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 8B 1C 02 00 00 51 8B 4C 24 20 8B 54 24 18 2B CA 51 8B 4C 24 20 8B 44 24 18 2B C8 51 52 50 8B 44 24 20 50 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5669_0 {
	meta:
		name = "TDBCtrlGrid.DrawPanelBackground"
		size = 129
		refs = "0027 TControl.SetColor 0045 ColorToRGB 004b CreateSolidBrush 0058 FillRect 005e DeleteObject 0075 DrawEdge"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 80 7D 0C 00 74 4E 80 7D 08 00 74 13 8B 93 2C 02 00 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? EB 0E 8B 53 64 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 40 64 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8B 45 FC 50 57 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 80 BB 21 02 00 00 01 75 0E 6A 0F 6A 04 8B 45 FC 50 57 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5670_0 {
	meta:
		name = "TDBCtrlGrid.GetChildParent"
		size = 7
	strings:
		$1 = { 8B 80 F0 01 00 00 C3 }
	condition:
		$1
}

rule function_5671_0 {
	meta:
		name = "TDBCtrlGrid.GetChildren"
		size = 30
		refs = "0015 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 8B 80 F0 01 00 00 66 BB FD FF E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5672_0 {
	meta:
		name = "TDBCtrlGrid.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 EC 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_5673_0 {
	meta:
		name = "TDBCtrlGrid.GetEditMode"
		size = 52
		refs = "000b @CallDynaInst 0014 GetFocus 0019 FindControl 0022 TWinControl.ContainsControl"
	strings:
		$1 = { 53 56 8B F0 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 75 17 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_5674_0 {
	meta:
		name = "TDBCtrlGrid.GetPanelBounds"
		size = 108
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 80 BB 20 02 00 00 00 75 14 8B C6 8B AB F8 01 00 00 99 F7 FD 8B FA 8B C6 99 F7 FD EB 14 8B C6 8B AB FC 01 00 00 99 F7 FD 8B F8 8B C6 99 F7 FD 8B C2 8B 93 00 02 00 00 0F AF D7 89 11 8B 93 04 02 00 00 0F AF D0 89 51 04 8B 01 03 83 00 02 00 00 89 41 08 8B 41 04 03 83 04 02 00 00 89 41 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5676_0 {
	meta:
		name = "TDBCtrlGrid.KeyDown"
		size = 274
		refs = "0013 TWinControl.KeyDown 0036 TDBCtrlGrid.KeyDown 00e1 GetKeyState 0109 TDBCtrlGrid.DoKey"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 8B D7 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 33 DB 0F B7 07 83 F8 25 7F 79 0F 84 93 00 00 00 83 C0 F3 83 F8 17 0F 87 D1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 2D 7F 0F 74 3D 83 E8 26 74 1C 48 74 15 48 74 1A EB 56 83 E8 2E 74 3F 83 E8 43 74 22 EB 4A B3 04 EB 46 B3 05 EB 42 B3 06 EB 3E B3 07 EB 3A B3 0A EB 36 B3 0B EB 32 B3 0C EB 2E B3 0D EB 2A B3 01 EB 26 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7C 04 B3 0E EB 16 B3 0F EB 12 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 06 B3 10 EB 02 B3 11 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5677_0 {
	meta:
		name = "TDBCtrlGrid.PaintWindow"
		size = 572
		refs = "0032 ColorToRGB 003a CreateHatchBrush 0051 SetBkColor 006a FillRect 0070 DeleteObject 00a2 TDBCtrlGrid.GetPanelBounds 00b0 TDBCtrlGrid.DrawPanelBackground 00c1 TDBCtrlGrid.CreatePanelBitmap 00c9 TDBCtrlGrid.PaintWindow 0121 TDBCtrlGrid.DrawPanel 013a TDBCtrlGrid.DestroyPanelBitmap 0140 @HandleFinally 014a TWinControl.HandleAllocated 0180 CreateSolidBrush 01b1 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 55 F8 89 45 FC 8B 45 FC F6 40 20 10 0F 84 A2 00 00 00 8B 45 FC 8B 80 F0 01 00 00 8B 10 FF 92 84 00 00 00 B8 10 00 00 80 E8 ?? ?? ?? ?? 50 6A 03 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 8D 55 E8 8B 45 FC 8B 08 FF 51 44 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 F8 01 00 00 8B 45 FC 0F AF 98 FC 01 00 00 4B 85 DB 0F 8E B6 00 00 00 BE 01 00 00 00 6A 00 6A 00 8D 4D E8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 DD E9 89 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 F8 01 00 00 8B 45 FC 0F AF 98 FC 01 00 00 4B 85 DB 7C 3E 43 33 F6 8B 45 FC 83 B8 0C 02 00 00 00 74 1E 8B 45 FC 3B B0 08 02 00 00 75 13 8B 45 FC 8B 80 F0 01 00 00 8B 10 FF 92 84 00 00 00 EB 0D 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 E0 00 00 00 8B 45 FC 8B 80 F0 01 00 00 8B 40 3C 8B 55 FC F7 AA FC 01 00 00 8B 55 FC 3B 42 3C 74 55 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 3C 50 8D 45 E8 50 8B 45 FC 8B 80 F0 01 00 00 8B 50 3C 8B 45 FC 0F AF 90 FC 01 00 00 8B 45 FC 8B 48 38 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 01 00 00 8B 40 38 8B 55 FC F7 AA F8 01 00 00 8B 55 FC 3B 42 38 74 51 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 3C 50 8D 45 E8 50 8B 45 FC 8B 80 00 02 00 00 8B 55 FC F7 AA F8 01 00 00 8B 55 FC 8B 4A 38 33 D2 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5678_0 {
	meta:
		name = "TDBCtrlGrid.PaintPanel"
		size = 31
	strings:
		$1 = { 53 66 83 B8 32 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 34 02 00 00 FF 93 30 02 00 00 5B C3 }
	condition:
		$1
}

rule function_5679_0 {
	meta:
		name = "TDBCtrlGrid.PointInPanel"
		size = 80
		refs = "001a SmallPointToPoint 0033 TDBCtrlGrid.GetPanelBounds 003d PtInRect"
	strings:
		$1 = { 53 83 C4 E4 89 14 24 8B D8 83 BB 0C 02 00 00 00 7E 33 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? FF 74 24 08 FF 74 24 08 8D 4C 24 14 8B 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_5680_0 {
	meta:
		name = "TDBCtrlGrid.ReadState"
		size = 23
		refs = "0006 TWinControl.ReadState 0011 TWinControl.FixupTabList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5681_0 {
	meta:
		name = "TDBCtrlGrid.Reset"
		size = 62
		refs = "0038 TDBCtrlGrid.DataSetChanged"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 12 BA 01 00 00 00 8B 83 EC 01 00 00 8B 08 FF 51 4C EB 18 8B 93 F8 01 00 00 0F AF 93 FC 01 00 00 8B 83 EC 01 00 00 8B 08 FF 51 4C B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5682_0 {
	meta:
		name = "TDBCtrlGrid.Scroll"
		size = 455
		refs = "0029 TDataLink.GetDataSet 0040 TDataSet.UpdateRecord 0088 TDataSet.CheckBrowseMode 0090 TDataSet.DisableControls 0098 TDBCtrlGrid.Scroll 00c2 TDataSet.MoveBy 019f TDataSet.Append 01b4 TDataSet.EnableControls 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B F2 8B D8 8B 83 EC 01 00 00 80 78 15 00 0F 84 A0 01 00 00 85 F6 0F 84 98 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 B8 8D 00 00 00 03 75 48 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 92 00 00 00 00 74 10 8B 45 F8 8B 10 FF 92 E4 01 00 00 E9 60 01 00 00 85 F6 7C 10 8B 45 F8 80 B8 91 00 00 00 00 0F 85 4C 01 00 00 8B 45 F8 8B 10 FF 92 AC 01 00 00 E9 3C 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FF 00 74 4D 85 F6 7E 2B 8B 83 EC 01 00 00 8B 50 0C 03 D6 2B 93 08 02 00 00 4A 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 2B D0 8B 45 F8 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B D6 2B 93 08 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 2B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 7F 8B BB 08 02 00 00 03 FE 85 FF 7C 17 8B 83 EC 01 00 00 3B 78 0C 7D 0C 8B D6 8B 45 F8 E8 ?? ?? ?? ?? EB 5C 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 75 4E 80 BB 20 02 00 00 00 75 08 8B 8B F8 01 00 00 EB 06 8B 8B FC 01 00 00 85 F6 7E 0C 8B C7 99 F7 F9 49 2B CA 8B F9 EB 11 8D 47 01 99 F7 F9 B8 01 00 00 00 2B C1 2B C2 8B F8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B 45 F8 E8 ?? ?? ?? ?? 4E 75 2C 8B 45 F8 80 B8 91 00 00 00 00 74 20 80 BB 22 02 00 00 00 74 17 8B 45 F8 8B 10 FF 92 CC 00 00 00 84 C0 74 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5683_0 {
	meta:
		name = "TDBCtrlGrid.ScrollMessage"
		size = 310
		refs = "000e TDBCtrlGrid.AcquireFocus 002c TDBCtrlGrid.ScrollMessage 0089 TDataLink.GetDataSet 00b3 TWinControl.GetHandle 00b9 GetScrollInfo 012a TDBCtrlGrid.DoKey"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 14 01 00 00 33 DB 0F BF 47 04 83 F8 07 0F 87 FC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 08 E9 CE 00 00 00 B3 09 E9 C7 00 00 00 B3 0A E9 C0 00 00 00 B3 0B E9 B9 00 00 00 B3 0C E9 B2 00 00 00 B3 0D E9 AB 00 00 00 8B AE EC 01 00 00 80 7D 15 00 74 78 8B C5 E8 ?? ?? ?? ?? 8B 10 FF 92 D8 01 00 00 84 C0 74 65 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 8B 86 28 02 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 18 83 FB 01 7F 04 B3 0C EB 5B 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 3B D8 7C 04 B3 0D EB 40 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 08 FF 91 44 01 00 00 EB 30 66 8B 47 06 66 83 E8 01 72 0F 74 11 66 83 E8 02 74 0F 66 FF C8 74 0E EB 0E B3 0C EB 0A B3 0A EB 06 B3 0B EB 02 B3 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5684_0 {
	meta:
		name = "TDBCtrlGrid.FindNext"
		size = 273
		refs = "0014 _Dn_TList 0019 TObject.Create 0024 TDBCtrlGrid.FindNext 0046 @CallDynaInst 005a TList.IndexOf 009c TList.Get 00a7 TWinControl.CanFocus 00f9 TObject.Free 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D FB 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 F6 8B 45 FC 89 45 F4 8B 83 F0 01 00 00 8B 55 F0 66 BB BA FF E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 7E 6C 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 11 80 7D FB 00 74 09 8B 45 F0 8B 78 08 4F EB 02 33 FF 8B F7 80 7D FB 00 74 0D 46 8B 45 F0 3B 70 08 75 0F 33 F6 EB 0B 85 F6 75 06 8B 45 F0 8B 70 08 4E 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F4 80 B8 78 01 00 00 00 75 04 3B FE 75 B9 8B 45 08 33 D2 89 10 80 7D FB 00 74 0F 3B FE 7C 18 8B 45 08 C7 00 01 00 00 00 EB 0D 3B FE 7F 09 8B 45 08 C7 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5685_0 {
	meta:
		name = "TDBCtrlGrid.SelectNext"
		size = 226
		refs = "0011 GetParentForm 002c TWinControl.ContainsControl 0045 TDBCtrlGrid.FindNext 0052 TDataLink.GetDataSet 0074 TDBCtrlGrid.SelectNext 008c TDBCtrlGrid.Scroll 009b @HandleAnyException 00ab @RaiseAgain 00b0 @DoneExcept 00b7 TWinControl.CanFocus"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 55 FF 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 BE 00 00 00 8B 80 00 02 00 00 89 45 F4 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 8D 45 F8 50 8A 4D FF 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8A 80 8D 00 00 00 04 FE 2C 03 72 0E 8B 83 F0 01 00 00 8B 10 FF 92 B4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 0C 33 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 F8 50 8A 4D FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 92 B4 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5686_0 {
	meta:
		name = "TDBCtrlGrid.SetBounds"
		size = 161
		refs = "0021 GetSystemMetrics 007f TDBCtrlGrid.Reset 0094 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 33 F6 33 FF 80 BB 20 02 00 00 00 75 0B 6A 02 E8 ?? ?? ?? ?? 8B F0 EB 09 6A 03 E8 ?? ?? ?? ?? 8B F8 8B 45 0C 2B C6 99 F7 BB F8 01 00 00 8B C8 8B 45 08 2B C7 99 F7 BB FC 01 00 00 83 F9 01 7D 05 B9 01 00 00 00 83 F8 01 7D 05 B8 01 00 00 00 3B 8B 00 02 00 00 75 08 3B 83 04 02 00 00 74 13 89 8B 00 02 00 00 89 83 04 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5687_0 {
	meta:
		name = "TDBCtrlGrid.SetColCount"
		size = 40
		refs = "0023 TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 83 FA 64 7E 05 BA 64 00 00 00 3B 90 F8 01 00 00 74 0B 89 90 F8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5688_0 {
	meta:
		name = "TDBCtrlGrid.SetDataSource"
		size = 31
		refs = "000a TDataLink.SetDataSource 0019 TDBCtrlGrid.UpdateDataLinks"
	strings:
		$1 = { 53 8B D8 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? B1 01 8B 93 F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5689_0 {
	meta:
		name = "TDBCtrlGrid.SetEditMode"
		size = 67
		refs = "0009 TDBCtrlGrid.GetEditMode 0024 TWinControl.FindNextControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 2F 84 DB 74 21 6A 01 6A 00 B1 01 33 D2 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 14 8B 10 FF 92 B4 00 00 00 EB 0A 8B C6 8B 10 FF 92 B4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5690_0 {
	meta:
		name = "TDBCtrlGrid.SetOrientation"
		size = 33
		refs = "0014 TWinControl.RecreateWnd 001b TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 53 8B D8 3A 93 20 02 00 00 74 14 88 93 20 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5691_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelBorder"
		size = 37
	strings:
		$1 = { 53 8B D8 3A 93 21 02 00 00 74 18 88 93 21 02 00 00 8B C3 8B 10 FF 52 78 8B 83 F0 01 00 00 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_5692_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelHeight"
		size = 43
		refs = "0026 TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 81 FA FF FF 00 00 7E 05 BA FF FF 00 00 3B 90 04 02 00 00 74 0B 89 90 04 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5693_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelIndex"
		size = 51
		refs = "001e TDataLink.GetDataSet 002b TDataSet.MoveBy"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB EC 01 00 00 80 7F 15 00 74 1C 3B B3 0C 02 00 00 7D 14 8B C7 E8 ?? ?? ?? ?? 8B D6 2B 93 08 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5694_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelWidth"
		size = 43
		refs = "0026 TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 81 FA FF FF 00 00 7E 05 BA FF FF 00 00 3B 90 00 02 00 00 74 0B 89 90 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5695_0 {
	meta:
		name = "TDBCtrlGrid.SetRowCount"
		size = 40
		refs = "0023 TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 83 FA 64 7E 05 BA 64 00 00 00 3B 90 FC 01 00 00 74 0B 89 90 FC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5696_0 {
	meta:
		name = "TDBCtrlGrid.SetSelectedColor"
		size = 49
	strings:
		$1 = { 53 8B D8 3B 93 2C 02 00 00 74 24 89 93 2C 02 00 00 3B 53 64 0F 95 C0 88 83 27 02 00 00 8B C3 8B 10 FF 52 78 8B 83 F0 01 00 00 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_5697_0 {
	meta:
		name = "TDBCtrlGrid.UpdateDataLinks"
		size = 220
		refs = "001a TDBCtrlGrid.UpdateDataLinks 0034 SNotReplicatable 0039 LoadResString 0043 DatabaseError 0053 TControl.Perform 006b TDBCtrlGrid.GetDataSource 0074 TDataLink.SetDataSource 0080 _Dn_TWinControl 0085 @IsClass 0090 TWinControl.GetControlCount 00a3 TWinControl.GetControl 00c9 @LStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 88 4D FB 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 1D F6 43 41 08 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 2D B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1F C6 46 19 00 80 7D FB 00 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 46 19 01 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8A 4D FB 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5698_0 {
	meta:
		name = "TDBCtrlGrid.UpdateScrollBar"
		size = 326
		refs = "001b TWinControl.HandleAllocated 002e TDataLink.GetDataSet 004e TWinControl.GetHandle 0054 GetScrollInfo 013b SetScrollInfo"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B D8 8B 83 EC 01 00 00 80 78 15 00 0F 84 27 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 18 01 00 00 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B F0 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 8B 83 28 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 8D 74 24 04 8D 7C 24 20 B9 07 00 00 00 F3 A5 5E 8B C6 8B 10 FF 92 D8 01 00 00 84 C0 74 45 C7 44 24 24 01 00 00 00 8B 83 FC 01 00 00 F7 AB F8 01 00 00 89 44 24 2C 8B C6 8B 10 FF 92 F4 00 00 00 03 44 24 2C 48 89 44 24 28 8A 86 8D 00 00 00 2C 03 73 50 8B C6 8B 10 FF 92 F8 00 00 00 89 44 24 30 EB 40 33 C0 89 44 24 24 33 C0 89 44 24 2C C7 44 24 28 04 00 00 00 80 BE 90 00 00 00 00 74 08 33 C0 89 44 24 30 EB 1B 80 BE 91 00 00 00 00 74 0A C7 44 24 30 04 00 00 00 EB 08 C7 44 24 30 02 00 00 00 8B 44 24 24 3B 44 24 08 75 1E 8B 44 24 28 3B 44 24 0C 75 14 8B 44 24 2C 3B 44 24 10 75 0A 8B 44 24 30 3B 44 24 14 74 1B 6A FF 8D 44 24 20 50 8B 83 28 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5699_0 {
	meta:
		name = "TDBCtrlGrid.WMLButtonDown"
		size = 377
		refs = "002b SmallPointToPoint 0062 TDBCtrlGrid.GetPanelBounds 006b PtInRect 0085 TDBCtrlGrid.WMLButtonDown 0095 TDBCtrlGrid.SetPanelIndex 00b2 @HandleFinally 00c2 TControl.ClientToScreen 00d9 WindowFromPoint 00ea TWinControl.GetHandle 00f0 IsChild 00fe ScreenToClient 0106 PointToSmallPoint 0126 SendMessage 0138 TDBCtrlGrid.AcquireFocus 014a TDBCtrlGrid.PointInPanel 0158 TDBCtrlGrid.SetEditMode 0164 @CallDynaInst 016f TControl.WMLButtonDown"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 80 EC 01 00 00 80 78 15 00 0F 84 13 01 00 00 8D 55 F0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 0C 02 00 00 4E 85 F6 0F 8C F3 00 00 00 46 33 DB 8B 45 FC 3B 98 08 02 00 00 0F 84 D9 00 00 00 FF 75 F4 FF 75 F0 8D 4D E0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 0F 84 B5 00 00 00 8B 45 FC C6 80 26 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 26 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8D 4D D8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 3C 8D 45 F0 50 53 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 53 E8 ?? ?? ?? ?? EB 47 43 4E 0F 85 10 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8B 55 F8 8B 52 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB EC FF E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5700_0 {
	meta:
		name = "TDBCtrlGrid.WMLButtonDblClk"
		size = 45
		refs = "000d TDBCtrlGrid.PointInPanel 001c @CallDynaInst 0025 TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 57 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 66 BB EB FF E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5705_0 {
	meta:
		name = "TDBCtrlGrid.WMSetFocus"
		size = 19
	strings:
		$1 = { C6 80 25 02 00 00 01 8B 80 F0 01 00 00 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_5706_0 {
	meta:
		name = "TDBCtrlGrid.WMKillFocus"
		size = 19
	strings:
		$1 = { C6 80 25 02 00 00 00 8B 80 F0 01 00 00 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_5709_0 {
	meta:
		name = "GetShiftState"
		size = 60
		refs = "0003 GetShiftState 000a GetKeyState"
	strings:
		$1 = { 53 8A 1D ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 01 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 04 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 02 8B C3 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_5710_0 {
	meta:
		name = "TDBCtrlGrid.CMChildKey"
		size = 197
		refs = "0012 GetShiftState 006c TControl.Perform 00aa TDBCtrlGrid.DoKey 00bc TWinControl.CMChildKey"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 3B 7E 08 0F 84 A6 00 00 00 E8 ?? ?? ?? ?? 88 04 24 66 83 BF B2 01 00 00 00 74 16 8A 04 24 50 8D 4E 04 8B 56 08 8B 87 B4 01 00 00 FF 97 B0 01 00 00 33 DB 66 8B 46 04 66 83 E8 09 74 14 66 83 E8 04 74 37 66 83 E8 0E 74 4E 66 83 E8 56 74 44 EB 48 F6 04 24 04 75 42 6A 00 8B 46 08 33 C9 BA 87 00 00 00 E8 ?? ?? ?? ?? A8 02 75 2D F6 04 24 01 74 04 B3 02 EB 23 B3 03 EB 1F 6A 00 8B 46 08 33 C9 BA 87 00 00 00 E8 ?? ?? ?? ?? A8 04 75 0A B3 01 EB 06 B3 01 EB 02 B3 11 84 DB 74 12 8B D3 8B C7 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5711_0 {
	meta:
		name = "TDBCtrlGrid.CMColorChanged"
		size = 30
		refs = "0006 TWinControl.CMColorChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 27 02 00 00 00 75 09 8B 43 64 89 83 2C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_5712_0 {
	meta:
		name = "TDBCtrlGrid.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE EC 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5713_0 {
	meta:
		name = "TDBCtrlGrid.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE EC 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5716_0 {
	meta:
		name = "TDBChartDataSource.SetDataSet"
		size = 23
		refs = "0006 TDataSource.SetDataSet 000e TDataSet.GetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 88 43 48 5B C3 }
	condition:
		$1
}

rule function_5719_0 {
	meta:
		name = "TCustomDBChart.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCustomChart.Create 001e _DV_TListOfDataSources 0023 TObject.Create 0059 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 FC 03 00 00 C6 86 E0 03 00 00 01 C6 86 E8 03 00 00 01 33 C0 89 86 E4 03 00 00 33 C0 89 86 F8 03 00 00 C6 86 F4 03 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5720_0 {
	meta:
		name = "TCustomDBChart.Destroy"
		size = 102
		refs = "0005 @BeforeDestruction 0014 TObject.Free 0032 TListOfDataSources.GetDataSource 0052 TCustomChart.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 8B 86 FC 03 00 00 8B 68 08 4D 85 ED 7C 19 45 33 FF 8B D7 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 EA 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5721_0 {
	meta:
		name = "TCustomDBChart.RemovedDataSource"
		size = 125
		refs = "0014 TCustomAxisPanel.RemovedDataSource 001c _Dn_TDataSet 0021 @IsClass 0043 TListOfDataSources.GetDataSource 0060 TObject.Free 006d TList.Delete"
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B D8 8B CF 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B 83 FC 03 00 00 8B 68 08 4D 85 ED 7C 40 45 33 F6 8B D6 8B 83 FC 03 00 00 E8 ?? ?? ?? ?? 8B 40 24 85 C0 74 04 3B F8 75 21 8B D6 8B 83 FC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 FC 03 00 00 E8 ?? ?? ?? ?? EB 04 46 4D 75 C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5722_0 {
	meta:
		name = "TCustomDBChart.CheckTimer"
		size = 130
		refs = "0011 TTimer.SetEnabled 0032 _Dn_TTimer 0037 TTimer.Create 004e TCustomDBChart.OnRefreshTimer 0059 TTimer.SetOnTimer 006e TTimer.SetInterval"
	strings:
		$1 = { 53 56 8B D8 8B 83 F8 03 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 83 BB E4 03 00 00 00 7E 61 F6 43 20 10 75 5B 83 BB F8 03 00 00 00 75 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 69 93 E4 03 00 00 E8 03 00 00 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5723_0 {
	meta:
		name = "TCustomDBChart.OnRefreshTimer"
		size = 105
		refs = "000f TTimer.SetEnabled 002d TListOfDataSources.GetDataSource 0037 TDataSet.GetActive 0043 TDataSet.Refresh 004f TCustomDBChart.CheckDataSet"
	strings:
		$1 = { 53 56 57 55 8B F0 33 D2 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 8B 86 FC 03 00 00 8B 78 08 4F 85 FF 7C 36 47 33 ED 8B D5 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 24 E8 ?? ?? ?? ?? 33 C9 8B 53 24 8B C6 E8 ?? ?? ?? ?? 45 4F 75 CD B2 01 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5724_0 {
	meta:
		name = "TCustomDBChart.SetRefreshInterval"
		size = 104
		refs = "0009 TCustomDBChart.SetRefreshInterval 0020 TeeMsg_RefreshInterval 0025 LoadResString 002f _DV_DBChartException 0034 Exception.Create 0039 @RaiseExcept 0044 TCustomDBChart.CheckTimer 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7C 05 83 FA 3C 7E 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 90 E4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5725_0 {
	meta:
		name = "TCustomDBChart.IsValidDataSource"
		size = 56
		refs = "0006 TCustomAxisPanel.IsValidDataSource 0012 _Dn_TDataSet 0017 @IsClass 0023 _Dn_TDataSource"
	strings:
		$1 = { 53 8B D9 8B CB E8 ?? ?? ?? ?? 84 C0 75 28 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_5726_0 {
	meta:
		name = "TCustomDBChart.DataSourceRowChange"
		size = 20
		refs = "000f TCustomDBChart.CheckDataSet"
	strings:
		$1 = { 80 B8 F4 03 00 00 00 75 0A 8B 52 24 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5727_0 {
	meta:
		name = "TCustomDBChart.DataSourceUpdateData"
		size = 24
		refs = "000e TCustomDBChart.CheckDataSet"
	strings:
		$1 = { 8B CA 80 79 2E 01 75 0B 8B 51 24 33 C9 E8 ?? ?? ?? ?? C3 C6 41 48 00 C3 }
	condition:
		$1
}

rule function_5728_0 {
	meta:
		name = "TCustomDBChart.DataSourceStateChange"
		size = 123
		refs = "0020 TCustomAxisPanel.SeriesCount 0033 TCustomAxisPanel.GetSeries 0038 TChartSeries.GetDataSource 006e TCustomDBChart.CheckDataSet"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B C3 80 78 2E 00 75 48 C6 40 48 00 80 BE E0 03 00 00 00 74 59 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 4B 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 43 24 75 11 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 90 00 00 00 47 4D 75 D8 EB 1E 8B FB 80 7F 2E 01 75 16 80 7F 48 00 75 10 8B 57 24 33 C9 8B C6 E8 ?? ?? ?? ?? C6 47 48 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5729_0 {
	meta:
		name = "TCustomDBChart.CheckNewDataSource"
		size = 103
		refs = "0013 TList.IndexOf 001f _DV_TDBChartDataSource 0024 TDataSource.Create 002f TDBChartDataSource.SetDataSet 0039 TCustomDBChart.DataSourceStateChange 0043 TCustomDBChart.DataSourceUpdateData 0051 TCustomDBChart.DataSourceRowChange 005e TList.Add"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B E8 8B D7 8B 85 FC 03 00 00 E8 ?? ?? ?? ?? 40 75 48 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 89 6E 34 C7 46 30 ?? ?? ?? ?? 89 6E 44 C7 46 40 ?? ?? ?? ?? 84 DB 74 0A 89 6E 3C C7 46 38 ?? ?? ?? ?? 8B D6 8B 85 FC 03 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5730_0 {
	meta:
		name = "TCustomDBChart.CheckDatasource"
		size = 267
		refs = "000f TCustomDBChart.CheckDatasource 002d TChartSeries.GetDataSource 004c _Dn_TDataSet 0051 @IsClass 0067 TCustomDBChart.CheckNewDataSource 0079 TCustomDBChart.CheckDataSet 0088 _Dn_TDataSource 00c2 TCustomAxisPanel.CheckDatasource 00cc TeeMsg_SeriesParentNoSelf 00d1 LoadResString 00db _Dn_ChartException 00e0 Exception.Create 00e5 @RaiseExcept 00fa @LStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 C8 00 00 00 3B 73 54 0F 85 9E 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 B0 00 00 00 8B C3 8B 10 FF 92 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? EB 6A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B C3 E8 ?? ?? ?? ?? 8B 50 24 B1 01 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 24 8B CB 8B C6 E8 ?? ?? ?? ?? EB 2C 8B D3 8B C6 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5731_0 {
	meta:
		name = "TCustomDBChart.CheckDataSet"
		size = 15
		refs = "000a TCustomDBChart.RefreshDataSet"
	strings:
		$1 = { 80 B8 E0 03 00 00 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5732_0 {
	meta:
		name = "AddToSeries"
		size = 319
		refs = "002d TChartValueLists.GetValueList 0046 TDataSet.FieldByName 0074 TChartSeries.YMandatory 00cc TChartSeries.AddY 0122 TChartSeries.AddX"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 40 6C 89 45 F8 8B 45 F8 8B 78 08 4F 83 EF 02 7C 4F 47 BE 02 00 00 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 7B 48 00 74 1C 8B 45 08 8B 40 08 8B 40 FC 8B 53 48 E8 ?? ?? ?? ?? 8B 10 FF 52 50 DD 5B 30 9B EB 17 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 0C 01 00 00 46 4F 75 B7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 FC 8B 40 70 83 78 48 00 74 2B 8B 45 08 FF 70 FC FF 70 F8 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 E8 8B 45 08 8B 50 EC 8B 45 FC 8B 18 FF 93 8C 00 00 00 EB 73 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 E8 8B 45 08 8B 50 EC 8B 45 FC E8 ?? ?? ?? ?? EB 54 8B 45 FC 8B 40 78 83 78 48 00 74 2B 8B 45 08 FF 70 FC FF 70 F8 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 E8 8B 45 08 8B 50 EC 8B 45 FC 8B 18 FF 93 8C 00 00 00 EB 1D 8B 45 08 FF 70 FC FF 70 F8 8B 45 08 8B 48 E8 8B 45 08 8B 50 EC 8B 45 FC E8 ?? ?? ?? ?? 83 F8 FF 74 0D 8B D0 8B 45 FC 8B 08 FF 91 D8 00 00 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5733_0 {
	meta:
		name = "GetFloatField"
		size = 50
		refs = "0022 TDataSet.FieldByName"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 DB 75 09 33 C0 89 06 89 46 04 EB 18 8B 45 08 8B 40 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 50 DD 1E 9B 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5734_0 {
	meta:
		name = "NumFields"
		size = 144
		refs = "000c @LStrAddRef 0014 NumFields 0032 AnsiPos 0047 @LStrDelete 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 3A BB 01 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 26 43 8D 55 FC 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F DE EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5735_0 {
	meta:
		name = "ExtractField"
		size = 176
		refs = "0012 @LStrAddRef 001a ExtractField 0033 AnsiPos 004f @LStrCopy 0060 @LStrDelete 007d @LStrLAsg 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 57 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 3A 4E 85 F6 75 13 57 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 2C 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7F C6 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5736_0 {
	meta:
		name = "ProcessRecord"
		size = 493
		refs = "001a ProcessRecord 0034 TDataSet.FieldByName 003c TField.GetDisplayText 0046 @LStrClr 0076 ExtractField 00c7 NumFields 00e5 @LStrLAsg 0106 TChartSeries.YMandatory 0119 GetFloatField 014e AddToSeries 01d2 @LStrArrayClr 01e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 EC 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 44 00 74 18 8B 45 08 8B 40 FC 8B 53 44 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? EB 08 8D 45 EC E8 ?? ?? ?? ?? 83 7B 34 00 75 53 8B C3 8B 10 FF 92 F0 00 00 00 83 78 48 00 74 3A 8B C3 8B 10 FF 92 F0 00 00 00 8B 40 48 8D 4D E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 10 FF 52 74 84 C0 74 09 C7 45 E8 FF FF FF 1F EB 1F C7 45 E8 00 00 00 80 EB 16 8B 45 08 8B 40 FC 8B 53 34 E8 ?? ?? ?? ?? 8B 10 FF 52 54 89 45 E8 8B C3 8B 10 FF 92 F0 00 00 00 8B 40 48 E8 ?? ?? ?? ?? 83 F8 01 0F 85 81 00 00 00 8B C3 8B 10 FF 92 F0 00 00 00 8B 50 48 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 08 80 78 FB 00 75 11 83 7B 44 00 75 0B 8D 45 EC 8B 55 E4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 55 8D 55 F8 8B 43 70 8B 40 48 E8 ?? ?? ?? ?? 59 55 8D 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 59 EB 1D 55 8D 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 59 55 8D 55 F0 8B 43 78 8B 40 48 E8 ?? ?? ?? ?? 59 55 8B C3 E8 ?? ?? ?? ?? 59 EB 67 8B F0 85 F6 7E 61 BF 01 00 00 00 8B C3 8B 10 FF 92 F0 00 00 00 8B 40 48 8D 4D E4 8B D7 E8 ?? ?? ?? ?? 83 7B 44 00 75 0B 8D 45 EC 8B 55 E4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 55 8D 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 59 EB 0D 55 8D 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 59 55 8B C3 E8 ?? ?? ?? ?? 59 47 4E 75 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5737_0 {
	meta:
		name = "IsDataSet"
		size = 111
		refs = "0009 TChartSeries.GetDataSource 000f _Dn_TDataSet 0014 @IsClass 0045 _Dn_TDataSource"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 08 8B 40 08 C6 40 FB 01 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 3B 42 FC 0F 94 C0 5B 5D C3 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 E8 ?? ?? ?? ?? 8B 40 24 8B 55 08 8B 52 08 3B 42 FC 0F 94 C0 EB 02 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_5738_0 {
	meta:
		name = "FillTempSeriesList"
		size = 160
		refs = "0011 @CallDynaInst 002b TList.Add 0036 TChartSeries.GetDataSource 0050 TCustomAxisPanel.SeriesCount 0067 TCustomAxisPanel.GetSeries 0071 IsDataSet"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 F4 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 08 83 78 F0 00 74 2B 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 55 08 3B 42 FC 8B 45 08 0F 94 40 FB EB 52 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 40 46 33 FF 8B 45 08 8B 40 EC 8B D7 E8 ?? ?? ?? ?? 8B D8 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 1D 8B C3 8B 10 FF 92 F0 00 00 00 83 78 48 00 74 0D 8B 45 08 8B 40 F4 8B D3 E8 ?? ?? ?? ?? 47 4E 75 C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5739_0 {
	meta:
		name = "TraverseDataSet"
		size = 442
		refs = "000e TDataSet.DisableControls 0016 TraverseDataSet 0046 TDataSet.First 00a5 TChartSeriesList.GetSeries 00aa TChartSeries.GetDataSource 00c8 ProcessRecord 00d8 TDataSet.Next 00e7 @HandleOnException 00ef _Dn_EAbort 00f8 @DoneExcept 0149 TDataSet.GotoBookmark 0158 @HandleAnyException 015d @RaiseAgain 0186 @HandleFinally 01a8 TDataSet.EnableControls"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 10 FF 92 BC 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 B4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 EC 66 83 B8 EE 03 00 00 00 74 1E 8B 45 08 8B 58 EC 8B 45 08 8B 48 FC 8B 45 08 8B 50 EC 8B 83 F0 03 00 00 FF 93 EC 03 00 00 8B 45 08 8B 40 F4 8B 70 08 4E 85 F6 7C 38 46 33 DB 8B 45 08 8B 40 F4 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 3B 42 FC 75 17 8B 45 08 50 8B 45 08 8B 40 F4 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 43 4E 75 CB 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 91 00 00 00 00 0F 84 39 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 91 B8 01 00 00 C3 E9 ?? ?? ?? ?? EB E7 C3 E9 ?? ?? ?? ?? EB 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5740_0 {
	meta:
		name = "TCustomDBChart.RefreshDataSet"
		size = 439
		refs = "0025 TDataSet.GetActive 003e _Dn_TChartSeriesList 0043 TObject.Create 0052 TCustomDBChart.RefreshDataSet 005e FillTempSeriesList 0071 Screen 0097 TScreen.SetCursor 00bd TChartSeriesList.GetSeries 00d5 TraverseDataSet 0117 TChartSeries.GetDataSource 012f ProcessRecord 0151 TChartSeries.RefreshSeries 0184 @HandleFinally 019b TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D F0 89 55 FC 89 45 EC 8B 45 EC 80 B8 F4 03 00 00 00 0F 85 90 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 80 01 00 00 8B 45 EC C6 80 F4 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 C6 45 FB 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 45 F4 83 78 08 00 0F 8E 1A 01 00 00 A1 ?? ?? ?? ?? 8B 00 66 8B 40 38 66 89 45 EA 8B 45 EC 80 B8 E8 03 00 00 00 74 10 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 10 FF 92 90 00 00 00 46 4B 75 EA 80 7D FB 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 5C 8B 45 EC 66 83 B8 EE 03 00 00 00 74 15 8B 5D EC 8B 4D FC 8B 55 EC 8B 83 F0 03 00 00 FF 93 EC 03 00 00 8B 45 F4 8B 58 08 4B 85 DB 7C 2F 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 24 3B 45 FC 75 11 55 8B D6 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 D4 8B 45 F4 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 80 B8 E8 03 00 00 00 74 10 A1 ?? ?? ?? ?? 8B 00 66 8B 55 EA E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC C6 80 F4 03 00 00 00 C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5741_0 {
	meta:
		name = "TCustomDBChart.RefreshData"
		size = 55
		refs = "001f TListOfDataSources.GetDataSource 002b TCustomDBChart.RefreshDataSet"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 FC 03 00 00 8B 70 08 4E 85 F6 7C 20 46 33 FF 8B D7 8B 83 FC 03 00 00 E8 ?? ?? ?? ?? 8B 50 24 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5742_0 {
	meta:
		name = "TCustomDBChart.FillSeriesSourceItems"
		size = 215
		refs = "000d TChartSeries.GetDataSource 0022 _Dn_TDataSource 0027 @IsClass 0044 _Dn_TDataSet 005d TDataSet.GetFieldCount 0082 TFields.GetField 009b TFieldDefs.Update 00a3 TCollection.GetCount 00bd TFieldDefs.GetFieldDef"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 8B 70 24 EB 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 32 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 5D 43 C7 45 FC 00 00 00 00 8B 55 FC 8B 46 24 E8 ?? ?? ?? ?? 8B 50 28 8B 45 0C FF 55 08 FF 45 FC 4B 75 E6 EB 39 8B 46 2C E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 22 43 C7 45 FC 00 00 00 00 8B 55 FC 8B 46 2C E8 ?? ?? ?? ?? 8B 50 0C 8B 45 0C FF 55 08 FF 45 FC 4B 75 E6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5743_0 {
	meta:
		name = "TCustomDBChart.FillValueSourceItems"
		size = 111
		refs = "0010 TChartSeries.GetDataSource 0021 _Dn_TDataSet 0026 @IsClass 0037 _Dn_TDataSource 0064 TCustomChart.FillValueSourceItems"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 5F 2C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 50 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 FF 75 0C FF 75 08 8B 57 2C 8B C6 8B 08 FF 91 0C 01 00 00 EB 0F FF 75 0C FF 75 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5744_0 {
	meta:
		name = "TCustomDBChart.Assign"
		size = 76
		refs = "000b _DV_TCustomDBChart 0010 @IsClass 002f TCustomDBChart.SetRefreshInterval 0044 TCustomChart.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B FE 8A 87 E0 03 00 00 88 83 E0 03 00 00 8B 97 E4 03 00 00 8B C3 E8 ?? ?? ?? ?? 8A 87 E8 03 00 00 88 83 E8 03 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5747_0 {
	meta:
		name = "EDBClient.Create"
		size = 126
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 EDBClient.Create 003f Exception.Create 0054 @LStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 08 66 89 46 0C 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5748_0 {
	meta:
		name = "EReconcileError.Create"
		size = 150
		refs = "000e @ClassCreate 001d @LStrAddRef 002d EReconcileError.Create 003e @LStrAsg 004f EDBClient.Create 0064 @LStrClr 0072 @HandleFinally 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 66 8B 45 08 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5749_0 {
	meta:
		name = "TCustomRemoteServer.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 002b RCS 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5750_0 {
	meta:
		name = "TCustomRemoteServer.Destroy"
		size = 104
		refs = "0005 @BeforeDestruction 0034 TList.Get 0048 TObject.Free 0054 TComponent.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 33 D2 8B C5 8B 08 FF 51 48 8B 45 24 85 C0 74 27 83 7D 04 00 75 21 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B 45 24 E8 ?? ?? ?? ?? 33 D2 89 90 2C 02 00 00 47 4E 75 EA 8B 45 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5756_0 {
	meta:
		name = "TCustomRemoteServer.SetConnected"
		size = 185
		refs = "0079 TList.Get 0096 @IntfClear"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 F6 45 20 02 0F 95 C0 84 D8 74 09 C6 45 28 01 E9 98 00 00 00 8B C5 8B 10 FF 52 3C 3A D8 0F 84 89 00 00 00 84 DB 74 27 66 83 7D 3E 00 74 08 8B D5 8B 45 40 FF 55 3C 8B C5 8B 10 FF 52 34 66 83 7D 2E 00 74 68 8B D5 8B 45 30 FF 55 2C EB 5E 66 83 7D 46 00 74 08 8B D5 8B 45 48 FF 55 44 8B 45 24 8B 78 08 4F 85 FF 7C 2E 47 33 F6 8B D6 8B 45 24 E8 ?? ?? ?? ?? 83 B8 24 02 00 00 00 74 14 8B D6 8B 45 24 E8 ?? ?? ?? ?? 05 24 02 00 00 E8 ?? ?? ?? ?? 46 4F 75 D5 8B C5 8B 10 FF 52 38 66 83 7D 36 00 74 08 8B D5 8B 45 38 FF 55 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5757_0 {
	meta:
		name = "TCustomRemoteServer.Loaded"
		size = 108
		refs = "000e TComponent.Loaded 0016 TCustomRemoteServer.Loaded 003e @HandleAnyException 004c Application 0056 TApplication.HandleException 005d @RaiseAgain 0062 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 28 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 11 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5760_0 {
	meta:
		name = "TClientDataSet.Create"
		size = 193
		refs = "000e @ClassCreate 001c TDataSet.Create 0025 _Dn_TMasterDataLink 002a TMasterDataLink.Create 003c TClientDataSet.MasterChanged 0046 TClientDataSet.MasterDisabled 0060 _Dn_TParams 0065 TParams.Create 0074 _DV_TAggregates 0079 TAggregates.Create 0086 _Dn_TList 008b TObject.Create 009a TDataSet.SetObjectView 009f RCS 00ac @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 01 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? C7 83 30 02 00 00 FF FF FF FF C6 83 50 02 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 68 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5761_0 {
	meta:
		name = "TClientDataSet.Destroy"
		size = 148
		refs = "0003 @BeforeDestruction 0013 TDataSet.Destroy 001a TClientDataSet.ClearSavedPacket 0025 FreeDataPacket 002e TClientDataSet.SetRemoteServer 0039 @IntfClear 0044 TObject.Free 006c TClientDataSet.ClearActiveAggs 008d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 8C 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 24 02 00 00 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 8B 86 94 01 00 00 E8 ?? ?? ?? ?? 8B 86 90 01 00 00 E8 ?? ?? ?? ?? 8B 86 68 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B 86 50 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5762_0 {
	meta:
		name = "TClientDataSet.CreateDSBase"
		size = 180
		refs = "000c TClientDataSet.CreateDSBase 0019 @IntfClear 0028 CLSID_DSBase 002e CoCreateInstance 0043 RegisterComServer 004a OleCheck 0057 CreateComObject 0066 @IntfCast 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 34 3D 54 01 04 80 75 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 82 2F 8D 9E 1C 59 D0 11 BF 52 00 20 AF 32 BD 64 FF FF FF FF 0C 00 00 00 44 42 43 4C 49 45 4E 54 2E 44 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_5763_0 {
	meta:
		name = "TClientDataSet.CreateDSCursor"
		size = 184
		refs = "0018 @IntfAddRef 0020 TClientDataSet.CreateDSCursor 002e CLSID_DSCursor 0033 CreateComObject 0042 @IntfCast 005d TClientDataSet.Check 008c @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8B 45 FC 50 8B 06 50 8B 00 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? EB 18 8B 83 70 01 00 00 50 8B 06 50 8B 00 FF 50 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 84 2F 8D 9E 1C 59 D0 11 BF 52 00 20 AF 32 BD 64 }
	condition:
		$1
}

rule function_5764_0 {
	meta:
		name = "TClientDataSet.SetActive"
		size = 205
		refs = "0026 TDataSet.GetActive 0030 OpeningFile 003b TClientDataSet.SetActive 0056 FileExists 006b TClientDataSet.LoadFromFile 0070 @TryFinallyExit 008c @HandleFinally 00ba TClientDataSet.SaveToFile 00c5 TDataSet.SetActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 83 B8 A4 01 00 00 00 0F 84 A2 00 00 00 80 7D FB 00 74 70 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 64 80 3D ?? ?? ?? ?? 00 75 5B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 05 ?? ?? ?? ?? 01 8B 45 FC 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC 8B 90 A4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 53 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 E9 ?? ?? ?? ?? EB F1 80 7D FB 00 75 26 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC F6 40 20 10 75 11 8B 45 FC 8B 90 A4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_5765_0 {
	meta:
		name = "TClientDataSet.SetParams"
		size = 12
	strings:
		$1 = { 8B 80 90 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_5766_0 {
	meta:
		name = "TClientDataSet.FetchParams"
		size = 680
		refs = "001a TClientDataSet.FetchParams 0028 @VarClr 0036 @VarFromInt 006d VarArrayOf 0078 @OleVarFromVar 008f TClientDataSet.GetProvider 009d @CheckAutoResult 00a5 VarIsNull 00b5 VarIsArray 00ce @VarArrayGet 0102 VarArrayHighBound 0112 _Dn_TParams 0117 TParams.Create 014a TCollection.Add 017e @VarToLStr 01ad @VarToInt 01b6 TParam.SetDataType 01ee TParam.SetParamType 021f TParam.SetAsVariant 024d TObject.Free 0253 @HandleFinally 026a @IntfClear 0273 Variant 027d @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 98 BA DB CD 00 00 E8 ?? ?? ?? ?? 8D 75 98 8D 7D A8 B9 04 00 00 00 F3 A5 8D 45 88 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 75 88 8D 7D B8 B9 04 00 00 00 F3 A5 8D 45 A8 8D 4D C8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 C8 8D 45 D8 E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8D 55 84 8B 45 FC E8 ?? ?? ?? ?? 8B 45 84 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 85 A8 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 98 01 00 00 6A 00 6A 01 8D 45 E8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C8 E8 ?? ?? ?? ?? 84 C0 0F 84 74 01 00 00 6A 00 6A 01 8D 45 E8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C8 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 F8 03 0F 85 4A 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C E8 00 00 00 47 33 DB 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 01 53 6A 01 8D 45 E8 50 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 98 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 C8 8D 46 24 E8 ?? ?? ?? ?? 6A 01 6A 01 53 6A 01 8D 45 E8 50 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 98 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 6A 02 6A 01 53 6A 01 8D 45 E8 50 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 98 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 6A 03 6A 01 53 6A 01 8D 45 E8 50 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 98 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 1B FF FF FF 8B 45 FC 8B 80 90 01 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5767_0 {
	meta:
		name = "TClientDataSet.SendParams"
		size = 344
		refs = "0018 TClientDataSet.SendParams 0029 TCollection.GetCount 005b VarArrayCreate 0066 @OleVarFromVar 0089 TParams.GetItem 0099 @VarFromLStr 00b4 TParam.GetAsVariant 00d3 VarArrayOf 00e0 @VarArrayPut 00ff TClientDataSet.GetProvider 010d @CheckAutoResult 0122 @IntfClear 012b Variant 0135 @FinalizeArray 013d @VarClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0E 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 90 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E DC 00 00 00 8D 45 DC 50 33 C0 89 45 D4 8B 87 90 01 00 00 E8 ?? ?? ?? ?? 48 89 45 D8 8D 45 D4 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8B 87 90 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 73 40 89 45 FC 33 DB 8B 87 90 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 53 6A 01 8D 45 A4 8B 56 24 E8 ?? ?? ?? ?? 56 57 8D 75 A4 8D 7D B4 B9 04 00 00 00 F3 A5 5F 5E 8D 55 94 8B C6 E8 ?? ?? ?? ?? 57 8D 75 94 8D 7D C4 B9 04 00 00 00 F3 A5 5F 8D 45 B4 8D 4D DC BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 43 FF 4D FC 75 93 FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 55 90 8B C7 E8 ?? ?? ?? ?? 8B 45 90 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5768_0 {
	meta:
		name = "TClientDataSet.SetOptionalParam"
		size = 474
		refs = "001d TClientDataSet.SetOptionalParam 0032 VarType 0055 VarIsArray 0095 ParamTypeMap 00a9 ParamTypeSize 00b9 @VarToLStr 00c1 @LStrToPChar 00cc @LStrLen 00ee VarArrayHighBound 00fd VarArrayLowBound 0108 VarArrayLock 016e TClientDataSet.Check 0189 VarArrayUnlock 018f @HandleFinally 0199 SInvalidOptParamType 019e LoadResString 01a8 DatabaseError 01bd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 40 8B 45 F8 E8 ?? ?? ?? ?? 25 FF 0F 00 00 83 C0 FE 83 E8 07 72 0E 83 E8 02 74 09 83 E8 06 0F 85 44 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 F8 E8 ?? ?? ?? ?? 25 FF 0F 00 00 83 F8 11 0F 85 22 01 00 00 C6 45 EF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 25 FF 0F 00 00 8B 34 85 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 25 FF 0F 00 00 8B 3C 85 ?? ?? ?? ?? 83 FE 09 75 22 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 EB 69 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 35 BE 0B 00 00 00 8B 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 2B F8 47 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 C6 45 EF 01 EB 28 8B 45 F8 E8 ?? ?? ?? ?? 25 00 40 00 00 3D 00 40 00 00 75 0B 8B 45 F8 8B 40 08 89 45 F0 EB 09 8B 45 F8 83 C0 08 89 45 F0 C1 E6 10 80 7D 08 00 74 06 81 CE 00 00 00 80 8B 45 F0 50 57 56 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 83 70 01 00 00 50 8B 00 FF 50 1C 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EF 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5770_0 {
	meta:
		name = "TClientDataSet.InternalGetOptionalParam"
		size = 608
		refs = "0024 TClientDataSet.InternalGetOptionalParam 0042 @VarClear 0049 @LStrToPChar 00e0 @VarFromInt 011f @VarFromBool 0131 @VarFromReal 0143 @VarFromCurr 01a5 @LStrFromPCharLen 01b0 @OleVarFromLStr 01d3 VarArrayCreate 01de @OleVarFromVar 01e6 VarArrayLock 0201 Move 0216 VarArrayUnlock 021c @HandleFinally 023b @VarClr 0243 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 70 01 00 00 00 75 07 8B C3 8B 10 FF 52 40 8B 45 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F0 50 8D 45 F8 50 8D 45 FC 50 8D 45 F4 50 57 6A 00 8B 83 70 01 00 00 50 8B 00 FF 50 18 66 85 C0 0F 85 B2 01 00 00 8B 45 FC 25 00 00 3F 00 C1 E8 10 83 F8 0B 0F 87 96 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 48 74 0D 48 74 1D 83 E8 02 74 2B E9 54 01 00 00 8B 45 08 8B 55 F0 0F B6 12 E8 ?? ?? ?? ?? E9 41 01 00 00 8B 45 08 8B 55 F0 0F BF 12 E8 ?? ?? ?? ?? E9 2E 01 00 00 8B 45 08 8B 55 F0 8B 12 E8 ?? ?? ?? ?? E9 1C 01 00 00 8B 45 08 8B 55 F0 66 8B 12 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? E9 02 01 00 00 8B 45 F0 DD 00 8B 45 08 E8 ?? ?? ?? ?? E9 F0 00 00 00 8B 45 F0 DF 28 8B 45 08 E8 ?? ?? ?? ?? E9 DE 00 00 00 8B 45 08 8B 55 F0 8B 12 81 EA 5A 95 0A 00 E8 ?? ?? ?? ?? E9 C6 00 00 00 8B 45 F0 DB 00 D8 35 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 45 F0 DD 00 D8 35 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 90 00 00 00 8B 4D F8 49 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 55 EC E8 ?? ?? ?? ?? EB 74 8D 45 DC 50 33 C0 89 45 D4 8B 45 F8 89 45 D8 8D 45 D4 B9 11 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 80 CB A4 4C A0 55 29 49 }
	condition:
		$1
}

rule function_5771_0 {
	meta:
		name = "TClientDataSet.OpenCursor"
		size = 556
		refs = "001b TClientDataSet.OpenCursor 0038 _DV_TClientDataSet 003d @AsClass 004e TDataSet.Open 0059 TDataSet.UpdateCursorPos 0064 @IntfClear 0089 TClientDataSet.Check 009d TFieldDefs.SetHiddenFields 00c4 TClientDataSet.SendParams 00d0 TClientDataSet.GetProvider 00de @CheckAutoResult 00ec @IntfCopy 00f4 @VarClr 0116 VarToDataPacket 012b TClientDataSet.SetProviderEOF 0137 SNoDataProvider 013c LoadResString 0146 DatabaseError 0150 TClientDataSet.CreateDSBase 0165 TClientDataSet.GetProviderEOF 0189 TDataSet.OpenCursor 01be TClientDataSet.SyncCursors 01c5 TDataSet.CursorPosChanged 01dc TClientDataSet.ClearSavedPacket 01f9 @LStrClr 020a IProvider 0214 @FinalizeArray 021a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 86 4F 02 00 00 01 8B 7E 78 85 FF 74 73 8B 47 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 3C 02 00 00 8B 86 3C 02 00 00 E8 ?? ?? ?? ?? 8B 86 3C 02 00 00 E8 ?? ?? ?? ?? 8D 86 70 01 00 00 E8 ?? ?? ?? ?? 50 8B 46 78 8B 10 FF 52 6C 50 8B 86 3C 02 00 00 8B 80 70 01 00 00 50 8B 00 FF 50 74 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 86 3C 02 00 00 8B 40 2C 8A 50 34 8B 46 2C E8 ?? ?? ?? ?? E9 DE 00 00 00 83 BE 70 01 00 00 00 0F 85 D1 00 00 00 8B 86 88 01 00 00 85 C0 74 04 8B F8 EB 6E 8B C6 E8 ?? ?? ?? ?? 6A FF 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F8 8B 96 24 02 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B 86 30 02 00 00 50 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 3B 86 30 02 00 00 0F 95 C2 8B C6 E8 ?? ?? ?? ?? 85 FF 75 17 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B D6 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8D 86 70 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? F6 D8 1B C0 50 57 8B 86 70 01 00 00 50 8B 00 FF 50 14 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 48 83 BE 80 01 00 00 00 74 3F 8B 86 80 01 00 00 80 B8 90 00 00 00 00 75 30 8B 86 80 01 00 00 8B 88 74 01 00 00 8B 96 74 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5772_0 {
	meta:
		name = "TClientDataSet.Check"
		size = 142
		refs = "0018 TClientDataSet.Check 004e @LStrFromArray 005b _DV_EDBClient 0060 EDBClient.Create 0065 @RaiseExcept 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 F7 FF FF 53 33 C9 89 8D F8 F7 FF FF 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 85 DB 74 42 8D 95 FF F7 FF FF 52 53 8B 80 70 01 00 00 50 8B 00 FF 50 44 53 8D 85 F8 F7 FF FF 8D 95 FF F7 FF FF B9 01 08 00 00 E8 ?? ?? ?? ?? 8B 8D F8 F7 FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 F7 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5773_0 {
	meta:
		name = "TClientDataSet.CloseCursor"
		size = 252
		refs = "0011 TClientDataSet.CloseCursor 001e TDataSet.CloseCursor 0071 Null 0076 @OleVarFromVar 0093 @CheckAutoResult 00b3 @IntfClear 00c2 TClientDataSet.SaveDataPacket 00ea @VarClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB 24 02 00 00 00 0F 84 8A 00 00 00 8B B3 2C 02 00 00 85 F6 0F 84 89 00 00 00 8B C6 8B 10 FF 52 3C 84 C0 74 7E F6 43 20 08 75 78 8B 83 B0 01 00 00 80 78 15 00 74 3F 8B 40 24 83 78 08 00 7E 36 83 BB 30 02 00 00 00 75 2D 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 24 02 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? EB 13 6A 00 8B 83 24 02 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8D 83 24 02 00 00 E8 ?? ?? ?? ?? EB 0D F6 43 20 08 75 07 8B C3 E8 ?? ?? ?? ?? 8D 83 70 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 3C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5774_0 {
	meta:
		name = "TClientDataSet.DefChanged"
		size = 8
	strings:
		$1 = { C6 80 51 02 00 00 01 C3 }
	condition:
		$1
}

rule function_5775_0 {
	meta:
		name = "TClientDataSet.InternalInitFieldDefs"
		size = 217
		refs = "0015 TClientDataSet.InternalInitFieldDefs 0047 TClientDataSet.Check 0059 TFieldDescList 005e @DynArraySetLength 0082 TCollection.Clear 00a5 TClientDataSet.AddFieldDesc 00c8 @DynArrayClear 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 0B 8B 83 70 01 00 00 50 8B 00 FF 50 50 8D 85 AF FE FF FF 50 8B 83 70 01 00 00 50 8B 00 FF 50 20 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 50 8B 83 70 01 00 00 50 8B 00 FF 50 24 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 45 F8 C7 45 FC 01 00 00 00 EB 15 8D 45 FC 50 8B 43 2C 50 8D 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 B4 7C E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5776_0 {
	meta:
		name = "GetTypeName"
		size = 240
		refs = "0012 GetTypeName 0035 TClientDataSet.InternalGetOptionalParam 003d VarIsNull 0049 VarIsEmpty 005b @VarToLStr 006b TObjectField.GetFieldCount 0086 TFields.GetField 008c _Dn_TObjectField 0091 @IsClass 00c9 @VarClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B C3 8B 10 FF 52 6C 8B C8 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0E 8D 83 D0 00 00 00 8D 55 F0 E8 ?? ?? ?? ?? 8A 43 30 04 E6 2C 02 73 50 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 33 F6 8B C3 8B 10 FF 92 C8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 08 50 8B C3 8B 10 FF 92 C8 00 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4F 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 08 00 00 00 54 59 50 45 4E 41 4D 45 00 00 00 00 }
	condition:
		$1
}

rule function_5777_0 {
	meta:
		name = "TClientDataSet.CheckFieldProps"
		size = 584
		refs = "001c TClientDataSet.CheckFieldProps 0029 _Dn_TMemoryStream 002e TObject.Create 0047 TDataSet.GetFieldCount 0069 TFields.GetField 006f _Dn_TObjectField 0074 @IsClass 008c GetTypeName 00b3 TClientDataSet.InternalGetOptionalParam 00bb VarIsNull 00cb VarIsEmpty 00db VarIsArray 00f0 VarArrayHighBound 0104 VarArrayLock 011e TStream.SetPosition 0126 TStream.GetSize 0154 VarArrayUnlock 015a @HandleFinally 0165 Null 016a @VarCopy 0179 _DV_TPropReader 017e TFiler.Create 0197 TReader.ReadListBegin 01b1 TReader.ReadProperty 01b9 TReader.EndOfList 01d2 TMemoryStream.Clear 01da TObject.Free 0220 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 E0 89 55 E4 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 9E 01 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 FC 8B 40 24 8B 55 F0 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 55 8B 45 FC 8B 40 24 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 DC 50 8B 45 FC 8B 40 24 8B 55 F0 E8 ?? ?? ?? ?? 8B 10 FF 52 6C 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 84 C0 0F 85 1F 01 00 00 8D 45 DC E8 ?? ?? ?? ?? 84 C0 0F 85 0F 01 00 00 8D 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 FF 00 00 00 8D 45 DC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 83 EA 04 8B 45 F8 8B 08 FF 11 8D 45 DC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D3 83 C2 04 8B 45 F8 8B 18 FF 53 08 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 04 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? EB 18 8B 45 FC 8B 40 24 8B 55 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 FF 45 F0 FF 4D EC 0F 85 6D FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 FF FF FF FF 0A 00 00 00 46 49 45 4C 44 50 52 4F 50 53 00 00 }
	condition:
		$1
}

rule function_5778_0 {
	meta:
		name = "TClientDataSet.InternalOpen"
		size = 567
		refs = "0019 TClientDataSet.InternalOpen 003c TClientDataSet.CreateDSCursor 004d @IntfCopy 0058 TClientDataSet.SetupInternalCalcFields 00a9 TClientDataSet.Check 00f2 TFieldDefs.Update 00fa TFlatList.Update 0101 TClientDataSet.GetIndexDefs 010e TClientDataSet.GetIndexInfo 011e TDataSet.CreateFields 0127 TDataSet.BindFields 012e TClientDataSet.CheckFieldProps 0135 TClientDataSet.AllocKeyBuffers 0162 TClientDataSet.CalcFieldsCallBack 01a2 TClientDataSet.SortOnFields 01b1 TClientDataSet.SwitchToIndex 01b8 TClientDataSet.CheckMasterRange 01de TClientDataSet.ResetAllAggs 01ee TClientDataSet.ActivateFilters 01f7 TClientDataSet.InitBufferPointers 020d TClientDataSet.CheckDetailRecords 0225 @IntfClear 022b @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B4 FE FF FF 53 56 33 D2 89 95 B4 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 80 01 00 00 85 F6 74 26 8D 8D B4 FE FF FF 8B 96 74 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8D 83 74 01 00 00 E8 ?? ?? ?? ?? EB 29 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 8D B4 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8D 83 74 01 00 00 E8 ?? ?? ?? ?? 83 7B 78 00 74 2B 8B 83 74 01 00 00 50 6A 00 6A 00 6A 00 8B 83 3C 02 00 00 8B 80 74 01 00 00 50 8B 00 FF 90 CC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 85 BB FE FF FF 50 8B 83 74 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 66 8B 45 C4 66 89 83 42 02 00 00 8B 45 C8 89 43 58 8B 45 CC 83 F8 01 1B C0 F7 D8 88 83 4C 02 00 00 8B 43 2C C6 40 20 00 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 40 20 00 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 96 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 50 8B 00 FF 50 38 83 BB 80 01 00 00 00 0F 85 A0 00 00 00 80 BB 94 00 00 00 00 74 22 F6 43 20 10 75 1C B8 ?? ?? ?? ?? 50 53 8B 83 70 01 00 00 50 8B 00 FF 50 54 8B D0 8B C3 E8 ?? ?? ?? ?? 83 BB 98 01 00 00 00 74 2F 80 BB 4B 02 00 00 00 74 19 6A 00 6A 00 8B 8B 98 01 00 00 8B 93 74 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 93 98 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 4A 02 00 00 00 74 10 6A 01 6A 01 8B 83 70 01 00 00 50 8B 00 FF 50 50 8A 93 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 98 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 83 7B 78 00 74 10 80 BB 50 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5779_0 {
	meta:
		name = "TClientDataSet.InternalClose"
		size = 128
		refs = "000f TClientDataSet.DeactivateFilters 0016 TClientDataSet.FreeKeyBuffers 0028 TClientDataSet.SetupInternalCalcFields 0031 TDataSet.BindFields 005d @IntfClear 007a TClientDataSet.CloseAggs"
	strings:
		$1 = { 53 8B D8 80 BB 98 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB 80 01 00 00 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 96 00 00 00 00 74 07 8B C3 8B 10 FF 52 64 33 C0 89 83 1C 02 00 00 66 C7 83 40 02 00 00 00 00 8D 83 74 01 00 00 E8 ?? ?? ?? ?? 8D 83 78 01 00 00 E8 ?? ?? ?? ?? 8D 83 7C 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5780_0 {
	meta:
		name = "TClientDataSet.InternalRefresh"
		size = 402
		refs = "0018 TClientDataSet.InternalRefresh 002a TClientDataSet.GetProvider 0038 @CheckAutoResult 003f TDataSet.CheckBrowseMode 0046 TClientDataSet.GetChangeCount 0052 SRefreshError 0057 LoadResString 0061 DatabaseError 0096 TClientDataSet.CheckDetailRecords 00b2 TClientDataSet.GetProviderEOF 00d9 @VarClr 00fb VarToDataPacket 010d TClientDataSet.SetProviderEOF 014b TClientDataSet.Check 0178 @LStrClr 0180 @IntfClear 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 17 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 80 78 15 00 74 2E 8B 40 24 83 78 08 00 7E 25 8B 83 70 01 00 00 50 8B 00 FF 50 6C 80 BB 50 02 00 00 00 0F 84 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 C0 00 00 00 8D 45 FC 50 8B 83 74 01 00 00 50 8B 00 FF 50 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 8D 45 F8 50 6A 05 8B 83 70 01 00 00 50 8B 00 FF 50 4C EB 07 C7 45 F8 FF FF FF FF 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B 45 F8 50 8B 83 24 02 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8B F0 8B 45 F4 3B 45 F8 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8B 83 70 01 00 00 50 8B 00 FF 50 6C 6A 00 6A 04 8B 83 70 01 00 00 50 8B 00 FF 50 50 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 50 56 8B 83 70 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 74 01 00 00 50 8B 00 FF 50 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5781_0 {
	meta:
		name = "TClientDataSet.IsCursorOpen"
		size = 11
	strings:
		$1 = { 83 B8 74 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5782_0 {
	meta:
		name = "TBDEDataSet.InternalHandleException"
		size = 15
		refs = "0002 Application 000a TApplication.HandleException"
		altNames = "TClientDataSet.InternalHandleException"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5783_0 {
	meta:
		name = "TClientDataSet.SetData"
		size = 61
		refs = "0009 TDataSet.Close 0010 TClientDataSet.ClearSavedPacket 0017 VarIsNull 0029 VarToDataPacket 002f SafeArrayCopy 0036 TDataSet.Open"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 83 88 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5784_0 {
	meta:
		name = "TClientDataSet.GetData"
		size = 72
		refs = "000a TDataSet.GetActive 0015 TDataSet.CheckBrowseMode 002b TClientDataSet.Check 0040 DataPacketToVariant"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 54 8B 83 70 01 00 00 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 8B 83 88 01 00 00 89 04 24 8B D6 8B 04 24 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5785_0 {
	meta:
		name = "TClientDataSet.ClearSavedPacket"
		size = 11
		refs = "0006 FreeDataPacket"
	strings:
		$1 = { 05 88 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5786_0 {
	meta:
		name = "TClientDataSet.SaveDataPacket"
		size = 48
		refs = "002a TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 83 BB 70 01 00 00 00 74 22 83 7B 78 00 75 1C 8D 83 88 01 00 00 50 8B 83 70 01 00 00 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5787_0 {
	meta:
		name = "TClientDataSet.GetDataSize"
		size = 70
		refs = "0007 TDataSet.GetActive 0012 TClientDataSet.SaveDataPacket 001d DataPacketSize 0026 TClientDataSet.ClearSavedPacket"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 8B 83 88 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? EB 15 8B 83 88 01 00 00 85 C0 74 09 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5788_0 {
	meta:
		name = "TClientDataSet.FetchMoreData"
		size = 169
		refs = "0018 TClientDataSet.FetchMoreData 003b @VarClr 004b TClientDataSet.GetProvider 0059 @CheckAutoResult 0079 TClientDataSet.SetProviderEOF 008e @IntfClear 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FF 00 74 05 83 CB FF EB 06 8B 9E 30 02 00 00 85 DB 74 46 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 F8 50 53 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 E8 3B 5D F8 0F 95 C1 8B C6 8B 38 FF 97 F4 01 00 00 3B 5D F8 0F 95 C2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5789_0 {
	meta:
		name = "TClientDataSet.InternalFetch"
		size = 500
		refs = "001c TClientDataSet.InternalFetch 0030 TDataSet.UpdateCursorPos 0072 TClientDataSet.Check 007d DataPacketToVariant 0085 @VarClr 0096 @VarFromInt 0109 VarArrayOf 0114 @OleVarFromVar 012d TClientDataSet.GetProvider 013e @CheckAutoResult 0149 @VarCopy 0151 VarToDataPacket 0171 TDataSet.ActiveBuffer 01ab @IntfClear 01b7 Variant 01c1 @FinalizeArray 01d2 OleVariant 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 17 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 40 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 6A FF F6 45 FF 04 0F 95 C0 F6 D8 1B C0 50 F6 45 FF 02 0F 95 C0 F6 D8 1B C0 50 F6 45 FF 01 0F 95 C0 F6 D8 1B C0 50 8B 83 74 01 00 00 50 8B 00 FF 90 DC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 50 8D 85 68 FF FF FF BA DB CD 00 00 E8 ?? ?? ?? ?? 8D B5 68 FF FF FF 8D BD 78 FF FF FF B9 04 00 00 00 F3 A5 8D 85 58 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D B5 58 FF FF FF 8D 7D 88 B9 04 00 00 00 F3 A5 8D 75 E8 8D 7D 98 B9 04 00 00 00 F3 A5 8D 85 48 FF FF FF 33 D2 8A 55 FF E8 ?? ?? ?? ?? 8D B5 48 FF FF FF 8D 7D A8 B9 04 00 00 00 F3 A5 8D 85 78 FF FF FF 8D 4D B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 B8 8D 45 C8 E8 ?? ?? ?? ?? FF 75 D4 FF 75 D0 FF 75 CC FF 75 C8 8D 95 44 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 83 74 01 00 00 50 8B 00 FF 90 E0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 83 74 01 00 00 50 8B 00 FF 50 20 A0 ?? ?? ?? ?? 3A 45 FF 75 0B 33 C9 B2 02 8B C3 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 5F 5E 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_5790_0 {
	meta:
		name = "TClientDataSet.FetchBlobs"
		size = 16
		refs = "0002 TClientDataSet.FetchBlobs 0007 TClientDataSet.InternalFetch"
	strings:
		$1 = { 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_5791_0 {
	meta:
		name = "TClientDataSet.FetchDetails"
		size = 16
		refs = "0002 TClientDataSet.FetchDetails 0007 TClientDataSet.InternalFetch"
	strings:
		$1 = { 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 04 00 00 00 }
	condition:
		$1
}

rule function_5792_0 {
	meta:
		name = "TClientDataSet.RefreshRecord"
		size = 16
		refs = "0002 TClientDataSet.RefreshRecord 0007 TClientDataSet.InternalFetch"
	strings:
		$1 = { 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_5793_0 {
	meta:
		name = "TClientDataSet.CheckProviderEOF"
		size = 43
		refs = "0006 TClientDataSet.GetProviderEOF 0025 TClientDataSet.FetchMoreData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1B 80 BB 50 02 00 00 00 74 12 83 BB 30 02 00 00 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5794_0 {
	meta:
		name = "TClientDataSet.AddDataPacket"
		size = 47
		refs = "0011 VarToDataPacket 0027 TClientDataSet.Check"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 F6 DB 1B C0 50 8B C6 E8 ?? ?? ?? ?? 50 8B 87 70 01 00 00 50 8B 00 FF 50 14 8B D0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5795_0 {
	meta:
		name = "TClientDataSet.AppendData"
		size = 132
		refs = "000e TDataSet.GetActive 001b TClientDataSet.SetData 0052 TDataSet.IsEmpty 005d TDataSet.First 0066 TDataSet.UpdateCursorPos 006c TClientDataSet.AppendData"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8B D7 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 75 55 6A 00 6A 04 8B 86 70 01 00 00 50 8B 00 FF 50 50 EB 43 8B D7 8A 0C 24 8B C6 8B 18 FF 93 F4 01 00 00 80 BE 8D 00 00 00 01 75 2B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 17 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 E8 01 00 00 5A 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5796_0 {
	meta:
		name = "TClientDataSet.GetNextPacket"
		size = 264
		refs = "0013 TClientDataSet.GetNextPacket 0027 TClientDataSet.GetProviderEOF 003c TDataSet.UpdateCursorPos 0067 TClientDataSet.CheckDetailRecords 0071 @VarClr 0087 TClientDataSet.GetProvider 0095 @CheckAutoResult 00c1 TClientDataSet.SetProviderEOF 00e6 @IntfClear 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 40 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 33 C0 89 45 FC E9 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 30 02 00 00 00 75 24 8B 83 B0 01 00 00 80 78 15 00 74 18 8B 83 B0 01 00 00 8B 40 24 83 78 08 00 7E 09 8B C3 E8 ?? ?? ?? ?? EB 58 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B 83 30 02 00 00 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 3B 83 30 02 00 00 0F 95 C1 8B C3 8B 30 FF 96 F4 01 00 00 8B 45 FC 3B 83 30 02 00 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5797_0 {
	meta:
		name = "TClientDataSet.SetProviderName"
		size = 66
		refs = "000f @LStrCmp 0023 TClientDataSet.ClearSavedPacket 002e @IntfClear 003b @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 28 02 00 00 E8 ?? ?? ?? ?? 74 2A 85 F6 74 0E 8B C3 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 8D 83 24 02 00 00 E8 ?? ?? ?? ?? 8D 83 28 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5798_0 {
	meta:
		name = "TClientDataSet.GetProvider"
		size = 312
		refs = "0012 TClientDataSet.GetProvider 005d @IntfCopy 0071 TComponent.FindComponent 007f _Dn_TCustomProvider 0084 @IsClass 0094 GetObjectProperty 00a4 SNoCircularReference 00a9 LoadResString 00b3 DatabaseError 00dc SNoDataProvider 010d @LStrClr 0115 @IntfClear 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 24 02 00 00 00 0F 85 C6 00 00 00 83 BB 28 02 00 00 00 0F 84 99 00 00 00 83 BB 2C 02 00 00 00 74 24 8D 4D FC 8B 93 28 02 00 00 8B 83 2C 02 00 00 8B 38 FF 57 4C 8B 55 FC 8D 83 24 02 00 00 E8 ?? ?? ?? ?? EB 6C 8B 43 04 85 C0 74 65 8B 93 28 02 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 54 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 43 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 1B 3B D8 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 8B 08 FF 51 38 8B 55 FC 8D 83 24 02 00 00 E8 ?? ?? ?? ?? 83 BB 24 02 00 00 00 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B C6 8B 93 24 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 FF FF FF FF 07 00 00 00 44 61 74 61 53 65 74 00 }
	condition:
		$1
}

rule function_5799_0 {
	meta:
		name = "TClientDataSet.GetHasProvider"
		size = 11
	strings:
		$1 = { 83 B8 24 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5800_0 {
	meta:
		name = "TClientDataSet.SetProvider"
		size = 92
		refs = "000e @IntfAddRef 0016 TClientDataSet.SetProvider 002a @IntfCopy 0037 TClientDataSet.ClearSavedPacket 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 24 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5801_0 {
	meta:
		name = "TClientDataSet.SetProviderEOF"
		size = 24
		refs = "0013 TClientDataSet.SetProviderEOF"
	strings:
		$1 = { 88 90 4F 02 00 00 8B 88 80 01 00 00 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5802_0 {
	meta:
		name = "TClientDataSet.GetProviderEOF"
		size = 36
		refs = "0011 TClientDataSet.GetProviderEOF"
	strings:
		$1 = { 53 56 8B D8 8B B3 80 01 00 00 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 88 83 4F 02 00 00 8A 83 4F 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5803_0 {
	meta:
		name = "TClientDataSet.SetRemoteServer"
		size = 87
		refs = "0015 @IntfClear 0041 TClientDataSet.ClearSavedPacket 004a TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 2C 02 00 00 74 46 8D 83 24 02 00 00 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 85 C0 74 07 8B D3 8B 08 FF 51 44 85 F6 74 20 8B C3 8B 10 FF 52 44 8B D3 8B C6 8B 08 FF 51 30 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 89 B3 2C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5804_0 {
	meta:
		name = "TClientDataSet.Notification"
		size = 83
		refs = "0010 TComponent.Notification 003d TClientDataSet.GetProviderEOF"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 2C 02 00 00 75 08 33 C0 89 87 2C 02 00 00 80 FB 01 75 21 3B B7 80 01 00 00 75 19 8B 87 80 01 00 00 E8 ?? ?? ?? ?? 88 87 4F 02 00 00 33 C0 89 87 80 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5805_0 {
	meta:
		name = "TClientDataSet.DataEvent"
		size = 73
		refs = "001e TClientDataSet.MasterChanged 002d TClientDataSet.SetAltRecBuffers 0041 TDataSet.DataEvent"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 04 FE 2C 02 72 13 2C 05 74 1E 2C 02 75 21 8B D6 8B C6 E8 ?? ?? ?? ?? EB 16 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? EB 07 C6 86 54 01 00 00 00 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5806_0 {
	meta:
		name = "TClientDataSet.GetDelta"
		size = 165
		refs = "0015 TClientDataSet.GetDelta 0022 TDataSet.CheckBrowseMode 002a @IntfClear 0040 TClientDataSet.Check 004b FreeDataPacket 0074 SafeArrayCopy 007e DataPacketToVariant 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 70 01 00 00 50 8B 00 FF 50 2C 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 83 8C 01 00 00 E8 ?? ?? ?? ?? 8D 83 8C 01 00 00 50 8B 45 FC 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 83 8C 01 00 00 50 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5807_0 {
	meta:
		name = "TClientDataSet.ApplyUpdates"
		size = 187
		refs = "0019 TClientDataSet.ApplyUpdates 0026 TDataSet.CheckBrowseMode 002d TClientDataSet.GetChangeCount 0040 @VarClr 0050 TClientDataSet.GetDelta 0066 TClientDataSet.GetProvider 0074 @CheckAutoResult 007e TClientDataSet.Reconcile 0093 @IntfClear 009c OleVariant 00a6 @FinalizeArray 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 89 45 FC EB 46 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 FC 50 56 8D 55 DC 8B C3 E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5808_0 {
	meta:
		name = "TClientDataSet.MergeChangeLog"
		size = 24
		refs = "0006 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 70 01 00 00 50 8B 00 FF 50 34 5B C3 }
	condition:
		$1
}

rule function_5809_0 {
	meta:
		name = "TClientDataSet.SetAltRecBuffers"
		size = 28
	strings:
		$1 = { 55 8B EC 89 90 14 02 00 00 89 88 10 02 00 00 8B 55 08 89 90 18 02 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_5810_0 {
	meta:
		name = "TClientDataSet.ReconcileCallback"
		size = 432
		refs = "0013 TClientDataSet.ReconcileCallback 0067 TDataSet.First 0080 @LStrFromPChar 009e _DV_EReconcileError 00a3 EReconcileError.Create 00a8 @RaiseExcept 00ba @HandleOnException 00e5 TFields.FieldByNumber 00eb _Dn_TDataSetField 00f0 @AsClass 00f5 TDataSetField.GetNestedDataSet 0115 TClientDataSet.SetAltRecBuffers 0148 @DoneExcept 0157 @HandleAnyException 015c Application 0166 TApplication.HandleException 0199 @LStrArrayClr 019f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 45 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 C6 82 4D 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3C 02 75 06 C6 45 FE 02 EB 0E 3C 04 75 06 C6 45 FE 01 EB 04 C6 45 FE 00 83 7D 14 01 75 06 C6 45 FF 00 EB 04 C6 45 FF 01 8B 45 08 8B 80 84 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 8B 55 20 E8 ?? ?? ?? ?? 8B 45 F8 50 66 8B 45 18 50 8D 45 F4 8B 55 1C E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 93 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C7 8B 45 08 8B 98 84 01 00 00 8B 75 30 85 F6 7E 26 8B 45 34 8B 10 8B 43 24 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 45 34 04 4E 75 DA 80 7D FE 02 75 13 8B 45 2C 50 8B 4D 28 8B 55 24 8B C3 E8 ?? ?? ?? ?? EB 11 8B 45 2C 50 8B 4D 24 8B 55 28 8B C3 E8 ?? ?? ?? ?? 8A 45 FE 50 8D 45 FF 50 8B 75 08 8B CF 8B D3 8B 86 58 02 00 00 FF 96 54 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? C6 45 FF 01 E8 ?? ?? ?? ?? 33 DB 8A 5D FF 43 8B 45 08 C6 80 4D 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule function_5811_0 {
	meta:
		name = "TClientDataSet.Reconcile"
		size = 332
		refs = "000f VarIsNull 001b TClientDataSet.MergeChangeLog 0028 TDataSet.UpdateCursorPos 003a TClientDataSet.ReconcileCallback 0048 _DV_TClientDataSet 004d TClientDataSet.Create 0060 TClientDataSet.Reconcile 008f TClientDataSet.Check 009f TDataSet.SetObjectView 00ad TDataSet.Open 00b9 VarToDataPacket 010b TObject.Free 011c @HandleFinally 0137 TClientDataSet.GetChangeCount"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC E8 ?? ?? ?? ?? E9 0F 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 56 02 00 00 00 74 07 BE ?? ?? ?? ?? EB 02 33 F6 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 B8 84 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 87 70 01 00 00 50 6A 00 6A FF 6A 00 8B 45 FC 8B 80 70 01 00 00 50 8B 00 FF 90 84 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 01 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 8C 01 00 00 50 8B 45 FC 8B 80 84 01 00 00 8B 80 70 01 00 00 50 8B 45 FC 8B 80 70 01 00 00 50 8B 00 FF 90 88 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 84 01 00 00 C3 E9 ?? ?? ?? ?? EB DF 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5F 5E 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5812_0 {
	meta:
		name = "TClientDataSet.NotifyCallback"
		size = 88
		refs = "000d TClientDataSet.NotifyCallback 0023 TDataSet.UpdateCursorPos 0042 @HandleAnyException 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8D 00 00 00 01 75 17 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5813_0 {
	meta:
		name = "TClientDataSet.SetNotifyCallback"
		size = 52
		refs = "000d TClientDataSet.NotifyCallback 0027 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 80 BB 4E 02 00 00 00 75 26 B8 ?? ?? ?? ?? 50 53 8B 83 74 01 00 00 50 8B 00 FF 90 9C 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 4E 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_5814_0 {
	meta:
		name = "TClientDataSet.CloneCursor"
		size = 466
		refs = "0012 TClientDataSet.CloneCursor 0026 TDataSet.Close 0037 @IntfCopy 003e TDataSet.UpdateCursorPos 0077 TClientDataSet.SetIndexName 0080 TClientDataSet.SetDataSource 0089 TClientDataSet.SetMasterFields 0092 TClientDataSet.SetReadOnly 009b TClientDataSet.SetRemoteServer 00a4 TClientDataSet.SetProviderName 00ad TClientDataSet.SetProvider 0109 TClientDataSet.GetIndexName 012f TClientDataSet.GetIndexFieldNames 0139 TClientDataSet.SetIndexFieldNames 0156 TClientDataSet.GetMasterFields 019b TDataSet.Open 01a2 TClientDataSet.SetNotifyCallback 01be @LStrClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 40 8B C7 E8 ?? ?? ?? ?? 8D 87 70 01 00 00 8B 96 70 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 B7 80 01 00 00 84 DB 74 6A 33 D2 8B C7 8B 08 FF 91 34 01 00 00 33 D2 8B C7 8B 08 FF 91 3C 01 00 00 6A 00 6A 00 8B C7 8B 10 FF 92 40 01 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? E9 E2 00 00 00 80 7D 08 00 0F 85 D8 00 00 00 8B 56 6C 8B C7 8B 08 FF 91 3C 01 00 00 FF B6 48 01 00 00 FF B6 44 01 00 00 8B C7 8B 10 FF 92 40 01 00 00 8A 96 8C 00 00 00 8B C7 8B 08 FF 91 38 01 00 00 8A 96 98 00 00 00 8B C7 8B 08 FF 91 34 01 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 00 00 00 8B D0 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8A 96 4A 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B 96 2C 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B 96 28 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B 96 24 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5815_0 {
	meta:
		name = "TClientDataSet.EncodeFieldDesc"
		size = 221
		refs = "0017 @FillChar 001e @LStrToPChar 0027 StrCopy 0031 FldTypeMap 003e FldSubTypeMap 0066 TClientDataSet.EncodeFieldDesc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 5D 18 8B C6 33 C9 BA 4C 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 15 ?? ?? ?? ?? 0F B6 14 02 89 56 20 8B 15 ?? ?? ?? ?? 0F B7 04 42 89 46 24 8A 45 0C F6 D8 1B C0 89 46 40 33 C0 8A 45 08 89 46 44 33 C0 8A C3 83 F8 1D 77 72 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 00 00 00 00 03 00 00 00 01 01 00 01 01 01 01 01 01 01 00 00 00 00 01 01 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 14 89 46 28 EB 2F 8B 45 14 89 46 28 8B 45 14 89 46 2C EB 21 83 7D 10 00 7E 0E 83 7D 10 20 7F 08 8B 45 10 89 46 28 EB 07 C7 46 28 20 00 00 00 8B 45 14 89 46 2C 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_5816_0 {
	meta:
		name = "GetFieldDefCount"
		size = 100
		refs = "0013 TCollection.GetCount 0034 TFieldDefs.GetFieldDef 003d TFieldDef.HasChildDefs 004c TFieldDef.GetChildDefs 0054 GetFieldDefCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 01 02 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 32 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 59 47 4E 75 D1 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5817_0 {
	meta:
		name = "EncodeFieldDescs"
		size = 206
		refs = "0015 @DynArrayAddRef 001d EncodeFieldDescs 002b TCollection.GetCount 0045 TFieldDefs.GetFieldDef 0052 TFieldDef.GetSize 0077 TClientDataSet.EncodeFieldDesc 0080 TFieldDef.HasChildDefs 008f TFieldDef.GetChildDefs 00b6 TFieldDescList 00bb @DynArrayClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6E 47 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8A 43 1F 50 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 50 8B 43 14 50 6A 00 8A 43 20 50 6B 06 13 8B 55 F8 8D 14 82 8B 45 08 8B 40 FC 8B 4B 0C E8 ?? ?? ?? ?? FF 06 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 F8 E8 ?? ?? ?? ?? 59 FF 45 F4 4F 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5818_0 {
	meta:
		name = "CreateIndexes"
		size = 213
		refs = "0018 CreateIndexes 0029 TClientDataSet.GetIndexDefs 002e TCollection.GetCount 004a TIndexDefs.GetIndexDef 0059 TIndexDef.GetFields 0080 TClientDataSet.EncodeIndexDesc 00a6 TClientDataSet.Check 00c2 @LStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 10 FF FF FF 53 56 57 33 C0 89 85 10 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 75 46 33 FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 95 10 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8B 43 18 50 8B 43 1C 50 8A 43 20 50 8D 95 14 FF FF FF 8B 45 08 8B 40 FC 8B 4B 0C E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 8B 45 08 8B 40 FC 8B 80 70 01 00 00 50 8B 00 FF 50 3C 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 47 4E 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5819_0 {
	meta:
		name = "TClientDataSet.CreateDataSet"
		size = 310
		refs = "0018 TClientDataSet.CreateDataSet 002e TDataSet.InitFieldDefsFromFields 0042 GetFieldDefCount 0055 TFieldDescList 005a @DynArraySetLength 0074 EncodeFieldDescs 0080 TClientDataSet.CreateDSBase 0090 @IntfCopy 009b @LStrToPChar 00bd TClientDataSet.Check 00d1 CreateIndexes 00e1 @HandleAnyException 00ee @IntfClear 00f3 @RaiseAgain 00f8 @DoneExcept 0100 TDataSet.Open 0123 @DynArrayClear 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F8 55 8D 55 F8 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 59 8B 45 F8 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F4 55 8D 4D F4 8B 45 FC 8B 40 2C 8B 55 F0 E8 ?? ?? ?? ?? 59 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 05 70 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 45 F8 50 8B 45 FC 8B 80 70 01 00 00 50 8B 00 FF 50 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5820_0 {
	meta:
		name = "TClientDataSet.EmptyDataSet"
		size = 84
		refs = "0006 TDataSet.CheckBrowseMode 001b TClientDataSet.Check 0024 TClientDataSet.SetProviderEOF 002a TClientDataSet.EmptyDataSet 003b TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 70 01 00 00 50 8B 00 FF 50 6C 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 00 01 00 00 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5821_0 {
	meta:
		name = "TClientDataSet.SetupInternalCalcFields"
		size = 260
		refs = "0021 TDataSet.GetFieldCount 0039 TFields.GetField 0086 TClientDataSet.SetupInternalCalcFields 0095 TClientDataSet.EncodeFieldDesc 00af TClientDataSet.Check"
	strings:
		$1 = { 53 56 57 55 83 C4 B0 8B D8 84 D2 0F 84 AC 00 00 00 80 BB 96 00 00 00 00 0F 85 9F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C C6 00 00 00 45 33 F6 8B D6 8B 43 24 E8 ?? ?? ?? ?? 80 78 32 03 75 70 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B F8 80 7F 30 08 75 15 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 80 E4 00 00 00 89 04 24 EB 05 33 C0 89 04 24 8A 47 30 50 8B C7 8B 10 FF 52 78 0F B7 C0 50 8B 44 24 08 50 6A 01 A0 ?? ?? ?? ?? 50 8B 4F 28 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 83 70 01 00 00 50 8B 00 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? 46 4D 0F 85 78 FF FF FF EB 39 80 BB 94 00 00 00 00 74 30 6A 00 6A 00 8B 83 70 01 00 00 50 8B 00 FF 50 54 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 70 01 00 00 50 8B 00 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 50 5D 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5822_0 {
	meta:
		name = "TClientDataSet.WriteDataPacket"
		size = 207
		refs = "0014 TDataSet.GetActive 0020 TDataSet.CheckBrowseMode 0028 TClientDataSet.CheckProviderEOF 0030 TClientDataSet.SaveDataPacket 0048 DataPacketSize 005e SafeArrayAccessData 0066 TClientDataSet.WriteDataPacket 00a8 SafeArrayUnaccessData 00ae @HandleFinally 00c4 TClientDataSet.ClearSavedPacket"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B8 88 01 00 00 85 FF 0F 84 83 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8D 45 F4 50 8B 45 FC 8B 80 88 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 0F 8D 55 F8 B9 04 00 00 00 8B C6 8B 18 FF 53 08 8B 55 F4 8B 4D F8 8B C6 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 88 01 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5823_0 {
	meta:
		name = "TClientDataSet.ReadDataPacket"
		size = 246
		refs = "001d TStream.ReadBuffer 0026 TStream.GetSize 002f TStream.GetPosition 0046 TClientDataSet.ClearSavedPacket 0055 @FillChar 0068 SafeArrayCreate 007b TClientDataSet.ReadDataPacket 008b SafeArrayAccessData 00c2 SafeArrayUnaccessData 00c8 @HandleFinally 00d9 @HandleAnyException 00e6 @RaiseAgain 00eb @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 84 C9 74 11 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 15 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 89 75 F8 83 7D F8 00 0F 8E AD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 45 EC 8D 45 EC 50 6A 01 6A 11 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 88 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 56 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 4D F8 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 88 01 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5824_0 {
	meta:
		name = "TClientDataSet.LoadFromStream"
		size = 34
		refs = "0009 TDataSet.Close 0014 TClientDataSet.ReadDataPacket 001b TDataSet.Open"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5828_0 {
	meta:
		name = "TClientDataSet.SetLogChanges"
		size = 44
		refs = "0009 TDataSet.CheckBrowseMode 0025 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 50 6A 00 8B 86 70 01 00 00 50 8B 00 FF 50 50 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5829_0 {
	meta:
		name = "TClientDataSet.GetLogChanges"
		size = 41
		refs = "0007 TDataSet.CheckBrowseMode 001f TClientDataSet.Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 54 6A 00 8B 83 70 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5830_0 {
	meta:
		name = "TClientDataSet.GetCanModify"
		size = 24
	strings:
		$1 = { 80 B8 4C 02 00 00 00 74 09 80 B8 4A 02 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5831_0 {
	meta:
		name = "TClientDataSet.SetReadOnly"
		size = 61
		refs = "002d TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 9E 4A 02 00 00 83 BE 70 01 00 00 00 74 25 33 C0 8A C3 50 6A 01 8B 86 70 01 00 00 50 8B 00 FF 50 50 8B D0 8B C6 E8 ?? ?? ?? ?? 80 F3 01 88 9E 4C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5832_0 {
	meta:
		name = "TClientDataSet.ConstraintsDisabled"
		size = 11
	strings:
		$1 = { 83 B8 34 02 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_5833_0 {
	meta:
		name = "TClientDataSet.DisableConstraints"
		size = 45
		refs = "0021 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 83 BB 34 02 00 00 00 75 19 6A 01 6A 03 8B 83 70 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? FF 83 34 02 00 00 5B C3 }
	condition:
		$1
}

rule function_5834_0 {
	meta:
		name = "TClientDataSet.EnableConstraints"
		size = 54
		refs = "0030 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 83 BB 34 02 00 00 00 74 28 FF 8B 34 02 00 00 83 BB 34 02 00 00 00 75 19 6A 00 6A 03 8B 83 70 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5835_0 {
	meta:
		name = "TClientDataSet.InitBufferPointers"
		size = 144
		refs = "001f TClientDataSet.Check"
	strings:
		$1 = { 53 81 C4 B8 FE FF FF 8B D8 84 D2 74 2F 54 8B 83 74 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 84 24 0D 01 00 00 89 43 58 66 8B 84 24 09 01 00 00 66 89 83 42 02 00 00 66 8B 83 42 02 00 00 66 03 43 5C 66 89 83 46 02 00 00 8B D0 66 83 C2 06 66 89 93 44 02 00 00 0F B7 C2 03 43 58 89 83 5C 01 00 00 03 83 64 01 00 00 89 83 60 01 00 00 66 8B 83 60 01 00 00 66 03 83 58 01 00 00 66 89 83 48 02 00 00 81 C4 48 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5836_0 {
	meta:
		name = "TClientDataSet.AllocRecordBuffer"
		size = 13
		refs = "0008 AllocMem"
	strings:
		$1 = { 0F B7 80 48 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5837_0 {
	meta:
		name = "TBDEDataSet.FreeRecordBuffer"
		size = 8
		refs = "0003 @FreeMem"
		altNames = "TClientDataSet.FreeRecordBuffer"
	strings:
		$1 = { 8B 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5838_0 {
	meta:
		name = "TClientDataSet.InternalInitRecord"
		size = 31
		refs = "0018 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 74 01 00 00 50 8B 00 FF 50 70 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5839_0 {
	meta:
		name = "TBDEDataSet.ClearCalcFields"
		size = 35
		refs = "001c @FillChar"
		altNames = "TClientDataSet.ClearCalcFields"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 64 01 00 00 0F B7 C0 8D 04 06 33 C9 8B 53 5C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5840_0 {
	meta:
		name = "TClientDataSet.InitRecord"
		size = 41
		refs = "000b TDataSet.InitRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 83 46 02 00 00 03 C6 C6 40 04 03 C7 00 FF FF FF FF C6 40 05 04 5E 5B C3 }
	condition:
		$1
}

rule function_5841_0 {
	meta:
		name = "TClientDataSet.GetRecord"
		size = 376
		refs = "0019 TClientDataSet.GetRecord 002d @IntfCopy 0055 TClientDataSet.GetProviderEOF 0076 TClientDataSet.FetchMoreData 00c4 TFields.GetCount 00da TClientDataSet.GetAggFieldData 0126 TClientDataSet.Check 0160 @IntfClear 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 93 74 01 00 00 E8 ?? ?? ?? ?? 8A 45 FF FE C8 74 06 FE C8 74 4D EB 5A 6A 01 8B 45 F8 50 8B 00 FF 50 40 8B F0 66 81 FE 02 22 75 48 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 80 BB 50 02 00 00 00 74 34 6A FF 8B 45 F8 50 8B 00 FF 50 40 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 01 8B 45 F8 50 8B 00 FF 50 40 8B F0 EB 11 6A FF 8B 45 F8 50 8B 00 FF 50 40 8B F0 EB 02 33 F6 66 85 F6 75 0C 57 8B 45 F8 50 8B 00 FF 50 20 8B F0 8B C6 66 83 E8 01 72 0D 66 2D 00 22 74 77 66 FF C8 74 78 EB 7C 8B 43 28 E8 ?? ?? ?? ?? 85 C0 7E 12 80 BB 6C 01 00 00 00 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B7 B3 46 02 00 00 03 F7 C6 46 04 00 56 8B 45 F8 50 8B 00 FF 50 2C 8D 46 05 50 8B 45 F8 50 8B 00 FF 50 30 8B D7 8B C3 8B 08 FF 91 C8 00 00 00 0F B7 83 44 02 00 00 03 F8 57 8B 45 F8 50 8B 00 FF 50 28 8B D0 8B C3 E8 ?? ?? ?? ?? C6 45 FE 00 EB 1F C6 45 FE 01 EB 19 C6 45 FE 02 EB 13 C6 45 FE 03 80 7D 08 00 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FE 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5842_0 {
	meta:
		name = "TClientDataSet.GetCurrentRecord"
		size = 74
		refs = "0009 TDataSet.IsEmpty 0014 TDataSet.ActiveBuffer 002b TDataSet.UpdateCursorPos"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 5C 01 00 00 84 C0 75 1D 8B C3 E8 ?? ?? ?? ?? 56 8B 83 74 01 00 00 50 8B 00 FF 50 20 66 85 C0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5843_0 {
	meta:
		name = "TClientDataSet.GetRecordCount"
		size = 60
		refs = "0016 TDataSet.UpdateCursorPos 0032 TClientDataSet.Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 40 8B 83 3C 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 54 8B 83 74 01 00 00 50 8B 00 FF 50 34 66 3D 0A 40 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5844_0 {
	meta:
		name = "TClientDataSet.GetRecNo"
		size = 54
		refs = "0025 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 8A 83 8D 00 00 00 3C 0B 75 05 83 C8 FF 5B C3 3C 05 75 05 8B 43 54 EB 07 8B C3 E8 ?? ?? ?? ?? 0F B7 93 46 02 00 00 03 C2 8B 00 5B C3 }
	condition:
		$1
}

rule function_5845_0 {
	meta:
		name = "TClientDataSet.SetRecNo"
		size = 92
		refs = "0009 TDataSet.CheckBrowseMode 0037 TClientDataSet.Check 003d TClientDataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 00 00 00 3B F0 74 3A 8B C3 8B 10 FF 92 A4 00 00 00 56 8B 83 74 01 00 00 50 8B 00 FF 50 44 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 8B C3 8B 10 FF 92 84 00 00 00 5E 5B C3 02 00 00 00 }
	condition:
		$1
}

rule function_5846_0 {
	meta:
		name = "TClientDataSet.GetRecordSize"
		size = 8
	strings:
		$1 = { 66 8B 80 42 02 00 00 C3 }
	condition:
		$1
}

rule function_5847_0 {
	meta:
		name = "GetOriginalBuffer"
		size = 64
		refs = "000b TDataSet.UpdateCursorPos 0016 TDataSet.TempBuffer"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 53 6A 03 8B 45 08 8B 40 FC 8B 80 74 01 00 00 50 8B 00 FF 90 A8 00 00 00 66 85 C0 74 02 33 DB 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_5848_0 {
	meta:
		name = "TClientDataSet.GetActiveRecBuf"
		size = 239
		refs = "0020 TClientDataSet.GetActiveRecBuf 0058 TDataSet.IsEmpty 006a TDataSet.ActiveBuffer 00c5 GetOriginalBuffer"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 0F B6 80 8D 00 00 00 83 F8 0B 0F 87 C4 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 33 C0 89 03 EB 7F 8B 45 FC E8 ?? ?? ?? ?? 89 03 EB 73 8B 45 FC E8 ?? ?? ?? ?? 89 03 EB 67 8B 45 FC 8B 80 0C 02 00 00 83 C0 08 89 03 EB 57 8B 45 FC 8B 40 54 89 03 EB 4D 8B 45 FC 8B 80 A8 01 00 00 89 03 EB 40 8B 45 FC 8B 80 10 02 00 00 89 03 EB 33 8B 45 FC 8B 80 14 02 00 00 85 C0 74 04 89 03 EB 22 55 E8 ?? ?? ?? ?? 59 89 03 EB 17 8B 45 FC 8B 80 18 02 00 00 89 03 EB 0A 33 C0 89 03 EB 04 33 C0 89 03 83 3B 00 0F 95 C0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5849_0 {
	meta:
		name = "TClientDataSet.GetChangeCount"
		size = 52
		refs = "0007 TDataSet.GetActive 0023 TClientDataSet.Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 54 6A 02 8B 83 70 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5850_0 {
	meta:
		name = "TClientDataSet.UpdateStatus"
		size = 80
		refs = "0024 TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 8A 83 8D 00 00 00 3C 0B 75 04 33 C0 5B C3 3C 05 75 05 8B 43 54 EB 07 8B C3 E8 ?? ?? ?? ?? 0F B7 93 46 02 00 00 03 C2 8A 40 05 A8 08 74 04 B0 01 EB 12 A8 02 74 04 B0 03 EB 0A A8 04 74 04 B0 02 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_5851_0 {
	meta:
		name = "TClientDataSet.AddFieldDesc"
		size = 676
		refs = "0020 @DynArrayAddRef 0028 TClientDataSet.AddFieldDesc 0070 @LStrFromArray 00a4 Format 00ae TDefCollection.IndexOf 00c0 DataTypeMap 018c BlobTypeMap 01b0 TFieldDefs.AddFieldDef 01cd TFieldDef.SetDataType 01d8 TFieldDef.SetSize 01e2 TFieldDef.SetPrecision 01ec TFieldDef.SetAttributes 0220 TFieldDef.GetChildDefs 0270 @LStrClr 0279 TFieldDescList 027e @DynArrayClear 0284 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 33 DB 89 5D E8 8B F1 89 55 F8 89 45 FC 8B 5D 08 8B 7D 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6B 06 13 8B 55 F8 56 57 8D 34 82 8D 7D 98 B9 13 00 00 00 F3 A5 5F 5E FF 06 F6 45 DC 08 75 0C F6 45 DC 01 74 0D 80 7B 34 00 75 07 FF 07 E9 FB 01 00 00 8D 45 E8 8D 55 98 B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F0 EB 2D FF 45 F0 8D 45 E8 50 8D 45 98 89 45 88 C6 45 8C 06 8B 45 F0 89 45 90 C6 45 94 00 8D 55 88 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D C5 8B 45 B8 83 F8 18 7D 0E 8B 15 ?? ?? ?? ?? 8A 14 02 88 55 EF EB 04 C6 45 EF 00 66 C7 45 EC 00 00 33 D2 89 55 F4 83 F8 17 0F 87 BF 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 06 00 02 03 04 05 01 00 00 02 00 00 01 00 00 00 00 01 01 00 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7D BC 1F 75 04 C6 45 EF 17 66 8B 45 C0 66 89 45 EC EB 66 83 7D C8 02 74 60 C6 45 EF 00 EB 5A 83 7D BC 1D 75 54 C6 45 EF 0E EB 4E 83 7D BC 15 75 48 C6 45 EF 07 EB 42 8B 45 C4 99 33 C2 2B C2 66 89 45 EC 8B 45 C0 89 45 F4 EB 2E 66 8B 45 C0 66 89 45 EC 8B 45 BC 83 F8 16 7C 1E 83 F8 1C 7F 19 8B 15 ?? ?? ?? ?? 8A 44 02 EA 88 45 EF EB 0A 83 7D BC 46 75 04 C6 45 EF 1C 80 7D EF 00 0F 84 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 07 89 43 18 FF 07 8B 55 E8 8B C3 8B 08 FF 51 14 8A 55 EF 8B C3 E8 ?? ?? ?? ?? 66 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8A 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 F7 D8 1B C0 F7 D8 88 43 1E 8A 45 EF 2C 1A 74 06 FE C8 74 35 EB 56 8B 45 C0 48 85 C0 7C 4E 40 89 45 E4 C7 45 F0 00 00 00 00 57 8B C3 E8 ?? ?? ?? ?? 50 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 45 F0 FF 4D E4 75 E2 EB 23 8B 07 89 45 F0 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 01 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 05 00 00 00 25 73 5F 25 64 00 00 00 }
	condition:
		$1
}

rule function_5852_0 {
	meta:
		name = "TClientDataSet.GetFieldData"
		size = 166
		refs = "0016 TClientDataSet.GetActiveRecBuf 0049 TClientDataSet.Check 0099 Move"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B F0 33 DB 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 74 7F 8A 47 32 84 C0 74 04 2C 03 75 30 54 55 8B C7 8B 10 FF 52 6C 50 8B 44 24 10 50 8B 86 74 01 00 00 50 8B 00 FF 50 5C 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 1C 24 83 FB 01 1B DB F7 DB EB 44 8A 86 8D 00 00 00 48 2C 03 72 04 2C 01 75 35 0F B7 86 42 02 00 00 0F B7 57 3A 03 C2 01 44 24 04 8B 44 24 04 8A 18 84 DB 74 1A 85 ED 74 16 8B C7 8B 10 FF 52 64 0F B7 C8 8B D5 8B 44 24 04 40 E8 ?? ?? ?? ?? 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5853_0 {
	meta:
		name = "CheckNotChanged"
		size = 144
		refs = "0045 TClientDataSet.Check 0053 Unassigned 0058 @VarCopy 0068 Null 0087 TDataSet.GetStateFieldValue"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 85 DB 75 09 C7 45 FC 02 00 00 00 EB 32 8D 45 FC 50 6A 00 8B 45 08 8B 40 F8 8B 10 FF 52 6C 50 53 8B 45 08 8B 40 FC 8B 80 74 01 00 00 50 8B 00 FF 50 5C 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 7D FC 02 75 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2D 83 7D FC 01 75 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 56 8B 45 08 8B 48 F8 8B 45 08 8A 50 F7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5854_0 {
	meta:
		name = "TClientDataSet.GetStateFieldValue"
		size = 272
		refs = "0023 TClientDataSet.GetStateFieldValue 0052 TDataSet.ActiveBuffer 0076 CheckNotChanged 0081 @VarCopy 009f @HandleFinally 00e7 TDataSet.GetStateFieldValue 00fc @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 88 55 F7 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 F7 2C 07 74 0D 2C 02 0F 84 81 00 00 00 E9 9B 00 00 00 8B 45 FC 8B B0 10 02 00 00 85 F6 75 57 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 59 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 10 02 00 00 C3 E9 ?? ?? ?? ?? EB ED 55 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 59 8D 55 E4 8B C3 E8 ?? ?? ?? ?? EB 2E 55 8D 55 E4 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 59 8D 55 E4 8B C3 E8 ?? ?? ?? ?? EB 0F 53 8B 4D F8 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5855_0 {
	meta:
		name = "TClientDataSet.SetFieldData"
		size = 516
		refs = "001b TClientDataSet.SetFieldData 0039 SNotEditing 003e LoadResString 0048 DatabaseError 006c TField.GetIsIndexField 007c TField.GetDisplayName 0092 SNotIndexField 00a2 DatabaseErrorFmt 00ac TClientDataSet.GetActiveRecBuf 00f1 SFieldReadOnly 010a TField.Validate 0137 TClientDataSet.Check 0176 TBits.SetBit 01b9 Move 01e9 @LStrClr 01f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F8 89 5D EC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 83 8D 00 00 00 04 FE 2C 06 72 1B 2C 03 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 04 75 51 8B C6 8B 10 FF 52 6C 85 C0 7C 14 83 BB 1C 02 00 00 00 7E 3D 8B C6 E8 ?? ?? ?? ?? 84 C0 75 32 6A 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8A 46 32 84 C0 74 08 2C 03 0F 85 BD 00 00 00 80 7E 31 00 74 40 8A 83 8D 00 00 00 2C 04 74 36 2C 02 74 32 6A 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8A 83 8D 00 00 00 04 FE 2C 02 73 21 57 8B C6 8B 10 FF 52 6C 50 8B 83 74 01 00 00 50 8B 00 FF 90 A4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 57 8B C6 8B 10 FF 52 6C 50 8B 45 FC 50 8B 83 74 01 00 00 50 8B 00 FF 50 60 8B D0 8B C3 E8 ?? ?? ?? ?? 8B BB 50 01 00 00 85 FF 74 56 8B C6 8B 10 FF 52 6C 8B D0 4A B1 01 8B C7 E8 ?? ?? ?? ?? EB 41 80 BB 8D 00 00 00 0B 74 53 0F B7 83 42 02 00 00 0F B7 56 3A 03 C2 01 45 FC 8B C7 F7 D8 1B C0 F7 D8 8B 55 FC 88 02 84 C0 74 17 8B C6 8B 10 FF 52 64 0F B7 C8 8B 45 FC 8D 50 01 8B C7 E8 ?? ?? ?? ?? 8A 83 8D 00 00 00 04 FB 2C 03 72 0F 2C 03 74 0B 8B CE 33 D2 8B C3 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5856_0 {
	meta:
		name = "TClientDataSet.CreateBlobStream"
		size = 109
		refs = "0013 TClientDataSet.GetActiveRecBuf 0047 TClientDataSet.FetchBlobs 0050 _Dn_TBlobField 0055 @AsClass 005e _DV_TClientBlobStream 0063 TClientBlobStream.Create"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B F2 8B F8 8D 54 24 04 8B C7 E8 ?? ?? ?? ?? 84 C0 74 30 54 8B C6 8B 10 FF 52 6C 50 8B 44 24 0C 50 8B 87 74 01 00 00 50 8B 00 FF 50 64 66 3D 09 40 75 10 80 BF 50 02 00 00 00 74 07 8B C7 E8 ?? ?? ?? ?? 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5858_0 {
	meta:
		name = "TBDEDataSet.CurrToBCD"
		size = 28
		refs = "0014 CurrToFMTBCD"
		altNames = "TClientDataSet.CurrToBCD"
	strings:
		$1 = { 55 8B EC FF 75 10 FF 75 0C 8B C2 8B 4D 08 BA 20 00 00 00 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_5859_0 {
	meta:
		name = "TClientDataSet.RefreshInternalCalcFields"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 3C 5E C3 }
	condition:
		$1
}

rule function_5860_0 {
	meta:
		name = "TClientDataSet.CalcFieldsCallBack"
		size = 121
		refs = "000b TClientDataSet.CalcFieldsCallBack 001b TDataSet.SetTempState 004f TDataSet.RestoreState 0055 @HandleFinally 0066 @HandleAnyException 006b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 0B 8B 45 08 E8 ?? ?? ?? ?? 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 08 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FF 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5861_0 {
	meta:
		name = "TClientDataSet.InternalFirst"
		size = 26
		refs = "0014 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B 83 74 01 00 00 50 8B 00 FF 50 38 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5862_0 {
	meta:
		name = "TClientDataSet.InternalLast"
		size = 33
		refs = "0006 TClientDataSet.CheckProviderEOF 001b TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 50 8B 00 FF 50 3C 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5863_0 {
	meta:
		name = "TClientDataSet.InternalPost"
		size = 100
		refs = "000f TDataSet.ActiveBuffer 0025 TClientDataSet.Check 005e TClientDataSet.DoAggUpdates"
	strings:
		$1 = { 53 8B D8 80 BB 8D 00 00 00 02 75 1F 8B C3 E8 ?? ?? ?? ?? 50 8B 83 74 01 00 00 50 8B 00 FF 50 78 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? 50 8B 83 74 01 00 00 50 8B 00 FF 50 7C 8B D0 8B C3 E8 ?? ?? ?? ?? 80 BB 6C 01 00 00 00 74 11 80 BB 8D 00 00 00 02 0F 94 C2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5864_0 {
	meta:
		name = "TClientDataSet.InternalCancel"
		size = 24
	strings:
		$1 = { 83 78 68 00 7E 11 6A 00 8B 80 70 01 00 00 50 8B 00 FF 90 80 00 00 00 C3 }
	condition:
		$1
}

rule function_5865_0 {
	meta:
		name = "TClientDataSet.InternalDelete"
		size = 44
		refs = "0014 TClientDataSet.Check 0026 TClientDataSet.DoAggUpdates"
	strings:
		$1 = { 53 8B D8 8B 83 74 01 00 00 50 8B 00 FF 50 74 8B D0 8B C3 E8 ?? ?? ?? ?? 80 BB 6C 01 00 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5866_0 {
	meta:
		name = "TClientDataSet.DoBeforeInsert"
		size = 41
		refs = "0006 TDataSet.DoBeforeInsert"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 78 85 C0 74 16 8B 50 24 80 BA 8D 00 00 00 03 75 0A 8B C2 8B 10 FF 92 E4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5867_0 {
	meta:
		name = "TClientDataSet.InternalInsert"
		size = 31
		refs = "0019 TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 8B D8 6A 00 6A 02 8B 83 74 01 00 00 50 8B 00 FF 90 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5868_0 {
	meta:
		name = "TClientDataSet.Post"
		size = 30
		refs = "0006 TDataSet.Post 0018 TClientDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 04 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7197_0 {
	meta:
		name = "TBDEDataSet.Post"
		size = 30
		refs = "0006 TDataSet.Post 0018 TBDEDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 04 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5869_0 {
	meta:
		name = "TClientDataSet.Cancel"
		size = 30
		refs = "0006 TDataSet.Cancel 0018 TClientDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 04 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7198_0 {
	meta:
		name = "TBDEDataSet.Cancel"
		size = 30
		refs = "0006 TDataSet.Cancel 0018 TBDEDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 04 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5870_0 {
	meta:
		name = "TClientDataSet.InternalAddRecord"
		size = 47
		refs = "0028 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 0C 8B 83 74 01 00 00 50 8B 00 FF 50 3C 56 8B 83 74 01 00 00 50 8B 00 FF 50 7C 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5871_0 {
	meta:
		name = "TClientDataSet.InternalGotoBookmark"
		size = 31
		refs = "0018 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 74 01 00 00 50 8B 00 FF 50 48 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5872_0 {
	meta:
		name = "TClientDataSet.InternalSetToRecord"
		size = 24
	strings:
		$1 = { 56 8B F0 0F B7 86 44 02 00 00 03 D0 8B C6 8B 08 FF 91 78 01 00 00 5E C3 }
	condition:
		$1
}

rule function_5873_0 {
	meta:
		name = "TClientDataSet.GetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 46 02 00 00 03 D0 8A 42 04 C3 }
	condition:
		$1
}

rule function_5874_0 {
	meta:
		name = "TClientDataSet.SetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 46 02 00 00 03 D0 88 4A 04 C3 }
	condition:
		$1
}

rule function_5875_0 {
	meta:
		name = "TClientDataSet.GetBookmarkData"
		size = 23
		refs = "0011 Move"
	strings:
		$1 = { 53 0F B7 98 44 02 00 00 03 D3 8B 40 58 92 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5876_0 {
	meta:
		name = "TClientDataSet.SetBookmarkData"
		size = 36
		refs = "0009 TDataSet.ActiveBuffer 001d Move"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 93 44 02 00 00 8D 14 10 8B C6 8B 4B 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5877_0 {
	meta:
		name = "TClientDataSet.CompareBookmarks"
		size = 89
		refs = "001d RetCodes 0042 TClientDataSet.Check"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 85 FF 0F 94 C0 83 E0 7F 85 F6 0F 94 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F BE 04 02 89 04 24 83 3C 24 02 75 23 54 57 56 8B 83 74 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? 83 3C 24 02 75 05 33 C0 89 04 24 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5878_0 {
	meta:
		name = "TClientDataSet.BookmarkValid"
		size = 73
		refs = "0017 TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 74 01 00 00 00 0F 95 C0 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 56 8B 83 74 01 00 00 50 8B 00 FF 50 48 66 85 C0 75 13 6A 00 8B 83 74 01 00 00 50 8B 00 FF 50 20 66 85 C0 74 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_5879_0 {
	meta:
		name = "TClientDataSet.SyncCursors"
		size = 112
		refs = "0010 @IntfAddRef 0020 TClientDataSet.SyncCursors 0056 IDSCursor 0060 @FinalizeArray 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8B 45 F8 50 8B 00 FF 50 28 8D 45 E4 50 8B 45 FC 50 8B 00 FF 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B E5 5D C3 }
	condition:
		$1
}

rule function_5880_0 {
	meta:
		name = "TClientDataSet.UndoLastChange"
		size = 104
		refs = "0015 TDataSet.CheckBrowseMode 001c TDataSet.UpdateCursorPos 004a TDataSet.CursorPosChanged 0050 TClientDataSet.UndoLastChange"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8B C6 8B 10 FF 92 AC 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8A 04 24 F6 D8 1B C0 50 8B 86 74 01 00 00 50 8B 00 FF 90 80 00 00 00 66 85 C0 0F 94 C3 84 DB 74 1D 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 E8 01 00 00 8B C3 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_5881_0 {
	meta:
		name = "TClientDataSet.RevertRecord"
		size = 76
		refs = "0010 TDataSet.CheckBrowseMode 0017 TDataSet.UpdateCursorPos 002f TClientDataSet.Check 0035 TClientDataSet.RevertRecord"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 AC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 74 01 00 00 50 8B 00 FF 90 AC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5882_0 {
	meta:
		name = "TClientDataSet.GetSavePoint"
		size = 32
		refs = "0007 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 54 6A 0A 8B 83 70 01 00 00 50 8B 00 FF 50 4C 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5883_0 {
	meta:
		name = "TClientDataSet.SetSavePoint"
		size = 84
		refs = "0013 TDataSet.CheckBrowseMode 001a TDataSet.UpdateCursorPos 0030 TClientDataSet.Check 0037 TDataSet.CursorPosChanged 003d TClientDataSet.SetSavePoint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 AC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 83 70 01 00 00 50 8B 00 FF 50 70 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5885_0 {
	meta:
		name = "TClientDataSet.UpdateIndexDefs"
		size = 390
		refs = "0023 TClientDataSet.UpdateIndexDefs 0036 TClientDataSet.GetIndexDefs 003b TCollection.GetCount 004a TDataSet.GetActive 006b TFieldDefs.Update 0087 TClientDataSet.Check 0099 _DT_21 009e @DynArraySetLength 00ad TCollection.Clear 00fa TClientDataSet.DecodeIndexDesc 0106 TIndexDefs.AddIndexDef 011c TIndexDef.SetFields 0126 TIndexDef.SetDescFields 0130 TIndexDef.SetCaseInsFields 013a TIndexDef.SetOptions 0165 @LStrArrayClr 0173 @DynArrayClear 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 9C FE FF FF 53 56 57 33 D2 89 55 F8 89 55 F0 89 55 EC 89 55 E8 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 20 10 74 14 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 08 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 F9 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 78 20 00 0F 85 E8 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 8D 85 9F FE FF FF 50 8B 83 74 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 83 70 01 00 00 50 8B 00 FF 50 28 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 7D B4 4F 85 FF 7C 72 47 C7 45 FC 00 00 00 00 8D 45 EC 50 8D 45 E8 50 8D 45 E4 50 8D 45 F7 50 6B 45 FC 3B 8B 55 F8 8D 14 82 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F0 8B C6 8B 08 FF 51 14 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8A 55 F7 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4F 75 96 8B C3 E8 ?? ?? ?? ?? C6 40 20 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5886_0 {
	meta:
		name = "ConcatField"
		size = 148
		refs = "0015 ConcatField 0029 @LStrAsg 0051 Format 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 75 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 75 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 25 73 3B 25 73 00 00 00 }
	condition:
		$1
}

rule function_5887_0 {
	meta:
		name = "CheckOption"
		size = 56
		refs = "0015 @LStrCmp 002f @LStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 85 FF 74 23 8B 06 8B D7 E8 ?? ?? ?? ?? 75 18 8B 45 08 8B 40 08 80 FB 07 77 06 83 E3 7F 0F AB 18 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_5888_0 {
	meta:
		name = "TClientDataSet.DecodeIndexDesc"
		size = 280
		refs = "001a TClientDataSet.DecodeIndexDesc 002b TFlatList.Update 003a @LStrFromArray 0042 @LStrClr 0080 ConcatField 00d5 CheckOption 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 75 F8 8B 76 20 4E 85 F6 7C 4E 46 8B 5D F8 83 C3 24 8D 4D F4 8B 13 4A 8B 45 FC 8B 40 30 8B 38 FF 57 0C 8B 45 14 8B 55 F4 E8 ?? ?? ?? ?? 83 7B 48 00 74 0B 8B 45 10 8B 55 F4 E8 ?? ?? ?? ?? 83 BB 88 00 00 00 00 74 0B 8B 45 0C 8B 55 F4 E8 ?? ?? ?? ?? 83 C3 04 4E 75 B9 8B 45 08 8A 15 ?? ?? ?? ?? 88 10 8B 45 F8 83 78 68 00 74 06 8B 45 08 80 08 02 55 8B 55 10 8B 45 14 8B 00 B1 02 E8 ?? ?? ?? ?? 59 55 8B 55 0C 8B 45 14 8B 00 B1 03 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5889_0 {
	meta:
		name = "TClientDataSet.GetIndexNames"
		size = 35
		refs = "0009 TClientDataSet.GetIndexDefs 000e TIndexDefs.Update 001c TDefCollection.GetItemNames"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5890_0 {
	meta:
		name = "TClientDataSet.GetIndexDefs"
		size = 40
		refs = "0011 _Dn_TIndexDefs 0016 TIndexDefs.Create"
	strings:
		$1 = { 53 8B D8 83 BB 94 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 01 00 00 8B 83 94 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5892_0 {
	meta:
		name = "TClientDataSet.GetIndexInfo"
		size = 201
		refs = "0015 @LStrAddRef 001d TClientDataSet.GetIndexInfo 0071 TClientDataSet.GetIndexDefs 0079 TDefCollection.IndexOf 008e TIndexDefs.GetIndexDef 00b6 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 10 FF FF FF 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 10 FF FF FF 50 6A FF 8B 83 74 01 00 00 50 8B 00 FF 50 18 66 85 C0 75 2D 8B 85 30 FF FF FF 89 83 1C 02 00 00 8D B5 34 FF FF FF 8D BB B4 01 00 00 B9 10 00 00 00 F3 A5 66 8B 85 74 FF FF FF 66 89 83 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 19 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 24 89 83 20 02 00 00 EB 08 33 C0 89 83 20 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5893_0 {
	meta:
		name = "TClientDataSet.SwitchToIndex"
		size = 266
		refs = "001c TClientDataSet.SwitchToIndex 0029 TClientDataSet.ResetCursorRange 0030 @LStrToPChar 0056 TClientDataSet.GetIndexDefs 005d TIndexDefs.Find 006c TIndexDef.GetFields 008f TClientDataSet.EncodeIndexDesc 00ab TClientDataSet.Check 00df TClientDataSet.GetIndexInfo 00f7 @LStrClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 10 FF FF FF 53 56 57 33 C9 89 8D 10 FF FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 83 74 01 00 00 50 8B 00 FF 90 98 00 00 00 66 85 C0 0F 84 8D 00 00 00 66 3D 0D 27 75 7E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8D 95 10 FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8B 47 18 50 8B 47 1C 50 8A 47 20 50 8B 4F 0C 8D 95 14 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 8B 83 70 01 00 00 50 8B 00 FF 50 3C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 83 74 01 00 00 50 8B 00 FF 90 98 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5894_0 {
	meta:
		name = "TClientDataSet.SetIndex"
		size = 348
		refs = "0012 TDataSet.GetActive 0022 TDataSet.CheckBrowseMode 002a TDataSet.UpdateCursorPos 0032 TClientDataSet.CheckProviderEOF 0042 @LStrCmp 006e TClientDataSet.SortOnFields 007a TClientDataSet.SwitchToIndex 0089 @LStrAsg 00b9 TClientDataSet.ResetAllAggs 00c3 TDataSet.SetBufListSize 00cd TClientDataSet.InitBufferPointers 00d5 TClientDataSet.SetIndex 00f9 @HandleAnyException 0103 TDataSet.SetState 0110 @RaiseAgain 0115 @DoneExcept 011d TClientDataSet.ResetCursorRange 0125 TClientDataSet.CheckMasterRange"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 1C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 01 00 00 8B D6 E8 ?? ?? ?? ?? 75 0F 8B 45 FC 3A 98 4B 02 00 00 0F 84 E3 00 00 00 84 DB 74 19 6A 00 6A 00 8B 45 FC 8B 90 74 01 00 00 8B CE 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 88 98 4B 02 00 00 8B 45 FC 80 B8 6C 01 00 00 00 74 77 8B 45 FC C6 80 54 01 00 00 00 8B 45 FC 8A 90 6C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 40 42 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 8B 45 FC 05 98 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 88 98 4B 02 00 00 5F 5E 5B 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_5895_0 {
	meta:
		name = "IndexFieldOfs"
		size = 176
		refs = "0014 IndexFieldOfs 002b TFieldDefs.Find 0030 TFieldDef.GetFieldNo 0066 SIndexFieldMissing 006b LoadResString 0084 DatabaseErrorFmt 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 2C 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 50 F8 8B 52 20 4A 85 D2 7C 17 42 33 DB 8B 45 08 8B 40 F8 83 C0 24 3B 30 74 37 43 83 C0 04 4A 75 F5 8B 45 08 8B 40 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5896_0 {
	meta:
		name = "TClientDataSet.EncodeIndexDesc"
		size = 391
		refs = "0024 TClientDataSet.EncodeIndexDesc 0039 @FillChar 0041 @LStrToPChar 004b StrCopy 008e ExtractFieldName 009c TFieldDefList.FieldByName 00a1 TFieldDef.GetFieldNo 00de @LStrLen 010b IndexFieldOfs 0172 @LStrClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 4D F4 89 55 F8 89 45 FC 8B 7D 0C 8B 75 10 8B 5D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 C9 BA EC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? F6 45 08 02 0F 95 C0 F6 D8 1B C0 8B 55 F8 89 42 68 F6 45 08 04 0F 95 C0 F6 D8 1B C0 89 45 EC F6 45 08 08 0F 95 C0 F6 D8 1B C0 89 45 E8 C7 45 F0 01 00 00 00 EB 56 8D 4D E4 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 52 20 8B 4D F8 89 44 91 24 8B 45 F8 8B 40 20 8B 55 F8 8B 4D EC 89 4C 82 6C 8B 45 F8 8B 40 20 8B 55 F8 8B 4D E8 89 8C 82 AC 00 00 00 8B 45 F8 FF 40 20 8B C3 E8 ?? ?? ?? ?? 3B 45 F0 7C 09 8B 45 F8 83 78 20 10 7C 95 C7 45 F0 01 00 00 00 EB 22 55 8D 4D E4 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 59 8B 55 F8 C7 44 82 6C FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 3B 45 F0 7D D2 C7 45 F0 01 00 00 00 EB 25 55 8D 4D E4 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 59 8B 55 F8 C7 84 82 AC 00 00 00 FF FF FF FF 8B C7 E8 ?? ?? ?? ?? 3B 45 F0 7D CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_5897_0 {
	meta:
		name = "TClientDataSet.AddIndex"
		size = 160
		refs = "0015 TDataSet.CheckBrowseMode 001d TFieldDefs.Update 0039 TClientDataSet.EncodeIndexDesc 0040 TDataSet.CursorPosChanged 005c TClientDataSet.Check 0069 TClientDataSet.GetIndexDefs 006e TIndexDefs.Update 007c TIndexDefs.Find"
	strings:
		$1 = { 55 8B EC 81 C4 14 FF FF FF 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 57 8B 45 10 50 8B 45 0C 50 8A 45 14 50 8D 95 14 FF FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 8B 83 70 01 00 00 50 8B 00 FF 50 3C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7D 08 00 7E 26 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 13 8B 55 08 89 50 24 EB 0B 8B C3 E8 ?? ?? ?? ?? C6 40 20 00 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_5898_0 {
	meta:
		name = "TClientDataSet.DeleteIndex"
		size = 139
		refs = "000f TClientDataSet.DeleteIndex 001c TDataSet.CheckBrowseMode 0026 TClientDataSet.GetIndexName 0030 AnsiCompareText 003d TClientDataSet.SetIndexName 0044 @LStrToPChar 005a TClientDataSet.Check 0061 TClientDataSet.GetIndexDefs 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 83 70 01 00 00 50 8B 00 FF 50 40 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 40 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5899_0 {
	meta:
		name = "TClientDataSet.GetIndexField"
		size = 177
		refs = "0016 TClientDataSet.GetIndexField 0030 SFieldIndexError 0035 LoadResString 003f DatabaseError 004f TDataSet.FieldByNumber 0061 TFieldDefs.GetFieldDef 0077 SIndexFieldMissing 0087 DatabaseErrorFmt 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 3B B3 1C 02 00 00 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B B4 B3 B4 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 32 53 8B D6 4A 8B 43 2C E8 ?? ?? ?? ?? 8B 40 0C 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5900_0 {
	meta:
		name = "TClientDataSet.GetIsIndexField"
		size = 73
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C6 04 24 00 8B C5 8B 10 FF 52 6C 85 C0 7E 28 8B 9F 1C 02 00 00 4B 85 DB 7C 1D 43 33 F6 8B C5 8B 10 FF 52 6C 3B 84 B7 B4 01 00 00 75 06 C6 04 24 01 EB 04 46 4B 75 E6 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5901_0 {
	meta:
		name = "TClientDataSet.GetIndexName"
		size = 41
		refs = "0012 @LStrClr 0022 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 4B 02 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 98 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5903_0 {
	meta:
		name = "TClientDataSet.SetIndexField"
		size = 29
		refs = "000e TClientDataSet.GetIndexField"
	strings:
		$1 = { 56 57 55 8B E9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 08 5D 5F 5E C3 }
	condition:
		$1
}

rule function_7214_0 {
	meta:
		name = "TBDEDataSet.SetIndexField"
		size = 29
		refs = "000e TBDEDataSet.GetIndexField"
	strings:
		$1 = { 56 57 55 8B E9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 08 5D 5F 5E C3 }
	condition:
		$1
}

rule function_5904_0 {
	meta:
		name = "TClientDataSet.GetIndexFieldNames"
		size = 41
		refs = "0018 @LStrLAsg 0022 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 4B 02 00 00 00 74 10 8B C6 8B 93 98 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5905_0 {
	meta:
		name = "TClientDataSet.SetIndexFieldNames"
		size = 23
		refs = "0010 TClientDataSet.SetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7339_0 {
	meta:
		name = "TTable.SetIndexFieldNames"
		size = 23
		refs = "0010 TTable.SetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5906_0 {
	meta:
		name = "TBinTable.GetHandle"
		size = 7
		altNames = "TClientDataSet.GetIndexFieldCount TCustomDecisionGrid.GetFixedRows"
	strings:
		$1 = { 8B 80 1C 02 00 00 C3 }
	condition:
		$1
}

rule function_5907_0 {
	meta:
		name = "GetFlags"
		size = 44
	strings:
		$1 = { 55 8B EC 85 C0 75 04 33 C0 5D C3 8B 45 08 8B 40 FC 8B 48 08 49 85 C9 7C 0F 41 8B C2 C7 00 FF FF FF FF 83 C0 04 49 75 F4 8B C2 5D C3 }
	condition:
		$1
}

rule function_5908_0 {
	meta:
		name = "TClientDataSet.SortOnFields"
		size = 346
		refs = "001f @IntfAddRef 0027 TClientDataSet.SortOnFields 0034 _Dn_TList 0039 TObject.Create 0056 TDataSet.GetFieldList 006e TList.Get 0092 TList.Put 009f SFieldIndexError 00a4 LoadResString 00b1 DatabaseError 00c8 GetFlags 00ff TClientDataSet.Check 0108 TClientDataSet.GetIndexInfo 011d TObject.Free 0123 @HandleFinally 013d @LStrClr 0145 @IntfClear"
	strings:
		$1 = { 55 8B EC 81 C4 74 FF FF FF 53 56 57 33 DB 89 9D 74 FF FF FF 8B D9 89 55 F8 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 54 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 6C 85 C0 7E 1D 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 6C 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1D 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 8B D7 E8 ?? ?? ?? ?? 43 4E 75 AF 55 8D 95 78 FF FF FF 8A 45 0C F6 D8 1B C0 E8 ?? ?? ?? ?? 59 50 55 8D 55 B8 8A 45 08 F6 D8 1B C0 E8 ?? ?? ?? ?? 59 50 8B 45 FC 8B 40 04 50 8B 45 FC 8B 40 08 50 8B 45 F8 50 8B 00 FF 90 94 00 00 00 8B D0 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5909_0 {
	meta:
		name = "TClientDataSet.AllocKeyBuffers"
		size = 171
		refs = "000e TClientDataSet.AllocKeyBuffers 0028 AllocMem 007a Move 008f @HandleAnyException 0097 TClientDataSet.FreeKeyBuffers 009c @RaiseAgain 00a1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 8B 45 FC 0F B7 80 42 02 00 00 83 C0 08 E8 ?? ?? ?? ?? 33 D2 8A D3 8B 4D FC 89 84 91 F4 01 00 00 43 80 FB 06 75 DA 8B 45 FC 83 B8 80 01 00 00 00 74 38 33 DB 33 C0 8A C3 8B 55 FC 8B 94 82 F4 01 00 00 8B 4D FC 8B 89 80 01 00 00 8B 84 81 F4 01 00 00 8B 4D FC 0F B7 89 42 02 00 00 83 C1 08 E8 ?? ?? ?? ?? 43 80 FB 06 75 CA 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5910_0 {
	meta:
		name = "TClientDataSet.FreeKeyBuffers"
		size = 41
		refs = "001c DisposeMem"
	strings:
		$1 = { 53 56 8B F0 33 DB 0F B7 96 42 02 00 00 83 C2 08 33 C0 8A C3 8D 84 86 F4 01 00 00 E8 ?? ?? ?? ?? 43 80 FB 06 75 E0 5E 5B C3 }
	condition:
		$1
}

rule function_5911_0 {
	meta:
		name = "TClientDataSet.InitKeyBuffer"
		size = 57
		refs = "0015 @FillChar 0030 TClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 93 42 02 00 00 83 C2 08 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 83 C0 08 50 8B 83 74 01 00 00 50 8B 00 FF 50 70 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5912_0 {
	meta:
		name = "TClientDataSet.CheckSetKeyMode"
		size = 87
		refs = "000c TClientDataSet.CheckSetKeyMode 0023 SNotEditing 0028 LoadResString 0032 DatabaseError 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8D 00 00 00 04 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7219_0 {
	meta:
		name = "TBDEDataSet.CheckSetKeyMode"
		size = 87
		refs = "000c TBDEDataSet.CheckSetKeyMode 0023 SNotEditing 0028 LoadResString 0032 DatabaseError 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8D 00 00 00 04 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5913_0 {
	meta:
		name = "TClientDataSet.SetCursorRange"
		size = 235
		refs = "0020 BuffersEqual 004e TClientDataSet.CheckProviderEOF 009d TClientDataSet.Check 00b8 Move"
	strings:
		$1 = { 53 56 57 55 51 8B E8 33 DB 0F B7 8D 42 02 00 00 83 C1 08 8B 95 00 02 00 00 8B 85 F8 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 23 0F B7 8D 42 02 00 00 83 C1 08 8B 95 04 02 00 00 8B 85 FC 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 98 00 00 00 8B C5 E8 ?? ?? ?? ?? 8B B5 F8 01 00 00 8B BD FC 01 00 00 8B DE 83 C3 08 8B C7 83 C0 08 89 04 24 8A 47 01 34 01 F6 D8 1B C0 50 8B 44 24 04 50 8A 46 01 34 01 F6 D8 1B C0 50 53 8B 46 04 50 8B 85 74 01 00 00 50 8B 00 FF 90 8C 00 00 00 8B D0 8B C5 E8 ?? ?? ?? ?? 0F B7 8D 42 02 00 00 83 C1 08 8B 95 00 02 00 00 8B 85 F8 01 00 00 E8 ?? ?? ?? ?? 0F B7 8D 42 02 00 00 83 C1 08 8B 95 04 02 00 00 8B 85 FC 01 00 00 E8 ?? ?? ?? ?? 8B C5 8B 10 FF 92 F8 01 00 00 B3 01 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5914_0 {
	meta:
		name = "TClientDataSet.ResetCursorRange"
		size = 91
		refs = "002f TClientDataSet.Check 003c TClientDataSet.InitKeyBuffer"
	strings:
		$1 = { 53 8B D8 33 C0 8B 93 00 02 00 00 80 3A 00 75 0B 8B 93 04 02 00 00 80 3A 00 74 3E 8B 83 74 01 00 00 50 8B 00 FF 90 90 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 93 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 04 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 01 00 00 B0 01 5B C3 }
	condition:
		$1
}

rule function_5915_0 {
	meta:
		name = "TClientDataSet.SetLinkRanges"
		size = 203
		refs = "0014 TDataSet.SetTempState 001f TClientDataSet.SetLinkRanges 0036 TClientDataSet.InitKeyBuffer 0058 TList.Get 0063 TClientDataSet.GetIndexField 0094 TDataSet.RestoreState 009a @HandleFinally 00c0 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 F8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 0C 02 00 00 C6 03 01 8B 77 08 4E 85 F6 7C 21 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 43 4E 75 E2 8B 47 08 8B 55 FC 8B 92 0C 02 00 00 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 0F B7 88 42 02 00 00 83 C1 08 8B 45 FC 8B 90 FC 01 00 00 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5916_0 {
	meta:
		name = "TClientDataSet.SetKeyBuffer"
		size = 113
		refs = "000d TDataSet.CheckBrowseMode 0033 Move 0046 TClientDataSet.InitKeyBuffer 004f TDataSet.SetState 005e TDataSet.SetModified"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 84 86 F4 01 00 00 89 86 0C 02 00 00 0F B7 8E 42 02 00 00 83 C1 08 8B 96 08 02 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 0D 8B 96 0C 02 00 00 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 8A 10 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 53 5C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5917_0 {
	meta:
		name = "TClientDataSet.PostKeyBuffer"
		size = 89
		refs = "003d Move 0046 TDataSet.SetState"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 C9 B2 07 8B C6 8B 38 FF 57 5C 84 DB 74 10 8B 86 0C 02 00 00 8A 96 92 00 00 00 88 10 EB 1B 0F B7 8E 42 02 00 00 83 C1 08 8B 96 0C 02 00 00 8B 86 08 02 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 53 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5918_0 {
	meta:
		name = "TClientDataSet.GetKeyExclusive"
		size = 21
		refs = "0006 TClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 8A 40 01 5B C3 }
	condition:
		$1
}

rule function_5919_0 {
	meta:
		name = "TClientDataSet.SetKeyExclusive"
		size = 25
		refs = "0009 TClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 88 58 01 5E 5B C3 }
	condition:
		$1
}

rule function_5920_0 {
	meta:
		name = "TClientDataSet.GetKeyFieldCount"
		size = 21
		refs = "0006 TClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_5921_0 {
	meta:
		name = "TClientDataSet.SetKeyFieldCount"
		size = 25
		refs = "0009 TClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 89 70 04 5E 5B C3 }
	condition:
		$1
}

rule function_5922_0 {
	meta:
		name = "TClientDataSet.SetKeyFields"
		size = 264
		refs = "001a TClientDataSet.SetKeyFields 0034 SNoFieldIndexes 0039 LoadResString 0044 DatabaseError 004e TDataSet.SetTempState 0075 TClientDataSet.InitKeyBuffer 0095 TClientDataSet.GetIndexField 009c TField.AssignValue 00d6 TDataSet.RestoreState 00dc @HandleFinally 00f3 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 1C 02 00 00 00 75 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 8A C3 8B 55 FC 8B 94 82 F4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 0C 02 00 00 8B 75 08 85 F6 7C 1E 46 33 FF 8B 5D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 E8 8B 55 08 42 8B 45 FC 8B 80 0C 02 00 00 89 50 04 8B 55 FC 8A 92 92 00 00 00 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5923_0 {
	meta:
		name = "TClientDataSet.FindKey"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TClientDataSet.SetKeyFields 001f TClientDataSet.GotoKey"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5924_0 {
	meta:
		name = "TClientDataSet.FindNearest"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TClientDataSet.SetKeyFields 001f TClientDataSet.GotoNearest"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7349_0 {
	meta:
		name = "TTable.FindKey"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TBDEDataSet.SetKeyFields 001f TTable.GotoKey"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7350_0 {
	meta:
		name = "TTable.FindNearest"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TBDEDataSet.SetKeyFields 001f TTable.GotoNearest"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5925_0 {
	meta:
		name = "TClientDataSet.GotoKey"
		size = 96
		refs = "0008 TDataSet.CheckBrowseMode 000f TDataSet.CursorPosChanged 0016 TClientDataSet.CheckProviderEOF 0048 TClientDataSet.GotoKey"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B B7 F4 01 00 00 8B DE 83 C3 08 6A 00 53 6A 00 8B 46 04 50 8B 87 74 01 00 00 50 8B 00 FF 50 58 66 85 C0 0F 94 C0 8B D8 84 DB 74 10 8A 15 ?? ?? ?? ?? 8B C7 8B 08 FF 91 E8 01 00 00 8B C3 5F 5E 5B C3 03 00 00 00 }
	condition:
		$1
}

rule function_5926_0 {
	meta:
		name = "TClientDataSet.GotoNearest"
		size = 104
		refs = "0009 TDataSet.CheckBrowseMode 0010 TClientDataSet.CheckProviderEOF 004a TClientDataSet.Check 0050 TClientDataSet.GotoNearest"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 F4 01 00 00 8B EE 83 C5 08 80 7E 01 00 74 07 BF 01 00 00 00 EB 05 BF 02 00 00 00 55 6A 00 8B 46 04 50 57 8B 83 74 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5D 5F 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_5927_0 {
	meta:
		name = "TClientDataSet.SetKey"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7353_0 {
	meta:
		name = "TTable.SetKey"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5929_0 {
	meta:
		name = "TClientDataSet.ApplyRange"
		size = 30
		refs = "0006 TDataSet.CheckBrowseMode 000d TClientDataSet.SetCursorRange 0018 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11885_0 {
	meta:
		name = "TCustomMaskEdit.WMSetFocus"
		size = 30
		refs = "0006 TWinControl.WMSetFocus 000d TCustomMaskEdit.GetMasked 0018 TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7355_0 {
	meta:
		name = "TTable.ApplyRange"
		size = 30
		refs = "0006 TDataSet.CheckBrowseMode 000d TBDEDataSet.SetCursorRange 0018 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5930_0 {
	meta:
		name = "TClientDataSet.CancelRange"
		size = 52
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.UpdateCursorPos 0014 TClientDataSet.ResetCursorRange 001e TClientDataSet.CancelRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7356_0 {
	meta:
		name = "TTable.CancelRange"
		size = 52
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.UpdateCursorPos 0014 TBDEDataSet.ResetCursorRange 001e TTable.CancelRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5931_0 {
	meta:
		name = "TClientDataSet.SetRange"
		size = 61
		refs = "000f TDataSet.CheckBrowseMode 001b TClientDataSet.SetKeyFields 0032 TClientDataSet.ApplyRange"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7357_0 {
	meta:
		name = "TTable.SetRange"
		size = 61
		refs = "000f TDataSet.CheckBrowseMode 001b TBDEDataSet.SetKeyFields 0032 TTable.ApplyRange"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5932_0 {
	meta:
		name = "TClientDataSet.SetRangeEnd"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7358_0 {
	meta:
		name = "TTable.SetRangeEnd"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5934_0 {
	meta:
		name = "TClientDataSet.EditRangeEnd"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7360_0 {
	meta:
		name = "TTable.EditRangeEnd"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5935_0 {
	meta:
		name = "TClientDataSet.EditRangeStart"
		size = 10
		refs = "0005 TClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7361_0 {
	meta:
		name = "TTable.EditRangeStart"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5936_0 {
	meta:
		name = "TClientDataSet.CheckDetailRecords"
		size = 561
		refs = "0019 TClientDataSet.CheckDetailRecords 004a TClientDataSet.FetchDetails 006d TClientDataSet.GetProviderEOF 0094 TDataSet.IsEmpty 00e1 VarArrayCreate 00ec @OleVarFromVar 0110 TList.Get 011f TClientDataSet.GetIndexField 012a @VarFromLStr 0167 VarArrayOf 0174 @VarArrayPut 0191 TClientDataSet.GetProvider 019f @CheckAutoResult 01aa @VarClr 01fb @IntfClear 0204 Variant 020e @FinalizeArray 0224 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 86 74 01 00 00 50 8B 00 FF 50 34 83 7E 78 00 74 1A 66 3D 0A 40 0F 85 9C 01 00 00 8B 86 3C 02 00 00 E8 ?? ?? ?? ?? E9 8C 01 00 00 83 7D FC 00 0F 85 82 01 00 00 83 BE 24 02 00 00 00 0F 84 75 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 66 01 00 00 83 BE 30 02 00 00 00 0F 85 59 01 00 00 8B C6 8B 10 FF 92 D0 00 00 00 8B 40 24 E8 ?? ?? ?? ?? 84 C0 0F 85 3F 01 00 00 8B C6 8B 10 FF 92 D0 00 00 00 8B 40 24 80 B8 8D 00 00 00 03 0F 84 25 01 00 00 8D 45 D8 50 33 C0 89 45 D0 8B 86 B0 01 00 00 8B 40 24 8B 40 08 48 89 45 D4 8D 45 D0 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 8B 40 24 8B 78 08 4F 85 FF 7C 7E 47 33 DB 8B 86 B0 01 00 00 8B 40 24 8B D3 E8 ?? ?? ?? ?? 89 45 F8 53 6A 01 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 28 8D 45 A0 E8 ?? ?? ?? ?? 56 57 8D 75 A0 8D 7D B0 B9 04 00 00 00 F3 A5 5F 5E 8D 55 90 8B 45 F8 8B 08 FF 51 5C 56 57 8D 75 90 8D 7D C0 B9 04 00 00 00 F3 A5 5F 5E 8D 45 B0 8D 4D D8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4F 75 85 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8D 55 8C 8B C6 E8 ?? ?? ?? ?? 8B 45 8C 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 50 8D 45 FC 50 6A FF 8D 55 8C 8B C6 E8 ?? ?? ?? ?? 8B 45 8C 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 33 C9 8B C6 8B 18 FF 93 F4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5937_0 {
	meta:
		name = "TClientDataSet.CheckMasterRange"
		size = 59
		refs = "001e TClientDataSet.SetLinkRanges 0025 TClientDataSet.SetCursorRange 0035 TClientDataSet.CheckDetailRecords"
	strings:
		$1 = { 53 8B D8 8B 83 B0 01 00 00 80 78 15 00 74 2A 8B 50 24 83 7A 08 00 7E 21 8B 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 50 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5938_0 {
	meta:
		name = "TClientDataSet.MasterChanged"
		size = 64
		refs = "0006 TDataSet.CheckBrowseMode 001c TClientDataSet.SetLinkRanges 0023 TClientDataSet.SetCursorRange 0033 TClientDataSet.CheckDetailRecords 003a TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 78 00 75 17 8B 83 B0 01 00 00 8B 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 50 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5940_0 {
	meta:
		name = "TClientDataSet.SetDataSetField"
		size = 58
		refs = "000d TDataSet.Close 0016 TClientDataSet.SetProviderName 001f TClientDataSet.SetRemoteServer 002a @LStrClr 0033 TDataSet.SetDataSetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 24 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 A4 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5941_0 {
	meta:
		name = "TClientDataSet.Loaded"
		size = 39
		refs = "0006 TDataSet.Loaded 000d TDataSet.GetActive 0021 TDataSet.Open"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 83 BB 88 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5942_0 {
	meta:
		name = "TClientDataSet.ReadData"
		size = 8
		refs = "0003 TClientDataSet.ReadDataPacket"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9513_0 {
	meta:
		name = "TBitmap.WriteData"
		size = 8
		refs = "0003 TBitmap.WriteStream"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5943_0 {
	meta:
		name = "TClientDataSet.WriteData"
		size = 8
		refs = "0003 TClientDataSet.WriteDataPacket"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7121_0 {
	meta:
		name = "TDatabase.SetAliasName"
		size = 8
		refs = "0003 TDatabase.SetDatabaseType"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9602_0 {
	meta:
		name = "TInplaceEdit.Move"
		size = 8
		refs = "0003 TInplaceEdit.InternalMove"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15498_0 {
	meta:
		name = "TSQLResolver.DoInsert"
		size = 8
		refs = "0003 TSQLResolver.InternalDoUpdate"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9868_0 {
	meta:
		name = "TStringGrid.GetCols"
		size = 8
		refs = "0003 TStringGrid.EnsureColRow"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7384_0 {
	meta:
		name = "TTable.LockTable"
		size = 8
		refs = "0003 TTable.SetTableLock"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5944_0 {
	meta:
		name = "TClientDataSet.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 B0 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_5945_0 {
	meta:
		name = "TClientDataSet.SetDataSource"
		size = 195
		refs = "000f TClientDataSet.SetDataSource 0027 SNoNestedMasterSource 002c LoadResString 0036 DatabaseError 003f TDataSet.IsLinkedTo 004b SCircularDataLink 0067 TDataLink.SetDataSource 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 1D 83 7B 78 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? F6 43 20 10 74 30 F6 43 20 01 75 2A 85 F6 74 13 83 BB 30 02 00 00 FF 75 1D 33 C0 89 83 30 02 00 00 EB 13 83 BB 30 02 00 00 00 75 0A C7 83 30 02 00 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5946_0 {
	meta:
		name = "TClientDataSet.GetMasterFields"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 B0 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5947_0 {
	meta:
		name = "TClientDataSet.SetMasterFields"
		size = 12
		refs = "0007 TMasterDataLink.SetFieldNames"
	strings:
		$1 = { 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5948_0 {
	meta:
		name = "TClientDataSet.DoOnNewRecord"
		size = 125
		refs = "003a TList.Get 0045 TClientDataSet.SetIndexField 0051 TFields.GetCount 0065 TDataSet.ActiveBuffer 006e TClientDataSet.GetAggFieldData 0075 TDataSet.DoOnNewRecord"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 78 00 75 42 8B 83 B0 01 00 00 80 78 15 00 74 36 8B 50 24 83 7A 08 00 7E 2D 8B 40 24 8B 78 08 4F 85 FF 7C 22 47 33 F6 8B 83 B0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E1 8B 43 28 E8 ?? ?? ?? ?? 85 C0 7E 19 80 BB 6C 01 00 00 00 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5949_0 {
	meta:
		name = "DataStored"
		size = 154
		refs = "000b TDataSet.GetActive 007c TClientDataSet.GetDataSize"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 2A 8B 45 08 8B 40 FC 83 78 78 00 75 1E 8B 45 08 8B 40 FC 83 B8 24 02 00 00 00 75 0F 8B 45 08 8B 40 FC 83 B8 28 02 00 00 00 74 04 33 C0 EB 02 B0 01 84 C0 74 50 8B 55 08 8B 52 F8 83 7A 1C 00 74 44 8B 45 08 8B 40 F8 8B 58 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 83 BB 24 02 00 00 00 75 25 83 BB 28 02 00 00 00 75 1C 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B D8 75 04 33 C0 EB 02 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_5950_0 {
	meta:
		name = "TClientDataSet.DefineProperties"
		size = 88
		refs = "0014 TComponent.DefineProperties 001d TClientDataSet.ReadData 0026 TClientDataSet.WriteData 002c DataStored 0034 TClientDataSet.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_5951_0 {
	meta:
		name = "TClientDataSet.ActivateFilters"
		size = 44
		refs = "0015 TClientDataSet.AddExprFilter 0026 TClientDataSet.AddFuncFilter"
	strings:
		$1 = { 53 8B D8 83 7B 6C 00 74 10 8A 8B 8C 00 00 00 8B 53 6C 8B C3 E8 ?? ?? ?? ?? 66 83 BB 46 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5952_0 {
	meta:
		name = "TClientDataSet.DeactivateFilters"
		size = 73
	strings:
		$1 = { 53 8B D8 8B 83 A0 01 00 00 85 C0 74 18 50 8B 83 74 01 00 00 50 8B 00 FF 90 88 00 00 00 33 C0 89 83 A0 01 00 00 8B 83 9C 01 00 00 85 C0 74 18 50 8B 83 74 01 00 00 50 8B 00 FF 90 88 00 00 00 33 C0 89 83 9C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5953_0 {
	meta:
		name = "TClientDataSet.AddExprFilter"
		size = 184
		refs = "0033 TClientDataSet.AddExprFilter 0041 _Dn_TExprParser 0046 TExprParser.Create 005e TClientDataSet.CheckProviderEOF 008b TClientDataSet.Check 00a0 TObject.Free 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FF 8B F2 8B D8 8B 83 9C 01 00 00 85 C0 74 10 50 8B 83 74 01 00 00 50 8B 00 FF 90 88 00 00 00 85 F6 74 7F 56 8A 45 FF 50 A0 ?? ?? ?? ?? 50 6A 00 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 83 9C 01 00 00 50 8B 45 F8 8B 40 2C 50 8B 45 F8 8B 40 24 50 8B 83 74 01 00 00 50 8B 00 FF 90 84 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_5954_0 {
	meta:
		name = "TClientDataSet.FilterCallback"
		size = 132
		refs = "000d TDataSet.SetTempState 0024 TClientDataSet.FilterCallback 0052 @HandleAnyException 0057 Application 0061 TApplication.HandleException 0066 @DoneExcept 0071 TDataSet.RestoreState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 B2 06 8B 45 08 E8 ?? ?? ?? ?? 88 45 FF 8B 45 08 8B 55 0C 89 90 A8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FE 01 8D 4D FE 8B 5D 08 8B 55 08 8B 83 48 01 00 00 FF 93 44 01 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FF 8B 45 08 E8 ?? ?? ?? ?? 8A 45 FE F6 D8 1B C0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5955_0 {
	meta:
		name = "TClientDataSet.AddFuncFilter"
		size = 76
		refs = "0020 TClientDataSet.CheckProviderEOF 002c TClientDataSet.FilterCallback 0046 TClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B 83 A0 01 00 00 85 C0 74 10 50 8B 83 74 01 00 00 50 8B 00 FF 90 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 A0 01 00 00 50 B8 ?? ?? ?? ?? 50 53 8B 83 74 01 00 00 50 8B 00 FF 90 A0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5956_0 {
	meta:
		name = "TClientDataSet.SetFilterData"
		size = 112
		refs = "000d TDataSet.GetActive 0021 TDataSet.CheckBrowseMode 002b @LStrCmp 0044 TClientDataSet.AddExprFilter 0055 TDataSet.First 005e TDataSet.SetFilterText 0068 TDataSet.SetFilterOptions"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 80 BB 98 00 00 00 00 74 3B 8B C3 E8 ?? ?? ?? ?? 8B 43 6C 8B D6 E8 ?? ?? ?? ?? 75 0B 8A 04 24 3A 83 8C 00 00 00 74 0C 8A 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5957_0 {
	meta:
		name = "TClientDataSet.SetFilterText"
		size = 12
		refs = "0007 TClientDataSet.SetFilterData"
	strings:
		$1 = { 8A 88 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7240_0 {
	meta:
		name = "TBDEDataSet.SetFilterText"
		size = 12
		refs = "0007 TBDEDataSet.SetFilterData"
	strings:
		$1 = { 8A 88 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5958_0 {
	meta:
		name = "TClientDataSet.SetFilterOptions"
		size = 17
		refs = "000b TClientDataSet.SetFilterData"
	strings:
		$1 = { 51 88 14 24 8A 0C 24 8B 50 6C E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_7242_0 {
	meta:
		name = "TBDEDataSet.SetFilterOptions"
		size = 17
		refs = "000b TBDEDataSet.SetFilterData"
	strings:
		$1 = { 51 88 14 24 8A 0C 24 8B 50 6C E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5959_0 {
	meta:
		name = "TClientDataSet.SetOnFilterRecord"
		size = 142
		refs = "0009 TDataSet.GetActive 001d TDataSet.CheckBrowseMode 0048 TDataSet.SetOnFilterRecord 004f TClientDataSet.AddFuncFilter 0078 TDataSet.First"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 80 BB 98 00 00 00 00 74 62 8B C3 E8 ?? ?? ?? ?? 66 83 BB 46 01 00 00 00 0F 95 C2 66 8B 45 0A 66 85 C0 0F 95 C1 3A D1 74 31 66 85 C0 74 16 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 16 8B 83 A0 01 00 00 50 8B 83 74 01 00 00 50 8B 00 FF 90 88 00 00 00 8B C3 8B 10 FF 92 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5960_0 {
	meta:
		name = "TClientDataSet.SetFiltered"
		size = 105
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 003d TClientDataSet.ActivateFilters 0046 TClientDataSet.DeactivateFilters 004f TDataSet.SetFiltered 0056 TDataSet.First"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4C 8B C6 E8 ?? ?? ?? ?? 3A 9E 98 00 00 00 74 33 8B C6 8B 10 FF 92 F8 01 00 00 8B 86 74 01 00 00 50 8B 00 FF 50 38 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5961_0 {
	meta:
		name = "TClientDataSet.SetStatusFilter"
		size = 288
		refs = "0016 TClientDataSet.SetStatusFilter 0023 TDataSet.CheckBrowseMode 0058 TClientDataSet.SetIndexName 0070 TClientDataSet.Check 007c TClientDataSet.GetIndexName 0089 @LStrCmp 00de @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 3A 45 FF 74 45 33 F6 F6 45 FF 02 74 05 BE 08 00 00 00 F6 45 FF 04 74 03 83 C6 04 F6 45 FF 08 74 03 83 C6 02 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 6A 10 8B 83 70 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? EB 3E 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 10 8B 83 70 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 45 FF 88 83 5C 02 00 00 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 00 FF FF FF FF 0B 00 00 00 43 48 41 4E 47 45 49 4E 44 45 58 00 FF FF FF FF 0D 00 00 00 44 45 46 41 55 4C 54 5F 4F 52 44 45 52 00 00 00 }
	condition:
		$1
}

rule function_5962_0 {
	meta:
		name = "TClientDataSet.FindRecord"
		size = 540
		refs = "001c TClientDataSet.FindRecord 002a TDataSet.CheckBrowseMode 0034 TDataSet.SetFound 003c TDataSet.UpdateCursorPos 0044 TDataSet.CursorPosChanged 004c TClientDataSet.CheckProviderEOF 007a @IntfClear 008e TClientDataSet.ActivateFilters 00b0 TClientDataSet.CreateDSCursor 00c0 @IntfCopy 00d5 TClientDataSet.DeactivateFilters 00db @HandleFinally 00fd TClientDataSet.SyncCursors 0140 TClientDataSet.Check 01d2 TDataSet.GetFound 01f9 IDSCursor 0203 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D F4 88 4D FA 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A4 00 00 00 8B 45 FC 80 B8 98 00 00 00 00 0F 85 A9 00 00 00 80 7D FB 00 74 0D 8B 45 FC 05 7C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 7C 01 00 00 00 75 57 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 FC 8B 90 74 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 05 7C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 75 1A 8B 45 FC 8B 88 74 01 00 00 8B 45 FC 8B 90 7C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 7C 01 00 00 E8 ?? ?? ?? ?? EB 11 8D 45 F4 8B 55 FC 8B 92 74 01 00 00 E8 ?? ?? ?? ?? 80 7D FA 00 74 26 80 7D FB 00 74 13 8B 45 F4 50 8B 00 FF 50 38 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 F4 50 8B 00 FF 50 40 EB 24 80 7D FB 00 74 13 8B 45 F4 50 8B 00 FF 50 3C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A FF 8B 45 F4 50 8B 00 FF 50 40 8B 55 FC 8B 92 74 01 00 00 3B 55 F4 74 2B 8B 45 FC 8B 88 7C 01 00 00 8B 45 FC 8B 90 74 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 80 74 01 00 00 50 8B 00 FF 50 20 66 85 C0 75 1B 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 45 FC 8B 10 FF 92 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 8B E5 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_5963_0 {
	meta:
		name = "TClientDataSet.DestroyLookupCursor"
		size = 27
		refs = "000a @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 83 78 01 00 00 E8 ?? ?? ?? ?? 8D 83 7C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5964_0 {
	meta:
		name = "TClientDataSet.LocateRecord"
		size = 576
		refs = "0022 TClientDataSet.LocateRecord 0030 TDataSet.CheckBrowseMode 0038 TDataSet.CursorPosChanged 0040 TClientDataSet.CheckProviderEOF 0048 TDataSet.TempBuffer 0051 _Dn_TList 0056 TObject.Create 0074 TDataSet.GetFieldList 009b TClientDataSet.CreateDSCursor 00ab @IntfCopy 00c1 TClientDataSet.SortOnFields 00d4 TDataSet.SetTempState 0106 TList.First 0128 TList.Get 0139 @VarArrayGet 015c TList.Last 017d @LStrLen 01b0 TDataSet.RestoreState 01b6 @HandleFinally 01df TClientDataSet.SyncCursors 01f4 TObject.Free 0219 @LStrClr 0221 @VarClr 0229 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? F6 45 0C 01 0F 95 C3 8B 45 FC 83 B8 78 01 00 00 00 75 24 8D 4D E8 8B 45 FC 8B 90 74 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 05 78 01 00 00 E8 ?? ?? ?? ?? 53 6A 00 8B 45 FC 8B 90 78 01 00 00 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 B8 A8 01 00 00 B2 06 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC 8B 08 FF 91 00 01 00 00 8B 45 F4 8B 40 08 89 45 F0 83 7D F0 01 75 15 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 91 9C 00 00 00 EB 39 8B 75 F0 4E 85 F6 7C 31 46 33 DB 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 50 53 6A 01 8B 45 F8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D8 58 8B 08 FF 91 9C 00 00 00 43 4E 75 D2 33 DB F6 45 0C 02 74 2B 8B 45 F4 E8 ?? ?? ?? ?? 80 78 30 01 75 1D FF 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D4 8B 08 FF 51 58 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 57 57 53 8B 45 F0 50 8B 45 FC 8B 80 78 01 00 00 50 8B 00 FF 50 58 66 89 45 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 80 7D 08 00 74 21 66 83 7D EE 00 75 1A 8B 45 FC 8B 88 78 01 00 00 8B 45 FC 8B 90 74 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 83 7D EE 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5965_0 {
	meta:
		name = "TClientDataSet.Lookup"
		size = 152
		refs = "0015 Null 001a @VarCopy 001f TClientDataSet.Lookup 002e TClientDataSet.LocateRecord 003c TDataSet.SetTempState 0052 TDataSet.TempBuffer 0069 TDataSet.GetFieldValue 0080 TDataSet.RestoreState 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 6A 00 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 B2 05 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 3C 8B CB 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_7247_0 {
	meta:
		name = "TBDEDataSet.Lookup"
		size = 152
		refs = "0015 Null 001a @VarCopy 001f TBDEDataSet.Lookup 002e TBDEDataSet.LocateRecord 003c TDataSet.SetTempState 0052 TDataSet.TempBuffer 0069 TDataSet.GetFieldValue 0080 TDataSet.RestoreState 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 6A 00 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 B2 05 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 3C 8B CB 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_5966_0 {
	meta:
		name = "TClientDataSet.Locate"
		size = 84
		refs = "0023 TClientDataSet.LocateRecord 002f TClientDataSet.Locate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 8B 10 FF 92 A4 00 00 00 8A 45 08 50 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1A 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 E8 01 00 00 8B C6 8B 10 FF 92 84 00 00 00 8B C3 5F 5E 5B 5D C2 04 00 03 00 00 00 }
	condition:
		$1
}

rule function_7248_0 {
	meta:
		name = "TBDEDataSet.Locate"
		size = 84
		refs = "0023 TBDEDataSet.LocateRecord 002f TBDEDataSet.Locate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 8B 10 FF 92 A4 00 00 00 8A 45 08 50 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1A 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 E8 01 00 00 8B C6 8B 10 FF 92 84 00 00 00 8B C3 5F 5E 5B 5D C2 04 00 03 00 00 00 }
	condition:
		$1
}

rule function_5967_0 {
	meta:
		name = "TClientDataSet.GotoCurrent"
		size = 106
		refs = "000f TClientDataSet.GotoCurrent 001c TDataSet.CheckBrowseMode 0023 TClientDataSet.CheckProviderEOF 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8D 55 FC 8B C6 8B 08 FF 91 C4 00 00 00 8B 55 FC 8B C3 8B 08 FF 91 24 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5968_0 {
	meta:
		name = "AggValueAsVariant"
		size = 352
		refs = "0015 AggValueAsVariant 0069 @VarFromInt 008e @VarFromBool 009c @VarFromReal 00b8 @VarFromCurr 00d5 VarFromDateTime 0117 @LStrFromPChar 0121 @VarFromLStr 012b Null 0130 @VarCopy 0145 @LStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B D9 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8A 50 74 83 FA 0B 0F 87 FA 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 16 E8 ?? ?? ?? ?? E9 C2 00 00 00 8B C3 0F BF 16 E8 ?? ?? ?? ?? E9 B3 00 00 00 8B C3 66 8B 16 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? E9 9D 00 00 00 DD 06 8B C3 E8 ?? ?? ?? ?? E9 8F 00 00 00 8D 4D F8 8B D6 8B 40 68 8B 30 FF 56 34 DF 6D F8 8B C3 E8 ?? ?? ?? ?? EB 76 8B 06 2D 5A 95 0A 00 89 45 F4 DB 45 F4 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 59 DB 06 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 41 DD 06 D8 35 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 23 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 0D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 80 CB A4 4C A0 55 29 49 }
	condition:
		$1
}

rule function_5969_0 {
	meta:
		name = "TClientDataSet.SetAggregates"
		size = 12
	strings:
		$1 = { 8B 80 68 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_5970_0 {
	meta:
		name = "TClientDataSet.SetAggsActive"
		size = 84
		refs = "001c TClientDataSet.ResetAllAggs 0023 TDataSet.GetActive 002f TFields.GetCount 003a TDataSet.UpdateCursorPos 0040 TClientDataSet.SetAggsActive"
	strings:
		$1 = { 53 8B D8 3A 93 6C 01 00 00 74 43 8B C2 88 83 6C 01 00 00 84 C0 74 37 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B 43 28 E8 ?? ?? ?? ?? 85 C0 7E 17 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_5971_0 {
	meta:
		name = "TClientDataSet.ClearActiveAggs"
		size = 84
		refs = "0023 TList.Get 0039 TObject.Free 004c @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 4C 01 00 00 85 C0 74 32 8B 78 08 4F 85 FF 7C 2A 47 33 F6 8B D6 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 8B D6 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D9 8B 83 4C 01 00 00 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5972_0 {
	meta:
		name = "TClientDataSet.CloseAggs"
		size = 147
		refs = "000d TCollection.GetCount 0024 TAggregates.GetItem 0035 TFields.GetCount 0049 TFields.GetField 004f _Dn_TAggregateField 0054 @AsClass 0073 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B E8 8B 85 68 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 F6 8B 85 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 89 50 5C 46 4B 75 EA 8B 45 28 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 47 43 33 F6 8B 45 28 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 92 CC 00 00 00 85 C0 74 1B 8B C7 8B 10 FF 92 CC 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 91 C8 00 00 00 46 4B 75 BC C6 85 54 01 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5973_0 {
	meta:
		name = "HasAggs"
		size = 83
		refs = "001a TCollection.GetCount 0037 TAggregates.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 00 8B 45 08 8B 40 FC 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 25 43 33 F6 8B 45 08 8B 40 FC 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 3B 78 64 75 06 C6 45 FF 01 EB 04 46 4B 75 DE 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5974_0 {
	meta:
		name = "TClientDataSet.ResetGrouping"
		size = 148
		refs = "0048 HasAggs 005b TAggregates.Add 0066 TAggregate.SetGroupingLevel 0076 TAggregate.SetIndexName 007f TAggregate.SetActive 0086 TAggregate.Activate"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 38 02 00 00 8B 55 FC 89 82 AC 01 00 00 8B 55 FC 8B 92 20 02 00 00 3B C2 7D 09 8B 45 FC 89 90 AC 01 00 00 8B 45 FC 8B B8 AC 01 00 00 85 FF 7E 4F BE 01 00 00 00 55 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 39 8B 45 FC 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 98 01 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 4F 75 B6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5975_0 {
	meta:
		name = "TClientDataSet.ResetAgg"
		size = 285
		refs = "002a TList.Get 0031 TList.IndexOf 0050 TList.Delete 0057 TList.Pack 0061 TList.SetCapacity 0084 AnsiCompareText 009e TAggregate.Activate 00bf _Dn_TList 00c4 TObject.Create 00cd TList.Add"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 84 C9 74 60 8B 83 4C 01 00 00 8B 40 08 48 85 C0 7C 52 40 89 04 24 33 FF 8B D7 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B E8 83 FD FF 74 2B 8B D7 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B D5 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 57 08 8B C7 E8 ?? ?? ?? ?? EB 06 47 FF 0C 24 75 B4 80 BE 85 00 00 00 00 0F 84 82 00 00 00 8B 93 98 01 00 00 8B 46 6C E8 ?? ?? ?? ?? 85 C0 74 06 83 7E 64 00 75 6A 83 7E 68 00 75 03 89 5E 68 8B C6 E8 ?? ?? ?? ?? C6 86 84 00 00 00 01 8B 46 64 3B 83 38 02 00 00 7E 1D 89 83 38 02 00 00 EB 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B BB 4C 01 00 00 8B 47 08 3B 46 64 7E DD 83 7E 0C 00 74 1E 8B 56 64 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 07 C6 86 84 00 00 00 00 8B 83 38 02 00 00 3B 83 AC 01 00 00 7E 06 89 83 AC 01 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5976_0 {
	meta:
		name = "CreateAggsFromAggFields"
		size = 318
		refs = "0026 TFields.GetCount 004a TFields.GetField 0050 _Dn_TAggregateField 0055 @AsClass 0078 @LStrCmp 009d _DV_TAggregate 00a2 TCollectionItem.Create 00c8 TAggregate.SetActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 45 08 8B 40 FC 33 D2 89 90 58 01 00 00 8B 45 08 8B 40 FC 8B 40 28 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C E6 00 00 00 47 C7 45 FC 00 00 00 00 8B 45 08 8B 40 FC 8B 40 28 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B B3 D4 00 00 00 85 F6 74 1D 8B 83 D8 00 00 00 8B 55 08 8B 52 FC 8B 92 98 01 00 00 E8 ?? ?? ?? ?? 0F 85 8F 00 00 00 3B 75 F8 7E 03 89 75 F8 8B C3 8B 10 FF 92 CC 00 00 00 85 C0 75 4B 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC 89 46 68 8B D3 8B C6 8B 08 FF 51 08 80 BE 85 00 00 00 00 75 12 B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 C8 00 00 00 EB 0C 8B C3 8B 10 FF 92 CC 00 00 00 8B F0 8B 45 08 8B 40 FC 8B 80 58 01 00 00 89 86 80 00 00 00 8B 46 78 40 8B 55 08 8B 52 FC 01 82 58 01 00 00 FF 45 FC 4F 0F 85 22 FF FF FF 8B 45 F8 8B 55 08 8B 52 FC 89 82 64 01 00 00 8B 45 08 8B 40 FC C6 80 54 01 00 00 01 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5977_0 {
	meta:
		name = "TClientDataSet.ResetAllAggs"
		size = 407
		refs = "0020 TClientDataSet.ClearActiveAggs 0033 _Dn_TBits 0038 TObject.Create 004c TFields.GetCount 005c TCollection.GetCount 008e CreateAggsFromAggFields 00d7 TAggregates.GetItem 00e9 TClientDataSet.ResetAgg 0118 TFields.GetField 011e _Dn_TAggregateField 0123 @AsClass 0150 @LStrCmp 0182 TClientDataSet.ResetGrouping 018c TClientDataSet.DoAggUpdates"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC F6 40 20 01 0F 85 74 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 50 01 00 00 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 50 01 00 00 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 03 D8 85 DB 0F 84 26 01 00 00 8B 45 FC 33 D2 89 90 AC 01 00 00 8B 45 FC 33 D2 89 90 38 02 00 00 8B 45 FC 80 B8 54 01 00 00 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 B8 74 01 00 00 00 0F 84 ED 00 00 00 8B 45 FC 80 B8 6C 01 00 00 00 0F 84 DD 00 00 00 8B 45 FC 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 32 43 33 F6 8B 45 FC 8B 80 68 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 7D FB 00 74 0E 33 C9 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 07 C6 80 84 00 00 00 00 46 4B 75 D1 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 72 43 33 F6 8B 45 FC 8B 40 28 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 92 CC 00 00 00 85 C0 74 43 83 BF D4 00 00 00 00 74 29 8B 87 D8 00 00 00 8B 55 FC 8B 92 98 01 00 00 E8 ?? ?? ?? ?? 74 13 8B C7 8B 10 FF 92 CC 00 00 00 C6 80 84 00 00 00 00 EB 11 8B C7 8B 10 FF 92 CC 00 00 00 C6 80 84 00 00 00 01 46 4B 75 91 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5978_0 {
	meta:
		name = "TClientDataSet.InternalGetGroupState"
		size = 120
		refs = "0038 TClientDataSet.InternalGetGroupState"
	strings:
		$1 = { 53 51 54 52 8B 80 74 01 00 00 50 8B 00 FF 90 C8 00 00 00 66 85 C0 74 0C 66 3D 01 22 74 06 66 3D 02 22 75 32 8B 04 24 83 E8 01 72 0A 74 10 48 74 15 48 74 1A EB 26 8A 1D ?? ?? ?? ?? EB 1E 8A 1D ?? ?? ?? ?? EB 16 8A 1D ?? ?? ?? ?? EB 0E 8A 1D ?? ?? ?? ?? EB 06 8A 1D ?? ?? ?? ?? 8B C3 5A 5B C3 00 00 00 02 00 00 00 01 00 00 00 04 00 00 00 05 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5979_0 {
	meta:
		name = "TClientDataSet.GetGroupState"
		size = 156
		refs = "0010 TClientDataSet.GetGroupState 001d TDataSet.GetActive 004b SAggsNoSuchLevel 0050 LoadResString 005a DatabaseError 0061 TDataSet.UpdateCursorPos 006a TClientDataSet.InternalGetGroupState 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 84 C0 74 12 80 BF 6C 01 00 00 00 74 09 83 BF 98 01 00 00 00 75 08 8A 1D ?? ?? ?? ?? EB 31 3B B7 AC 01 00 00 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5980_0 {
	meta:
		name = "TClientDataSet.GetActiveAggs"
		size = 35
		refs = "0017 TList.Get"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 4C 01 00 00 3B 77 08 7D 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5981_0 {
	meta:
		name = "Intersect"
		size = 66
		refs = "001c TBits.GetBit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 77 04 4E 85 F6 7C 26 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 12 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 06 43 4E 75 DD 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5982_0 {
	meta:
		name = "TClientDataSet.DoAggUpdates"
		size = 158
		refs = "0011 TCollection.GetCount 0028 TAggregates.GetItem 005a Intersect 0090 TBits.SetBit"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B E8 8B 85 68 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 58 46 33 FF 8B 85 68 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 66 83 BB 8A 00 00 00 00 74 38 80 BB 85 00 00 00 00 74 2F 80 BB 84 00 00 00 00 74 26 80 3C 24 00 74 12 8B 85 50 01 00 00 8B 53 7C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 47 4E 75 AB 8B 85 50 01 00 00 8B 70 04 4E 85 F6 7C 16 46 33 FF 8B 85 50 01 00 00 33 C9 8B D7 E8 ?? ?? ?? ?? 47 4E 75 ED 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5983_0 {
	meta:
		name = "TClientDataSet.GetAggFieldData"
		size = 161
		refs = "0010 TFields.GetCount 0024 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 7E 47 33 ED 8B D5 8B 46 28 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 00 00 00 8B D8 85 DB 74 5F 80 BB 84 00 00 00 00 74 56 8B 04 24 03 86 60 01 00 00 03 83 80 00 00 00 89 44 24 08 80 BB 84 00 00 00 00 74 33 8D 44 24 04 50 8B 44 24 0C 40 50 8B 43 5C 50 8B 86 74 01 00 00 50 8B 00 FF 90 BC 00 00 00 66 85 C0 75 10 83 7C 24 04 00 75 09 8B 44 24 08 C6 00 00 EB 07 8B 44 24 08 C6 00 01 45 4F 75 85 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5984_0 {
	meta:
		name = "TClientDataSet.GetAggregateValue"
		size = 132
		refs = "000e Null 0013 @VarCopy 001c TClientDataSet.GetActiveRecBuf 006c AggValueAsVariant"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5B 8B C6 8B 10 FF 92 CC 00 00 00 8B F0 85 F6 74 4B 80 BE 84 00 00 00 00 74 35 8B 83 60 01 00 00 03 86 80 00 00 00 01 04 24 8B 04 24 80 38 01 75 0F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B CF 8B 14 24 42 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5985_0 {
	meta:
		name = "TClientDataSet.ResetAggField"
		size = 148
		refs = "000e TFields.GetCount 0022 TFields.GetField 0037 _Dn_TAggregateField 003c @AsClass 0061 TAggregate.SetActive 007c TClientDataSet.ResetAggField"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 8B 47 28 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 61 46 33 DB 8B 47 28 8B D3 E8 ?? ?? ?? ?? 3B 04 24 75 4B 8B 47 28 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C5 8B 10 FF 92 CC 00 00 00 85 C0 74 26 8B C5 8B 10 FF 92 CC 00 00 00 8A 95 C8 00 00 00 E8 ?? ?? ?? ?? 8B C5 8B 10 FF 92 CC 00 00 00 8B D5 8B 08 FF 51 08 43 4E 75 A2 8A 15 ?? ?? ?? ?? 8B C7 8B 08 FF 91 E8 01 00 00 5A 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_5986_0 {
	meta:
		name = "TClientBlobStream.Create"
		size = 296
		refs = "0019 @ClassCreate 0029 TClientBlobStream.Create 004a _DV_TClientDataSet 004f @AsClass 005e TClientDataSet.GetActiveRecBuf 007e TField.GetDisplayName 0094 SFieldReadOnly 0099 LoadResString 00a4 DatabaseErrorFmt 00bb SNotEditing 00cb DatabaseError 00d7 TClientBlobStream.Truncate 00e0 TClientBlobStream.ReadBlobData 00fa @LStrArrayClr 0100 @HandleFinally 010f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F9 89 7E 14 8B C7 8B 10 FF 52 6C 89 46 20 8B 46 14 8B 40 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 18 8D 56 1C 8B C7 E8 ?? ?? ?? ?? 84 C0 74 7E 84 DB 74 65 8B 46 14 80 78 31 00 74 35 8B 46 18 50 8D 55 F0 8B 46 14 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 18 8A 80 8D 00 00 00 04 FE 2C 02 72 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 56 18 E8 ?? ?? ?? ?? 80 FB 01 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5987_0 {
	meta:
		name = "TClientBlobStream.Destroy"
		size = 208
		refs = "000a @BeforeDestruction 0025 TClientBlobStream.Destroy 0033 TStream.GetSize 0066 TClientDataSet.Check 0073 TBlobField.SetModified 0095 @HandleAnyException 009a Application 00a4 TApplication.HandleException 00a9 @DoneExcept 00b7 TMemoryStream.Destroy 00c5 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 78 24 00 0F 84 8C 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 50 6A 00 8B 45 FC 8B 40 20 50 8B 45 FC 8B 40 1C 50 8B 45 FC 8B 58 18 8B 83 74 01 00 00 50 8B 00 FF 50 6C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 14 8B 45 FC 8B 40 18 33 D2 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5988_0 {
	meta:
		name = "TClientBlobStream.ReadBlobData"
		size = 105
		refs = "0022 TClientDataSet.Check 0031 TStream.SetPosition"
	strings:
		$1 = { 53 56 51 8B D8 54 8B 43 20 50 8B 43 1C 50 8B 73 18 8B 86 74 01 00 00 50 8B 00 FF 50 64 8B D0 8B C6 E8 ?? ?? ?? ?? 83 3C 24 00 76 39 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 14 24 8B C3 8B 08 FF 11 54 8B 43 04 50 6A 00 8B 43 20 50 8B 43 1C 50 8B 73 18 8B 86 74 01 00 00 50 8B 00 FF 50 68 8B D0 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5989_0 {
	meta:
		name = "TClientBlobStream.Write"
		size = 16
		refs = "0006 TMemoryStream.Write"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_5990_0 {
	meta:
		name = "TClientBlobStream.Truncate"
		size = 16
		refs = "0006 TMemoryStream.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_5992_0 {
	meta:
		name = "TAggregates.Add"
		size = 34
		refs = "0008 TCollection.Add 0015 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 89 47 68 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5993_0 {
	meta:
		name = "TAggregates.Clear"
		size = 40
		refs = "0007 TCollection.Clear 0012 @CallDynaInst 0021 TClientDataSet.ResetAllAggs"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 85 C0 74 0B 8A 90 6C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5997_0 {
	meta:
		name = "TAggregates.IndexOf"
		size = 127
		refs = "0017 TAggregates.IndexOf 0024 TCollection.GetCount 0037 TAggregates.GetItem 004a AnsiCompareText 006a @LStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 27 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 07 46 4B 75 DC 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5999_0 {
	meta:
		name = "TAggregate.Destroy"
		size = 131
		refs = "0006 @BeforeDestruction 0020 TFields.GetCount 0037 TFields.GetField 005f TObject.Free 006c TCollectionItem.Destroy 0079 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 73 68 85 F6 74 45 83 7E 28 00 74 3F 8B 46 28 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 30 47 33 ED 8B 43 68 8B 40 28 8B D5 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 92 CC 00 00 00 3B D8 75 0C 33 D2 8B C6 8B 08 FF 91 C8 00 00 00 45 4F 75 D3 8B 43 7C E8 ?? ?? ?? ?? 8A 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6000_0 {
	meta:
		name = "TAggregate.Activate"
		size = 376
		refs = "0032 TClientDataSet.Check 0055 _Dn_TBits 005a TObject.Create 0070 TAggregate.Activate 0087 _Dn_TExprParser 008c TExprParser.Create 0103 _DT_5 0108 @DynArraySetLength 0114 DataTypeMap 0135 TObject.Free 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 80 BB 87 00 00 00 00 74 2A 83 7B 5C 00 74 24 8B 43 5C 50 8B 73 68 8B 86 74 01 00 00 50 8B 00 FF 90 B8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 43 5C C6 83 87 00 00 00 00 83 7B 5C 00 0F 85 1C 01 00 00 83 7B 7C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 83 7B 0C 00 0F 84 D6 00 00 00 8B 43 0C 50 A0 ?? ?? ?? ?? 50 A0 ?? ?? ?? ?? 50 6A 00 8B 43 7C 50 8B 4B 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 5C 50 8B 45 FC 8B 40 24 50 8B 45 FC 8B 40 2C 50 8B 43 64 50 8B 73 68 8B 86 74 01 00 00 50 8B 00 FF 90 B4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 43 10 50 8B 43 5C 50 8B 73 68 8B 86 74 01 00 00 50 8B 00 FF 90 C0 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 40 50 8D 43 70 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 30 8B 15 ?? ?? ?? ?? 8A 04 02 88 43 74 8B 43 40 89 43 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 43 5C 50 6A 00 6A 00 8B 43 64 50 8B 73 68 8B 86 74 01 00 00 50 8B 00 FF 90 B4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 00 00 00 00 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_6001_0 {
	meta:
		name = "TAggregate.Assign"
		size = 259
		refs = "0010 TAggregate.Assign 001e _DV_TAggregate 0023 @IsClass 0051 TAggregate.SetExpression 005b TAggregate.SetIndexName 0065 TAggregate.SetGroupingLevel 0072 TAggregate.SetActive 007c _Dn_TAggregateField 00dc TPersistent.Assign 00f1 @LStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D 8D 55 FC 8B C3 8B 08 FF 51 0C 8B 55 FC 8B C6 8B 08 FF 51 14 8A 83 86 00 00 00 88 86 86 00 00 00 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8B 53 6C 8B C6 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 8A 93 85 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 68 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B FB 8B 97 CC 00 00 00 8B C6 8B 08 FF 51 14 8A 47 34 88 86 86 00 00 00 8B 97 D0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 97 D8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 97 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8A 97 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6002_0 {
	meta:
		name = "TAggregate.GetDisplayName"
		size = 48
		refs = "000c @LStrLAsg 0029 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 56 60 E8 ?? ?? ?? ?? 83 3B 00 75 0A 8B C3 8B 56 0C E8 ?? ?? ?? ?? 83 3B 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6003_0 {
	meta:
		name = "TAggregate.SetActive"
		size = 103
		refs = "002a TAggregate.SetActive 003a TClientDataSet.ResetAgg 0049 @HandleAnyException 0058 @RaiseAgain 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 88 90 85 00 00 00 8B 45 FC 8B 40 68 85 C0 74 44 83 B8 74 01 00 00 00 74 3B 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 01 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC C6 80 85 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6004_0 {
	meta:
		name = "TAggregate.SetExpression"
		size = 148
		refs = "0010 TAggregate.SetExpression 0027 @LStrCmp 0040 SAggActive 0045 LoadResString 0050 DatabaseError 006d @LStrAsg 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 68 85 FF 74 33 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 27 80 BB 85 00 00 00 00 74 1E F6 47 20 01 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 68 E8 ?? ?? ?? ?? 8B C6 8B 53 0C E8 ?? ?? ?? ?? 74 07 C6 83 87 00 00 00 01 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6005_0 {
	meta:
		name = "TAggregate.SetGroupingLevel"
		size = 125
		refs = "000f TAggregate.SetGroupingLevel 0038 SAggActive 003d LoadResString 0048 DatabaseError 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 68 85 C0 74 2C 3B 73 64 74 27 80 BB 85 00 00 00 00 74 1E F6 40 20 01 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 68 E8 ?? ?? ?? ?? 3B 73 64 74 07 C6 83 87 00 00 00 01 89 73 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6006_0 {
	meta:
		name = "TAggregate.SetIndexName"
		size = 150
		refs = "0016 @LStrAddRef 001e TAggregate.SetIndexName 0036 @LStrCmp 004f SAggActive 0054 LoadResString 005f DatabaseError 006a @LStrAsg 0084 @LStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 68 85 F6 74 34 8B 43 6C 8B 55 FC E8 ?? ?? ?? ?? 74 27 80 BB 85 00 00 00 00 74 1E F6 46 20 01 75 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 53 68 E8 ?? ?? ?? ?? 8D 43 6C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6007_0 {
	meta:
		name = "TAggregate.Value"
		size = 116
		refs = "000b Null 0010 @VarCopy 0030 TDataSet.UpdateCursorPos 006c AggValueAsVariant"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 84 00 00 00 00 74 53 80 BB 85 00 00 00 00 74 4A 83 7B 68 00 74 44 8B 43 68 E8 ?? ?? ?? ?? 54 8B 43 70 50 8B 43 5C 50 8B 43 68 8B 80 74 01 00 00 50 8B 00 FF 90 BC 00 00 00 83 3C 24 00 74 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B CE 8B 53 70 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6010_0 {
	meta:
		name = "GetPChar"
		size = 24
		refs = "000c GetPChar"
	strings:
		$1 = { 53 8B D8 85 DB 74 04 8B C3 5B C3 B8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6011_0 {
	meta:
		name = "Split"
		size = 11
	strings:
		$1 = { 55 8B EC 8B 55 08 89 42 FC 5D C3 }
	condition:
		$1
}

rule function_6012_0 {
	meta:
		name = "NextItem"
		size = 280
		refs = "0013 @LStrClr 0051 LeadBytes 0096 NextItem 00da @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FB FF FF 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 78 FC 8D B5 FB FB FF FF EB 09 84 C0 0F 84 C3 00 00 00 47 8A 07 8B D0 84 D2 74 EF 80 EA 20 74 EA 80 EA 0E 74 E5 C6 45 FB 2E 80 3F 22 75 4A C6 45 FB 22 47 EB 43 A1 ?? ?? ?? ?? 8B D3 81 E2 FF 00 00 00 0F A3 10 73 06 88 1E 47 46 EB 25 80 FB 5C 75 20 47 8B 15 ?? ?? ?? ?? 8A 07 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 04 88 06 47 46 80 3F 00 75 01 4F 8A 07 88 06 47 46 56 57 BE ?? ?? ?? ?? 8D BD D8 FB FF FF B9 08 00 00 00 F3 A5 5F 5E 8A 45 FB 25 FF 00 00 00 0F AB 85 D8 FB FF FF 8A 1F 8B C3 25 FF 00 00 00 0F A3 85 D8 FB FF FF 73 86 8D 85 FB FB FF FF 8B CE 2B C8 8B D0 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 22 75 06 80 3F 00 74 01 47 8B 45 08 89 78 FC 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6013_0 {
	meta:
		name = "PopValue"
		size = 52
		refs = "001a GetPChar 0027 PopValue"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 F8 00 7C 1A 8B 45 08 8B 40 F8 8B 55 08 8B 44 82 E4 E8 ?? ?? ?? ?? 8B 55 08 FF 4A F8 5D C3 B8 ?? ?? ?? ?? 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6014_0 {
	meta:
		name = "GetFieldSource"
		size = 304
		refs = "001c String 0021 @InitializeArray 0029 GetFieldSource 0044 @LStrFromArray 004e TDataSet.FindField 006b Split 007f NextItem 008f @LStrLAsg 00ae PopValue 00bc StrCopy 0108 @LStrClr 011b @FinalizeArray 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 8B FA 8B F0 B9 05 00 00 00 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 E0 8D 97 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 9B 00 00 00 83 7E 7C 00 0F 84 91 00 00 00 55 8B 46 7C E8 ?? ?? ?? ?? 59 C7 45 F8 FF FF FF FF FF 45 F8 55 8D 45 E0 E8 ?? ?? ?? ?? 59 8B 55 E0 8B 45 F8 8D 44 85 E4 E8 ?? ?? ?? ?? 8B 45 F8 83 7C 85 E4 00 74 06 83 7D F8 04 75 D4 83 7D F8 04 74 4E FF 4D F8 55 E8 ?? ?? ?? ?? 59 8B D0 8D 87 47 01 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D0 8D 47 22 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D0 8D 47 02 E8 ?? ?? ?? ?? 80 BF 47 01 00 00 00 74 06 80 7F 22 00 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6015_0 {
	meta:
		name = "FMTBCDToCurr"
		size = 149
		refs = "004e FConst10 0070 FPower10 007a CWNear"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 89 C3 89 D6 B0 00 0F B6 13 09 D2 74 7A 8D 4A 01 D1 E9 8A 44 0B 01 88 C4 C0 E8 04 80 E4 0F 66 89 44 4D BE 49 75 EC 31 C0 8A 44 0D C0 08 C0 75 09 41 39 D1 75 F3 D9 EE EB 33 89 45 BC DB 45 BC 41 39 D1 74 12 D8 0D ?? ?? ?? ?? 8A 44 0D C0 89 45 BC DA 45 BC EB E9 8A 43 01 08 C0 79 02 D9 E0 83 E0 3F 83 E8 04 F7 D8 E8 ?? ?? ?? ?? 9B D9 7D BA D9 2D ?? ?? ?? ?? DF 3E 9B DF E0 F6 D0 80 E0 01 9B DB E2 D9 6D BA 9B 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6016_0 {
	meta:
		name = "CurrToFMTBCD"
		size = 139
		refs = "001f Power10"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 89 C6 87 D1 88 0E 88 56 01 83 EA 04 74 1A 77 0F DF 6D 08 D8 34 95 ?? ?? ?? ?? DF 7D 08 EB 09 49 C6 44 0D C0 00 4A 75 F7 8B 45 08 8B 5D 0C 09 DB 79 0B F7 DB F7 D8 83 DB 00 80 4E 01 80 BF 0A 00 00 00 89 C2 09 DA 74 0C 31 D2 09 DB 74 04 93 F7 F7 93 F7 F7 88 54 0D BF 49 75 E7 09 D8 B0 00 75 18 8A 0E 41 D1 E9 66 8B 44 4D BE C0 E0 04 08 E0 88 44 0E 01 49 75 EF B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6017_0 {
	meta:
		name = "IsNumeric"
		size = 10
	strings:
		$1 = { 83 C0 FB 83 E8 04 0F 92 C0 C3 }
	condition:
		$1
}

rule function_6018_0 {
	meta:
		name = "IsTemporal"
		size = 19
	strings:
		$1 = { 83 E8 02 74 0B 83 C0 F8 83 E8 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_6019_0 {
	meta:
		name = "TFilterExpr.Create"
		size = 82
		refs = "000d @ClassCreate 0025 @LStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8A 45 14 88 46 08 8D 46 20 8B 55 0C E8 ?? ?? ?? ?? 8A 45 10 88 46 09 8B 45 08 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_6020_0 {
	meta:
		name = "TFilterExpr.Destroy"
		size = 87
		refs = "0004 @BeforeDestruction 0013 @FreeMem 0030 TObject.Free 0036 TExprNode 003d @Dispose 004f @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 14 8B 46 10 E8 ?? ?? ?? ?? EB 28 8B F8 8B 07 89 46 0C 80 7F 04 03 75 0E 83 7F 2C 00 74 08 8B 47 2C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 75 D1 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6021_0 {
	meta:
		name = "TFilterExpr.FieldFromNode"
		size = 142
		refs = "0015 TFilterExpr.FieldFromNode 0026 @VarToLStr 0030 TFilterExpr.GetFieldByName 0047 SExprBadField 004c LoadResString 0065 DatabaseErrorFmt 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 56 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 8A 43 32 84 C0 74 2C 2C 03 74 28 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 28 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6022_0 {
	meta:
		name = "TFilterExpr.GetExprData"
		size = 57
		refs = "0012 @ReallocMem 0029 Move"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 53 14 03 D7 8D 43 10 E8 ?? ?? ?? ?? 8D 04 37 8B 53 10 03 D0 8B 4B 14 2B CE 8B 43 10 03 C6 E8 ?? ?? ?? ?? 01 7B 14 8B 43 10 03 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6023_0 {
	meta:
		name = "TFilterExpr.GetFilterData"
		size = 83
		refs = "0012 @GetMem 0020 TFilterExpr.PutExprNode"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BE 0A 00 00 00 89 73 14 8B C6 E8 ?? ?? ?? ?? 89 43 10 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 10 66 C7 00 02 00 66 8B 53 14 66 89 50 02 66 C7 40 04 FF FF 66 C7 40 06 0A 00 66 8B 53 18 66 83 C2 0A 66 89 50 08 8B 43 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6024_0 {
	meta:
		name = "TFilterExpr.NewCompareNode"
		size = 178
		refs = "001b TFilterExpr.NewCompareNode 0034 TFilterExpr.NewNode 0042 FldTypeMap 0057 Unassigned 0063 @VarFromLStr 009b @VarClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 6A 00 6A 00 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 33 C0 8A 47 30 0F B6 80 ?? ?? ?? ?? 89 46 24 8B C7 8B 10 FF 52 78 0F B7 C0 89 46 28 A1 ?? ?? ?? ?? 50 8D 45 EC 8B 57 28 E8 ?? ?? ?? ?? 8D 45 EC 50 6A 00 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 50 56 8B 4D FC B2 02 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6025_0 {
	meta:
		name = "TFilterExpr.NewNode"
		size = 244
		refs = "001a TFilterExpr.NewNode 0026 TExprNode 0030 @New 0054 @VarCopy 0074 @VarToLStr 007e TFilterExpr.GetFieldByName 008e SFieldNotFound 0093 LoadResString 00ac DatabaseErrorFmt 00b8 FldTypeMap 00dd @LStrClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 89 4D F8 88 55 FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 34 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8B 47 0C 89 03 8A 45 FF 88 43 04 C6 43 05 00 8B 45 F8 89 43 08 8D 43 0C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 0C 89 43 1C 8B 45 08 89 43 20 89 77 0C 80 7D FF 00 75 5F 8D 45 F4 8B 55 10 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 28 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 10 89 45 EC C6 45 F0 0D 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 33 C0 8A 43 30 0F B6 80 ?? ?? ?? ?? 89 46 24 8B C3 8B 10 FF 52 78 0F B7 C0 89 46 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_6026_0 {
	meta:
		name = "TFilterExpr.PutConstBCD"
		size = 100
		refs = "000f VarType 001e StrToCurr 002b @VarToCurr 0047 CurrToFMTBCD 0059 TFilterExpr.PutConstNode"
	strings:
		$1 = { 53 56 57 83 C4 D4 8B F9 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DF 3C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 10 8B CF BA 20 00 00 00 E8 ?? ?? ?? ?? 6A 12 8D 4C 24 0C BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6027_0 {
	meta:
		name = "TFilterExpr.PutConstBool"
		size = 40
		refs = "000a @VarToBool 0020 TFilterExpr.PutConstNode"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 04 24 6A 02 8D 4C 24 04 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6028_0 {
	meta:
		name = "TFilterExpr.PutConstDate"
		size = 89
		refs = "000c VarType 001b StrToDate 0028 VarToDateTime 003d DateTimeToTimeStamp 004f TFilterExpr.PutConstNode"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 10 E8 ?? ?? ?? ?? 6A 04 8D 4C 24 10 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_6029_0 {
	meta:
		name = "TFilterExpr.PutConstDateTime"
		size = 103
		refs = "000c VarType 001b StrToDateTime 0028 VarToDateTime 003d DateTimeToTimeStamp 0046 TimeStampToMSecs 005d TFilterExpr.PutConstNode"
	strings:
		$1 = { 53 56 83 C4 E8 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 18 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? DD 5C 24 08 9B 6A 08 8D 4C 24 0C BA 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_6030_0 {
	meta:
		name = "TFilterExpr.PutConstFloat"
		size = 71
		refs = "000c VarType 001b StrToFloat 0028 @VarToReal 003e TFilterExpr.PutConstNode"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 6A 08 8D 4C 24 04 BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6031_0 {
	meta:
		name = "TFilterExpr.PutConstInt"
		size = 231
		refs = "0018 TFilterExpr.PutConstInt 0025 VarType 0034 StrToInt 0040 @VarToInt 0070 SExprRangeError 0075 LoadResString 007f DatabaseError 00bb TFilterExpr.PutConstNode 00d2 @LStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0D 8B 43 08 E8 ?? ?? ?? ?? 89 45 FC EB 0A 8B C3 E8 ?? ?? ?? ?? 89 45 FC BB 02 00 00 00 8B C7 83 E8 05 74 07 83 E8 07 74 2D EB 53 81 7D FC 00 80 FF FF 7C 09 81 7D FC FF 7F 00 00 7E 46 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? EB 2D 83 7D FC 00 7C 09 81 7D FC FF FF 00 00 7E 1E 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? EB 05 BB 04 00 00 00 53 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6032_0 {
	meta:
		name = "TFilterExpr.PutConstNode"
		size = 109
		refs = "0023 TFilterExpr.PutNode 0034 TFilterExpr.SetNodeOp 004f TFilterExpr.PutData"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 6A 03 B9 0E 00 00 00 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 57 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 B9 02 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6033_0 {
	meta:
		name = "TFilterExpr.PutConstStr"
		size = 177
		refs = "0018 TFilterExpr.PutConstStr 0025 @LStrLen 0041 @LStrCopy 004d @LStrLAsg 0057 @LStrToPChar 0086 TFilterExpr.PutConstNode 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3D 00 01 00 00 7C 17 8D 45 FC 50 B9 FF 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 8D FC FE FF FF 8B 43 04 8B 30 FF 96 EC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 50 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6034_0 {
	meta:
		name = "TFilterExpr.PutConstTime"
		size = 89
		refs = "000c VarType 001b StrToTime 0028 VarToDateTime 003d DateTimeToTimeStamp 004f TFilterExpr.PutConstNode"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 75 0E 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 10 E8 ?? ?? ?? ?? 6A 04 8D 4C 24 0C BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_6035_0 {
	meta:
		name = "TFilterExpr.PutData"
		size = 42
		refs = "0011 TFilterExpr.GetExprData 001c Move"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B 53 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE E8 ?? ?? ?? ?? 8B 43 1C 01 73 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6036_0 {
	meta:
		name = "TFilterExpr.PutConstant"
		size = 315
		refs = "0016 TFilterExpr.PutConstant 006f TFilterExpr.PutConstInt 0080 TFilterExpr.PutConstFloat 0092 @VarToLStr 009c TFilterExpr.PutConstStr 00aa TFilterExpr.PutConstDate 00b8 TFilterExpr.PutConstTime 00c6 TFilterExpr.PutConstDateTime 00d4 TFilterExpr.PutConstBool 00e5 TFilterExpr.PutConstBCD 00f3 SExprBadConst 00f8 LoadResString 0111 DatabaseErrorFmt 0126 @LStrClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 43 24 8B D0 83 FA 0B 0F 87 BD 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 4B 0C 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 9B 00 00 00 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 8A 00 00 00 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 71 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 63 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 55 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 47 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 39 8D 53 0C 8B 4B 28 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 28 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 43 0C 89 45 F4 C6 45 F8 0D 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6037_0 {
	meta:
		name = "TFilterExpr.PutExprNode"
		size = 1675
		refs = "001c TFilterExpr.PutExprNode 004f TFilterExpr.FieldFromNode 007d TFilterExpr.PutNode 008b TFilterExpr.PutFieldNode 0097 TFilterExpr.SetNodeOp 009e BoolFalse 00aa TFilterExpr.PutConstNode 00da TFilterExpr.PutConstant 01b3 TList.Get 02be ReverseOperator 02fe VarIsNull 0329 SExprBadNullTest 032e LoadResString 0338 DatabaseError 0384 @VarToLStr 038c @LStrLen 03e7 @LStrDelete 0454 TFilterExpr.PutConstStr 0540 @LStrToPChar 054a TFilterExpr.PutData 066e @LStrClr 067c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D CC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8A 46 04 2C 01 72 1B 0F 84 A0 00 00 00 FE C8 0F 84 A8 00 00 00 FE C8 0F 84 C2 04 00 00 E9 13 06 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 85 C0 74 08 83 C0 F7 83 E8 03 73 5D 8B 45 F8 80 78 30 05 75 54 6A 02 B9 04 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 02 B9 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 9B 05 00 00 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 88 05 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 78 05 00 00 8B 46 08 8B D0 83 FA 25 0F 87 6A 05 00 00 8A 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 02 02 03 03 03 03 03 03 02 03 03 00 00 00 00 03 03 03 03 00 00 00 00 00 00 00 00 00 00 03 01 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 02 B9 1F 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 4E 08 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 02 B9 24 00 00 00 BA 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 46 2C 8B 40 08 48 85 C0 0F 8C BC 04 00 00 40 89 45 C8 C7 45 E0 00 00 00 00 8B 55 E0 8B 46 2C E8 ?? ?? ?? ?? 8B D0 8B 4E 08 8B C3 E8 ?? ?? ?? ?? 89 45 EC 83 7D E0 00 75 23 8B 45 EC 50 33 C9 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 8B 55 E4 8B C3 E8 ?? ?? ?? ?? EB 50 6A 02 B9 24 00 00 00 BA 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC 50 33 C9 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 B9 01 00 00 00 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 FF 45 E0 FF 4D C8 0F 85 61 FF FF FF E9 0D 04 00 00 6A 01 8B C8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 4E 08 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 DD 03 00 00 89 45 DC 8B 46 1C 89 45 F4 8B 46 20 89 45 F0 8B 45 DC 83 C0 FD 83 E8 06 73 2B 8B 45 F0 80 78 04 00 75 22 8B 45 F4 80 78 04 00 74 19 8B 45 F4 8B 55 F0 89 55 F4 89 45 F0 8B 45 DC 8B 04 85 ?? ?? ?? ?? 89 45 DC 33 FF 8B 55 F4 80 7A 04 00 0F 85 93 01 00 00 8B 55 F0 80 7A 04 01 0F 85 86 01 00 00 8B 46 08 83 F8 03 74 0E 83 F8 04 74 09 83 F8 1E 0F 85 70 01 00 00 8B 45 F0 83 C0 0C E8 ?? ?? ?? ?? 84 C0 74 67 8B 46 08 83 E8 03 74 05 48 74 0B EB 12 C7 45 DC 01 00 00 00 EB 20 C7 45 DC 02 00 00 00 EB 17 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 33 D2 E8 ?? ?? ?? ?? 6A 01 8B 4D DC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 4E 08 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 FA 00 00 00 8B 45 F0 83 78 24 01 0F 85 ED 00 00 00 8D 45 CC 8B 55 F0 83 C2 0C E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 89 45 D0 83 7D D0 00 0F 84 CA 00 00 00 33 C0 89 45 D8 33 C0 89 45 D4 F6 43 08 01 74 07 C7 45 D8 01 00 00 00 80 7E 05 00 74 08 8B 45 D0 89 45 D4 EB 30 F6 43 08 02 75 2A 83 7D D0 01 7E 24 8B 45 CC 8B 55 D0 80 7C 10 FF 2A 75 17 8D 45 CC B9 01 00 00 00 8B 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 48 89 45 D4 83 7D D8 00 75 06 83 7D D4 00 74 69 6A 04 8B 4D DC BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 D8 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4E 08 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 50 B9 02 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 50 B9 03 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 85 FF 0F 85 EE 01 00 00 83 7D DC 01 74 06 83 7D DC 02 75 37 6A 01 8B 4D DC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 4E 08 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 AB 01 00 00 6A 02 8B 4D DC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 4E 08 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B 4E 08 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 EC 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 56 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 56 01 00 00 6A 02 B9 23 00 00 00 BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 C4 8D 56 0C E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 40 50 8D 45 C4 8D 56 0C E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7E 2C 00 0F 84 E9 00 00 00 6A 02 B9 24 00 00 00 BA 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 46 2C 8B 40 08 48 85 C0 0F 8C BC 00 00 00 40 89 45 C8 C7 45 E0 00 00 00 00 8B 55 E0 8B 46 2C E8 ?? ?? ?? ?? 8B D0 8B 4E 08 8B C3 E8 ?? ?? ?? ?? 89 45 EC 83 7D E0 00 75 23 8B 45 EC 50 33 C9 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 8B 55 E4 8B C3 E8 ?? ?? ?? ?? EB 50 6A 02 B9 24 00 00 00 BA 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC 50 33 C9 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 B9 01 00 00 00 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 FF 45 E0 FF 4D C8 0F 85 61 FF FF FF EB 10 6A 00 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6038_0 {
	meta:
		name = "TFilterExpr.PutFieldNode"
		size = 249
		refs = "001e TFilterExpr.PutFieldNode 0037 @LStrToPChar 005c @VarToLStr 008d TFilterExpr.PutNode 00a3 TFilterExpr.SetNodeOp 00ae StrLen 00be TFilterExpr.PutData 00e5 @LStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 DB 89 9D F8 FE FF FF 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 09 10 74 22 6A 01 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D0 8D 8D FC FE FF FF 8B 43 04 8B 30 FF 96 EC 01 00 00 EB 2E 6A 01 8D 85 F8 FE FF FF 8D 56 0C E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF E8 ?? ?? ?? ?? 8B D0 8D 8D FC FE FF FF 8B 43 04 8B 30 FF 96 EC 01 00 00 6A 02 B9 0D 00 00 00 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 10 FF 52 6C 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 8B C8 41 8D 95 FC FE FF FF 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6039_0 {
	meta:
		name = "TFilterExpr.PutNode"
		size = 64
		refs = "0023 TFilterExpr.GetExprData"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 03 F6 83 C6 08 8B 53 18 83 C2 0A 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 10 8B 55 F8 89 50 04 8B 43 18 01 73 18 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6040_0 {
	meta:
		name = "TFilterExpr.SetNodeOp"
		size = 21
	strings:
		$1 = { 55 8B EC 83 C2 12 03 50 10 66 8B 45 08 66 89 04 4A 5D C2 04 00 }
	condition:
		$1
}

rule function_6041_0 {
	meta:
		name = "TFilterExpr.GetFieldByName"
		size = 292
		refs = "0028 @LStrAddRef 0030 TFilterExpr.GetFieldByName 0049 TDataSet.FieldByName 005b TDataSet.GetFieldCount 0079 TFields.GetField 0083 @LStrToPChar 0090 StrCopy 009e GetFieldSource 00b5 AnsiStrComp 00fa TBits.SetBit 010f @LStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 81 C4 88 FD FF FF 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 F6 43 09 10 74 0F 8B 53 20 8B 43 04 E8 ?? ?? ?? ?? 8B F0 EB 78 F6 43 09 08 74 72 8B 43 04 E8 ?? ?? ?? ?? 48 85 C0 7C 65 40 89 45 F4 C7 45 F8 00 00 00 00 8B 43 04 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B 47 28 E8 ?? ?? ?? ?? 8B D0 8D 85 AE BE FF FF E8 ?? ?? ?? ?? 8D 95 87 BD FF FF 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 FC E8 ?? ?? ?? ?? 8D 95 CE BE FF FF E8 ?? ?? ?? ?? 85 C0 75 04 8B F7 EB 3D FF 45 F8 FF 4D F4 75 A6 85 F6 75 0D 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B F0 F6 43 09 20 74 1E 85 F6 74 1A 83 7B 24 00 74 14 8B C6 8B 10 FF 52 6C 8B D0 4A B1 01 8B 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6042_0 {
	meta:
		name = "TExprParser.Create"
		size = 151
		refs = "000f @ClassCreate 0021 STextTrue 0026 LoadResString 002e STextFalse 004f _DV_TFilterExpr 0054 TFilterExpr.Create 0072 TExprParser.SetExprParams 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 8D 53 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 53 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 38 89 7B 3C 8A 45 14 50 8A 45 10 50 8B 45 0C 50 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 83 7D 18 00 74 15 8A 45 10 50 8B 45 0C 50 8A 4D 14 8B 55 18 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_6044_0 {
	meta:
		name = "TExprParser.SetExprParams"
		size = 503
		refs = "0020 TExprParser.SetExprParams 0038 TObject.Free 004f _DV_TFilterExpr 0054 TFilterExpr.Create 0061 @LStrAsg 0068 @LStrToPChar 007c TExprParser.NextToken 0083 TExprParser.ParseExpr 0093 SExprTermination 0098 LoadResString 00a2 DatabaseError 00b6 SExprNotAgg 00d9 SExprNoAggFilter 00fd @VarFromLStr 0111 TFilterExpr.NewNode 011b IsTemporal 0157 IsNumeric 0187 SExprTypeMis 019b Unassigned 01b9 TFilterExpr.GetFilterData 01da @VarClr 01e2 @LStrClr 01e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FF 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 0C 88 43 30 8B 43 04 85 C0 74 05 E8 ?? ?? ?? ?? 8A 45 FF 50 8A 45 0C 50 57 8B 43 3C 50 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 0C 8D 43 34 8B D7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7B 20 00 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? F6 43 30 02 74 1D 80 7E 30 01 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? F6 43 30 02 75 1D 80 7E 30 01 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? F6 45 0C 04 0F 84 BD 00 00 00 8D 45 E8 8B 53 34 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 00 6A 00 33 C9 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B F8 8B 47 24 E8 ?? ?? ?? ?? 84 C0 74 06 83 7E 24 01 74 0C 83 7F 24 04 75 0C 83 7E 24 01 75 06 8B 47 24 89 46 24 8B 47 24 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 46 24 E8 ?? ?? ?? ?? 84 C0 75 47 8B 47 24 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 46 24 E8 ?? ?? ?? ?? 84 C0 75 2F 83 7F 24 01 75 06 83 7E 24 01 74 23 83 7F 24 04 75 06 83 7E 24 04 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 56 57 B9 25 00 00 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 04 E8 ?? ?? ?? ?? 89 43 24 8B 43 04 8B 40 14 89 43 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6045_0 {
	meta:
		name = "TExprParser.NextTokenIsLParen"
		size = 24
	strings:
		$1 = { 8B 40 0C EB 01 40 8A 10 84 D2 74 05 80 FA 20 76 F4 80 38 28 0F 94 C0 C3 }
	condition:
		$1
}

rule function_6046_0 {
	meta:
		name = "IsKatakana"
		size = 25
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 66 83 7A 04 11 75 06 04 5F 2C 3F 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_6047_0 {
	meta:
		name = "Skip"
		size = 91
		refs = "0021 LeadBytes 0048 IsKatakana"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F0 8D 7D E0 B9 08 00 00 00 F3 A5 8B 5D 08 83 C3 FC 8B 03 8A 00 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 05 83 03 02 EB E7 8B 03 8A 00 25 FF 00 00 00 0F A3 45 E0 72 0D 8B 03 8A 00 E8 ?? ?? ?? ?? 84 C0 74 04 FF 03 EB C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6048_0 {
	meta:
		name = "TExprParser.NextToken"
		size = 1436
		refs = "001d TExprParser.NextToken 0031 @LStrClr 009e SExprInvalidChar 00a3 LoadResString 00c7 DatabaseErrorFmt 019d SysLocale 01cc Skip 01db @LStrFromPCharLen 01ec CompareText 02b6 SInvalidKeywordUse 02c8 DatabaseError 0316 AnsiStrScan 0328 SExprNameError 0369 SExprStringError 04fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 D2 89 95 F8 FE FF FF 8B D8 8D 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 20 88 43 21 8D 43 14 E8 ?? ?? ?? ?? 8B 43 0C 89 06 EB 02 FF 06 8B 06 8A 00 84 C0 74 04 3C 20 76 F2 8B 06 8A 00 84 C0 74 7D 3C 2F 75 79 8B 06 80 78 01 00 74 71 8B 06 80 78 01 2A 75 69 83 06 02 EB 02 FF 06 8B 06 8A 00 84 C0 74 04 3C 2A 75 F2 8B 06 80 38 2A 75 15 8B 06 80 78 01 00 74 0D 8B 06 80 78 01 2F 75 05 83 06 02 EB 3A 6A 00 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B 16 8A 12 88 95 F0 FE FF FF C6 85 F4 FE FF FF 02 8D 95 F0 FE FF FF 33 C9 E8 ?? ?? ?? ?? EB 02 FF 06 8B 06 8A 00 84 C0 74 04 3C 20 76 F2 8B 06 89 43 10 8B 06 0F B6 00 83 F8 30 7D 55 83 F8 2A 7F 2B 0F 84 94 03 00 00 83 E8 01 0F 82 A3 03 00 00 83 E8 26 0F 84 50 02 00 00 48 0F 84 12 03 00 00 48 0F 84 16 03 00 00 E9 8D 03 00 00 83 E8 2B 0F 84 5E 03 00 00 48 0F 84 6F 03 00 00 48 0F 84 93 02 00 00 83 E8 02 0F 84 57 03 00 00 E9 68 03 00 00 83 F8 41 7D 28 83 C0 D0 83 E8 0A 0F 82 74 02 00 00 83 E8 02 0F 84 DD 02 00 00 48 0F 84 02 03 00 00 48 0F 84 03 03 00 00 E9 3B 03 00 00 83 F8 5F 7F 15 74 27 83 C0 BF 83 E8 1A 72 1F 0F 84 8C 01 00 00 E9 21 03 00 00 83 C0 9F 83 E8 1A 72 0C 83 C0 FA 83 E8 7E 0F 83 0D 03 00 00 8B 3E A1 ?? ?? ?? ?? 80 78 08 00 75 1E FF 06 EB 02 FF 06 8B 06 8A 00 04 D8 3C 57 77 0A 83 E0 7F 0F A3 05 ?? ?? ?? ?? 72 E8 EB 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 0E 2B CF 8D 43 14 8B D7 E8 ?? ?? ?? ?? C6 43 20 01 BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 09 C6 43 20 11 E9 E0 02 00 00 BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 09 C6 43 20 14 E9 C6 02 00 00 BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 85 C0 0F 85 B1 02 00 00 EB 02 FF 06 8B 06 8A 00 84 C0 74 04 3C 20 76 F2 8B 3E 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 0E 2B CF 8D 43 14 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 68 EB 02 FF 06 8B 06 8A 00 84 C0 74 04 3C 20 76 F2 8B 3E 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 0E 2B CF 8D 43 14 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 09 C6 43 20 13 E9 2E 02 00 00 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 33 D2 E8 ?? ?? ?? ?? E9 0C 02 00 00 BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 09 C6 43 20 12 E9 F2 01 00 00 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 33 D2 E8 ?? ?? ?? ?? E9 D0 01 00 00 FF 06 8B 3E B2 5D 8B 06 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 1D 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 33 D2 E8 ?? ?? ?? ?? 8B 0E 2B CF 8D 43 14 8B D7 E8 ?? ?? ?? ?? C6 43 20 02 FF 06 E9 86 01 00 00 FF 06 33 FF 8B 06 80 38 00 75 1D 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 33 D2 E8 ?? ?? ?? ?? 8B 06 80 38 27 75 09 FF 06 8B 06 80 38 27 75 18 81 FF 00 01 00 00 7D 0C 8B 06 8A 00 88 84 3D FC FE FF FF 47 FF 06 EB B4 8D 95 FC FE FF FF 8D 43 14 8B CF E8 ?? ?? ?? ?? C6 43 20 03 C6 43 28 00 E9 19 01 00 00 8A 43 21 3C 03 74 4A 3C 02 74 46 3C 01 74 42 3C 05 74 3E 8B 3E FF 06 EB 02 FF 06 8B 06 8A 00 2C 2B 74 F6 04 FE 2C 02 72 F0 48 2C 0A 72 EB 2C 0B 74 E7 2C 20 74 E3 8B 0E 2B CF 8D 43 14 8B D7 E8 ?? ?? ?? ?? C6 43 20 03 C6 43 28 01 E9 C8 00 00 00 C6 43 20 0D FF 06 E9 BD 00 00 00 FF 06 C6 43 20 04 E9 B2 00 00 00 FF 06 C6 43 20 05 E9 A7 00 00 00 FF 06 8B 06 8A 00 2C 3D 74 06 FE C8 74 0D EB 16 FF 06 C6 43 20 09 E9 8C 00 00 00 FF 06 C6 43 20 07 E9 81 00 00 00 C6 43 20 0B EB 7B FF 06 C6 43 20 06 EB 73 FF 06 8B 06 80 38 3D 75 08 FF 06 C6 43 20 08 EB 62 C6 43 20 0A EB 5C FF 06 C6 43 20 0C EB 54 FF 06 C6 43 20 0E EB 4C FF 06 C6 43 20 0F EB 44 FF 06 C6 43 20 10 EB 3C C6 43 20 00 EB 36 6A 00 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B 16 8A 12 88 95 F0 FE FF FF C6 85 F4 FE FF FF 02 8D 95 F0 FE FF FF 33 C9 E8 ?? ?? ?? ?? 8B 06 89 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 00 00 40 FF 03 FE FF FF AF FE FF FF 07 00 00 00 00 00 00 40 FF 03 FE FF FF AF FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF FF FF FF 04 00 00 00 4C 49 4B 45 00 00 00 00 FF FF FF FF 02 00 00 00 49 4E 00 00 FF FF FF FF 02 00 00 00 49 53 00 00 00 00 00 00 00 00 00 00 FE FF FF 07 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF FF FF FF 03 00 00 00 4E 4F 54 00 FF FF FF FF 04 00 00 00 4E 55 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_6049_0 {
	meta:
		name = "TExprParser.ParseExpr"
		size = 104
		refs = "0007 TExprParser.ParseExpr2 0012 TExprParser.NextToken 0017 Unassigned 0030 TFilterExpr.NewNode 0042 TExprParser.GetScopeKind 0047 TExprParser.ParseExpr 004e TExprParser.TokenSymbolIs"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 37 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 B9 0B 00 00 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B 46 20 50 8B 4E 1C 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 B9 8B C6 5E 5B C3 00 FF FF FF FF 02 00 00 00 4F 52 00 00 }
	condition:
		$1
}

rule function_6050_0 {
	meta:
		name = "TExprParser.ParseExpr2"
		size = 104
		refs = "0007 TExprParser.ParseExpr3 0012 TExprParser.NextToken 0017 Unassigned 0030 TFilterExpr.NewNode 0042 TExprParser.GetScopeKind 0047 TExprParser.ParseExpr2 004e TExprParser.TokenSymbolIs"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 37 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 B9 0A 00 00 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B 46 20 50 8B 4E 1C 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 B9 8B C6 5E 5B C3 00 FF FF FF FF 03 00 00 00 41 4E 44 00 }
	condition:
		$1
}

rule function_6051_0 {
	meta:
		name = "TExprParser.ParseExpr3"
		size = 104
		refs = "0005 TExprParser.ParseExpr3 000c TExprParser.TokenSymbolIs 0017 TExprParser.NextToken 001c Unassigned 0024 TExprParser.ParseExpr4 0036 TFilterExpr.NewNode 0053 TExprParser.GetScopeKind"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 B9 09 00 00 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 EB 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 46 20 50 8B 4E 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 FF FF FF FF 03 00 00 00 4E 4F 54 00 }
	condition:
		$1
}

rule function_6052_0 {
	meta:
		name = "TExprParser.ParseExpr4"
		size = 869
		refs = "0017 TExprParser.ParseExpr4 0024 TExprParser.ParseExpr5 0092 Operators 00c7 TExprParser.NextToken 00e6 TExprParser.TokenName 00fc SExprNoLParen 0101 LoadResString 010c DatabaseErrorFmt 0118 Unassigned 012b TFilterExpr.NewNode 013f _Dn_TList 0144 TObject.Create 0151 TExprParser.ParseExpr 015b IsTemporal 0172 TList.Add 019f SExprNoRParenOrComma 01ed SExprNoRParen 0211 SExprEmptyInList 0220 DatabaseError 02d9 SExprTypeMis 0335 TExprParser.GetScopeKind 034f @LStrArrayClr 0355 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 EC 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8A 43 20 8B D0 80 C2 FA 80 EA 06 72 14 3C 11 74 10 3C 12 74 0C 3C 13 74 08 3C 14 0F 85 ED 02 00 00 33 D2 8A D0 83 C2 FA 83 FA 0E 77 67 8A 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 01 01 01 01 01 01 00 00 00 00 00 02 03 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 F8 EB 29 C7 45 F8 1E 00 00 00 EB 20 C7 45 F8 01 00 00 00 EB 17 C7 45 F8 02 00 00 00 EB 0E C7 45 F8 1F 00 00 00 EB 05 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 8B 7D FC 83 7D F8 1F 0F 85 51 01 00 00 80 7B 20 04 74 32 6A 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 57 6A 00 B9 1F 00 00 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? 89 45 FC 80 7B 20 05 0F 84 D1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 47 24 E8 ?? ?? ?? ?? 84 C0 74 06 8B 47 24 89 46 24 8B 45 FC 8B 40 2C 8B D6 E8 ?? ?? ?? ?? 8A 43 20 3C 10 74 36 3C 05 74 32 6A 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 80 7B 20 10 75 07 8B C3 E8 ?? ?? ?? ?? 8A 43 20 3C 05 74 04 84 C0 75 83 3C 05 74 32 6A 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 2C 01 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? E9 10 01 00 00 83 7D F8 01 74 11 83 7D F8 02 74 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 A1 ?? ?? ?? ?? 50 57 56 8B 4D F8 B2 02 8B 43 04 E8 ?? ?? ?? ?? 89 45 FC 85 F6 74 32 80 7F 04 00 75 14 80 7E 04 01 75 0E 8B 47 24 89 46 24 8B 47 28 89 46 28 EB 18 80 7E 04 00 75 12 80 7F 04 01 75 0C 8B 46 24 89 47 24 8B 46 28 89 47 28 83 7F 24 03 75 15 83 7D F8 1E 75 0F 80 7E 04 01 75 4A C7 46 24 01 00 00 00 EB 41 83 7D F8 01 74 3B 83 7D F8 02 74 35 8B 47 24 83 E8 03 74 16 83 E8 06 74 11 85 F6 74 24 8B 46 24 83 E8 03 74 05 83 E8 06 75 17 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 FC C7 40 24 04 00 00 00 85 F6 74 32 8B 47 24 E8 ?? ?? ?? ?? 84 C0 74 0E 83 7E 24 01 75 08 8B 47 24 89 46 24 EB 18 8B 46 24 E8 ?? ?? ?? ?? 84 C0 74 0C 83 7F 24 01 75 06 8B 46 24 89 47 24 56 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6053_0 {
	meta:
		name = "TExprParser.ParseExpr5"
		size = 201
		refs = "0014 TExprParser.ParseExpr5 0021 TExprParser.ParseExpr6 0033 SExprNoArith 0038 LoadResString 0042 DatabaseError 004e Operators 005a TExprParser.NextToken 0069 Unassigned 007c TFilterExpr.NewNode 0087 TExprParser.TypeCheckArithOp 0096 TExprParser.GetScopeKind 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 71 F6 43 30 01 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 33 C0 8A 43 20 8B 04 85 ?? ?? ?? ?? 89 45 FC 8B FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 50 57 8B 45 F8 50 8B 4D FC B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 43 20 04 F4 2C 02 72 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6054_0 {
	meta:
		name = "TExprParser.ParseExpr6"
		size = 201
		refs = "0014 TExprParser.ParseExpr6 0021 TExprParser.ParseExpr7 0033 SExprNoArith 0038 LoadResString 0042 DatabaseError 004e Operators 005a TExprParser.NextToken 0069 Unassigned 007c TFilterExpr.NewNode 0087 TExprParser.TypeCheckArithOp 0096 TExprParser.GetScopeKind 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 71 F6 43 30 01 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 33 C0 8A 43 20 8B 04 85 ?? ?? ?? ?? 89 45 FC 8B FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 50 57 8B 45 F8 50 8B 4D FC B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 43 20 04 F2 2C 02 72 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6055_0 {
	meta:
		name = "TExprParser.ParseExpr7"
		size = 964
		refs = "0018 TExprParser.ParseExpr7 0053 TExprParser.NextTokenIsLParen 0065 TExprParser.TokenSymbolIsFunc 0078 @LStrLAsg 007f TExprParser.NextToken 0091 TExprParser.TokenName 00a7 SExprNoLParen 00ac LoadResString 00b7 DatabaseErrorFmt 00cb CompareText 00f4 @VarFromLStr 0108 TFilterExpr.NewNode 0117 _Dn_TList 011c TObject.Create 0126 TExprParser.ParseExpr 0130 TList.Add 015d SExprNoRParenOrComma 0195 TExprParser.GetFuncResultInfo 01a6 TExprParser.TokenSymbolIs 01af Null 01e6 @VarFromInt 0305 SExprNoRParen 0339 SExprExpected 0367 @VarClr 0374 @LStrArrayClr 037c @LStrClr 0382 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 20 FE C8 74 1D FE C8 0F 84 39 02 00 00 FE C8 0F 84 5B 02 00 00 FE C8 0F 84 90 02 00 00 E9 D5 02 00 00 F6 43 30 01 0F 84 4E 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 3F 01 00 00 8B 53 14 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 2D 01 00 00 8D 45 FC 8B 53 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 20 04 74 32 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 1A 80 7B 20 0E 75 14 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 6A 00 33 C9 B2 03 8B 43 04 E8 ?? ?? ?? ?? 8B F0 80 7B 20 05 74 77 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 46 2C E8 ?? ?? ?? ?? 8A 43 20 3C 10 74 36 3C 05 74 32 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 80 7B 20 10 75 07 8B C3 E8 ?? ?? ?? ?? 8A 43 20 3C 05 74 0B 84 C0 75 9A EB 05 33 C0 89 46 2C 8B D6 8B C3 E8 ?? ?? ?? ?? E9 B1 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 A1 ?? ?? ?? ?? 50 6A 00 6A 00 33 C9 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B F0 C6 46 30 02 E9 80 01 00 00 8B 53 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 45 DC BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 6A 00 33 C9 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B F0 C6 46 30 02 E9 46 01 00 00 8B 53 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8D 45 DC 33 D2 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 6A 00 33 C9 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B F0 C6 46 30 02 E9 0F 01 00 00 8D 45 DC 8B 53 14 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 6A 00 33 C9 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B F0 C6 46 30 00 E9 E5 00 00 00 8D 45 DC 8B 53 14 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 6A 00 33 C9 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B F0 C6 46 30 00 E9 BB 00 00 00 8D 45 DC 8B 53 14 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 6A 00 33 C9 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B F0 80 7B 28 00 74 09 C7 46 24 07 00 00 00 EB 07 C7 46 24 01 00 00 00 C6 46 30 02 EB 7E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7B 20 05 74 68 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? EB 34 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 33 F6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 63 6F 75 6E 74 00 00 00 FF FF FF FF 08 00 00 00 43 4F 55 4E 54 28 2A 29 00 00 00 00 FF FF FF FF 04 00 00 00 4E 55 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_6056_0 {
	meta:
		name = "TExprParser.GetScopeKind"
		size = 185
		refs = "0013 TExprParser.GetScopeKind 004d SExprBadScope 0052 LoadResString 005c DatabaseError 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 04 85 DB 74 6F 85 DB 75 08 8A 46 30 88 47 30 EB 63 80 7E 30 00 75 06 80 7B 30 01 74 0C 80 7E 30 01 75 1D 80 7B 30 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 80 7E 30 02 75 0C 80 7B 30 02 75 06 C6 47 30 02 EB 22 80 7E 30 01 74 06 80 7B 30 01 75 06 C6 47 30 01 EB 10 80 7E 30 00 74 06 80 7B 30 00 75 04 C6 47 30 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6057_0 {
	meta:
		name = "TExprParser.GetFuncResultInfo"
		size = 980
		refs = "000d TExprParser.GetFuncResultInfo 0025 @VarToLStr 0032 CompareText 0067 SExprTypeMis 006c LoadResString 0076 DatabaseError 008c TList.Get 02e1 @LStrClr 02e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 43 24 01 00 00 00 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 40 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 24 8B 73 2C 85 F6 74 06 83 7E 08 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 73 2C 85 F6 74 15 83 7E 08 00 7E 0F 33 D2 8B C6 E8 ?? ?? ?? ?? 8A 40 30 88 43 30 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 10 C7 43 24 07 00 00 00 C6 43 30 01 E9 F2 01 00 00 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 19 33 D2 8B 43 2C E8 ?? ?? ?? ?? 8B 40 24 89 43 24 C6 43 30 01 E9 A1 01 00 00 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 10 C7 43 24 06 00 00 00 C6 43 30 01 E9 59 01 00 00 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 8C 00 00 00 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 70 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 54 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 38 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1C C7 43 24 06 00 00 00 33 D2 8B 43 2C E8 ?? ?? ?? ?? 8A 40 30 88 43 30 E9 91 00 00 00 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D C7 43 24 0B 00 00 00 C6 43 30 02 EB 68 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 19 C7 43 24 02 00 00 00 33 D2 8B 43 2C E8 ?? ?? ?? ?? 8A 40 30 88 43 30 EB 33 8D 45 FC 8D 53 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 17 C7 43 24 0A 00 00 00 33 D2 8B 43 2C E8 ?? ?? ?? ?? 8A 40 30 88 43 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 FF FF FF FF 08 00 00 00 43 4F 55 4E 54 28 2A 29 00 00 00 00 FF FF FF FF 07 00 00 00 47 45 54 44 41 54 45 00 FF FF FF FF 03 00 00 00 53 55 4D 00 FF FF FF FF 03 00 00 00 41 56 47 00 FF FF FF FF 03 00 00 00 4D 49 4E 00 FF FF FF FF 03 00 00 00 4D 41 58 00 FF FF FF FF 05 00 00 00 43 4F 55 4E 54 00 00 00 FF FF FF FF 04 00 00 00 59 45 41 52 00 00 00 00 FF FF FF FF 05 00 00 00 4D 4F 4E 54 48 00 00 00 FF FF FF FF 03 00 00 00 44 41 59 00 FF FF FF FF 04 00 00 00 48 4F 55 52 00 00 00 00 FF FF FF FF 06 00 00 00 4D 49 4E 55 54 45 00 00 FF FF FF FF 06 00 00 00 53 45 43 4F 4E 44 00 00 FF FF FF FF 04 00 00 00 44 41 54 45 00 00 00 00 FF FF FF FF 04 00 00 00 54 49 4D 45 00 00 00 00 }
	condition:
		$1
}

rule function_6058_0 {
	meta:
		name = "TExprParser.TokenName"
		size = 84
		refs = "0011 SExprNothing 0016 LoadResString 0026 @LStrFromPCharLen 002b TExprParser.TokenName 003e @LStrCatN"
	strings:
		$1 = { 53 56 8B DA 8B 50 10 8B 70 0C 3B D6 75 0F 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B CE 2B CA 8B F3 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_6059_0 {
	meta:
		name = "TExprParser.TokenSymbolIs"
		size = 36
		refs = "0012 CompareText"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 20 01 75 0E 8B D6 8B 43 14 E8 ?? ?? ?? ?? 85 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_6060_0 {
	meta:
		name = "TExprParser.TokenSymbolIsFunc"
		size = 692
		refs = "0004 TExprParser.TokenSymbolIsFunc 000b CompareText"
	strings:
		$1 = { 53 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 60 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 4C 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 38 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 24 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 10 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 FC 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 E8 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 D4 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 C0 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 AC 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 74 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 64 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 54 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 44 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 34 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 00 FF FF FF FF 05 00 00 00 55 50 50 45 52 00 00 00 FF FF FF FF 05 00 00 00 4C 4F 57 45 52 00 00 00 FF FF FF FF 09 00 00 00 53 55 42 53 54 52 49 4E 47 00 00 00 FF FF FF FF 04 00 00 00 54 52 49 4D 00 00 00 00 FF FF FF FF 08 00 00 00 54 52 49 4D 4C 45 46 54 00 00 00 00 FF FF FF FF 09 00 00 00 54 52 49 4D 52 49 47 48 54 00 00 00 FF FF FF FF 04 00 00 00 59 45 41 52 00 00 00 00 FF FF FF FF 05 00 00 00 4D 4F 4E 54 48 00 00 00 FF FF FF FF 03 00 00 00 44 41 59 00 FF FF FF FF 04 00 00 00 48 4F 55 52 00 00 00 00 FF FF FF FF 06 00 00 00 4D 49 4E 55 54 45 00 00 FF FF FF FF 06 00 00 00 53 45 43 4F 4E 44 00 00 FF FF FF FF 07 00 00 00 47 45 54 44 41 54 45 00 FF FF FF FF 04 00 00 00 44 41 54 45 00 00 00 00 FF FF FF FF 04 00 00 00 54 49 4D 45 00 00 00 00 FF FF FF FF 03 00 00 00 53 55 4D 00 FF FF FF FF 03 00 00 00 4D 49 4E 00 FF FF FF FF 03 00 00 00 4D 41 58 00 FF FF FF FF 03 00 00 00 41 56 47 00 FF FF FF FF 05 00 00 00 43 4F 55 4E 54 00 00 00 }
	condition:
		$1
}

rule function_6061_0 {
	meta:
		name = "TExprParser.TypeCheckArithOp"
		size = 395
		refs = "000a TExprParser.TypeCheckArithOp 001d IsNumeric 006b IsTemporal 0157 SExprTypeMis 015c LoadResString 0166 DatabaseError 017b @LStrClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 8B 43 1C 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 43 20 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 0C C7 43 24 07 00 00 00 E9 2A 01 00 00 8B 43 1C 83 78 24 01 75 1B 8B 43 20 83 78 24 01 75 12 83 7B 08 10 75 0C C7 43 24 01 00 00 00 E9 06 01 00 00 8B 43 1C 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 21 8B 43 20 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 12 83 7B 08 10 75 0C C7 43 24 0B 00 00 00 E9 D6 00 00 00 8B 43 1C 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 23 8B 43 20 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 14 83 7B 08 11 75 0E 8B 43 1C 8B 40 24 89 43 24 E9 A4 00 00 00 8B 43 1C 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 43 20 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 0F 83 7B 08 11 75 09 C7 43 24 07 00 00 00 EB 77 8B 43 1C 83 78 24 01 75 2A 8B 43 20 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 1B 83 7B 08 11 75 15 8B 43 20 8B 40 24 8B 53 1C 89 42 24 C7 43 24 07 00 00 00 EB 44 8B 43 1C 83 78 24 01 75 24 8B 43 20 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 15 8B 43 1C 80 78 04 01 75 0C 8B 43 1C C7 40 24 0B 00 00 00 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6062_0 {
	meta:
		name = "TMasterDataLink.Create"
		size = 75
		refs = "000b @ClassCreate 001a TDataLink.Create 0024 _Dn_TList 0029 TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6063_0 {
	meta:
		name = "TMasterDataLink.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TDataLink.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7656_0 {
	meta:
		name = "TDdeClientItem.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7676_0 {
	meta:
		name = "TDdeServerItem.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7506_0 {
	meta:
		name = "THTMLTableColumn.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TCollectionItem.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6064_0 {
	meta:
		name = "TMasterDataLink.ActiveChanged"
		size = 213
		refs = "0015 @CallDynaInst 0026 TMasterDataLink.ActiveChanged 0034 TDataLink.GetDataSet 0045 TDataSet.GetFieldList 0054 @HandleAnyException 0068 @RaiseAgain 006d @DoneExcept 0078 TDataSet.GetActive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 24 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 80 78 15 00 74 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 20 8B 55 FC 8B 52 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 8B 45 FC 8B 40 24 66 BB FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 FC 8B 40 1C F6 40 20 08 75 43 8B 45 FC 80 78 15 00 74 24 8B 45 FC 8B 40 24 83 78 08 00 7E 18 8B 45 FC 66 83 78 2A 00 74 24 8B 5D FC 8B 55 FC 8B 43 2C FF 53 28 EB 16 8B 45 FC 66 83 78 32 00 74 0C 8B 5D FC 8B 55 FC 8B 43 34 FF 53 30 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6065_0 {
	meta:
		name = "TMasterDataLink.CheckBrowseMode"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TDataSet.CheckBrowseMode"
		altNames = "TQueryDataLink.CheckBrowseMode"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7406_0 {
	meta:
		name = "TQueryDataLink.ActiveChanged"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TQuery.RefreshParams"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6067_0 {
	meta:
		name = "TMasterDataLink.LayoutChanged"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_6068_0 {
	meta:
		name = "TMasterDataLink.RecordChanged"
		size = 72
		refs = "0013 TDataSet.GetActive 002e TList.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 80 78 2E 04 74 36 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 2A 8B 43 24 83 78 08 00 7E 21 85 F6 74 0E 8B D6 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7C 0F 66 83 7B 2A 00 74 08 8B D3 8B 43 2C FF 53 28 5E 5B C3 }
	condition:
		$1
}

rule function_6069_0 {
	meta:
		name = "TMasterDataLink.SetFieldNames"
		size = 38
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 }
	condition:
		$1
}

rule function_6074_0 {
	meta:
		name = "OkToChangeFieldAlignment"
		size = 44
	strings:
		$1 = { 85 C0 74 21 8A 50 30 80 FA 02 72 16 80 FA 05 74 11 8A 48 30 80 F9 0B 76 05 80 F9 0E 75 04 33 C0 EB 09 B0 01 C3 80 FA 02 0F 95 C0 C3 }
	condition:
		$1
}

rule function_6075_0 {
	meta:
		name = "DBUseRightToLeftAlignment"
		size = 47
		refs = "001d OkToChangeFieldAlignment"
		altNames = "QRDBUseRightToLeftAlignment"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 85 F6 74 05 8A 5E 33 EB 02 33 DB 80 7F 4F 01 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6076_0 {
	meta:
		name = "TDataSourceLink.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TDataLink.Create 0026 @AfterConstruction"
		altNames = "TFieldDataLink.Create TListSourceLink.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 16 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6077_0 {
	meta:
		name = "TFieldDataLink.SetEditing"
		size = 32
	strings:
		$1 = { 53 3A 50 28 74 18 88 50 28 C6 40 29 00 66 83 78 36 00 74 0A 8B D8 8B D0 8B 43 38 FF 53 34 5B C3 }
	condition:
		$1
}

rule function_6078_0 {
	meta:
		name = "TFieldDataLink.SetFieldName"
		size = 38
		refs = "000c @LStrCmp 0018 @LStrAsg 001f TFieldDataLink.UpdateField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6079_0 {
	meta:
		name = "TFieldDataLink.SetField"
		size = 36
		refs = "001e TFieldDataLink.UpdateRightToLeft"
	strings:
		$1 = { 53 8B D8 3B 53 1C 74 1A 89 53 1C 8B C3 8B 10 FF 52 20 33 D2 8B C3 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6080_0 {
	meta:
		name = "TFieldDataLink.UpdateField"
		size = 85
		refs = "0009 TFieldDataLink.SetField 002c GetFieldProperty 0045 TDataSet.FieldByName"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 15 00 74 3F 83 7B 20 00 74 39 8B 73 24 85 F6 74 1B 8B 43 04 8B 40 24 8B 4B 20 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 17 8B 43 04 8B 40 24 8B 53 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6081_0 {
	meta:
		name = "TFieldDataLink.UpdateRightToLeft"
		size = 129
		refs = "0010 _Dn_TWinControl 0015 @IsClass 0026 @AsClass 002f TControl.IsRightToLeft 003c TWinControl.GetHandle 0042 GetWindowLong 005a DBUseRightToLeftAlignment 0079 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F8 8B 77 24 85 F6 74 71 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 60 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 46 6A EC 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 25 00 10 00 00 3D 00 10 00 00 0F 94 C3 8B 57 1C 8B 47 24 E8 ?? ?? ?? ?? 84 DB 74 04 84 C0 74 07 80 F3 01 84 C3 74 10 6A 00 33 C9 BA 33 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6082_0 {
	meta:
		name = "TFieldDataLink.Edit"
		size = 26
		refs = "0006 TFieldDataLink.GetCanModify 0011 TDataLink.Edit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8A 43 28 5B C3 }
	condition:
		$1
}

rule function_6083_0 {
	meta:
		name = "TFieldDataLink.GetCanModify"
		size = 35
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 12 83 7B 1C 00 74 0C 8B 43 1C 8B 10 FF 52 60 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6084_0 {
	meta:
		name = "TFieldDataLink.Modified"
		size = 5
	strings:
		$1 = { C6 40 29 01 C3 }
	condition:
		$1
}

rule function_6086_0 {
	meta:
		name = "TFieldDataLink.ActiveChanged"
		size = 27
		refs = "0006 TFieldDataLink.UpdateField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 46 00 74 08 8B D3 8B 43 48 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_6087_0 {
	meta:
		name = "TFieldDataLink.EditingChanged"
		size = 35
		refs = "000c TFieldDataLink.GetCanModify 001d TFieldDataLink.SetEditing"
	strings:
		$1 = { 53 8B D8 80 7B 17 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6088_0 {
	meta:
		name = "TFieldDataLink.FocusControl"
		size = 67
		refs = "0017 _Dn_TWinControl 001c @IsClass 0028 TWinControl.CanFocus"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 3E 85 FF 74 32 3B 7B 1C 75 2D 8B 43 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 0F 33 C0 89 06 8B 43 24 8B 10 FF 92 B4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6089_0 {
	meta:
		name = "TFieldDataLink.RecordChanged"
		size = 33
	strings:
		$1 = { 53 8B D8 85 D2 74 05 3B 53 1C 75 13 66 83 7B 2E 00 74 08 8B D3 8B 43 30 FF 53 2C C6 43 29 00 5B C3 }
	condition:
		$1
}

rule function_6091_0 {
	meta:
		name = "TFieldDataLink.UpdateData"
		size = 36
	strings:
		$1 = { 53 8B D8 80 7B 29 00 74 19 83 7B 1C 00 74 0F 66 83 7B 3E 00 74 08 8B D3 8B 43 40 FF 53 3C C6 43 29 00 5B C3 }
	condition:
		$1
}

rule function_6092_0 {
	meta:
		name = "TPaintControl.Create"
		size = 64
		refs = "000d @ClassCreate 001f @LStrAsg 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8D 46 08 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6094_0 {
	meta:
		name = "TPaintControl.DestroyHandle"
		size = 36
		refs = "000c DestroyWindow 0014 FreeObjectInstance"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_6095_0 {
	meta:
		name = "TPaintControl.GetHandle"
		size = 318
		refs = "0018 TPaintControl.GetHandle 002e TPaintControl.WndProc 0033 MakeObjectInstance 0058 HInstance 0062 Application 0092 TControl.GetText 009d @LStrToPChar 00b3 CreateWindowEx 00cd NewStyleControls 00da Subclass3DWnd 00e5 GetWindowLong 00f7 SetWindowLong 0104 TFont.GetHandle 0110 SendMessage 012b @LStrClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 33 D2 89 95 70 FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 85 E8 00 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8D 95 74 FF FF FF 8B 43 04 8B 08 FF 91 94 00 00 00 81 A5 78 FF FF FF FF FF CF FF 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 50 8B 45 8C 50 8B 45 88 50 8B 45 84 50 8B 45 80 50 8B 85 78 FF FF FF 0D 00 00 00 10 50 8D 95 70 FF FF FF 8B 43 04 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 50 8B 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 89 43 0C 80 7B 18 00 74 1E 8B 43 04 80 B8 2C 01 00 00 00 74 12 A1 ?? ?? ?? ?? 80 38 00 75 08 8B 43 0C E8 ?? ?? ?? ?? 6A FC 8B 43 0C 50 E8 ?? ?? ?? ?? 89 43 14 8B 43 10 50 6A FC 8B 43 0C 50 E8 ?? ?? ?? ?? 6A 01 8B 43 04 8B 40 58 E8 ?? ?? ?? ?? 50 6A 30 8B 43 0C 50 E8 ?? ?? ?? ?? 8B 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6096_0 {
	meta:
		name = "TPaintControl.SetCtl3DButton"
		size = 25
		refs = "000f TPaintControl.DestroyHandle"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 0C 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 5E 18 5E 5B C3 }
	condition:
		$1
}

rule function_6097_0 {
	meta:
		name = "TPaintControl.WndProc"
		size = 76
		refs = "0026 TControl.Perform 0041 CallWindowProc"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 33 81 FE 32 BD 00 00 72 1E 81 FE 38 BD 00 00 77 16 8B 43 08 50 8B 4B 04 8B D6 8B 47 04 E8 ?? ?? ?? ?? 89 43 0C EB 19 8B 43 08 50 8B 43 04 50 56 8B 47 0C 50 8B 47 14 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6098_0 {
	meta:
		name = "TDBEdit.ResetMaxLength"
		size = 164
		refs = "000d TDBEdit.ResetMaxLength 001a TCustomMaskEdit.GetMaxLength 0025 TDBEdit.GetDataSource 0040 TDBEdit.GetDataField 0054 TDataSet.FindField 007e TCustomMaskEdit.SetMaxLength 0093 @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 60 8B C3 E8 ?? ?? ?? ?? 85 C0 74 55 8B C3 E8 ?? ?? ?? ?? 83 78 24 00 74 48 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B 40 24 5A E8 ?? ?? ?? ?? 8B F0 85 F6 74 24 80 7E 30 01 75 1E 8B C6 8B 10 FF 52 78 0F B7 F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6099_0 {
	meta:
		name = "TDBEdit.Create"
		size = 140
		refs = "000e @ClassCreate 001c TCustomMaskEdit.Create 0025 TCustomEdit.SetReadOnly 002a TDBEdit.Create 0037 _DV_TFieldDataLink 003c TFieldDataLink.Create 0051 TDBEdit.DataChange 005b TDBEdit.EditingChange 0065 TDBEdit.UpdateData 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 }
	condition:
		$1
}

rule function_6100_0 {
	meta:
		name = "TDBEdit.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0031 TWinControl.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 20 02 00 00 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6101_0 {
	meta:
		name = "TDBEdit.Loaded"
		size = 34
		refs = "0006 TControl.Loaded 000d TDBEdit.ResetMaxLength 001c TDBEdit.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6102_0 {
	meta:
		name = "TDBEdit.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBEdit.GetDataSource 0032 TDBEdit.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 20 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6104_0 {
	meta:
		name = "TDBEdit.KeyDown"
		size = 55
		refs = "0012 TCustomMaskEdit.KeyDown 002f TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 66 83 3B 2E 74 0C 66 83 3B 2D 75 11 F6 04 24 01 74 0B 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6105_0 {
	meta:
		name = "TDBEdit.KeyPress"
		size = 144
		refs = "000b TCustomMaskEdit.KeyPress 003d MessageBeep 0071 TFieldDataLink.Edit 007f TFieldDataLink.Reset 0086 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 04 E0 2C E0 73 2D 8B 83 20 02 00 00 83 78 1C 00 74 21 8A 16 8B 83 20 02 00 00 8B 40 1C 8B 08 FF 91 C0 00 00 00 84 C0 75 0A 6A 00 E8 ?? ?? ?? ?? C6 06 00 33 C0 8A 06 83 F8 18 7F 0E 74 1B 83 E8 08 74 16 83 E8 0E 74 11 EB 32 83 E8 1B 74 18 83 C0 FB 2D E0 00 00 00 73 23 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_6106_0 {
	meta:
		name = "TDBEdit.EditCanModify"
		size = 12
		refs = "0007 TFieldDataLink.Edit"
	strings:
		$1 = { 8B 80 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6115_0 {
	meta:
		name = "TDBEdit.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7460_0 {
	meta:
		name = "TQuery.ParamByName"
		size = 12
		refs = "0007 TParams.ParamByName"
	strings:
		$1 = { 8B 80 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7449_0 {
	meta:
		name = "TQuery.SetParamsList"
		size = 12
		refs = "0007 TParams.AssignValues"
	strings:
		$1 = { 8B 80 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7374_0 {
	meta:
		name = "TTable.SetMasterFields"
		size = 12
		refs = "0007 TMasterDataLink.SetFieldNames"
	strings:
		$1 = { 8B 80 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6107_0 {
	meta:
		name = "TDBEdit.Reset"
		size = 23
		refs = "000a TFieldDataLink.Reset 0011 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 8B D8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6109_0 {
	meta:
		name = "TDBEdit.Change"
		size = 23
		refs = "000a TFieldDataLink.Modified 0011 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6108_0 {
	meta:
		name = "TDBEdit.SetFocused"
		size = 57
		refs = "001d TCustomMaskEdit.GetMasked 0033 TFieldDataLink.Reset"
	strings:
		$1 = { 53 8B D8 3A 93 29 02 00 00 74 2C 88 93 29 02 00 00 80 BB 28 02 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 78 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6110_0 {
	meta:
		name = "TDBEdit.GetDataSource"
		size = 10
		altNames = "TTable.GetDataSource"
	strings:
		$1 = { 8B 80 20 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6111_0 {
	meta:
		name = "TDBEdit.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 20 02 00 00 80 78 19 00 74 06 F6 43 20 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6112_0 {
	meta:
		name = "TDBEdit.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
		altNames = "TTable.GetMasterFields"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 20 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6113_0 {
	meta:
		name = "TDBEdit.SetDataField"
		size = 35
		refs = "000f TDBEdit.ResetMaxLength 001c TFieldDataLink.SetFieldName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6114_0 {
	meta:
		name = "TDBEdit.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 20 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6116_0 {
	meta:
		name = "TDBEdit.GetField"
		size = 10
	strings:
		$1 = { 8B 80 20 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6117_0 {
	meta:
		name = "TDBEdit.DataChange"
		size = 337
		refs = "000c TDBEdit.DataChange 0037 TCustomMaskEdit.SetEditText 005c TCustomMaskEdit.SetEditMask 0078 TCustomMaskEdit.GetMaxLength 0094 TCustomMaskEdit.SetMaxLength 00a8 TFieldDataLink.GetCanModify 00bd TField.GetEditText 00c7 TCustomMaskEdit.SetText 00da TField.GetDisplayText 00ff TCustomEdit.SetModified 0141 @LStrClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 20 02 00 00 8B 40 1C 85 C0 0F 84 DE 00 00 00 8A 40 33 3A 83 28 02 00 00 74 1B 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 8B 40 1C 8A 40 33 88 83 28 02 00 00 8B 83 20 02 00 00 8B 40 1C 8B 50 48 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 32 8B 83 20 02 00 00 8B 40 1C 80 78 30 01 75 23 8B C3 E8 ?? ?? ?? ?? 85 C0 75 18 8B 83 20 02 00 00 8B 40 1C 8B 10 FF 52 78 0F B7 D0 8B C3 E8 ?? ?? ?? ?? 80 BB 29 02 00 00 00 74 2C 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 FC 8B 83 20 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 63 8D 55 FC 8B 83 20 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 80 78 28 00 74 3C 80 78 29 00 74 36 B2 01 8B C3 E8 ?? ?? ?? ?? EB 2B C6 83 28 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6118_0 {
	meta:
		name = "TDBEdit.EditingChange"
		size = 18
		refs = "000d TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 20 02 00 00 8A 52 28 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6119_0 {
	meta:
		name = "TDBEdit.UpdateData"
		size = 92
		refs = "000c TDBEdit.UpdateData 0026 TCustomMaskEdit.GetText 0037 TField.SetEditText 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 E8 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 20 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6120_0 {
	meta:
		name = "TDBEdit.WMPaste"
		size = 29
		refs = "000d TFieldDataLink.Edit 0016 TCustomMaskEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6121_0 {
	meta:
		name = "TDBEdit.WMCut"
		size = 29
		refs = "000d TFieldDataLink.Edit 0016 TCustomMaskEdit.WMCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6122_0 {
	meta:
		name = "TDBEdit.CMEnter"
		size = 62
		refs = "000b TDBEdit.SetFocused 0014 TCustomMaskEdit.CMEnter 0019 SysLocale 002a TFieldDataLink.GetCanModify 0037 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 18 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6123_0 {
	meta:
		name = "TDBEdit.CMExit"
		size = 118
		refs = "000e TDBEdit.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 0039 TCustomEdit.SelectAll 0049 @RaiseAgain 004e @DoneExcept 0058 TDBEdit.SetFocused 0060 TCustomMaskEdit.CheckCursor 006c @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB C9 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6124_0 {
	meta:
		name = "TDBEdit.WMPaint"
		size = 962
		refs = "001a TDBEdit.WMPaint 0038 @CallDynaInst 0044 ChangeBiDiModeAlignment 006c SysLocale 007e TWinControl.HandleAllocated 008e TControl.IsRightToLeft 00a0 TWinControl.GetHandle 00a6 GetWindowLong 00c2 TControl.UseRightToLeftReading 00d4 TControl.UseRightToLeftScrollBar 00f7 AlignStyle 0124 SetWindowLong 012f TWinControl.WMPaint 0147 _Dn_TControlCanvas 014c TCanvas.Create 0161 TControlCanvas.SetControl 017d BeginPaint 018c TCanvas.SetHandle 01ae TCanvas.SetFont 01c7 NewStyleControls 01f1 TBrush.SetColor 01fb TCanvas.FrameRect 0208 InflateRect 022f TFont.SetColor 025b TField.GetDisplayText 0279 AnsiUpperCase 0284 @LStrLAsg 0291 AnsiLowerCase 02a9 TCustomMaskEdit.GetEditText 02bd @LStrLen 02c6 UniqueString 02d5 @FillChar 02e0 TDBEdit.GetTextMargins 02fa TCanvas.TextWidth 0303 TControl.GetClientWidth 033f TControlCanvas.UpdateTextFlags 0353 TCanvas.TextRect 038b EndPaint 0391 @HandleFinally 03a8 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 33 C9 89 4D 94 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 28 02 00 00 88 45 EB 8B 45 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 EB E8 ?? ?? ?? ?? 80 7D EB 00 74 10 8B 45 FC 80 B8 29 02 00 00 00 0F 84 DA 00 00 00 8B 45 FC F6 40 44 80 0F 85 CD 00 00 00 A1 ?? ?? ?? ?? 80 78 09 00 0F 84 AE 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 6A EC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 81 E6 FF EF FF FF 81 E6 FF DF FF FF 81 E6 FF BF FF FF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 81 CE 00 20 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 81 CE 00 40 00 00 8B 45 FC 66 BB CF FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 33 D2 8A 55 EB 0B 34 90 6A EC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 74 11 56 6A EC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 5F 02 00 00 8B 45 FC 83 B8 24 02 00 00 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 24 02 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 85 C0 75 12 8D 45 98 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 24 02 00 00 92 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 58 8B 45 FC 8B 80 24 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 24 02 00 00 8D 55 D8 8B 45 FC 8B 08 FF 51 44 A1 ?? ?? ?? ?? 80 38 00 74 0C 8B 45 FC 80 B8 2C 01 00 00 00 75 30 8B 45 FC 80 B8 F0 01 00 00 01 75 24 8B 43 14 BA 06 00 00 80 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 43 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 84 C0 75 0D 8B 43 0C BA 11 00 00 80 E8 ?? ?? ?? ?? 8B 45 FC F6 40 44 80 74 66 8B 45 FC 8B 80 20 02 00 00 83 78 1C 00 74 57 8D 55 EC 8B 45 FC 8B 80 20 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8A 80 F7 01 00 00 FE C8 74 06 FE C8 74 1A EB 3B 8D 55 94 8B 45 EC E8 ?? ?? ?? ?? 8B 55 94 8D 45 EC E8 ?? ?? ?? ?? EB 23 8D 55 94 8B 45 EC E8 ?? ?? ?? ?? 8B 55 94 8D 45 EC E8 ?? ?? ?? ?? EB 0B 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F1 01 00 00 00 74 20 8B 45 EC E8 ?? ?? ?? ?? 50 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 8A 8A F1 01 00 00 5A E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8A 45 EB 2C 01 72 04 74 07 EB 23 8B 75 F0 EB 3D 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B F0 58 2B F0 2B 75 F0 4E EB 1F 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B F0 58 2B F0 D1 FE 79 03 83 D6 00 A1 ?? ?? ?? ?? 80 78 09 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 EC 50 8B CE 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 24 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 98 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6125_0 {
	meta:
		name = "TDBEdit.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 20 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_6126_0 {
	meta:
		name = "TDBEdit.GetTextMargins"
		size = 197
		refs = "000b NewStyleControls 0042 TWinControl.GetHandle 0048 SendMessage 006a GetDC 0073 GetTextMetrics 007b TFont.GetHandle 0082 SelectObject 009e ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 90 8B FA 8B F0 A1 ?? ?? ?? ?? 80 38 00 74 46 80 BE F0 01 00 00 00 75 04 33 DB EB 15 80 BE 2C 01 00 00 00 74 07 BB 01 00 00 00 EB 05 BB 02 00 00 00 6A 00 6A 00 68 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 25 FF FF 00 00 03 C3 89 07 89 5F 04 EB 64 80 BE F0 01 00 00 00 75 04 33 DB EB 52 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 8D 44 24 38 50 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 1C 24 8B 44 24 38 3B D8 7E 02 8B D8 85 DB 79 03 83 C3 03 C1 FB 02 89 1F 89 5F 04 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6127_0 {
	meta:
		name = "TDBEdit.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 20 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6128_0 {
	meta:
		name = "TDBEdit.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 20 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6129_0 {
	meta:
		name = "TDBText.Create"
		size = 132
		refs = "000e @ClassCreate 001c TCustomLabel.Create 0021 TDBText.Create 003c TCustomLabel.SetShowAccelChar 0043 _DV_TFieldDataLink 0048 TFieldDataLink.Create 005d TDBText.DataChange 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 33 D2 8B C3 8B 08 FF 91 90 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 }
	condition:
		$1
}

rule function_6130_0 {
	meta:
		name = "TDBText.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0026 TGraphicControl.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 24 01 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6131_0 {
	meta:
		name = "TDBText.Loaded"
		size = 27
		refs = "0006 TCustomLabel.Loaded 0015 TDBText.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6173_0 {
	meta:
		name = "TDBComboBox.Loaded"
		size = 27
		refs = "0006 TControl.Loaded 0015 TDBComboBox.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6252_0 {
	meta:
		name = "TDBMemo.Loaded"
		size = 27
		refs = "0006 TCustomMemo.Loaded 0015 TDBMemo.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6463_0 {
	meta:
		name = "TDBRichEdit.Loaded"
		size = 27
		refs = "0006 TCustomMemo.Loaded 0015 TDBRichEdit.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6132_0 {
	meta:
		name = "TDBText.Notification"
		size = 58
		refs = "0010 TCustomLabel.Notification 0025 TDBText.GetDataSource 0032 TDBText.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 24 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6134_0 {
	meta:
		name = "TDBText.SetAutoSize"
		size = 115
		refs = "000f TDBText.SetAutoSize 0035 SDataSourceFixed 003a LoadResString 0044 DatabaseError 004d TCustomLabel.SetAutoSize 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 1D 01 00 00 74 30 84 DB 74 23 8B 86 24 01 00 00 80 78 19 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6135_0 {
	meta:
		name = "TDBText.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 24 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6136_0 {
	meta:
		name = "TDBText.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 24 01 00 00 80 78 19 00 74 06 F6 43 20 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6137_0 {
	meta:
		name = "TDBText.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 24 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6138_0 {
	meta:
		name = "TDBText.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6139_0 {
	meta:
		name = "TDBText.GetField"
		size = 10
	strings:
		$1 = { 8B 80 24 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6140_0 {
	meta:
		name = "TDBText.GetFieldText"
		size = 60
		refs = "0019 TField.GetDisplayText 002b @LStrLAsg 0034 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 24 01 00 00 8B 78 1C 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 19 F6 43 20 10 74 0C 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6141_0 {
	meta:
		name = "TDBText.DataChange"
		size = 75
		refs = "000c TDBText.DataChange 001c TDBText.GetFieldText 0026 TControl.SetText 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6142_0 {
	meta:
		name = "TDBText.GetLabelText"
		size = 36
		refs = "0011 TDBText.GetFieldText 001d TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 44 80 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6143_0 {
	meta:
		name = "TDBText.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 24 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_6144_0 {
	meta:
		name = "TDBText.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 24 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6145_0 {
	meta:
		name = "TDBText.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 24 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6146_0 {
	meta:
		name = "TDBCheckBox.Create"
		size = 216
		refs = "000e @ClassCreate 001c TCustomCheckBox.Create 0021 TDBCheckBox.Create 0030 TCustomCheckBox.SetState 003b STextTrue 0040 LoadResString 004b STextFalse 0057 _DV_TFieldDataLink 005c TFieldDataLink.Create 0071 TDBCheckBox.DataChange 007b TDBCheckBox.UpdateData 0089 _DV_TPaintControl 008e TPaintControl.Create 009f TPaintControl.SetCtl3DButton 00ac @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 93 F8 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 FC 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 00 02 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 08 00 00 FF FF FF FF 06 00 00 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_6147_0 {
	meta:
		name = "TDBCheckBox.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0031 TWinControl.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 F4 01 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6148_0 {
	meta:
		name = "TDBCheckBox.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBCheckBox.GetDataSource 0032 TDBCheckBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF F4 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6150_0 {
	meta:
		name = "TDBCheckBox.GetFieldState"
		size = 185
		refs = "000e TDBCheckBox.GetFieldState 005e TField.GetEditText 006e TDBCheckBox.ValueMatch 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F4 01 00 00 8B 58 1C 85 DB 74 6D 8B C3 8B 10 FF 52 74 84 C0 74 04 B3 02 EB 60 8B 86 F4 01 00 00 8B 78 1C 80 7F 30 05 75 13 8B C7 8B 10 FF 52 40 84 C0 74 04 B3 01 EB 42 33 DB EB 3E B3 02 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B 96 F8 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 1A 8B 4D FC 8B 96 FC 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6152_0 {
	meta:
		name = "TDBCheckBox.UpdateData"
		size = 216
		refs = "0011 TDBCheckBox.UpdateData 0076 @LStrLAsg 009b ExtractFieldName 00ac TField.SetEditText 00c6 @LStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE F2 01 00 00 02 75 13 8B 86 F4 01 00 00 8B 40 1C 8B 10 FF 92 B8 00 00 00 EB 79 8B 86 F4 01 00 00 8B 58 1C 80 7B 30 05 75 18 8B C6 8B 10 FF 92 B8 00 00 00 8B D0 8B C3 8B 08 FF 91 80 00 00 00 EB 52 8B C6 8B 10 FF 92 B8 00 00 00 84 C0 74 10 8D 45 F8 8B 96 F8 01 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 96 FC 01 00 00 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8D 4D F4 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 F4 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6153_0 {
	meta:
		name = "TDBCheckBox.ValueMatch"
		size = 124
		refs = "0016 TDBCheckBox.ValueMatch 0034 ExtractFieldName 003e AnsiCompareText 004d @LStrLen 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C7 45 FC 01 00 00 00 EB 1F 8D 4D F8 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 0C 8B C7 E8 ?? ?? ?? ?? 3B 45 FC 7D D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6154_0 {
	meta:
		name = "TDBCheckBox.Toggle"
		size = 38
		refs = "000a TFieldDataLink.Edit 0015 TCustomCheckBox.Toggle 0020 TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6155_0 {
	meta:
		name = "TDBCheckBox.GetDataSource"
		size = 10
		altNames = "TDBLookupControl.GetDataSource"
	strings:
		$1 = { 8B 80 F4 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6156_0 {
	meta:
		name = "TDBCheckBox.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
		altNames = "TDBLookupControl.SetDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 01 00 00 80 78 19 00 74 06 F6 43 20 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6157_0 {
	meta:
		name = "TDBCheckBox.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F4 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6158_0 {
	meta:
		name = "TDBCheckBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6160_0 {
	meta:
		name = "TDBCheckBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6396_0 {
	meta:
		name = "TDBLookupControl.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6159_0 {
	meta:
		name = "TDBCheckBox.GetReadOnly"
		size = 10
		altNames = "TDBLookupControl.GetReadOnly"
	strings:
		$1 = { 8B 80 F4 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6161_0 {
	meta:
		name = "TDBCheckBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 F4 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6162_0 {
	meta:
		name = "TDBCheckBox.KeyPress"
		size = 57
		refs = "000b TWinControl.KeyPress 0024 TFieldDataLink.Edit 0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 2C 08 74 08 2C 13 74 12 2C 05 75 19 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6163_0 {
	meta:
		name = "TDBCheckBox.SetValueCheck"
		size = 31
		refs = "000f @LStrAsg 0018 TDBCheckBox.DataChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 F8 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6164_0 {
	meta:
		name = "TDBCheckBox.SetValueUncheck"
		size = 31
		refs = "000f @LStrAsg 0018 TDBCheckBox.DataChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 FC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6165_0 {
	meta:
		name = "TDBCheckBox.WndProc"
		size = 55
		refs = "0027 TPaintControl.DestroyHandle 0030 TButtonControl.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 83 F8 01 74 13 83 F8 47 74 0E 3D 12 B0 00 00 74 07 3D 0E B0 00 00 75 0B 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6166_0 {
	meta:
		name = "TDBCheckBox.WMPaint"
		size = 87
		refs = "0011 TWinControl.WMPaint 001d TDBCheckBox.GetFieldState 0031 TPaintControl.GetHandle 0037 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 44 80 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 50 68 F1 00 00 00 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6167_0 {
	meta:
		name = "TDBCheckBox.CMExit"
		size = 92
		refs = "0010 TDBCheckBox.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6168_0 {
	meta:
		name = "TDBCheckBox.CMGetDataLink"
		size = 10
		altNames = "TDBLookupComboBox.CMGetDataLink"
	strings:
		$1 = { 8B 80 F4 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_6169_0 {
	meta:
		name = "TDBCheckBox.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
		altNames = "TDBLookupControl.ExecuteAction"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE F4 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6459_0 {
	meta:
		name = "TDBLookupComboBox.ExecuteAction"
		size = 59
		refs = "000d TDBLookupControl.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE F4 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6430_0 {
	meta:
		name = "TDBLookupListBox.ExecuteAction"
		size = 59
		refs = "000d TDBLookupControl.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE F4 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6170_0 {
	meta:
		name = "TDBCheckBox.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
		altNames = "TDBLookupControl.UpdateAction"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE F4 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6460_0 {
	meta:
		name = "TDBLookupComboBox.UpdateAction"
		size = 59
		refs = "000d TDBLookupControl.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE F4 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6431_0 {
	meta:
		name = "TDBLookupListBox.UpdateAction"
		size = 59
		refs = "000d TDBLookupControl.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE F4 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6171_0 {
	meta:
		name = "TDBComboBox.Create"
		size = 176
		refs = "000e @ClassCreate 001c TCustomComboBox.Create 0021 TDBComboBox.Create 002e _DV_TFieldDataLink 0033 TFieldDataLink.Create 0048 TDBComboBox.DataChange 0052 TDBComboBox.UpdateData 005c TDBComboBox.EditingChange 006a _DV_TPaintControl 006f TPaintControl.Create 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 50 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 FF FF FF FF 08 00 00 00 43 4F 4D 42 4F 42 4F 58 00 00 00 00 }
	condition:
		$1
}

rule function_6172_0 {
	meta:
		name = "TDBComboBox.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0031 TCustomComboBox.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B 86 4C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 4C 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6174_0 {
	meta:
		name = "TDBComboBox.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBComboBox.GetDataSource 0032 TDBComboBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 4C 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6176_0 {
	meta:
		name = "TDBComboBox.DataChange"
		size = 139
		refs = "000d TDBComboBox.DataChange 0023 TCustomComboBox.GetDroppedDown 003e TField.GetEditText 0048 TDBComboBox.SetComboText 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F6 01 00 00 01 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3E 8B 83 4C 02 00 00 8B 70 1C 85 F6 74 16 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B F6 43 20 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6177_0 {
	meta:
		name = "TDBComboBox.UpdateData"
		size = 82
		refs = "000c TDBComboBox.UpdateData 001c TDBComboBox.GetComboText 002d TField.SetEditText 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 4C 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6178_0 {
	meta:
		name = "TDBComboBox.SetComboText"
		size = 312
		refs = "0015 TDBComboBox.SetComboText 0026 TDBComboBox.GetComboText 0031 @LStrCmp 005b TWinControl.HandleAllocated 007c TWinControl.GetHandle 0082 SendMessage 00be TCustomComboBox.SetItemIndex 00f3 @HandleFinally 0113 TControl.SetText 0128 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 0F 84 DC 00 00 00 8B 45 FC 80 B8 F6 01 00 00 00 0F 84 B4 00 00 00 8B 45 FC 80 B8 F6 01 00 00 01 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F3 80 7D F3 00 74 14 6A 00 6A 00 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 09 C7 45 F4 FF FF FF FF EB 14 8B 45 FC 8B 80 EC 01 00 00 8B 55 F8 8B 08 FF 51 50 89 45 F4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 1C 6A 00 6A 01 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 C3 E9 ?? ?? ?? ?? EB D6 83 7D F4 00 7D 18 8B 45 FC 8A 80 F6 01 00 00 2C 02 73 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_6179_0 {
	meta:
		name = "TDBComboBox.GetComboText"
		size = 69
		refs = "0016 TControl.GetText 001f TCustomComboBox.GetItemIndex 002c @LStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8A 83 F6 01 00 00 2C 02 73 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 25 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 0F 8B CF 8B D6 8B 83 EC 01 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6180_0 {
	meta:
		name = "TDBComboBox.Change"
		size = 34
		refs = "000a TFieldDataLink.Edit 0011 TCustomComboBox.Change 001c TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6181_0 {
	meta:
		name = "TDBComboBox.Click"
		size = 34
		refs = "000a TFieldDataLink.Edit 0011 TControl.Click 001c TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6183_0 {
	meta:
		name = "TDBComboBox.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 4C 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6184_0 {
	meta:
		name = "TDBComboBox.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 4C 02 00 00 80 78 19 00 74 06 F6 43 20 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6185_0 {
	meta:
		name = "TDBComboBox.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 4C 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6186_0 {
	meta:
		name = "TDBComboBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 4C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6188_0 {
	meta:
		name = "TDBComboBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 4C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6187_0 {
	meta:
		name = "TDBComboBox.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 4C 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6189_0 {
	meta:
		name = "TDBComboBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 4C 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6190_0 {
	meta:
		name = "TDBComboBox.KeyDown"
		size = 79
		refs = "0012 TWinControl.KeyDown 002f TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 66 8B 03 66 83 E8 08 74 09 83 C0 E8 66 2D E0 00 73 23 8B 86 4C 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 14 66 8B 03 66 83 E8 26 74 06 66 83 E8 02 75 05 66 C7 03 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6191_0 {
	meta:
		name = "TDBComboBox.KeyPress"
		size = 141
		refs = "000b TWinControl.KeyPress 003d MessageBeep 0071 TFieldDataLink.Edit 007f TFieldDataLink.Reset 0086 TCustomComboBox.SelectAll"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 04 E0 2C E0 73 2D 8B 83 4C 02 00 00 83 78 1C 00 74 21 8A 16 8B 83 4C 02 00 00 8B 40 1C 8B 08 FF 91 C0 00 00 00 84 C0 75 0A 6A 00 E8 ?? ?? ?? ?? C6 06 00 33 C0 8A 06 83 F8 18 7F 0E 74 1B 83 E8 08 74 16 83 E8 0E 74 11 EB 2F 83 E8 1B 74 18 83 C0 FB 2D E0 00 00 00 73 20 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6193_0 {
	meta:
		name = "TDBComboBox.SetEditReadOnly"
		size = 60
		refs = "0010 TWinControl.HandleAllocated 0036 SendMessage"
	strings:
		$1 = { 53 8B D8 8A 83 F6 01 00 00 2C 02 73 2D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 6A 00 8B 83 4C 02 00 00 8A 40 28 34 01 83 E0 7F 50 68 CF 00 00 00 8B 83 04 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6194_0 {
	meta:
		name = "TDBComboBox.WndProc"
		size = 174
		refs = "0043 TFieldDataLink.Edit 0060 TWinControl.GetHandle 0066 PostMessage 0091 TDBComboBox.DataChange 009e TPaintControl.DestroyHandle 00a7 TCustomComboBox.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 0F 85 92 00 00 00 8B 06 3D 11 01 00 00 7F 0C 74 1A 48 74 79 83 E8 46 74 74 EB 7D 2D 4F 01 00 00 74 41 2D BF AE 00 00 74 64 EB 6D 66 83 7E 06 01 75 66 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 57 80 BB F6 01 00 00 01 74 57 6A 00 6A 00 68 4F 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 83 7E 04 00 74 0D 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? EB 22 8B 83 4C 02 00 00 80 78 28 00 75 16 8B D3 8B C3 E8 ?? ?? ?? ?? EB 0B 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6195_0 {
	meta:
		name = "TDBComboBox.ComboWndProc"
		size = 81
		refs = "0033 TFieldDataLink.Edit 0046 TCustomComboBox.ComboWndProc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 F6 43 20 10 75 29 8B 06 2D 01 02 00 00 75 20 80 BB F6 01 00 00 01 75 17 3B BB 04 02 00 00 74 0F 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6196_0 {
	meta:
		name = "TDBComboBox.CMEnter"
		size = 59
		refs = "0006 TWinControl.CMEnter 000b SysLocale 001c TFieldDataLink.GetCanModify 0035 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 24 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 6A 00 68 CF 00 00 00 8B 83 04 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6197_0 {
	meta:
		name = "TDBComboBox.CMExit"
		size = 100
		refs = "0010 TDBComboBox.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 003b TCustomComboBox.SelectAll 004b @RaiseAgain 0050 @DoneExcept 005a TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 4C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6198_0 {
	meta:
		name = "TDBComboBox.WMPaint"
		size = 464
		refs = "0016 TDBComboBox.WMPaint 003d TField.GetEditText 0047 @LStrClr 005c @LStrToPChar 006c TPaintControl.GetHandle 0072 SendMessage 009e GetWindow 00b2 GetClientRect 00ca MapWindowPoints 00d7 GetWindowOrgEx 00f0 SetWindowOrgEx 010b IntersectClipRect 01a8 TWinControl.WMPaint 01c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 44 80 0F 84 79 01 00 00 8B 83 4C 02 00 00 8B 78 1C 85 FF 74 0C 8D 55 FC 8B C7 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 80 BB F6 01 00 00 00 0F 85 CA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 0C 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 05 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 00 01 00 00 8D 45 E4 50 57 E8 ?? ?? ?? ?? 6A 02 8D 45 E4 50 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 46 04 50 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 2B 45 E8 50 8B 45 F4 2B 45 E4 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 E8 50 8B 45 EC 2B 45 E4 50 6A 00 6A 00 8B 46 04 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 57 E8 ?? ?? ?? ?? E9 8A 00 00 00 6A 00 6A 00 68 4B 01 00 00 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 EC 01 00 00 8B 08 FF 51 50 40 74 3B 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 43 01 00 00 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 4E 01 00 00 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 50 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6199_0 {
	meta:
		name = "TDBComboBox.SetItems"
		size = 25
		refs = "0013 TDBComboBox.DataChange"
	strings:
		$1 = { 56 8B F0 8B 86 EC 01 00 00 8B 08 FF 51 08 8B D6 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_6223_0 {
	meta:
		name = "TDBListBox.SetItems"
		size = 25
		refs = "0013 TDBListBox.DataChange"
	strings:
		$1 = { 56 8B F0 8B 86 EC 01 00 00 8B 08 FF 51 08 8B D6 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_6200_0 {
	meta:
		name = "TDBComboBox.SetStyle"
		size = 117
		refs = "000f TDBComboBox.SetStyle 0037 SNotReplicatable 003c LoadResString 0046 DatabaseError 004f TCustomComboBox.SetStyle 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 01 75 2C 83 BE 4C 02 00 00 00 74 23 8B 86 4C 02 00 00 80 78 19 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6202_0 {
	meta:
		name = "TDBComboBox.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 4C 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_6203_0 {
	meta:
		name = "TDBComboBox.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 4C 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6204_0 {
	meta:
		name = "TDBComboBox.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 4C 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6205_0 {
	meta:
		name = "TDBListBox.Create"
		size = 105
		refs = "000e @ClassCreate 001c TCustomListBox.Create 0023 _DV_TFieldDataLink 0028 TFieldDataLink.Create 003d TDBListBox.DataChange 0047 TDBListBox.UpdateData 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6206_0 {
	meta:
		name = "TDBListBox.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0026 TCustomListBox.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 2C 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6207_0 {
	meta:
		name = "TDBListBox.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBListBox.GetDataSource 0032 TDBListBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 2C 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6209_0 {
	meta:
		name = "TDBListBox.DataChange"
		size = 115
		refs = "000d TDBListBox.DataChange 002a TField.GetEditText 0041 TCustomListBox.SetItemIndex 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 2C 02 00 00 8B 70 1C 85 F6 74 23 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 EC 01 00 00 8B 08 FF 51 50 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0A 83 CA FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6210_0 {
	meta:
		name = "TDBListBox.UpdateData"
		size = 126
		refs = "000d TDBListBox.UpdateData 001a TCustomListBox.GetItemIndex 0046 TField.SetEditText 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 2A 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 83 EC 01 00 00 8B 30 FF 56 0C 8B 55 FC 8B 83 2C 02 00 00 8B 40 1C E8 ?? ?? ?? ?? EB 10 8B 83 2C 02 00 00 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6211_0 {
	meta:
		name = "TDBListBox.Click"
		size = 38
		refs = "000a TFieldDataLink.Edit 0015 TControl.Click 0020 TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6212_0 {
	meta:
		name = "TDBListBox.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 2C 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6213_0 {
	meta:
		name = "TDBListBox.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6214_0 {
	meta:
		name = "TDBListBox.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 2C 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6215_0 {
	meta:
		name = "TDBListBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6217_0 {
	meta:
		name = "TDBListBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6216_0 {
	meta:
		name = "TDBListBox.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 2C 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6218_0 {
	meta:
		name = "TDBListBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 2C 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6219_0 {
	meta:
		name = "TDBListBox.KeyDown"
		size = 58
		refs = "0012 TWinControl.KeyDown 0029 TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 66 8B 06 83 C0 DF 66 83 E8 08 73 14 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 05 66 C7 06 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6220_0 {
	meta:
		name = "TDBListBox.KeyPress"
		size = 62
		refs = "000b TWinControl.KeyPress 0022 TFieldDataLink.Edit 0037 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 2C 1B 74 1B 04 FB 2C E0 73 20 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 11 C6 06 00 5E 5B C3 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6221_0 {
	meta:
		name = "TDBListBox.WMLButtonDown"
		size = 81
		refs = "000e TFieldDataLink.Edit 001b TCustomListBox.WMLButtonDown 003a KeysToShiftState 0049 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 2C 8B C6 8B 10 FF 92 B4 00 00 00 0F BF 47 08 50 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6222_0 {
	meta:
		name = "TDBListBox.CMExit"
		size = 92
		refs = "0010 TDBListBox.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6224_0 {
	meta:
		name = "TDBListBox.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 2C 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6225_0 {
	meta:
		name = "TDBListBox.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 2C 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6226_0 {
	meta:
		name = "TDBRadioGroup.Create"
		size = 123
		refs = "000e @ClassCreate 001c TCustomRadioGroup.Create 0023 _DV_TFieldDataLink 0028 TFieldDataLink.Create 003d TDBRadioGroup.DataChange 0047 TDBRadioGroup.UpdateData 004e _Dn_TStringList 0053 TObject.Create 0066 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 04 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6227_0 {
	meta:
		name = "TDBRadioGroup.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0031 TCustomRadioGroup.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 04 02 00 00 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6228_0 {
	meta:
		name = "TDBRadioGroup.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBRadioGroup.GetDataSource 0032 TDBRadioGroup.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 04 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6230_0 {
	meta:
		name = "TDBRadioGroup.DataChange"
		size = 101
		refs = "000d TDBRadioGroup.DataChange 002a TField.GetEditText 0034 TDBRadioGroup.SetValue 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 04 02 00 00 8B 70 1C 85 F6 74 16 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6231_0 {
	meta:
		name = "TDBRadioGroup.UpdateData"
		size = 26
		refs = "0015 TField.SetEditText"
	strings:
		$1 = { 8B 90 04 02 00 00 8B 52 1C 85 D2 74 0C 8B 80 08 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6232_0 {
	meta:
		name = "TDBRadioGroup.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 04 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6233_0 {
	meta:
		name = "TDBRadioGroup.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6234_0 {
	meta:
		name = "TDBRadioGroup.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 04 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6235_0 {
	meta:
		name = "TDBRadioGroup.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 04 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6247_0 {
	meta:
		name = "TDBRadioGroup.CanModify"
		size = 12
		refs = "0007 TFieldDataLink.Edit"
	strings:
		$1 = { 8B 80 04 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6237_0 {
	meta:
		name = "TDBRadioGroup.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 04 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6236_0 {
	meta:
		name = "TDBRadioGroup.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 04 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6238_0 {
	meta:
		name = "TDBRadioGroup.GetField"
		size = 10
	strings:
		$1 = { 8B 80 04 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6239_0 {
	meta:
		name = "TDBRadioGroup.GetButtonValue"
		size = 167
		refs = "0019 TDBRadioGroup.GetButtonValue 007f @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 0C 02 00 00 8B 10 FF 52 14 3B F0 7D 28 8D 4D F8 8B D6 8B 83 0C 02 00 00 8B 38 FF 57 0C 83 7D F8 00 74 12 8B 4D FC 8B D6 8B 83 0C 02 00 00 8B 18 FF 53 0C EB 29 8B 83 F4 01 00 00 8B 10 FF 52 14 3B F0 7D 12 8B 4D FC 8B D6 8B 83 F4 01 00 00 8B 18 FF 53 0C EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6240_0 {
	meta:
		name = "TDBRadioGroup.SetValue"
		size = 247
		refs = "0018 TDBRadioGroup.SetValue 002f @LStrCmp 0075 TDBRadioGroup.GetButtonValue 0094 TCustomRadioGroup.SetItemIndex 00b1 @HandleFinally 00c3 @LStrAsg 00cf @CallDynaInst 00e4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 08 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F 84 9A 00 00 00 8B 45 FC C6 80 10 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 8B 45 FC 8B 80 F4 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 25 46 33 DB 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 75 04 8B FB EB 04 43 4E 75 DE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 10 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 05 08 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 BB B8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6241_0 {
	meta:
		name = "TDBRadioGroup.CMExit"
		size = 132
		refs = "0010 TDBRadioGroup.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 004a TWinControl.GetControl 006b @RaiseAgain 0070 @DoneExcept 007a TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 8B 45 FC 8B 98 F8 01 00 00 85 DB 7C 14 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 EB 12 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6242_0 {
	meta:
		name = "TDBRadioGroup.Click"
		size = 122
		refs = "000d TDBRadioGroup.Click 0023 TControl.Click 0039 TDBRadioGroup.GetButtonValue 0043 TDBRadioGroup.SetValue 0054 TFieldDataLink.Modified 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 10 02 00 00 00 75 38 8B C3 E8 ?? ?? ?? ?? 8B B3 F8 01 00 00 85 F6 7C 16 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6243_0 {
	meta:
		name = "TDBRadioGroup.SetItems"
		size = 25
		refs = "0013 TDBRadioGroup.DataChange"
	strings:
		$1 = { 56 8B F0 8B 86 F4 01 00 00 8B 08 FF 51 08 8B D6 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_6244_0 {
	meta:
		name = "TDBRadioGroup.SetValues"
		size = 25
		refs = "0013 TDBRadioGroup.DataChange"
	strings:
		$1 = { 56 8B F0 8B 86 0C 02 00 00 8B 08 FF 51 08 8B D6 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_6245_0 {
	meta:
		name = "TDBRadioGroup.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 16 02 00 00 00 74 10 8B D8 8B D0 8B 83 18 02 00 00 FF 93 14 02 00 00 5B C3 }
	condition:
		$1
}

rule function_6246_0 {
	meta:
		name = "TDBRadioGroup.KeyPress"
		size = 57
		refs = "000b TWinControl.KeyPress 0024 TFieldDataLink.Edit 0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 2C 08 74 08 2C 13 74 12 2C 05 75 19 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6248_0 {
	meta:
		name = "TDBRadioGroup.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 04 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6249_0 {
	meta:
		name = "TDBRadioGroup.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 04 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6250_0 {
	meta:
		name = "TDBMemo.Create"
		size = 188
		refs = "000e @ClassCreate 001c TCustomMemo.Create 0025 TCustomEdit.SetReadOnly 002a TDBMemo.Create 003e _DV_TFieldDataLink 0043 TFieldDataLink.Create 0058 TDBMemo.DataChange 0062 TDBMemo.EditingChange 006c TDBMemo.UpdateData 007a _DV_TPaintControl 007f TPaintControl.Create 0092 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 C6 83 14 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 FF FF FF FF 04 00 00 00 45 44 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_6251_0 {
	meta:
		name = "TDBMemo.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0031 TCustomMemo.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 18 02 00 00 E8 ?? ?? ?? ?? 8B 86 10 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 10 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6253_0 {
	meta:
		name = "TDBMemo.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBMemo.GetDataSource 0032 TDBMemo.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 10 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6255_0 {
	meta:
		name = "TDBMemo.KeyDown"
		size = 64
		refs = "0012 TWinControl.KeyDown 0038 TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 80 BB 16 02 00 00 00 74 1D 66 83 3E 2E 74 0C 66 83 3E 2D 75 11 F6 04 24 01 74 0B 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6256_0 {
	meta:
		name = "TDBMemo.KeyPress"
		size = 168
		refs = "000b TCustomMemo.KeyPress 0046 MessageBeep 0082 TFieldDataLink.Edit 008f TFieldDataLink.Reset 009e TDBMemo.LoadMemo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 16 02 00 00 00 74 7E 8A 06 04 E0 2C E0 73 2D 8B 83 10 02 00 00 83 78 1C 00 74 21 8A 16 8B 83 10 02 00 00 8B 40 1C 8B 08 FF 91 C0 00 00 00 84 C0 75 0A 6A 00 E8 ?? ?? ?? ?? C6 06 00 33 C0 8A 06 83 F8 18 7F 16 74 23 83 C0 F8 83 E8 03 72 1B 83 E8 02 74 16 83 E8 09 74 11 EB 39 83 E8 1B 74 17 83 C0 FB 2D E0 00 00 00 73 2A 8B 83 10 02 00 00 E8 ?? ?? ?? ?? EB 1D 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 80 3E 0D 75 07 8B C3 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_6257_0 {
	meta:
		name = "TDBMemo.Change"
		size = 39
		refs = "0013 TFieldDataLink.Modified 0021 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 80 BB 16 02 00 00 00 74 0B 8B 83 10 02 00 00 E8 ?? ?? ?? ?? C6 83 16 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6258_0 {
	meta:
		name = "TDBMemo.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 10 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6259_0 {
	meta:
		name = "TDBMemo.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 10 02 00 00 80 78 19 00 74 06 F6 43 20 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6260_0 {
	meta:
		name = "TDBMemo.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 10 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6261_0 {
	meta:
		name = "TDBMemo.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 10 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6263_0 {
	meta:
		name = "TDBMemo.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 10 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6262_0 {
	meta:
		name = "TDBMemo.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 10 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6264_0 {
	meta:
		name = "TDBMemo.GetField"
		size = 10
	strings:
		$1 = { 8B 80 10 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6265_0 {
	meta:
		name = "TDBMemo.LoadMemo"
		size = 300
		refs = "0015 TDBMemo.LoadMemo 00a6 @HandleOnException 00ae _Dn_EInvalidOperation 00d1 Format 00e7 @DoneExcept 00f2 TDBMemo.EditingChange 0107 @LStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 16 02 00 00 00 0F 85 C7 00 00 00 8B 45 FC 8B 80 10 02 00 00 83 78 1C 00 0F 84 B4 00 00 00 8B 45 FC 8B 80 10 02 00 00 8B 40 1C 8B 00 FF 90 BC 00 00 00 84 C0 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 10 02 00 00 8B 40 1C 8B 08 FF 51 58 8B 55 F8 8B 45 FC 8B 80 04 02 00 00 8B 08 FF 51 2C 8B 45 FC C6 80 16 02 00 00 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 F8 50 8B 43 04 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 04 02 00 00 8B 08 FF 51 2C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_6266_0 {
	meta:
		name = "TDBMemo.DataChange"
		size = 392
		refs = "0016 TDBMemo.DataChange 0065 TDBMemo.LoadMemo 007f TField.GetDisplayLabel 0098 Format 00a2 TControl.SetText 00bf TFieldDataLink.GetCanModify 00d4 TField.GetEditText 00f1 TField.GetDisplayText 012d TWinControl.HandleAllocated 0141 TWinControl.GetHandle 0147 RedrawWindow 015c @LStrClr 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 10 02 00 00 8B 70 1C 85 F6 0F 84 D7 00 00 00 8B 06 FF 90 BC 00 00 00 84 C0 74 72 80 BB 14 02 00 00 00 75 15 8B 83 10 02 00 00 80 78 28 00 74 1C 80 BB 16 02 00 00 00 74 13 C6 83 16 02 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 BC 00 00 00 8D 45 FC 50 8D 55 F0 8B 83 10 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 16 02 00 00 00 EB 7B 80 BB 15 02 00 00 00 74 2C 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 FC 8B 83 10 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B 8D 55 FC 8B 83 10 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 16 02 00 00 01 EB 22 F6 43 20 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 16 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_6267_0 {
	meta:
		name = "TDBMemo.EditingChange"
		size = 33
		refs = "001c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 10 02 00 00 80 7A 28 00 74 0D 80 B8 16 02 00 00 00 74 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6268_0 {
	meta:
		name = "TDBMemo.UpdateData"
		size = 85
		refs = "000c TDBMemo.UpdateData 001c TControl.GetText 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 10 02 00 00 8B 40 1C 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6269_0 {
	meta:
		name = "TDBMemo.SetFocused"
		size = 57
		refs = "0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B D8 3A 93 15 02 00 00 74 2A 88 93 15 02 00 00 8B 83 10 02 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 BC 00 00 00 84 C0 75 0B 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6270_0 {
	meta:
		name = "TDBMemo.WndProc"
		size = 48
		refs = "0020 TPaintControl.DestroyHandle 0029 TWinControl.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 83 F8 01 74 0C 83 F8 47 74 07 3D 0E B0 00 00 75 0B 8B 86 18 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6271_0 {
	meta:
		name = "TDBMemo.CMEnter"
		size = 62
		refs = "000b TDBMemo.SetFocused 0014 TCustomEdit.CMEnter 0019 SysLocale 002a TFieldDataLink.GetCanModify 0037 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 18 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6272_0 {
	meta:
		name = "TDBMemo.CMExit"
		size = 102
		refs = "0010 TDBMemo.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TDBMemo.SetFocused 005c TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 10 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6273_0 {
	meta:
		name = "TDBMemo.SetAutoDisplay"
		size = 24
		refs = "0013 TDBMemo.LoadMemo"
	strings:
		$1 = { 3A 90 14 02 00 00 74 0F 88 90 14 02 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6274_0 {
	meta:
		name = "TDBMemo.WMLButtonDblClk"
		size = 21
		refs = "000a TDBMemo.LoadMemo 0010 TControl.WMLButtonDblClk"
	strings:
		$1 = { 80 B8 16 02 00 00 00 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6275_0 {
	meta:
		name = "TDBMemo.WMCut"
		size = 29
		refs = "000d TFieldDataLink.Edit"
		altNames = "TDBMemo.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_6277_0 {
	meta:
		name = "TDBMemo.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 10 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_6278_0 {
	meta:
		name = "TDBMemo.WMPaint"
		size = 324
		refs = "0019 TDBMemo.WMPaint 002e TWinControl.WMPaint 0071 AdjustLineBreaks 0088 TField.GetDisplayLabel 00a1 Format 00b4 TField.GetDisplayText 00bc @LStrToPChar 00cc TPaintControl.GetHandle 00d2 SendMessage 011e @LStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 44 80 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 D1 00 00 00 8B 83 10 02 00 00 8B 78 1C 85 FF 74 74 8B 07 FF 90 BC 00 00 00 84 C0 74 57 80 BB 14 02 00 00 00 74 1E 8D 55 F8 8B 83 10 02 00 00 8B 40 1C 8B 08 FF 51 58 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? EB 41 8D 45 FC 50 8D 55 F8 8B 83 10 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8D 55 FC 8B 83 10 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 0C 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 14 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_6279_0 {
	meta:
		name = "TDBMemo.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 10 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6280_0 {
	meta:
		name = "TDBMemo.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 10 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6281_0 {
	meta:
		name = "TDBImage.Create"
		size = 248
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 TDBImage.Create 002c NewStyleControls 0048 TControl.SetWidth 0054 TControl.SetHeight 005d TWinControl.SetTabStop 0066 TControl.SetParentColor 006d _Dn_TPicture 0072 TPicture.Create 0084 TDBImage.PictureChanged 00a0 _DV_TFieldDataLink 00a5 TFieldDataLink.Create 00ba TDBImage.DataChange 00c4 TDBImage.UpdateData 00d8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 A1 ?? ?? ?? ?? 80 38 00 75 0B A1 ?? ?? ?? ?? 0B 43 40 89 43 40 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 83 F8 01 00 00 01 C6 83 F9 01 00 00 01 C6 83 FB 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? C6 83 FD 01 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 40 08 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_6282_0 {
	meta:
		name = "TDBImage.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0031 TCustomControl.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 F0 01 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6283_0 {
	meta:
		name = "TDBImage.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 F0 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6284_0 {
	meta:
		name = "TDBImage.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F0 01 00 00 80 78 19 00 74 06 F6 43 20 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6285_0 {
	meta:
		name = "TDBImage.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F0 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6286_0 {
	meta:
		name = "TDBImage.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6288_0 {
	meta:
		name = "TDBImage.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17352_0 {
	meta:
		name = "TSpinButton.GetDownGlyph"
		size = 12
		refs = "0007 TSpeedButton.GetGlyph"
	strings:
		$1 = { 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17354_0 {
	meta:
		name = "TSpinButton.GetDownNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.GetNumGlyphs"
	strings:
		$1 = { 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17355_0 {
	meta:
		name = "TSpinButton.SetDownNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6287_0 {
	meta:
		name = "TDBImage.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 F0 01 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6289_0 {
	meta:
		name = "TDBImage.GetField"
		size = 10
	strings:
		$1 = { 8B 80 F0 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6290_0 {
	meta:
		name = "TDBImage.GetPalette"
		size = 48
		refs = "0014 _Dn_TBitmap 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 83 F4 01 00 00 8B 78 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 8B 10 FF 52 24 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6291_0 {
	meta:
		name = "TDBImage.SetAutoDisplay"
		size = 24
		refs = "0013 TDBImage.LoadPicture"
	strings:
		$1 = { 3A 90 F9 01 00 00 74 0F 88 90 F9 01 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6293_0 {
	meta:
		name = "TDBImage.SetCenter"
		size = 20
	strings:
		$1 = { 3A 90 FB 01 00 00 74 0B 88 90 FB 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_6294_0 {
	meta:
		name = "TCustomRadioGroup.SetItems"
		size = 16
		altNames = "TDBImage.SetPicture TNotebook.SetPages"
	strings:
		$1 = { 56 8B F0 8B 86 F4 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_6295_0 {
	meta:
		name = "TDBImage.SetStretch"
		size = 20
	strings:
		$1 = { 3A 90 FA 01 00 00 74 0B 88 90 FA 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_6296_0 {
	meta:
		name = "TDBImage.Paint"
		size = 972
		refs = "0013 TDBImage.Paint 0032 TBrush.SetStyle 0043 TBrush.SetColor 0063 _Dn_TPicture 0068 TPicture.Create 00ce _Dn_TBitmap 00d3 @IsClass 00df TPicture.GetBitmap 010a @CallDynaInst 013c TCanvas.GetHandle 0142 SelectPalette 0153 RealizePalette 018a TCanvas.FillRect 01ab TCanvas.StretchDraw 01b8 TPicture.GetHeight 01c1 TPicture.GetWidth 01cf SetRect 01e3 TControl.GetClientHeight 01ff TControl.GetClientWidth 021c OffsetRect 024b ExcludeClipRect 0271 SelectClipRgn 02a0 TObject.Free 02a6 @HandleFinally 02b6 TCanvas.SetFont 02d0 TField.GetDisplayLabel 02e0 @LStrLAsg 02fa @LStrCatN 0308 TCanvas.TextExtent 033d TCanvas.TextRect 0345 GetParentForm 038c TCanvas.FrameRect 03a1 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 89 45 E4 8B 45 E4 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 45 E4 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 FC 01 00 00 00 75 0D 8B 45 FC F6 40 44 80 0F 84 4C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 44 80 74 66 8B 45 FC 8B 80 F0 01 00 00 83 78 1C 00 74 57 8B 45 FC 8B 80 F0 01 00 00 8B 40 1C 8B 00 FF 90 BC 00 00 00 84 C0 74 3F 8B 45 FC 8B 80 F0 01 00 00 8B 50 1C 8B 45 EC 8B 08 FF 51 08 8B 45 EC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7C 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 8A 92 FD 01 00 00 88 50 20 EB 66 8B 45 FC 8B 90 F4 01 00 00 8B 45 EC 8B 08 FF 51 08 8B 45 FC 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 45 8B 45 EC 83 78 04 00 74 3C 8B 45 EC 8B 40 04 8B 10 FF 52 24 85 C0 74 2D 6A 00 8B 45 EC 8B 40 04 8B 10 FF 52 24 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 FA 01 00 00 00 74 51 8B 45 EC 8B 58 04 85 DB 74 0B 8B C3 8B 10 FF 52 1C 84 C0 74 1B 8D 55 C4 8B 45 FC 8B 08 FF 51 44 8D 55 C4 8B 45 E4 E8 ?? ?? ?? ?? E9 E2 00 00 00 8D 55 C4 8B 45 FC 8B 08 FF 51 44 8D 55 C4 8B 45 EC 8B 48 04 8B 45 E4 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 FB 01 00 00 00 74 41 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 45 EC 8B 48 04 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 D4 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC 8B 08 FF 51 44 8D 55 C4 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 14 6A FF 8B 45 E8 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 FC 8B 50 58 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 01 00 00 8B 58 1C 85 DB 74 0C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? EB 0E 8D 45 F0 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 08 FF 51 44 8B 45 E0 2B 45 F8 D1 F8 79 03 83 D0 00 50 8B 45 F0 50 8B 4D DC 2B 4D F4 D1 F9 79 03 83 D1 00 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 43 8B 80 00 02 00 00 3B 45 FC 75 38 8B 45 FC F6 40 20 10 75 2F 8B 45 FC F6 40 44 80 75 26 8B 45 E4 8B 40 14 BA 06 00 00 80 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC 8B 08 FF 51 44 8D 55 C4 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_6297_0 {
	meta:
		name = "TDBImage.PictureChanged"
		size = 39
		refs = "0013 TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 80 BB FC 01 00 00 00 74 0B 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? C6 83 FC 01 00 00 01 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_6298_0 {
	meta:
		name = "TDBImage.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBImage.GetDataSource 0032 TDBImage.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF F0 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6299_0 {
	meta:
		name = "TDBImage.LoadPicture"
		size = 61
	strings:
		$1 = { 53 56 8B D8 80 BB FC 01 00 00 00 75 2D 8B 83 F0 01 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 BC 00 00 00 84 C0 74 14 8B 83 F0 01 00 00 8B 50 1C 8B 83 F4 01 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_6300_0 {
	meta:
		name = "TDBImage.DataChange"
		size = 41
		refs = "000c TPicture.SetGraphic 0023 TDBImage.LoadPicture"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? C6 83 FC 01 00 00 00 80 BB F9 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6301_0 {
	meta:
		name = "TDBImage.UpdateData"
		size = 69
		refs = "0011 _Dn_TBitmap 0016 @IsClass"
	strings:
		$1 = { 56 57 8B F0 8B 86 F4 01 00 00 8B 78 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D7 8B 86 F0 01 00 00 8B 40 1C 8B 08 FF 51 08 5F 5E C3 8B 86 F0 01 00 00 8B 40 1C 8B 10 FF 92 B8 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_6302_0 {
	meta:
		name = "TDBImage.CopyToClipboard"
		size = 33
		refs = "0010 Clipboard"
	strings:
		$1 = { 53 8B D8 8B 83 F4 01 00 00 83 78 04 00 74 10 E8 ?? ?? ?? ?? 8B 93 F4 01 00 00 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_6303_0 {
	meta:
		name = "TDBImage.CutToClipboard"
		size = 52
		refs = "0016 TFieldDataLink.Edit 0021 TDBImage.CopyToClipboard 002e TPicture.SetGraphic"
	strings:
		$1 = { 53 8B D8 8B 83 F4 01 00 00 83 78 04 00 74 23 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6304_0 {
	meta:
		name = "TDBImage.PasteFromClipboard"
		size = 63
		refs = "0004 Clipboard 000d TClipboard.HasFormat 001c TFieldDataLink.Edit 002b TPicture.GetBitmap"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 66 BA 02 00 E8 ?? ?? ?? ?? 84 C0 74 28 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_6305_0 {
	meta:
		name = "TDBImage.CreateParams"
		size = 66
		refs = "000b TWinControl.CreateParams 0019 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB F8 01 00 00 01 75 23 A1 ?? ?? ?? ?? 80 38 00 74 12 80 BB 2C 01 00 00 00 74 09 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_6306_0 {
	meta:
		name = "TDBImage.KeyDown"
		size = 85
		refs = "0012 TWinControl.KeyDown 002f TDBImage.PasteFromClipboard 003e TDBImage.CopyToClipboard 004d TDBImage.CutToClipboard"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 66 8B 06 66 83 E8 2D 74 07 66 FF C8 74 20 EB 2B F6 04 24 01 74 09 8B C3 E8 ?? ?? ?? ?? EB 1C F6 04 24 04 74 16 8B C3 E8 ?? ?? ?? ?? EB 0D F6 04 24 01 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6307_0 {
	meta:
		name = "TDBImage.KeyPress"
		size = 143
		refs = "000b TWinControl.KeyPress 001a TDBImage.KeyPress 005c TDBImage.CutToClipboard 0066 TDBImage.CopyToClipboard 0070 TDBImage.PasteFromClipboard 007a TDBImage.LoadPicture 0088 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 06 83 F8 1B 77 74 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 00 02 00 00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 00 03 00 01 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6308_0 {
	meta:
		name = "TDBImage.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 F0 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_6309_0 {
	meta:
		name = "TDBImage.CMEnter"
		size = 25
		refs = "0012 TWinControl.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 78 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6310_0 {
	meta:
		name = "TDBImage.CMExit"
		size = 100
		refs = "0010 TDBImage.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 005a TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6311_0 {
	meta:
		name = "TDBImage.CMTextChanged"
		size = 28
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 80 BE FC 01 00 00 00 75 07 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_6312_0 {
	meta:
		name = "TDBImage.WMLButtonDown"
		size = 48
		refs = "0012 TWinControl.CanFocus 0029 TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 78 01 00 00 00 74 15 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 B4 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6318_0 {
	meta:
		name = "TDBImage.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE F0 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6319_0 {
	meta:
		name = "TDBImage.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE F0 01 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6320_0 {
	meta:
		name = "_NF__6B3"
		size = 80
	strings:
		$1 = { 46 49 52 53 54 00 00 00 50 52 49 4F 52 00 00 00 4E 45 58 54 00 00 00 00 4C 41 53 54 00 00 00 00 49 4E 53 45 52 54 00 00 44 45 4C 45 54 45 00 00 45 44 49 54 00 00 00 00 50 4F 53 54 00 00 00 00 43 41 4E 43 45 4C 00 00 52 45 46 52 45 53 48 00 }
	condition:
		$1
}

rule function_6321_0 {
	meta:
		name = "TDBNavigator.Create"
		size = 268
		refs = "000e @ClassCreate 001c TCustomPanel.Create 0021 TDBNavigator.Create 0034 NewStyleControls 004d _DV_TNavDataLink 0052 TNavDataLink.Create 006c _Dn_TStringList 0071 TObject.Create 0083 TDBNavigator.HintsChanged 008a TDBNavigator.InitButtons 0091 TDBNavigator.InitHints 009a TCustomPanel.SetBevelOuter 00a3 TCustomPanel.SetBevelInner 00af TControl.SetWidth 00bb TControl.SetHeight 00e5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 40 0B 05 ?? ?? ?? ?? 89 43 40 A1 ?? ?? ?? ?? 80 38 00 75 0B A1 ?? ?? ?? ?? 0B 43 40 89 43 40 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 02 00 00 66 A1 ?? ?? ?? ?? 66 89 83 04 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 08 02 00 00 89 5E 20 C7 46 1C ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA F1 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 10 02 00 00 C6 83 2C 02 00 00 00 C6 83 2D 02 00 00 01 C6 83 FD 01 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 21 00 00 00 40 00 00 00 10 00 00 00 FF 03 00 00 }
	condition:
		$1
}

rule function_6322_0 {
	meta:
		name = "TDBNavigator.Destroy"
		size = 78
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003c TCustomControl.Destroy 0047 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 00 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6323_0 {
	meta:
		name = "TDBNavigator.InitButtons"
		size = 448
		refs = "0014 TDBNavigator.InitButtons 002c Point 004e BtnTypeName 0057 _DV_TNavButton 005c TSpeedButton.Create 006b TSpeedButton.SetFlat 008f TControl.SetVisible 00d3 FmtStr 00da TSpeedButton.GetGlyph 00e0 HInstance 00ea TBitmap.LoadFromResourceName 00f3 TSpeedButton.SetNumGlyphs 0115 TDBNavigator.ClickHandler 0125 TDBNavigator.BtnMouseDown 0199 @LStrClr 019f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 BA 12 00 00 00 B8 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 89 86 14 02 00 00 8B 45 EC 89 86 18 02 00 00 33 C0 89 45 F8 C6 45 FF 00 C7 45 F0 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8A 96 2E 02 00 00 8B C3 E8 ?? ?? ?? ?? 8A 45 FF 88 83 34 01 00 00 8A 45 FF 3C 0F 77 0A 83 E0 7F 0F A3 86 04 02 00 00 0F 92 C2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 60 8B 86 14 02 00 00 50 8B 86 18 02 00 00 50 33 C9 8B 55 F8 8B C3 8B 38 FF 97 80 00 00 00 6A 00 8B 45 F0 8B 00 89 45 E8 C6 45 EC 06 8D 4D E8 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 4D F4 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 60 B2 01 8B C3 8B 08 FF 51 60 89 B3 08 01 00 00 C7 83 04 01 00 00 ?? ?? ?? ?? 89 B3 B8 00 00 00 C7 83 B4 00 00 00 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 64 33 C0 8A 45 FF 89 9C 86 30 02 00 00 8B 86 14 02 00 00 01 45 F8 FE 45 FF 83 45 F0 04 80 7D FF 0A 0F 85 FA FE FF FF 8B 9E 34 02 00 00 8A 83 35 01 00 00 0A 05 ?? ?? ?? ?? 88 83 35 01 00 00 8B 9E 38 02 00 00 8A 83 35 01 00 00 0A 05 ?? ?? ?? ?? 88 83 35 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 64 62 6E 5F 25 73 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_6324_0 {
	meta:
		name = "TDBNavigator.InitHints"
		size = 284
		refs = "0014 TDBNavigator.InitHints 002a _Dn_TStringList 002f TObject.Create 003c BtnHintId 0046 LoadResString 0085 @LStrAsg 0109 @LStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 0C 02 00 00 00 75 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 0C 02 00 00 B3 0A BF ?? ?? ?? ?? 8D 55 F4 8B 07 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 0C 02 00 00 8B 08 FF 51 34 83 C7 04 FE CB 75 E1 33 DB 8D 4D F4 33 D2 8A D3 8B 86 0C 02 00 00 8B 38 FF 57 0C 8B 55 F4 33 C0 8A C3 8B 84 86 30 02 00 00 83 C0 74 E8 ?? ?? ?? ?? 43 80 FB 0A 75 D2 33 DB 8B 86 08 02 00 00 8B 10 FF 52 14 48 85 C0 7C 57 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D F4 8B 55 FC 8B 86 08 02 00 00 8B 38 FF 57 0C 83 7D F4 00 74 27 8D 4D F4 8B 55 FC 8B 86 08 02 00 00 8B 38 FF 57 0C 8B 55 F4 33 C0 8A C3 8B 84 86 30 02 00 00 83 C0 74 E8 ?? ?? ?? ?? 80 FB 09 74 09 43 FF 45 FC FF 4D F8 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6326_0 {
	meta:
		name = "TDBNavigator.SetFlat"
		size = 59
		refs = "002d TSpeedButton.SetFlat"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8A 86 2E 02 00 00 3A 04 24 74 24 8A 04 24 88 86 2E 02 00 00 33 DB 33 C0 8A C3 8B 84 86 30 02 00 00 8A 14 24 E8 ?? ?? ?? ?? 43 80 FB 0A 75 E7 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6327_0 {
	meta:
		name = "TDBNavigator.SetHints"
		size = 132
		refs = "0011 TDBNavigator.SetHints 003c @LStrCmp 0072 @LStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B 83 0C 02 00 00 8B 08 FF 51 1C 8B 55 F8 58 E8 ?? ?? ?? ?? 75 0D 8B 83 08 02 00 00 8B 10 FF 52 40 EB 0D 8B D6 8B 83 08 02 00 00 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6328_0 {
	meta:
		name = "TDBNavigator.GetHints"
		size = 52
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 23 F6 43 20 04 75 1D F6 43 20 02 75 17 8B 83 08 02 00 00 8B 10 FF 52 14 85 C0 75 08 8B 83 0C 02 00 00 5B C3 8B 83 08 02 00 00 5B C3 }
	condition:
		$1
}

rule function_6330_0 {
	meta:
		name = "TDBNavigator.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBNavigator.GetDataSource 0032 TDBNavigator.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 00 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6331_0 {
	meta:
		name = "TDBNavigator.SetVisible"
		size = 148
		refs = "0045 TControl.SetVisible 005a TDBNavigator.SetSize 0083 TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F4 66 89 14 24 8B F0 8B 46 38 89 44 24 04 8B 46 3C 89 44 24 08 66 8B 04 24 66 89 86 04 02 00 00 33 DB 8B C3 3C 0F 77 0A 83 E0 7F 0F A3 86 04 02 00 00 0F 92 C2 33 C0 8A C3 8B 84 86 30 02 00 00 E8 ?? ?? ?? ?? 43 80 FB 0A 75 D7 8D 4C 24 08 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 3B 46 38 75 09 8B 44 24 08 3B 46 3C 74 17 8B 44 24 04 50 8B 44 24 0C 50 8B 4E 34 8B 56 30 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_6332_0 {
	meta:
		name = "TDBNavigator.SetSize"
		size = 321
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B CA 8B F0 F6 46 20 01 0F 85 21 01 00 00 83 BE 30 02 00 00 00 0F 84 14 01 00 00 33 FF 33 DB 33 C0 8A C3 8B 84 86 30 02 00 00 80 78 47 00 74 01 47 43 80 FB 0A 75 E8 85 FF 75 01 47 8B C7 F7 AE 14 02 00 00 3B 01 7E 02 89 01 8B 14 24 8B 12 8B 86 18 02 00 00 3B D0 7D 05 8B 14 24 89 02 8B 01 99 F7 FF 8B D8 89 9E 10 02 00 00 8B C7 F7 EB 89 44 24 08 80 7E 4B 00 75 06 8B 44 24 08 89 01 33 C0 89 44 24 10 8B 01 2B 44 24 08 89 44 24 0C 8B C7 D1 F8 79 03 83 D0 00 89 44 24 08 33 DB 33 C0 8A C3 8B 84 86 30 02 00 00 80 78 47 00 74 59 33 D2 89 54 24 04 83 7C 24 0C 00 74 1B 8B 54 24 0C 29 54 24 08 83 7C 24 08 00 7D 0C 01 7C 24 08 C7 44 24 04 01 00 00 00 8B 96 10 02 00 00 03 54 24 04 52 8B 56 3C 52 33 D2 8A D3 33 C9 8B 54 24 18 8B 28 FF 95 80 00 00 00 8B 86 10 02 00 00 03 44 24 04 01 44 24 10 EB 1D 8B 96 10 02 00 00 52 8B 56 3C 52 8B 56 38 42 33 C9 8A CB 33 C9 8B 28 FF 95 80 00 00 00 43 80 FB 0A 0F 85 6F FF FF FF 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6333_0 {
	meta:
		name = "TDBNavigator.SetBounds"
		size = 79
		refs = "001e TWinControl.HandleAllocated 002f TDBNavigator.SetSize 0042 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 08 89 45 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6334_0 {
	meta:
		name = "TDBNavigator.WMSize"
		size = 93
		refs = "000e TWinControl.WMSize 0028 TDBNavigator.SetSize 004f TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 38 75 09 8B 44 24 04 3B 43 3C 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17339_0 {
	meta:
		name = "TSpinButton.WMSize"
		size = 93
		refs = "000e TWinControl.WMSize 0028 TSpinButton.AdjustSize 004f TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 38 75 09 8B 44 24 04 3B 43 3C 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6335_0 {
	meta:
		name = "TDBNavigator.ClickHandler"
		size = 21
	strings:
		$1 = { 56 8B F0 8A 92 34 01 00 00 8B C6 8B 08 FF 91 BC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6336_0 {
	meta:
		name = "TDBNavigator.BtnMouseDown"
		size = 172
		refs = "0026 TWinControl.GetHandle 002d GetFocus 0038 TWinControl.CanFocus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8A 9E 2C 02 00 00 8A 82 34 01 00 00 88 86 2C 02 00 00 80 BE 78 01 00 00 00 74 3B 8B C6 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 74 29 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B C6 8B 10 FF 92 B4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 49 EB 47 80 BE 78 01 00 00 00 74 3E 8B C6 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 75 2C 3A 9E 2C 02 00 00 74 24 33 C0 8A C3 8B 84 86 30 02 00 00 8B 10 FF 52 78 33 C0 8A 86 2C 02 00 00 8B 84 86 30 02 00 00 8B 10 FF 52 78 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_6337_0 {
	meta:
		name = "TDBNavigator.BtnClick"
		size = 376
		refs = "0010 TDBNavigator.BtnClick 001d TDBNavigator.GetDataSource 00a3 TDataSet.Prior 00af TDataSet.Next 00b8 TDataSet.First 00c1 TDataSet.Last 00ca TDataSet.Insert 00d3 TDataSet.Edit 00f4 TDataSet.Refresh 0109 SDeleteRecordQuestion 010e LoadResString 011f MessageDlg 012b TDataSet.Delete 0160 @LStrClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 06 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 2E 00 0F 84 F5 00 00 00 F6 46 20 10 75 1A 66 83 BE 26 02 00 00 00 74 10 8B CB 8B D6 8B 86 28 02 00 00 FF 96 24 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 78 24 33 C0 8A C3 83 F8 09 0F 87 BE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E9 83 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 7A 8B C7 E8 ?? ?? ?? ?? EB 71 8B C7 E8 ?? ?? ?? ?? EB 68 8B C7 E8 ?? ?? ?? ?? EB 5F 8B C7 E8 ?? ?? ?? ?? EB 56 8B C7 8B 10 FF 92 AC 01 00 00 EB 4A 8B C7 8B 10 FF 92 E4 01 00 00 EB 3E 8B C7 E8 ?? ?? ?? ?? EB 35 80 BE 2D 02 00 00 00 74 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 02 74 07 8B C7 E8 ?? ?? ?? ?? F6 46 20 10 75 1A 66 83 BE 1E 02 00 00 00 74 10 8B CB 8B D6 8B 86 20 02 00 00 FF 96 1C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_6338_0 {
	meta:
		name = "TDBNavigator.WMKillFocus"
		size = 21
		altNames = "TDBNavigator.WMSetFocus"
	strings:
		$1 = { 33 D2 8A 90 2C 02 00 00 8B 84 90 30 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_6340_0 {
	meta:
		name = "TDBNavigator.KeyDown"
		size = 254
		refs = "00f7 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8A 9E 2C 02 00 00 8B CB 66 8B 02 66 83 E8 20 0F 84 B6 00 00 00 66 83 E8 05 74 5F 66 83 E8 02 0F 85 D2 00 00 00 8B C3 3C 09 73 01 40 3C 09 74 11 33 D2 8A D0 8B 94 96 30 02 00 00 80 7A 47 00 74 E6 3A 86 2C 02 00 00 0F 84 AA 00 00 00 88 86 2C 02 00 00 33 C0 8A C1 8B 84 86 30 02 00 00 8B 10 FF 52 78 33 C0 8A 86 2C 02 00 00 8B 84 86 30 02 00 00 8B 10 FF 52 78 5E 5B C3 8B C3 84 C0 76 01 48 84 C0 74 11 33 D2 8A D0 8B 94 96 30 02 00 00 80 7A 47 00 74 E6 3A 86 2C 02 00 00 74 59 88 86 2C 02 00 00 33 C0 8A C1 8B 84 86 30 02 00 00 8B 10 FF 52 78 33 C0 8A 86 2C 02 00 00 8B 84 86 30 02 00 00 8B 10 FF 52 78 5E 5B C3 33 C0 8A C3 8B 84 86 30 02 00 00 8B 10 FF 52 50 84 C0 74 18 33 C0 8A 86 2C 02 00 00 8B 84 86 30 02 00 00 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6342_0 {
	meta:
		name = "TDBNavigator.DataChanged"
		size = 267
		refs = "0023 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 51 8B F0 8B C6 8B 10 FF 52 50 84 C0 74 20 8B 86 00 02 00 00 80 78 15 00 74 14 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 80 B8 90 00 00 00 00 74 04 33 DB EB 02 B3 01 8B C6 8B 10 FF 52 50 84 C0 74 20 8B 86 00 02 00 00 80 78 15 00 74 14 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 74 04 33 C0 EB 02 B0 01 88 04 24 8B D3 8B 86 30 02 00 00 8B 08 FF 51 60 8B D3 8B 86 34 02 00 00 8B 08 FF 51 60 8A 14 24 8B 86 38 02 00 00 8B 08 FF 51 60 8A 14 24 8B 86 3C 02 00 00 8B 08 FF 51 60 8B C6 8B 10 FF 52 50 84 C0 74 4B 8B 86 00 02 00 00 80 78 15 00 74 3F 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 00 00 00 84 C0 74 28 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 80 B8 90 00 00 00 00 74 18 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 74 04 33 D2 EB 02 B2 01 8B 86 44 02 00 00 8B 08 FF 51 60 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6343_0 {
	meta:
		name = "TDBNavigator.EditingChanged"
		size = 184
		refs = "0022 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 50 84 C0 74 23 8B 86 00 02 00 00 80 78 15 00 74 17 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 00 00 00 84 C0 75 04 33 DB EB 02 B3 01 8B D3 8B 86 40 02 00 00 8B 08 FF 51 60 84 DB 74 0C 8B 86 00 02 00 00 80 78 17 00 74 04 33 D2 EB 02 B2 01 8B 86 48 02 00 00 8B 08 FF 51 60 84 DB 74 0C 8B 86 00 02 00 00 80 78 17 00 75 04 33 D2 EB 02 B2 01 8B 86 4C 02 00 00 8B 08 FF 51 60 84 DB 74 0C 8B 86 00 02 00 00 80 78 17 00 75 04 33 D2 EB 02 B2 01 8B 86 50 02 00 00 8B 08 FF 51 60 8B D3 8B 86 54 02 00 00 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_6344_0 {
	meta:
		name = "TDBNavigator.ActiveChanged"
		size = 73
		refs = "003b TDBNavigator.DataChanged 0042 TDBNavigator.EditingChanged"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 50 84 C0 74 0C 8B 86 00 02 00 00 80 78 15 00 75 1D 33 DB 33 C0 8A C3 8B 84 86 30 02 00 00 33 D2 8B 08 FF 51 60 43 80 FB 0A 75 E8 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6346_0 {
	meta:
		name = "TDBNavigator.SetDataSource"
		size = 48
		refs = "000f TDataLink.SetDataSource 001c TDBNavigator.ActiveChanged 0029 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 00 02 00 00 E8 ?? ?? ?? ?? F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6347_0 {
	meta:
		name = "TDBNavigator.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 00 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6348_0 {
	meta:
		name = "TDBNavigator.Loaded"
		size = 96
		refs = "0009 TControl.Loaded 0023 TDBNavigator.SetSize 004a TWinControl.SetBounds 0051 TDBNavigator.InitHints 0058 TDBNavigator.ActiveChanged"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 38 75 09 8B 44 24 04 3B 43 3C 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_6349_0 {
	meta:
		name = "TNavButton.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0022 TSpeedButton.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 38 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6350_0 {
	meta:
		name = "TNavButton.MouseDown"
		size = 118
		refs = "0018 TSpeedButton.MouseDown 0033 _Dn_TTimer 0038 TTimer.Create 0044 TNavButton.TimerExpired 004f TTimer.SetOnTimer 005f TTimer.SetInterval 006c TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? F6 83 35 01 00 00 01 74 4B 83 BB 38 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 01 00 00 53 68 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? BA 90 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6351_0 {
	meta:
		name = "TNavButton.MouseUp"
		size = 51
		refs = "0018 TSpeedButton.MouseUp 0029 TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 8B 83 38 01 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6352_0 {
	meta:
		name = "TNavButton.TimerExpired"
		size = 126
		refs = "0019 TTimer.SetInterval 002d TControl.GetMouseCapture 0039 TNavButton.TimerExpired 004b @CallDynaInst 005a @HandleAnyException 006a TTimer.SetEnabled 006f @RaiseAgain 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 38 01 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 32 01 00 00 02 75 4F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB EC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6353_0 {
	meta:
		name = "TNavButton.Paint"
		size = 132
		refs = "000a TSpeedButton.Paint 0012 TWinControl.GetHandle 0019 GetFocus 0043 Bounds 0051 InflateRect 0068 OffsetRect 0074 TCanvas.GetHandle 007a DrawFocusRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 5D 8B 43 24 8A 80 2C 02 00 00 3A 83 34 01 00 00 75 4C 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 6A FD 6A FD 8D 44 24 08 50 E8 ?? ?? ?? ?? 80 BB 32 01 00 00 02 75 0E 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? 54 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_6354_0 {
	meta:
		name = "TGridDataLink.Create"
		size = 64
		refs = "000b @ClassCreate 001a TDataLink.Create 002c @AfterConstruction"
		altNames = "TNavDataLink.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C C6 47 16 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6355_0 {
	meta:
		name = "TNavDataLink.Destroy"
		size = 42
		refs = "0003 @BeforeDestruction 0018 TDataLink.Destroy 0023 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 1C 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6356_0 {
	meta:
		name = "TNavDataLink.EditingChanged"
		size = 15
		refs = "000a TDBNavigator.EditingChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9490_0 {
	meta:
		name = "TBitmap.FreeContext"
		size = 15
		refs = "000a TBitmapCanvas.FreeContext"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6358_0 {
	meta:
		name = "TNavDataLink.ActiveChanged"
		size = 15
		refs = "000a TDBNavigator.ActiveChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6357_0 {
	meta:
		name = "TNavDataLink.DataSetChanged"
		size = 15
		refs = "000a TDBNavigator.DataChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6360_0 {
	meta:
		name = "TDataSourceLink.ActiveChanged"
		size = 20
		altNames = "TDataSourceLink.LayoutChanged"
	strings:
		$1 = { 56 8B 70 1C 85 F6 74 0A 8B C6 8B 10 FF 92 DC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6361_0 {
	meta:
		name = "TDataSourceLink.FocusControl"
		size = 61
		refs = "0022 TWinControl.CanFocus"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 3E 85 FF 74 2C 8B 43 1C 3B B8 0C 02 00 00 75 21 83 7B 1C 00 74 1B 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 0F 33 C0 89 06 8B 43 1C 8B 10 FF 92 B4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6363_0 {
	meta:
		name = "TDataSourceLink.RecordChanged"
		size = 15
		refs = "000a TDBLookupControl.DataLinkRecordChanged"
	strings:
		$1 = { 8B 48 1C 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6365_0 {
	meta:
		name = "TListSourceLink.ActiveChanged"
		size = 20
		altNames = "TListSourceLink.LayoutChanged"
	strings:
		$1 = { 56 8B 70 1C 85 F6 74 0A 8B C6 8B 10 FF 92 E0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6366_0 {
	meta:
		name = "TListSourceLink.DataSetChanged"
		size = 20
	strings:
		$1 = { 56 8B 70 1C 85 F6 74 0A 8B C6 8B 10 FF 92 CC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6368_0 {
	meta:
		name = "VarEquals"
		size = 71
		refs = "0013 VarEquals 0022 @VarCmp 0035 @HandleAnyException 003a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 94 45 FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6369_0 {
	meta:
		name = "TDBLookupControl.Create"
		size = 220
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 NewStyleControls 002b TDBLookupControl.Create 0041 TControl.SetParentColor 004a TWinControl.SetTabStop 0053 _Dn_TDataSource 0058 TDataSource.Create 0065 _DV_TDataSourceLink 006a TDataSourceLink.Create 007c _DV_TListSourceLink 0081 TListSourceLink.Create 0093 _Dn_TList 0098 TObject.Create 00aa Null 00af @VarCopy 00bc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 43 40 EB 08 A1 ?? ?? ?? ?? 89 43 40 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 01 00 00 89 5E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 01 00 00 89 5E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 02 00 00 8D 83 20 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 40 00 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_6370_0 {
	meta:
		name = "TDBLookupControl.Destroy"
		size = 80
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003e TCustomControl.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B 86 F8 01 00 00 33 D2 89 50 1C E8 ?? ?? ?? ?? 8B 86 F4 01 00 00 33 D2 89 50 1C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6371_0 {
	meta:
		name = "TDBLookupControl.CanModify"
		size = 67
		refs = "0010 TDBLookupControl.GetReadOnly"
	strings:
		$1 = { 53 56 8B D8 80 BB 35 02 00 00 00 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8B 83 F4 01 00 00 83 78 04 00 74 1A 8B B3 10 02 00 00 85 F6 74 0B 8B C6 8B 10 FF 52 60 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_6372_0 {
	meta:
		name = "TDBLookupControl.CheckNotCircular"
		size = 117
		refs = "000d TDBLookupControl.CheckNotCircular 0026 TDBLookupControl.GetDataSource 002e TDataLink.GetDataSet 0034 TDataSet.IsLinkedTo 0040 SCircularDataLink 0045 LoadResString 004f DatabaseError 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 F8 01 00 00 80 7E 15 00 74 30 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6373_0 {
	meta:
		name = "TDBLookupControl.CheckNotLookup"
		size = 122
		refs = "000c TDBLookupControl.CheckNotLookup 0023 SPropDefByLookup 0028 LoadResString 0032 DatabaseError 0046 SDataSourceFixed 006a @LStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 34 02 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 80 78 19 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6374_0 {
	meta:
		name = "TDBLookupControl.UpdateDataFields"
		size = 127
		refs = "002c TDBLookupControl.CheckNotCircular 0037 TDataLink.GetDataSet 0044 GetFieldProperty 006f TDBLookupControl.SetLookupMode 0078 TDBLookupControl.DataLinkRecordChanged"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 83 0C 02 00 00 33 C0 89 83 10 02 00 00 8B 83 F4 01 00 00 80 78 15 00 74 36 83 BB FC 01 00 00 00 74 2D 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B 8B FC 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 89 B3 0C 02 00 00 89 B3 10 02 00 00 8B 83 0C 02 00 00 85 C0 74 06 80 78 32 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6375_0 {
	meta:
		name = "TDBLookupControl.DataLinkRecordChanged"
		size = 119
		refs = "0011 TDBLookupControl.DataLinkRecordChanged 0041 TDBLookupControl.SetKeyValue 0049 Null 0065 @VarClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 74 08 3B 93 10 02 00 00 75 2D 8B B3 10 02 00 00 85 F6 74 16 8D 55 F0 8B C6 8B 08 FF 51 5C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6376_0 {
	meta:
		name = "TDBLookupControl.GetBorderSize"
		size = 83
		refs = "0021 SetRect 003a AdjustWindowRectEx"
	strings:
		$1 = { 81 C4 64 FF FF FF 8B D4 8B 08 FF 91 94 00 00 00 6A 00 6A 00 6A 00 6A 00 8D 84 24 9C 00 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 08 50 6A 00 8B 44 24 0C 50 8D 84 24 98 00 00 00 50 E8 ?? ?? ?? ?? 8B 84 24 98 00 00 00 2B 84 24 90 00 00 00 81 C4 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_6378_0 {
	meta:
		name = "TDBLookupControl.GetKeyFieldName"
		size = 41
		refs = "0012 @LStrClr 0022 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 34 02 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 00 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6379_0 {
	meta:
		name = "TDBLookupControl.GetListSource"
		size = 22
	strings:
		$1 = { 80 B8 34 02 00 00 00 74 03 33 C0 C3 8B 80 F8 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6381_0 {
	meta:
		name = "TDBLookupControl.GetTextHeight"
		size = 64
		refs = "000a GetDC 0014 TFont.GetHandle 001b SelectObject 0024 GetTextMetrics 0033 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C8 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 8B 46 58 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 54 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 83 C4 38 5E 5B C3 }
	condition:
		$1
}

rule function_6383_0 {
	meta:
		name = "TDBLookupControl.UpdateListFields"
		size = 532
		refs = "0015 TDBLookupControl.UpdateListFields 004d @CallDynaInst 0078 TDBLookupControl.CheckNotCircular 0086 TDataLink.GetDataSet 009d GetFieldProperty 00ce TDataSet.GetFieldList 00dd @HandleAnyException 00e7 SFieldNotFound 00ec LoadResString 011b DatabaseErrorFmt 0120 @DoneExcept 0155 TList.IndexOf 016b TList.Insert 0193 TList.Add 01be TList.Get 0201 @LStrClr 0207 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 35 02 00 00 00 8B 45 FC 33 D2 89 90 14 02 00 00 8B 45 FC 33 D2 89 90 18 02 00 00 8B 45 FC 8B 80 1C 02 00 00 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 80 78 15 00 0F 84 8C 01 00 00 8B 45 FC 83 B8 00 02 00 00 00 0F 84 7C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 88 00 02 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 89 82 14 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 88 04 02 00 00 8B 45 FC 8B 90 1C 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 48 E9 ?? ?? ?? ?? 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 40 08 89 45 E4 C6 45 E8 0B 8B 45 FC 8B 80 04 02 00 00 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 34 02 00 00 00 74 4A 8B 45 FC 8B 80 0C 02 00 00 8B 48 5C 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 1C 02 00 00 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 12 8B 45 FC 8B 80 1C 02 00 00 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 89 98 18 02 00 00 EB 6C 8B 45 FC 8B 80 1C 02 00 00 83 78 08 00 75 0E 8B 55 FC 8B 92 14 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 08 02 00 00 85 DB 7C 29 8B 45 FC 8B 80 1C 02 00 00 3B 58 08 7D 1B 8B D3 8B 45 FC 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 18 02 00 00 EB 19 8B 45 FC 8B 80 1C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 89 82 18 02 00 00 8B 45 FC C6 80 35 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6385_0 {
	meta:
		name = "TDBLookupControl.LocateKey"
		size = 220
		refs = "0013 TDBLookupControl.LocateKey 0039 @VarCopy 0044 VarIsNull 0053 TDataLink.GetDataSet 0058 TDataSet.GetActive 00a6 @HandleAnyException 00ab @DoneExcept 00c0 @VarClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8D 93 20 02 00 00 E8 ?? ?? ?? ?? 8D 83 20 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 4F 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B A0 ?? ?? ?? ?? 50 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8D 8B 20 02 00 00 8B 93 00 02 00 00 8B 30 FF 96 DC 01 00 00 84 C0 74 12 C6 45 FF 01 8D 83 20 02 00 00 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6386_0 {
	meta:
		name = "TDBLookupControl.Notification"
		size = 87
		refs = "0010 TControl.Notification 0025 TDBLookupControl.GetDataSource 0032 TDBLookupControl.SetDataSource 0042 TDBLookupControl.GetListSource 004f TDBLookupControl.SetListSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 3A 83 BF F4 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 83 BF F8 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6387_0 {
	meta:
		name = "TDBLookupControl.ProcessSearchKey"
		size = 484
		refs = "0025 TDBLookupControl.ProcessSearchKey 006e @LStrClr 008a GetTickCount 0094 SearchTickCount 00b1 SysLocale 00bc LeadBytes 00dd TWinControl.GetHandle 00e7 PeekMessage 00fa PostQuitMessage 010a @LStrFromChar 0118 @LStrCat 0129 @LStrLen 014a @LStrCat3 015b TDataLink.GetDataSet 0167 @VarFromLStr 01a9 @LStrAsg 01be @VarClr 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 C9 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 02 00 00 85 C0 0F 84 70 01 00 00 80 78 32 00 0F 85 66 01 00 00 80 78 30 01 0F 85 5C 01 00 00 8A 45 FF 2C 08 74 0F 2C 13 74 0B 04 FB 2C E0 72 15 E9 46 01 00 00 8D 83 30 02 00 00 E8 ?? ?? ?? ?? E9 36 01 00 00 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 0F 84 24 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 2B 05 ?? ?? ?? ?? 3D D0 07 00 00 7E 0B 8D 83 30 02 00 00 E8 ?? ?? ?? ?? 89 35 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 67 A1 ?? ?? ?? ?? 8A 55 FF 81 E2 FF 00 00 00 0F A3 10 73 54 6A 01 68 02 01 00 00 68 02 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 45 DC 50 E8 ?? ?? ?? ?? 85 C0 74 33 83 7D E0 12 75 0E 8B 45 E4 50 E8 ?? ?? ?? ?? E9 AA 00 00 00 8D 45 D8 8A 55 FF E8 ?? ?? ?? ?? 8B 55 D8 8D 83 30 02 00 00 E8 ?? ?? ?? ?? 8A 45 E4 88 45 FF 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 83 F8 20 7D 7B 8D 45 D8 8A 55 FF E8 ?? ?? ?? ?? 8B 4D D8 8D 45 F8 8B 93 30 02 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 C8 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D C8 8B 83 18 02 00 00 8B 50 28 58 8B 30 FF 96 DC 01 00 00 84 C0 74 29 8D 55 C8 8B 83 14 02 00 00 8B 08 FF 51 5C 8D 55 C8 8B C3 8B 08 FF 91 D8 00 00 00 8D 83 30 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_6388_0 {
	meta:
		name = "TDBLookupControl.SelectKeyValue"
		size = 78
		refs = "0016 TDataLink.Edit 0035 TDBLookupControl.SetKeyValue 0047 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 10 02 00 00 00 74 21 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 1B 8B D3 8B 86 10 02 00 00 8B 08 FF 91 9C 00 00 00 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 7C 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6389_0 {
	meta:
		name = "TDBLookupControl.SetDataFieldName"
		size = 47
		refs = "000f @LStrCmp 001e @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 01 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 FC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6391_0 {
	meta:
		name = "TDBLookupControl.SetKeyFieldName"
		size = 54
		refs = "0009 TDBLookupControl.CheckNotLookup 0016 @LStrCmp 0025 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 00 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6392_0 {
	meta:
		name = "TDBLookupControl.SetKeyValue"
		size = 49
		refs = "000f VarEquals 0020 @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 83 20 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 17 8D 83 20 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6393_0 {
	meta:
		name = "TDBLookupControl.SetListFieldName"
		size = 47
		refs = "000f @LStrCmp 001e @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 04 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 04 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6394_0 {
	meta:
		name = "TDBLookupControl.SetListSource"
		size = 42
		refs = "0009 TDBLookupControl.CheckNotLookup 0016 TDataLink.SetDataSource 0023 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6395_0 {
	meta:
		name = "TDBLookupControl.SetLookupMode"
		size = 170
		refs = "0023 GetFieldProperty 003d TDataSource.SetDataSet 0051 @LStrAsg 0069 TDataLink.SetDataSource 008a @LStrClr"
	strings:
		$1 = { 53 56 8B D8 3A 93 34 02 00 00 0F 84 97 00 00 00 84 D2 74 5B 8B B3 0C 02 00 00 8B 4E 54 8B 46 24 8B D3 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8B 83 0C 02 00 00 8B 50 50 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8D 83 00 02 00 00 8B 93 0C 02 00 00 8B 52 58 E8 ?? ?? ?? ?? C6 83 34 02 00 00 01 8B 93 F0 01 00 00 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? EB 38 33 D2 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? C6 83 34 02 00 00 00 8D 83 00 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 89 83 10 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6398_0 {
	meta:
		name = "TDBLookupControl.WMKillFocus"
		size = 26
		refs = "000d TWinControl.WMKillFocus"
	strings:
		$1 = { 56 8B F0 C6 86 36 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_6399_0 {
	meta:
		name = "TDBLookupControl.WMSetFocus"
		size = 26
		refs = "000d TWinControl.WMSetFocus"
	strings:
		$1 = { 56 8B F0 C6 86 36 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_6402_0 {
	meta:
		name = "TDBLookupListBox.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TDBLookupControl.Create 001c TDBLookupListBox.Create 002e TControl.SetWidth 0041 TDBLookupListBox.SetRowCount 004c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 44 02 00 00 01 BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 80 00 00 00 }
	condition:
		$1
}

rule function_6403_0 {
	meta:
		name = "TDBLookupListBox.CreateParams"
		size = 62
		refs = "000b TWinControl.CreateParams 0019 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 44 02 00 00 01 75 23 A1 ?? ?? ?? ?? 80 38 00 74 12 80 BB 2C 01 00 00 00 74 09 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_6405_0 {
	meta:
		name = "TDBLookupListBox.GetKeyIndex"
		size = 164
		refs = "0012 TDBLookupListBox.GetKeyIndex 0023 VarIsNull 006f VarEquals 008f @VarClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 20 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 50 8B B3 3C 02 00 00 4E 85 F6 7C 45 46 33 FF 8B D7 8B 83 F8 01 00 00 8B 08 FF 51 48 8D 55 F0 8B 83 14 02 00 00 8B 08 FF 51 5C 8B 93 38 02 00 00 8B 83 F8 01 00 00 8B 08 FF 51 48 8D 93 20 02 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 07 47 4E 75 BE 83 CF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6406_0 {
	meta:
		name = "TDBLookupListBox.KeyDown"
		size = 291
		refs = "0013 TWinControl.KeyDown 0039 TDBLookupListBox.KeyDown 009a @LStrClr 00ad TDataLink.GetDataSet 00b2 TDataSet.First 00cc TDataSet.Last 00d5 TDBLookupListBox.GetKeyIndex 00f3 TDataSet.MoveBy 011a TDBLookupListBox.SelectCurrent"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B D8 8B D7 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 0F 84 F5 00 00 00 33 F6 0F B7 07 83 C0 DF 83 F8 07 77 55 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 CE FF EB 29 BE 01 00 00 00 EB 22 BE 01 00 00 00 2B B3 40 02 00 00 EB 15 8B B3 40 02 00 00 4E EB 0C BE 01 00 00 80 EB 05 BE FF FF FF 7F 85 F6 0F 84 8B 00 00 00 8D 83 30 02 00 00 E8 ?? ?? ?? ?? 81 FE 01 00 00 80 75 12 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5F 81 FE FF FF FF 7F 75 12 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 1A 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B D7 2B 93 38 02 00 00 E8 ?? ?? ?? ?? EB 0C 8B C3 8B 10 FF 92 C8 00 00 00 33 F6 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6407_0 {
	meta:
		name = "TDBLookupListBox.KeyPress"
		size = 30
		refs = "000b TWinControl.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 16 8B C3 8B 08 FF 91 D4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6408_0 {
	meta:
		name = "TDBLookupListBox.KeyValueChanged"
		size = 152
		refs = "000d TDBLookupListBox.KeyValueChanged 003e TDataLink.GetDataSet 0043 TDataSet.First 0057 TField.GetDisplayText 0065 @LStrAsg 0072 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 35 02 00 00 00 74 27 80 BB 49 02 00 00 00 75 1E 8B C3 8B 10 FF 92 D0 00 00 00 84 C0 75 10 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 18 02 00 00 85 F6 74 1A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 50 02 00 00 E8 ?? ?? ?? ?? EB 0B 8D 83 50 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6409_0 {
	meta:
		name = "TDBLookupListBox.UpdateListFields"
		size = 89
		refs = "000b TDBLookupListBox.UpdateListFields 0019 TDBLookupControl.UpdateListFields 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 35 02 00 00 00 74 0D 8B 45 FC 8B 10 FF 92 C8 00 00 00 EB 0B 8B 45 FC 8B 10 FF 92 CC 00 00 00 C3 E9 ?? ?? ?? ?? EB D4 59 5D C3 }
	condition:
		$1
}

rule function_6410_0 {
	meta:
		name = "TDBLookupListBox.ListLinkDataChanged"
		size = 145
		refs = "0035 VarIsNull 0044 TDataLink.GetDataSet 0079 TWinControl.HandleAllocated 0084 TDBLookupListBox.UpdateScrollBar"
	strings:
		$1 = { 53 8B D8 80 BB 35 02 00 00 00 74 53 8B 83 F8 01 00 00 8B 10 FF 52 28 89 83 38 02 00 00 8B 83 F8 01 00 00 8B 10 FF 52 38 89 83 3C 02 00 00 8D 83 20 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 80 B8 90 00 00 00 00 74 04 33 C0 EB 02 B0 01 88 83 46 02 00 00 EB 17 33 C0 89 83 38 02 00 00 33 C0 89 83 3C 02 00 00 C6 83 46 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_6411_0 {
	meta:
		name = "TDBLookupListBox.MouseDown"
		size = 177
		refs = "001f @LStrClr 0075 @CallDynaInst 0080 TControl.SetMouseCapture 0093 TDBLookupListBox.SelectItemAt 00a5 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B F0 8B 7D 08 80 7D FF 00 75 7F 8D 86 30 02 00 00 E8 ?? ?? ?? ?? 80 BE 45 02 00 00 00 75 13 8B C6 8B 10 FF 92 B4 00 00 00 80 BE 36 02 00 00 00 74 6A 8B C6 8B 10 FF 92 BC 00 00 00 84 C0 74 4A F6 45 FE 40 74 28 8B C6 8B 10 FF 92 C4 00 00 00 50 8B C7 5A 8B CA 99 F7 F9 3B 86 38 02 00 00 75 29 8B C6 66 BB EB FF E8 ?? ?? ?? ?? EB 1C B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 47 02 00 00 01 8B CF 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 57 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6412_0 {
	meta:
		name = "TDBLookupListBox.MouseMove"
		size = 71
		refs = "0021 TDBLookupListBox.SelectItemAt 002e TDBLookupListBox.TimerScroll 003b TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 80 BB 47 02 00 00 00 74 18 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 B3 4C 02 00 00 8B C3 E8 ?? ?? ?? ?? 56 8B CF 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6413_0 {
	meta:
		name = "TDBLookupListBox.MouseUp"
		size = 71
		refs = "0021 TDBLookupListBox.StopTracking 002c TDBLookupListBox.SelectItemAt 003b TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 80 BB 47 02 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6414_0 {
	meta:
		name = "TDBLookupListBox.Paint"
		size = 876
		refs = "0020 TDBLookupListBox.Paint 0034 TCanvas.SetFont 0044 TCanvas.TextWidth 0057 TCanvas.TextHeight 006f ColorToRGB 0092 TPen.SetColor 00d5 TFont.SetColor 00e6 TBrush.SetColor 0135 VarIsNull 0155 VarEquals 01a6 TList.Get 01b4 TField.GetDisplayWidth 01c6 TControl.GetClientWidth 01d6 TField.GetDisplayText 01ee @CallDynaInst 01fa ChangeBiDiModeAlignment 0250 SysLocale 0261 TControlCanvas.UpdateTextFlags 027d TCanvas.TextRect 0292 TCanvas.MoveTo 02a3 TCanvas.LineTo 02e4 TCanvas.FillRect 030a TCanvas.DrawFocusRect 0345 @VarClr 034d @LStrClr 0353 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 D2 89 55 B8 89 55 BC 89 55 C0 89 55 C4 89 55 E4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 58 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 BA ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 86 1C 02 00 00 8B 40 08 48 89 45 E8 8B 46 64 E8 ?? ?? ?? ?? 8B D8 B8 0F 00 00 80 E8 ?? ?? ?? ?? 3B D8 74 15 8B 86 EC 01 00 00 8B 40 10 BA 0F 00 00 80 E8 ?? ?? ?? ?? EB 13 8B 86 EC 01 00 00 8B 40 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 86 40 02 00 00 48 85 C0 0F 8C 60 02 00 00 40 89 45 DC C7 45 FC 00 00 00 00 8B 46 58 8B 50 14 8B 86 EC 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 40 14 8B 56 64 E8 ?? ?? ?? ?? 80 BE 46 02 00 00 00 75 06 83 7D FC 00 74 04 33 C0 EB 02 B0 01 88 45 E3 8B 45 FC F7 6D EC 89 45 CC 03 45 EC 89 45 D4 8B 45 FC 3B 86 3C 02 00 00 0F 8D A0 01 00 00 8B 55 FC 8B 86 F8 01 00 00 8B 08 FF 51 48 8D 86 20 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 4A 8D 55 B8 8B 86 14 02 00 00 8B 08 FF 51 5C 8D 45 B8 8D 96 20 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 86 EC 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? C6 45 E3 01 33 C0 89 45 D0 8B 45 E8 85 C0 0F 8C 29 01 00 00 40 89 45 D8 33 FF 8B D7 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B D8 3B 7D E8 7D 12 8B C3 E8 ?? ?? ?? ?? F7 6D F0 83 C0 04 89 45 F8 EB 0D 8B C6 E8 ?? ?? ?? ?? 2B 45 D0 89 45 F8 8D 55 E4 8B C3 E8 ?? ?? ?? ?? C7 45 F4 02 00 00 00 8A 43 33 88 45 E2 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 E2 E8 ?? ?? ?? ?? 8A 45 E2 FE C8 74 06 FE C8 74 1D EB 38 8B 55 E4 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 2B D0 83 EA 03 89 55 F4 EB 1D 8B 55 E4 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 2B D0 D1 FA 79 03 83 D2 00 89 55 F4 8B 45 D0 89 45 C8 8B 45 F8 01 45 D0 A1 ?? ?? ?? ?? 80 78 09 00 74 0B 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 5D CC 53 8B 45 E4 50 8B 4D C8 03 4D F4 8D 55 C8 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 3B 7D E8 7D 30 8B CB 8B 55 D0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 4D D4 8B 55 D0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? FF 45 D0 8B C6 E8 ?? ?? ?? ?? 3B 45 D0 7E 0A 47 FF 4D D8 0F 85 DD FE FF FF 33 C0 89 45 C8 8B C6 E8 ?? ?? ?? ?? 89 45 D0 8B 45 FC 3B 86 3C 02 00 00 7C 0E 8D 55 C8 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 80 7D E3 00 74 20 80 BE 36 02 00 00 00 75 09 80 BE 45 02 00 00 00 74 0E 8D 55 C8 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? FF 45 FC FF 4D DC 0F 85 AB FD FF FF 83 BE 3C 02 00 00 00 74 11 8B 96 38 02 00 00 8B 86 F8 01 00 00 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_6415_0 {
	meta:
		name = "TDBLookupListBox.SelectCurrent"
		size = 146
		refs = "0011 TDBLookupListBox.SelectCurrent 006b @HandleFinally 0082 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 49 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 14 02 00 00 8B 08 FF 51 5C 8D 55 EC 8B 45 FC 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 49 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_6416_0 {
	meta:
		name = "TDBLookupListBox.SelectItemAt"
		size = 88
		refs = "000f TControl.GetClientHeight 0043 TDataLink.GetDataSet 004a TDataSet.MoveBy 0051 TDBLookupListBox.SelectCurrent"
	strings:
		$1 = { 53 56 8B F1 8B D8 85 F6 7D 02 33 F6 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 0A 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 8B C3 8B 10 FF 92 C4 00 00 00 50 8B C6 5A 8B CA 99 F7 F9 2B 83 38 02 00 00 8B F0 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6417_0 {
	meta:
		name = "TDBLookupListBox.SetBorderStyle"
		size = 39
		refs = "0014 TWinControl.RecreateWnd 0021 TDBLookupListBox.SetRowCount"
	strings:
		$1 = { 53 8B D8 3A 93 44 02 00 00 74 1A 88 93 44 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6418_0 {
	meta:
		name = "TDBLookupListBox.SetBounds"
		size = 130
		refs = "0075 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B C3 8B 10 FF 92 C0 00 00 00 8B F8 8B C3 8B 10 FF 92 C4 00 00 00 89 45 F4 8B 45 08 2B C7 99 F7 7D F4 8B F0 83 FE 01 7D 05 BE 01 00 00 00 89 B3 40 02 00 00 8B 83 F8 01 00 00 3B 70 0C 74 11 8B D6 8B 08 FF 51 4C 8B C3 8B 10 FF 92 CC 00 00 00 8B 45 0C 50 0F AF 75 F4 03 FE 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6419_0 {
	meta:
		name = "TDBLookupComboBox.UseRightToLeftAlignment"
		size = 12
		refs = "0007 DBUseRightToLeftAlignment"
		altNames = "TDBLookupListBox.UseRightToLeftAlignment"
	strings:
		$1 = { 8B 90 0C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6420_0 {
	meta:
		name = "TDBLookupListBox.SetRowCount"
		size = 67
		refs = "003b TControl.SetHeight"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 83 FB 01 7D 05 BB 01 00 00 00 83 FB 64 7E 05 BB 64 00 00 00 8B C6 8B 10 FF 92 C4 00 00 00 8B F8 0F AF FB 8B C6 8B 10 FF 92 C0 00 00 00 03 F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6421_0 {
	meta:
		name = "TDBLookupListBox.StopTimer"
		size = 36
		refs = "0011 TWinControl.GetHandle 0017 KillTimer"
	strings:
		$1 = { 53 8B D8 80 BB 48 02 00 00 00 74 16 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 48 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6422_0 {
	meta:
		name = "TDBLookupListBox.StopTracking"
		size = 37
		refs = "000f TDBLookupListBox.StopTimer 001f TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB 47 02 00 00 00 74 17 8B C3 E8 ?? ?? ?? ?? C6 83 47 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6423_0 {
	meta:
		name = "TDBLookupListBox.TimerScroll"
		size = 151
		refs = "001e TControl.GetClientHeight 0042 TDBLookupListBox.StopTimer 004f TDataLink.GetDataSet 0056 TDataSet.MoveBy 0061 TDBLookupListBox.SelectCurrent 0081 TWinControl.GetHandle 0087 SetTimer"
	strings:
		$1 = { 53 56 57 55 8B D8 33 F6 33 FF 8B AB 4C 02 00 00 85 ED 7D 07 83 CE FF 8B FD F7 DF 8B C3 E8 ?? ?? ?? ?? 3B E8 7C 15 BE 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B BB 4C 02 00 00 2B F8 47 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 4A 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C7 C1 E0 04 2B C7 BE C8 00 00 00 2B F0 85 F6 7D 02 33 F6 6A 00 56 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 48 02 00 00 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6424_0 {
	meta:
		name = "TDBLookupListBox.UpdateScrollBar"
		size = 173
		refs = "0026 TDataLink.GetDataSet 0068 TWinControl.GetHandle 006e GetScrollInfo 00a2 SetScrollInfo"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B D8 33 FF 33 F6 8B 83 3C 02 00 00 3B 83 40 02 00 00 75 39 BE 04 00 00 00 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 80 B8 90 00 00 00 00 75 20 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 75 07 BF 02 00 00 00 EB 05 BF 04 00 00 00 C7 04 24 1C 00 00 00 C7 44 24 04 05 00 00 00 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0C 3B 7C 24 14 75 06 3B 74 24 0C 74 24 33 C0 89 44 24 08 89 74 24 0C 89 7C 24 14 6A FF 8D 44 24 04 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6425_0 {
	meta:
		name = "TDBLookupListBox.CMCtl3DChanged"
		size = 57
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0029 TDBLookupListBox.SetRowCount 0032 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 1D 80 BB 44 02 00 00 01 75 14 8B C3 E8 ?? ?? ?? ?? 8B 93 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6426_0 {
	meta:
		name = "TDBLookupListBox.CMFontChanged"
		size = 22
		refs = "0006 TWinControl.CMFontChanged 0010 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6429_0 {
	meta:
		name = "TDBLookupListBox.WMVScroll"
		size = 289
		refs = "000d @LStrClr 0018 TDataLink.GetDataSet 002c TDBLookupListBox.WMVScroll 005a TDataSet.MoveBy 00d3 TDataSet.First 010c TDataSet.Last"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 0F BF 56 04 83 FA 07 0F 87 F5 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 93 38 02 00 00 F7 DA 4A E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 93 3C 02 00 00 2B 93 38 02 00 00 E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 93 38 02 00 00 F7 DA 2B 93 3C 02 00 00 42 E8 ?? ?? ?? ?? E9 8C 00 00 00 8B 93 3C 02 00 00 8B CA 2B 8B 38 02 00 00 03 CA 83 E9 02 8B D1 E8 ?? ?? ?? ?? EB 70 0F BF 56 06 83 FA 04 77 67 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 8B 93 38 02 00 00 F7 DA 2B 93 3C 02 00 00 42 E8 ?? ?? ?? ?? EB 2F 8B 93 3C 02 00 00 8B CA 2B 8B 38 02 00 00 03 CA 83 E9 02 8B D1 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6432_0 {
	meta:
		name = "TPopupDataList.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TDBLookupListBox.Create 001c TPopupDataList.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 C6 86 45 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 0C 00 00 }
	condition:
		$1
}

rule function_6433_0 {
	meta:
		name = "TPopupDataList.CreateParams"
		size = 49
		refs = "000b TDBLookupListBox.CreateParams 0023 TWinControl.AddBiDiModeExStyle"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? C7 43 04 00 00 80 80 C7 43 08 80 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? C7 43 24 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6434_0 {
	meta:
		name = "TPopupDataList.WMMouseActivate"
		size = 8
	strings:
		$1 = { C7 42 0C 03 00 00 00 C3 }
	condition:
		$1
}

rule function_6435_0 {
	meta:
		name = "TDBLookupComboBox.Create"
		size = 188
		refs = "000e @ClassCreate 001c TDBLookupControl.Create 0021 TDBLookupComboBox.Create 0033 TControl.SetWidth 003c TControl.SetHeight 0045 _DV_TPopupDataList 004a TPopupDataList.Create 005b TControl.SetVisible 007e TDBLookupComboBox.ListMouseUp 0085 GetSystemMetrics 00a2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 BA 91 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 38 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 83 38 02 00 00 8B 08 FF 51 64 8B 83 38 02 00 00 89 98 C8 00 00 00 C7 80 C4 00 00 00 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 89 83 3C 02 00 00 C7 83 44 02 00 00 07 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 }
	condition:
		$1
}

rule function_6436_0 {
	meta:
		name = "TDBLookupComboBox.CloseUp"
		size = 246
		refs = "0014 TDBLookupComboBox.CloseUp 002c GetCapture 0041 SendMessage 0055 @VarCopy 006b TWinControl.GetHandle 0071 SetWindowPos 0085 TDBLookupControl.SetListSource 0097 @LStrClr 00e3 @VarClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BF 4D 02 00 00 00 0F 84 A7 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F0 8B B7 38 02 00 00 8D 96 20 02 00 00 E8 ?? ?? ?? ?? 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 87 4D 02 00 00 00 33 D2 8B 87 38 02 00 00 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 78 8D 87 30 02 00 00 E8 ?? ?? ?? ?? 84 DB 74 1B 8B C7 8B 10 FF 92 BC 00 00 00 84 C0 74 0D 8D 55 F0 8B C7 8B 08 FF 91 D8 00 00 00 66 83 BF 5E 02 00 00 00 74 0E 8B D7 8B 87 60 02 00 00 FF 97 5C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6437_0 {
	meta:
		name = "TDBLookupComboBox.CMBiDiModeChanged"
		size = 26
		refs = "0006 TWinControl.CMBiDiModeChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 53 4F 8B 83 38 02 00 00 8B 08 FF 51 6C 5B C3 }
	condition:
		$1
}

rule function_6438_0 {
	meta:
		name = "TDBLookupComboBox.CreateParams"
		size = 54
		refs = "000b TWinControl.CreateParams 0010 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 13 80 BB 2C 01 00 00 00 74 0A 81 4E 08 00 02 00 00 5E 5B C3 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_6439_0 {
	meta:
		name = "TDBLookupComboBox.DropDown"
		size = 608
		refs = "0014 TDBLookupComboBox.DropDown 005a TControl.SetColor 0068 TControl.SetFont 007f TControl.SetWidth 00a9 TDBLookupControl.SetReadOnly 00ba TDBLookupListBox.SetRowCount 00cb TDBLookupControl.SetKeyFieldName 00ec TList.Get 0101 @LStrCatN 0113 TDBLookupControl.SetListFieldName 0124 TList.IndexOf 0140 TDBLookupControl.SetListSource 0151 TDBLookupControl.SetKeyValue 015f Point 016d TControl.ClientToScreen 017a Screen 0181 TScreen.GetHeight 01b1 DBUseRightToLeftAlignment 0217 TWinControl.GetHandle 021d SetWindowPos 0240 @LStrClr 0246 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 4D 02 00 00 00 0F 85 04 02 00 00 80 BB 35 02 00 00 00 0F 84 F7 01 00 00 66 83 BB 56 02 00 00 00 74 0E 8B D3 8B 83 58 02 00 00 FF 93 54 02 00 00 8B 53 64 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 53 58 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 83 48 02 00 00 85 C0 7E 0F 8B D0 8B 83 38 02 00 00 E8 ?? ?? ?? ?? EB 0E 8B 53 38 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 8B D0 80 F2 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 93 00 02 00 00 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 8B 70 08 4E 85 F6 7C 2C 46 33 FF FF 75 F4 8B D7 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? FF 70 28 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 D7 8B 55 F4 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 93 18 02 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B B3 38 02 00 00 89 86 08 02 00 00 8B 83 F8 01 00 00 8B 50 04 8B C6 E8 ?? ?? ?? ?? 8D 93 20 02 00 00 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8D 4D E8 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F8 8B 43 24 E8 ?? ?? ?? ?? 8B 7D FC 8B F7 03 73 3C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 93 38 02 00 00 8B 52 3C 03 D6 3B C2 7D 0B 8B 83 38 02 00 00 8B F7 2B 70 3C 8A 83 4C 02 00 00 88 45 F3 8B 93 18 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 80 7D F3 00 75 06 C6 45 F3 01 EB 0A 80 7D F3 01 75 04 C6 45 F3 00 8A 45 F3 FE C8 74 06 FE C8 74 13 EB 27 8B 83 38 02 00 00 8B 40 38 2B 43 38 29 45 F8 EB 16 8B 83 38 02 00 00 8B 40 38 2B 43 38 D1 F8 79 03 83 D0 00 29 45 F8 6A 51 6A 00 6A 00 56 8B 45 F8 50 6A 00 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 4D 02 00 00 01 8B C3 8B 10 FF 52 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_6440_0 {
	meta:
		name = "TDBLookupComboBox.KeyDown"
		size = 302
		refs = "001b TDBLookupComboBox.KeyDown 002d TWinControl.KeyDown 009a TDataLink.GetDataSet 009f TDataSet.First 00c3 TDataSet.MoveBy 0106 @CallDynaInst 011b @VarClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 80 BB 35 02 00 00 00 0F 84 A9 00 00 00 66 83 3E 26 74 0A 66 83 3E 28 0F 85 99 00 00 00 F6 45 FF 02 74 28 80 BB 4D 02 00 00 00 74 0E B2 01 8B C3 8B 08 FF 91 E4 00 00 00 EB 0A 8B C3 8B 10 FF 92 E8 00 00 00 66 C7 06 00 00 EB 6B 80 BB 4D 02 00 00 00 75 62 8B C3 8B 10 FF 92 D0 00 00 00 84 C0 75 12 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 66 83 3E 26 75 05 83 CF FF EB 05 BF 01 00 00 00 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 EC 8B 83 14 02 00 00 8B 08 FF 51 5C 8D 55 EC 8B C3 8B 08 FF 91 D8 00 00 00 66 C7 06 00 00 66 83 3E 00 74 1D 80 BB 4D 02 00 00 00 74 14 8B D6 8A 4D FF 8B 83 38 02 00 00 66 BB C1 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6441_0 {
	meta:
		name = "TDBLookupComboBox.KeyPress"
		size = 88
		refs = "000c TWinControl.KeyPress 0042 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 80 BE 4D 02 00 00 00 74 2F 8A 07 2C 0D 74 04 2C 0E 75 12 80 3F 0D 0F 94 C2 8B C6 8B 08 FF 91 E4 00 00 00 EB 1F 8B D7 8B 86 38 02 00 00 66 BB BF FF E8 ?? ?? ?? ?? EB 0C 8A 17 8B C6 8B 08 FF 91 D4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6442_0 {
	meta:
		name = "TDBLookupComboBox.KeyValueChanged"
		size = 202
		refs = "000c TDBLookupComboBox.KeyValueChanged 0029 TField.GetDisplayText 0037 @LStrAsg 0097 @LStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 51 02 00 00 00 74 2D 8D 55 FC 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 40 02 00 00 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 8A 40 33 88 83 50 02 00 00 EB 56 80 BB 35 02 00 00 00 74 3B 8B C3 8B 10 FF 92 D0 00 00 00 84 C0 74 2D 8D 55 FC 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 40 02 00 00 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8A 40 33 88 83 50 02 00 00 EB 12 8D 83 40 02 00 00 E8 ?? ?? ?? ?? C6 83 50 02 00 00 00 8B C3 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6443_0 {
	meta:
		name = "TDBLookupComboBox.UpdateListFields"
		size = 22
		refs = "0006 TDBLookupControl.UpdateListFields"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8625_0 {
	meta:
		name = "TFileListBox.CreateWnd"
		size = 22
		refs = "0006 TCustomListBox.CreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6444_0 {
	meta:
		name = "TDBLookupComboBox.ListMouseUp"
		size = 79
		refs = "0017 Point 0034 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 8B F0 84 C9 75 3B 8D 4D F8 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 E8 8B 86 38 02 00 00 8B 08 FF 51 44 8D 45 E8 50 E8 ?? ?? ?? ?? F7 D8 1B D2 F7 DA 8B C6 8B 08 FF 91 E4 00 00 00 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_6445_0 {
	meta:
		name = "TDBLookupComboBox.MouseDown"
		size = 135
		refs = "004d TControl.SetMouseCapture 0060 TDBLookupComboBox.TrackButton 007b TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F0 8B 7D 0C 84 DB 75 59 8B C6 8B 10 FF 92 B4 00 00 00 80 BE 36 02 00 00 00 74 57 80 BE 4D 02 00 00 00 74 0E 33 D2 8B C6 8B 08 FF 91 E4 00 00 00 EB 2F 80 BE 35 02 00 00 00 74 26 B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 4F 02 00 00 01 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E8 00 00 00 57 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6446_0 {
	meta:
		name = "TDBLookupComboBox.MouseMove"
		size = 197
		refs = "0027 TDBLookupComboBox.TrackButton 003c Point 0049 TControl.ClientToScreen 005a TControl.ScreenToClient 0077 PtInRect 0082 TDBLookupComboBox.StopTracking 008a PointToSmallPoint 00a3 TWinControl.GetHandle 00a9 SendMessage 00b8 TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 80 BB 4F 02 00 00 00 0F 84 8F 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 4D 02 00 00 00 74 7B 8D 4D E0 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F4 8B 83 38 02 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 8D 55 D0 8B 83 38 02 00 00 8B 08 FF 51 44 8D 45 D0 50 E8 ?? ?? ?? ?? 85 C0 74 30 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 6A 00 68 01 02 00 00 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0D 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6447_0 {
	meta:
		name = "TDBLookupComboBox.MouseUp"
		size = 47
		refs = "0010 TDBLookupComboBox.StopTracking 0024 TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6448_0 {
	meta:
		name = "TDBLookupComboBox.Paint"
		size = 613
		refs = "0014 TDBLookupComboBox.Paint 0028 TCanvas.SetFont 0039 TBrush.SetColor 0073 TFont.SetColor 00a0 TField.GetLookup 00b2 TField.GetDisplayText 00da @LStrLAsg 00fe @CallDynaInst 010a ChangeBiDiModeAlignment 0111 TControl.GetClientWidth 0139 TCanvas.TextWidth 0162 TControl.GetClientHeight 0175 SetRect 0195 SysLocale 01a6 TControlCanvas.UpdateTextFlags 01bc TCanvas.TextRect 01d0 TCanvas.DrawFocusRect 0237 TCanvas.GetHandle 023d DrawFrameControl 0252 @LStrClr 0258 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 58 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 40 14 8B 56 64 E8 ?? ?? ?? ?? 80 BE 36 02 00 00 00 74 0F 80 BE 4D 02 00 00 00 75 06 F6 46 44 80 74 04 33 C0 EB 02 B0 01 88 45 FA 80 7D FA 00 74 26 8B 86 EC 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? F6 46 44 80 74 34 83 BE 0C 02 00 00 00 74 2B 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 FC 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 8A 40 33 88 45 FB EB 33 F6 46 20 10 74 16 83 BE 0C 02 00 00 00 75 0D 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 96 40 02 00 00 E8 ?? ?? ?? ?? 8A 86 50 02 00 00 88 45 FB 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 FB E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 2B 9E 3C 02 00 00 BF 02 00 00 00 8A 45 FB FE C8 74 06 FE C8 74 19 EB 30 8B 55 FC 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B FB 2B F8 83 EF 03 EB 19 8B 55 FC 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B FB 2B F8 D1 FF 79 03 83 D7 00 8B C6 E8 ?? ?? ?? ?? 48 50 8B C3 48 50 6A 01 6A 01 8D 45 E8 50 E8 ?? ?? ?? ?? 80 7E 4F 01 75 15 8B 86 3C 02 00 00 03 F8 01 45 E8 8B C6 E8 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 80 78 09 00 74 0B 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 6A 02 8B 45 FC 50 8B CF 8D 55 E8 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 80 7D FA 00 74 0E 8D 55 E8 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 53 8D 45 E8 50 E8 ?? ?? ?? ?? 80 7E 4F 01 75 0E 33 C0 89 45 E8 8B 86 3C 02 00 00 89 45 F0 80 BE 35 02 00 00 00 75 07 BB 05 01 00 00 EB 15 80 BE 4E 02 00 00 00 74 07 BB 05 42 00 00 EB 05 BB 05 00 00 00 53 6A 03 8D 45 E8 50 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6449_0 {
	meta:
		name = "TDBLookupComboBox.SetBounds"
		size = 62
		refs = "0033 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B C3 8B 10 FF 92 C4 00 00 00 50 8B C3 8B 10 FF 92 C0 00 00 00 5A 03 D0 83 C2 04 52 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6451_0 {
	meta:
		name = "TDBLookupComboBox.StopTracking"
		size = 43
		refs = "0015 TDBLookupComboBox.TrackButton 0025 TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB 4F 02 00 00 00 74 1D 83 C9 FF 83 CA FF 8B C3 E8 ?? ?? ?? ?? C6 83 4F 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6452_0 {
	meta:
		name = "TDBLookupComboBox.TrackButton"
		size = 117
		refs = "0013 Point 0022 TControl.GetClientHeight 002f TControl.GetClientWidth 0045 Rect 004f PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F9 8B F2 8B D8 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 14 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 2B 83 3C 02 00 00 33 D2 59 E8 ?? ?? ?? ?? 8D 44 24 10 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 3A 83 4E 02 00 00 74 0D 88 83 4E 02 00 00 8B C3 8B 10 FF 52 7C 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6453_0 {
	meta:
		name = "TDBLookupComboBox.CMCancelMode"
		size = 26
	strings:
		$1 = { 8B 4A 08 3B C1 74 12 3B 88 38 02 00 00 74 0A 33 D2 8B 08 FF 91 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_6454_0 {
	meta:
		name = "TDBLookupComboBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 0013 TWinControl.RecreateWnd 001c TControl.SetHeight 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6458_0 {
	meta:
		name = "TDBLookupComboBox.WMKillFocus"
		size = 24
		refs = "0006 TDBLookupControl.WMKillFocus"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 E4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6461_0 {
	meta:
		name = "TDBRichEdit.Create"
		size = 131
		refs = "000e @ClassCreate 001c TCustomRichEdit.Create 0025 TCustomEdit.SetReadOnly 0033 _DV_TFieldDataLink 0038 TFieldDataLink.Create 004d TDBRichEdit.DataChange 0057 TDBRichEdit.EditingChange 0061 TDBRichEdit.UpdateData 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 70 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 6C 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6462_0 {
	meta:
		name = "TDBRichEdit.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0026 TCustomRichEdit.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 6C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 6C 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6464_0 {
	meta:
		name = "TDBRichEdit.Notification"
		size = 58
		refs = "0010 TControl.Notification 0025 TDBRichEdit.GetDataSource 0032 TDBRichEdit.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 6C 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6466_0 {
	meta:
		name = "TDBRichEdit.BeginEditing"
		size = 191
		refs = "0013 TDBRichEdit.BeginEditing 0069 @LStrAsg 0077 TFieldDataLink.Edit 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 6C 02 00 00 80 7B 28 00 75 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 8B 00 FF 90 BC 00 00 00 84 C0 74 24 8D 55 F8 8B 45 FC 8B 80 6C 02 00 00 8B 40 1C 8B 08 FF 51 58 8B 55 F8 8B 45 FC 05 74 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 6C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6467_0 {
	meta:
		name = "TDBRichEdit.KeyDown"
		size = 84
		refs = "0012 TWinControl.KeyDown 004c TDBRichEdit.BeginEditing"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 80 BE 72 02 00 00 00 74 31 66 83 3B 2E 74 24 66 83 3B 08 74 1E 66 83 3B 2D 75 06 F6 04 24 01 75 12 66 83 3B 56 74 06 66 83 3B 58 75 0D F6 04 24 04 74 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6468_0 {
	meta:
		name = "TDBRichEdit.KeyPress"
		size = 164
		refs = "000b TCustomMemo.KeyPress 0046 MessageBeep 007e TDBRichEdit.BeginEditing 008b TFieldDataLink.Reset 009a TDBRichEdit.LoadMemo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 72 02 00 00 00 74 7A 8A 06 04 E0 2C E0 73 2D 8B 83 6C 02 00 00 83 78 1C 00 74 21 8A 16 8B 83 6C 02 00 00 8B 40 1C 8B 08 FF 91 C0 00 00 00 84 C0 75 0A 6A 00 E8 ?? ?? ?? ?? C6 06 00 33 C0 8A 06 83 F8 18 7F 16 74 23 83 C0 F8 83 E8 03 72 1B 83 E8 02 74 16 83 E8 09 74 11 EB 35 83 E8 1B 74 13 83 C0 FB 2D E0 00 00 00 73 26 8B C3 E8 ?? ?? ?? ?? EB 1D 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 80 3E 0D 75 07 8B C3 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_6469_0 {
	meta:
		name = "TDBRichEdit.Change"
		size = 39
		refs = "0013 TFieldDataLink.Modified 0021 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 80 BB 72 02 00 00 00 74 0B 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? C6 83 72 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6470_0 {
	meta:
		name = "TDBRichEdit.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 6C 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6471_0 {
	meta:
		name = "TDBRichEdit.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6472_0 {
	meta:
		name = "TDBRichEdit.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 6C 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6473_0 {
	meta:
		name = "TDBRichEdit.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 6C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6475_0 {
	meta:
		name = "TDBRichEdit.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 6C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6474_0 {
	meta:
		name = "TDBRichEdit.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 6C 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6476_0 {
	meta:
		name = "TDBRichEdit.GetField"
		size = 10
	strings:
		$1 = { 8B 80 6C 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_6477_0 {
	meta:
		name = "TDBRichEdit.LoadMemo"
		size = 288
		refs = "0015 TDBRichEdit.LoadMemo 009b @HandleOnException 00a3 _Dn_EOutOfResources 00c6 Format 00dc @DoneExcept 00e7 TDBRichEdit.EditingChange 00fc @LStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 72 02 00 00 00 0F 85 BC 00 00 00 8B 45 FC 8B 80 6C 02 00 00 83 78 1C 00 0F 84 A9 00 00 00 8B 45 FC 8B 80 6C 02 00 00 8B 40 1C 8B 00 FF 90 BC 00 00 00 84 C0 0F 84 8D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 6C 02 00 00 8B 50 1C 8B 45 FC 8B 80 2C 02 00 00 8B 08 FF 51 08 8B 45 FC C6 80 72 02 00 00 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 F8 50 8B 43 04 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 2C 02 00 00 8B 08 FF 51 2C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_6478_0 {
	meta:
		name = "TDBRichEdit.DataChange"
		size = 440
		refs = "0016 TDBRichEdit.DataChange 0083 @LStrCmp 0097 TDBRichEdit.LoadMemo 00b1 TField.GetDisplayLabel 00ca Format 00d4 TControl.SetText 00f1 TFieldDataLink.GetCanModify 0106 TField.GetEditText 0123 TField.GetDisplayText 015f TWinControl.HandleAllocated 0173 TWinControl.GetHandle 0179 RedrawWindow 018e @LStrClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 6C 02 00 00 8B 70 1C 85 F6 0F 84 09 01 00 00 8B 06 FF 90 BC 00 00 00 84 C0 0F 84 A0 00 00 00 80 BB 70 02 00 00 00 75 15 8B 83 6C 02 00 00 80 78 28 00 74 4A 80 BB 72 02 00 00 00 74 41 83 BB 74 02 00 00 00 74 25 8D 55 FC 8B 83 6C 02 00 00 8B 40 1C 8B 08 FF 51 58 8B 55 FC 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 0F 84 F0 00 00 00 C6 83 72 02 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 BC 00 00 00 8D 45 FC 50 8D 55 F0 8B 83 6C 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 72 02 00 00 00 EB 7B 80 BB 71 02 00 00 00 74 2C 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 FC 8B 83 6C 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B 8D 55 FC 8B 83 6C 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 72 02 00 00 01 EB 22 F6 43 20 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 72 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_6479_0 {
	meta:
		name = "TDBRichEdit.EditingChange"
		size = 33
		refs = "001c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 6C 02 00 00 80 7A 28 00 74 0D 80 B8 72 02 00 00 00 74 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6480_0 {
	meta:
		name = "TDBRichEdit.UpdateData"
		size = 128
		refs = "000c TDBRichEdit.UpdateData 0047 TControl.GetText 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 6C 02 00 00 8B 40 1C 8B 00 FF 90 BC 00 00 00 84 C0 74 16 8B 86 6C 02 00 00 8B 40 1C 8B 96 2C 02 00 00 8B 08 FF 51 08 EB 1E 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 6C 02 00 00 8B 40 1C 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_6481_0 {
	meta:
		name = "TDBRichEdit.SetFocused"
		size = 57
		refs = "0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B D8 3A 93 71 02 00 00 74 2A 88 93 71 02 00 00 8B 83 6C 02 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 BC 00 00 00 84 C0 75 0B 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6482_0 {
	meta:
		name = "TDBRichEdit.CMEnter"
		size = 62
		refs = "000b TDBRichEdit.SetFocused 0014 TCustomEdit.CMEnter 0019 SysLocale 002a TFieldDataLink.GetCanModify 0037 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 18 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6483_0 {
	meta:
		name = "TDBRichEdit.CMExit"
		size = 102
		refs = "0010 TDBRichEdit.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TDBRichEdit.SetFocused 005c TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 6C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6484_0 {
	meta:
		name = "TDBRichEdit.SetAutoDisplay"
		size = 24
		refs = "0013 TDBRichEdit.LoadMemo"
	strings:
		$1 = { 3A 90 70 02 00 00 74 0F 88 90 70 02 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6485_0 {
	meta:
		name = "TDBRichEdit.WMLButtonDblClk"
		size = 21
		refs = "000a TDBRichEdit.LoadMemo 0010 TControl.WMLButtonDblClk"
	strings:
		$1 = { 80 B8 72 02 00 00 00 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6486_0 {
	meta:
		name = "TDBRichEdit.WMCut"
		size = 25
		refs = "0009 TDBRichEdit.BeginEditing"
		altNames = "TDBRichEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_6488_0 {
	meta:
		name = "TDBRichEdit.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 6C 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_6489_0 {
	meta:
		name = "TDBRichEdit.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 6C 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6490_0 {
	meta:
		name = "TDBRichEdit.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AE 6C 02 00 00 85 ED 74 11 8B D7 8B C5 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6493_0 {
	meta:
		name = "DBCtrls"
		size = 20
		refs = "0002 _DV_22 000a _NF__926 000f @InitImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10209_0 {
	meta:
		name = "IdComponent"
		size = 20
		refs = "0002 _DV_3 000a _NF__72 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10345_0 {
	meta:
		name = "IdDNSResolver"
		size = 20
		refs = "0002 _DV_71 000a _NF__1CB 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10267_0 {
	meta:
		name = "IdDateTimeStamp"
		size = 20
		refs = "0002 _DV_6 000a _NF__1CF 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6494_0 {
	meta:
		name = "AddField"
		size = 143
		refs = "0059 TFormTeeSeries.GetSourceCombo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FF 8B F8 8A 45 FF FE C8 74 5D 48 2C 03 72 05 48 2C 06 73 6C 8B 45 08 8B 40 FC 8B 80 64 03 00 00 8B 80 EC 01 00 00 8B D7 8B 08 FF 51 34 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B 40 6C 8B 58 08 4B 85 DB 7C 3C 43 33 F6 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 80 EC 01 00 00 8B D7 8B 08 FF 51 34 46 4B 75 E2 EB 19 8B 45 08 8B 40 FC 8B 80 64 03 00 00 8B 80 EC 01 00 00 8B D7 8B 08 FF 51 34 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6495_0 {
	meta:
		name = "OnDBChartFillFields"
		size = 227
		refs = "000e TFormTeeSeries.GetSelectedSource 0030 _Dn_TDataSet 0035 @IsClass 005a TDataSet.GetFieldCount 007a TFields.GetField 0091 AddField 00a0 TFieldDefs.Update 00a8 TCollection.GetCount 00bd TFieldDefs.GetFieldDef"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 83 B8 A8 03 00 00 00 0F 84 B9 00 00 00 85 DB 0F 84 B1 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 8B 45 FC 8B 80 64 03 00 00 8B 80 EC 01 00 00 8B 10 FF 52 40 8B F3 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 3A 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6D 47 33 F6 55 8B 43 24 8B D6 E8 ?? ?? ?? ?? 8A 40 30 50 8B 43 24 8B D6 E8 ?? ?? ?? ?? 8B 40 28 5A E8 ?? ?? ?? ?? 59 46 4F 75 D9 EB 41 8B 46 2C E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2A 47 33 F6 55 8B 43 2C 8B D6 E8 ?? ?? ?? ?? 8A 40 1F 50 8B 43 2C 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 5A E8 ?? ?? ?? ?? 59 46 4F 75 D9 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6496_0 {
	meta:
		name = "OnDBChartIsDateTimeSource"
		size = 104
		refs = "0013 _Dn_TDataSet 0018 @IsClass 0024 OnDBChartIsDateTimeSource 0033 TDataSet.FieldByName 004e @HandleOnException 0056 _Dn_Exception 005f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 C6 06 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8A 40 30 04 F7 2C 03 73 03 C6 06 01 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6497_0 {
	meta:
		name = "OnDBChartIsValidComponentSource"
		size = 18
		refs = "0007 _Dn_TDataSet 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6498_0 {
	meta:
		name = "OnCreateEditDBChart"
		size = 138
		refs = "000c OnCreateEditDBChart 001a TeeMsg_DataSet 001f LoadResString 003d OnDBChartFillFields 0047 OnDBChartIsValidComponentSource 0051 OnDBChartIsDateTimeSource 0057 InternalOnGetDesignerNames 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 48 03 00 00 8B 80 EC 01 00 00 8B 08 FF 51 34 C7 83 B4 03 00 00 ?? ?? ?? ?? C7 83 BC 03 00 00 ?? ?? ?? ?? C7 83 B8 03 00 00 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 89 83 B0 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6499_0 {
	meta:
		name = "EditDBChartLegend"
		size = 66
		refs = "0005 InternalOnCreateEditSeries 000b OnCreateEditDBChart 0013 EditDBChartLegend 001e EditChartLegend 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_6501_0 {
	meta:
		name = "EditDBAxis"
		size = 66
		refs = "0005 InternalOnCreateEditSeries 000b OnCreateEditDBChart 0013 EditDBAxis 001e EditChartAxis 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_6506_0 {
	meta:
		name = "EditDBChart"
		size = 66
		refs = "0005 InternalOnCreateEditSeries 000b OnCreateEditDBChart 0013 EditDBChart 001e EditChart 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_6503_0 {
	meta:
		name = "EditDBChartTitle"
		size = 66
		refs = "0005 InternalOnCreateEditSeries 000b OnCreateEditDBChart 0013 EditDBChartTitle 001e EditChartTitle 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_6502_0 {
	meta:
		name = "EditDBChartWall"
		size = 66
		refs = "0005 InternalOnCreateEditSeries 000b OnCreateEditDBChart 0013 EditDBChartWall 001e EditChartWall 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_6500_0 {
	meta:
		name = "EditDBSeries"
		size = 66
		refs = "0005 InternalOnCreateEditSeries 000b OnCreateEditDBChart 0013 EditDBSeries 001e EditSeries 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? C7 01 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5D C3 }
	condition:
		$1
}

rule function_6504_0 {
	meta:
		name = "EditDBChartPage"
		size = 68
		refs = "0006 InternalOnCreateEditSeries 000c OnCreateEditDBChart 0014 EditDBChartPage 001f EditChartPage 003b @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 1D ?? ?? ?? ?? C7 03 ?? ?? ?? ?? 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5B 5D C3 }
	condition:
		$1
}

rule function_6505_0 {
	meta:
		name = "EditDBChartPart"
		size = 68
		refs = "0006 InternalOnCreateEditSeries 000c OnCreateEditDBChart 0014 EditDBChartPart 001f EditChartPart 003b @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 1D ?? ?? ?? ?? C7 03 ?? ?? ?? ?? 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB EF 5B 5D C3 }
	condition:
		$1
}

rule function_6508_0 {
	meta:
		name = "DBEditCh"
		size = 17
		refs = "0002 _DV_1 000c InternalOnGetDesignerNames"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15608_0 {
	meta:
		name = "Psock"
		size = 17
		refs = "0002 _DV_01 000c WCount"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6509_0 {
	meta:
		name = "TDbEngineErrorDlg.HandleException"
		size = 131
		refs = "0015 _Dn_EDBEngineError 001a @IsClass 002f Application 0045 TDbEngineErrorDlg.ShowException 007a TApplication.ShowException"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 FC 83 B8 14 03 00 00 00 75 1D A1 ?? ?? ?? ?? 8B 00 80 B8 84 00 00 00 00 75 0D 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 33 8B 45 FC 66 83 B8 0E 03 00 00 00 74 17 8B 5D FC 8B 4D F4 8B 55 F8 8B 83 10 03 00 00 FF 93 0C 03 00 00 EB 0F A1 ?? ?? ?? ?? 8B 00 8B 55 F4 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6510_0 {
	meta:
		name = "_NF__86"
		size = 32
	strings:
		$1 = { FF FF FF FF 05 00 00 00 25 73 20 3E 3E 00 00 00 FF FF FF FF 05 00 00 00 3C 3C 20 25 73 00 00 00 }
	condition:
		$1
}

rule function_6511_0 {
	meta:
		name = "TDbEngineErrorDlg.SwitchDetails"
		size = 215
		refs = "0012 TDbEngineErrorDlg.SwitchDetails 0040 TCustomForm.SetClientHeight 0067 TControl.SetVisible 0077 TControl.SetTop 009a DetailsOn 00a1 Format 00b2 TControl.SetText 00c7 @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C8 02 00 00 8A 40 47 34 01 88 45 FB 80 7D FB 00 74 13 8B 45 FC 8B 90 18 03 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 14 8B 45 FC 8B 80 C8 02 00 00 8B 50 34 8B 45 FC E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 8B 80 20 03 00 00 89 45 EC C6 45 F0 0B 8D 55 EC 33 C0 8A 45 FB 8B 04 85 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_6512_0 {
	meta:
		name = "TDbEngineErrorDlg.ShowError"
		size = 436
		refs = "0012 TDbEngineErrorDlg.ShowError 0041 EDBEngineError.GetErrorCount 0073 EDBEngineError.GetError 008a TControl.SetText 00a9 IntToStr 00c3 HexDisplayPrefix 00d4 TDBError.GetCategory 00e8 TDBError.GetSubCode 0106 Format 0188 @LStrClr 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 1C 03 00 00 00 0F 9F C2 8B 45 FC 8B 80 E4 02 00 00 8B 08 FF 51 60 8B 45 FC 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 48 8B 55 FC 3B 82 1C 03 00 00 0F 9F C2 8B 45 FC 8B 80 E8 02 00 00 8B 08 FF 51 60 8B 45 FC 8B 90 1C 03 00 00 8B 45 FC 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 50 0C 8B 45 FC 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 FC 8B 80 CC 02 00 00 8B 08 FF 51 60 8D 55 F4 8B 45 F8 0F B7 40 04 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 A1 ?? ?? ?? ?? 8B 00 89 45 DC C6 45 E0 0B 8B 45 F8 E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 E4 C6 45 E8 00 8B 45 F8 E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 EC C6 45 F0 00 8D 55 DC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 83 78 08 00 0F 95 C2 8B 45 FC 8B 80 D0 02 00 00 8B 08 FF 51 60 8B 45 FC 8B 80 D0 02 00 00 8B 10 FF 52 50 84 C0 74 21 8D 55 F4 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 80 E0 02 00 00 8B 10 FF 92 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 FF FF FF FF 13 00 00 00 5B 25 73 25 32 78 5D 20 5B 25 30 3A 73 25 32 3A 32 78 5D 00 }
	condition:
		$1
}

rule function_6513_0 {
	meta:
		name = "TDbEngineErrorDlg.FormCreate"
		size = 122
		refs = "0015 TDbEngineErrorDlg.FormCreate 0023 TControl.GetClientHeight 003d TControl.GetText 004d @LStrAsg 0055 TDbEngineErrorDlg.SwitchDetails 006a @LStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 18 03 00 00 8D 55 F4 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 20 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_6514_0 {
	meta:
		name = "TDbEngineErrorDlg.FormDestroy"
		size = 63
		refs = "001a Application"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 0E 03 00 00 00 74 22 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 8B 8A 0C 03 00 00 89 88 C8 00 00 00 8B 8A 10 03 00 00 89 88 CC 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_6515_0 {
	meta:
		name = "TDbEngineErrorDlg.FormShow"
		size = 76
		refs = "0022 TControl.SetText 0044 TDbEngineErrorDlg.ShowError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 14 03 00 00 8B 50 04 8B 45 FC 8B 80 04 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 02 00 00 80 78 47 00 74 13 8B 45 FC 33 D2 89 90 1C 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_6516_0 {
	meta:
		name = "TDbEngineErrorDlg.BackClick"
		size = 33
		refs = "0019 TDbEngineErrorDlg.ShowError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC FF 88 1C 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_6517_0 {
	meta:
		name = "TDbEngineErrorDlg.NextClick"
		size = 33
		refs = "0019 TDbEngineErrorDlg.ShowError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC FF 80 1C 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_6518_0 {
	meta:
		name = "TDbEngineErrorDlg.DetailsBtnClick"
		size = 58
		refs = "0010 TDbEngineErrorDlg.SwitchDetails 0032 TDbEngineErrorDlg.ShowError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 02 00 00 80 78 47 00 74 13 8B 45 FC 33 D2 89 90 1C 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_6519_0 {
	meta:
		name = "TDbEngineErrorDlg.HookExceptions"
		size = 70
		refs = "0008 Application 003f TDbEngineErrorDlg.HandleException"
	strings:
		$1 = { 55 8B EC 51 89 45 FC A1 ?? ?? ?? ?? 8B 00 8B 55 FC 8B 88 C8 00 00 00 89 8A 0C 03 00 00 8B 88 CC 00 00 00 89 8A 10 03 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 89 90 CC 00 00 00 C7 80 C8 00 00 00 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_6520_0 {
	meta:
		name = "TDbEngineErrorDlg.ShowException"
		size = 56
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 14 03 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 89 45 F4 8B 45 FC 33 D2 89 90 14 03 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_6521_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a DetailsOn 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10558_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a ProtocolVersionString 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11414_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_4 001a Values 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16763_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_5 001a Values 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6524_0 {
	meta:
		name = "KillMessage"
		size = 57
		refs = "001a PeekMessage 002f PostQuitMessage"
	strings:
		$1 = { 53 56 83 C4 E4 8B DA 8B F0 33 C0 89 44 24 04 6A 01 53 53 56 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 11 83 7C 24 04 12 75 0A 8B 44 24 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_6525_0 {
	meta:
		name = "TPopupListbox.CreateParams"
		size = 49
		refs = "000b TCustomListBox.CreateParams 0023 TWinControl.AddBiDiModeExStyle"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 81 4B 04 00 00 80 00 C7 43 08 88 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? C7 43 24 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6526_0 {
	meta:
		name = "TPopupListbox.CreateWnd"
		size = 53
		refs = "0006 TCustomListBox.CreateWnd 000f TWinControl.GetHandle 0015 SetParent 002f CallWindowProc"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 07 8B C3 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6527_0 {
	meta:
		name = "TPopupListbox.KeyPress"
		size = 221
		refs = "0010 TPopupListbox.KeyPress 0036 @LStrClr 003d GetTickCount 006a @LStrLen 0079 @LStrFromChar 0087 @LStrCat 0092 @LStrToPChar 00a4 TWinControl.GetHandle 00aa SendMessage 00b6 TWinControl.KeyPress 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 06 2C 08 74 0F 2C 13 74 0B 04 FB 2C E0 72 12 E9 82 00 00 00 8D 83 2C 02 00 00 E8 ?? ?? ?? ?? EB 75 E8 ?? ?? ?? ?? 8B F8 8B C7 2B 83 30 02 00 00 3D D0 07 00 00 7E 0B 8D 83 2C 02 00 00 E8 ?? ?? ?? ?? 89 BB 30 02 00 00 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 83 F8 20 7D 18 8D 45 FC 8A 16 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 50 68 FF FF 00 00 68 8C 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 06 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6528_0 {
	meta:
		name = "TPopupListbox.MouseUp"
		size = 76
		refs = "0020 TControl.MouseUp 0040 TDBGridInplaceEdit.CloseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 0E 85 FF 7C 0A 3B 73 38 7D 05 3B 7B 3C 7C 04 33 D2 EB 02 B2 01 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6529_0 {
	meta:
		name = "TDBGridInplaceEdit.Create"
		size = 93
		refs = "000a @ClassCreate 0017 TInplaceEdit.Create 0020 _Dn_TDataSource 0025 TDataSource.Create 0032 GetSystemMetrics 004a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 38 02 00 00 6A 02 E8 ?? ?? ?? ?? 89 86 28 02 00 00 C6 86 3C 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6530_0 {
	meta:
		name = "TDBGridInplaceEdit.BoundsChanged"
		size = 162
		refs = "001c SetRect 0031 @CallDynaInst 005e TWinControl.GetHandle 0064 SendMessage 007f SysLocale 0098 TWinControl.SetImeCompositionWindow"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 8B 46 3C 50 8B 46 38 83 E8 02 50 6A 02 6A 02 8D 44 24 10 50 E8 ?? ?? ?? ?? 80 BE 3C 02 00 00 00 74 28 8B 46 04 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 0C 8B 86 28 02 00 00 29 44 24 08 EB 0C 8B 86 28 02 00 00 83 E8 02 01 04 24 8B C4 50 6A 00 68 B4 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 13 8B 44 24 04 50 8B 4C 24 04 8B 56 58 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_6531_0 {
	meta:
		name = "TDBGridInplaceEdit.CloseUp"
		size = 458
		refs = "0016 TDBGridInplaceEdit.CloseUp 002e GetCapture 0043 SendMessage 005f @VarCopy 006c TCustomListBox.GetItemIndex 0097 @VarFromLStr 00b1 TWinControl.GetHandle 00b7 SetWindowPos 00cf TDBLookupControl.SetListSource 00dc TDataSource.SetDataSet 00e3 TInplaceEdit.Invalidate 0108 TCustomDBGrid.GetSelectedIndex 0115 TDBGridColumns.GetColumn 011a TColumn.GetField 0127 TDataSet.FieldByName 013c TDataSet.Edit 0153 VarIsNull 0191 @VarToLStr 019b TField.SetEditText 01b0 @LStrClr 01b8 @VarClr 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 3D 02 00 00 00 0F 84 72 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B B3 2C 02 00 00 3B B3 34 02 00 00 75 10 8D 45 EC 8D 96 20 02 00 00 E8 ?? ?? ?? ?? EB 36 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 40 74 28 8B B3 30 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8B 86 EC 01 00 00 8B 30 FF 56 0C 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 3D 02 00 00 00 8B 83 2C 02 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 0F 84 AE 00 00 00 8B 83 34 02 00 00 3B 83 2C 02 00 00 75 50 8B 9B 20 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 53 54 8B 43 24 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 60 84 C0 74 67 8B 43 24 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 8B 08 FF 91 9C 00 00 00 EB 50 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 44 8B C3 8B 10 FF 92 D8 00 00 00 84 C0 74 36 8B 9B 20 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6532_0 {
	meta:
		name = "TDBGridInplaceEdit.DoDropDownKeys"
		size = 106
		refs = "0034 TDBGridInplaceEdit.CloseUp 003b TDBGridInplaceEdit.DropDown"
	strings:
		$1 = { 53 51 88 0C 24 8B DA 66 8B 13 66 83 EA 0D 74 37 66 83 EA 0E 74 31 66 83 EA 0B 74 06 66 83 EA 02 75 45 F6 04 24 02 74 3F 80 B8 3D 02 00 00 00 74 09 B2 01 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 66 C7 03 00 00 5A 5B C3 80 B8 3D 02 00 00 00 74 17 F6 04 24 02 75 11 66 83 3B 0D 0F 94 C2 E8 ?? ?? ?? ?? 66 C7 03 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_6533_0 {
	meta:
		name = "TDBGridInplaceEdit.DropDown"
		size = 787
		refs = "0020 TDBGridInplaceEdit.DropDown 004e TControl.SetWidth 005b TCustomDBGrid.GetSelectedIndex 0068 TDBGridColumns.GetColumn 0083 TColumn.GetField 0093 TControl.SetColor 00a1 TControl.SetFont 00af TDBLookupListBox.SetRowCount 00bd TDataSource.SetDataSet 00cb TDBLookupControl.SetKeyFieldName 00d9 TDBLookupControl.SetListFieldName 00ea TDBLookupControl.SetListSource 00f5 TDataSet.FieldByName 010b TDBLookupControl.SetKeyValue 0133 TColumn.GetPickList 0140 TCustomListBox.SetItems 0163 TCustomListBox.GetItemHeight 0173 TControl.SetHeight 01be TCustomListBox.SetItemIndex 01cf TField.GetEditText 01f7 TControl.GetClientWidth 0240 TCanvas.TextWidth 0260 TControl.SetClientWidth 026e Point 027c TControl.ClientToScreen 0289 Screen 0290 TScreen.GetHeight 02c2 TWinControl.GetHandle 02c8 SetWindowPos 02d6 TInplaceEdit.Invalidate 02e3 SetFocus 02f8 @LStrClr 0300 @VarClr 0306 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 D8 89 55 DC 89 55 E0 89 55 E4 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 3D 02 00 00 00 0F 85 B0 02 00 00 83 BB 34 02 00 00 00 0F 84 A3 02 00 00 8B 53 38 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 8B B3 20 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 34 02 00 00 3B 83 2C 02 00 00 0F 85 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 53 64 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 53 58 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 56 34 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 57 50 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 57 58 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 57 5C 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 93 38 02 00 00 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 57 54 8B 47 24 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 5C 8D 55 DC 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? E9 50 01 00 00 8B 53 64 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 53 58 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 83 30 02 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 3B 46 34 7C 1F 8B BB 30 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 0F AF 56 34 83 C2 04 8B C7 E8 ?? ?? ?? ?? EB 2B 8B BB 30 02 00 00 8B 87 EC 01 00 00 8B 10 FF 52 14 50 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 5A 0F AF D0 83 C2 04 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 74 84 C0 74 10 83 CA FF 8B 83 30 02 00 00 E8 ?? ?? ?? ?? EB 2C 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B BB 30 02 00 00 8B 87 EC 01 00 00 8B 08 FF 51 50 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 83 30 02 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 48 85 C0 7C 42 40 89 45 EC C7 45 F4 00 00 00 00 8D 4D D8 8B B3 30 02 00 00 8B 86 EC 01 00 00 8B 55 F4 8B 38 FF 57 0C 8B 55 D8 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B F0 3B 75 F0 7E 03 89 75 F0 FF 45 F4 FF 4D EC 75 C9 8B 55 F0 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8D 4D D0 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8D 55 D0 8D 4D F8 8B 43 24 E8 ?? ?? ?? ?? 8B 7D FC 8B F7 03 73 3C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 93 34 02 00 00 8B 52 3C 03 D6 3B C2 7D 0B 8B 83 34 02 00 00 8B F7 2B 70 3C 6A 51 6A 00 6A 00 56 8B 45 F8 50 6A 00 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 3D 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6534_0 {
	meta:
		name = "TDBGridInplaceEdit.KeyDown"
		size = 92
		refs = "001a TDBGridInplaceEdit.KeyDown 002e @CallDynaInst 0035 TWinControl.GetHandle 003f KillMessage 004d TInplaceEdit.KeyDown"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 80 BE 3C 02 00 00 01 75 32 66 83 3B 0D 75 2C A0 ?? ?? ?? ?? 3A 04 24 75 22 8B 86 20 02 00 00 66 BB 9D FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 02 01 00 00 E8 ?? ?? ?? ?? EB 0C 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_6535_0 {
	meta:
		name = "TDBGridInplaceEdit.ListMouseUp"
		size = 76
		refs = "0017 Point 0034 PtInRect 0041 TDBGridInplaceEdit.CloseUp"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 84 C9 75 38 8D 4D F8 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 E8 8B 83 34 02 00 00 8B 08 FF 51 44 8D 45 E8 50 E8 ?? ?? ?? ?? F7 D8 1B D2 F7 DA 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_6536_0 {
	meta:
		name = "TDBGridInplaceEdit.MouseDown"
		size = 151
		refs = "002e Point 0038 TDBGridInplaceEdit.OverButton 004e TDBGridInplaceEdit.CloseUp 0059 TControl.SetMouseCapture 006b TDBGridInplaceEdit.TrackButton 007b TDBGridInplaceEdit.DropDown 008a TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 80 7D FF 00 75 62 80 BB 3C 02 00 00 00 74 59 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F 80 BB 3D 02 00 00 00 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 2B B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 3E 02 00 00 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 34 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6537_0 {
	meta:
		name = "TDBGridInplaceEdit.MouseMove"
		size = 197
		refs = "0027 TDBGridInplaceEdit.TrackButton 003c Point 0049 TControl.ClientToScreen 005a TControl.ScreenToClient 0077 PtInRect 0082 TDBGridInplaceEdit.StopTracking 008a PointToSmallPoint 00a3 TWinControl.GetHandle 00a9 SendMessage 00b8 TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 80 BB 3E 02 00 00 00 0F 84 8F 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 3D 02 00 00 00 74 7B 8D 4D E0 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F4 8B 83 34 02 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 8D 55 D0 8B 83 34 02 00 00 8B 08 FF 51 44 8D 45 D0 50 E8 ?? ?? ?? ?? 85 C0 74 30 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 6A 00 68 01 02 00 00 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0D 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6538_0 {
	meta:
		name = "TDBGridInplaceEdit.MouseUp"
		size = 89
		refs = "0017 TDBGridInplaceEdit.StopTracking 0039 @CallDynaInst 004e TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FE 88 55 FF 8B F0 8A 9E 3F 02 00 00 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 75 1C 80 BE 3C 02 00 00 01 75 13 84 DB 74 0F 8B 86 20 02 00 00 66 BB 9D FF E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6539_0 {
	meta:
		name = "TDBGridInplaceEdit.PaintWindow"
		size = 304
		refs = "001f TDBGridInplaceEdit.ButtonRect 005e DrawFrameControl 0084 DrawEdge 00d3 PatBlt 011b ExcludeClipRect 0124 TWinControl.PaintWindow"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F2 8B D8 80 BB 3C 02 00 00 00 0F 84 07 01 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 93 3C 02 00 00 80 C2 FE 80 EA 02 73 34 83 BB 34 02 00 00 00 75 07 B8 00 01 00 00 EB 0E 80 BB 3F 02 00 00 00 74 05 B8 00 42 00 00 83 C8 05 50 6A 03 8D 44 24 0C 50 56 E8 ?? ?? ?? ?? E9 9E 00 00 00 80 BB 3F 02 00 00 00 74 05 B8 00 40 00 00 0D 0F 08 00 00 50 6A 05 8D 44 24 0C 50 56 E8 ?? ?? ?? ?? 8B 6C 24 0C 8B 44 24 04 2B E8 D1 ED 03 E8 4D 33 D2 8A 93 3F 02 00 00 03 EA 8B 4C 24 10 8B 44 24 08 2B C8 D1 E9 03 C8 49 03 CA 89 0C 24 8B BB 28 02 00 00 C1 EF 03 85 FF 75 05 BF 01 00 00 00 6A 42 57 57 8B 44 24 0C 50 55 56 E8 ?? ?? ?? ?? 6A 42 57 57 8B 44 24 0C 50 8B C7 03 C0 8B D5 2B D0 52 56 E8 ?? ?? ?? ?? 6A 42 57 57 8B 44 24 0C 50 8B C7 03 C0 03 E8 55 56 E8 ?? ?? ?? ?? 8B 44 24 10 50 8B 44 24 10 50 8B 44 24 10 50 8B 44 24 10 50 56 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6540_0 {
	meta:
		name = "TDBGridInplaceEdit.SetEditStyle"
		size = 295
		refs = "0032 _DV_TPopupListbox 0037 TCustomListBox.Create 0048 TControl.SetVisible 006b TDBGridInplaceEdit.ListMouseUp 0072 TCustomListBox.SetIntegralHeight 0082 TCustomListBox.SetItemHeight 00a2 _Dn_TPopupDataList 00a7 TPopupDataList.Create 00fe TCustomDBGrid.GetSelectedIndex 010b TDBGridColumns.GetColumn 0110 TColumn.GetReadOnly 0119 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B D8 3A 93 3C 02 00 00 0F 84 14 01 00 00 88 93 3C 02 00 00 80 EA 02 74 09 FE CA 74 75 E9 C9 00 00 00 83 BB 30 02 00 00 00 75 59 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 30 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 83 30 02 00 00 8B 08 FF 51 64 8B 83 30 02 00 00 89 98 C8 00 00 00 C7 80 C4 00 00 00 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? BA 0B 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 83 30 02 00 00 89 83 34 02 00 00 EB 61 83 BB 2C 02 00 00 00 75 42 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 83 2C 02 00 00 8B 08 FF 51 64 8B 83 2C 02 00 00 89 98 C8 00 00 00 C7 80 C4 00 00 00 ?? ?? ?? ?? 8B 83 2C 02 00 00 89 83 34 02 00 00 EB 08 33 C0 89 83 34 02 00 00 8B B3 20 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 7C 5E 5B C3 }
	condition:
		$1
}

rule function_6541_0 {
	meta:
		name = "TDBGridInplaceEdit.StopTracking"
		size = 43
		refs = "0015 TDBGridInplaceEdit.TrackButton 0025 TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB 3E 02 00 00 00 74 1D 83 C9 FF 83 CA FF 8B C3 E8 ?? ?? ?? ?? C6 83 3E 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6542_0 {
	meta:
		name = "TDBGridInplaceEdit.TrackButton"
		size = 99
		refs = "0011 TDBGridInplaceEdit.ButtonRect 001e Point 0030 PtInRect 0052 TWinControl.GetHandle 0058 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F9 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 10 8B D7 8B C6 E8 ?? ?? ?? ?? FF 74 24 14 FF 74 24 14 8D 44 24 08 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 3A 83 3F 02 00 00 74 1A 88 83 3F 02 00 00 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6543_0 {
	meta:
		name = "TDBGridInplaceEdit.UpdateContents"
		size = 265
		refs = "000f TCustomDBGrid.GetSelectedIndex 001c TDBGridColumns.GetColumn 003b TColumn.GetField 005d TDataSet.FieldByName 007b TColumn.GetReadOnly 00b1 TColumn.GetPickList 00e8 TDBGridInplaceEdit.SetEditStyle 00ef TInplaceEdit.UpdateContents 00f6 TColumn.GetFont"
	strings:
		$1 = { 53 56 57 55 8B F8 8B B7 20 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 33 DB 8A 46 38 2C 01 72 0D 0F 85 B2 00 00 00 B3 01 E9 AB 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 80 7D 32 02 75 58 8B 55 54 8B 45 24 E8 ?? ?? ?? ?? 8B E8 85 ED 74 7C 8B C5 8B 10 FF 52 60 84 C0 74 71 F6 46 3B 10 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 60 8B 87 20 02 00 00 80 B8 7C 02 00 00 00 75 51 8B 90 98 02 00 00 80 7A 15 00 74 45 8B 80 98 02 00 00 80 78 14 00 75 39 B3 03 EB 35 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 B3 02 EB 0B 8A 45 30 04 E4 2C 02 73 02 B3 01 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 47 58 8B 08 FF 51 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6544_0 {
	meta:
		name = "TDBGridInplaceEdit.CMCancelMode"
		size = 23
		refs = "0012 TDBGridInplaceEdit.CloseUp"
	strings:
		$1 = { 8B 4A 08 3B C1 74 0F 3B 88 34 02 00 00 74 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6546_0 {
	meta:
		name = "TDBGridInplaceEdit.WMKillFocus"
		size = 112
		refs = "0007 SysLocale 0016 TWinControl.WMKillFocus 0024 Screen 002e @LStrAsg 0049 TWinControl.GetHandle 0060 ActivateKeyboardLayout 0069 TDBGridInplaceEdit.CloseUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 48 8D 83 4C 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? C6 83 48 01 00 00 03 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 3B 46 04 74 12 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 40 30 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6547_0 {
	meta:
		name = "TDBGridInplaceEdit.ButtonRect"
		size = 74
		refs = "000f @CallDynaInst 002c Rect"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 1B 8B 46 3C 50 57 8B 5E 38 8B C3 2B 86 28 02 00 00 8B CB 33 D2 E8 ?? ?? ?? ?? EB 14 8B 46 3C 50 57 8B 8E 28 02 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6548_0 {
	meta:
		name = "TDBGridInplaceEdit.OverButton"
		size = 47
		refs = "0015 TDBGridInplaceEdit.ButtonRect 001f PtInRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 FF 76 04 FF 36 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8D 44 24 08 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_6549_0 {
	meta:
		name = "TDBGridInplaceEdit.WMLButtonDblClk"
		size = 60
		refs = "001d Point 0026 TDBGridInplaceEdit.OverButton 0033 TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 80 BB 3C 02 00 00 00 74 1C 8B CC 0F BF 56 0A 0F BF 46 08 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6551_0 {
	meta:
		name = "TDBGridInplaceEdit.WMSetCursor"
		size = 100
		refs = "000b GetCursorPos 0018 TControl.ScreenToClient 0039 TDBGridInplaceEdit.OverButton 0049 LoadCursor 004f SetCursor 005a TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 80 BB 3C 02 00 00 00 74 21 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_6552_0 {
	meta:
		name = "TDBGridInplaceEdit.WndProc"
		size = 116
		refs = "0029 KeyDataToShiftState 0035 TDBGridInplaceEdit.DoDropDownKeys 005b TWinControl.GetHandle 0061 SendMessage 006d TInplaceEdit.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 2D 00 01 00 00 74 0A 83 E8 02 74 05 83 E8 02 75 4F 8A 86 3C 02 00 00 04 FE 2C 02 73 43 8B 43 08 E8 ?? ?? ?? ?? 8B C8 8D 53 04 8B C6 E8 ?? ?? ?? ?? 66 83 7B 04 00 74 28 80 BE 3D 02 00 00 00 74 1F 8B 43 08 50 8B 43 04 50 8B 03 50 8B 86 34 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6555_0 {
	meta:
		name = "TGridDataLink.GetDefaultFields"
		size = 73
		refs = "0009 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 8A 98 96 00 00 00 84 DB 74 22 80 7E 2A 00 74 1C 8B 46 20 48 85 C0 7C 14 40 33 D2 8B 4E 24 83 3C 91 00 7D 04 33 DB EB 04 42 48 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_6556_0 {
	meta:
		name = "TGridDataLink.GetFields"
		size = 53
		refs = "001b TDataLink.GetDataSet 0029 TFieldList.GetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 26 3B 73 20 7D 21 8B 43 24 83 3C B0 00 7C 18 8B C3 E8 ?? ?? ?? ?? 8B 40 34 8B 53 24 8B 14 B2 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6557_0 {
	meta:
		name = "TGridDataLink.AddMapping"
		size = 285
		refs = "0016 TGridDataLink.AddMapping 0031 STooManyColumns 0036 LoadResString 003e RaiseGridError 004b TDataLink.GetDataSet 0052 TDataSet.FindField 0064 TDataSet.FieldByName 006e @DynArrayLength 00b0 _DT_5 00b5 @DynArraySetLength 00cd TStrings.IndexOfObject 00e0 TComponent.FreeNotification 0107 @LStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 81 7B 20 FF FF FF 0F 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 80 7B 2A 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 43 24 E8 ?? ?? ?? ?? 3B 43 20 75 45 8B 43 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 07 BE 08 00 00 00 EB 02 03 F6 8B 43 20 3B F0 7D 03 8B F0 46 81 FE FF FF FF 0F 7E 05 BE FF FF FF 0F 56 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 FF 74 26 8B C3 E8 ?? ?? ?? ?? 8B 40 34 8B D7 E8 ?? ?? ?? ?? 8B 53 24 8B 4B 20 89 04 8A 8B 53 1C 8B C7 E8 ?? ?? ?? ?? EB 0D 8B 43 24 8B 53 20 C7 04 90 FF FF FF FF FF 43 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6558_0 {
	meta:
		name = "TGridDataLink.ActiveChanged"
		size = 23
	strings:
		$1 = { 53 8B D8 8A 53 15 8B 43 1C 8B 08 FF 91 E4 00 00 00 C6 43 28 00 5B C3 }
	condition:
		$1
}

rule function_6559_0 {
	meta:
		name = "TGridDataLink.ClearMapping"
		size = 24
		refs = "0008 _DT_5 000d @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8D 43 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 20 5B C3 }
	condition:
		$1
}

rule function_6560_0 {
	meta:
		name = "TGridDataLink.Modified"
		size = 5
	strings:
		$1 = { C6 40 28 01 C3 }
	condition:
		$1
}

rule function_6561_0 {
	meta:
		name = "TGridDataLink.DataSetChanged"
		size = 17
		refs = "0007 TCustomDBGrid.DataChanged"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? C6 43 28 00 5B C3 }
	condition:
		$1
}

rule function_6566_0 {
	meta:
		name = "TGridDataLink.RecordChanged"
		size = 17
		refs = "0007 TCustomDBGrid.RecordChanged"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? C6 43 28 00 5B C3 }
	condition:
		$1
}

rule function_6562_0 {
	meta:
		name = "TGridDataLink.DataSetScrolled"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 E8 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6563_0 {
	meta:
		name = "TGridDataLink.LayoutChanged"
		size = 101
		refs = "0023 TGridDataLink.LayoutChanged 0053 @HandleFinally 005d TDataLink.LayoutChanged"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 1C 8A 90 87 02 00 00 88 55 FB C6 80 87 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 92 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8A 55 FB 88 90 87 02 00 00 C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_6564_0 {
	meta:
		name = "TGridDataLink.FocusControl"
		size = 64
		refs = "0015 TCustomDBGrid.SetSelectedField 001d TCustomDBGrid.GetSelectedField 0029 TCustomDBGrid.AcquireFocus 0039 TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 33 83 3B 00 74 2E 8B 13 8B 46 1C E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 3B 03 75 18 8B 46 1C E8 ?? ?? ?? ?? 84 C0 74 0C 33 C0 89 03 8B 46 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6565_0 {
	meta:
		name = "TGridDataLink.EditingChanged"
		size = 9
		refs = "0004 TCustomDBGrid.EditingChanged"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7546_0 {
	meta:
		name = "THTTPDataLink.LayoutChanged"
		size = 9
		refs = "0004 TDSTableProducer.LayoutChanged"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10614_0 {
	meta:
		name = "TIdHTTPSession.Lock"
		size = 9
		refs = "0004 TCriticalSection.Enter"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10616_0 {
	meta:
		name = "TIdHTTPSession.Unlock"
		size = 9
		refs = "0004 TCriticalSection.Leave"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6567_0 {
	meta:
		name = "TGridDataLink.UpdateData"
		size = 86
		refs = "0012 TGridDataLink.UpdateData 002c TCustomDBGrid.UpdateData 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 29 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 28 00 74 0B 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC C6 40 28 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 29 00 C3 E9 ?? ?? ?? ?? EB F1 59 5D C3 }
	condition:
		$1
}

rule function_6568_0 {
	meta:
		name = "TGridDataLink.GetMappedIndex"
		size = 20
	strings:
		$1 = { 85 D2 7C 0C 3B 50 20 7D 07 8B 40 24 8B 04 90 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_6569_0 {
	meta:
		name = "TGridDataLink.Reset"
		size = 37
		refs = "0017 TDataLink.GetDataSet"
	strings:
		$1 = { 53 8B D8 80 7B 28 00 74 0B 33 D2 8B C3 8B 08 FF 51 44 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 AC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6572_0 {
	meta:
		name = "TColumnTitle.Create"
		size = 106
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TFont 0029 TFont.Create 0035 TColumnTitle.DefaultFont 004b TColumnTitle.FontChanged 0056 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 47 0C 89 78 08 C7 40 04 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6573_0 {
	meta:
		name = "TColumnTitle.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7996_0 {
	meta:
		name = "TComponentList.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12955_0 {
	meta:
		name = "TIArray.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f @FreeMem 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9521_0 {
	meta:
		name = "TIconImage.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10906_0 {
	meta:
		name = "TIdStack.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6574_0 {
	meta:
		name = "TColumnTitle.Assign"
		size = 195
		refs = "0010 TColumnTitle.Assign 001e _DV_TColumnTitle 0023 @IsClass 0039 TColumnTitle.GetAlignment 0042 TColumnTitle.SetAlignment 0052 TColumnTitle.GetColor 005b TColumnTitle.SetColor 006e TColumnTitle.GetCaption 0088 TColumnTitle.GetFont 0091 TColumnTitle.SetFont 009c TPersistent.Assign 00b1 @LStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C 8B F3 8B 46 04 F6 40 3B 80 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 F6 40 3B 20 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 F6 40 3B 40 74 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 0C 8B 46 04 F6 40 3C 01 74 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6576_0 {
	meta:
		name = "TColumnTitle.DefaultColor"
		size = 25
		refs = "0004 TColumn.GetGrid"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 85 C0 74 07 8B 80 20 02 00 00 C3 B8 0F 00 00 80 C3 }
	condition:
		$1
}

rule function_6577_0 {
	meta:
		name = "TColumnTitle.DefaultFont"
		size = 33
		refs = "0007 TColumn.GetGrid 001b TColumn.GetFont"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 08 8B 80 78 02 00 00 5B C3 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6578_0 {
	meta:
		name = "TColumnTitle.DefaultCaption"
		size = 49
		refs = "000b TColumn.GetField 001a TField.GetDisplayName 0029 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 53 04 8B 52 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6579_0 {
	meta:
		name = "TColumnTitle.FontChanged"
		size = 24
		refs = "0012 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 66 81 48 3B 00 01 B2 01 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6580_0 {
	meta:
		name = "TColumnTitle.GetAlignment"
		size = 19
		refs = "000e TColumnTitle.DefaultAlignment"
	strings:
		$1 = { 8B 50 04 F6 42 3B 80 74 04 8A 40 14 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6581_0 {
	meta:
		name = "TColumnTitle.GetColor"
		size = 19
		refs = "000e TColumnTitle.DefaultColor"
	strings:
		$1 = { 8B 50 04 F6 42 3B 20 74 04 8B 40 10 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6582_0 {
	meta:
		name = "TColumnTitle.GetCaption"
		size = 40
		refs = "0015 @LStrLAsg 0021 TColumnTitle.DefaultCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 F6 40 3B 40 74 0D 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6583_0 {
	meta:
		name = "TColumnTitle.GetFont"
		size = 123
		refs = "0014 TColumnTitle.DefaultFont 001e TFont.GetHandle"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 8B 43 04 F6 40 3C 01 75 61 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 0C E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0B 8B 43 0C 8B 40 14 3B 46 14 74 38 8B 73 0C 8B 46 04 89 04 24 8B 46 08 89 44 24 04 33 C0 89 46 04 89 46 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 43 0C 8B 14 24 89 50 04 8B 54 24 04 89 50 08 8B 43 0C 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6584_0 {
	meta:
		name = "TColumnTitle.IsAlignmentStored"
		size = 32
		refs = "000f TColumnTitle.DefaultAlignment"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 80 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 14 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6585_0 {
	meta:
		name = "TColumnTitle.IsColorStored"
		size = 32
		refs = "000f TColumnTitle.DefaultColor"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 20 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 10 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6586_0 {
	meta:
		name = "TColumnTitle.IsFontStored"
		size = 11
	strings:
		$1 = { 8B 40 04 F6 40 3C 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_6587_0 {
	meta:
		name = "TColumnTitle.IsCaptionStored"
		size = 97
		refs = "000c TColumnTitle.IsCaptionStored 0025 TColumnTitle.DefaultCaption 0030 @LStrCmp 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 F6 40 3B 40 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_6588_0 {
	meta:
		name = "TColumnTitle.RefreshDefaultFont"
		size = 123
		refs = "0034 TColumnTitle.RefreshDefaultFont 0042 TColumnTitle.DefaultFont 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 8B 40 04 F6 40 3C 01 75 60 8B 45 FC 8B 58 0C 8B 43 04 89 45 F4 8B 43 08 89 45 F8 33 C0 89 43 04 89 43 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 55 F4 89 50 04 8B 55 F8 89 50 08 C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6589_0 {
	meta:
		name = "TColumnTitle.RestoreDefaults"
		size = 68
		refs = "0015 TColumnTitle.RestoreDefaults 0027 @LStrClr 002e TColumnTitle.RefreshDefaultFont 0038 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 8B F0 8B 7E 04 F6 47 3C 01 0F 95 C3 8B 46 04 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 50 3B 66 89 57 3B 8D 46 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 E0 01 00 00 }
	condition:
		$1
}

rule function_6590_0 {
	meta:
		name = "TColumnTitle.SetAlignment"
		size = 41
		refs = "0023 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 80 74 05 3A 53 14 74 16 88 53 14 8B 43 04 66 81 48 3B 80 00 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6591_0 {
	meta:
		name = "TColumnTitle.SetColor"
		size = 40
		refs = "0022 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 20 74 05 3B 53 10 74 15 89 53 10 8B 43 04 66 83 48 3B 20 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6592_0 {
	meta:
		name = "TCanvas.SetFont"
		size = 13
		altNames = "TColumnTitle.SetFont"
	strings:
		$1 = { 56 8B F0 8B 46 0C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_6593_0 {
	meta:
		name = "TColumnTitle.SetCaption"
		size = 124
		refs = "001f @LStrCmp 002b @LStrAsg 003d TCollectionItem.Changed 0047 TColumn.GetGrid 0061 TColumn.GetField 0074 TField.SetDisplayLabel"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 80 78 3F 00 74 33 8B 43 04 F6 40 3B 40 74 0C 8B C7 8B 53 08 E8 ?? ?? ?? ?? 74 53 8D 43 08 8B D7 E8 ?? ?? ?? ?? 8B 43 04 66 83 48 3B 40 33 D2 8B 43 04 E8 ?? ?? ?? ?? EB 35 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8B 86 98 02 00 00 80 78 15 00 74 1B 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 43 04 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6594_0 {
	meta:
		name = "TColumn.Create"
		size = 303
		refs = "000f @ClassCreate 0028 _DV_TDBGridColumns 002d @IsClass 0045 TCustomDBGrid.BeginLayout 004d TColumn.Create 005f TCollectionItem.Create 0077 _Dn_TFont 007c TFont.Create 008c TColumn.DefaultFont 00a8 TColumn.FontChanged 00bb Screen 00c5 @LStrAsg 0103 TCustomDBGrid.EndLayout 0109 @HandleFinally 0119 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 89 45 F4 85 DB 74 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 18 89 45 F4 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 34 07 00 00 00 8B 45 FC C6 40 38 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 8B 45 FC 8B 40 20 8B 55 FC 89 50 08 C7 40 04 ?? ?? ?? ?? 8B 45 FC C6 40 24 03 8B 45 FC 83 C0 28 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 8B 55 FC 89 42 1C 8B 45 FC C6 40 3D 01 8B 45 FC C6 40 3E 01 8B 45 FC C6 40 3F 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6595_0 {
	meta:
		name = "TColumn.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TCollectionItem.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6596_0 {
	meta:
		name = "TColumn.Assign"
		size = 428
		refs = "0016 TColumn.Assign 0024 _DV_TColumn 0029 @IsClass 0065 TColumn.SetFieldName 0072 TColumn.GetColor 007c TColumn.SetColor 0089 TColumn.GetWidth 00a0 TColumn.GetFont 00aa TColumn.SetFont 00b7 TColumn.GetImeMode 00d1 TColumn.GetImeName 00e9 TColumn.GetAlignment 0100 TColumn.GetReadOnly 0115 TColumn.SetTitle 0129 TColumn.SetButtonStyle 0130 TColumn.GetPickList 013a TColumn.SetPickList 0145 TColumn.SetPopupMenu 0179 @HandleFinally 0185 TPersistent.Assign 019a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 4A 01 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 38 8B F3 8B 56 10 8B 45 FC E8 ?? ?? ?? ?? F6 46 3B 01 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? F6 46 3B 02 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 30 F6 46 3B 04 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? F6 46 3C 02 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 24 F6 46 3C 04 74 15 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 F6 46 3B 08 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 1C F6 46 3B 10 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 2C 8B 56 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 46 34 8B 55 FC 89 42 34 8A 56 38 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 56 30 8B 45 FC E8 ?? ?? ?? ?? 8A 46 3D 8B 55 FC 88 42 3D 8A 46 3E 8B 55 FC 88 42 3E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6597_0 {
	meta:
		name = "TColumn.CreateTitle"
		size = 15
		refs = "0005 _DV_TColumnTitle 000a TColumnTitle.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6700_0 {
	meta:
		name = "TCustomDBGrid.CreateEditor"
		size = 15
		refs = "0005 _DV_TDBGridInplaceEdit 000a TDBGridInplaceEdit.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9707_0 {
	meta:
		name = "TCustomGrid.CreateEditor"
		size = 15
		refs = "0005 _DV_TInplaceEdit 000a TInplaceEdit.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15439_0 {
	meta:
		name = "TDataSetProvider.CreateResolver"
		size = 15
		refs = "0005 _DV_TDataSetResolver 000a TDataSetResolver.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6598_0 {
	meta:
		name = "TColumn.DefaultAlignment"
		size = 26
		refs = "0006 TColumn.GetField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 8B 43 0C 8A 40 33 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_6599_0 {
	meta:
		name = "TColumn.DefaultColor"
		size = 19
		refs = "0001 TColumn.GetGrid"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 04 8B 40 64 C3 B8 05 00 00 80 C3 }
	condition:
		$1
}

rule function_6600_0 {
	meta:
		name = "TColumn.DefaultFont"
		size = 24
		refs = "0006 TColumn.GetGrid"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 8B 40 58 5B C3 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_6601_0 {
	meta:
		name = "TColumn.DefaultImeMode"
		size = 27
		refs = "0006 TColumn.GetGrid"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 8A 80 48 01 00 00 5B C3 8A 43 24 5B C3 }
	condition:
		$1
}

rule function_6602_0 {
	meta:
		name = "TColumn.DefaultImeName"
		size = 49
		refs = "000a TColumn.GetGrid 001d @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 8B C7 8B 96 4C 01 00 00 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 53 28 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6603_0 {
	meta:
		name = "TColumn.DefaultReadOnly"
		size = 56
		refs = "0007 TColumn.GetGrid 001d TColumn.GetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 80 BE 7C 02 00 00 00 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B 43 0C 80 78 31 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_6604_0 {
	meta:
		name = "TColumn.DefaultWidth"
		size = 432
		refs = "0013 TColumn.DefaultWidth 0020 TColumn.GetGrid 0041 TColumn.GetField 0051 TWinControl.HandleAllocated 0063 GetDC 0073 TCanvas.SetHandle 0088 TColumn.GetFont 0098 TCanvas.SetFont 00aa TCanvas.GetHandle 00b0 GetTextMetrics 00c3 TCanvas.TextWidth 00d4 TField.GetDisplayWidth 00f4 TColumnTitle.GetFont 010f TColumnTitle.GetCaption 0154 ReleaseDC 016a @HandleFinally 018d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 33 D2 89 55 B8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C C7 45 FC 40 00 00 00 E9 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 23 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 FB 80 7D FB 00 74 17 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 F4 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 2B 75 DC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F AF F0 03 75 DC 83 C6 04 89 75 FC 8B 45 F4 F6 80 88 02 00 00 04 74 3F 8B 43 1C E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8D 55 B8 8B 43 1C E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F4 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 83 C0 04 3B 45 FC 7E 03 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 26 8B 45 F4 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 EC 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 8B 45 F4 8B 80 10 02 00 00 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_6605_0 {
	meta:
		name = "TColumn.FontChanged"
		size = 27
		refs = "000c TColumnTitle.RefreshDefaultFont 0015 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 66 83 4B 3B 04 8B 43 1C E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6606_0 {
	meta:
		name = "TColumn.GetAlignment"
		size = 16
		refs = "000b TColumn.DefaultAlignment"
	strings:
		$1 = { F6 40 3B 08 74 04 8A 40 39 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6607_0 {
	meta:
		name = "TColumn.GetColor"
		size = 16
		refs = "000b TColumn.DefaultColor"
	strings:
		$1 = { F6 40 3B 01 74 04 8B 40 14 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6608_0 {
	meta:
		name = "TColumn.GetExpanded"
		size = 28
		refs = "000c TColumn.GetExpandable"
	strings:
		$1 = { 53 8B D8 80 7B 3E 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6609_0 {
	meta:
		name = "TColumn.GetField"
		size = 108
		refs = "0007 TColumn.GetGrid 0017 @LStrLen 002a TDataLink.GetDataSet 0042 TDataSet.GetActive 0059 TDataSet.FindField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7B 0C 00 75 53 8B 43 10 E8 ?? ?? ?? ?? 85 C0 7E 47 85 F6 74 43 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 34 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 80 BE 96 00 00 00 00 75 13 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 20 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_6610_0 {
	meta:
		name = "TColumn.GetFont"
		size = 103
		refs = "0011 TFont.GetHandle 001a TColumn.DefaultFont"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 F6 43 3B 04 75 52 8B 43 20 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 74 38 8B 73 20 8B 46 04 89 04 24 8B 46 08 89 44 24 04 33 C0 89 46 04 89 46 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 43 20 8B 14 24 89 50 04 8B 54 24 04 89 50 08 8B 43 20 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6611_0 {
	meta:
		name = "TColumn.GetGrid"
		size = 39
		refs = "000f _DV_TDBGridColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7510_0 {
	meta:
		name = "THTMLTableColumn.GeTDSTableProducer"
		size = 39
		refs = "000f _DV_THTMLTableColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7509_0 {
	meta:
		name = "THTMLTableColumn.GetTableProducer"
		size = 39
		refs = "000f _DV_THTMLTableColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6613_0 {
	meta:
		name = "TColumn.GetImeMode"
		size = 16
		refs = "000b TColumn.DefaultImeMode"
	strings:
		$1 = { F6 40 3C 02 74 04 8A 40 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6614_0 {
	meta:
		name = "TColumn.GetImeName"
		size = 37
		refs = "0012 @LStrLAsg 001e TColumn.DefaultImeName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 3C 04 74 0D 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6615_0 {
	meta:
		name = "TColumn.GetParentColumn"
		size = 102
		refs = "000f TColumn.GetField 002b TCollectionItem.GetIndex 003d TCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B F0 33 C0 89 04 24 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 44 83 BD 84 00 00 00 00 74 3B 83 7E 04 00 74 35 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 26 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 3B 85 84 00 00 00 75 05 89 3C 24 EB 06 4B 83 FB FF 75 DA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6616_0 {
	meta:
		name = "TColumn.GetPickList"
		size = 29
		refs = "000c _Dn_TStringList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_6617_0 {
	meta:
		name = "TColumn.GetReadOnly"
		size = 16
		refs = "000b TColumn.DefaultReadOnly"
	strings:
		$1 = { F6 40 3B 10 74 04 8A 40 3A C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6618_0 {
	meta:
		name = "TColumn.GetShowing"
		size = 66
		refs = "0006 TColumn.GetExpanded 0011 TColumn.GetVisible 0026 TColumn.GetParentColumn"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 E8 85 DB 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_6619_0 {
	meta:
		name = "TColumn.GetVisible"
		size = 48
		refs = "000a TColumn.GetParentColumn 001b TColumn.GetVisible"
	strings:
		$1 = { 53 56 8A 58 3D 84 DB 74 22 E8 ?? ?? ?? ?? 8B F0 84 DB 74 0F 85 F6 74 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_6620_0 {
	meta:
		name = "TColumn.GetWidth"
		size = 39
		refs = "0006 TColumn.GetShowing 0021 TColumn.DefaultWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 83 C8 FF 5B C3 F6 43 3B 02 74 05 8B 43 18 EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6621_0 {
	meta:
		name = "TColumn.IsAlignmentStored"
		size = 29
		refs = "000c TColumn.DefaultAlignment"
	strings:
		$1 = { 53 8B D8 F6 43 3B 08 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 39 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6622_0 {
	meta:
		name = "TColumn.IsColorStored"
		size = 29
		refs = "000c TColumn.DefaultColor"
	strings:
		$1 = { 53 8B D8 F6 43 3B 01 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 14 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6623_0 {
	meta:
		name = "TColumn.IsFontStored"
		size = 8
	strings:
		$1 = { F6 40 3B 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_6624_0 {
	meta:
		name = "TColumn.IsImeModeStored"
		size = 29
		refs = "000c TColumn.DefaultImeMode"
	strings:
		$1 = { 53 8B D8 F6 43 3C 02 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 24 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6625_0 {
	meta:
		name = "TColumn.IsImeNameStored"
		size = 94
		refs = "000c TColumn.IsImeNameStored 0022 TColumn.DefaultImeName 002d @LStrCmp 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 3C 04 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 28 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_6626_0 {
	meta:
		name = "TColumn.IsReadOnlyStored"
		size = 29
		refs = "000c TColumn.DefaultReadOnly"
	strings:
		$1 = { 53 8B D8 F6 43 3B 10 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 3A 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6627_0 {
	meta:
		name = "TColumn.IsWidthStored"
		size = 29
		refs = "000c TColumn.DefaultWidth"
	strings:
		$1 = { 53 8B D8 F6 43 3B 02 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 18 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6628_0 {
	meta:
		name = "TColumn.RefreshDefaultFont"
		size = 120
		refs = "0031 TColumn.RefreshDefaultFont 003f TColumn.DefaultFont 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC F6 40 3B 04 75 60 8B 45 FC 8B 58 20 8B 43 04 89 45 F4 8B 43 08 89 45 F8 33 C0 89 43 04 89 43 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 20 8B 55 F4 89 50 04 8B 55 F8 89 50 08 C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6629_0 {
	meta:
		name = "TColumn.RestoreDefaults"
		size = 76
		refs = "0015 TColumn.RestoreDefaults 0020 TColumn.RefreshDefaultFont 0028 TObject.Free 0036 TColumn.SetButtonStyle 003f TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F0 F6 46 3B 04 0F 95 C3 8B 46 1C 8B 10 FF 52 10 66 A1 ?? ?? ?? ?? 66 89 46 3B 8B C6 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 33 C0 89 46 2C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6630_0 {
	meta:
		name = "TColumn.SetAlignment"
		size = 97
		refs = "0025 TCollectionItem.Changed 002e TColumn.GetGrid 0047 TColumn.GetField 0059 TField.SetAlignment"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 80 7F 3F 00 74 1E F6 47 3B 08 74 05 3A 5F 39 74 45 88 5F 39 66 83 4F 3B 08 33 D2 8B C7 E8 ?? ?? ?? ?? EB 32 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 25 8B 86 98 02 00 00 80 78 15 00 74 19 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6631_0 {
	meta:
		name = "TColumn.SetButtonStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 38 74 0A 88 50 38 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6632_0 {
	meta:
		name = "TColumn.SetColor"
		size = 33
		refs = "001b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 F6 43 3B 01 74 05 3B 53 14 74 11 89 53 14 66 83 4B 3B 01 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6633_0 {
	meta:
		name = "TColumn.SetField"
		size = 126
		refs = "000f TColumn.SetField 002b TField.GetFullName 0036 @LStrAsg 0048 @LStrClr 0058 TCollectionItem.Changed 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 0C 74 3E 89 73 0C 85 F6 74 15 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 80 7B 3F 00 75 13 85 F6 75 08 8D 43 10 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 38 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6634_0 {
	meta:
		name = "TColumn.SetFieldName"
		size = 108
		refs = "000d TColumn.GetGrid 001e TDataLink.GetDataSet 002f @LStrLen 0045 TDataSet.FindField 0051 @LStrAsg 0063 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 33 ED 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 34 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 25 F6 46 20 01 75 1F 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B E8 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8B D5 8B C3 8B 08 FF 51 20 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6635_0 {
	meta:
		name = "TColumn.SetFont"
		size = 27
		refs = "0015 TCollectionItem.Changed"
	strings:
		$1 = { 56 8B F0 8B 46 20 8B 08 FF 51 08 66 83 4E 3B 04 33 D2 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_6636_0 {
	meta:
		name = "TColumn.SetImeMode"
		size = 44
		refs = "000f TColumn.DefaultImeMode 0025 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 3C 02 75 0B 8B C6 E8 ?? ?? ?? ?? 3A D8 74 09 88 5E 24 66 81 4E 3B 00 02 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6637_0 {
	meta:
		name = "TColumn.SetImeName"
		size = 133
		refs = "0015 @LStrAddRef 001d TColumn.SetImeName 0033 TColumn.DefaultImeName 003e @LStrCmp 004b @LStrAsg 005a TCollectionItem.Changed 0074 @LStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 3C 04 75 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 74 11 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 66 81 4B 3B 00 04 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6638_0 {
	meta:
		name = "TColumn.SetIndex"
		size = 408
		refs = "0012 TCollectionItem.GetIndex 001c TColumn.GetGrid 0034 TCustomDBGrid.BeginLayout 003c TColumn.SetIndex 0053 TCollection.GetCount 0064 TCollection.GetItem 0069 TColumn.GetParentColumn 009d TCollectionItem.SetIndex 00dd TCustomDBGrid.EndLayout 00e3 @HandleFinally 010a TCustomDBGrid.AcquireLayoutLock 012d TDBGridColumns.GetColumn 0136 TColumn.Depth 0141 TCustomDBGrid.ColumnAtDepth 014a TColumn.GetField 0157 TField.GetIndex 0166 TField.SetIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 80 78 3F 00 0F 84 B9 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 5E 01 EB 01 43 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 3B D8 7D 17 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 74 D9 4B 3B 75 F8 7E 2B 3B F3 7D 1A 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 10 46 3B F3 7C E6 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 29 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 3B F3 7D 1A 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 10 4B 3B F3 7C E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F4 00 0F 84 94 00 00 00 8B 45 F4 8B 80 98 02 00 00 80 78 15 00 0F 84 81 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 75 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 80 C0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 F4 5A E8 ?? ?? ?? ?? 85 C0 74 21 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6639_0 {
	meta:
		name = "TColumn.SetPickList"
		size = 43
		refs = "000e TObject.Free 001d TColumn.GetPickList"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 10 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 43 2C 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_6640_0 {
	meta:
		name = "TColumn.SetPopupMenu"
		size = 32
		refs = "0010 TColumn.GetGrid 0019 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 30 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6641_0 {
	meta:
		name = "TColumn.SetReadOnly"
		size = 97
		refs = "000a TColumn.GetGrid 0029 TColumn.GetField 003b TField.SetReadOnly 0059 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 80 7F 3F 00 75 2B 85 F6 74 27 8B 86 98 02 00 00 80 78 15 00 74 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 10 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 1C F6 47 3B 10 74 05 3A 5F 3A 74 11 88 5F 3A 66 83 4F 3B 10 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6642_0 {
	meta:
		name = "TColumn.SetTitle"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_6643_0 {
	meta:
		name = "TColumn.SetWidth"
		size = 221
		refs = "0019 TColumn.GetGrid 002a TWinControl.HandleAllocated 0035 TColumn.GetField 0049 TColumn.GetFont 0056 TCanvas.SetFont 0062 TCanvas.GetHandle 0068 GetTextMetrics 0091 TField.SetDisplayWidth 00b7 TColumn.DefaultWidth 00d1 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B EA 8B F0 8A 5E 3F 84 DB 0F 85 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 81 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 63 8B C6 E8 ?? ?? ?? ?? 85 C0 74 58 80 BF F4 02 00 00 00 74 4F 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 87 EC 01 00 00 E8 ?? ?? ?? ?? 54 8B 87 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 44 24 18 D1 F8 79 03 83 D0 00 03 C5 2B 44 24 24 83 E8 03 99 F7 7C 24 18 8B D0 58 E8 ?? ?? ?? ?? 80 BF 87 02 00 00 00 74 06 F6 46 3B 02 74 06 B3 01 EB 02 B3 01 84 DB 74 27 F6 46 3B 02 75 0B 8B C6 E8 ?? ?? ?? ?? 3B E8 74 0D 83 FD FF 74 08 89 6E 18 66 83 4E 3B 02 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6644_0 {
	meta:
		name = "TColumn.SetVisible"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 3D 74 0A 88 50 3D B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6645_0 {
	meta:
		name = "TColumn.SetExpanded"
		size = 145
		refs = "0010 TColumn.GetGrid 001d TCustomDBGrid.GetSelectedIndex 002a TDBGridColumns.GetColumn 002f TColumn.GetShowing 0048 TCollectionItem.Changed 007b Direction 0088 TCustomDBGrid.MoveCol"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 3A 5F 3E 74 7F 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1D 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 04 24 88 5F 3E B2 01 8B C7 E8 ?? ?? ?? ?? 85 F6 0F 95 C0 22 04 24 74 36 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 19 33 C0 8A 47 3E 0F BE 88 ?? ?? ?? ?? 8B 96 08 02 00 00 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6646_0 {
	meta:
		name = "TColumn.Depth"
		size = 30
		refs = "0005 TColumn.GetParentColumn 0012 TColumn.Depth"
	strings:
		$1 = { 53 56 33 F6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 8B C3 E8 ?? ?? ?? ?? 8B F0 46 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6647_0 {
	meta:
		name = "TColumn.GetExpandable"
		size = 24
		refs = "0001 TColumn.GetField"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 09 8A 40 30 04 E6 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_6648_0 {
	meta:
		name = "TCookieCollection.Create"
		size = 69
		refs = "000e @ClassCreate 0020 TCollection.Create 002e @AfterConstruction"
		altNames = "TDBGridColumns.Create THTMLTableColumns.Create TWebActionItems.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6653_0 {
	meta:
		name = "TDBGridColumns.LoadFromStream"
		size = 129
		refs = "0010 _DV_TColumnsWrapper 0015 TComponent.Create 0020 TDBGridColumns.LoadFromStream 0032 @CallDynaInst 0042 TStream.ReadComponent 0067 TObject.Free 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 18 66 BB A0 FF E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6654_0 {
	meta:
		name = "TDBGridColumns.RestoreDefaults"
		size = 102
		refs = "0015 TDBGridColumns.RestoreDefaults 0023 TCollection.GetCount 0037 TDBGridColumns.GetColumn 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 38 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6655_0 {
	meta:
		name = "AddFields"
		size = 190
		refs = "0017 AddFields 0027 TFields.GetCount 003a TFields.GetField 0042 TField.GetFullName 0051 TDBGridColumns.Add 0057 TColumn.SetFieldName 007c _Dn_TObjectField 0081 @AsClass 00ab @LStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 45 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 68 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 30 04 E6 2C 02 73 29 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 C8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 59 43 4F 75 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6656_0 {
	meta:
		name = "TDBGridColumns.RebuildColumns"
		size = 149
		refs = "0015 TCustomDBGrid.GetDataSource 0035 TCustomDBGrid.BeginLayout 003d TDBGridColumns.RebuildColumns 004b TCollection.Clear 0064 AddFields 007d TCustomDBGrid.EndLayout 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 58 18 85 DB 74 77 8B C3 E8 ?? ?? ?? ?? 85 C0 74 6C 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 83 78 24 00 74 5B 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 40 24 8B 40 24 33 D2 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_6658_0 {
	meta:
		name = "TDBGridColumns.SaveToStream"
		size = 91
		refs = "000f _DV_TColumnsWrapper 0014 TComponent.Create 001f TDBGridColumns.SaveToStream 0035 TStream.WriteComponent 004a TObject.Free 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 24 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6660_0 {
	meta:
		name = "TDBGridColumns.SetState"
		size = 40
		refs = "0009 TDBGridColumns.GetState 0018 TCollection.Clear 0021 TDBGridColumns.RebuildColumns"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7530_0 {
	meta:
		name = "THTMLTableColumns.SetState"
		size = 40
		refs = "0009 THTMLTableColumns.GetState 0018 TCollection.Clear 0021 THTMLTableColumns.RebuildColumns"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6661_0 {
	meta:
		name = "TDBGridColumns.Update"
		size = 87
		refs = "0027 TCollectionItem.GetIndex 0030 TCustomDBGrid.DataToRawColumn 003c TCustomGrid.InvalidateCol 0043 TColumn.GetWidth 004f TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 18 85 FF 74 45 F6 47 20 01 75 3F 85 DB 75 0C 8B C7 8B 10 FF 92 E0 00 00 00 EB 2F 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 46 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 46 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6662_0 {
	meta:
		name = "TDBGridColumns.InternalAdd"
		size = 10
		refs = "0001 TDBGridColumns.Add"
	strings:
		$1 = { E8 ?? ?? ?? ?? C6 40 3F 00 C3 }
	condition:
		$1
}

rule function_6663_0 {
	meta:
		name = "TDBGridColumns.GetState"
		size = 37
		refs = "0006 TCollection.GetCount 0013 TDBGridColumns.GetColumn"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0F 33 D2 8B C3 E8 ?? ?? ?? ?? 80 78 3F 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6664_0 {
	meta:
		name = "TBookmarkList.Create"
		size = 96
		refs = "000f @ClassCreate 001f TObject.Create 0026 _Dn_TStringList 003a TBookmarkList.StringsChanged 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 89 5E 20 C7 46 1C ?? ?? ?? ?? 89 7B 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6665_0 {
	meta:
		name = "TBookmarkList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000e TBookmarkList.Clear 0016 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7916_0 {
	meta:
		name = "TNameMap.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000e TNameMap.Clear 0016 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7902_0 {
	meta:
		name = "TValueList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000e TValueList.Clear 0016 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6666_0 {
	meta:
		name = "TBookmarkList.Clear"
		size = 33
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 14 85 C0 74 10 8B 43 04 8B 10 FF 52 40 8B 43 08 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_6667_0 {
	meta:
		name = "TBookmarkList.Compare"
		size = 26
	strings:
		$1 = { 53 8B 40 08 8B 80 98 02 00 00 8B 40 04 8B 40 24 8B 18 FF 93 B0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6668_0 {
	meta:
		name = "TBookmarkList.CurrentRow"
		size = 111
		refs = "000f TBookmarkList.CurrentRow 0023 SDataSetClosed 0028 LoadResString 0030 RaiseGridError 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 15 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 43 08 8B 80 98 02 00 00 8B 40 04 8B 40 24 8B 08 FF 91 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6669_0 {
	meta:
		name = "TBookmarkList.GetCurrentRowSelected"
		size = 89
		refs = "0012 TBookmarkList.GetCurrentRowSelected 0022 TBookmarkList.CurrentRow 002f TBookmarkList.Find 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6670_0 {
	meta:
		name = "TBookmarkList.Find"
		size = 244
		refs = "001a TBookmarkList.Find 002b @LStrCmp 0085 TBookmarkList.Compare 00bb @LStrAsg 00de @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 0C E8 ?? ?? ?? ?? 75 19 83 7B 10 00 7C 13 8B 45 F8 8B 53 10 89 10 8A 43 14 88 45 F7 E9 83 00 00 00 C6 45 F7 00 33 C0 89 45 F0 8B 43 04 8B 10 FF 52 14 48 89 45 EC 8B 45 F0 3B 45 EC 7F 45 8B 75 F0 03 75 EC D1 EE 8D 4D E8 8B D6 8B 43 04 8B 38 FF 57 0C 8B 55 E8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 06 46 89 75 F0 EB 11 8B D6 4A 89 55 EC 85 C0 75 07 C6 45 F7 01 89 75 F0 8B 45 F0 3B 45 EC 7E BB 8B 45 F8 8B 55 F0 89 10 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 00 89 43 10 8A 45 F7 88 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6671_0 {
	meta:
		name = "TBinData.GetBinCount"
		size = 9
		altNames = "TBookmarkList.GetCount"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_6672_0 {
	meta:
		name = "TBinData.GetBinName"
		size = 25
		altNames = "TBookmarkList.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 04 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6673_0 {
	meta:
		name = "TBookmarkList.IndexOf"
		size = 36
		refs = "000e TBookmarkList.Find"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6674_0 {
	meta:
		name = "TBookmarkList.LinkActive"
		size = 19
		refs = "0009 TBookmarkList.Clear"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 15 5E 5B C3 }
	condition:
		$1
}

rule function_6675_0 {
	meta:
		name = "TBookmarkList.Delete"
		size = 202
		refs = "0014 TBookmarkList.Delete 0034 TDataSet.DisableControls 0075 TDataSet.Delete 009a TDataSet.EnableControls 00a0 @HandleFinally 00b7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 80 98 02 00 00 8B 40 04 8B 40 24 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 33 8D 4D F8 8B 46 04 8B D3 8B 38 FF 57 0C 8B 55 F8 8B 45 FC 8B 08 FF 91 24 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 46 04 8B D3 8B 08 FF 51 44 4B 83 FB FF 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6676_0 {
	meta:
		name = "TBookmarkList.Refresh"
		size = 237
		refs = "0014 TBookmarkList.Refresh 0049 TDataSet.CheckBrowseMode 00aa TDataSet.UpdateCursorPos 00c1 @HandleFinally 00d8 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 8B 40 08 8B 80 98 02 00 00 8B 40 04 8B 40 24 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 39 8D 4D F0 8B 45 FC 8B 40 04 8B D3 8B 30 FF 56 0C 8B 55 F0 8B 45 F4 8B 08 FF 91 A8 01 00 00 84 C0 75 11 C6 45 FB 01 8B 45 FC 8B 40 04 8B D3 8B 08 FF 51 44 4B 83 FB FF 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 80 7D FB 00 74 0B 8B 45 FC 8B 40 08 8B 10 FF 52 78 C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6677_0 {
	meta:
		name = "TBookmarkList.SetCurrentRowSelected"
		size = 150
		refs = "0015 TBookmarkList.SetCurrentRowSelected 0025 TBookmarkList.CurrentRow 002d @LStrLen 003e TBookmarkList.Find 006f TCustomGrid.InvalidateRow 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 3E 8D 4D FC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 3A D8 74 2D 84 DB 74 10 8B 4D F8 8B 55 FC 8B 46 04 8B 18 FF 53 54 EB 0B 8B 55 FC 8B 46 04 8B 08 FF 51 44 8B 46 08 8B 90 0C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6678_0 {
	meta:
		name = "TBookmarkList.StringsChanged"
		size = 20
		refs = "0007 @LStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 0C E8 ?? ?? ?? ?? C7 43 10 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_6679_0 {
	meta:
		name = "UsesBitmap"
		size = 33
		refs = "0002 UserCount 000c _Dn_TBitmap 0011 TBitmap.Create 0016 DrawBitmap"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6680_0 {
	meta:
		name = "ReleaseBitmap"
		size = 26
		refs = "0002 UserCount 0010 DrawBitmap 0015 TObject.Free"
	strings:
		$1 = { FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6681_0 {
	meta:
		name = "WriteText"
		size = 584
		refs = "0023 TBrush.GetColor 0028 ColorToRGB 0032 TCanvas.GetHandle 0038 GetNearestColor 0043 TCanvas.GetCanvasOrientation 0055 ChangeBiDiModeAlignment 0071 TCanvas.TextWidth 00ac TCanvas.TextRect 00b6 DrawBitmap 00bb TBitmap.GetCanvas 00c0 TCanvas.Lock 00c8 WriteText 00e3 Max 012e Rect 015e TCanvas.SetFont 016c TFont.SetColor 0176 TCanvas.SetBrush 0180 TBrush.SetStyle 018a TCanvas.FillRect 0199 SetBkMode 01b8 AlignFlags 01c4 RTL 01d0 @LStrLen 01d8 @LStrToPChar 01e6 DrawText 0217 TCanvas.CopyRect 0233 TCanvas.Unlock 0239 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B D8 8B 7D 10 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 75 75 8B C3 E8 ?? ?? ?? ?? 3C 01 75 0E 80 7D 08 00 75 08 8D 45 0C E8 ?? ?? ?? ?? 8A 45 0C 2C 01 72 04 74 0A EB 1D 8B 45 EC 03 45 FC EB 30 8B D7 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F4 5A 2B C2 83 E8 03 EB 1B 8B D7 8B C3 E8 ?? ?? ?? ?? D1 E8 50 8B 45 F4 8B 75 EC 2B C6 D1 E8 03 C6 5A 2B C2 8B 55 F0 03 55 14 52 57 8B C8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? E9 8A 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 10 FF 52 2C 8B 55 F4 2B 55 EC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 40 A1 ?? ?? ?? ?? 8B 10 FF 52 20 8B 55 F8 2B 55 F0 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 34 8B 45 F8 2B 45 F0 48 50 8D 45 CC 50 8B 4D F4 2B 4D EC 49 8B 55 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 50 8D 45 DC 50 8B 4D F4 2B 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 50 14 8B 46 0C E8 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 01 75 08 8D 45 0C E8 ?? ?? ?? ?? 33 C0 8A 45 0C 8B 04 85 ?? ?? ?? ?? 33 D2 8A 55 08 0B 04 95 ?? ?? ?? ?? 50 8D 45 CC 50 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 01 75 0C 8B 45 EC 8B 55 F4 89 55 EC 89 45 F4 8D 45 DC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_6682_0 {
	meta:
		name = "TCustomDBGrid.Create"
		size = 848
		refs = "000f @ClassCreate 001f TCustomGrid.Create 003a _Dn_TBitmap 003f TBitmap.Create 004a TCustomDBGrid.Create 0056 HInstance 0065 TBitmap.LoadFromResourceName 007f _Dn_TImageList 0084 TCustomImageList.CreateSize 009e TCustomImageList.AddMasked 015f TObject.Free 0165 @HandleFinally 019b SysLocale 01cd UsesBitmap 01d7 TCustomGrid.SetScrollBars 01e6 TCustomGrid.SetOptions 01f2 @CallDynaInst 0202 _Dn_TList 0207 TObject.Create 021d TCustomGrid.SetRowCount 022a TCustomGrid.SetColCount 0234 _DV_TGridDataLink 0239 TGridDataLink.Create 024f TControl.SetColor 0259 TControl.SetParentColor 0260 _Dn_TFont 0265 TFont.Create 027d TCustomDBGrid.TitleFontChanged 02a5 _DV_TBookmarkList 02aa TBookmarkList.Create 02bb TCustomGrid.HideEditor 02c9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 6C 02 00 00 00 8B 45 FC C6 80 F5 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 20 50 8B 45 F4 8B 10 FF 52 2C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 74 02 00 00 8B C3 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 74 02 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 74 02 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 74 02 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 74 02 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC C6 80 8A 02 00 00 01 8B 45 FC C6 80 8B 02 00 00 01 8B 45 FC C6 80 F4 02 00 00 01 8B 45 FC 66 8B 15 ?? ?? ?? ?? 66 89 90 88 02 00 00 A1 ?? ?? ?? ?? 66 83 78 04 12 75 0B 8B 45 FC 66 83 88 88 02 00 00 02 8B 45 FC 66 8B 15 ?? ?? ?? ?? 66 89 90 70 02 00 00 8B 45 FC C6 80 72 02 00 00 01 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB A0 FF E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C4 02 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 02 00 00 BA 05 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 78 02 00 00 8B 45 FC 89 43 08 C7 43 04 ?? ?? ?? ?? 8B 45 FC C6 80 6F 02 00 00 00 8B 45 FC C6 80 85 02 00 00 01 8B 45 FC C6 80 8F 02 00 00 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 44 42 47 41 52 52 4F 57 00 00 00 00 FF FF FF FF 06 00 00 00 44 42 45 44 49 54 00 00 FF FF FF FF 08 00 00 00 44 42 49 4E 53 45 52 54 00 00 00 00 FF FF FF FF 0A 00 00 00 44 42 4D 55 4C 54 49 44 4F 54 00 00 FF FF FF FF 0C 00 00 00 44 42 4D 55 4C 54 49 41 52 52 4F 57 00 00 00 00 FD 0C 00 00 80 00 00 00 8F 0E 00 00 }
	condition:
		$1
}

rule function_6683_0 {
	meta:
		name = "TCustomDBGrid.Destroy"
		size = 148
		refs = "0003 @BeforeDestruction 0012 TObject.Free 007d TCustomGrid.Destroy 0082 ReleaseBitmap 008d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 C0 02 00 00 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 C4 02 00 00 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 98 02 00 00 8B 86 74 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 78 02 00 00 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 C8 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6684_0 {
	meta:
		name = "TCustomDBGrid.AcquireFocus"
		size = 95
		refs = "0013 TWinControl.CanFocus 0032 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F0 B3 01 80 BE F5 02 00 00 00 74 49 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3E F6 46 20 10 75 38 8B C6 8B 10 FF 92 B4 00 00 00 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 75 1D 8B BE 5C 02 00 00 85 FF 74 0F 8B C7 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6685_0 {
	meta:
		name = "TCustomDBGrid.RawToDataColumn"
		size = 12
	strings:
		$1 = { 0F B6 80 8B 02 00 00 2B D0 8B C2 C3 }
	condition:
		$1
}

rule function_6686_0 {
	meta:
		name = "TCustomDBGrid.DataToRawColumn"
		size = 12
	strings:
		$1 = { 0F B6 80 8B 02 00 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_6687_0 {
	meta:
		name = "TCustomDBGrid.AcquireLayoutLock"
		size = 38
		refs = "001e TCustomDBGrid.BeginLayout"
	strings:
		$1 = { 53 80 B8 8C 02 00 00 00 75 09 80 B8 8D 02 00 00 00 74 04 33 DB EB 02 B3 01 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_6688_0 {
	meta:
		name = "TCustomDBGrid.BeginLayout"
		size = 38
		refs = "0006 TCustomDBGrid.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 8D 02 00 00 00 75 0B 8B 83 C0 02 00 00 8B 10 FF 52 14 FE 83 8D 02 00 00 5B C3 }
	condition:
		$1
}

rule function_6689_0 {
	meta:
		name = "TCustomDBGrid.BeginUpdate"
		size = 7
	strings:
		$1 = { FE 80 8C 02 00 00 C3 }
	condition:
		$1
}

rule function_6690_0 {
	meta:
		name = "TCustomDBGrid.CancelLayout"
		size = 43
		refs = "0025 TCustomDBGrid.EndUpdate"
	strings:
		$1 = { 53 8B D8 8A 83 8D 02 00 00 84 C0 76 1C 3C 01 75 0B 8B 83 C0 02 00 00 8B 10 FF 52 18 FE 8B 8D 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6691_0 {
	meta:
		name = "TCustomDBGrid.CanEditAcceptKey"
		size = 83
		refs = "000a TCustomDBGrid.GetSelectedIndex 0017 TDBGridColumns.GetColumn 002c TColumn.GetField"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 87 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 87 98 02 00 00 80 78 15 00 74 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 15 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 91 C0 00 00 00 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6692_0 {
	meta:
		name = "TCustomDBGrid.CanEditModify"
		size = 191
		refs = "0037 TCustomDBGrid.GetSelectedIndex 0044 TDBGridColumns.GetColumn 004d TColumn.GetReadOnly 0058 TColumn.GetField 00a3 TDataLink.Edit 00b5 TGridDataLink.Modified"
	strings:
		$1 = { 53 56 57 8B F8 33 DB 80 BF 7C 02 00 00 00 0F 85 A5 00 00 00 8B 87 98 02 00 00 80 78 15 00 0F 84 95 00 00 00 8B 87 98 02 00 00 80 78 14 00 0F 85 85 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 87 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 64 8B C6 E8 ?? ?? ?? ?? 85 C0 74 59 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 60 84 C0 74 49 8B C6 E8 ?? ?? ?? ?? 8A 40 30 04 F4 2C 02 72 0B 48 2C 08 72 06 04 FD 2C 04 73 11 8B C6 E8 ?? ?? ?? ?? 66 83 B8 C2 00 00 00 00 74 1D 8B 87 98 02 00 00 E8 ?? ?? ?? ?? 8B 87 98 02 00 00 8A 58 17 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6693_0 {
	meta:
		name = "TCustomDBGrid.CanEditShow"
		size = 31
		refs = "000f TCustomGrid.CanEditShow"
	strings:
		$1 = { 53 8B D8 80 BB 8D 02 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6694_0 {
	meta:
		name = "TCustomDBGrid.CellClick"
		size = 27
	strings:
		$1 = { 53 66 83 B8 E2 02 00 00 00 74 0E 8B D8 8B 83 E4 02 00 00 FF 93 E0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_6695_0 {
	meta:
		name = "TCustomDBGrid.ColEnter"
		size = 36
		refs = "0006 TCustomDBGrid.UpdateIme"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 9E 02 00 00 00 74 0E 8B D3 8B 83 A0 02 00 00 FF 93 9C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_6696_0 {
	meta:
		name = "TCustomDBGrid.ColExit"
		size = 29
		altNames = "TCustomForm.DoShow"
	strings:
		$1 = { 53 66 83 B8 A6 02 00 00 00 74 10 8B D8 8B D0 8B 83 A8 02 00 00 FF 93 A4 02 00 00 5B C3 }
	condition:
		$1
}

rule function_6697_0 {
	meta:
		name = "TCustomDBGrid.ColumnMoved"
		size = 82
		refs = "000e TCustomDBGrid.RawToDataColumn 0028 TDBGridColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 10 66 83 BB DA 02 00 00 00 74 11 57 8B CE 8B D3 8B 83 DC 02 00 00 FF 93 D8 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6698_0 {
	meta:
		name = "TCustomDBGrid.ColWidthsChanged"
		size = 189
		refs = "000d TCustomGrid.ColWidthsChanged 002a TDBGridColumns.GetState 003a TCustomDBGrid.AcquireLayoutLock 0046 TCustomDBGrid.ColWidthsChanged 0070 TCustomGrid.GetColWidths 008d TDBGridColumns.GetColumn 00ac TCustomDBGrid.EndLayout 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 80 78 15 00 75 16 8B 45 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 3C 01 0F 85 82 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 76 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 DB 8A 98 8B 02 00 00 8B 45 FC 8B B0 FC 01 00 00 4E 2B F3 7C 32 46 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 0F B6 80 8B 02 00 00 8B D3 2B D0 8B 45 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 30 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6699_0 {
	meta:
		name = "TCustomDBGrid.CreateColumns"
		size = 22
		refs = "0002 _DV_TColumn 000c _DV_TDBGridColumns 0011 TDBGridColumns.Create"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 52 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6701_0 {
	meta:
		name = "TCustomDBGrid.CreateWnd"
		size = 133
		refs = "000b TCustomDBGrid.BeginUpdate 0013 TCustomDBGrid.CreateWnd 0021 TWinControl.CreateWnd 0036 TCustomDBGrid.EndUpdate 003c @HandleFinally 0046 TCustomDBGrid.UpdateRowCount 004e TCustomDBGrid.UpdateActive 0056 TCustomDBGrid.UpdateScrollBar 006c @LStrAsg"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 8B 55 FC 8B 92 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8A 80 48 01 00 00 8B 55 FC 88 82 84 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_6702_0 {
	meta:
		name = "TCustomDBGrid.DataChanged"
		size = 66
		refs = "0006 TWinControl.HandleAllocated 0011 TCustomDBGrid.UpdateRowCount 0018 TCustomDBGrid.UpdateScrollBar 001f TCustomDBGrid.UpdateActive 0026 TCustomGrid.InvalidateEditor 002f TWinControl.GetHandle 0035 ValidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_6703_0 {
	meta:
		name = "TCustomDBGrid.DefaultHandler"
		size = 172
		refs = "000f TWinControl.DefaultHandler 002b TCustomGrid.MouseCoord 004a TCustomDBGrid.RawToDataColumn 0057 TDBGridColumns.GetColumn 006d TControl.SendCancelMode 007c SmallPointToPoint 008b TControl.ClientToScreen"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 81 3E 05 02 00 00 0F 85 86 00 00 00 54 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 8B 02 00 00 8B 3C 24 3B C7 7F 67 83 7C 24 04 00 7C 60 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B 78 30 85 FF 74 43 80 7F 51 00 74 3D 33 D2 8B C3 E8 ?? ?? ?? ?? 89 5F 54 8D 54 24 10 8B 46 08 E8 ?? ?? ?? ?? 8D 54 24 10 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 0C 8B 54 24 08 8B C7 8B 18 FF 53 3C C7 46 0C 01 00 00 00 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6704_0 {
	meta:
		name = "TCustomDBGrid.DeferLayout"
		size = 85
		refs = "0009 TWinControl.HandleAllocated 0020 TWinControl.GetHandle 002b PeekMessage 0045 PostMessage 004c TCustomDBGrid.CancelLayout"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 6A 00 68 64 04 00 00 68 64 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 75 16 6A 00 6A 00 68 64 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_6705_0 {
	meta:
		name = "TCustomDBGrid.DefineFieldMap"
		size = 242
		refs = "0014 TCustomDBGrid.DefineFieldMap 0025 TDBGridColumns.GetState 003e TCollection.GetCount 0059 TDBGridColumns.GetColumn 0067 TGridDataLink.AddMapping 007c TDataLink.GetDataSet 00a1 TFieldList.GetField 00b8 TField.GetFullName 00df @LStrClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 3C 01 75 44 8B 86 98 02 00 00 C6 40 2A 01 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 81 00 00 00 43 33 FF 8B D7 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B 50 10 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 47 4B 75 E1 EB 5D 8B 86 98 02 00 00 C6 40 2A 00 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 40 34 8B 10 FF 52 14 8B D8 4B 85 DB 7C 39 43 33 FF 8B 45 FC 8B 40 34 8B D7 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 78 34 00 74 19 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 47 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6706_0 {
	meta:
		name = "TCustomDBGrid.UseRightToLeftAlignmentForField"
		size = 43
		refs = "0010 TControl.IsRightToLeft 001e OkToChangeFieldAlignment"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8A 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6707_0 {
	meta:
		name = "TCustomDBGrid.DefaultDrawDataCell"
		size = 138
		refs = "0019 TCustomDBGrid.DefaultDrawDataCell 0029 @LStrClr 003a TField.GetDisplayText 004c TCustomDBGrid.UseRightToLeftAlignmentForField 0060 WriteText 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F8 E8 ?? ?? ?? ?? 85 F6 74 0D 8A 5E 33 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 6A 02 8B 45 F8 50 53 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 55 FC 8B 87 EC 01 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6708_0 {
	meta:
		name = "TCustomDBGrid.DefaultDrawColumnCell"
		size = 158
		refs = "0013 TCustomDBGrid.DefaultDrawColumnCell 0021 @LStrClr 0028 TColumn.GetField 003b TField.GetDisplayText 0048 TColumn.GetAlignment 0062 TCustomDBGrid.UseRightToLeftAlignmentForField 0075 WriteText 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 6A 02 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 50 8B D7 B9 02 00 00 00 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6709_0 {
	meta:
		name = "TCustomDBGrid.ReadColumns"
		size = 40
		refs = "000d TCollection.Clear 0014 TReader.ReadValue 0021 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 93 C0 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6710_0 {
	meta:
		name = "TCustomDBGrid.WriteColumns"
		size = 13
		refs = "0008 TWriter.WriteCollection"
	strings:
		$1 = { 8B 80 C0 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6711_0 {
	meta:
		name = "TCustomDBGrid.DefineProperties"
		size = 136
		refs = "0008 TCustomDBGrid.ReadColumns 000e TCustomDBGrid.WriteColumns 0019 TDBGridColumns.GetState 005c CollectionsEqual 006b TCustomDBGrid.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 3C 01 75 06 83 7E 1C 00 74 41 83 7E 1C 00 74 37 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 50 8B 46 1C 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 5A 3A D0 75 1C 8B 46 1C 8B 90 C0 02 00 00 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 FF FF FF FF 07 00 00 00 43 6F 6C 75 6D 6E 73 00 }
	condition:
		$1
}

rule function_6712_0 {
	meta:
		name = "TCustomDBGrid.ColumnAtDepth"
		size = 37
		refs = "000b TColumn.GetParentColumn 0018 TColumn.Depth"
	strings:
		$1 = { 53 56 8B F1 8B DA EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C E8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_6713_0 {
	meta:
		name = "TCustomDBGrid.CalcTitleRect"
		size = 412
		refs = "001a TCustomDBGrid.ColumnAtDepth 0035 TCollectionItem.GetIndex 003e TCustomDBGrid.DataToRawColumn 0054 TColumn.Depth 0085 TCustomGrid.CellRect 0090 @CallDynaInst 009f TCanvas.GetCanvasOrientation 00c1 TCollection.GetCount 00db TDBGridColumns.GetColumn 0121 Max 014c TControl.GetClientWidth 0183 TCustomGrid.CalcFixedInfo"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 89 4D F8 89 55 FC 8B F0 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 0C 83 38 00 0F 84 64 01 00 00 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 86 38 02 00 00 3B F8 7C 0E 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 8B D8 EB 1E 8B F8 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7E 05 8B 5D F8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 0F 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 45 F7 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 48 2B C7 0F 8C 95 00 00 00 40 89 45 F0 8B D7 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 3B 02 75 71 80 7D F7 00 75 35 8D 45 88 50 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 8B 5D 90 85 DB 74 4B 8B 45 08 8B 40 08 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 08 EB 2C 8D 45 88 50 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 8B 5D 88 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 0F 8B 45 08 89 18 47 FF 4D F0 0F 85 6F FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B D8 3B 5D F8 7F 21 8B 86 1C 02 00 00 48 3B D8 7D 16 8D 55 98 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 2B 45 C4 8B 55 08 89 42 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6714_0 {
	meta:
		name = "RowIsMultiSelected"
		size = 157
		refs = "0010 RowIsMultiSelected 006b TBookmarkList.Find 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC F6 80 89 02 00 00 10 74 4A 8B 45 08 8B 40 FC 8B 80 98 02 00 00 80 78 15 00 74 38 8D 55 F8 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 40 04 8B 40 24 8B 08 FF 91 C4 00 00 00 8B 55 F8 8D 4D FC 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6715_0 {
	meta:
		name = "DrawTitleCell"
		size = 792
		refs = "0016 DrawTitleCell 0033 TCustomDBGrid.CalcTitleRect 0050 TCanvas.FillRect 0060 TColumnTitle.GetFont 0073 TCanvas.SetFont 007e TColumnTitle.GetColor 0094 TBrush.SetColor 00c1 InflateRect 00d5 GetSystemMetrics 00ef TColumn.GetExpandable 0121 TCanvas.GetHandle 0127 SaveDC 0180 IntersectClipRect 019e TCanvas.GetCanvasOrientation 01bc TColumn.GetExpanded 01ca ScrollArrows 01f0 DrawFrameControl 0218 RestoreDC 021e @HandleFinally 0238 TColumnTitle.GetCaption 0243 TColumnTitle.GetAlignment 024f TControl.IsRightToLeft 0269 WriteText 02b5 DrawEdge 02fb @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 E8 50 8B 45 0C 8B 40 FC 8B CB 8B D6 E8 ?? ?? ?? ?? 83 7D FC 00 75 1C 8B 45 0C 8D 50 EC 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? E9 91 02 00 00 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 66 8B 80 88 02 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 0D 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 8D 75 E8 8D 7D D8 B9 04 00 00 00 F3 A5 6A 15 E8 ?? ?? ?? ?? 89 45 F8 8B 45 E0 2B 45 D8 3B 45 F8 0F 8E 39 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 29 01 00 00 8B 45 F8 29 45 E0 8D 75 E8 8D 7D C8 B9 04 00 00 00 F3 A5 8B 45 E0 89 45 C8 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C8 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 C8 50 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 D0 50 8B 45 CC 50 8B 45 C8 50 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 6A 01 8D 45 C8 50 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 3C 01 0F 94 C3 84 DB 74 0D 6A 15 E8 ?? ?? ?? ?? 83 C0 04 01 45 D0 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 33 D2 8A D3 8D 14 D5 ?? ?? ?? ?? 8B 04 82 0D 00 40 00 00 50 6A 03 8D 45 C8 50 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 FC 8B 58 1C 8B 45 0C 0F B6 70 EB 56 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 50 8B C3 E8 ?? ?? ?? ?? 50 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 50 8B 45 0C 8B CE 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 66 8B 80 88 02 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 4B 6A 01 6A 01 8D 45 E8 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 8D 45 E8 50 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 E8 50 8B 45 0C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8A 15 ?? ?? ?? ?? F7 D2 22 10 8B 45 08 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 60 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_6716_0 {
	meta:
		name = "TCustomDBGrid.DrawCell"
		size = 1404
		refs = "0029 TCustomDBGrid.DrawCell 004f TBrush.SetColor 0060 TCanvas.FillRect 00ae InflateRect 0147 RowIsMultiSelected 016f @HandleFinally 019e TDataLink.GetDataSet 020e TCustomImageList.SetBkColor 0232 TCanvas.GetCanvasOrientation 025f TCustomImageList.Draw 02ad TDBGridColumns.GetColumn 02b6 TColumn.GetShowing 02cb TColumn.GetFont 02d5 TCanvas.SetFont 02dc TColumn.GetColor 030b DrawTitleCell 033c @LStrClr 036c TColumn.GetField 037f TField.GetDisplayText 03bb TFont.SetColor 03d4 TColumn.GetAlignment 03ef TCustomDBGrid.UseRightToLeftAlignmentForField 0406 WriteText 0414 TDBGridColumns.GetState 0434 @CallDynaInst 04c7 ValidParentForm 04de TCanvas.GetHandle 04e4 DrawFocusRect 0530 DrawEdge"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D DC 8B 75 0C 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D E4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 01 74 2D 8B 45 FC 8B 50 64 8B 45 FC 8B 80 EC 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? E9 E7 04 00 00 8B 45 FC 0F B6 80 8A 02 00 00 29 45 E4 8B 45 FC 0F B6 80 8B 02 00 00 2B F0 F6 45 08 04 74 30 8B 45 FC 66 8B 80 88 02 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 13 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? C6 45 EB 01 EB 04 C6 45 EB 02 F6 45 08 04 0F 84 CF 01 00 00 85 F6 0F 8D C7 01 00 00 8B 45 FC 8B 90 20 02 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 85 C0 0F 84 DE 03 00 00 80 78 15 00 0F 84 D4 03 00 00 C6 45 DB 00 83 7D E4 00 7C 57 8B 10 FF 52 28 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 02 00 00 8B 55 E4 8B 08 FF 51 48 55 E8 ?? ?? ?? ?? 59 88 45 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 55 E0 8B 08 FF 51 48 C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 28 3B 45 E4 0F 94 C0 0A 45 DB 0F 84 56 03 00 00 33 F6 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 55 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8A 80 8D 00 00 00 FE C8 74 18 FE C8 74 06 FE C8 74 09 EB 33 BE 01 00 00 00 EB 2C BE 02 00 00 00 EB 25 80 7D DB 00 74 1F 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 28 3B 45 E4 74 07 BE 03 00 00 00 EB 05 BE 04 00 00 00 8B 45 FC 8B 90 20 02 00 00 8B 45 FC 8B 80 74 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 74 02 00 00 8B 5D F4 2B 58 28 33 C0 8A 45 EB 2B D8 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 3C 01 75 01 43 8B 55 F0 03 55 F8 8B 45 FC 8B 80 74 02 00 00 2B 50 24 D1 EA 52 56 6A 01 8B 55 FC 8B 92 EC 01 00 00 8B CB E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 28 3B 45 E4 0F 85 6E 02 00 00 8B 45 FC 0F B6 80 8A 02 00 00 03 45 E4 8B 55 FC 89 82 94 02 00 00 E9 53 02 00 00 8B 45 FC 8B 80 EC 01 00 00 89 45 D4 8B 45 FC 8B 80 C0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 02 00 00 F6 45 08 04 75 25 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 D4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 D4 8B 40 14 E8 ?? ?? ?? ?? 83 7D E4 00 7D 22 55 8D 45 08 50 8B 45 FC 33 D2 8A 90 8A 02 00 00 03 55 E4 8B CF 8B C6 E8 ?? ?? ?? ?? 59 E9 D3 01 00 00 8B 45 FC 8B 98 98 02 00 00 85 DB 74 06 80 7B 15 00 75 10 8D 55 EC 8B 45 D4 E8 ?? ?? ?? ?? E9 B0 01 00 00 8D 45 DC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 02 00 00 8B 55 E4 8B 08 FF 51 48 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C7 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 50 8A 45 08 50 8B 4D E4 8B D6 8B 45 FC 8B 18 FF 93 DC 00 00 00 84 C0 74 20 8B 45 D4 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 45 D4 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 8F 02 00 00 00 74 3F 6A 02 8B 45 DC 50 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 EC 01 00 00 B9 02 00 00 00 8D 55 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 1C 8A 45 08 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B 45 FC 66 BB 9F FF E8 ?? ?? ?? ?? 57 8A 45 08 50 8D 55 EC 8B CE 8B 45 FC 66 BB 9E FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 55 E0 8B 08 FF 51 48 C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 80 B8 8F 02 00 00 00 74 68 F6 45 08 01 74 62 8B 45 FC F6 80 89 02 00 00 02 75 10 8B 45 FC 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 46 8B 45 FC F6 40 20 10 75 3D 8B 45 FC F6 80 89 02 00 00 01 75 31 8B 45 FC 80 B8 8C 02 00 00 00 75 25 8B 45 FC E8 ?? ?? ?? ?? 8B 80 00 02 00 00 3B 45 FC 75 12 8D 45 EC 50 8B 45 D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 08 04 74 62 8B 45 FC 66 8B 80 88 02 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 45 6A 01 6A 01 8D 45 EC 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 8D 45 EC 50 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 EC 50 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 60 00 00 00 }
	condition:
		$1
}

rule function_6717_0 {
	meta:
		name = "TCustomDBGrid.DrawDataCell"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 AE 02 00 00 00 74 17 51 8A 4D 08 51 8B CA 8B D8 8B D0 8B 83 B0 02 00 00 FF 93 AC 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6718_0 {
	meta:
		name = "TCustomDBGrid.DrawColumnCell"
		size = 46
	strings:
		$1 = { 55 8B EC 53 66 83 B8 B6 02 00 00 00 74 1B 51 8B 4D 0C 51 8A 4D 08 51 8B CA 8B D8 8B D0 8B 83 B8 02 00 00 FF 93 B4 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6719_0 {
	meta:
		name = "TCustomDBGrid.EditButtonClick"
		size = 74
		refs = "0025 TCustomDBGrid.GetSelectedIndex 0032 TDBGridColumns.GetColumn 0044 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 66 83 BB D2 02 00 00 00 74 10 8B D3 8B 83 D4 02 00 00 FF 93 D0 02 00 00 5B C3 68 00 00 00 80 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 00 00 00 80 8B C3 66 BB 9B FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6720_0 {
	meta:
		name = "TCustomDBGrid.EditingChanged"
		size = 23
		refs = "0012 TCustomGrid.InvalidateCell"
	strings:
		$1 = { F6 80 88 02 00 00 08 74 0D 8B 88 94 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6721_0 {
	meta:
		name = "TCustomDBGrid.EndLayout"
		size = 148
		refs = "0018 TCustomDBGrid.EndLayout 0038 TCustomDBGrid.InternalLayout 0065 @HandleFinally 0085 TCustomDBGrid.EndUpdate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8A 80 8D 02 00 00 84 C0 76 7D 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3C 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 8D 02 00 00 01 75 0E 8B 45 FC 8B 80 C0 02 00 00 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FE 88 8D 02 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 59 5D C3 }
	condition:
		$1
}

rule function_6722_0 {
	meta:
		name = "TCustomDBGrid.EndUpdate"
		size = 16
	strings:
		$1 = { 80 B8 8C 02 00 00 00 76 06 FE 88 8C 02 00 00 C3 }
	condition:
		$1
}

rule function_6723_0 {
	meta:
		name = "TCustomDBGrid.GetColField"
		size = 66
		refs = "0020 TCollection.GetCount 0031 TDBGridColumns.GetColumn 0036 TColumn.GetField"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 85 F6 7C 2F 8B 83 98 02 00 00 80 78 15 00 74 23 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 3B F0 7D 14 8B D6 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6724_0 {
	meta:
		name = "TCustomDBGrid.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 98 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6725_0 {
	meta:
		name = "TCustomDBGrid.GetEditLimit"
		size = 50
		refs = "0009 TCustomDBGrid.GetSelectedField"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 80 78 30 01 75 0F 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 78 0F B7 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6726_0 {
	meta:
		name = "TCustomDBGrid.GetEditMask"
		size = 91
		refs = "0010 @LStrClr 0025 TCustomDBGrid.RawToDataColumn 0032 TDBGridColumns.GetColumn 003b TColumn.GetField 0050 @LStrLAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 80 78 15 00 74 34 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B 50 48 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6727_0 {
	meta:
		name = "TCustomDBGrid.GetEditText"
		size = 101
		refs = "0010 @LStrClr 0025 TCustomDBGrid.RawToDataColumn 0032 TDBGridColumns.GetColumn 003b TColumn.GetField 004d TField.GetEditText 005a @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 80 78 15 00 74 31 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 83 BC 02 00 00 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6728_0 {
	meta:
		name = "TCustomDBGrid.GetFieldCount"
		size = 10
	strings:
		$1 = { 8B 80 98 02 00 00 8B 40 20 C3 }
	condition:
		$1
}

rule function_6729_0 {
	meta:
		name = "TCustomDBGrid.GetFields"
		size = 12
		refs = "0007 TGridDataLink.GetFields"
	strings:
		$1 = { 8B 80 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6730_0 {
	meta:
		name = "TCustomDBGrid.GetFieldValue"
		size = 44
		refs = "000c @LStrClr 0015 TCustomDBGrid.GetColField 0024 TField.GetDisplayText"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6731_0 {
	meta:
		name = "TCustomDBGrid.GetSelectedField"
		size = 44
		refs = "0007 TCustomDBGrid.GetSelectedIndex 001b TDBGridColumns.GetColumn 0020 TColumn.GetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 15 8B D6 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6732_0 {
	meta:
		name = "TCustomDBGrid.GetSelectedIndex"
		size = 12
		refs = "0007 TCustomDBGrid.RawToDataColumn"
	strings:
		$1 = { 8B 90 08 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6733_0 {
	meta:
		name = "TCustomDBGrid.HighlightCell"
		size = 191
		refs = "0013 TCustomDBGrid.HighlightCell 0058 TBookmarkList.Find 0078 @CallDynaInst 00a9 @LStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB F6 86 89 02 00 00 10 74 36 8B 86 98 02 00 00 80 78 15 00 74 2A 8D 55 F8 8B 86 98 02 00 00 8B 40 04 8B 40 24 8B 08 FF 91 C4 00 00 00 8B 55 F8 8D 4D FC 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 8B D8 84 DB 75 36 F6 45 08 01 74 2A F6 86 89 02 00 00 02 75 0F 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 12 80 BE 8C 02 00 00 00 74 0D F6 86 89 02 00 00 01 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6734_0 {
	meta:
		name = "ClearSelection"
		size = 50
		refs = "001f TBookmarkList.Clear"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC F6 80 89 02 00 00 10 74 1E 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 91 02 00 00 00 5D C3 }
	condition:
		$1
}

rule function_6735_0 {
	meta:
		name = "DoSelection"
		size = 402
		refs = "0017 DoSelection 002a TCustomDBGrid.BeginUpdate 009b TBookmarkList.CurrentRow 00ae @LStrAsg 00c1 TBookmarkList.SetCurrentRowSelected 00fe TBookmarkList.Compare 011f ClearSelection 0162 TCustomDBGrid.EndUpdate 0168 @HandleFinally 017f @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC F6 80 89 02 00 00 10 0F 84 D5 00 00 00 8B 45 08 8B 40 FC 8B 80 98 02 00 00 80 78 15 00 0F 84 BF 00 00 00 80 7D FF 00 0F 84 AB 00 00 00 8B 45 08 F6 40 FB 01 0F 84 9E 00 00 00 8B 45 08 8B 40 FC 80 B8 91 02 00 00 00 75 4B 8D 55 F8 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 05 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 91 02 00 00 01 B3 01 EB 4E 8B 45 08 8B 40 FC 8B B8 C8 02 00 00 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 8B 88 CC 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 F7 DA 3B C2 0F 95 C3 84 DB 75 15 33 D2 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B D6 8B 08 FF 51 40 84 DB 74 13 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6736_0 {
	meta:
		name = "NextRow"
		size = 188
		refs = "0014 TDataLink.GetDataSet 006b DoSelection 00b4 TDataSet.Append"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B F0 80 BE 8D 00 00 00 03 75 3C 80 BE 92 00 00 00 00 75 33 8B 45 08 8B 40 FC 8B 80 98 02 00 00 80 78 28 00 75 21 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 10 FF 52 34 84 C0 75 65 8B C6 8B 10 FF 92 AC 01 00 00 EB 11 8B 45 08 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 10 FF 52 34 84 C0 74 33 8B C6 8B 10 FF 92 CC 00 00 00 84 C0 74 25 8B 45 08 8B 40 FC 80 B8 7C 02 00 00 00 75 16 8B 45 08 8B 40 FC F6 80 88 02 00 00 01 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6737_0 {
	meta:
		name = "PriorRow"
		size = 114
		refs = "0014 TDataLink.GetDataSet 0069 DoSelection"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B F0 80 BE 8D 00 00 00 03 75 3C 80 BE 92 00 00 00 00 75 33 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 10 FF 52 34 84 C0 74 1E 8B 45 08 8B 40 FC 8B 80 98 02 00 00 80 78 28 00 75 0C 8B C6 8B 10 FF 92 AC 01 00 00 EB 0F 8B 45 08 50 83 CA FF 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6738_0 {
	meta:
		name = "Tab"
		size = 248
		refs = "001d TCustomDBGrid.BeginUpdate 0025 Tab 004c NextRow 0078 PriorRow 009d @TryFinallyExit 00ac TCustomGrid.GetTabStops 00c3 TCustomDBGrid.MoveCol 00e7 TCustomDBGrid.EndUpdate 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 8B 40 FC 8B B8 08 02 00 00 8B F7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 03 47 EB 01 4F 8B 45 08 8B 40 FC 3B B8 FC 01 00 00 7C 1B 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 0F B6 B8 8B 02 00 00 EB 38 8B 45 08 8B 40 FC 0F B6 80 8B 02 00 00 3B F8 7D 27 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B B8 FC 01 00 00 8B 45 08 8B 40 FC 0F B6 80 8B 02 00 00 2B F8 3B F7 75 07 E8 ?? ?? ?? ?? EB 50 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 84 77 FF FF FF 8B 45 08 8B 40 FC 33 C9 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 E9 5C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6739_0 {
	meta:
		name = "DeletePrompt"
		size = 152
		refs = "000a DeletePrompt 0021 TBookmarkList.GetCount 002c SDeleteMultipleRecordsQuestion 0031 LoadResString 003b SDeleteRecordQuestion 0062 MessageDlg 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 48 7E 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 80 89 02 00 00 04 74 1C 6A 00 66 8B 0D ?? ?? ?? ?? B2 03 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 0C 00 00 00 }
	condition:
		$1
}

rule function_6740_0 {
	meta:
		name = "TCustomDBGrid.KeyDown"
		size = 1143
		refs = "005c @CallDynaInst 0072 TDataLink.GetDataSet 009c ClearSelection 00b3 TCustomDBGrid.KeyDown 0145 TCustomDBGrid.MoveCol 016b TDataSet.First 0177 TDataSet.Last 0193 TDataSet.IsEmpty 01b3 DeletePrompt 01ca TBookmarkList.GetCount 01dc TBookmarkList.Delete 01e8 TDataSet.Delete 026e PriorRow 027c NextRow 0395 TCustomGrid.GetVisibleRowCount 0408 TDataSet.Insert 041f Tab 0427 SysLocale 0446 TGridDataLink.Reset 0461 TCustomGrid.HideEditor 046d TCustomGrid.SetEditorMode"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 88 4D FB 8B F2 89 45 FC 8B 45 FC 8B 90 B0 01 00 00 89 55 F0 8B 90 B4 01 00 00 89 55 F4 66 83 7D F2 00 74 0F 8A 45 FB 50 8B CE 8B 55 FC 8B 45 F4 FF 55 F0 8B 45 FC 8B 80 98 02 00 00 80 78 15 00 0F 84 23 04 00 00 66 8B 16 8A 4D FB 8B 45 FC 66 BB B6 FF E8 ?? ?? ?? ?? 84 C0 0F 84 09 04 00 00 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B D8 F6 45 FB 04 0F 84 6F 01 00 00 66 8B 06 83 C0 DF 66 83 E8 04 72 0C 66 83 E8 01 74 06 66 83 E8 02 75 07 55 E8 ?? ?? ?? ?? 59 0F B7 06 83 C0 DF 83 F8 0D 0F 87 C1 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 98 98 02 00 00 8B C3 8B 10 FF 52 28 8B D0 F7 DA 8B C3 8B 08 FF 51 40 E9 62 03 00 00 8B 45 FC 8B 98 98 02 00 00 8B C3 8B 10 FF 52 28 8B 53 0C 2B D0 4A 8B C3 8B 08 FF 51 40 E9 40 03 00 00 8B 45 FC 33 D2 8A 90 8B 02 00 00 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 23 03 00 00 8B 45 FC 8B 90 FC 01 00 00 4A 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? E9 09 03 00 00 8B C3 E8 ?? ?? ?? ?? E9 FD 02 00 00 8B C3 E8 ?? ?? ?? ?? E9 F1 02 00 00 8B 45 FC 80 B8 7C 02 00 00 00 0F 85 E1 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 D2 02 00 00 8B C3 8B 10 FF 92 CC 00 00 00 84 C0 0F 84 C0 02 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 B1 02 00 00 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 13 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? E9 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? E9 80 02 00 00 0F B7 06 83 F8 25 7F 46 0F 84 87 00 00 00 83 F8 22 7F 26 0F 84 80 01 00 00 83 E8 09 0F 84 FB 01 00 00 83 E8 12 0F 84 0A 02 00 00 83 E8 06 0F 84 89 01 00 00 E9 47 02 00 00 83 E8 23 0F 84 0D 01 00 00 48 0F 84 B6 00 00 00 E9 32 02 00 00 83 F8 28 7F 0F 74 32 83 E8 26 74 1F 48 74 6C E9 1E 02 00 00 83 E8 2D 0F 84 78 01 00 00 83 E8 44 0F 84 02 02 00 00 E9 07 02 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 E9 F9 01 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 E9 EB 01 00 00 8B 45 FC F6 80 89 02 00 00 01 74 0E 55 33 C0 E8 ?? ?? ?? ?? 59 E9 D1 01 00 00 8B 45 FC 8B 90 08 02 00 00 4A 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? E9 B7 01 00 00 8B 45 FC F6 80 89 02 00 00 01 74 0E 55 33 C0 E8 ?? ?? ?? ?? 59 E9 9D 01 00 00 8B 45 FC 8B 90 08 02 00 00 42 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 81 01 00 00 8B 55 FC 8B 92 FC 01 00 00 8B 45 FC 8A 80 8B 02 00 00 33 C9 8A C8 41 3B D1 74 0C 8B 55 FC F6 82 89 02 00 00 01 74 13 55 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? E9 47 01 00 00 33 D2 8A D0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 31 01 00 00 8B 45 FC 8B 80 FC 01 00 00 8B 55 FC 0F B6 92 8B 02 00 00 42 3B C2 74 0C 8B 55 FC F6 82 89 02 00 00 01 74 13 55 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? E9 FA 00 00 00 8B D0 4A 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? E9 E7 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 98 02 00 00 8B 08 FF 51 40 E9 C3 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B D0 F7 DA 8B 45 FC 8B 80 98 02 00 00 8B 08 FF 51 40 E9 9D 00 00 00 8B C3 8B 10 FF 92 CC 00 00 00 84 C0 0F 84 8B 00 00 00 8B 45 FC 80 B8 7C 02 00 00 00 75 7F 8B 45 FC F6 80 88 02 00 00 01 74 73 55 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? EB 63 F6 45 FB 02 75 5D 55 F6 45 FB 01 0F 95 C0 34 01 E8 ?? ?? ?? ?? 59 EB 4B A1 ?? ?? ?? ?? 66 83 78 04 12 75 0A 8B 45 FC C6 80 86 02 00 00 01 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 88 02 00 00 02 75 14 8B 45 FC E8 ?? ?? ?? ?? EB 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6741_0 {
	meta:
		name = "TCustomDBGrid.KeyPress"
		size = 50
		refs = "002b TCustomGrid.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 86 02 00 00 00 F6 83 88 02 00 00 02 75 10 80 3E 0D 75 0B 8B 83 98 02 00 00 8B 10 FF 52 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6742_0 {
	meta:
		name = "FieldIsMapped"
		size = 82
		refs = "0037 TGridDataLink.GetFields"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 00 85 FF 74 38 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 58 20 4B 85 DB 7C 24 43 33 F6 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B D6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 FF 01 EB 04 46 4B 75 DF 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6743_0 {
	meta:
		name = "CheckForPassthroughs"
		size = 140
		refs = "0015 TCollection.GetCount 0032 TDBGridColumns.GetColumn 0077 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 67 47 33 F6 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 3F 00 75 04 B3 01 EB 43 84 DB 74 3F 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 2A 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 3F 00 75 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DC EB 04 46 4F 75 9C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6744_0 {
	meta:
		name = "ResetColumnFieldBindings"
		size = 492
		refs = "0014 TDBGridColumns.GetState 0038 TGridDataLink.GetDefaultFields 004d TCollection.Clear 0060 TCollection.GetCount 007b TDBGridColumns.GetColumn 0084 TColumn.GetField 0098 FieldIsMapped 00a4 TObject.Free 00f4 TGridDataLink.GetFields 0175 TDBGridColumns.InternalAdd"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 8D 01 00 00 8B 45 08 8B 40 FC 8B 98 98 02 00 00 80 7B 15 00 75 21 8B 45 08 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? EB 5B 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 42 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 15 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 BE 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 58 20 85 DB 75 16 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 01 43 8B FB 4F 85 FF 0F 8C 04 01 00 00 47 33 F6 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 82 00 00 00 8B DE EB 01 43 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 3B D8 7D 1D 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 75 CD 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 3B D8 7D 17 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B D8 EB 32 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 8B 08 FF 51 20 EB 13 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 10 46 4F 0F 85 3A FF FF FF EB 39 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 21 47 33 DB 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 20 43 4F 75 E2 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6745_0 {
	meta:
		name = "MeasureTitleHeights"
		size = 692
		refs = "0012 MeasureTitleHeights 0023 TWinControl.HandleAllocated 0035 GetDC 0048 TCanvas.SetHandle 0070 TCanvas.SetFont 0086 TCanvas.TextHeight 00b0 TCustomGrid.SetDefaultRowHeight 00b7 GetSystemMetrics 00ea _DT_41 00ef @DynArraySetLength 0103 TCollection.GetCount 0124 TDBGridColumns.GetColumn 012c TColumnTitle.GetFont 0157 TColumn.Depth 0161 @DynArrayHigh 0199 TColumn.GetExpandable 01b9 Max 022f TCustomGrid.SetRowHeights 0257 TCanvas.GetHandle 025f ReleaseDC 0278 @HandleFinally 0295 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 34 01 88 45 F7 80 7D F7 00 74 1A 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 50 58 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 03 8B 55 08 8B 52 FC F6 82 88 02 00 00 40 74 0C 8B 55 08 8B 52 FC 03 82 24 02 00 00 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 6A 03 E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 8B 40 FC F6 80 88 02 00 00 04 0F 84 66 01 00 00 8B 45 08 8B 40 FC 0F B6 80 8A 02 00 00 40 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C B9 00 00 00 46 33 DB 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 E8 ?? ?? ?? ?? 3B F8 7F 5A 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 04 89 45 FC 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F8 3B 45 FC 7E 06 8B 45 F8 89 45 FC 8B 45 F0 8B 14 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 04 BA 43 4E 0F 85 4A FF FF FF 8B 45 F0 83 38 00 75 3B 8B 45 08 8B 40 FC 8B 90 78 02 00 00 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 04 8B 55 F0 89 02 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1A 46 33 DB 8B 45 F0 8B 0C 98 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 43 4E 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 2C 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 FF FF FF FF 02 00 00 00 57 67 00 00 }
	condition:
		$1
}

rule function_6746_0 {
	meta:
		name = "TCustomDBGrid.InternalLayout"
		size = 548
		refs = "001c TWinControl.HandleAllocated 0027 TWinControl.GetHandle 0031 KillMessage 0037 CheckForPassthroughs 0061 TGridDataLink.ClearMapping 0086 TDataLink.GetDataSet 00b4 ResetColumnFieldBindings 00c6 @CallDynaInst 00d3 TCollection.GetCount 00ec TDBGridColumns.GetColumn 00f1 TColumn.GetShowing 0113 TList.Add 0138 TCustomGrid.SetColCount 0149 TCustomGrid.SetFixedCols 01da TColumn.Depth 01fb TCustomDBGrid.UpdateRowCount 0201 MeasureTitleHeights 0213 TCustomDBGrid.UpdateActive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 7D FC 8B 07 F6 40 20 01 0F 85 05 02 00 00 8B 07 E8 ?? ?? ?? ?? 84 C0 74 11 8B 07 E8 ?? ?? ?? ?? BA 64 04 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 07 C6 80 8B 02 00 00 00 8B 07 F6 80 88 02 00 00 08 74 08 8B 07 FE 80 8B 02 00 00 8B 07 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 98 02 00 00 80 78 15 00 74 0A 8B 07 8B 10 FF 92 D8 00 00 00 8B 07 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 16 8B 07 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 99 00 00 00 00 75 04 33 C0 EB 02 B0 01 8B 17 88 82 E8 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 07 8B 80 C4 02 00 00 66 BB FF FF E8 ?? ?? ?? ?? 8B 07 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3D 46 33 DB 8B 07 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 07 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 07 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 43 4E 75 C6 8B 07 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 07 0F B6 80 8B 02 00 00 03 D0 8B 07 E8 ?? ?? ?? ?? 8B 07 33 D2 8A 90 8B 02 00 00 8B 07 E8 ?? ?? ?? ?? 8B 07 C6 80 8A 02 00 00 00 8B 07 F6 80 88 02 00 00 04 0F 84 93 00 00 00 8B 07 C6 80 8A 02 00 00 01 8B 07 8B 98 98 02 00 00 85 DB 74 7E 8B C3 E8 ?? ?? ?? ?? 85 C0 74 73 8B 07 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 99 00 00 00 00 74 5D 8B 07 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 49 46 33 DB 8B 07 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B 07 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 0F B6 92 8A 02 00 00 3B C2 7C 09 40 8B 17 88 82 8A 02 00 00 43 4E 75 BA 8B 07 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 07 8B 10 FF 92 EC 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 10 FF 52 78 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6747_0 {
	meta:
		name = "TCustomDBGrid.LayoutChanged"
		size = 23
		refs = "0006 TCustomDBGrid.AcquireLayoutLock 0011 TCustomDBGrid.EndLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6871_0 {
	meta:
		name = "TDBLookupCombo.DoSelectAll"
		size = 23
		refs = "0006 TDBLookupCombo.Editable 0011 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7569_0 {
	meta:
		name = "TDSTableProducer.LayoutChanged"
		size = 23
		refs = "0006 TDSTableProducer.AcquireLayoutLock 0011 TDSTableProducer.EndLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6748_0 {
	meta:
		name = "TCustomDBGrid.LinkActive"
		size = 198
		refs = "0018 TCustomGrid.HideEditor 0029 TBookmarkList.LinkActive 0031 TCustomDBGrid.LinkActive 0057 TComponent.GetComponentCount 0069 TComponent.GetComponent 0073 _DV_TCustomDBGrid 0078 @IsClass 008c TObject.Free 009a TCustomDBGrid.UpdateScrollBar 00b4 TCustomGrid.ShowEditor 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 55 FB 89 45 FC 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 02 00 00 8A 55 FB E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 33 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 80 BB 87 00 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 CD 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 14 8B 45 FC F6 80 88 02 00 00 02 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 93 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6749_0 {
	meta:
		name = "TCustomDBGrid.Loaded"
		size = 57
		refs = "0006 TControl.Loaded 0011 TCollection.GetCount 0029 TCustomGrid.SetColCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6750_0 {
	meta:
		name = "TCustomDBGrid.PtInExpandButton"
		size = 270
		refs = "0027 TCustomGrid.MouseCoord 0063 TCustomDBGrid.RawToDataColumn 006f TCollection.GetCount 0094 TDBGridColumns.GetColumn 00a0 TCustomDBGrid.CalcTitleRect 00ab @CallDynaInst 00b6 GetSystemMetrics 00d4 TColumn.GetExpandable 00e6 Point 00f5 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 33 C0 89 07 33 DB 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 8A 86 8A 02 00 00 3B 45 F4 0F 8E C7 00 00 00 8B 86 98 02 00 00 80 78 15 00 0F 84 B7 00 00 00 33 C0 8A 86 8B 02 00 00 3B 45 F0 0F 8F A6 00 00 00 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 50 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 0F 8D 87 00 00 00 57 8D 45 E0 50 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 11 6A 15 E8 ?? ?? ?? ?? 8B 55 E8 2B D0 89 55 E0 EB 0D 6A 15 E8 ?? ?? ?? ?? 03 45 E0 89 45 E8 8B 07 E8 ?? ?? ?? ?? 84 C0 74 21 8D 4D D8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 DB EB 02 B3 01 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6751_0 {
	meta:
		name = "TCustomDBGrid.MouseDown"
		size = 708
		refs = "001b TCustomDBGrid.AcquireFocus 0039 @CallDynaInst 004a TCustomGrid.Sizing 006b TCustomGrid.MouseDown 0080 TCustomGrid.MouseCoord 00e0 TControl.BeginDrag 00f5 TCustomDBGrid.PtInExpandButton 0101 TColumn.GetExpanded 010e TColumn.SetExpanded 0113 ReleaseCapture 011b TCustomGrid.UpdateDesigner 0181 TCustomDBGrid.BeginUpdate 0189 TCustomDBGrid.MouseDown 01a5 TCustomGrid.HideEditor 020e TCustomDBGrid.MoveCol 024d TBookmarkList.GetCurrentRowSelected 025a TBookmarkList.SetCurrentRowSelected 0264 TBookmarkList.Clear 0290 TCustomGrid.ShowEditor 029a TCustomGrid.InvalidateEditor 02af TCustomDBGrid.EndUpdate 02b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D FB 8B DA 89 45 FC 8B 75 08 8B 7D 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 94 02 00 00 F6 45 FB 40 74 15 84 DB 75 11 8B 45 FC 66 BB EB FF E8 ?? ?? ?? ?? E9 79 02 00 00 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 50 57 56 8A 4D FB 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 47 02 00 00 8D 45 F0 50 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 7D 1A 83 7D F4 00 7D 14 57 56 8A 4D FB 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 17 02 00 00 8B 45 FC 80 B8 87 00 00 00 01 75 39 8B 45 FC 0F B6 80 8B 02 00 00 3B 45 F0 7E 2A 8B 45 FC 0F B6 80 8A 02 00 00 3B 45 F4 7E 1B 8B 45 FC F6 40 20 10 75 12 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 D2 01 00 00 8D 45 EC 50 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 EC E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 97 01 00 00 8B 45 FC F6 40 20 10 75 0C 8B 45 FC F6 80 88 02 00 00 10 74 31 8B 45 FC 0F B6 80 8A 02 00 00 3B 45 F4 7E 22 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 50 57 56 8A 4D FB 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 51 01 00 00 8B 45 FC 8B 80 98 02 00 00 80 78 15 00 0F 84 3E 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B0 08 02 00 00 8B 45 FC 8B B8 0C 02 00 00 8B 55 FC 0F B6 92 8A 02 00 00 8B 45 F4 3B D0 7F 29 8B 55 FC 8B C8 2B 8A 0C 02 00 00 74 1C 8B 55 FC FF B2 0C 02 00 00 8B D0 58 2B D0 8B 45 FC 8B 80 98 02 00 00 8B 08 FF 51 40 8B 55 FC 0F B6 92 8B 02 00 00 8B 45 F0 3B D0 7F 0C 33 C9 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 89 02 00 00 10 74 54 8B 45 FC 8B 80 98 02 00 00 80 78 15 00 74 45 8B 45 FC 8B 80 C8 02 00 00 89 45 E8 8B 45 FC C6 80 91 02 00 00 00 F6 45 FB 04 74 17 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 45 E8 E8 ?? ?? ?? ?? EB 12 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? 84 DB 75 20 3B 75 F0 75 05 3B 7D F4 74 0C 8B 45 FC F6 80 88 02 00 00 02 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6752_0 {
	meta:
		name = "TCustomDBGrid.MouseUp"
		size = 269
		refs = "002b TCustomGrid.MouseUp 0053 TInplaceEdit.Visible 0063 Point 0077 TControl.GetBoundsRect 0080 PtInRect 0093 TCustomGrid.MouseCoord 00c3 TCustomDBGrid.RawToDataColumn 00d0 TDBGridColumns.GetColumn 00dd @CallDynaInst 00e6 TCustomDBGrid.GetSelectedIndex"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 88 4D FE 88 55 FF 8B F0 8B 7D 08 8B 5D 0C 8A 86 6E 02 00 00 88 45 F3 53 57 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 80 7D F3 02 0F 84 CB 00 00 00 80 7D F3 03 0F 84 C1 00 00 00 83 BE 5C 02 00 00 00 74 3C 8B 86 5C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 4D E8 8B D7 8B C3 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 55 D8 8B 86 5C 02 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 75 7C 8D 45 F4 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 75 67 33 C0 8A 86 8B 02 00 00 3B 45 F4 7F 5A 83 7D F8 00 7C 54 33 C0 8A 86 8A 02 00 00 3B 45 F8 7E 26 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB 9C FF E8 ?? ?? ?? ?? EB 21 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BB A3 FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6753_0 {
	meta:
		name = "TCustomDBGrid.MoveCol"
		size = 320
		refs = "006e TCustomGrid.GetColWidths 00cd TCustomDBGrid.MoveCol 00df @CallDynaInst 00fc @HandleFinally 0120 TCustomGrid.HideEditor 012b TCustomGrid.SetCol"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 55 F8 89 45 FC 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 50 8B 45 FC 8B 80 FC 01 00 00 3B 45 F8 7F 04 48 89 45 F8 8B 45 FC 0F B6 80 8B 02 00 00 3B 45 F8 7E 03 89 45 F8 85 DB 74 56 EB 03 01 5D F8 8B 45 FC 8B 80 FC 01 00 00 3B 45 F8 7E 1E 8B 45 FC 0F B6 80 8B 02 00 00 3B 45 F8 7F 0F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E D1 8B 45 FC 8B 80 FC 01 00 00 3B 45 F8 0F 8E B3 00 00 00 8B 45 FC 0F B6 80 8B 02 00 00 3B 45 F8 0F 8F A0 00 00 00 8B 45 FC 8B 80 08 02 00 00 89 45 F4 8B 45 F8 3B 45 F4 0F 84 88 00 00 00 8B 45 FC 80 B8 8E 02 00 00 00 75 51 8B 45 FC C6 80 8E 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB A1 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 8E 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 08 02 00 00 3B 45 F4 75 2B 8B 45 FC F6 80 88 02 00 00 02 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB A2 FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6754_0 {
	meta:
		name = "TCustomDBGrid.Notification"
		size = 391
		refs = "0018 TControl.Notification 0029 _Dn_TPopupMenu 002e @IsClass 0040 TCollection.GetCount 005e TDBGridColumns.GetColumn 007a TColumn.SetPopupMenu 009b TCustomDBGrid.GetDataSource 00a9 TCustomDBGrid.SetDataSource 00b6 _Dn_TField 00cf TCustomDBGrid.BeginLayout 00d7 TCustomDBGrid.Notification 0110 TColumn.GetField 0147 TDataLink.GetDataSet 015e TDataSet.ControlsDisabled 016a TCustomDBGrid.EndLayout 0174 TCustomDBGrid.DeferLayout 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 0F 85 5B 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8B 45 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 31 01 00 00 43 33 FF 8B 45 FC 8B 80 C0 02 00 00 8B D7 E8 ?? ?? ?? ?? 3B 70 30 75 17 8B 45 FC 8B 80 C0 02 00 00 8B D7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4B 75 D0 E9 F9 00 00 00 8B 45 FC 83 B8 98 02 00 00 00 0F 84 E9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 CE 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B9 00 00 00 C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 34 43 33 FF 8B 45 FC 8B 80 C0 02 00 00 8B D7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 3B F0 75 0E 33 D2 8B 45 F4 8B 08 FF 51 20 C6 45 FB 01 47 4B 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 33 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 21 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6755_0 {
	meta:
		name = "TCustomDBGrid.RecordChanged"
		size = 258
		refs = "0017 TCustomDBGrid.RecordChanged 0024 TWinControl.HandleAllocated 0046 TCollection.GetCount 005d TDBGridColumns.GetColumn 0062 TColumn.GetField 0070 TCustomDBGrid.DataToRawColumn 0079 TCustomGrid.InvalidateCol 0084 TCustomDBGrid.GetSelectedField 009f TField.GetEditText 00ad @LStrCmp 00b4 SysLocale 00cb TCustomGrid.InvalidateEditor 00da TInplaceEdit.Deselect 00ef @LStrClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AE 00 00 00 83 7D FC 00 75 09 8B C3 8B 10 FF 52 78 EB 42 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 30 47 33 F6 8B D6 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 75 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 D3 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7D FC 00 74 05 3B 75 FC 75 49 85 F6 74 45 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 93 BC 02 00 00 E8 ?? ?? ?? ?? 74 2B A1 ?? ?? ?? ?? 66 83 78 04 12 75 09 80 BB 86 02 00 00 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B 83 5C 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6756_0 {
	meta:
		name = "TCustomDBGrid.Scroll"
		size = 610
		refs = "0012 TWinControl.HandleAllocated 003f TCustomGrid.BoxRect 006e TCustomDBGrid.UpdateRowCount 0076 TCustomDBGrid.UpdateScrollBar 007e TCustomDBGrid.UpdateActive 00af TWinControl.GetHandle 00b5 ValidateRect 00c9 InvalidateRect 00ed TCustomGrid.HideEditor 00f5 TCustomDBGrid.Scroll 0103 TCustomGrid.GetVisibleRowCount 011d @TryFinallyExit 01d2 ScrollWindowEx 0238 TCustomGrid.ShowEditor 023e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 3D 02 00 00 8B 45 FC 8B 80 FC 01 00 00 48 50 8B 45 FC 8B 98 0C 02 00 00 53 8D 45 EC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 28 8B 55 FC 8B 92 2C 02 00 00 8B 4D FC 0F B6 89 8A 02 00 00 2B D1 3B C2 7C 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 48 50 8B 45 FC 8B 98 0C 02 00 00 53 8D 45 DC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 0F 84 5B 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 99 33 C2 2B C2 3B C8 7D 12 8B 45 FC 8B 10 FF 52 78 E8 ?? ?? ?? ?? E9 35 01 00 00 8B 45 FC 8B 98 14 02 00 00 8B 45 FC F6 80 88 02 00 00 40 74 09 8B 45 FC 03 98 24 02 00 00 8B 45 FC F6 80 88 02 00 00 08 74 39 8B 45 FC 8B 80 FC 01 00 00 48 50 8B 45 FC 8B B8 94 02 00 00 57 8D 45 EC 50 8B CF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 48 50 68 E8 03 00 00 8D 45 DC 50 8B 45 FC 33 C9 8A 88 8A 02 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8D 45 DC 50 8D 45 DC 50 F7 DB 0F AF DE 53 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC F6 80 88 02 00 00 08 74 39 8B 45 FC 8B 80 FC 01 00 00 48 50 8B 45 FC 8B 98 0C 02 00 00 53 8D 45 DC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC F6 80 88 02 00 00 02 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC 80 B8 8C 02 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 84 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6757_0 {
	meta:
		name = "TCustomDBGrid.SetColumns"
		size = 12
	strings:
		$1 = { 8B 80 C0 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_6758_0 {
	meta:
		name = "ReadOnlyField"
		size = 43
		refs = "001c TDataSet.FindField"
	strings:
		$1 = { 53 8A 58 31 84 DB 75 1F 80 78 32 02 75 19 B3 01 8B 50 24 85 D2 74 10 8B 40 54 92 E8 ?? ?? ?? ?? 85 C0 74 03 8A 58 31 8B C3 5B C3 }
	condition:
		$1
}

rule function_6759_0 {
	meta:
		name = "TCustomDBGrid.SetColumnAttributes"
		size = 205
		refs = "000d TCollection.GetCount 0028 TDBGridColumns.GetColumn 0031 TColumn.GetShowing 003c TColumn.GetReadOnly 0053 TColumn.GetField 0070 ReadOnlyField 008b TCustomGrid.SetTabStops 0092 TColumn.GetWidth 00a5 TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C 95 00 00 00 45 33 FF 8B D7 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 8B 86 98 02 00 00 80 78 15 00 74 28 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 80 78 32 01 74 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C9 EB 02 B1 01 33 D2 8A 96 8B 02 00 00 03 D7 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 8A 96 8B 02 00 00 03 D7 8B C6 E8 ?? ?? ?? ?? 47 4D 0F 85 6E FF FF FF F6 86 88 02 00 00 08 74 0E B9 0B 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6760_0 {
	meta:
		name = "TCustomDBGrid.SetDataSource"
		size = 76
		refs = "0018 TBookmarkList.Clear 0025 TDataLink.SetDataSource 0032 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 98 02 00 00 3B 70 04 74 38 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 8A 50 15 8B C3 8B 08 FF 91 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6761_0 {
	meta:
		name = "TCustomDBGrid.SetEditText"
		size = 25
		refs = "0010 @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 8D 83 BC 02 00 00 8B 55 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6762_0 {
	meta:
		name = "TCustomDBGrid.SetOptions"
		size = 272
		refs = "001d TCustomDBGrid.SetOptions 0090 TCustomGrid.SetOptions 00ad TBookmarkList.Clear"
	strings:
		$1 = { 53 56 51 66 89 14 24 8B F0 66 8B 04 24 66 3B 86 88 02 00 00 0F 84 DC 00 00 00 66 8B 1D ?? ?? ?? ?? F6 04 24 20 74 0B 66 A1 ?? ?? ?? ?? 66 0B C3 8B D8 F6 04 24 40 74 0B 66 A1 ?? ?? ?? ?? 66 0B C3 8B D8 F6 04 24 10 74 0B 66 A1 ?? ?? ?? ?? 66 0B C3 8B D8 F6 04 24 80 74 05 66 81 CB 00 08 F6 44 24 01 01 74 0F 66 81 CB 00 10 66 83 24 24 FD 66 83 24 24 FE F6 04 24 01 74 05 66 81 CB 00 04 F6 04 24 02 74 05 66 81 CB 00 20 8B D3 8B C6 E8 ?? ?? ?? ?? 66 8B 04 24 F7 D0 66 23 86 88 02 00 00 F6 C4 10 74 0B 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 66 8B 1C 24 66 23 9E 88 02 00 00 66 8B 04 24 66 0B 86 88 02 00 00 F7 D3 66 23 D8 66 8B 04 24 66 89 86 88 02 00 00 66 A1 ?? ?? ?? ?? 66 23 C3 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 0A 8B C6 8B 10 FF 92 E0 00 00 00 5A 5E 5B C3 00 00 00 00 00 00 05 00 00 00 0A 00 00 00 80 02 00 00 6F 03 00 00 }
	condition:
		$1
}

rule function_6763_0 {
	meta:
		name = "TCustomDBGrid.SetSelectedField"
		size = 84
		refs = "0013 TCollection.GetCount 002a TDBGridColumns.GetColumn 002f TColumn.GetField 003c TCustomDBGrid.DataToRawColumn 0047 TCustomDBGrid.MoveCol"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 85 ED 74 43 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 31 47 33 F6 8B D6 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 75 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 46 4F 75 D2 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6764_0 {
	meta:
		name = "TCustomDBGrid.SetSelectedIndex"
		size = 29
		refs = "000b TCustomDBGrid.DataToRawColumn 0016 TCustomDBGrid.MoveCol"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6765_0 {
	meta:
		name = "TCustomDBGrid.SetTitleFont"
		size = 35
	strings:
		$1 = { 56 8B F0 8B 86 78 02 00 00 8B 08 FF 51 08 F6 86 88 02 00 00 04 74 0A 8B C6 8B 10 FF 92 E0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6766_0 {
	meta:
		name = "TCustomDBGrid.StoreColumns"
		size = 21
		refs = "000a TDBGridColumns.GetState"
	strings:
		$1 = { 53 8B D8 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_6767_0 {
	meta:
		name = "TCustomDBGrid.TimedScroll"
		size = 120
		refs = "005c TCustomDBGrid.TimedScroll 006b TCustomGrid.TimedScroll"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 8B BB 98 02 00 00 80 7F 15 00 74 5A 8B F7 F6 04 24 04 74 17 8B C6 8B 10 FF 52 28 8B D0 F7 DA 4A 8B C7 8B 08 FF 51 40 80 24 24 FB F6 04 24 08 74 21 8B C6 8B 10 FF 52 38 50 8B C6 8B 10 FF 52 28 5A 2B D0 8B 83 98 02 00 00 8B 08 FF 51 40 80 24 24 F7 A0 ?? ?? ?? ?? 3A 04 24 74 0A 8A 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_6768_0 {
	meta:
		name = "TCustomDBGrid.TitleClick"
		size = 27
	strings:
		$1 = { 53 66 83 B8 EA 02 00 00 00 74 0E 8B D8 8B 83 EC 02 00 00 FF 93 E8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_6769_0 {
	meta:
		name = "TCustomDBGrid.TitleFontChanged"
		size = 48
		refs = "0017 TControl.SetParentFont"
	strings:
		$1 = { 56 8B F0 80 BE 90 02 00 00 00 75 0F F6 46 20 01 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? F6 86 88 02 00 00 04 74 0A 8B C6 8B 10 FF 92 E0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6770_0 {
	meta:
		name = "TCustomDBGrid.UpdateActive"
		size = 209
		refs = "000d TCustomDBGrid.UpdateActive 002a TWinControl.HandleAllocated 0063 TCustomGrid.HideEditor 0076 TCustomGrid.MoveColRow 007d TCustomGrid.InvalidateEditor 0084 TCustomDBGrid.GetSelectedField 0094 TField.GetEditText 00a2 @LStrCmp 00c0 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 98 02 00 00 80 78 15 00 0F 84 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7D F6 43 20 01 75 77 8B 83 98 02 00 00 8B 10 FF 52 28 8B F0 33 C0 8A 83 8A 02 00 00 03 F0 3B B3 0C 02 00 00 74 2A F6 83 88 02 00 00 02 75 07 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B CE 8B 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 21 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 93 BC 02 00 00 E8 ?? ?? ?? ?? 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6771_0 {
	meta:
		name = "TCustomDBGrid.UpdateData"
		size = 27
		refs = "0006 TCustomDBGrid.GetSelectedField 0015 TField.SetEditText"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 93 BC 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6772_0 {
	meta:
		name = "TCustomDBGrid.UpdateRowCount"
		size = 214
		refs = "0025 TCustomGrid.SetRowCount 0034 TCustomGrid.SetFixedRows 0052 TWinControl.HandleAllocated 007b TCustomGrid.GetVisibleRowCount 00b8 TCustomGrid.SetTopRow 00bf TCustomDBGrid.UpdateActive"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 2C 02 00 00 8B F8 8A 93 8A 02 00 00 33 C9 8A CA 3B C1 7F 0E 33 C0 8A C2 40 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8A 93 8A 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 98 02 00 00 80 7E 15 00 74 16 8B C6 8B 10 FF 52 38 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 33 D2 8A 93 8A 02 00 00 42 8B C3 E8 ?? ?? ?? ?? EB 57 BA E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 8B 08 FF 51 4C 8B C6 8B 10 FF 52 38 8B D0 33 C0 8A 83 8A 02 00 00 03 D0 8B C3 E8 ?? ?? ?? ?? F6 83 89 02 00 00 01 74 0D 8B 93 1C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B BB 2C 02 00 00 74 07 8B C3 8B 10 FF 52 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6773_0 {
	meta:
		name = "TCustomDBGrid.UpdateScrollBar"
		size = 323
		refs = "001b TWinControl.HandleAllocated 002e TDataLink.GetDataSet 0049 TWinControl.GetHandle 004f GetScrollInfo 007d TCustomGrid.GetVisibleRowCount 0138 SetScrollInfo"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B D8 8B 83 98 02 00 00 80 78 15 00 0F 84 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 15 01 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B F0 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 8D 74 24 04 8D 7C 24 20 B9 07 00 00 00 F3 A5 5E 8B C6 8B 10 FF 92 D8 01 00 00 84 C0 74 40 C7 44 24 24 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 2C 8B C6 8B 10 FF 92 F4 00 00 00 03 44 24 2C 48 89 44 24 28 8A 86 8D 00 00 00 2C 03 73 5C 8B C6 8B 10 FF 92 F8 00 00 00 89 44 24 30 EB 4C 33 C0 89 44 24 24 33 C0 89 44 24 2C C7 44 24 28 04 00 00 00 8B 83 98 02 00 00 8B 10 FF 52 2C 84 C0 74 08 33 C0 89 44 24 30 EB 21 8B 83 98 02 00 00 8B 10 FF 52 34 84 C0 74 0A C7 44 24 30 04 00 00 00 EB 08 C7 44 24 30 02 00 00 00 8B 44 24 24 3B 44 24 08 75 1E 8B 44 24 28 3B 44 24 0C 75 14 8B 44 24 2C 3B 44 24 10 75 0A 8B 44 24 30 3B 44 24 14 74 16 6A FF 8D 44 24 20 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6774_0 {
	meta:
		name = "TCustomDBGrid.ValidFieldIndex"
		size = 27
		refs = "000f TGridDataLink.GetMappedIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_6775_0 {
	meta:
		name = "TCustomDBGrid.CMParentFontChanged"
		size = 107
		refs = "000b TControl.CMParentFontChanged 0026 TCustomDBGrid.CMParentFontChanged 003a TCustomDBGrid.SetTitleFont 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 49 00 74 50 8B 45 FC C6 80 90 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 58 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 90 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 10 FF 92 E0 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_6776_0 {
	meta:
		name = "TCustomDBGrid.CMBiDiModeChanged"
		size = 100
		refs = "0009 TWinControl.CMBiDiModeChanged 0010 TComponent.GetComponentCount 0023 TComponent.GetComponent 0029 _DV_TCustomDBGrid 002e @IsClass 0046 @AsClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 44 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 68 24 85 ED 74 0A 8B C5 8A 53 4F 8B 08 FF 51 6C 46 4F 75 BF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6777_0 {
	meta:
		name = "TCustomDBGrid.CMExit"
		size = 167
		refs = "0010 TCustomDBGrid.CMExit 002a TDataLink.GetDataSet 007e @HandleAnyException 008e @RaiseAgain 0093 @DoneExcept 009d TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 02 00 00 80 78 15 00 74 4A E8 ?? ?? ?? ?? 8B 55 FC F6 82 89 02 00 00 08 74 2B 80 B8 8D 00 00 00 03 75 22 80 B8 92 00 00 00 00 75 19 8B 55 FC 8B 92 98 02 00 00 80 7A 28 00 75 0A 8B 10 FF 92 AC 01 00 00 EB 0E 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 50 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6778_0 {
	meta:
		name = "TCustomDBGrid.CMFontChanged"
		size = 122
		refs = "000d TCustomGrid.CMFontChanged 0015 TCustomDBGrid.BeginLayout 001d TCustomDBGrid.CMFontChanged 0031 TCollection.GetCount 004b TDBGridColumns.GetColumn 0050 TColumn.RefreshDefaultFont 0069 TCustomDBGrid.EndLayout 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 8B 45 FC 8B 80 C0 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6779_0 {
	meta:
		name = "TCustomDBGrid.CMDeferLayout"
		size = 32
		refs = "0006 TCustomDBGrid.AcquireLayoutLock 0011 TCustomDBGrid.EndLayout 001a TCustomDBGrid.DeferLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6780_0 {
	meta:
		name = "TCustomDBGrid.CMDesignHitTest"
		size = 153
		refs = "000c TCustomGrid.CMDesignHitTest 0026 TDBGridColumns.GetState 0035 TGridDataLink.GetDefaultFields 0086 TCustomDBGrid.PtInExpandButton"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 01 75 3A 83 BB 98 02 00 00 00 74 2A 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 22 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 83 98 02 00 00 80 78 15 00 75 07 33 C0 89 46 0C EB 45 83 7E 0C 00 75 3F 83 BB 98 02 00 00 00 74 36 8B 83 98 02 00 00 80 78 15 00 74 2A 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 3C 01 75 1B 54 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 C7 46 0C 01 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6781_0 {
	meta:
		name = "TCustomDBGrid.WMSetCursor"
		size = 126
		refs = "001c TDBGridColumns.GetState 002b TGridDataLink.GetDefaultFields 0055 TCustomGrid.Sizing 0065 LoadCursor 006b SetCursor 0077 TCustomGrid.WMSetCursor"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 10 74 33 83 BB 98 02 00 00 00 74 48 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 1B 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 2A 8B 83 98 02 00 00 80 78 15 00 74 1E 66 83 7E 08 01 75 2C 8B 8B 58 02 00 00 8B 93 54 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6782_0 {
	meta:
		name = "TCustomDBGrid.WMSize"
		size = 35
		refs = "0006 TCustomGrid.WMSize 0016 TCustomDBGrid.UpdateRowCount 001d TCustomDBGrid.InvalidateTitles"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 8C 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6783_0 {
	meta:
		name = "TCustomDBGrid.WMVScroll"
		size = 453
		refs = "000d TCustomDBGrid.AcquireFocus 002a TDataLink.GetDataSet 0040 TCustomDBGrid.WMVScroll 00ad TCustomGrid.GetVisibleRowCount 0101 TWinControl.GetHandle 0107 GetScrollInfo 0117 TDataSet.First 0131 TDataSet.Last"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A5 01 00 00 8B 83 98 02 00 00 80 78 15 00 0F 84 95 01 00 00 E8 ?? ?? ?? ?? 8B F0 0F BF 47 04 83 F8 07 0F 87 81 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B B3 98 02 00 00 8B C6 8B 10 FF 52 28 8B D0 F7 DA 4A 8B C6 8B 08 FF 51 40 E9 3C 01 00 00 8B B3 98 02 00 00 8B C6 8B 10 FF 52 38 50 8B 83 98 02 00 00 8B 10 FF 52 28 5A 2B D0 8B C6 8B 08 FF 51 40 E9 14 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B 83 98 02 00 00 8B 08 FF 51 40 E9 F9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 8B 08 FF 51 40 E9 E0 00 00 00 8B C6 8B 10 FF 92 D8 01 00 00 84 C0 74 5E C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 18 83 FB 01 7F 0C 8B C6 E8 ?? ?? ?? ?? E9 9E 00 00 00 8B C6 8B 10 FF 92 F4 00 00 00 3B D8 7C 0C 8B C6 E8 ?? ?? ?? ?? E9 84 00 00 00 8B 54 24 18 8B C6 8B 08 FF 91 44 01 00 00 EB 74 0F BF 47 06 83 F8 04 77 6B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 47 8B C3 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B 83 98 02 00 00 8B 08 FF 51 40 EB 2F 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 8B 08 FF 51 40 EB 19 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6784_0 {
	meta:
		name = "TCustomDBGrid.SetIme"
		size = 222
		refs = "000d TCustomDBGrid.SetIme 0018 SysLocale 0033 @LStrAsg 0046 TCustomDBGrid.GetSelectedIndex 0053 TDBGridColumns.GetColumn 005c TColumn.IsImeNameStored 006a TColumn.GetImeName 007f TColumn.IsImeModeStored 008a TColumn.GetImeMode 00cd @LStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 96 00 00 00 8D 83 4C 01 00 00 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 8A 83 84 02 00 00 88 83 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 88 83 48 01 00 00 83 BB 5C 02 00 00 00 74 1F 8B F3 8D 86 4C 01 00 00 8B 93 4C 01 00 00 E8 ?? ?? ?? ?? 8A 83 48 01 00 00 88 86 48 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6785_0 {
	meta:
		name = "TCustomDBGrid.UpdateIme"
		size = 52
		refs = "0004 SysLocale 0011 TCustomDBGrid.SetIme 001c SetImeName 0023 TWinControl.GetHandle 002e SetImeMode"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 74 24 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 93 48 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6787_0 {
	meta:
		name = "TCustomDBGrid.WMSetFocus"
		size = 49
		refs = "0014 TWinControl.GetHandle 0020 TCustomDBGrid.SetIme 0029 TCustomGrid.WMSetFocus"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 5C 02 00 00 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6788_0 {
	meta:
		name = "TCustomDBGrid.WMKillFocus"
		size = 111
		refs = "0008 SysLocale 0017 TCustomGrid.WMKillFocus 0025 Screen 002f @LStrAsg 0050 TWinControl.GetHandle 0067 ActivateKeyboardLayout"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 4E 8D 83 4C 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 2C E8 ?? ?? ?? ?? C6 83 48 01 00 00 03 8B D6 8B C3 E8 ?? ?? ?? ?? 8B BB 5C 02 00 00 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 12 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 40 30 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6789_0 {
	meta:
		name = "TCustomDBGrid.ExecuteAction"
		size = 46
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B BE 98 02 00 00 85 FF 74 11 8B D5 8B C7 66 BB FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6790_0 {
	meta:
		name = "TCustomDBGrid.UpdateAction"
		size = 46
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B BE 98 02 00 00 85 FF 74 11 8B D5 8B C7 66 BB FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6791_0 {
	meta:
		name = "TCustomDBGrid.ShowPopupEditor"
		size = 895
		refs = "0015 TColumn.GetField 002b _Dn_TDataSetField 0030 @IsClass 003f TComponent.GetComponentCount 0052 TComponent.GetComponent 0058 _DV_TCustomDBGrid 0075 TCustomDBGrid.GetDataSource 0098 @AsClass 009d TDataSetField.GetNestedDataSet 00ad TControl.Show 00c8 TObject.ClassType 00da TCustomDBGrid.ShowPopupEditor 00ea _Dn_TDataSource 00ef TDataSource.Create 0112 TDataSource.SetDataSet 011c TCustomDBGrid.SetDataSource 0127 TDBGridColumns.GetState 0137 TDBGridColumns.SetState 0147 TDBGridColumns.GetColumn 014e TColumn.SetExpanded 0158 TControl.SetVisible 0161 _Dn_TCustomDockForm 017e TCustomGrid.CellRect 018b TControl.ClientToScreen 01d2 TControl.ManualFloat 0204 Screen 020b TScreen.GetWidth 0223 TControl.SetClientWidth 0248 TControl.SetWidth 0254 TScreen.GetHeight 026b TControl.SetHeight 0275 TControl.SetAlign 028a TControl.SetColor 0298 TWinControl.SetCtl3D 02a4 TControl.SetCursor 02c3 TCustomGrid.SetFixedColor 02ce TControl.SetFont 02ff @LStrAsg 030e TCustomDBGrid.SetOptions 032e TControl.SetPopupMenu 033c TCustomDBGrid.SetTitleFont 0360 @HandleAnyException 0368 TObject.Free 036d @RaiseAgain 0372 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 55 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3A 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 7B 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5C 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 44 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 24 50 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3B D0 75 1B 8B 45 F4 8B 40 24 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 B4 00 00 00 E9 B5 02 00 00 47 4E 75 88 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 2C 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 C0 02 00 00 33 D2 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 89 90 A0 00 00 00 8D 45 CC 50 8B 8B 0C 02 00 00 8B 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8D 4D DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 81 7D F8 00 00 00 80 7E 06 8B 45 F8 89 45 E4 81 7D 08 00 00 00 80 7E 06 8B 45 08 89 45 E8 8B 43 38 03 45 E4 89 45 EC 8B 43 3C 03 45 E8 89 45 F0 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8A 53 4F 8B 45 F4 8B 40 24 8B 08 FF 51 6C 8D 45 CC 50 8B 45 F4 8B 90 FC 01 00 00 4A 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 7D D4 85 FF 7E 26 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 3B F8 7D 0F 8B 45 F4 8B 40 24 8B D7 E8 ?? ?? ?? ?? EB 23 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 85 D2 79 03 83 C2 03 C1 FA 02 8B 45 F4 8B 40 24 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 85 D2 79 03 83 C2 03 C1 FA 02 8B 45 F4 8B 40 24 E8 ?? ?? ?? ?? B2 05 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 87 00 00 00 01 8B 53 64 8B 45 F4 E8 ?? ?? ?? ?? 8A 93 2C 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 66 8B 53 6C 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B D0 8B 45 F4 8B 08 FF 51 60 8B 93 20 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 53 58 8B 45 F4 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8B 55 F4 89 82 44 01 00 00 8A 83 48 01 00 00 8B 55 F4 88 82 48 01 00 00 8B 45 F4 05 4C 01 00 00 8B 93 4C 01 00 00 E8 ?? ?? ?? ?? 66 8B 93 88 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 EB 03 8B 40 24 85 C0 74 06 83 78 70 00 74 F3 85 C0 74 0B 8B 50 70 8B 45 F4 E8 ?? ?? ?? ?? 8B 93 78 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6792_0 {
	meta:
		name = "TCustomDBGrid.CalcSizingState"
		size = 183
		refs = "002c TCustomGrid.CalcSizingState 0045 TDataLink.GetDataSet 006d TCustomGrid.MouseCoord 0077 TCustomDBGrid.RawToDataColumn 008c TCollection.GetCount 009d TDBGridColumns.GetColumn 00a2 TColumn.Depth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B 75 18 56 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 3E 03 75 79 83 BB 98 02 00 00 00 74 70 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 61 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 99 00 00 00 00 74 4D 8D 45 F4 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 7D F4 85 FF 7C 29 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 3B F8 7D 1A 8B D7 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 7E 03 C6 06 00 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_6793_0 {
	meta:
		name = "TCustomDBGrid.CheckColumnDrag"
		size = 402
		refs = "001c TCustomGrid.CheckColumnDrag 0034 TDataLink.GetDataSet 005f TColumn.Depth 007b TCustomDBGrid.RawToDataColumn 0088 TDBGridColumns.GetColumn 0094 TCustomDBGrid.ColumnAtDepth 009d TColumn.GetParentColumn 00c7 TCollectionItem.GetIndex 013c TCollection.GetCount 017d TCustomDBGrid.DataToRawColumn"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 59 01 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 46 01 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 99 00 00 00 00 0F 84 2E 01 00 00 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 00 3B 07 0F 84 13 01 00 00 8B 55 FC 8B 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 74 5E 8B 45 FC 8B 00 3B 07 7D 22 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 33 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 10 4F 8B D7 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 75 D8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 3B F8 7E 49 8B C6 E8 ?? ?? ?? ?? 8B F8 47 EB 01 47 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 3B F8 7D 1D 8B D7 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 3B F0 74 D3 8B D7 4A 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6794_0 {
	meta:
		name = "TCustomDBGrid.BeginColumnDrag"
		size = 189
		refs = "001c TCustomGrid.BeginColumnDrag 0034 TDataLink.GetDataSet 005c TCustomGrid.MouseCoord 006b TCustomDBGrid.RawToDataColumn 0078 TDBGridColumns.GetColumn 0084 TCustomDBGrid.ColumnAtDepth 0097 TCollectionItem.GetIndex 00a0 TCustomDBGrid.DataToRawColumn"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 84 00 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 75 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 99 00 00 00 00 74 61 8D 45 EC 50 8B 4F 04 8B 17 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 8B 16 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BB F0 02 00 00 85 FF 74 1D 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 3B 06 74 02 89 06 8B 06 8B 55 FC 89 02 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6795_0 {
	meta:
		name = "TCustomDBGrid.EndColumnDrag"
		size = 30
		refs = "000d TCustomGrid.EndColumnDrag"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 33 D2 89 93 F0 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6796_0 {
	meta:
		name = "TCustomDBGrid.InvalidateTitles"
		size = 128
		refs = "0009 TWinControl.HandleAllocated 002a TDataLink.GetDataSet 004d TCustomGrid.CalcFixedInfo 0063 Rect 0071 TWinControl.GetHandle 0077 InvalidateRect"
	strings:
		$1 = { 53 83 C4 98 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6A F6 83 88 02 00 00 04 74 61 83 BB 98 02 00 00 00 74 58 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 49 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 99 00 00 00 00 74 35 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 40 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 68 5B C3 }
	condition:
		$1
}

rule function_6800_0 {
	meta:
		name = "InputRequest"
		size = 138
		refs = "0010 Application 0019 _DV_TInputReqDialog 001e TCustomForm.Create 0029 InputRequest 0039 TInputReqDialog.SetCBInfo 005a TInputReqDialog.GetCBInfo 0076 TObject.Free 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 CC 00 00 00 8B 45 F8 83 B8 2C 02 00 00 01 75 11 8B D3 8B 45 F8 E8 ?? ?? ?? ?? C7 45 FC 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6801_0 {
	meta:
		name = "CreateRadioButton"
		size = 144
		refs = "0013 _Dn_TRadioButton 0018 TRadioButton.Create 002d TControl.SetTop 0039 TControl.SetLeft 0052 TControl.SetWidth 005b TControl.SetText 0074 TInputReqDialog.InputOptionsClick"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 53 3C 83 C2 02 0F AF D6 83 C2 07 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 CC 02 00 00 8B 50 38 83 EA 0A 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 89 73 0C 8B 45 08 8B 40 FC 89 83 08 01 00 00 C7 83 04 01 00 00 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 CC 02 00 00 8B C3 8B 08 FF 51 64 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6802_0 {
	meta:
		name = "TInputReqDialog.SetCBInfo"
		size = 276
		refs = "0018 TInputReqDialog.SetCBInfo 003d @LStrFromArray 004e TControl.SetText 0080 CreateRadioButton 00d7 TWinControl.GetControl 00dd _Dn_TWinControl 00e2 @AsClass 00ec TCustomForm.SetActiveControl 0101 @LStrClr 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 82 EC 02 00 00 8D 45 F4 8B 55 F8 83 C2 0A B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B 75 F8 0F BF 76 04 4E 85 F6 7C 31 46 33 FF 8B 5D F8 81 C3 8A 00 00 00 55 8D 45 F4 8B D3 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 59 47 81 C3 A0 00 00 00 4E 75 DB 8B 45 F8 66 8B 40 08 66 F7 D8 1B D2 F7 DA 8B 45 FC 8B 80 D0 02 00 00 8B 08 FF 91 BC 00 00 00 8B 5D F8 0F BF 5B 06 83 FB 01 7C 0B 8B 45 F8 0F BF 40 04 3B D8 7E 05 BB 01 00 00 00 8B D3 4A 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6803_0 {
	meta:
		name = "TInputReqDialog.GetCBInfo"
		size = 43
	strings:
		$1 = { 53 56 8B F2 8B D8 66 8B 83 F0 02 00 00 40 66 89 46 06 8B 83 D0 02 00 00 8B 10 FF 92 B8 00 00 00 F6 D8 1B C0 66 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_6804_0 {
	meta:
		name = "TInputReqDialog.InputOptionsClick"
		size = 153
		refs = "000f TInputReqDialog.InputOptionsClick 001d _Dn_TComponent 0022 @AsClass 0065 @LStrFromArray 0073 TControl.SetText 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 89 83 F0 02 00 00 8B B3 F0 02 00 00 85 F6 7C 3E 8B 83 EC 02 00 00 0F BF 40 04 3B F0 7D 30 8D 45 FC 8B D6 C1 E2 02 8D 14 92 8B 8B EC 02 00 00 8D 94 D1 AA 00 00 00 B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6805_0 {
	meta:
		name = "TInputReqClass.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 000c Session 001d TSession.GetActive 002c TObject.Free 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 00 74 1B A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6806_0 {
	meta:
		name = "TInputReqClass.RegisterCallback"
		size = 46
		refs = "0012 TInputReqClass.InputReqCallBack 001d _Dn_TBDECallback 0022 TBDECallback.Create"
	strings:
		$1 = { 53 8B D8 6A 00 6A 03 8D 43 04 50 68 0A 03 00 00 53 68 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 10 03 00 00 5B C3 }
	condition:
		$1
}

rule function_6807_0 {
	meta:
		name = "TInputReqClass.InputReqCallBack"
		size = 58
		refs = "000a TInputReqClass.InputReqCallBack 0017 InputRequest 0028 @HandleAnyException 002f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6810_0 {
	meta:
		name = "DBInpReq"
		size = 37
		refs = "0002 _DV_2 000c _DV_TInputReqClass 0011 TObject.Create 0016 InputReqClass 001b InitProc 0020 RegisterBDEInitProc"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6811_0 {
	meta:
		name = "LoginDialog"
		size = 269
		refs = "0018 LoginDialog 0024 Application 002d _DV_TLoginDialog 0032 TCustomForm.Create 0053 TControl.SetText 007d TCustomForm.SetActiveControl 009c TControl.GetText 00a6 @LStrAsg 00da TObject.Free 00e0 @HandleFinally 00f7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 CC 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? C6 45 FF 00 83 3B 00 75 11 8B 45 F8 8B 90 EC 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 CC 00 00 00 48 75 3A 8D 55 F4 8B 45 F8 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6812_0 {
	meta:
		name = "LoginDialogEx"
		size = 295
		refs = "0018 LoginDialogEx 0024 Application 002d _DV_TLoginDialog 0032 TCustomForm.Create 0053 TControl.SetText 0095 TCustomForm.SetActiveControl 00b4 TControl.GetText 00be @LStrAsg 00f2 TObject.Free 00f8 @HandleFinally 010f @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 CC 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? C6 45 FF 00 80 7D 08 00 74 12 8B 45 F8 8B 80 EC 02 00 00 33 D2 8B 08 FF 51 60 EB 16 83 3B 00 75 11 8B 45 F8 8B 90 EC 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 CC 00 00 00 48 75 3A 8D 55 F4 8B 45 F8 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6813_0 {
	meta:
		name = "RemoteLoginDialog"
		size = 445
		refs = "0018 RemoteLoginDialog 0024 Application 002d _DV_TLoginDialog 0032 TCustomForm.Create 004b SRemoteLogin 0050 LoadResString 005b TControl.SetText 006b TControl.SetVisible 00a8 TControl.SetHeight 00c5 TControl.SetTop 0126 TCustomForm.SetActiveControl 0145 TControl.GetText 014f @LStrAsg 0183 TObject.Free 0189 @HandleFinally 01a0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C8 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 CC 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E4 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C4 02 00 00 8B 50 3C 8B 4D F8 8B 89 C8 02 00 00 2B 51 34 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 D0 02 00 00 8B 50 34 8B 4D F8 8B 89 C8 02 00 00 2B 51 34 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 D4 02 00 00 8B 50 34 8B 4D F8 8B 89 C8 02 00 00 2B 51 34 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 3C 8B 45 F8 8B 80 C8 02 00 00 2B 50 34 8B 45 F8 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? C6 45 FF 00 83 3B 00 75 11 8B 45 F8 8B 90 EC 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 CC 00 00 00 48 75 3A 8D 55 F0 8B 45 F8 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6814_0 {
	meta:
		name = "TLoginDialog.FormShow"
		size = 70
		refs = "000b TControl.GetClientWidth 003f TControl.SetWidth"
	strings:
		$1 = { 53 56 8B D8 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B B3 CC 02 00 00 8B 56 38 03 56 30 3B C2 7F 24 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 02 00 00 2B 50 30 83 EA 05 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6817_0 {
	meta:
		name = "TDBLookupCombo.Create"
		size = 414
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0025 TCustomEdit.SetAutoSize 002c _Dn_TFieldDataLink 0031 TFieldDataLink.Create 0046 TDBLookupCombo.DataChange 0050 TDBLookupCombo.EditingChange 005a TDBLookupCombo.UpdateData 0064 TDBLookupCombo.FieldLinkActive 006d _Dn_TWinControl 0072 TWinControl.Create 0086 TControl.SetWidth 0096 TControl.SetHeight 00a3 TControl.SetVisible 00b9 _DV_TComboButton 00be TSpeedButton.Create 00ee LoadBitmap 00fa TSpeedButton.GetGlyph 0100 TBitmap.SetHandle 0127 _DV_TPopupGrid 012c TPopupGrid.Create 0166 TDBLookupCombo.GridClick 0189 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 38 C7 46 34 ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 89 5E 48 C7 46 44 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 02 00 00 BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B 83 20 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 20 02 00 00 8B 08 FF 51 64 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 02 00 00 8B 83 20 02 00 00 8B 50 38 52 8B 40 3C 50 33 C9 33 D2 8B C6 8B 30 FF 96 80 00 00 00 68 E2 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 93 20 02 00 00 8B 83 1C 02 00 00 8B 08 FF 51 64 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 02 00 00 89 9E 2C 03 00 00 8B D3 8B C6 8B 08 FF 51 64 33 D2 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 89 98 28 03 00 00 C7 80 24 03 00 00 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 08 02 00 00 08 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6818_0 {
	meta:
		name = "TDBLookupCombo.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 001a TObject.Free 002e TWinControl.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 14 02 00 00 33 D2 89 50 2C 89 50 30 E8 ?? ?? ?? ?? 33 C0 89 86 14 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6819_0 {
	meta:
		name = "TDBLookupCombo.Notification"
		size = 80
		refs = "0010 TControl.Notification 0025 TDBLookupCombo.GetDataSource 0032 TDBLookupCombo.SetDataSource 003b TDBLookupCombo.GetLookupSource 0048 TDBLookupCombo.SetLookupSource"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 33 83 BE 14 02 00 00 00 74 2A 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 14 8B C6 E8 ?? ?? ?? ?? 3B F8 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6820_0 {
	meta:
		name = "TDBLookupCombo.Editable"
		size = 47
	strings:
		$1 = { 8B 88 14 02 00 00 83 79 04 00 74 20 8B 90 18 02 00 00 8B 8A 08 03 00 00 3B 8A 04 03 00 00 75 09 80 B8 24 02 00 00 01 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_6821_0 {
	meta:
		name = "TDBLookupCombo.CanEdit"
		size = 46
		refs = "001e TDBLookupCombo.Editable"
	strings:
		$1 = { 53 8B D8 8B 83 14 02 00 00 83 78 04 00 74 1B 8B 83 14 02 00 00 80 78 28 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_6822_0 {
	meta:
		name = "TDBLookupCombo.KeyDown"
		size = 221
		refs = "0012 TWinControl.KeyDown 002b TDBLookupCombo.Editable 003a TFieldDataLink.Edit 0041 TDBLookupCombo.CanEdit 009d @CallDynaInst"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 66 8B 06 66 83 E8 08 74 09 83 C0 DB 66 83 E8 02 73 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 66 C7 06 00 00 EB 22 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 66 8B 06 83 C0 DD 66 83 E8 03 72 06 66 83 E8 01 75 05 66 C7 06 00 00 66 8B 06 83 C0 DF 66 83 E8 02 72 0C 66 83 E8 03 74 06 66 83 E8 02 75 4F 8B 83 18 02 00 00 80 78 47 00 75 0D 8B C3 66 BB B7 FF E8 ?? ?? ?? ?? EB 31 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 83 78 04 00 74 06 80 78 28 00 74 14 8B D6 8A 0C 24 8B 83 18 02 00 00 66 BB C1 FF E8 ?? ?? ?? ?? 66 C7 06 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6823_0 {
	meta:
		name = "TDBLookupCombo.KeyPress"
		size = 216
		refs = "000c TWinControl.KeyPress 003e TDBLookupCombo.Editable 004c MessageBeep 008d TFieldDataLink.Edit 0094 TDBLookupCombo.CanEdit 00b9 TFieldDataLink.Reset 00c6 @CallDynaInst 00cd TDBLookupCombo.DoSelectAll"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8A 07 04 E0 2C E0 73 38 8B 86 14 02 00 00 83 78 1C 00 74 2C 8A 17 8B 86 14 02 00 00 8B 40 1C 8B 08 FF 91 C0 00 00 00 84 C0 75 15 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A C6 07 00 6A 00 E8 ?? ?? ?? ?? 33 C0 8A 07 83 F8 18 7F 13 74 20 83 E8 08 74 1B 83 E8 05 74 3C 83 E8 09 74 11 EB 68 83 E8 1B 74 35 83 C0 FB 2D E0 00 00 00 73 59 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 86 14 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 38 C6 07 00 EB 33 C6 07 00 EB 2E 8B 86 18 02 00 00 80 78 47 00 75 0D 8B 86 14 02 00 00 E8 ?? ?? ?? ?? EB 0B 8B C6 66 BB B6 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 07 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6824_0 {
	meta:
		name = "TDBLookupCombo.Change"
		size = 29
		refs = "0010 TFieldDataLink.Modified 0017 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 8B 83 14 02 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6825_0 {
	meta:
		name = "TDBLookupCombo.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 14 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6826_0 {
	meta:
		name = "TDBLookupCombo.SetDataSource"
		size = 202
		refs = "000f TDBLookupCombo.SetDataSource 0020 TDBLookupCombo.GetLookupSource 002c SLookupSourceError 0031 LoadResString 003b _Dn_EInvalidOperation 0040 Exception.Create 0045 @RaiseExcept 0097 TDataLink.SetDataSource 00a4 TComponent.FreeNotification 00b9 @LStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2C 8B C6 E8 ?? ?? ?? ?? 3B D8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 41 8B C6 E8 ?? ?? ?? ?? 85 C0 74 36 83 7B 24 00 74 30 8B C6 E8 ?? ?? ?? ?? 8B 40 24 3B 43 24 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 14 02 00 00 E8 ?? ?? ?? ?? 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6828_0 {
	meta:
		name = "TDBLookupCombo.SetLookupSource"
		size = 166
		refs = "0010 TDBLookupCombo.SetLookupSource 0021 TDBLookupCombo.GetDataSource 0037 TDataLink.GetDataSet 0043 SLookupSourceError 0048 LoadResString 0052 _Dn_EInvalidOperation 0057 Exception.Create 005c @RaiseExcept 0069 TDBLookupList.SetLookupSource 0072 TDBLookupCombo.DataChange 007f TComponent.FreeNotification 0094 @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 42 8B C3 E8 ?? ?? ?? ?? 3B F0 74 16 8B 7E 24 85 FF 74 30 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6829_0 {
	meta:
		name = "TDBLookupCombo.SetLookupDisplay"
		size = 47
		refs = "000a TDBLookupList.SetLookupDisplay 0017 TDBLookupList.InitFields 0020 TDBLookupCombo.SetValue 0029 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B 83 18 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6830_0 {
	meta:
		name = "TDBLookupCombo.GetLookupDisplay"
		size = 28
		refs = "0015 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 18 02 00 00 8B 92 FC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6831_0 {
	meta:
		name = "TDBLookupCombo.SetLookupField"
		size = 38
		refs = "000a TDBLookupList.SetLookupField 0017 TDBLookupList.InitFields 0020 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B 83 18 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6832_0 {
	meta:
		name = "TDBLookupCombo.GetLookupField"
		size = 28
		refs = "0015 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 18 02 00 00 8B 92 00 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6833_0 {
	meta:
		name = "TDBLookupCombo.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 14 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6834_0 {
	meta:
		name = "TDBLookupCombo.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 14 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6835_0 {
	meta:
		name = "TDBLookupCombo.DataChange"
		size = 107
		refs = "000d TDBLookupCombo.DataChange 003a TDBLookupCombo.SetValue 0045 TControl.SetText 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 14 02 00 00 8B 70 1C 85 F6 74 1C F6 43 20 01 75 16 8D 55 FC 8B C6 8B 08 FF 51 58 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6836_0 {
	meta:
		name = "TDBLookupCombo.GetValue"
		size = 51
		refs = "0009 TDBLookupCombo.Editable 0016 TControl.GetText 002c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 18 02 00 00 8B 92 0C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6838_0 {
	meta:
		name = "TDBLookupCombo.SetDisplayValue"
		size = 72
		refs = "0016 @LStrCmp 002d TDBLookupList.SetDisplayValue 0040 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 18 02 00 00 8B 86 10 03 00 00 8B D7 E8 ?? ?? ?? ?? 74 28 8B 86 98 02 00 00 80 78 15 00 74 1C 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8B 90 10 03 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6839_0 {
	meta:
		name = "TDBLookupCombo.SetValue"
		size = 264
		refs = "0012 TDBLookupCombo.SetValue 003d TDBLookupCombo.GetDataSource 0046 TDBLookupCombo.GetLookupSource 0068 SLookupSourceError 006d LoadResString 0077 _Dn_EInvalidOperation 007c Exception.Create 0081 @RaiseExcept 0094 @LStrCmp 00a0 TControl.GetText 00c5 TDBLookupList.SetValue 00d8 TControl.SetText 00ed @LStrClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 02 00 00 8B 80 98 02 00 00 80 78 15 00 74 57 8B 83 14 02 00 00 80 78 15 00 74 4B 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 16 8B C3 E8 ?? ?? ?? ?? 8B 78 24 8B C3 E8 ?? ?? ?? ?? 3B 78 24 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8B 80 0C 03 00 00 8B D6 E8 ?? ?? ?? ?? 75 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 74 2C 8B 83 18 02 00 00 8B 90 98 02 00 00 80 7A 15 00 74 1A 8B D6 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8B 90 10 03 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6840_0 {
	meta:
		name = "TDBLookupCombo.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 14 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6841_0 {
	meta:
		name = "TDBLookupCombo.SetReadOnly"
		size = 35
		refs = "000a TDataLink.SetReadOnly 0011 TDBLookupCombo.CanEdit 001d TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 8B D8 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6842_0 {
	meta:
		name = "TDBLookupCombo.EditingChange"
		size = 24
		refs = "0006 TDBLookupCombo.CanEdit 0012 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6843_0 {
	meta:
		name = "TDBLookupCombo.UpdateData"
		size = 139
		refs = "000c TDBLookupCombo.UpdateData 0025 TDBLookupCombo.Editable 0033 TControl.GetText 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 14 02 00 00 83 78 1C 00 74 48 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 14 02 00 00 8B 40 1C 8B 08 FF 91 98 00 00 00 EB 1D 8B 83 18 02 00 00 8B 90 0C 03 00 00 8B 83 14 02 00 00 8B 40 1C 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6844_0 {
	meta:
		name = "TDBLookupCombo.FieldLinkActive"
		size = 57
		refs = "002a TDBLookupList.SetValue 0033 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B 83 14 02 00 00 80 78 15 00 74 28 8B 83 18 02 00 00 8B 80 98 02 00 00 80 78 15 00 74 16 33 D2 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6845_0 {
	meta:
		name = "TDBLookupCombo.WMCut"
		size = 51
		refs = "0009 TDBLookupCombo.Editable 0018 TFieldDataLink.Edit 001f TDBLookupCombo.CanEdit"
		altNames = "TDBLookupCombo.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_6847_0 {
	meta:
		name = "TDBLookupCombo.CreateParams"
		size = 26
		refs = "0006 TCustomEdit.CreateParams"
		altNames = "TSpinEdit.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 43 04 83 C8 04 0D 00 00 00 02 89 43 04 5B C3 }
	condition:
		$1
}

rule function_6848_0 {
	meta:
		name = "TDBLookupCombo.CreateWnd"
		size = 39
		refs = "0006 TCustomEdit.CreateWnd 000d TDBLookupCombo.SetEditRect 0018 TWinControl.HandleNeeded 0021 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6849_0 {
	meta:
		name = "TDBLookupCombo.SetEditRect"
		size = 73
		refs = "0009 TControl.GetClientHeight 003a TWinControl.GetHandle 0040 SendMessage"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 8B 83 20 02 00 00 8B 40 30 83 E8 02 89 44 24 08 33 C0 89 44 24 04 33 C0 89 04 24 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_6850_0 {
	meta:
		name = "TDBLookupCombo.WMSize"
		size = 201
		refs = "0007 TWinControl.WMSize 002c TDBLookupCombo.GetMinHeight 003a TControl.SetHeight 0042 NewStyleControls 0058 TControl.GetClientHeight 0060 TControl.GetClientWidth 00c2 TDBLookupCombo.SetEditRect"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 74 18 6A 0A 6A 0A 8B 4E 3C 41 33 D2 8B 86 18 02 00 00 8B 18 FF 93 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B 46 3C 7E 0C 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 A1 ?? ?? ?? ?? 80 38 00 74 2F 8B 86 1C 02 00 00 8B 58 38 53 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 2B D3 33 C9 8B 86 20 02 00 00 8B 18 FF 93 80 00 00 00 EB 31 8B 86 1C 02 00 00 8B 58 38 53 8B C6 E8 ?? ?? ?? ?? 48 50 8B C6 E8 ?? ?? ?? ?? 8B D0 2B D3 B9 01 00 00 00 8B 86 20 02 00 00 8B 18 FF 93 80 00 00 00 8B 86 20 02 00 00 8B 50 3C 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6851_0 {
	meta:
		name = "TDBLookupCombo.GetMinHeight"
		size = 124
		refs = "000b GetDC 0014 GetTextMetrics 001c TFont.GetHandle 0023 SelectObject 003f ReleaseDC 0065 GetSystemMetrics"
	strings:
		$1 = { 53 56 57 83 C4 90 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 38 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 38 3B C2 7E 02 8B C2 8B D8 85 DB 79 03 83 C3 03 C1 FB 02 89 9E 10 02 00 00 6A 06 E8 ?? ?? ?? ?? C1 E0 02 8B 54 24 38 03 D3 03 C2 40 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6852_0 {
	meta:
		name = "TDBLookupCombo.WMPaint"
		size = 555
		refs = "0018 TDBLookupCombo.WMPaint 0026 TDBLookupCombo.Editable 0035 TWinControl.WMPaint 004d _Dn_TControlCanvas 0052 TCanvas.Create 0067 TControlCanvas.SetControl 007d TWinControl.GetHandle 0083 BeginPaint 0092 TCanvas.SetHandle 00af GetFocus 00c8 TCanvas.SetFont 00e9 TBrush.SetColor 00f3 TCanvas.FrameRect 0100 InflateRect 010a TBrush.SetStyle 0122 TCanvas.FillRect 0164 TFont.SetColor 0179 TControl.GetText 0181 @LStrLen 0195 @LStrToPChar 01af TCanvas.GetHandle 01b5 ExtTextOut 01c3 TCanvas.DrawFocusRect 01fb EndPaint 0201 @HandleFinally 0218 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 C9 89 4D A0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 C9 01 00 00 8B 45 FC 83 B8 04 02 00 00 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 04 02 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 85 C0 75 12 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 04 02 00 00 92 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 94 C3 8B 45 FC 8B 50 58 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 04 02 00 00 8D 55 A4 8B 45 FC 8B 08 FF 51 44 8B 46 14 BA 06 00 00 80 E8 ?? ?? ?? ?? 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 A4 50 E8 ?? ?? ?? ?? 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 46 14 E8 ?? ?? ?? ?? 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 10 02 00 00 89 45 F4 83 45 A4 02 8B 55 FC 8B 92 20 02 00 00 8B 52 30 83 EA 02 89 55 AC 8B F8 84 DB 74 22 8B 46 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 46 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 83 45 A8 02 83 6D B0 02 6A 00 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 50 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 50 8D 45 A4 50 6A 06 8B 45 F4 50 57 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0A 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 04 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6854_0 {
	meta:
		name = "TDBLookupCombo.CMEnabledChanged"
		size = 32
		refs = "0006 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B D0 8B 83 1C 02 00 00 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_6855_0 {
	meta:
		name = "TDBLookupCombo.WMKillFocus"
		size = 23
		refs = "0006 TWinControl.WMKillFocus 0011 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB B6 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6856_0 {
	meta:
		name = "TDBLookupCombo.CMCancelMode"
		size = 43
		refs = "0025 @CallDynaInst"
	strings:
		$1 = { 53 8B 4A 08 3B C1 74 21 3B 88 20 02 00 00 74 19 3B 88 1C 02 00 00 74 11 3B 88 18 02 00 00 74 09 66 BB B6 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6857_0 {
	meta:
		name = "TDBLookupCombo.CMHintShow"
		size = 14
	strings:
		$1 = { 8B 80 18 02 00 00 0F B6 40 47 89 42 0C C3 }
	condition:
		$1
}

rule function_6858_0 {
	meta:
		name = "TDBLookupCombo.DropDown"
		size = 604
		refs = "0017 TDBLookupCombo.DropDown 0065 GetSystemMetrics 0081 NewStyleControls 009b TDBLookupCombo.GetOptions 00d1 TControl.SetHeight 0109 TControl.GetClientHeight 0124 Screen 012b TScreen.GetHeight 01b7 TWinControl.GetHandle 01bd SetWindowPos 01ee TDBLookupCombo.GetLookupField 01f6 @LStrLen 0204 TControl.GetText 0212 TDBLookupList.SetDisplayValue 021f TControl.SetVisible 022c SetFocus 0241 @LStrClr 024f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 02 00 00 80 78 47 00 0F 85 FF 01 00 00 83 7B 38 14 0F 8E F5 01 00 00 66 83 BB 2A 02 00 00 00 74 0E 8B D3 8B 83 2C 02 00 00 FF 93 28 02 00 00 8B B3 08 02 00 00 85 F6 75 05 BE 01 00 00 00 6A 05 E8 ?? ?? ?? ?? 89 45 EC 6A 06 E8 ?? ?? ?? ?? 89 45 E8 8D 55 F8 8B C3 8B 08 FF 51 40 A1 ?? ?? ?? ?? 80 38 00 74 0E 8B 45 EC 03 C0 29 45 F8 8B 45 E8 29 45 FC 8B C3 E8 ?? ?? ?? ?? A8 02 74 09 C7 45 F0 01 00 00 00 EB 05 33 C0 89 45 F0 8B 83 18 02 00 00 8B B8 14 02 00 00 03 7D F0 8B 90 1C 03 00 00 03 D6 0F AF FA 83 C7 02 8B D7 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8B 90 2C 02 00 00 3B F2 7E 17 8B F2 8B B8 14 02 00 00 03 7D F0 03 B0 1C 03 00 00 0F AF FE 83 C7 04 A1 ?? ?? ?? ?? 80 38 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 03 75 FC 8B 45 E8 8D 04 40 03 F0 EB 07 8B 75 FC 03 73 3C 4E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 14 37 3B C2 7D 33 8B 45 FC 8B F0 2B F7 46 85 F6 7D 27 8B 15 ?? ?? ?? ?? 80 3A 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 03 75 FC 8B 45 E8 8D 04 40 03 F0 EB 06 8B F0 03 73 3C 4E 8B 83 0C 02 00 00 89 45 F4 83 7D F4 00 75 20 A1 ?? ?? ?? ?? 80 38 00 74 0D 8B 45 EC 03 C0 03 43 38 89 45 F4 EB 09 8B 43 38 83 E8 04 89 45 F4 A1 ?? ?? ?? ?? 80 38 00 74 21 6A 10 57 8B 45 F4 50 56 8B 45 F8 50 6A 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 25 6A 10 57 8B 45 F4 50 56 8B 45 F8 03 43 38 2B 45 F4 50 6A 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 75 18 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 18 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6859_0 {
	meta:
		name = "TDBLookupCombo.CloseUp"
		size = 14
		refs = "0009 TControl.SetVisible"
	strings:
		$1 = { 33 D2 8B 80 18 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6860_0 {
	meta:
		name = "TDBLookupCombo.GridClick"
		size = 58
		refs = "000a TFieldDataLink.Edit 0021 TFieldDataLink.Modified 0034 TControl.SetText"
	strings:
		$1 = { 53 8B D8 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 83 78 04 00 74 06 80 78 28 00 74 18 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 8B 90 10 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6861_0 {
	meta:
		name = "TDBLookupCombo.SetStyle"
		size = 15
	strings:
		$1 = { 3A 90 24 02 00 00 74 06 88 90 24 02 00 00 C3 }
	condition:
		$1
}

rule function_6862_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonDown"
		size = 41
		refs = "0009 TDBLookupCombo.Editable 0016 TControl.WMLButtonDown 0022 TDBLookupCombo.NonEditMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6864_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonDblClk"
		size = 41
		refs = "0009 TDBLookupCombo.Editable 0016 TControl.WMLButtonDblClk 0022 TDBLookupCombo.NonEditMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6863_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonUp"
		size = 38
		refs = "0009 TDBLookupCombo.Editable 0016 TControl.SetMouseCapture 001f TControl.WMLButtonUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6865_0 {
	meta:
		name = "TDBLookupCombo.NonEditMouseDown"
		size = 131
		refs = "0014 TWinControl.GetHandle 001a HideCaret 0031 @CallDynaInst 0047 TControl.SetMouseCapture 006c KeysToShiftState"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 92 B4 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 86 18 02 00 00 80 78 47 00 74 0D 8B C6 66 BB B6 FF E8 ?? ?? ?? ?? EB 0B 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? F6 46 40 08 74 0C 66 8B 5E 44 66 83 CB 02 66 89 5E 44 0F BF 47 08 50 0F BF 47 0A 50 66 8B 47 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 66 BB DB FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6866_0 {
	meta:
		name = "MouseDragToGrid"
		size = 208
		refs = "002f TControl.ClientToScreen 005c TControl.GetClientWidth 006a TControl.GetClientHeight 007f MakeLong 008e TControl.Perform 009b TControl.ScreenToClient"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 8B DA 8B F8 80 7B 47 00 0F 84 AD 00 00 00 8B 45 FC 89 45 F4 8B 45 08 89 45 F8 8D 4D E4 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 8B 45 E8 89 45 F8 8D 55 EC 8B C3 8B 08 FF 51 40 8B 75 F4 3B 75 EC 7C 76 8B 45 F8 3B 45 F0 7C 6E 8B C3 E8 ?? ?? ?? ?? 03 45 EC 3B F0 7F 60 8B C3 E8 ?? ?? ?? ?? 03 45 F0 3B 45 F8 7C 51 66 8B 55 08 66 8B 45 FC E8 ?? ?? ?? ?? 50 33 C9 BA 02 02 00 00 8B C7 E8 ?? ?? ?? ?? 8D 4D E4 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 8B 45 E8 89 45 F8 66 8B 55 F8 66 8B 45 F4 E8 ?? ?? ?? ?? 50 33 C9 BA 01 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6867_0 {
	meta:
		name = "TDBLookupCombo.MouseMove"
		size = 89
		refs = "001a TControl.MouseMove 0027 TDBLookupCombo.Editable 0032 TWinControl.GetHandle 0038 GetCapture 004d MouseDragToGrid"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? F6 45 FF 08 74 2D 8B C3 E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 10 57 8B CE 8B 93 18 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6868_0 {
	meta:
		name = "TDBLookupCombo.WMSetFocus"
		size = 36
		refs = "0006 TWinControl.WMSetFocus 000d TDBLookupCombo.Editable 0018 TWinControl.GetHandle 001e HideCaret"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6869_0 {
	meta:
		name = "TDBLookupCombo.CMExit"
		size = 120
		refs = "0010 TDBLookupCombo.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 003b TDBLookupCombo.DoSelectAll 004b @RaiseAgain 0050 @DoneExcept 005a TWinControl.CMExit 0062 TDBLookupCombo.Editable"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 14 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC 8B 10 FF 52 78 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6870_0 {
	meta:
		name = "TDBLookupCombo.CMEnter"
		size = 58
		refs = "0018 TDBLookupCombo.DoSelectAll 0021 TCustomEdit.CMEnter 0028 TDBLookupCombo.Editable"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB F4 01 00 00 00 74 0D F6 43 44 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_6872_0 {
	meta:
		name = "TDBLookupCombo.SetOptions"
		size = 20
		refs = "000e TDBLookupList.SetOptions"
	strings:
		$1 = { 51 88 14 24 8A 14 24 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_6873_0 {
	meta:
		name = "TDBLookupCombo.GetOptions"
		size = 15
	strings:
		$1 = { 8B 80 18 02 00 00 8A 90 18 03 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_6874_0 {
	meta:
		name = "TDBLookupCombo.Loaded"
		size = 21
		refs = "0006 TControl.Loaded 000f TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6877_0 {
	meta:
		name = "TDBLookupList.CreateWnd"
		size = 21
		refs = "0006 TCustomDBGrid.CreateWnd 000f TDBLookupList.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6915_0 {
	meta:
		name = "TDBLookupList.Loaded"
		size = 21
		refs = "0006 TCustomDBGrid.Loaded 000f TDBLookupList.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6875_0 {
	meta:
		name = "TDBLookupList.Create"
		size = 200
		refs = "000e @ClassCreate 001c TCustomDBGrid.Create 0023 _Dn_TFieldDataLink 0028 TFieldDataLink.Create 003d TDBLookupList.DataChange 0047 TDBLookupList.UpdateData 0051 TDBLookupList.FieldLinkActive 0071 TDBLookupList.Create 0078 TCustomDBGrid.SetOptions 0081 TCustomGrid.SetFixedCols 008a TCustomGrid.SetFixedRows 0096 TControl.SetWidth 00a2 TControl.SetHeight 00af @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 02 00 00 89 5E 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 89 5E 40 C7 46 3C ?? ?? ?? ?? 89 5E 48 C7 46 44 ?? ?? ?? ?? 33 C0 89 83 1C 03 00 00 C6 83 F4 02 00 00 00 C7 83 14 03 00 00 FF FF FF FF 66 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 01 00 00 }
	condition:
		$1
}

rule function_6876_0 {
	meta:
		name = "TDBLookupList.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 001a TObject.Free 002e TCustomDBGrid.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F8 02 00 00 33 D2 89 50 2C 89 50 30 E8 ?? ?? ?? ?? 33 C0 89 86 F8 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6878_0 {
	meta:
		name = "TDBLookupList.Notification"
		size = 58
		refs = "0010 TCustomDBGrid.Notification 0025 TDBLookupList.GetDataSource 0032 TDBLookupList.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF F8 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6879_0 {
	meta:
		name = "TDBLookupList.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 F8 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_6880_0 {
	meta:
		name = "TDBLookupList.SetDataSource"
		size = 157
		refs = "0010 TDBLookupList.SetDataSource 0021 TDBLookupList.GetLookupSource 0037 TDataLink.GetDataSet 0043 SLookupSourceError 0048 LoadResString 0052 _Dn_EInvalidOperation 0057 Exception.Create 005c @RaiseExcept 0069 TDataLink.SetDataSource 0076 TComponent.FreeNotification 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 42 8B C6 E8 ?? ?? ?? ?? 3B D8 74 16 8B 7B 24 85 FF 74 30 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6882_0 {
	meta:
		name = "TDBLookupList.NewLayout"
		size = 44
		refs = "0008 TDBLookupList.InitFields 001d @LStrClr 0026 TDBLookupList.DataChange"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 8D 83 0C 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6883_0 {
	meta:
		name = "TDBLookupList.SetLookupSource"
		size = 210
		refs = "0010 TDBLookupList.SetLookupSource 0021 TDBLookupList.GetDataSource 0037 TDataLink.GetDataSet 0043 SLookupSourceError 0048 LoadResString 0052 _Dn_EInvalidOperation 0057 Exception.Create 005c @RaiseExcept 0071 _Dn_TTable 0076 TObject.InheritsFrom 0082 SLookupTableError 00a4 TCustomDBGrid.SetDataSource 00ab TDBLookupList.NewLayout 00c0 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 42 8B C6 E8 ?? ?? ?? ?? 3B D8 74 16 8B 7B 24 85 FF 74 30 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 3B 83 7B 24 00 74 35 8B 43 24 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6884_0 {
	meta:
		name = "TDBLookupList.SetLookupDisplay"
		size = 44
		refs = "000f @LStrCmp 001e @LStrAsg 0025 TDBLookupList.NewLayout"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 FC 02 00 00 E8 ?? ?? ?? ?? 74 14 8D 83 FC 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6885_0 {
	meta:
		name = "TDBLookupList.SetLookupField"
		size = 44
		refs = "000f @LStrCmp 001e @LStrAsg 0025 TDBLookupList.NewLayout"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 00 03 00 00 E8 ?? ?? ?? ?? 74 14 8D 83 00 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6886_0 {
	meta:
		name = "TDBLookupList.SetValue"
		size = 345
		refs = "0010 TDBLookupList.SetValue 0035 TDBLookupList.GetDataSource 003e TDBLookupList.GetLookupSource 0060 SLookupSourceError 0065 LoadResString 006f _Dn_EInvalidOperation 0074 Exception.Create 0079 @RaiseExcept 0086 @LStrCmp 00c0 @LStrAsg 00d1 TDBLookupList.DoLookup 0132 @LStrClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 98 02 00 00 80 78 15 00 74 57 8B 83 F8 02 00 00 80 78 15 00 74 4B 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 16 8B C3 E8 ?? ?? ?? ?? 8B 78 24 8B C3 E8 ?? ?? ?? ?? 3B 78 24 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 0C 03 00 00 8B D6 E8 ?? ?? ?? ?? 75 12 8B 83 0C 02 00 00 3B 83 1C 03 00 00 0F 85 98 00 00 00 8B 83 98 02 00 00 80 78 15 00 0F 84 88 00 00 00 83 BB 08 03 00 00 00 74 7F 8D 83 0C 03 00 00 8B D6 E8 ?? ?? ?? ?? C7 83 14 03 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 80 BB 20 03 00 00 00 74 2C 8B 83 08 03 00 00 3B 83 04 03 00 00 74 1E 8D 55 FC 8B 83 04 03 00 00 8B 08 FF 51 58 8B 55 FC 8D 83 10 03 00 00 E8 ?? ?? ?? ?? EB 2C 8B 83 08 03 00 00 3B 83 04 03 00 00 75 13 8D 83 10 03 00 00 8B 93 0C 03 00 00 E8 ?? ?? ?? ?? EB 0B 8D 83 10 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6887_0 {
	meta:
		name = "TDBLookupList.SetDisplayValue"
		size = 321
		refs = "0010 TDBLookupList.SetDisplayValue 0023 @LStrCmp 0073 TCustomDBGrid.GetDataSource 007c _Dn_TTable 0081 @IsClass 0096 TTable.SetKey 00ad TTable.GotoKey 00c0 @LStrAsg 00f5 @LStrClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 10 03 00 00 8B D6 E8 ?? ?? ?? ?? 75 12 8B 83 0C 02 00 00 3B 83 1C 03 00 00 0F 85 E3 00 00 00 C6 83 20 03 00 00 00 8B 83 98 02 00 00 80 78 15 00 0F 84 CC 00 00 00 83 BB 04 03 00 00 00 0F 84 BF 00 00 00 C7 83 14 03 00 00 FF FF FF FF C6 83 20 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B C3 E8 ?? ?? ?? ?? 8B 78 24 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 83 04 03 00 00 8B 08 FF 91 98 00 00 00 8B C7 E8 ?? ?? ?? ?? 88 83 20 03 00 00 8D 83 10 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B B3 08 03 00 00 3B B3 04 03 00 00 75 13 8D 83 0C 03 00 00 8B 93 10 03 00 00 E8 ?? ?? ?? ?? EB 39 80 BB 20 03 00 00 00 75 18 8D 83 10 03 00 00 E8 ?? ?? ?? ?? 8D 83 0C 03 00 00 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B C6 8B 08 FF 51 58 8B 55 FC 8D 83 0C 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6888_0 {
	meta:
		name = "TDBLookupList.DoLookup"
		size = 313
		refs = "0017 TDBLookupList.DoLookup 002b TWinControl.HandleAllocated 0047 TCustomDBGrid.GetDataSource 0050 _Dn_TTable 0055 @IsClass 006e TBDEDataSet.GetIndexFieldCount 007b TBDEDataSet.GetIndexField 0089 AnsiCompareText 0099 SLookupIndexError 009e LoadResString 00ba Format 00c4 _Dn_EInvalidOperation 00c9 Exception.Create 00ce @RaiseExcept 00de TTable.SetKey 00f9 TTable.GotoKey 010c TDataSet.First 0126 @LStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 87 20 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 D9 00 00 00 83 BF 0C 03 00 00 00 0F 84 CC 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 40 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AF 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 70 24 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 5C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 40 28 8B 97 00 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 41 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 87 00 03 00 00 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE 8D 00 00 00 04 74 35 8B C6 E8 ?? ?? ?? ?? 8B 97 0C 03 00 00 8B 87 08 03 00 00 8B 08 FF 91 98 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 88 9F 20 03 00 00 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6889_0 {
	meta:
		name = "TDBLookupList.GetDataField"
		size = 25
		refs = "0012 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F8 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6890_0 {
	meta:
		name = "TDBLookupList.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11126_0 {
	meta:
		name = "TChartEditForm.SelectedSeriesIndex"
		size = 12
		refs = "0007 TCustomListBox.GetItemIndex"
	strings:
		$1 = { 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6893_0 {
	meta:
		name = "TDBLookupList.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6891_0 {
	meta:
		name = "TDBLookupList.GetReadOnly"
		size = 10
	strings:
		$1 = { 8B 80 F8 02 00 00 8A 40 14 C3 }
	condition:
		$1
}

rule function_6892_0 {
	meta:
		name = "TDBLookupList.CanEdit"
		size = 24
	strings:
		$1 = { 8B 90 F8 02 00 00 83 7A 04 00 74 09 80 7A 28 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_6894_0 {
	meta:
		name = "TDBLookupList.DataChange"
		size = 107
		refs = "000d TDBLookupList.DataChange 003a TDBLookupList.SetValue 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F8 02 00 00 8B 70 1C 85 F6 74 1C F6 43 20 01 75 16 8D 55 FC 8B C6 8B 08 FF 51 58 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6895_0 {
	meta:
		name = "TDBLookupList.UpdateData"
		size = 33
	strings:
		$1 = { 56 8B 90 F8 02 00 00 8B 72 1C 85 F6 74 11 8B D6 8B 80 0C 03 00 00 92 8B 08 FF 91 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6896_0 {
	meta:
		name = "TDBLookupList.InitFields"
		size = 465
		refs = "001d TDBLookupList.InitFields 004e @LStrLen 0061 TDataLink.GetDataSet 0070 TDataSet.FindField 008e SFieldNotFound 0093 LoadResString 00bc Format 00c6 _Dn_EInvalidOperation 00cb Exception.Create 00d0 @RaiseExcept 0108 ExtractFieldName 01b1 @LStrClr 01be @LStrArrayClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D F4 89 4D F0 89 4D DC 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 83 04 03 00 00 33 C0 89 83 08 03 00 00 8B 83 98 02 00 00 80 78 15 00 0F 84 59 01 00 00 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 46 01 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 93 00 03 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 08 03 00 00 85 F6 0F 94 C0 22 45 FF 74 53 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 08 89 45 E0 C6 45 E4 0B 8B 83 00 03 00 00 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C7 00 00 00 85 F6 0F 84 BF 00 00 00 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 97 00 00 00 C7 45 F8 01 00 00 00 8D 4D F4 8D 55 F8 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 04 03 00 00 85 F6 0F 94 C0 22 45 FF 74 63 C7 45 F8 01 00 00 00 8D 45 F4 50 8B 43 08 89 45 E0 C6 45 E4 0B 8D 4D F0 8D 55 F8 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 E8 C6 45 EC 0B 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB 04 03 00 00 00 75 0C 8B 83 08 03 00 00 89 83 04 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6897_0 {
	meta:
		name = "TDBLookupList.DefineFieldMap"
		size = 173
		refs = "0012 TDBLookupList.DefineFieldMap 0021 TDBLookupList.InitFields 0035 @LStrLen 004d TGridDataLink.AddMapping 0069 ExtractFieldName 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB 08 03 00 00 00 74 5D 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 16 8B 83 08 03 00 00 8B 50 28 8B 83 98 02 00 00 E8 ?? ?? ?? ?? EB 38 C7 45 FC 01 00 00 00 EB 1F 8D 4D F8 8D 55 FC 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 3B 45 FC 7D D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6898_0 {
	meta:
		name = "TDBLookupList.SetColumnAttributes"
		size = 136
		refs = "000a TCustomDBGrid.SetColumnAttributes 0011 TCustomDBGrid.GetFieldCount 0045 TCustomGrid.GetColWidths 005e TControl.GetClientWidth 007e TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 69 33 C0 89 04 24 F6 83 18 03 00 00 01 74 07 C7 04 24 01 00 00 00 33 F6 8B BB FC 01 00 00 83 EF 02 85 FF 7C 15 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 03 F0 03 34 24 45 4F 75 EE 83 BB FC 01 00 00 01 74 0E 8B C3 E8 ?? ?? ?? ?? 83 E8 0F 3B F0 7D 19 8B C3 E8 ?? ?? ?? ?? 8B C8 2B CE 8B 93 FC 01 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6899_0 {
	meta:
		name = "TDBLookupList.WMSize"
		size = 22
		refs = "0006 TCustomDBGrid.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 EC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6900_0 {
	meta:
		name = "TDBLookupList.CanGridAcceptKey"
		size = 331
		refs = "0038 TFieldDataLink.Edit 0061 TCustomDBGrid.GetDataSource 00a0 TCustomGrid.SetRow 00cf TDBLookupList.DoLookup 00e2 TDataSet.First 0131 TCustomGrid.InvalidateRow 013c @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F4 88 4C 24 02 66 89 14 24 8B F0 B3 01 66 83 3C 24 2D 75 07 33 DB E9 22 01 00 00 66 8B 04 24 83 C0 DF 66 83 E8 08 0F 83 11 01 00 00 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 66 8B 04 24 83 C0 DB 66 83 E8 04 73 15 8B C6 8B 10 FF 92 F0 00 00 00 84 C0 75 07 33 DB E9 E4 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 D5 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 2E 00 0F 84 C4 00 00 00 8B BE 14 03 00 00 85 FF 7C 32 8B 86 98 02 00 00 8B 10 FF 52 28 3B F8 74 23 8B 96 14 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 96 14 03 00 00 8B 86 98 02 00 00 8B 08 FF 51 48 E9 88 00 00 00 83 BE 14 03 00 00 00 7D 7F 80 BE 20 03 00 00 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 6D 8B 86 98 02 00 00 8B 40 04 8B 40 24 E8 ?? ?? ?? ?? 8B 96 1C 03 00 00 8B C6 E8 ?? ?? ?? ?? 66 C7 04 24 00 00 8B 86 B0 01 00 00 89 44 24 04 8B 86 B4 01 00 00 89 44 24 08 66 83 7C 24 06 00 74 13 8A 44 24 02 50 8D 4C 24 04 8B D6 8B 44 24 0C FF 54 24 08 8B 96 1C 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB 9A FF E8 ?? ?? ?? ?? 33 DB 8B C3 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6901_0 {
	meta:
		name = "TDBLookupList.KeyDown"
		size = 144
		refs = "0014 TDBLookupList.KeyDown 0032 TCustomDBGrid.KeyDown 004f @HandleFinally 0087 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 21 03 00 00 01 8B 55 F8 8A 4D F7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 21 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 66 8B 00 83 C0 DF 66 83 E8 04 72 0C 66 83 E8 01 74 06 66 83 E8 02 75 1B 8B 45 FC 8B 10 FF 92 F0 00 00 00 84 C0 74 0C 8B 45 FC 66 BB 9A FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6902_0 {
	meta:
		name = "TDBLookupList.KeyPress"
		size = 58
		refs = "000b TCustomDBGrid.KeyPress 0022 TDataLink.Edit 0030 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 06 2C 1B 74 14 04 FB 2C E0 73 1C 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_6903_0 {
	meta:
		name = "TDBLookupList.MouseDown"
		size = 329
		refs = "001c TWinControl.CanFocus 003a ValidParentForm 004b TControl.SetMouseCapture 0061 @CallDynaInst 009b TCustomGrid.MouseCoord 00b1 TFieldDataLink.Edit 00c5 TWinControl.GetHandle 00cb SetTimer 00e5 TCustomGrid.InvalidateRow 00f9 TCustomGrid.SetRow"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D FF 8B DA 8B F0 8B 7D 0C F6 46 20 10 75 3B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 30 80 BE 78 01 00 00 00 74 27 8B C6 8B 10 FF 92 B4 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B B0 00 02 00 00 74 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E9 EC 00 00 00 F6 45 FF 40 74 10 8B C6 66 BB EB FF E8 ?? ?? ?? ?? E9 D6 00 00 00 84 DB 0F 85 A2 00 00 00 8B 86 98 02 00 00 83 78 04 00 0F 84 92 00 00 00 83 BE 04 03 00 00 00 0F 84 85 00 00 00 8D 45 F4 50 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 3B 86 1C 03 00 00 7C 6A 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? C6 86 6E 02 00 00 01 6A 00 6A 3C 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 86 14 03 00 00 03 86 1C 03 00 00 3B 45 F8 74 13 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 96 0C 02 00 00 2B 96 1C 03 00 00 8B 86 98 02 00 00 8B 08 FF 51 48 8B 86 B4 00 00 00 89 45 EC 8B 86 B8 00 00 00 89 45 F0 66 83 7D EE 00 74 13 8A 45 FF 50 57 8B 45 08 50 8B CB 8B D6 8B 45 F0 FF 55 EC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6904_0 {
	meta:
		name = "TDBLookupList.MouseMove"
		size = 76
		refs = "0014 TCustomGrid.MouseMove"
	strings:
		$1 = { 55 8B EC 51 53 88 55 FF 8B D8 8B 45 08 50 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 6E 02 00 00 01 75 25 8B 83 0C 02 00 00 3B 83 1C 03 00 00 7C 17 8B 93 0C 02 00 00 2B 93 1C 03 00 00 8B 83 98 02 00 00 8B 08 FF 51 48 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6905_0 {
	meta:
		name = "TDBLookupList.MouseUp"
		size = 89
		refs = "001f TCustomDBGrid.MouseUp 004e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F0 8A 9E 6E 02 00 00 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 2A 8B 96 1C 03 00 00 8B 86 0C 02 00 00 3B D0 7F 0F 2B C2 8B D0 8B 86 98 02 00 00 8B 08 FF 51 48 8B C6 66 BB 9A FF E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6906_0 {
	meta:
		name = "TDBLookupList.ListClick"
		size = 206
		refs = "000d TDBLookupList.ListClick 003b TFieldDataLink.Modified 0057 @LStrAsg 00bd @LStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 F0 00 00 00 84 C0 74 6F 83 BB 04 03 00 00 00 74 66 8B 83 F8 02 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 04 03 00 00 8B 08 FF 51 58 8B 55 FC 8D 83 10 03 00 00 E8 ?? ?? ?? ?? 8B B3 08 03 00 00 3B B3 04 03 00 00 74 1A 8D 55 FC 8B C6 8B 08 FF 51 58 8B 55 FC 8D 83 0C 03 00 00 E8 ?? ?? ?? ?? EB 11 8D 83 0C 03 00 00 8B 93 10 03 00 00 E8 ?? ?? ?? ?? 66 83 BB 26 03 00 00 00 74 0E 8B D3 8B 83 28 03 00 00 FF 93 24 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6907_0 {
	meta:
		name = "TDBLookupList.HighlightCell"
		size = 328
		refs = "0015 TDBLookupList.HighlightCell 00e8 @LStrCmp 011b @HandleFinally 0132 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 8B D9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 8B 80 98 02 00 00 80 78 15 00 0F 84 EB 00 00 00 8B 45 FC 83 B8 08 03 00 00 00 0F 84 DB 00 00 00 8B 45 FC 8B 10 FF 92 F0 00 00 00 84 C0 74 46 8B 45 FC 80 B8 6E 02 00 00 01 74 0C 8B 45 FC 80 B8 21 03 00 00 00 74 2E 8B 45 FC 8B 80 0C 02 00 00 8B 55 FC 8B 92 1C 03 00 00 03 D3 3B C2 0F 85 98 00 00 00 C6 45 FB 01 8B 45 FC 89 98 14 03 00 00 E9 86 00 00 00 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 28 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 02 00 00 8B D3 8B 08 FF 51 48 8D 55 F0 8B 45 FC 8B 80 08 03 00 00 8B 08 FF 51 58 8B 55 F0 8B 45 FC 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 75 0D C6 45 FB 01 8B 45 FC 89 98 14 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 55 F4 8B 08 FF 51 48 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6908_0 {
	meta:
		name = "TDBLookupList.Paint"
		size = 95
		refs = "0014 TCustomGrid.Paint 001f @CallDynaInst 0048 TCustomGrid.BoxRect 0055 TCanvas.DrawFocusRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 C7 86 14 03 00 00 FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 32 83 BE 14 03 00 00 FF 74 29 68 FF FF FF 7F 8B 9E 14 03 00 00 53 8D 44 24 08 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D4 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_6909_0 {
	meta:
		name = "TDBLookupList.Scroll"
		size = 58
		refs = "0018 TCustomGrid.GetVisibleRowCount 0033 TCustomDBGrid.Scroll"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 14 03 00 00 00 7C 1F 29 B3 14 03 00 00 8B C3 E8 ?? ?? ?? ?? 3B 83 14 03 00 00 7F 0A C7 83 14 03 00 00 FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6910_0 {
	meta:
		name = "TDBLookupList.LinkActive"
		size = 152
		refs = "000c TDBLookupList.LinkActive 0019 TCustomDBGrid.LinkActive 002c TDBLookupList.GetLookupSource 0037 _Dn_TTable 003c TObject.InheritsFrom 0048 SLookupTableError 004d LoadResString 0057 _Dn_EInvalidOperation 005c Exception.Create 0061 @RaiseExcept 006a TDBLookupList.SetValue 0073 TDBLookupList.DataChange 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 80 78 15 00 74 4E 8B C3 E8 ?? ?? ?? ?? 8B 40 24 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6911_0 {
	meta:
		name = "TDBLookupList.FieldLinkActive"
		size = 32
		refs = "001b TDBLookupList.DataChange"
	strings:
		$1 = { 8B 90 F8 02 00 00 80 7A 15 00 74 13 8B 90 98 02 00 00 80 7A 15 00 74 07 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6912_0 {
	meta:
		name = "TDBLookupList.CMEnter"
		size = 32
		refs = "0006 TWinControl.CMEnter 001a TCustomGrid.InvalidateRow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 14 03 00 00 83 F8 FF 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6913_0 {
	meta:
		name = "TDBLookupList.CMExit"
		size = 116
		refs = "0010 TDBLookupList.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TCustomDBGrid.CMExit 006a TCustomGrid.InvalidateRow"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 14 03 00 00 83 F8 FF 74 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6914_0 {
	meta:
		name = "TDBLookupList.SetOptions"
		size = 136
		refs = "0027 TDBLookupList.SetOptions 006d TCustomDBGrid.SetOptions"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 8A 04 24 3A 83 18 03 00 00 74 5E 8A 04 24 88 83 18 03 00 00 33 C0 89 83 1C 03 00 00 66 8B 35 ?? ?? ?? ?? F6 04 24 01 74 0B 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 02 74 0B 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 04 74 15 C7 83 1C 03 00 00 01 00 00 00 66 A1 ?? ?? ?? ?? 66 0B C6 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 01 00 00 20 00 00 00 40 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_6916_0 {
	meta:
		name = "TPopupGrid.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TDBLookupList.Create 0027 TWinControl.SetTabStop 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 F5 02 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6917_0 {
	meta:
		name = "TPopupGrid.CreateParams"
		size = 19
		refs = "0006 TCustomGrid.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? C7 43 24 00 08 00 00 5B C3 }
	condition:
		$1
}

rule function_6918_0 {
	meta:
		name = "TPopupGrid.CreateWnd"
		size = 72
		refs = "0006 TDBLookupList.CreateWnd 0015 TWinControl.GetHandle 001b SetParent 0035 CallWindowProc 0042 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 0F 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 07 8B C3 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 8B D3 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6919_0 {
	meta:
		name = "TPopupGrid.WMLButtonUp"
		size = 27
		refs = "0006 TControl.WMLButtonUp 0015 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 03 00 00 66 BB B6 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6920_0 {
	meta:
		name = "TPopupGrid.CanEdit"
		size = 30
	strings:
		$1 = { 8B 90 2C 03 00 00 8B 92 14 02 00 00 83 7A 04 00 74 09 80 7A 28 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_6921_0 {
	meta:
		name = "TPopupGrid.MouseDown"
		size = 57
		refs = "001a TFieldDataLink.Edit 002e TDBLookupList.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B 86 2C 03 00 00 8B 80 14 02 00 00 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6922_0 {
	meta:
		name = "TPopupGrid.LinkActive"
		size = 70
		refs = "000c TDBLookupList.LinkActive 002a TDBLookupList.InitFields 0033 TDBLookupList.SetValue 0040 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 83 7B 24 00 74 3B 8B C3 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 80 78 15 00 74 28 83 BB 08 03 00 00 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6924_0 {
	meta:
		name = "TComboButton.MouseDown"
		size = 155
		refs = "0023 TWinControl.GetHandle 0029 GetFocus 0035 TWinControl.CanFocus 0069 TSpeedButton.MouseDown 0084 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F8 8B 47 24 8B 70 24 8B 86 18 02 00 00 80 78 47 00 75 39 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 74 27 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C6 8B 10 FF 92 B4 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 3A 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 47 24 8B 40 24 8B 90 18 02 00 00 80 7A 47 00 74 0B 66 BB B6 FF E8 ?? ?? ?? ?? EB 09 66 BB B7 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6925_0 {
	meta:
		name = "TComboButton.MouseMove"
		size = 85
		refs = "001a TSpeedButton.MouseMove 0028 TWinControl.GetHandle 002e GetCapture 0049 MouseDragToGrid"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? F6 45 FF 08 74 29 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 16 57 8B 43 24 8B 40 24 8B 90 18 02 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6928_0 {
	meta:
		name = "TDataBindItem.Create"
		size = 121
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0024 _DV_TDataBindings 0029 @AsClass 0033 _Dn_TFieldDataLink 0038 TFieldDataLink.Create 0050 TDataBindItem.DataChange 005a TDataBindItem.UpdateData 0065 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 10 8B 47 0C 8B 40 18 89 46 24 89 7E 30 C7 46 2C ?? ?? ?? ?? 89 7E 40 C7 46 3C ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6929_0 {
	meta:
		name = "TDataBindItem.DataChange"
		size = 194
		refs = "0017 TDataBindItem.DataChange 0057 @OleVarFromVar 0060 Null 0065 @VarCmp 0075 TOleControl.SetProperty 0092 @HandleFinally 00a9 @VarClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 40 18 89 45 EC 8B 45 EC C6 80 54 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 43 10 8B 40 1C 8B 08 FF 51 5C 8D 55 DC 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8D 4D F0 8B 53 14 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC C6 80 54 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6930_0 {
	meta:
		name = "TDataBindItem.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 000f TObject.Free 0020 TCollectionItem.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6931_0 {
	meta:
		name = "TDataBindItem.GetDataField"
		size = 22
		refs = "000f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6932_0 {
	meta:
		name = "TDataBindItem.SetDataField"
		size = 22
		refs = "0007 TFieldDataLink.SetFieldName 0010 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6934_0 {
	meta:
		name = "TDataBindItem.UpdateData"
		size = 94
		refs = "0010 TDataBindItem.UpdateData 0027 TOleControl.GetProperty 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 43 0C 8B 40 18 8B 53 14 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 10 8B 40 1C 8B 08 FF 91 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6938_0 {
	meta:
		name = "TDataBindings.GetItemByDispID"
		size = 70
		refs = "0011 TCollection.GetCount 0024 TDataBindings.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 21 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B 68 14 75 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 89 04 24 43 4E 75 E2 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6942_0 {
	meta:
		name = "TDBOleControl.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TOleControl.Create 0020 _DV_TDataBindings 0025 TDataBindings.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 50 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6943_0 {
	meta:
		name = "TDBOleControl.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TOleControl.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6944_0 {
	meta:
		name = "TDBOleControl.Notification"
		size = 55
		refs = "0010 TControl.Notification 002f TDBOleControl.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1A 83 BF 58 02 00 00 00 74 11 3B B7 58 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6945_0 {
	meta:
		name = "SetItemValue"
		size = 141
		refs = "000d SetItemValue 0033 TOleControl.GetProperty 0051 TFieldDataLink.Edit 007d @VarClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 74 4C 8D 4D F0 8B 45 08 8B 40 FC 8B 50 14 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 10 85 C0 74 28 8B 55 08 83 78 1C 00 74 1F 8B 55 08 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 FC 8B 40 10 8B 40 1C 8B 08 FF 91 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_6946_0 {
	meta:
		name = "TDBOleControl.OnChanged"
		size = 192
		refs = "0012 TDBOleControl.OnChanged 004e TCollection.GetCount 0068 TDataBindings.GetItem 0071 SetItemValue 0089 TDataBindings.GetItemByDispID 00a2 @HandleAnyException 00a7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 B8 54 02 00 00 00 75 6F 8B 45 08 8A 40 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 59 83 7D 0C FF 75 38 8B 45 08 8B 80 50 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 3E 43 33 F6 8B 45 08 8B 80 50 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 FC 55 E8 ?? ?? ?? ?? 59 46 4B 75 E2 EB 1B 8B 45 08 8B 80 50 02 00 00 8B 55 0C E8 ?? ?? ?? ?? 89 45 FC 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 08 00 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6947_0 {
	meta:
		name = "TDBOleControl.OnRequestEdit"
		size = 105
		refs = "000f TDBOleControl.OnRequestEdit 002c TDataBindings.GetItemByDispID 003a TFieldDataLink.GetCanModify 0052 @HandleAnyException 005c @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 DB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 54 02 00 00 00 75 25 8B 80 50 02 00 00 8B 55 0C E8 ?? ?? ?? ?? 8B F0 85 F6 74 11 8B 46 10 E8 ?? ?? ?? ?? 84 C0 75 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6948_0 {
	meta:
		name = "TDBOleControl.SetDataSource"
		size = 148
		refs = "0015 TCollection.GetCount 002c TDataBindings.GetItem 0048 TCollection.Clear 007e TDataLink.SetDataSource 008b TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 F6 46 20 01 74 2F 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1D 43 33 FF 8B D7 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B 40 10 80 78 19 00 75 56 47 4B 75 E6 85 ED 75 0B 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 89 AE 58 02 00 00 85 ED 74 39 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 FF 8B D7 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B 40 10 8B D5 E8 ?? ?? ?? ?? 47 4B 75 E5 8B D6 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6951_0 {
	meta:
		name = "PasswordDialog"
		size = 108
		refs = "000b Application 0014 _DV_TPasswordDialog 0019 TCustomForm.Create 0024 PasswordDialog 0058 TObject.Free 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 98 E4 02 00 00 8B 45 F8 8B 10 FF 92 CC 00 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6952_0 {
	meta:
		name = "TPasswordDialog.EditChange"
		size = 134
		refs = "000d TPasswordDialog.EditChange 0021 TControl.GetText 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C3 8B D3 8B 86 CC 02 00 00 8B 08 FF 51 60 8B D3 8B 86 D0 02 00 00 8B 08 FF 51 60 84 DB 75 0D 80 BE E0 02 00 00 00 75 04 33 D2 EB 02 B2 01 8B 86 D8 02 00 00 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6953_0 {
	meta:
		name = "TPasswordDialog.AddButtonClick"
		size = 131
		refs = "000c TPasswordDialog.AddButtonClick 0020 TControl.GetText 0030 _Dn_TSession 0035 @AsClass 003b TSession.AddPassword 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 E4 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? C6 83 E0 02 00 00 01 8B 83 C8 02 00 00 8B 10 FF 92 D0 00 00 00 8B 83 C8 02 00 00 8B 10 FF 92 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6954_0 {
	meta:
		name = "TPasswordDialog.RemoveButtonClick"
		size = 124
		refs = "000c TPasswordDialog.RemoveButtonClick 0020 TControl.GetText 0030 _Dn_TSession 0035 @AsClass 003b TSession.RemovePassword 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 E4 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 10 FF 92 D0 00 00 00 8B 83 C8 02 00 00 8B 10 FF 92 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6955_0 {
	meta:
		name = "TPasswordDialog.RemoveAllButtonClick"
		size = 41
		refs = "000b _Dn_TSession 0010 @AsClass 0015 TSession.RemoveAllPasswords"
	strings:
		$1 = { 53 8B D8 8B 83 E4 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 10 FF 92 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6956_0 {
	meta:
		name = "TPasswordDialog.OKButtonClick"
		size = 96
		refs = "000c TPasswordDialog.OKButtonClick 0020 TControl.GetText 0030 _Dn_TSession 0035 @AsClass 003b TSession.AddPassword 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 E4 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6962_0 {
	meta:
		name = "_NF__4C3"
		size = 36
	strings:
		$1 = { 50 41 52 41 44 4F 58 00 44 42 41 53 45 00 00 00 46 4F 58 50 52 4F 00 00 41 53 43 49 49 44 52 56 00 00 00 00 }
	condition:
		$1
}

rule function_6964_0 {
	meta:
		name = "RegisterBDEInitProc"
		size = 43
		refs = "0005 BDEInitProcs 000f _Dn_TList 0014 TObject.Create 0025 TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15512_0 {
	meta:
		name = "AddProxy"
		size = 43
		refs = "0005 ProxyList 000f _Dn_TList 0014 TObject.Create 0025 TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6965_0 {
	meta:
		name = "CheckIndexOpen"
		size = 17
		refs = "000c DbiError"
	strings:
		$1 = { 66 85 C0 74 0B 66 3D 2C 27 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6966_0 {
	meta:
		name = "CreateAttribute"
		size = 79
		refs = "0010 TPacketAttribute 001a @New 0025 TList.Add 0032 @LStrAsg 003d @OleVarFromVar"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 8B D8 8B C3 8B D7 E8 ?? ?? ?? ?? 8D 43 04 8B 55 FC E8 ?? ?? ?? ?? 8A 45 08 88 43 14 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6967_0 {
	meta:
		name = "FreeTimer"
		size = 75
		refs = "0003 TimerID 000b GetTickCount 0011 StartTime 0017 SQLDelay 0028 KillTimer 003d Screen 0046 TScreen.SetCursor"
	strings:
		$1 = { 66 83 3D ?? ?? ?? ?? 00 74 40 E8 ?? ?? ?? ?? 2B 05 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 76 2D 0F B7 05 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? 00 00 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6968_0 {
	meta:
		name = "TimerCallBack"
		size = 12
		refs = "0004 FreeTimer"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_6969_0 {
	meta:
		name = "BdeCallBack"
		size = 29
		refs = "0011 TBDECallback.Invoke"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 0D 8B 4D 10 8B 55 08 E8 ?? ?? ?? ?? EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_6970_0 {
	meta:
		name = "DLLDetachCallBack"
		size = 28
		refs = "0004 Session 000d Sessions 0012 TSessionList.CloseAll"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? C6 40 45 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_6971_0 {
	meta:
		name = "TBDECallback.Create"
		size = 157
		refs = "000d @ClassCreate 0047 DbiGetCallBack 005a BdeCallBack 0071 DbiRegisterCallBack 0076 Check 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 20 89 4B 08 89 43 04 8B 55 1C 89 53 0C 8B 55 0C 89 53 24 8B 55 10 89 53 28 8D 53 1C 52 8D 53 14 52 8D 53 18 52 8D 53 10 52 8B 53 0C 52 50 E8 ?? ?? ?? ?? 83 7B 1C 00 0F 95 C0 34 01 0A 45 08 74 25 68 ?? ?? ?? ?? 8B 45 18 50 66 8B 45 14 50 53 8B 43 0C 50 8B 43 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 20 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_6972_0 {
	meta:
		name = "TBDECallback.Destroy"
		size = 170
		refs = "000a @BeforeDestruction 002a TBDECallback.Destroy 0060 DbiRegisterCallBack 006f @HandleAnyException 0074 @DoneExcept 009f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 78 20 00 74 78 8B 45 FC 83 78 1C 00 74 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 50 8B 45 FC 8B 40 14 50 8B 45 FC 66 8B 40 18 50 8B 45 FC 8B 40 10 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 6A 00 6A 00 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6973_0 {
	meta:
		name = "TBDECallback.Invoke"
		size = 45
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B 73 0C 75 0A 8B D7 8B 43 28 FF 53 24 EB 02 33 C0 83 7B 1C 00 74 09 57 8B 43 10 50 56 FF 53 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6974_0 {
	meta:
		name = "StrToOem"
		size = 57
		refs = "0009 @LStrLen 0012 @LStrSetLength 0024 @LStrToPChar 0032 CharToOem"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 15 8B 03 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6975_0 {
	meta:
		name = "AnsiToNative"
		size = 87
		refs = "0011 @LStrLen 0020 SysLocale 002f ByteType 0049 AnsiToNativeBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 89 45 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 3B 5D 08 7E 1C 8B 5D 08 A1 ?? ?? ?? ?? 80 78 08 00 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 01 75 01 4B C6 04 1E 00 85 DB 7E 0D 53 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6976_0 {
	meta:
		name = "NativeToAnsi"
		size = 51
		refs = "000d StrLen 001a @LStrFromPCharLen 002a NativeToAnsiBuf"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B E8 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 85 DB 7E 0C 53 8B 0F 8B D6 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6977_0 {
	meta:
		name = "AnsiToNativeBuf"
		size = 47
		refs = "001a DbiAnsiToNative 0024 CharToOemBuff"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 85 F6 7E 1B 85 C0 74 0F 8D 5D FC 53 56 52 51 50 E8 ?? ?? ?? ?? EB 08 56 51 52 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6978_0 {
	meta:
		name = "NativeToAnsiBuf"
		size = 47
		refs = "001a DbiNativeToAnsi 0024 OemToCharBuff"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 85 F6 7E 1B 85 C0 74 0F 8D 5D FC 53 56 52 51 50 E8 ?? ?? ?? ?? EB 08 56 51 52 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6979_0 {
	meta:
		name = "NativeCompareStr"
		size = 48
		refs = "0013 @LStrToPChar 0025 NativeCompareStrBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6981_0 {
	meta:
		name = "NativeCompareText"
		size = 48
		refs = "0013 @LStrToPChar 0025 NativeCompareTextBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6980_0 {
	meta:
		name = "NativeCompareStrBuf"
		size = 60
		refs = "001d OsLdStrnCmp 002d OsLdStrCmp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 7E 11 53 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F B7 C0 EB 0E 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F B7 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6982_0 {
	meta:
		name = "NativeCompareTextBuf"
		size = 60
		refs = "001d OsLdStrnCmpi 002d OsLdStrCmpi"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 7E 11 53 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F BF C0 EB 0E 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F BF C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6983_0 {
	meta:
		name = "IsDirectory"
		size = 75
		refs = "0024 LeadBytes 003b @LStrLen"
	strings:
		$1 = { 53 56 57 8B F0 B3 01 85 F6 74 3A BF 01 00 00 00 EB 26 8A 44 3E FF 8B D0 80 EA 3A 74 28 80 EA 22 74 23 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 05 83 C7 02 EB 01 47 8B C6 E8 ?? ?? ?? ?? 3B F8 7E CF 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6984_0 {
	meta:
		name = "IsStandardType"
		size = 84
		refs = "0004 IsStandardType 000b StrIComp"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 00 50 41 52 41 44 4F 58 00 44 42 41 53 45 00 00 00 46 4F 58 50 52 4F 00 00 }
	condition:
		$1
}

rule function_6985_0 {
	meta:
		name = "GetIntProp"
		size = 48
		refs = "001a DbiGetProp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 33 C0 89 44 24 04 54 6A 04 8D 44 24 0C 50 56 53 E8 ?? ?? ?? ?? 66 85 C0 75 06 8B 44 24 04 EB 02 33 C0 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6986_0 {
	meta:
		name = "SetBoolProp"
		size = 34
		refs = "0014 DbiSetProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 99 33 C2 2B C2 50 56 53 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6987_0 {
	meta:
		name = "StringListToParams"
		size = 364
		refs = "0020 StringListToParams 005c @LStrPos 006a @LStrLen 0092 @LStrCopy 00cc Format 00d7 @LStrLAsg 00ee StrToOem 010e @LStrSetLength 0128 @LStrArrayClr 0130 @LStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D EC 89 4D D0 89 4D CC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C A8 00 00 00 46 C7 45 F0 00 00 00 00 8D 4D F4 8B 55 F0 8B 45 FC 8B 18 FF 53 0C 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7C 75 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7D 69 8D 45 EC 50 8B 45 F8 8B 00 89 45 D4 C6 45 D8 0B 8D 45 D0 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D0 89 45 DC C6 45 E0 0B 8D 45 CC 50 8D 53 01 B9 FF 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 CC 89 45 E4 C6 45 E8 0B 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? FF 45 F0 4E 0F 85 60 FF FF FF 8D 55 EC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B D0 4A 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 FF FF FF FF 0A 00 00 00 25 73 25 73 3A 22 25 73 22 3B 00 00 }
	condition:
		$1
}

rule function_6989_0 {
	meta:
		name = "BDEcheck"
		size = 11
		refs = "0006 DbiError"
		altNames = "Check"
	strings:
		$1 = { 66 85 C0 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6990_0 {
	meta:
		name = "TDBError.Create"
		size = 85
		refs = "000d @ClassCreate 001b TList.Add 0034 @LStrFromPChar 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 8B 41 0C E8 ?? ?? ?? ?? 66 8B 45 10 66 89 46 04 8B 45 0C 89 46 08 8D 46 0C 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_6991_0 {
	meta:
		name = "TDBError.GetCategory"
		size = 9
	strings:
		$1 = { 66 8B 40 04 66 C1 E8 08 C3 }
	condition:
		$1
}

rule function_6992_0 {
	meta:
		name = "TDBError.GetSubCode"
		size = 6
	strings:
		$1 = { 8A 40 04 24 FF C3 }
	condition:
		$1
}

rule function_6993_0 {
	meta:
		name = "AddMessage"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 1D 8B 45 08 8B 40 FC 8B D3 8B 08 FF 51 50 40 75 0D 8B 45 08 8B 40 FC 8B D3 8B 08 FF 51 34 5B 5D C3 }
	condition:
		$1
}

rule function_6994_0 {
	meta:
		name = "GetErrorString"
		size = 109
		refs = "0018 GetErrorString 0028 DbiGetErrorString 0037 @LStrFromArray 0044 Trim 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 33 C9 89 8D 7C FF FF FF 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 80 52 50 E8 ?? ?? ?? ?? 8B C3 8D 55 80 B9 80 00 00 00 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6995_0 {
	meta:
		name = "EDBEngineError.Create"
		size = 733
		refs = "0022 @ClassCreate 0032 EDBEngineError.Create 003d FreeTimer 0044 _Dn_TList 0049 TObject.Create 0054 DefaultSession 0059 TSession.GetActive 0076 SInitError 007b LoadResString 009e Format 00af @LStrAsg 00bd @LStrToPChar 00c8 _DV_TDBError 00cd TDBError.Create 00e2 GetErrorString 0104 _Dn_TStringList 012c EDBEngineError.GetError 0134 AddMessage 014b DbiGetErrorEntry 01b6 @LStrFromArray 01c7 Trim 0213 @LStrLen 0228 @LStrCopy 023c SBDEError 028a TObject.Free 0290 @HandleFinally 02af @LStrArrayClr 02c5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 60 FF FF FF 53 56 57 33 DB 89 9D 6C FF FF FF 89 9D 68 FF FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 75 66 81 FE 01 2F 74 6E 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 0F B7 D6 89 95 60 FF FF FF C6 85 64 FF FF FF 00 8D 95 60 FF FF FF 33 C9 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 56 6A 00 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 01 00 00 56 6A 00 8D 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE C4 2E 74 14 55 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 59 BF 01 00 00 00 8D 85 70 FF FF FF 50 8D 45 F0 50 57 E8 ?? ?? ?? ?? 8B D8 66 85 DB 0F 84 83 00 00 00 66 81 FB 06 2A 74 7C 53 8B 45 F0 50 8D 85 70 FF FF FF 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 75 21 66 81 FE C4 2E 74 1A 55 8D 95 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 59 55 8D 85 68 FF FF FF 8D 95 70 FF FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 8D 95 6C FF FF FF E8 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 59 47 E9 61 FF FF FF 8D 95 6C FF FF FF 8B 45 FC 8B 08 FF 51 1C 8B 95 6C FF FF FF 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 74 29 8B 45 F8 83 C0 04 50 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B C8 83 E9 02 8B 45 F8 8B 40 04 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 4B 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 0F B7 D6 89 95 60 FF FF FF C6 85 64 FF FF FF 00 8D 95 60 FF FF FF 33 C9 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6996_0 {
	meta:
		name = "EDBEngineError.Destroy"
		size = 84
		refs = "0004 @BeforeDestruction 0022 TList.Get 0027 TObject.Free 0041 TObject.Destroy 004c @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 26 8B 78 08 4F 83 FF 00 7C 15 8B D7 8B 46 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 83 FF FF 75 EB 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6997_0 {
	meta:
		name = "EDBEngineError.GetError"
		size = 19
		refs = "000c TList.Get"
		altNames = "TComponentList.Get TPageAccess.GetObject TTabPageAccess.GetObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8152_0 {
	meta:
		name = "TComponentEditor.GetIComponent"
		size = 19
		refs = "000c MakeIComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17486_0 {
	meta:
		name = "TMemoStrings.GetTextStr"
		size = 19
		refs = "000c TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16228_0 {
	meta:
		name = "TPrinterSettings.GetPort"
		size = 19
		refs = "000c StrPas"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6998_0 {
	meta:
		name = "EDBEngineError.GetErrorCount"
		size = 7
		altNames = "TComponentList.GetCount TPageAccess.GetCount TStringSparseList.GetCount TTabPageAccess.GetCount TXtabQuery.getNProjectors"
	strings:
		$1 = { 8B 40 0C 8B 40 08 C3 }
	condition:
		$1
}

rule function_6999_0 {
	meta:
		name = "TSessionList.Create"
		size = 93
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TThreadList 0023 TThreadList.Create 002d _Dn_TBits 003a FCSect 003f InitializeCriticalSection 004a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7000_0 {
	meta:
		name = "TSessionList.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 000e TSessionList.CloseAll 0013 FCSect 0018 DeleteCriticalSection 0020 TObject.Free 0034 TObject.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7001_0 {
	meta:
		name = "TSessionList.AddSession"
		size = 88
		refs = "0011 TThreadList.LockList 0019 TSessionList.AddSession 0030 TList.Add 0048 TThreadList.UnlockList 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 08 00 75 04 C6 43 41 01 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_7002_0 {
	meta:
		name = "TSessionList.CloseAll"
		size = 102
		refs = "0010 TThreadList.LockList 001a TSessionList.CloseAll 0032 TList.Get 0037 TObject.Free 0055 TThreadList.UnlockList 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 4B 83 FB 00 7C 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7003_0 {
	meta:
		name = "TSessionList.GetCount"
		size = 79
		refs = "0010 TThreadList.LockList 0018 TSessionList.GetCount 003c TThreadList.UnlockList 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_7004_0 {
	meta:
		name = "TSessionList.GetCurrentSession"
		size = 153
		refs = "0013 TThreadList.LockList 001d TSessionList.GetCurrentSession 002c DbiGetCurrSession 0031 Check 0045 TList.Get 004a TSession.GetHandle 0060 @TryFinallyExit 0083 TThreadList.UnlockList 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 08 4E 85 F6 7C 2D 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F4 75 13 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? EB 29 43 4E 75 D6 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7005_0 {
	meta:
		name = "TSessionList.GetSession"
		size = 93
		refs = "0014 TThreadList.LockList 001e TSessionList.GetSession 002d TList.Get 0048 TThreadList.UnlockList 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7006_0 {
	meta:
		name = "TSessionList.GetSessionByName"
		size = 132
		refs = "0015 TSessionList.GetSessionByName 0025 Session 0030 TSessionList.FindSession 0040 SInvalidSessionName 0045 LoadResString 005b DatabaseErrorFmt 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 08 8B 35 ?? ?? ?? ?? EB 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 5D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7007_0 {
	meta:
		name = "TSessionList.FindSession"
		size = 157
		refs = "0016 Session 0026 TThreadList.LockList 0030 TSessionList.FindSession 004a TList.Get 005b AnsiCompareText 0064 @TryFinallyExit 0087 TThreadList.UnlockList 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 83 7D F8 00 75 0A A1 ?? ?? ?? ?? 89 45 F4 EB 74 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 2C 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 48 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 29 46 4B 75 D7 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7008_0 {
	meta:
		name = "TSessionList.GetSessionNames"
		size = 178
		refs = "0012 TStrings.BeginUpdate 001a TSessionList.GetSessionNames 0033 TThreadList.LockList 005c TList.Get 0083 TThreadList.UnlockList 0089 @HandleFinally 00a0 TStrings.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 40 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 48 8B 45 F8 8B 08 FF 51 34 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7009_0 {
	meta:
		name = "TSessionList.OpenSession"
		size = 56
		refs = "0007 TSessionList.FindSession 0016 _DV_TSession 001b TSession.Create 0026 TSession.SetSessionName 002f TSession.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 19 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_7010_0 {
	meta:
		name = "TSessionList.SetCurrentSession"
		size = 19
		refs = "0008 DbiSetCurrSession 000d Check"
	strings:
		$1 = { 53 8B DA 8B 43 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7011_0 {
	meta:
		name = "TSession.Create"
		size = 130
		refs = "000b @ClassCreate 001c TSession.ValidateAutoSession 0027 TComponent.Create 002e _Dn_TList 0033 TObject.Create 0054 Sessions 0059 TSessionList.AddSession 006e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 2C C6 47 40 01 C6 47 42 01 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 47 60 33 C0 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7012_0 {
	meta:
		name = "TSession.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 0010 TSession.SetActive 0015 Sessions 001f TThreadList.Remove 0027 TObject.Free 003b TComponent.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7013_0 {
	meta:
		name = "TSession.AddAlias"
		size = 44
		refs = "0013 TSession.GetConfigMode 0021 TSession.InternalAddAlias"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 50 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7014_0 {
	meta:
		name = "TSession.AddDriver"
		size = 271
		refs = "001b TSession.AddDriver 002b StringListToParams 0033 TSession.LockSession 0049 TSession.GetConfigMode 006c TSession.CheckConfigMode 0076 @LStrToPChar 0082 StrToOem 0092 DbiAddDriver 0097 Check 00af TSession.SetConfigMode 00b5 @HandleFinally 00cc TSession.UnlockSession 00e1 TSession.DBNotification 00f6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A FF 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 F3 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D F8 B2 06 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7015_0 {
	meta:
		name = "TSession.AddDatabase"
		size = 32
		refs = "000e TList.Add 0019 TSession.DBNotification"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 14 24 8B 43 28 E8 ?? ?? ?? ?? 8B CC B2 02 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_7016_0 {
	meta:
		name = "TSession.AddStandardAlias"
		size = 332
		refs = "0018 TSession.AddStandardAlias 0025 _Dn_TStringList 002a TObject.Create 0064 Format 00b8 TSession.AddAlias 00cd TObject.Free 00d3 @HandleFinally 00ea @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 89 7D F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 8B 45 08 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8B 45 FC 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 FF FF FF FF 04 00 00 00 50 41 54 48 00 00 00 00 FF FF FF FF 05 00 00 00 25 73 3D 25 73 00 00 00 FF FF FF FF 0E 00 00 00 44 45 46 41 55 4C 54 20 44 52 49 56 45 52 00 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_7017_0 {
	meta:
		name = "TSession.AddPassword"
		size = 101
		refs = "0010 TSession.LockSession 0018 TSession.AddPassword 0034 AnsiToNative 003a DbiAddPassword 003f Check 0054 TSession.UnlockSession 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 1D 6A 1F 8D 4D DC 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7018_0 {
	meta:
		name = "TSession.CallBDEInitProcs"
		size = 58
		refs = "0008 BDEInitProcs 0027 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F8 83 3D ?? ?? ?? ?? 00 74 26 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C7 FF D5 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7019_0 {
	meta:
		name = "TSession.CheckInactive"
		size = 89
		refs = "000c TSession.CheckInactive 0019 TSession.GetActive 0025 SSessionActive 002a LoadResString 0034 DatabaseError 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7020_0 {
	meta:
		name = "TSession.CheckConfigMode"
		size = 48
		refs = "0008 TSession.CheckConfigMode 001f TSession.SetConfigMode"
	strings:
		$1 = { 53 51 88 14 24 8B D8 A0 ?? ?? ?? ?? 3A 04 24 75 08 A0 ?? ?? ?? ?? 88 04 24 8A 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 00 00 07 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_7022_0 {
	meta:
		name = "TSession.CloseDatabase"
		size = 50
		refs = "001e TDatabase.Close 002d TObject.Free"
	strings:
		$1 = { 83 7A 38 00 74 03 FF 4A 38 83 7A 38 00 75 22 80 7A 2A 00 75 1C 80 7A 2B 00 75 09 8B C2 E8 ?? ?? ?? ?? EB 0D F6 42 20 08 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7023_0 {
	meta:
		name = "TSession.CloseDatabaseHandle"
		size = 86
		refs = "0024 TList.Get 003b AnsiCompareText 004c DbiCloseDatabase"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 04 24 8B 40 28 8B 70 08 4E 85 F6 7C 2F 46 33 ED 8B 04 24 8B 40 28 8B D5 E8 ?? ?? ?? ?? 8B D8 3B FB 74 15 83 7B 3C 00 74 0F 8B 57 50 8B 43 50 E8 ?? ?? ?? ?? 85 C0 74 0D 45 4E 75 D4 8D 47 3C 50 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7024_0 {
	meta:
		name = "TSession.DBLoginCallback"
		size = 504
		refs = "001b TSession.DBLoginCallback 005f @LStrFromArray 006a TSession.OpenDatabase 0092 TSession.CloseDatabase 00a5 _Dn_TStringList 00aa TObject.Create 00d9 TSession.GetAliasParams 00e9 TStrings.GetValue 00fe TObject.Free 0104 @HandleFinally 010e @LStrClr 012e LoginDialogEx 0148 AnsiToNative 0176 TSession.FindDatabase 019e @HandleAnyException 01aa @DoneExcept 01cc @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D F4 89 4D F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 04 00 00 00 89 55 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 83 78 4C 00 0F 85 15 01 00 00 8B 45 FC 80 78 46 00 75 4F 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 80 78 33 00 75 18 8B 40 3C 8B 55 E8 89 42 4C 8B 45 E8 C7 40 48 FF FF FF FF E9 07 01 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? C7 45 F8 02 00 00 00 E9 F1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D F0 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 20 6A 1F 8B 45 E8 8D 48 28 8B 45 FC 8B 40 30 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 48 EB 3D C7 45 F8 02 00 00 00 EB 34 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 15 8B 55 E8 8B 52 4C 3B 50 3C 75 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 F8 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 09 00 00 00 55 53 45 52 20 4E 41 4D 45 00 00 00 }
	condition:
		$1
}

rule function_7025_0 {
	meta:
		name = "TSession.DBNotification"
		size = 27
	strings:
		$1 = { 53 66 83 B8 C6 00 00 00 00 74 0E 8B D8 8B 83 C8 00 00 00 FF 93 C4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7026_0 {
	meta:
		name = "TSession.DeleteAlias"
		size = 29
		refs = "000b TSession.GetConfigMode 0016 TSession.InternalDeleteAlias"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7027_0 {
	meta:
		name = "TSession.DeleteDriver"
		size = 157
		refs = "0015 TSession.DeleteDriver 0028 TSession.DBNotification 0030 TSession.LockSession 004b StrToOem 0053 @LStrToPChar 005b DbiDeleteDriver 0070 TSession.UnlockSession 0076 @HandleFinally 008d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 07 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_7028_0 {
	meta:
		name = "TSession.DeleteConfigPath"
		size = 125
		refs = "0015 TSession.DeleteConfigPath 0032 Format 003a @LStrToPChar 0044 DbiCfgPosition 0051 DbiCfgDropRecord 0056 Check 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 53 6A 00 E8 ?? ?? ?? ?? 66 85 C0 75 0D 53 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7029_0 {
	meta:
		name = "TSession.DropConnections"
		size = 52
		refs = "0016 TList.Get 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 46 28 8B 58 08 4B 83 FB 00 7C 21 8B 46 28 8B D3 E8 ?? ?? ?? ?? 80 78 2B 00 74 0B 83 78 38 00 75 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DF 5E 5B C3 }
	condition:
		$1
}

rule function_7030_0 {
	meta:
		name = "TSession.FindDatabase"
		size = 77
		refs = "001e TList.Get 0037 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 28 8B 70 08 4E 85 F6 7C 2E 46 33 FF 8B 45 28 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7B 50 00 75 06 80 7B 2B 00 74 0F 8B 14 24 8B 43 50 E8 ?? ?? ?? ?? 85 C0 74 06 47 4E 75 D5 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7031_0 {
	meta:
		name = "TSession.DoFindDatabase"
		size = 104
		refs = "002b TList.Get 0047 AnsiCompareText 0059 TSession.FindDatabase"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 83 7C 24 04 00 74 3C 8B 47 28 8B 70 08 4E 85 F6 7C 31 46 33 ED 8B 47 28 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 43 04 3B 44 24 04 75 15 80 7B 33 00 74 0F 8B 14 24 8B 43 50 E8 ?? ?? ?? ?? 85 C0 74 10 45 4E 75 D2 8B 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7032_0 {
	meta:
		name = "TSession.FindDatabaseHandle"
		size = 80
		refs = "001e TList.Get 0031 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 28 8B 70 08 4E 85 F6 7C 33 46 33 FF 8B 45 28 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7B 3C 00 74 1A 8B 14 24 8B 43 50 E8 ?? ?? ?? ?? 85 C0 75 0B 80 7B 33 00 74 05 8B 43 3C EB 06 47 4E 75 D0 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7034_0 {
	meta:
		name = "TSession.GetAliasDriverName"
		size = 261
		refs = "001e TSession.GetAliasDriverName 002c TSession.LockSession 004e StrToOem 0059 @LStrToPChar 005f DbiGetDatabaseDesc 0071 SInvalidAliasName 0076 LoadResString 0098 DatabaseErrorFmt 00ad TSession.UnlockSession 00b3 @HandleFinally 00cc OemToChar 00dc @LStrFromArray 00f4 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 84 FE FF FF 53 33 DB 89 9D 8C FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 93 FE FF FF 50 8D 95 8C FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 8C FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 74 34 6A 00 8D 95 8C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 8C FE FF FF 50 89 9D 84 FE FF FF C6 85 88 FE FF FF 0B 8D 95 84 FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 04 C6 45 F7 00 8D 45 D8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 8C FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7035_0 {
	meta:
		name = "TSession.GetAliasNames"
		size = 323
		refs = "001b TSession.GetAliasNames 0029 TStrings.BeginUpdate 0047 TSession.LockSession 005e DbiOpenDatabaseList 0063 Check 0078 TSession.UnlockSession 007e @HandleFinally 00a3 OemToChar 00b9 @LStrFromArray 00db DbiGetNextRecord 00f6 DbiCloseCursor 0113 TStrings.EndUpdate 0133 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 88 FE FF FF 33 C9 89 8D 88 FE FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 37 8D 85 8F FE FF FF 50 8D 85 8F FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 88 FE FF FF 8D 95 8F FE FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 95 88 FE FF FF 8B 45 F8 8B 08 FF 51 34 6A 00 8D 85 8F FE FF FF 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 66 85 C0 74 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 88 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_7036_0 {
	meta:
		name = "TSession.GetAliasParams"
		size = 456
		refs = "001e TSession.GetAliasParams 002c TStrings.BeginUpdate 0051 StrPLCopy 005e CharToOem 0066 TSession.LockSession 0084 DbiGetDatabaseDesc 0089 Check 009e TSession.UnlockSession 00a4 @HandleFinally 00bd StrIComp 00d8 @LStrFromArray 00eb TSession.GetConfigParams 00fa TStrings.SetValue 013b TStrings.EndUpdate 015b @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 6C FE FF FF 53 33 DB 89 9D 6C FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8D 45 D8 B9 1F 00 00 00 8B D3 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 73 FE FF FF 50 8D 45 D8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D D7 00 74 04 C6 45 D7 00 BA ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 85 C0 75 3B 8B 45 F8 50 8D 85 6C FE FF FF 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 8D 6C FE FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 2A 8B 45 F8 50 8D 85 6C FE FF FF 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 8D 6C FE FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 53 54 41 4E 44 41 52 44 00 00 00 00 FF FF FF FF 15 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 5C 44 42 20 49 4E 46 4F 00 00 00 FF FF FF FF 04 00 00 00 54 59 50 45 00 00 00 00 FF FF FF FF 15 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 5C 44 42 20 4F 50 45 4E 00 00 00 }
	condition:
		$1
}

rule function_7037_0 {
	meta:
		name = "TSession.GetConfigParams"
		size = 384
		refs = "001e TSession.GetConfigParams 002c TSession.LockSession 0061 Format 006c @LStrToPChar 0078 DbiOpenCfgInfoList 007d Check 0092 TSession.UnlockSession 0098 @HandleFinally 00bd OemToChar 0121 DbiGetNextRecord 013c DbiCloseCursor 015c @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 B8 FE FF FF 53 56 33 DB 89 9D D0 FE FF FF 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 85 D0 FE FF FF 50 89 B5 C8 FE FF FF C6 85 CC FE FF FF 0B 8D 95 C8 FE FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF E8 ?? ?? ?? ?? 50 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 63 8D 85 76 FF FF FF 50 8D 85 76 FF FF FF 50 E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF 50 8D 85 D4 FE FF FF 89 85 B8 FE FF FF C6 85 BC FE FF FF 06 8D 85 76 FF FF FF 89 85 C0 FE FF FF C6 85 C4 FE FF FF 06 8D 95 B8 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D0 FE FF FF 8B 45 08 8B 08 FF 51 34 6A 00 8D 85 D4 FE FF FF 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 66 85 C0 74 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 05 00 00 00 25 73 3D 25 73 00 00 00 }
	condition:
		$1
}

rule function_7038_0 {
	meta:
		name = "TSession.GetDatabase"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7039_0 {
	meta:
		name = "TSession.GetDatabaseCount"
		size = 7
	strings:
		$1 = { 8B 40 28 8B 40 08 C3 }
	condition:
		$1
}

rule function_7040_0 {
	meta:
		name = "TSession.GetDatabaseNames"
		size = 171
		refs = "0012 _Dn_TStringList 0017 TObject.Create 0022 TSession.GetDatabaseNames 0032 TStringList.SetSorted 003d TSession.GetAliasNames 005b TList.Get 0065 IsDirectory 0098 TObject.Free 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B 70 08 4E 85 F6 7C 2D 46 33 FF 8B 45 FC 8B 40 28 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 50 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 53 50 8B 45 F4 8B 08 FF 51 34 47 4E 75 D6 8B 55 F4 8B 45 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7041_0 {
	meta:
		name = "TSession.GetDriverNames"
		size = 344
		refs = "0015 TSession.GetDriverNames 0023 TStrings.BeginUpdate 004e TSession.LockSession 0065 DbiOpenDriverList 006a Check 007f TSession.UnlockSession 0085 @HandleFinally 009f IsStandardType 00b0 OemToChar 00c0 @LStrFromArray 00dc DbiGetNextRecord 00f7 DbiCloseCursor 0114 TStrings.EndUpdate 0131 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 33 C9 89 4D D0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 34 8D 45 D4 E8 ?? ?? ?? ?? 84 C0 75 28 8D 45 D4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 8D 45 D0 8D 55 D4 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 08 FF 51 34 6A 00 8D 45 D4 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 66 85 C0 74 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_7042_0 {
	meta:
		name = "TSession.GetDriverParams"
		size = 504
		refs = "0018 TSession.GetDriverParams 0026 TStrings.BeginUpdate 0048 CompareText 006f Format 00fc StrToOem 010b TSession.GetConfigParams 0120 TStrings.EndUpdate 0126 @HandleFinally 013d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 85 9E 00 00 00 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 0B B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 0B B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 34 EB 1D 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 FF FF FF FF 04 00 00 00 50 41 54 48 00 00 00 00 FF FF FF FF 03 00 00 00 25 73 3D 00 FF FF FF FF 0E 00 00 00 44 45 46 41 55 4C 54 20 44 52 49 56 45 52 00 00 FF FF FF FF 07 00 00 00 50 41 52 41 44 4F 58 00 FF FF FF FF 05 00 00 00 25 73 3D 25 73 00 00 00 FF FF FF FF 0A 00 00 00 45 4E 41 42 4C 45 20 42 43 44 00 00 FF FF FF FF 05 00 00 00 46 41 4C 53 45 00 00 00 FF FF FF FF 13 00 00 00 5C 44 52 49 56 45 52 53 5C 25 73 5C 44 42 20 4F 50 45 4E 00 }
	condition:
		$1
}

rule function_7043_0 {
	meta:
		name = "TSession.GetHandle"
		size = 39
		refs = "000d DbiSetCurrSession 0012 Check 001d TSession.SetActive"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 0D 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_7044_0 {
	meta:
		name = "TSession.GetNetFileDir"
		size = 221
		refs = "0015 TSession.GetNetFileDir 0023 TSession.GetActive 0038 TSession.LockSession 0061 DbiGetProp 0066 Check 007b TSession.UnlockSession 0081 @HandleFinally 0090 NativeToAnsi 00a0 @LStrLAsg 00ad AnsiUpperCaseFileName 00cd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 33 C9 89 4D D0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6B 8B 45 FC F6 40 20 04 75 62 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F6 50 6A 20 8D 45 D6 50 68 02 00 02 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D F8 8D 55 D6 33 C0 E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 55 FC 8B 52 50 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_7045_0 {
	meta:
		name = "TSession.GetPrivateDir"
		size = 224
		refs = "001b TSession.GetPrivateDir 0029 TSession.GetActive 003e TSession.LockSession 0058 DbiGetSesInfo 005d Check 0072 TSession.UnlockSession 0078 @HandleFinally 008a NativeToAnsi 009a @LStrLAsg 00aa AnsiUpperCaseFileName 00d0 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 C0 FD FF FF 33 C9 89 8D C0 FD FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5F 8B 45 FC F6 40 20 04 75 56 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 C6 FD FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D F8 8D 95 F3 FE FF FF 33 C0 E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 55 FC 8B 52 54 E8 ?? ?? ?? ?? 8D 95 C0 FD FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 95 C0 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_7046_0 {
	meta:
		name = "TSession.GetPassword"
		size = 52
		refs = "0027 PasswordDialog"
	strings:
		$1 = { 53 51 8B D8 66 83 BB B6 00 00 00 00 74 16 C6 04 24 00 8B CC 8B D3 8B 83 B8 00 00 00 FF 93 B4 00 00 00 EB 0A 8B C3 E8 ?? ?? ?? ?? 88 04 24 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7047_0 {
	meta:
		name = "TSession.GetTableNames"
		size = 400
		refs = "0020 TSession.GetTableNames 002e TStrings.BeginUpdate 004f TSession.OpenDatabase 0078 AnsiToNative 0095 DbiOpenTableList 009a Check 00c4 StrCat 00e0 NativeToAnsi 00ff DbiGetNextRecord 011a DbiCloseCursor 0120 @HandleFinally 013a TSession.CloseDatabase 0157 TStrings.EndUpdate 0174 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 8C FD FF FF 53 56 57 33 DB 89 5D EC 8B F9 89 55 F8 89 45 FC 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 40 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 FF 74 14 6A 1F 8D 4D CC 8B 45 F4 8B 40 40 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 56 8A 45 0C F6 D8 1B C0 50 6A 00 8B 45 F4 8B 40 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 41 84 DB 74 1E 80 7D 98 00 74 18 BA ?? ?? ?? ?? 8D 85 8E FD FF FF E8 ?? ?? ?? ?? 8D 55 98 E8 ?? ?? ?? ?? 8D 4D EC 8D 95 8E FD FF FF 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 08 FF 51 34 6A 00 8D 85 8E FD FF FF 50 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 66 85 C0 74 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_7048_0 {
	meta:
		name = "TSession.GetStoredProcNames"
		size = 309
		refs = "0018 TSession.GetStoredProcNames 0026 TStrings.BeginUpdate 0046 TSession.OpenDatabase 006d DbiOpenSPList 0072 Check 0093 NativeToAnsi 00af DbiGetNextRecord 00ca DbiCloseCursor 00d0 @HandleFinally 00ea TSession.CloseDatabase 0107 TStrings.EndUpdate 0124 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 40 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 6A 00 6A FF 6A 00 8B 45 F4 8B 40 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1C 8D 4D EC 8D 55 A3 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 34 6A 00 8D 45 A3 50 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 66 85 C0 74 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7049_0 {
	meta:
		name = "TSession.InitializeBDE"
		size = 363
		refs = "0018 TSession.InitializeBDE 0023 GetCurrentThreadId 0029 MainThreadID 0032 Screen 005a TScreen.SetCursor 007a @FillChar 0085 SIDAPILangID 008a LoadResString 009d StrPLCopy 00a9 DbiInit 00b9 Check 00c2 DbiGetCurrSession 00d4 DbiGetObjFromName 00de GDAL 00ed DbiSetProp 00f2 IsLibrary 00fc DLLDetachCallBack 010b DbiRegisterCallBack 0140 @HandleFinally 015a @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 A8 FD FF FF 53 33 D2 89 95 A8 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 0E A1 ?? ?? ?? ?? 8B 00 66 83 78 38 00 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 10 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 85 AF FD FF FF 33 C9 BA 4C 02 00 00 E8 ?? ?? ?? ?? 8D 95 A8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FD FF FF 8D 45 BB B9 1F 00 00 00 E8 ?? ?? ?? ?? 8D 85 AF FD FF FF 50 E8 ?? ?? ?? ?? 66 85 C0 74 0B 66 3D 07 2A 74 05 E8 ?? ?? ?? ?? 8D 43 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 6A 07 E8 ?? ?? ?? ?? 66 85 C0 75 14 E8 ?? ?? ?? ?? 50 68 02 00 07 FF 8B 45 FC 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 14 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 1D 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 1C A1 ?? ?? ?? ?? 8B 00 66 83 78 38 F5 75 0E A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A8 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7050_0 {
	meta:
		name = "TSession.InternalAddAlias"
		size = 432
		refs = "0022 TSession.InternalAddAlias 0032 StringListToParams 0041 TStrings.GetValue 0053 CompareText 0064 @LStrLAsg 0078 TSession.LockSession 008e TSession.GetConfigMode 00aa TSession.CheckConfigMode 00b4 @LStrToPChar 00c0 StrToOem 00e4 DbiAddAlias 00e9 Check 0107 TSession.SetConfigMode 010d @HandleFinally 0124 TSession.UnlockSession 0139 TSession.DBNotification 0153 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 89 45 FC 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 29 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 55 0C 8B 45 FC E8 ?? ?? ?? ?? 6A FF 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 0B 8A 55 EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D F8 B2 04 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 0C 00 FF FF FF FF 0E 00 00 00 44 45 46 41 55 4C 54 20 44 52 49 56 45 52 00 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 FF FF FF FF 07 00 00 00 50 41 52 41 44 4F 58 00 }
	condition:
		$1
}

rule function_7051_0 {
	meta:
		name = "TSession.InternalDeleteAlias"
		size = 260
		refs = "0019 TSession.InternalDeleteAlias 002c TSession.DBNotification 0034 TSession.LockSession 004a TSession.GetConfigMode 0066 TSession.CheckConfigMode 0071 StrToOem 0081 TSession.DeleteConfigPath 009f TSession.SetConfigMode 00a5 @HandleFinally 00bc TSession.UnlockSession 00d9 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 0B 8A 55 F6 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 FF FF FF FF 0D 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 00 00 00 }
	condition:
		$1
}

rule function_7052_0 {
	meta:
		name = "TSession.IsAlias"
		size = 176
		refs = "0015 TSession.IsAlias 0020 TSession.MakeCurrent 0032 StrToOem 004b Format 0053 @LStrToPChar 005b DbiCfgPosition 007d @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 4D F0 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 85 DB 74 3C 8D 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 66 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 FF FF FF FF 0D 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 00 00 00 }
	condition:
		$1
}

rule function_7053_0 {
	meta:
		name = "TSession.Loaded"
		size = 125
		refs = "000e TComponent.Loaded 0016 TSession.Loaded 002d TSession.SetSessionNames 0040 TSession.SetActive 004f @HandleAnyException 005d Application 0067 TApplication.HandleException 006e @RaiseAgain 0073 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 43 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 3F 00 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 11 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7054_0 {
	meta:
		name = "TSession.LockSession"
		size = 36
		refs = "000a FCSect 000f EnterCriticalSection 0019 TSession.MakeCurrent"
	strings:
		$1 = { 53 8B D8 83 7B 5C 00 75 16 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 5C 8B C3 E8 ?? ?? ?? ?? 5B C3 FF 43 5C 5B C3 }
	condition:
		$1
}

rule function_7055_0 {
	meta:
		name = "TSession.UnlockSession"
		size = 20
		refs = "000a FCSect 000f LeaveCriticalSection"
	strings:
		$1 = { FF 48 5C 83 78 5C 00 75 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7056_0 {
	meta:
		name = "TSession.MakeCurrent"
		size = 37
		refs = "000d DbiSetCurrSession 0012 Check 001e TSession.SetActive"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 0E 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7057_0 {
	meta:
		name = "TSession.ModifyAlias"
		size = 372
		refs = "001b @LStrAddRef 0023 TSession.ModifyAlias 0031 TSession.LockSession 0047 TSession.GetConfigMode 006a TSession.CheckConfigMode 0078 TSession.GetAliasDriverName 0083 StrToOem 0094 TSession.ModifyConfigParams 00a1 CompareText 00ce TSession.SetConfigMode 00d4 @HandleFinally 00eb TSession.UnlockSession 010d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F4 89 5D F0 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 11 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 FF FF FF FF 15 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 5C 44 42 20 49 4E 46 4F 00 00 00 FF FF FF FF 08 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 FF FF FF FF 15 00 00 00 5C 44 41 54 41 42 41 53 45 53 5C 25 73 5C 44 42 20 4F 50 45 4E 00 00 00 }
	condition:
		$1
}

rule function_7058_0 {
	meta:
		name = "TSession.ModifyDriver"
		size = 384
		refs = "0018 @LStrAddRef 0020 TSession.ModifyDriver 002e TSession.LockSession 0044 TSession.GetConfigMode 0067 TSession.CheckConfigMode 0072 StrToOem 0083 TSession.ModifyConfigParams 008b @LStrToPChar 0090 IsStandardType 00d0 TSession.SetConfigMode 00d6 @HandleFinally 00ed TSession.UnlockSession 010a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 11 53 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 FF FF FF FF 10 00 00 00 5C 44 52 49 56 45 52 53 5C 25 73 5C 49 4E 49 54 00 00 00 00 FF FF FF FF 18 00 00 00 5C 44 52 49 56 45 52 53 5C 25 73 5C 54 41 42 4C 45 20 43 52 45 41 54 45 00 00 00 00 FF FF FF FF 13 00 00 00 5C 44 52 49 56 45 52 53 5C 25 73 5C 44 42 20 4F 50 45 4E 00 }
	condition:
		$1
}

rule function_7059_0 {
	meta:
		name = "TSession.ModifyConfigParams"
		size = 262
		refs = "001a TSession.ModifyConfigParams 0027 _Dn_TStringList 002c TObject.Create 004f TSession.GetConfigParams 0074 TStrings.GetName 007f TStrings.IndexOfName 00c0 TSession.SetConfigParams 00d5 TObject.Free 00db @HandleFinally 00f2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B 45 EC 8B 10 FF 52 14 48 85 C0 7C 47 40 89 45 E8 33 DB 8D 4D E4 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1D 8D 4D E4 8B D6 8B 45 08 8B 30 FF 56 0C 8B 4D E4 8B D3 8B 45 EC 8B 30 FF 56 20 FF 45 F0 43 FF 4D E8 75 BF 83 7D F0 00 7E 12 8B 45 EC 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7060_0 {
	meta:
		name = "TSession.Notification"
		size = 87
		refs = "0010 TComponent.Notification 0022 _DV_TDBDataSet 0027 @IsClass 0039 @LStrAsg 0043 _DV_TDatabase"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 7F 43 00 74 39 84 DB 75 35 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8D 86 14 02 00 00 8B 57 48 E8 ?? ?? ?? ?? EB 14 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 89 7E 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7062_0 {
	meta:
		name = "TSession.DoOpenDatabase"
		size = 155
		refs = "0010 TSession.MakeCurrent 001d TSession.DoOpenDatabase 002e TSession.DoFindDatabase 003d _DV_TDatabase 0042 TDatabase.Create 004f TDatabase.SetDatabaseName 005a TDatabase.SetKeepConnection 006b TDatabase.Open 007d @HandleAnyException 0085 TObject.Free 008a @RaiseAgain 008f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 30 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8A 56 40 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 2B 01 8B 5D FC 8B C3 E8 ?? ?? ?? ?? FF 43 38 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7064_0 {
	meta:
		name = "TSession.SessionNameStored"
		size = 6
	strings:
		$1 = { 8A 40 43 34 01 C3 }
	condition:
		$1
}

rule function_7065_0 {
	meta:
		name = "TSession.LoadSMClient"
		size = 596
		refs = "001a TSession.LoadSMClient 004a DbiGetCallBack 0077 OpenFileMapping 0090 CloseHandle 009e DefaultSession 00b1 @IntfClear 00c0 Class_SMClient 00c6 CoCreateInstance 00e2 @IntfCopy 00f7 Application 00fe TApplication.GetTitle 010c SUntitled 0111 LoadResString 0147 Format 0152 @LStrLAsg 0157 TSession.SMClientSignal 0163 @LStrToPChar 0186 @GetMem 01a1 TSession.SqlTraceCallback 01ad _DV_TBDECallback 01b2 TBDECallback.Create 01bf TList.Add 01eb @HandleAnyException 01f7 @DoneExcept 020c @LStrClr 021a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 34 00 75 21 8D 45 F4 50 6A 00 6A 00 6A 00 6A 1B 6A 00 E8 ?? ?? ?? ?? 66 85 C0 74 09 8B 45 FC 80 78 3E 00 74 0D 33 C0 5A 59 59 64 89 10 E9 92 01 00 00 84 DB 75 27 68 ?? ?? ?? ?? 6A 00 6A 04 E8 ?? ?? ?? ?? 85 C0 75 0F 64 8F 05 00 00 00 00 83 C4 08 E9 6D 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 83 78 34 00 75 49 E8 ?? ?? ?? ?? 83 78 34 00 75 22 E8 ?? ?? ?? ?? 83 C0 34 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 80 78 41 00 75 13 E8 ?? ?? ?? ?? 8B 50 34 8B 45 FC 83 C0 34 E8 ?? ?? ?? ?? 8B 45 FC 83 78 34 00 0F 84 ED 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 41 00 75 38 8D 45 F0 50 8B 45 F8 89 45 E0 C6 45 E4 0B 8B 45 FC 8B 40 48 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 24 50 8B 45 FC 8B 40 34 50 8B 00 FF 50 0C 66 85 C0 74 45 B8 06 80 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 38 6A 00 6A 1B 53 68 06 80 00 00 8B 45 FC 50 68 ?? ?? ?? ?? 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? EB 0B 8B 45 FC 83 C0 34 E8 ?? ?? ?? ?? 8B 45 FC 83 78 34 00 0F 94 C0 8B 55 FC 88 42 3E 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 FC C6 40 3E 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 53 4D 42 75 66 66 65 72 00 00 00 00 E1 79 98 CB 95 43 D0 11 9F FC 00 A0 24 8E 4B 9A FF FF FF FF 05 00 00 00 25 73 2E 25 73 00 00 00 }
	condition:
		$1
}

rule function_7066_0 {
	meta:
		name = "TSession.RegisterCallbacks"
		size = 210
		refs = "001e TSession.ServerCallback 0029 _DV_TBDECallback 002e TBDECallback.Create 0038 TList.Add 0048 TSession.DBLoginCallback 007a TList.Get 007f TObject.Free 0091 @CallDynaInst 009f TSession.RegisterCallbacks 00ad @FreeMem 00b5 @IntfClear 00c4 @HandleAnyException 00c9 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 84 D2 74 5C 80 7E 42 00 74 2A 6A 00 6A 15 8D 46 58 50 6A 04 56 68 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 2C E8 ?? ?? ?? ?? 6A 00 6A 1C 8D 46 64 50 6A 50 56 68 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 2C E8 ?? ?? ?? ?? EB 65 8B 46 2C 8B 58 08 4B 83 FB 00 7C 15 8B 46 2C 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EB 8B 46 2C 66 BB FF FF E8 ?? ?? ?? ?? 83 7E 34 00 74 32 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 38 E8 ?? ?? ?? ?? 8D 46 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7067_0 {
	meta:
		name = "TSession.RemoveDatabase"
		size = 32
		refs = "000e TList.Remove 0019 TSession.DBNotification"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 14 24 8B 43 28 E8 ?? ?? ?? ?? 8B CC B2 03 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_7068_0 {
	meta:
		name = "TSession.RemoveAllPasswords"
		size = 68
		refs = "000b TSession.LockSession 0013 TSession.RemoveAllPasswords 0020 DbiDropPassword 0035 TSession.UnlockSession 003b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7069_0 {
	meta:
		name = "TSession.RemovePassword"
		size = 96
		refs = "0010 TSession.LockSession 0018 TSession.RemovePassword 0034 AnsiToNative 003a DbiDropPassword 004f TSession.UnlockSession 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 18 6A 1F 8D 4D DC 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7070_0 {
	meta:
		name = "TSession.SaveConfigFile"
		size = 104
		refs = "000d TSession.GetConfigMode 0018 TSession.SaveConfigFile 002c TSession.SetConfigMode 0037 DbiCfgSave 003c Check 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A FF 6A 00 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 59 59 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_7071_0 {
	meta:
		name = "TSession.ServerCallback"
		size = 108
		refs = "0007 GetCurrentThreadId 000d MainThreadID 001e TimerID 0026 TimerCallBack 002b SQLDelay 0035 SetTimer 0040 Screen 0059 TScreen.SetCursor 005e GetTickCount 0063 StartTime"
	strings:
		$1 = { 53 56 8B D8 33 F6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 52 83 7B 58 01 75 4C 66 83 3D ?? ?? ?? ?? 00 75 1A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 83 78 38 EF 74 10 A1 ?? ?? ?? ?? 8B 00 66 BA EF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7072_0 {
	meta:
		name = "TSession.SetActive"
		size = 41
		refs = "0015 TSession.GetActive 0022 TSession.StartSession"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 20 02 74 06 88 5E 3F 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 3A D8 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7073_0 {
	meta:
		name = "TSession.SetAutoSessionName"
		size = 274
		refs = "002a TSession.CheckInactive 003a TSession.ValidateAutoSession 0049 FCSect 004e EnterCriticalSection 0056 TSession.SetAutoSessionName 0061 Sessions 0069 TBits.OpenBit 0082 TBits.SetBit 0099 LeaveCriticalSection 009f @HandleFinally 00a9 TSession.UpdateAutoSessionName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 8A 40 43 3A 45 FB 0F 84 F1 00 00 00 80 7D FB 00 0F 84 89 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 4C FF FF FF FF 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 4C 8B D3 A1 ?? ?? ?? ?? 8B 40 08 B1 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC E8 ?? ?? ?? ?? EB 55 8B 45 FC 83 78 4C FF 7E 4C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 4C A1 ?? ?? ?? ?? 8B 40 08 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8A 55 FB 88 50 43 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7074_0 {
	meta:
		name = "TSession.GetConfigMode"
		size = 86
		refs = "000d TSession.LockSession 0015 TSession.GetConfigMode 002b GetIntProp 0043 TSession.UnlockSession 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 BA 0C 00 02 00 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_7075_0 {
	meta:
		name = "TSession.SetConfigMode"
		size = 95
		refs = "0010 TSession.LockSession 0018 TSession.SetConfigMode 0035 DbiSetProp 003a Check 004f TSession.UnlockSession 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 45 FB 50 68 0C 00 02 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_7076_0 {
	meta:
		name = "TSession.SetConfigParams"
		size = 195
		refs = "0015 TSession.SetConfigParams 0025 _DV_TParamList 002a TParamList.Create 0068 Format 0070 @LStrToPChar 0078 DbiCfgModifyRecord 007d Check 0092 TObject.Free 0098 @HandleFinally 00af @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 50 8B 45 FC 66 8B 40 04 50 8D 45 F8 50 89 75 F0 C6 45 F4 0B 8D 55 F0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7077_0 {
	meta:
		name = "TSession.SetName"
		size = 25
		refs = "0006 TComponent.SetName 0013 TSession.UpdateAutoSessionName"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 43 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7078_0 {
	meta:
		name = "TSession.SetNetFileDir"
		size = 133
		refs = "0010 TSession.GetActive 001c TSession.LockSession 0024 TSession.SetNetFileDir 0039 AnsiToNative 0047 TSession.GetHandle 004d DbiSetProp 0052 Check 0067 TSession.UnlockSession 006d @HandleFinally 007d @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 D8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5B 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 1F 8D 4D D8 8B 55 F8 33 C0 E8 ?? ?? ?? ?? 50 68 02 00 02 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 50 8B 55 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_7079_0 {
	meta:
		name = "TSession.SetPrivateDir"
		size = 119
		refs = "0010 TSession.GetActive 001c TSession.LockSession 0024 TSession.SetPrivateDir 0039 AnsiToNative 003f DbiSetPrivateDir 0044 Check 0059 TSession.UnlockSession 005f @HandleFinally 006f @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 D8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4D 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 1F 8D 4D D8 8B 55 F8 33 C0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 54 8B 55 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_7080_0 {
	meta:
		name = "TSession.SetSessionName"
		size = 178
		refs = "0015 TSession.SetSessionName 002f SAutoSessionActive 0034 LoadResString 003e DatabaseError 0045 TSession.CheckInactive 0050 Sessions 0055 TSessionList.FindSession 0066 SDuplicateSessionName 0081 DatabaseErrorFmt 008b @LStrAsg 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 43 00 74 1D 80 7B 44 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 F6 74 38 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 28 3B D8 74 24 53 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 8D 43 48 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7081_0 {
	meta:
		name = "TSession.SetSessionNames"
		size = 140
		refs = "0010 TComponent.GetComponentCount 0024 TComponent.GetComponent 002e _DV_TDBDataSet 0033 @IsClass 0045 AnsiCompareText 0053 TDBDataSet.SetSessionName 005d _DV_TDatabase 007f TDatabase.SetSessionName"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 5E 04 85 DB 74 7A 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6C 47 33 ED 8B D5 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 14 02 00 00 8B 56 48 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 56 48 8B C3 E8 ?? ?? ?? ?? EB 2A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 4C 8B 56 48 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 56 48 8B C3 E8 ?? ?? ?? ?? 45 4F 75 97 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7082_0 {
	meta:
		name = "TSession.SetTraceFlags"
		size = 58
		refs = "0023 TList.Get 002c TDatabase.SetTraceFlags"
	strings:
		$1 = { 53 56 51 66 89 14 24 8B F0 66 8B 04 24 66 89 46 3C 8B 46 28 8B 58 08 4B 83 FB 00 7C 19 8B D3 8B 46 28 E8 ?? ?? ?? ?? 66 8B 56 3C E8 ?? ?? ?? ?? 4B 83 FB FF 75 E7 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7083_0 {
	meta:
		name = "TSession.SMClientSignal"
		size = 8
		refs = "0003 TSession.SetTraceFlags"
	strings:
		$1 = { 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10155_0 {
	meta:
		name = "TIdIMFDecoder.WriteOutput"
		size = 8
		refs = "0003 TIdCoder.OutputString"
	strings:
		$1 = { 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7084_0 {
	meta:
		name = "TSession.SqlTraceCallback"
		size = 96
		refs = "000e TSession.SqlTraceCallback 001e StrLen 003b @HandleAnyException 004a TSession.SetTraceFlags 004f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 5A 06 8B C3 E8 ?? ?? ?? ?? 50 53 8B 45 FC 8B 40 34 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_7085_0 {
	meta:
		name = "TSession.StartSession"
		size = 572
		refs = "0017 TSession.StartSession 0022 FCSect 0027 EnterCriticalSection 006d SSessionNameMissing 0072 LoadResString 007d DatabaseError 0082 DefaultSession 0093 TSession.SetActive 00a4 TSession.InitializeBDE 00b6 DbiStartSession 00bb Check 00d3 TSession.RegisterCallbacks 00ea TSession.SetNetFileDir 0101 TSession.SetPrivateDir 010f TSession.SetConfigMode 0117 TSession.CallBDEInitProcs 0129 @HandleAnyException 0138 @RaiseAgain 013d @DoneExcept 014e DbiSetCurrSession 016a TList.Get 0175 TObject.Free 017c TDatabase.Close 01a3 IsLibrary 01af DLLDetachCallBack 01bc DbiRegisterCallBack 01c1 DbiDLLExit 01c6 DbiExit 01d4 DbiCloseSession 0206 LeaveCriticalSection 020c @HandleFinally 0223 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 DB 0F 84 05 01 00 00 8B 45 FC 66 83 B8 BE 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 C0 00 00 00 FF 93 BC 00 00 00 8B 45 FC 83 78 48 00 75 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 74 0C E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 80 78 41 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 15 6A 00 8B 45 FC 83 C0 24 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 50 00 74 0E 8B 45 FC 8B 50 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 54 00 74 0E 8B 45 FC 8B 50 54 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 CB 00 00 00 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B 58 08 4B 83 FB 00 7C 25 8B 45 FC 8B 40 28 8B D3 E8 ?? ?? ?? ?? 80 78 2B 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 41 00 74 33 8B 45 FC 80 78 45 00 75 49 A1 ?? ?? ?? ?? 80 38 00 74 19 6A 00 68 ?? ?? ?? ?? 6A 00 6A 00 6A 1D 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 24 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_7086_0 {
	meta:
		name = "TSession.UpdateAutoSessionName"
		size = 196
		refs = "0012 TSession.UpdateAutoSessionName 005e Format 0069 TSession.SetSessionName 0083 @HandleFinally 008d TSession.SetSessionNames 00a2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 44 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 8B 40 08 89 45 E8 C6 45 EC 0B 8B 45 FC 8B 40 4C 40 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 44 00 C3 E9 ?? ?? ?? ?? EB F1 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 25 73 5F 25 64 00 00 00 }
	condition:
		$1
}

rule function_7087_0 {
	meta:
		name = "TSession.ValidateAutoSession"
		size = 217
		refs = "001b TSession.ValidateAutoSession 0033 TComponent.GetComponentCount 0047 TComponent.GetComponent 0056 _DV_TSession 005b @IsClass 006d SAutoSessionExclusive 0072 LoadResString 007d DatabaseError 008f SAutoSessionExists 00ad DatabaseErrorFmt 00c6 @LStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 86 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 77 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 3B 5D FC 74 5F 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 80 7D F7 00 74 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? EB 2E 80 7B 43 00 74 28 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 08 89 45 E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 47 4E 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7088_0 {
	meta:
		name = "TParamList.Create"
		size = 524
		refs = "0019 @ClassCreate 002a TParamList.Create 0062 @LStrPos 0076 @LStrLen 00a7 TFieldDescList 00ac @DynArraySetLength 00bb AllocMem 013c @LStrCopy 014c StrPLCopy 018d @LStrToPChar 0197 StrCopy 01a4 CharToOem 01cf @LStrArrayClr 01d5 @HandleFinally 01e5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 48 46 C7 45 F0 00 00 00 00 8D 4D E4 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 19 8B 45 FC FF 40 04 8B 45 E4 E8 ?? ?? ?? ?? 66 2B C7 40 8B 55 FC 66 01 42 10 FF 45 F0 4E 75 C0 8B 45 FC 8B 58 04 85 DB 0F 8E 20 01 00 00 53 8B 45 FC 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 0F B7 40 10 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 0C 33 C0 89 45 EC 89 5D E8 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C D7 00 00 00 46 C7 45 F0 00 00 00 00 8D 4D E4 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 A0 00 00 00 8B 45 EC 8B D0 C1 E0 05 2B C2 8B 55 FC 8B 52 08 8D 1C 42 FF 45 EC 66 8B 45 EC 66 89 03 8D 45 E0 50 8B CF 49 BA 01 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 02 B9 1F 00 00 00 E8 ?? ?? ?? ?? 66 C7 43 22 01 00 8B 45 FC 66 8B 55 E8 66 2B 50 0C 66 89 53 2A 8B 45 E4 E8 ?? ?? ?? ?? 66 2B C7 40 66 89 43 2C 8D 45 E0 50 8D 57 01 B9 FF 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 E8 50 E8 ?? ?? ?? ?? 0F B7 43 2C 01 45 E8 FF 45 F0 4E 0F 85 31 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_7089_0 {
	meta:
		name = "TParamList.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 DisposeMem 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B7 56 10 8D 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7090_0 {
	meta:
		name = "TDatabase.Create"
		size = 181
		refs = "000b @ClassCreate 001c TComponent.Create 002a _DV_TSession 002f @IsClass 003d DefaultSession 004d TDatabase.SetSessionName 0057 TSession.AddDatabase 005e _Dn_TList 0063 TObject.Create 006d _Dn_TStringList 0081 TDatabase.ParamsChanging 00a1 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 83 7F 44 00 75 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 89 77 44 EB 08 E8 ?? ?? ?? ?? 89 47 44 8B 47 44 8B 50 48 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 47 44 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 48 89 7E 28 C7 46 24 ?? ?? ?? ?? C6 47 29 01 C6 47 2A 01 8B 47 44 8B 40 30 89 47 40 C6 47 28 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7091_0 {
	meta:
		name = "TDatabase.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0015 TDatabase.Close 001d TObject.Free 0033 TSession.RemoveDatabase 003f TComponent.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 44 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7092_0 {
	meta:
		name = "TDatabase.ApplyUpdates"
		size = 273
		refs = "001e TDatabase.ApplyUpdates 002c TDatabase.StartTransaction 005e SUpdateWrongDB 0063 LoadResString 008c Format 0096 DatabaseError 009d TBDEDataSet.ApplyUpdates 00ab TDatabase.Commit 00ba @HandleAnyException 00c2 TDatabase.Rollback 00c7 @RaiseAgain 00cc @DoneExcept 00de TBDEDataSet.CommitUpdates 00fe @LStrArrayClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 F4 85 F6 7C 62 46 8B 5D F8 8B 3B 8B 87 0C 02 00 00 3B 45 FC 74 44 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 47 08 89 45 DC C6 45 E0 0B 8B 45 FC 8B 40 08 89 45 E4 C6 45 E8 0B 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 A2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F4 85 F6 7C 11 46 8B 5D F8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7093_0 {
	meta:
		name = "TDatabase.CheckActive"
		size = 84
		refs = "000c TDatabase.CheckActive 0020 SDatabaseClosed 0025 LoadResString 002f DatabaseError 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7094_0 {
	meta:
		name = "TDatabase.CheckInactive"
		size = 99
		refs = "000c TDatabase.CheckInactive 0025 TDatabase.Close 002f SDatabaseOpen 0034 LoadResString 003e DatabaseError 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 74 26 F6 43 20 10 74 09 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7095_0 {
	meta:
		name = "TDatabase.CheckDatabaseName"
		size = 90
		refs = "000c TDatabase.CheckDatabaseName 0026 SDatabaseNameMissing 002b LoadResString 0035 DatabaseError 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 50 00 75 1D 80 7B 2B 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7096_0 {
	meta:
		name = "TDatabase.CheckSessionName"
		size = 201
		refs = "0017 Sessions 001c TSessionList.GetSessionByName 0030 TSessionList.FindSession 0050 TSession.RemoveDatabase 0060 TComponent.FreeNotification 006e TSession.AddDatabase 0076 TDatabase.CheckSessionName 008a TDatabase.ValidateName 0099 @HandleAnyException 00a4 @LStrClr 00a9 @RaiseAgain 00ae @DoneExcept 00bf TSession.SetActive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 84 DB 74 14 8B 45 FC 8B 50 4C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 12 8B 45 FC 8B 50 4C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 78 8B 45 FC 3B 70 44 74 70 8B 45 FC 8B 40 44 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 89 42 44 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 50 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 83 C0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0D 8B 45 FC 8B 40 44 B2 01 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7097_0 {
	meta:
		name = "TDatabase.Close"
		size = 188
		refs = "001c TSession.DBNotification 0024 TDatabase.CloseDataSets 0039 OsLdUnloadObj 0045 DefaultSession 0065 TSession.CloseDatabaseHandle 00a4 TDatabase.Close 00a9 TSession.InternalDeleteAlias"
	strings:
		$1 = { 51 89 04 24 8B 04 24 83 78 3C 00 0F 84 A3 00 00 00 8B CC 8B 04 24 8B 40 44 B2 01 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 80 78 2E 00 74 0C 8B 04 24 83 C0 40 50 E8 ?? ?? ?? ?? 8B 04 24 C6 40 2E 00 E8 ?? ?? ?? ?? 8B 40 30 8B 14 24 89 42 40 8B 04 24 80 78 31 00 75 10 8B 04 24 8B 40 44 8B 14 24 E8 ?? ?? ?? ?? EB 07 8B 04 24 C6 40 31 00 8B 04 24 C6 40 30 00 8B 04 24 33 D2 89 50 3C 8B 04 24 33 D2 89 50 38 8B 04 24 80 78 2C 00 74 22 6A 01 8B 44 24 04 8B 50 50 8B 44 24 04 8B 40 44 8A 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 C6 40 2C 00 5A C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_7098_0 {
	meta:
		name = "TDatabase.CloseDataSets"
		size = 33
		refs = "0009 TList.Last"
	strings:
		$1 = { 53 56 8B D8 EB 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 08 02 00 00 8B 73 24 83 7E 08 00 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_7100_0 {
	meta:
		name = "TDatabase.EndTransaction"
		size = 26
		refs = "000e DbiEndTran 0013 Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 8B 43 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7101_0 {
	meta:
		name = "TDatabase.GetAliasName"
		size = 35
		refs = "0012 @LStrLAsg 001c @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2F 00 74 0D 8B C6 8B 53 54 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7102_0 {
	meta:
		name = "TDatabase.GetConnected"
		size = 8
	strings:
		$1 = { 83 78 3C 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_7105_0 {
	meta:
		name = "TDatabase.GetDirectory"
		size = 87
		refs = "0019 DbiGetDirectory 001e Check 0025 StrLen 002e @LStrSetLength 0035 @LStrToPChar 0040 OemToChar 0049 @LStrClr"
	strings:
		$1 = { 53 56 57 81 C4 F8 FE FF FF 8B F2 8B D8 8B 7B 3C 85 FF 74 32 54 6A 00 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7106_0 {
	meta:
		name = "TDatabase.GetDriverName"
		size = 35
		refs = "000f @LStrClr 001c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2F 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7107_0 {
	meta:
		name = "TDatabase.SetDatabaseFlags"
		size = 116
		refs = "0018 DbiGetProp 001d Check 0022 TDatabase.SetDatabaseFlags 002b StrIComp"
	strings:
		$1 = { 53 83 C4 D8 8B D8 54 6A 20 8D 44 24 10 50 68 02 00 04 00 8B 43 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 88 43 30 54 6A 04 8D 44 24 0C 50 68 01 00 03 FF 8B 43 3C 50 E8 ?? ?? ?? ?? 66 85 C0 75 07 83 7C 24 04 00 75 04 33 C0 EB 02 B0 01 88 43 32 83 C4 28 5B C3 00 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_7108_0 {
	meta:
		name = "TDatabase.GetTraceFlags"
		size = 56
		refs = "0007 TDatabase.GetConnected 001e GetIntProp 0029 TDatabase.GetTraceFlags"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 80 7B 30 00 74 11 BA 07 00 04 04 8B 43 3C E8 ?? ?? ?? ?? 8B F0 EB 07 66 8B 35 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7109_0 {
	meta:
		name = "TDatabase.GetObjectContext"
		size = 31
		refs = "0005 GetObjectContextProc 0019 @IntfClear"
	strings:
		$1 = { 53 8B DA 83 3D ?? ?? ?? ?? 00 74 0A 8B C3 FF 15 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7110_0 {
	meta:
		name = "TDatabase.GetInTransaction"
		size = 46
		refs = "0013 DbiGetTranInfo"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B 73 3C 85 F6 74 14 54 6A 00 56 E8 ?? ?? ?? ?? 66 85 C0 75 06 83 3C 24 01 74 04 33 C0 EB 02 B0 01 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_7111_0 {
	meta:
		name = "TDatabase.Loaded"
		size = 118
		refs = "000e TComponent.Loaded 0016 TDatabase.Loaded 002d TDatabase.Open 0039 TDatabase.CheckSessionName 0048 @HandleAnyException 0056 Application 0060 TApplication.HandleException 0067 @RaiseAgain 006c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 2D 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 11 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7112_0 {
	meta:
		name = "TDatabase.Notification"
		size = 49
		refs = "0010 TComponent.Notification 001f DefaultSession"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 3B 77 44 75 0F E8 ?? ?? ?? ?? 3B 47 44 74 05 33 C0 89 47 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7113_0 {
	meta:
		name = "TDatabase.LoadLocale"
		size = 64
		refs = "0018 DbiGetLdNameFromDb 0028 OsLdLoadBySymbName"
	strings:
		$1 = { 53 83 C4 DC 8B D8 80 7B 30 00 74 2F 8D 44 24 04 50 6A 00 8B 43 3C 50 E8 ?? ?? ?? ?? 66 85 C0 75 1A 54 8D 44 24 08 50 E8 ?? ?? ?? ?? 66 85 C0 75 0A 8B 04 24 89 43 40 C6 43 2E 01 83 C4 24 5B C3 }
	condition:
		$1
}

rule function_7114_0 {
	meta:
		name = "TDatabase.Login"
		size = 236
		refs = "0014 TDatabase.Login 003c TStrings.GetValue 004c LoginDialogEx 005a SLoginError 005f LoadResString 0078 DatabaseErrorFmt 0087 TStrings.SetValue 00b0 @LStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 5A 00 74 0C 8B CE 8B D3 8B 43 5C FF 53 58 EB 69 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 4D F8 8D 55 FC 8B 43 50 E8 ?? ?? ?? ?? 84 C0 75 28 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 50 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 09 00 00 00 55 53 45 52 20 4E 41 4D 45 00 00 00 FF FF FF FF 08 00 00 00 50 41 53 53 57 4F 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_7115_0 {
	meta:
		name = "NeedsDBAlias"
		size = 312
		refs = "0010 NeedsDBAlias 0042 @LStrCmp 00a0 TStrings.GetName 00ad CompareText 00bf TStrings.IndexOfName 00da TStrings.GetValue 00eb TStrings.SetValue 010d @LStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 29 8B 45 08 8B 40 F8 83 78 54 00 74 19 8B 45 08 8B 40 F8 8B 40 50 8B 55 08 8B 52 F8 8B 52 54 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 88 45 FF 8B 45 08 8B 40 F8 8B 40 48 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 8D 00 00 00 46 33 DB 8D 4D F4 8B 45 08 8B 40 F8 8B 40 48 8B D3 8B 38 FF 57 0C 8B 55 F4 8B 45 08 8B 40 F4 8B 08 FF 51 50 40 7F 5E 8D 4D F8 8B 45 08 8B 40 F8 8B 40 48 8B D3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 3A 8B 45 08 8B 40 F4 8B 55 F8 E8 ?? ?? ?? ?? 40 7E 29 C6 45 FF 01 8D 4D F4 8B 45 08 8B 40 F8 8B 40 48 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 08 8B 40 F4 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 50 41 53 53 57 4F 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_7116_0 {
	meta:
		name = "TDatabase.CheckDatabaseAlias"
		size = 788
		refs = "0021 TDatabase.CheckDatabaseAlias 002e @LStrClr 003c _Dn_TStringList 0041 TObject.Create 0069 @LStrLAsg 00a1 StrToOem 00ac @LStrToPChar 00b2 DbiGetDatabaseDesc 00bc @TryFinallyExit 00d8 OemToChar 00e8 @LStrFromArray 00f9 TSession.GetAliasParams 010c TSession.GetDriverParams 0127 TStrings.IndexOfName 016e TStrings.GetValue 01a0 TStrings.SetValue 01d4 TDatabase.Login 01f4 @LStrAsg 0232 TObject.Free 0238 @HandleFinally 0267 NeedsDBAlias 028c TSession.InternalAddAlias 02d5 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 7C FE FF FF 53 33 C9 89 8D 7C FE FF FF 89 4D F0 89 4D EC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 2C 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 54 00 74 19 8D 45 F0 8B 55 F8 8B 52 54 E8 ?? ?? ?? ?? 8B 45 F8 8A 40 2F 88 45 FF EB 12 8D 45 F0 8B 55 F8 8B 52 50 E8 ?? ?? ?? ?? C6 45 FF 01 80 7D FF 00 74 6F 8D 85 83 FE FF FF 50 8D 95 7C FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 7C FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 74 0A E8 ?? ?? ?? ?? E9 EF 01 00 00 80 7D E7 00 74 04 C6 45 E7 00 8D 45 C8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 8D 45 EC 8D 55 C8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 44 8B 4D F4 8B 55 F0 E8 ?? ?? ?? ?? EB 1F 8B 45 F8 8B 40 44 8B 4D F4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 8B 52 54 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 40 0F 84 33 01 00 00 8B 45 F8 80 78 29 00 0F 84 FF 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 7C FE FF FF 8B 45 F8 8B 40 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BD 7C FE FF FF 00 75 29 8D 8D 7C FE FF FF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 8D 7C FE FF FF 8B 45 F8 8B 40 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 7C FE FF FF 8B 45 F8 8B 40 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D 7C FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 7C FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 8D 7C FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 8D 7C FE FF FF 8B 45 F8 8B 40 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 85 7C FE FF FF 50 8B 45 F8 8B 40 48 50 BA ?? ?? ?? ?? 58 59 E8 ?? ?? ?? ?? 8B 95 7C FE FF FF 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 27 8B 45 F4 50 A0 ?? ?? ?? ?? 50 6A 00 8B 45 F8 8B 50 50 8B 45 F8 8B 40 44 8B 4D EC E8 ?? ?? ?? ?? 8B 45 F8 C6 40 2C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FE FF FF E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 FF FF FF FF 09 00 00 00 55 53 45 52 20 4E 41 4D 45 00 00 00 FF FF FF FF 08 00 00 00 50 41 53 53 57 4F 52 44 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_7117_0 {
	meta:
		name = "TDatabase.OpenFromExistingDB"
		size = 36
		refs = "000a TSession.FindDatabaseHandle 0013 TDatabase.SetHandle"
	strings:
		$1 = { 53 8B D8 8B 53 50 8B 43 44 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 43 31 00 83 7B 3C 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7118_0 {
	meta:
		name = "TDatabase.Open"
		size = 764
		refs = "001e TDatabase.Open 0039 TDatabase.CheckDatabaseName 0043 TDatabase.CheckSessionName 0054 TDatabase.OpenFromExistingDB 0067 TSession.LockSession 0080 TSession.GetConfigMode 009c TDatabase.CheckDatabaseAlias 00be IsDirectory 00ca @LStrClr 00da StrToOem 00e5 TDatabase.GetObjectContext 010e StrCopy 0165 ShareModes 0174 OpenModes 0185 DbiOpenDatabase 018a Check 019e TDatabase.SetDirectory 01b1 SetBoolProp 01df TDatabase.SetDatabaseFlags 01e7 TDatabase.LoadLocale 0205 TSession.LoadSMClient 0217 TDatabase.SetTraceFlags 0227 TSession.DBNotification 0236 @HandleAnyException 0258 TSession.InternalDeleteAlias 025d @RaiseAgain 0262 @DoneExcept 027d TSession.SetConfigMode 0283 @HandleFinally 029d TSession.UnlockSession 02c2 @IntfClear 02cf @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 D2 89 55 A4 89 55 A8 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 3C 00 0F 85 74 02 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 33 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 49 02 00 00 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 54 00 75 19 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 0E 8D 55 F8 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 5D A8 33 F6 85 DB 74 45 C7 45 EC 01 00 00 00 66 C7 45 DA 04 00 66 C7 45 D8 00 00 BA ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 7D AE 8B 45 FC 8A 40 28 2C 01 72 08 74 0A FE C8 74 0C EB 17 33 F6 EB 13 66 BE 00 01 EB 0D 66 BE 00 02 EB 07 33 C0 89 45 EC 33 FF 8B 45 FC 83 C0 3C 50 53 57 66 8B 45 EC 50 8D 55 A4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 45 FC 0F B6 40 34 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC 0F B6 40 35 8B 04 85 ?? ?? ?? ?? 0F B7 D6 0B C2 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 0E 8B 45 FC 8B 50 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 83 C9 FF BA 05 00 04 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 83 C9 FF BA 04 00 04 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 83 C9 FF BA 11 00 04 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 30 00 74 15 8B 45 FC F6 40 20 10 0F 95 C2 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 66 8B 50 3C 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 45 FC 8B 40 44 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 31 E9 ?? ?? ?? ?? 8B 45 FC 80 78 2C 00 74 19 6A 00 8B 45 FC 8B 50 50 8B 45 FC 8B 40 44 8A 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8A 55 F3 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 4D 54 53 20 43 4F 4E 54 45 58 54 20 4F 42 4A 45 43 54 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_7120_0 {
	meta:
		name = "TDatabase.Rollback"
		size = 24
		refs = "0006 TDatabase.CheckActive 0012 TDatabase.EndTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7122_0 {
	meta:
		name = "TDatabase.SetConnected"
		size = 27
		refs = "000f TDatabase.Open 0016 TDatabase.Close"
	strings:
		$1 = { F6 40 20 02 74 04 88 50 2D C3 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7123_0 {
	meta:
		name = "TDatabase.SetDatabaseName"
		size = 66
		refs = "0012 @LStrAsg 001f @LStrCmp 0028 TDatabase.CheckInactive 0031 TDatabase.ValidateName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 02 74 0D 8D 43 50 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 50 8B D6 E8 ?? ?? ?? ?? 74 1A 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 43 50 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7124_0 {
	meta:
		name = "TDatabase.SetDatabaseType"
		size = 33
		refs = "000c TDatabase.CheckInactive 0016 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 8D 47 54 8B D6 E8 ?? ?? ?? ?? 88 5F 2F 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7125_0 {
	meta:
		name = "TDatabase.SetDirectory"
		size = 93
		refs = "0010 TDatabase.SetDirectory 0027 StrToOem 0031 DbiSetDirectory 0036 Check 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 3C 85 F6 74 19 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7127_0 {
	meta:
		name = "TDatabase.SetHandle"
		size = 209
		refs = "0015 TDatabase.SetHandle 0023 TDatabase.GetConnected 002f TDatabase.Close 003f DbiGetObjFromObj 0044 Check 004c TDatabase.CheckDatabaseName 0056 TDatabase.CheckSessionName 0061 TSession.GetHandle 006e SDatabaseHandleSet 0073 LoadResString 007e DatabaseError 008c TDatabase.SetDatabaseFlags 0094 TDatabase.LoadLocale 00a4 TSession.DBNotification 00c0 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 85 DB 74 78 8D 45 F8 50 6A 02 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 3B 45 F8 74 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 58 3C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 45 FC 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 FC C6 40 31 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7128_0 {
	meta:
		name = "TDatabase.SetKeepConnection"
		size = 24
		refs = "0013 TDatabase.Close"
	strings:
		$1 = { 3A 50 2A 74 12 88 50 2A 84 D2 75 0B 83 78 38 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7129_0 {
	meta:
		name = "TDatabase.SetParams"
		size = 26
		refs = "0009 TDatabase.CheckInactive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 48 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_7130_0 {
	meta:
		name = "TDatabase.SetSessionName"
		size = 66
		refs = "0012 @LStrAsg 001c TDatabase.CheckInactive 0026 @LStrCmp 003b TDatabase.CheckSessionName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 02 74 0D 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 43 4C 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7131_0 {
	meta:
		name = "TDatabase.SetTraceFlags"
		size = 47
		refs = "000b TDatabase.GetConnected 0028 DbiSetProp"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 80 7B 30 00 74 13 0F B7 04 24 50 68 07 00 04 04 8B 43 3C 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_7132_0 {
	meta:
		name = "TDatabase.SetExclusive"
		size = 19
		refs = "0009 TDatabase.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 34 5E 5B C3 }
	condition:
		$1
}

rule function_7133_0 {
	meta:
		name = "TDatabase.SetReadOnly"
		size = 19
		refs = "0009 TDatabase.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 35 5E 5B C3 }
	condition:
		$1
}

rule function_7134_0 {
	meta:
		name = "TDatabase.StartTransaction"
		size = 128
		refs = "0012 TDatabase.StartTransaction 001f TDatabase.CheckActive 0033 SLocalTransDirty 0038 LoadResString 0042 DatabaseError 0055 DbiBeginTran 005a Check 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 30 00 75 1D 80 7B 28 00 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 50 33 C0 8A 43 28 50 8B 43 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7135_0 {
	meta:
		name = "TDatabase.ValidateName"
		size = 166
		refs = "0016 TDatabase.ValidateName 0030 TSession.FindDatabase 005c SDuplicateDatabaseName 0061 LoadResString 0077 DatabaseErrorFmt 007e TObject.Free 0093 @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 5E 83 7B 44 00 74 58 8B D7 8B 43 44 E8 ?? ?? ?? ?? 8B F0 85 F6 74 48 3B DE 74 44 80 7E 33 00 74 06 80 7B 33 00 75 38 80 7E 2B 00 74 06 83 7E 38 00 74 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 0B 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7136_0 {
	meta:
		name = "TDatabase.FlushSchemaCache"
		size = 48
		refs = "0009 TDatabase.GetConnected 001a @LStrToPChar 0024 DbiSchemaCacheFlush 0029 Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 80 7B 30 00 74 16 8B C6 E8 ?? ?? ?? ?? 50 8B 43 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7137_0 {
	meta:
		name = "TBDEDataSet.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TDataSet.Create 001c DefaultSession 0026 TBDEDataSet.SetLocale 0032 _DV_TNestedTable 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 30 8B C6 E8 ?? ?? ?? ?? C6 86 99 01 00 00 01 A1 ?? ?? ?? ?? 89 86 80 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7138_0 {
	meta:
		name = "TBDEDataSet.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0013 TDataSet.Destroy 0022 @FreeMem 0033 TBDEDataSet.SetUpdateObject 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 E8 01 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 86 E8 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7139_0 {
	meta:
		name = "TBDEDataSet.OpenCursor"
		size = 168
		refs = "0016 TBDEDataSet.OpenCursor 0037 FreeTimer 003f SHandleError 0044 LoadResString 004e _DV_ENoResultSet 0053 Exception.Create 0058 @RaiseExcept 0068 DbiGetLdObj 0077 TBDEDataSet.SetLocale 0080 TDataSet.OpenCursor 0095 @LStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 92 F4 01 00 00 8B F0 89 B7 4C 01 00 00 85 F6 75 26 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 87 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7140_0 {
	meta:
		name = "TBDEDataSet.CloseCursor"
		size = 62
		refs = "0006 TDataSet.CloseCursor 000b DefaultSession 0015 TBDEDataSet.SetLocale"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 30 8B C3 E8 ?? ?? ?? ?? 83 BB 4C 01 00 00 00 74 12 8B C3 8B 10 FF 92 F8 01 00 00 33 C0 89 83 4C 01 00 00 33 C0 89 83 F0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7142_0 {
	meta:
		name = "TBDEDataSet.DestroyHandle"
		size = 31
		refs = "000d DbiRelRecordLock 0019 DbiCloseCursor"
	strings:
		$1 = { 53 8B D8 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 8D 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7143_0 {
	meta:
		name = "TBDEDataSet.InternalInitFieldDefs"
		size = 556
		refs = "0017 TBDEDataSet.InternalInitFieldDefs 0030 DbiGetCursorProps 0058 SetBoolProp 0086 _Dn_TBits 008b TObject.Create 00ac GetIntProp 00bb TBits.SetSize 00f2 DbiGetVchkDesc 0117 TBits.SetBit 012c TFieldDescList 0131 @DynArraySetLength 0144 DbiGetFieldDescs 015c TCollection.Clear 017a TBDEDataSet.AddFieldDesc 01bb TFieldDefs.GetFieldDef 01d6 TFieldDef.SetAttributes 01f1 TObject.Free 01f7 @HandleFinally 0214 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 7C F9 FF FF 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 7E F9 FF FF 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 0F B7 BD A5 FA FF FF 33 C0 89 45 EC 8B 43 2C 80 78 34 00 74 3A 8B 83 4C 01 00 00 83 C9 FF BA 04 00 05 04 E8 ?? ?? ?? ?? 84 C0 74 23 8D 85 7E F9 FF FF 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 0F B7 85 A5 FA FF FF 8B D0 2B D7 89 55 EC 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 4C 01 00 00 BA 0F 00 05 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 50 01 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8D 57 01 8B 45 F0 E8 ?? ?? ?? ?? 0F B7 B5 AF FA FF FF 85 F6 7E 4A C7 45 FC 01 00 00 00 8D 85 29 FB FF FF 50 66 8B 45 FC 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 83 BD 2B FB FF FF 00 74 1B 66 83 BD 31 FB FF FF 00 75 11 0F B7 95 29 FB FF FF B1 01 8B 45 F0 E8 ?? ?? ?? ?? FF 45 FC 4E 75 BD 57 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 89 45 F8 8B 45 F8 48 89 45 FC 8B 43 2C E8 ?? ?? ?? ?? 3B 7D FC 7E 1E 8D 45 F8 50 8B 45 F0 50 8B 43 2C 50 8D 4D FC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 3B 7D FC 7F E2 8B 43 2C 80 78 34 00 74 54 8B 83 4C 01 00 00 33 C9 BA 04 00 05 04 E8 ?? ?? ?? ?? 83 7D EC 00 7E 3C 8B C7 2B 45 EC 8B F7 4E 2B F0 7C 30 46 89 45 FC 8B 43 2C 8B 55 FC E8 ?? ?? ?? ?? 8A 40 20 0A 05 ?? ?? ?? ?? 50 8B 43 2C 8B 55 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF 45 FC 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_7144_0 {
	meta:
		name = "TBDEDataSet.GetObjectTypeNames"
		size = 273
		refs = "000f TFields.GetCount 0026 TFields.GetField 002c _Dn_TObjectField 0031 @IsClass 0071 DbiGetProp 0092 @LStrFromArray 00e7 TBDEDataSet.GetObjectTypeNames"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B EA 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C EB 00 00 00 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 6C 66 89 44 24 06 8D 44 24 04 50 6A 22 8D 44 24 0E 50 68 11 00 05 00 8B 44 24 10 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 1C 66 83 7C 24 04 00 76 14 8D 83 D0 00 00 00 8D 54 24 08 B9 20 00 00 00 E8 ?? ?? ?? ?? 8A 43 30 04 E6 2C 02 73 62 80 7B 30 1B 75 48 8B 04 24 80 B8 9A 00 00 00 00 74 3C 8B C3 8B 10 FF 92 C8 00 00 00 33 D2 E8 ?? ?? ?? ?? 80 78 30 1A 75 25 8B C3 8B 10 FF 92 C8 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 10 FF 92 C8 00 00 00 8B D0 8B 04 24 E8 ?? ?? ?? ?? EB 14 8B C3 8B 10 FF 92 C8 00 00 00 8B D0 8B 04 24 E8 ?? ?? ?? ?? 46 4F 0F 85 18 FF FF FF 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7145_0 {
	meta:
		name = "TBDEDataSet.InternalOpen"
		size = 411
		refs = "001b DbiBeginDelayedUpdates 0020 Check 002d DbiGetCursorProps 006f TBDEDataSet.HasConstraints 0097 TBDEDataSet.ConstraintCallBack 00a6 DbiBeginConstraintLayer 00c4 TFieldDefs.Update 00cb TBDEDataSet.GetIndexInfo 00db TDataSet.CreateFields 00e4 TDataSet.BindFields 00f7 TBDEDataSet.GetObjectTypeNames 0100 TBDEDataSet.InitBufferPointers 0112 TBDEDataSet.AllocCachedUpdateBuffers 0119 TBDEDataSet.UpdateCallbackRequired 0122 TBDEDataSet.SetupCallBack 0129 TBDEDataSet.AllocKeyBuffers 0135 DbiSetToBegin 0157 TBDEDataSet.CreateExprFilter 016c TBDEDataSet.RecordFilter 0178 TBDEDataSet.CreateFuncFilter 018e TBDEDataSet.ActivateFilters"
	strings:
		$1 = { 53 56 81 C4 54 FE FF FF 8B F0 80 BE 96 01 00 00 00 74 11 8D 86 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 54 8B 86 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 8B 84 24 2B 01 00 00 66 89 86 CC 01 00 00 0F B7 84 24 35 01 00 00 89 46 58 83 BC 24 39 01 00 00 00 75 0B 66 83 BC 24 89 01 00 00 00 74 04 33 C0 EB 02 B0 01 88 86 98 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 8B 10 FF 92 CC 00 00 00 84 C0 75 04 33 DB EB 02 B3 01 88 9E D6 01 00 00 84 DB 74 1A 56 B8 ?? ?? ?? ?? 50 8D 86 4C 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 84 24 43 01 00 00 88 86 C0 01 00 00 8B 46 2C C6 40 20 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE 96 00 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 80 BE 99 00 00 00 00 74 0A 8B 56 24 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BE 96 01 00 00 00 74 19 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 04 02 00 00 83 7E 6C 00 74 18 6A 00 8A 8E 8C 00 00 00 8B 56 6C 8B C6 E8 ?? ?? ?? ?? 89 86 68 01 00 00 66 83 BE 46 01 00 00 00 74 17 BA ?? ?? ?? ?? B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 6C 01 00 00 80 BE 98 00 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 81 C4 AC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7146_0 {
	meta:
		name = "TBDEDataSet.InternalClose"
		size = 160
		refs = "0016 TBDEDataSet.FreeKeyBuffers 0028 TBDEDataSet.SetupCallBack 0031 TBDEDataSet.AllocCachedUpdateBuffers 0046 DbiEndConstraintLayer 005b DbiEndDelayedUpdates 0064 TDataSet.BindFields"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 6C 01 00 00 33 C0 89 83 68 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 96 01 00 00 00 74 3C 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB D6 01 00 00 00 74 0C 8D 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 83 BB 4C 01 00 00 00 74 0C 8D 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 96 00 00 00 00 74 07 8B C3 8B 10 FF 52 64 33 C0 89 83 C4 01 00 00 66 C7 83 9A 01 00 00 00 00 C6 83 94 01 00 00 00 C6 83 95 01 00 00 00 C6 83 98 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7148_0 {
	meta:
		name = "TBDEDataSet.IsCursorOpen"
		size = 11
	strings:
		$1 = { 83 B8 4C 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_7150_0 {
	meta:
		name = "TBDEDataSet.SetLocale"
		size = 7
	strings:
		$1 = { 89 90 64 01 00 00 C3 }
	condition:
		$1
}

rule function_7151_0 {
	meta:
		name = "TBDEDataSet.InitBufferPointers"
		size = 124
		refs = "0016 DbiGetCursorProps 001b Check"
	strings:
		$1 = { 53 81 C4 54 FE FF FF 8B D8 84 D2 74 2C 54 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 84 24 35 01 00 00 89 43 58 66 8B 84 24 2B 01 00 00 66 89 83 CC 01 00 00 66 8B 83 CC 01 00 00 66 03 43 5C 66 89 83 D2 01 00 00 66 8B 53 68 C1 E2 02 66 03 D0 66 89 93 D0 01 00 00 8B C2 66 83 C0 08 66 89 83 CE 01 00 00 66 03 43 58 66 89 83 D4 01 00 00 81 C4 AC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7152_0 {
	meta:
		name = "TBDEDataSet.AllocRecordBuffer"
		size = 13
		refs = "0008 AllocMem"
	strings:
		$1 = { 0F B7 80 D4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7154_0 {
	meta:
		name = "TBDEDataSet.InternalInitRecord"
		size = 14
		refs = "0009 DbiInitRecord"
	strings:
		$1 = { 52 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7155_0 {
	meta:
		name = "TBDEDataSet.ClearBlobCache"
		size = 54
		refs = "0029 @LStrClr"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 80 BE 99 01 00 00 00 74 20 8B 5E 68 4B 85 DB 7C 18 43 33 FF 0F B7 86 D2 01 00 00 03 C5 8D 04 B8 E8 ?? ?? ?? ?? 47 4B 75 EB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7157_0 {
	meta:
		name = "TBDEDataSet.InitRecord"
		size = 50
		refs = "000b TDataSet.InitRecord 0014 TBDEDataSet.ClearBlobCache"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 83 D0 01 00 00 03 C6 C6 40 04 02 C6 40 05 03 C7 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_7158_0 {
	meta:
		name = "TBDEDataSet.GetRecord"
		size = 267
		refs = "002e DbiGetRecord 0046 DbiGetNextRecord 005e DbiGetPriorRecord 00be TBDEDataSet.ClearBlobCache 00e0 DbiGetBookMark 00e5 Check"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B D8 8A 45 FF 2C 01 72 08 74 1E FE C8 74 32 EB 48 8D 83 54 01 00 00 50 56 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? EB 32 8D 83 54 01 00 00 50 56 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? EB 1A 8D 83 54 01 00 00 50 56 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? EB 02 33 C0 8B D0 66 83 EA 01 72 0E 66 81 EA 00 22 74 78 66 FF CA 74 77 EB 79 0F B7 83 D0 01 00 00 03 C6 8A 93 5C 01 00 00 88 50 04 C6 40 05 00 8A 93 C0 01 00 00 80 EA 01 72 0C 75 14 8B 93 54 01 00 00 89 10 EB 10 8B 93 58 01 00 00 89 10 EB 06 C7 00 FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 C8 00 00 00 0F B7 83 CE 01 00 00 03 F0 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 15 B3 01 EB 11 B3 02 EB 0D B3 03 80 7D 08 00 74 05 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7159_0 {
	meta:
		name = "TBDEDataSet.GetCurrentRecord"
		size = 78
		refs = "0009 TDataSet.IsEmpty 0014 TDataSet.ActiveBuffer 002b TDataSet.UpdateCursorPos 003c DbiGetRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 38 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 5C 01 00 00 84 C0 75 21 8B C3 E8 ?? ?? ?? ?? 6A 00 56 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7160_0 {
	meta:
		name = "TBDEDataSet.GetOldRecord"
		size = 163
		refs = "000d TDataSet.UpdateCursorPos 0023 SetBoolProp 002f TBDEDataSet.GetOldRecord 0055 DbiGetRecord 005a Check 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 4C 01 00 00 83 C9 FF BA 04 00 05 05 E8 ?? ?? ?? ?? 84 C0 74 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 8B 80 9C 01 00 00 8B 40 0C 50 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 01 00 00 8B 40 0C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 4C 01 00 00 33 C9 BA 04 00 05 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_7161_0 {
	meta:
		name = "TBDEDataSet.FetchAll"
		size = 68
		refs = "000f TDataSet.CheckBrowseMode 001b DbiSetToEnd 0020 Check 0032 DbiGetPriorRecord 003e TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 8B D8 80 BB 91 00 00 00 00 75 36 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7162_0 {
	meta:
		name = "TBDEDataSet.FlushBuffers"
		size = 29
		refs = "0006 TDataSet.CheckBrowseMode 0012 DbiSaveChanges 0017 Check"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7163_0 {
	meta:
		name = "TBDEDataSet.GetRecordCount"
		size = 60
		refs = "0014 DbiGetExactRecordCount 0026 DbiGetRecordCount"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 40 54 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 19 54 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7164_0 {
	meta:
		name = "TBDEDataSet.GetRecNo"
		size = 44
		refs = "001b TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 80 BB 8D 00 00 00 05 75 05 8B 43 54 EB 07 8B C3 E8 ?? ?? ?? ?? 0F B7 93 D0 01 00 00 03 C2 8B 00 5B C3 }
	condition:
		$1
}

rule function_7165_0 {
	meta:
		name = "TBDEDataSet.SetRecNo"
		size = 100
		refs = "0009 TDataSet.CheckBrowseMode 0037 DbiSetToSeqNo 0042 TBDEDataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB C0 01 00 00 01 75 44 8B C3 8B 10 FF 92 F8 00 00 00 3B F0 74 36 8B C3 8B 10 FF 92 A4 00 00 00 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 1A 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 8B C3 8B 10 FF 92 84 00 00 00 5E 5B C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_7166_0 {
	meta:
		name = "TBDEDataSet.GetRecordSize"
		size = 8
	strings:
		$1 = { 66 8B 80 CC 01 00 00 C3 }
	condition:
		$1
}

rule function_7167_0 {
	meta:
		name = "TBDEDataSet.GetActiveRecBuf"
		size = 248
		refs = "001a TBDEDataSet.GetActiveRecBuf 0067 TDataSet.IsEmpty 0078 TDataSet.ActiveBuffer 00e3 TBDEDataSet.GetOldRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 8A 83 8D 00 00 00 83 F8 0A 0F 87 D4 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 83 CC 01 00 00 F7 AB DC 01 00 00 03 83 E8 01 00 00 89 06 E9 8B 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 33 C0 89 06 EB 7A 8B C3 E8 ?? ?? ?? ?? 89 06 EB 6F 8B C3 E8 ?? ?? ?? ?? 89 06 EB 64 8B 83 BC 01 00 00 83 C0 08 89 06 EB 57 8B 43 54 89 06 EB 50 8B 83 70 01 00 00 89 06 EB 46 80 BB 97 01 00 00 00 74 0D 8B 83 9C 01 00 00 8B 40 08 89 06 EB 30 8B C3 E8 ?? ?? ?? ?? 89 06 EB 25 80 BB 97 01 00 00 00 74 0D 8B 83 9C 01 00 00 8B 40 0C 89 06 EB 0F 8B C3 E8 ?? ?? ?? ?? 89 06 EB 04 33 C0 89 06 83 3E 00 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7168_0 {
	meta:
		name = "TBDEDataSet.AddFieldDesc"
		size = 840
		refs = "0023 @DynArrayAddRef 002b TBDEDataSet.AddFieldDesc 0066 NativeToAnsi 0076 @LStrLAsg 00a5 Format 00af TDefCollection.IndexOf 00c6 DataTypeMap 00f1 TBits.GetBit 01c9 BlobTypeMap 01d7 TFieldDefs.AddFieldDef 01f4 TFieldDef.SetDataType 01ff TFieldDef.SetSize 0209 TFieldDef.SetPrecision 021c TFieldDef.SetAttributes 0287 TFieldDef.GetChildDefs 02bc StrCopy 02c6 StrCat 0303 @LStrArrayClr 030c TFieldDescList 0311 @DynArrayClear 0317 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 33 DB 89 5D E4 89 5D E0 8B F9 89 55 F8 89 45 FC 8B 5D 08 8B 75 10 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B D0 C1 E0 05 2B C2 8B 55 F8 56 57 8D 34 42 8D 7D 9E B9 0F 00 00 00 F3 A5 66 A5 5F 5E FF 07 8D 4D E4 8D 55 A0 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E8 8D 45 E0 8B 55 E4 E8 ?? ?? ?? ?? EB 2D FF 45 E8 8D 45 E0 50 8B 45 E4 89 45 8C C6 45 90 0B 8B 45 E8 89 45 94 C6 45 98 00 8D 55 8C B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 85 C0 7D C5 66 8B 45 C0 66 83 F8 18 73 11 0F B7 C0 8B 15 ?? ?? ?? ?? 8A 04 02 88 45 F7 EB 04 C6 45 F7 00 66 C7 45 F4 00 00 33 C0 89 45 EC 8B 45 0C 8B 40 04 3B 06 7E 0F 8B 16 8B 45 0C E8 ?? ?? ?? ?? 88 45 F3 EB 04 C6 45 F3 00 0F B7 45 C0 83 F8 16 0F 87 C9 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 06 00 02 03 04 05 01 00 00 02 00 00 01 00 00 00 00 01 01 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 7D C2 1F 75 04 C6 45 F7 17 66 8B 45 C4 66 85 C0 75 06 C6 45 F7 00 EB 6F 66 89 45 F4 EB 69 66 83 7D CA 02 74 62 C6 45 F7 00 EB 5C 66 83 7D C2 1D 75 55 C6 45 F7 0E C6 45 F3 00 EB 4B 66 83 7D C2 15 75 44 C6 45 F7 07 EB 3E 0F BF 45 C6 99 33 C2 2B C2 66 89 45 F4 0F BF 45 C4 89 45 EC EB 28 66 8B 45 C4 66 89 45 F4 66 8B 45 C2 66 83 F8 16 72 16 66 83 F8 24 77 10 0F B7 C0 8B 15 ?? ?? ?? ?? 8A 44 02 EA 88 45 F7 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 06 89 43 18 FF 06 8B 55 E0 8B C3 8B 08 FF 51 14 8A 55 F7 8B C3 E8 ?? ?? ?? ?? 66 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 80 7D F3 00 74 0D 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D D2 01 75 10 8A 15 ?? ?? ?? ?? 0A 53 20 8B C3 E8 ?? ?? ?? ?? 66 8B 45 D6 66 F7 D8 1B C0 F7 D8 88 43 1E 8A 45 F7 2C 1A 74 09 FE C8 74 54 E9 99 00 00 00 66 83 7D C2 23 75 10 8A 15 ?? ?? ?? ?? 0A 53 20 8B C3 E8 ?? ?? ?? ?? 0F BF 45 C4 48 85 C0 7C 79 40 89 45 DC C7 45 E8 00 00 00 00 56 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 50 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 45 E8 FF 4D DC 75 DE EB 4A 8B 06 89 45 E8 8B 07 8B D0 C1 E0 05 2B C2 8B 55 F8 8D 44 42 02 8D 55 A0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 50 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 0F BF 45 C6 01 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 0C 00 00 00 FF FF FF FF 05 00 00 00 25 73 5F 25 64 00 00 00 04 00 00 00 02 00 00 00 10 00 00 00 5B 30 5D 00 }
	condition:
		$1
}

rule function_7169_0 {
	meta:
		name = "TBDEDataSet.GetBlobFieldData"
		size = 372
		refs = "004f TBDEDataSet.GetActiveRecBuf 0071 DbiOpenBlob 0088 TBDEDataSet.GetBlobFieldData 00a6 DbiGetBlobSize 00bc @TryFinallyExit 00c8 @DynArrayHigh 00db @TRUNC 00e9 TBlobByteData 00ee @DynArraySetLength 0116 DbiGetBlob 014b DbiFreeBlob 015a Check 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B D9 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 40 70 85 C0 0F 94 45 ED 85 C0 7E 23 8B 45 FC 8B 80 DC 01 00 00 8B 55 FC 0F B7 92 CC 01 00 00 F7 EA 8B 55 FC 03 82 E8 01 00 00 89 45 F0 EB 13 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 0B 01 00 00 6A 01 66 8B 75 F8 56 8B 45 F0 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EE 66 83 7D EE 00 0F 85 E2 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 56 8B 45 F0 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EE 66 83 7D EE 00 75 06 83 7D F4 00 75 0A E8 ?? ?? ?? ?? E9 A1 00 00 00 8B 03 E8 ?? ?? ?? ?? 3B 45 F4 7D 24 DB 45 F4 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F4 50 8B 03 50 8B 45 F4 50 6A 00 66 8B 45 F8 50 8B 45 F0 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 66 83 7D EE 00 74 05 33 C0 89 45 F4 66 8B 45 F8 50 8B 45 F0 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 80 7D ED 00 74 09 66 8B 45 EE E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B 45 F4 5E 5B 8B E5 5D C3 00 00 00 A0 3F }
	condition:
		$1
}

rule function_7170_0 {
	meta:
		name = "TBDEDataSet.GetFieldData"
		size = 128
		refs = "0031 DbiGetField 004f TBDEDataSet.GetActiveRecBuf 006c Check"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 83 7B 70 00 7E 36 54 57 0F B7 83 CC 01 00 00 F7 AB DC 01 00 00 03 83 E8 01 00 00 50 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 06 83 3C 24 00 74 04 33 C0 EB 36 B0 01 EB 32 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 54 57 8B 44 24 0C 50 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 83 F8 01 1B C0 F7 D8 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7171_0 {
	meta:
		name = "TBDEDataSet.GetFieldData"
		size = 162
		refs = "003b TDataSet.TempBuffer 004b TBDEDataSet.GetActiveRecBuf 0096 Move"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 8B C7 8B 10 FF 52 6C 85 C0 7E 19 8B C7 8B 10 FF 52 6C 8B D0 8B CD 8B C6 8B 18 FF 93 D0 01 00 00 8B D8 EB 6B 80 BE 8D 00 00 00 0A 75 0E 8B C6 E8 ?? ?? ?? ?? 89 04 24 B3 01 EB 0B 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 45 8A 86 8D 00 00 00 48 2C 03 72 08 2C 01 74 04 2C 05 75 32 0F B7 86 CC 01 00 00 0F B7 57 3A 03 C2 01 04 24 8B 04 24 8A 18 84 DB 74 19 85 ED 74 15 8B C7 8B 10 FF 52 64 0F B7 C8 8B D5 8B 04 24 40 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7172_0 {
	meta:
		name = "TBDEDataSet.GetStatementLocale"
		size = 67
		refs = "0020 DbiGetProp 0029 StrLen 0038 OsLdLoadBySymbName"
	strings:
		$1 = { 83 C4 D8 C6 44 24 06 00 33 C0 89 04 24 8D 44 24 04 50 6A 20 8D 44 24 0E 50 68 04 00 06 00 52 E8 ?? ?? ?? ?? 8D 44 24 06 E8 ?? ?? ?? ?? 85 C0 76 0B 54 8D 44 24 0A 50 E8 ?? ?? ?? ?? 8B 04 24 83 C4 28 C3 }
	condition:
		$1
}

rule function_7173_0 {
	meta:
		name = "TBDEDataSet.FreeStatementLocale"
		size = 20
		refs = "000a OsLdUnloadObj"
	strings:
		$1 = { 53 8B DA 83 3B 00 74 06 53 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_7174_0 {
	meta:
		name = "GetNativeStr"
		size = 185
		refs = "0011 GetNativeStr 002e TParam.GetAsVariant 0039 @VarToLStr 0041 @LStrLen 004a @LStrSetLength 005a @LStrToPChar 0071 AnsiToNativeBuf 00a0 @VarClr 00a8 @LStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 08 00 74 53 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 08 59 E8 ?? ?? ?? ?? EB 18 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7175_0 {
	meta:
		name = "TBDEDataSet.GetParamData"
		size = 314
		refs = "001b TBDEDataSet.GetParamData 0029 TParam.GetDataType 0044 TParam.GetAsVariant 004f @VarToLStr 0057 @LStrLen 007e GetNativeStr 0087 @LStrToPChar 00af AnsiToNativeBuf 00bb TParam.GetData 0117 @LStrClr 011f @VarClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 2C 01 74 0C 2C 0F 74 08 2C 07 0F 85 84 00 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 3D FF 00 00 00 7F 0C 8B 45 FC E8 ?? ?? ?? ?? 3C 10 75 21 8B 45 F8 E8 ?? ?? ?? ?? 89 43 04 55 8D 45 E4 E8 ?? ?? ?? ?? 59 8B 45 E4 E8 ?? ?? ?? ?? 89 03 EB 77 83 7D 08 00 74 20 8B 45 F8 E8 ?? ?? ?? ?? 40 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 08 E8 ?? ?? ?? ?? EB 51 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 45 8B 45 FC E8 ?? ?? ?? ?? 04 F1 2C 07 73 2D 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 43 04 8B 45 F8 E8 ?? ?? ?? ?? 89 03 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7176_0 {
	meta:
		name = "TBDEDataSet.GetParamDataSize"
		size = 151
		refs = "0011 TBDEDataSet.GetParamDataSize 001e TParam.GetDataType 0030 TParam.GetAsVariant 003b @VarToLStr 0043 @LStrLen 0065 TParam.GetDataSize 007c @VarClr 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 24 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3D FF 00 00 00 7F 0D 8B C3 E8 ?? ?? ?? ?? 04 F1 2C 07 73 07 BB 10 00 00 00 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7177_0 {
	meta:
		name = "TBDEDataSet.SetFieldData"
		size = 529
		refs = "001b TBDEDataSet.SetFieldData 0039 SNotEditing 003e LoadResString 0048 DatabaseError 006c TField.GetIsIndexField 007c TField.GetDisplayName 0092 SNotIndexField 00a2 DatabaseErrorFmt 00ac TBDEDataSet.GetActiveRecBuf 0111 SFieldReadOnly 012a TField.Validate 016d DbiVerifyField 0172 Check 018b DbiPutField 01ca Move 01f6 @LStrClr 0204 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F4 89 5D E8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 83 8D 00 00 00 04 FE 2C 06 72 1B 2C 03 74 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D3 E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 04 75 51 8B C6 8B 10 FF 52 6C 85 C0 7C 14 83 BB C4 01 00 00 00 7E 3D 8B C6 E8 ?? ?? ?? ?? 84 C0 75 32 6A 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 EC C6 45 F0 0B 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 6C 85 C0 0F 8E D7 00 00 00 80 BB 8D 00 00 00 05 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D3 E8 ?? ?? ?? ?? 80 7E 31 00 74 40 8A 83 8D 00 00 00 2C 04 74 36 2C 02 74 32 6A 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 EC C6 45 F0 0B 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 32 03 0F 84 96 00 00 00 80 BB D6 01 00 00 00 74 35 8B C6 8B 10 FF 52 70 84 C0 74 2A 8A 83 8D 00 00 00 04 FE 2C 02 73 1E 8D 45 F8 50 57 8B C6 8B 10 FF 52 6C 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B 45 FC 50 8B C6 8B 10 FF 52 6C 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 0F B7 83 CC 01 00 00 0F B7 56 3A 03 C2 01 45 FC 8B C7 F7 D8 1B C0 F7 D8 8B 55 FC 88 02 84 C0 74 17 8B C6 8B 10 FF 52 64 0F B7 C8 8B 45 FC 8D 50 01 8B C7 E8 ?? ?? ?? ?? 8A 83 8D 00 00 00 04 FB 2C 03 72 0B 8B CE 33 D2 8B C3 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7178_0 {
	meta:
		name = "TBDEDataSet.GetBlobData"
		size = 43
		refs = "0020 @LStrLAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 0F B7 56 3A 0F B7 8B D2 01 00 00 03 F9 8B 14 97 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7179_0 {
	meta:
		name = "TBDEDataSet.SetBlobData"
		size = 105
		refs = "0010 @LStrAddRef 0018 TBDEDataSet.SetBlobData 0025 TDataSet.ActiveBuffer 0041 @LStrAsg 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B F0 75 18 0F B7 47 3A 0F B7 93 D2 01 00 00 03 F2 8D 04 86 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7180_0 {
	meta:
		name = "TBDEDataSet.CreateBlobStream"
		size = 37
		refs = "000b _Dn_TBlobField 0010 @AsClass 0019 _DV_TBlobStream 001e TBlobStream.Create"
	strings:
		$1 = { 53 56 8B D9 8B F2 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7181_0 {
	meta:
		name = "TBDEDataSet.CloseBlob"
		size = 37
		refs = "0011 TDataSet.ActiveBuffer 001e DbiFreeBlob"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 6C 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7184_0 {
	meta:
		name = "TBDEDataSet.GetStateFieldValue"
		size = 41
		refs = "000f TBDEDataSet.CheckCachedUpdateMode 001e TDataSet.GetStateFieldValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7185_0 {
	meta:
		name = "TBDEDataSet.SetStateFieldValue"
		size = 41
		refs = "000f TBDEDataSet.CheckCachedUpdateMode 001e TDataSet.SetStateFieldValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7186_0 {
	meta:
		name = "TBDEDataSet.Translate"
		size = 87
		refs = "0011 StrLen 002c AnsiToNativeBuf 0041 NativeToAnsiBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7D 08 00 74 15 57 8B 45 FC 8B 80 64 01 00 00 8B CE 8B D3 E8 ?? ?? ?? ?? EB 13 57 8B 45 FC 8B 80 64 01 00 00 8B CE 8B D3 E8 ?? ?? ?? ?? 3B F3 74 04 C6 04 3E 00 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7187_0 {
	meta:
		name = "TBDEDataSet.GetFieldFullName"
		size = 119
		refs = "0046 DbiGetProp 004b Check 005c NativeToAnsi 0069 TDataSet.GetFieldFullName"
	strings:
		$1 = { 53 56 57 81 C4 F4 FB FF FF 8B F9 8B F2 8B D8 8B C6 8B 10 FF 52 6C 85 C0 7E 48 8B C6 8B 10 FF 52 6C 66 89 44 24 02 8D 44 24 08 89 44 24 04 54 68 01 04 00 00 8D 44 24 0A 50 68 10 00 05 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8D 54 24 08 8B 83 64 01 00 00 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 81 C4 0C 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7188_0 {
	meta:
		name = "TBDEDataSet.InternalFirst"
		size = 22
		refs = "000b DbiSetToBegin 0010 Check"
	strings:
		$1 = { 53 8B D8 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7189_0 {
	meta:
		name = "TBDEDataSet.InternalLast"
		size = 22
		refs = "000b DbiSetToEnd 0010 Check"
	strings:
		$1 = { 53 8B D8 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7190_0 {
	meta:
		name = "TBDEDataSet.InternalEdit"
		size = 50
		refs = "0008 TDataSet.ActiveBuffer 0017 DbiGetRecord 001c Check 002c TBDEDataSet.ClearBlobCache"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 6A 01 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7191_0 {
	meta:
		name = "TBDEDataSet.InternalInsert"
		size = 31
		refs = "0012 SetBoolProp 0019 TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 8B D8 83 C9 FF BA 14 00 05 00 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7192_0 {
	meta:
		name = "TBDEDataSet.InternalPost"
		size = 70
		refs = "0011 TDataSet.ActiveBuffer 001e DbiModifyRecord 0023 Check 003b DbiInsertRecord"
	strings:
		$1 = { 53 8B D8 80 BB 8D 00 00 00 02 75 1D 6A FF 8B C3 E8 ?? ?? ?? ?? 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7193_0 {
	meta:
		name = "TBDEDataSet.InternalDelete"
		size = 44
		refs = "000b DbiDeleteRecord 0019 ErrCat 0026 Check"
	strings:
		$1 = { 53 6A 00 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 14 8B C3 E8 ?? ?? ?? ?? 66 83 F8 22 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7194_0 {
	meta:
		name = "TBDEDataSet.IsSequenced"
		size = 24
	strings:
		$1 = { 80 B8 C0 01 00 00 01 75 09 80 B8 98 00 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7195_0 {
	meta:
		name = "TBDEDataSet.GetCanModify"
		size = 31
		refs = "000f TBDEDataSet.ForceUpdateCallback"
	strings:
		$1 = { 53 8B D8 80 BB 98 01 00 00 00 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_7196_0 {
	meta:
		name = "TBDEDataSet.InternalRefresh"
		size = 62
		refs = "0013 TDataSet.ActiveBuffer 0020 DbiForceRecordReread 0025 Check 0033 DbiForceReread"
	strings:
		$1 = { 53 8B D8 8B 43 78 85 C0 74 21 80 78 30 1C 75 1B 8B C3 E8 ?? ?? ?? ?? 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7199_0 {
	meta:
		name = "TBDEDataSet.InternalCancel"
		size = 24
		refs = "0013 DbiRelRecordLock"
	strings:
		$1 = { 80 B8 8D 00 00 00 02 75 0E 6A 00 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7200_0 {
	meta:
		name = "TBDEDataSet.InternalAddRecord"
		size = 54
		refs = "0013 DbiAppendRecord 0018 Check 002a DbiInsertRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 15 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 56 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7201_0 {
	meta:
		name = "TBDEDataSet.InternalGotoBookmark"
		size = 27
		refs = "000f DbiSetToBookMark 0014 Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7202_0 {
	meta:
		name = "TBDEDataSet.InternalSetToRecord"
		size = 18
	strings:
		$1 = { 0F B7 88 CE 01 00 00 03 D1 8B 08 FF 91 78 01 00 00 C3 }
	condition:
		$1
}

rule function_7203_0 {
	meta:
		name = "TBDEDataSet.GetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 D0 01 00 00 03 D0 8A 42 05 C3 }
	condition:
		$1
}

rule function_7204_0 {
	meta:
		name = "TBDEDataSet.SetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 D0 01 00 00 03 D0 88 4A 05 C3 }
	condition:
		$1
}

rule function_7205_0 {
	meta:
		name = "TBDEDataSet.GetBookmarkData"
		size = 23
		refs = "0011 Move"
	strings:
		$1 = { 53 0F B7 98 CE 01 00 00 03 D3 8B 40 58 92 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7206_0 {
	meta:
		name = "TBDEDataSet.SetBookmarkData"
		size = 21
		refs = "000f Move"
	strings:
		$1 = { 53 0F B7 98 CE 01 00 00 03 D3 8B 40 58 91 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7207_0 {
	meta:
		name = "TBDEDataSet.CompareBookmarks"
		size = 78
		refs = "0018 RetCodes 0038 DbiCompareBookMarks"
	strings:
		$1 = { 53 56 51 85 C9 0F 94 C3 8B F3 83 E6 7F 85 D2 0F 94 C3 83 E3 7F 8D 1C 5D ?? ?? ?? ?? 0F BE 1C 33 89 1C 24 83 3C 24 02 75 1E 8B B0 4C 01 00 00 85 F6 74 09 54 51 52 56 E8 ?? ?? ?? ?? 83 3C 24 02 75 05 33 C0 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7208_0 {
	meta:
		name = "TBDEDataSet.BookmarkValid"
		size = 77
		refs = "0017 TDataSet.CursorPosChanged 0024 DbiSetToBookMark 003b DbiGetRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 4C 01 00 00 00 0F 95 C0 84 C0 74 36 8B C3 E8 ?? ?? ?? ?? 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 17 6A 00 6A 00 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_7209_0 {
	meta:
		name = "TBDEDataSet.SetBlockReadSize"
		size = 208
		refs = "001b TDataSet.UpdateCursorPos 002e DbiSetProp 0041 AllocMem 0098 TDataSet.SetBlockReadSize 00b4 TDataSet.CursorPosChanged 00ba TBDEDataSet.SetBlockReadSize"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3B 5E 70 0F 84 B8 00 00 00 85 DB 0F 8E 90 00 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 68 14 00 05 00 8B 86 4C 01 00 00 50 E8 ?? ?? ?? ?? 83 BE E8 01 00 00 00 75 10 B8 00 60 00 00 E8 ?? ?? ?? ?? 89 86 E8 01 00 00 8B CB 89 8E D8 01 00 00 0F B7 86 CC 01 00 00 50 B8 00 60 00 00 5A 8B FA 33 D2 F7 F7 8B F8 3B CF 7E 06 89 BE D8 01 00 00 8B 86 D8 01 00 00 89 86 DC 01 00 00 8B 86 D8 01 00 00 89 86 E0 01 00 00 33 C0 89 86 E4 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 1C 01 00 00 EB 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 E8 01 00 00 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_7210_0 {
	meta:
		name = "TBDEDataSet.BlockReadNext"
		size = 176
		refs = "0020 TDataSet.Last 003c DbiReadBlock 0051 Check 0091 TDataSet.TempBuffer"
	strings:
		$1 = { 53 56 8B D8 8B 83 E0 01 00 00 8B D0 4A 3B 93 DC 01 00 00 7F 6D 3B 83 D8 01 00 00 7D 09 8B C3 E8 ?? ?? ?? ?? EB 62 8B 83 E8 01 00 00 50 8D 83 E0 01 00 00 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 66 85 F6 74 0E 66 81 FE 02 22 74 07 8B C6 E8 ?? ?? ?? ?? 83 BB E0 01 00 00 00 75 0E 66 81 FE 02 22 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 01 83 E4 01 00 00 33 C0 89 83 DC 01 00 00 EB 06 FF 83 DC 01 00 00 83 7B 5C 00 7E 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 C8 00 00 00 83 C9 FF B2 03 8B C3 8B 18 FF 53 5C 5E 5B C3 }
	condition:
		$1
}

rule function_7211_0 {
	meta:
		name = "TBDEDataSet.GetIndexInfo"
		size = 141
		refs = "0016 DbiGetIndexDesc"
	strings:
		$1 = { 53 56 57 81 C4 80 FC FF FF 8B D8 54 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 64 66 8B 84 24 51 01 00 00 66 F7 D8 1B C0 F7 D8 88 83 94 01 00 00 66 8B 84 24 37 03 00 00 66 F7 D8 1B C0 F7 D8 88 83 95 01 00 00 80 BB 94 01 00 00 00 75 22 0F B7 84 24 55 01 00 00 89 83 C4 01 00 00 8D B4 24 5D 01 00 00 8D BB 74 01 00 00 B9 08 00 00 00 F3 A5 66 8B 84 24 57 01 00 00 66 89 83 9A 01 00 00 81 C4 80 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7212_0 {
	meta:
		name = "TBDEDataSet.SwitchToIndex"
		size = 253
		refs = "0012 TBDEDataSet.ResetCursorRange 001a TDataSet.UpdateCursorPos 0025 @LStrToPChar 003e DbiSwitchToIndex 0064 Check 0099 TDataSet.SetBufListSize 00a3 TBDEDataSet.InitBufferPointers 00ab TBDEDataSet.SwitchToIndex 00cf @HandleAnyException 00d9 TDataSet.SetState 00e6 @RaiseAgain 00eb @DoneExcept 00f3 TBDEDataSet.GetIndexInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A FF 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B F8 57 8B 45 FC 05 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 3D 05 22 75 1B 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 8B 45 FC 05 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 C7 80 9A 01 00 00 00 00 8B 45 FC C6 80 94 01 00 00 00 8B 45 FC C6 80 95 01 00 00 00 8B 45 FC 33 D2 89 90 C4 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 40 42 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7213_0 {
	meta:
		name = "TBDEDataSet.GetIndexField"
		size = 180
		refs = "0016 TBDEDataSet.GetIndexField 0030 SFieldIndexError 0035 LoadResString 003f DatabaseError 0052 TDataSet.FieldByNumber 0064 TFieldDefs.GetFieldDef 007a SIndexFieldMissing 008a DatabaseErrorFmt 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 3B B3 C4 01 00 00 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 0F B7 84 73 74 01 00 00 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 32 53 8B D6 4A 8B 43 2C E8 ?? ?? ?? ?? 8B 40 0C 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7215_0 {
	meta:
		name = "TBDEDataSet.GetIndexFieldCount"
		size = 7
	strings:
		$1 = { 8B 80 C4 01 00 00 C3 }
	condition:
		$1
}

rule function_7216_0 {
	meta:
		name = "TBDEDataSet.AllocKeyBuffers"
		size = 113
		refs = "000e TBDEDataSet.AllocKeyBuffers 0028 AllocMem 0032 TBDEDataSet.InitKeyBuffer 0055 @HandleAnyException 005d TBDEDataSet.FreeKeyBuffers 0062 @RaiseAgain 0067 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 0F B7 80 CC 01 00 00 83 C0 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8A D3 8B 4D FC 89 84 91 A4 01 00 00 43 80 FB 06 75 D0 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7217_0 {
	meta:
		name = "TBDEDataSet.FreeKeyBuffers"
		size = 41
		refs = "001c DisposeMem"
	strings:
		$1 = { 53 56 8B F0 33 DB 0F B7 96 CC 01 00 00 83 C2 08 33 C0 8A C3 8D 84 86 A4 01 00 00 E8 ?? ?? ?? ?? 43 80 FB 06 75 E0 5E 5B C3 }
	condition:
		$1
}

rule function_7218_0 {
	meta:
		name = "TBDEDataSet.InitKeyBuffer"
		size = 48
		refs = "0015 @FillChar 0027 DbiInitRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 93 CC 01 00 00 83 C2 08 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 83 C0 08 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7220_0 {
	meta:
		name = "TBDEDataSet.SetCursorRange"
		size = 512
		refs = "0030 BuffersEqual 0071 AllocMem 007c TBDEDataSet.SetCursorRange 00b1 DbiExtractKey 016b DbiSetRange 0170 Check 0194 Move 01ea @FreeMem 01f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC 0F B7 88 CC 01 00 00 83 C1 08 8B 45 FC 8B 90 B0 01 00 00 8B 45 FC 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 FC 0F B7 88 CC 01 00 00 83 C1 08 8B 45 FC 8B 90 B4 01 00 00 8B 45 FC 8B 80 AC 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 92 01 00 00 8B 45 FC 0F B7 80 9A 01 00 00 03 C0 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 01 C6 45 EE 01 8B 45 FC 8B 98 A8 01 00 00 80 3B 00 74 22 8B FB 83 C7 08 8B 45 F0 50 57 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 EF EB 02 33 FF 8B 45 FC 8B B0 AC 01 00 00 80 3E 00 74 32 8B C6 83 C0 08 89 45 F4 8B 45 FC 0F B7 80 9A 01 00 00 03 45 F0 50 8B 45 F4 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 EE EB 05 33 C0 89 45 F4 8A 45 EF 22 45 EE 88 45 ED 80 7D ED 00 74 1D 85 FF 74 03 8B 7D F0 83 7D F4 00 74 10 8B 45 FC 0F B7 80 9A 01 00 00 03 45 F0 89 45 F4 8A 46 01 34 01 F6 D8 1B C0 50 8B 45 F4 50 6A 00 66 8B 46 04 50 8A 43 01 34 01 F6 D8 1B C0 50 57 6A 00 66 8B 43 04 50 8A 45 ED F6 D8 1B C0 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 88 CC 01 00 00 83 C1 08 8B 45 FC 8B 90 B0 01 00 00 8B 45 FC 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 88 CC 01 00 00 83 C1 08 8B 45 FC 8B 90 B4 01 00 00 8B 45 FC 8B 80 AC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 FC 01 00 00 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 80 9A 01 00 00 8B D0 03 D2 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7221_0 {
	meta:
		name = "TBDEDataSet.ResetCursorRange"
		size = 84
		refs = "0023 DbiResetRange 0028 Check 0035 TBDEDataSet.InitKeyBuffer"
	strings:
		$1 = { 53 8B D8 33 C0 8B 93 B0 01 00 00 80 3A 00 75 0B 8B 93 B4 01 00 00 80 3A 00 74 37 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 B4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 01 00 00 B0 01 5B C3 }
	condition:
		$1
}

rule function_7222_0 {
	meta:
		name = "TBDEDataSet.SetLinkRanges"
		size = 203
		refs = "0014 TDataSet.SetTempState 001f TBDEDataSet.SetLinkRanges 0036 TBDEDataSet.InitKeyBuffer 0058 TList.Get 0063 TBDEDataSet.GetIndexField 0094 TDataSet.RestoreState 009a @HandleFinally 00c0 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 A8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 BC 01 00 00 C6 03 01 8B 77 08 4E 85 F6 7C 21 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 43 4E 75 E2 8B 47 08 8B 55 FC 8B 92 BC 01 00 00 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 0F B7 88 CC 01 00 00 83 C1 08 8B 45 FC 8B 90 AC 01 00 00 8B 45 FC 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7223_0 {
	meta:
		name = "TBDEDataSet.GetKeyBuffer"
		size = 11
	strings:
		$1 = { 83 E2 7F 8B 84 90 A4 01 00 00 C3 }
	condition:
		$1
}

rule function_7224_0 {
	meta:
		name = "TBDEDataSet.SetKeyBuffer"
		size = 113
		refs = "000d TDataSet.CheckBrowseMode 0033 Move 0046 TBDEDataSet.InitKeyBuffer 004f TDataSet.SetState 005e TDataSet.SetModified"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 84 86 A4 01 00 00 89 86 BC 01 00 00 0F B7 8E CC 01 00 00 83 C1 08 8B 96 B8 01 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 0D 8B 96 BC 01 00 00 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 8A 10 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 53 5C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7225_0 {
	meta:
		name = "TBDEDataSet.PostKeyBuffer"
		size = 89
		refs = "003d Move 0046 TDataSet.SetState"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 C9 B2 07 8B C6 8B 38 FF 57 5C 84 DB 74 10 8B 86 BC 01 00 00 8A 96 92 00 00 00 88 10 EB 1B 0F B7 8E CC 01 00 00 83 C1 08 8B 96 BC 01 00 00 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 53 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7226_0 {
	meta:
		name = "TBDEDataSet.GetKeyExclusive"
		size = 21
		refs = "0006 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 8A 40 01 5B C3 }
	condition:
		$1
}

rule function_7227_0 {
	meta:
		name = "TBDEDataSet.SetKeyExclusive"
		size = 25
		refs = "0009 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 88 58 01 5E 5B C3 }
	condition:
		$1
}

rule function_7228_0 {
	meta:
		name = "TBDEDataSet.GetKeyFieldCount"
		size = 21
		refs = "0006 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_7229_0 {
	meta:
		name = "TBDEDataSet.SetKeyFieldCount"
		size = 25
		refs = "0009 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 89 70 04 5E 5B C3 }
	condition:
		$1
}

rule function_7230_0 {
	meta:
		name = "TBDEDataSet.SetKeyFields"
		size = 300
		refs = "001a TBDEDataSet.SetKeyFields 0034 SCompositeIndexError 0039 LoadResString 0044 DatabaseError 0058 SNoFieldIndexes 0072 TDataSet.SetTempState 0099 TBDEDataSet.InitKeyBuffer 00b9 TBDEDataSet.GetIndexField 00c0 TField.AssignValue 00fa TDataSet.RestoreState 0100 @HandleFinally 0117 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 94 01 00 00 00 74 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 C4 01 00 00 00 75 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 8A C3 8B 55 FC 8B 94 82 A4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 01 00 00 8B 75 08 85 F6 7C 1E 46 33 FF 8B 5D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 E8 8B 55 08 42 8B 45 FC 8B 80 BC 01 00 00 89 50 04 8B 55 FC 8A 92 92 00 00 00 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7231_0 {
	meta:
		name = "TBDEDataSet.GetIsIndexField"
		size = 109
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 80 BB 8D 00 00 00 04 75 18 83 BB C4 01 00 00 00 75 0F 80 BB 94 01 00 00 00 74 06 C6 04 24 01 EB 3A C6 04 24 00 8B C5 8B 10 FF 52 6C 85 C0 7E 2B 8B B3 C4 01 00 00 4E 85 F6 7C 20 46 33 FF 8B C5 8B 10 FF 52 6C 0F B7 94 7B 74 01 00 00 3B C2 75 06 C6 04 24 01 EB 04 47 4E 75 E3 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7232_0 {
	meta:
		name = "TBDEDataSet.MapsToIndex"
		size = 94
		refs = "0036 TList.Get"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F8 C6 44 24 01 00 8A 87 95 01 00 00 3A 04 24 75 38 8B 45 08 3B 87 C4 01 00 00 7F 2D 8B F0 4E 85 F6 7C 21 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B 10 FF 52 6C 0F B7 94 5F 74 01 00 00 3B C2 75 09 43 4E 75 E2 C6 44 24 01 01 8A 44 24 01 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7233_0 {
	meta:
		name = "TBDEDataSet.ActivateFilters"
		size = 188
		refs = "0017 DbiActivateFilter 002f DbiDropFilter 0041 TBDEDataSet.CreateExprFilter 005b Check 008f TBDEDataSet.RecordFilter 009b TBDEDataSet.CreateFuncFilter"
	strings:
		$1 = { 53 56 8B D8 8B B3 68 01 00 00 85 F6 74 51 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 3F 8B 83 68 01 00 00 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 8A 8B 8C 00 00 00 8B 53 6C 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 68 01 00 00 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 6C 01 00 00 85 F6 74 50 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 3E 8B 83 6C 01 00 00 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 6C 01 00 00 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7234_0 {
	meta:
		name = "TBDEDataSet.DeactivateFilters"
		size = 63
		refs = "0017 DbiDeactivateFilter 001c Check"
	strings:
		$1 = { 53 56 8B D8 8B B3 6C 01 00 00 85 F6 74 12 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 68 01 00 00 85 F6 74 12 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7235_0 {
	meta:
		name = "TBDEDataSet.CreateExprFilter"
		size = 140
		refs = "0012 TBDEDataSet.CreateExprFilter 001e _Dn_TExprParser 0025 TExprParser.Create 0058 DbiAddFilter 005d Check 0072 TObject.Free 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FF 8B D8 52 8A 45 FF 50 A0 ?? ?? ?? ?? 50 6A 00 6A 00 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 6A 00 8B 45 F4 8B 40 24 50 6A 00 66 8B 45 08 50 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_7236_0 {
	meta:
		name = "TBDEDataSet.CreateFuncFilter"
		size = 43
		refs = "001a DbiAddFilter 001f Check"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 56 6A 00 6A 00 57 53 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7237_0 {
	meta:
		name = "TBDEDataSet.CreateLookupFilter"
		size = 396
		refs = "0024 TBDEDataSet.CreateLookupFilter 0051 _Dn_TFilterExpr 0056 TFilterExpr.Create 0080 TList.Get 008f TFilterExpr.NewCompareNode 00b0 @VarArrayGet 00e0 Unassigned 00f5 TFilterExpr.NewNode 0117 TFilterExpr.GetFilterData 0130 DbiAddFilter 0135 Check 014a TObject.Free 0150 @HandleFinally 0167 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 0C 01 74 07 A0 ?? ?? ?? ?? EB 05 A0 ?? ?? ?? ?? 50 A0 ?? ?? ?? ?? 50 6A 00 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 83 F8 01 75 24 8B 45 F4 50 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 B9 03 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B F0 89 75 E8 EB 66 8B F8 4F 85 FF 7C 5F 47 33 DB 53 6A 01 8B 45 F4 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 B9 03 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 05 89 75 E8 EB 1D A1 ?? ?? ?? ?? 50 8B 45 E8 50 56 B9 0A 00 00 00 B2 02 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 43 4F 75 A4 F6 45 0C 02 74 04 C6 46 05 01 8D 45 F0 50 6A 00 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 66 8B 45 08 50 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 00 03 00 00 00 02 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7238_0 {
	meta:
		name = "TBDEDataSet.SetFilterHandle"
		size = 117
		refs = "0015 TDataSet.CursorPosChanged 002b DbiSetToBegin 003f DbiDropFilter 0055 DbiActivateFilter"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB 98 00 00 00 00 74 49 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 01 00 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 83 3E 00 74 0F 8B 06 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 89 3E 83 3E 00 74 27 8B 06 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? EB 16 83 3E 00 74 0F 8B 06 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 89 3E 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7239_0 {
	meta:
		name = "TBDEDataSet.SetFilterData"
		size = 139
		refs = "000d TDataSet.GetActive 0018 TDataSet.CheckBrowseMode 0022 @LStrCmp 0042 TBDEDataSet.CreateExprFilter 0055 TBDEDataSet.SetFilterHandle 005e TDataSet.SetFilterText 0068 TDataSet.SetFilterOptions 0083 TDataSet.First"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8B C3 E8 ?? ?? ?? ?? 8B 43 6C 8B D6 E8 ?? ?? ?? ?? 75 0B 8A 04 24 3A 83 8C 00 00 00 74 26 85 F6 74 11 6A 00 8A 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 8D 93 68 01 00 00 8B C8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 14 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 80 BB 98 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7241_0 {
	meta:
		name = "TBDEDataSet.SetFiltered"
		size = 105
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 0032 DbiSetToBegin 003d TBDEDataSet.ActivateFilters 0046 TBDEDataSet.DeactivateFilters 004f TDataSet.SetFiltered 0056 TDataSet.First"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4C 8B C6 E8 ?? ?? ?? ?? 3A 9E 98 00 00 00 74 33 8B C6 8B 10 FF 92 FC 01 00 00 8B 86 4C 01 00 00 50 E8 ?? ?? ?? ?? 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7243_0 {
	meta:
		name = "TBDEDataSet.SetOnFilterRecord"
		size = 139
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 0037 TBDEDataSet.RecordFilter 0043 TBDEDataSet.CreateFuncFilter 0056 TBDEDataSet.SetFilterHandle 0063 TDataSet.SetOnFilterRecord 0073 TDataSet.First"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 68 8B C3 E8 ?? ?? ?? ?? 66 83 BB 46 01 00 00 00 0F 95 C2 66 8B 45 0A 66 85 C0 0F 95 C1 3A D1 74 29 66 85 C0 74 13 BA ?? ?? ?? ?? B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 8D 93 6C 01 00 00 8B C8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 80 BB 98 00 00 00 00 74 16 8B C3 E8 ?? ?? ?? ?? EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7244_0 {
	meta:
		name = "TBDEDataSet.FindRecord"
		size = 312
		refs = "0013 TDataSet.CheckBrowseMode 0028 TDataSet.SetFound 0030 TDataSet.UpdateCursorPos 0038 TDataSet.CursorPosChanged 004c TBDEDataSet.ActivateFilters 0054 TBDEDataSet.FindRecord 0073 DbiSetToBegin 0078 Check 008d DbiGetNextRecord 00a6 DbiSetToEnd 00c0 DbiGetPriorRecord 00e5 TBDEDataSet.DeactivateFilters 00eb @HandleFinally 0117 TDataSet.GetFound"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A4 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 98 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 33 84 DB 74 14 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 F8 EB 31 84 DB 74 14 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 98 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 66 83 7D F8 00 75 1B 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 45 FC 8B 10 FF 92 84 00 00 00 8B C3 5B 59 59 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_7245_0 {
	meta:
		name = "TBDEDataSet.RecordFilter"
		size = 130
		refs = "000d TDataSet.SetTempState 0024 TBDEDataSet.RecordFilter 0052 @HandleAnyException 0057 Application 0061 TApplication.HandleException 0066 @DoneExcept 0071 TDataSet.RestoreState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 B2 06 8B 45 08 E8 ?? ?? ?? ?? 88 45 FE 8B 45 08 8B 55 0C 89 90 70 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8D 4D FF 8B 5D 08 8B 55 08 8B 83 48 01 00 00 FF 93 44 01 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FE 8B 45 08 E8 ?? ?? ?? ?? 33 C0 8A 45 FF 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_7246_0 {
	meta:
		name = "TBDEDataSet.LocateRecord"
		size = 681
		refs = "0026 TBDEDataSet.LocateRecord 0034 TDataSet.CheckBrowseMode 003c TDataSet.CursorPosChanged 0044 TDataSet.TempBuffer 004d _Dn_TList 0052 TObject.Create 0070 TDataSet.GetFieldList 0097 TBDEDataSet.MapsToIndex 00cf TDataSet.SetTempState 00f0 DbiInitRecord 0107 TList.First 0129 TList.Get 013a @VarArrayGet 015d TList.Last 017e @LStrLen 0193 DbiGetRecordForKey 01ae TDataSet.RestoreState 01b4 @HandleFinally 01e8 DbiSetToCursor 01fd DbiSetToBegin 0202 Check 0216 TBDEDataSet.CreateLookupFilter 0228 DbiActivateFilter 023c DbiGetNextRecord 0250 DbiDropFilter 0265 TObject.Free 028a @LStrClr 0292 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? F6 45 0C 01 0F 95 C3 8B 45 FC 80 B8 96 01 00 00 00 74 07 33 C0 89 45 EC EB 31 8B CB 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 80 4C 01 00 00 89 45 EC EB 12 8B CB 8B D7 8B 45 FC 8B 18 FF 93 00 02 00 00 89 45 EC 83 7D EC 00 0F 84 29 01 00 00 B2 06 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 B0 70 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 89 45 F4 83 7D F4 01 75 15 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 91 9C 00 00 00 EB 39 8B 7D F4 4F 85 FF 7C 31 47 33 DB 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 50 53 6A 01 8B 45 F8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D8 58 8B 08 FF 91 9C 00 00 00 43 4F 75 D2 33 DB F6 45 0C 02 74 2B 8B 45 F0 E8 ?? ?? ?? ?? 80 78 30 01 75 1D FF 4D F4 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 D4 8B 08 FF 51 58 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 56 56 53 66 8B 45 F4 50 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 66 89 45 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 66 83 7D EA 00 0F 94 C0 22 45 08 0F 84 89 00 00 00 8B 45 FC 8B 80 4C 01 00 00 3B 45 EC 74 7B 8B 45 EC 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EA EB 62 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 0C 50 6A 02 8B 4D F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 56 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EA 53 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 83 7D EA 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7251_0 {
	meta:
		name = "TBDEDataSet.HasConstraints"
		size = 69
		refs = "000c TCollection.GetCount 0017 TDataSet.GetFieldCount 002b TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F8 B3 01 8B 47 74 E8 ?? ?? ?? ?? 85 C0 7F 2A 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 1A 45 33 F6 8B 47 24 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 70 84 C0 75 06 46 4D 75 E9 33 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7252_0 {
	meta:
		name = "TBDEDataSet.ConstraintsDisabled"
		size = 11
	strings:
		$1 = { 83 B8 C8 01 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_7253_0 {
	meta:
		name = "TBDEDataSet.DisableConstraints"
		size = 38
		refs = "001a SetBoolProp"
	strings:
		$1 = { 53 8B D8 83 BB C8 01 00 00 00 75 12 33 C9 BA 9B 00 05 04 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? FF 83 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7254_0 {
	meta:
		name = "TBDEDataSet.EnableConstraints"
		size = 44
		refs = "0027 SetBoolProp"
	strings:
		$1 = { 83 B8 C8 01 00 00 00 74 22 FF 88 C8 01 00 00 83 B8 C8 01 00 00 00 75 13 83 C9 FF BA 9B 00 05 04 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7256_0 {
	meta:
		name = "GetFieldConstraint"
		size = 251
		refs = "000b GetFieldConstraint 002c @LStrFromArray 003a TDataSet.FindField 005e GetPChar 0070 StrCopy 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 55 08 8B 52 10 81 C2 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 8F 00 00 00 80 7E 35 00 75 0C 83 7E 70 00 75 06 83 7E 6C 00 74 7D 8B 46 70 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 68 21 00 00 E8 ?? ?? ?? ?? 8B 46 74 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 E9 41 00 00 E8 ?? ?? ?? ?? 8B 46 74 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 69 41 00 00 E8 ?? ?? ?? ?? 8A 46 35 F6 D8 1B C0 8B 55 08 8B 52 10 89 82 69 42 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7257_0 {
	meta:
		name = "GetTableConstraint"
		size = 137
		refs = "0018 TCheckConstraints.GetItem 0022 GetPChar 0034 StrCopy"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 50 10 0F B7 12 4A 8B 45 08 8B 40 08 8B 40 74 E8 ?? ?? ?? ?? 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 68 21 00 00 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 E9 41 00 00 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 69 41 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_7258_0 {
	meta:
		name = "GetDefaultExpression"
		size = 138
		refs = "000b GetDefaultExpression 002c @LStrFromArray 003a TDataSet.FindField 004e GetPChar 0060 StrCopy 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 55 08 8B 52 10 81 C2 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B F0 85 F6 74 22 83 7E 78 00 74 1C 8B 46 78 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7259_0 {
	meta:
		name = "TBDEDataSet.ConstraintCallBack"
		size = 196
		refs = "0011 TBDEDataSet.ConstraintCallBack 0048 GetFieldSource 005a GetFieldConstraint 006d GetDefaultExpression 0085 TCollection.GetCount 0099 GetTableConstraint 00af @HandleAnyException 00b4 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 C7 45 FE 04 2A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 83 C0 FD 83 F8 04 77 7E FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 10 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 54 66 C7 45 FE 00 00 EB 4C 55 E8 ?? ?? ?? ?? 59 84 C0 74 41 66 C7 45 FE 00 00 EB 39 55 E8 ?? ?? ?? ?? 59 84 C0 74 2E 66 C7 45 FE 00 00 EB 26 8B 45 08 8B 40 74 E8 ?? ?? ?? ?? 8B 55 10 66 89 02 66 C7 45 FE 00 00 EB 0D 55 E8 ?? ?? ?? ?? 59 66 C7 45 FE 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 FE 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_7260_0 {
	meta:
		name = "TBDEDataSet.AllocCachedUpdateBuffers"
		size = 131
		refs = "000e AllocMem 005e @FreeMem 007c DisposeMem"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 48 B8 10 00 00 00 E8 ?? ?? ?? ?? 89 83 9C 01 00 00 0F B7 83 D4 01 00 00 E8 ?? ?? ?? ?? 8B 93 9C 01 00 00 89 42 08 0F B7 83 D4 01 00 00 E8 ?? ?? ?? ?? 8B B3 9C 01 00 00 89 46 0C 66 8B 83 CC 01 00 00 66 89 46 06 5E 5B C3 8B 83 9C 01 00 00 85 C0 74 26 8B 40 08 E8 ?? ?? ?? ?? 8B 83 9C 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8D 83 9C 01 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7261_0 {
	meta:
		name = "TBDEDataSet.CheckCachedUpdateMode"
		size = 87
		refs = "000c TBDEDataSet.CheckCachedUpdateMode 0023 SNoCachedUpdates 0028 LoadResString 0032 DatabaseError 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 96 01 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7262_0 {
	meta:
		name = "TBDEDataSet.UpdateCallbackRequired"
		size = 44
	strings:
		$1 = { 80 B8 96 01 00 00 00 74 1D 66 83 B8 FA 01 00 00 00 75 16 66 83 B8 02 02 00 00 00 75 0C 83 B8 F4 01 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7263_0 {
	meta:
		name = "TBDEDataSet.ForceUpdateCallback"
		size = 34
	strings:
		$1 = { 80 B8 96 01 00 00 00 74 13 66 83 B8 02 02 00 00 00 75 0C 83 B8 F4 01 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7264_0 {
	meta:
		name = "ReAllocBuffers"
		size = 157
		refs = "001b TBDEDataSet.FreeKeyBuffers 0028 TDataSet.SetBufListSize 0030 ReAllocBuffers 0043 TBDEDataSet.InitBufferPointers 0063 TBDEDataSet.AllocKeyBuffers 0072 @HandleAnyException 007f TDataSet.SetState 008f @RaiseAgain 0094 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 10 FF 92 B4 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 50 40 42 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 52 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7265_0 {
	meta:
		name = "TBDEDataSet.SetCachedUpdates"
		size = 268
		refs = "0040 TDataSet.CheckBrowseMode 0048 TDataSet.UpdateCursorPos 0062 DbiEndConstraintLayer 007c DbiEndDelayedUpdates 0081 Check 0091 DbiBeginDelayedUpdates 00ab TBDEDataSet.ConstraintCallBack 00bc DbiBeginConstraintLayer 00d0 ReAllocBuffers 00db TBDEDataSet.AllocCachedUpdateBuffers 00e3 TBDEDataSet.UpdateCallbackRequired 00ed TBDEDataSet.SetupCallBack 00f3 TBDEDataSet.SetCachedUpdates"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 B8 8D 00 00 00 00 74 09 8B 45 FC F6 40 20 10 74 0E 8B 45 FC 88 98 96 01 00 00 E9 D5 00 00 00 8B 45 FC 3A 98 96 01 00 00 0F 84 C6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D6 01 00 00 00 74 0E 8B 45 FC 05 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 96 01 00 00 00 74 15 8B 45 FC 05 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 45 FC 05 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D6 01 00 00 00 74 1F 8B 45 FC 50 B8 ?? ?? ?? ?? 50 8B 45 FC 05 4C 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 88 98 96 01 00 00 55 E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7266_0 {
	meta:
		name = "TBDEDataSet.SetupCallBack"
		size = 95
		refs = "002a TBDEDataSet.CachedUpdateCallBack 0035 _DV_TBDECallback 003a TBDECallback.Create 0051 TObject.Free"
	strings:
		$1 = { 53 8B D8 84 D2 74 3F F6 43 20 10 75 50 83 BB A0 01 00 00 00 75 47 8B 83 4C 01 00 00 50 6A 19 8B 83 9C 01 00 00 50 6A 10 53 68 ?? ?? ?? ?? 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 01 00 00 EB 17 8B 83 A0 01 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 A0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7267_0 {
	meta:
		name = "TBDEDataSet.ProcessUpdates"
		size = 36
		refs = "0009 TBDEDataSet.CheckCachedUpdateMode 0010 TDataSet.UpdateCursorPos 001d DbiApplyDelayedUpdates"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7268_0 {
	meta:
		name = "TBDEDataSet.ApplyUpdates"
		size = 59
		refs = "001e TBDEDataSet.ProcessUpdates 002e Abort 0035 DbiError"
	strings:
		$1 = { 53 8B D8 80 BB 8D 00 00 00 01 74 0A 8B C3 8B 10 FF 92 E4 01 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 85 C0 74 12 66 3D 06 33 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7269_0 {
	meta:
		name = "TBDEDataSet.CommitUpdates"
		size = 40
		refs = "0008 TBDEDataSet.ProcessUpdates 000d Check 0013 TBDEDataSet.CommitUpdates"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_7270_0 {
	meta:
		name = "TBDEDataSet.CancelUpdates"
		size = 48
		refs = "0015 TBDEDataSet.ProcessUpdates 001b TBDEDataSet.CancelUpdates"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 AC 01 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_7271_0 {
	meta:
		name = "TBDEDataSet.RevertRecord"
		size = 76
		refs = "0021 TBDEDataSet.ProcessUpdates 0031 Check 0037 TBDEDataSet.RevertRecord"
	strings:
		$1 = { 53 8B D8 8A 83 8D 00 00 00 04 FE 2C 03 73 0A 8B C3 8B 10 FF 92 AC 01 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 85 C0 74 0B 66 3D 01 30 74 05 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_7272_0 {
	meta:
		name = "TBDEDataSet.UpdateStatus"
		size = 51
		refs = "001d TDataSet.ActiveBuffer"
	strings:
		$1 = { 53 8B D8 80 BB 96 01 00 00 00 74 23 80 BB 8D 00 00 00 05 75 05 8B 43 54 EB 07 8B C3 E8 ?? ?? ?? ?? 0F B7 93 D0 01 00 00 03 C2 8A 40 04 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_7273_0 {
	meta:
		name = "TBDEDataSet.CachedUpdateCallBack"
		size = 338
		refs = "002e TBDEDataSet.CachedUpdateCallBack 007f DbiError 0091 @HandleOnException 0099 _Dn_Exception 00a7 _DV_EDBEngineError 00ac @IsClass 00b9 EDBEngineError.GetError 00d1 _Dn_EDatabaseError 010a Application 0114 TApplication.HandleException 011d @DoneExcept 0129 CBRetCode"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC C6 80 97 01 00 00 01 C6 45 FB 00 8B 45 FC 8B 90 9C 01 00 00 8B 42 02 48 88 45 FA 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 66 83 B8 02 02 00 00 00 74 1B 8D 45 FB 50 8B 5D FC 8A 4D FA 8B 55 FC 8B 83 04 02 00 00 FF 93 00 02 00 00 EB 23 8B 45 FC 8B 80 F4 01 00 00 85 C0 74 0E 8A 55 FA 8B 08 FF 51 38 C6 45 FB 04 EB 08 66 8B 02 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 91 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 33 D2 8B C3 E8 ?? ?? ?? ?? 66 8B 40 04 8B 55 FC 8B 92 9C 01 00 00 66 89 02 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 FC 66 83 B8 FA 01 00 00 00 74 1E 8A 45 FA 50 8D 45 FB 50 8B 75 FC 8B CB 8B 55 FC 8B 86 FC 01 00 00 FF 96 F8 01 00 00 EB 13 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? C6 45 FB 01 E8 ?? ?? ?? ?? 33 C0 8A 45 FB 8B 04 85 ?? ?? ?? ?? 80 7D FB 01 75 0E 8B 55 FC 8B 92 9C 01 00 00 66 C7 02 06 33 8B 55 FC C6 82 97 01 00 00 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7274_0 {
	meta:
		name = "TBDEDataSet.GetUpdateRecordSet"
		size = 60
		refs = "0007 TDataSet.GetActive 0012 TBDEDataSet.CheckCachedUpdateMode 0022 GetIntProp 002c TBDEDataSet.GetUpdateRecordSet"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 E8 ?? ?? ?? ?? BA 03 00 05 05 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B D8 EB 06 8A 1D ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7275_0 {
	meta:
		name = "TBDEDataSet.SetUpdateRecordSet"
		size = 80
		refs = "000a TBDEDataSet.CheckCachedUpdateMode 0011 TDataSet.CheckBrowseMode 0018 TDataSet.UpdateCursorPos 002f DbiSetProp 0034 Check 003a TBDEDataSet.SetUpdateRecordSet"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 04 24 50 68 03 00 05 05 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5A 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_7276_0 {
	meta:
		name = "TBDEDataSet.SetUpdateObject"
		size = 126
		refs = "0069 TBDEDataSet.SetUpdateObject"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B B3 F4 01 00 00 74 6B 8B BB F4 01 00 00 85 FF 74 18 8B C7 8B 10 FF 52 30 3B D8 75 0D 33 D2 8B 83 F4 01 00 00 8B 08 FF 51 34 8B C6 89 83 F4 01 00 00 85 C0 74 3D 8B 83 F4 01 00 00 8B 10 FF 52 30 85 C0 74 21 8B 83 F4 01 00 00 8B 10 FF 52 30 3B D8 74 12 8B 83 F4 01 00 00 8B 10 FF 52 30 33 D2 E8 ?? ?? ?? ?? 8B D3 8B 83 F4 01 00 00 8B 08 FF 51 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7277_0 {
	meta:
		name = "TBDEDataSet.SetOnUpdateError"
		size = 56
		refs = "0009 TDataSet.GetActive 0014 TBDEDataSet.UpdateCallbackRequired 001d TBDEDataSet.SetupCallBack"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 F8 01 00 00 8B 45 0C 89 83 FC 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7278_0 {
	meta:
		name = "TBDEDataSet.GetUpdatesPending"
		size = 26
		refs = "000f GetIntProp"
	strings:
		$1 = { 53 8B D8 BA 05 00 05 05 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_7279_0 {
	meta:
		name = "TBDEDataSet.DataEvent"
		size = 36
		refs = "0011 TDataSet.First 001c TDataSet.DataEvent"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 80 FB 0B 75 07 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7281_0 {
	meta:
		name = "TNestedTable.CreateHandle"
		size = 284
		refs = "0014 TNestedTable.CreateHandle 0028 SNoDataSetField 002d LoadResString 0037 DatabaseError 0043 _DV_TBDEDataSet 0048 @AsClass 0057 TDataSet.Open 0062 TDataSet.UpdateCursorPos 0093 DbiOpenNestedTable 0098 Check 00b6 DbiOpenRef 00cf TFieldDefs.SetHiddenFields 0106 @LStrClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 78 00 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 43 78 8B 40 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B B8 4C 01 00 00 8B 73 78 80 7E 30 1D 75 23 8D 45 FC 50 6A 00 8A 46 31 F6 D8 1B C0 50 8B C6 8B 10 FF 52 6C 50 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 45 FC 50 6A 00 8A 46 31 F6 D8 1B C0 50 8B C6 8B 10 FF 52 6C 50 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 40 2C 8A 50 34 8B 43 2C E8 ?? ?? ?? ?? 8B 43 78 80 B8 E4 00 00 00 00 74 0C C7 83 88 00 00 00 01 00 00 00 EB 0A C7 83 88 00 00 00 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7282_0 {
	meta:
		name = "TNestedTable.DoAfterPost"
		size = 298
		refs = "001e TNestedTable.DoAfterPost 0058 DbiGetProp 005d Check 00a8 VarArrayCreate 00b0 VarArrayLock 00cf Move 00e4 VarArrayUnlock 00ea @HandleFinally 0105 TDataSet.DoAfterPost 011a @VarClr"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 33 D2 89 55 E8 89 55 EC 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 78 80 78 30 1C 0F 85 C9 00 00 00 8D 45 FA 50 68 00 01 00 00 8D 85 E8 FE FF FF 50 68 07 00 05 04 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 8B 10 FF 52 64 66 3B 45 FA 0F 82 8B 00 00 00 8D 45 E8 50 33 C0 89 85 E0 FE FF FF 8B 45 FC 8B 40 78 8B 10 FF 52 64 0F B7 C0 48 89 85 E4 FE FF FF 8D 85 E0 FE FF FF B9 11 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 4D FA 8B D0 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 E8 8B 45 FC 8B 40 78 8B 08 FF 91 9C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_7283_0 {
	meta:
		name = "TNestedTable.DoBeforeInsert"
		size = 186
		refs = "0016 TNestedTable.DoBeforeInsert 0023 TDataSet.DoBeforeInsert 0068 TField.GetDisplayName 007e SNoReferenceTableName 0083 LoadResString 008e DatabaseErrorFmt 00a8 @LStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 78 80 78 30 1D 75 1D 8B 83 F0 01 00 00 80 B8 8D 00 00 00 03 75 0E 8B 83 F0 01 00 00 8B 10 FF 92 E4 01 00 00 8B 73 78 80 7E 30 1C 75 3C 83 BE E8 00 00 00 00 75 33 6A 00 8D 55 F4 8B 43 78 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7284_0 {
	meta:
		name = "TNestedTable.InternalPost"
		size = 66
		refs = "001d @LStrToPChar 002f DbiSetProp 0034 Check 003b TBDEDataSet.InternalPost"
	strings:
		$1 = { 53 56 8B D8 8B 73 78 80 7E 30 1C 75 2B 80 BB 8D 00 00 00 03 75 22 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 50 68 06 00 05 04 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7285_0 {
	meta:
		name = "TDBDataSet.OpenCursor"
		size = 47
		refs = "001a TBDEDataSet.OpenCursor 0027 TDBDataSet.SetUpdateMode"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B1 01 33 D2 8B C6 8B 38 FF 97 10 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 96 0A 02 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7286_0 {
	meta:
		name = "TDBDataSet.CloseCursor"
		size = 26
		refs = "0006 TBDEDataSet.CloseCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 8B 18 FF 93 10 02 00 00 5B C3 }
	condition:
		$1
}

rule function_7287_0 {
	meta:
		name = "TDBDataSet.CheckDBSessionName"
		size = 95
		refs = "001d Sessions 0022 TSessionList.FindSession 0037 TSession.DoFindDatabase 0040 DefaultSession 0058 TDatabase.CheckSessionName"
	strings:
		$1 = { 53 56 8B D8 83 BB 14 02 00 00 00 74 4F 83 BB 10 02 00 00 00 74 46 8B 93 14 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 30 8B CB 8B 93 10 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1D E8 ?? ?? ?? ?? 8B CB 8B 93 10 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B2 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7288_0 {
	meta:
		name = "TDBDataSet.CheckOpen"
		size = 67
		refs = "001e TDBDataSet.GetDBSession 0023 TSession.GetPassword 002e DbiError"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 66 83 E8 01 72 08 66 2D 01 29 74 07 EB 21 B0 01 5E 5B C3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7289_0 {
	meta:
		name = "TDBDataSet.ConstraintsStored"
		size = 18
		refs = "0007 TCollection.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 74 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_7291_0 {
	meta:
		name = "TDBDataSet.GetDBHandle"
		size = 17
	strings:
		$1 = { 8B 90 0C 02 00 00 85 D2 74 04 8B 42 3C C3 33 C0 C3 }
	condition:
		$1
}

rule function_7292_0 {
	meta:
		name = "TDBDataSet.GetDBLocale"
		size = 17
	strings:
		$1 = { 8B 90 0C 02 00 00 85 D2 74 04 8B 42 40 C3 33 C0 C3 }
	condition:
		$1
}

rule function_7293_0 {
	meta:
		name = "TDBDataSet.GetDBSession"
		size = 41
		refs = "0016 Sessions 001b TSessionList.FindSession 0024 DefaultSession"
	strings:
		$1 = { 8B 90 0C 02 00 00 85 D2 74 05 8B 42 44 EB 10 8B 90 14 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7294_0 {
	meta:
		name = "GetQuoteChar"
		size = 120
		refs = "000a @LStrClr 0044 DbiGetProp 0054 @LStrFromChar 005d GetQuoteChar 0062 @LStrLAsg"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 0C 02 00 00 80 78 30 00 74 3A C6 45 FF 00 8D 45 FC 50 6A 01 8D 45 FF 50 68 0A 00 04 04 8B 45 08 8B 40 FC 8B 80 0C 02 00 00 8B 40 3C 50 E8 ?? ?? ?? ?? 80 7D FF 00 74 18 8B C3 8A 55 FF E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_7295_0 {
	meta:
		name = "TDBDataSet.GetProviderAttributes"
		size = 452
		refs = "0037 TDBDataSet.GetProviderAttributes 0047 TDataSet.GetProviderAttributes 005d DbiGetCursorProps 0073 StrPas 0084 @VarFromLStr 0096 CreateAttribute 00b3 @VarFromInt 00e3 @VarFromBool 0101 GetQuoteChar 0110 @LStrLAsg 0150 @LStrClr 015b @VarClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 38 FE FF FF 53 56 33 C9 89 8D 3C FE FF FF 89 8D 40 FE FF FF 89 8D 44 FE FF FF 89 8D 48 FE FF FF 89 8D 38 FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 85 4D FE FF FF 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 80 7D AE 00 74 33 6A 00 8D 95 38 FE FF FF 8D 45 AE E8 ?? ?? ?? ?? 8B 95 38 FE FF FF 8D 85 3C FE FF FF E8 ?? ?? ?? ?? 8D 8D 3C FE FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 64 01 00 00 85 F6 74 22 6A 00 8D 85 3C FE FF FF 8B 56 62 E8 ?? ?? ?? ?? 8D 8D 3C FE FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 0C 02 00 00 80 78 30 00 75 21 6A 01 8D 85 3C FE FF FF 33 D2 E8 ?? ?? ?? ?? 8D 8D 3C FE FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 55 8D 85 38 FE FF FF E8 ?? ?? ?? ?? 59 8B 95 38 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 22 6A 01 8D 85 3C FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8D 8D 3C FE FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FE FF FF E8 ?? ?? ?? ?? 8D 85 3C FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 0A 00 00 00 53 45 52 56 45 52 5F 43 4F 4C 00 00 FF FF FF FF 04 00 00 00 4C 43 49 44 00 00 00 00 FF FF FF FF 09 00 00 00 53 51 4C 5F 42 41 53 45 44 00 00 00 FF FF FF FF 0A 00 00 00 51 55 4F 54 45 5F 43 48 41 52 00 00 }
	condition:
		$1
}

rule function_7296_0 {
	meta:
		name = "TDBDataSet.GetProvider"
		size = 151
		refs = "0011 TDBDataSet.GetProvider 0026 CreateProviderProc 0042 @IntfCopy 004c SNoProvider 0051 LoadResString 005b DatabaseError 007d @LStrClr 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB EC 01 00 00 00 75 3B 83 3D ?? ?? ?? ?? 00 74 1B 8D 55 FC 8B C3 FF 15 ?? ?? ?? ?? 8B 55 FC 8D 83 EC 01 00 00 E8 ?? ?? ?? ?? EB 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B C6 8B 93 EC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7297_0 {
	meta:
		name = "TDBDataSet.OpenDatabase"
		size = 35
		refs = "000a Sessions 000f TSessionList.GetSessionByName 001d TSession.DoOpenDatabase"
	strings:
		$1 = { 53 8B D8 8B 93 14 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 04 8B 93 10 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7298_0 {
	meta:
		name = "TDBDataSet.CloseDatabase"
		size = 13
		refs = "0008 TSession.CloseDatabase"
	strings:
		$1 = { 85 D2 74 08 8B 42 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7299_0 {
	meta:
		name = "TDBDataSet.SetDatabaseName"
		size = 158
		refs = "000f TDBDataSet.SetDatabaseName 0028 @LStrAsg 0037 @LStrCmp 0051 SDatabaseOpen 0056 LoadResString 0060 DatabaseError 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 20 02 74 0F 8D 83 10 02 00 00 8B D6 E8 ?? ?? ?? ?? EB 4E 8B 83 10 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 3F 8B C3 8B 10 FF 52 44 83 BB 0C 02 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 83 10 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7300_0 {
	meta:
		name = "TDBDataSet.SetDBFlag"
		size = 244
		refs = "0027 TDBDataSet.SetDBFlag 0037 TDBDataSet.CheckDBSessionName 003e TDBDataSet.OpenDatabase 0050 TList.Add 0060 TBDEDataSet.SetLocale 007c TSession.LoadSMClient 00b4 TDBDataSet.GetDBLocale 00cd TList.Remove 00dc TSession.CloseDatabase"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B C7 83 F8 0F 77 07 0F A3 86 08 02 00 00 0F 92 C3 84 C9 74 73 84 DB 0F 85 C3 00 00 00 66 A1 ?? ?? ?? ?? 66 3B 86 08 02 00 00 75 4C 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B E8 89 AE 0C 02 00 00 8B 45 24 8B D6 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 8B 50 40 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 80 78 2B 00 74 10 F6 46 20 10 74 0A 8B 40 44 B2 01 E8 ?? ?? ?? ?? 8B C7 83 F8 0F 77 61 0F AB 86 08 02 00 00 EB 58 84 DB 74 54 8B C7 83 F8 0F 77 07 0F B3 86 08 02 00 00 66 A1 ?? ?? ?? ?? 66 3B 86 08 02 00 00 75 37 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 8B 50 44 92 E8 ?? ?? ?? ?? 33 C0 89 86 0C 02 00 00 8B C3 5D 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_7301_0 {
	meta:
		name = "TDBDataSet.SetSessionName"
		size = 40
		refs = "0016 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 44 8D 83 14 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 53 5C 5E 5B C3 }
	condition:
		$1
}

rule function_7302_0 {
	meta:
		name = "TDBDataSet.SetUpdateMode"
		size = 77
		refs = "003b DbiSetProp 0040 Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 4C 01 00 00 00 74 35 8B 86 0C 02 00 00 80 78 30 00 74 29 8B C6 8B 10 FF 92 CC 00 00 00 84 C0 74 1B 33 C0 8A C3 50 68 00 00 05 04 8B 86 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 0A 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7303_0 {
	meta:
		name = "TBatchMove.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TComponent.Create 002a _Dn_TStringList 002f TObject.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 2D 01 C6 46 2E 01 C6 46 2F 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7304_0 {
	meta:
		name = "TBatchMove.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7305_0 {
	meta:
		name = "TBatchMove.ConvertName"
		size = 34
		refs = "0016 AnsiToNative"
	strings:
		$1 = { 53 56 8B F1 8B DA 85 DB 74 13 68 04 01 00 00 8B CE 8B D3 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7306_0 {
	meta:
		name = "GetMappingNames"
		size = 184
		refs = "000a GetMappingNames 0034 @LStrPos 0051 @LStrCopy 0078 @LStrLAsg 009b @LStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 40 44 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 30 8B 45 08 83 C0 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8D 53 01 B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 1C 8B 45 08 83 C0 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_7307_0 {
	meta:
		name = "TBatchMove.Execute"
		size = 1100
		refs = "0024 TBatchMove.Execute 0050 SInvalidBatchMove 0055 LoadResString 0063 DatabaseError 006e TDataSet.GetActive 008e TFieldMap 0093 @DynArrayClear 00ac TDataSet.DisableControls 00c2 TDataSet.Open 00cd TDataSet.CheckBrowseMode 00d8 TDataSet.UpdateCursorPos 00f2 TDataSet.Close 0115 TDataSet.SetFieldDefs 0125 TCollection.Clear 0145 GetMappingNames 0157 TFieldDefs.Find 0160 TFieldDef.GetSize 0168 TFieldDef.GetRequired 017d TFieldDefs.Add 019f TTable.CreateTable 01d8 TCollection.GetCount 01f4 @DynArraySetLength 022e TFieldDef.GetFieldNo 0288 DbiSetToBegin 028d Check 02a2 TDataSet.CursorPosChanged 02d0 TDBDataSet.GetDBHandle 02d6 DbiSetProp 032c TBatchMove.ConvertName 038e DbiBatchMove 03b1 TDataSet.First 03b7 @HandleFinally 03f3 TDataSet.EnableControls 041e @LStrClr 0439 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FC FF FF 53 56 57 33 D2 89 95 D4 FC FF FF 89 55 E8 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 85 C0 74 11 8B 55 FC 83 7A 28 00 74 08 8B 55 FC 3B 42 28 75 1E 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 88 45 EF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 88 45 EE 66 C7 45 EC 00 00 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8A 58 2C 80 FB 04 0F 85 BA 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 14 85 C0 75 16 8B 45 FC 8B 40 28 8B 50 2C 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? EB 6C 8B 45 FC 8B 40 24 8B 40 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4C 47 C7 45 F8 00 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 28 8B 40 2C 8B 55 F0 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8A 4E 1F 8B 45 FC 8B 40 24 8B 40 2C 8B 55 F4 E8 ?? ?? ?? ?? FF 45 F8 4F 75 BC 8B 45 FC 8B 40 24 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 14 85 C0 0F 84 8A 00 00 00 8B 45 FC 8B 40 24 8B 40 2C E8 ?? ?? ?? ?? 66 89 45 EC 0F B7 45 EC 50 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 44 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4B 47 C7 45 F8 00 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 28 8B 40 2C 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 24 8B 40 2C 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 66 89 74 42 FE FF 45 F8 4F 75 BD 8B 45 FC 83 78 30 00 7E 19 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 55 FC 89 42 34 EB 21 8B 45 FC 8B 40 28 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 34 FF FF FF 7F 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 54 00 7E 22 8B 45 FC 8B 40 54 50 68 06 00 04 04 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 40 2F F6 D8 1B C0 50 8B 45 FC 83 C0 34 50 8B 45 FC 8A 40 2D F6 D8 1B C0 50 8B 45 FC 8A 40 2E F6 D8 1B C0 50 8B 45 FC 83 C0 40 50 8B 45 FC 83 C0 38 50 8B 45 FC 83 C0 3C 50 8D 8D D9 FC FF FF 8B 45 FC 8B 50 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 8D DE FD FF FF 8B 45 FC 8B 50 4C 8B 45 FC E8 ?? ?? ?? ?? 50 8D 8D E3 FE FF FF 8B 45 FC 8B 50 48 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8B 45 E8 50 66 8B 45 EC 50 33 C0 8A C3 50 8B 45 FC 8B 40 24 8B 80 4C 01 00 00 50 6A 00 8B 45 FC 8B 40 28 8B 80 4C 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EE 00 74 0B 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EE 00 75 0B 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 80 7D EF 00 75 0B 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FC FF FF E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7308_0 {
	meta:
		name = "TBatchMove.Notification"
		size = 53
		refs = "0010 TComponent.Notification 002d TBatchMove.SetSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 18 3B 77 24 75 05 33 C0 89 47 24 3B 77 28 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7309_0 {
	meta:
		name = "TBatchMove.SetMappings"
		size = 13
		altNames = "TCustomChartAxis.SetLabelsFont"
	strings:
		$1 = { 56 8B F0 8B 46 44 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_7310_0 {
	meta:
		name = "TBatchMove.SetSource"
		size = 14
		refs = "0009 TComponent.FreeNotification"
		altNames = "TDdeServerItem.SetServerConv"
	strings:
		$1 = { 89 50 28 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7312_0 {
	meta:
		name = "TIndexFiles.Add"
		size = 53
		refs = "000d TDataSet.GetActive 001a TTable.OpenIndexFile 002d TStringList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5E 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 C6 40 20 00 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7313_0 {
	meta:
		name = "TIndexFiles.Clear"
		size = 143
		refs = "0014 TIndexFiles.Clear 0028 TDataSet.GetActive 005a TTable.CloseIndexFile 0067 TStringList.Clear 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 34 8B C3 8B 10 FF 52 14 8B F0 4E 85 F6 7C 26 46 C7 45 FC 00 00 00 00 8D 4D F4 8B 55 FC 8B C3 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? FF 45 FC 4E 75 E2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7314_0 {
	meta:
		name = "TIndexFiles.Insert"
		size = 51
		refs = "000b TStringList.Insert 0015 TDataSet.GetActive 0022 TTable.OpenIndexFile"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 5B 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 C6 40 20 00 5E 5B C3 }
	condition:
		$1
}

rule function_7315_0 {
	meta:
		name = "TIndexFiles.Delete"
		size = 126
		refs = "0017 TIndexFiles.Delete 0027 TDataSet.GetActive 0042 TTable.CloseIndexFile 0056 TStringList.Delete 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 2C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8D 4D F8 8B 55 FC 8B C3 8B 38 FF 57 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 86 1C 02 00 00 C6 40 20 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7316_0 {
	meta:
		name = "TTable.Create"
		size = 151
		refs = "000e @ClassCreate 001c TBDEDataSet.Create 0025 _Dn_TIndexDefs 002a TIndexDefs.Create 0039 _Dn_TMasterDataLink 003e TMasterDataLink.Create 0050 TTable.MasterChanged 005a TTable.MasterDisabled 0063 _DV_TIndexFiles 0068 TIndexFiles.Create 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 02 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 34 02 00 00 C6 83 24 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7317_0 {
	meta:
		name = "TTable.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0034 TBDEDataSet.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 34 02 00 00 E8 ?? ?? ?? ?? 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7318_0 {
	meta:
		name = "TTable.GetHandle"
		size = 366
		refs = "0020 TTable.GetHandle 003b TBDEDataSet.ForceUpdateCallback 004f OpenModes 007f ShareModes 008e @LStrToPChar 009f TTable.GetTableTypeName 00a7 TTable.NativeTableName 00af TDBDataSet.GetDBHandle 00b5 DbiOpenTable 00ce TDBDataSet.CheckOpen 00d9 TTable.IsXBaseTable 0123 CharToOem 0135 DbiOpenIndex 013a CheckIndexOpen 0158 @LStrClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 57 33 DB 89 9D E0 FE FF FF 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 80 BB 26 02 00 00 00 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 8B 3C 85 ?? ?? ?? ?? 80 BB 24 02 00 00 00 74 08 66 C7 45 F2 00 00 EB 06 66 C7 45 F2 FF FF 8D 45 F4 50 6A 00 6A 00 6A 02 33 C0 8A 83 25 02 00 00 8B 04 85 ?? ?? ?? ?? 50 57 66 8B 45 F2 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 66 81 FE 0B 2A 75 07 BF 01 00 00 00 EB A1 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 94 8B C3 E8 ?? ?? ?? ?? 84 C0 74 63 8B 83 34 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 51 46 C7 45 EC 00 00 00 00 8D 85 E7 FE FF FF 50 8D 8D E0 FE FF FF 8B 55 EC 8B 83 34 02 00 00 8B 38 FF 57 0C 8B 85 E0 FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 85 E7 FE FF FF 50 8B 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC 4E 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7319_0 {
	meta:
		name = "TTable.CreateHandle"
		size = 180
		refs = "0010 TTable.CreateHandle 0027 SNoTableName 002c LoadResString 0036 DatabaseError 005b TTable.GetIndexParams 0065 TTable.IsProductionIndex 0076 TTable.GetHandle 00a1 @LStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 2C 02 00 00 00 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 C6 40 20 00 8D 45 FC 50 8D 45 F8 50 8A 8B 28 02 00 00 8B 93 30 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 0D 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7320_0 {
	meta:
		name = "TTable.GetLanguageDriverName"
		size = 436
		refs = "001f TTable.GetLanguageDriverName 006a TDBDataSet.GetDBSession 007e TSession.GetAliasDriverName 0089 @LStrToPChar 00cc FmtStr 00d9 TDBDataSet.GetDBLocale 00e7 AnsiToNative 00fa TTable.NativeTableName 0104 DbiFormFullName 010c TTable.GetTableTypeName 0122 DbiGetLdName 015c @HandleFinally 0171 @LStrFromArray 0189 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 B8 FE FF FF 53 33 C9 89 8D C8 FE FF FF 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 EE FE FF FF 00 B1 01 BA 09 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 0C 02 00 00 80 7B 30 00 0F 84 87 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D C8 FE FF FF 8B 55 FC 8B 92 10 02 00 00 E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF E8 ?? ?? ?? ?? 8B D8 6A 01 8B 45 FC 8B 80 10 02 00 00 89 85 B8 FE FF FF C6 85 BC FE FF FF 0B 8B 45 FC 8B 80 2C 02 00 00 89 85 C0 FE FF FF C6 85 C4 FE FF FF 0B 8D 8D B8 FE FF FF 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D EE FE FF FF 8B 55 F4 E8 ?? ?? ?? ?? EB 25 8D 85 EE FE FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 3C 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 85 CE FE FF FF 50 8D 85 EE FE FF FF 50 53 E8 ?? ?? ?? ?? 66 85 C0 74 0F 8D 85 CE FE FF FF 50 6A 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 4D F3 BA 09 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E5 8B 45 F8 8D 95 CE FE FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 3A 25 73 3A 25 73 00 00 }
	condition:
		$1
}

rule function_7321_0 {
	meta:
		name = "TTable.SetTempLocale"
		size = 162
		refs = "0016 TTable.SetTempLocale 002d TDataSet.GetActive 003b TTable.GetLanguageDriverName 004d @LStrToPChar 0053 OsLdLoadBySymbName 006d TBDEDataSet.SetLocale 0078 OsLdUnloadObj 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BE 64 01 00 00 84 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 47 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 37 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 20 8B 45 F8 3B 86 64 01 00 00 74 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 09 8D 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7322_0 {
	meta:
		name = "TTable.RestoreLocale"
		size = 44
		refs = "001c OsLdUnloadObj 0025 TBDEDataSet.SetLocale"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 64 01 00 00 3B F0 74 19 85 C0 74 15 8D 83 64 01 00 00 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7323_0 {
	meta:
		name = "TTable.PrepareCursor"
		size = 124
		refs = "000e TTable.PrepareCursor 002f TTable.GetIndexParams 0039 TTable.IsProductionIndex 004a TBDEDataSet.SwitchToIndex 0051 TTable.CheckMasterRange 006b @LStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 50 8A 8B 28 02 00 00 8B 93 30 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7324_0 {
	meta:
		name = "TTable.DefChanged"
		size = 8
	strings:
		$1 = { C6 80 18 02 00 00 01 C3 }
	condition:
		$1
}

rule function_7325_0 {
	meta:
		name = "TTable.InitFieldDefs"
		size = 920
		refs = "001c TTable.InitFieldDefs 0075 SNoTableName 007a LoadResString 0088 DatabaseError 0092 TTable.SetTempLocale 00b1 TTable.GetTableTypeName 00ba TTable.NativeTableName 00c3 TDBDataSet.GetDBHandle 00c9 DbiOpenFieldList 00d3 TDBDataSet.CheckOpen 00f2 DbiGetRecordCount 00f7 Check 0109 TFieldDescList 010e @DynArraySetLength 013f DbiGetNextRecord 0151 _Dn_TBits 0156 TObject.Create 019a TBits.SetSize 01cc DbiOpenVchkList 022b TBits.SetBit 025a DbiCloseCursor 0260 @HandleFinally 0286 TCollection.Clear 02b7 TBDEDataSet.AddFieldDesc 02f4 TObject.Free 0332 TTable.RestoreLocale 0379 @LStrClr 0387 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 14 FB FF FF 53 33 D2 89 95 14 FB FF FF 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 4C 01 00 00 00 74 10 8B 45 FC 8B 10 FF 92 80 01 00 00 E9 23 03 00 00 B1 01 BA 04 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 B8 2C 02 00 00 00 75 1E 8D 95 14 FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FB FF FF 8B 55 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E8 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D F0 4B 85 DB 7C 31 43 C7 45 F8 00 00 00 00 6A 00 8B 45 F8 8B D0 C1 E0 05 2B C2 8B 55 EC 8D 04 42 50 6A 00 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4B 75 D7 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B D0 C1 E0 05 2B C2 8B 55 EC 66 8B 44 42 C2 0F B7 D0 3B 55 F0 7E 1B 8B 55 F0 8B CA C1 E2 05 2B D1 8B 4D EC 0F B7 D0 42 8B 45 E0 E8 ?? ?? ?? ?? EB 0C 8B 55 F0 42 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 85 8D 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 46 66 83 BD 1B FB FF FF 00 74 3C 66 83 BD 21 FB FF FF 00 75 32 0F B7 95 19 FB FF FF 8B 45 E0 8B 40 04 8B C8 49 3B D1 7E 0D 8B D0 83 C2 64 8B 45 E0 E8 ?? ?? ?? ?? 0F B7 95 19 FB FF FF B1 01 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 8D 85 19 FB FF FF 50 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 66 85 C0 74 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 8B 40 2C 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 33 C0 89 45 F8 C7 45 F4 01 00 00 00 8B 45 F8 3B 45 F0 7D 25 8D 45 F4 50 8B 45 E0 50 8B 45 FC 8B 40 2C 50 8D 4D F8 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F0 7C DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 04 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FB FF FF E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7326_0 {
	meta:
		name = "TTable.DestroyHandle"
		size = 22
		refs = "0010 TBDEDataSet.DestroyHandle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7328_0 {
	meta:
		name = "TTable.DecodeIndexDesc"
		size = 452
		refs = "001f TTable.DecodeIndexDesc 0038 @LStrClr 0050 NativeToAnsi 006d ExtractFileName 0077 @LStrAsg 0135 TFieldDefList.GetFieldDef 0140 @LStrLAsg 014b ConcatField 017f @LStrCmp 01ab @LStrArrayClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 8B D9 8B F2 89 45 FC 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 07 01 00 00 00 75 0C 89 75 F4 8B C3 E8 ?? ?? ?? ?? EB 16 8B C6 8D 96 07 01 00 00 89 55 F4 8B CB 8B D0 33 C0 E8 ?? ?? ?? ?? 8B CF 8B 45 FC 8B 80 64 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 EC 8B 07 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 45 FB 66 83 BE 47 01 00 00 00 74 04 80 4D FB 01 66 83 BE 49 01 00 00 00 74 04 80 4D FB 02 66 83 BE 4B 01 00 00 00 74 04 80 4D FB 04 66 83 BE 37 03 00 00 00 74 04 80 4D FB 08 66 83 BE 4D 01 00 00 00 75 04 80 4D FB 20 66 83 BE 51 01 00 00 00 74 20 8B 4D 10 8D 96 7D 01 00 00 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 80 4D FB 10 E9 86 00 00 00 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 0F B7 BE 55 01 00 00 4F 85 FF 7C 47 47 8D 9E 5D 01 00 00 0F B7 13 4A 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 10 8B 55 F0 E8 ?? ?? ?? ?? 66 83 BB E0 01 00 00 00 74 0B 8B 45 0C 8B 55 F0 E8 ?? ?? ?? ?? 83 C3 02 4F 75 C0 66 83 BE 4B 01 00 00 00 74 19 8B 45 0C 8B 00 8B 55 10 8B 12 E8 ?? ?? ?? ?? 75 08 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 8A 55 FB 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 }
	condition:
		$1
}

rule function_7329_0 {
	meta:
		name = "IndexFieldOfs"
		size = 185
		refs = "0014 IndexFieldOfs 002b TFieldDefs.Find 0030 TFieldDef.GetFieldNo 006f SIndexFieldMissing 0074 LoadResString 008d DatabaseErrorFmt 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 2C 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 50 F8 0F B7 92 55 01 00 00 4A 85 D2 7C 1C 42 33 DB 8B 45 08 8B 40 F8 05 5D 01 00 00 0F B7 08 3B F1 74 37 43 83 C0 02 4A 75 F2 8B 45 08 8B 40 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7330_0 {
	meta:
		name = "TTable.EncodeIndexDesc"
		size = 529
		refs = "0024 TTable.EncodeIndexDesc 0039 @FillChar 0041 TTable.IsXBaseTable 0061 AnsiToNative 0134 ExtractFieldName 0142 TFieldDefs.Find 0147 TFieldDef.GetFieldNo 018c @LStrLen 01cd IndexFieldOfs 01fc @LStrClr 0202 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 8B 5D 0C 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 C9 BA 7D 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1E 6A 1F 8B 4D F8 81 C1 07 01 00 00 8B 45 FC 8B 80 64 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? EB 19 68 04 01 00 00 8B 4D F8 8B 45 FC 8B 80 64 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? F6 C3 01 0F 95 C0 F6 D8 1B C0 8B 55 F8 66 89 82 47 01 00 00 F6 C3 02 0F 95 C0 F6 D8 1B C0 8B 55 F8 66 89 82 49 01 00 00 F6 C3 04 74 04 85 FF 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 8B 55 F8 66 89 82 4B 01 00 00 F6 C3 20 0F 95 C0 34 01 F6 D8 1B C0 8B 55 F8 66 89 82 4D 01 00 00 F6 C3 08 0F 95 C0 83 E0 7F 8B 55 F8 66 89 82 37 03 00 00 F6 C3 10 74 2F 8B 45 F8 66 C7 80 51 01 00 00 FF FF 68 DC 00 00 00 8B 4D F8 81 C1 7D 01 00 00 8B 45 FC 8B 80 64 01 00 00 8B D6 E8 ?? ?? ?? ?? E9 C9 00 00 00 C7 45 F0 01 00 00 00 EB 5E 8D 4D EC 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 0F B7 92 55 01 00 00 8B 4D F8 66 89 84 51 5D 01 00 00 8B 45 F8 0F B7 80 55 01 00 00 8B 55 F8 8B 4D F8 66 8B 89 4B 01 00 00 66 89 8C 42 3D 03 00 00 8B 45 F8 66 FF 80 55 01 00 00 8B C6 E8 ?? ?? ?? ?? 3B 45 F0 7C 0D 8B 45 F8 66 83 B8 55 01 00 00 10 72 89 85 FF 74 45 8B 45 F8 66 C7 80 4B 01 00 00 FF FF C7 45 F0 01 00 00 00 EB 24 55 8D 4D EC 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 8B 55 F8 66 C7 84 42 3D 03 00 00 FF FF 8B C7 E8 ?? ?? ?? ?? 3B 45 F0 7D D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_7331_0 {
	meta:
		name = "TTable.AddIndex"
		size = 352
		refs = "001d TFieldDefs.Update 0025 TDataSet.GetActive 003f TTable.EncodeIndexDesc 0047 TDataSet.CheckBrowseMode 004f TDataSet.CursorPosChanged 006e TDBDataSet.GetDBHandle 0074 DbiAddIndex 0079 Check 0088 TTable.SetTempLocale 0093 TTable.AddIndex 00c7 TTable.RestoreLocale 00cd @HandleFinally 0100 TTable.GetTableTypeName 0109 TTable.NativeTableName"
	strings:
		$1 = { 55 8B EC 81 C4 78 FC FF FF 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 0C 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 55 56 53 8B 45 08 50 8D 95 7B FC FF FF 8B CF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 85 7B FC FF FF 50 6A 00 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C8 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 53 8B 45 08 50 8D 95 7B FC FF FF 8B CF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 85 7B FC FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 80 1C 02 00 00 C6 40 20 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7332_0 {
	meta:
		name = "TTable.DeleteIndex"
		size = 329
		refs = "0013 TTable.DeleteIndex 0021 TDataSet.GetActive 0039 TTable.GetIndexParams 0041 TDataSet.CheckBrowseMode 004b @LStrToPChar 006b TDBDataSet.GetDBHandle 0071 DbiDeleteIndex 0076 Check 00cb TTable.GetTableTypeName 00d4 TTable.NativeTableName 010f @HandleFinally 0138 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 8D 45 F8 50 8D 45 F4 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8D 45 F8 50 8D 45 F4 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 80 1C 02 00 00 C6 40 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7333_0 {
	meta:
		name = "TTable.GetIndexFieldNames"
		size = 41
		refs = "0018 @LStrLAsg 0022 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 28 02 00 00 00 74 10 8B C6 8B 93 30 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7334_0 {
	meta:
		name = "TTable.GetIndexName"
		size = 41
		refs = "0012 @LStrClr 0022 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 28 02 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 30 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7335_0 {
	meta:
		name = "TTable.GetIndexNames"
		size = 33
		refs = "000d TIndexDefs.Update 001a TDefCollection.GetItemNames"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7336_0 {
	meta:
		name = "TTable.GetIndexParams"
		size = 628
		refs = "0028 TTable.GetIndexParams 0052 TIndexDefs.Update 005c @LStrLAsg 0066 TTable.SetTempLocale 0092 @LStrLen 00af UniqueString 00c8 @LStrCat3 00da TIndexDefs.FindIndexForFields 00ed TTable.IsXBaseTable 0103 ExtractFileExt 0114 UpperCase 0124 @LStrCmp 0143 AnsiToNative 0156 TDefCollection.IndexOf 0166 TIndexDefs.GetIndexDef 0182 SIndexDoesNotExist 0187 LoadResString 01a9 DatabaseErrorFmt 01ee TTable.RestoreLocale 01f4 @HandleFinally 0209 @LStrFromArray 0239 @LStrArrayClr 0241 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 44 FF FF FF 53 56 57 33 DB 89 9D 50 FF FF FF 89 9D 4C FF FF FF 89 5D F8 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 74 FF FF FF 00 C6 85 54 FF FF FF 00 85 F6 0F 84 B2 01 00 00 8B 45 FC 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 6A 8B 45 FC 8B 80 0C 02 00 00 80 78 32 00 74 40 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 20 BB 01 00 00 00 8B 45 F8 80 7C 18 FF 3B 75 0D 8D 45 F8 E8 ?? ?? ?? ?? C6 44 18 FF 40 43 4F 75 E5 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8B 45 FC 8B 80 1C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8D 95 4C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 93 00 00 00 6A 1F 8D 8D 54 FF FF FF 8B 45 FC 8B 80 64 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B B8 1C 02 00 00 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 16 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 10 8D 45 F8 E8 ?? ?? ?? ?? EB 36 8B 45 FC 50 8D 95 50 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 89 B5 44 FF FF FF C6 85 48 FF FF FF 0B 8D 95 44 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 6A 7F 8D 8D 74 FF FF FF 8B 55 F8 33 C0 E8 ?? ?? ?? ?? EB 19 6A 7F 8D 8D 74 FF FF FF 8B 45 FC 8B 80 64 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 0C 8D 95 74 FF FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8D 95 54 FF FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 01 00 00 00 40 00 00 00 FF FF FF FF 04 00 00 00 2E 4E 44 58 00 00 00 00 }
	condition:
		$1
}

rule function_7337_0 {
	meta:
		name = "TTable.SetIndexDefs"
		size = 12
	strings:
		$1 = { 8B 80 1C 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_7338_0 {
	meta:
		name = "TTable.SetIndex"
		size = 212
		refs = "0014 TTable.SetIndex 0021 TDataSet.GetActive 002c TDataSet.CheckBrowseMode 0039 @LStrCmp 0061 TTable.GetIndexParams 006e TBDEDataSet.SwitchToIndex 0075 TTable.CheckMasterRange 0082 @LStrAsg 00bd @LStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8B 87 30 02 00 00 8B D6 E8 ?? ?? ?? ?? 75 08 3A 9F 28 02 00 00 74 60 8B C7 E8 ?? ?? ?? ?? 84 C0 74 27 8D 45 FC 50 8D 45 F8 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 87 30 02 00 00 8B D6 E8 ?? ?? ?? ?? 88 9F 28 02 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 10 8A 15 ?? ?? ?? ?? 8B C7 8B 08 FF 91 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_7341_0 {
	meta:
		name = "TTable.SetIndexFiles"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 34 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_7342_0 {
	meta:
		name = "TTable.OpenIndexFile"
		size = 54
		refs = "001a AnsiToNative 0027 DbiOpenIndex 002c CheckIndexOpen"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 6A 00 6A 1F 8D 4C 24 08 8B D6 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_7343_0 {
	meta:
		name = "TTable.CloseIndexFile"
		size = 203
		refs = "001e TTable.CloseIndexFile 003f TTable.GetIndexParams 004a AnsiUpperCaseFileName 0061 @LStrCmp 006c TTable.SetIndexName 0080 AnsiToNative 008d DbiCloseIndex 0092 Check 00ac @LStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D D4 89 4D D0 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 50 8A 8B 28 02 00 00 8B 93 30 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 58 E8 ?? ?? ?? ?? 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 1F 8D 4D D8 8B D6 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7344_0 {
	meta:
		name = "UpdateFromCursor"
		size = 507
		refs = "0015 UpdateFromCursor 0049 TTable.GetHandle 0059 DbiGetLdObj 006c TBDEDataSet.SetLocale 0092 DbiGetCursorProps 00b4 TIndexDescList 00b9 @DynArraySetLength 00c9 DbiGetIndexDescs 0114 TTable.DecodeIndexDesc 0125 TIndexDefs.AddIndexDef 0141 TIndexDef.SetFields 014e TIndexDef.SetDescFields 015b TIndexDef.SetOptions 0171 TIndexDef.SetSource 01a6 DbiCloseCursor 01cb @HandleFinally 01e8 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 44 FE FF FF 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 E8 8B 80 64 01 00 00 89 45 F4 8B 45 08 8B 40 E8 8B 80 4C 01 00 00 85 C0 75 34 8B 45 08 8B 40 E8 33 C9 33 D2 E8 ?? ?? ?? ?? 89 45 FC 8D 45 F0 50 8B 45 FC 50 E8 ?? ?? ?? ?? 66 85 C0 75 16 8B 45 08 8B 40 E8 8B 55 F0 E8 ?? ?? ?? ?? EB 06 8B 55 08 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 45 FE FF FF 50 8B 45 FC 50 E8 ?? ?? ?? ?? 66 8B 9D 74 FF FF FF 66 85 DB 0F 86 D7 00 00 00 0F B7 C3 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 0F B7 B5 74 FF FF FF 4E 85 F6 0F 8C A0 00 00 00 46 33 FF 8B 45 08 83 C0 F8 50 8B 45 08 83 C0 F4 50 8B 45 08 83 C0 F0 50 8B 45 08 83 C0 EF 50 69 C7 7D 03 00 00 8B 55 F8 03 D0 8B 45 08 8D 48 FC 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 50 F8 8B C3 8B 08 FF 51 14 8B 45 08 8B 50 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8A 50 EF 8B C3 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 74 0D 8B 45 08 8B 50 FC 8B C3 E8 ?? ?? ?? ?? 47 4E 0F 85 63 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 1A 8B 45 08 8B 40 E8 8B 80 4C 01 00 00 3B 45 FC 74 09 8D 45 FC 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 8B 80 64 01 00 00 3B 45 F4 74 0E 8B 45 08 8B 40 E8 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7345_0 {
	meta:
		name = "UpdateFromIndexList"
		size = 281
		refs = "0018 TTable.GetTableTypeName 0020 TTable.NativeTableName 0028 TDBDataSet.GetDBHandle 002e DbiOpenIndexList 0037 TDBDataSet.CheckOpen 0043 UpdateFromIndexList 0056 TCollection.Clear 0091 TTable.DecodeIndexDesc 009e TIndexDefs.AddIndexDef 00ba TIndexDef.SetFields 00c7 TIndexDef.SetDescFields 00d4 TIndexDef.SetOptions 00e8 DbiGetNextRecord 0107 DbiCloseCursor 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FC FF FF 53 56 8B 75 08 83 C6 E8 8D 45 FC 50 8B 06 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 84 C0 74 D2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? EB 7C 66 83 BD CC FD FF FF 00 74 72 8B 45 08 83 C0 F8 50 8B 45 08 83 C0 F4 50 8B 45 08 83 C0 F0 50 8B 45 08 83 C0 EF 50 8B 45 08 8D 48 FC 8D 95 7F FC FF FF 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 50 F8 8B C3 8B 08 FF 51 14 8B 45 08 8B 50 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8A 50 EF 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 85 7F FC FF FF 50 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 66 85 C0 0F 84 67 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7346_0 {
	meta:
		name = "TTable.UpdateIndexDefs"
		size = 210
		refs = "0013 TTable.UpdateIndexDefs 0044 TFieldDefs.Update 0052 TCollection.Clear 0076 UpdateFromCursor 007f UpdateFromIndexList 00a5 @HandleFinally 00c1 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA 05 00 00 00 8B 45 E8 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 40 2C E8 ?? ?? ?? ?? 8B 45 E8 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 98 01 00 00 84 C0 75 0F 8B 45 E8 8B 80 0C 02 00 00 80 78 30 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 05 00 00 00 8B 45 E8 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7347_0 {
	meta:
		name = "TTable.IsProductionIndex"
		size = 212
		refs = "0014 TTable.IsProductionIndex 0023 TTable.IsXBaseTable 0035 ExtractFileExt 0040 AnsiUpperCase 004d @LStrCmp 0063 ChangeFileExt 006e AnsiUpperCaseFileName 00af @LStrArrayClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 6E 85 F6 74 6A 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 42 8D 4D F8 33 D2 8B 87 2C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 2E 4E 44 58 00 00 00 00 }
	condition:
		$1
}

rule function_7348_0 {
	meta:
		name = "TTable.GetExists"
		size = 285
		refs = "0013 TTable.GetExists 0021 TDataSet.GetActive 007d TTable.NativeTableName 0086 TDBDataSet.GetDBHandle 008c DbiOpenFieldList 00a2 DbiCloseCursor 00b5 DbiError 00c2 TTable.GetFileName 00ca FileExists 00f2 @HandleFinally 0109 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 85 C6 00 00 00 8B 45 FC 83 B8 2C 02 00 00 00 0F 84 B6 00 00 00 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 0C 02 00 00 80 78 30 00 74 4A 8D 45 F4 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 FB 80 7D FB 00 74 0B 8D 45 F4 50 E8 ?? ?? ?? ?? EB 29 66 3D 28 27 74 23 66 3D 08 22 74 1D E8 ?? ?? ?? ?? EB 16 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7351_0 {
	meta:
		name = "TTable.GotoKey"
		size = 252
		refs = "0010 TDataSet.CheckBrowseMode 0023 TDataSet.CursorPosChanged 002d TBDEDataSet.GetKeyBuffer 003e AllocMem 0049 TTable.GotoKey 0068 DbiExtractKey 0093 DbiGetRecordForKey 00e1 @FreeMem 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 0F B7 80 9A 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 83 C7 08 8B 45 F4 50 57 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C3 84 DB 74 03 8B 7D F4 6A 00 57 6A 00 66 8B 46 04 50 F6 DB 1B C0 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 FB 80 7D FB 00 74 0B 8B 45 FC 8B 10 FF 92 84 00 00 00 80 7D FB 00 74 11 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 90 9A 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8A 45 FB 5F 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_7352_0 {
	meta:
		name = "TTable.GotoNearest"
		size = 236
		refs = "0010 TDataSet.CheckBrowseMode 0018 TDataSet.CursorPosChanged 0022 TBDEDataSet.GetKeyBuffer 0049 AllocMem 0054 TTable.GotoNearest 0073 DbiExtractKey 00a0 DbiSetToKey 00a5 Check 00d5 @FreeMem 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F8 80 7F 01 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 8B 45 FC 0F B7 80 9A 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F7 83 C6 08 8B 45 F4 50 56 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C3 84 DB 74 03 8B 75 F4 56 6A 00 66 8B 47 04 50 F6 DB 1B C0 50 8B 45 F8 50 8B 45 FC 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 90 9A 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_7362_0 {
	meta:
		name = "TTable.UpdateRange"
		size = 15
		refs = "000a TBDEDataSet.SetLinkRanges"
	strings:
		$1 = { 8B 90 20 02 00 00 8B 52 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7363_0 {
	meta:
		name = "TTable.GetLookupCursor"
		size = 351
		refs = "001a TTable.GetLookupCursor 002d @LStrCmp 0067 @LStrLAsg 0080 TIndexDefs.GetIndexForFields 00ba @LStrLen 00d6 DbiCloneCursor 00db Check 00f0 TTable.GetIndexParams 00fc @LStrToPChar 0112 DbiSwitchToIndex 0124 @LStrAsg 014a @LStrArrayClr 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 97 3C 02 00 00 E8 ?? ?? ?? ?? 75 0C 3A 9F 44 02 00 00 0F 84 EF 00 00 00 8B C7 8B 10 FF 92 FC 01 00 00 C6 45 FF 00 C6 45 FE 00 8B 87 0C 02 00 00 80 78 32 00 74 18 84 DB 75 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? C6 45 FE 01 C6 45 FF 01 EB 3C 8B CB 8B D6 8B 87 1C 02 00 00 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 24 8B 45 EC F6 40 20 08 0F 95 C0 3A D8 75 16 8D 45 F8 8B 55 EC 8B 52 0C E8 ?? ?? ?? ?? C6 45 FE 00 C6 45 FF 01 80 7D FF 00 74 64 8B C6 E8 ?? ?? ?? ?? 83 F8 7F 7D 58 8D 87 38 02 00 00 50 6A 00 6A FF 8B 87 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 50 8A 4D FE 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 87 38 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 87 3C 02 00 00 8B D6 E8 ?? ?? ?? ?? 88 9F 44 02 00 00 8B 9F 38 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7364_0 {
	meta:
		name = "TTable.DestroyLookupCursor"
		size = 45
		refs = "0014 DbiCloseCursor 0027 @LStrClr"
	strings:
		$1 = { 53 8B D8 83 BB 38 02 00 00 00 74 1F 8D 83 38 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 89 83 38 02 00 00 8D 83 3C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7365_0 {
	meta:
		name = "TTable.GotoCurrent"
		size = 192
		refs = "000f TTable.GotoCurrent 001c TDataSet.CheckBrowseMode 0034 AnsiCompareText 0055 STableMismatch 005a LoadResString 0064 DatabaseError 006b TDataSet.UpdateCursorPos 007e DbiSetToCursor 0083 Check 00a8 @LStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 96 10 02 00 00 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 8B 96 2C 02 00 00 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 4C 01 00 00 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_7366_0 {
	meta:
		name = "TTable.GetProviderAttributes"
		size = 124
		refs = "0013 TTable.GetProviderAttributes 0022 TDBDataSet.GetProviderAttributes 0032 @VarFromLStr 0041 CreateAttribute 0056 @VarClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 8B 93 2C 02 00 00 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 0A 00 00 00 54 41 42 4C 45 5F 4E 41 4D 45 00 00 }
	condition:
		$1
}

rule function_7367_0 {
	meta:
		name = "TTable.GetDetailLinkFields"
		size = 380
		refs = "0019 TTable.GetDetailLinkFields 002a @CallDynaInst 0066 TTable.GetMasterFields 0095 TDataSet.GetFieldList 00a9 TTable.GetIndexName 00c7 TIndexDefs.Find 00d5 TTable.GetIndexFieldNames 00f5 TIndexDefs.GetIndexForFields 0104 TCollection.GetCount 011c TIndexDefs.GetIndexDef 0147 TIndexDef.GetFields 0169 @LStrClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 00 00 00 85 C0 0F 84 0C 01 00 00 8B C6 8B 10 FF 92 D0 00 00 00 83 78 24 00 0F 84 F8 00 00 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 E4 00 00 00 33 DB 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B C6 8B 10 FF 92 D0 00 00 00 8B 40 24 8B D7 59 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 4C 01 00 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 74 1C 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B D8 EB 6E 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 74 1E 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B D8 EB 40 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 30 40 89 45 F8 33 FF 8B D7 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? F6 40 20 01 74 11 8B D7 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B D8 EB 06 47 FF 4D F8 75 D6 85 DB 74 17 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7368_0 {
	meta:
		name = "TTable.CheckMasterRange"
		size = 43
		refs = "001e TBDEDataSet.SetLinkRanges 0025 TBDEDataSet.SetCursorRange"
	strings:
		$1 = { 53 8B D8 8B 83 20 02 00 00 80 78 15 00 74 1A 8B 50 24 83 7A 08 00 7E 11 8B 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7369_0 {
	meta:
		name = "TTable.MasterChanged"
		size = 33
		refs = "0006 TDataSet.CheckBrowseMode 000d TTable.UpdateRange 0014 TBDEDataSet.SetCursorRange 001b TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7372_0 {
	meta:
		name = "TTable.SetDataSource"
		size = 108
		refs = "000f TTable.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0039 DatabaseError 0046 TDataLink.SetDataSource 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7375_0 {
	meta:
		name = "TTable.DoOnNewRecord"
		size = 82
		refs = "0034 TList.Get 003f TBDEDataSet.SetIndexField 004a TDataSet.DoOnNewRecord"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 20 02 00 00 80 78 15 00 74 36 8B 50 24 83 7A 08 00 7E 2D 8B 40 24 8B 78 08 4F 85 FF 7C 22 47 33 F6 8B 83 20 02 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E1 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7376_0 {
	meta:
		name = "TTable.BatchMove"
		size = 124
		refs = "0014 _DV_TBatchMove 0019 TBatchMove.Create 0024 TTable.BatchMove 003a TBatchMove.SetSource 0048 TBatchMove.Execute 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 78 24 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 88 58 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 34 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7377_0 {
	meta:
		name = "InitTableSettings"
		size = 312
		refs = "000a InitTableSettings 0024 @FillChar 0055 AnsiToNative 0063 TTable.GetTableTypeName 0076 StrCopy 009f IntToStr 00a7 @LStrToPChar 00e3 StrLen 011d @LStrClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 05 56 FD FF FF 33 C9 BA AA 02 00 00 E8 ?? ?? ?? ?? 68 04 01 00 00 8B 45 08 8D 88 56 FD FF FF 8B 45 08 8B 80 F4 FC FF FF 8B 90 2C 02 00 00 8B 45 08 8B 80 F4 FC FF FF 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 80 F4 FC FF FF E8 ?? ?? ?? ?? 85 C0 74 0F 8B 55 08 81 C2 5B FE FF FF 92 E8 ?? ?? ?? ?? 8B 45 08 8B 80 F4 FC FF FF 8B 98 40 02 00 00 85 DB 7E 7F 8B 45 08 66 C7 40 F6 01 00 8D 55 FC 8B 45 08 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 05 36 FD FF FF E8 ?? ?? ?? ?? 8B 45 08 05 36 FD FF FF 8B 55 08 89 42 FC BA ?? ?? ?? ?? 8B 45 08 05 FA FC FF FF E8 ?? ?? ?? ?? 8B 45 08 05 36 FD FF FF E8 ?? ?? ?? ?? 40 8B 55 08 66 89 82 24 FD FF FF 8B 45 08 66 C7 80 22 FD FF FF 00 00 8B 45 08 05 F8 FC FF FF 8B 55 08 89 42 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 4C 45 56 45 4C 00 00 00 }
	condition:
		$1
}

rule function_7378_0 {
	meta:
		name = "InitFieldDescriptors"
		size = 451
		refs = "000c InitFieldDescriptors 0020 TDataSet.InitFieldDefsFromFields 0031 TCollection.GetCount 004f TFieldDescList 0054 @DynArraySetLength 0085 TFieldDefs.GetFieldDef 0092 TFieldDef.GetSize 00b6 TTable.EncodeFieldDesc 00bd TFieldDef.GetRequired 0137 TDBDataSet.GetDBHandle 013d DbiGetLdNameFromDb 017d TTable.GetDriverTypeName 0191 DbiTranslateRecordStructure 0196 Check 01b1 @DynArrayClear 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 80 F4 FC FF FF E8 ?? ?? ?? ?? 8B 45 08 8B 80 F4 FC FF FF 8B 40 2C E8 ?? ?? ?? ?? 8B D8 8B 45 08 66 89 58 C4 8B 45 08 0F B7 C3 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 80 F4 FC FF FF 8B 40 2C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5D 47 33 F6 8B 45 08 8B 80 F4 FC FF FF 8B 40 2C 8B D6 E8 ?? ?? ?? ?? 8B D8 8A 43 1F 50 8B C3 E8 ?? ?? ?? ?? 50 66 8B 43 14 50 8B C6 C1 E0 05 2B C6 8B 55 FC 8D 14 42 8B 45 08 8B 80 F4 FC FF FF 8B 4B 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B 45 08 66 FF 40 E2 46 4F 75 A6 8B 45 08 0F B7 40 C4 50 8B 45 08 05 F0 FC FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 80 F0 FC FF FF 8B 55 08 89 42 CA 8B 45 08 33 D2 89 90 AC FC FF FF 8B 45 08 8B 80 F4 FC FF FF 8B 80 0C 02 00 00 80 78 30 00 74 35 8B 45 08 05 D0 FC FF FF 50 6A 00 8B 45 08 8B 80 F4 FC FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 11 8B 45 08 05 D0 FC FF FF 8B 55 08 89 82 AC FC FF FF 6A 00 8B 45 08 8B 40 CA 50 8B 45 08 8B 80 AC FC FF FF 50 8B 45 08 8D 90 B0 FC FF FF 8B 45 08 8B 80 F4 FC FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 45 08 66 8B 40 C4 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7379_0 {
	meta:
		name = "InitIndexDescriptors"
		size = 191
		refs = "0015 TCollection.GetCount 0038 TIndexDescList 003d @DynArraySetLength 0083 TIndexDefs.GetIndexDef 00b3 TTable.EncodeIndexDesc"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 80 F4 FC FF FF 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 66 89 58 CE 8B 45 08 0F B7 C3 50 8B 45 08 05 A8 FC FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 80 A8 FC FF FF 8B 55 08 89 42 D4 8B 45 08 8B 80 F4 FC FF FF 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4D 46 33 DB 8B 45 08 8B 80 F4 FC FF FF 8B 80 1C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 50 14 52 8A 50 20 52 8B 50 18 52 69 D3 7D 03 00 00 8B 4D 08 8B 89 A8 FC FF FF 8D 14 11 8B 4D 08 8B 89 F4 FC FF FF 8B 40 0C 91 E8 ?? ?? ?? ?? 43 4E 75 B6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7380_0 {
	meta:
		name = "InitValChecks"
		size = 176
		refs = "002c TValCheckList 0031 @DynArraySetLength 0047 TCollection.GetCount 0064 TFieldDefs.GetFieldDef 0069 TFieldDef.GetRequired"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 66 8B 58 E2 66 85 DB 0F 86 95 00 00 00 8B 45 08 0F B7 C3 50 8B 45 08 05 A4 FC FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 FF 8B 45 08 8B 80 F4 FC FF FF 8B 40 2C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4A 46 33 DB 8B 45 08 8B 80 F4 FC FF FF 8B 40 2C 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 69 C7 C3 04 00 00 8B 55 08 8B 92 A4 FC FF FF 8B CB 41 66 89 0C 02 8B 55 08 8B 92 A4 FC FF FF 66 C7 44 02 02 FF FF 47 43 4E 75 B9 8B 45 08 8B 80 A4 FC FF FF 8B 55 08 89 42 E8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7381_0 {
	meta:
		name = "TTable.CreateTable"
		size = 345
		refs = "0028 TTable.CreateTable 0062 InitTableSettings 0070 TTable.SetTempLocale 008a InitFieldDescriptors 0091 InitIndexDescriptors 0098 InitValChecks 00ad TDBDataSet.GetDBHandle 00b3 DbiCreateTable 00b8 Check 00d6 TTable.RestoreLocale 00dc @HandleFinally 0121 TValCheckList 0126 @DynArrayClear 0132 TIndexDescList 0143 TFieldDescList"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FC FF FF 53 33 D2 89 95 A8 FC FF FF 89 95 F0 FC FF FF 89 95 A4 FC FF FF 89 85 F4 FC FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 F4 FC FF FF 8B 10 FF 52 44 B1 01 BA 03 00 00 00 8B 85 F4 FC FF FF 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 D2 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? 89 85 A0 FC FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8D 85 56 FD FF FF 50 6A FF 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 95 A0 FC FF FF 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 85 F4 FC FF FF 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F0 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7382_0 {
	meta:
		name = "TTable.DeleteTable"
		size = 128
		refs = "0026 TTable.DeleteTable 0034 TTable.GetTableTypeName 003d TTable.NativeTableName 0046 TDBDataSet.GetDBHandle 004c DbiDeleteTable 0051 Check 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 52 44 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_7383_0 {
	meta:
		name = "TTable.EmptyTable"
		size = 197
		refs = "000c TDataSet.GetActive 0018 TDataSet.CheckBrowseMode 002e TDBDataSet.GetDBHandle 0034 DbiEmptyTable 0039 Check 0069 TTable.EmptyTable 0077 TTable.GetTableTypeName 0080 TTable.NativeTableName 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3F 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 33 C9 B2 02 8B 45 FC 8B 18 FF 53 5C EB 6E B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_7385_0 {
	meta:
		name = "TTable.SetTableLock"
		size = 85
		refs = "0031 DbiAcqTableLock 0036 Check 0047 DbiRelTableLock"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B DA 8B F8 8B C7 8B 10 FF 52 40 84 DB 75 07 BE 02 00 00 00 EB 05 BE 01 00 00 00 80 3C 24 00 74 14 56 8B 87 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 56 6A 00 8B 87 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7387_0 {
	meta:
		name = "TTable.RenameTable"
		size = 176
		refs = "002e TTable.RenameTable 0041 TDBDataSet.GetDBLocale 004f AnsiToNative 0058 TTable.GetTableTypeName 0061 TTable.NativeTableName 006a TDBDataSet.GetDBHandle 0070 DbiRenameTable 0075 Check 009a @HandleFinally 00a7 TTable.SetTableName"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 52 44 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F3 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7388_0 {
	meta:
		name = "TTable.EncodeFieldDesc"
		size = 178
		refs = "001d AnsiToNative 0027 FldTypeMap 0035 FldSubTypeMap 004c TTable.EncodeFieldDesc"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B 5D 10 6A 1F 8D 4E 02 8B 80 64 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 8A C3 8B 15 ?? ?? ?? ?? 0F B6 14 02 66 89 56 22 8B 15 ?? ?? ?? ?? 66 8B 04 42 66 89 46 24 33 C0 8A C3 83 F8 17 77 61 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 00 00 00 00 02 00 00 00 01 01 00 01 01 01 01 01 01 01 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 45 0C 66 89 46 26 EB 26 66 83 7D 08 00 76 11 66 83 7D 08 20 77 0A 66 8B 45 08 66 89 46 26 EB 06 66 C7 46 26 20 00 66 8B 45 0C 66 89 46 28 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_7389_0 {
	meta:
		name = "TTable.DataEvent"
		size = 23
		refs = "0011 TBDEDataSet.DataEvent"
	strings:
		$1 = { 53 80 FA 08 75 0A 8B 98 1C 02 00 00 C6 43 20 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7390_0 {
	meta:
		name = "TTable.GetCanModify"
		size = 31
		refs = "0006 TBDEDataSet.GetCanModify"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 80 BB 26 02 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_7391_0 {
	meta:
		name = "TTable.GetDriverTypeName"
		size = 96
		refs = "0016 TDBDataSet.GetDBHandle 001c DbiGetProp 0021 Check 0026 TTable.GetDriverTypeName 002d StrIComp 0038 TTable.GetTableTypeName 0047 StrCopy"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 8B F3 54 6A 20 53 68 02 00 04 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 18 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5F 5E 5B C3 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_13313_0 {
	meta:
		name = "TBinTable.GetDriverTypeName"
		size = 96
		refs = "0016 TDBDataSet.GetDBHandle 001c DbiGetProp 0021 Check 0026 TBinTable.GetDriverTypeName 002d StrIComp 0038 TBinTable.GetTableTypeName 0047 StrCopy"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 8B F3 54 6A 20 53 68 02 00 04 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 18 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5F 5E 5B C3 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_7392_0 {
	meta:
		name = "TTable.GetTableTypeName"
		size = 38
		refs = "0016 TTable.GetTableType 0020 TableTypeDriverNames"
	strings:
		$1 = { 53 8B D8 8B 83 0C 02 00 00 80 78 30 00 74 04 33 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7393_0 {
	meta:
		name = "TTable.GetTableLevel"
		size = 30
		refs = "0012 GetIntProp"
	strings:
		$1 = { 8B 90 4C 01 00 00 85 D2 74 0D 8B C2 BA 03 00 05 00 E8 ?? ?? ?? ?? C3 8B 80 40 02 00 00 C3 }
	condition:
		$1
}

rule function_7394_0 {
	meta:
		name = "TTable.FieldDefsStored"
		size = 32
		refs = "0010 TCollection.GetCount"
	strings:
		$1 = { 53 8B D8 80 BB 18 02 00 00 00 74 0C 8B 43 2C E8 ?? ?? ?? ?? 85 C0 7F 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_7395_0 {
	meta:
		name = "TTable.IndexDefsStored"
		size = 35
		refs = "0013 TCollection.GetCount"
	strings:
		$1 = { 53 8B D8 80 BB 18 02 00 00 00 74 0F 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7F 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_7396_0 {
	meta:
		name = "TTable.IsXBaseTable"
		size = 124
		refs = "000c TTable.IsXBaseTable 002c ExtractFileExt 0039 CompareText 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 83 27 02 00 00 04 FE 2C 02 72 23 8D 55 FC 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 }
	condition:
		$1
}

rule function_7397_0 {
	meta:
		name = "_NF__BE9"
		size = 44
	strings:
		$1 = { FF FF FF FF 03 00 00 00 2E 44 42 00 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 FF FF FF FF 04 00 00 00 2E 54 58 54 00 00 00 00 }
	condition:
		$1
}

rule function_7398_0 {
	meta:
		name = "TTable.GetFileName"
		size = 292
		refs = "0016 TTable.GetFileName 004f TDatabase.GetDirectory 005b @LStrLen 0064 IsPathDelimiter 0074 @LStrCat 0085 ExtractFileExt 009f Exts 00ad ChangeFileExt 00ef @HandleFinally 0106 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA 09 00 00 00 8B 45 FC 8B 30 FF 96 10 02 00 00 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? 83 3B 00 74 20 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 03 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 2E 8D 4D F4 8B 45 FC 0F B6 80 27 02 00 00 8B 14 85 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 8B 55 FC 8B 92 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 4D FB BA 09 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_7399_0 {
	meta:
		name = "TTable.GetTableType"
		size = 444
		refs = "0019 TTable.GetTableType 007b ExtractFileExt 0088 CompareText 00ae TTable.GetFileName 00be ChangeFileExt 00c6 FileExists 0137 @HandleFinally 014e @LStrClr 015b @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 B1 01 BA 09 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 88 45 EF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 0C 02 00 00 80 78 30 00 0F 85 B3 00 00 00 8B 45 FC 8A 80 27 02 00 00 84 C0 0F 85 9F 00 00 00 8D 55 F0 8B 45 FC 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 FB 01 EB 7A BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 4F 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FB 03 EB 20 C6 45 FB 02 EB 1A BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 09 C6 45 FB 04 EB 03 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EF 00 75 12 33 C9 BA 09 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 FB 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 2E 44 42 00 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 FF FF FF FF 04 00 00 00 2E 46 50 54 00 00 00 00 FF FF FF FF 04 00 00 00 2E 43 44 58 00 00 00 00 FF FF FF FF 04 00 00 00 2E 54 58 54 00 00 00 00 }
	condition:
		$1
}

rule function_7400_0 {
	meta:
		name = "TTable.NativeTableName"
		size = 49
		refs = "0014 TDBDataSet.GetDBLocale 0025 AnsiToNative"
	strings:
		$1 = { 53 8B D8 80 BB 45 02 00 00 00 75 1D 68 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 8B 45 02 00 00 8B 93 2C 02 00 00 E8 ?? ?? ?? ?? 8D 83 45 02 00 00 5B C3 }
	condition:
		$1
}

rule function_7401_0 {
	meta:
		name = "TTable.SetExclusive"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 88 9E 25 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7402_0 {
	meta:
		name = "TTable.SetReadOnly"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 88 9E 26 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7403_0 {
	meta:
		name = "TTable.SetTableName"
		size = 95
		refs = "0015 @LStrAsg 0025 @LStrCmp"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 20 02 74 10 8D 86 2C 02 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B 86 2C 02 00 00 8B D3 E8 ?? ?? ?? ?? 74 31 8B C6 8B 10 FF 52 44 8B 86 34 02 00 00 8B 10 FF 52 40 8D 86 2C 02 00 00 8B D3 E8 ?? ?? ?? ?? C6 86 45 02 00 00 00 33 C9 B2 08 8B C6 8B 18 FF 53 5C 5E 5B C3 }
	condition:
		$1
}

rule function_7404_0 {
	meta:
		name = "TTable.SetTableType"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 88 9E 27 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7408_0 {
	meta:
		name = "TQueryDataLink.RecordChanged"
		size = 33
		refs = "000e TDataSet.GetActive 001a TQuery.RefreshParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 14 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7410_0 {
	meta:
		name = "TStoredProc.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TBDEDataSet.Create 0020 _Dn_TParams 0025 TParams.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 1C 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7411_0 {
	meta:
		name = "TStoredProc.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0023 TObject.Free 002f TBDEDataSet.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 08 02 00 00 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7412_0 {
	meta:
		name = "TStoredProc.DefineProperties"
		size = 80
		refs = "000b TComponent.DefineProperties 0011 TStoredProc.ReadParamData 0017 TStoredProc.WriteParamData 0022 TCollection.GetCount 002c TStoredProc.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 00 00 FF FF FF FF 09 00 00 00 50 61 72 61 6D 44 61 74 61 00 00 00 }
	condition:
		$1
}

rule function_7413_0 {
	meta:
		name = "TStoredProc.WriteParamData"
		size = 13
		refs = "0008 TWriter.WriteCollection"
	strings:
		$1 = { 8B 80 1C 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7414_0 {
	meta:
		name = "TStoredProc.ReadParamData"
		size = 29
		refs = "0009 TReader.ReadValue 0016 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 1C 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7416_0 {
	meta:
		name = "TStoredProc.CreateCursor"
		size = 41
		refs = "0014 TStoredProc.SetPrepared 001d TStoredProc.GetCursor"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 18 02 00 00 00 74 15 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7418_0 {
	meta:
		name = "TStoredProc.GetCursor"
		size = 59
		refs = "0017 TStoredProc.BindParams 0024 DbiQExec 0029 Check 0030 TStoredProc.GetResults"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 84 D2 74 04 8B F4 EB 02 33 F6 8B C3 E8 ?? ?? ?? ?? 56 8B 83 50 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7419_0 {
	meta:
		name = "TStoredProc.ExecProc"
		size = 101
		refs = "0026 TStoredProc.ExecProc 0036 TStoredProc.CreateCursor 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 52 44 B1 01 BA 07 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 07 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_7420_0 {
	meta:
		name = "TStoredProc.SetProcName"
		size = 84
		refs = "001c @LStrCmp 002b @LStrAsg 0032 TStoredProc.FreeStatement 003d TCollection.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 02 75 38 8B C3 8B 10 FF 52 44 8B C6 8B 93 18 02 00 00 E8 ?? ?? ?? ?? 74 2F 8D 83 18 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8D 83 18 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7421_0 {
	meta:
		name = "TStoredProc.SetOverLoad"
		size = 66
		refs = "0026 TStoredProc.FreeStatement 0031 TCollection.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 02 75 2C 8B C3 8B 10 FF 52 44 66 3B B3 2C 02 00 00 74 23 66 89 B3 2C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 66 89 B3 2C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7422_0 {
	meta:
		name = "TStoredProc.GetParamsCount"
		size = 16
		refs = "000a TCollection.GetCount"
	strings:
		$1 = { 53 8B D8 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7423_0 {
	meta:
		name = "TStoredProc.CreateParamDesc"
		size = 339
		refs = "0014 TStoredProc.CreateParamDesc 0023 TDBDataSet.GetDBLocale 0031 AnsiToNative 004a TDBDataSet.GetDBHandle 0050 DbiOpenSPParamList 007e NativeToAnsi 0092 SResultName 0097 LoadResString 00aa DataTypeMap 00cc TCollection.Add 00d8 TParam.SetParamType 00e1 TParam.SetDataType 00ec @LStrAsg 00fd DbiGetNextRecord 010d TStoredProc.SetServerParams 0123 DbiCloseCursor 0129 @HandleFinally 0140 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 33 D2 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 40 8B C7 E8 ?? ?? ?? ?? 8D 4D 83 8B 97 18 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 66 8B 87 2C 02 00 00 50 6A 00 8D 45 83 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 85 D2 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 80 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 4D F8 8D 55 C6 E8 ?? ?? ?? ?? 80 7D E6 04 75 13 83 7D F8 00 75 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 EA 66 83 F8 18 73 0E 0F B7 C0 8B 15 ?? ?? ?? ?? 8A 1C 02 EB 02 33 DB 66 83 7D EA 07 75 09 66 83 7D EC 15 75 02 B3 07 8B 87 1C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8A 55 E6 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 46 24 8B 55 F8 E8 ?? ?? ?? ?? 6A 00 8D 45 C4 50 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 66 85 C0 0F 84 66 FF FF FF 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7424_0 {
	meta:
		name = "TStoredProc.SetServerParams"
		size = 159
		refs = "0013 TCollection.GetCount 0025 TServerDescList 002a @DynArraySetLength 0050 TParams.GetItem 0073 @LStrToString 0080 @PStrNCpy 0087 TParam.GetDataType"
	strings:
		$1 = { 53 56 57 55 81 C4 FC FE FF FF 8B D8 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 50 8D 83 24 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 53 40 89 04 24 33 F6 8B D6 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B C6 C1 E0 05 03 C6 8B 93 24 02 00 00 8D 2C 42 8D 44 24 04 8B 57 24 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 04 8B C5 B1 40 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 88 45 41 46 FF 0C 24 75 B3 81 C4 04 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7425_0 {
	meta:
		name = "TStoredProc.CheckServerParams"
		size = 263
		refs = "0014 TStoredProc.CheckServerParams 002a TStoredProc.SetServerParams 0041 @DynArrayHigh 0063 TCollection.GetCount 007e TParams.GetItem 009d @LStrFromString 00a8 @LStrCmp 00b1 TParam.GetDataType 00f2 @LStrClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 24 02 00 00 00 75 0E 8B C3 E8 ?? ?? ?? ?? 33 DB E9 AC 00 00 00 33 C0 89 45 FC 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C 92 00 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 FC 50 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 48 5A 2B C2 7C 66 40 89 45 EC 89 55 F4 8B 55 F4 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 8B D0 C1 E0 05 03 C2 8B 93 24 02 00 00 8D 3C 42 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 55 E8 8B 46 24 E8 ?? ?? ?? ?? 75 1D 8B C6 E8 ?? ?? ?? ?? 3A 47 41 74 04 33 DB EB 23 8B 45 F4 3B 45 FC 75 0D FF 45 FC EB 08 FF 45 F4 FF 4D EC 75 A1 FF 45 F8 FF 4D F0 0F 85 79 FF FF FF B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7426_0 {
	meta:
		name = "TStoredProc.DescriptionsAvailable"
		size = 173
		refs = "0020 TStoredProc.DescriptionsAvailable 0030 TDBDataSet.GetDBLocale 0041 AnsiToNative 005e TDBDataSet.GetDBHandle 0064 DbiOpenSPParamList 007a DbiCloseCursor 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 89 45 FC B1 01 BA 08 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 40 8B 45 FC E8 ?? ?? ?? ?? 8D 4D B3 8B 55 FC 8B 92 18 02 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 66 8B 80 2C 02 00 00 50 6A 00 8D 45 B3 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 FB 80 7D FB 00 74 09 8D 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 08 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 8A 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7427_0 {
	meta:
		name = "TStoredProc.PrepareProc"
		size = 717
		refs = "0014 TStoredProc.PrepareProc 0025 TCollection.GetCount 0037 TSPParamDescList 003c @DynArraySetLength 006e TParams.GetItem 0077 TParam.GetDataType 009e TBDEDataSet.GetParamDataSize 00c4 _DT_91 0122 SNoParameterValue 0127 LoadResString 0140 DatabaseErrorFmt 0147 TParam.GetParamType 0154 SNoParameterType 018e AnsiToNative 01b5 FldTypeMap 01cd FldSubTypeMap 028d @DynArrayHigh 029a TDBDataSet.GetDBHandle 02a0 DbiQPrepareProc 02a5 Check 02ba @LStrClr 02c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 D2 89 55 AC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 50 8D 83 20 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 C7 45 FA 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 59 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 08 66 81 45 FA 01 01 EB 1F 8B 55 FC 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 66 83 C0 02 66 01 45 FA FF 45 FC FF 4D F4 75 B2 0F B7 45 FA 50 8D 83 28 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 C7 45 F8 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 76 01 00 00 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B F8 6B 45 FC 0D 8B 93 20 02 00 00 8D 34 82 8B C7 E8 ?? ?? ?? ?? 84 C0 75 27 53 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 50 8B 47 24 89 45 A4 C6 45 A8 0B 8D 55 A4 33 C9 58 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 27 53 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 50 8B 47 24 89 45 A4 C6 45 A8 0B 8D 55 A4 33 C9 58 E8 ?? ?? ?? ?? 80 BB 30 02 00 00 00 75 15 6A 1F 8D 4E 02 8B 57 24 8B 83 64 01 00 00 E8 ?? ?? ?? ?? EB 08 66 8B 45 FC 40 66 89 06 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 89 46 22 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 8B 15 ?? ?? ?? ?? 0F B6 04 02 66 89 46 26 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 8B 15 ?? ?? ?? ?? 66 8B 04 42 66 89 46 28 66 83 7E 26 01 75 0E 66 C7 46 30 FF 00 66 C7 46 2A FF 00 EB 1B 8B 55 FC 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 66 89 46 30 66 8B 45 F8 66 89 46 2E 66 8B 46 30 66 01 45 F8 66 8B 45 FC 40 03 C0 66 8B 55 FA 66 2B D0 66 89 56 32 8B C7 E8 ?? ?? ?? ?? 2C 01 74 04 2C 02 75 1A 0F B7 45 FA 8B 55 FC 42 03 D2 2B C2 8B 93 28 02 00 00 8D 04 02 66 C7 00 FF FF FF 45 FC FF 4D F4 0F 85 95 FE FF FF 6A 40 8D 4D B3 8B 93 18 02 00 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8D 83 50 01 00 00 50 6A 00 8B 83 20 02 00 00 50 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 40 50 8D 45 B3 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7428_0 {
	meta:
		name = "TStoredProc.GetResults"
		size = 358
		refs = "0014 TStoredProc.GetResults 0036 @DynArrayHigh 0046 TCollection.GetCount 0062 TParams.GetItem 006b TParam.GetParamType 007c TParam.GetDataType 008c StrLen 009e NativeToAnsiBuf 00c1 Null 00c8 TParam.SetAsVariant 00d9 STruncationError 00de LoadResString 00f7 DatabaseErrorFmt 0103 TParam.SetData 0131 TBDEDataSet.GetParamDataSize 0153 @LStrClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 28 02 00 00 85 C0 0F 84 16 01 00 00 89 45 FC 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 40 66 89 45 FA 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C EF 00 00 00 40 89 45 F4 33 FF 8B D7 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 04 FE 2C 03 0F 83 8E 00 00 00 8B C6 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 1A 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D FC 8B 55 FC 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 0F B7 45 FA 8D 57 01 03 D2 2B C2 8B 93 28 02 00 00 8D 04 02 66 8B 10 66 83 FA FF 75 0F 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 39 66 83 FA FE 75 29 53 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 46 24 89 45 E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 09 81 45 FC FF 00 00 00 EB 19 8B D7 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 01 45 FC 47 FF 4D F4 0F 85 17 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7429_0 {
	meta:
		name = "TStoredProc.BindParams"
		size = 506
		refs = "0020 TStoredProc.CheckServerParams 002e TStoredProc.SetPrepared 0046 @DynArrayHigh 0068 TBDEDataSet.GetStatementLocale 0073 TStoredProc.BindParams 0087 TCollection.GetCount 00a5 TParams.GetItem 00ae TParam.GetParamType 00d7 TBDEDataSet.GetParamData 00f8 TParam.GetIsNull 0115 TParam.GetDataType 015b TBDEDataSet.GetParamDataSize 0169 TParam.GetDataSize 01ca DbiQSetProcParams 01cf Check 01e7 TBDEDataSet.FreeStatementLocale 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC 8B 45 FC 83 B8 28 02 00 00 00 0F 84 D7 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 14 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 28 02 00 00 E8 ?? ?? ?? ?? 40 66 89 45 F6 8B 45 FC 8B 80 28 02 00 00 89 45 F8 8B 45 FC 8B 90 50 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 05 01 00 00 47 33 F6 8B 45 FC 8B 80 1C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 2C 01 74 04 2C 02 75 58 8B 45 EC 50 8B 45 FC 8B 80 1C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 0F B7 45 F6 8D 56 01 03 D2 2B C2 8B 55 FC 8B 92 28 02 00 00 8D 04 02 89 45 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F0 66 C7 00 FF FF EB 08 8B 45 F0 66 C7 00 00 00 8B C3 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 55 81 45 F8 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 01 75 60 6B C6 0D 8B 55 FC 8B 92 20 02 00 00 8D 04 82 89 45 E8 8B 45 FC 8B 80 1C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 66 89 42 30 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 66 89 42 2A EB 1D 8B 45 FC 8B 80 1C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 01 45 F8 46 4F 0F 85 FE FE FF FF 8B 45 FC 8B 80 28 02 00 00 50 8B 45 FC 8B 80 20 02 00 00 50 8B 45 FC 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 40 50 8B 45 FC 8B 80 50 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7430_0 {
	meta:
		name = "TStoredProc.SetPrepared"
		size = 243
		refs = "0017 TStoredProc.SetPrepared 0031 SDataSetOpen 0036 LoadResString 0041 DatabaseError 006c TCollection.GetCount 0078 TStoredProc.CreateParamDesc 0082 TStoredProc.SetServerParams 0096 TStoredProc.PrepareProc 00af @HandleAnyException 00b7 TStoredProc.FreeStatement 00bc @RaiseAgain 00c1 @DoneExcept 00e0 @LStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 4C 01 00 00 00 74 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 3A 98 2E 02 00 00 74 7F 84 DB 74 73 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 2F 02 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 2E 02 00 00 01 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7431_0 {
	meta:
		name = "TStoredProc.Prepare"
		size = 33
		refs = "001a TStoredProc.SetPrepared"
	strings:
		$1 = { 53 56 8B D8 B1 01 BA 06 00 00 00 8B C3 8B 30 FF 96 10 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7432_0 {
	meta:
		name = "TStoredProc.UnPrepare"
		size = 31
		refs = "0008 TStoredProc.SetPrepared"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 06 00 00 00 8B C3 8B 18 FF 93 10 02 00 00 5B C3 }
	condition:
		$1
}

rule function_7433_0 {
	meta:
		name = "TStoredProc.FreeStatement"
		size = 84
		refs = "0014 DbiQFree 0020 TSPParamDescList 0025 @DynArrayClear 0031 TServerDescList 0042 _DT_91"
	strings:
		$1 = { 53 8B D8 83 BB 50 01 00 00 00 74 0C 8D 83 50 01 00 00 50 E8 ?? ?? ?? ?? 8D 83 20 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 24 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 28 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 2E 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7434_0 {
	meta:
		name = "TStoredProc.SetPrepare"
		size = 16
		refs = "0005 TStoredProc.Prepare 000b TStoredProc.UnPrepare"
	strings:
		$1 = { 84 D2 74 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7442_0 {
	meta:
		name = "TQuery.SetPrepare"
		size = 16
		refs = "0005 TQuery.Prepare 000b TQuery.UnPrepare"
	strings:
		$1 = { 84 D2 74 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7435_0 {
	meta:
		name = "TStoredProc.SetDBFlag"
		size = 124
		refs = "001e @SetExpand 0032 TStoredProc.SetDBFlag 0039 @SetEq 0044 TStoredProc.SetPrepared 004f TDBDataSet.SetDBFlag"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D9 8B F2 8B F8 84 DB 75 38 8D 87 08 02 00 00 8B D4 B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C6 3D FF 00 00 00 77 04 0F B3 04 24 8B C4 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7436_0 {
	meta:
		name = "TStoredProc.CopyParams"
		size = 147
		refs = "0020 TCollection.GetCount 002c TStoredProc.CopyParams 0044 TStoredProc.Prepare 0069 TStoredProc.UnPrepare 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 B8 2E 02 00 00 00 75 69 8B 45 FC 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 2F 02 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 1C 02 00 00 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 2F 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 90 1C 02 00 00 8B C3 8B 08 FF 51 08 5B 59 5D C3 }
	condition:
		$1
}

rule function_7437_0 {
	meta:
		name = "TStoredProc.SetParamsList"
		size = 72
		refs = "001b TStoredProc.SetPrepared"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 44 80 BB 2E 02 00 00 00 74 22 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 1C 02 00 00 8B 08 FF 51 08 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 1C 02 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_7438_0 {
	meta:
		name = "TStoredProc.ParamByName"
		size = 12
		refs = "0007 TParams.ParamByName"
	strings:
		$1 = { 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7439_0 {
	meta:
		name = "TQuery.Create"
		size = 156
		refs = "000e @ClassCreate 001c TBDEDataSet.Create 0023 _Dn_TStringList 0028 TObject.Create 003a TQuery.QueryChanged 0043 _Dn_TParams 0048 TParams.Create 0057 _DV_TQueryDataLink 005c TQueryDataLink.Create 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 02 00 00 89 5E 20 C7 46 1C ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 28 02 00 00 C6 83 35 02 00 00 00 C6 83 3D 02 00 00 01 C7 83 30 02 00 00 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7440_0 {
	meta:
		name = "TQuery.Destroy"
		size = 98
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0023 TObject.Free 0044 StrDispose 0050 TBDEDataSet.Destroy 005b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 08 02 00 00 8B 86 18 02 00 00 E8 ?? ?? ?? ?? 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7443_0 {
	meta:
		name = "TQuery.Prepare"
		size = 33
		refs = "001a TQuery.SetPrepared"
	strings:
		$1 = { 53 56 8B D8 B1 01 BA 01 00 00 00 8B C3 8B 30 FF 96 10 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7444_0 {
	meta:
		name = "TQuery.UnPrepare"
		size = 31
		refs = "0008 TQuery.SetPrepared"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 8B C3 8B 18 FF 93 10 02 00 00 5B C3 }
	condition:
		$1
}

rule function_7445_0 {
	meta:
		name = "TQuery.SetDataSource"
		size = 108
		refs = "000f TQuery.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0039 DatabaseError 0046 TDataLink.SetDataSource 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7446_0 {
	meta:
		name = "TQuery.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 28 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_7447_0 {
	meta:
		name = "TQuery.SetQuery"
		size = 200
		refs = "0013 TQuery.SetQuery 0041 @LStrCmp 005c TStrings.BeginUpdate 0095 TStrings.EndUpdate 009b @HandleFinally 00b7 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 18 02 00 00 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 55 F4 58 E8 ?? ?? ?? ?? 74 5A 8B 45 FC 8B 10 FF 92 08 02 00 00 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 02 00 00 8B D3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7448_0 {
	meta:
		name = "TQuery.QueryChanged"
		size = 407
		refs = "0016 TQuery.QueryChanged 0042 StrDispose 0070 _Dn_TParams 0075 TParams.Create 00a8 TParams.ParseSQL 00b8 @LStrAsg 00c9 TParams.AssignValues 00d7 TCollection.Clear 00fd TObject.Free 0103 @HandleFinally 0186 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 02 0F 85 0B 01 00 00 8B 45 FC 8B 10 FF 92 08 02 00 00 8B 45 FC 8B 80 38 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 38 02 00 00 8B 45 FC 80 B8 3D 02 00 00 00 75 0D 8B 45 FC F6 40 20 10 0F 84 9F 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 55 F0 8B 45 FC 8B 80 18 02 00 00 8B 08 FF 51 1C 8B 55 F0 B1 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 24 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 20 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 20 02 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F4 8B 45 FC 8B 80 18 02 00 00 8B 08 FF 51 1C 8B 55 F4 8B 45 FC 05 24 02 00 00 E8 ?? ?? ?? ?? 33 C9 B2 08 8B 45 FC 8B 18 FF 53 5C EB 38 8D 45 F4 50 8D 55 F0 8B 45 FC 8B 80 18 02 00 00 8B 08 FF 51 1C 8B 55 F0 8B 45 FC 8B 80 20 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 24 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7450_0 {
	meta:
		name = "TQuery.GetParamsCount"
		size = 16
		refs = "000a TCollection.GetCount"
	strings:
		$1 = { 53 8B D8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7451_0 {
	meta:
		name = "TQuery.DefineProperties"
		size = 116
		refs = "000c TComponent.DefineProperties 0012 TQuery.ReadBinaryData 0018 TQuery.WriteBinaryData 0027 TQuery.DefineProperties 0034 TQuery.ReadParamData 003a TQuery.WriteParamData"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB 38 02 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 FF FF FF FF 09 00 00 00 50 61 72 61 6D 44 61 74 61 00 00 00 }
	condition:
		$1
}

rule function_7452_0 {
	meta:
		name = "TQuery.ReadParamData"
		size = 29
		refs = "0009 TReader.ReadValue 0016 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 20 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7453_0 {
	meta:
		name = "TQuery.WriteParamData"
		size = 13
		refs = "0008 TWriter.WriteCollection"
	strings:
		$1 = { 8B 80 20 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7454_0 {
	meta:
		name = "TQuery.ReadBinaryData"
		size = 49
		refs = "000a TStream.GetSize 000f StrAlloc 0029 TStream.ReadBuffer"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB 38 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7455_0 {
	meta:
		name = "TQuery.WriteBinaryData"
		size = 35
		refs = "0010 StrBufSize 001b TStream.WriteBuffer"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 38 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7456_0 {
	meta:
		name = "TQuery.SetPrepared"
		size = 219
		refs = "000f TQuery.SetPrepared 0026 SDataSetOpen 002b LoadResString 0035 DatabaseError 005d @LStrLen 006b @LStrToPChar 0074 TQuery.PrepareSQL 007e SEmptySQLStatement 009f TQuery.GetRowsAffected 00ca @LStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 4C 01 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 3A 9E 1C 02 00 00 74 78 84 DB 74 4E C7 86 30 02 00 00 FF FF FF FF C6 86 3F 02 00 00 01 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 48 7E 16 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 39 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? EB 20 80 BE 3F 02 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 89 86 30 02 00 00 8B C6 8B 10 FF 92 14 02 00 00 88 9E 1C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7457_0 {
	meta:
		name = "TQuery.FreeStatement"
		size = 37
		refs = "0014 DbiQFree 001f Check"
	strings:
		$1 = { 53 8B D8 83 BB 50 01 00 00 00 74 17 8D 83 50 01 00 00 50 E8 ?? ?? ?? ?? F6 43 20 08 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7458_0 {
	meta:
		name = "TQuery.SetParamsFromCursor"
		size = 119
		refs = "0027 TFieldDefs.Update 0032 TCollection.GetCount 0049 TParams.GetItem 005c TDataSet.FieldByName 0065 TParam.AssignField"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 28 02 00 00 8B 40 04 85 C0 74 5D 8B 40 24 89 04 24 83 3C 24 00 74 51 8B 04 24 8B 40 2C E8 ?? ?? ?? ?? 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 ED 8B D5 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 29 00 75 18 8B 56 24 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 46 29 00 45 4F 75 CF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7459_0 {
	meta:
		name = "TQuery.RefreshParams"
		size = 122
		refs = "000c TDataSet.DisableControls 0014 TQuery.RefreshParams 0038 TDataSet.GetActive 004d TDataSet.Close 0055 TDataSet.Open 006a TDataSet.EnableControls 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 28 02 00 00 8B 40 04 85 C0 74 2B 8B 58 24 85 DB 74 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 80 BB 8D 00 00 00 04 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7461_0 {
	meta:
		name = "TQuery.CreateCursor"
		size = 233
		refs = "0016 TQuery.CreateCursor 0054 TQuery.SetPrepared 0071 @HandleFinally 008a TQuery.SetParamsFromCursor 0095 TQuery.GetQueryCursor 00a1 SEmptySQLStatement 00a6 LoadResString 00b1 DatabaseError 00d6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 02 00 00 8B 10 FF 52 14 85 C0 7E 6B 8A 45 FB 34 01 8B 55 FC 88 82 3E 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 3E 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 28 02 00 00 83 78 04 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 1A 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 DB 85 DB 0F 94 C0 8B 55 FC 88 82 3F 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7463_0 {
	meta:
		name = "TQuery.ExecSQL"
		size = 101
		refs = "0026 TQuery.ExecSQL 0036 TQuery.CreateCursor 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 52 44 B1 01 BA 02 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 02 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_7464_0 {
	meta:
		name = "TQuery.GetQueryCursor"
		size = 67
		refs = "001b TCollection.GetCount 0026 TQuery.SetParams 0033 DbiQExec 0038 Check"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 84 D2 74 04 8B F4 EB 02 33 F6 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 56 8B 83 50 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7465_0 {
	meta:
		name = "TQuery.SetParams"
		size = 717
		refs = "0018 TQuery.SetParams 002c TCollection.GetCount 003b TFieldDescList 0040 @DynArraySetLength 006f TParams.GetItem 0079 TBDEDataSet.GetParamDataSize 0088 AllocMem 00c4 TBDEDataSet.GetStatementLocale 0119 TParam.GetDataType 0122 FldTypeMap 013d SNoParameterValue 0142 LoadResString 015e DatabaseErrorFmt 016f FldSubTypeMap 01bc TBDEDataSet.GetParamData 01d0 TParam.GetIsNull 01f4 TParam.GetDataSize 0244 @DynArrayHigh 0255 DbiQSetParams 025a Check 0272 TBDEDataSet.FreeStatementLocale 0278 @HandleFinally 028f @FreeMem 02ac @LStrClr 02ba @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 E0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 BB 02 00 8B 45 FC 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 24 47 33 F6 8B 45 FC 8B 80 20 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 66 03 D8 46 4F 75 DF 0F B7 C3 E8 ?? ?? ?? ?? 89 45 F4 0F B7 C3 03 45 F4 83 E8 02 89 45 EC 8B 45 EC 66 C7 00 FF FF 8B 45 F4 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 90 50 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 46 01 00 00 47 33 F6 8B C6 C1 E0 05 2B C6 8B 55 F8 8D 1C 42 8B 45 FC 8B 80 20 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 83 E0 7F 8B 15 ?? ?? ?? ?? 0F B6 04 02 66 89 43 22 66 83 7B 22 00 75 2D 8B 45 FC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 E4 8B 40 24 89 45 D8 C6 45 DC 0B 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 E0 7F 8B 15 ?? ?? ?? ?? 66 8B 04 42 66 89 43 24 8B C6 40 66 89 03 8B 45 FC 8B 80 20 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 66 89 43 2C 8B 45 E8 50 8B 45 FC 8B 80 20 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 66 8B 45 F0 66 2B 45 F4 66 89 43 2A 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 0E 66 8B 45 EC 66 2B 45 F4 66 89 43 2E EB 43 66 8B 43 22 66 83 F8 01 75 0F 8B 45 E4 E8 ?? ?? ?? ?? 48 66 89 43 26 EB 2A 66 83 F8 09 75 0E 8B 45 E4 E8 ?? ?? ?? ?? 66 89 43 26 EB 16 66 83 F8 0F 75 10 8B 45 E4 E8 ?? ?? ?? ?? 66 83 E8 02 66 89 43 26 0F B7 43 2C 01 45 F0 46 4F 0F 85 BD FE FF FF 8B 45 F4 50 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 40 50 8B 45 FC 8B 80 50 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7466_0 {
	meta:
		name = "TQuery.SetDBFlag"
		size = 196
		refs = "0012 TQuery.SetDBFlag 0028 TDBDataSet.SetDBFlag 005f @SetExpand 007d @SetEq 0088 TQuery.SetPrepared"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B D9 8B FA 8B F0 84 DB 74 3F 66 A1 ?? ?? ?? ?? 66 3B 86 08 02 00 00 0F 94 04 24 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 20 02 0F 95 C2 80 F2 01 22 14 24 74 5C 8B 96 0C 02 00 00 8A 52 30 80 F2 01 88 96 2C 02 00 00 EB 48 8D 86 08 02 00 00 8D 54 24 04 B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C7 3D FF 00 00 00 77 05 0F B3 44 24 04 8D 44 24 04 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7467_0 {
	meta:
		name = "TQuery.PrepareSQL"
		size = 50
		refs = "002c SetBoolProp"
	strings:
		$1 = { 53 8B D8 8B C3 8B 08 FF 91 18 02 00 00 80 BB 2C 02 00 00 00 75 1A 8A 83 34 02 00 00 F6 D8 1B C9 BA 10 00 06 00 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7468_0 {
	meta:
		name = "TQuery.GetStatementHandle"
		size = 319
		refs = "001b TDBDataSet.GetDBHandle 0021 DbiQAlloc 0026 Check 002e TQuery.GetStatementHandle 0054 TBDEDataSet.ForceUpdateCallback 0068 DataType 007d DbiSetProp 00a3 SetBoolProp 00f5 DbiQPrepare 00ff TDBDataSet.CheckOpen 0112 @HandleAnyException 0120 DbiQFree 0130 @RaiseAgain 0135 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 05 50 01 00 00 50 6A 02 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 3E 02 00 00 00 75 42 8B 45 FC 80 B8 35 02 00 00 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 68 21 00 06 00 8B 45 FC 8B 80 50 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 2C 02 00 00 00 74 57 8B 45 FC 8B 80 50 01 00 00 33 C9 BA 26 00 06 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 35 02 00 00 00 74 21 8B 45 FC 80 B8 3C 02 00 00 00 74 15 8B 45 FC 8B 80 50 01 00 00 33 C9 BA 31 00 06 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 50 01 00 00 33 C9 BA 42 00 06 00 E8 ?? ?? ?? ?? 53 8B 45 FC 8B 80 50 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 E2 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 50 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7469_0 {
	meta:
		name = "TQuery.GetRowsAffected"
		size = 74
		refs = "0028 DbiGetProp"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB 1C 02 00 00 00 74 2B 8D 44 24 04 50 6A 04 8D 44 24 08 50 68 14 00 06 00 8B 83 50 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 12 C7 04 24 FF FF FF FF EB 09 8B 83 30 02 00 00 89 04 24 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_7470_0 {
	meta:
		name = "TQuery.GetProviderAttributes"
		size = 496
		refs = "001a TQuery.GetProviderAttributes 002a TDBDataSet.GetProviderAttributes 0040 @LStrClr 005f DbiGetSQLRequest 00bb StrPas 00de @LStrCatN 012d DbiFreeSQLRequest 0133 @HandleFinally 0148 @VarFromLStr 0158 CreateAttribute 016a @VarFromBool 018f @VarClr 019c @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 83 18 02 00 00 8B 08 FF 51 1C 8D 45 F8 E8 ?? ?? ?? ?? C6 45 EE 00 8D 45 F0 50 8D 45 EF 50 8B 45 F4 50 8B 83 0C 02 00 00 8B 40 3C 50 E8 ?? ?? ?? ?? 66 85 C0 0F 85 CD 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D EF 00 75 6F 8B 45 F0 83 78 22 00 74 66 8B 45 F0 8B 40 22 83 38 00 74 5B 8B 45 F0 8B 40 22 83 78 04 00 75 4F 8B 45 F0 8B 40 22 8B 18 80 BB 1B 03 00 00 00 74 33 8D 55 E8 8D 83 1B 03 00 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 55 E4 8D 43 08 E8 ?? ?? ?? ?? FF 75 E4 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 55 F8 8D 43 08 E8 ?? ?? ?? ?? 8B 45 F0 83 78 1E 00 75 1E 8B 45 F0 83 78 32 00 75 15 8B 45 F0 8B 40 0A 48 83 E8 02 72 05 83 E8 01 75 04 33 C0 EB 02 B0 01 88 45 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 7D F8 00 74 1D 6A 01 8D 45 D4 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 7D EE 00 74 1C 6A 01 8D 45 D4 B2 01 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 0A 00 00 00 54 41 42 4C 45 5F 4E 41 4D 45 00 00 FF FF FF FF 09 00 00 00 52 45 41 44 20 4F 4E 4C 59 00 00 00 }
	condition:
		$1
}

rule function_7471_0 {
	meta:
		name = "AddFieldToList"
		size = 33
		refs = "0006 TDataSet.FindField 0015 TList.Add"
	strings:
		$1 = { 53 56 8B F1 92 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7472_0 {
	meta:
		name = "TQuery.GetDetailLinkFields"
		size = 164
		refs = "0013 @CallDynaInst 0048 TCollection.GetCount 006d TParams.GetItem 0078 AddFieldToList"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 8B C5 66 BB FF FF E8 ?? ?? ?? ?? 8B 04 24 66 BB FF FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 00 00 00 85 C0 74 6D 8B C6 8B 10 FF 92 D0 00 00 00 83 78 24 00 74 5D 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4B 47 33 DB 8B C6 8B 10 FF 92 D0 00 00 00 8B 40 24 50 8B D3 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8B 40 24 8B CD 5A E8 ?? ?? ?? ?? 84 C0 74 1A 8B D3 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8B 40 24 8B 0C 24 8B D6 E8 ?? ?? ?? ?? 43 4F 75 B8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7473_0 {
	meta:
		name = "TUpdateSQL.Create"
		size = 107
		refs = "000f @ClassCreate 001d TComponent.Create 0026 _Dn_TStringList 002b TObject.Create 0042 TUpdateSQL.SQLChanged 0055 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 83 E7 7F 89 44 BE 34 8B 44 BE 34 89 70 20 C7 40 1C ?? ?? ?? ?? 43 80 FB 03 75 D7 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7474_0 {
	meta:
		name = "TUpdateSQL.Destroy"
		size = 86
		refs = "0004 @BeforeDestruction 001f TBDEDataSet.SetUpdateObject 002e TObject.Free 0041 TComponent.Destroy 004e @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 8B 46 24 85 C0 74 0F 3B B0 F4 01 00 00 75 07 33 D2 E8 ?? ?? ?? ?? 33 DB 33 C0 8A C3 8B 44 86 34 E8 ?? ?? ?? ?? 43 80 FB 03 75 ED 8A 14 24 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7475_0 {
	meta:
		name = "TUpdateSQL.ExecSQL"
		size = 114
		refs = "000d TUpdateSQL.ExecSQL 001a TUpdateSQL.GetQuery 0023 TQuery.Prepare 002a TQuery.ExecSQL 0031 TQuery.GetRowsAffected 003c SUpdateFailed 0041 LoadResString 004c DatabaseError 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 74 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 56 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7476_0 {
	meta:
		name = "TUpdateSQL.GetQuery"
		size = 123
		refs = "0019 _DV_TQuery 001e TQuery.Create 0044 _DV_TDBDataSet 0049 @IsClass 005c TDBDataSet.SetSessionName 006e TDBDataSet.SetDatabaseName"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B FB 83 E7 7F 83 7C BE 28 00 75 5E 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 BE 28 8B 54 BE 34 33 C0 8A C3 8B 44 86 28 8B 80 18 02 00 00 8B 08 FF 51 08 8B 6E 24 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 95 14 02 00 00 8B 44 BE 28 E8 ?? ?? ?? ?? 8B 46 24 8B 90 10 02 00 00 8B 44 BE 28 E8 ?? ?? ?? ?? 8B 44 BE 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7477_0 {
	meta:
		name = "TUpdateSQL.GetSQL"
		size = 8
		altNames = "TUpdateSQL.GetSQLIndex"
	strings:
		$1 = { 83 E2 7F 8B 44 90 34 C3 }
	condition:
		$1
}

rule function_7480_0 {
	meta:
		name = "TTeeFunction.InternalSetPeriod"
		size = 4
		altNames = "TUpdateSQL.SetDataSet"
	strings:
		$1 = { 89 50 24 C3 }
	condition:
		$1
}

rule function_7481_0 {
	meta:
		name = "TUpdateSQL.SetSQL"
		size = 24
	strings:
		$1 = { 56 57 8B F9 8B F0 33 C0 8A C2 8B 44 86 34 8B D7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_7483_0 {
	meta:
		name = "TUpdateSQL.SQLChanged"
		size = 75
		refs = "0028 TCollection.Clear"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B FB 83 E7 7F 3B 54 BE 34 75 2F 83 7C BE 28 00 74 2E 33 C0 8A C3 8B 44 86 28 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 8B 54 BE 34 8B 44 BE 28 8B 80 18 02 00 00 8B 08 FF 51 08 EB 06 43 80 FB 03 75 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7484_0 {
	meta:
		name = "TUpdateSQL.SetParams"
		size = 372
		refs = "001b TUpdateSQL.SetParams 0038 TUpdateSQL.GetQuery 0049 TCollection.GetCount 006e TParams.GetItem 007b @LStrLAsg 0091 @LStrCopy 009e CompareText 00b9 @LStrDelete 00c7 TDataSet.FindField 00db TField.GetOldValue 00e7 TParam.AssignFieldValue 00f3 TField.GetNewValue 00fb VarIsEmpty 0136 @VarClr 013e @LStrClr 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 24 00 0F 84 F3 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C CF 00 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8B 45 F0 8B 80 20 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 8B 56 24 E8 ?? ?? ?? ?? 8D 45 D8 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 12 8D 45 F4 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 85 FF 74 48 84 DB 74 18 8D 55 C8 8B C7 E8 ?? ?? ?? ?? 8D 4D C8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 2C 8D 55 DC 8B C7 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 DC 8B C7 E8 ?? ?? ?? ?? 8D 4D DC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 45 F8 FF 4D EC 0F 85 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 4F 4C 44 5F 00 00 00 00 }
	condition:
		$1
}

rule function_7485_0 {
	meta:
		name = "TUpdateSQL.Apply"
		size = 27
		refs = "000b TUpdateSQL.SetParams 0014 TUpdateSQL.ExecSQL"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7486_0 {
	meta:
		name = "TBlobStream.Create"
		size = 539
		refs = "0019 @ClassCreate 0029 TBlobStream.Create 0040 _DV_TBDEDataSet 0045 @AsClass 005e TBDEDataSet.GetActiveRecBuf 0081 TField.GetDisplayName 0097 SNoFieldAccess 009c LoadResString 00a7 DatabaseErrorFmt 00af TBlobField.GetModified 00ce TDataSet.ActiveBuffer 00f1 TBDEDataSet.GetBlobData 0117 TBDEDataSet.SetBlobData 0145 SFieldReadOnly 016c SNotEditing 017c DatabaseError 01be DbiOpenBlob 01c3 Check 01d3 TBlobStream.Truncate 01ed @LStrArrayClr 01f3 @HandleFinally 0202 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 5E 10 8B F9 89 7E 04 8B 47 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 46 04 8B 10 FF 52 6C 89 46 14 8D 56 0C 8B 46 08 E8 ?? ?? ?? ?? 84 C0 0F 84 6D 01 00 00 8B 46 08 80 B8 8D 00 00 00 06 75 35 8B 46 08 50 8D 55 F0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 C0 0F 85 0C 01 00 00 84 DB 75 4C 8B 7E 08 80 BF 99 01 00 00 00 74 30 8B C7 E8 ?? ?? ?? ?? 3B 46 0C 75 24 8B 46 04 8B 10 FF 52 74 84 C0 75 1C 8D 45 F0 50 8B 4E 0C 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 83 7D F0 00 75 04 33 C0 EB 02 B0 01 88 46 24 BF 01 00 00 00 EB 77 6A 00 8B 4E 0C 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 80 78 31 00 74 35 8B 46 08 50 8D 55 F0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 08 8A 80 8D 00 00 00 04 FE 2C 02 72 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 56 08 E8 ?? ?? ?? ?? 33 FF 80 7E 24 00 75 3F 8B 46 08 80 B8 8D 00 00 00 01 75 15 8B 46 08 E8 ?? ?? ?? ?? 8B D0 8B 46 08 8B 08 FF 91 C0 01 00 00 57 66 8B 46 14 50 8B 46 0C 50 8B 46 08 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 18 01 80 FB 01 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7487_0 {
	meta:
		name = "TBlobStream.Destroy"
		size = 206
		refs = "000a @BeforeDestruction 002f TBlobField.SetModified 003a TBlobField.GetModified 0068 DbiFreeBlob 0079 TBlobStream.Destroy 00a1 @HandleAnyException 00a6 Application 00b0 TApplication.HandleException 00b5 @DoneExcept 00c3 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 78 18 00 74 4F 8B 45 FC 80 78 19 00 74 0D 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 2A 8B 45 FC 80 78 24 00 75 21 8B 45 FC 66 8B 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 80 78 19 00 74 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 04 8B 45 FC 8B 40 08 33 D2 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7488_0 {
	meta:
		name = "TBlobStream.Read"
		size = 476
		refs = "0018 TBlobStream.Read 003a TStream.GetSize 006f TBDEDataSet.GetBlobData 0077 @LStrToPChar 0087 Move 00b7 DbiGetBlob 00fa NativeToAnsiBuf 0111 TDataSet.ActiveBuffer 012c TBlobField.GetModified 014a @LStrSetLength 0181 TBDEDataSet.SetBlobData 0189 @LStrClr 01a5 DbiFreeBlob 01b2 DbiError 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 80 7B 18 00 0F 84 85 01 00 00 80 7B 24 00 74 5F 8B C3 E8 ?? ?? ?? ?? 2B 43 1C 3B F0 7E 0F 8B C3 E8 ?? ?? ?? ?? 2B 43 1C 89 45 F8 EB 03 89 75 F8 83 7D F8 00 0F 8E 55 01 00 00 8D 45 F4 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 53 1C 03 C2 8B 55 FC 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 01 43 1C E9 20 01 00 00 8D 45 F8 50 8B 45 FC 50 56 8B 43 1C 50 66 8B 43 14 50 8B 43 0C 50 8B 43 08 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 66 83 EA 01 72 17 66 81 EA 06 22 74 10 66 81 EA 07 05 0F 84 E1 00 00 00 E9 D7 00 00 00 8B 43 04 80 B8 D0 00 00 00 00 74 18 8B 45 F8 50 8B 4D FC 8B 55 FC 8B 43 08 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 8B 73 08 80 BE 99 01 00 00 00 0F 84 9B 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B 43 0C 0F 85 8B 00 00 00 80 7B 10 00 0F 85 81 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 75 8B 43 1C 3B 43 28 75 6D 8B 43 1C 03 45 F8 89 43 28 8D 53 20 92 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B 53 1C 8D 14 10 8B 45 FC 8B 4D F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 43 28 75 36 8B 43 20 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8D 43 20 E8 ?? ?? ?? ?? C6 43 24 01 66 8B 43 14 50 8B 43 0C 50 8B 43 08 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 01 43 1C EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7489_0 {
	meta:
		name = "TBlobStream.Write"
		size = 288
		refs = "0036 @GetMem 0041 TBlobStream.Write 0061 AnsiToNativeBuf 0091 DbiPutBlob 0096 Check 00ae @FreeMem 00b4 @HandleFinally 0114 TBDEDataSet.SetBlobData"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 89 45 FC 33 DB 8B 45 FC 80 78 18 00 0F 84 F9 00 00 00 8B 45 FC 8B 40 04 80 B8 D0 00 00 00 00 0F 84 88 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B D6 8B 45 FC 8B 40 08 8B 80 64 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 1C 50 8B 45 FC 66 8B 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 56 8B 45 F8 50 8B 45 FC 8B 40 1C 50 8B 45 FC 66 8B 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 01 50 1C 8B 5D F8 8B 45 FC C6 40 19 01 6A 00 8B 45 FC 8B 48 0C 8B 45 FC 8B 50 04 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7490_0 {
	meta:
		name = "TBlobStream.Seek"
		size = 49
		refs = "0022 TBlobStream.GetBlobSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 E9 01 72 09 74 0C 66 FF C9 74 0C EB 16 89 73 1C EB 11 01 73 1C EB 0C 8B C3 E8 ?? ?? ?? ?? 03 F0 89 73 1C 8B 43 1C 5E 5B C3 }
	condition:
		$1
}

rule function_7491_0 {
	meta:
		name = "TBlobStream.Truncate"
		size = 64
		refs = "0021 DbiTruncateBlob 0026 Check 003a TBDEDataSet.SetBlobData"
	strings:
		$1 = { 53 8B D8 80 7B 18 00 74 35 8B 43 1C 50 66 8B 43 14 50 8B 43 0C 50 8B 43 08 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 19 01 6A 00 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7492_0 {
	meta:
		name = "TBlobStream.GetBlobSize"
		size = 146
		refs = "0012 TBlobStream.GetBlobSize 003b TBDEDataSet.GetBlobData 0043 @LStrLen 0064 DbiGetBlobSize 0069 Check 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 80 7B 18 00 74 46 80 7B 24 00 74 1F 8D 45 F8 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC EB 21 8D 45 FC 50 66 8B 43 14 50 8B 43 0C 50 8B 43 08 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7493_0 {
	meta:
		name = "InitDBTables"
		size = 33
		refs = "0002 SaveInitProc 0012 CoInitialize 0017 Succeeded 001c NeedToUninitialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7494_0 {
	meta:
		name = "Finalization"
		size = 108
		refs = "0007 Finalization 0013 _DV_32 001a Sessions 001f TObject.Free 0024 BDEInitProcs 002e FreeTimer 0034 NeedToUninitialize 003c CoUninitialize 0041 Exts 004c String 0051 @FinalizeArray 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7495_0 {
	meta:
		name = "DBTables"
		size = 112
		refs = "0002 _DV_32 000a IsLibrary 0014 InitProc 001b SaveInitProc 0026 InitDBTables 002d _DV_TSessionList 0032 TSessionList.Create 0037 Sessions 0040 _DV_TSession 0045 TSession.Create 004a Session 004f DBTables 0059 TSession.SetSessionName"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 54 A1 ?? ?? ?? ?? 80 38 00 75 17 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 FF FF FF FF 07 00 00 00 44 65 66 61 75 6C 74 00 }
	condition:
		$1
}

rule function_7499_0 {
	meta:
		name = "TDSTableProducerEditor.Create"
		size = 70
		refs = "000b @ClassCreate 001a TObject.Create 001f RPR 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 89 47 04 89 78 38 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7500_0 {
	meta:
		name = "TDSTableProducerEditor.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 001f TObject.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 05 33 D2 89 50 38 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7503_0 {
	meta:
		name = "TDSTableProducerEditor.GetDataSource"
		size = 18
		refs = "000a TDSTableProducer.GetDataSource"
	strings:
		$1 = { 8B 50 04 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_7504_0 {
	meta:
		name = "TDSTableProducerEditor.SetDataSource"
		size = 15
		refs = "000a TDSTableProducer.SetDataSource"
	strings:
		$1 = { 8B 48 04 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7505_0 {
	meta:
		name = "THTMLTableColumn.Create"
		size = 201
		refs = "000f @ClassCreate 0028 _DV_THTMLTableColumns 002d @IsClass 0045 TDSTableProducer.BeginLayout 004d THTMLTableColumn.Create 005f TCollectionItem.Create 0068 _Dn_THTMLTableHeaderAttributes 006d THTMLTagAttributes.Create 0082 THTMLTableColumn.TitleChanged 009d TDSTableProducer.EndLayout 00a3 @HandleFinally 00b3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 89 45 F4 85 DB 74 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 18 89 45 F4 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 24 8B 45 FC 89 43 10 C7 43 0C ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7507_0 {
	meta:
		name = "THTMLTableColumn.AssignTo"
		size = 181
		refs = "000f _DV_THTMLTableColumn 0014 @IsClass 0035 THTMLTableColumn.AssignTo 004a THTMLTableColumn.SetFieldName 0057 THTMLTableColumn.SetAlign 0064 THTMLTableColumn.SetBgColor 0071 THTMLTableColumn.SetVAlign 007e THTMLTableColumn.SetTitle 00a0 @HandleFinally 00ac TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 10 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 14 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7508_0 {
	meta:
		name = "THTMLTableColumn.GetField"
		size = 96
		refs = "0007 THTMLTableColumn.GeTDSTableProducer 0021 TDataLink.GetDataSet 0036 TDataSet.GetActive 004d TDataSet.FindField 0056 THTMLTableColumn.SetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7B 0C 00 75 47 83 7B 10 00 74 41 85 F6 74 3D 8B 46 30 E8 ?? ?? ?? ?? 85 C0 74 31 8B 46 30 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 80 BE 96 00 00 00 00 75 13 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_7511_0 {
	meta:
		name = "THTMLTableColumn.GetDisplayName"
		size = 37
		refs = "0012 @LStrLAsg 001e TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 74 0D 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7512_0 {
	meta:
		name = "THTMLTableColumn.RestoreDefaults"
		size = 37
		refs = "000b @LStrClr"
	strings:
		$1 = { 53 8B D8 C6 43 14 00 8D 43 18 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? C6 43 20 00 8B 43 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_7514_0 {
	meta:
		name = "THTMLTableColumn.SetBgColor"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 E8 ?? ?? ?? ?? 74 13 8D 43 18 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7515_0 {
	meta:
		name = "THTMLTableColumn.SetCustom"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 1C E8 ?? ?? ?? ?? 74 13 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7516_0 {
	meta:
		name = "THTMLTableColumn.SetField"
		size = 41
		refs = "0019 @LStrAsg 0022 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 74 1B 89 73 0C 85 F6 74 0B 8D 43 10 8B 56 28 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7517_0 {
	meta:
		name = "THTMLTableColumn.SetFieldName"
		size = 95
		refs = "000d THTMLTableColumn.GeTDSTableProducer 001b TDataLink.GetDataSet 0038 TDataSet.FindField 0044 @LStrAsg 004d THTMLTableColumn.SetField 0056 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 33 ED 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8B 46 30 E8 ?? ?? ?? ?? 85 C0 74 1B F6 46 20 01 75 15 85 FF 74 11 8B 46 30 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B E8 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7519_0 {
	meta:
		name = "THTMLTableColumn.SetVAlign"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 20 74 0A 88 50 20 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7526_0 {
	meta:
		name = "THTMLTableColumns.GetState"
		size = 46
		refs = "0006 TCollection.GetCount 0013 THTMLTableColumns.GetColumn 0019 _DV_TDefaultHTMLTableColumn 001e @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 18 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_7527_0 {
	meta:
		name = "THTMLTableColumns.RestoreDefaults"
		size = 102
		refs = "0015 THTMLTableColumns.RestoreDefaults 0023 TCollection.GetCount 0037 THTMLTableColumns.GetColumn 003c THTMLTableColumn.RestoreDefaults 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7528_0 {
	meta:
		name = "THTMLTableColumns.RebuildColumns"
		size = 228
		refs = "000e TCollection.Clear 0023 TDSTableProducer.GetDataSource 004b TDSTableProducer.BeginLayout 0053 THTMLTableColumns.RebuildColumns 006e TDataSet.GetFieldCount 0082 TFields.GetField 008b THTMLTableColumns.Add 0091 THTMLTableColumn.SetField 00ad TDSTableProducer.EndLayout 00b3 @HandleFinally 00bd TCollection.GetCount 00d1 THTMLTableColumns.GetColumn 00d6 THTMLTableColumn.Update"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 18 85 DB 0F 84 BE 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 AF 00 00 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 83 78 24 00 0F 84 9A 00 00 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 78 24 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 F6 8B 47 24 8B D6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4B 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7532_0 {
	meta:
		name = "THTMLTableColumns.GetAttr"
		size = 49
		refs = "000f sFieldNameColumn 0014 LoadResString 001d sFieldTypeColumn 002b @LStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7533_0 {
	meta:
		name = "THTMLTableColumns.GetItemAttr"
		size = 136
		refs = "0022 THTMLTableColumns.GetColumn 003e THTMLTableColumn.GetField 005d TObject.ClassName 006a @LStrFromString 0073 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 89 4D FC 8B D8 8B 75 08 83 EA 01 72 04 74 15 EB 5D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 0C EB 51 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 23 8B C3 E8 ?? ?? ?? ?? 8B 00 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7535_0 {
	meta:
		name = "THTMLTableColumns.Update"
		size = 43
		refs = "0015 TDSTableProducer.LayoutChanged"
	strings:
		$1 = { 56 8B 70 18 85 F6 74 21 F6 46 20 01 75 1B 85 D2 75 09 8B C6 E8 ?? ?? ?? ?? EB 0E 8B 56 38 85 D2 74 07 8B C2 8B 10 FF 52 04 5E C3 }
	condition:
		$1
}

rule function_7538_0 {
	meta:
		name = "THTTPDataLink.GetDefaultFields"
		size = 73
		refs = "0009 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 8A 98 96 00 00 00 84 DB 74 22 80 7E 2D 00 74 1C 8B 46 20 48 85 C0 7C 14 40 33 D2 8B 4E 28 83 3C 91 00 7D 04 33 DB EB 04 42 48 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_7539_0 {
	meta:
		name = "THTTPDataLink.GetFields"
		size = 53
		refs = "001b TDataLink.GetDataSet 0029 TFields.GetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 26 3B 73 20 7D 21 8B 43 28 83 3C B0 00 7C 18 8B C3 E8 ?? ?? ?? ?? 8B 40 24 8B 53 28 8B 14 B2 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7540_0 {
	meta:
		name = "THTTPDataLink.AddMapping"
		size = 254
		refs = "0016 THTTPDataLink.AddMapping 0031 sTooManyColumns 0036 LoadResString 003e TableError 004b TDataLink.GetDataSet 0052 TDataSet.FindField 0064 TDataSet.FieldByName 00a0 @ReallocMem 00ae TField.GetIndex 00c1 TComponent.FreeNotification 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 81 7B 20 FF FF FF 0F 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 80 7B 2D 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 53 24 8B 43 20 3B D0 75 33 8B F2 85 F6 75 07 BE 08 00 00 00 EB 02 03 F6 3B C6 7E 03 8B F0 46 81 FE FF FF FF 0F 7E 05 BE FF FF FF 0F 8B D6 C1 E2 02 8D 43 28 E8 ?? ?? ?? ?? 89 73 24 85 FF 74 1C 8B C7 E8 ?? ?? ?? ?? 8B 53 28 8B 4B 20 89 04 8A 8B 53 1C 8B C7 E8 ?? ?? ?? ?? EB 0D 8B 43 28 8B 53 20 C7 04 90 FF FF FF FF FF 43 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7541_0 {
	meta:
		name = "THTTPDataLink.ActiveChanged"
		size = 12
		refs = "0007 TDSTableProducer.LinkActive"
	strings:
		$1 = { 8A 50 15 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13344_0 {
	meta:
		name = "TMultiDimDataLink.ActiveChanged"
		size = 12
		refs = "0007 TCustomDataStore.SetActive"
	strings:
		$1 = { 8A 50 15 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7542_0 {
	meta:
		name = "THTTPDataLink.ClearMapping"
		size = 38
		refs = "0011 @FreeMem"
	strings:
		$1 = { 53 8B D8 8B 43 28 85 C0 74 1A 8B 53 24 C1 E2 02 E8 ?? ?? ?? ?? 33 C0 89 43 28 33 C0 89 43 24 33 C0 89 43 20 5B C3 }
	condition:
		$1
}

rule function_7543_0 {
	meta:
		name = "THTTPDataLink.Modified"
		size = 5
		altNames = "TTeeFunction.BeginUpdate"
	strings:
		$1 = { C6 40 2C 01 C3 }
	condition:
		$1
}

rule function_7544_0 {
	meta:
		name = "THTTPDataLink.DataSetChanged"
		size = 17
		refs = "0007 TDSTableProducer.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? C6 43 2C 00 5B C3 }
	condition:
		$1
}

rule function_7551_0 {
	meta:
		name = "THTTPDataLink.GetMappedIndex"
		size = 20
	strings:
		$1 = { 85 D2 7C 0C 3B 50 20 7D 07 8B 40 28 8B 04 90 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_7552_0 {
	meta:
		name = "THTTPDataLink.Reset"
		size = 37
		refs = "0017 TDataLink.GetDataSet"
	strings:
		$1 = { 53 8B D8 80 7B 2C 00 74 0B 33 D2 8B C3 8B 08 FF 51 44 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 AC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7553_0 {
	meta:
		name = "TDSTableProducer.Create"
		size = 224
		refs = "000e @ClassCreate 001c TComponent.Create 0023 _Dn_TStringList 0028 TObject.Create 0043 _DV_THTTPDataLink 0048 THTTPDataLink.Create 0054 _Dn_TDataSource 0059 TDataSource.Create 0061 _DV_THTMLTableColumn 006b _DV_THTMLTableColumns 0070 THTMLTableColumns.Create 007c _Dn_THTMLTableRowAttributes 0081 THTMLTagAttributes.Create 0090 TDSTableProducer.AttributeChanged 0099 _Dn_THTMLTableAttributes 009e THTMLTableAttributes.Create 00be TDSTableProducer.SetDataSource 00cb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 89 5E 10 C7 46 0C ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 5C 89 5E 10 C7 46 0C ?? ?? ?? ?? C7 43 48 14 00 00 00 8B 53 34 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7554_0 {
	meta:
		name = "TDSTableProducer.Destroy"
		size = 124
		refs = "0003 @BeforeDestruction 000e TDSTableProducer.BeginUpdate 0017 TDSTableProducer.SetDataSource 001f TObject.Free 006a TComponent.Destroy 0075 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 33 C0 89 46 3C 8B 46 30 E8 ?? ?? ?? ?? 33 C0 89 46 30 8B 46 34 E8 ?? ?? ?? ?? 33 C0 89 46 34 8B 46 58 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7555_0 {
	meta:
		name = "TDSTableProducer.AcquireLayoutLock"
		size = 32
		refs = "0018 TDSTableProducer.BeginLayout"
	strings:
		$1 = { 53 83 78 50 00 75 06 83 78 54 00 74 04 33 DB EB 02 B3 01 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_7557_0 {
	meta:
		name = "TDSTableProducer.BeginLayout"
		size = 29
		refs = "0006 TDSTableProducer.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 50 00 75 08 8B 43 3C 8B 10 FF 52 14 FF 43 50 5B C3 }
	condition:
		$1
}

rule function_7558_0 {
	meta:
		name = "TDSTableProducer.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 54 C3 }
	condition:
		$1
}

rule function_7559_0 {
	meta:
		name = "TDSTableProducer.Changed"
		size = 25
	strings:
		$1 = { 83 78 54 00 75 0E 83 78 38 00 74 08 8B 40 38 8B 10 FF 12 C3 C6 40 4C 01 C3 }
	condition:
		$1
}

rule function_7560_0 {
	meta:
		name = "TDSTableProducer.DefineFieldMap"
		size = 131
		refs = "000a THTMLTableColumns.GetState 001d TCollection.GetCount 0031 THTMLTableColumns.GetColumn 003c THTTPDataLink.AddMapping 004e TDataLink.GetDataSet 0057 TDataSet.GetFieldCount 006b TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 46 3C E8 ?? ?? ?? ?? 3C 01 75 34 8B 46 30 C6 40 2D 01 8B 46 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 56 43 33 FF 8B D7 8B 46 3C E8 ?? ?? ?? ?? 8B 50 10 8B 46 30 E8 ?? ?? ?? ?? 47 4B 75 E7 EB 38 8B 46 30 C6 40 2D 00 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 FF 8B 45 24 8B D7 E8 ?? ?? ?? ?? 8B 50 28 8B 46 30 E8 ?? ?? ?? ?? 47 4B 75 E7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7561_0 {
	meta:
		name = "TDSTableProducer.DoCreateContent"
		size = 31
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 62 00 74 0C 8B CC 8B D8 8B D0 8B 43 64 FF 53 60 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7562_0 {
	meta:
		name = "TDSTableProducer.DoFormatCell"
		size = 49
	strings:
		$1 = { 55 8B EC 53 66 83 78 6A 00 74 21 51 8B 4D 18 51 8B 4D 14 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 6C FF 53 68 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_7563_0 {
	meta:
		name = "TDSTableProducer.DoGetCaption"
		size = 46
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 8A 43 2C 88 07 66 83 7B 72 00 74 0B 57 8B CE 8B D3 8B 43 74 FF 53 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7564_0 {
	meta:
		name = "TDSTableProducer.EndLayout"
		size = 135
		refs = "0015 TDSTableProducer.EndLayout 0034 TDSTableProducer.InternalLayout 005b @HandleFinally 0078 TDSTableProducer.EndUpdate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 50 85 C0 7E 73 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 48 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 50 01 75 0B 8B 45 FC 8B 40 3C 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 48 50 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_7565_0 {
	meta:
		name = "TDSTableProducer.EndUpdate"
		size = 67
	strings:
		$1 = { 53 8B D8 83 7B 54 01 75 2F 83 7B 38 00 74 29 80 7B 4C 00 75 18 8B 53 34 83 7A 24 00 74 0F 8B 43 34 83 78 24 00 74 11 80 78 2E 00 75 0B C6 43 4C 00 8B 43 38 8B 10 FF 12 83 7B 54 00 7E 03 FF 4B 54 5B C3 }
	condition:
		$1
}

rule function_7566_0 {
	meta:
		name = "TDSTableProducer.GetDataSource"
		size = 7
	strings:
		$1 = { 8B 40 30 8B 40 04 C3 }
	condition:
		$1
}

rule function_7567_0 {
	meta:
		name = "FieldIsMapped"
		size = 76
		refs = "0031 THTTPDataLink.GetFields"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 00 85 FF 74 32 8B 45 08 8B 40 FC 8B 40 30 8B 58 20 4B 85 DB 7C 21 43 33 F6 8B 45 08 8B 40 FC 8B 40 30 8B D6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 FF 01 EB 04 46 4B 75 E2 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7568_0 {
	meta:
		name = "TDSTableProducer.InternalLayout"
		size = 559
		refs = "0022 TCollection.GetCount 0039 THTMLTableColumns.GetColumn 003f _DV_TDefaultHTMLTableColumn 0044 @IsClass 008a TObject.Free 00a1 THTTPDataLink.ClearMapping 00b5 TDSTableProducer.DefineFieldMap 00c0 THTMLTableColumns.GetState 00db THTTPDataLink.GetDefaultFields 00ea TCollection.Clear 0115 THTMLTableColumn.GetField 0126 FieldIsMapped 015c THTTPDataLink.GetFields 01c2 TDefaultHTMLTableColumn.Create 01ce THTMLTableColumn.SetField"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC F6 40 20 01 0F 85 0F 02 00 00 33 DB 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6D 46 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 46 84 DB 74 42 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 33 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D3 EB 04 47 4E 75 96 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 80 78 15 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 84 C0 0F 85 2F 01 00 00 8B 45 FC 8B 58 30 80 7B 15 00 75 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? EB 4C 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 39 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 12 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C7 8B 45 FC 8B 40 30 8B 78 20 8B F7 4E 85 F6 0F 8C D8 00 00 00 46 33 DB 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 6B 8B FB EB 01 47 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 3B F8 7D 17 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 75 D9 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 3B F8 7D 11 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B F8 EB 34 8B 45 FC 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 14 8B 45 FC 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 8B 08 FF 51 10 43 4E 0F 85 5A FF FF FF EB 2D 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4E 75 E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7571_0 {
	meta:
		name = "TDSTableProducer.Notification"
		size = 220
		refs = "0018 TCustomContentProducer.Notification 0036 TDSTableProducer.GetDataSource 0044 TDSTableProducer.SetDataSource 0051 _Dn_TField 0056 @IsClass 0062 TDSTableProducer.BeginLayout 006a TDSTableProducer.Notification 007b TCollection.GetCount 0098 THTMLTableColumns.GetColumn 00a1 THTMLTableColumn.GetField 00ae THTMLTableColumn.SetField 00c9 TDSTableProducer.EndLayout 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 89 45 FC 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 0F 85 B0 00 00 00 8B 45 FC 83 78 30 00 0F 84 A3 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 88 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 77 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 32 43 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 3C 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? FF 45 F8 4B 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7572_0 {
	meta:
		name = "TDSTableProducer.SetCaption"
		size = 26
		refs = "000c @LStrAsg 0013 TDSTableProducer.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 28 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7573_0 {
	meta:
		name = "TDSTableProducer.SetCaptionAlignment"
		size = 14
		refs = "0009 TDSTableProducer.Changed"
	strings:
		$1 = { 3A 50 2C 74 08 88 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7575_0 {
	meta:
		name = "TDSTableProducer.SetDataSource"
		size = 63
		refs = "0011 TDataLink.SetDataSource 001e TComponent.FreeNotification 0038 TDSTableProducer.LinkActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 30 3B 70 04 74 2E 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 13 F6 40 20 01 75 0D 8B 43 30 8A 50 15 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7576_0 {
	meta:
		name = "TDSTableProducer.SetFooter"
		size = 20
		refs = "000e TDSTableProducer.Changed"
	strings:
		$1 = { 56 8B F0 8B 46 44 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_7577_0 {
	meta:
		name = "TDSTableProducer.SetHeader"
		size = 20
		refs = "000e TDSTableProducer.Changed"
	strings:
		$1 = { 56 8B F0 8B 46 40 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_7578_0 {
	meta:
		name = "TDSTableProducer.SetMaxRows"
		size = 14
		refs = "0009 TDSTableProducer.Changed"
	strings:
		$1 = { 3B 50 48 74 08 89 50 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7579_0 {
	meta:
		name = "TDSTableProducer.SetRowAttributes"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_7580_0 {
	meta:
		name = "TDSTableProducer.SetTableAttributes"
		size = 9
	strings:
		$1 = { 8B 40 5C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_7581_0 {
	meta:
		name = "TDSTableProducer.StoreColumns"
		size = 18
		refs = "0007 THTMLTableColumns.GetState"
	strings:
		$1 = { 53 8B D8 8B 43 3C E8 ?? ?? ?? ?? 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_7582_0 {
	meta:
		name = "TQueryTableProducer.Content"
		size = 326
		refs = "0018 TQueryTableProducer.Content 0026 @LStrClr 0036 TDataSet.Close 0051 TWebRequest.GetContentFields 0061 TWebRequest.GetQueryFields 008b TStrings.GetName 009c TParams.ParamByName 00af TStrings.GetValue 00b9 TParam.SetText 00c9 TDataSet.Open 00d0 TDSTableProducer.DoCreateContent 00f3 HtmlTable 0111 @LStrCatN 012b @LStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 43 78 85 C0 0F 84 E0 00 00 00 E8 ?? ?? ?? ?? 33 F6 8B 43 24 85 C0 74 24 8B 50 48 8A 4A 04 80 F9 03 75 0B 8B C2 E8 ?? ?? ?? ?? 8B F0 EB 0E 80 F9 01 75 09 8B C2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 5A 8B C6 8B 10 FF 52 14 48 85 C0 7C 4E 40 89 45 F0 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 43 78 8B 80 20 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 85 FF 74 17 8D 4D EC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 75 BD 8B 43 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3D 8D 55 EC 8B 43 40 8B 08 FF 51 1C FF 75 EC 8D 45 E8 50 8B 4B 48 8B D3 8B 43 78 E8 ?? ?? ?? ?? FF 75 E8 8D 55 E4 8B 43 44 8B 08 FF 51 1C FF 75 E4 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7584_0 {
	meta:
		name = "TDataSetTableProducer.Notification"
		size = 39
		refs = "0010 TDSTableProducer.Notification"
		altNames = "TQueryTableProducer.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 78 75 05 33 C0 89 47 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7585_0 {
	meta:
		name = "TQueryTableProducer.SetDataSet"
		size = 31
		refs = "000a _Dn_TQuery 000f @AsClass 0018 TQueryTableProducer.SetQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7586_0 {
	meta:
		name = "TDataSetTableProducer.SetDataSet"
		size = 42
		refs = "0014 TComponent.FreeNotification 0023 TDataSource.SetDataSet"
		altNames = "TQueryTableProducer.SetQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 78 74 1C 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 89 43 78 8B D0 8B 43 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7587_0 {
	meta:
		name = "TDataSetTableProducer.Content"
		size = 184
		refs = "0013 TDataSetTableProducer.Content 0020 @LStrClr 002e TDataSet.GetActive 003a TCollection.GetCount 0045 TDSTableProducer.LayoutChanged 004c TDSTableProducer.DoCreateContent 006f HtmlTable 008c @LStrCatN 00a6 @LStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 78 00 74 66 8B 43 78 E8 ?? ?? ?? ?? 84 C0 74 13 8B 43 3C E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 8D 55 FC 8B 43 40 8B 08 FF 51 1C FF 75 FC 8D 45 F8 50 8B 4B 48 8B D3 8B 43 78 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 8B 43 44 8B 08 FF 51 1C FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7591_0 {
	meta:
		name = "_NF__215"
		size = 72
	strings:
		$1 = { FF FF FF FF 0D 00 00 00 20 41 6C 69 67 6E 3D 22 4C 65 66 74 22 00 00 00 FF FF FF FF 0E 00 00 00 20 41 6C 69 67 6E 3D 22 52 69 67 68 74 22 00 00 FF FF FF FF 0F 00 00 00 20 41 6C 69 67 6E 3D 22 43 65 6E 74 65 72 22 00 }
	condition:
		$1
}

rule function_7592_0 {
	meta:
		name = "_NF__218"
		size = 108
	strings:
		$1 = { FF FF FF FF 0D 00 00 00 20 56 41 6C 69 67 6E 3D 22 54 6F 70 22 00 00 00 FF FF FF FF 10 00 00 00 20 56 41 6C 69 67 6E 3D 22 4D 69 64 64 6C 65 22 00 00 00 00 FF FF FF FF 10 00 00 00 20 56 41 6C 69 67 6E 3D 22 42 6F 74 74 6F 6D 22 00 00 00 00 FF FF FF FF 11 00 00 00 20 56 41 6C 69 67 6E 3D 22 42 61 73 6C 69 6E 65 22 00 00 00 }
	condition:
		$1
}

rule function_7593_0 {
	meta:
		name = "_NF__21B"
		size = 64
	strings:
		$1 = { FF FF FF FF 01 00 00 00 3E 00 00 00 FF FF FF FF 0D 00 00 00 20 41 6C 69 67 6E 3D 22 54 6F 70 22 3E 00 00 00 FF FF FF FF 10 00 00 00 20 41 6C 69 67 6E 3D 22 42 6F 74 74 6F 6D 22 3E 00 00 00 00 }
	condition:
		$1
}

rule function_7594_0 {
	meta:
		name = "TableHeader"
		size = 628
		refs = "0014 TableHeader 0026 @LStrLAsg 005c Format 0074 HTMLAlign 0079 @LStrCat 01b4 @LStrClr 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 70 5C 8B 7E 28 85 FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 33 D2 8A 56 14 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7E 20 83 FF FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 7E 24 83 FF FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 7E 18 83 FF FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7E 1C 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 8B 46 1C 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 8B 46 08 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 3C 54 61 62 6C 65 00 00 FF FF FF FF 0F 00 00 00 25 73 20 57 69 64 74 68 3D 22 25 64 25 25 22 00 FF FF FF FF 11 00 00 00 25 73 20 43 65 6C 6C 53 70 61 63 69 6E 67 3D 25 64 00 00 00 FF FF FF FF 11 00 00 00 25 73 20 43 65 6C 6C 50 61 64 64 69 6E 67 3D 25 64 00 00 00 FF FF FF FF 0C 00 00 00 25 73 20 42 6F 72 64 65 72 3D 25 64 00 00 00 00 FF FF FF FF 0F 00 00 00 25 73 20 42 67 43 6F 6C 6F 72 3D 22 25 73 22 00 FF FF FF FF 05 00 00 00 25 73 20 25 73 00 00 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_7595_0 {
	meta:
		name = "TableCaption"
		size = 212
		refs = "0013 TableCaption 002a @LStrLAsg 004b @CallDynaInst 005e Align 0081 Format 008a @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 FC 8B 52 28 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8A 40 2C 88 45 FB 8D 4D FB 8D 55 FC 8B 45 08 8B 40 FC 66 BB EF FF E8 ?? ?? ?? ?? 83 7D FC 00 74 32 56 33 C0 8A 45 FB 8B 04 85 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0B 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 17 00 00 00 3C 43 61 70 74 69 6F 6E 20 25 73 25 73 3C 2F 43 61 70 74 69 6F 6E 3E 00 }
	condition:
		$1
}

rule function_7596_0 {
	meta:
		name = "RowHeader"
		size = 316
		refs = "0013 RowHeader 0025 @LStrLAsg 003c HTMLAlign 0041 @LStrCat 004f HTMLVAlign 0083 Format 00e7 @LStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 70 58 8B C3 33 D2 8A 56 14 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 33 D2 8A 56 1C 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 18 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 8B 46 18 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 0B 8B 46 08 89 45 F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 3C 54 52 00 FF FF FF FF 0F 00 00 00 25 73 20 42 67 43 6F 6C 6F 72 3D 22 25 73 22 00 FF FF FF FF 05 00 00 00 25 73 20 25 73 00 00 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_7597_0 {
	meta:
		name = "FormatCell"
		size = 488
		refs = "0026 @LStrAddRef 002e FormatCell 004b Format 0056 @LStrLAsg 0095 @CallDynaInst 00a3 HTMLAlign 00a8 @LStrCat 00b6 HTMLVAlign 0173 @LStrClr 0191 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D E0 89 5D F0 89 5D EC 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 1C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 89 7D E4 C6 45 E8 0B 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 18 E8 ?? ?? ?? ?? 8A 45 14 88 45 F7 8A 45 10 88 45 F6 8D 45 EC 8B 55 0C E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F7 50 8D 45 F6 50 8D 45 EC 50 8D 45 F8 50 8B 45 20 8B 40 FC 8B 4D FC 8B D3 66 BB F0 FF E8 ?? ?? ?? ?? 8B C6 33 D2 8A 55 F7 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 8A 55 F6 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 74 33 8D 45 E0 50 8B 06 89 45 D0 C6 45 D4 0B 8B 45 F0 89 45 D8 C6 45 DC 0B 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 74 33 8D 45 E0 50 8B 06 89 45 D0 C6 45 D4 0B 8B 45 EC 89 45 D8 C6 45 DC 0B 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F8 89 45 D0 C6 45 D4 0B 89 7D D8 C6 45 DC 0B 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 18 00 FF FF FF FF 03 00 00 00 3C 25 73 00 FF FF FF FF 0F 00 00 00 25 73 20 42 67 43 6F 6C 6F 72 3D 22 25 73 22 00 FF FF FF FF 05 00 00 00 25 73 20 25 73 00 00 00 FF FF FF FF 08 00 00 00 3E 25 73 3C 2F 25 73 3E 00 00 00 00 }
	condition:
		$1
}

rule function_7598_0 {
	meta:
		name = "HtmlTable"
		size = 676
		refs = "0027 HtmlTable 0036 RowHeader 0042 @LStrLAsg 004b TableHeader 0058 TableCaption 0070 @LStrCatN 007b TCollection.GetCount 0097 THTMLTableColumns.GetColumn 00a0 THTMLTableColumn.GetField 00cd TField.GetDisplayLabel 0102 FormatCell 010d @LStrCat 0195 TField.GetDisplayText 019f @LStrClr 01f7 TDataSet.Next 0239 @LStrArrayClr 024c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 89 5D EC 89 5D E8 89 4D F4 89 55 FC 89 45 F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 DC E8 ?? ?? ?? ?? 59 8B 55 DC 8D 45 E8 E8 ?? ?? ?? ?? 55 8D 45 DC E8 ?? ?? ?? ?? 59 FF 75 DC 55 8D 45 D8 E8 ?? ?? ?? ?? 59 FF 75 D8 68 ?? ?? ?? ?? FF 75 E8 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 93 00 00 00 40 89 45 E0 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 43 24 83 78 20 00 74 10 8D 45 EC 8B 53 24 8B 52 20 E8 ?? ?? ?? ?? EB 1D 83 7D E4 00 74 0D 8D 55 EC 8B 45 E4 E8 ?? ?? ?? ?? EB 0A 8D 55 EC 8B C3 8B 08 FF 51 0C 8B 5B 24 55 68 ?? ?? ?? ?? 8B 43 18 50 8A 43 14 50 8A 43 1C 50 8B 43 08 50 8D 45 DC 50 8B 4D EC 8B D7 33 C0 E8 ?? ?? ?? ?? 59 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 47 FF 4D E0 0F 85 73 FF FF FF FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 8D 00 00 00 01 0F 85 D4 00 00 00 C7 45 F0 01 00 00 00 E9 B2 00 00 00 8B C6 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 48 85 C0 7C 72 40 89 45 E0 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 0D 8D 55 EC 8B 45 E4 E8 ?? ?? ?? ?? EB 08 8D 45 EC E8 ?? ?? ?? ?? 55 68 ?? ?? ?? ?? 8B 43 18 50 8A 43 14 50 8A 43 20 50 8B 43 1C 50 8D 45 DC 50 8B 4D EC 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 47 FF 4D E0 75 94 FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? FF 4D F4 FF 45 F0 83 7D F4 00 74 10 8B 45 F8 80 B8 91 00 00 00 00 0F 84 38 FF FF FF 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 02 00 00 00 54 48 00 00 FF FF FF FF 05 00 00 00 3C 2F 54 52 3E 00 00 00 FF FF FF FF 02 00 00 00 54 44 00 00 FF FF FF FF 08 00 00 00 3C 2F 54 61 62 6C 65 3E 00 00 00 00 }
	condition:
		$1
}

rule function_7599_0 {
	meta:
		name = "Finalization"
		size = 111
		refs = "0007 Finalization 0013 _DV_8 001a Align 0025 String 002a @FinalizeArray 002f HTMLVAlign 0044 HTMLAlign 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3F B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7601_0 {
	meta:
		name = "DDECheck"
		size = 244
		refs = "0013 DDECheck 0026 ddeMgr 002f DdeGetLastError 004e SDdeMemErr 0053 LoadResString 0067 Format 0075 SDdeConvErr 009c SDdeErr 00bf _DV_EDdeError 00c4 Exception.Create 00c9 @RaiseExcept 00e3 @LStrArrayClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F8 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 0F 85 A8 00 00 00 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B D8 8B C3 05 F9 BF FF FF 83 E8 02 72 05 48 74 29 EB 4E 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? EB 4C 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? EB 25 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7602_0 {
	meta:
		name = "DdeMgrCallBack"
		size = 526
		refs = "0031 ddeMgr 0036 TDdeMgr.AllowConnect 004d TDdeMgr.AllowWildConnect 0064 TDdeMgr.Connect 0098 DdeQueryConvInfo 011e TDdeSrvrConv.RequestData 0157 TDdeSrvrConv.AdvStop 0174 TDdeSrvrConv.AdvStart 0199 TDdeSrvrConv.PokeData 01b0 TDdeSrvrConv.ExecuteMacro 01c0 TDdeClientConv.XactComplete 01d0 TDdeClientConv.DataChange 01e1 _DV_TDdeClientConv 01e6 @IsClass 01f1 TDdeClientConv.SrvrDisconnect 01ff TDdeMgr.Disconnect"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B 5D 10 8B 75 08 33 FF 8B C6 2D 62 10 00 00 74 10 2D 80 10 00 00 74 20 2D 90 5F 00 00 74 2D EB 3E 8B 4D 14 8B 55 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 E7 7F EB 27 8B 4D 14 8B 55 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 13 8A 45 24 50 8B 4D 14 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 0F 84 93 01 00 00 C7 45 9C 60 00 00 00 81 FE 80 80 00 00 75 08 8B 45 20 89 45 FC EB 07 C7 45 FC FF FF FF FF 8D 45 9C 50 8B 45 FC 50 53 E8 ?? ?? ?? ?? 85 C0 0F 84 5F 01 00 00 81 FE 50 40 00 00 7F 33 0F 84 EF 00 00 00 81 EE 30 10 00 00 0F 84 A2 00 00 00 81 EE F2 0F 00 00 74 44 81 EE 8E 00 00 00 74 5B 81 EE 60 1F 00 00 0F 84 EC 00 00 00 E9 24 01 00 00 81 EE 90 40 00 00 0F 84 97 00 00 00 81 EE B0 3F 00 00 74 55 83 EE 40 0F 84 BC 00 00 00 83 EE 42 0F 84 D1 00 00 00 E9 F9 00 00 00 8B 75 A0 8B 45 18 50 66 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 DA 00 00 00 8B 75 A0 8B 45 18 50 66 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 BB 00 00 00 8B 75 A0 8B 45 18 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? E9 A3 00 00 00 8B 75 A0 8B 45 18 50 66 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 83 E7 7F E9 81 00 00 00 8B 75 A0 8B 45 18 50 8B 45 1C 50 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 62 8B 75 A0 8B 45 1C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 4B 8B 45 A0 85 C0 74 44 E8 ?? ?? ?? ?? EB 3D 8B 45 A0 8B 4D 18 8B 55 1C E8 ?? ?? ?? ?? EB 2D 8B 5D A0 85 DB 74 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_7603_0 {
	meta:
		name = "GetPasteLinkInfo"
		size = 188
		refs = "0014 Clipboard 0019 TClipboard.Open 0024 ddeMgr 002d TClipboard.GetAsHandle 003f GlobalLock 0049 GetPasteLinkInfo 005a @LStrFromPChar 0061 @LStrLen 009b GlobalUnlock 00a1 @HandleFinally 00af TClipboard.Close"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 33 DB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 66 8B 52 3C E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 6F 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 8B C7 8B D6 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 03 D8 43 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 03 D8 43 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF B3 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7604_0 {
	meta:
		name = "TDdeMgr.Create"
		size = 224
		refs = "000f @ClassCreate 001b TDdeMgr.Create 002a TComponent.Create 0034 RegisterClipboardFormat 0046 DdeMgrCallBack 004f DdeInitialize 0059 DDECheck 0060 _Dn_TList 0065 TObject.Create 0090 ParamStr 009a TDdeMgr.SetAppName 00af @LStrClr 00b5 @HandleFinally 00c2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 46 3C 33 C0 89 46 38 6A 00 6A 00 68 ?? ?? ?? ?? 8D 46 38 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 4C 69 6E 6B 00 00 00 00 }
	condition:
		$1
}

rule function_7605_0 {
	meta:
		name = "TDdeMgr.Destroy"
		size = 174
		refs = "0005 @BeforeDestruction 0025 TList.Get 002a TObject.Free 0085 TDdeMgr.ResetAppName 008e DdeUninitialize 009a TComponent.Destroy 00a5 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 2C 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 2C E8 ?? ?? ?? ?? 33 C0 89 45 2C 8B 45 30 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 30 E8 ?? ?? ?? ?? 33 C0 89 45 30 8B 45 34 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 45 34 8B C5 E8 ?? ?? ?? ?? 8B 45 38 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7606_0 {
	meta:
		name = "TDdeMgr.AllowConnect"
		size = 180
		refs = "0020 TDdeMgr.AllowConnect 0036 DdeCmpStringHandles 0058 DdeQueryString 0068 @LStrFromPCharLen 0072 TDdeMgr.GetServerConv 0084 TDdeMgr.GetForm 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 0E 8B 47 28 50 56 E8 ?? ?? ?? ?? 85 C0 75 50 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 8B 45 FC 50 8B 47 38 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F8 EF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 04 B3 01 EB 10 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7607_0 {
	meta:
		name = "TDdeMgr.AllowWildConnect"
		size = 97
		refs = "001a TDdeMgr.AllowConnect 0048 ddeMgr 0051 DdeCreateDataHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B EA 8B D8 33 FF 85 F6 74 44 8B CE 8B D5 8B C3 E8 ?? ?? ?? ?? 3C 01 75 35 8B 43 28 89 04 24 89 74 24 04 33 C0 89 44 24 08 33 C0 89 44 24 0C 6A 00 6A 01 6A 00 6A 00 6A 10 8D 44 24 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B F8 8B C7 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7608_0 {
	meta:
		name = "TDdeMgr.Connect"
		size = 227
		refs = "0020 TDdeMgr.Connect 002f _DV_TDdeSrvrConv 0034 TDdeSrvrConv.Create 0054 DdeQueryString 0064 @LStrFromPCharLen 006f @LStrAsg 0079 TDdeMgr.GetServerConv 008c TDdeMgr.GetForm 009b DdeSetUserHandle 00a5 TList.Add 00b5 @CallDynaInst 00cc @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 8B 45 FC 50 8B 46 38 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F8 EF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 43 24 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 43 30 83 7B 30 00 75 0D 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 43 2C 89 7B 34 53 6A FF 57 E8 ?? ?? ?? ?? 8B D3 8B 46 2C E8 ?? ?? ?? ?? 8B 43 30 85 C0 74 09 66 BB F0 FF E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7609_0 {
	meta:
		name = "TDdeMgr.Disconnect"
		size = 70
		refs = "0013 @CallDynaInst 0024 DdeSetUserHandle 0037 TList.Remove 003e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B F2 8B 46 30 85 C0 74 09 66 BB EF FF E8 ?? ?? ?? ?? 8B 46 34 85 C0 74 0A 6A 00 6A FF 50 E8 ?? ?? ?? ?? 33 C0 89 46 34 8B 47 2C 85 C0 74 0E 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7610_0 {
	meta:
		name = "TApplication.GetExeName"
		size = 14
		refs = "0008 ParamStr"
		altNames = "TDdeMgr.GetExeName"
	strings:
		$1 = { 53 8B DA 8B D3 33 C0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7611_0 {
	meta:
		name = "TDdeMgr.SetAppName"
		size = 180
		refs = "000f TDdeMgr.SetAppName 001c TDdeMgr.ResetAppName 0026 ExtractFileName 0031 @LStrAsg 003e @LStrPos 004c @LStrLen 0058 @LStrDelete 0065 @LStrToPChar 006f DdeCreateStringHandle 0082 DdeNameService 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 24 E8 ?? ?? ?? ?? 8B 53 24 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 14 8B 43 24 E8 ?? ?? ?? ?? 8B C8 8D 43 24 8B D6 E8 ?? ?? ?? ?? 68 EC 03 00 00 8B 43 24 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B F0 89 73 28 6A 01 6A 00 56 8B 43 38 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_7612_0 {
	meta:
		name = "TDdeMgr.ResetAppName"
		size = 44
		refs = "0014 DdeNameService 0021 DdeFreeStringHandle"
	strings:
		$1 = { 53 8B D8 8B 43 28 85 C0 74 1B 6A 02 6A 00 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B 43 28 50 8B 43 38 50 E8 ?? ?? ?? ?? 33 C0 89 43 28 5B C3 }
	condition:
		$1
}

rule function_7613_0 {
	meta:
		name = "TDdeMgr.GetServerConv"
		size = 80
		refs = "0026 TList.Get 0033 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 34 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 45 34 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 08 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 DB 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7614_0 {
	meta:
		name = "TDdeMgr.GetForm"
		size = 147
		refs = "0015 TDdeMgr.GetForm 0025 Screen 002c TScreen.GetFormCount 0044 TScreen.GetForm 0050 TControl.GetText 005b AnsiCompareText 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 05 89 5D F8 EB 04 47 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7615_0 {
	meta:
		name = "TDdeMgr.GetSrvrConv"
		size = 80
		refs = "0026 TList.Get 0033 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 2C 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 45 2C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 24 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 DB 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7616_0 {
	meta:
		name = "TDdeMgr.PostDataChange"
		size = 99
		refs = "0011 @LStrAddRef 0019 TDdeMgr.PostDataChange 0028 TDdeMgr.GetSrvrConv 0034 TDdeSrvrConv.GetItem 003d TDdeSrvrItem.PostDataChange 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7617_0 {
	meta:
		name = "TDdeMgr.InsertServerConv"
		size = 20
		refs = "000e TList.Insert"
	strings:
		$1 = { 53 8B 48 34 8B 59 08 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7618_0 {
	meta:
		name = "TDdeMgr.RemoveServerConv"
		size = 9
		refs = "0004 TList.Remove"
	strings:
		$1 = { 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13420_0 {
	meta:
		name = "TDimension.SetFieldType"
		size = 9
		refs = "0004 TFieldDefinition.SetFieldType"
	strings:
		$1 = { 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13412_0 {
	meta:
		name = "TSummary.IsSparse"
		size = 9
		refs = "0004 TIndexInfo.IsSparse"
	strings:
		$1 = { 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7619_0 {
	meta:
		name = "TDdeClientConv.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7620_0 {
	meta:
		name = "TDdeClientConv.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 000e TDdeClientConv.CloseLink 001a TComponent.Destroy 0025 TObject.Free 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 90 00 00 00 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7621_0 {
	meta:
		name = "TDdeClientConv.DefineProperties"
		size = 80
		refs = "000b TComponent.DefineProperties 0011 TDdeClientConv.ReadLinkInfo 0017 TDdeClientConv.WriteLinkInfo 002e TDdeClientConv.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 24 00 75 0A 83 7B 28 00 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 FF FF FF FF 08 00 00 00 4C 69 6E 6B 49 6E 66 6F 00 00 00 00 }
	condition:
		$1
}

rule function_7622_0 {
	meta:
		name = "TDdeClientConv.Loaded"
		size = 128
		refs = "000e TDdeClientConv.Loaded 001b TComponent.Loaded 0026 @LStrLAsg 0039 @LStrLen 0055 TDdeClientConv.ChangeLink 006f @LStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 28 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 18 80 BB B5 00 00 00 01 74 0F 6A 00 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7623_0 {
	meta:
		name = "TDdeClientConv.ReadLinkInfo"
		size = 200
		refs = "0012 TDdeClientConv.ReadLinkInfo 001f TReader.ReadListBegin 002b TReader.ReadString 0038 @LStrPos 0046 @LStrLen 0055 @LStrCopy 006e TDdeClientConv.SetService 007a TDdeClientConv.SetTopic 0081 TReader.EndOfList 008c TReader.ReadListEnd 00a6 @LStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? EB 59 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 00 2C 53 74 06 FE C8 74 0E EB 16 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 9C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_7624_0 {
	meta:
		name = "TDdeClientConv.WriteLinkInfo"
		size = 228
		refs = "0018 TDdeClientConv.WriteLinkInfo 0025 TWriter.WriteListBegin 0030 @LStrLAsg 004d Format 0057 TWriter.WriteString 0090 TWriter.WriteListEnd 00aa @LStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 28 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 0A 00 00 00 53 65 72 76 69 63 65 20 25 73 00 00 FF FF FF FF 08 00 00 00 54 6F 70 69 63 20 25 73 00 00 00 00 }
	condition:
		$1
}

rule function_7625_0 {
	meta:
		name = "TDdeClientConv.OnAttach"
		size = 55
		refs = "000c _DV_TDdeCliItem 0011 TDdeCliItem.Create 0023 TList.Insert 002f TDdeCliItem.SetItem"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 90 00 00 00 8B 50 08 8B CE E8 ?? ?? ?? ?? 89 7E 10 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7626_0 {
	meta:
		name = "TDdeClientConv.OnDetach"
		size = 53
		refs = "000b TDdeClientConv.GetCliItemByCtrl 001a TDdeCliItem.SetItem 0027 TList.Remove 002e TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7627_0 {
	meta:
		name = "TDdeClientConv.OnSetItem"
		size = 133
		refs = "0014 TDdeClientConv.GetCliItemByCtrl 0021 @LStrLen 002e TDdeClientConv.OnAttach 0051 TDdeClientConv.OnDetach 0060 TDdeCliItem.SetItem"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 C6 04 24 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1F 8B C5 E8 ?? ?? ?? ?? 85 C0 7E 14 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 8B C5 E8 ?? ?? ?? ?? 85 C0 75 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 25 85 DB 74 21 8B D5 8B C3 E8 ?? ?? ?? ?? 88 04 24 80 3C 24 00 75 0F F6 46 20 01 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7628_0 {
	meta:
		name = "TDdeClientConv.GetCliItemByCtrl"
		size = 71
		refs = "001b TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F0 33 C0 89 44 24 04 33 DB EB 18 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 50 10 3B 14 24 75 06 89 44 24 04 EB 0F 43 0F B7 EB 8B BE 90 00 00 00 3B 6F 08 7C DA 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7629_0 {
	meta:
		name = "TDdeClientConv.PasteLink"
		size = 108
		refs = "0010 TDdeClientConv.PasteLink 0024 GetPasteLinkInfo 0039 TDdeClientConv.ChangeLink 0059 @LStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 3C 01 75 15 8B 45 F4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7630_0 {
	meta:
		name = "TDdeClientConv.ChangeLink"
		size = 77
		refs = "000f TDdeClientConv.CloseLink 0018 TDdeClientConv.SetService 0021 TDdeClientConv.SetTopic 0028 TDdeClientConv.OpenLink"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7631_0 {
	meta:
		name = "TDdeClientConv.OpenLink"
		size = 500
		refs = "0019 TDdeClientConv.OpenLink 0035 @LStrLen 004c TDdeClientConv.ClearItems 0068 StrPCopy 0079 ddeMgr 0082 DdeCreateStringHandle 00d2 TDdeClientConv.CreateDdeConv 0134 @LStrCatN 0153 WinExec 019a TDdeClientConv.StartAdvise 01a9 @CallDynaInst 01b4 TDdeClientConv.DataChange 01d0 @LStrClr 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 D2 89 95 F8 FE FF FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 83 7E 2C 00 0F 85 8B 01 00 00 8B 46 24 E8 ?? ?? ?? ?? 85 C0 75 18 8B 46 28 E8 ?? ?? ?? ?? 85 C0 75 0C 8B C6 E8 ?? ?? ?? ?? E9 67 01 00 00 83 BE 94 00 00 00 00 75 2E 8D 85 FF FE FF FF 8B 56 24 E8 ?? ?? ?? ?? 68 EC 03 00 00 8D 85 FF FE FF FF 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 86 94 00 00 00 83 BE 98 00 00 00 00 75 2E 8D 85 FF FE FF FF 8B 56 28 E8 ?? ?? ?? ?? 68 EC 03 00 00 8D 85 FF FE FF FF 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 86 98 00 00 00 8B 8E 98 00 00 00 8B 96 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 85 91 00 00 00 8B 46 24 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 76 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 13 8D 85 FF FE FF FF 8B 96 B0 00 00 00 E8 ?? ?? ?? ?? EB 2C FF 76 24 68 ?? ?? ?? ?? FF 76 28 8D 85 F8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 6A 07 8D 85 FF FE FF FF 50 E8 ?? ?? ?? ?? 83 F8 20 72 15 8B 8E 98 00 00 00 8B 96 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 3E 8B 46 4C 85 C0 74 08 89 86 9C 00 00 00 EB 0A C7 86 9C 00 00 00 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C6 66 BB EF FF E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_7632_0 {
	meta:
		name = "TDdeClientConv.CloseLink"
		size = 128
		refs = "0010 TDdeClientConv.SrvrDisconnect 001f DdeSetUserHandle 0025 DdeDisconnect 0035 ddeMgr 003e DdeFreeStringHandle 0070 TDdeClientConv.SetService 0079 TDdeClientConv.SetTopic"
	strings:
		$1 = { 53 56 8B D8 8B 43 2C 85 C0 74 1E 8B F0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 2C 6A 00 6A FF 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 17 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 83 94 00 00 00 8B 83 98 00 00 00 85 C0 74 17 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 83 98 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7633_0 {
	meta:
		name = "TDdeClientConv.ClearItems"
		size = 64
		refs = "0024 TList.Get 002a EmptyStr 0034 TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 8B F0 8B 86 90 00 00 00 83 78 08 00 74 2D 66 8B 58 08 4B 66 85 DB 72 23 43 8B 86 90 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 40 10 E8 ?? ?? ?? ?? 66 FF CB 75 DE 5E 5B C3 }
	condition:
		$1
}

rule function_7634_0 {
	meta:
		name = "TDdeClientConv.CreateDdeConv"
		size = 119
		refs = "0017 @FillChar 002e ddeMgr 0037 DdeConnect 005d DdeQueryConvInfo 0069 DdeSetUserHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B E9 8B FA 8B F0 8B C4 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? C7 04 24 24 00 00 00 C7 44 24 0C EC 03 00 00 54 55 57 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B D8 89 5E 2C 85 DB 0F 95 C0 8B D8 84 DB 74 22 C7 46 30 60 00 00 00 8D 46 30 50 6A FF 8B 46 2C 50 E8 ?? ?? ?? ?? 56 6A FF 8B 46 2C 50 E8 ?? ?? ?? ?? 8B C3 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7635_0 {
	meta:
		name = "TDdeClientConv.StartAdvise"
		size = 94
		refs = "0017 TList.Get 0020 TDdeCliItem.StartAdvise 002a EmptyStr 0034 TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 57 55 8B F0 33 C0 83 7E 2C 00 74 4B 33 DB EB 37 8B D5 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 75 12 8B 15 ?? ?? ?? ?? 8B 12 8B 47 10 E8 ?? ?? ?? ?? EB 01 43 0F B7 C3 8B 96 90 00 00 00 3B 42 08 7D 0E 0F B7 EB 8B BE 90 00 00 00 3B 6F 08 7C BB B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7636_0 {
	meta:
		name = "TDdeClientConv.ExecuteMacroLines"
		size = 122
		refs = "0019 TDdeClientConv.ExecuteMacroLines 0042 @LStrToPChar 004e TDdeClientConv.ExecuteMacro 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7E 2C 00 74 29 80 BE B6 00 00 00 00 75 20 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8A 4D FF 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7637_0 {
	meta:
		name = "TDdeClientConv.ExecuteMacro"
		size = 140
		refs = "002e StrLen 0036 ddeMgr 003f DdeCreateDataHandle 0071 DdeClientTransaction"
	strings:
		$1 = { 53 56 57 83 C4 F8 88 0C 24 8B F2 8B F8 33 DB 83 7F 2C 00 74 6F 80 BF B6 00 00 00 00 75 66 6A 00 8B 87 9C 00 00 00 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 40 50 56 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 85 C0 74 3D 80 3C 24 01 75 07 C6 87 B6 00 00 00 01 8D 54 24 04 52 6A FF 68 50 40 00 00 8B 97 9C 00 00 00 52 6A 00 8B 57 2C 52 6A FF 50 E8 ?? ?? ?? ?? 85 C0 75 09 C6 87 B6 00 00 00 00 EB 02 B3 01 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7638_0 {
	meta:
		name = "TDdeClientConv.PokeDataLines"
		size = 122
		refs = "0019 TDdeClientConv.PokeDataLines 0043 @LStrToPChar 004e TDdeClientConv.PokeData 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7E 2C 00 74 29 80 BE B6 00 00 00 00 75 20 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7639_0 {
	meta:
		name = "TDdeClientConv.PokeData"
		size = 160
		refs = "0027 @LStrToPChar 002d ddeMgr 0036 DdeCreateStringHandle 004f StrLen 0060 DdeCreateDataHandle 0081 DdeClientTransaction 0095 DdeFreeStringHandle"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B E8 33 DB 83 7D 2C 00 0F 84 83 00 00 00 80 BD B6 00 00 00 00 75 7A 68 EC 03 00 00 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 59 6A 00 8B 85 9C 00 00 00 50 56 6A 00 8B C7 E8 ?? ?? ?? ?? 40 50 57 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 85 C0 74 22 6A 00 6A FF 68 90 40 00 00 8B 95 9C 00 00 00 52 56 8B 55 2C 52 6A FF 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 56 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7640_0 {
	meta:
		name = "TDdeClientConv.RequestData"
		size = 291
		refs = "0030 @LStrToPChar 0036 ddeMgr 003f DdeCreateStringHandle 006c DdeClientTransaction 007e DdeFreeStringHandle 0090 TDdeClientConv.RequestData 00a3 DdeAccessData 00c0 StrAlloc 00d0 Move 00f0 DdeUnaccessData 00f6 @HandleFinally 010e DdeFreeDataHandle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 33 C0 89 45 FC 83 7B 2C 00 0F 84 FF 00 00 00 80 BB B6 00 00 00 00 0F 85 F2 00 00 00 68 EC 03 00 00 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 CD 00 00 00 8D 45 F4 50 68 10 27 00 00 68 B0 20 00 00 8B 83 9C 00 00 00 50 56 8B 43 2C 50 6A 00 6A 00 E8 ?? ?? ?? ?? 89 45 F8 56 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 8E 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 40 E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B C3 8B 4D F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 C6 04 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7641_0 {
	meta:
		name = "TDdeClientConv.GetCliItemByName"
		size = 78
		refs = "001b TList.Get 0028 @LStrCmp"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 33 C0 89 44 24 04 33 DB EB 1F 8B D5 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 14 24 E8 ?? ?? ?? ?? 75 06 89 74 24 04 EB 0F 43 0F B7 EB 8B B7 90 00 00 00 3B 6E 08 7C D3 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7642_0 {
	meta:
		name = "TDdeClientConv.XactComplete"
		size = 8
	strings:
		$1 = { C6 80 B6 00 00 00 00 C3 }
	condition:
		$1
}

rule function_7643_0 {
	meta:
		name = "TDdeClientConv.SrvrDisconnect"
		size = 66
		refs = "0013 @CallDynaInst 0025 TList.Get 002a TDdeCliItem.SrvrDisconnect"
	strings:
		$1 = { 53 56 57 55 8B F0 83 7E 2C 00 74 0B 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 89 46 2C 33 DB EB 0F 8B D5 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 0F B7 EB 8B BE 90 00 00 00 3B 6F 08 7C E3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7644_0 {
	meta:
		name = "TDdeClientConv.DataChange"
		size = 64
		refs = "0016 TList.Get 0027 TDdeCliItem.StoreData"
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B F0 33 DB EB 1C 0F B7 D3 8B C5 E8 ?? ?? ?? ?? 85 FF 74 05 3B 78 08 75 08 8B 14 24 E8 ?? ?? ?? ?? 43 0F B7 C3 8B AE 90 00 00 00 3B 45 08 7C D6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7645_0 {
	meta:
		name = "TDdeClientConv.SetLink"
		size = 75
		refs = "000c TDdeClientConv.CloseLink 0022 TDdeClientConv.ChangeLink 002d TDdeClientConv.SetService 0036 TDdeClientConv.SetTopic 0041 TDdeClientConv.DataChange"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B5 00 00 00 00 75 0F 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7646_0 {
	meta:
		name = "TDdeClientConv.SetConnectMode"
		size = 145
		refs = "000f TDdeClientConv.SetConnectMode 0029 @LStrLen 0040 TDdeClientConv.OpenLink 004c SDdeNoConnect 0051 LoadResString 005b _Dn_Exception 0060 Exception.Create 0065 @RaiseExcept 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E B5 00 00 00 74 4E 84 DB 75 44 8B 46 24 E8 ?? ?? ?? ?? 85 C0 74 38 8B 46 28 E8 ?? ?? ?? ?? 85 C0 74 2C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E B5 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7647_0 {
	meta:
		name = "TDdeClientConv.SetFormatChars"
		size = 30
		refs = "0019 TDdeClientConv.DataChange"
	strings:
		$1 = { 3A 90 B7 00 00 00 74 15 88 90 B7 00 00 00 83 78 2C 00 74 09 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7650_0 {
	meta:
		name = "TDdeClientConv.SetService"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 24 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7651_0 {
	meta:
		name = "TDdeClientConv.SetTopic"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 28 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7652_0 {
	meta:
		name = "TDdeClientConv.Close"
		size = 29
		altNames = "TIdTCPClient.DoOnConnected"
	strings:
		$1 = { 53 66 83 B8 A2 00 00 00 00 74 10 8B D8 8B D0 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7654_0 {
	meta:
		name = "TDdeClientConv.Notification"
		size = 115
		refs = "001a TComponent.Notification 0037 TList.Get 0047 EmptyStr 004e TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B D8 8A 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 80 7C 24 04 01 75 47 83 BB 90 00 00 00 00 74 3E 33 F6 EB 2C 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 50 10 3B 14 24 75 0F 8B C2 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 3B 78 08 7D 0F 46 0F B7 FE 8B AB 90 00 00 00 3B 7D 08 7C C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7655_0 {
	meta:
		name = "TDdeClientItem.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7657_0 {
	meta:
		name = "TDdeClientItem.SetDdeClientConv"
		size = 135
		refs = "000f TDdeClientItem.SetDdeClientConv 0025 @LStrLAsg 002d @LStrClr 003b TDdeClientConv.OnDetach 004b TComponent.FreeNotification 0053 @LStrLen 0061 TDdeClientItem.SetDdeClientItem 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 28 74 47 8D 45 FC 8B 53 2C E8 ?? ?? ?? ?? 8D 43 2C E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 28 85 C0 74 1D 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7658_0 {
	meta:
		name = "TDdeClientItem.SetDdeClientItem"
		size = 92
		refs = "0012 @LStrAsg 001e TDdeClientConv.OnSetItem 0042 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 28 00 74 3D 8D 43 2C 8B D6 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 43 28 E8 ?? ?? ?? ?? 84 C0 75 33 F6 43 20 01 74 12 8B 43 28 83 78 2C 00 75 09 80 B8 B5 00 00 00 01 74 1B 8D 43 2C E8 ?? ?? ?? ?? 5E 5B C3 F6 43 20 01 74 0A 8D 43 2C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7659_0 {
	meta:
		name = "TDdeClientItem.Notification"
		size = 57
		refs = "0010 TComponent.Notification 0024 TDdeClientConv.OnDetach 0031 @LStrClr"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1C 3B 77 28 75 17 8B D7 8B 47 28 E8 ?? ?? ?? ?? 33 C0 89 47 28 8D 47 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7660_0 {
	meta:
		name = "TDdeClientItem.OnAdvise"
		size = 72
		refs = "0010 _Dn_TForm 0015 TObject.InheritsFrom"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 2E 8B 43 04 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 43 04 83 B8 30 02 00 00 00 74 0E 8B 43 04 8B 80 30 02 00 00 8B 10 FF 52 0C 66 83 7B 32 00 74 08 8B D3 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_7661_0 {
	meta:
		name = "TDdeClientItem.GetText"
		size = 43
		refs = "0024 @LStrClr"
		altNames = "TDdeServerItem.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 8B 10 FF 52 14 85 C0 7E 0F 8B CE 33 D2 8B 43 24 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7664_0 {
	meta:
		name = "TDdeCliItem.Create"
		size = 65
		refs = "000b @ClassCreate 001a TObject.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 08 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7666_0 {
	meta:
		name = "TDdeCliItem.SetItem"
		size = 172
		refs = "0010 TDdeCliItem.SetItem 0023 @LStrLAsg 0030 TDdeCliItem.StopAdvise 003a @LStrAsg 004d @LStrLen 0061 TDdeCliItem.StartAdvise 006f @LStrClr 0083 TDdeCliItem.RefreshData 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B D7 E8 ?? ?? ?? ?? 8B 46 10 8B 40 24 8B 10 FF 52 40 8B 46 04 E8 ?? ?? ?? ?? 85 C0 74 2B 8B 46 0C 83 78 2C 00 74 17 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 15 8D 46 04 E8 ?? ?? ?? ?? EB 0B 80 B8 B5 00 00 00 01 75 02 B3 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7667_0 {
	meta:
		name = "TDdeCliItem.StoreData"
		size = 222
		refs = "0016 TDdeCliItem.StoreData 0027 TDdeCliItem.RefreshData 0038 TDdeCliItem.AccessData 0042 @LStrFromPChar 005f TDdeCliItem.ReleaseData 0073 @LStrLen 0098 UniqueString 00b6 TDdeCliItem.DataChange 00cb @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 67 8B 43 10 8B 40 24 8B 55 F8 8B 08 FF 51 2C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 80 B8 B7 00 00 00 00 75 44 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 28 BE 01 00 00 00 8B 45 F8 8A 44 30 FF 84 C0 76 14 8B 55 F8 3C 20 73 0D 8D 45 F8 E8 ?? ?? ?? ?? C6 44 30 FF 20 46 4F 75 DD 8B 43 10 8B 40 24 8B 55 F8 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7668_0 {
	meta:
		name = "TDdeCliItem.RefreshData"
		size = 104
		refs = "003d DdeClientTransaction 004c TDdeCliItem.StoreData 0052 DdeFreeDataHandle 005d TDdeCliItem.DataChange"
	strings:
		$1 = { 53 56 57 51 8B F8 33 DB 8B 47 0C 8B 50 2C 85 D2 74 48 83 7F 08 00 74 42 80 B8 B6 00 00 00 01 74 40 54 68 E8 03 00 00 68 B0 20 00 00 8B 80 9C 00 00 00 50 8B 47 08 50 52 6A FF 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8B D6 8B C7 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? B3 01 EB 07 8B C7 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7669_0 {
	meta:
		name = "TDdeCliItem.AccessData"
		size = 8
		refs = "0003 DdeAccessData"
	strings:
		$1 = { 51 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7671_0 {
	meta:
		name = "TDdeCliItem.StartAdvise"
		size = 183
		refs = "001b @LStrLen 0036 @LStrToPChar 003c ddeMgr 0045 DdeCreateStringHandle 0072 DdeClientTransaction 0084 DdeGetLastError 0096 DdeFreeStringHandle"
	strings:
		$1 = { 53 83 C4 F8 8B D8 C6 04 24 00 8B 43 0C 83 78 2C 00 0F 84 99 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 83 7B 08 00 75 1F 68 EC 03 00 00 8B 43 04 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 08 8D 54 24 04 52 68 E8 03 00 00 68 34 10 00 00 8B 43 0C 8B 90 9C 00 00 00 52 8B 53 08 52 8B 40 2C 50 6A FF 6A 00 E8 ?? ?? ?? ?? 85 C0 75 32 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B 43 08 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 43 08 8B 43 10 8B 40 24 8B 10 FF 52 40 EB 04 C6 04 24 01 8A 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_7672_0 {
	meta:
		name = "TDdeCliItem.StopAdvise"
		size = 64
		refs = "002f DdeClientTransaction 0036 TDdeCliItem.SrvrDisconnect"
	strings:
		$1 = { 53 56 51 8B D8 8B 73 0C 8B 46 2C 85 C0 74 24 8B 53 08 85 D2 74 1D 54 68 E8 03 00 00 68 40 80 00 00 8B 8E 9C 00 00 00 51 52 50 6A FF 6A 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B0 01 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7673_0 {
	meta:
		name = "TDdeCliItem.SrvrDisconnect"
		size = 32
		refs = "000c ddeMgr 0015 DdeFreeStringHandle"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_7674_0 {
	meta:
		name = "TDdeCliItem.DataChange"
		size = 9
		refs = "0004 TDdeClientItem.OnAdvise"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14349_0 {
	meta:
		name = "TOleForm.AddContainer"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14350_0 {
	meta:
		name = "TOleForm.RemoveContainer"
		size = 9
		refs = "0004 TList.Remove"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15844_0 {
	meta:
		name = "TQRAbstractExportFilter.CloseStream"
		size = 9
		refs = "0004 TObject.Free"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7675_0 {
	meta:
		name = "TDdeServerItem.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TComponent.Create 0025 _Dn_TStringList 002a TObject.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 3C 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7679_0 {
	meta:
		name = "TDdeServerItem.SetText"
		size = 41
		refs = "0022 TDdeServerItem.ValueChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 C7 43 3C 01 00 00 00 8B 43 24 8B 10 FF 52 40 8B D6 8B 43 24 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7680_0 {
	meta:
		name = "TDdeServerItem.SetLines"
		size = 129
		refs = "0011 TDdeServerItem.SetLines 0039 AnsiCompareStr 0055 TDdeServerItem.ValueChanged 006f @LStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 24 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 51 1C 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 74 18 C7 43 3C 01 00 00 00 8B D6 8B 43 24 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7681_0 {
	meta:
		name = "TDdeServerItem.ValueChanged"
		size = 147
		refs = "000d TDdeServerItem.ValueChanged 0034 ddeMgr 0039 TDdeMgr.PostDataChange 004a _Dn_TForm 004f @IsClass 005d TControl.GetText 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2E 00 74 08 8B D3 8B 43 30 FF 53 2C 8B 43 28 85 C0 74 12 8B 50 08 8B 4B 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 8B 73 04 85 F6 74 2B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 4B 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7682_0 {
	meta:
		name = "TDdeServerItem.PokeData"
		size = 148
		refs = "0016 TDdeServerItem.PokeData 002b DdeAccessData 003b @LStrFromPChar 004c DdeUnaccessData 0053 TDdeServerItem.ValueChanged 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 F8 50 57 E8 ?? ?? ?? ?? 8B F0 85 F6 74 38 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 24 8B 08 FF 51 2C 57 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 7B 36 00 74 08 8B D3 8B 43 38 FF 53 34 C7 45 FC 00 80 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7683_0 {
	meta:
		name = "TDdeServerItem.CopyToClipboard"
		size = 456
		refs = "0012 TDdeServerItem.CopyToClipboard 0024 ddeMgr 0044 @LStrCatN 0059 _Dn_TForm 005e @IsClass 0079 TControl.GetText 00a9 TDdeServerItem.GetText 00b2 Clipboard 00b8 TClipboard.SetAsText 00c0 @LStrLen 00c9 GlobalAlloc 00e3 GlobalLock 0105 @LStrToPChar 010d Move 0124 TClipboard.SetAsHandle 013a GlobalUnlock 0140 @HandleFinally 0151 @HandleAnyException 015a GlobalFree 015f @RaiseAgain 0164 @DoneExcept 017b TClipboard.Close 0198 @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 28 85 F6 74 27 A1 ?? ?? ?? ?? FF 70 24 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? FF 73 08 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 4B 8B 73 04 85 F6 0F 84 32 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F A1 ?? ?? ?? ?? FF 70 24 68 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 73 08 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 40 50 6A 02 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 40 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 66 8B 52 3C 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7684_0 {
	meta:
		name = "TCanvas.Changing"
		size = 20
		altNames = "TDdeServerConv.Disconnect TDdeServerItem.Change TThreadTimer.Timer TTimer.Timer"
	strings:
		$1 = { 53 66 83 78 2E 00 74 0A 8B D8 8B D0 8B 43 30 FF 53 2C 5B C3 }
	condition:
		$1
}

rule function_7685_0 {
	meta:
		name = "TDdeServerItem.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 28 75 0A 80 FB 01 75 05 33 C0 89 47 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7686_0 {
	meta:
		name = "TDdeServerConv.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TComponent.Create 001e ddeMgr 0023 TDdeMgr.InsertServerConv 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7687_0 {
	meta:
		name = "TDdeServerConv.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000e ddeMgr 0013 TDdeMgr.RemoveServerConv 001f TComponent.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12231_0 {
	meta:
		name = "TPopupMenu.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000e PopupList 0013 TPopupList.Remove 001f TMenu.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7688_0 {
	meta:
		name = "TDdeServerConv.ExecuteMacro"
		size = 155
		refs = "0014 TDdeServerConv.ExecuteMacro 0026 DdeAccessData 003a _Dn_TStringList 003f TObject.Create 004c @LStrFromPChar 0086 @LStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8D 45 FC 50 52 E8 ?? ?? ?? ?? 8B D8 85 DB 74 45 66 83 7E 36 00 74 39 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 2C 8B 4D F8 8B D6 8B 46 38 FF 56 34 B2 01 8B 45 F8 8B 08 FF 51 FC BF 00 80 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7691_0 {
	meta:
		name = "TDdeSrvrConv.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7692_0 {
	meta:
		name = "TDdeSrvrConv.Destroy"
		size = 131
		refs = "0005 @BeforeDestruction 0025 TList.Get 002a TObject.Free 0048 DdeDisconnect 0055 ddeMgr 005e DdeFreeStringHandle 006f TComponent.Destroy 007a @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 38 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 38 E8 ?? ?? ?? ?? 33 C0 89 45 38 8B 45 34 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 28 85 C0 74 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 45 28 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7693_0 {
	meta:
		name = "TDdeSrvrConv.AdvStart"
		size = 296
		refs = "001e TDdeSrvrConv.AdvStart 004d ddeMgr 0056 DdeQueryString 006c @LStrFromArray 0080 TDdeSrvrConv.GetControl 008f _DV_TDdeSrvrItem 0094 TDdeSrvrItem.Create 00bc TDdeSrvrItem.SetItem 00c6 TList.Add 00cf TComponent.FreeNotification 00e2 @LStrToPChar 00f1 DdeCreateStringHandle 0110 @LStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 9D F8 EF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 66 83 7D 08 01 0F 85 C5 00 00 00 68 EC 03 00 00 68 00 10 00 00 8D 85 FF EF FF FF 50 8B 45 0C 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8D 85 F8 EF FF FF 8D 95 FF EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 F8 EF FF FF 50 8B 4B 30 8B 53 2C 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 72 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 7E 30 8D 85 F8 EF FF FF 8D 95 FF EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 95 F8 EF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7B 28 00 75 1F 68 EC 03 00 00 8B 43 24 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 28 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7694_0 {
	meta:
		name = "TDdeSrvrConv.AdvStop"
		size = 46
		refs = "000d TDdeSrvrConv.GetSrvrItem 001d TList.Remove 0024 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B D3 8B 46 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7695_0 {
	meta:
		name = "TDdeSrvrConv.PokeData"
		size = 180
		refs = "001d TDdeSrvrConv.PokeData 0045 ddeMgr 004e DdeQueryString 0064 @LStrFromArray 0078 TDdeSrvrConv.GetControl 0084 TDdeServerItem.PokeData 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 33 DB 89 9D FC EF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7D 08 01 75 5B 68 EC 03 00 00 68 00 10 00 00 8D 85 00 F0 FF FF 50 8B 45 10 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8D 85 FC EF FF FF 8D 95 00 F0 FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 FC EF FF FF 50 8B 4B 30 8B 53 2C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 0C E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C6 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_7696_0 {
	meta:
		name = "TDdeSrvrConv.ExecuteMacro"
		size = 30
		refs = "0012 TDdeServerConv.ExecuteMacro"
	strings:
		$1 = { 55 8B EC 33 D2 8B 48 30 85 C9 74 0C 8B 55 08 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_7697_0 {
	meta:
		name = "TDdeSrvrConv.RequestData"
		size = 275
		refs = "0023 TDdeSrvrConv.RequestData 0037 TDdeSrvrConv.GetSrvrItem 0044 TDdeSrvrItem.RequestData 0063 ddeMgr 006c DdeQueryString 0082 @LStrFromArray 0096 TDdeSrvrConv.GetControl 00c0 @LStrLen 00ca @LStrToPChar 00d9 DdeCreateDataHandle 00f4 @LStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F4 53 56 33 DB 89 9D F4 EF FF FF 89 5D F8 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 66 8B 55 08 E8 ?? ?? ?? ?? 89 45 FC E9 90 00 00 00 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 56 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8D 85 F4 EF FF FF 8D 95 F8 EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 F4 EF FF FF 50 8B 4B 30 8B 53 2C 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 40 66 83 7D 08 01 75 39 8D 55 F8 8B 43 24 8B 08 FF 51 1C 6A 00 0F B7 45 08 50 56 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 40 50 8B 45 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 EF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7698_0 {
	meta:
		name = "TDdeSrvrConv.GetControl"
		size = 210
		refs = "0031 _Dn_TForm 0036 @IsClass 004b TComponent.GetComponentCount 0064 TComponent.GetComponent 006e _DV_TDdeServerItem 0082 @LStrCmp 0099 _Dn_TWinControl 00b3 TDdeSrvrConv.GetControl"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 45 FC 33 C0 89 45 F4 8B FA 85 FF 75 2A 83 7D F8 00 74 24 8B 45 F8 83 78 04 00 74 1B 8B 45 F8 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 F8 8B 78 04 85 FF 74 7E 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 70 46 C7 45 F0 00 00 00 00 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 43 08 8B 55 08 E8 ?? ?? ?? ?? 75 0D 8B 43 28 3B 45 F8 75 05 89 5D F4 EB 31 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 08 50 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 05 89 45 F4 EB 06 FF 45 F0 4E 75 98 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7699_0 {
	meta:
		name = "TDdeSrvrConv.GetItem"
		size = 78
		refs = "0026 TList.Get 0033 @LStrCmp"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 38 8B 70 08 4E 85 F6 7C 26 46 33 FF 8B 45 38 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 28 8B 14 24 E8 ?? ?? ?? ?? 75 06 89 5C 24 04 EB 04 47 4E 75 DD 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7700_0 {
	meta:
		name = "TDdeSrvrConv.GetSrvrItem"
		size = 82
		refs = "0026 TList.Get 0035 DdeCmpStringHandles"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 38 8B 70 08 4E 85 F6 7C 2A 46 33 FF 8B 45 38 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 04 24 50 8B 43 2C 50 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 D9 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7701_0 {
	meta:
		name = "TDdeSrvrItem.Create"
		size = 56
		refs = "000a @ClassCreate 001a TComponent.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 24 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7702_0 {
	meta:
		name = "TDdeSrvrItem.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0014 ddeMgr 001d DdeFreeStringHandle 002e TComponent.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C 85 C0 74 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 46 2C 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7703_0 {
	meta:
		name = "TDdeSrvrItem.RequestData"
		size = 197
		refs = "001d TDdeSrvrItem.RequestData 003f ddeMgr 0048 DdeQueryString 0058 @LStrFromPCharLen 0080 @LStrLen 008a @LStrToPChar 0099 DdeCreateDataHandle 00b0 @LStrClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 68 EC 03 00 00 68 00 10 00 00 8D 85 FC EF FF FF 50 8B 43 2C 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B C8 8D 95 FC EF FF FF 8D 43 28 E8 ?? ?? ?? ?? 66 83 FE 01 75 3D 8D 55 FC 8B 43 30 8B 40 24 8B 08 FF 51 1C 6A 00 0F B7 C6 50 8B 43 2C 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 40 50 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7704_0 {
	meta:
		name = "TDdeSrvrItem.PostDataChange"
		size = 26
		refs = "000c ddeMgr 0015 DdePostAdvise"
	strings:
		$1 = { 8B 50 2C 52 8B 40 24 8B 40 28 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7705_0 {
	meta:
		name = "TDdeSrvrItem.SetItem"
		size = 89
		refs = "000c @LStrAsg 0019 ddeMgr 0022 DdeFreeStringHandle 002f @LStrLen 0040 @LStrToPChar 004f DdeCreateStringHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 28 8B D6 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 14 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 89 43 2C 8B 43 28 E8 ?? ?? ?? ?? 85 C0 7E 1F 68 EC 03 00 00 8B 43 28 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_7707_0 {
	meta:
		name = "DdeMan"
		size = 35
		refs = "0002 _DV_6 000b Application 0014 _DV_TDdeMgr 0019 TDdeMgr.Create 001e ddeMgr"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7744_0 {
	meta:
		name = "CenterWindow"
		size = 150
		refs = "000b GetWindowRect 0010 Application 0024 TCustomForm.GetMonitor 002d Screen 0036 TScreen.GetMonitor 0045 TMonitor.GetTop 004e TMonitor.GetHeight 0068 TMonitor.GetLeft 0071 TMonitor.GetWidth 008b SetWindowPos"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 54 56 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 30 85 C0 74 0F 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 10 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B D8 6A 15 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 B9 03 00 00 00 99 F7 F9 03 F8 57 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 D1 F8 79 03 83 D0 00 03 F8 57 6A 00 56 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7745_0 {
	meta:
		name = "DialogHook"
		size = 154
		refs = "001e HookCtl3D 002c Subclass3DDlg 0033 SetAutoSubClass 003a CenterWindow 003f CreationControl 0053 SetWindowLong 0074 CallWindowProc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 33 FF 8B C6 83 E8 02 74 6C 2D 0E 01 00 00 75 75 80 3D ?? ?? ?? ?? 00 74 12 66 BA FF FF 8B C3 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 58 30 A1 ?? ?? ?? ?? 8B 40 34 50 6A FC 53 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 28 8B 45 14 50 8B 45 10 50 56 53 A1 ?? ?? ?? ?? 8B 40 34 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? EB 10 80 3D ?? ?? ?? ?? 00 74 07 33 C0 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_7746_0 {
	meta:
		name = "TCommonDialog.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TComponent.Create 0021 TCommonDialog.MainWndProc 0026 MakeObjectInstance 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 24 01 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7747_0 {
	meta:
		name = "TCommonDialog.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 0013 FreeObjectInstance 001f TComponent.Destroy 002a @ClassDestroy"
		altNames = "TQRCommonDialog.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7748_0 {
	meta:
		name = "TCommonDialog.MessageHook"
		size = 40
		refs = "0006 HelpMsg 0014 Application 001f TApplication.HelpContext"
		altNames = "TQRCommonDialog.MessageHook"
	strings:
		$1 = { 33 C9 8B 12 3B 15 ?? ?? ?? ?? 75 19 83 78 2C 00 74 13 8B 15 ?? ?? ?? ?? 8B 12 8B 40 2C 92 E8 ?? ?? ?? ?? B1 01 8B C1 C3 }
	condition:
		$1
}

rule function_7749_0 {
	meta:
		name = "TCommonDialog.DefaultHandler"
		size = 53
		refs = "001f CallWindowProc 002d TObject.DefaultHandler"
		altNames = "TQRCommonDialog.DefaultHandler"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 30 85 FF 74 1A 8B 46 08 50 8B 46 04 50 8B 06 50 57 8B 43 28 50 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7750_0 {
	meta:
		name = "TCommonDialog.MainWndProc"
		size = 73
		refs = "000e TCommonDialog.MainWndProc 002b @HandleAnyException 0030 Application 003a TApplication.HandleException 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7751_0 {
	meta:
		name = "TCommonDialog.WndProc"
		size = 6
		altNames = "TQRCommonDialog.WndProc"
	strings:
		$1 = { 8B 08 FF 51 EC C3 }
	condition:
		$1
}

rule function_7752_0 {
	meta:
		name = "TCommonDialog.WMDestroy"
		size = 25
		refs = "0012 @CallDynaInst"
		altNames = "TQRCommonDialog.WMDestroy"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7753_0 {
	meta:
		name = "TCommonDialog.WMInitDialog"
		size = 21
		refs = "0009 @CallDynaInst"
		altNames = "TQRCommonDialog.WMInitDialog"
	strings:
		$1 = { 53 56 8B F2 66 BB EF FF E8 ?? ?? ?? ?? 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_7754_0 {
	meta:
		name = "TCommonDialog.WMNCDestroy"
		size = 17
		altNames = "TQRCommonDialog.WMNCDestroy"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 33 C0 89 46 30 5E C3 }
	condition:
		$1
}

rule function_7755_0 {
	meta:
		name = "TCommonDialog.TaskModalDialog"
		size = 200
		refs = "0010 GetActiveWindow 001a DisableTaskWindows 0025 TCommonDialog.TaskModalDialog 003a Application 0041 TApplication.HookMainWindow 0057 CreationControl 0062 Default8087CW 006a Set8087CW 008d TApplication.UnhookMainWindow 0093 @HandleFinally 00aa EnableTaskWindows 00b3 SetActiveWindow"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 00 8B 40 34 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC A3 ?? ?? ?? ?? 56 FF D3 89 45 F8 A1 ?? ?? ?? ?? 66 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 34 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7756_0 {
	meta:
		name = "TCommonDialog.DoClose"
		size = 20
		altNames = "TQRCommonDialog.DoClose"
	strings:
		$1 = { 53 66 83 78 3E 00 74 0A 8B D8 8B D0 8B 43 40 FF 53 3C 5B C3 }
	condition:
		$1
}

rule function_7757_0 {
	meta:
		name = "TCommonDialog.DoShow"
		size = 20
		altNames = "TQRCommonDialog.DoShow"
	strings:
		$1 = { 53 66 83 78 46 00 74 0A 8B D8 8B D0 8B 43 48 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_7758_0 {
	meta:
		name = "ExplorerHook"
		size = 131
		refs = "001e CreationControl 0032 SetWindowLong 0050 CallWindowProc 006f GetWindowLong 0074 CenterWindow"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 14 8B 5D 0C 8B 75 08 33 C0 89 45 FC 81 FB 10 01 00 00 75 40 A1 ?? ?? ?? ?? 89 70 30 A1 ?? ?? ?? ?? 8B 40 34 50 6A FC 56 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 28 57 8B 45 10 50 53 56 A1 ?? ?? ?? ?? 8B 40 34 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? EB 1B 83 FB 4E 75 16 81 7F 08 A7 FD FF FF 75 0D 6A F8 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_7759_0 {
	meta:
		name = "TOpenDialog.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TStringList 0023 TObject.Create 002b TOpenDialog.Create 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C A1 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 70 C7 46 58 01 00 00 00 C6 46 74 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 04 00 08 00 }
	condition:
		$1
}

rule function_7760_0 {
	meta:
		name = "TOpenDialog.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TCommonDialog.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 70 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7761_0 {
	meta:
		name = "TOpenDialog.CanClose"
		size = 37
		refs = "0007 TOpenDialog.GetFileNames 0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EE FF E8 ?? ?? ?? ?? 8B D8 8B 46 70 8B 10 FF 52 40 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_7762_0 {
	meta:
		name = "TOpenDialog.WndProc"
		size = 208
		refs = "003f TOpenDialog.WndProc 0065 TOpenDialog.CanClose 007d SetWindowLong 008a @CallDynaInst 00c8 TCommonDialog.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 C0 89 46 0C 8B 06 3D 10 01 00 00 75 0A F6 47 52 01 0F 84 AD 00 00 00 83 F8 4E 0F 85 9B 00 00 00 8B 5E 08 8B 43 08 05 5F 02 00 00 83 F8 06 0F 87 87 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 53 0C 8B C7 E8 ?? ?? ?? ?? 84 C0 75 56 B8 01 00 00 00 89 46 0C 50 6A 00 8B 47 30 50 E8 ?? ?? ?? ?? EB 49 8B C7 66 BB EF FF E8 ?? ?? ?? ?? EB 33 8B C7 66 BB ED FF E8 ?? ?? ?? ?? EB 26 8B C7 66 BB EC FF E8 ?? ?? ?? ?? EB 19 8B 43 0C 8B 40 18 3B 47 5C 74 0E 89 47 5C 8B C7 66 BB EB FF E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7763_0 {
	meta:
		name = "TOpenDialog.DoCanClose"
		size = 40
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 92 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7764_0 {
	meta:
		name = "TIdTCPConnection.DoOnDisconnected"
		size = 20
		altNames = "TOpenDialog.DoSelectionChange"
	strings:
		$1 = { 53 66 83 78 7A 00 74 0A 8B D8 8B D0 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_7765_0 {
	meta:
		name = "TOpenDialog.DoFolderChange"
		size = 29
	strings:
		$1 = { 53 66 83 B8 82 00 00 00 00 74 10 8B D8 8B D0 8B 83 84 00 00 00 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7766_0 {
	meta:
		name = "TOpenDialog.DoTypeChange"
		size = 29
	strings:
		$1 = { 53 66 83 B8 8A 00 00 00 00 74 10 8B D8 8B D0 8B 83 8C 00 00 00 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7767_0 {
	meta:
		name = "TOpenDialog.ReadFileEditStyle"
		size = 60
		refs = "0009 TOpenDialog.ReadFileEditStyle 0018 TReader.ReadIdent 002d @LStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7768_0 {
	meta:
		name = "TOpenDialog.DefineProperties"
		size = 68
		refs = "000b TComponent.DefineProperties 0011 TOpenDialog.ReadFileEditStyle 001c TOpenDialog.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 00 00 FF FF FF FF 0D 00 00 00 46 69 6C 65 45 64 69 74 53 74 79 6C 65 00 00 00 }
	condition:
		$1
}

rule function_7769_0 {
	meta:
		name = "AllocFilterStr"
		size = 80
		refs = "0009 @LStrClr 0014 AllocFilterStr 001b @LStrCat3 0022 @LStrToPChar 0029 AnsiStrScan"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 2F 8B C3 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B2 7C E8 ?? ?? ?? ?? 85 C0 74 0F C6 00 00 40 B2 7C E8 ?? ?? ?? ?? 85 C0 75 F1 5E 5B C3 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7770_0 {
	meta:
		name = "TOpenDialog.DoExecute"
		size = 536
		refs = "001c TOpenDialog.DoExecute 0039 @FillChar 0045 HInstance 0055 AllocFilterStr 005d @LStrToPChar 008d @LStrSetLength 00be StrLCopy 00dc HookCtl3D 00ea OpenOptions 010c NewStyleControls 012c @LStrLAsg 0143 ExtractFileExt 0155 @LStrDelete 017d DialogHook 0186 ExplorerHook 0199 Application 01be TOpenDialog.GetFileNames 0204 @LStrArrayClr 020a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 33 C9 89 4D F8 89 4D F4 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 70 8B 10 FF 52 40 8D 45 A4 33 C9 BA 4C 00 00 00 E8 ?? ?? ?? ?? C7 45 A4 4C 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 45 AC 8D 55 F8 8B 43 54 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 B0 8B 43 58 89 45 BC 89 43 5C F6 43 50 40 74 09 C7 45 C4 EF FF 00 00 EB 07 C7 45 C4 04 01 00 00 8B 55 C4 83 C2 02 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 89 75 C0 8B 55 C4 83 C2 02 8B C6 33 C9 E8 ?? ?? ?? ?? 8B 43 6C E8 ?? ?? ?? ?? 8B D0 8B 4D C4 8B 45 C0 E8 ?? ?? ?? ?? 8B 43 60 E8 ?? ?? ?? ?? 89 45 D0 8B 43 64 E8 ?? ?? ?? ?? 89 45 D4 8A 43 24 A2 ?? ?? ?? ?? C7 45 D8 20 00 00 00 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 1F 77 07 83 E2 7F 0F A3 53 50 73 05 8B 16 09 55 D8 40 83 C6 04 3C 14 75 E3 A1 ?? ?? ?? ?? 80 38 00 74 09 81 75 D8 00 00 08 00 EB 07 81 65 D8 FF FF F7 FF 8D 45 F0 8B 53 68 E8 ?? ?? ?? ?? 83 7D F0 00 75 23 F6 45 DA 08 75 1D 8D 55 F0 8B 43 6C E8 ?? ?? ?? ?? 8D 45 F0 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E0 F6 43 52 01 75 0A A1 ?? ?? ?? ?? 80 38 00 75 09 C7 45 E8 ?? ?? ?? ?? EB 07 C7 45 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 07 83 4D D8 40 89 45 EC A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 A8 8D 4D A4 8B 55 FC 8B C3 8B 30 FF 56 38 8B F0 85 F6 74 36 8D 55 A4 8B C3 E8 ?? ?? ?? ?? F6 45 D9 04 74 09 81 4B 50 80 00 00 00 EB 07 81 63 50 7F FF FF FF F6 45 D8 01 74 06 83 4B 50 01 EB 04 83 63 50 FE 8B 45 BC 89 43 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7771_0 {
	meta:
		name = "ExtractFileName"
		size = 70
		refs = "0013 AnsiStrScan 0022 @LStrFromPChar 0029 StrEnd 003a @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 8A 50 FF 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 14 8B C7 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 0E 8B CB 2B CE 8B C7 8B D6 E8 ?? ?? ?? ?? 43 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7772_0 {
	meta:
		name = "ExtractFileNames"
		size = 256
		refs = "000e ExtractFileNames 0022 ExtractFileName 0057 AnsiLastChar 0069 @LStrCat 0079 @LStrLen 009e @LStrCat3 00e0 @LStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 8B D8 83 7D F8 00 75 13 8B 45 08 8B 40 F8 8B 40 70 8B 55 FC 8B 08 FF 51 34 EB 77 8B 45 FC E8 ?? ?? ?? ?? 80 38 5C 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 38 5C 74 2D 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 03 7E 12 8B 45 F8 80 78 01 3A 75 09 8B 45 F8 80 78 02 5C 74 0E 8D 45 F8 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 70 8B 55 F8 8B 08 FF 51 34 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 8B D8 83 7D F8 00 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_7773_0 {
	meta:
		name = "TOpenDialog.GetFileNames"
		size = 183
		refs = "0013 TOpenDialog.GetFileNames 0034 NewStyleControls 004f ExtractFileNames 006e @LStrAsg 007f ExtractFileName 00a6 @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 45 F8 F6 40 50 40 74 17 8B 45 F8 F6 40 52 01 75 0A A1 ?? ?? ?? ?? 80 38 00 75 04 C6 45 FF 20 8B 45 F8 F6 40 50 40 74 2A 55 8B 42 1C E8 ?? ?? ?? ?? 59 8D 4D F4 8B 45 F8 8B 40 70 33 D2 8B 18 FF 53 0C 8B 55 F4 8B 45 F8 83 C0 6C E8 ?? ?? ?? ?? EB 21 55 8B 42 1C 8B 55 F8 83 C2 6C E8 ?? ?? ?? ?? 59 8B 45 F8 8B 50 6C 8B 45 F8 8B 40 70 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7774_0 {
	meta:
		name = "TOpenDialog.GetStaticRect"
		size = 81
		refs = "001c GetDlgItem 0022 GetWindowRect 0030 MapWindowPoints 0039 GetClientRect 0049 Rect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 30 85 FF 74 31 F6 43 52 01 75 22 56 68 5F 04 00 00 57 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 56 8B 43 30 50 6A 00 E8 ?? ?? ?? ?? EB 17 56 57 E8 ?? ?? ?? ?? EB 0E 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7775_0 {
	meta:
		name = "TOpenDialog.GetFileName"
		size = 86
		refs = "000d NewStyleControls 002e GetParent 0034 SendMessage 003d StrPas 0049 @LStrLAsg"
	strings:
		$1 = { 53 56 81 C4 F8 FE FF FF 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 2D 83 7B 30 00 74 27 8B C4 50 68 05 01 00 00 68 65 04 00 00 8B 43 30 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C4 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 6C E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7776_0 {
	meta:
		name = "TOpenDialog.GetFilterIndex"
		size = 14
	strings:
		$1 = { 83 78 30 00 74 04 8B 40 5C C3 8B 40 58 C3 }
	condition:
		$1
}

rule function_7777_0 {
	meta:
		name = "TFontDialog.SetFont"
		size = 13
		altNames = "TOpenDialog.SetHistoryList"
	strings:
		$1 = { 56 8B F0 8B 46 4C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_7778_0 {
	meta:
		name = "TOpenDialog.SetInitialDir"
		size = 88
		refs = "000a @LStrLen 001a IsPathDelimiter 0028 TOpenDialog.SetInitialDir 002d IsDelimiter 0044 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 21 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8B CB 49 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 01 4B 8D 47 60 50 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_7779_0 {
	meta:
		name = "TOpenDialog.Execute"
		size = 23
		refs = "0004 GetOpenFileName 000b TOpenDialog.DoExecute"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_7780_0 {
	meta:
		name = "TSaveDialog.Execute"
		size = 23
		refs = "0004 GetSaveFileName 000b TOpenDialog.DoExecute"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_7781_0 {
	meta:
		name = "TColorDialog.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TStringList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7782_0 {
	meta:
		name = "TColorDialog.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TCommonDialog.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 54 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7783_0 {
	meta:
		name = "GetCustomColorsArray"
		size = 192
		refs = "0010 GetCustomColorsArray 003a Format 004f @LStrFromChar 0060 @LStrCat3 0072 TStrings.SetValue 0095 @LStrArrayClr 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 08 8D 58 B4 8D 45 FC 50 8B 03 89 45 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 EC 8B 55 08 8B 52 F4 8A 14 32 E8 ?? ?? ?? ?? 8B 4D EC 8B 45 08 8B 50 F8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 40 54 59 E8 ?? ?? ?? ?? 46 83 C3 04 83 FE 10 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 25 2E 36 78 00 00 00 00 }
	condition:
		$1
}

rule function_7784_0 {
	meta:
		name = "SetCustomColorsArray"
		size = 188
		refs = "000f SetCustomColorsArray 002e @LStrFromChar 003f @LStrCat3 0053 TStrings.GetValue 0071 StrToInt 009e @LStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 08 8D 58 B4 8D 45 F4 8B 55 08 8B 52 F4 8A 14 32 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 08 8B 50 F8 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 45 08 8B 40 FC 8B 40 54 E8 ?? ?? ?? ?? 83 7D FC 00 74 1C 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 03 EB 06 C7 03 FF FF FF FF 46 83 C3 04 83 FE 10 75 99 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_7785_0 {
	meta:
		name = "TColorDialog.Execute"
		size = 279
		refs = "0016 TColorDialog.Execute 0024 SColorPrefix 0029 LoadResString 0031 SColorTags 003c SetCustomColorsArray 0049 HInstance 0059 ColorToRGB 0070 DialogOptions 00ac HookCtl3D 00b3 DialogHook 00b8 Application 00c8 ChooseColor 00e9 GetCustomColorsArray 0104 @LStrArrayClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 33 D2 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 C7 45 90 24 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 45 98 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 89 45 9C 8D 45 B4 89 45 A0 C7 45 A4 11 00 00 00 33 C0 BA ?? ?? ?? ?? 8B 4D FC 8B D8 80 FB 07 77 07 83 E3 7F 0F A3 59 50 73 05 8B 0A 09 4D A4 40 83 C2 04 3C 05 75 E0 8B 45 FC 8B 40 38 85 C0 74 07 83 4D A4 20 89 45 B0 8B 45 FC 8A 40 24 A2 ?? ?? ?? ?? C7 45 AC ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 94 8D 4D 90 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 38 F7 D8 1B DB F7 DB 84 DB 74 10 8B 45 FC 8B 55 9C 89 50 4C 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7786_0 {
	meta:
		name = "TColorDialog.SetCustomColors"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 54 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_7787_0 {
	meta:
		name = "FontDialogHook"
		size = 67
		refs = "0020 FontDialog 0025 TFontDialog.DoApply 003b DialogHook"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 55 08 3D 11 01 00 00 75 20 66 81 7D 10 02 04 75 18 66 83 7D 12 00 75 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 EB 0F 8B 4D 14 51 8B 4D 10 51 50 52 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_7788_0 {
	meta:
		name = "TFontDialog.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TFont 0023 TFont.Create 002c TFontDialog.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 66 A1 ?? ?? ?? ?? 66 89 46 51 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_7789_0 {
	meta:
		name = "TFontDialog.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TCommonDialog.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 4C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7790_0 {
	meta:
		name = "TFontDialog.WndProc"
		size = 49
		refs = "002c TCommonDialog.WndProc"
	strings:
		$1 = { 81 3A 11 01 00 00 75 23 66 83 7A 06 09 75 1C 66 8B 4A 04 66 81 F9 73 04 75 06 C6 40 65 01 EB 0B 66 81 F9 74 04 75 04 C6 40 64 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7791_0 {
	meta:
		name = "TFontDialog.Apply"
		size = 22
	strings:
		$1 = { 53 66 83 78 56 00 74 0C 8B D8 8B CA 8B D0 8B 43 58 FF 53 54 5B C3 }
	condition:
		$1
}

rule function_7792_0 {
	meta:
		name = "TFontDialog.DoApply"
		size = 171
		refs = "001b SendMessage 0026 TFontDialog.UpdateFromLogFont 003a SendDlgItemMessage 0061 TFont.SetColor 0069 TFontDialog.DoApply 007d @CallDynaInst 008c @HandleAnyException 0091 Application 009b TApplication.HandleException 00a0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B DA 89 45 FC 8D 45 C0 50 6A 00 68 01 04 00 00 53 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 47 01 00 00 68 73 04 00 00 53 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 20 6A 00 56 68 50 01 00 00 68 73 04 00 00 53 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 66 BB EE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7793_0 {
	meta:
		name = "TFontDialog.Execute"
		size = 434
		refs = "001d TFontDialog.Execute 003a Printer 003f TPrinter.GetHandle 0056 TFont.GetHandle 005c GetObject 006c @LStrFromArray 0078 Devices 0085 FontOptions 00d4 HookCtl3D 00db FontDialogHook 00f8 Application 0106 FontDialog 011c ChooseFont 0159 AnsiCompareText 016b TFontDialog.UpdateFromLogFont 017c TFont.SetColor 0194 @LStrClr 01a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 57 33 D2 89 95 7C FF FF FF 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 BC 3C 00 00 00 33 C0 89 45 C4 80 7B 50 00 74 0D E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 8D 45 80 89 45 C8 8D 45 80 50 6A 3C 8B 43 4C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F8 8D 55 9C B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 8A 43 50 8B 04 85 ?? ?? ?? ?? 83 C8 48 89 45 D0 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 0F 77 07 83 E2 7F 0F A3 53 51 73 05 8B 16 09 55 D0 40 83 C6 04 3C 10 75 E3 66 83 7B 56 00 74 07 81 4D D0 00 02 00 00 8B 43 38 85 C0 74 07 83 4D D0 10 89 45 E0 8B 43 4C 8B 40 14 89 45 D4 33 C0 89 45 D8 8A 43 24 A2 ?? ?? ?? ?? C7 45 DC ?? ?? ?? ?? 8B 43 5C 89 45 F0 8B 43 60 89 45 F4 3B 45 F0 7D 07 81 65 D0 FF DF FF FF A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 C0 8B 35 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? C6 43 65 00 C6 43 64 00 8D 4D BC BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 38 F7 D8 1B C0 F7 D8 88 45 FF 89 35 ?? ?? ?? ?? 80 7D FF 00 74 44 8D 85 7C FF FF FF 8D 55 9C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 64 01 8D 55 80 8B C3 E8 ?? ?? ?? ?? 80 7B 65 00 74 0B 8B 55 D4 8B 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7795_0 {
	meta:
		name = "TFontDialog.UpdateFromLogFont"
		size = 176
		refs = "0010 TFontDialog.UpdateFromLogFont 0026 @LStrFromArray 0031 TFont.SetName 003b TFont.SetHeight 004c TFont.SetCharset 0083 TFont.SetStyle 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 57 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 4C E8 ?? ?? ?? ?? 8B 17 8B 46 4C E8 ?? ?? ?? ?? 80 7E 64 00 74 0B 8A 57 17 8B 46 4C E8 ?? ?? ?? ?? 8A 1D ?? ?? ?? ?? 81 7F 10 90 01 00 00 7E 03 80 CB 01 80 7F 14 00 74 03 80 CB 02 80 7F 15 00 74 03 80 CB 04 80 7F 16 00 74 03 80 CB 08 8B D3 8B 46 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7796_0 {
	meta:
		name = "GetPrinter"
		size = 249
		refs = "001a Printer 0028 TPrinter.GetPrinter 0039 StrLen 0063 GlobalAlloc 0073 GlobalLock 007d GetPrinter 009f StrECopy 00ce StrCopy 00e6 GlobalUnlock 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 0C FF FF FF 53 56 57 89 55 FC 8B D8 8D 85 0C FF FF FF 50 53 E8 ?? ?? ?? ?? 8D 8D 5C FF FF FF 8D 55 AC E8 ?? ?? ?? ?? 83 3B 00 0F 84 BD 00 00 00 8D 45 AC E8 ?? ?? ?? ?? 8B D8 83 C3 08 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 03 D8 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 03 D8 83 C3 03 53 6A 42 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 83 C3 08 8B FE 8B C3 66 2B C6 66 89 07 8D 95 5C FF FF FF 8B C3 E8 ?? ?? ?? ?? 40 8B D8 8B C3 66 2B C6 66 89 47 02 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 40 8B D8 8B C3 66 2B C6 66 89 47 04 8D 95 0C FF FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7797_0 {
	meta:
		name = "SetPrinter"
		size = 122
		refs = "0014 GlobalLock 001e SetPrinter 0038 Printer 0048 TPrinter.SetPrinter 005e GlobalUnlock 0067 GlobalFree 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 0F B7 46 04 8B FB 03 C7 50 8B 45 FC 50 E8 ?? ?? ?? ?? 0F B7 0E 03 CF 0F B7 56 02 03 D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7798_0 {
	meta:
		name = "CopyData"
		size = 151
		refs = "0016 GlobalSize 0020 GlobalAlloc 0031 CopyData 0040 GlobalLock 005e Move 0074 GlobalUnlock 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 83 7D FC 00 74 78 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 53 6A 42 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 61 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 50 E8 ?? ?? ?? ?? 85 F6 74 0F 85 C0 74 0B 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 89 45 F8 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7799_0 {
	meta:
		name = "TPrinterSetupDialog.Execute"
		size = 180
		refs = "0012 @FillChar 001f HInstance 0030 GetPrinter 0038 CopyData 004c HookCtl3D 0054 DialogHook 0059 Application 006b PrintDlg 008b SetPrinter 009b GlobalFree"
	strings:
		$1 = { 53 83 C4 B8 8B D8 8D 44 24 04 33 C9 BA 42 00 00 00 E8 ?? ?? ?? ?? C7 44 24 04 42 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 44 24 26 8D 54 24 10 8B C4 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 0C C7 44 24 18 40 20 00 00 8A 43 24 A2 ?? ?? ?? ?? C7 44 24 32 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 44 24 08 8D 4C 24 04 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 38 F7 D8 1B C0 F7 D8 8B D8 84 DB 74 0F 8B 54 24 10 8B 44 24 0C E8 ?? ?? ?? ?? EB 1C 8B 44 24 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 44 24 10 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C3 83 C4 48 5B C3 }
	condition:
		$1
}

rule function_7800_0 {
	meta:
		name = "TPrintDialog.SetNumCopies"
		size = 20
		refs = "0007 Printer 000e TPrinter.SetNumCopies"
	strings:
		$1 = { 53 8B DA 89 58 60 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7801_0 {
	meta:
		name = "TPrintDialog.Execute"
		size = 416
		refs = "0016 @FillChar 0021 HInstance 0030 GetPrinter 0038 CopyData 0047 PrintRanges 00d3 HookCtl3D 00da DialogHook 00e6 Application 00f5 PrintDlg 0111 SetPrinter 015d Printer 0162 TPrinter.GetNumCopies 016b TPrintDialog.SetNumCopies 0186 GlobalFree"
	strings:
		$1 = { 53 56 57 83 C4 B8 8B F8 8D 74 24 04 8B C6 33 C9 BA 42 00 00 00 E8 ?? ?? ?? ?? C7 06 42 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 46 22 8D 56 0C 8B C4 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 46 08 33 C0 8A 47 57 8B 04 85 ?? ?? ?? ?? 0D 00 30 00 00 89 46 14 80 7F 54 00 74 04 83 46 14 10 F6 47 55 01 75 07 81 46 14 00 00 10 00 F6 47 55 02 75 04 83 46 14 08 F6 47 55 04 75 04 83 46 14 04 F6 47 55 20 74 07 81 46 14 00 00 08 00 80 7F 56 00 74 04 83 46 14 20 F6 47 55 10 74 07 81 46 14 00 08 00 00 F6 47 55 08 75 07 81 46 14 80 00 00 00 66 8B 47 4C 66 89 46 18 66 8B 47 50 66 89 46 1A 66 8B 47 58 66 89 46 1C 66 8B 47 5C 66 89 46 1E 8A 47 24 A2 ?? ?? ?? ?? C7 46 2A ?? ?? ?? ?? C7 46 2E ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 46 04 8B CE BA ?? ?? ?? ?? 8B C7 8B 18 FF 53 38 F7 D8 1B DB F7 DB 84 DB 74 73 8B 56 0C 8B 46 08 E8 ?? ?? ?? ?? F6 46 14 10 0F 95 C0 88 47 54 F6 46 14 20 0F 95 C0 88 47 56 8B 46 14 A8 01 74 06 C6 47 57 01 EB 0E A8 02 74 06 C6 47 57 02 EB 04 C6 47 57 00 0F B7 46 18 89 47 4C 0F B7 46 1A 89 47 50 66 8B 46 20 66 83 F8 01 75 15 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 26 0F B7 D0 8B C7 E8 ?? ?? ?? ?? EB 1A 8B 46 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C3 83 C4 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7802_0 {
	meta:
		name = "TRedirectorWindow.CreateParams"
		size = 34
		refs = "000b TWinControl.CreateParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? C7 46 04 00 00 00 90 8B 83 F0 01 00 00 89 46 1C 5E 5B C3 }
	condition:
		$1
}

rule function_7803_0 {
	meta:
		name = "TRedirectorWindow.WndProc"
		size = 52
		refs = "000b TWinControl.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 75 1C 83 BB EC 01 00 00 00 74 13 8B D6 8B 83 EC 01 00 00 8B 08 FF 51 34 83 E0 7F 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_7805_0 {
	meta:
		name = "CallDefWndProc"
		size = 59
		refs = "0022 WndProcPtrAtom 002f GetProp 0035 CallWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 14 50 8B 45 08 8B 40 10 50 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 08 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_7806_0 {
	meta:
		name = "FindReplaceWndProc"
		size = 178
		refs = "001e Application 0025 TApplication.GetDialogHandle 0038 TApplication.SetDialogHandle 0088 CallDefWndProc 0092 WndProcPtrAtom 009c RemoveProp"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C 83 E8 02 74 11 2D 80 00 00 00 74 73 83 E8 04 74 26 E9 85 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B 45 08 75 74 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? EB 64 83 7D 10 00 74 21 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 85 C0 75 4E A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? EB 3D A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B 45 08 75 2C A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? EB 1C 55 E8 ?? ?? ?? ?? 59 8B D8 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? EB 09 55 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_7807_0 {
	meta:
		name = "FindReplaceDialogHook"
		size = 136
		refs = "0017 DialogHook 0029 TFindDialog.GetLeft 0033 TFindDialog.GetTop 0054 SetWindowPos 005c GetWindowLong 0064 WndProcPtrAtom 006b SetProp 0070 FindReplaceWndProc 0078 SetWindowLong"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 14 8B 75 0C 8B 5D 08 57 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 81 FE 10 01 00 00 75 5E 8B 77 1C 8B C6 E8 ?? ?? ?? ?? 40 75 0A 8B C6 E8 ?? ?? ?? ?? 40 74 1E 6A 15 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 53 E8 ?? ?? ?? ?? 6A FC 53 E8 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FC 53 E8 ?? ?? ?? ?? B8 01 00 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_7808_0 {
	meta:
		name = "TFindDialog.Create"
		size = 172
		refs = "000d @ClassCreate 001b TCommonDialog.Create 0021 TFindDialog.Create 0042 Application 0050 HInstance 007d FindReplaceDialogHook 0082 FindText 0092 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 43 4C C7 43 50 FF FF FF FF C7 43 54 FF FF FF FF 8D 43 74 C7 00 28 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 52 24 89 50 04 8B 15 ?? ?? ?? ?? 8B 12 89 50 08 8D 93 9C 00 00 00 89 50 10 66 C7 40 18 00 01 8D 93 9C 01 00 00 89 50 14 66 C7 40 1A 00 01 89 58 1C C7 40 20 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 43 58 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7809_0 {
	meta:
		name = "TFindDialog.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 001a SendMessage 0022 TObject.Free 002e TCommonDialog.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 70 85 C0 74 0C 6A 00 6A 00 6A 10 50 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7810_0 {
	meta:
		name = "TFindDialog.CloseDialog"
		size = 20
		refs = "000f PostMessage"
	strings:
		$1 = { 8B 50 70 85 D2 74 0C 6A 00 6A 00 6A 10 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7811_0 {
	meta:
		name = "GetTopWindow"
		size = 58
		refs = "000c FindControl 001d _Dn_TForm 0022 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B D8 83 CF FF 85 DB 74 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B 45 0C 89 30 33 FF 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7812_0 {
	meta:
		name = "TFindDialog.Execute"
		size = 199
		refs = "000d BringWindowToTop 001a HookCtl3D 002e FindReplaceDialogHook 0037 _DV_TRedirectorWindow 003c TWinControl.Create 0053 GetTopWindow 0058 GetCurrentThreadId 005e EnumThreadWindows 0066 TWinControl.GetHandle 0070 FindOptions 00af CreationControl"
	strings:
		$1 = { 53 56 8B D8 8B 43 70 85 C0 74 0B 50 E8 ?? ?? ?? ?? B0 01 5E 5B C3 8A 43 24 A2 ?? ?? ?? ?? C7 83 80 00 00 00 00 01 00 00 C7 83 94 00 00 00 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 5C 89 9E EC 01 00 00 8D 86 F0 01 00 00 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 5C E8 ?? ?? ?? ?? 89 43 78 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 0F 77 07 83 E2 7F 0F A3 53 4C 73 08 8B 16 09 93 80 00 00 00 40 83 C6 04 3C 0D 75 E0 83 7B 38 00 74 13 81 8B 80 00 00 00 00 02 00 00 8B 43 38 89 83 98 00 00 00 89 1D ?? ?? ?? ?? 8D 43 74 50 FF 53 58 8B F0 89 73 70 85 F6 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7813_0 {
	meta:
		name = "TFindDialog.Find"
		size = 20
	strings:
		$1 = { 53 66 83 78 62 00 74 0A 8B D8 8B D0 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_7814_0 {
	meta:
		name = "TFindDialog.GetFindText"
		size = 27
		refs = "0014 @LStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 93 9C 00 00 00 B9 00 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7816_0 {
	meta:
		name = "TFindDialog.GetPosition"
		size = 48
		refs = "001b GetWindowRect"
	strings:
		$1 = { 53 83 C4 F0 8B DA 8B 50 50 89 13 8B 50 54 89 53 04 8B 50 70 85 D2 74 13 54 52 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_7817_0 {
	meta:
		name = "TFindDialog.GetReplaceText"
		size = 27
		refs = "0014 @LStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 93 9C 01 00 00 B9 00 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7819_0 {
	meta:
		name = "TFindDialog.MessageHook"
		size = 220
		refs = "000f TCommonDialog.MessageHook 001f FindMsg 0039 TFindDialog.MessageHook 0044 FindOptions 0079 @CallDynaInst 009a GetWindowRect 00bd TWinControl.GetHandle 00c3 PostMessage"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 B3 00 00 00 8B 13 3B 15 ?? ?? ?? ?? 0F 85 A5 00 00 00 8B 53 08 8D 4F 74 3B D1 0F 85 97 00 00 00 66 A1 ?? ?? ?? ?? 66 89 47 4C 33 DB BE ?? ?? ?? ?? 8B 87 80 00 00 00 23 06 74 0D 8B C3 3C 0F 77 07 83 E0 7F 0F AB 47 4C 43 83 C6 04 80 FB 0D 75 E0 8B 87 80 00 00 00 A8 08 74 0D 8B C7 66 BB EE FF E8 ?? ?? ?? ?? EB 4D A8 30 74 0D 8B C7 66 BB ED FF E8 ?? ?? ?? ?? EB 3C A8 40 74 38 54 8B 47 70 50 E8 ?? ?? ?? ?? 8B 04 24 89 47 50 8B 44 24 04 89 47 54 33 C0 89 47 70 6A 00 6A 00 68 21 B0 00 00 8B 47 5C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 47 5C B0 01 83 C4 10 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7820_0 {
	meta:
		name = "TFindDialog.Replace"
		size = 20
	strings:
		$1 = { 53 66 83 78 6A 00 74 0A 8B D8 8B D0 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_7821_0 {
	meta:
		name = "TFindDialog.SetFindText"
		size = 34
		refs = "0009 @LStrToPChar 001b StrLCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 83 9C 00 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7823_0 {
	meta:
		name = "TFindDialog.SetPosition"
		size = 57
		refs = "0033 SetWindowPos"
	strings:
		$1 = { 53 8B 0A 3B 48 50 75 08 8B 4A 04 3B 48 54 74 27 8B 0A 89 48 50 8B 4A 04 89 48 54 8B 48 70 85 C9 74 15 6A 15 6A 00 6A 00 8B 5A 04 53 8B 12 52 6A 00 51 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7824_0 {
	meta:
		name = "TFindDialog.SetReplaceText"
		size = 34
		refs = "0009 @LStrToPChar 001b StrLCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 83 9C 01 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7826_0 {
	meta:
		name = "TReplaceDialog.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TFindDialog.Create 001c ReplaceText 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7827_0 {
	meta:
		name = "Max"
		size = 7
		altNames = "MaxLong"
	strings:
		$1 = { 3B D0 7C 02 8B C2 C3 }
	condition:
		$1
}

rule function_7828_0 {
	meta:
		name = "GetAveCharSize"
		size = 82
		refs = "0036 TCanvas.GetHandle 003c GetTextExtentPoint"
	strings:
		$1 = { 53 56 83 C4 CC 8B DA 8B F0 33 C0 8B D4 8D 48 41 88 0A 40 42 83 F8 1A 75 F4 33 C0 8D 54 24 1A 8D 48 61 88 0A 40 42 83 F8 1A 75 F4 53 6A 34 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 03 B9 34 00 00 00 99 F7 F9 89 03 83 C4 34 5E 5B C3 }
	condition:
		$1
}

rule function_7829_0 {
	meta:
		name = "TMessageForm.CreateNew"
		size = 118
		refs = "0013 @ClassCreate 0022 TCustomForm.CreateNew 003e SystemParametersInfo 004b CreateFontIndirect 0055 TFont.SetHandle 0060 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? C7 85 AC FE FF FF 54 01 00 00 6A 00 8D 85 AC FE FF FF 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 13 8D 45 C4 50 E8 ?? ?? ?? ?? 8B D0 8B 46 58 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7830_0 {
	meta:
		name = "TMessageForm.HelpButtonClick"
		size = 21
		refs = "0002 Application 0010 TApplication.HelpContext"
		altNames = "TPictureEditorDlg.HelpButtonClick TSelectDirDlg.HelpButtonClick"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 80 44 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7831_0 {
	meta:
		name = "_NF__401"
		size = 164
	strings:
		$1 = { FF FF FF FF 03 00 00 00 59 65 73 00 FF FF FF FF 02 00 00 00 4E 6F 00 00 FF FF FF FF 02 00 00 00 4F 4B 00 00 FF FF FF FF 06 00 00 00 43 61 6E 63 65 6C 00 00 FF FF FF FF 05 00 00 00 41 62 6F 72 74 00 00 00 FF FF FF FF 05 00 00 00 52 65 74 72 79 00 00 00 FF FF FF FF 06 00 00 00 49 67 6E 6F 72 65 00 00 FF FF FF FF 03 00 00 00 41 6C 6C 00 FF FF FF FF 07 00 00 00 4E 6F 54 6F 41 6C 6C 00 FF FF FF FF 08 00 00 00 59 65 73 54 6F 41 6C 6C 00 00 00 00 FF FF FF FF 04 00 00 00 48 65 6C 70 00 00 00 00 }
	condition:
		$1
}

rule function_7832_0 {
	meta:
		name = "CreateMessageDialog"
		size = 1388
		refs = "001c CreateMessageDialog 0028 Application 0031 _DV_TMessageForm 0036 TMessageForm.CreateNew 0055 TCustomForm.SetBorderStyle 005d TCustomForm.GetCanvas 0068 TCanvas.SetFont 0078 GetAveCharSize 0085 MulDiv 00c6 ButtonWidths 00cd ButtonCaptions 00f2 Rect 00fa TControl.DrawTextBiDiModeFlagsReadingOnly 0113 LoadResString 011b @LStrToPChar 0129 TCanvas.GetHandle 012f DrawText 017c Screen 0183 TScreen.GetWidth 0198 SetRect 01b2 @LStrLen 01db IconIDs 0238 Max 0249 TCustomForm.SetClientWidth 0261 TCustomForm.SetClientHeight 028d TControl.SetLeft 0299 TScreen.GetHeight 02b9 TControl.SetTop 02ce Captions 02de TControl.SetText 02ef TApplication.GetTitle 0308 _Dn_TImage 030d TImage.Create 032d LoadIcon 0339 TPicture.GetIcon 033f TIcon.SetHandle 035d _Dn_TLabel 0362 TCustomLabel.Create 0383 TCustomLabel.SetWordWrap 0397 TControl.SetBoundsRect 03bb @CallDynaInst 03c7 TControl.GetClientWidth 043d ButtonNames 0449 ModalResults 0466 _Dn_TButton 046b TButton.Create 04b8 TButton.SetDefault 050a TMessageForm.HelpButtonClick 0534 @LStrClr 053a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D 9C 66 89 4D F9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 8B 00 8A 50 28 8B 45 F4 8B 08 FF 51 6C B2 03 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 58 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 6A 04 8B 5D EC 53 6A 08 E8 ?? ?? ?? ?? 89 45 E8 6A 08 8B 75 F0 56 6A 08 E8 ?? ?? ?? ?? 89 45 E4 6A 04 53 6A 0A E8 ?? ?? ?? ?? 89 45 E0 6A 08 56 6A 0A E8 ?? ?? ?? ?? 89 45 DC 6A 04 53 6A 32 E8 ?? ?? ?? ?? 89 45 D8 33 DB BE ?? ?? ?? ?? C7 45 B4 ?? ?? ?? ?? 8B C3 3C 0F 77 07 83 E0 7F 0F A3 45 F9 73 68 83 3E 00 75 59 6A 00 8D 45 A0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 0D 20 04 00 00 50 8D 45 A0 50 6A FF 8D 55 9C 8B 45 B4 8B 00 E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 A8 2B 45 A0 83 C0 08 89 06 8B 06 3B 45 D8 7E 03 89 45 D8 43 83 45 B4 04 83 C6 04 80 FB 0B 0F 85 78 FF FF FF 6A 08 8B 45 F0 50 6A 0E E8 ?? ?? ?? ?? 89 45 D4 6A 04 8B 45 EC 50 6A 04 E8 ?? ?? ?? ?? 89 45 D0 6A 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 6A 00 8D 45 A0 50 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 0D 50 04 00 00 50 8D 45 A0 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 8A 45 FB 8B 3C 85 ?? ?? ?? ?? 8B 45 A8 89 45 CC 8B 45 AC 89 45 C8 85 FF 74 16 8B 45 E0 83 C0 20 01 45 CC 83 7D C8 20 7D 07 C7 45 C8 20 00 00 00 33 C0 33 DB 8B D3 80 FA 0F 77 07 83 E2 7F 0F A3 55 F9 73 01 40 43 80 FB 0B 75 E9 33 F6 85 C0 74 0C 8B 75 D8 0F AF F0 48 F7 6D D0 03 F0 8B D6 8B 45 CC E8 ?? ?? ?? ?? 8B D0 8B 45 E8 03 C0 03 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C8 03 55 D4 03 55 DC 8B 45 E4 03 C0 03 D0 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 F4 8B 40 38 D1 F8 79 03 83 D0 00 2B D0 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 F4 8B 40 3C D1 F8 79 03 83 D0 00 2B D0 8B 45 F4 E8 ?? ?? ?? ?? 80 7D FB 04 74 21 8D 55 9C 33 C0 8A 45 FB 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 F4 E8 ?? ?? ?? ?? EB 1A 8D 55 9C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 9C 8B 45 F4 E8 ?? ?? ?? ?? 85 FF 74 55 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 18 8B 55 F4 8B C3 8B 08 FF 51 64 57 6A 00 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 6A 20 6A 20 8B 4D E4 8B 55 E8 8B C3 8B 18 FF 93 80 00 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 18 8B 55 F4 8B C7 8B 08 FF 51 64 B2 01 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 A0 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8A 50 4F 8B C7 8B 08 FF 51 6C 8B 45 CC 2B 45 A8 03 45 E8 89 45 C0 8B C7 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 F4 E8 ?? ?? ?? ?? 2B 45 C0 2B 47 38 89 45 C0 8B 45 A8 50 8B 45 AC 50 8B 4D E4 8B 55 C0 8B C7 8B 18 FF 93 80 00 00 00 F6 45 F9 04 74 06 C6 45 BF 02 EB 10 F6 45 F9 01 74 06 C6 45 BF 00 EB 04 C6 45 BF 05 F6 45 F9 08 74 06 C6 45 BE 03 EB 10 F6 45 F9 02 74 06 C6 45 BE 01 EB 04 C6 45 BE 02 8B 45 F4 E8 ?? ?? ?? ?? 2B C6 D1 F8 79 03 83 D0 00 89 45 C4 33 DB C7 45 B4 ?? ?? ?? ?? BE ?? ?? ?? ?? C7 45 B0 ?? ?? ?? ?? 8B C3 3C 0F 77 07 83 E0 7F 0F A3 45 F9 0F 83 AE 00 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 8B 45 B4 8B 10 8B 45 B8 8B 08 FF 51 18 8B 55 F4 8B 45 B8 8B 08 FF 51 64 8D 55 9C 8B 06 E8 ?? ?? ?? ?? 8B 55 9C 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 B0 8B 00 8B 55 B8 89 82 F4 01 00 00 3A 5D BF 75 0A B2 01 8B 45 B8 E8 ?? ?? ?? ?? 3A 5D BE 75 0A 8B 45 B8 C6 80 F1 01 00 00 01 8B 45 D8 50 8B 45 D4 50 8B 4D C8 03 4D E4 03 4D DC 8B 55 C4 8B 45 B8 8B 38 FF 97 80 00 00 00 8B 45 D8 03 45 D0 01 45 C4 80 FB 0A 75 16 8B 45 B8 8B 55 F4 89 90 08 01 00 00 C7 80 04 01 00 00 ?? ?? ?? ?? 43 83 45 B0 04 83 C6 04 83 45 B4 04 80 FB 0B 0F 85 2A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 49 6D 61 67 65 00 00 00 FF FF FF FF 07 00 00 00 4D 65 73 73 61 67 65 00 }
	condition:
		$1
}

rule function_7833_0 {
	meta:
		name = "MessageDlg"
		size = 32
		refs = "0017 MessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 08 51 6A FF 6A FF 6A 00 66 8B 4D FE E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7834_0 {
	meta:
		name = "MessageDlgPos"
		size = 36
		refs = "001b MessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 6A 00 66 8B 4D FE E8 ?? ?? ?? ?? 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_7835_0 {
	meta:
		name = "MessageDlgPosHelp"
		size = 178
		refs = "001d CreateMessageDialog 0028 MessageDlgPosHelp 004a @LStrAsg 0058 TControl.SetLeft 0066 TControl.SetTop 0078 TCustomForm.SetPosition 009b TObject.Free 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 66 89 4D FD 88 55 FF 8B 75 0C 8B 5D 10 66 8B 4D FD 8A 55 FF E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 55 14 89 90 44 01 00 00 8B 45 F4 05 1C 02 00 00 8B 55 08 E8 ?? ?? ?? ?? 85 DB 7C 0A 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 85 F6 7C 0A 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 85 F6 7D 0E 85 DB 7D 0A B2 04 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 CC 00 00 00 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_7836_0 {
	meta:
		name = "ShowMessage"
		size = 12
		refs = "0007 ShowMessagePos"
	strings:
		$1 = { 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7837_0 {
	meta:
		name = "ShowMessageFmt"
		size = 111
		refs = "0024 ShowMessageFmt 0039 Format 0041 ShowMessage 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_7838_0 {
	meta:
		name = "ShowMessagePos"
		size = 24
		refs = "0009 ShowMessagePos 000e MessageDlgPos"
	strings:
		$1 = { 6A 00 52 51 B2 04 66 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_7839_0 {
	meta:
		name = "InputQuery"
		size = 758
		refs = "001d InputQuery 002d Application 0036 _Dn_TForm 003b TCustomForm.Create 0054 TCustomForm.GetCanvas 005f TCanvas.SetFont 006f GetAveCharSize 0079 TCustomForm.SetBorderStyle 0083 TControl.SetText 0093 MulDiv 009d TCustomForm.SetClientWidth 00b4 TCustomForm.SetClientHeight 00be TCustomForm.SetPosition 00c8 _Dn_TLabel 00cd TCustomLabel.Create 00fb TControl.SetLeft 010e TControl.SetTop 0122 _Dn_TEdit 0127 TCustomEdit.Create 0169 TControl.SetWidth 0175 TCustomEdit.SetMaxLength 0188 TCustomEdit.SelectAll 01bb _Dn_TButton 01c0 TButton.Create 01d4 SMsgDlgOK 01d9 LoadResString 01f6 TButton.SetDefault 023c SMsgDlgCancel 0297 TControl.GetText 02a2 @LStrAsg 02bb TObject.Free 02c1 @HandleFinally 02d8 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 52 58 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? B2 03 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 6A 04 8B 45 E8 50 68 B4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 6A 08 8B 7D EC 57 6A 3F E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? B2 04 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F0 8B C6 8B 08 FF 51 64 B2 01 8B C6 8B 08 FF 91 90 00 00 00 6A 04 8B 45 E8 50 6A 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 6A 08 57 6A 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F0 8B C3 8B 08 FF 51 64 8B 56 30 8B C3 E8 ?? ?? ?? ?? 6A 08 57 6A 13 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 04 8B 45 E8 50 68 A4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? BA FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 08 57 6A 29 E8 ?? ?? ?? ?? 8B F0 6A 04 8B 45 E8 50 6A 32 E8 ?? ?? ?? ?? 89 45 E4 6A 08 57 6A 0E E8 ?? ?? ?? ?? 89 45 E0 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 F0 8B C7 8B 08 FF 51 64 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? C7 87 F4 01 00 00 01 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 E0 50 6A 04 8B 45 E8 50 6A 26 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C7 8B 38 FF 97 80 00 00 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 F0 8B C7 8B 08 FF 51 64 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? C7 87 F4 01 00 00 02 00 00 00 C6 87 F1 01 00 00 01 8B 45 E4 50 8B 45 E0 50 6A 04 8B 45 E8 50 6A 5C E8 ?? ?? ?? ?? 8B D0 8B CE 8B C7 8B 30 FF 96 80 00 00 00 8B 45 F0 8B 10 FF 92 CC 00 00 00 48 75 19 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7840_0 {
	meta:
		name = "InputBox"
		size = 46
		refs = "0017 @LStrLAsg 0022 InputQuery"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7841_0 {
	meta:
		name = "InitGlobals"
		size = 156
		refs = "0004 InitGlobals 0009 RegisterWindowMessage 000e HelpMsg 001d FindMsg 0024 HInstance 0034 GetCurrentThreadId 004f StrFmt 0055 GlobalAddAtom 005b WndProcPtrAtom"
	strings:
		$1 = { 83 C4 D0 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 01 A1 ?? ?? ?? ?? 8B 00 89 44 24 24 C6 44 24 28 00 E8 ?? ?? ?? ?? 89 44 24 2C C6 44 24 30 00 8D 4C 24 24 BA ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 83 C4 30 C3 00 63 6F 6D 6D 64 6C 67 5F 68 65 6C 70 00 00 00 00 63 6F 6D 6D 64 6C 67 5F 46 69 6E 64 52 65 70 6C 61 63 65 00 57 6E 64 50 72 6F 63 50 74 72 25 2E 38 58 25 2E 38 58 00 00 }
	condition:
		$1
}

rule function_7843_0 {
	meta:
		name = "Finalization"
		size = 91
		refs = "0007 Finalization 0013 _DV_01 001c WndProcPtrAtom 002b GlobalDeleteAtom 0030 ButtonNames 003b String 0040 @FinalizeArray 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2B 66 83 3D ?? ?? ?? ?? 00 74 0C 66 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7844_0 {
	meta:
		name = "Dialogs"
		size = 25
		refs = "0002 _DV_01 000a _NF__45E 000f @InitImports 0014 InitGlobals"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17762_0 {
	meta:
		name = "SvcMgr"
		size = 25
		refs = "0002 _DV_7 000a _NF__207 000f @InitResStringImports 0014 InitApplication"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7845_0 {
	meta:
		name = "TDirectoryOutline.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TCustomOutline.Create 0023 TCustomOutline.GetPicture 0031 TCustomOutline.SetPicture 0037 TDirectoryOutline.Create 003e TCustomOutline.SetOutlineOptions 0047 TDirectoryOutline.SetTextCase 004e TDirectoryOutline.AssignCaseProc 0059 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 02 00 00 00 }
	condition:
		$1
}

rule function_7846_0 {
	meta:
		name = "TDirectoryOutline.AssignCaseProc"
		size = 48
		refs = "0010 AnsiLowerCaseFileName 001c AnsiUpperCaseFileName"
	strings:
		$1 = { 8A 90 E8 02 00 00 80 EA 01 72 04 74 0E EB 18 BA ?? ?? ?? ?? 89 90 EC 02 00 00 C3 BA ?? ?? ?? ?? 89 90 EC 02 00 00 C3 33 D2 89 90 EC 02 00 00 C3 }
	condition:
		$1
}

rule function_7847_0 {
	meta:
		name = "TDirectoryOutline.FindIndex"
		size = 204
		refs = "0015 @LStrAddRef 001d TDirectoryOutline.FindIndex 002a TOutlineNode.getFirstChild 003b TCustomOutline.Get 0046 @LStrCmp 004f TOutlineNode.GetLastChild 00b7 @LStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 71 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 76 5A 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 72 05 83 CB FF EB 35 8D 34 1F D1 FE 79 03 83 D6 00 3B DE 75 01 46 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 76 04 8B DE EB 02 8B FE 8B C7 48 3B D8 7C CD 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7848_0 {
	meta:
		name = "TDirectoryOutline.BuildOneLevel"
		size = 696
		refs = "0019 TDirectoryOutline.BuildOneLevel 0025 TNodeInfo 002f @New 0051 TCustomOutline.Get 0059 TOutlineNode.GetFullPath 0064 @LStrAsg 0073 AnsiPos 0087 @LStrDelete 0099 AnsiLastChar 00a6 @_CToPasStr 00bb @AStrCmp 00ca @LStrCat 00ec FindFirst 013a TDirectoryOutline.ForceCase 0165 TOutlineNode.HasChildren 0180 TDirectoryOutline.FindIndex 01a0 TCustomOutline.Insert 01b9 TOutlineNode.GetLastChild 01c9 TCustomOutline.Add 01e5 TCustomOutline.AddChild 01f9 FindNext 022a FindClose 0230 @HandleFinally 025f @Dispose 027c @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 6C 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 89 45 F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 8D 50 02 8B 45 F0 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 83 38 00 74 3B 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B D0 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA ?? ?? ?? ?? 33 C9 8A 08 41 E8 ?? ?? ?? ?? 74 0D 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 48 04 8B 45 F0 8B 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 89 82 5C 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 FA 00 00 00 8B 45 F0 8B 40 0C 83 E0 10 83 F8 10 0F 85 D4 00 00 00 8B 45 F0 8B 40 10 80 38 2E 0F 84 C5 00 00 00 8D 4D EC 8B 45 F0 8B 50 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 83 C0 10 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 89 98 60 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 8B 45 F0 8B 48 10 8B 45 F0 8B 90 60 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 89 98 64 01 00 00 83 FB FF 74 1B 8B 45 F0 8B 48 10 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 82 68 01 00 00 EB 43 8B 45 F0 8B 80 60 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 48 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 82 68 01 00 00 EB 1A 8B 45 F0 8B 48 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 82 68 01 00 00 8B 45 F0 83 C0 04 E8 ?? ?? ?? ?? 8B 55 F0 89 82 5C 01 00 00 8B 45 F0 83 B8 5C 01 00 00 00 0F 84 F6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 83 C0 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C7 40 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 3A 5C 5C 00 01 5C 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_7849_0 {
	meta:
		name = "TDirectoryOutline.BuildTree"
		size = 160
		refs = "000e TDirectoryOutline.BuildTree 001b TCustomOutline.Clear 0029 @LStrFromChar 0036 @LStrCat 0043 TDirectoryOutline.ForceCase 004f TCustomOutline.AddChild 005c TDirectoryOutline.WalkTree 0080 @LStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8A 93 D8 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 93 DC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 }
	condition:
		$1
}

rule function_7850_0 {
	meta:
		name = "TDirectoryOutline.BuildSubTree"
		size = 76
		refs = "0018 TCustomOutline.Get 0021 TOutlineNode.getFirstChild 003d TOutlineNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 8B 08 FF 91 D8 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 1C 8B D3 8B C6 8B 08 FF 91 E0 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7851_0 {
	meta:
		name = "TDirectoryOutline.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 E2 02 00 00 00 74 10 8B D8 8B D0 8B 83 E4 02 00 00 FF 93 E0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_7852_0 {
	meta:
		name = "TDirectoryOutline.Click"
		size = 144
		refs = "000c TDirectoryOutline.Click 0019 TCustomOutline.Click 0020 TCustomOutline.GetSelectedItem 0029 TCustomOutline.Get 0031 TOutlineNode.GetFullPath 003e AnsiPos 0052 @LStrDelete 005c TDirectoryOutline.SetDirectory 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 8D 50 02 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 03 00 00 00 3A 5C 5C 00 }
	condition:
		$1
}

rule function_7853_0 {
	meta:
		name = "TDirectoryOutline.CreateWnd"
		size = 162
		refs = "000e TDirectoryOutline.CreateWnd 001b TWinControl.CreateWnd 002e @LGetDir 003b TDirectoryOutline.ForceCase 0061 @LStrAsg 0091 @LStrArrayClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB D8 02 00 00 00 75 3D 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8A 00 88 83 D8 02 00 00 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 DC 02 00 00 E8 ?? ?? ?? ?? F6 43 20 01 75 10 F6 43 20 10 74 0A 8B C3 8B 10 FF 92 DC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7854_0 {
	meta:
		name = "TDirectoryOutline.Expand"
		size = 45
		refs = "000b TCustomOutline.Get 0026 TCustomOutline.Expand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 0C 00 75 0C 8B D6 8B C3 8B 08 FF 91 D8 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7855_0 {
	meta:
		name = "TDirectoryOutline.ForceCase"
		size = 43
		refs = "0023 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 BB EC 02 00 00 00 74 0C 8B D7 8B C6 FF 93 EC 02 00 00 EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7856_0 {
	meta:
		name = "TDirectoryOutline.Loaded"
		size = 29
		refs = "0006 TCustomOutline.Loaded 000d TDirectoryOutline.AssignCaseProc"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 DC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7857_0 {
	meta:
		name = "TDirectoryOutline.SetDirectory"
		size = 416
		refs = "001e TDirectoryOutline.SetDirectory 002b @LStrLen 004d @LStrCopy 005a @LStrCmp 0068 TDirectoryOutline.ForceCase 0074 ExpandFileName 0096 AnsiLastChar 00a3 @_CToPasStr 00b8 @AStrCmp 00cd @LStrSetLength 00db AnsiCompareFileName 00ed @LStrAsg 00f8 @ChDir 00fd @_IOTest 0113 TDirectoryOutline.SetDrive 0150 TDirectoryOutline.WalkTree 016f @LStrClr 017c @LStrArrayClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 4D F8 89 4D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E 27 01 00 00 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8B D0 4A B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 03 7E 3F 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA ?? ?? ?? ?? 33 C9 8A 08 41 E8 ?? ?? ?? ?? 75 13 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 8D 45 FC E8 ?? ?? ?? ?? 8B 93 DC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 7B 8D 83 DC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 00 3A 83 D8 02 00 00 74 0B 8B D0 8B C3 E8 ?? ?? ?? ?? EB 45 8D 45 F8 50 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B D0 4A B9 02 00 00 00 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 01 5C 00 00 }
	condition:
		$1
}

rule function_7858_0 {
	meta:
		name = "TDirectoryOutline.SetDrive"
		size = 220
		refs = "0011 TDirectoryOutline.SetDrive 001e UpCase 003a SameLetter 0052 @LStrFromChar 005f @LStrCat 0067 @ChDir 006c @_IOTest 0076 @LGetDir 0083 TDirectoryOutline.ForceCase 0091 @LStrAsg 00bb @LStrArrayClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 04 BF 2C 1A 73 7D 80 BE D8 02 00 00 00 74 11 8A 96 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 63 88 9E D8 02 00 00 8D 45 F8 8A 96 D8 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 86 DC 02 00 00 E8 ?? ?? ?? ?? F6 46 20 01 75 0A 8B C6 8B 10 FF 92 DC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 }
	condition:
		$1
}

rule function_7859_0 {
	meta:
		name = "TDirectoryOutline.SetTextCase"
		size = 136
		refs = "000f TDirectoryOutline.SetTextCase 002a TDirectoryOutline.AssignCaseProc 0039 @LGetDir 0052 @LStrAsg 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E E8 02 00 00 74 45 88 9E E8 02 00 00 8B C6 E8 ?? ?? ?? ?? 80 FB 02 75 23 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8A 00 88 86 D8 02 00 00 8D 86 DC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? F6 46 20 01 75 0A 8B C6 8B 10 FF 92 DC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7860_0 {
	meta:
		name = "GetChildNamed"
		size = 114
		refs = "0017 TCustomOutline.Get 001e TOutlineNode.SetExpandedState 0030 TOutlineNode.getFirstChild 004a @LStrCmp 0060 TOutlineNode.GetNextChild"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B 7D 08 83 C7 FC 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 30 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 40 08 8B D6 E8 ?? ?? ?? ?? 74 1B 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 D0 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7861_0 {
	meta:
		name = "TDirectoryOutline.WalkTree"
		size = 332
		refs = "0018 TDirectoryOutline.WalkTree 0032 TDirectoryOutline.ForceCase 003f @LStrPos 005e @LStrLen 0069 @LStrCopy 0083 @LStrDelete 008e @LStrLAsg 009d AnsiPos 00e5 @LStrClr 00ee GetChildNamed 0109 TCustomOutline.SetSelectedItem 0123 @LStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 26 8D 45 F4 50 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 F4 5A E8 ?? ?? ?? ?? 8B 45 F4 80 38 5C 75 12 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 62 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 2F 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8D 53 01 8B 45 F4 E8 ?? ?? ?? ?? EB 13 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 55 8B 45 F0 E8 ?? ?? ?? ?? 59 89 45 F8 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7F 92 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_7862_0 {
	meta:
		name = "SameLetter"
		size = 33
		refs = "000a UpCase"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8A 44 24 04 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 5A 5B C3 }
	condition:
		$1
}

rule function_7867_0 {
	meta:
		name = "QualifyTableName"
		size = 232
		refs = "0018 QualifyTableName 0027 @LStrLAsg 0041 @LStrPos 0062 DbiGetProp 009d NativeToAnsi 00b2 @LStrCatN 00c7 @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B D6 E8 ?? ?? ?? ?? 85 DB 0F 84 83 00 00 00 83 7B 3C 00 74 7D 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 6D 33 C0 89 45 FC 8D 45 FA 50 6A 04 8D 45 FC 50 68 09 00 04 04 8B 43 3C 50 E8 ?? ?? ?? ?? 66 85 C0 74 05 33 C0 89 45 FC 83 7D FC 00 74 40 8D 45 FA 50 6A 20 8D 45 D4 50 68 08 00 04 04 8B 43 3C 50 E8 ?? ?? ?? ?? 66 85 C0 75 23 8D 4D F4 8D 55 D4 8B 43 40 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 56 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_7868_0 {
	meta:
		name = "QualifyTableNameByName"
		size = 78
		refs = "0014 @LStrLAsg 001b Sessions 0024 TSessionList.FindSession 0030 TSession.FindDatabase 0042 QualifyTableName"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B F8 8B 45 08 8B D6 E8 ?? ?? ?? ?? 33 DB A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 0C 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7869_0 {
	meta:
		name = "CreateLinks"
		size = 140
		refs = "0012 _DV_TLinks 0017 TBDEDataSet.Create 0022 CreateLinks 0040 @LStrAsg 005e TDataSet.Open 006d @HandleAnyException 0075 TObject.Free 007a @RaiseAgain 007f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 08 02 00 00 8B 45 FC 05 0C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 17 89 90 10 02 00 00 66 8B 57 04 66 89 90 14 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7870_0 {
	meta:
		name = "TLinks.GetTarget"
		size = 156
		refs = "0013 TLinks.GetTarget 0028 TDataSet.GetFieldValue 0030 @VarToInt 0062 @VarClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 06 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 66 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 09 00 00 00 44 45 53 54 4F 42 4A 49 44 00 00 00 FF FF FF FF 0A 00 00 00 44 45 53 54 4F 42 4A 56 45 52 00 00 }
	condition:
		$1
}

rule function_7871_0 {
	meta:
		name = "TLinks.SetSource"
		size = 168
		refs = "001c TLinks.SetSource 002d @VarFromInt 003c TDataSet.SetFieldValue 006c @VarClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8D 7D FA A5 66 A5 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 55 FA E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 0F B7 55 FE E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 53 52 43 4F 42 4A 49 44 00 00 00 00 FF FF FF FF 09 00 00 00 53 52 43 4F 42 4A 56 45 52 00 00 00 }
	condition:
		$1
}

rule function_7872_0 {
	meta:
		name = "TLinks.SetTarget"
		size = 168
		refs = "001c TLinks.SetTarget 002d @VarFromInt 003c TDataSet.SetFieldValue 006c @VarClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8D 7D FA A5 66 A5 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 55 FA E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 0F B7 55 FE E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 09 00 00 00 44 45 53 54 4F 42 4A 49 44 00 00 00 FF FF FF FF 0A 00 00 00 44 45 53 54 4F 42 4A 56 45 52 00 00 }
	condition:
		$1
}

rule function_7873_0 {
	meta:
		name = "TLinks.CreateHandle"
		size = 64
		refs = "0023 @LStrToPChar 0030 DbiDROpenRelSet 0035 Check"
	strings:
		$1 = { 53 56 51 8B D8 33 F6 83 BB 10 02 00 00 00 74 06 8D B3 10 02 00 00 54 6A 00 6A 00 56 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 08 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7874_0 {
	meta:
		name = "IDToObject"
		size = 13
		altNames = "ObjectToID"
	strings:
		$1 = { 8B 08 89 0A 66 8B 48 04 66 89 4A 04 C3 }
	condition:
		$1
}

rule function_7876_0 {
	meta:
		name = "CreateList"
		size = 97
		refs = "000e _Dn_TDRObjectList 0013 TBDEDataSet.Create 001e CreateList 0033 @LStrAsg 0042 @HandleAnyException 004a TObject.Free 004f @RaiseAgain 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 0C 02 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7877_0 {
	meta:
		name = "TDictionary.Create"
		size = 140
		refs = "000a @ClassCreate 0013 TDictionary.Create 0018 CreateList 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 FF FF FF FF 08 00 00 00 45 58 54 46 49 45 4C 44 00 00 00 00 FF FF FF FF 08 00 00 00 44 41 54 41 42 41 53 45 00 00 00 00 FF FF FF FF 05 00 00 00 46 49 45 4C 44 00 00 00 }
	condition:
		$1
}

rule function_7878_0 {
	meta:
		name = "TDictionary.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7879_0 {
	meta:
		name = "CurrentDictionary"
		size = 129
		refs = "000b Session 0012 TSession.GetHandle 0018 DbiGetObjFromObj 001d Check 002b CurrentDictionary 0052 DbiOpenSessionRepository 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8D 45 FC 50 6A 09 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 C6 40 46 01 8D 45 FC 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 C6 40 46 00 C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 59 5D C3 }
	condition:
		$1
}

rule function_7880_0 {
	meta:
		name = "TDictionary.SetActive"
		size = 139
		refs = "000e CurrentDictionary 001f TDataSet.Close 0030 TDataSet.Open"
	strings:
		$1 = { 53 56 8B D8 3A 53 14 74 7F 84 D2 74 5F E8 ?? ?? ?? ?? 8B F0 89 73 04 85 F6 74 6D 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 53 04 89 90 08 02 00 00 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 8B 53 04 89 90 08 02 00 00 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 53 04 89 90 08 02 00 00 E8 ?? ?? ?? ?? C6 43 14 01 EB 1C C6 43 14 00 8B 43 10 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7881_0 {
	meta:
		name = "TDictionary.FindID"
		size = 75
		refs = "0019 TDictionary.FindObject 002a DbiDRGetObjID 0032 NullID"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 57 8B 86 4C 01 00 00 50 E8 ?? ?? ?? ?? EB 13 8B 05 ?? ?? ?? ?? 89 07 66 8B 05 ?? ?? ?? ?? 66 89 47 04 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7882_0 {
	meta:
		name = "TDictionary.FindObject"
		size = 168
		refs = "0018 TDictionary.FindObject 0027 TDataSet.First 0038 TDataSet.GetFieldValue 0043 @VarToLStr 004d AnsiCompareText 0058 TDataSet.Next 0078 @VarClr 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C7 E8 ?? ?? ?? ?? EB 2F 8D 4D EC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 85 C0 74 12 8B C7 E8 ?? ?? ?? ?? 80 BF 91 00 00 00 00 74 C8 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_7883_0 {
	meta:
		name = "TDictionary.FindDatabase"
		size = 45
		refs = "0015 TDictionary.FindID"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 8B 4B 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 66 8B 44 24 04 66 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7884_0 {
	meta:
		name = "TDictionary.FindTable"
		size = 244
		refs = "0016 IsNullID 0020 NullTableID 003b _Dn_TDRObjectList 0040 TBDEDataSet.Create 004b TDictionary.FindTable 006f @LStrAsg 007e TDRObjectList.NavigateFrom 0086 TDataSet.Open 0097 TDictionary.FindID 00b9 TObject.Free 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8B 05 ?? ?? ?? ?? 89 07 66 8B 05 ?? ?? ?? ?? 66 89 47 04 E9 8F 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 55 F8 89 82 08 02 00 00 8B 45 F8 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 07 66 8B 45 F4 66 89 47 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 05 00 00 00 54 41 42 4C 45 00 00 00 FF FF FF FF 08 00 00 00 44 42 54 41 42 4C 45 53 00 00 00 00 }
	condition:
		$1
}

rule function_7885_0 {
	meta:
		name = "TDictionary.FindField"
		size = 244
		refs = "0016 IsNullID 0020 NullFieldID 003b _Dn_TDRObjectList 0040 TBDEDataSet.Create 004b TDictionary.FindField 006f @LStrAsg 007e TDRObjectList.NavigateFrom 0086 TDataSet.Open 0097 TDictionary.FindID 00b9 TObject.Free 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8B 05 ?? ?? ?? ?? 89 07 66 8B 05 ?? ?? ?? ?? 66 89 47 04 E9 8F 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 55 F8 89 82 08 02 00 00 8B 45 F8 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 07 66 8B 45 F4 66 89 47 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 05 00 00 00 46 49 45 4C 44 00 00 00 FF FF FF FF 09 00 00 00 54 41 42 4C 45 46 4C 44 53 00 00 00 }
	condition:
		$1
}

rule function_7886_0 {
	meta:
		name = "TDictionary.FindAttr"
		size = 45
		refs = "0015 TDictionary.FindID"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 8B 4B 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 66 8B 44 24 04 66 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7887_0 {
	meta:
		name = "TDictionary.FindLinkTarget"
		size = 152
		refs = "001a IDToObject 0027 CreateLinks 0032 TDictionary.FindLinkTarget 004f TLinks.GetTarget 0059 ObjectToID 0061 NullID 0083 TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 43 04 8B D7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 B8 91 00 00 00 00 75 17 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? EB 13 8B 05 ?? ?? ?? ?? 89 06 66 8B 05 ?? ?? ?? ?? 66 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7888_0 {
	meta:
		name = "TDictionary.GetAttr"
		size = 100
		refs = "000f IsNullID 001b TDictionary.GetAttr 0022 TDictionary.FindLinkTarget 0038 NullAttrID"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 54 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 66 8B 44 24 04 66 89 47 04 EB 13 8B 05 ?? ?? ?? ?? 89 07 66 8B 05 ?? ?? ?? ?? 66 89 47 04 59 5A 5F 5E 5B C3 00 FF FF FF FF 0B 00 00 00 46 4C 44 45 58 54 46 49 45 4C 44 00 }
	condition:
		$1
}

rule function_7889_0 {
	meta:
		name = "TDictionary.GetAttrNames"
		size = 156
		refs = "0012 TDictionary.GetAttrNames 0020 TDataSet.First 0031 TDataSet.GetFieldValue 003c @VarToLStr 004d TDataSet.Next 006e @VarClr 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 E8 ?? ?? ?? ?? EB 2B 8D 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C FF 55 08 8B 43 10 E8 ?? ?? ?? ?? 8B 73 10 80 BE 91 00 00 00 00 74 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 04 00 00 00 4E 41 4D 45 00 00 00 00 }
	condition:
		$1
}

rule function_7890_0 {
	meta:
		name = "TDictionary.GetParent"
		size = 72
		refs = "0010 TDictionary.GetParent 0017 TDictionary.FindLinkTarget"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 66 8B 44 24 04 66 89 47 04 59 5A 5F 5E 5B C3 00 FF FF FF FF 0E 00 00 00 50 41 52 45 4E 54 45 58 54 46 49 45 4C 44 00 00 }
	condition:
		$1
}

rule function_7891_0 {
	meta:
		name = "TDictionary.SetParent"
		size = 40
		refs = "0004 TDictionary.SetParent 0009 TDictionary.Link"
	strings:
		$1 = { 51 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 FF FF FF FF 0E 00 00 00 50 41 52 45 4E 54 45 58 54 46 49 45 4C 44 00 00 }
	condition:
		$1
}

rule function_7892_0 {
	meta:
		name = "TDictionary.NewAttr"
		size = 204
		refs = "0019 TDictionary.NewAttr 0027 TDataSet.Append 002f TDataSet.GetFieldCount 004a TFields.GetField 0061 @VarFromLStr 0071 TDataSet.SetFieldValue 008f DbiDRGetObjID 00a4 @VarClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B F0 4E 83 EE 02 7C 1F 46 BF 02 00 00 00 8B 43 10 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B 10 FF 92 B8 00 00 00 47 4E 75 E7 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 92 E4 01 00 00 8B 45 08 50 8B 43 10 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_7893_0 {
	meta:
		name = "TDictionary.Link"
		size = 177
		refs = "0015 IDToObject 0022 CreateLinks 002d TDictionary.Link 003d TDataSet.Delete 0051 TDataSet.Append 0066 TLinks.SetSource 007c TLinks.SetTarget 009c TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 8B 43 04 8B D7 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 91 00 00 00 00 74 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 08 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 E4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7894_0 {
	meta:
		name = "TDictionary.Associate"
		size = 36
		refs = "0004 TDictionary.Associate 0009 TDictionary.Link"
	strings:
		$1 = { 51 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 FF FF FF FF 0B 00 00 00 46 4C 44 45 58 54 46 49 45 4C 44 00 }
	condition:
		$1
}

rule function_7895_0 {
	meta:
		name = "TDictionary.Unassociate"
		size = 132
		refs = "0012 IDToObject 001d TDictionary.Unassociate 0022 CreateLinks 003d TDataSet.Delete 005e TObject.Free 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 91 00 00 00 00 74 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 0B 00 00 00 46 4C 44 45 58 54 46 49 45 4C 44 00 }
	condition:
		$1
}

rule function_7896_0 {
	meta:
		name = "TDictionary.SetAttrID"
		size = 68
		refs = "000e IDToObject 001e DbiDRSetToObjID 0023 Check 0029 TDictionary.SetAttrID"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 54 8B 43 10 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 43 10 8B 08 FF 91 E8 01 00 00 59 5A 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7897_0 {
	meta:
		name = "TDictionary.SetFieldID"
		size = 68
		refs = "000e IDToObject 001e DbiDRSetToObjID 0023 Check 0029 TDictionary.SetFieldID"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 54 8B 43 0C 8B 80 4C 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 43 0C 8B 08 FF 91 E8 01 00 00 59 5A 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_7898_0 {
	meta:
		name = "SetProp"
		size = 341
		refs = "0022 @VarAddRef 002a SetProp 0084 @VarToInt 008f GetTypeData 00a3 Boolean 00c4 SetOrdProp 00ce @VarToReal 00de SetFloatProp 00eb @VarToLStr 00f7 SetStrProp 0105 SetVariantProp 0114 @HandleOnException 011c _Dn_EVariantError 0125 @DoneExcept 013a @LStrClr 0142 @VarClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B DA 8B F8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 03 8B 00 0F B6 00 83 F8 0C 0F 87 B7 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 01 02 03 00 00 00 01 03 03 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 13 8B 12 80 3A 03 75 17 8B 50 09 8B 12 3B 15 ?? ?? ?? ?? 75 0A 85 F6 0F 95 C2 83 E2 7F 8B F2 3B 70 01 7C 51 3B 70 05 7F 4C 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? EB 3F 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 25 8D 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0C 8D 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7899_0 {
	meta:
		name = "GetProp"
		size = 262
		refs = "0012 GetProp 0063 GetOrdProp 006c @VarFromInt 0077 GetTypeData 0080 Boolean 0094 @VarFromBool 00b3 GetFloatProp 00ba @VarFromReal 00c8 GetStrProp 00d2 @VarFromLStr 00df GetVariantProp 00f4 @LStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 00 0F B6 00 83 F8 0C 0F 87 B7 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 02 03 04 00 00 00 01 04 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 71 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 40 09 3B 05 ?? ?? ?? ?? 75 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 49 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 35 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 23 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7900_0 {
	meta:
		name = "GetDefault"
		size = 184
		refs = "001a GetDefault 0050 @VarFromInt 0059 GetTypeData 0062 Boolean 006e @VarFromBool 0089 @VarFromCurr 0094 @VarFromLStr 009e Unassigned 00a3 @VarCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 03 8B 38 33 C0 8A 07 83 F8 0C 0F 87 8F 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 02 03 04 00 00 00 01 04 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 51 8B C7 E8 ?? ?? ?? ?? 8B 40 09 3B 05 ?? ?? ?? ?? 75 0C 8B C6 8A 53 14 E8 ?? ?? ?? ?? EB 33 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 27 DB 2D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 18 8B C6 33 D2 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7903_0 {
	meta:
		name = "TValueList.Add"
		size = 236
		refs = "001d @VarAddRef 0025 TValueList.Add 0034 TValueList.IndexOf 003e TValueRec 0048 @New 0063 @LStrAsg 0071 @VarCopy 007c TList.Add 008b @HandleAnyException 0099 @Dispose 009e @DoneExcept 00a9 TList.Get 00d9 @VarClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D EC B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 68 8B 15 ?? ?? ?? ?? B8 14 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8D 55 EC E8 ?? ?? ?? ?? 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3E E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8B 53 04 92 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7904_0 {
	meta:
		name = "TValueList.AddValues"
		size = 138
		refs = "0017 TValueList.AddValues 0024 TValueList.GetCount 003a TValueList.GetValues 004a TValueList.GetNames 0056 TValueList.Add 006f @LStrClr 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 8D 4D EC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D E8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 E8 ?? ?? ?? ?? 43 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7906_0 {
	meta:
		name = "TValueList.Delete"
		size = 40
		refs = "000c TList.Get 0012 TValueRec 0017 @Dispose 0021 TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7908_0 {
	meta:
		name = "TValueList.FindValue"
		size = 68
		refs = "000d Null 0012 @VarCopy 001b TValueList.Find 0032 TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8D 50 04 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7909_0 {
	meta:
		name = "TValueList.GetCount"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 08 C3 }
	condition:
		$1
}

rule function_7910_0 {
	meta:
		name = "TValueList.GetNames"
		size = 32
		refs = "000f TList.Get 0018 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 10 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7911_0 {
	meta:
		name = "TValueList.GetValues"
		size = 33
		refs = "000f TList.Get 0019 @VarCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8D 50 04 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7912_0 {
	meta:
		name = "TValueList.SetNames"
		size = 87
		refs = "0011 @LStrAddRef 0019 TValueList.SetNames 0029 TList.Get 0031 @LStrAsg 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7913_0 {
	meta:
		name = "TValueList.IndexOf"
		size = 61
		refs = "001c TList.Get 0025 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 8B 70 08 4E 85 F6 7C 22 46 33 DB 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8B 10 8B C5 E8 ?? ?? ?? ?? 85 C0 75 04 8B C3 EB 07 43 4E 75 E1 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7914_0 {
	meta:
		name = "TValueList.Remove"
		size = 25
		refs = "0006 TValueList.IndexOf 0013 TValueList.Delete"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7918_0 {
	meta:
		name = "TNameMap.Map"
		size = 125
		refs = "000f TNameMapRec 0019 @New 0024 TNameMap.Map 0034 @LStrAsg 004c TList.Add 005b @HandleAnyException 0069 @Dispose 006e @RaiseAgain 0073 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 15 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7919_0 {
	meta:
		name = "TNameMap.MapTo"
		size = 93
		refs = "0024 TList.Get 0030 AnsiCompareText 0040 @LStrLAsg"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B 45 04 8B 70 08 4E 85 F6 7C 2F 46 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 44 24 04 8B 53 04 E8 ?? ?? ?? ?? EB 10 47 4E 75 D4 8B 44 24 04 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7920_0 {
	meta:
		name = "TNameMap.MapFrom"
		size = 93
		refs = "0024 TList.Get 0031 AnsiCompareText 0040 @LStrLAsg"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B 45 04 8B 70 08 4E 85 F6 7C 2F 46 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 44 24 04 8B 13 E8 ?? ?? ?? ?? EB 10 47 4E 75 D4 8B 44 24 04 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7921_0 {
	meta:
		name = "TTransferValueList.AddInstance"
		size = 289
		refs = "001c TTransferValueList.AddInstance 0029 TObject.ClassInfo 002e GetTypeData 004a @GetMem 006a GetPropInfos 009d IsStoredProp 00ad GetProp 00bc @LStrFromString 00c8 TValueList.Add 00e9 @FreeMem 00ef @HandleFinally 0106 @LStrClr 010e @VarClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E B2 00 00 00 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 5C 46 C7 45 F8 00 00 00 00 8B 45 F0 8B 55 F8 8B 1C 90 8B 03 8B 00 8A 00 48 2C 05 72 06 04 FD 2C 04 73 34 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 27 8D 4D E0 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 DC 8D 53 1A E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 59 E8 ?? ?? ?? ?? FF 45 F8 4E 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7922_0 {
	meta:
		name = "TTransferValueList.AddInstanceDefaults"
		size = 285
		refs = "001d TTransferValueList.AddInstanceDefaults 002d TObject.ClassInfo 0032 GetTypeData 004e @GetMem 0071 GetPropInfos 009d IsStoredProp 00ab GetDefault 00ba @LStrFromString 00c6 TValueList.Add 00e5 @FreeMem 00eb @HandleFinally 0102 @LStrClr 010a @VarClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E AA 00 00 00 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 51 46 33 FF 8B 45 F0 8B 1C B8 8B 03 8B 00 8A 00 48 2C 05 72 06 04 FD 2C 04 73 33 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 DC 8D 53 1A E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 59 E8 ?? ?? ?? ?? 47 4E 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7923_0 {
	meta:
		name = "TTransferValueList.AddRecord"
		size = 153
		refs = "0018 TTransferValueList.AddRecord 0026 TDataSet.GetFieldCount 003d TFields.GetField 0051 VarIsNull 006d TValueList.Add 0086 @VarClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 FF 8B 45 F8 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B C3 8B 08 FF 51 5C 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 18 8D 55 E8 8B C3 8B 08 FF 51 5C 8D 4D E8 8B 53 28 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7924_0 {
	meta:
		name = "TTransferValueList.UpdateInstance"
		size = 314
		refs = "001c TTransferValueList.UpdateInstance 002a TValueList.GetCount 004b TValueList.GetNames 0060 TObject.ClassInfo 0068 GetPropInfo 007c TValueList.GetValues 0088 SetProp 0097 @HandleOnException 009f _Dn_Exception 00d5 SProperty 00da LoadResString 00e9 Exception.CreateFmt 00ee @RaiseExcept 00f3 @DoneExcept 0117 @LStrArrayClr 011f @VarClr 0127 @LStrClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C C8 00 00 00 46 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 4D E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 61 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 4D D0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8B 43 04 89 45 DC C6 45 E0 0B 8D 45 D4 50 6A 01 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4E 0F 85 40 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7925_0 {
	meta:
		name = "TTransferValueList.UpdateRecord"
		size = 159
		refs = "0019 TTransferValueList.UpdateRecord 0027 TValueList.GetCount 003f TValueList.GetNames 004a TDataSet.FindField 005d TValueList.GetValues 0085 @VarClr 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 44 40 89 45 F4 33 DB 8D 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8D 4D E0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 08 FF 91 9C 00 00 00 43 FF 4D F4 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7926_0 {
	meta:
		name = "AddAttrs"
		size = 95
		refs = "0014 IsNullID 0027 Dictionary 002c TDictionary.GetParent 0034 AddAttrs 0042 TDictionary.SetAttrID 0055 TTransferValueList.AddRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F0 8D 7D FA A5 66 A5 8D 45 FA E8 ?? ?? ?? ?? 84 C0 75 3D 8B 45 08 50 8D 4D F0 8D 55 FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 59 8D 55 FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_7927_0 {
	meta:
		name = "TDictionaryValueList.CreateFromAttr"
		size = 138
		refs = "0011 @ClassCreate 0031 TValueList.Create 0039 IsNullID 0045 Dictionary 004a TDictionary.SetFieldID 005a TTransferValueList.AddRecord 0063 AddAttrs 0070 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D F0 A5 66 A5 8B F1 8D 7D F6 A5 66 A5 8B DA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F6 E8 ?? ?? ?? ?? 84 C0 75 1D 8D 55 F6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 0C 8B 45 FC E8 ?? ?? ?? ?? 55 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 45 FC 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7928_0 {
	meta:
		name = "TDictionaryValueList.ConvertToFieldNames"
		size = 128
		refs = "0010 TDictionaryValueList.ConvertToFieldNames 001d TValueList.GetCount 0033 TValueList.GetNames 003e FieldToAttribute 0043 TNameMap.MapFrom 004f TValueList.SetNames 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4F 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7929_0 {
	meta:
		name = "TDictionaryValueList.ConvertToAttrNames"
		size = 128
		refs = "0010 TDictionaryValueList.ConvertToAttrNames 001d TValueList.GetCount 0033 TValueList.GetNames 003e FieldToAttribute 0043 TNameMap.MapTo 004f TValueList.SetNames 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4F 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7930_0 {
	meta:
		name = "TDictionaryValueList.CreateFromField"
		size = 66
		refs = "000b @ClassCreate 001a TValueList.Create 0023 TTransferValueList.AddInstance 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7931_0 {
	meta:
		name = "TDictionaryValueList.CreateFromDefaults"
		size = 66
		refs = "000b @ClassCreate 001a TValueList.Create 0023 TTransferValueList.AddInstanceDefaults 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7932_0 {
	meta:
		name = "TDictionaryValueList.FilterMatching"
		size = 372
		refs = "001c TDictionaryValueList.FilterMatching 002a TValueList.GetCount 0045 TValueList.GetNames 0052 CompareText 0096 TValueList.IndexOf 00b8 TValueList.GetValues 00d2 @VarCmp 00e2 TList.Get 00eb Null 00f0 @VarCopy 00ff @HandleOnException 0107 _Dn_EVariantError 0110 @DoneExcept 0133 Variant 013d @FinalizeArray 0145 @LStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 83 F8 00 0F 8C E9 00 00 00 89 45 F4 8D 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 B6 00 00 00 8D 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 93 00 00 00 8D 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 46 8D 4D E0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 50 8D 4D D0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D0 58 E8 ?? ?? ?? ?? 75 1C 8B 45 FC 8B 40 04 8B 55 F4 E8 ?? ?? ?? ?? 83 C0 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4D F4 83 7D F4 FF 0F 85 1A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 FF FF FF FF 02 00 00 00 49 44 00 00 }
	condition:
		$1
}

rule function_7933_0 {
	meta:
		name = "IsNullID"
		size = 18
	strings:
		$1 = { 83 38 00 75 07 66 83 78 04 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_7934_0 {
	meta:
		name = "OpenDictionary"
		size = 94
		refs = "0002 Dictionary 000a Session 0013 TSession.SetActive 001a _DV_TDictionary 001f TDictionary.Create 0036 CurrentDictionary 004d TDictionary.SetActive"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 21 A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 27 A1 ?? ?? ?? ?? 80 78 14 00 74 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 42 04 74 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7935_0 {
	meta:
		name = "DictionaryDeactivate"
		size = 22
		refs = "0002 Dictionary 0011 TDictionary.SetActive"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7936_0 {
	meta:
		name = "DictionaryActive"
		size = 62
		refs = "000a DictionaryActive 0015 OpenDictionary 001a Dictionary 002c @HandleAnyException 0033 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 58 14 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_7937_0 {
	meta:
		name = "FindDatabaseID"
		size = 54
		refs = "0007 DictionaryActive 0014 Dictionary 0019 TDictionary.FindDatabase 0022 NullDatabaseID"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_7941_0 {
	meta:
		name = "FindAttrID"
		size = 54
		refs = "0007 DictionaryActive 0014 Dictionary 0019 TDictionary.FindAttr 0022 NullAttrID"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_7940_0 {
	meta:
		name = "GetAttrID"
		size = 54
		refs = "0007 DictionaryActive 0014 Dictionary 0019 TDictionary.GetAttr 0022 NullAttrID"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_7938_0 {
	meta:
		name = "FindTableID"
		size = 58
		refs = "000a DictionaryActive 0018 Dictionary 001d TDictionary.FindTable 0025 NullTableID"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 53 8B D6 8B CF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7939_0 {
	meta:
		name = "FindFieldID"
		size = 58
		refs = "000a DictionaryActive 0018 Dictionary 001d TDictionary.FindField 0025 NullFieldID"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 E8 ?? ?? ?? ?? 84 C0 74 11 53 8B D6 8B CF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 05 ?? ?? ?? ?? 89 03 66 8B 05 ?? ?? ?? ?? 66 89 43 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7942_0 {
	meta:
		name = "GetAttrName"
		size = 152
		refs = "0013 GetAttrName 0020 IsNullID 0029 DictionaryActive 0034 @LStrClr 003d Dictionary 0042 TDictionary.SetAttrID 0057 TDataSet.GetFieldValue 0061 @VarToLStr 0076 @VarClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 E8 ?? ?? ?? ?? 84 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 2B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 A1 ?? ?? ?? ?? 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_7943_0 {
	meta:
		name = "GetAttrNames"
		size = 32
		refs = "0004 DictionaryActive 0013 Dictionary 0018 TDictionary.GetAttrNames"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 84 C0 74 10 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_7944_0 {
	meta:
		name = "AssociateAttr"
		size = 32
		refs = "0007 DictionaryActive 0014 Dictionary 0019 TDictionary.Associate"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7945_0 {
	meta:
		name = "UnassociateAttr"
		size = 26
		refs = "0004 DictionaryActive 000f Dictionary 0014 TDictionary.Unassociate"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7946_0 {
	meta:
		name = "NewAttr"
		size = 119
		refs = "0018 DictionaryActive 0027 Dictionary 002c TDictionary.NewAttr 0033 IsNullID 0045 TDictionary.SetParent 005e TDictionary.Associate 006a UpdateAttr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 08 8B 7D 0C E8 ?? ?? ?? ?? 84 C0 74 4E 53 8B CF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0E 8B CF 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0E 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7947_0 {
	meta:
		name = "FindFieldClassName"
		size = 236
		refs = "0025 FindFieldClassName 0033 IsNullID 003e @LStrClr 0048 Dictionary 004d TDictionary.SetAttrID 0062 TDataSet.GetFieldValue 006a VarIsNull 008d @VarToLStr 00a3 TDictionary.GetParent 00c3 @VarClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D F0 89 4D F4 8B F0 8D 7D FA A5 66 A5 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FA E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 6E 8D 55 FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 A1 ?? ?? ?? ?? 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 21 8D 4D E8 A1 ?? ?? ?? ?? 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? EB 1F 8B 45 08 50 8D 4D E0 8D 55 FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0A 00 00 00 46 69 65 6C 64 43 6C 61 73 73 00 00 }
	condition:
		$1
}

rule function_7948_0 {
	meta:
		name = "FindFieldClass"
		size = 231
		refs = "0021 FindFieldClass 002f @LStrClr 0034 DictionaryActive 0044 FindFieldClassName 0050 @LStrLAsg 005e FindClass 006a _Dn_TField 0071 TObject.InheritsFrom 0094 SInvalidFieldClass 0099 LoadResString 00a3 _Dn_Exception 00a8 Exception.CreateFmt 00ad @RaiseExcept 00b6 TFieldDef.GetFieldClass 00d2 @LStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F0 8D 7D FA A5 66 A5 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 55 8D 55 F0 8D 45 FA E8 ?? ?? ?? ?? 59 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 59 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 43 8B 45 F4 89 45 E0 C6 45 E4 0B 89 75 E8 C6 45 EC 0B 8D 45 E0 50 6A 01 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7949_0 {
	meta:
		name = "GetDefaultFieldClass"
		size = 181
		refs = "0012 GetDefaultFieldClass 0023 TObject.ClassType 004f TField.GetFullName 005d TFieldDefList.Find 0073 FindFieldClass 0085 @HandleAnyException 008a @DoneExcept 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 58 24 85 DB 74 35 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 48 28 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7950_0 {
	meta:
		name = "UpdateAttr"
		size = 496
		refs = "0024 UpdateAttr 0032 IsNullID 003f DictionaryActive 0051 _DV_TDictionaryValueList 0056 TDictionaryValueList.CreateFromField 006f TDictionaryValueList.ConvertToAttrNames 007a Dictionary 007f TDictionary.GetParent 0091 TDictionaryValueList.CreateFromAttr 00b1 TDictionaryValueList.CreateFromDefaults 00d5 TValueList.AddValues 00db GetDefaultFieldClass 00e6 TObject.ClassType 00fa TObject.ClassName 0108 @VarFromPStr 0118 TValueList.Add 0123 TDictionaryValueList.FilterMatching 0138 TObject.Free 013e @HandleFinally 016a TDictionary.SetAttrID 0177 TDataSet.Edit 0187 TTransferValueList.UpdateRecord 01c9 @VarClr"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FE FF FF 53 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 7A 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 6D 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B D8 74 2E 8D 95 D4 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8D 45 D4 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 10 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 10 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 10 8B 10 FF 92 E4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 FF FF FF FF 0A 00 00 00 46 69 65 6C 64 43 6C 61 73 73 00 00 }
	condition:
		$1
}

rule function_7951_0 {
	meta:
		name = "UpdateField"
		size = 136
		refs = "000e DictionaryActive 001c _DV_TDictionaryValueList 0021 TDictionaryValueList.CreateFromAttr 002c UpdateField 003f TValueList.Remove 0047 TDictionaryValueList.ConvertToFieldNames 0051 TTransferValueList.UpdateInstance 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 5C 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 }
	condition:
		$1
}

rule function_7952_0 {
	meta:
		name = "CreateField"
		size = 496
		refs = "0020 CreateField 0031 TFieldDefList.FieldByName 0049 TFieldDef.GetParentDef 006f AnsiPos 007e @LStrCopy 008a @LStrLen 00b8 @LStrCat3 00d9 @LStrLAsg 00e8 ChangeFileExt 00fe TFieldList.Find 010d NullFieldID 0112 NullAttrID 0149 _Dn_TObjectField 014e @AsClass 015a TFieldDef.CreateField 0179 @LStrAsg 017e DictionaryActive 0190 UpdateField 019f @HandleAnyException 01a7 TObject.Free 01ac @RaiseAgain 01b1 @DoneExcept 01cb @LStrArrayClr 01d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F0 89 5D EC 89 5D E8 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 30 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 33 F6 80 BF 99 00 00 00 00 0F 84 EE 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 D2 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 78 1F 1B 75 5C 8D 45 F0 50 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 59 2B C8 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 EC 8B 4D F0 E8 ?? ?? ?? ?? EB 39 8B C3 E8 ?? ?? ?? ?? F6 40 20 10 74 14 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 E8 E8 ?? ?? ?? ?? EB 0D 8D 4D E8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 EC 8B 53 0C E8 ?? ?? ?? ?? 8B 47 34 8B 55 E8 E8 ?? ?? ?? ?? 8B F0 85 F6 75 37 8B 45 10 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D E8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B F0 EB 18 8D 45 EC 8B 53 0C E8 ?? ?? ?? ?? EB 0B 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 7C 8B 55 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D 08 8B 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 0C 00 00 FF FF FF FF 01 00 00 00 5B 00 00 00 }
	condition:
		$1
}

rule function_7953_0 {
	meta:
		name = "GetControlClass"
		size = 220
		refs = "0014 GetControlClass 0021 @LStrClr 0028 IsNullID 0031 DictionaryActive 003b NullFieldID 0042 _DV_TDictionaryValueList 0047 TDictionaryValueList.CreateFromAttr 0068 TValueList.FindValue 0070 VarIsNull 007e @VarToLStr 0093 TObject.Free 0099 @HandleFinally 00b0 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6F E8 ?? ?? ?? ?? 84 C0 74 66 53 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 0A 8B C6 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 72 6F 6C 43 6C 61 73 73 00 00 00 00 }
	condition:
		$1
}

rule function_7954_0 {
	meta:
		name = "TTableItem.Create"
		size = 75
		refs = "000e @ClassCreate 001e @LStrAsg 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7955_0 {
	meta:
		name = "TTableList.Destroy"
		size = 70
		refs = "0005 @BeforeDestruction 001d TTableList.GetItems 0022 TObject.Free 0032 TList.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 15 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4D 75 EE 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7957_0 {
	meta:
		name = "TTableList.Add"
		size = 110
		refs = "0020 TTableList.GetItems 002e AnsiCompareText 0055 _DV_TTableItem 005a TTableItem.Create 0063 TList.Add"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B 75 08 4E 85 F6 7C 31 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 8B 53 08 8B 44 24 04 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 53 04 8B 04 24 E8 ?? ?? ?? ?? 85 C0 74 22 47 4E 75 D2 8B 44 24 04 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7958_0 {
	meta:
		name = "TQueryTableList.Create"
		size = 388
		refs = "001e @ClassCreate 002e TQueryTableList.Create 004b _Dn_TQueryDescription 0050 TBDEDataSet.Create 0072 TDataSet.Open 0084 TDataSet.GetFieldValue 008f @VarToLStr 00ba TTableList.Add 00c2 TDataSet.Next 00e3 TObject.Free 00e9 @HandleFinally 00fa @HandleAnyException 00ff @DoneExcept 0114 @VarClr 011c @LStrClr 0142 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 89 98 08 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 4E 8D 4D E0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D CC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 91 00 00 00 00 74 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 09 00 00 00 54 41 42 4C 45 4E 41 4D 45 00 00 00 FF FF FF FF 08 00 00 00 44 41 54 41 42 41 53 45 00 00 00 00 }
	condition:
		$1
}

rule function_7959_0 {
	meta:
		name = "OpenConstraints"
		size = 184
		refs = "000e _Dn_TDRObjectList 0013 TBDEDataSet.Create 001e OpenConstraints 0029 CurrentDictionary 0044 @LStrAsg 0053 TDRObjectList.NavigateFrom 005b TDataSet.Open 006a @HandleAnyException 0072 TObject.Free 0077 @RaiseAgain 007c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 89 82 08 02 00 00 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 0A 00 00 00 43 4F 4E 53 54 52 41 49 4E 54 00 00 FF FF FF FF 0C 00 00 00 54 41 42 4C 45 43 4F 4E 53 54 52 53 00 00 00 00 }
	condition:
		$1
}

rule function_7960_0 {
	meta:
		name = "OpenTableConstraintsByName"
		size = 289
		refs = "0018 @LStrAddRef 0030 OpenTableConstraintsByName 003e LastDatabaseName 0043 AnsiCompareText 0052 FindDatabaseID 005b LastDatabaseID 0070 IsNullID 0081 @LStrAsg 008d @LStrClr 009e QualifyTableName 00a9 @LStrLAsg 00bd QualifyTableNameByName 00d8 FindTableID 00e0 OpenConstraints 0104 @LStrArrayClr 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D E4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 46 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 89 05 ?? ?? ?? ?? 66 8B 45 EC 66 89 05 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F B8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? EB 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 1A 8D 4D E4 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 08 E8 ?? ?? ?? ?? EB 1D 8D 45 E4 50 8B 4D 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 08 E8 ?? ?? ?? ?? 8D 4D F2 B8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8D 45 F2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7961_0 {
	meta:
		name = "OpenTableConstraints"
		size = 31
		refs = "001a OpenTableConstraintsByName"
	strings:
		$1 = { 8B 90 2C 02 00 00 52 8B 88 10 02 00 00 8B 90 14 02 00 00 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7962_0 {
	meta:
		name = "TableHasConstraints"
		size = 78
		refs = "0007 OpenTableConstraints 0012 TableHasConstraints 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8A 80 91 00 00 00 34 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 59 59 5D C3 }
	condition:
		$1
}

rule function_7963_0 {
	meta:
		name = "QueryHasConstraints"
		size = 230
		refs = "0013 _DV_TQueryTableList 0018 TQueryTableList.Create 0023 QueryHasConstraints 004e TTableList.GetItems 006c OpenTableConstraintsByName 008e @TryFinallyExit 00aa TObject.Free 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC C6 45 FB 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 08 48 85 C0 0F 8C 82 00 00 00 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 08 52 8B 48 04 8B 45 FC 8B 90 14 02 00 00 8B 45 FC 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 80 B8 91 00 00 00 00 75 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F0 FF 4D E8 75 89 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C6 45 FB 00 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule function_7964_0 {
	meta:
		name = "HasConstraints"
		size = 121
		refs = "0011 HasConstraints 001c DictionaryActive 0028 _Dn_TTable 002d @IsClass 0038 TableHasConstraints 0045 _Dn_TQuery 0055 QueryHasConstraints 0067 @HandleAnyException 006c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 84 C0 74 38 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 88 45 FF EB 1B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7965_0 {
	meta:
		name = "_NF__35A"
		size = 89
		refs = "0005 TNullValidator.ConstraintValid 000f TInterfacedObject.QueryInterface 0019 TInterfacedObject._AddRef 0023 TInterfacedObject._Release 0029 _NF__35A"
	strings:
		$1 = { CC 83 C0 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? 83 44 24 04 F4 E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 0C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7966_0 {
	meta:
		name = "_NF__35D"
		size = 90
		refs = "0005 TQueryConstraintValidator.ConstraintValid 000f TInterfacedObject.QueryInterface 0019 TInterfacedObject._AddRef 0023 TInterfacedObject._Release 002a _NF__35D"
	strings:
		$1 = { CC 83 C0 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7970_0 {
	meta:
		name = "ClearOldConstraints"
		size = 56
		refs = "000b TCollection.GetCount 0020 TCheckConstraints.GetItem 002b TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 1E 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 80 78 18 00 74 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E2 5B 5D C3 }
	condition:
		$1
}

rule function_7971_0 {
	meta:
		name = "GetValue"
		size = 112
		refs = "001b @VarAddRef 0023 GetValue 0031 VarIsNull 003c @LStrClr 0048 @VarToLStr 005d @VarClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 B9 04 00 00 00 F3 A5 8B DA 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0A 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7972_0 {
	meta:
		name = "AddConstraint"
		size = 324
		refs = "0018 @IntfAddRef 0020 AddConstraint 0035 TDataSet.GetFieldValue 0040 GetValue 0083 TCheckConstraints.Add 0093 TCheckConstraint.SetCustomConstraint 009d TCheckConstraint.SetImportedConstraint 00c1 TCheckConstraint.SetErrorMessage 00d6 @LStrClr 00de @VarClr 00eb @LStrArrayClr 00f3 @IntfClear 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 F8 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 0C 84 C0 74 58 8B 55 F4 8B 45 FC 8B 08 FF 51 0C 84 C0 74 49 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 C6 43 18 01 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 08 00 00 00 4C 4F 43 43 48 45 43 4B 00 00 00 00 FF FF FF FF 08 00 00 00 53 52 56 43 48 45 43 4B 00 00 00 00 FF FF FF FF 08 00 00 00 45 52 52 4F 52 53 54 52 00 00 00 00 }
	condition:
		$1
}

rule function_7973_0 {
	meta:
		name = "AddTableConstraints"
		size = 176
		refs = "000f AddTableConstraints 001a OpenTableConstraints 0032 _DV_TNullValidator 0037 TObject.Create 0048 @IntfCopy 0059 AddConstraint 0062 TDataSet.Next 0083 TObject.Free 0089 @HandleFinally 00a0 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8D 45 F8 E8 ?? ?? ?? ?? EB 18 8B 45 08 50 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 91 00 00 00 00 74 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_7974_0 {
	meta:
		name = "AddQueryConstraints"
		size = 274
		refs = "0012 AddQueryConstraints 0022 _DV_TQueryTableList 0027 TQueryTableList.Create 004f TTableList.GetItems 006d OpenTableConstraintsByName 0088 _DV_TQueryConstraintValidator 008d TQueryConstraintValidator.Create 009e @IntfCopy 00af AddConstraint 00b8 TDataSet.Next 00d9 TObject.Free 00df @HandleFinally 0102 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 08 48 85 C0 0F 8C B4 00 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 08 52 8B 48 04 8B 45 FC 8B 90 14 02 00 00 8B 45 FC 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 45 EC E8 ?? ?? ?? ?? EB 18 8B 45 08 50 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 91 00 00 00 00 74 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F4 FF 4D E8 0F 85 57 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_7975_0 {
	meta:
		name = "UpdateConstraints"
		size = 177
		refs = "000d DictionaryActive 001d UpdateConstraints 003f ClearOldConstraints 0048 _Dn_TTable 004d @IsClass 0059 AddTableConstraints 0064 _Dn_TQuery 0075 AddQueryConstraints 0091 @HandleFinally 00a2 @HandleAnyException 00a7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 1A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 55 8B C3 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7976_0 {
	meta:
		name = "UpdateDataset"
		size = 335
		refs = "0014 UpdateDataset 001f DictionaryActive 002d NullTableID 0043 _Dn_TTable 0048 @IsClass 0067 QualifyTableName 0075 FindDatabaseID 0083 FindTableID 008a TDataSet.GetFieldCount 00a4 TFields.GetField 00ba FindFieldID 00c5 GetAttrID 00cd NullFieldID 00e6 FindAttrID 00f3 UpdateField 010e _Dn_TQuery 0127 UpdateConstraints 013c @LStrClr 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 8B 05 ?? ?? ?? ?? 89 45 F9 66 8B 05 ?? ?? ?? ?? 66 89 45 FD 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 74 32 8D 4D F4 8B DF 8B 93 2C 02 00 00 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8D 4D F9 8B 55 F4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 68 46 C7 45 E4 00 00 00 00 8B 47 24 8B 55 E4 E8 ?? ?? ?? ?? 8B D8 80 7D FF 00 74 1B 8D 4D EE 8D 45 F9 8B 53 28 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 EE E8 ?? ?? ?? ?? EB 1F 8B 05 ?? ?? ?? ?? 89 45 EE 66 8B 05 ?? ?? ?? ?? 66 89 45 F2 8D 55 E8 8B 43 68 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 EE 8B C3 E8 ?? ?? ?? ?? FF 45 E4 4E 75 A0 33 DB 80 7D FF 00 74 05 8B 5F 74 EB 14 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 5F 74 85 DB 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7977_0 {
	meta:
		name = "Finalization"
		size = 78
		refs = "0007 Finalization 0013 _DV_1 001a Dictionary 001f TObject.Free 0024 FieldToAttribute 002e LastDatabaseName 0033 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7978_0 {
	meta:
		name = "DRIntf"
		size = 680
		refs = "0005 FieldToAttribute 000d DRIntf 0019 _DV_1 0027 _DV_TNameMap 002c TNameMap.Create 003f TNameMap.Map 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 BB ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 B8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 FF FF FF FF 09 00 00 00 44 49 53 50 4C 41 42 45 4C 00 00 00 FF FF FF FF 0C 00 00 00 44 69 73 70 6C 61 79 4C 61 62 65 6C 00 00 00 00 FF FF FF FF 09 00 00 00 44 49 53 50 57 49 44 54 48 00 00 00 FF FF FF FF 0C 00 00 00 44 69 73 70 6C 61 79 57 69 64 74 68 00 00 00 00 FF FF FF FF 0A 00 00 00 44 49 53 50 46 4F 52 4D 41 54 00 00 FF FF FF FF 0D 00 00 00 44 69 73 70 6C 61 79 46 6F 72 6D 61 74 00 00 00 FF FF FF FF 08 00 00 00 45 44 49 54 4D 41 53 4B 00 00 00 00 FF FF FF FF 08 00 00 00 45 64 69 74 4D 61 73 6B 00 00 00 00 FF FF FF FF 06 00 00 00 4D 41 58 56 41 4C 00 00 FF FF FF FF 08 00 00 00 4D 61 78 56 61 6C 75 65 00 00 00 00 FF FF FF FF 06 00 00 00 4D 49 4E 56 41 4C 00 00 FF FF FF FF 08 00 00 00 4D 69 6E 56 61 6C 75 65 00 00 00 00 FF FF FF FF 08 00 00 00 4C 4F 43 43 48 45 43 4B 00 00 00 00 FF FF FF FF 10 00 00 00 43 75 73 74 6F 6D 43 6F 6E 73 74 72 61 69 6E 74 00 00 00 00 FF FF FF FF 08 00 00 00 53 52 56 43 48 45 43 4B 00 00 00 00 FF FF FF FF 12 00 00 00 49 6D 70 6F 72 74 65 64 43 6F 6E 73 74 72 61 69 6E 74 00 00 FF FF FF FF 08 00 00 00 45 52 52 4F 52 53 54 52 00 00 00 00 FF FF FF FF 16 00 00 00 43 6F 6E 73 74 72 61 69 6E 74 45 72 72 6F 72 4D 65 73 73 61 67 65 00 00 FF FF FF FF 07 00 00 00 44 45 46 41 55 4C 54 00 FF FF FF FF 11 00 00 00 44 65 66 61 75 6C 74 45 78 70 72 65 73 73 69 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_7979_0 {
	meta:
		name = "TDRList.CreateHandle"
		size = 17
		refs = "0003 DbiOpenRepositoryList 0008 Check"
	strings:
		$1 = { 51 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_7980_0 {
	meta:
		name = "TDRObjectDescList.CreateHandle"
		size = 28
		refs = "000d DbiDROpenObjectTypeList 0012 Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 08 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7981_0 {
	meta:
		name = "TDRRelationshipDescList.CreateHandle"
		size = 40
		refs = "000c @LStrToPChar 0019 DbiDROpenRelTypeList 001e Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 08 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7982_0 {
	meta:
		name = "TDRAttrDescList.CreateHandle"
		size = 40
		refs = "000c @LStrToPChar 0019 DbiDROpenAttrTypeList 001e Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 08 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7983_0 {
	meta:
		name = "TDRObjectList.CreateHandle"
		size = 61
		refs = "0021 @LStrToPChar 002e DbiDROpenObjSet 0033 Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 10 02 00 00 50 8B 83 14 02 00 00 50 8D 83 18 02 00 00 50 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 08 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7984_0 {
	meta:
		name = "TDRObjectList.NavigateFrom"
		size = 41
		refs = "0022 @LStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 02 89 83 18 02 00 00 66 8B 42 04 66 89 83 1C 02 00 00 8D 83 14 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7985_0 {
	meta:
		name = "TDRRelationshipList.CreateHandle"
		size = 91
		refs = "003d @LStrToPChar 004a DbiDROpenRelSet 004f Check"
	strings:
		$1 = { 53 56 57 51 8B D8 83 BB 14 02 00 00 00 75 04 33 F6 EB 06 8D B3 14 02 00 00 83 BB 1A 02 00 00 00 75 04 33 FF EB 06 8D BB 1A 02 00 00 54 8B 83 10 02 00 00 50 57 56 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 08 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7986_0 {
	meta:
		name = "TDRRelationshipList.NavigateFromTo"
		size = 43
	strings:
		$1 = { 53 8B D9 8B 0A 89 88 14 02 00 00 66 8B 4A 04 66 89 88 18 02 00 00 8B 13 89 90 1A 02 00 00 66 8B 53 04 66 89 90 1E 02 00 00 5B C3 }
	condition:
		$1
}

rule function_7987_0 {
	meta:
		name = "TQueryDescription.CreateHandle"
		size = 70
		refs = "001d TQuery.Prepare 0037 DbiQGetBaseDescs 003c Check"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 8B 83 08 02 00 00 85 C0 74 2D 83 B8 50 01 00 00 00 75 0C E8 ?? ?? ?? ?? C6 83 0C 02 00 00 01 54 8B 83 08 02 00 00 8B 80 50 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7988_0 {
	meta:
		name = "TQueryDescription.DestroyHandle"
		size = 32
		refs = "0006 TBDEDataSet.DestroyHandle 001a TQuery.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 0C 02 00 00 00 74 0B 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7989_0 {
	meta:
		name = "TQueryDescription.OpenCursor"
		size = 35
		refs = "0006 TBDEDataSet.OpenCursor 001d TBDEDataSet.SetLocale"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 08 02 00 00 85 C0 74 0D 8B 90 64 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7992_0 {
	meta:
		name = "_NF__10E"
		size = 208
		refs = "0005 TComponentList.GetComponentList 000f TInterfacedObject.QueryInterface 0019 TInterfacedObject._AddRef 0023 TInterfacedObject._Release 002b TComponentList.Intf_Add 0033 TComponentList.Intf_Equals 003b TComponentList.Intf_Get 0043 TComponentList.GetCount 0068 _NF__10E"
	strings:
		$1 = { CC 83 C0 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 C0 EC E9 ?? ?? ?? ?? 83 C0 EC E9 ?? ?? ?? ?? 83 C0 EC E9 ?? ?? ?? ?? 83 C0 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 16 AD D8 8E 41 A2 D1 11 AA 94 00 C0 4F B1 7A 72 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 34 01 33 82 D1 65 D1 11 9F BB 00 20 AF 3D 82 DA ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7993_0 {
	meta:
		name = "_NF__15E"
		size = 187
		refs = "001f TComponentEditor.GetIComponent 0027 TComponentEditor.GetDesigner 0058 TInterfacedObject.QueryInterface 0062 TInterfacedObject._AddRef 006c TInterfacedObject._Release 0073 _NF__15E"
	strings:
		$1 = { CC 83 C0 EC 50 8B 00 8B 40 04 87 04 24 C3 83 C0 EC 50 8B 00 8B 40 08 87 04 24 C3 83 C0 EC E9 ?? ?? ?? ?? 83 C0 EC E9 ?? ?? ?? ?? 83 C0 EC 50 8B 00 8B 40 0C 87 04 24 C3 83 C0 EC 50 8B 00 8B 40 10 87 04 24 C3 83 C0 EC 50 8B 00 8B 40 14 87 04 24 C3 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 52 72 BE AB 95 54 D1 11 9F B5 00 20 AF 3D 82 DA ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_7994_0 {
	meta:
		name = "_NF__163"
		size = 186
		refs = "001f TComponentEditor.GetIComponent 0027 TComponentEditor.GetDesigner 0058 TInterfacedObject.QueryInterface 0062 TInterfacedObject._AddRef 006c TInterfacedObject._Release 0072 _NF__163"
	strings:
		$1 = { CC 83 C0 DC 50 8B 00 8B 40 04 87 04 24 C3 83 C0 DC 50 8B 00 8B 40 08 87 04 24 C3 83 C0 DC E9 ?? ?? ?? ?? 83 C0 DC E9 ?? ?? ?? ?? 83 C0 DC 50 8B 00 8B 40 0C 87 04 24 C3 83 C0 DC 50 8B 00 8B 40 10 87 04 24 C3 83 C0 DC 50 8B 00 8B 40 14 87 04 24 C3 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? 83 44 24 04 DC E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 E1 FA 84 54 60 5C D1 11 9F B6 00 20 AF 3D 82 DA ?? ?? ?? ?? 24 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8000_0 {
	meta:
		name = "TComponentList.Equals"
		size = 87
		refs = "0010 TComponentList.GetCount 0032 TComponentList.Get 003d TList.Get"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C6 04 24 00 8B C5 E8 ?? ?? ?? ?? 8B 57 0C 3B 42 08 75 32 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 20 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 50 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 5A 3B D0 75 08 43 4E 75 E3 C6 04 24 01 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8002_0 {
	meta:
		name = "TComponentList.Intf_Equals"
		size = 272
		refs = "001e TComponentList.Intf_Equals 002c @IntfClear 004e TComponentList.Equals 0089 TComponentList.Intf_Get 00d5 IPersistent 00df @FinalizeArray 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 89 4D EC 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 10 85 C0 75 15 8B 45 F0 8B 10 FF 52 0C 8B 55 FC E8 ?? ?? ?? ?? 88 45 F7 EB 6C C6 45 F7 00 8B 45 F8 8B 10 FF 52 18 8B 55 FC 8B 52 0C 3B 42 08 75 55 8B 45 F8 8B 10 FF 52 18 8B F0 4E 85 F6 7C 42 46 33 DB 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 8B D3 8B 45 F8 8B 38 FF 57 14 83 7D EC 00 75 06 83 7D E8 00 75 1D 83 7D E8 00 74 17 8B 55 E8 8B 45 EC 8B 08 FF 51 10 84 C0 74 08 43 4E 75 C1 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8A 45 F7 5F 5E 5B 8B E5 5D C3 00 00 00 16 AD D8 8E 41 A2 D1 11 AA 94 00 C0 4F B1 7A 72 }
	condition:
		$1
}

rule function_8005_0 {
	meta:
		name = "TPropertyEditor.Create"
		size = 88
		refs = "000f @ClassCreate 0023 @IntfCopy 002d @GetMem 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8B C6 C1 E0 03 E8 ?? ?? ?? ?? 89 43 08 89 73 0C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8006_0 {
	meta:
		name = "TPropertyEditor.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 @FreeMem 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 0B 8B 56 0C C1 E2 03 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8008_0 {
	meta:
		name = "TPropertyEditor.AllEqual"
		size = 8
	strings:
		$1 = { 83 78 0C 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_8009_0 {
	meta:
		name = "TPropertyEditor.Edit"
		size = 242
		refs = "0013 TPropertyEditor.Edit 0020 _Dn_TStringList 0025 TObject.Create 003c TStringList.SetSorted 00c3 TObject.Free 00c9 @HandleFinally 00e0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B C3 8B 10 FF 52 10 A8 20 0F 95 C2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 45 F8 8B 00 8B 40 34 89 45 F4 FF 75 F8 FF 75 F4 8B C3 8B 10 FF 52 24 8B 45 FC 8B 10 FF 52 14 85 C0 7E 3D 8D 55 F0 8B C3 8B 08 FF 51 20 8B 55 F0 8B 45 FC 8B 08 FF 51 50 8B F0 46 8B 45 FC 8B 10 FF 52 14 3B F0 75 02 33 F6 8D 4D F0 8B D6 8B 45 FC 8B 30 FF 56 0C 8B 55 F0 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8011_0 {
	meta:
		name = "TPropertyEditor.GetAttributes"
		size = 12
		refs = "0001 TPropertyEditor.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 88 00 00 00 }
	condition:
		$1
}

rule function_8127_0 {
	meta:
		name = "TDateProperty.GetAttributes"
		size = 12
		refs = "0001 TDateProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 88 00 00 00 }
	condition:
		$1
}

rule function_8133_0 {
	meta:
		name = "TDateTimeProperty.GetAttributes"
		size = 12
		refs = "0001 TDateTimeProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 88 00 00 00 }
	condition:
		$1
}

rule function_8130_0 {
	meta:
		name = "TTimeProperty.GetAttributes"
		size = 12
		refs = "0001 TTimeProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 88 00 00 00 }
	condition:
		$1
}

rule function_8012_0 {
	meta:
		name = "TPropertyEditor.GetComponent"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 04 D0 C3 }
	condition:
		$1
}

rule function_8013_0 {
	meta:
		name = "TPropertyEditor.GetFloatValue"
		size = 21
		refs = "0006 TPropertyEditor.GetFloatValueAt"
	strings:
		$1 = { 83 C4 F4 33 D2 E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_8014_0 {
	meta:
		name = "TPropertyEditor.GetFloatValueAt"
		size = 30
		refs = "000f GetFloatProp"
	strings:
		$1 = { 83 C4 F4 8B 40 08 8D 04 D0 8B 50 04 8B 00 E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_8016_0 {
	meta:
		name = "TPropertyEditor.GetMethodValueAt"
		size = 25
		refs = "0012 GetMethodProp"
	strings:
		$1 = { 53 56 8B F1 8B 40 08 8D 1C D0 8B CE 8B 53 04 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8026_0 {
	meta:
		name = "TPropertyEditor.GetStrValueAt"
		size = 25
		refs = "0012 GetStrProp"
	strings:
		$1 = { 53 56 8B F1 8B 40 08 8D 1C D0 8B CE 8B 53 04 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8028_0 {
	meta:
		name = "TPropertyEditor.GetVarValueAt"
		size = 25
		refs = "0012 GetVariantProp"
	strings:
		$1 = { 53 56 8B F1 8B 40 08 8D 1C D0 8B CE 8B 53 04 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8017_0 {
	meta:
		name = "TPropertyEditor.GetEditLimit"
		size = 6
	strings:
		$1 = { B8 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_8018_0 {
	meta:
		name = "TPropertyEditor.GetName"
		size = 25
		refs = "0012 @LStrFromString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8B 52 04 83 C2 1A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8020_0 {
	meta:
		name = "TPropertyEditor.GetOrdValueAt"
		size = 17
		refs = "000c GetOrdProp"
	strings:
		$1 = { 8B 40 08 8D 04 D0 8B 50 04 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8021_0 {
	meta:
		name = "TPropertyEditor.GetPrivateDirectory"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 3C 5E 5B C3 }
	condition:
		$1
}

rule function_8023_0 {
	meta:
		name = "TPropertyEditor.GetPropInfo"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 40 04 C3 }
	condition:
		$1
}

rule function_8024_0 {
	meta:
		name = "TPropertyEditor.GetPropType"
		size = 11
	strings:
		$1 = { 8B 40 08 8B 40 04 8B 00 8B 00 C3 }
	condition:
		$1
}

rule function_8029_0 {
	meta:
		name = "TPropertyEditor.GetValue"
		size = 17
		refs = "0006 srUnknown 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15888_0 {
	meta:
		name = "TQRAsciiExportFilter.GetDescription"
		size = 17
		refs = "0006 SqrAsciiFilterDescription 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15890_0 {
	meta:
		name = "TQRAsciiExportFilter.GetExtension"
		size = 17
		refs = "0006 SqrAsciiFilterExtension 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15889_0 {
	meta:
		name = "TQRAsciiExportFilter.GetFilterName"
		size = 17
		refs = "0006 SqrAsciiFilterName 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15858_0 {
	meta:
		name = "TQRCommaSeparatedFilter.GetDescription"
		size = 17
		refs = "0006 SqrCommaSeparatedTextFilter 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15857_0 {
	meta:
		name = "TQRCommaSeparatedFilter.GetFilterName"
		size = 17
		refs = "0006 SqrCommaSeparated 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16196_0 {
	meta:
		name = "TQRExportFilter.GetDescription"
		size = 17
		refs = "0006 SqrAbstractFilterDescription 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16198_0 {
	meta:
		name = "TQRExportFilter.GetFilterName"
		size = 17
		refs = "0006 SqrAbstractFilterName 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16199_0 {
	meta:
		name = "TQRExportFilter.GetVendorName"
		size = 17
		refs = "0006 SqrQuSoft 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15866_0 {
	meta:
		name = "TQRHTMLDocumentFilter.GetDescription"
		size = 17
		refs = "0006 SqrHtmlDocumentForWeb 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15865_0 {
	meta:
		name = "TQRHTMLDocumentFilter.GetFilterName"
		size = 17
		refs = "0006 SqrHtmlDocument 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16514_0 {
	meta:
		name = "TQRLoopBand.BandComponentName"
		size = 17
		refs = "0006 SqrLoopBandName 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16512_0 {
	meta:
		name = "TQRLoopBand.BandTypeName"
		size = 17
		refs = "0006 SqrLoopBandType 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16528_0 {
	meta:
		name = "TQRStringsBand.BandComponentName"
		size = 17
		refs = "0006 SqrStringsBandName 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16526_0 {
	meta:
		name = "TQRStringsBand.BandTypeName"
		size = 17
		refs = "0006 SqrStringsBandType 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15877_0 {
	meta:
		name = "TQRXLSFilter.GetDescription"
		size = 17
		refs = "0006 SqrExcelFile 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15876_0 {
	meta:
		name = "TQRXLSFilter.GetFilterName"
		size = 17
		refs = "0006 SqrExcel 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8032_0 {
	meta:
		name = "TPropertyEditor.Modified"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_8033_0 {
	meta:
		name = "TPropertyEditor.SetFloatValue"
		size = 64
		refs = "002a SetFloatProp 0035 TPropertyEditor.Modified"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 5F 0C 4B 85 DB 7C 22 43 33 F6 8B 47 08 8D 04 F0 66 8B 55 10 52 FF 75 0C FF 75 08 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E1 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_8034_0 {
	meta:
		name = "TPropertyEditor.SetMethodValue"
		size = 55
		refs = "0023 SetMethodProp 002e TPropertyEditor.Modified"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B 47 08 8D 04 F0 8B 0C 24 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8035_0 {
	meta:
		name = "TPropertyEditor.SetOrdValue"
		size = 55
		refs = "0023 SetOrdProp 002e TPropertyEditor.Modified"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B 47 08 8D 04 F0 8B 0C 24 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8037_0 {
	meta:
		name = "TPropertyEditor.SetStrValue"
		size = 55
		refs = "0023 SetStrProp 002e TPropertyEditor.Modified"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B 47 08 8D 04 F0 8B 0C 24 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8038_0 {
	meta:
		name = "TPropertyEditor.SetVarValue"
		size = 55
		refs = "0023 SetVariantProp 002e TPropertyEditor.Modified"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B 47 08 8D 04 F0 8B 0C 24 8B 50 04 8B 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8036_0 {
	meta:
		name = "TPropertyEditor.SetPropEntry"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 40 08 8D 04 D0 89 08 8B 55 08 89 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_8039_0 {
	meta:
		name = "TPropertyEditor.Revert"
		size = 58
	strings:
		$1 = { 53 56 57 51 8B D8 8B 73 0C 4E 85 F6 7C 27 46 C7 04 24 00 00 00 00 8B 43 08 8B 14 24 8D 04 D0 8B 48 04 8B 10 8B 43 04 8B 38 FF 97 88 00 00 00 FF 04 24 4E 75 E1 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8041_0 {
	meta:
		name = "TPropertyEditor.ValueAvailable"
		size = 178
		refs = "0014 TPropertyEditor.ValueAvailable 0035 _Dn_TComponent 003a @IsClass 0078 @HandleAnyException 0081 @DoneExcept 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B 7B 0C 4F 85 FF 7C 61 47 33 F6 8B 43 08 8B 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B 43 08 8B 04 F0 F6 40 21 02 74 39 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 20 8B C3 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? C6 45 FF 00 E8 ?? ?? ?? ?? EB 04 46 4F 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8042_0 {
	meta:
		name = "TOrdinalProperty.AllEqual"
		size = 69
		refs = "0014 TPropertyEditor.GetOrdValue 002c TPropertyEditor.GetOrdValueAt"
	strings:
		$1 = { 53 56 57 55 51 8B F0 C6 04 24 00 83 7E 0C 01 7E 27 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 5E 0C 4B 85 DB 7E 16 BF 01 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 3B E8 75 08 47 4B 75 EF C6 04 24 01 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8043_0 {
	meta:
		name = "TOrdinalProperty.GetEditLimit"
		size = 6
	strings:
		$1 = { B8 3F 00 00 00 C3 }
	condition:
		$1
}

rule function_8045_0 {
	meta:
		name = "TIntegerProperty.SetValue"
		size = 179
		refs = "0014 TIntegerProperty.SetValue 0021 StrToInt 002a TPropertyEditor.GetPropType 002f GetTypeData 0069 SOutOfRange 006e LoadResString 0078 _DV_EPropertyError 007d Exception.CreateFmt 0082 @RaiseExcept 008b TPropertyEditor.SetOrdValue 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 73 01 7C 05 3B 73 05 7E 47 83 7B 01 00 75 06 83 7B 05 FF 74 3B 8B 43 01 89 45 F0 C6 45 F4 00 8B 43 05 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8046_0 {
	meta:
		name = "TCharProperty.GetValue"
		size = 88
		refs = "000c TPropertyEditor.GetOrdValue 001f @LStrFromChar 003b TCharProperty.GetValue 0040 FmtStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 04 DF 2C 5F 73 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 1F 6A 00 33 C0 8A C3 89 44 24 04 C6 44 24 08 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 FF FF FF FF 03 00 00 00 23 25 64 00 }
	condition:
		$1
}

rule function_8047_0 {
	meta:
		name = "TCharProperty.SetValue"
		size = 261
		refs = "0016 TCharProperty.SetValue 0023 @LStrLen 0054 @LStrCopy 005c StrToInt 0068 SInvalidPropertyValue 006d LoadResString 0077 _DV_EPropertyError 007c Exception.Create 0081 @RaiseExcept 0088 TPropertyEditor.GetPropType 008d GetTypeData 00bb SOutOfRange 00cf Exception.CreateFmt 00dd TPropertyEditor.SetOrdValue 00f2 @LStrClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 F6 EB 56 8B C3 E8 ?? ?? ?? ?? 48 75 05 0F B6 33 EB 47 80 3B 23 75 21 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 73 01 7C 05 3B 73 05 7E 3B 8B 43 01 89 45 EC C6 45 F0 00 8B 43 05 89 45 F4 C6 45 F8 00 8D 45 EC 50 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8048_0 {
	meta:
		name = "TEnumProperty.GetAttributes"
		size = 12
		refs = "0001 TEnumProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_8079_0 {
	meta:
		name = "TComponentProperty.GetAttributes"
		size = 12
		refs = "0001 TComponentProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_8110_0 {
	meta:
		name = "TCursorProperty.GetAttributes"
		size = 12
		refs = "0001 TCursorProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_8093_0 {
	meta:
		name = "TFontNameProperty.GetAttributes"
		size = 12
		refs = "0001 TFontNameProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_8086_0 {
	meta:
		name = "TMethodProperty.GetAttributes"
		size = 12
		refs = "0001 TMethodProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 A9 00 00 00 }
	condition:
		$1
}

rule function_8049_0 {
	meta:
		name = "TEnumProperty.GetValue"
		size = 61
		refs = "000a TPropertyEditor.GetOrdValue 0013 TPropertyEditor.GetPropType 0018 GetTypeData 0035 GetEnumName"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 58 01 7C 05 3B 58 05 7E 03 8B 58 05 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8050_0 {
	meta:
		name = "TEnumProperty.GetValues"
		size = 117
		refs = "0011 TEnumProperty.GetValues 001c TPropertyEditor.GetPropType 0027 GetTypeData 003f GetEnumName 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 70 01 8B 58 05 2B DE 7C 1B 43 8D 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 0C FF 55 08 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8051_0 {
	meta:
		name = "TEnumProperty.SetValue"
		size = 119
		refs = "000f TEnumProperty.SetValue 001c TPropertyEditor.GetPropType 0023 GetEnumValue 002f SInvalidPropertyValue 0034 LoadResString 003e _DV_EPropertyError 0043 Exception.Create 0048 @RaiseExcept 0051 TPropertyEditor.SetOrdValue 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8052_0 {
	meta:
		name = "TBoolProperty.GetValue"
		size = 80
		refs = "0009 TPropertyEditor.GetOrdValue 0014 TBoolProperty.GetValue 0019 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_8053_0 {
	meta:
		name = "TBoolProperty.GetValues"
		size = 64
		refs = "0004 TBoolProperty.GetValues"
	strings:
		$1 = { 55 8B EC BA ?? ?? ?? ?? 8B 45 0C FF 55 08 BA ?? ?? ?? ?? 8B 45 0C FF 55 08 5D C2 08 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_8054_0 {
	meta:
		name = "TBoolProperty.SetValue"
		size = 100
		refs = "0007 TBoolProperty.SetValue 000e CompareText 0032 StrToInt 003b TPropertyEditor.SetOrdValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 1C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 07 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_8055_0 {
	meta:
		name = "TFloatProperty.AllEqual"
		size = 76
		refs = "0014 TPropertyEditor.GetFloatValue 002e TPropertyEditor.GetFloatValueAt"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F0 33 DB 83 7E 0C 01 7E 2F 8B C6 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 6E 0C 4D 85 ED 7E 1C BF 01 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? DB 2C 24 DE D9 DF E0 9E 75 06 47 4D 75 E9 B3 01 8B C3 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8056_0 {
	meta:
		name = "TFloatProperty.GetValue"
		size = 55
		refs = "0009 TPropertyEditor.GetFloatValue 0018 TPropertyEditor.GetPropType 001d GetTypeData 0027 Precisions 0030 FloatToStrF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 56 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 00 8B 14 85 ?? ?? ?? ?? 33 C9 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8057_0 {
	meta:
		name = "TFloatProperty.SetValue"
		size = 30
		refs = "0009 StrToFloat 0017 TPropertyEditor.SetFloatValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8058_0 {
	meta:
		name = "TStringProperty.AllEqual"
		size = 138
		refs = "0012 TStringProperty.AllEqual 002c TPropertyEditor.GetStrValue 0045 TPropertyEditor.GetStrValueAt 0050 @LStrCmp 0074 @LStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 83 7E 0C 01 7E 34 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 5E 0C 4B 85 DB 7E 22 BF 01 00 00 00 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 75 08 47 4B 75 E3 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8059_0 {
	meta:
		name = "TStringProperty.GetEditLimit"
		size = 39
		refs = "0006 TPropertyEditor.GetPropType 0017 GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 38 05 75 11 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 00 5B C3 B8 FF 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8063_0 {
	meta:
		name = "TComponentNameProperty.GetEditLimit"
		size = 8
		refs = "0003 MaxIdentLength"
		altNames = "TMethodProperty.GetEditLimit"
	strings:
		$1 = { 33 C0 A0 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8064_0 {
	meta:
		name = "TNestedProperty.Create"
		size = 71
		refs = "000b @ClassCreate 001c @IntfCopy 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B 56 04 E8 ?? ?? ?? ?? 8B 46 08 89 47 08 8B 46 0C 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8065_0 {
	meta:
		name = "TNestedProperty.Destroy"
		size = 15
		refs = "0001 @BeforeDestruction 000a @ClassDestroy"
		altNames = "TObject.Destroy"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 D2 7E 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8066_0 {
	meta:
		name = "TSetElementProperty.Create"
		size = 65
		refs = "000d @ClassCreate 001a TNestedProperty.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8067_0 {
	meta:
		name = "TSetElementProperty.AllEqual"
		size = 105
		refs = "0014 TPropertyEditor.GetOrdValue 003e TPropertyEditor.GetOrdValueAt"
	strings:
		$1 = { 53 56 57 55 51 8B D8 C6 04 24 00 83 7B 0C 01 7E 4B 8B C3 E8 ?? ?? ?? ?? 89 C6 8B 43 10 83 F8 1F 77 03 0F A3 C6 0F 92 C0 88 44 24 01 8B 7B 0C 4F 85 FF 7E 28 BD 01 00 00 00 8B D5 8B C3 E8 ?? ?? ?? ?? 89 C6 8B 43 10 83 F8 1F 77 03 0F A3 C6 0F 92 C0 3A 44 24 01 75 08 45 4F 75 DD C6 04 24 01 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8068_0 {
	meta:
		name = "TSetElementProperty.GetAttributes"
		size = 12
		refs = "0001 TSetElementProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_8095_0 {
	meta:
		name = "TFontCharsetProperty.GetAttributes"
		size = 12
		refs = "0001 TFontCharsetProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_8099_0 {
	meta:
		name = "TImeNameProperty.GetAttributes"
		size = 12
		refs = "0001 TImeNameProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_8069_0 {
	meta:
		name = "TSetElementProperty.GetName"
		size = 36
		refs = "0009 TPropertyEditor.GetPropType 000e GetTypeData 001d GetEnumName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 01 8B 00 8B CE 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8070_0 {
	meta:
		name = "TSetElementProperty.GetValue"
		size = 53
		refs = "000a TPropertyEditor.GetOrdValue 0025 BooleanIdents 002d @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 89 C6 8B C7 8B 53 10 83 FA 1F 77 03 0F A3 D6 0F 92 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8071_0 {
	meta:
		name = "TSetElementProperty.GetValues"
		size = 36
		refs = "0005 BooleanIdents"
	strings:
		$1 = { 55 8B EC 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 52 04 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_8072_0 {
	meta:
		name = "TSetElementProperty.SetValue"
		size = 88
		refs = "000a TPropertyEditor.GetOrdValue 0011 TSetElementProperty.SetValue 0018 CompareText 003d TPropertyEditor.SetOrdValue"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 89 C6 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 43 10 83 F8 1F 77 10 0F AB C6 EB 0B 8B 43 10 83 F8 1F 77 03 0F B3 C6 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_8073_0 {
	meta:
		name = "TSetProperty.GetAttributes"
		size = 12
		refs = "0001 TSetProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 CA 00 00 00 }
	condition:
		$1
}

rule function_8074_0 {
	meta:
		name = "TSetProperty.GetProperties"
		size = 78
		refs = "000d TPropertyEditor.GetPropType 0012 GetTypeData 0032 _DV_TSetElementProperty 0037 TSetElementProperty.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 01 8B 00 E8 ?? ?? ?? ?? 8B 70 01 8B 58 05 2B DE 7C 1D 43 56 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8075_0 {
	meta:
		name = "TSetProperty.GetValue"
		size = 224
		refs = "0016 TSetProperty.GetValue 0023 TPropertyEditor.GetOrdValue 002c TPropertyEditor.GetPropType 0031 GetTypeData 0045 @LStrLAsg 005a @LStrLen 0069 @LStrCat 0076 GetEnumName 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 C7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 01 8B 00 89 45 FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B C3 83 F8 1F 77 03 0F A3 C7 73 2D 8B 06 E8 ?? ?? ?? ?? 48 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 43 83 FB 20 75 C1 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 5B 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_8076_0 {
	meta:
		name = "TClassProperty.GetAttributes"
		size = 12
		refs = "0001 TClassProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 4A 00 00 00 }
	condition:
		$1
}

rule function_8077_0 {
	meta:
		name = "TClassProperty.GetProperties"
		size = 136
		refs = "000c _DV_TComponentList 0011 TComponentList.Create 001c TClassProperty.GetProperties 0036 TPropertyEditor.GetOrdValueAt 0040 TComponentList.Add 005b GetComponentProperties 0070 TObject.Free 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 0C 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E9 FF 75 0C FF 75 08 8B 4F 04 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 FE FE 03 00 }
	condition:
		$1
}

rule function_8078_0 {
	meta:
		name = "TClassProperty.GetValue"
		size = 68
		refs = "000e TPropertyEditor.GetPropType 0023 TClassProperty.GetValue 0028 FmtStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 04 C6 44 24 08 04 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 FF FF FF FF 04 00 00 00 28 25 73 29 00 00 00 00 }
	condition:
		$1
}

rule function_8080_0 {
	meta:
		name = "TComponentProperty.GetEditLimit"
		size = 6
	strings:
		$1 = { B8 7F 00 00 00 C3 }
	condition:
		$1
}

rule function_8081_0 {
	meta:
		name = "TComponentProperty.GetValue"
		size = 28
		refs = "0009 TPropertyEditor.GetOrdValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 43 04 8B 18 FF 53 64 5E 5B C3 }
	condition:
		$1
}

rule function_8082_0 {
	meta:
		name = "TComponentProperty.GetValues"
		size = 39
		refs = "000f TPropertyEditor.GetPropType 0014 GetTypeData"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 5C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8083_0 {
	meta:
		name = "TComponentProperty.SetValue"
		size = 146
		refs = "000f TComponentProperty.SetValue 0030 TPropertyEditor.GetPropType 0035 GetTypeData 003e @IsClass 004a SInvalidPropertyValue 004f LoadResString 0059 _DV_EPropertyError 005e Exception.Create 0063 @RaiseExcept 006c TPropertyEditor.SetOrdValue 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 04 33 F6 EB 46 8B D6 8B 43 04 8B 08 FF 51 60 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8084_0 {
	meta:
		name = "TMethodProperty.AllEqual"
		size = 87
		refs = "0016 TPropertyEditor.GetMethodValue 0030 TPropertyEditor.GetMethodValueAt"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F0 33 DB 83 7E 0C 01 7E 3A 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 6E 0C 4D 85 ED 7E 29 BF 01 00 00 00 8D 4C 24 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 3B 04 24 75 10 8B 44 24 0C 3B 44 24 04 75 06 47 4D 75 DC B3 01 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8085_0 {
	meta:
		name = "TMethodProperty.Edit"
		size = 221
		refs = "0016 TMethodProperty.Edit 0036 TPropertyEditor.GetMethodValue 0063 SCannotCreateName 0068 LoadResString 0072 _DV_EPropertyError 0077 Exception.Create 007c @RaiseExcept 0087 TPropertyEditor.GetPropType 008c GetTypeData 00a3 TPropertyEditor.SetMethodValue 00c3 @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 20 83 7D FC 00 74 19 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 43 04 8B 08 FF 51 74 84 C0 74 5E 83 7D FC 00 75 0A 8D 55 FC 8B C3 8B 08 FF 51 30 83 7D FC 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 43 04 8B 30 FF 56 30 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8088_0 {
	meta:
		name = "TMethodProperty.GetFormMethodName"
		size = 260
		refs = "0016 TMethodProperty.GetFormMethodName 0026 TPropertyEditor.GetComponent 0043 @LStrLAsg 0065 @LStrLen 008c @LStrDelete 009e SCannotCreateName 00a3 LoadResString 00ad _DV_EPropertyError 00b2 Exception.Create 00b7 @RaiseExcept 00c2 TMethodProperty.GetTrimmedEventName 00cc @LStrCat 00e1 @LStrClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 04 8B 10 FF 52 14 3B D8 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CE 8B 45 FC 8B 40 04 8B 18 FF 53 6C 8B 06 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7C 25 8B 06 8A 44 18 FF 2C 2E 74 08 2C 2D 74 04 2C 02 75 0E 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4B 85 DB 75 DB 83 3E 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 FF FF FF FF 04 00 00 00 46 6F 72 6D 00 00 00 00 }
	condition:
		$1
}

rule function_8089_0 {
	meta:
		name = "TMethodProperty.GetTrimmedEventName"
		size = 72
		refs = "0012 @LStrLen 0041 @LStrDelete"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 18 8B 03 E8 ?? ?? ?? ?? 83 F8 02 7C 2A 8B 03 8A 00 2C 4F 74 04 2C 20 75 1E 8B 03 8A 40 01 2C 4E 74 04 2C 20 75 11 8B C3 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8090_0 {
	meta:
		name = "TMethodProperty.GetValue"
		size = 35
		refs = "000e TPropertyEditor.GetMethodValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B CE 8B 43 04 8B 18 FF 53 34 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8091_0 {
	meta:
		name = "TMethodProperty.GetValues"
		size = 39
		refs = "000f TPropertyEditor.GetPropType 0014 GetTypeData"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 38 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8092_0 {
	meta:
		name = "TMethodProperty.SetValue"
		size = 212
		refs = "0016 TMethodProperty.SetValue 003a CompareText 0081 TPropertyEditor.GetPropType 0086 GetTypeData 009c TPropertyEditor.SetMethodValue 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 20 83 7D F8 00 74 2F 85 F6 74 2B 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B D6 8B 43 04 8B 08 FF 51 44 84 C0 75 0F 8B CE 8B 55 F8 8B 43 04 8B 18 FF 53 48 EB 51 85 F6 74 0E 8B D6 8B 43 04 8B 08 FF 51 44 84 C0 74 04 33 C0 EB 02 B0 01 88 45 FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 04 8B 38 FF 57 30 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0A 8B D6 8B 43 04 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8094_0 {
	meta:
		name = "TFontNameProperty.GetValues"
		size = 117
		refs = "000c TFontNameProperty.GetValues 0017 Screen 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 40 24 8B 10 FF 52 14 8B D8 4B 85 DB 7C 24 43 33 F6 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 40 24 8B D6 8B 38 FF 57 0C 8B 55 FC 8B 45 0C FF 55 08 46 4B 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8096_0 {
	meta:
		name = "TFontCharsetProperty.GetValue"
		size = 84
		refs = "000c TPropertyEditor.GetOrdValue 0018 CharsetToIdent 0039 TFontCharsetProperty.GetValue 003e FmtStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 8B D6 E8 ?? ?? ?? ?? 84 C0 75 22 6A 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 FF FF FF FF 02 00 00 00 25 64 00 00 }
	condition:
		$1
}

rule function_8097_0 {
	meta:
		name = "TFontCharsetProperty.GetValues"
		size = 18
		refs = "000a GetCharsetValues"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_8108_0 {
	meta:
		name = "TColorProperty.GetValues"
		size = 18
		refs = "000a GetColorValues"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_8112_0 {
	meta:
		name = "TCursorProperty.GetValues"
		size = 18
		refs = "000a GetCursorValues"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_11048_0 {
	meta:
		name = "TIdThread.Synchronize"
		size = 18
		refs = "000a TThread.Synchronize"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_16707_0 {
	meta:
		name = "TRegistry.WriteDate"
		size = 18
		refs = "000a TRegistry.WriteDateTime"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_16709_0 {
	meta:
		name = "TRegistry.WriteTime"
		size = 18
		refs = "000a TRegistry.WriteDateTime"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_8098_0 {
	meta:
		name = "TFontCharsetProperty.SetValue"
		size = 45
		refs = "000c IdentToCharset 001a TPropertyEditor.SetOrdValue 0025 TIntegerProperty.SetValue"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8109_0 {
	meta:
		name = "TColorProperty.SetValue"
		size = 45
		refs = "000c IdentToColor 001a TPropertyEditor.SetOrdValue 0025 TIntegerProperty.SetValue"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8113_0 {
	meta:
		name = "TCursorProperty.SetValue"
		size = 45
		refs = "000c IdentToCursor 001a TPropertyEditor.SetOrdValue 0025 TIntegerProperty.SetValue"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8100_0 {
	meta:
		name = "TImeNameProperty.GetValues"
		size = 117
		refs = "000c TImeNameProperty.GetValues 0017 Screen 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B 10 FF 52 14 8B D8 4B 85 DB 7C 24 43 33 F6 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 40 28 8B D6 8B 38 FF 57 0C 8B 55 FC 8B 45 0C FF 55 08 46 4B 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8101_0 {
	meta:
		name = "TMPFilenameProperty.Edit"
		size = 240
		refs = "0010 TMPFilenameProperty.Edit 001c Application 0025 _Dn_TOpenDialog 002a TOpenDialog.Create 0045 @LStrAsg 0050 SMPOpenFilter 0055 LoadResString 0096 TOpenDialog.GetFileName 00b5 TObject.Free 00bb @HandleFinally 00d2 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 8B 08 FF 51 20 8B 55 F8 8B 45 FC 83 C0 6C E8 ?? ?? ?? ?? 8B 45 FC 8D 50 54 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 2C BC 61 00 00 8B 45 FC 8B 40 50 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 84 C0 74 15 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 10 03 00 00 }
	condition:
		$1
}

rule function_8102_0 {
	meta:
		name = "TMPFilenameProperty.GetAttributes"
		size = 12
		refs = "0001 TMPFilenameProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 84 00 00 00 }
	condition:
		$1
}

rule function_8103_0 {
	meta:
		name = "GetCustomColors"
		size = 192
		refs = "000c GetCustomColors 001e _Dn_TRegIniFile 0023 TRegIniFile.Create 003f SCustomColors 0044 LoadResString 005b TRegIniFile.ReadSectionValues 006a @HandleAnyException 006f @DoneExcept 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 8B 48 54 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 1C 00 00 00 5C 53 6F 66 74 77 61 72 65 5C 42 6F 72 6C 61 6E 64 5C 44 65 6C 70 68 69 5C 33 2E 30 00 00 00 00 }
	condition:
		$1
}

rule function_8104_0 {
	meta:
		name = "SaveCustomColors"
		size = 240
		refs = "000f SaveCustomColors 0060 @LStrPos 007a @LStrCopy 008e TStrings.GetValue 009a SCustomColors 009f LoadResString 00b0 TRegIniFile.WriteString 00d0 @LStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 0F 84 94 00 00 00 8B 45 08 8B 40 F8 8B 40 54 8B 10 FF 52 14 8B F0 4E 85 F6 7C 7F 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 45 08 8B 40 F8 8B 40 54 8B 55 FC 8B 18 FF 53 0C 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 4A 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 8B 45 08 8B 40 F8 8B 40 54 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 4D F8 E8 ?? ?? ?? ?? FF 45 FC 4E 75 89 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_8105_0 {
	meta:
		name = "TColorProperty.Edit"
		size = 180
		refs = "0010 Application 0019 _Dn_TColorDialog 001e TColorDialog.Create 0029 TColorProperty.Edit 0035 GetCustomColors 003d TPropertyEditor.GetOrdValue 0072 TPropertyEditor.SetOrdValue 0078 SaveCustomColors 0094 TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 89 42 4C 8B 45 F8 C7 40 2C B2 61 00 00 8B 45 F8 8A 15 ?? ?? ?? ?? 88 50 50 8B 45 F8 8B 10 FF 52 3C 84 C0 74 0D 8B 45 F8 8B 50 4C 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_8106_0 {
	meta:
		name = "TColorProperty.GetAttributes"
		size = 12
		refs = "0001 TColorProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 8D 00 00 00 }
	condition:
		$1
}

rule function_8114_0 {
	meta:
		name = "TFontProperty.Edit"
		size = 156
		refs = "0009 Application 0012 _Dn_TFontDialog 0017 TFontDialog.Create 0022 TFontProperty.Edit 002f TPropertyEditor.GetOrdValue 0039 TFontDialog.SetFont 0071 TPropertyEditor.SetOrdValue 0086 TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 2C A8 61 00 00 8B 45 FC 66 8B 40 51 66 0B 05 ?? ?? ?? ?? 8B 55 FC 66 89 42 51 8B 45 FC 8B 10 FF 52 3C 84 C0 74 0D 8B 45 FC 8B 50 4C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 10 08 00 00 }
	condition:
		$1
}

rule function_8115_0 {
	meta:
		name = "TFontProperty.GetAttributes"
		size = 12
		refs = "0001 TFontProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 4E 00 00 00 }
	condition:
		$1
}

rule function_8116_0 {
	meta:
		name = "_NF__342"
		size = 192
	strings:
		$1 = { FF FF FF FF 06 00 00 00 6D 72 4E 6F 6E 65 00 00 FF FF FF FF 04 00 00 00 6D 72 4F 6B 00 00 00 00 FF FF FF FF 08 00 00 00 6D 72 43 61 6E 63 65 6C 00 00 00 00 FF FF FF FF 07 00 00 00 6D 72 41 62 6F 72 74 00 FF FF FF FF 07 00 00 00 6D 72 52 65 74 72 79 00 FF FF FF FF 08 00 00 00 6D 72 49 67 6E 6F 72 65 00 00 00 00 FF FF FF FF 05 00 00 00 6D 72 59 65 73 00 00 00 FF FF FF FF 04 00 00 00 6D 72 4E 6F 00 00 00 00 FF FF FF FF 05 00 00 00 6D 72 41 6C 6C 00 00 00 FF FF FF FF 09 00 00 00 6D 72 4E 6F 54 6F 41 6C 6C 00 00 00 FF FF FF FF 0A 00 00 00 6D 72 59 65 73 54 6F 41 6C 6C 00 00 }
	condition:
		$1
}

rule function_8117_0 {
	meta:
		name = "TModalResultProperty.GetAttributes"
		size = 12
		refs = "0001 TModalResultProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 89 00 00 00 }
	condition:
		$1
}

rule function_8121_0 {
	meta:
		name = "TShortCutProperty.GetAttributes"
		size = 12
		refs = "0001 TShortCutProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 89 00 00 00 }
	condition:
		$1
}

rule function_8118_0 {
	meta:
		name = "TModalResultProperty.GetValue"
		size = 47
		refs = "0005 TPropertyEditor.GetOrdValue 0017 ModalResults 001c @LStrLAsg 0028 IntToStr"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 8B C3 83 E8 0B 73 11 8B C6 8B 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8119_0 {
	meta:
		name = "TModalResultProperty.GetValues"
		size = 35
		refs = "000b ModalResults"
	strings:
		$1 = { 55 8B EC 53 56 BE 0B 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 04 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8120_0 {
	meta:
		name = "TModalResultProperty.SetValue"
		size = 77
		refs = "0011 TPropertyEditor.SetOrdValue 001a ModalResults 0023 CompareText 0044 TIntegerProperty.SetValue"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 85 FF 75 0B 33 D2 8B C5 E8 ?? ?? ?? ?? EB 31 33 F6 BB ?? ?? ?? ?? 8B D7 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0B 8B D6 8B C5 E8 ?? ?? ?? ?? EB 12 46 83 C3 04 83 FE 0B 75 DF 8B D7 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8122_0 {
	meta:
		name = "TShortCutProperty.GetValue"
		size = 47
		refs = "0009 TPropertyEditor.GetOrdValue 0017 srNone 001c LoadResString 0028 ShortCutToText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 0F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8123_0 {
	meta:
		name = "TShortCutProperty.GetValues"
		size = 115
		refs = "000b TShortCutProperty.GetValues 0019 srNone 001e LoadResString 0031 ShortCuts 003c ShortCutToText 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C FF 55 08 BE 6C 00 00 00 BB ?? ?? ?? ?? 8D 55 FC 66 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C FF 55 08 83 C3 02 4E 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8124_0 {
	meta:
		name = "TShortCutProperty.SetValue"
		size = 151
		refs = "0010 TShortCutProperty.SetValue 0024 srNone 0029 LoadResString 0033 AnsiCompareText 003e TextToShortCut 004d SInvalidPropertyValue 005c _DV_EPropertyError 0061 Exception.Create 0066 @RaiseExcept 0070 TPropertyEditor.SetOrdValue 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 4A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2F 8B C6 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8126_0 {
	meta:
		name = "TCaptionProperty.GetAttributes"
		size = 12
		refs = "0001 TCaptionProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 98 00 00 00 }
	condition:
		$1
}

rule function_8128_0 {
	meta:
		name = "TDateProperty.GetValue"
		size = 68
		refs = "000c TPropertyEditor.GetFloatValue 0019 TDateProperty.GetValue 0025 @LStrClr 0036 DateToStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 75 09 8B C6 E8 ?? ?? ?? ?? EB 0F FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_8134_0 {
	meta:
		name = "TDateTimeProperty.GetValue"
		size = 68
		refs = "000c TPropertyEditor.GetFloatValue 0019 TDateTimeProperty.GetValue 0025 @LStrClr 0036 DateTimeToStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 75 09 8B C6 E8 ?? ?? ?? ?? EB 0F FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_8131_0 {
	meta:
		name = "TTimeProperty.GetValue"
		size = 68
		refs = "000c TPropertyEditor.GetFloatValue 0019 TTimeProperty.GetValue 0025 @LStrClr 0036 TimeToStr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 75 09 8B C6 E8 ?? ?? ?? ?? EB 0F FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_8129_0 {
	meta:
		name = "TDateProperty.SetValue"
		size = 57
		refs = "001b StrToDate 0030 TPropertyEditor.SetFloatValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 75 0B 33 C0 89 04 24 89 44 24 04 EB 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8135_0 {
	meta:
		name = "TDateTimeProperty.SetValue"
		size = 57
		refs = "001b StrToDateTime 0030 TPropertyEditor.SetFloatValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 75 0B 33 C0 89 04 24 89 44 24 04 EB 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8132_0 {
	meta:
		name = "TTimeProperty.SetValue"
		size = 57
		refs = "001b StrToTime 0030 TPropertyEditor.SetFloatValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 75 0B 33 C0 89 04 24 89 44 24 04 EB 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8136_0 {
	meta:
		name = "TPropInfoList.Create"
		size = 118
		refs = "000f @ClassCreate 0020 TObject.ClassInfo 0029 GetPropList 003d @GetMem 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 8B 06 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? 89 43 08 8B 43 08 C1 E0 02 89 43 0C 8B 43 0C E8 ?? ?? ?? ?? 89 43 04 8B 06 E8 ?? ?? ?? ?? 8B 4B 04 8B D7 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8137_0 {
	meta:
		name = "TPropInfoList.Destroy"
		size = 40
		refs = "0003 @BeforeDestruction 0016 @FreeMem 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 08 8B 56 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8138_0 {
	meta:
		name = "TPropInfoList.Contains"
		size = 171
		refs = "001a TPropInfoList.Contains 0054 @LStrFromString 006c CompareText 0096 @LStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 08 4E 85 F6 7C 4F 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F8 8B 1C 90 8B 03 8B 00 8B 17 3B 02 75 2B 8D 45 F4 8D 57 1A E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8D 53 1A E8 ?? ?? ?? ?? 8B 45 F0 5A E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 08 FF 45 F8 4E 75 B9 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8139_0 {
	meta:
		name = "TPropInfoList.Delete"
		size = 46
		refs = "0027 Move"
	strings:
		$1 = { 53 56 FF 48 08 8B 48 08 3B D1 7D 1F 8B 58 04 8D 5C 93 04 8B 70 04 8D 34 96 2B CA 8B C1 C1 E0 02 8B C8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8140_0 {
	meta:
		name = "TPropInfoList.Get"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 04 90 C3 }
	condition:
		$1
}

rule function_8141_0 {
	meta:
		name = "TPropInfoList.Intersect"
		size = 52
		refs = "0019 TPropInfoList.Contains 0026 TPropInfoList.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 20 8B 46 04 8B 14 98 8B C7 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8142_0 {
	meta:
		name = "RegisterPropertyEditor"
		size = 124
		refs = "0010 PropertyClassList 001a _Dn_TList 001f TObject.Create 002a TPropertyClassRec 0034 @New 003b CurrentGroup 004d @LStrClr 005c @LStrAsg 0070 TList.Insert"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B F8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 14 00 00 00 E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 89 03 89 7B 04 89 73 0C 8D 43 08 E8 ?? ?? ?? ?? 85 F6 74 0B 8D 43 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 89 43 10 8B CB 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8143_0 {
	meta:
		name = "RegisterPropertyMapper"
		size = 68
		refs = "0005 PropertyMapperList 000f _Dn_TList 0014 TObject.Create 0023 @GetMem 0029 CurrentGroup 003e TList.Insert"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 89 10 89 58 04 8B C8 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8144_0 {
	meta:
		name = "GetEditorClass"
		size = 529
		refs = "0018 GetEditorClass 0024 PropertyMapperList 0043 TList.Get 0076 PropertyClassList 009c @AStrCmp 00bb GetTypeData 00cd TObject.InheritsFrom 0104 @LStrFromString 010f CompareText 01e7 PropClassMap 01fc @LStrClr 0202 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 35 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 28 43 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B 45 F8 FF 56 04 8B F0 85 F6 0F 85 8F 01 00 00 47 4B 75 DB 8B 45 FC 8B 00 8B 30 33 FF 33 C0 89 45 F4 E9 51 01 00 00 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 73 04 74 53 8B 43 04 8A 00 3A 06 75 13 8B 43 04 40 8D 56 01 33 C9 8A 08 41 E8 ?? ?? ?? ?? 74 37 80 3E 07 0F 85 18 01 00 00 8B 43 04 80 38 07 0F 85 0C 01 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B 00 50 8B C6 E8 ?? ?? ?? ?? 8B 00 5A E8 ?? ?? ?? ?? 84 C0 0F 84 EA 00 00 00 83 7B 0C 00 74 15 8B 45 F8 8B 00 8B 53 0C E8 ?? ?? ?? ?? 84 C0 0F 84 CF 00 00 00 83 7B 08 00 74 21 8D 45 F0 8B 55 FC 83 C2 1A E8 ?? ?? ?? ?? 8B 45 F0 8B 53 08 E8 ?? ?? ?? ?? 85 C0 0F 85 A8 00 00 00 83 7D F4 00 0F 84 9B 00 00 00 8B 45 F4 83 78 0C 00 75 0A 83 7B 0C 00 0F 85 88 00 00 00 8B 45 F4 83 78 08 00 75 06 83 7B 08 00 75 79 8B 45 F4 3B 70 04 74 05 3B 73 04 74 6C 8B 45 F4 8B 40 04 3B 43 04 74 35 8B 43 04 80 38 07 75 2D 8B 45 F4 8B 40 04 80 38 07 75 22 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 00 50 8B 43 04 E8 ?? ?? ?? ?? 8B 00 5A E8 ?? ?? ?? ?? 84 C0 75 2C 83 7B 0C 00 74 29 8B 45 F4 83 78 0C 00 74 20 8B 45 F4 8B 40 0C 3B 43 0C 74 15 8B 45 F4 8B 50 0C 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 03 89 5D F4 47 A1 ?? ?? ?? ?? 3B 78 08 0F 8C A1 FE FF FF 83 7D F4 00 74 08 8B 45 F4 8B 70 10 EB 0B 33 C0 8A 06 8B 34 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8145_0 {
	meta:
		name = "GetComponentProperties"
		size = 1015
		refs = "0016 @IntfAddRef 001e GetComponentProperties 0036 TComponentList.GetCount 0053 TComponentList.Get 0065 TObject.ClassType 007f _DV_TPropInfoList 0084 TPropInfoList.Create 00b3 TPropInfoList.Get 00bf GetEditorClass 00ce TPropInfoList.Delete 00df TPropertyEditor.Create 0107 TPropertyEditor.SetPropEntry 013e TPropertyEditor.ValueAvailable 0162 TObject.Free 0168 @HandleFinally 017e _Dn_TList 0183 TObject.Create 019f TList.SetCapacity 01d6 TList.Add 01f7 TList.Get 0201 TPropInfoList.Intersect 0317 @HandleAnyException 0324 @RaiseAgain 0329 @DoneExcept 03e2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 9F 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 8F 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 D4 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 F8 50 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 8B 40 08 48 83 F8 00 0F 8C D2 00 00 00 89 45 F0 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 10 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? E9 97 00 00 00 6A 01 8B 4D F4 B2 01 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 28 83 7B 04 00 74 2D 8B 03 8B 00 80 38 07 74 06 83 7B 08 00 74 1E 83 7D EC 01 7E 0C 8B 45 DC 8B 10 FF 52 10 A8 08 74 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 0B 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D F0 83 7D F0 FF 0F 85 31 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 8B 75 EC 4E 85 F6 7C 35 46 C7 45 F0 00 00 00 00 8B 45 F8 50 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 E0 E8 ?? ?? ?? ?? FF 45 F0 4E 75 D3 8B 75 EC 4E 85 F6 7C 23 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 E8 ?? ?? ?? ?? FF 45 F0 4E 75 E5 8B 75 EC 4E 85 F6 7C 21 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 E4 E8 ?? ?? ?? ?? FF 45 F0 4E 75 E7 8B 45 E4 8B 70 08 4E 85 F6 0F 8C 2B 01 00 00 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D4 E8 ?? ?? ?? ?? 85 C0 0F 84 FE 00 00 00 8B 55 EC 52 8B 4D F4 B2 01 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DB 01 8B 7D EC 4F 85 FF 7C 7B 47 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 E8 74 37 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 50 8B 45 DC E8 ?? ?? ?? ?? 5A 3B D0 74 06 C6 45 DB 00 EB 2D 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 DC E8 ?? ?? ?? ?? 43 4F 75 88 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D DB 00 74 29 8B 45 DC 8B 10 FF 52 28 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 DC 8B 45 0C FF 55 08 EB 12 8B 45 DC E8 ?? ?? ?? ?? EB 08 8B 45 DC E8 ?? ?? ?? ?? FF 45 F0 4E 0F 85 DD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 8B 70 08 4E 85 F6 7C 1E 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F0 4E 75 EA 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8146_0 {
	meta:
		name = "RegisterComponentEditor"
		size = 75
		refs = "0008 ComponentClassList 0012 _Dn_TList 0017 TObject.Create 0026 @GetMem 002c CurrentGroup 0044 TList.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 89 10 89 58 04 89 70 08 8B C8 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8147_0 {
	meta:
		name = "GetComponentEditor"
		size = 195
		refs = "0013 @IntfAddRef 001b GetComponentEditor 0027 _Dn_TPersistent 002c _DV_TDefaultEditor 0034 ComponentClassList 0054 TList.Get 0063 @IsClass 0074 TObject.InheritsFrom 00ae @IntfClear 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 3D ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 8B 40 08 48 85 C0 7C 4D 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 73 04 8B D6 E8 ?? ?? ?? ?? 84 C0 74 1A 3B FE 74 16 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B 43 08 89 45 F0 8B 7B 04 FF 45 F4 FF 4D EC 75 BE 8B 45 F8 50 8B 4D FC B2 01 8B 45 F0 FF 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8148_0 {
	meta:
		name = "NewEditorGroup"
		size = 72
		refs = "0002 EditorGroupList 000c _Dn_TBits 0011 TObject.Create 0020 TBits.OpenBit 0026 CurrentGroup 003c TBits.SetBit"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 8B 15 ?? ?? ?? ?? 8B 12 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_8149_0 {
	meta:
		name = "FreeEditorGroup"
		size = 251
		refs = "0007 PropertyClassList 001d TList.Get 002d TList.Delete 0033 TPropertyClassRec 003a @Dispose 0045 ComponentClassList 0078 @FreeMem 0084 PropertyMapperList 00cb FreeCustomModulesProc 00df EditorGroupList 00f2 TBits.SetBit"
	strings:
		$1 = { 53 56 57 55 8B F0 BD ?? ?? ?? ?? 8B 45 00 8B 58 08 4B 83 FB FF 7E 2D 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B F8 3B 37 75 17 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 7F D3 A1 ?? ?? ?? ?? 8B 58 08 4B 83 FB FF 7E 30 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 3B 37 75 18 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 7F D0 83 3D ?? ?? ?? ?? 00 74 3E A1 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 30 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 3B 37 75 18 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 08 00 00 00 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D0 83 3D ?? ?? ?? ?? 00 74 08 8B C6 FF 15 ?? ?? ?? ?? 85 F6 7C 18 A1 ?? ?? ?? ?? 3B 70 04 7D 0E 33 C9 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8150_0 {
	meta:
		name = "TComponentEditor.Create"
		size = 128
		refs = "000e @ClassCreate 001c @IntfAddRef 0024 TComponentEditor.Create 0033 TObject.Create 0041 @IntfCopy 0056 @IntfClear 005c @HandleFinally 0069 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8D 47 10 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8151_0 {
	meta:
		name = "TComponentEditor.Edit"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 10 85 C0 7E 09 33 D2 8B C3 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_8158_0 {
	meta:
		name = "TDefaultEditor.CheckEdit"
		size = 89
		refs = "0012 TDefaultEditor.CheckEdit 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC C6 45 FB 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 20 00 74 0F 8D 55 FB 52 8D 48 20 8B 55 FC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8159_0 {
	meta:
		name = "ReplaceBest"
		size = 68
		refs = "000d TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 89 42 1C 8B 55 08 8B 55 08 8B 52 FC 3B 42 18 75 0B 8B 45 08 8B 40 FC 33 D2 89 50 18 8B 45 08 8B 40 08 C6 00 00 5D C3 }
	condition:
		$1
}

rule function_8160_0 {
	meta:
		name = "TDefaultEditor.EditProperty"
		size = 324
		refs = "0019 TDefaultEditor.EditProperty 0031 _DV_TMethodProperty 0036 @IsClass 005c @LStrClr 007d CompareText 0087 ReplaceBest 00f8 @LStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 5D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 18 00 75 21 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 C6 00 00 8B 45 FC 8B 55 F8 89 50 18 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 1C 85 DB 74 0A 8D 55 F0 8B C3 8B 08 FF 51 18 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 09 55 E8 ?? ?? ?? ?? 59 EB 54 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 43 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 09 55 E8 ?? ?? ?? ?? 59 EB 29 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 18 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 00 FF FF FF FF 08 00 00 00 4F 4E 43 52 45 41 54 45 00 00 00 00 FF FF FF FF 08 00 00 00 4F 4E 43 48 41 4E 47 45 00 00 00 00 FF FF FF FF 07 00 00 00 4F 4E 43 4C 49 43 4B 00 }
	condition:
		$1
}

rule function_8161_0 {
	meta:
		name = "TDefaultEditor.Edit"
		size = 296
		refs = "0012 TDefaultEditor.Edit 001f _DV_TComponentList 0024 TComponentList.Create 004a TComponentList.Add 0071 TDefaultEditor.CheckEdit 007c TComponentEditor.GetDesigner 008d GetComponentProperties 00ce TObject.Free 00df @HandleFinally 0113 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC C6 40 20 01 8B 45 FC 8B 50 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 18 8B 45 FC 33 D2 89 50 1C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 20 00 74 20 8B 45 FC 8B 40 1C 85 C0 74 07 8B 10 FF 52 0C EB 0F 8B 45 FC 8B 40 18 85 C0 74 05 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 FF FF 03 00 }
	condition:
		$1
}

rule function_8162_0 {
	meta:
		name = "TCustomModule.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TCustomModule.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8168_0 {
	meta:
		name = "TCustomModule.ValidateComponent"
		size = 40
		refs = "0007 TCustomModule.ValidateComponent 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15410_0 {
	meta:
		name = "TCustomProvider.SetParams"
		size = 40
		refs = "0007 TCustomProvider.SetParams 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8192_0 {
	meta:
		name = "TDesignWindow.ComponentDeleted"
		size = 40
		refs = "0007 TDesignWindow.ComponentDeleted 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8169_0 {
	meta:
		name = "RegisterCustomModule"
		size = 27
		refs = "0002 RegisterCustomModuleProc 000b CurrentGroup"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 11 8B 0D ?? ?? ?? ?? 8B 09 91 87 D1 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8170_0 {
	meta:
		name = "MakeIPersistent"
		size = 28
		refs = "0008 MakeIPersistentProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 0A 8B D6 8B C3 FF 15 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8173_0 {
	meta:
		name = "MakeIComponent"
		size = 28
		refs = "0008 MakeIComponentProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 0A 8B D6 8B C3 FF 15 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8171_0 {
	meta:
		name = "ExtractPersistent"
		size = 120
		refs = "000c ExtractPersistent 0029 @IntfCast 0037 _Dn_TPersistent 003c @AsClass 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 04 33 DB EB 24 8D 45 FC 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 F2 48 D4 F9 BC 50 D1 11 9F B5 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_8174_0 {
	meta:
		name = "ExtractComponent"
		size = 120
		refs = "000c ExtractComponent 0029 @IntfCast 0037 _Dn_TComponent 003c @AsClass 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 04 33 DB EB 24 8D 45 FC 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 F2 48 D4 F9 BC 50 D1 11 9F B5 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_8172_0 {
	meta:
		name = "TryExtractPersistent"
		size = 152
		refs = "000d TryExtractPersistent 0021 @IntfClear 004a _Dn_TPersistent 004f @IsClass 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 DB 74 44 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 53 8B 03 FF 10 85 C0 75 2D 8B 45 FC 8B 10 FF 52 0C 85 C0 74 21 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC 8B 10 FF 52 0C 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 00 00 00 F2 48 D4 F9 BC 50 D1 11 9F B5 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_8175_0 {
	meta:
		name = "TryExtractComponent"
		size = 37
		refs = "0002 TryExtractPersistent 0010 _Dn_TComponent 0015 @IsClass"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_8176_0 {
	meta:
		name = "_NF__433"
		size = 125
		refs = "0005 TSelectionList.Add 000d TSelectionList.Equals 0015 TSelectionList.Get 001d TSelectionList.GetCount 0027 TInterfacedObject.QueryInterface 0031 TInterfacedObject._AddRef 003b TInterfacedObject._Release 0041 _NF__433"
	strings:
		$1 = { CC 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 C0 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 34 01 33 82 D1 65 D1 11 9F BB 00 20 AF 3D 82 DA ?? ?? ?? ?? 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8177_0 {
	meta:
		name = "TSelectionList.Create"
		size = 82
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TInterfaceList 0023 TInterfaceList.Create 0034 @IntfCopy 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 0C E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8178_0 {
	meta:
		name = "TSelectionList.Add"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 38 C3 }
	condition:
		$1
}

rule function_8179_0 {
	meta:
		name = "TSelectionList.Equals"
		size = 185
		refs = "001b TSelectionList.Equals 009b @IntfClear 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 F8 8B 10 FF 52 18 8B D8 8B 45 FC 8B 40 0C 8B 10 FF 52 14 3B D8 75 48 8B 45 F8 8B 10 FF 52 18 8B F0 4E 85 F6 7C 35 46 33 DB 8D 4D F0 8B 45 FC 8B 40 0C 8B D3 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC 8B D3 8B 45 F8 8B 38 FF 57 14 8B 45 EC 5A 8B 08 FF 51 10 84 C0 74 08 43 4E 75 CE C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8180_0 {
	meta:
		name = "TSelectionList.Get"
		size = 93
		refs = "0018 TSelectionList.Get 0036 @IntfCopy 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 0C 8B 18 FF 53 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8181_0 {
	meta:
		name = "TSelectionList.GetCount"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_8182_0 {
	meta:
		name = "CreateSelectionList"
		size = 33
		refs = "0006 _DV_TSelectionList 000b TSelectionList.Create 001b @IntfCopy"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8183_0 {
	meta:
		name = "Finalization"
		size = 109
		refs = "0007 Finalization 0013 _DV_53 001a EditorGroupList 001f TObject.Free 0024 PropertyClassList 002e ComponentClassList 0038 PropertyMapperList 0042 ModalResults 004d String 0052 @FinalizeArray 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_8186_0 {
	meta:
		name = "TDesignWindow.Create"
		size = 125
		refs = "0011 @ClassCreate 001e TCustomForm.Create 0023 CompLib 003f DelphiIDE 0066 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 91 84 00 00 00 8B 46 38 50 8B 46 3C 50 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 3C 8B 4D FC 83 C1 02 BA C8 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8187_0 {
	meta:
		name = "TDesignWindow.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 000c CompLib 0024 TCustomForm.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 91 A0 00 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8189_0 {
	meta:
		name = "TDesignWindow.WMActivate"
		size = 59
		refs = "000b TCustomForm.WMActivate 0022 DelphiIDE 0034 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7E 04 00 0F 95 C0 88 83 D0 02 00 00 84 C0 74 17 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 18 8B C3 66 BB B0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8190_0 {
	meta:
		name = "TDesignWindow.ActivateInspector"
		size = 17
		refs = "0003 DelphiIDE"
	strings:
		$1 = { 53 8B 0D ?? ?? ?? ?? 8B 09 91 8B 18 FF 53 48 5B C3 }
	condition:
		$1
}

rule function_8191_0 {
	meta:
		name = "TDesignWindow.ClipboardComponents"
		size = 127
		refs = "000a TDesignWindow.ClipboardComponents 0015 Clipboard 001b CF_COMPONENTS 0023 TClipboard.HasFormat 0046 TClipboard.GetAsText 004e PossibleStream 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 66 8B 12 E8 ?? ?? ?? ?? 84 C0 75 2F E8 ?? ?? ?? ?? 66 BA 01 00 E8 ?? ?? ?? ?? 84 C0 74 19 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8193_0 {
	meta:
		name = "TDesignWindow.CopyComponents"
		size = 214
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0020 TDesignWindow.CopyComponents 0035 _Dn_TWriter 003a TFiler.Create 0058 TComponentList.GetCount 006a TWriter.WriteSignature 0073 TComponentList.Get 007d TWriter.WriteComponent 0089 TWriter.WriteListEnd 009e TObject.Free 00a4 @HandleFinally 00ae CopyStreamToClipboard"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 18 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 22 43 33 F6 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 E1 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8194_0 {
	meta:
		name = "TDesignWindow.GetEditState"
		size = 12
		refs = "0002 TDesignWindow.GetEditState"
	strings:
		$1 = { 66 A1 ?? ?? ?? ?? C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_8198_0 {
	meta:
		name = "TDesignWindow.ComponentRead"
		size = 12
		refs = "0007 TComponentList.Add"
	strings:
		$1 = { 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16098_0 {
	meta:
		name = "TQRStandardPreview.FormResize"
		size = 12
		refs = "0007 TQRPreview.UpdateZoom"
	strings:
		$1 = { 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8199_0 {
	meta:
		name = "TDesignWindow.ReaderSetName"
		size = 129
		refs = "0019 TDesignWindow.ReaderSetName 0038 TComponent.FindComponent 0057 @LStrAsg 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 18 8B B3 C8 02 00 00 3B C6 75 2B 8B 55 08 8B 12 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1B 8D 4D F8 8B 55 FC 8B C3 8B 18 FF 93 D4 00 00 00 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8200_0 {
	meta:
		name = "TDesignWindow.PasteComponents"
		size = 187
		refs = "0010 GetClipboardStream 001b TDesignWindow.PasteComponents 0030 _Dn_TReader 0035 TFiler.Create 0053 TDesignWindow.ReaderSetName 0068 TDesignWindow.ComponentRead 0074 TReader.ReadComponents 0089 TObject.Free 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 40 C7 40 3C ?? ?? ?? ?? 89 B3 C8 02 00 00 8B 45 08 89 83 C4 02 00 00 53 68 ?? ?? ?? ?? 8B CF 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8202_0 {
	meta:
		name = "TDesignWindow.SetSelection"
		size = 36
		refs = "000b CompLib"
	strings:
		$1 = { 53 85 D2 74 03 83 EA EC 52 8B 15 ?? ?? ?? ?? 8B 12 8B C8 8B 80 CC 02 00 00 92 8B 18 FF 93 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8205_0 {
	meta:
		name = "FreeDataPacket"
		size = 22
		refs = "000c SafeArrayDestroy"
	strings:
		$1 = { 53 8B D8 83 3B 00 74 0C 8B 03 50 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_8206_0 {
	meta:
		name = "VarToDataPacket"
		size = 126
		refs = "000c VarToDataPacket 0019 VarIsNull 0028 VarIsArray 0038 VarArrayHighBound 0045 SInvalidDataPacket 004a LoadResString 0054 DatabaseError 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 F8 14 7F 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 5B 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8207_0 {
	meta:
		name = "DataPacketSize"
		size = 27
		refs = "0009 SafeArrayGetUBound 000e OleCheck"
	strings:
		$1 = { 53 51 8B D8 54 6A 01 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_8208_0 {
	meta:
		name = "DataPacketToVariant"
		size = 44
		refs = "000d @VarClear 0020 Null 0025 @OleVarFromVar"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 12 8B C3 E8 ?? ?? ?? ?? 66 C7 03 11 20 89 73 08 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8213_0 {
	meta:
		name = "TDataSetPageProducer.GetDataSet"
		size = 4
	strings:
		$1 = { 8B 40 38 C3 }
	condition:
		$1
}

rule function_8214_0 {
	meta:
		name = "TDataSetPageProducer.SetDataSet"
		size = 30
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 38 74 10 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 38 5E 5B C3 }
	condition:
		$1
}

rule function_8215_0 {
	meta:
		name = "TDataSetPageProducer.Notification"
		size = 39
		refs = "0010 TCustomContentProducer.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 38 75 05 33 C0 89 47 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8216_0 {
	meta:
		name = "TDataSetPageProducer.DoTagEvent"
		size = 151
		refs = "001c TDataSetPageProducer.DoTagEvent 003d TDataSet.FindField 0051 TField.GetDisplayText 005c @LStrAsg 006d TPageProducer.DoTagEvent 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 85 C0 75 2F 83 7B 38 00 74 29 8B D7 8B 43 38 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 16 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? 56 8B 45 08 50 8B CF 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8217_0 {
	meta:
		name = "TDataSetPageProducer.Content"
		size = 46
		refs = "0011 TDataSet.GetActive 001d TDataSet.Open 0026 TCustomPageProducer.Content"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 38 85 F6 74 13 8B C6 E8 ?? ?? ?? ?? 84 C0 75 08 8B 43 38 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8221_0 {
	meta:
		name = "GetChartEditClass"
		size = 31
		refs = "0005 Application 000e _Dn_TChartEditForm 0013 TCustomForm.Create"
	strings:
		$1 = { 53 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 98 2C 03 00 00 5B C3 }
	condition:
		$1
}

rule function_8222_0 {
	meta:
		name = "EditSeries"
		size = 85
		refs = "000b GetChartEditClass 0016 EditSeries 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 43 54 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 40 03 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8223_0 {
	meta:
		name = "EditChartPage"
		size = 84
		refs = "000a GetChartEditClass 0015 EditChartPage 0044 TObject.Free 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 8B C2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 44 03 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8224_0 {
	meta:
		name = "EditChartTitle"
		size = 98
		refs = "000b GetChartEditClass 0016 EditChartTitle 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 43 04 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 34 03 00 00 8B 45 FC C7 80 44 03 00 00 03 00 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8225_0 {
	meta:
		name = "EditChartWall"
		size = 98
		refs = "000b GetChartEditClass 0016 EditChartWall 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 43 14 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 38 03 00 00 8B 45 FC C7 80 44 03 00 00 07 00 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8226_0 {
	meta:
		name = "EditChartAxis"
		size = 101
		refs = "000e GetChartEditClass 0019 EditChartAxis 0055 TObject.Free 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 30 03 00 00 8B 45 FC C7 80 44 03 00 00 02 00 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8227_0 {
	meta:
		name = "EditDSSChart"
		size = 81
		refs = "0007 GetChartEditClass 0012 EditDSSChart 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B C2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 49 03 00 00 01 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8230_0 {
	meta:
		name = "EditChartPart"
		size = 101
		refs = "000d EditChartPart 002a EditChartLegend 0034 EditChartAxis 003e EditSeries 004b EditChartTitle 005f EditChart"
	strings:
		$1 = { 53 33 DB 8A 19 83 FB 05 77 54 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 51 0C E8 ?? ?? ?? ?? 5B C3 8B 51 08 E8 ?? ?? ?? ?? 5B C3 8B 92 80 03 00 00 E8 ?? ?? ?? ?? 5B C3 8B 92 1C 03 00 00 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8355_0 {
	meta:
		name = "RegisterLibraryExpert"
		size = 16
		refs = "0002 LibraryExpertProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8358_0 {
	meta:
		name = "DoRect"
		size = 193
		refs = "0034 TPen.SetColor 006a TCanvas.Polyline"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B 5D 08 8B 5B FC 8B 43 08 89 45 F8 8B 43 04 89 45 FC 8B 03 89 45 F0 8B 43 0C 89 45 F4 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 40 10 E8 ?? ?? ?? ?? 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 03 89 45 E0 8B 43 04 89 45 E4 8B 45 F8 89 45 E8 8B 45 FC 89 45 EC 8D 55 D8 8B 45 08 8B 40 F8 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 50 0C 8B 45 08 8B 40 F8 8B 40 10 E8 ?? ?? ?? ?? FF 4D F0 8B 45 F8 89 45 D8 8B 45 FC 89 45 DC 8B 43 08 89 45 E0 8B 43 0C 89 45 E4 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC 8D 55 D8 8B 45 08 8B 40 F8 B9 02 00 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8359_0 {
	meta:
		name = "Frame3D"
		size = 95
		refs = "001f TPen.SetWidth 0036 DoRect 0044 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 FC 89 45 F8 8B 5D 08 8B 45 F8 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC FF 48 0C 8B 45 FC FF 48 08 85 DB 7E 19 4B 55 E8 ?? ?? ?? ?? 59 6A FF 6A FF 8B 45 FC 50 E8 ?? ?? ?? ?? 85 DB 7F E7 8B 45 FC FF 40 0C 8B 45 FC FF 40 08 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8360_0 {
	meta:
		name = "TShape.Create"
		size = 164
		refs = "000e @ClassCreate 001c TGraphicControl.Create 0021 TShape.Create 0033 TControl.SetWidth 003f TControl.SetHeight 0046 _Dn_TPen 004b TPen.Create 005d TShape.StyleChanged 0064 _Dn_TBrush 0069 TBrush.Create 0088 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 01 00 00 89 5E 08 C7 46 04 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 01 00 00 89 5E 08 C7 46 04 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_8361_0 {
	meta:
		name = "TShape.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TGraphicControl.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B 86 1C 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8362_0 {
	meta:
		name = "TShape.Paint"
		size = 288
		refs = "0018 TCanvas.SetPen 0025 TCanvas.SetBrush 002d TPen.GetWidth 00d3 TCanvas.Rectangle 00fb TCanvas.RoundRect 0115 TCanvas.Ellipse"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B B3 14 01 00 00 8B 93 18 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 1C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 04 24 8B 04 24 89 44 24 04 8B 46 10 E8 ?? ?? ?? ?? 8B 7B 38 2B F8 47 8B 46 10 E8 ?? ?? ?? ?? 8B 6B 3C 2B E8 45 8B 46 10 E8 ?? ?? ?? ?? 85 C0 75 02 4F 4D 3B EF 7E 04 8B C7 EB 02 8B C5 8A 93 20 01 00 00 80 EA 01 74 0A 80 EA 02 74 05 80 EA 02 75 1D 2B F8 D1 FF 79 03 83 D7 00 01 3C 24 2B E8 D1 FD 79 03 83 D5 00 01 6C 24 04 8B F8 8B E8 8A 93 20 01 00 00 80 EA 02 72 0C 80 EA 02 72 21 80 EA 02 72 44 EB 5A 03 3C 24 57 03 6C 24 08 55 8B 4C 24 0C 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 40 03 3C 24 57 03 6C 24 08 55 8B D0 85 D2 79 03 83 C2 03 C1 FA 02 52 52 8B 4C 24 14 8B C6 8B 54 24 10 E8 ?? ?? ?? ?? EB 18 03 3C 24 57 03 6C 24 08 55 8B 4C 24 0C 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8364_0 {
	meta:
		name = "TShape.SetBrush"
		size = 12
	strings:
		$1 = { 8B 80 1C 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_8365_0 {
	meta:
		name = "TShape.SetPen"
		size = 12
	strings:
		$1 = { 8B 80 18 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_8366_0 {
	meta:
		name = "TCustomLabel.SetShowAccelChar"
		size = 20
		altNames = "TShape.SetShape"
	strings:
		$1 = { 3A 90 20 01 00 00 74 0B 88 90 20 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_8367_0 {
	meta:
		name = "TPaintBox.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001c TPaintBox.Create 002e TControl.SetWidth 003a TControl.SetHeight 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 08 00 00 }
	condition:
		$1
}

rule function_8368_0 {
	meta:
		name = "TPaintBox.Paint"
		size = 113
		refs = "000e TCanvas.SetFont 001f TBrush.SetColor 0035 TPen.SetStyle 003f TBrush.SetStyle 0052 TCanvas.Rectangle"
	strings:
		$1 = { 53 56 8B D8 8B 53 58 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 8B 83 14 01 00 00 8B 40 14 8B 53 64 E8 ?? ?? ?? ?? F6 43 20 10 74 2D 8B B3 14 01 00 00 B2 01 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 66 83 BB 1A 01 00 00 00 74 0E 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8369_0 {
	meta:
		name = "TImage.Create"
		size = 148
		refs = "000e @ClassCreate 001c TGraphicControl.Create 0021 TImage.Create 002e _Dn_TPicture 0033 TPicture.Create 0045 TImage.PictureChanged 0053 @FindDynaInst 0062 TControl.SetHeight 006e TControl.SetWidth 007b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 89 5E 18 8B C3 66 BA CE FF E8 ?? ?? ?? ?? 89 46 14 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 08 00 00 }
	condition:
		$1
}

rule function_8370_0 {
	meta:
		name = "TImage.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TGraphicControl.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8371_0 {
	meta:
		name = "TImage.GetPalette"
		size = 27
	strings:
		$1 = { 33 D2 8B 88 18 01 00 00 8B 49 04 85 C9 74 09 8B C1 8B 10 FF 52 24 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_8372_0 {
	meta:
		name = "TImage.DestRect"
		size = 157
		refs = "002b TPicture.GetHeight 0050 TPicture.GetWidth 0071 Bounds 0096 Rect"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 24 01 00 00 00 74 0C 8B D6 8B C3 8B 08 FF 51 44 5E 5B C3 80 BB 25 01 00 00 00 74 53 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 56 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 53 3C 2B D0 D1 FA 79 03 83 D2 00 52 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B 53 38 2B D0 D1 FA 79 03 83 D2 00 52 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B C8 58 5A E8 ?? ?? ?? ?? EB 23 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 56 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8373_0 {
	meta:
		name = "TImage.Paint"
		size = 189
		refs = "0022 TPen.SetStyle 002c TBrush.SetStyle 0045 TCanvas.Rectangle 0063 TImage.Paint 007d TImage.DestRect 0093 TCanvas.StretchDraw 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC 8B 45 FC F6 40 20 10 74 36 8B 45 FC 8B 98 14 01 00 00 8B 43 10 B2 01 E8 ?? ?? ?? ?? 8B 43 14 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 50 8B 45 FC 8B 40 3C 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8A 80 28 01 00 00 88 45 FB 8B 45 FC C6 80 28 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 14 01 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 18 01 00 00 8B 48 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 28 01 00 00 C3 E9 ?? ?? ?? ?? EB EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8374_0 {
	meta:
		name = "TImage.DoPaletteChange"
		size = 151
		refs = "003b GetParentForm 0051 TWinControl.HandleAllocated 006e TControl.Perform 0080 TWinControl.GetHandle 0086 PostMessage"
	strings:
		$1 = { 53 56 57 55 8B E8 33 DB 8B 85 18 01 00 00 8B 70 04 80 7D 47 00 74 79 F6 45 20 01 75 73 85 F6 74 6F 80 7E 16 00 74 69 8B C6 8B 10 FF 52 24 85 C0 75 06 C6 46 16 00 EB 58 8B C5 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4B 80 BF 0E 02 00 00 00 74 42 8B C7 E8 ?? ?? ?? ?? 84 C0 74 37 80 BD 28 01 00 00 00 74 12 6A 00 33 C9 BA 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? EB 16 6A 00 6A 00 68 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B3 01 C6 46 16 00 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8375_0 {
	meta:
		name = "TImage.Progress"
		size = 106
		refs = "001c TImage.DoPaletteChange"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 8B 5D 10 84 9E 26 01 00 00 74 21 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 10 FF 92 84 00 00 00 EB 0A 8B C6 8B 10 FF 92 88 00 00 00 66 83 BE 1E 01 00 00 00 74 1E 8A 45 14 50 53 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D7 8B 86 20 01 00 00 FF 96 1C 01 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_8376_0 {
	meta:
		name = "TImage.GetCanvas"
		size = 256
		refs = "0013 TImage.GetCanvas 002f _Dn_TBitmap 0034 TBitmap.Create 0072 TPicture.SetGraphic 0087 TObject.Free 008d @HandleFinally 00a8 @IsClass 00b3 TBitmap.GetCanvas 00bf SImageCanvasNeedsBitmap 00c4 LoadResString 00ce _Dn_EInvalidOperation 00d3 Exception.Create 00d8 @RaiseExcept 00ed @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 01 00 00 83 78 04 00 75 67 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 38 8B 45 F8 8B 08 FF 51 40 8B 45 FC 8B 50 3C 8B 45 F8 8B 08 FF 51 34 8B 45 FC 8B 80 18 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 18 01 00 00 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8377_0 {
	meta:
		name = "TImage.SetCenter"
		size = 22
		refs = "0011 TImage.PictureChanged"
	strings:
		$1 = { 3A 90 25 01 00 00 74 0D 88 90 25 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8378_0 {
	meta:
		name = "TImage.SetPicture"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 18 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_8379_0 {
	meta:
		name = "TImage.SetStretch"
		size = 22
		refs = "0011 TImage.PictureChanged"
	strings:
		$1 = { 3A 90 24 01 00 00 74 0D 88 90 24 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8380_0 {
	meta:
		name = "TImage.SetTransparent"
		size = 22
		refs = "0011 TImage.PictureChanged"
	strings:
		$1 = { 3A 90 27 01 00 00 74 0D 88 90 27 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8381_0 {
	meta:
		name = "TImage.PictureChanged"
		size = 284
		refs = "0011 TPicture.GetWidth 0020 TPicture.GetHeight 0065 _Dn_TMetafile 006a @IsClass 0076 _Dn_TIcon 00bd TImage.PictureChanged 00d9 TImage.DoPaletteChange"
	strings:
		$1 = { 53 56 8B D8 80 7B 4C 00 74 46 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 37 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 28 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 96 80 00 00 00 8B 83 18 01 00 00 8B 70 04 85 F6 0F 84 95 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8A 93 27 01 00 00 8B C6 8B 08 FF 51 3C 8B C6 8B 10 FF 52 28 84 C0 75 2E 80 BB 24 01 00 00 00 75 18 8B C6 8B 10 FF 52 2C 3B 43 38 7C 19 8B C6 8B 10 FF 52 20 3B 43 3C 7C 0D A1 ?? ?? ?? ?? 0B 43 40 89 43 40 EB 0D A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 80 BB 28 01 00 00 00 74 19 8B C3 8B 10 FF 92 84 00 00 00 EB 0D A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 80 BB 28 01 00 00 00 75 07 8B C3 8B 10 FF 52 78 5E 5B C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_8382_0 {
	meta:
		name = "TImage.CanAutoSize"
		size = 102
		refs = "0019 TPicture.GetWidth 0028 TPicture.GetHeight"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B3 01 F6 46 20 10 74 1E 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 3E 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 2F 8A 46 4B 84 C0 74 06 04 FD 2C 02 73 0D 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 89 07 8A 46 4B 2C 03 73 0E 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 89 45 00 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8383_0 {
	meta:
		name = "TBevel.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001c TBevel.Create 003c TControl.SetWidth 0048 TControl.SetHeight 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 C6 86 18 01 00 00 00 C6 86 19 01 00 00 00 BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_8384_0 {
	meta:
		name = "TBevel.SetStyle"
		size = 20
	strings:
		$1 = { 3A 90 18 01 00 00 74 0B 88 90 18 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_8385_0 {
	meta:
		name = "TBevel.SetShape"
		size = 20
	strings:
		$1 = { 3A 90 19 01 00 00 74 0B 88 90 19 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_8386_0 {
	meta:
		name = "BevelRect"
		size = 239
		refs = "0020 TPen.SetColor 002d Point 007b TCanvas.Polyline"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B D8 8B 45 08 8B 40 FC 8B B0 14 01 00 00 8B 45 08 8B 50 F8 8B 46 10 E8 ?? ?? ?? ?? 8D 4D E0 8B 53 0C 8B 03 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 8D 4D D8 8B 53 04 8B 03 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 8D 4D D0 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 D0 89 45 F8 8B 45 D4 89 45 FC 8D 55 E8 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F4 8B 46 10 E8 ?? ?? ?? ?? 8D 4D E0 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 8D 4D D8 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 8D 4D D0 8B 53 0C 8B 03 E8 ?? ?? ?? ?? 8B 45 D0 89 45 F8 8B 45 D4 89 45 FC 8D 55 E8 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8387_0 {
	meta:
		name = "BevelLine"
		size = 63
		refs = "001c TPen.SetColor 0027 TCanvas.MoveTo 0034 TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 55 10 8B 52 FC 8B 9A 14 01 00 00 8B D0 8B 43 10 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8388_0 {
	meta:
		name = "TBevel.Paint"
		size = 647
		refs = "0032 TPen.SetStyle 003c TPen.SetMode 0049 TPen.SetColor 0053 TBrush.SetStyle 005b TControl.GetClientWidth 0064 TControl.GetClientHeight 0070 TCanvas.Rectangle 00aa TPen.SetWidth 00ee TBevel.Paint 0123 Rect 012b BevelRect 01b1 BevelLine"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 45 FC 8B 45 FC 8B 98 14 01 00 00 8B 45 FC F6 40 20 10 0F 84 81 00 00 00 8B 45 FC 80 B8 19 01 00 00 06 75 4D B2 02 8B 43 10 E8 ?? ?? ?? ?? B2 0E 8B 43 10 E8 ?? ?? ?? ?? BA CE D8 FF 00 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? E9 09 02 00 00 33 D2 8B 43 10 E8 ?? ?? ?? ?? B2 04 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 18 01 00 00 00 75 10 C7 45 F8 10 00 00 80 C7 45 F4 14 00 00 80 EB 0E C7 45 F8 14 00 00 80 C7 45 F4 10 00 00 80 8B 45 FC 0F B6 80 19 01 00 00 83 F8 05 0F 87 97 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8B 45 FC 8B 40 3C 48 50 8D 45 E4 50 8B 45 FC 8B 48 38 49 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 E9 4D 01 00 00 8B 5D F8 8B 45 F4 89 45 F8 55 8B 45 FC 8B 40 3C 48 50 8D 45 E4 50 8B 45 FC 8B 48 38 49 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 89 5D F4 89 5D F8 55 8B 45 FC 8B 40 3C 83 E8 02 50 8D 45 E4 50 8B 45 FC 8B 48 38 83 E9 02 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 E9 E3 00 00 00 55 8B 45 FC 8B 40 38 50 6A 00 33 C9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 38 50 6A 01 B9 01 00 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 59 E9 AD 00 00 00 55 8B 55 FC 8B 52 38 52 8B 45 FC 8B 40 3C 83 E8 02 50 8B C8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 55 FC 8B 52 38 52 8B 45 FC 8B 40 3C 48 50 8B C8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 6F 55 6A 00 8B 45 FC 8B 40 3C 50 33 C9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 6A 01 8B 45 FC 8B 40 3C 50 33 C9 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 3C 55 8B 45 FC 8B 40 38 83 E8 02 50 8B 55 FC 8B 52 3C 52 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 38 48 50 8B 55 FC 8B 52 3C 52 8B D0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8389_0 {
	meta:
		name = "TTimer.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TComponent.Create 0028 TTimer.WndProc 002d AllocateHWnd 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 34 01 C7 46 24 E8 03 00 00 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8390_0 {
	meta:
		name = "TTimer.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0012 TTimer.UpdateTimer 001a DeallocateHWnd 0026 TComponent.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 34 00 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8391_0 {
	meta:
		name = "TTimer.WndProc"
		size = 115
		refs = "001a TTimer.WndProc 002c @CallDynaInst 003b @HandleAnyException 0040 Application 004a TApplication.HandleException 004f @DoneExcept 0066 DefWindowProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 33 81 FE 13 01 00 00 75 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 40 28 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8392_0 {
	meta:
		name = "TTimer.UpdateTimer"
		size = 139
		refs = "000d TTimer.UpdateTimer 001e KillTimer 0040 SetTimer 004c SNoTimers 0051 LoadResString 005b _Dn_EOutOfResources 0060 Exception.Create 0065 @RaiseExcept 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 43 28 50 E8 ?? ?? ?? ?? 8B 73 24 85 F6 74 40 80 7B 34 00 74 3A 66 83 7B 2E 00 74 33 6A 00 56 6A 01 8B 43 28 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15580_0 {
	meta:
		name = "TThreadTimer.UpdateTimer"
		size = 139
		refs = "000d TThreadTimer.UpdateTimer 001e KillTimer 0040 SetTimer 004c sPSk_Cons_msg_NoTimer 0051 LoadResString 005b _Dn_Exception 0060 Exception.Create 0065 @RaiseExcept 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 43 28 50 E8 ?? ?? ?? ?? 8B 73 24 85 F6 74 40 80 7B 34 00 74 3A 66 83 7B 2E 00 74 33 6A 00 56 6A 01 8B 43 28 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8393_0 {
	meta:
		name = "TTimer.SetEnabled"
		size = 14
		refs = "0009 TTimer.UpdateTimer"
	strings:
		$1 = { 3A 50 34 74 08 88 50 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12196_0 {
	meta:
		name = "TMenu.SetOwnerDraw"
		size = 14
		refs = "0009 TMenu.UpdateItems"
	strings:
		$1 = { 3A 50 34 74 08 88 50 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15581_0 {
	meta:
		name = "TThreadTimer.SetEnabled"
		size = 14
		refs = "0009 TThreadTimer.UpdateTimer"
	strings:
		$1 = { 3A 50 34 74 08 88 50 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8395_0 {
	meta:
		name = "TTimer.SetOnTimer"
		size = 24
		refs = "0010 TTimer.UpdateTimer"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 2C 8B 55 0C 89 50 30 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_15583_0 {
	meta:
		name = "TThreadTimer.SetOnTimer"
		size = 24
		refs = "0010 TThreadTimer.UpdateTimer"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 2C 8B 55 0C 89 50 30 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_8397_0 {
	meta:
		name = "TCustomPanel.Create"
		size = 152
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001c TCustomPanel.Create 002b TControl.SetWidth 0037 TControl.SetHeight 0047 TCustomPanel.SetBevelOuter 0053 TCustomPanel.SetBevelWidth 0066 TControl.SetColor 0076 TWinControl.SetUseDockManager 0081 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 29 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 FF 01 00 00 02 B2 02 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 FC 01 00 00 00 BA 0F 00 00 80 8B C6 E8 ?? ?? ?? ?? C6 86 FD 01 00 00 01 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 EB 08 00 00 }
	condition:
		$1
}

rule function_8398_0 {
	meta:
		name = "TCustomPanel.CreateParams"
		size = 82
		refs = "000b TWinControl.CreateParams 001a BorderStyles 0022 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 FC 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB 2C 01 00 00 00 74 17 80 BB FC 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_8401_0 {
	meta:
		name = "TCustomPanel.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB FC 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8402_0 {
	meta:
		name = "TCustomPanel.CMIsToolControl"
		size = 17
	strings:
		$1 = { 80 B8 FE 01 00 00 00 75 07 C7 42 0C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_8403_0 {
	meta:
		name = "TCustomPanel.WMWindowPosChanged"
		size = 254
		refs = "0016 TCustomPanel.WMWindowPosChanged 002f TControl.GetText 009b TWinControl.GetHandle 00a1 InvalidateRect 00d6 TWinControl.WMWindowPosChanged 00eb @LStrClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB FD 01 00 00 00 75 10 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 0C 8B C3 8B 10 FF 52 78 E9 8C 00 00 00 8B B3 F8 01 00 00 80 BB F1 01 00 00 00 74 06 03 B3 F4 01 00 00 80 BB F2 01 00 00 00 74 06 03 B3 F4 01 00 00 85 F6 7E 64 8B 43 38 89 45 F8 8B 43 3C 89 45 FC 8B 47 08 8B 40 10 3B 45 F8 74 21 33 C0 89 45 F4 8B 45 F8 2B C6 48 89 45 F0 6A FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 08 8B 40 14 3B 45 FC 74 21 33 C0 89 45 F0 8B 45 FC 2B C6 48 89 45 F4 6A FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8404_0 {
	meta:
		name = "AdjustColors"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 55 08 C7 42 FC 14 00 00 80 3C 01 75 0A 8B 55 08 C7 42 FC 10 00 00 80 8B 55 08 C7 42 F8 10 00 00 80 3C 01 75 0A 8B 45 08 C7 40 F8 14 00 00 80 5D C3 }
	condition:
		$1
}

rule function_8405_0 {
	meta:
		name = "TCustomPanel.Paint"
		size = 356
		refs = "0014 TCustomPanel.Paint 0034 AdjustColors 0051 Frame3D 00aa TBrush.SetColor 00b4 TCanvas.FillRect 00be TBrush.SetStyle 00c8 TCanvas.SetFont 00d4 TCanvas.TextHeight 00fa Alignments 0106 TControl.DrawTextBiDiModeFlags 0119 TControl.GetText 0121 @LStrToPChar 0129 TCanvas.GetHandle 012f DrawText 0144 @LStrClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 8B 08 FF 51 44 8A 83 F2 01 00 00 84 C0 74 23 55 E8 ?? ?? ?? ?? 59 8B 45 F8 50 8B 83 F4 01 00 00 50 8D 55 E8 8B 4D FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 43 64 50 8B 93 F8 01 00 00 52 8D 55 E8 8B C8 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8A 83 F1 01 00 00 84 C0 74 23 55 E8 ?? ?? ?? ?? 59 8B 45 F8 50 8B 83 F4 01 00 00 50 8D 55 E8 8B 4D FC 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B B3 EC 01 00 00 8B 53 64 8B 46 14 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 53 58 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 03 55 EC 2B D0 D1 FA 79 03 83 D2 00 89 55 EC 03 C2 89 45 F4 33 C0 8A 83 FF 01 00 00 8B 3C 85 ?? ?? ?? ?? 83 CF 44 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F8 57 8D 45 E8 50 6A FF 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_8406_0 {
	meta:
		name = "TCustomPanel.SetAlignment"
		size = 12
	strings:
		$1 = { 88 90 FF 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_8407_0 {
	meta:
		name = "TCustomPanel.SetBevelInner"
		size = 25
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 88 93 F1 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_8408_0 {
	meta:
		name = "TCustomPanel.SetBevelOuter"
		size = 25
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 88 93 F2 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_8409_0 {
	meta:
		name = "TCustomPanel.SetBevelWidth"
		size = 25
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 89 93 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_8410_0 {
	meta:
		name = "TCustomPanel.SetBorderWidth"
		size = 25
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 89 93 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_8412_0 {
	meta:
		name = "TCustomPanel.GetControlsAlignment"
		size = 7
	strings:
		$1 = { 8A 80 FF 01 00 00 C3 }
	condition:
		$1
}

rule function_8413_0 {
	meta:
		name = "TCustomPanel.AdjustClientRect"
		size = 88
		refs = "000b TWinControl.AdjustClientRect 0023 InflateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 F7 D8 50 8B 93 F8 01 00 00 F7 DA 50 56 E8 ?? ?? ?? ?? 33 C0 80 BB F2 01 00 00 00 74 06 03 83 F4 01 00 00 80 BB F1 01 00 00 00 74 06 03 83 F4 01 00 00 8B D0 F7 DA 52 F7 D8 52 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8414_0 {
	meta:
		name = "TPageAccess.Create"
		size = 72
		refs = "000e @ClassCreate 001d TObject.Create 0031 @AfterConstruction"
		altNames = "TStringGridStrings.Create TTabPageAccess.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8420_0 {
	meta:
		name = "TPageAccess.Clear"
		size = 54
		refs = "0019 TList.Get 001e TObject.Free 002e @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 0C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 0C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 0C 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8421_0 {
	meta:
		name = "TPageAccess.Delete"
		size = 82
		refs = "000c TList.Get 0011 TObject.Free 001b TList.Delete 0025 TNotebook.SetPageIndex 0033 GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 F6 40 20 10 74 1D E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 30 02 00 00 00 74 0B 8B 80 30 02 00 00 8B 10 FF 52 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8422_0 {
	meta:
		name = "TPageAccess.Insert"
		size = 111
		refs = "0010 _DV_TPage 0015 TPage.Create 002a TControl.SetText 0036 TList.Insert 0040 TNotebook.SetPageIndex 004e GetParentForm"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B C6 8B 08 FF 51 64 8B D5 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 F6 40 20 10 74 1D E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 30 02 00 00 00 74 0B 8B 80 30 02 00 00 8B 10 FF 52 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8423_0 {
	meta:
		name = "TPageAccess.Move"
		size = 65
		refs = "0014 TList.Get 002c TList.Put"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 2E 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B E8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B CD 8B D7 8B 43 0C E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8424_0 {
	meta:
		name = "TCustomPanel.CMDockClient"
		size = 317
		refs = "002a TCustomPanel.CMDockClient 0079 TControl.SetWidth 00c4 TControl.SetHeight 0101 TWinControl.CMDockClient 0106 @TryFinallyExit 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 78 4C 00 0F 84 0F 01 00 00 8B 45 FC C6 80 F0 01 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 8D 70 38 8D 7D E8 B9 04 00 00 00 F3 A5 8B 45 FC 8A 40 4B FE C8 74 60 FE C8 74 75 FE C8 74 09 FE C8 74 22 E9 98 00 00 00 8B 45 FC 83 78 38 00 0F 85 8B 00 00 00 8B 55 F0 2B 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 7B 8B 45 FC 83 78 38 00 75 72 8B 45 F0 2B 45 E8 50 8B 55 FC 8B 52 3C 52 8B 55 FC 8B 4A 34 8B 55 FC 8B 52 30 2B D0 8B 45 FC 8B 18 FF 93 80 00 00 00 EB 49 8B 45 FC 83 78 3C 00 75 40 8B 55 F4 2B 55 EC 8B 45 FC E8 ?? ?? ?? ?? EB 30 8B 45 FC 83 78 3C 00 75 27 8B 45 F4 2B 45 EC 8B 55 FC 8B 52 38 52 50 8B 55 FC 8B 4A 34 2B C8 8B 45 FC 8B 50 30 8B 45 FC 8B 18 FF 93 80 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F0 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8425_0 {
	meta:
		name = "TCustomPanel.CanAutoSize"
		size = 43
		refs = "0019 TWinControl.CanAutoSize"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB F0 01 00 00 00 75 0F 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8426_0 {
	meta:
		name = "TPage.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0020 TControl.SetVisible 0025 TPage.Create 0034 TControl.SetAlign 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 B2 05 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_8427_0 {
	meta:
		name = "TPage.Paint"
		size = 65
		refs = "0007 TCustomControl.Paint 001d TPen.SetStyle 0027 TBrush.SetStyle 003a TCanvas.Rectangle"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 2D 8B B3 EC 01 00 00 B2 01 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8428_0 {
	meta:
		name = "TPage.ReadState"
		size = 53
		refs = "000e _DV_TNotebook 0013 @IsClass 0024 TList.Add 002d TWinControl.ReadState"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 87 F0 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8429_0 {
	meta:
		name = "TPage.WMNCHitTest"
		size = 20
		refs = "000f TWinControl.WMNCHitTest"
	strings:
		$1 = { F6 40 20 10 75 08 C7 42 0C FF FF FF FF C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8430_0 {
	meta:
		name = "TNotebook.Create"
		size = 262
		refs = "0015 @ClassCreate 0022 TNotebook.Create 0031 TCustomControl.Create 003d TControl.SetWidth 0049 TControl.SetHeight 0050 _Dn_TList 0055 TObject.Create 0067 _DV_TPageAccess 006c TPageAccess.Create 0084 SDefault 0089 LoadResString 00a0 TNotebook.SetPageIndex 00aa Registered 00b2 _DV_TPage 00bf RegisterClasses 00db @LStrClr 00e1 @HandleFinally 00f0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F4 01 00 00 C7 83 F8 01 00 00 FF FF FF FF 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 F4 01 00 00 8B 08 FF 51 34 33 D2 8B C3 E8 ?? ?? ?? ?? 80 63 21 FE 80 3D ?? ?? ?? ?? 00 75 19 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 33 D2 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8431_0 {
	meta:
		name = "TNotebook.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TCustomControl.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8434_0 {
	meta:
		name = "TNotebook.GetChildren"
		size = 64
		refs = "0029 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 F0 01 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 F0 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8435_0 {
	meta:
		name = "TNotebook.ReadState"
		size = 108
		refs = "0016 TWinControl.ReadState 003d TList.Get 0046 TControl.BringToFront 004f TControl.SetVisible 0058 TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 01 00 00 8B 10 FF 52 40 8B D6 8B C3 E8 ?? ?? ?? ?? 8B B3 F8 01 00 00 83 FE FF 74 3A 85 F6 7C 36 8B 83 F0 01 00 00 3B 70 08 7D 2B 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 83 F8 01 00 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_8436_0 {
	meta:
		name = "TNotebook.ShowControl"
		size = 71
		refs = "0022 TList.Get 002f TNotebook.SetPageIndex 003e TWinControl.ShowControl"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 F0 01 00 00 8B 70 08 4E 85 F6 7C 23 46 33 DB 8B 87 F0 01 00 00 8B D3 E8 ?? ?? ?? ?? 3B E8 75 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0D 43 4E 75 E0 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8438_0 {
	meta:
		name = "TNotebook.SetPageIndex"
		size = 234
		refs = "003f GetParentForm 0052 TWinControl.ContainsControl 005f TCustomForm.SetActiveControl 006c TList.Get 0075 TControl.BringToFront 007e TControl.SetVisible 0087 TControl.SetAlign 00c9 TWinControl.SelectFirst"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 F6 43 20 01 74 0B 89 B3 F8 01 00 00 E9 CC 00 00 00 3B B3 F8 01 00 00 0F 84 C0 00 00 00 85 F6 0F 8C B8 00 00 00 8B 83 F0 01 00 00 3B 70 08 0F 8D A9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1A 8B 97 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? B2 01 8B C5 E8 ?? ?? ?? ?? B2 05 8B C5 E8 ?? ?? ?? ?? 8B AB F8 01 00 00 85 ED 7C 1F 8B 83 F0 01 00 00 3B 68 08 7D 14 8B D5 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 B3 F8 01 00 00 85 FF 74 0F 3B 9F 00 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 66 83 BB FE 01 00 00 00 74 0E 8B D3 8B 83 00 02 00 00 FF 93 FC 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8439_0 {
	meta:
		name = "TNotebook.SetActivePage"
		size = 31
		refs = "0018 TNotebook.SetPageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 F4 01 00 00 8B 08 FF 51 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8440_0 {
	meta:
		name = "TNotebook.GetActivePage"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 93 F8 01 00 00 8B 83 F4 01 00 00 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8441_0 {
	meta:
		name = "FreeSection"
		size = 16
		refs = "0006 THeaderSection 000b @Dispose"
	strings:
		$1 = { 85 C0 74 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8442_0 {
	meta:
		name = "NewSection"
		size = 58
		refs = "000e THeaderSection 0018 @New 0026 @LStrAsg"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8D 43 08 8B D7 E8 ?? ?? ?? ?? 89 6B 04 8B 04 24 89 03 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8443_0 {
	meta:
		name = "THeaderStrings.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8444_0 {
	meta:
		name = "THeaderStrings.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001c TObject.Free 0028 TStrings.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 10 00 74 0F 8B C6 8B 10 FF 52 40 8B 46 10 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8445_0 {
	meta:
		name = "THeaderStrings.Assign"
		size = 675
		refs = "001d THeaderStrings.Assign 002b _Dn_TStrings 0030 @IsClass 0043 TStrings.BeginUpdate 0058 _Dn_TList 005d TObject.Create 00bd AnsiCompareStr 0168 TList.Get 0172 NewSection 0198 TCanvas.TextWidth 01ca TList.Add 020a @HandleAnyException 022d FreeSection 0242 @RaiseAgain 0247 @DoneExcept 025c TStrings.EndUpdate 0262 @HandleFinally 026e TStrings.Assign 0288 @LStrArrayClr 0290 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 2C 02 00 00 89 5D F4 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 10 8B 40 08 48 89 45 F8 C6 45 EB 00 83 7D F8 00 7C 62 8D 4D EC 8B 55 F8 8B 45 FC 8B 18 FF 53 0C 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2B 43 33 F6 8D 4D E4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 E4 8B 55 EC E8 ?? ?? ?? ?? 85 C0 0F 94 45 EB 80 7D EB 00 75 04 46 4B 75 D8 80 7D EB 00 75 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 44 FF 4D F8 83 7D F8 00 7D 9E 33 C0 89 45 F8 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C D3 00 00 00 43 33 F6 8B 45 FC 8B 40 10 8B 40 08 3B 45 F8 7E 67 8D 4D E4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C 8B 45 E4 50 8D 4D E0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 E0 5A E8 ?? ?? ?? ?? 85 C0 75 3B 8D 4D E4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C 8B 45 E4 50 8B 55 F8 8B 45 FC 8B 08 FF 51 18 50 8B 45 FC 8B 40 10 8B 55 F8 E8 ?? ?? ?? ?? 8B 50 04 59 58 E8 ?? ?? ?? ?? FF 45 F8 EB 49 8D 4D E4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 E4 8B 45 FC 8B 40 0C 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 83 C0 08 50 8D 4D E4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 E4 50 8B D6 8B 45 F4 8B 08 FF 51 18 8B C8 58 5A E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 46 4B 0F 85 30 FF FF FF 8B 45 FC 8B 10 FF 52 40 8B 45 FC 8B 40 10 B2 01 8B 08 FF 51 FC 8B 45 FC 8B 55 F0 89 50 10 8B 45 FC 8B 40 0C 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 8B 45 F0 8B 58 08 4B 85 DB 7C 1E 43 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4B 75 EA B2 01 8B 45 F0 8B 08 FF 51 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8446_0 {
	meta:
		name = "THeaderStrings.DefineProperties"
		size = 92
		refs = "000a _Dn_TReader 000f @IsClass 001c TStrings.DefineProperties 0022 THeaderStrings.ReadData 0028 THeaderStrings.WriteData 0039 THeaderStrings.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 85 C0 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 00 FF FF FF FF 08 00 00 00 53 65 63 74 69 6F 6E 73 00 00 00 00 }
	condition:
		$1
}

rule function_8447_0 {
	meta:
		name = "THeaderStrings.Clear"
		size = 54
		refs = "0019 TList.Get 001e FreeSection 002e @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 10 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 10 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 10 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8448_0 {
	meta:
		name = "THeaderStrings.Delete"
		size = 46
		refs = "000c TList.Get 0011 FreeSection 001b TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 05 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_8449_0 {
	meta:
		name = "THeaderStrings.Get"
		size = 33
		refs = "000f TList.Get 0019 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 50 08 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8450_0 {
	meta:
		name = "TDataCache.GetIndexCount"
		size = 7
		altNames = "THeaderStrings.GetCount TXtabQuery.getNDimensions"
	strings:
		$1 = { 8B 40 10 8B 40 08 C3 }
	condition:
		$1
}

rule function_8451_0 {
	meta:
		name = "THeaderStrings.GetObject"
		size = 21
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_8452_0 {
	meta:
		name = "THeaderStrings.Insert"
		size = 87
		refs = "001a TCanvas.TextWidth 0031 NewSection 003a TList.Expand 0042 TList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B 73 0C 85 F6 74 14 8B 86 EC 01 00 00 8B D7 E8 ?? ?? ?? ?? 83 C0 08 8B F0 EB 05 BE 4B 00 00 00 33 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 43 10 E8 ?? ?? ?? ?? 8B D5 59 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 05 8B 10 FF 52 78 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8453_0 {
	meta:
		name = "THeaderStrings.Put"
		size = 106
		refs = "0012 TList.Get 0029 TCanvas.TextWidth 0041 NewSection 004d TList.Put 0054 FreeSection"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B D5 8B 43 10 E8 ?? ?? ?? ?? 8B F0 8B 7B 0C 85 FF 74 15 8B 87 EC 01 00 00 8B 14 24 E8 ?? ?? ?? ?? 83 C0 08 8B F8 EB 05 BF 4B 00 00 00 8B 0E 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B C8 8B D5 8B 43 10 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 05 8B 10 FF 52 78 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8454_0 {
	meta:
		name = "THeaderStrings.PutObject"
		size = 37
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 89 38 8B 43 0C 85 C0 74 05 8B 10 FF 52 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8455_0 {
	meta:
		name = "THeaderStrings.ReadData"
		size = 253
		refs = "0015 THeaderStrings.ReadData 0023 TReader.ReadListBegin 003a TReader.ReadString 0055 @LStrLen 0079 @LStrCopy 0086 StrToIntDef 0097 @LStrDelete 00a3 NewSection 00ac TList.Expand 00b8 TList.Insert 00c0 TReader.EndOfList 00d0 TReader.ReadListEnd 00ea @LStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 40 E9 89 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? BE 4B 00 00 00 BB 01 00 00 00 8B 45 F8 80 38 00 75 4B 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7F 0A 8B 45 F8 80 7C 18 FF 00 75 E9 8D 45 F4 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 BA 4B 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 47 10 E8 ?? ?? ?? ?? 8B 57 10 8B 52 08 59 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8456_0 {
	meta:
		name = "THeaderStrings.SetUpdateState"
		size = 58
		refs = "001d TWinControl.GetHandle 0023 SendMessage 0032 TControl.Refresh"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 0C 85 FF 74 28 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8457_0 {
	meta:
		name = "THeaderStrings.WriteData"
		size = 192
		refs = "0018 THeaderStrings.WriteData 0026 TWriter.WriteListBegin 0045 TList.Get 0071 Format 007c TWriter.WriteString 0088 TWriter.WriteListEnd 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4B 46 33 FF 8B 45 FC 8B 40 10 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 50 8B 43 04 89 45 E4 C6 45 E8 00 8B 43 08 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 47 4E 75 B8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 06 00 00 00 00 25 64 00 25 73 00 00 }
	condition:
		$1
}

rule function_8458_0 {
	meta:
		name = "THeader.Create"
		size = 140
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 THeader.Create 0033 TControl.SetWidth 003f TControl.SetHeight 0046 _DV_THeaderStrings 004b THeaderStrings.Create 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 89 5E 0C C6 83 FD 01 00 00 01 C6 83 FE 01 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 44 00 00 00 }
	condition:
		$1
}

rule function_8459_0 {
	meta:
		name = "THeader.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000e THeader.FreeSections 0019 TObject.Free 0025 TCustomControl.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8460_0 {
	meta:
		name = "THeader.CreateParams"
		size = 40
		refs = "000b TWinControl.CreateParams 001a BorderStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 FE 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_8461_0 {
	meta:
		name = "THeader.Paint"
		size = 408
		refs = "0017 THeader.Paint 0031 TCanvas.SetFont 0041 TBrush.SetColor 0053 TCanvas.TextHeight 005b TControl.GetClientHeight 007c Rect 0089 @LStrClr 00a8 TList.Get 00c2 @LStrLAsg 00d5 TControl.GetClientWidth 0127 TCanvas.TextRect 0137 TCanvas.GetHandle 013d DrawEdge 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 F4 8B D8 8D 7D DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 EC 01 00 00 89 45 F0 8B 53 58 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 33 F6 BA ?? ?? ?? ?? 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B C2 D1 F8 79 03 83 D0 00 89 45 FC 8B C3 E8 ?? ?? ?? ?? 50 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8D 45 F4 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 10 FF 52 14 3B F0 7D 2B 8B 83 F0 01 00 00 8B 40 10 8B D6 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 40 04 89 45 F8 8D 45 F4 8B 55 EC 8B 52 08 E8 ?? ?? ?? ?? 46 8B 47 08 89 07 8B 45 F8 01 47 08 8B C3 E8 ?? ?? ?? ?? 2B 47 08 83 F8 02 7C 0F 8B 83 F0 01 00 00 8B 10 FF 52 14 3B F0 75 0A 8B C3 E8 ?? ?? ?? ?? 89 47 08 8B 45 FC 50 8B 45 F4 50 8B 47 0C 48 50 8D 45 CC 50 8B 4F 08 49 8B 57 04 42 8B 07 40 E8 ?? ?? ?? ?? 8D 55 CC 8B 0F 83 C1 03 8B 45 F0 E8 ?? ?? ?? ?? 6A 03 6A 04 57 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 57 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 47 08 0F 85 26 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_8462_0 {
	meta:
		name = "THeader.FreeSections"
		size = 20
	strings:
		$1 = { 56 8B B0 F0 01 00 00 85 F6 74 07 8B C6 8B 10 FF 52 40 5E C3 }
	condition:
		$1
}

rule function_8464_0 {
	meta:
		name = "THeader.SetSections"
		size = 16
		altNames = "TScrollingWinControl.SetVertScrollBar"
	strings:
		$1 = { 56 8B F0 8B 86 F0 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_8465_0 {
	meta:
		name = "THeader.GetWidth"
		size = 115
		refs = "002e TList.Get 003c TControl.GetClientWidth"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 83 F0 01 00 00 8B 10 FF 52 14 48 3B F0 75 2C 33 ED 4E 85 F6 7C 1A 46 33 FF 8B 83 F0 01 00 00 8B 40 10 8B D7 E8 ?? ?? ?? ?? 03 68 04 47 4E 75 E9 8B C3 E8 ?? ?? ?? ?? 2B C5 EB 2A 85 F6 7C 24 8B 83 F0 01 00 00 8B 10 FF 52 14 3B F0 7D 15 8B 83 F0 01 00 00 8B 40 10 8B D6 E8 ?? ?? ?? ?? 8B 40 04 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8466_0 {
	meta:
		name = "THeader.SetWidth"
		size = 43
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 1A 8B 83 F0 01 00 00 8B 40 10 8B D6 E8 ?? ?? ?? ?? 89 78 04 8B C3 8B 10 FF 52 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8467_0 {
	meta:
		name = "THeader.WMNCHitTest"
		size = 52
		refs = "000e TWinControl.WMNCHitTest 0018 SmallPointToPoint"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 46 08 E8 ?? ?? ?? ?? 8B 04 24 89 83 F4 01 00 00 8B 44 24 04 89 83 F8 01 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8468_0 {
	meta:
		name = "THeader.WMSetCursor"
		size = 247
		refs = "0027 TControl.ScreenToClient 0071 TList.Get 009f LoadCursor 00df SetCursor 00eb TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 14 24 8B D8 33 C0 89 44 24 04 33 C0 89 83 00 02 00 00 8D 4C 24 08 8D 93 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 83 F4 01 00 00 8B 44 24 0C 89 83 F8 01 00 00 BD 02 00 00 00 8B 04 24 66 83 78 08 01 75 65 8B 83 F0 01 00 00 8B 10 FF 52 14 8B F8 83 EF 02 85 FF 7C 51 47 33 F6 8B 83 F0 01 00 00 8B 40 10 8B D6 E8 ?? ?? ?? ?? 03 68 04 8B 83 F4 01 00 00 83 C0 02 8B CD 2B C8 89 8B 04 02 00 00 8B C1 99 33 C2 2B C2 83 F8 04 7D 18 68 84 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 44 24 04 89 B3 00 02 00 00 EB 04 46 4F 75 B2 80 BB FD 01 00 00 00 75 06 F6 43 20 10 74 07 83 7C 24 04 00 75 04 33 C0 EB 02 B0 01 88 83 FC 01 00 00 84 C0 74 0C 8B 44 24 04 50 E8 ?? ?? ?? ?? EB 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8469_0 {
	meta:
		name = "THeader.MouseDown"
		size = 77
		refs = "001d TControl.MouseDown 003c TWinControl.GetHandle 0042 SetCapture"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 74 05 80 FB 01 74 04 84 DB 75 16 80 BE FC 01 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8470_0 {
	meta:
		name = "THeader.MouseMove"
		size = 277
		refs = "001e TControl.MouseMove 0025 TWinControl.GetHandle 002c GetCapture 0065 TList.Get 00a2 TControl.GetClientWidth 0101 @CallDynaInst 0108 TControl.Refresh"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 88 55 FF 8B F0 8B 45 08 50 8B 4D F8 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 85 D4 00 00 00 80 BE FC 01 00 00 00 0F 84 C7 00 00 00 C7 45 F4 02 00 00 00 8B 9E 00 02 00 00 85 DB 7C 1D 43 33 FF 8B 86 F0 01 00 00 8B 40 10 8B D7 E8 ?? ?? ?? ?? 8B 40 04 01 45 F4 47 4B 75 E6 8B 9E 00 02 00 00 85 DB 7E 1D 8B 86 F0 01 00 00 8B 40 10 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 2B 50 04 83 C2 02 8B DA EB 05 BB 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 E8 02 3B 5D F8 7E 03 89 5D F8 3B 45 F8 7D 03 89 45 F8 8B 86 F0 01 00 00 8B 40 10 8B 96 00 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 F8 83 EA 02 2B 96 04 02 00 00 29 50 04 8B 86 F0 01 00 00 8B 40 10 8B 9E 00 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 48 04 8B D3 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8471_0 {
	meta:
		name = "THeader.MouseUp"
		size = 101
		refs = "0018 ReleaseCapture 002e TList.Get 003e @CallDynaInst 005a TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FE 88 55 FF 8B F0 80 BE FC 01 00 00 00 74 32 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 40 10 8B 9E 00 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 48 04 8B D3 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? C6 86 FC 01 00 00 00 8B 45 0C 50 8B 45 08 50 8A 4D FE 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8472_0 {
	meta:
		name = "THeader.Sizing"
		size = 32
	strings:
		$1 = { 53 66 83 B8 0A 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 0C 02 00 00 FF 93 08 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8473_0 {
	meta:
		name = "THeader.Sized"
		size = 62
		refs = "0029 GetParentForm"
	strings:
		$1 = { 56 8B F0 66 83 BE 12 02 00 00 00 74 13 51 8B C6 8B CA 8B D0 8B 86 14 02 00 00 FF 96 10 02 00 00 F6 46 20 10 74 16 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 80 30 02 00 00 8B 10 FF 52 0C 5E C3 }
	condition:
		$1
}

rule function_8475_0 {
	meta:
		name = "TGroupButton.InternalCreate"
		size = 131
		refs = "000b @ClassCreate 001c TRadioButton.Create 0029 TList.Add 0032 TControl.SetVisible 004b TControl.SetParentShowHint 005b TCustomRadioGroup.ButtonClick 006f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 8B D0 8B C7 8B 08 FF 51 60 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 08 01 00 00 C7 87 04 01 00 00 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 51 64 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8476_0 {
	meta:
		name = "TGroupButton.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0017 TList.Remove 0023 TWinControl.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B 80 F0 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8477_0 {
	meta:
		name = "TGroupButton.CNCommand"
		size = 142
		refs = "0026 TGroupButton.CNCommand 0057 TRadioButton.CNCommand 0066 @HandleAnyException 006b Application 0075 TApplication.HandleException 007a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 80 B8 F4 01 00 00 00 75 70 8B 45 FC C6 80 F4 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 73 06 66 85 F6 74 06 66 83 FE 05 75 1C 8B 45 FC 8B 40 24 8B 10 FF 92 BC 00 00 00 84 C0 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 F4 01 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8478_0 {
	meta:
		name = "TGroupButton.KeyPress"
		size = 62
		refs = "000c TWinControl.KeyPress 001a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 47 24 66 BB BF FF E8 ?? ?? ?? ?? 80 3E 08 74 05 80 3E 20 75 12 8B 47 24 8B 10 FF 92 BC 00 00 00 84 C0 75 03 C6 06 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8479_0 {
	meta:
		name = "TGroupButton.KeyDown"
		size = 43
		refs = "0012 TWinControl.KeyDown 0023 @CallDynaInst"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 8B D6 8A 0C 24 8B 43 24 66 BB C1 FF E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8480_0 {
	meta:
		name = "TCustomRadioGroup.Create"
		size = 144
		refs = "000e @ClassCreate 001c TCustomGroupBox.Create 0021 TCustomRadioGroup.Create 002b _Dn_TList 0030 TObject.Create 003d _Dn_TStringList 0054 TCustomRadioGroup.ItemsChange 0075 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 01 00 00 89 5E 20 C7 46 1C ?? ?? ?? ?? C7 83 F8 01 00 00 FF FF FF FF C7 83 FC 01 00 00 01 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 A0 00 00 00 }
	condition:
		$1
}

rule function_8481_0 {
	meta:
		name = "TCustomRadioGroup.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 0010 TCustomRadioGroup.SetButtonCount 0023 TObject.Free 003a TCustomControl.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 F4 01 00 00 33 D2 89 50 1C 89 50 20 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8483_0 {
	meta:
		name = "TCustomRadioGroup.ArrangeButtons"
		size = 407
		refs = "002b GetDC 0035 TFont.GetHandle 003c SelectObject 0048 GetTextMetrics 0057 ReleaseDC 00af BeginDeferWindowPos 00ba TCustomRadioGroup.ArrangeButtons 00eb TList.Get 0112 @CallDynaInst 011d TControl.GetClientWidth 014c TWinControl.GetHandle 0156 DeferWindowPos 0162 TControl.SetVisible 0184 EndDeferWindowPos 018a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B F0 8B 86 F0 01 00 00 83 78 08 00 0F 84 75 01 00 00 80 BE 00 02 00 00 00 0F 85 68 01 00 00 6A 00 E8 ?? ?? ?? ?? 8B D8 8B 46 58 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F8 8D 45 A8 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 58 08 8B C3 8B 8E FC 01 00 00 03 C1 48 99 F7 F9 89 45 FC 8B 46 38 83 E8 0A 99 F7 F9 89 45 F8 8B 46 3C 8B 4D A8 2B C1 83 E8 05 89 45 EC 8B 45 EC 99 F7 7D FC 89 45 F4 8B 45 EC 99 F7 7D FC D1 FA 79 03 83 D2 00 41 03 D1 89 55 F0 53 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F0 01 00 00 8B 40 08 48 85 C0 0F 8C 9C 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 86 F0 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B F8 8A 56 4F 8B C7 8B 08 FF 51 6C 8B 45 EC 99 F7 7D FC F7 6D F8 83 C0 08 89 45 E4 8B C7 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? 2B 45 E4 2B 45 F8 89 45 E4 6A 14 8B 45 F4 50 8B 45 F8 50 8B 45 EC 99 F7 7D FC 0F AF 55 F4 03 55 F0 52 8B 45 E4 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E8 B2 01 8B C7 E8 ?? ?? ?? ?? FF 45 EC FF 4D E0 0F 85 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8484_0 {
	meta:
		name = "TCustomRadioGroup.ButtonClick"
		size = 55
		refs = "0018 TList.IndexOf 0025 TControl.Changed 0030 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 01 02 00 00 00 75 25 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 89 83 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8485_0 {
	meta:
		name = "TCustomRadioGroup.ItemsChange"
		size = 58
		refs = "0034 TCustomRadioGroup.UpdateButtons"
	strings:
		$1 = { 53 8B D8 80 BB 00 02 00 00 00 75 2C 8B 83 F4 01 00 00 8B 10 FF 52 14 3B 83 F8 01 00 00 7F 12 8B 83 F4 01 00 00 8B 10 FF 52 14 48 89 83 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8486_0 {
	meta:
		name = "TCustomRadioGroup.ReadState"
		size = 33
		refs = "000d TWinControl.ReadState 001b TCustomRadioGroup.UpdateButtons"
	strings:
		$1 = { 53 8B D8 C6 83 00 02 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 00 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8487_0 {
	meta:
		name = "TCustomRadioGroup.SetButtonCount"
		size = 63
		refs = "000e _DV_TGroupButton 0013 TGroupButton.InternalCreate 0027 TList.Last 002c TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 EB 0E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 3B 70 08 7F E7 EB 0C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B BB F0 01 00 00 3B 77 08 7C E9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8488_0 {
	meta:
		name = "TCustomRadioGroup.SetColumns"
		size = 53
		refs = "0028 TCustomRadioGroup.ArrangeButtons"
	strings:
		$1 = { 53 8B D8 83 FA 01 7D 05 BA 01 00 00 00 83 FA 10 7E 05 BA 10 00 00 00 3B 93 FC 01 00 00 74 14 89 93 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_8489_0 {
	meta:
		name = "TCustomRadioGroup.SetItemIndex"
		size = 122
		refs = "0044 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 80 BB 00 02 00 00 00 74 08 89 B3 F8 01 00 00 EB 5C 83 FE FF 7D 03 83 CE FF 8B AB F0 01 00 00 8B 45 08 3B F0 7C 03 8B F0 4E 8B BB F8 01 00 00 3B F7 74 3A 85 FF 7C 13 8B D7 8B C5 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 BC 00 00 00 8B FE 89 BB F8 01 00 00 85 FF 7C 17 8B D7 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 BC 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8491_0 {
	meta:
		name = "TCustomRadioGroup.UpdateButtons"
		size = 215
		refs = "0014 TCustomRadioGroup.UpdateButtons 002e TCustomRadioGroup.SetButtonCount 0063 TList.Get 0069 TControl.SetText 00a8 TCustomRadioGroup.ArrangeButtons 00c4 @LStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F4 01 00 00 8B 10 FF 52 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 40 08 48 85 C0 7C 33 40 89 45 FC 33 F6 8D 4D F8 8B D6 8B 83 F4 01 00 00 8B 38 FF 57 0C 8B 45 F8 50 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 FF 4D FC 75 D3 83 BB F8 01 00 00 00 7C 29 C6 83 01 02 00 00 01 8B 93 F8 01 00 00 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 BC 00 00 00 C6 83 01 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8492_0 {
	meta:
		name = "TCustomRadioGroup.CMEnabledChanged"
		size = 64
		refs = "0008 TWinControl.CMEnabledChanged 002e TList.Get"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 70 08 4E 85 F6 7C 22 46 33 FF 8B C3 8B 10 FF 52 50 50 8B D7 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 60 47 4E 75 E1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8497_0 {
	meta:
		name = "TSplitter.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 0020 TControl.SetAlign 002c TControl.SetWidth 0037 TControl.SetCursor 005d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA F2 FF 8B C6 E8 ?? ?? ?? ?? C7 86 38 01 00 00 1E 00 00 00 C6 86 54 01 00 00 03 C7 86 4C 01 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8498_0 {
	meta:
		name = "TSplitter.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TGraphicControl.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8499_0 {
	meta:
		name = "TSplitter.AllocateLineDC"
		size = 123
		refs = "000f TWinControl.GetHandle 0015 GetDCEx 0034 _Dn_TBrush 0039 TBrush.Create 004d AllocPatternBitmap 0056 TBrush.SetBitmap 0061 TBrush.GetHandle 006e SelectObject"
	strings:
		$1 = { 53 56 8B D8 68 12 04 00 00 6A 00 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 30 01 00 00 80 BB 54 01 00 00 03 75 50 83 BB 20 01 00 00 00 75 29 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 01 00 00 BA FF FF FF 00 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 89 83 50 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8500_0 {
	meta:
		name = "TSplitter.DrawLine"
		size = 108
		refs = "001d Point 0064 PatBlt"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8A 83 34 01 00 00 34 01 88 83 34 01 00 00 8B CC 8B 53 34 8B 43 30 E8 ?? ?? ?? ?? 8A 43 4B 04 FD 2C 02 73 0E 8B 43 30 03 83 58 01 00 00 89 04 24 EB 0D 8B 43 34 03 83 58 01 00 00 89 44 24 04 68 49 00 5A 00 8B 43 3C 50 8B 43 38 50 8B 44 24 10 50 8B 44 24 10 50 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_8501_0 {
	meta:
		name = "TSplitter.ReleaseLineDC"
		size = 72
		refs = "0016 SelectObject 0025 TWinControl.GetHandle 002b ReleaseDC 003a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 50 01 00 00 85 C0 74 0D 50 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 50 8B 43 24 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 20 01 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 20 01 00 00 5B C3 }
	condition:
		$1
}

rule function_8502_0 {
	meta:
		name = "TSplitter.FindControl"
		size = 198
		refs = "0014 Point 004e TWinControl.GetControlCount 0062 TWinControl.GetControl 0080 TControl.GetBoundsRect 00ae PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F8 33 DB 8B CC 8B 57 34 8B 47 30 E8 ?? ?? ?? ?? 8A 47 4B FE C8 74 1E FE C8 74 20 FE C8 74 09 FE C8 74 0A E9 8C 00 00 00 FF 0C 24 EB 15 8B 47 38 01 04 24 EB 0D FF 4C 24 04 EB 07 8B 47 3C 01 44 24 04 8B 47 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 61 46 33 ED 8B 47 24 8B D5 E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 48 8B C3 8B 10 FF 52 50 84 C0 74 3D 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 2B 44 24 08 75 04 FF 4C 24 08 8B 44 24 14 2B 44 24 0C 75 04 FF 4C 24 0C FF 74 24 04 FF 74 24 04 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 75 06 45 4E 75 A2 33 DB 8B C3 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8503_0 {
	meta:
		name = "TSplitter.RequestAlign"
		size = 60
		refs = "0006 TControl.RequestAlign 0029 TControl.SetCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 8B 43 6C 66 83 F8 F1 74 06 66 83 F8 F2 75 20 8A 43 4B 48 2C 02 73 0D 66 BA F1 FF 8B C3 E8 ?? ?? ?? ?? EB 0B 66 BA F2 FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8504_0 {
	meta:
		name = "TSplitter.Paint"
		size = 263
		refs = "001d TBrush.SetColor 0037 TCanvas.FillRect 005b InflateRect 0079 OffsetRect 0083 ColorToRGB 0089 CreateSolidBrush 009c TCanvas.GetHandle 00a2 FrameRect 00a8 DeleteObject"
	strings:
		$1 = { 53 56 83 C4 E0 8B D8 8B D4 8B C3 8B 08 FF 51 44 8B 83 14 01 00 00 8B 40 14 8B 53 64 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 8B 08 FF 51 44 8D 54 24 10 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 80 BB 1C 01 00 00 00 0F 84 A1 00 00 00 8A 43 4B 04 FD 2C 02 73 10 6A 02 6A FF 8D 44 24 08 50 E8 ?? ?? ?? ?? EB 0E 6A FF 6A 02 8D 44 24 08 50 E8 ?? ?? ?? ?? 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? B8 14 00 00 80 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8D 44 24 04 50 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 6A FE 6A FE 8D 44 24 08 50 E8 ?? ?? ?? ?? B8 10 00 00 80 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8D 44 24 04 50 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 66 83 BB 6E 01 00 00 00 74 0E 8B D3 8B 83 70 01 00 00 FF 93 6C 01 00 00 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_8505_0 {
	meta:
		name = "TSplitter.DoCanResize"
		size = 39
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 8C 00 00 00 84 C0 74 0E 8B 16 3B 93 38 01 00 00 7F 04 33 D2 89 16 5E 5B C3 }
	condition:
		$1
}

rule function_8506_0 {
	meta:
		name = "TSplitter.CanResize"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 5E 01 00 00 00 74 13 54 8B CA 8B D8 8B D0 8B 83 60 01 00 00 FF 93 5C 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_8507_0 {
	meta:
		name = "TSplitter.MouseDown"
		size = 412
		refs = "0022 TControl.MouseDown 0033 TSplitter.FindControl 0047 Point 0077 TControl.GetClientWidth 008b TWinControl.GetControlCount 009f TWinControl.GetControl 00d0 TControl.GetClientHeight 012a TSplitter.UpdateSize 0131 TSplitter.AllocateLineDC 0138 ValidParentForm 017a TSplitter.FocusKeyDown 018f TSplitter.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FE 88 55 FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 0F 85 63 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 24 01 00 00 8D 4D F4 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 8B 45 F4 89 83 28 01 00 00 8B 45 F8 89 83 2C 01 00 00 83 BB 24 01 00 00 00 0F 84 29 01 00 00 8A 43 4B 04 FD 2C 02 73 59 8B 43 24 E8 ?? ?? ?? ?? 2B 83 38 01 00 00 89 83 3C 01 00 00 8B 43 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 FF 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8A 50 4B 80 C2 FD 80 EA 02 73 09 8B 40 38 29 83 3C 01 00 00 47 4E 75 DE 8B 83 24 01 00 00 8B 40 38 01 83 3C 01 00 00 EB 55 8B 43 24 E8 ?? ?? ?? ?? 2B 83 38 01 00 00 89 83 3C 01 00 00 8B 43 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 23 46 33 FF 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8A 50 4B 4A 80 EA 02 73 09 8B 40 3C 29 83 3C 01 00 00 47 4E 75 E0 8B 83 24 01 00 00 8B 40 3C 01 83 3C 01 00 00 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 8A 00 02 00 00 85 C9 74 36 8B C1 89 83 18 01 00 00 8B 90 B0 01 00 00 89 93 44 01 00 00 8B 90 B4 01 00 00 89 93 48 01 00 00 8B 83 18 01 00 00 89 98 B4 01 00 00 C7 80 B0 01 00 00 ?? ?? ?? ?? 8A 83 54 01 00 00 2C 01 74 04 2C 02 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8508_0 {
	meta:
		name = "TSplitter.UpdateControlSize"
		size = 387
		refs = "004b TControl.SetWidth 0060 TControl.SetHeight 0070 TWinControl.DisableAlign 0078 TSplitter.UpdateControlSize 009b TControl.SetLeft 00ca TWinControl.EnableAlign 00d0 @HandleFinally 0108 TControl.SetTop"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 40 01 00 00 8B 55 FC 3B 82 4C 01 00 00 0F 84 5F 01 00 00 8B 55 FC 8A 52 4B FE CA 74 2A FE CA 0F 84 A4 00 00 00 FE CA 74 09 FE CA 74 2F E9 04 01 00 00 8B D0 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B D0 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 24 01 00 00 8B 50 38 8B 4D FC 2B 91 40 01 00 00 03 50 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 40 01 00 00 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 24 01 00 00 8B 50 3C 8B 4D FC 2B 91 40 01 00 00 03 50 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 40 01 00 00 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 10 FF 92 84 00 00 00 8B 45 FC 66 83 B8 66 01 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 68 01 00 00 FF 93 64 01 00 00 8B 45 FC 8B 80 40 01 00 00 8B 55 FC 89 82 4C 01 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_8509_0 {
	meta:
		name = "TSplitter.CalcSplitSize"
		size = 210
	strings:
		$1 = { 55 8B EC 51 56 57 89 4D FC 8B CA 8B F0 8B 7D 0C 8A 56 4B 8B C2 04 FD 2C 02 73 0D 2B 8E 28 01 00 00 8B 45 08 89 08 EB 0E 8B 45 FC 2B 86 2C 01 00 00 8B 4D 08 89 01 33 C0 8B CA FE C9 74 2E FE C9 74 3A FE C9 74 06 FE C9 74 12 EB 3E 8B 86 24 01 00 00 8B 40 38 8B 4D 08 03 01 EB 2E 8B 86 24 01 00 00 8B 40 38 8B 4D 08 2B 01 EB 1E 8B 86 24 01 00 00 8B 40 3C 8B 4D 08 03 01 EB 0E 8B 86 24 01 00 00 8B 40 3C 8B 4D 08 2B 01 89 07 3B 86 38 01 00 00 7D 0A 8B 8E 38 01 00 00 89 0F EB 10 3B 86 3C 01 00 00 7E 08 8B 8E 3C 01 00 00 89 0F 3B 07 74 19 80 EA 02 74 05 80 EA 02 75 04 2B 07 EB 06 8B 17 2B D0 8B C2 8B 55 08 01 02 5F 5E 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8510_0 {
	meta:
		name = "TSplitter.UpdateSize"
		size = 22
		refs = "0010 TSplitter.CalcSplitSize"
	strings:
		$1 = { 53 8D 98 40 01 00 00 53 8D 98 58 01 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8511_0 {
	meta:
		name = "TSplitter.MouseMove"
		size = 168
		refs = "001c TControl.MouseMove 003e TSplitter.CalcSplitSize 0064 TSplitter.DrawLine 0086 TSplitter.UpdateControlSize"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? F6 45 FF 08 74 79 83 BB 24 01 00 00 00 74 70 8D 45 F8 50 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 91 90 00 00 00 84 C0 74 4C 8A 83 54 01 00 00 2C 01 74 04 2C 02 75 07 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 83 40 01 00 00 8B 45 F4 89 83 58 01 00 00 80 BB 54 01 00 00 02 75 07 8B C3 E8 ?? ?? ?? ?? 8A 83 54 01 00 00 2C 01 74 04 2C 02 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8512_0 {
	meta:
		name = "TSplitter.MouseUp"
		size = 84
		refs = "0019 TControl.MouseUp 0037 TSplitter.DrawLine 003e TSplitter.UpdateControlSize 0049 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F0 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C6 E8 ?? ?? ?? ?? 83 BE 24 01 00 00 00 74 27 8A 86 54 01 00 00 2C 01 74 04 2C 02 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CE FF E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8513_0 {
	meta:
		name = "TSplitter.FocusKeyDown"
		size = 58
		refs = "0014 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 66 83 39 1B 75 0D 8B C6 66 BB CE FF E8 ?? ?? ?? ?? EB 1A 66 83 BE 46 01 00 00 00 74 10 8A 45 08 50 8B 86 48 01 00 00 FF 96 44 01 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8514_0 {
	meta:
		name = "TSplitter.SetBeveled"
		size = 12
	strings:
		$1 = { 88 90 1C 01 00 00 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_8515_0 {
	meta:
		name = "TSplitter.StopSizing"
		size = 111
		refs = "0018 TSplitter.DrawLine 0027 TSplitter.ReleaseLineDC"
	strings:
		$1 = { 53 8B D8 83 BB 24 01 00 00 00 74 49 80 BB 34 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 85 C0 74 20 8B 93 44 01 00 00 89 90 B0 01 00 00 8B 93 48 01 00 00 89 90 B4 01 00 00 33 C0 89 83 18 01 00 00 66 83 BB 66 01 00 00 00 74 0E 8B D3 8B 83 68 01 00 00 FF 93 64 01 00 00 5B C3 }
	condition:
		$1
}

rule function_8516_0 {
	meta:
		name = "CreateDockPos"
		size = 130
		refs = "0017 @GetMem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F8 8B 75 1C B8 48 00 00 00 E8 ?? ?? ?? ?? 89 38 8B 55 0C 56 8B F2 8D 78 04 B9 04 00 00 00 F3 A5 5E 8A 55 FF 88 50 14 88 58 15 8B 16 89 50 18 8B 56 04 89 50 1C 8B 55 18 89 50 20 8B 55 14 89 50 24 8B 55 08 89 50 28 C7 40 2C 01 00 00 00 88 58 38 8B 16 89 50 3C 8B 56 04 89 50 40 8B 55 18 89 50 44 8B 55 10 89 50 30 33 D2 89 50 34 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_8517_0 {
	meta:
		name = "FreeDockPos"
		size = 40
		refs = "0012 TList.Remove 001c @FreeMem"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 85 DB 74 19 8B F3 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 5B 34 8B C6 E8 ?? ?? ?? ?? 85 DB 75 E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8518_0 {
	meta:
		name = "AdjustControlRect"
		size = 23
	strings:
		$1 = { 8B 0A 29 08 8B 4A 04 29 48 04 8B 4A 08 01 48 08 8B 52 0C 01 50 0C C3 }
	condition:
		$1
}

rule function_8519_0 {
	meta:
		name = "TCustomControlBar.Create"
		size = 196
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 TCustomControlBar.Create 0030 TControl.SetWidth 003c TControl.SetHeight 004a _Dn_TList 004f TObject.Create 005c _Dn_TPicture 0061 TPicture.Create 0073 TCustomControlBar.PictureChanged 008d TWinControl.SetBevelKind 009d TWinControl.SetDockSite 00aa @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 40 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 F1 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 0C 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C7 83 10 02 00 00 1A 00 00 00 C6 83 14 02 00 00 01 B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 E8 01 00 00 01 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 CB 00 00 00 }
	condition:
		$1
}

rule function_8520_0 {
	meta:
		name = "TCustomControlBar.Destroy"
		size = 119
		refs = "0005 @BeforeDestruction 0027 TList.Get 003d @FreeMem 004c TObject.Free 0063 TCustomControl.Destroy 006e @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 85 08 02 00 00 8B 78 08 4F 85 FF 7C 2A 47 33 F6 8B D6 8B 85 08 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 8B D6 8B 85 08 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D9 8B 85 08 02 00 00 E8 ?? ?? ?? ?? 8B 85 0C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8522_0 {
	meta:
		name = "ShouldRedo"
		size = 60
	strings:
		$1 = { 55 8B EC 53 56 83 78 30 00 74 2B 8B 1A 8B 70 30 3B 5E 3C 75 05 3B 4E 44 74 1C 8B 40 30 8B 1A 89 58 3C 89 48 44 8B 5D 08 89 43 FC 8B 40 30 85 C0 75 EB B0 01 EB 02 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8523_0 {
	meta:
		name = "TCustomControlBar.AlignControls"
		size = 2879
		refs = "0033 TCustomControlBar.AlignControls 0044 TCustomControlBar.UpdateItems 005b @TryFinallyExit 009c TList.Get 0289 Point 02c3 Bounds 0502 ShouldRedo 0a5d Rect 0ae9 TControl.SetBoundsRect 0b15 @CallDynaInst 0b32 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 57 89 4D F0 89 55 F4 89 45 F8 8B 45 F8 80 B8 F0 01 00 00 00 0F 85 13 0B 00 00 8B 45 F8 C6 80 F0 01 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 88 45 AB 8B 45 F8 8B 80 08 02 00 00 83 78 08 00 75 0A E8 ?? ?? ?? ?? E9 D4 0A 00 00 33 C0 89 45 B4 33 C0 89 45 B0 8B 45 F8 8B 80 08 02 00 00 8B 40 08 48 89 45 AC 8B 45 B0 8B 55 AC 2B D0 7C 31 42 89 55 8C 89 45 EC 8B 45 F8 8B 80 08 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8A 43 15 88 43 38 80 7B 15 00 74 03 FF 45 B4 FF 45 EC FF 4D 8C 75 D6 33 C0 89 45 FC C6 45 93 00 C7 45 94 02 00 00 00 83 7D FC 00 74 07 C6 45 93 01 FF 4D 94 83 7D 94 00 75 0A E8 ?? ?? ?? ?? E9 52 0A 00 00 33 C0 89 45 D4 33 C0 89 45 D0 C7 45 B8 01 00 00 00 8B 45 B8 3B 45 B4 0F 8F 81 08 00 00 83 7D B8 01 75 05 33 C0 89 45 D4 83 7D B8 01 75 07 33 C0 89 45 B0 EB 07 8B 45 AC 40 89 45 B0 8B 45 F8 8B 80 08 02 00 00 8B 40 08 48 89 45 AC 8B 45 B0 8B 55 AC 4A 2B D0 7C 37 42 89 55 8C 89 45 EC 8B 55 EC 42 8B 45 F8 8B 80 08 02 00 00 E8 ?? ?? ?? ?? 8B D8 80 7B 15 00 75 06 80 7B 38 00 74 08 8B 45 EC 89 45 AC EB 08 FF 45 EC FF 4D 8C 75 D0 8B 45 F0 8B 40 08 8B 55 F0 2B 02 89 45 E4 33 C0 89 45 E0 33 C0 89 45 DC 8B 45 B0 8B 55 AC 2B D0 0F 8C 0F 05 00 00 42 89 55 8C 89 45 EC 8B 45 F8 8B 80 08 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D8 80 7B 15 00 75 06 80 7B 38 00 74 2A 33 C0 89 45 E0 33 C0 89 45 DC C6 45 BF 00 80 7D BF 00 74 08 8B 45 D4 89 43 40 EB 06 8B 45 D4 89 43 1C 8B 45 D4 89 45 D0 EB 04 C6 45 BF 00 8B 33 8B 45 F8 F6 40 20 10 75 0A 80 7E 47 00 0F 84 9A 04 00 00 83 7B 30 00 0F 85 32 01 00 00 8B 43 20 89 45 98 8B 43 04 03 43 0C 29 45 98 8D 45 98 50 8D 43 28 50 8D 4B 04 8B D6 8B 45 F8 8B 38 FF 97 C8 00 00 00 8B 43 04 03 45 98 03 43 0C 89 43 20 80 7D AB 00 0F 85 98 00 00 00 83 7B 30 00 0F 85 8E 00 00 00 8B 03 3B 45 F4 0F 85 83 00 00 00 80 7D BF 00 74 64 8B 45 F4 8B 50 34 8B 45 F0 2B 50 04 2B 53 08 8B 45 F4 8B 40 30 8B 4D F0 2B 01 2B 43 04 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 43 3C 8B 85 54 FF FF FF 89 43 40 8B 45 F4 8B 40 38 03 43 04 03 43 0C 89 43 44 8B 43 24 50 8D 85 58 FF FF FF 50 8B 4B 44 8B 53 40 8B 43 3C E8 ?? ?? ?? ?? EB 19 8B 43 24 50 8D 85 58 FF FF FF 50 8B 4B 20 8B 53 1C 8B 43 18 E8 ?? ?? ?? ?? 3B 5D FC 75 1B 8B 43 24 50 8D 85 58 FF FF FF 50 8B 4B 44 8B 53 40 8B 43 3C E8 ?? ?? ?? ?? EB 19 8B 43 24 50 8D 85 58 FF FF FF 50 8B 4B 20 8B 53 1C 8B 43 18 E8 ?? ?? ?? ?? 8D 8D 58 FF FF FF 8B D6 8B 45 F8 8B 30 FF 96 BC 00 00 00 8B 85 60 FF FF FF 2B 85 58 FF FF FF 89 43 44 EB 4C 8B 43 30 8B 50 18 89 53 18 8B 50 1C 89 53 1C 8B 50 3C 89 53 3C 8B 50 40 89 53 40 8B 50 24 01 53 1C 8B 50 24 01 53 40 8B 50 20 89 53 20 8B 40 44 89 43 44 8B 43 24 50 8D 85 58 FF FF FF 50 8B 4B 44 8B 53 40 8B 43 3C E8 ?? ?? ?? ?? 3B 5D FC 75 2E 8B C3 8B 95 58 FF FF FF 89 50 3C 8B 95 5C FF FF FF 89 50 40 8B 95 60 FF FF FF 2B 95 58 FF FF FF 89 50 44 33 C0 89 45 FC C6 45 93 00 EB 1B 89 5D 88 8B 45 88 8B 95 58 FF FF FF 89 50 18 8B 45 88 8B 95 5C FF FF FF 89 50 1C 80 7D BF 00 74 14 8B 43 3C 89 45 C4 8B 43 40 89 45 C8 8B 43 44 89 45 C0 EB 21 8B 85 58 FF FF FF 89 45 C4 8B 85 5C FF FF FF 89 45 C8 8B 85 60 FF FF FF 2B 85 58 FF FF FF 89 45 C0 8B 45 C4 3B 45 E0 0F 8D A9 01 00 00 83 7D DC 00 0F 8E 99 01 00 00 8B 45 C4 89 45 A4 8B 45 C4 89 45 9C 8B 45 DC 89 45 A0 8B 7D EC 4F 8B 45 B0 2B C7 0F 8F 55 01 00 00 48 89 45 84 8B 45 F8 8B 80 08 02 00 00 8B D7 E8 ?? ?? ?? ?? 89 45 80 8B 45 F8 F6 40 20 10 75 0F 8B 45 80 8B 00 80 78 47 00 0F 84 1C 01 00 00 8B 45 80 8B 40 3C 8B 55 80 03 42 44 3B 45 A4 0F 8E 11 01 00 00 8B 45 80 8B 40 3C 8B 55 80 03 42 44 2B 45 A4 89 45 E8 8B 45 EC 48 3B F8 7D 14 8B 45 80 8B 40 3C 8B 55 80 03 42 44 8B 55 9C 2B D0 29 55 A0 8B 45 E8 3B 45 A0 7E 06 8B 45 A0 89 45 E8 8B 45 80 8B 40 3C 89 45 9C 8B 45 80 8B 55 E8 29 50 3C 8B 45 80 8B 40 44 29 45 A4 8B 45 F8 8B 80 08 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B F0 55 8B 4E 44 8D 56 3C 8B C6 E8 ?? ?? ?? ?? 59 84 C0 0F 85 91 00 00 00 8B 45 80 8B 70 34 85 F6 74 7D 8B 45 F8 8B 80 08 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 50 18 89 56 18 8B 50 1C 89 56 1C 8B 45 F8 8B 80 08 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 50 3C 89 56 3C 8B 50 40 89 56 40 8B 46 30 8B 40 24 01 46 1C 8B 46 30 8B 40 24 01 46 40 8B 45 F8 8B 80 08 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 20 89 46 20 8B 45 F8 8B 80 08 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 44 89 46 44 8B 76 34 85 F6 75 83 4F FF 45 84 0F 85 AF FE FF FF 8B 45 E0 2B 45 C4 89 45 9C 8B 45 9C 3B 45 DC 7E 06 8B 45 DC 89 45 9C 8B 45 9C 29 45 DC 8B 45 9C 29 45 E0 8B 45 E0 89 45 C4 83 7D FC 00 74 0A 80 7D 93 00 0F 84 D0 00 00 00 8B 45 C8 3B 45 D0 74 06 8B 45 D0 89 45 C8 8B 43 24 03 45 C8 3B 45 D4 7E 09 8B 43 24 03 45 C8 89 45 D4 8B 45 C4 2B 45 E0 01 45 DC 03 45 C0 01 45 E0 83 7B 30 00 75 14 8B 45 C4 89 43 3C 8B 45 C8 89 43 40 8B 45 C0 89 43 44 EB 33 55 8D 55 C4 8B 4D C0 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 72 80 7B 15 00 75 1A 8B 43 3C 3B 45 C4 7D 12 8B 45 C4 89 43 3C 8B 45 C8 89 43 40 8B 45 C0 89 43 44 8B 73 34 85 F6 74 3F 8B C6 8B 53 18 89 50 18 8B 53 1C 89 50 1C 8B 53 3C 89 50 3C 8B 53 40 89 50 40 8B 50 30 8B 52 24 01 50 1C 8B 50 30 8B 52 24 01 50 40 8B 53 20 89 50 20 8B 53 44 89 50 44 8B 70 34 85 F6 75 C1 FF 45 EC FF 4D 8C 0F 85 F8 FA FF FF 83 7D FC 00 74 0A 80 7D 93 00 0F 84 CB 02 00 00 8B 45 E4 2B 45 E0 89 45 D8 83 7D D8 00 0F 8D A9 02 00 00 8B 45 F0 8B 40 08 8B 55 F0 2B 02 89 45 E4 8B 45 E0 89 45 9C 8B 45 DC 89 45 A0 8B 45 AC 8B 55 B0 2B D0 0F 8F D4 00 00 00 4A 89 55 8C 89 45 EC 8B 45 F8 8B 80 08 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8B 33 8B 45 F8 F6 40 20 10 75 0A 80 7E 47 00 0F 84 99 00 00 00 8B 43 3C 03 43 44 3B 45 E4 0F 8E 8A 00 00 00 8B 43 3C 03 43 44 2B 45 E4 89 45 CC 8B 45 EC 3B 45 AC 7D 0E 8B 43 3C 03 43 44 8B 55 9C 2B D0 29 55 A0 8B 45 CC 3B 45 A0 7F 08 8B 45 CC 89 45 D8 EB 06 8B 45 A0 89 45 D8 8B 45 D8 3B 45 A0 7F 56 8B 43 3C 89 45 9C 8B 45 D8 29 43 3C 8B 43 44 29 45 E4 55 8B 4B 44 8D 53 3C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 31 8B 73 34 85 F6 74 1E 8B C6 8B 53 3C 89 50 3C 8B 53 40 89 50 40 8B 50 30 8B 52 24 01 50 40 8B 70 34 85 F6 75 E2 FF 4D EC FF 45 8C 0F 85 33 FF FF FF 83 7D FC 00 74 0A 80 7D 93 00 0F 84 AC 01 00 00 83 7D E4 00 0F 8D 0B 01 00 00 8B 45 F0 8B 40 08 8B 55 F0 2B 02 89 45 E4 8B 45 AC 8B 55 B0 2B D0 0F 8F EF 00 00 00 4A 89 55 8C 89 45 EC 8B 45 F8 8B 80 08 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8B 33 8B 45 F8 F6 40 20 10 75 0A 80 7E 47 00 0F 84 B4 00 00 00 8B 43 3C 03 43 44 3B 45 E4 0F 8E 9F 00 00 00 8B 43 3C 03 43 44 2B 45 E4 29 43 44 8B 46 68 8B 40 14 03 43 04 03 43 0C 3B 43 44 7E 0F 8B 46 68 8B 40 14 03 43 04 03 43 0C 89 43 44 8B 43 3C 03 43 44 3B 45 E4 7E 1E 8B 43 3C 03 43 44 2B 45 E4 29 43 3C 8B 45 F0 8B 00 3B 43 3C 7E 08 8B 45 F0 8B 00 89 43 3C 55 8B 4B 44 8D 53 3C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 49 8B 73 34 85 F6 74 30 8B C6 8B 53 18 89 50 18 8B 53 1C 89 50 1C 8B 53 3C 89 50 3C 8B 53 40 89 50 40 8B 50 30 8B 52 24 01 50 40 8B 53 44 89 50 44 8B 70 34 85 F6 75 D0 8B 43 44 29 45 E4 FF 4D EC FF 45 8C 0F 85 18 FF FF FF 83 7D FC 00 74 0A 80 7D 93 00 0F 84 87 00 00 00 83 7D E4 00 7D 6D 8B 45 B0 3B 45 AC 74 65 8B 45 F8 8B 80 08 02 00 00 8B 55 AC E8 ?? ?? ?? ?? 8B D8 33 C0 89 43 3C 8B 43 20 89 43 44 C6 43 38 01 FF 45 B4 55 8B 4B 44 8D 53 3C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 41 8B 73 34 85 F6 74 2E 8B C6 8B 53 3C 89 50 3C 8B 53 40 89 50 40 8B 50 30 8B 52 24 01 50 40 8B 53 44 89 50 44 8B 70 34 85 F6 75 DC EB 08 FF 45 B8 EB 03 FF 45 B8 8B 45 B8 3B 45 B4 0F 8E 7F F7 FF FF 83 7D FC 00 0F 85 3B F7 FF FF 8B 45 F8 8B 80 08 02 00 00 8B 40 08 48 85 C0 0F 8C 56 01 00 00 40 89 45 8C C7 45 EC 00 00 00 00 8B 45 F8 8B 80 08 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D8 89 9D 7C FF FF FF 8B 85 7C FF FF FF 83 78 30 00 0F 85 16 01 00 00 8B 45 F8 F6 40 20 10 75 12 8B 85 7C FF FF FF 8B 00 80 78 47 00 0F 84 FB 00 00 00 8B 85 7C FF FF FF 83 C0 04 89 85 78 FF FF FF 8B 85 7C FF FF FF 8B 40 40 03 43 24 8B 95 78 FF FF FF 2B 42 0C 50 8D 85 68 FF FF FF 50 8B 85 7C FF FF FF 8B 48 3C 8B 85 7C FF FF FF 03 48 44 8B 85 78 FF FF FF 2B 48 08 8B 85 78 FF FF FF 8B 50 04 8B 85 7C FF FF FF 03 50 40 8B 85 78 FF FF FF 8B 00 8B 9D 7C FF FF FF 03 43 3C E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8B 70 34 85 F6 74 10 8B 46 24 01 85 74 FF FF FF 8B 76 34 85 F6 75 F0 8B 85 7C FF FF FF 8B 00 8B 40 30 3B 85 68 FF FF FF 75 45 8B 85 7C FF FF FF 8B 00 8B 40 34 3B 85 6C FF FF FF 75 32 8B 85 70 FF FF FF 2B 85 68 FF FF FF 8B 95 7C FF FF FF 8B 12 3B 42 38 75 19 8B 85 74 FF FF FF 2B 85 6C FF FF FF 8B 95 7C FF FF FF 8B 12 3B 42 3C 74 17 C6 45 AA 01 8D 95 68 FF FF FF 8B 85 7C FF FF FF 8B 00 E8 ?? ?? ?? ?? FF 45 EC FF 4D 8C 0F 85 B5 FE FF FF 80 7D AA 00 75 06 83 7D F4 00 74 08 8B 45 F8 8B 10 FF 52 7C 8B 45 F8 66 BB EF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 80 F0 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8524_0 {
	meta:
		name = "AddControl"
		size = 94
		refs = "0020 TList.Get 0044 TList.Insert 0054 TList.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 78 08 4F 85 FF 7C 37 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 53 34 3B 50 34 7C 10 8B 53 34 3B 50 34 75 16 8B 53 30 3B 50 30 7D 0E 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0E 46 4F 75 CC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8525_0 {
	meta:
		name = "TCustomControlBar.UpdateItems"
		size = 912
		refs = "0019 _Dn_TList 001e TObject.Create 0056 TCustomControlBar.UpdateItems 0063 TWinControl.GetControlCount 006d TList.SetCapacity 009d TWinControl.GetControl 00da TList.Get 0171 TList.Add 01a6 Rect 01b2 TControl.GetBoundsRect 021c TList.IndexOf 0280 FreeDockPos 029f AddControl 02eb DefaultInsets 0308 TCustomControlBar.DockControl 0362 TObject.Free 0380 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 89 55 FC 8B D8 C6 45 FB 00 C6 45 CB 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 E0 E8 ?? ?? ?? ?? C7 45 F0 FF FF FF FF C6 45 DF 00 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 23 02 00 00 40 89 45 C4 C7 45 F4 00 00 00 00 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 E8 F6 43 20 10 75 0D 8B 45 E8 80 78 47 00 75 04 33 C0 EB 02 B0 01 88 45 DE C6 45 E7 00 8B 83 08 02 00 00 8B 78 08 4F 85 FF 7C 6D 47 33 F6 8B 83 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 83 78 30 00 75 53 8B 83 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 00 3B 45 E8 75 3F 80 7D DF 00 75 17 8B 83 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 14 00 75 04 33 C0 EB 02 B0 01 3A 45 DE 0F 95 45 DF 8B 83 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 8A 55 DE 88 50 14 C6 45 E7 01 EB 04 46 4F 75 96 80 7D E7 00 0F 84 41 01 00 00 8B 45 E8 3B 45 FC 0F 85 35 01 00 00 89 75 F0 8B 83 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 D8 8B 7D D8 8B 57 08 03 57 10 8B 45 CC E8 ?? ?? ?? ?? 83 BB F8 01 00 00 00 74 2E 8B 47 1C 03 47 08 8B 17 03 42 3C 50 8D 45 B4 50 8B 4F 18 03 4F 20 2B 4F 0C 8B 47 1C 03 47 08 50 8B 47 18 03 47 04 5A E8 ?? ?? ?? ?? EB 0A 8D 55 B4 8B 07 E8 ?? ?? ?? ?? 8A 47 15 88 45 EF 80 7D EF 00 74 30 8D 46 01 8B 93 08 02 00 00 3B 42 08 7D 22 8D 56 01 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B F8 80 7F 15 00 75 0C C6 47 15 01 C6 47 38 01 C6 45 CB 01 33 D2 8A 55 EF 8B 45 D4 E8 ?? ?? ?? ?? 8B D6 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D8 8B 78 34 85 FF 74 63 8B 83 08 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B F0 33 D2 8A 57 15 8B 45 D4 E8 ?? ?? ?? ?? 8B D6 8B 45 D0 E8 ?? ?? ?? ?? 8B C7 8B 50 08 03 50 10 8B 45 CC E8 ?? ?? ?? ?? 80 7F 15 00 74 20 8D 56 01 8B 83 08 02 00 00 3B 50 08 7D 12 8D 56 01 E8 ?? ?? ?? ?? 80 78 15 00 75 04 C6 40 15 01 8B 7F 34 85 FF 75 9D 8B 83 08 02 00 00 8B 55 D8 E8 ?? ?? ?? ?? EB 1D 80 7D E7 00 75 17 8B 45 E8 3B 45 FC 75 04 C6 45 FB 01 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? FF 45 F4 FF 4D C4 0F 85 E8 FD FF FF 8B 45 E0 8B 40 08 48 85 C0 7C 5A 40 89 45 C4 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 A4 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 D0 50 8B 45 CC 50 6A 00 8A 45 CB 50 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8D 4D A4 8B C3 E8 ?? ?? ?? ?? FF 45 F4 FF 4D C4 75 B1 83 7D F0 00 7C 2A 8B 45 D4 50 8B 45 D0 50 8B 45 CC 50 6A 00 8A 45 CB 50 68 ?? ?? ?? ?? 6A FF 6A FF 6A 01 8D 4D B4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 7D DF 00 74 07 8B C3 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8526_0 {
	meta:
		name = "TCustomControlBar.SetRowSize"
		size = 15
	strings:
		$1 = { 3B 90 10 02 00 00 74 06 89 90 10 02 00 00 C3 }
	condition:
		$1
}

rule function_8527_0 {
	meta:
		name = "TCustomControlBar.SetRowSnap"
		size = 15
	strings:
		$1 = { 3A 90 14 02 00 00 74 06 88 90 14 02 00 00 C3 }
	condition:
		$1
}

rule function_8529_0 {
	meta:
		name = "TCustomControlBar.StickControls"
		size = 181
		refs = "0027 TList.Get 0059 Point 0073 TControl.GetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E8 8B 85 08 02 00 00 8B 78 08 4F 85 FF 0F 8C 92 00 00 00 47 33 F6 8B 85 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 74 76 8B 85 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 83 7B 30 00 74 28 8B 43 30 8B 50 1C 8B 43 30 03 50 24 8B CC 8B 43 30 8B 40 18 E8 ?? ?? ?? ?? 8B 04 24 89 43 18 8B 44 24 04 89 43 1C EB 25 8D 54 24 08 8B 03 E8 ?? ?? ?? ?? 8B 44 24 08 89 43 18 8B 44 24 0C 89 43 1C 8B 43 04 29 43 18 8B 43 08 29 43 1C 8B 03 8B 40 38 03 43 04 03 43 0C 89 43 20 8A 43 38 88 43 15 46 4F 0F 85 71 FF FF FF 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8530_0 {
	meta:
		name = "TCustomControlBar.CanAutoSize"
		size = 291
		refs = "0016 TWinControl.HandleAllocated 002b TWinControl.GetControlCount 005f TList.Get 00a2 TControl.GetClientWidth 010a TControl.GetClientHeight"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B EA 8B D8 C6 44 24 04 01 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 F6 00 00 00 F6 43 20 10 74 0F 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E E1 00 00 00 8A 43 4B 04 FD 2C 02 73 70 33 C0 89 45 00 8B 83 08 02 00 00 8B 70 08 4E 85 F6 7C 4C 46 33 FF 8B D7 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 83 78 30 00 75 32 F6 43 20 10 75 08 8B 10 80 7A 47 00 74 24 8B 10 8B 52 38 03 50 3C 03 50 04 03 50 0C 3B 55 00 7E 11 8B 10 8B 52 38 03 50 3C 03 50 04 03 50 0C 89 55 00 47 4E 75 B7 8B C3 E8 ?? ?? ?? ?? 8B 53 38 2B D0 01 55 00 EB 68 8B 04 24 33 D2 89 10 8B 83 08 02 00 00 8B 70 08 4E 85 F6 7C 42 46 33 FF 8B D7 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 83 78 30 00 75 28 F6 43 20 10 75 08 8B 10 80 7A 47 00 74 1A 8B 50 40 8B 08 03 51 3C 03 50 08 03 50 10 8B 0C 24 3B 11 7E 05 8B 04 24 89 10 47 4E 75 C1 8B C3 E8 ?? ?? ?? ?? 8B 53 3C 2B D0 8B 04 24 01 10 8A 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8531_0 {
	meta:
		name = "AddItem"
		size = 380
		refs = "005e TList.Get 00e1 CreateDockPos 010e TList.Insert 0175 TCustomControlBar.DockControl"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 78 FC 00 75 07 8B 45 08 C6 40 FB 01 8B 45 08 8B 40 F4 8B 55 08 3B 42 FC 75 09 8B 45 08 80 78 18 00 74 50 8B 45 08 80 78 FB 00 74 47 8B 45 08 8B 40 FC 8B 55 08 8B 52 F0 8B 92 08 02 00 00 3B 42 08 7D 30 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 8B 80 08 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 80 78 EF 00 75 0E 80 7B 15 00 74 08 C6 43 15 00 C6 43 38 00 8B 45 08 8B 40 F0 80 B8 14 02 00 00 00 74 0E 8B 45 08 8B 40 F0 8B 80 10 02 00 00 EB 0C 8B 45 08 8B 40 E8 8B 55 08 2B 42 E0 8B 55 08 83 C2 DC 52 8B 55 08 8B 52 E4 8B 4D 08 2B 51 DC 52 50 8B 45 08 8B 40 1C 50 8B 45 08 83 C0 C4 50 8B 45 08 8B 40 0C 50 8B 45 08 8A 48 D7 8B 45 08 8A 50 FB 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 83 78 1C 00 74 09 8B 45 08 8B 40 1C 89 58 34 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 8B 80 08 02 00 00 8B CB E8 ?? ?? ?? ?? 8B 45 08 83 78 0C 01 7E 5E 8B 45 08 FF 48 0C 8B 45 08 8B 40 F0 8B 80 10 02 00 00 8B 55 08 01 42 E0 8B 45 08 8B 40 28 50 8B 45 08 8B 40 24 50 8B 45 08 8B 40 20 50 53 6A 00 8B 45 08 83 C0 C4 50 8B 45 08 8B 40 10 50 8B 45 08 8B 40 0C 50 6A 00 8B 45 08 8D 48 DC 8B 45 08 8B 50 D8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_8532_0 {
	meta:
		name = "TCustomControlBar.DockControl"
		size = 809
		refs = "003b TList.Get 0048 TList.Delete 00d1 DefaultInsets 01a3 AdjustControlRect 023f Rect 02cc AddItem"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B 75 14 8D 7D C4 51 B9 04 00 00 00 F3 A5 59 8B F1 89 55 D8 89 45 F0 8B 45 F0 8B 55 D8 89 90 F4 01 00 00 8B 45 28 83 78 08 00 7E 19 33 D2 8B 45 28 E8 ?? ?? ?? ?? 88 45 B3 33 D2 8B 45 28 E8 ?? ?? ?? ?? EB 04 C6 45 B3 00 8B 45 24 83 78 08 00 7E 19 33 D2 8B 45 24 E8 ?? ?? ?? ?? 89 45 F4 33 D2 8B 45 24 E8 ?? ?? ?? ?? EB 07 C7 45 F4 FF FF FF FF 8B 45 20 83 78 08 00 7E 18 33 D2 8B 45 20 E8 ?? ?? ?? ?? 8B D8 33 D2 8B 45 20 E8 ?? ?? ?? ?? EB 03 83 CB FF 33 C0 89 45 FC C7 45 C0 01 00 00 80 C7 45 BC 01 00 00 80 56 8D 7D DC B9 04 00 00 00 F3 A5 5E 83 7D 0C 00 0F 8D FD 00 00 00 8B 46 08 2B 06 89 45 10 BE ?? ?? ?? ?? 8D 7D C4 B9 04 00 00 00 F3 A5 85 DB 7D 06 8B 5D C8 03 5D D0 03 5D E8 2B 5D E0 8B 45 F0 80 B8 14 02 00 00 00 74 38 8B 45 F0 FF B0 10 02 00 00 8B C3 5A 8B CA 99 F7 F9 89 45 0C 83 7D 0C 00 75 03 FF 45 0C 80 7D 08 00 74 1C 8B 45 F0 8B 80 10 02 00 00 F7 6D 0C 3B D8 7E 0C FF 45 0C EB 07 C7 45 0C 01 00 00 00 8D 45 10 50 8D 45 0C 50 8D 4D C4 8B 55 D8 8B 45 F0 8B 30 FF 96 C8 00 00 00 83 7D 0C 00 75 07 C7 45 0C 01 00 00 00 8B 45 F0 8A 80 14 02 00 00 22 45 08 74 25 8B 45 F0 8B 80 10 02 00 00 F7 6D 0C 3B D8 7E 15 8B 45 F0 FF B0 10 02 00 00 8B C3 5A 8B CA 99 F7 F9 40 89 45 0C 8B 45 DC 03 45 10 89 45 E4 8D 55 C4 8D 45 DC E8 ?? ?? ?? ?? 8B 45 F0 80 B8 14 02 00 00 00 74 12 8B 45 F0 8B 80 10 02 00 00 F7 6D 0C 03 45 E0 89 45 E8 8B 45 F0 F6 40 20 10 75 0D 8B 45 D8 80 78 47 00 75 04 33 C0 EB 02 B0 01 88 45 D7 8B 45 F0 8B 80 10 02 00 00 D1 E8 03 45 E0 89 45 B8 C6 45 FB 00 C6 45 EF 00 8B 45 F0 8B 80 08 02 00 00 8B 40 08 48 85 C0 0F 8C 0B 01 00 00 40 89 45 AC 33 F6 8B 45 F0 8B 80 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 43 1C 03 43 24 50 8D 45 9C 50 8B 7B 18 8B CF 03 4B 20 8B 53 1C 8B C7 E8 ?? ?? ?? ?? 8B 45 A8 8B D0 2B 55 A0 3B 55 C0 7E 03 89 55 C0 3B 45 BC 7E 03 89 45 BC 8B 45 DC 3B 45 9C 7E 12 8B 45 B8 3B 45 A0 7E 0A C6 45 FB 00 8D 46 01 89 45 FC 8B 45 F0 8B 80 08 02 00 00 8B 40 08 48 3B F0 74 25 8D 46 01 3B 45 F4 75 06 80 7D B3 00 75 17 8D 56 01 8B 45 F0 8B 80 08 02 00 00 E8 ?? ?? ?? ?? 80 78 15 00 74 64 8B 45 B8 3B 45 BC 7D 20 83 7D FC 00 75 08 8B 45 B8 3B 45 A0 7C 04 33 C0 EB 02 B0 01 88 45 EF 55 E8 ?? ?? ?? ?? 59 EB 4D 8B 45 9C 3B 45 DC 7F 0A 83 7B 34 00 74 04 33 C0 EB 02 B0 01 88 45 FB 8D 46 01 89 45 FC 8B 45 F0 80 B8 14 02 00 00 00 74 0E 8B 45 F0 8B 80 10 02 00 00 89 45 C0 EB 05 33 C0 89 45 C0 46 FF 4D AC 0F 85 FB FE FF FF 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_8533_0 {
	meta:
		name = "TCustomControlBar.UnDockControl"
		size = 121
		refs = "002d TList.Get 0069 FreeDockPos"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8B 04 24 89 83 F4 01 00 00 8B 83 08 02 00 00 8B 68 08 4D 85 ED 7C 52 45 33 FF 8B D7 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 06 3B 04 24 75 35 80 7E 15 00 74 20 8B 83 08 02 00 00 8B 40 08 48 3B F8 7D 12 8D 57 01 8B 83 08 02 00 00 E8 ?? ?? ?? ?? C6 40 15 01 8B D6 8B 83 08 02 00 00 E8 ?? ?? ?? ?? EB 04 47 4D 75 B1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8534_0 {
	meta:
		name = "TCustomControlBar.GetControlInfo"
		size = 59
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 3E 00 75 06 C7 06 01 00 00 00 66 83 B8 22 02 00 00 00 74 18 51 8B 4D 0C 51 56 8B D8 8B CA 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8535_0 {
	meta:
		name = "DrawGrabber"
		size = 129
		refs = "001c TPen.SetColor 002b TCanvas.MoveTo 0037 TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 EC 8B 75 08 83 C6 FC 8B 06 8B 40 10 BA 14 00 00 80 E8 ?? ?? ?? ?? 8B 4B 04 8B 13 83 C2 02 8B 06 E8 ?? ?? ?? ?? 8B 4B 04 8B 13 8B 06 E8 ?? ?? ?? ?? 8B 4B 0C 41 8B 13 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 40 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B 4B 04 8B 53 08 8B 06 E8 ?? ?? ?? ?? 8B 4B 0C 8B 53 08 8B 06 E8 ?? ?? ?? ?? 8B 4B 0C 8B 13 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8536_0 {
	meta:
		name = "TCustomControlBar.PaintControlFrame"
		size = 148
		refs = "0012 TCustomControlBar.PaintControlFrame 003a TCanvas.GetHandle 0040 DrawEdge 0068 Rect 006e DrawGrabber 007c OffsetRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D9 89 55 FC 8B 75 08 8A 15 ?? ?? ?? ?? 88 55 EB 56 8D 55 EB 52 8B 4D FC 8B D3 8B 18 FF 93 C0 00 00 00 F6 45 EB 02 74 13 6A 0F 6A 04 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 EB 01 74 3D 8B 46 0C 83 E8 03 50 8D 45 EC 50 8B 1E 83 C3 03 8B CB 83 C1 02 8B 56 04 83 C2 02 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 6A 00 6A 03 8D 45 EC 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C2 04 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_8537_0 {
	meta:
		name = "TCustomControlBar.Paint"
		size = 462
		refs = "0025 TBrush.SetColor 0061 TCustomControlBar.Paint 0075 TPicture.GetWidth 009a TPicture.GetHeight 00ea TCanvas.Draw 0113 @HandleFinally 0120 TCanvas.FillRect 0166 TList.Get 0189 TControl.GetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 FC 8B 45 FC 8B 80 EC 01 00 00 89 45 F4 8B 45 FC 8B 50 64 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 08 FF 51 44 8B 45 FC 8B 80 0C 02 00 00 83 78 04 00 0F 84 D2 00 00 00 8B 45 FC 8A 80 04 02 00 00 88 45 FB 8B 45 FC C6 80 04 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 E8 2B 45 E0 5A 8B CA 99 F7 F9 85 C0 7C 6E 40 89 45 F0 33 F6 8B 45 FC 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 EC 2B 45 E4 5A 8B CA 99 F7 F9 8B D8 85 DB 7C 41 43 33 FF 8B 45 FC 8B 80 0C 02 00 00 8B 40 04 50 8B 45 FC 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? F7 EF 50 8B 45 FC 8B 80 0C 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F AF D6 8B 45 F4 59 E8 ?? ?? ?? ?? 47 4B 75 C2 46 FF 4D F0 75 98 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 04 02 00 00 C3 E9 ?? ?? ?? ?? EB EC 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 3A 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 3C 02 00 00 FF 93 38 02 00 00 8B 45 FC 8B 80 08 02 00 00 8B 40 08 48 85 C0 7C 73 40 89 45 F0 33 F6 8B 45 FC 8B 80 08 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 3B 83 7B 30 00 75 4D 8B 45 FC F6 40 20 10 75 06 80 7F 47 00 74 3E 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8D 43 04 8B 10 29 55 E0 8B 50 04 29 55 E4 8B 50 08 01 55 E8 8B 40 0C 01 45 EC 8D 45 E0 50 8B 45 FC 8B 90 EC 01 00 00 8B CF 8B 45 FC 8B 18 FF 93 CC 00 00 00 46 FF 4D F0 75 93 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8538_0 {
	meta:
		name = "TCustomControlBar.HitTest"
		size = 15
		refs = "0001 TCustomControlBar.HitTest2"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 03 8B 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_8539_0 {
	meta:
		name = "TCustomControlBar.HitTest2"
		size = 192
		refs = "0035 TList.Get 005c TControl.GetBoundsRect 008a Point 009c PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 D8 89 4C 24 04 89 14 24 8B F0 8B 86 08 02 00 00 8B 78 08 4F 85 FF 0F 8C 8E 00 00 00 47 C7 44 24 0C 00 00 00 00 8B 86 08 02 00 00 8B 54 24 0C E8 ?? ?? ?? ?? 89 44 24 08 8B 5C 24 08 83 7B 30 00 75 5D F6 46 20 10 75 08 8B 03 80 78 47 00 74 4F 8D 54 24 10 8B 03 E8 ?? ?? ?? ?? 8D 43 04 8B 10 29 54 24 10 8B 50 04 29 54 24 14 8B 50 08 01 54 24 18 8B 40 0C 01 44 24 1C 8D 4C 24 20 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? FF 74 24 24 FF 74 24 24 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 75 11 FF 44 24 0C 4F 0F 85 7B FF FF FF 33 C0 89 44 24 08 8B 44 24 08 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8540_0 {
	meta:
		name = "TCustomControlBar.DoAlignControl"
		size = 144
		refs = "0010 TWinControl.HandleAllocated 0025 TWinControl.DisableAlign 002d TCustomControlBar.DoAlignControl 007a TWinControl.EnableAlign 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6E 8B 45 FC F6 40 20 08 75 65 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 44 8D 4D EC 8B D3 8B 45 FC 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 50 44 8B 45 FC 66 89 50 44 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 5B 8B E5 5D C3 00 10 00 00 00 }
	condition:
		$1
}

rule function_8541_0 {
	meta:
		name = "TCustomControlBar.CNKeyDown"
		size = 129
		refs = "000e TWinControl.CNKeyDown 003a TCustomControlBar.FindPos 004b GetCursorPos 0059 TWinControl.GetHandle 0061 MapWindowPoints"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7E 04 11 75 63 F6 43 20 10 75 5D 80 BB F1 01 00 00 00 74 54 83 BB F8 01 00 00 00 74 4B 8B 93 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3A 83 38 00 74 35 8B F0 54 E8 ?? ?? ?? ?? 6A 01 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 44 24 04 50 6A 01 8B 16 8B 4C 24 08 8B C3 8B 18 FF 93 C4 00 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8542_0 {
	meta:
		name = "TCustomControlBar.MouseDown"
		size = 218
		refs = "001c TControl.MouseDown 0023 TControl.GetMouseCapture 003e TCustomControlBar.FindPos 004f TCustomControlBar.HitTest2 00bb Point"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8B 83 F8 01 00 00 85 C0 74 0D 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 0F 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 78 F6 45 FF 40 74 28 80 BB F1 01 00 00 00 74 1F F6 43 20 10 75 19 8B 45 08 50 6A 00 8B 4D 0C 8B 16 8B C3 8B 38 FF 97 C4 00 00 00 84 C0 75 4A 8B 06 89 83 F8 01 00 00 3B 83 F4 01 00 00 75 0A 33 C0 89 83 F4 01 00 00 EB 0A 8B C3 8B 10 FF 92 D0 00 00 00 8D 4D F4 8B 56 40 2B 55 08 8B 46 3C 2B 45 0C E8 ?? ?? ?? ?? 8B 45 F4 89 83 FC 01 00 00 8B 45 F8 89 83 00 02 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8543_0 {
	meta:
		name = "TCustomControlBar.MouseMove"
		size = 241
		refs = "001e TControl.MouseMove 0025 TControl.GetMouseCapture 0044 TCustomControlBar.FindPos 00ad TControl.GetClientWidth 00bb TControl.GetClientHeight 00e4 TCustomControlBar.DoAlignControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 88 55 FF 8B D8 8B 45 08 50 8B 4D F8 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B7 00 00 00 8B 83 F8 01 00 00 85 C0 0F 84 A9 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 8B F0 8B 45 F8 03 83 FC 01 00 00 89 46 18 8B 45 08 03 83 00 02 00 00 89 46 1C 8B 46 18 89 46 3C 8B 46 1C 89 46 40 8B 06 8B 40 38 03 46 04 03 46 0C 89 46 44 F6 43 20 10 75 55 80 BB F1 01 00 00 00 74 4C 8B 06 8B 78 3C 8B C7 F7 D8 3B 46 18 7F 25 8B C7 F7 D8 3B 46 1C 7F 1C 8B C3 E8 ?? ?? ?? ?? 03 C7 3B 46 18 7C 0E 8B C3 E8 ?? ?? ?? ?? 03 F8 3B 7E 1C 7D 19 8B 45 08 50 6A 01 8B 4D F8 8B 16 8B C3 8B 38 FF 97 C4 00 00 00 84 C0 75 09 8B 16 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8544_0 {
	meta:
		name = "TCustomControlBar.MouseUp"
		size = 86
		refs = "004b TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 8B 86 F8 01 00 00 85 C0 74 24 33 D2 89 96 F8 01 00 00 3B 86 F4 01 00 00 75 0A 33 C0 89 86 F4 01 00 00 EB 0A 8B C6 8B 10 FF 92 D0 00 00 00 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8545_0 {
	meta:
		name = "TCustomControlBar.FindPos"
		size = 74
		refs = "0022 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 08 02 00 00 8B 70 08 4E 85 F6 7C 2D 46 33 DB 8B 87 08 02 00 00 8B D3 E8 ?? ?? ?? ?? 83 78 30 00 75 13 3B 28 75 0F 8B 87 08 02 00 00 8B D3 E8 ?? ?? ?? ?? EB 06 43 4E 75 D6 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8546_0 {
	meta:
		name = "TCustomControlBar.DragControl"
		size = 76
		refs = "003e TControl.BeginDrag"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA C6 45 FF 01 85 DB 74 20 66 83 B8 1A 02 00 00 00 74 16 8D 55 FF 52 8B F0 8B CB 8B D0 8B 86 1C 02 00 00 FF 96 18 02 00 00 80 7D FF 00 74 0C 83 C9 FF B2 01 8B C3 E8 ?? ?? ?? ?? 8A 45 FF 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8547_0 {
	meta:
		name = "TCustomControlBar.DockOver"
		size = 126
		refs = "0022 TWinControl.DockOver 004a TControl.EndDrag 005d MakeLong 006c TWinControl.GetHandle 0072 PostMessage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B F8 8B 5D 0C 8B 45 10 50 53 8B 45 08 50 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 08 80 38 00 74 48 84 DB 75 44 8B 46 30 8B 10 FF 52 54 84 C0 74 38 8B 46 30 89 87 F8 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 9F F8 01 00 00 66 8B 53 34 66 8B 43 30 E8 ?? ?? ?? ?? 50 6A 01 68 01 02 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8548_0 {
	meta:
		name = "TCustomControlBar.GetSiteInfo"
		size = 71
		refs = "0024 TWinControl.GetSiteInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 0C 8D 7D F4 A5 A5 89 4D FC 8B F0 8B 5D 08 8D 45 F4 50 53 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 80 3B 00 74 09 80 BE 05 02 00 00 00 74 04 33 C0 EB 02 B0 01 88 03 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8549_0 {
	meta:
		name = "TCustomControlBar.DoBandMove"
		size = 32
	strings:
		$1 = { 53 66 83 B8 2A 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 2C 02 00 00 FF 93 28 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8550_0 {
	meta:
		name = "TCustomControlBar.DoBandPaint"
		size = 46
	strings:
		$1 = { 55 8B EC 53 66 83 B8 32 02 00 00 00 74 1B 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 34 02 00 00 FF 93 30 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8551_0 {
	meta:
		name = "TCustomControlBar.GetPalette"
		size = 27
	strings:
		$1 = { 33 D2 8B 88 0C 02 00 00 8B 49 04 85 C9 74 09 8B C1 8B 10 FF 52 24 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_8553_0 {
	meta:
		name = "TCustomControlBar.DoPaletteChange"
		size = 151
		refs = "003b GetParentForm 0051 TWinControl.HandleAllocated 006e TControl.Perform 0080 TWinControl.GetHandle 0086 PostMessage"
	strings:
		$1 = { 53 56 57 55 8B E8 33 DB 8B 85 0C 02 00 00 8B 70 04 80 7D 47 00 74 79 F6 45 20 01 75 73 85 F6 74 6F 80 7E 16 00 74 69 8B C6 8B 10 FF 52 24 85 C0 75 06 C6 46 16 00 EB 58 8B C5 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4B 80 BF 0E 02 00 00 00 74 42 8B C7 E8 ?? ?? ?? ?? 84 C0 74 37 80 BD 04 02 00 00 00 74 12 6A 00 33 C9 BA 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? EB 16 6A 00 6A 00 68 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B3 01 C6 46 16 00 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8554_0 {
	meta:
		name = "TCustomControlBar.PictureChanged"
		size = 63
		refs = "0012 TCustomControlBar.DoPaletteChange"
	strings:
		$1 = { 53 8B D8 8B 83 0C 02 00 00 83 78 04 00 74 1E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 80 BB 04 02 00 00 00 74 0A 8B C3 8B 10 FF 92 84 00 00 00 80 BB 04 02 00 00 00 75 07 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_8555_0 {
	meta:
		name = "TCustomControlBar.CMControlListChange"
		size = 77
		refs = "000b TWinControl.CMControlListChange 002e TCustomControlBar.UnDockControl 003f @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7B 08 00 75 35 8B 43 04 3B 86 F8 01 00 00 75 08 33 C0 89 86 F8 01 00 00 8B 53 04 8B C6 E8 ?? ?? ?? ?? 80 7E 4C 00 74 0B 8B C6 66 BB EF FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_8556_0 {
	meta:
		name = "TCustomControlBar.CMDesignHitTest"
		size = 49
		refs = "001a TCustomControlBar.HitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB F8 01 00 00 00 75 17 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8559_0 {
	meta:
		name = "TOpenPictureDialog.Create"
		size = 892
		refs = "0016 @ClassCreate 0023 TOpenPictureDialog.Create 0032 TOpenDialog.Create 003a _Dn_TGraphic 003f GraphicFilter 004a @LStrAsg 0051 _Dn_TPicture 0056 TPicture.Create 0065 _Dn_TPanel 006a TCustomPanel.Create 0087 TControl.SetText 00ae TCustomPanel.SetBevelOuter 00ba TCustomPanel.SetBorderWidth 00c5 TWinControl.SetTabOrder 00ce _Dn_TLabel 00d3 TCustomLabel.Create 0114 TControl.SetAlign 0136 _Dn_TSpeedButton 013b TSpeedButton.Create 0177 TSpeedButton.GetGlyph 017d HInstance 0189 TBitmap.LoadFromResourceName 0191 SPreviewLabel 0196 LoadResString 019f TControl.SetParentShowHint 01a8 TControl.SetShowHint 01b8 TOpenPictureDialog.PreviewClick 0220 TCustomPanel.SetBevelInner 023b _Dn_TPaintBox 0240 TPaintBox.Create 02a6 TOpenPictureDialog.PaintBoxPaint 02c8 @LStrClr 02ce @HandleFinally 02dd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 54 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 18 33 D2 8B C6 E8 ?? ?? ?? ?? 68 A9 00 00 00 68 C8 00 00 00 B9 05 00 00 00 BA CC 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 18 33 D2 8B C6 E8 ?? ?? ?? ?? 68 9D 00 00 00 6A 17 B9 06 00 00 00 BA 06 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 90 00 00 00 8B 93 9C 00 00 00 8B C6 8B 08 FF 51 64 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A4 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 18 6A 17 6A 16 B9 01 00 00 00 BA 4D 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 33 D2 8B C6 8B 08 FF 51 60 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 74 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 89 9E 08 01 00 00 C7 86 04 01 00 00 ?? ?? ?? ?? 8B 93 9C 00 00 00 8B C6 8B 08 FF 51 64 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 18 33 D2 8B C6 E8 ?? ?? ?? ?? 68 9D 00 00 00 68 91 00 00 00 B9 1D 00 00 00 BA 06 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 00 00 00 8B 93 9C 00 00 00 8B C6 8B 08 FF 51 64 8B B3 AC 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 18 68 99 00 00 00 68 8D 00 00 00 33 C9 33 D2 8B C6 8B 38 FF 97 80 00 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 89 9E 10 01 00 00 C7 86 0C 01 00 00 ?? ?? ?? ?? 89 9E 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 8B 93 A8 00 00 00 8B C6 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 FF FF FF FF 0C 00 00 00 50 69 63 74 75 72 65 50 61 6E 65 6C 00 00 00 00 FF FF FF FF 0C 00 00 00 50 69 63 74 75 72 65 4C 61 62 65 6C 00 00 00 00 FF FF FF FF 0D 00 00 00 50 72 65 76 69 65 77 42 75 74 74 6F 6E 00 00 00 FF FF FF FF 0C 00 00 00 50 52 45 56 49 45 57 47 4C 59 50 48 00 00 00 00 FF FF FF FF 0A 00 00 00 50 61 69 6E 74 50 61 6E 65 6C 00 00 FF FF FF FF 08 00 00 00 50 61 69 6E 74 42 6F 78 00 00 00 00 }
	condition:
		$1
}

rule function_8560_0 {
	meta:
		name = "TOpenPictureDialog.Destroy"
		size = 103
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0055 TOpenDialog.Destroy 0060 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B 86 A8 00 00 00 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8561_0 {
	meta:
		name = "ValidFile"
		size = 24
		refs = "0006 @LStrToPChar 000c GetFileAttributes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_8562_0 {
	meta:
		name = "TOpenPictureDialog.DoSelectionChange"
		size = 378
		refs = "001b TOpenPictureDialog.DoSelectionChange 002c TOpenDialog.GetFileName 0034 FileExists 0040 ValidFile 0071 TPicture.LoadFromFile 007d SPictureDesc 0082 LoadResString 0094 TPicture.GetWidth 00a9 TPicture.GetHeight 00be Format 00cf TControl.SetText 00ee @HandleAnyException 00f5 @DoneExcept 0101 SPictureLabel 014d TOpenDialog.DoSelectionChange 0167 @LStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 F4 89 55 F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 0F 84 A3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 00 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 00 00 00 B2 01 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 84 DB 75 3E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 00 00 00 33 D2 8B 08 FF 51 60 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 08 FF 51 08 8B 45 FC 8B 80 AC 00 00 00 8B 10 FF 52 78 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8563_0 {
	meta:
		name = "TOpenPictureDialog.DoClose"
		size = 18
		refs = "0001 TCommonDialog.DoClose 0006 Application 000d TApplication.HideHint"
	strings:
		$1 = { E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8564_0 {
	meta:
		name = "TOpenPictureDialog.DoShow"
		size = 141
		refs = "000c GetClientRect 0038 TControl.SetBoundsRect 0047 TControl.GetBoundsRect 0062 TControl.SetLeft 007d TWinControl.SetParentWindow 0084 TCommonDialog.DoShow"
	strings:
		$1 = { 53 83 C4 D0 8B D8 54 8B 43 30 50 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 8B 08 FF 51 40 8B 54 24 18 8B 44 24 10 2B D0 03 D0 89 14 24 83 44 24 04 04 8B D4 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 20 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B 54 24 28 8B 83 A4 00 00 00 2B 50 38 83 EA 02 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 98 00 00 00 8B 08 FF 51 08 8B 53 30 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_8565_0 {
	meta:
		name = "TOpenPictureDialog.Execute"
		size = 52
		refs = "0002 NewStyleControls 0012 TOpenPictureDialog.Execute 0021 TOpenDialog.Execute"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 3A 00 74 10 F6 40 52 01 75 0A BA ?? ?? ?? ?? 89 50 38 EB 05 33 D2 89 50 38 E8 ?? ?? ?? ?? C3 00 00 44 4C 47 54 45 4D 50 4C 41 54 45 00 }
	condition:
		$1
}

rule function_8566_0 {
	meta:
		name = "TOpenPictureDialog.PaintBoxPaint"
		size = 472
		refs = "0016 TOpenPictureDialog.PaintBoxPaint 002f TBrush.SetColor 0044 TPicture.GetWidth 006c TPicture.GetHeight 00b4 MulDiv 00fd TCanvas.StretchDraw 0154 TCanvas.Draw 0164 srNone 0169 LoadResString 0177 TCanvas.TextHeight 0195 TCanvas.TextWidth 01b0 TCanvas.TextOut 01c5 @LStrClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 8B 57 64 8B 87 14 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C7 8B 08 FF 51 44 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 0A 01 00 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 7D F4 2B 7D EC 3B C7 7F 19 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 2B 55 F0 3B C2 0F 8E 88 00 00 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 50 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 5A 3B D0 7E 26 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 50 57 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 45 F0 89 45 F8 EB 2A 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 F8 2B 45 F0 50 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 45 EC 89 45 F4 8B 83 98 00 00 00 8B 48 04 8D 55 EC 8B 86 14 01 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 83 98 00 00 00 8B 40 04 50 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 EC 2B D0 D1 FA 79 03 83 D2 00 03 55 EC 8B 86 14 01 00 00 59 E8 ?? ?? ?? ?? EB 5A 8B 9E 14 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 75 EC 2B D6 2B D0 D1 FA 79 03 83 D2 00 03 D6 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8567_0 {
	meta:
		name = "TOpenPictureDialog.PreviewClick"
		size = 564
		refs = "0014 TOpenPictureDialog.PreviewClick 0023 _Dn_TForm 0028 TCustomForm.Create 004e SPreviewLabel 0053 LoadResString 005e TControl.SetText 0068 TCustomForm.SetBorderStyle 007c TCustomForm.SetPosition 008f TOpenPictureDialog.PreviewKeyPress 0099 _Dn_TPanel 009e TCustomPanel.Create 00be TControl.SetAlign 00c7 TCustomPanel.SetBevelOuter 00d0 TCustomPanel.SetBorderStyle 00dc TCustomPanel.SetBorderWidth 00e8 TControl.SetColor 00fc _Dn_TImage 0101 TImage.Create 012a TImage.SetStretch 014f TPicture.GetWidth 015b TControl.GetClientWidth 0180 TCustomForm.SetClientWidth 0188 TControl.GetClientHeight 019e TPicture.GetHeight 01ad TCustomForm.SetClientHeight 01cd TObject.Free 01d3 @HandleFinally 01ea @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 0D 02 00 00 01 B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 B0 BC 01 00 00 C7 80 B8 01 00 00 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 18 33 D2 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 80 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 64 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 18 33 D2 8B C3 E8 ?? ?? ?? ?? B2 05 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B 96 98 00 00 00 8B 87 18 01 00 00 8B 08 FF 51 08 8B D3 8B C7 8B 08 FF 51 64 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 5A 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 03 F8 8B D7 83 C2 0A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 03 F8 8B D7 83 C2 0A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 0B 00 00 00 50 72 65 76 69 65 77 46 6F 72 6D 00 FF FF FF FF 05 00 00 00 50 61 6E 65 6C 00 00 00 FF FF FF FF 05 00 00 00 49 6D 61 67 65 00 00 00 }
	condition:
		$1
}

rule function_8568_0 {
	meta:
		name = "TOpenPictureDialog.PreviewKeyPress"
		size = 13
		refs = "0008 TCustomForm.Close"
	strings:
		$1 = { 80 39 1B 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8569_0 {
	meta:
		name = "TSavePictureDialog.Execute"
		size = 68
		refs = "0004 NewStyleControls 0014 TSavePictureDialog.Execute 0023 GetSaveFileName 002a TOpenDialog.DoExecute"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 F6 43 52 01 75 0A B8 ?? ?? ?? ?? 89 43 38 EB 05 33 C0 89 43 38 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 00 00 44 4C 47 54 45 4D 50 4C 41 54 45 00 }
	condition:
		$1
}

rule function_8572_0 {
	meta:
		name = "SlashSep"
		size = 72
		refs = "000c AnsiLastChar 0017 SlashSep 0024 @LStrCatN 0031 @LStrCat3"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 38 5C 74 15 53 68 ?? ?? ?? ?? 56 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B C7 8B CE 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_8573_0 {
	meta:
		name = "TPathLabel.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TCustomLabel.Create 0020 TCustomLabel.SetWordWrap 0035 TCustomLabel.SetShowAccelChar 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 90 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8574_0 {
	meta:
		name = "TPathLabel.Paint"
		size = 240
		refs = "0016 TPathLabel.Paint 0033 TCustomLabel.GetTransparent 0042 TBrush.SetColor 004c TBrush.SetStyle 0056 TCanvas.FillRect 006e TControl.GetText 0082 MinimizeName 0092 Alignments 00a6 @LStrLen 00af @LStrToPChar 00bb TCanvas.GetHandle 00c1 DrawText 00d6 @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 14 01 00 00 8D 55 EC 8B C3 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B 53 64 8B 46 14 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D F4 2B 4D EC 8B 93 14 01 00 00 E8 ?? ?? ?? ?? 33 C0 8A 83 1C 01 00 00 66 8B 04 45 ?? ?? ?? ?? 66 0D 00 08 0F B7 C0 50 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8575_0 {
	meta:
		name = "CutFirstDirectory"
		size = 188
		refs = "0007 CutFirstDirectory 000c @LStrCmp 0015 @LStrClr 0032 @LStrDelete 005a AnsiPos 007b @LStrCat3"
	strings:
		$1 = { 53 56 8B F0 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 06 80 38 5C 75 15 B3 01 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 8B 06 80 38 2E 75 11 8B C6 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1F 8B D6 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0E 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 04 00 00 00 2E 2E 2E 5C 00 00 00 00 }
	condition:
		$1
}

rule function_8576_0 {
	meta:
		name = "MinimizeName"
		size = 328
		refs = "001c MinimizeName 002c @LStrLAsg 0036 ExtractFilePath 0040 ExtractFileName 0048 @LStrLen 006c @LStrCopy 007e @LStrDelete 0088 @LStrClr 0097 @LStrCmp 00c8 CutFirstDirectory 00dd @LStrCatN 00f2 TCanvas.TextWidth 0110 @LStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 02 7C 33 8B 45 F4 80 78 01 3A 75 2A 8D 45 F8 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 5D 8D 45 F8 E8 ?? ?? ?? ?? EB 53 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 83 7D F4 00 75 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 06 83 7D F8 00 74 0D 8B 13 8B C6 E8 ?? ?? ?? ?? 3B F8 7C 94 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 05 00 00 00 5C 2E 2E 2E 5C 00 00 00 FF FF FF FF 04 00 00 00 2E 2E 2E 5C 00 00 00 00 }
	condition:
		$1
}

rule function_8577_0 {
	meta:
		name = "VolumeID"
		size = 388
		refs = "001b VolumeID 0028 SetErrorMode 0067 @LStrFromChar 0077 @LStrCat 0082 @LStrToPChar 0088 GetVolumeInformation 0097 StrLen 00a6 @LStrFromPCharLen 00af @LStrClr 00c1 AnsiUpperCaseFileName 00ce @LStrLAsg 00dd AnsiLowerCaseFileName 0112 Format 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 33 C9 89 8D E8 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 EF FE FF FF 00 6A 00 6A 00 8D 45 F4 50 8D 45 F8 50 6A 00 68 05 01 00 00 8D 85 EF FE FF FF 50 8D 85 E8 FE FF FF 8B D3 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1C 8D 85 EF FE FF FF E8 ?? ?? ?? ?? 8B C8 8D 95 EF FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 80 FB 61 73 1C 8D 95 E8 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 1A 8D 95 E8 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 50 8B 06 89 85 E0 FE FF FF C6 85 E4 FE FF FF 0B 8D 95 E0 FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 FF FF FF FF 04 00 00 00 5B 25 73 5D 00 00 00 00 }
	condition:
		$1
}

rule function_8578_0 {
	meta:
		name = "NetworkVolume"
		size = 210
		refs = "001b NetworkVolume 002f UpCase 004e WNetGetConnection 0062 @LStrFromPCharLen 0074 AnsiUpperCaseFileName 0081 @LStrLAsg 0090 AnsiLowerCaseFileName 00a8 VolumeID 00c0 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 8D EC FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 05 01 00 00 8B C3 E8 ?? ?? ?? ?? 88 45 FC C6 45 FD 3A C6 45 FE 00 8D 45 F8 50 8D 85 F3 FE FF FF 50 8D 45 FC 50 E8 ?? ?? ?? ?? 85 C0 75 4D 8D 95 F3 FE FF FF 8B C6 8B 4D F8 E8 ?? ?? ?? ?? 80 FB 61 73 1C 8D 95 EC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 25 8D 95 EC FE FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8579_0 {
	meta:
		name = "ProcessPath"
		size = 696
		refs = "001c ProcessPath 002c @LGetDir 003d @LStrAsg 004b AnsiLastChar 0058 @LStrLen 0069 @LStrCopy 0075 ExtractFileDrive 00a4 @LStrDelete 00dc DirectoryExists 00e8 @ChDir 00ed @_IOTest 00f7 ExtractFileName 0152 @LStrSetLength 01c2 @LStrPos 01dd FileExists 0205 @LStrCat3 021c @LStrCatN 0223 @LStrClr 0260 @HandleFinally 027c @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8A 00 88 07 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 03 80 38 5B 75 27 8B 03 E8 ?? ?? ?? ?? 80 38 5D 75 1B 53 8B 03 E8 ?? ?? ?? ?? 8B C8 83 E9 02 8B 03 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 5B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 0D 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 16 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 02 7C 12 8B 45 F4 80 78 01 3A 75 09 8B 45 F4 8A 00 88 07 EB 03 C6 07 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 40 5A 3B D0 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 8B 03 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 5A 3B D0 7E 1C 8B 03 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 5A 2B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 40 8B D3 33 C0 E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 0C 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 7E 6D 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 5D 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 4D 8B 06 E8 ?? ?? ?? ?? 84 C0 75 42 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 48 75 10 8B 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 FF 33 68 ?? ?? ?? ?? FF 36 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 3F 00 75 0C 8B 0B 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_8580_0 {
	meta:
		name = "GetItemHeight"
		size = 63
		refs = "000a GetDC 0013 TFont.GetHandle 001a SelectObject 0023 GetTextMetrics 0032 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C8 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 54 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 83 C4 38 5E 5B C3 }
	condition:
		$1
}

rule function_8581_0 {
	meta:
		name = "TDriveComboBox.Create"
		size = 133
		refs = "0012 @ClassCreate 0020 TCustomComboBox.Create 0033 TDriveComboBox.ReadBitmaps 0045 @SGetDir 0063 TDriveComboBox.ResetItemHeight 0070 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 8B 08 FF 91 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 FF FE FF FF B9 FF 00 00 00 33 C0 E8 ?? ?? ?? ?? 8A 85 00 FF FF FF 88 83 50 02 00 00 3C 5C 75 07 C6 83 50 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8582_0 {
	meta:
		name = "TDriveComboBox.Destroy"
		size = 92
		refs = "0003 @BeforeDestruction 0012 TObject.Free 004a TCustomComboBox.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 8B 86 5C 02 00 00 E8 ?? ?? ?? ?? 8B 86 60 02 00 00 E8 ?? ?? ?? ?? 8B 86 64 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8583_0 {
	meta:
		name = "AddDrive"
		size = 148
		refs = "0015 AddDrive 0045 Format 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 8A 40 FB 88 45 EC C6 45 F0 02 89 5D F4 C6 45 F8 0B 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 8B CE 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 25 73 3A 20 25 73 00 00 }
	condition:
		$1
}

rule function_8584_0 {
	meta:
		name = "TDriveComboBox.BuildList"
		size = 448
		refs = "0014 TDriveComboBox.BuildList 0022 TCustomComboBox.Clear 0027 GetLogicalDrives 004f @LStrFromChar 005c @LStrCat 0064 @LStrToPChar 006a GetDriveType 0080 UpCase 00ca @PStrCpy 00d9 @PStrNCat 00e4 @LStrFromString 010c VolumeID 011d AddDrive 012c NetworkVolume 019d @LStrClr 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F7 33 F6 8B C6 83 F8 1F 77 04 0F A3 45 F7 0F 83 41 01 00 00 8B C6 04 61 88 45 FB 8D 45 F0 8A 55 FB E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 80 B8 51 02 00 00 01 75 0B 8A 45 FB E8 ?? ?? ?? ?? 88 45 FB 33 C0 8A C3 83 F8 06 0F 87 EE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 EC 8A 55 FB 88 50 01 C6 00 01 8D 55 EC 8D 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 45 E8 B1 02 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 88 54 02 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 18 FF 53 38 EB 7E 55 8D 55 F0 8A 45 FB E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 92 58 02 00 00 E8 ?? ?? ?? ?? 59 EB 5E 55 8D 55 F0 8A 45 FB E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 92 5C 02 00 00 E8 ?? ?? ?? ?? 59 EB 3E 55 8D 55 F0 8A 45 FB E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 92 60 02 00 00 E8 ?? ?? ?? ?? 59 EB 1E 55 8D 55 F0 8A 45 FB E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 92 64 02 00 00 E8 ?? ?? ?? ?? 59 46 83 FE 1A 0F 85 A4 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 3A 5C 00 00 01 3A 00 00 }
	condition:
		$1
}

rule function_8585_0 {
	meta:
		name = "TDriveComboBox.SetDrive"
		size = 309
		refs = "0017 TDriveComboBox.SetDrive 0024 TCustomComboBox.GetItemIndex 0030 UpCase 005e TCustomComboBox.SetItemIndex 0102 TDirectoryListBox.DriveChange 010d @CallDynaInst 0122 @LStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1D 8A 45 FF E8 ?? ?? ?? ?? 50 8A 83 50 02 00 00 E8 ?? ?? ?? ?? 5A 3A D0 0F 84 C8 00 00 00 80 7D FF 00 75 18 8A 45 FF 88 83 50 02 00 00 83 CA FF 8B C3 E8 ?? ?? ?? ?? E9 8A 00 00 00 80 BB 51 02 00 00 01 75 10 8A 45 FF E8 ?? ?? ?? ?? 88 83 50 02 00 00 EB 16 8A 45 FF E8 ?? ?? ?? ?? 25 FF 00 00 00 83 C0 20 88 83 50 02 00 00 8B 83 EC 01 00 00 8B 10 FF 52 14 48 85 C0 7C 4B 40 89 45 F4 33 F6 8D 4D F8 8B D6 8B 83 EC 01 00 00 8B 38 FF 57 0C 8B 45 F8 8A 00 E8 ?? ?? ?? ?? 50 8A 83 50 02 00 00 E8 ?? ?? ?? ?? 5A 3A D0 75 14 8B 45 F8 80 78 01 3A 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 06 46 FF 4D F4 75 BB 8B 83 4C 02 00 00 85 C0 74 0B 8A 93 50 02 00 00 E8 ?? ?? ?? ?? 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8586_0 {
	meta:
		name = "TDriveComboBox.SetTextCase"
		size = 38
		refs = "001f TDriveComboBox.SetDrive"
	strings:
		$1 = { 53 56 8B F0 88 96 51 02 00 00 8A 9E 50 02 00 00 8B C6 8B 10 FF 92 CC 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8587_0 {
	meta:
		name = "TDriveComboBox.SetDirListBox"
		size = 48
		refs = "002a TComponent.FreeNotification"
	strings:
		$1 = { 53 8B 88 4C 02 00 00 85 C9 74 08 33 DB 89 99 30 02 00 00 8B CA 89 88 4C 02 00 00 85 C9 74 0F 89 81 30 02 00 00 8B D0 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8588_0 {
	meta:
		name = "TDriveComboBox.CreateWnd"
		size = 35
		refs = "0006 TCustomComboBox.CreateWnd 001d TDriveComboBox.SetDrive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 CC 00 00 00 8A 93 50 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8589_0 {
	meta:
		name = "TDriveComboBox.DrawItem"
		size = 330
		refs = "0023 TDriveComboBox.DrawItem 003d TCanvas.FillRect 0081 Bounds 0095 TBitmap.GetCanvas 009d TCanvas.GetPixel 00e1 TCanvas.BrushCopy 010e @LStrToPChar 011a TCanvas.GetHandle 0120 DrawText 0135 @LStrClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 8B F1 8D 7D E8 B9 04 00 00 00 F3 A5 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F0 01 00 00 89 45 F8 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? BF 10 00 00 00 8B 55 FC 8B 86 EC 01 00 00 8B 08 FF 51 18 8B D8 85 DB 0F 84 87 00 00 00 8B C3 8B 10 FF 52 2C 8B F8 8B C3 8B 10 FF 52 20 50 8D 45 D8 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D8 50 8B C3 8B 10 FF 52 20 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 20 50 8D 45 C8 50 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 20 8B 55 EC 03 55 F4 2B D0 D1 FA 79 03 83 D2 00 8B 45 E8 83 C0 02 59 E8 ?? ?? ?? ?? 8D 55 C8 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 03 7D E8 83 C7 06 89 7D E8 68 24 08 00 00 8D 45 E8 50 6A FF 8D 4D C4 8B 55 FC 8B 86 EC 01 00 00 8B 18 FF 53 0C 8B 45 C4 E8 ?? ?? ?? ?? 50 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8590_0 {
	meta:
		name = "TDriveComboBox.Click"
		size = 110
		refs = "000d TDriveComboBox.Click 001a TControl.Click 0021 TCustomComboBox.GetItemIndex 0048 TDriveComboBox.SetDrive 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 23 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 83 EC 01 00 00 8B 30 FF 56 0C 8B 45 FC 8A 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8591_0 {
	meta:
		name = "TDriveComboBox.CMFontChanged"
		size = 26
		refs = "0006 TWinControl.CMFontChanged 000d TDriveComboBox.ResetItemHeight 0014 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15038_0 {
	meta:
		name = "TCustomOutline.CMFontChanged"
		size = 26
		refs = "0006 TCustomGrid.CMFontChanged 000d TCustomOutline.SetRowHeight 0014 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16598_0 {
	meta:
		name = "TCustomQuickRep.Loaded"
		size = 26
		refs = "0006 TControl.Loaded 000d TCustomQuickRep.RebuildBandList 0014 TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12997_0 {
	meta:
		name = "TDssCubeEditor.GetCellCountsClick"
		size = 26
		refs = "0006 TDssCubeEditor.GetValueCounts 000d TDssCubeEditor.UpdateLists 0014 TDssCubeEditor.InitCapacityPage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8592_0 {
	meta:
		name = "TDriveComboBox.ResetItemHeight"
		size = 54
		refs = "0008 GetItemHeight 002f TCustomComboBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 58 E8 ?? ?? ?? ?? 8B F0 8B 83 54 02 00 00 8B 10 FF 52 20 3B F0 7D 0D 8B 83 54 02 00 00 8B 10 FF 52 20 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8593_0 {
	meta:
		name = "TDriveComboBox.ReadBitmaps"
		size = 280
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 0019 TDriveComboBox.ReadBitmaps 001e HInstance 0026 LoadBitmap 002f TBitmap.SetHandle"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 5C 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 60 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 64 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 46 4C 4F 50 50 59 00 00 48 41 52 44 00 00 00 00 4E 45 54 57 4F 52 4B 00 43 44 52 4F 4D 00 00 00 52 41 4D 00 }
	condition:
		$1
}

rule function_8594_0 {
	meta:
		name = "TDriveComboBox.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 4C 02 00 00 75 08 33 C0 89 87 4C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8595_0 {
	meta:
		name = "DirLevel"
		size = 42
		refs = "0009 @LStrToPChar 0010 AnsiStrScan"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? B2 5C E8 ?? ?? ?? ?? 85 C0 74 0D 43 40 B2 5C E8 ?? ?? ?? ?? 85 C0 75 F3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_8596_0 {
	meta:
		name = "TDirectoryListBox.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0023 TControl.SetWidth 002c TCustomListBox.SetStyle 0035 TCustomListBox.SetSorted 004c @LGetDir 0053 TDirectoryListBox.ResetItemHeight 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 91 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 C8 00 00 00 8D 96 48 02 00 00 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8597_0 {
	meta:
		name = "TDirectoryListBox.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0034 TCustomListBox.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 3C 02 00 00 E8 ?? ?? ?? ?? 8B 86 40 02 00 00 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8598_0 {
	meta:
		name = "TDirectoryListBox.DriveChange"
		size = 204
		refs = "0015 TDirectoryListBox.DriveChange 0022 UpCase 002a TDirectoryListBox.GetDrive 004e @PStrCpy 005d @PStrNCat 0068 @LStrFromString 0070 @ChDir 0075 @_IOTest 0082 @LGetDir 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A D0 74 6B 84 DB 74 4A 8D 45 F8 8B D3 88 50 01 C6 00 01 8D 55 F8 8D 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 45 F4 B1 02 E8 ?? ?? ?? ?? 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 96 48 02 00 00 33 C0 E8 ?? ?? ?? ?? 80 BE 38 02 00 00 00 75 14 8B C6 8B 10 FF 92 CC 00 00 00 8B C6 8B 10 FF 92 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 01 3A 00 00 }
	condition:
		$1
}

rule function_8599_0 {
	meta:
		name = "TDirectoryListBox.SetFileListBox"
		size = 48
		refs = "002a TComponent.FreeNotification"
	strings:
		$1 = { 53 8B 88 2C 02 00 00 85 C9 74 08 33 DB 89 99 3C 02 00 00 8B CA 89 88 2C 02 00 00 85 C9 74 0F 89 81 3C 02 00 00 8B D0 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8600_0 {
	meta:
		name = "TDirectoryListBox.SetDirLabel"
		size = 31
		refs = "0012 TComponent.FreeNotification 0019 TDirectoryListBox.SetDirLabelCaption"
	strings:
		$1 = { 53 8B D8 89 93 34 02 00 00 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8601_0 {
	meta:
		name = "TDirectoryListBox.SetDir"
		size = 85
		refs = "000d DirectoryExists 001c @ChDir 0021 @_IOTest 003a @LGetDir"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B 83 48 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 48 02 00 00 33 C0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 CC 00 00 00 8B C3 8B 10 FF 92 C4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8602_0 {
	meta:
		name = "TDirectoryListBox.OpenCurrent"
		size = 87
		refs = "000c TDirectoryListBox.OpenCurrent 0019 TCustomListBox.GetItemIndex 0025 TDirectoryListBox.GetItemPath 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8603_0 {
	meta:
		name = "TDirectoryListBox.Update"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 CC 00 00 00 8B C3 8B 10 FF 92 C4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8604_0 {
	meta:
		name = "TDirectoryListBox.DisplayCase"
		size = 48
		refs = "001d @LStrLAsg 0029 AnsiLowerCase"
	strings:
		$1 = { 53 56 8B F1 8B DA 80 B8 39 02 00 00 00 75 09 80 B8 3A 02 00 00 00 74 0C 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8605_0 {
	meta:
		name = "TDirectoryListBox.FileCompareText"
		size = 29
		refs = "000e AnsiCompareStr 0018 AnsiCompareFileName"
	strings:
		$1 = { 80 B8 3A 02 00 00 00 74 0A 8B C2 8B D1 E8 ?? ?? ?? ?? C3 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8606_0 {
	meta:
		name = "TDirectoryListBox.ReadDirectoryNames"
		size = 324
		refs = "001f TSearchRec 0024 @InitializeRecord 002c TDirectoryListBox.ReadDirectoryNames 0049 SlashSep 005f FindFirst 008f @LStrCmp 00be FindNext 00da FindClose 00e0 @HandleFinally 00fa @LStrClr 010b @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FE FF FF 53 56 33 DB 89 9D A0 FE FF FF 8B D9 8B F2 8D 85 A4 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 8D A0 FE FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF 8D 8D A4 FE FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 75 51 8B 85 AC FE FF FF 83 E0 10 83 F8 10 75 34 8B 85 B0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 22 8B 85 B0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 95 B0 FE FF FF 8B C3 8B 08 FF 51 34 FF 45 FC 8D 85 A4 FE FF FF E8 ?? ?? ?? ?? 85 C0 74 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FE FF FF E8 ?? ?? ?? ?? 8D 85 A4 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 FC 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 2A 2E 2A 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 02 00 00 00 2E 2E 00 00 }
	condition:
		$1
}

rule function_8607_0 {
	meta:
		name = "TDirectoryListBox.BuildList"
		size = 764
		refs = "001d TDirectoryListBox.BuildList 003f TStrings.BeginUpdate 0060 ExtractFileDrive 0070 @LStrCat3 008a @LStrToPChar 0090 GetVolumeInformation 00b8 @LStrLen 010e @LStrCopy 0121 @LStrLAsg 0139 AnsiLastChar 014b AnsiPos 0176 @LStrCat 0185 @LStrDelete 01e6 _Dn_TStringList 01eb TObject.Create 0206 TStringList.SetSorted 021a TDirectoryListBox.ReadDirectoryNames 0274 TObject.Free 027a @HandleFinally 0297 TStrings.EndUpdate 02a7 TWinControl.HandleAllocated 02b6 TCustomListBox.SetItemIndex 02d0 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 DC 89 55 F8 89 55 F4 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 8B 10 FF 52 40 33 DB 8D 55 DC 8B 45 FC 8B 80 48 02 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F0 50 8D 45 EC 50 6A 00 6A 00 6A 00 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 F0 03 0F 95 C0 8B 55 FC 88 82 39 02 00 00 F6 45 F0 01 0F 95 C0 8B 55 FC 88 82 3A 02 00 00 8B 45 E0 E8 ?? ?? ?? ?? 83 F8 02 7C 53 8B 45 E0 80 78 01 5C 75 4A 8B 45 FC 8B 88 40 02 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 55 E0 8B 30 FF 56 38 43 8D 45 F8 50 8B 45 FC 8B 80 48 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 42 8B 45 FC 8B 80 48 02 00 00 59 E8 ?? ?? ?? ?? EB 11 8D 45 F8 8B 55 FC 8B 92 48 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E 9C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 80 38 5C 74 75 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 62 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 40 02 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 55 F4 8B 30 FF 56 38 43 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 9E 8B 45 FC 8B 88 44 02 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 55 F8 8B 18 FF 53 38 8B 45 FC 8B 80 EC 01 00 00 8B 10 FF 52 14 48 89 45 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 48 02 00 00 8B 4D E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 36 43 C7 45 EC 00 00 00 00 8D 4D DC 8B 55 EC 8B 45 E8 8B 30 FF 56 0C 8B 55 DC 8B 45 FC 8B 88 3C 02 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 30 FF 56 38 FF 45 EC 4B 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_8608_0 {
	meta:
		name = "TDirectoryListBox.ReadBitmaps"
		size = 196
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 001a HInstance 0021 TDirectoryListBox.ReadBitmaps 0028 TBitmap.LoadFromResourceName"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 40 02 00 00 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 3C 02 00 00 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 44 02 00 00 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 0A 00 00 00 4F 50 45 4E 46 4F 4C 44 45 52 00 00 FF FF FF FF 0C 00 00 00 43 4C 4F 53 45 44 46 4F 4C 44 45 52 00 00 00 00 FF FF FF FF 0D 00 00 00 43 55 52 52 45 4E 54 46 4F 4C 44 45 52 00 00 00 }
	condition:
		$1
}

rule function_8610_0 {
	meta:
		name = "TDirectoryListBox.Change"
		size = 57
		refs = "0014 TFileListBox.SetDirectory 001b TDirectoryListBox.SetDirLabelCaption"
	strings:
		$1 = { 53 8B D8 8B 83 2C 02 00 00 85 C0 74 0B 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 BB 4E 02 00 00 00 74 0E 8B D3 8B 83 50 02 00 00 FF 93 4C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8611_0 {
	meta:
		name = "TDirectoryListBox.DrawItem"
		size = 376
		refs = "0026 TDirectoryListBox.DrawItem 0040 TCanvas.FillRect 007e DirLevel 00b0 Bounds 00c4 TBitmap.GetCanvas 00cc TCanvas.GetPixel 0110 TCanvas.BrushCopy 012e TDirectoryListBox.DisplayCase 0149 TCanvas.TextOut 0163 @LStrArrayClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D BC 89 5D B8 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F4 01 00 00 89 45 F0 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? C7 45 F8 10 00 00 00 8B 45 FC C1 E0 02 83 C0 02 89 45 F4 8B 55 FC 8B 86 EC 01 00 00 8B 08 FF 51 18 8B D8 85 DB 0F 84 A5 00 00 00 3B 9E 3C 02 00 00 75 15 8B 86 48 02 00 00 E8 ?? ?? ?? ?? 40 C1 E0 02 83 C0 02 89 45 F4 8B C3 8B 10 FF 52 2C 89 45 F8 8B C3 8B 10 FF 52 20 50 8D 45 D0 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 50 8B C3 8B 10 FF 52 20 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 20 50 8D 45 C0 50 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 20 8B 55 E4 03 55 EC 2B D0 D1 FA 79 03 83 D2 00 8B 45 E0 03 45 F4 59 E8 ?? ?? ?? ?? 8D 55 C0 8B CB 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D B8 8B 55 FC 8B 86 EC 01 00 00 8B 18 FF 53 0C 8B 55 B8 8D 4D BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 55 E0 03 55 F8 03 55 F4 83 C2 04 8B 4D E4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8612_0 {
	meta:
		name = "TDirectoryListBox.GetItemPath"
		size = 408
		refs = "001b TDirectoryListBox.GetItemPath 0029 @LStrClr 004a @LStrLAsg 0066 ExtractFileDrive 0076 @LStrCat3 00a1 SlashSep 00d8 @LStrLen 00e7 @LStrDelete 0103 LeadBytes 0139 @LStrCopy 0171 @LStrArrayClr 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 10 FF 52 14 3B F0 0F 8D 1B 01 00 00 8D 45 F8 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 EC 01 00 00 8B 08 FF 51 18 85 F6 75 20 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DC 00 00 00 3B 83 3C 02 00 00 75 23 8D 4D F0 8B D6 8B 83 EC 01 00 00 8B 18 FF 53 0C 8B 55 F0 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? E9 B1 00 00 00 3B 83 44 02 00 00 75 10 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? E9 99 00 00 00 33 FF 33 C0 89 45 F4 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 34 47 8B 45 F8 E8 ?? ?? ?? ?? 3B F8 7F 2F 8B 45 F8 8A 44 38 FF 8B 15 ?? ?? ?? ?? 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 03 47 EB 0A 8B 55 F8 3C 5C 75 03 FF 45 F4 8D 46 01 3B 45 F4 75 C4 8D 45 F0 50 8B CF 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_8613_0 {
	meta:
		name = "TDirectoryListBox.CreateWnd"
		size = 42
		refs = "0006 TCustomListBox.CreateWnd 001b DirLevel 0024 TCustomListBox.SetItemIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 CC 00 00 00 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8615_0 {
	meta:
		name = "TDirectoryListBox.ResetItemHeight"
		size = 56
		refs = "0008 GetItemHeight 0031 TCustomListBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 58 E8 ?? ?? ?? ?? 8B F0 8B 83 40 02 00 00 8B 10 FF 52 20 40 3B F0 7D 0E 8B 83 40 02 00 00 8B 10 FF 52 20 8B F0 46 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8616_0 {
	meta:
		name = "TDirectoryListBox.GetDrive"
		size = 9
	strings:
		$1 = { 8B 80 48 02 00 00 8A 00 C3 }
	condition:
		$1
}

rule function_8617_0 {
	meta:
		name = "TDirectoryListBox.SetDrive"
		size = 144
		refs = "0015 TDirectoryListBox.SetDrive 0022 UpCase 002a TDirectoryListBox.GetDrive 004e Format 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A D0 74 27 8D 45 FC 50 88 5D F4 C6 45 F8 02 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 03 00 00 00 25 73 3A 00 }
	condition:
		$1
}

rule function_8618_0 {
	meta:
		name = "TDirectoryListBox.SetDirectory"
		size = 245
		refs = "0018 TDirectoryListBox.SetDirectory 0025 @LStrLen 0040 TDirectoryListBox.FileCompareText 0059 ProcessPath 006f TDirectoryListBox.GetDrive 0093 TDriveComboBox.SetDrive 00a0 TDirectoryListBox.DriveChange 00bd @HandleFinally 00ca TDirectoryListBox.SetDir 00e4 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F8 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 9D 00 00 00 8B 45 FC 8B 88 48 02 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 82 00 00 00 8D 45 F4 50 8D 4D F8 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 3A 45 F3 74 2C 8B 45 FC C6 80 38 02 00 00 01 8B 45 FC 8B 80 30 02 00 00 85 C0 74 0A 8A 55 F3 E8 ?? ?? ?? ?? EB 0B 8A 55 F3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 38 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8619_0 {
	meta:
		name = "TDirectoryListBox.KeyPress"
		size = 35
		refs = "000b TWinControl.KeyPress 001c TDirectoryListBox.OpenCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 06 66 83 F8 0D 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8620_0 {
	meta:
		name = "TDirectoryListBox.Notification"
		size = 81
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 34 3B BE 2C 02 00 00 75 0A 33 C0 89 86 2C 02 00 00 EB 22 3B BE 30 02 00 00 75 0A 33 C0 89 86 30 02 00 00 EB 10 3B BE 34 02 00 00 75 08 33 C0 89 86 34 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8621_0 {
	meta:
		name = "TDirectoryListBox.SetDirLabelCaption"
		size = 117
		refs = "000e TDirectoryListBox.SetDirLabelCaption 0044 MinimizeName 004e TControl.SetText 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 34 02 00 00 85 F6 74 30 8B 7B 38 80 BE 1D 01 00 00 00 75 03 8B 7E 38 8D 45 FC 50 8B 96 14 01 00 00 8B CF 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8622_0 {
	meta:
		name = "TFileListBox.Create"
		size = 176
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0023 TControl.SetWidth 0028 TFileListBox.Create 003b @LGetDir 004b @LStrAsg 0054 TCustomListBox.SetMultiSelect 0071 TCustomListBox.SetSorted 007a TCustomListBox.SetStyle 0081 TFileListBox.ResetItemHeight 008c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 91 00 00 00 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 86 34 02 00 00 8D 96 2C 02 00 00 33 C0 E8 ?? ?? ?? ?? 8D 86 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 58 02 00 00 FF FF FF FF 8B C6 8B 10 FF 92 C0 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 40 00 00 00 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_8623_0 {
	meta:
		name = "TFileListBox.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0034 TCustomListBox.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 8B 86 48 02 00 00 E8 ?? ?? ?? ?? 8B 86 4C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8624_0 {
	meta:
		name = "TFileListBox.Update"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_8626_0 {
	meta:
		name = "TFileListBox.IsMaskStored"
		size = 36
		refs = "0004 TFileListBox.IsMaskStored 000f @LStrCmp"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? 8B 93 30 02 00 00 E8 ?? ?? ?? ?? 0F 95 C0 5B C3 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_8627_0 {
	meta:
		name = "TFileListBox.GetDrive"
		size = 9
	strings:
		$1 = { 8B 80 2C 02 00 00 8A 00 C3 }
	condition:
		$1
}

rule function_8628_0 {
	meta:
		name = "TFileListBox.ReadBitmaps"
		size = 188
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 0019 TFileListBox.ReadBitmaps 001e HInstance 0026 LoadBitmap 002f TBitmap.SetHandle"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 44 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 48 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 45 58 45 43 55 54 41 42 4C 45 00 00 43 4C 4F 53 45 44 46 4F 4C 44 45 52 00 00 00 00 55 4E 4B 4E 4F 57 4E 46 49 4C 45 00 }
	condition:
		$1
}

rule function_8629_0 {
	meta:
		name = "TFileListBox.ReadFileNames"
		size = 816
		refs = "0021 TSearchRec 0026 @InitializeRecord 002e TFileListBox.ReadFileNames 0042 TWinControl.HandleAllocated 0051 Attributes 0084 @ChDir 0089 @_IOTest 0091 TCustomListBox.Clear 009b Screen 00c1 @LStrToPChar 00d4 StrScan 00ea @LStrFromPChar 00ff FindFirst 0158 Format 01af ExtractFileExt 01bd AnsiLowerCase 01d3 @LStrCmp 023a TScreen.SetCursor 0245 FindNext 0258 FindClose 028d @HandleFinally 02b2 @LStrClr 02c3 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 8C FE FF FF 53 56 33 D2 89 95 94 FE FF FF 89 55 F4 89 45 FC 8D 85 98 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 F2 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 50 02 00 00 33 C0 BA ?? ?? ?? ?? 8B 4D FC 8B D8 80 FB 07 77 0A 83 E3 7F 0F A3 99 34 02 00 00 73 07 66 8B 0A 66 09 4D F2 40 83 C2 02 3C 06 75 DB 8B 45 FC 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F8 A1 ?? ?? ?? ?? 8B 00 66 8B 40 38 66 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 9F 01 00 00 B2 3B 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 03 C6 03 00 8D 85 94 FE FF FF 8B D6 E8 ?? ?? ?? ?? 8B 85 94 FE FF FF 8D 8D 98 FE FF FF 0F B7 55 F2 E8 ?? ?? ?? ?? 85 C0 0F 85 51 01 00 00 8B 45 FC F6 80 34 02 00 00 40 75 10 0F B7 45 F2 23 85 A0 FE FF FF 0F 84 01 01 00 00 F6 85 A0 FE FF FF 10 74 72 8D 85 94 FE FF FF 50 8B 85 A4 FE FF FF 89 85 8C FE FF FF C6 85 90 FE FF FF 0B 8D 95 8C FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 94 FE FF FF 8B 45 FC 8B 80 EC 01 00 00 8B 08 FF 51 34 89 45 F8 8B 45 FC 80 B8 5C 02 00 00 00 0F 84 A5 00 00 00 8B 45 FC 8B 88 48 02 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 55 F8 8B 30 FF 56 24 E9 86 00 00 00 8D 95 94 FE FF FF 8B 85 A4 FE FF FF E8 ?? ?? ?? ?? 8B 85 94 FE FF FF 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 4C 02 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 8B 45 FC 8B B0 44 02 00 00 8B 45 FC 8B 80 EC 01 00 00 8B CE 8B 95 A4 FE FF FF 8B 30 FF 56 38 89 45 F8 83 7D F8 64 75 10 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 8D 85 98 FE FF FF E8 ?? ?? ?? ?? 85 C0 0F 84 BA FE FF FF 8D 85 98 FE FF FF E8 ?? ?? ?? ?? 85 DB 74 04 C6 03 3B 43 8B F3 85 F6 0F 85 61 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 8B 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 10 FF 92 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 94 FE FF FF E8 ?? ?? ?? ?? 8D 85 98 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 5B 25 73 5D 00 00 00 00 FF FF FF FF 04 00 00 00 2E 65 78 65 00 00 00 00 FF FF FF FF 04 00 00 00 2E 63 6F 6D 00 00 00 00 FF FF FF FF 04 00 00 00 2E 62 61 74 00 00 00 00 FF FF FF FF 04 00 00 00 2E 70 69 66 00 00 00 00 }
	condition:
		$1
}

rule function_8630_0 {
	meta:
		name = "TFileListBox.Click"
		size = 37
		refs = "0006 TControl.Click 000d TCustomListBox.GetItemIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 83 58 02 00 00 74 0A 8B C3 8B 10 FF 92 C4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8631_0 {
	meta:
		name = "TFileListBox.Change"
		size = 177
		refs = "000c TFileListBox.Change 0019 TCustomListBox.GetItemIndex 0032 TFileListBox.GetFileName 003a @LStrLen 004f TControl.SetText 0074 TCustomEdit.SelectAll 00a1 @LStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 83 58 02 00 00 83 BB 38 02 00 00 00 74 4C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 13 8B 93 30 02 00 00 8B 83 38 02 00 00 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 66 83 BB 52 02 00 00 00 74 0E 8B D3 8B 83 54 02 00 00 FF 93 50 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8632_0 {
	meta:
		name = "TFileListBox.SetShowGlyphs"
		size = 69
		refs = "002c TCustomListBox.GetItemHeight 0037 TFileListBox.ResetItemHeight"
	strings:
		$1 = { 53 56 8B F0 3A 96 5C 02 00 00 74 36 88 96 5C 02 00 00 80 BE 5C 02 00 00 01 75 20 8B 86 44 02 00 00 8B 10 FF 52 20 8B D8 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E 07 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_8633_0 {
	meta:
		name = "TFileListBox.GetFileName"
		size = 76
		refs = "000a TCustomListBox.GetItemIndex 0028 TCustomListBox.GetSelected 0033 @LStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1C 8B 83 EC 01 00 00 8B 10 FF 52 14 85 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C7 E8 ?? ?? ?? ?? EB 0F 8B CF 8B D6 8B 83 EC 01 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8634_0 {
	meta:
		name = "TFileListBox.SetFileName"
		size = 130
		refs = "000f TFileListBox.SetFileName 001f TFileListBox.GetFileName 0029 AnsiCompareFileName 0034 @LStrToPChar 0043 TWinControl.GetHandle 0049 SendMessage 0052 TCustomListBox.SetItemIndex 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2F 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 A2 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8635_0 {
	meta:
		name = "TFileListBox.SetFileEdit"
		size = 133
		refs = "000c TFileListBox.SetFileEdit 0025 TComponent.FreeNotification 002f TFileListBox.GetFileName 004d TControl.SetText 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 89 83 38 02 00 00 85 C0 74 42 8B D3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 38 02 00 00 E8 ?? ?? ?? ?? EB 11 8B 93 30 02 00 00 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8636_0 {
	meta:
		name = "TFileListBox.DrawItem"
		size = 324
		refs = "0023 TFileListBox.DrawItem 003d TCanvas.FillRect 0087 Bounds 009b TBitmap.GetCanvas 00a3 TCanvas.GetPixel 00e7 TCanvas.BrushCopy 011a TCanvas.TextOut 012f @LStrClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 8B F1 8D 7D E4 B9 04 00 00 00 F3 A5 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F4 01 00 00 89 45 F4 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? C7 45 F8 02 00 00 00 80 BB 5C 02 00 00 00 0F 84 A3 00 00 00 8B 55 FC 8B 83 EC 01 00 00 8B 08 FF 51 18 8B F0 85 F6 0F 84 8B 00 00 00 8B C6 8B 10 FF 52 20 50 8D 45 D4 50 8B C6 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 8B C6 8B 10 FF 52 20 48 50 8B C6 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 50 8B C6 8B 10 FF 52 20 50 8D 45 C4 50 8B C6 8B 10 FF 52 2C 50 8B C6 8B 10 FF 52 20 8B 55 E8 03 55 F0 2B D0 D1 FA 79 03 83 D2 00 8B 45 E4 83 C0 02 59 E8 ?? ?? ?? ?? 8D 55 C4 8B CE 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 2C 83 C0 06 89 45 F8 8D 4D C0 8B 55 FC 8B 83 EC 01 00 00 8B 18 FF 53 0C 8B 45 C0 50 8B 55 E4 03 55 F8 8B 4D E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8637_0 {
	meta:
		name = "TFileListBox.SetDrive"
		size = 144
		refs = "0015 TFileListBox.SetDrive 0022 UpCase 004f Format 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B 86 2C 02 00 00 8A 00 E8 ?? ?? ?? ?? 5A 3A D0 74 27 8D 45 FC 50 88 5D F4 C6 45 F8 02 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 25 73 3A 00 }
	condition:
		$1
}

rule function_8638_0 {
	meta:
		name = "TFileListBox.SetDirectory"
		size = 92
		refs = "000f AnsiCompareFileName 001e DirectoryExists 002d @ChDir 0032 @_IOTest 004b @LGetDir"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 93 2C 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 42 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 2C 02 00 00 33 C0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8639_0 {
	meta:
		name = "TFileListBox.SetFileType"
		size = 40
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 83 34 02 00 00 3A 04 24 74 13 8A 04 24 88 83 34 02 00 00 8B C3 8B 10 FF 92 C8 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_8640_0 {
	meta:
		name = "TFileListBox.SetMask"
		size = 47
		refs = "000f @LStrCmp 001e @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 30 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 30 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8642_0 {
	meta:
		name = "TFileListBox.ResetItemHeight"
		size = 65
		refs = "0008 GetItemHeight 003a TCustomListBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 58 E8 ?? ?? ?? ?? 8B F0 80 BB 5C 02 00 00 01 75 1E 8B 83 44 02 00 00 8B 10 FF 52 20 40 3B F0 7D 0E 8B 83 44 02 00 00 8B 10 FF 52 20 8B F0 46 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8643_0 {
	meta:
		name = "TFileListBox.ApplyFilePath"
		size = 444
		refs = "001b TFileListBox.ApplyFilePath 0038 AnsiCompareFileName 0047 @LStrLen 0060 ProcessPath 00a6 Format 00b0 TFileListBox.SetDirectory 00c9 @LStrPos 00e8 TFileListBox.SetMask 0100 TFileListBox.SetFileName 0108 FileExists 0116 TFileListBox.GetFileName 0147 SInvalidFileName 014c LoadResString 0156 _Dn_EInvalidOperation 015b Exception.CreateFmt 0160 @RaiseExcept 0175 @LStrClr 0182 @LStrArrayClr 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D F0 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 CC 00 00 00 8B 45 F0 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 20 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 11 01 00 00 8D 45 F8 50 8D 4D FC 8D 55 F7 8B C6 E8 ?? ?? ?? ?? 8B 83 3C 02 00 00 85 C0 74 0C 8B D6 8B 08 FF 91 C0 00 00 00 EB 46 80 7D F7 00 74 36 8D 45 F0 50 8A 45 F7 88 45 E0 C6 45 E4 02 8B 45 FC 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 11 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 76 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 6A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 44 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 2E 89 75 D8 C6 45 DC 0B 8D 45 D8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 25 73 3A 25 73 00 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_8644_0 {
	meta:
		name = "TFileListBox.GetFilePath"
		size = 108
		refs = "000f TFileListBox.GetFilePath 001c @LStrClr 0026 TFileListBox.GetFileName 0046 SlashSep 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8645_0 {
	meta:
		name = "TFileListBox.Notification"
		size = 81
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 34 3B BE 38 02 00 00 75 0A 33 C0 89 86 38 02 00 00 EB 22 3B BE 3C 02 00 00 75 0A 33 C0 89 86 3C 02 00 00 EB 10 3B BE 40 02 00 00 75 08 33 C0 89 86 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8646_0 {
	meta:
		name = "TFilterComboBox.Create"
		size = 99
		refs = "000a @ClassCreate 0017 TCustomComboBox.Create 002e SDefaultFilter 0033 LoadResString 003a _Dn_TStringList 003f TObject.Create 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 8B 08 FF 91 C8 00 00 00 8D 96 4C 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 54 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8647_0 {
	meta:
		name = "TFilterComboBox.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TCustomComboBox.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16372_0 {
	meta:
		name = "TQRGroup.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TQRCustomBand.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8649_0 {
	meta:
		name = "TFilterComboBox.IsFilterStored"
		size = 89
		refs = "000c TFilterComboBox.IsFilterStored 001a SDefaultFilter 001f LoadResString 002d @LStrCmp 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 93 4C 02 00 00 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8650_0 {
	meta:
		name = "TFilterComboBox.SetFilter"
		size = 68
		refs = "000f AnsiCompareFileName 0020 @LStrAsg 0027 TWinControl.HandleAllocated 0032 TFilterComboBox.BuildList 003d @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 93 4C 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 8D 83 4C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8651_0 {
	meta:
		name = "TFilterComboBox.SetFileListBox"
		size = 54
		refs = "0024 TComponent.FreeNotification"
	strings:
		$1 = { 53 8B D8 8B 83 50 02 00 00 85 C0 74 08 33 C9 89 88 40 02 00 00 8B C2 89 83 50 02 00 00 85 C0 74 13 8B D3 E8 ?? ?? ?? ?? 8B 83 50 02 00 00 89 98 40 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8652_0 {
	meta:
		name = "TFilterComboBox.Click"
		size = 23
		refs = "0006 TControl.Click 0011 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8653_0 {
	meta:
		name = "TFilterComboBox.GetMask"
		size = 104
		refs = "0009 TCustomComboBox.GetItemIndex 0022 TCustomComboBox.SetItemIndex 004d TFilterComboBox.GetMask 0052 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 15 8B 83 EC 01 00 00 8B 10 FF 52 14 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 19 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 54 02 00 00 8B 18 FF 53 0C 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_8654_0 {
	meta:
		name = "TFilterComboBox.BuildList"
		size = 304
		refs = "0011 TFilterComboBox.BuildList 001e TCustomComboBox.Clear 0037 @LStrLAsg 0044 AnsiPos 0062 @LStrCopy 0071 @LStrDelete 00bc @LStrClr 00f8 TCustomComboBox.SetItemIndex 0112 @LStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 86 54 02 00 00 8B 10 FF 52 40 8D 45 FC 8B 96 4C 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 A1 00 00 00 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 25 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? EB 13 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 86 EC 01 00 00 8B 08 FF 51 34 8B 55 F4 8B 86 54 02 00 00 8B 08 FF 51 34 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 5F FF FF FF 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_8655_0 {
	meta:
		name = "TFilterComboBox.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 50 02 00 00 75 08 33 C0 89 87 50 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8656_0 {
	meta:
		name = "TFilterComboBox.Change"
		size = 94
		refs = "000d TFilterComboBox.Change 0027 TFilterComboBox.GetMask 0031 TFileListBox.SetMask 0038 TCustomComboBox.Change 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 50 02 00 00 85 F6 74 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8657_0 {
	meta:
		name = "TSelectDirDlg.Create"
		size = 1476
		refs = "0016 @ClassCreate 0023 TSelectDirDlg.Create 0034 TCustomForm.CreateNew 003c SSelectDirCap 0041 LoadResString 004b TControl.SetText 0054 TCustomForm.SetBorderStyle 0060 TCustomForm.SetClientWidth 006c TCustomForm.SetClientHeight 0075 TCustomForm.SetPosition 007e _Dn_TEdit 0083 TCustomEdit.Create 00b8 TControl.SetVisible 00c3 TWinControl.SetTabOrder 00cc _Dn_TLabel 00d1 TCustomLabel.Create 0101 TCustomLabel.SetFocusControl 0109 SDirNameCap 0121 _DV_TDriveComboBox 0126 TDriveComboBox.Create 016d TSelectDirDlg.DriveListChange 01a6 SDrivesCap 01cb _DV_TPathLabel 01d0 TPathLabel.Create 0205 _DV_TDirectoryListBox 020a TDirectoryListBox.Create 024b TWinControl.SetTabStop 0257 TCustomListBox.SetItemHeight 0260 TCustomListBox.SetIntegralHeight 0270 TSelectDirDlg.DirListChange 02a9 SDirsCap 02ce _DV_TFileListBox 02d3 TFileListBox.Create 0320 TFileListBox.SetFileType 032c TFileListBox.SetMask 0339 TFont.SetColor 037e SFilesCap 03a3 _Dn_TButton 03a8 TButton.Create 03ed SNetworkCap 040c TSelectDirDlg.NetClick 045e TSelectDirDlg.OKClick 0466 SOKButton 0488 TButton.SetDefault 04d9 SCancelButton 053c SHelpButton 055b TSelectDirDlg.HelpButtonClick 0564 TSelectDirDlg.FormCreate 0571 TCustomForm.SetActiveControl 0586 @LStrClr 058c @HandleFinally 059b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? BA A8 01 00 00 8B C3 E8 ?? ?? ?? ?? BA FF 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C8 02 00 00 8B D3 8B C6 8B 08 FF 51 64 68 39 01 00 00 6A 14 B9 18 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 64 6A 5C 6A 0D B9 08 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 8B 93 C8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 CC 02 00 00 8B D3 8B C6 8B 08 FF 51 64 68 B9 00 00 00 6A 13 B9 C0 00 00 00 BA E8 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 66 BA 02 00 8B C6 E8 ?? ?? ?? ?? 89 9E 30 02 00 00 C7 86 2C 02 00 00 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 64 6A 29 6A 0D B9 B0 00 00 00 BA E8 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 93 CC 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D0 02 00 00 8B D3 8B C6 8B 08 FF 51 64 68 D5 00 00 00 6A 0D B9 08 00 00 00 BA 78 00 00 00 8B C6 8B 30 FF 96 80 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C4 02 00 00 8B D3 8B C6 8B 08 FF 51 64 68 D5 00 00 00 68 8A 00 00 00 B9 48 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 89 9E 50 02 00 00 C7 86 4C 02 00 00 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 64 6A 42 6A 0D B9 38 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 93 C4 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 02 00 00 8B D3 8B C6 8B 08 FF 51 64 68 B9 00 00 00 6A 5D B9 48 00 00 00 BA E8 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 66 BA 06 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 80 8B 46 58 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 64 6A 39 6A 0D B9 38 00 00 00 BA E8 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 93 E4 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E0 02 00 00 8B D3 8B C6 8B 08 FF 51 64 6A 4D 6A 1B B9 E0 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 66 BA 03 00 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 9E 08 01 00 00 C7 86 04 01 00 00 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 02 00 00 8B D3 8B C6 8B 08 FF 51 64 6A 4D 6A 1B B9 E0 00 00 00 BA AC 00 00 00 8B C6 8B 38 FF 97 80 00 00 00 66 BA 04 00 8B C6 E8 ?? ?? ?? ?? 89 9E 08 01 00 00 C7 86 04 01 00 00 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? C7 86 F4 01 00 00 01 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D8 02 00 00 8B D3 8B C6 8B 08 FF 51 64 6A 4D 6A 1B B9 E0 00 00 00 BA 00 01 00 00 8B C6 8B 38 FF 97 80 00 00 00 66 BA 05 00 8B C6 E8 ?? ?? ?? ?? C6 86 F1 01 00 00 01 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? C7 86 F4 01 00 00 02 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 DC 02 00 00 8B D3 8B C6 8B 08 FF 51 64 6A 4D 6A 1B B9 E0 00 00 00 BA 54 01 00 00 8B C6 8B 38 FF 97 80 00 00 00 66 BA 07 00 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 9E 08 01 00 00 C7 86 04 01 00 00 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 93 C4 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 00 00 40 00 00 00 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_8659_0 {
	meta:
		name = "TSelectDirDlg.DirListChange"
		size = 143
		refs = "000c TSelectDirDlg.DirListChange 0029 TControl.SetText 0051 TControl.GetText 006a TCustomEdit.SelectAll 007f @LStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C4 02 00 00 8B 90 48 02 00 00 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 8B 90 48 02 00 00 8B 83 E4 02 00 00 8B 08 FF 91 D0 00 00 00 8D 55 FC 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8660_0 {
	meta:
		name = "TSelectDirDlg.FormCreate"
		size = 184
		refs = "000a TSelectDirDlg.FormCreate 000f GetModuleHandle 001c GetProcAddress 0056 TControl.SetVisible 006a TControl.GetBoundsRect 0077 TControl.SetBoundsRect 0080 TSelectDirDlg.DirListChange"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B E8 89 EE 85 ED 74 32 66 B8 FF FF FF D6 0F B7 C0 8B F0 85 F6 74 23 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B F8 89 BB EC 02 00 00 85 FF 0F 95 C2 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? C6 83 E8 02 00 00 00 8B D4 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B D4 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 75 73 65 72 33 32 2E 64 6C 6C 00 00 57 4E 45 54 47 45 54 43 41 50 53 00 57 4E 45 54 43 4F 4E 4E 45 43 54 44 49 41 4C 4F 47 00 00 00 }
	condition:
		$1
}

rule function_8661_0 {
	meta:
		name = "TSelectDirDlg.DriveListChange"
		size = 24
		refs = "0013 TDirectoryListBox.SetDrive"
	strings:
		$1 = { 8B 90 CC 02 00 00 8A 92 50 02 00 00 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8662_0 {
	meta:
		name = "TSelectDirDlg.SetAllowCreate"
		size = 54
		refs = "001f TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 3A 93 E8 02 00 00 74 29 8B C2 88 83 E8 02 00 00 8B D0 80 F2 01 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8A 93 E8 02 00 00 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8663_0 {
	meta:
		name = "TSelectDirDlg.SetDirectory"
		size = 332
		refs = "0015 TSelectDirDlg.SetDirectory 0032 SlashSep 003d ExpandFileName 0045 @LStrLen 006e TDriveComboBox.SetDrive 0079 ExtractFilePath 0084 @LStrLAsg 00ae @LStrCopy 00d1 @HandleOnException 00d9 _Dn_EInOutError 00e7 @LGetDir 0113 @DoneExcept 012d @LStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 F0 00 00 00 8D 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 03 0F 8C C5 00 00 00 8B 45 F8 80 78 01 3A 0F 85 B8 00 00 00 8B 45 F8 8A 10 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 C4 02 00 00 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8A 10 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 02 00 00 8B 55 F8 8B 08 FF 91 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 2A 2E 2A 00 }
	condition:
		$1
}

rule function_8664_0 {
	meta:
		name = "TSelectDirDlg.GetDirectory"
		size = 47
		refs = "0018 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB E8 02 00 00 00 74 10 8B D6 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8665_0 {
	meta:
		name = "TSelectDirDlg.NetClick"
		size = 32
		refs = "000f TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 83 BB EC 02 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 FF 93 EC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8666_0 {
	meta:
		name = "TSelectDirDlg.OKClick"
		size = 144
		refs = "000c TSelectDirDlg.OKClick 002e TSelectDirDlg.GetDirectory 0036 DirectoryExists 0044 SConfirmCreateDir 0049 LoadResString 005a MessageDlg 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB E8 02 00 00 00 74 4C 80 BB E9 02 00 00 00 74 43 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 2D 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 74 08 33 C0 89 83 2C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_8667_0 {
	meta:
		name = "SelectDirectory"
		size = 484
		refs = "0018 SelectDirectory 0024 Application 002d _DV_TSelectDirDlg 0032 TSelectDirDlg.Create 004d TSelectDirDlg.SetDirectory 005c TSelectDirDlg.SetAllowCreate 0071 Screen 0094 TWinControl.ScaleBy 00a4 TControl.SetParentFont 00b0 TScreen.GetWidth 00d0 TControl.SetLeft 00dc TScreen.GetHeight 00fc TControl.SetTop 0112 TFont.SetColor 0126 TControl.SetVisible 0186 TSelectDirDlg.GetDirectory 0190 @LStrAsg 019d ForceDirectories 01b2 TObject.Free 01b8 @HandleFinally 01cf @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 13 8B 45 F8 E8 ?? ?? ?? ?? F6 45 FF 01 0F 95 C2 8B 45 F8 E8 ?? ?? ?? ?? F6 45 FF 04 0F 95 C0 8B 55 F8 88 82 E9 02 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 83 F8 60 0F 84 93 00 00 00 8B 15 ?? ?? ?? ?? 8B D0 B9 60 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E4 02 00 00 B2 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 F8 8B 40 38 D1 F8 79 03 83 D0 00 2B D0 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 F8 8B 40 3C D1 F8 79 03 83 D0 00 2B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E4 02 00 00 8B 40 58 BA 11 00 00 80 E8 ?? ?? ?? ?? 85 F6 75 46 8B 45 F8 8B 80 DC 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 D8 02 00 00 8B 50 30 8B 45 F8 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 DC 02 00 00 8B 50 30 8B 45 F8 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? EB 09 8B 45 F8 89 B0 44 01 00 00 8B 45 F8 8B 10 FF 92 CC 00 00 00 48 0F 94 45 FE 80 7D FE 00 74 22 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? F6 45 FF 02 74 07 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8668_0 {
	meta:
		name = "SelectDirectory"
		size = 360
		refs = "0026 SelectDirectory 0038 @LStrClr 0047 @FillChar 0050 SHGetMalloc 008a SHGetDesktopFolder 009d @WStrToPWChar 00a5 Application 00d4 @LStrToPChar 00e7 SHBrowseForFolder 00ff SHGetPathFromIDList 0114 @LStrFromPChar 0134 @HandleFinally 014b @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 33 DB 89 5D EC 89 5D E8 89 4D FC 8B F2 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C0 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 0F 85 DE 00 00 00 83 7D EC 00 0F 84 D4 00 00 00 68 04 01 00 00 8B 45 EC 50 8B 00 FF 50 0C 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 F0 50 8D 45 E4 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 50 8B 45 E8 50 8B 00 FF 50 0C A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 C0 8B 45 F0 89 45 C4 8B 45 F4 89 45 C8 8B C3 E8 ?? ?? ?? ?? 89 45 CC C7 45 D0 01 00 00 00 8D 45 C0 50 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 95 45 FB 80 7D FB 00 74 1F 8B 45 F4 50 53 E8 ?? ?? ?? ?? 53 8B 45 EC 50 8B 00 FF 50 14 8B 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 EC 50 8B 00 FF 50 14 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8669_0 {
	meta:
		name = "DirectoryExists"
		size = 33
		refs = "0006 @LStrToPChar 000c GetFileAttributes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 04 A8 10 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_8670_0 {
	meta:
		name = "ForceDirectories"
		size = 243
		refs = "0012 @LStrAddRef 001a ForceDirectories 0028 @LStrLen 0034 SCannotCreateDir 0039 LoadResString 0043 _Dn_Exception 0048 Exception.Create 004d @RaiseExcept 0055 AnsiLastChar 007d @LStrDelete 0092 DirectoryExists 00a1 ExtractFilePath 00ac @LStrCmp 00c9 CreateDir 00e3 @LStrArrayClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 24 8B 45 FC E8 ?? ?? ?? ?? 80 38 5C 75 17 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 03 7C 3F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 33 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 1B 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_8685_0 {
	meta:
		name = "FlatSB_GetScrollProp"
		size = 48
		refs = "0005 _FlatSB_GetScrollProp"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 16 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_8686_0 {
	meta:
		name = "FlatSB_SetScrollProp"
		size = 52
		refs = "0005 _FlatSB_SetScrollProp"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 1A 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5D C2 10 00 }
	condition:
		$1
}

rule function_8687_0 {
	meta:
		name = "InitializeFlatSB"
		size = 40
		refs = "0005 _InitializeFlatSB"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0E 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5D C2 04 00 }
	condition:
		$1
}

rule function_8688_0 {
	meta:
		name = "UninitializeFlatSB"
		size = 26
		refs = "0005 _UninitializeFlatSB"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0A 8B 45 08 50 FF 15 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8689_0 {
	meta:
		name = "InitFlatSB"
		size = 644
		refs = "0003 InitFlatSB 0008 GetModuleHandle 001d GetProcAddress 0022 _InitializeFlatSB 0032 _UninitializeFlatSB 0042 _FlatSB_GetScrollProp 0052 _FlatSB_SetScrollProp 0065 FlatSB_EnableScrollBar 006e EnableScrollBar 0086 FlatSB_ShowScrollBar 008f ShowScrollBar 00a7 FlatSB_GetScrollRange 00b0 GetScrollRange 00c8 FlatSB_GetScrollInfo 00d1 GetScrollInfo 00e9 FlatSB_GetScrollPos 00f2 GetScrollPos 010a FlatSB_SetScrollPos 0113 SetScrollPos 012b FlatSB_SetScrollInfo 0134 SetScrollInfo 014c FlatSB_SetScrollRange 0155 SetScrollRange"
	strings:
		$1 = { 53 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 48 01 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5E 5B C3 00 00 00 63 6F 6D 63 74 6C 33 32 2E 64 6C 6C 00 00 00 00 49 6E 69 74 69 61 6C 69 7A 65 46 6C 61 74 53 42 00 00 00 00 55 6E 69 6E 69 74 69 61 6C 69 7A 65 46 6C 61 74 53 42 00 00 46 6C 61 74 53 42 5F 47 65 74 53 63 72 6F 6C 6C 50 72 6F 70 00 00 00 00 46 6C 61 74 53 42 5F 53 65 74 53 63 72 6F 6C 6C 50 72 6F 70 00 00 00 00 46 6C 61 74 53 42 5F 45 6E 61 62 6C 65 53 63 72 6F 6C 6C 42 61 72 00 00 46 6C 61 74 53 42 5F 53 68 6F 77 53 63 72 6F 6C 6C 42 61 72 00 00 00 00 46 6C 61 74 53 42 5F 47 65 74 53 63 72 6F 6C 6C 52 61 6E 67 65 00 00 00 46 6C 61 74 53 42 5F 47 65 74 53 63 72 6F 6C 6C 49 6E 66 6F 00 00 00 00 46 6C 61 74 53 42 5F 47 65 74 53 63 72 6F 6C 6C 50 6F 73 00 46 6C 61 74 53 42 5F 53 65 74 53 63 72 6F 6C 6C 50 6F 73 00 46 6C 61 74 53 42 5F 53 65 74 53 63 72 6F 6C 6C 49 6E 66 6F 00 00 00 00 46 6C 61 74 53 42 5F 53 65 74 53 63 72 6F 6C 6C 52 61 6E 67 65 00 00 00 }
	condition:
		$1
}

rule function_8692_0 {
	meta:
		name = "TFastLineSeriesEditor.BLinePenClick"
		size = 83
		refs = "0014 TPen.SetColor 0021 EditChartPen 002c TPen.GetColor 004c TBrush.SetColor"
	strings:
		$1 = { 53 56 8B F0 8B 9E CC 02 00 00 8B 53 28 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B 93 E4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 80 00 00 00 8B 86 C8 02 00 00 8B 80 1C 01 00 00 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8693_0 {
	meta:
		name = "TFastLineSeriesEditor.FormShow"
		size = 48
		refs = "0004 Screen 000d TScreen.SetCursor 002a TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 CC 02 00 00 8B 50 28 8B 83 C8 02 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8694_0 {
	meta:
		name = "TFastLineSeriesEditor.Shape1MouseUp"
		size = 61
		refs = "0013 EditColor 0033 TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B B3 CC 02 00 00 8B 56 28 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 80 00 00 00 8B 83 C8 02 00 00 8B 80 1C 01 00 00 8B 56 28 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_8697_0 {
	meta:
		name = "ShowMDIClientEdge"
		size = 74
		refs = "000e GetWindowLong 0031 SetWindowLong 0043 SetWindowPos"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 3D 6A EC 56 E8 ?? ?? ?? ?? 84 DB 74 0C F6 C4 02 75 2C 0D 00 02 00 00 EB 0A F6 C4 02 74 20 25 FF FD FF FF 50 6A EC 56 E8 ?? ?? ?? ?? 6A 37 6A 00 6A 00 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8698_0 {
	meta:
		name = "DoneApplication"
		size = 53
		refs = "0001 Application 0010 ShowOwnedPopups 001c TApplication.SetShowHint 0026 TComponent.Destroying 0030 TComponent.DestroyComponents"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 40 24 85 C0 74 08 6A 00 50 E8 ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8699_0 {
	meta:
		name = "DoDisableWindow"
		size = 77
		refs = "0009 TaskActiveWindow 0011 IsWindowVisible 001b IsWindowEnabled 0029 @GetMem 002f TaskWindowList 0041 EnableWindow"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 3B 1D ?? ?? ?? ?? 74 36 53 E8 ?? ?? ?? ?? 85 C0 74 2C 53 E8 ?? ?? ?? ?? 85 C0 74 22 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 83 C8 FF 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8700_0 {
	meta:
		name = "DisableTaskWindows"
		size = 180
		refs = "0010 TaskActiveWindow 0019 TaskWindowList 0030 DisableTaskWindows 004b DoDisableWindow 0050 GetCurrentThreadId 0056 EnumThreadWindows 006d @HandleAnyException 0077 EnableTaskWindows 007c @RaiseAgain 0081 @DoneExcept 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8B 15 ?? ?? ?? ?? 89 55 F4 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 A3 ?? ?? ?? ?? 8B 45 F8 A3 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8701_0 {
	meta:
		name = "EnableTaskWindows"
		size = 55
		refs = "000f IsWindow 001e EnableWindow 002c @FreeMem"
	strings:
		$1 = { 53 56 8B F0 85 F6 74 2C 8B DE 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 0B 6A FF 8B 43 04 50 E8 ?? ?? ?? ?? 8B 33 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F6 75 D4 5E 5B C3 }
	condition:
		$1
}

rule function_8702_0 {
	meta:
		name = "DoFindWindow"
		size = 97
		refs = "0009 TaskActiveWindow 0010 Application 001b IsWindowVisible 0025 IsWindowEnabled 0031 GetWindowLong 003b TaskFirstWindow 004c TaskFirstTopMost"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 3B 1D ?? ?? ?? ?? 74 4A A1 ?? ?? ?? ?? 3B 58 24 74 40 53 E8 ?? ?? ?? ?? 85 C0 74 36 53 E8 ?? ?? ?? ?? 85 C0 74 2C 6A EC 53 E8 ?? ?? ?? ?? A8 08 75 11 83 3D ?? ?? ?? ?? 00 75 17 89 1D ?? ?? ?? ?? EB 0F 83 3D ?? ?? ?? ?? 00 75 06 89 1D ?? ?? ?? ?? 83 C8 FF 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8703_0 {
	meta:
		name = "FindTopMostWindow"
		size = 58
		refs = "0001 TaskActiveWindow 0008 TaskFirstWindow 000f TaskFirstTopMost 0016 DoFindWindow 001b GetCurrentThreadId 0021 EnumThreadWindows"
	strings:
		$1 = { A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 06 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8704_0 {
	meta:
		name = "SendFocusMessage"
		size = 32
		refs = "0003 FocusCount 0011 SendMessage"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 6A 00 6A 00 0F B7 D2 52 50 E8 ?? ?? ?? ?? 3B 1D ?? ?? ?? ?? 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_8705_0 {
	meta:
		name = "CheckTaskWindow"
		size = 32
	strings:
		$1 = { 55 8B EC 53 8B 45 0C 83 CA FF 8B C8 8B 19 3B 5D 08 75 06 33 D2 C6 41 04 01 8B C2 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8706_0 {
	meta:
		name = "ForegroundTask"
		size = 42
		refs = "0004 GetActiveWindow 0014 CheckTaskWindow 0019 GetCurrentThreadId 001f EnumThreadWindows"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 00 8B C4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8A 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_8707_0 {
	meta:
		name = "FindGlobalComponent"
		size = 119
		refs = "0007 Screen 000c TScreen.GetFormCount 0022 TScreen.GetForm 002e CompareText 0040 TScreen.GetDataModuleCount 0056 TScreen.GetDataModule"
	strings:
		$1 = { 53 56 57 55 8B E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 23 43 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 08 8B C5 E8 ?? ?? ?? ?? 85 C0 74 3A 47 4B 75 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 23 43 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 08 8B C5 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 E0 33 F6 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8708_0 {
	meta:
		name = "InitCtl3D"
		size = 552
		refs = "0003 Ctl3DHandle 000f GetVersion 001d HiByte 002b SetErrorMode 0032 InitCtl3D 0037 LoadLibrary 006d GetProcAddress 0072 Ctl3DRegister 0077 HInstance 009d Ctl3DUnregister 00b2 Ctl3DSubclassCtl 00c7 Ctl3DSubclassDlg 00dc Ctl3DDlgFramePaint 00f1 Ctl3DCtlColorEx 0106 Ctl3DAutoSubclass 011b Ctl3DUnAutoSubclass 0130 Ctl3DColorChange 0145 Ctl3DBtnWndProc 0152 FreeLibrary"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 0F 85 52 01 00 00 E8 ?? ?? ?? ?? 8B D8 80 FB 04 73 2F 8B C3 E8 ?? ?? ?? ?? 3C 59 73 24 68 00 80 00 00 E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 0F B7 C3 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0F C7 05 ?? ?? ?? ?? FF FF FF FF E9 FF 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 FF 15 ?? ?? ?? ?? 85 C0 0F 84 BF 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 15 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? FF FF FF FF 5B C3 00 00 43 54 4C 33 44 33 32 2E 44 4C 4C 00 43 74 6C 33 64 52 65 67 69 73 74 65 72 00 00 00 43 74 6C 33 64 55 6E 72 65 67 69 73 74 65 72 00 43 74 6C 33 64 53 75 62 63 6C 61 73 73 43 74 6C 00 00 00 00 43 74 6C 33 64 53 75 62 63 6C 61 73 73 44 6C 67 45 78 00 00 43 74 6C 33 64 44 6C 67 46 72 61 6D 65 50 61 69 6E 74 00 00 43 74 6C 33 64 43 74 6C 43 6F 6C 6F 72 45 78 00 43 74 6C 33 64 41 75 74 6F 53 75 62 63 6C 61 73 73 00 00 00 43 74 6C 33 64 55 6E 41 75 74 6F 53 75 62 63 6C 61 73 73 00 43 74 6C 33 44 43 6F 6C 6F 72 43 68 61 6E 67 65 00 00 00 00 42 74 6E 57 6E 64 50 72 6F 63 33 64 00 00 00 00 }
	condition:
		$1
}

rule function_8709_0 {
	meta:
		name = "DoneCtl3D"
		size = 44
		refs = "0002 Ctl3DHandle 0013 HInstance 001c Ctl3DUnregister 0027 FreeLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 22 83 3D ?? ?? ?? ?? FF 74 19 A1 ?? ?? ?? ?? 8B 00 50 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8710_0 {
	meta:
		name = "Subclass3DWnd"
		size = 56
		refs = "0008 Ctl3DHandle 0010 InitCtl3D 0029 Ctl3DSubclassCtl"
	strings:
		$1 = { 53 56 8B F0 33 DB 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 16 83 3D ?? ?? ?? ?? FF 74 0D 56 FF 15 ?? ?? ?? ?? F7 D8 1B DB F7 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_8711_0 {
	meta:
		name = "Subclass3DDlg"
		size = 49
		refs = "0008 Ctl3DHandle 0010 InitCtl3D 002a Ctl3DSubclassDlg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 11 83 3D ?? ?? ?? ?? FF 74 08 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8712_0 {
	meta:
		name = "SetAutoSubClass"
		size = 81
		refs = "0005 Ctl3DHandle 000d InitCtl3D 0025 Ctl3DAutoSubclass 002e Ctl3DUnAutoSubclass 003a HInstance"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 35 83 3D ?? ?? ?? ?? FF 74 2C 83 3D ?? ?? ?? ?? 00 74 23 83 3D ?? ?? ?? ?? 00 74 1A 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 50 FF 15 ?? ?? ?? ?? EB 06 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8713_0 {
	meta:
		name = "StdWndProc"
		size = 30
	strings:
		$1 = { 55 8B EC 31 C0 50 FF 75 14 FF 75 10 FF 75 0C 89 E2 8B 41 04 FF 11 83 C4 0C 58 5D C2 10 00 }
	condition:
		$1
}

rule function_8714_0 {
	meta:
		name = "CalcJmpOffset"
		size = 8
	strings:
		$1 = { 83 C0 05 2B D0 8B C2 C3 }
	condition:
		$1
}

rule function_8715_0 {
	meta:
		name = "MakeObjectInstance"
		size = 152
		refs = "0007 InstFreeList 001f VirtualAlloc 0026 InstBlockList 0030 BlockCode 003a Move 003f StdWndProc 0047 CalcJmpOffset"
	strings:
		$1 = { 55 8B EC 53 56 57 BF ?? ?? ?? ?? 83 3F 00 75 6C 6A 40 68 00 10 00 00 68 00 10 00 00 6A 00 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 89 06 8D 56 04 B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 46 05 E8 ?? ?? ?? ?? 89 46 06 8D 5E 0A C6 03 E8 8D 56 04 8B C3 E8 ?? ?? ?? ?? 89 43 01 8B 07 89 43 05 89 1F 83 C3 0D 8B C3 2B C6 3D FC 0F 00 00 7C DB 89 35 ?? ?? ?? ?? 8B 07 8B 1F 8B 53 05 89 17 8B 55 08 89 53 05 8B 55 0C 89 53 09 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8716_0 {
	meta:
		name = "FreeObjectInstance"
		size = 19
		refs = "0006 InstFreeList"
	strings:
		$1 = { 85 C0 74 0E 8B 15 ?? ?? ?? ?? 89 50 05 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8717_0 {
	meta:
		name = "_NF__527"
		size = 16
	strings:
		$1 = { 54 50 55 74 69 6C 57 69 6E 64 6F 77 00 00 00 00 }
	condition:
		$1
}

rule function_8718_0 {
	meta:
		name = "AllocateHWnd"
		size = 188
		refs = "0008 HInstance 000f UtilWindowClass 0026 GetClassInfo 0035 DefWindowProc 0051 UnregisterClass 005b RegisterClass 007b AllocateHWnd 008b CreateWindowEx 009f MakeObjectInstance 00a8 SetWindowLong"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 8D 45 D8 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 74 0A BA ?? ?? ?? ?? 3B 55 DC 74 21 84 C0 74 13 A1 ?? ?? ?? ?? 8B 00 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 68 00 00 00 80 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 80 00 00 00 E8 ?? ?? ?? ?? 8B D8 66 83 7D 0A 00 74 14 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 50 6A FC 53 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8719_0 {
	meta:
		name = "DeallocateHWnd"
		size = 38
		refs = "0008 GetWindowLong 0010 DestroyWindow 0016 DefWindowProc 001f FreeObjectInstance"
	strings:
		$1 = { 53 56 8B F0 6A FC 56 E8 ?? ?? ?? ?? 8B D8 56 E8 ?? ?? ?? ?? 81 FB ?? ?? ?? ?? 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8720_0 {
	meta:
		name = "KeysToShiftState"
		size = 84
		refs = "0006 KeysToShiftState 003f GetKeyState"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? 66 F7 C6 04 00 74 03 80 CB 01 66 F7 C6 08 00 74 03 80 CB 04 66 F7 C6 01 00 74 03 80 CB 08 66 F7 C6 02 00 74 03 80 CB 10 66 F7 C6 10 00 74 03 80 CB 20 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 02 8B C3 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_8721_0 {
	meta:
		name = "KeyDataToShiftState"
		size = 60
		refs = "0006 KeyDataToShiftState 000d GetKeyState"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 01 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 03 80 CB 04 F7 C6 00 00 00 20 74 03 80 CB 02 8B C3 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_8722_0 {
	meta:
		name = "KeyboardStateToShiftState"
		size = 76
		refs = "0006 KeyboardStateToShiftState"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? 80 7E 10 00 74 03 80 CB 01 80 7E 11 00 74 03 80 CB 04 80 7E 12 00 74 03 80 CB 02 80 7E 01 00 74 03 80 CB 08 80 7E 02 00 74 03 80 CB 10 80 7E 04 00 74 03 80 CB 20 8B C3 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8723_0 {
	meta:
		name = "IsAccel"
		size = 160
		refs = "0012 IsAccel 0024 @LStrPos 0031 @LStrLen 003f @LStrFromChar 0057 AnsiCompareText 007d @LStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 31 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 26 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8A 14 1E E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_8724_0 {
	meta:
		name = "GetParentForm"
		size = 39
		refs = "0012 _DV_TCustomForm 0017 @IsClass"
	strings:
		$1 = { 53 8B D8 EB 02 8B D8 8B 43 24 85 C0 75 F7 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_8725_0 {
	meta:
		name = "ValidParentForm"
		size = 128
		refs = "0013 ValidParentForm 0020 GetParentForm 003e SParentRequired 0043 LoadResString 004d _Dn_EInvalidOperation 0052 Exception.CreateFmt 0057 @RaiseExcept 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B 46 08 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8726_0 {
	meta:
		name = "TControlScrollBar.Create"
		size = 136
		refs = "000e @ClassCreate 001d TObject.Create 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8A 45 08 88 47 18 66 B9 50 00 66 89 4F 0A 0F B7 C1 B9 0A 00 00 00 33 D2 F7 F1 66 89 47 08 C6 47 1C 01 C7 47 20 0A 00 00 00 C7 47 40 04 00 00 00 C7 47 3C 0C 00 00 00 C7 47 28 14 00 00 80 C6 47 2C 01 C6 47 44 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8727_0 {
	meta:
		name = "TControlScrollBar.IsIncrementStored"
		size = 6
	strings:
		$1 = { 8A 40 1F 34 01 C3 }
	condition:
		$1
}

rule function_8728_0 {
	meta:
		name = "TControlScrollBar.Assign"
		size = 79
		refs = "000b _DV_TControlScrollBar 0010 @IsClass 0020 TControlScrollBar.SetVisible 002a TControlScrollBar.SetRange 0034 TControlScrollBar.SetPosition 0047 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B FE 8A 57 1C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 66 8B 47 08 66 89 43 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8729_0 {
	meta:
		name = "TControlScrollBar.ChangeBiDiPosition"
		size = 107
		refs = "000c TControlScrollBar.IsScrollBarVisible 0018 TControl.UseRightToLeftScrollBar 0024 TWinControl.HandleAllocated 0030 TWinControl.GetHandle 0036 UninitializeFlatSB 003f TControlScrollBar.SetPosition 005b InitializeFlatSB"
	strings:
		$1 = { 53 8B D8 80 7B 18 00 75 60 8B C3 E8 ?? ?? ?? ?? 84 C0 74 55 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 25 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 24 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 53 10 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8730_0 {
	meta:
		name = "ProcessHorz"
		size = 75
		refs = "0033 Max"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 47 00 74 3C 8A 43 4B 2C 01 72 0A 2C 02 74 06 FE C8 74 24 EB 2B 8B 45 08 8B 40 F8 8B 50 0C 03 53 30 03 53 38 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 FC EB 09 8B 45 08 8B 53 38 01 50 F4 5B 5D C3 }
	condition:
		$1
}

rule function_8731_0 {
	meta:
		name = "ProcessVert"
		size = 69
		refs = "002d Max"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 47 00 74 36 8A 43 4B 2C 02 72 04 74 24 EB 2B 8B 45 08 8B 40 F8 8B 50 0C 03 53 34 03 53 3C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 FC EB 09 8B 45 08 8B 53 3C 01 50 F4 5B 5D C3 }
	condition:
		$1
}

rule function_8732_0 {
	meta:
		name = "TControlScrollBar.CalcAutoRange"
		size = 171
		refs = "003d TWinControl.GetControlCount 005e TWinControl.GetControl 0063 ProcessHorz 0079 ProcessVert 0095 TControlScrollBar.DoSetRange"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 F8 8B 45 F8 8B 58 04 80 BB F4 01 00 00 00 0F 84 87 00 00 00 8B C3 8B 10 FF 92 B8 00 00 00 84 C0 74 6F 33 C0 89 45 FC 33 C0 89 45 F4 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 3A 43 33 F6 8B 45 F8 80 78 18 00 75 16 55 8B 45 F8 8B 40 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 14 55 8B 45 F8 8B 40 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 C9 8B 55 FC 03 55 F4 8B 45 F8 0F B7 40 1A 03 D0 8B 45 F8 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8733_0 {
	meta:
		name = "TControlScrollBar.IsScrollBarVisible"
		size = 56
		refs = "0020 TWinControl.GetHandle 0026 GetWindowLong"
	strings:
		$1 = { 53 56 8B D8 BE 00 00 10 00 80 7B 18 01 75 05 BE 00 00 20 00 80 7B 1C 00 74 14 6A F0 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_8734_0 {
	meta:
		name = "ScrollBarVisible"
		size = 50
		refs = "0020 TWinControl.GetHandle 0026 GetWindowLong"
	strings:
		$1 = { 55 8B EC 53 BB 00 00 10 00 66 83 F8 01 75 05 BB 00 00 20 00 6A F0 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 D8 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_8735_0 {
	meta:
		name = "Adjustment"
		size = 124
		refs = "0025 ScrollBarVisible 0033 GetSystemMetrics"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 33 DB 8B 45 08 80 78 FB 00 75 60 8B 45 08 80 78 FA 00 74 29 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 19 0F B7 C7 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 8B 45 08 2B 58 F4 F7 DB EB 2E 8B 45 08 80 78 FA 00 75 25 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 84 C0 74 15 0F B7 C7 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 8B 45 08 2B 58 F4 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8736_0 {
	meta:
		name = "TControlScrollBar.ControlSize"
		size = 127
		refs = "0019 TWinControl.GetHandle 001f GetWindowLong 0042 Adjustment 0050 TControl.GetClientHeight 0072 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FA 88 55 FB 89 45 FC 6A F0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 84 00 0F 95 C0 83 E0 7F 89 45 F4 8B 45 FC 80 78 18 01 75 20 55 66 BA 15 00 33 C0 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 03 D8 8B C3 EB 20 55 66 BA 14 00 66 B8 01 00 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 03 D8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8737_0 {
	meta:
		name = "TControlScrollBar.GetScrollPos"
		size = 14
	strings:
		$1 = { 33 D2 80 78 1C 00 74 03 8B 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_8738_0 {
	meta:
		name = "TControlScrollBar.NeedsScrollBarVisible"
		size = 22
		refs = "000a TControlScrollBar.ControlSize"
	strings:
		$1 = { 53 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 43 10 0F 9C C0 5B C3 }
	condition:
		$1
}

rule function_8739_0 {
	meta:
		name = "GetRealScrollPosition"
		size = 95
		refs = "0042 TWinControl.GetHandle 0048 FlatSB_GetScrollInfo"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 C7 45 E4 1C 00 00 00 C7 45 E8 10 00 00 00 33 DB 8B 45 08 8B 40 FC 80 78 18 01 75 05 BB 01 00 00 00 8B 45 08 8B 70 F8 0F BF 76 06 8D 45 E4 50 53 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 74 03 8B 75 FC 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8740_0 {
	meta:
		name = "TControlScrollBar.ScrollMessage"
		size = 757
		refs = "00a0 GetCurrentTime 00b8 Sleep 00e6 TControlScrollBar.SetPosition 01cd TControlScrollBar.ScrollMessage 0231 TControlScrollBar.ControlSize 0279 GetRealScrollPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 78 1F 00 0F 84 9E 01 00 00 8B 45 F8 66 8B 40 04 66 83 E8 04 0F 83 8D 01 00 00 8B 45 F8 66 8B 40 04 66 83 E8 02 72 08 66 83 E8 02 72 23 EB 47 8B 45 FC 0F B7 58 08 8B C3 8B 55 FC 8B 4A 40 99 F7 F9 89 45 F4 8B C3 99 F7 F9 89 55 F0 8B F1 EB 32 8B 45 FC 0F B7 40 0A 89 45 F4 8B 45 FC 8B 48 3C 8B 45 F4 99 F7 F9 89 55 F0 8B 45 F4 99 F7 F9 89 45 F4 8B F1 EB 0C 33 F6 33 C0 89 45 F4 33 C0 89 45 F0 33 FF 85 F6 0F 8E 9B 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 2B C7 8B 55 FC 8B 52 20 3B C2 7D 08 2B D0 52 E8 ?? ?? ?? ?? 8B FB 8B 45 F8 66 8B 40 04 66 83 E8 01 72 0E 74 1F 66 FF C8 74 2D 66 FF C8 74 3B EB 4A 8B 45 FC 8B 50 0C 2B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 37 8B 45 FC 8B 50 0C 03 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 24 8B 45 FC 8B 50 0C 2B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 50 0C 03 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 92 84 00 00 00 4E 85 F6 0F 8F 65 FF FF FF 83 7D F0 00 0F 8E AA 01 00 00 8B 45 F8 66 8B 40 04 66 83 E8 01 72 11 74 25 66 FF C8 74 36 66 FF C8 74 47 E9 8C 01 00 00 8B 45 FC 8B 50 0C 2B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 76 01 00 00 8B 45 FC 8B 50 0C 03 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 60 01 00 00 8B 45 FC 8B 50 0C 2B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 4A 01 00 00 8B 45 FC 8B 50 0C 03 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 34 01 00 00 8B 45 F8 0F BF 40 04 83 F8 07 0F 87 24 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 0F B7 40 08 2B D0 8B 45 FC E8 ?? ?? ?? ?? E9 E1 00 00 00 8B 45 FC 8B 50 0C 8B 45 FC 0F B7 40 08 03 D0 8B 45 FC E8 ?? ?? ?? ?? E9 C5 00 00 00 33 C9 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 0C 2B D0 8B 45 FC E8 ?? ?? ?? ?? E9 A4 00 00 00 33 C9 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 03 50 0C 8B 45 FC E8 ?? ?? ?? ?? E9 83 00 00 00 8B 45 FC 81 78 14 FF 7F 00 00 7E 13 55 E8 ?? ?? ?? ?? 59 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 64 8B 55 F8 0F BF 52 06 8B 45 FC E8 ?? ?? ?? ?? EB 53 8B 45 FC 80 78 1D 00 74 4A 8B 45 FC 81 78 14 FF 7F 00 00 7E 13 55 E8 ?? ?? ?? ?? 59 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 2B 8B 55 F8 0F BF 52 06 8B 45 FC E8 ?? ?? ?? ?? EB 1A 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 50 14 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8741_0 {
	meta:
		name = "TControlScrollBar.SetButtonSize"
		size = 21
		refs = "0010 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 3B 50 24 74 0F 89 50 24 C6 40 44 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8742_0 {
	meta:
		name = "TControlScrollBar.SetColor"
		size = 25
		refs = "0014 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 3B 50 28 74 13 89 50 28 C6 40 2C 00 C6 40 44 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8743_0 {
	meta:
		name = "TControlScrollBar.SetParentColor"
		size = 23
		refs = "0012 TControlScrollBar.SetColor"
	strings:
		$1 = { 3A 50 2C 74 11 88 50 2C 84 D2 74 0A BA 14 00 00 80 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8744_0 {
	meta:
		name = "TControlScrollBar.SetPosition"
		size = 193
		refs = "004f TWinControl.ScrollBy 006d GetParentForm 0091 TWinControl.GetHandle 0097 FlatSB_GetScrollPos 00b5 FlatSB_SetScrollPos"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 04 F6 40 20 02 74 08 89 53 0C E9 A7 00 00 00 8B 43 14 3B D0 7E 04 8B D0 EB 06 85 D2 7D 02 33 D2 80 7B 18 00 75 04 33 F6 EB 04 66 BE 01 00 8B 43 0C 3B D0 74 4D 89 53 0C 80 7B 18 00 75 10 2B C2 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? EB 0E 8B C8 2B CA 8B 43 04 33 D2 E8 ?? ?? ?? ?? 8B 43 04 F6 40 20 10 74 1D E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 30 02 00 00 00 74 0B 8B 80 30 02 00 00 8B 10 FF 52 0C 0F B7 FE 57 8B 43 04 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 3B 43 0C 74 19 6A FF 8B 43 0C 50 57 8B 43 04 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8745_0 {
	meta:
		name = "TControlScrollBar.SetSize"
		size = 21
		refs = "0010 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 3B 50 30 74 0F 89 50 30 C6 40 44 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8746_0 {
	meta:
		name = "TControlScrollBar.SetStyle"
		size = 21
		refs = "0010 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 3A 50 34 74 0F 88 50 34 C6 40 44 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8747_0 {
	meta:
		name = "TControlScrollBar.SetThumbSize"
		size = 21
		refs = "0010 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 3B 50 38 74 0F 89 50 38 C6 40 44 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8748_0 {
	meta:
		name = "TControlScrollBar.DoSetRange"
		size = 23
		refs = "0012 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 8B CA 89 48 10 85 C9 7D 05 33 D2 89 50 10 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8749_0 {
	meta:
		name = "TControlScrollBar.SetRange"
		size = 20
		refs = "000f TControlScrollBar.DoSetRange"
	strings:
		$1 = { 8B 48 04 C6 81 F4 01 00 00 00 C6 40 1E 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8750_0 {
	meta:
		name = "TControlScrollBar.IsRangeStored"
		size = 12
	strings:
		$1 = { 8B 40 04 8A 80 F4 01 00 00 34 01 C3 }
	condition:
		$1
}

rule function_8751_0 {
	meta:
		name = "TControlScrollBar.SetVisible"
		size = 12
		refs = "0007 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 88 50 1C 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8752_0 {
	meta:
		name = "UpdateScrollProperties"
		size = 262
		refs = "001b Styles 002c Props 0037 TWinControl.GetHandle 003d FlatSB_SetScrollProp 00dc ColorToRGB"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 75 08 83 C6 FC F6 DB 1B C0 50 8B 06 0F B6 40 34 8B 04 85 ?? ?? ?? ?? 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 83 78 24 00 7E 29 6A 00 8B 06 8B 40 24 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 83 78 38 00 7E 29 6A 00 8B 06 8B 40 38 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 83 78 30 00 7E 29 6A 00 8B 06 8B 40 30 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 06 8B 40 28 E8 ?? ?? ?? ?? 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8753_0 {
	meta:
		name = "TControlScrollBar.Update"
		size = 279
		refs = "003b TControlScrollBar.ControlSize 00a3 UpdateScrollProperties 00be TWinControl.GetHandle 00c4 FlatSB_SetScrollInfo 00d4 TControlScrollBar.SetPosition"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 88 4D FA 88 55 FB 89 45 FC 8D 75 FC 8B 06 33 D2 89 50 14 33 DB 8B 06 80 78 18 01 75 04 66 BB 01 00 8B 06 80 78 1C 00 74 24 8A 4D FA 8A 55 FB 8B 06 E8 ?? ?? ?? ?? 8B 16 8B 7A 10 2B F8 8B 06 89 78 14 85 FF 7D 07 8B 06 33 D2 89 50 14 C7 45 DE 1C 00 00 00 C7 45 E2 17 00 00 00 33 C0 89 45 E6 8B 06 83 78 14 00 7E 0A 8B 06 8B 40 10 89 45 EA EB 05 33 C0 89 45 EA 8A 4D FA 8A 55 FB 8B 06 E8 ?? ?? ?? ?? 40 89 45 EE 8B 06 8B 40 0C 89 45 F2 89 45 F6 55 8B 06 8A 40 44 E8 ?? ?? ?? ?? 59 8B 06 C6 40 44 00 6A FF 8D 45 DE 50 0F B7 C3 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 06 8B 50 0C 8B 06 E8 ?? ?? ?? ?? 33 C9 B2 01 8B 06 E8 ?? ?? ?? ?? 8D 04 C0 B9 0A 00 00 00 99 F7 F9 8B D8 8B 06 66 89 58 0A 8B 06 80 78 1F 00 74 12 0F B7 C3 B9 0A 00 00 00 33 D2 F7 F1 8B 16 66 89 42 08 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8754_0 {
	meta:
		name = "TScrollingWinControl.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TWinControl.Create 0022 _DV_TControlScrollBar 0027 TControlScrollBar.Create 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 EC 01 00 00 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F0 01 00 00 C6 86 F4 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8755_0 {
	meta:
		name = "TScrollingWinControl.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TWinControl.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8757_0 {
	meta:
		name = "TScrollingWinControl.CreateWnd"
		size = 43
		refs = "0006 TWinControl.CreateWnd 000b SysLocale 0018 TWinControl.GetHandle 001e InitializeFlatSB 0025 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 09 00 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8758_0 {
	meta:
		name = "TScrollingWinControl.AlignControls"
		size = 31
		refs = "000c TScrollingWinControl.CalcAutoRange 0017 TWinControl.AlignControls"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8759_0 {
	meta:
		name = "TScrollingWinControl.AutoScrollEnabled"
		size = 30
	strings:
		$1 = { 80 78 4C 00 75 12 80 B8 38 01 00 00 00 74 0C 80 B8 80 01 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_8760_0 {
	meta:
		name = "TScrollingWinControl.DoFlipChildren"
		size = 278
		refs = "000f _Dn_TList 0014 TObject.Create 001f TScrollingWinControl.DoFlipChildren 002d TControl.GetClientWidth 0040 TControlScrollBar.IsScrollBarVisible 006a TControlScrollBar.SetPosition 0072 TWinControl.GetControlCount 0086 TWinControl.GetControl 009c TList.Add 00ac TControl.SetLeft 00ca TList.Get 00d6 TControl.Perform 00ee TControlScrollBar.ChangeBiDiPosition 0103 TObject.Free 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 98 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 10 3B 45 F8 7F 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 74 0F 8B 43 10 89 45 F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 37 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 2B 57 38 2B 57 30 8B C7 E8 ?? ?? ?? ?? 43 4E 75 CC 8B 45 F0 8B 70 08 4E 85 F6 7C 1F 46 33 DB 6A 00 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA 3E B0 00 00 E8 ?? ?? ?? ?? 43 4E 75 E4 80 7D F7 00 74 0E 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8761_0 {
	meta:
		name = "TScrollingWinControl.CalcAutoRange"
		size = 36
		refs = "0013 TControlScrollBar.CalcAutoRange"
	strings:
		$1 = { 53 8B D8 83 BB F8 01 00 00 00 7F 16 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8762_0 {
	meta:
		name = "TScrollingWinControl.SetAutoScroll"
		size = 58
		refs = "0018 TScrollingWinControl.CalcAutoRange 0027 TControlScrollBar.SetRange"
	strings:
		$1 = { 53 8B D8 3A 93 F4 01 00 00 74 2D 88 93 F4 01 00 00 84 D2 74 09 8B C3 E8 ?? ?? ?? ?? EB 1A 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8763_0 {
	meta:
		name = "TCustomComboBox.SetItems"
		size = 16
		altNames = "TCustomListBox.SetItems TScrollingWinControl.SetHorzScrollBar"
	strings:
		$1 = { 56 8B F0 8B 86 EC 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_8765_0 {
	meta:
		name = "TScrollingWinControl.UpdateScrollBars"
		size = 245
		refs = "001b TWinControl.HandleAllocated 002b TScrollingWinControl.UpdateScrollBars 0049 TControlScrollBar.NeedsScrollBarVisible 005f TControlScrollBar.Update 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 FC 01 00 00 00 0F 85 DB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 CB 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 FC 01 00 00 01 8B 45 FC 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 80 EC 01 00 00 B1 01 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 01 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? EB 5C 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 80 F0 01 00 00 B1 01 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? EB 24 8B 45 FC 8B 80 F0 01 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 FC 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_8766_0 {
	meta:
		name = "TScrollingWinControl.AutoScrollInView"
		size = 22
		refs = "0011 TScrollingWinControl.ScrollInView"
	strings:
		$1 = { 85 D2 74 11 F6 42 20 01 75 0B F6 40 20 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8767_0 {
	meta:
		name = "TScrollingWinControl.DisableAutoRange"
		size = 7
	strings:
		$1 = { FF 80 F8 01 00 00 C3 }
	condition:
		$1
}

rule function_8768_0 {
	meta:
		name = "TScrollingWinControl.EnableAutoRange"
		size = 54
		refs = "0031 TScrollingWinControl.CalcAutoRange"
	strings:
		$1 = { 83 B8 F8 01 00 00 00 7E 2C FF 88 F8 01 00 00 83 B8 F8 01 00 00 00 75 1D 8B 90 EC 01 00 00 80 7A 1C 00 75 0C 8B 90 F0 01 00 00 80 7A 1C 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8769_0 {
	meta:
		name = "TScrollingWinControl.ScrollInView"
		size = 337
		refs = "0046 TControl.ClientToScreen 0055 TControl.ScreenToClient 00a3 TControlScrollBar.SetPosition 00ac TControl.GetClientWidth 0108 TControl.GetClientHeight"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B D8 8B FC 85 F6 0F 84 34 01 00 00 8B D7 8B C6 8B 08 FF 51 44 8B 83 EC 01 00 00 0F B7 40 1A 29 07 01 47 08 8B 83 F0 01 00 00 0F B7 40 1A 29 47 04 01 47 0C 8D 4C 24 18 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 07 8B 44 24 14 89 47 04 8D 4C 24 18 8D 57 08 8B C6 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 47 08 8B 44 24 14 89 47 0C 8B 37 85 F6 7D 12 8B 83 EC 01 00 00 8B 50 0C 03 D6 E8 ?? ?? ?? ?? EB 43 8B C3 E8 ?? ?? ?? ?? 8B 6F 08 3B C5 7D 35 8B C3 E8 ?? ?? ?? ?? 2B EE 3B C5 7D 0C 8B C3 E8 ?? ?? ?? ?? 03 07 89 47 08 8B B3 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 03 57 08 2B D0 8B C6 E8 ?? ?? ?? ?? 8B 77 04 85 F6 7D 12 8B 83 F0 01 00 00 8B 50 0C 03 D6 E8 ?? ?? ?? ?? EB 44 8B C3 E8 ?? ?? ?? ?? 8B 6F 0C 3B C5 7D 36 8B C3 E8 ?? ?? ?? ?? 2B EE 3B C5 7D 0D 8B C3 E8 ?? ?? ?? ?? 03 47 04 89 47 0C 8B B3 F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 03 57 0C 2B D0 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8770_0 {
	meta:
		name = "TScrollingWinControl.ScaleScrollBars"
		size = 164
		refs = "0031 TControlScrollBar.SetPosition 005e MulDiv 0067 TControlScrollBar.SetRange"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 7D F6 43 20 01 75 14 8B 83 EC 01 00 00 C6 40 1E 01 8B 83 F0 01 00 00 C6 40 1E 01 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 80 BB F4 01 00 00 00 75 40 8B AB EC 01 00 00 80 7D 1E 00 74 14 57 56 8B 45 10 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 8B AB F0 01 00 00 80 7D 1E 00 74 14 57 56 8B 45 10 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 C6 40 1E 00 8B 83 F0 01 00 00 C6 40 1E 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8771_0 {
	meta:
		name = "TScrollingWinControl.ChangeScale"
		size = 35
		refs = "0010 TScrollingWinControl.ScaleScrollBars 001b TWinControl.ChangeScale"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8772_0 {
	meta:
		name = "TScrollingWinControl.WMSize"
		size = 109
		refs = "0014 TScrollingWinControl.WMSize 0022 TWinControl.WMSize 003e @HandleFinally 0066 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC FF 80 F8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 F8 01 00 00 C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 8B 80 EC 01 00 00 80 78 1C 00 75 0F 8B 45 FC 8B 80 F0 01 00 00 80 78 1C 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_8773_0 {
	meta:
		name = "TScrollingWinControl.WMHScroll"
		size = 36
		refs = "0019 TControlScrollBar.ScrollMessage 001f TWinControl.WMHScroll"
	strings:
		$1 = { 83 7A 08 00 75 18 8B 88 EC 01 00 00 80 79 1C 00 74 0C 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8774_0 {
	meta:
		name = "TScrollingWinControl.WMVScroll"
		size = 36
		refs = "0019 TControlScrollBar.ScrollMessage 001f TWinControl.WMVScroll"
	strings:
		$1 = { 83 7A 08 00 75 18 8B 88 F0 01 00 00 80 79 1C 00 74 0C 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8775_0 {
	meta:
		name = "TScrollingWinControl.AdjustClientRect"
		size = 114
		refs = "000d TControl.GetClientHeight 001b Max 0028 TControl.GetClientWidth 004f Bounds 0067 TWinControl.AdjustClientRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 F0 01 00 00 8B 52 10 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B BB EC 01 00 00 8B 47 10 E8 ?? ?? ?? ?? 8B C8 8B 83 F0 01 00 00 8B 50 0C F7 DA 8B 47 0C F7 D8 E8 ?? ?? ?? ?? 56 8B FE 8D 74 24 04 B9 04 00 00 00 F3 A5 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8776_0 {
	meta:
		name = "TScrollingWinControl.CMBiDiModeChanged"
		size = 142
		refs = "0019 TScrollingWinControl.CMBiDiModeChanged 0028 _DV_TScrollBox 002d @IsClass 0046 TWinControl.CMBiDiModeChanged 0062 @HandleFinally 006c TWinControl.HandleAllocated 007e TControlScrollBar.ChangeBiDiPosition 0086 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0A 8B 45 F8 C7 40 04 01 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 89 50 04 C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_8777_0 {
	meta:
		name = "TScrollBox.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TScrollingWinControl.Create 001c TScrollBox.Create 002b TControl.SetWidth 0037 TControl.SetHeight 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 29 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 00 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 AB 00 00 00 }
	condition:
		$1
}

rule function_8778_0 {
	meta:
		name = "TScrollBox.CreateParams"
		size = 78
		refs = "000b TScrollingWinControl.CreateParams 001a BorderStyles 0022 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 00 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB 2C 01 00 00 00 74 17 80 BB 00 02 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8781_0 {
	meta:
		name = "TButton.WMEraseBkgnd"
		size = 6
		altNames = "TCustomComboBox.WMDeleteItem TCustomComboBox.WMDrawItem TCustomComboBox.WMMeasureItem TCustomForm.CMUIActivate TScrollBar.WMEraseBkgnd TScrollBox.WMNCHitTest"
	strings:
		$1 = { 8B 08 FF 51 F0 C3 }
	condition:
		$1
}

rule function_8782_0 {
	meta:
		name = "TScrollBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB 00 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8783_0 {
	meta:
		name = "TCustomActiveForm.Create"
		size = 96
		refs = "000a @ClassCreate 001e TCustomForm.Create 0027 TCustomForm.SetBorderStyle 002d TCustomActiveForm.Create 0034 TCustomForm.SetBorderIcons 003d TWinControl.SetTabStop 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 86 C4 02 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_8784_0 {
	meta:
		name = "TCustomActiveForm.SetAxBorderStyle"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 C4 02 00 00 74 11 88 90 C4 02 00 00 F6 40 20 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8785_0 {
	meta:
		name = "TCustomActiveForm.CreateParams"
		size = 83
		refs = "000b TCustomForm.CreateParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 3B 81 66 04 FF FF 3F FF 8A 83 C4 02 00 00 FE C8 74 0A FE C8 74 0F FE C8 74 14 EB 20 81 4E 04 00 00 80 00 EB 17 81 4E 08 00 02 00 00 EB 0E 81 4E 04 00 00 40 00 81 4E 08 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8786_0 {
	meta:
		name = "TCustomActiveForm.WantChildKey"
		size = 59
		refs = "0029 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B 33 81 FE 02 01 00 00 75 06 83 7B 04 09 74 1E 8B 43 08 50 8B 4B 04 8B D6 81 C2 00 BC 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8787_0 {
	meta:
		name = "TCustomForm.Create"
		size = 392
		refs = "001a @ClassCreate 002a TCustomForm.Create 0035 GlobalNameSpace 003c TMultiReadExclusiveWriteSynchronizer.BeginWrite 0063 TObject.ClassType 0069 _DV_TForm 00a2 InitInheritedComponent 00b6 TObject.ClassName 00d4 SResNotFound 00d9 LoadResString 00e6 _Dn_EResNotFound 00eb Exception.CreateFmt 00f0 @RaiseExcept 010d @HandleFinally 0123 TCustomForm.DoCreate 013c TMultiReadExclusiveWriteSynchronizer.EndWrite 015c @LStrClr 0172 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 33 DB 89 9D EC FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB 33 D2 8B 45 FC 8B 18 FF 93 C0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 0F 84 B4 00 00 00 8B 45 FC F6 40 20 10 0F 85 A7 00 00 00 8B 45 FC 80 88 C0 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 4A 8D 95 F0 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 45 F0 50 6A 00 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 A0 C0 02 00 00 FE C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 80 B8 14 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8788_0 {
	meta:
		name = "TCustomForm.AfterConstruction"
		size = 15
		refs = "000a TCustomForm.DoCreate"
	strings:
		$1 = { 80 B8 14 02 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8789_0 {
	meta:
		name = "TCustomForm.CreateNew"
		size = 304
		refs = "000e @ClassCreate 001c TScrollingWinControl.Create 0021 TCustomForm.CreateNew 002d TControl.SetLeft 0036 TControl.SetTop 0042 TControl.SetWidth 004e TControl.SetHeight 0057 TCustomForm.SetVisible 0060 TControl.SetParentColor 0069 TControl.SetParentFont 0072 TWinControl.SetCtl3D 0099 _Dn_TIcon 009e TIcon.Create 00b0 TCustomForm.IconChanged 00be _Dn_TControlCanvas 00c3 TCanvas.Create 00d4 TControlCanvas.SetControl 00d9 Screen 00f0 TObject.ClassType 0102 TScreen.AddForm 010f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 40 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 40 01 00 00 8B C3 E8 ?? ?? ?? ?? BA F0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 83 08 02 00 00 C6 83 09 02 00 00 02 C6 83 0B 02 00 00 00 C6 83 11 02 00 00 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 02 00 00 89 5E 08 C7 46 04 ?? ?? ?? ?? C6 83 24 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 34 89 83 3C 02 00 00 C6 83 15 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 89 83 A0 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 00 00 AB 00 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_8790_0 {
	meta:
		name = "TCustomForm.BeforeDestruction"
		size = 100
		refs = "0004 GlobalNameSpace 000b TMultiReadExclusiveWriteSynchronizer.BeginWrite 0012 TComponent.Destroying 0017 Screen 0021 TList.Remove 002a RemoveFixupReferences 004e TCustomForm.Hide 005e TCustomForm.DoDestroy"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 70 8B D3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB 44 02 00 00 00 74 0B 8B 83 44 02 00 00 8B 10 FF 52 0C 80 BB 0F 02 00 00 01 74 07 8B C3 E8 ?? ?? ?? ?? 80 BB 14 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8791_0 {
	meta:
		name = "TCustomForm.Destroy"
		size = 239
		refs = "0007 @BeforeDestruction 001b GlobalNameSpace 0022 TMultiReadExclusiveWriteSynchronizer.BeginWrite 002a TCustomForm.Destroy 0044 TCustomForm.DoDestroy 004e TCustomForm.MergeMenu 0056 TWinControl.HandleAllocated 006d Screen 0072 TScreen.RemoveForm 0080 TObject.Free 00b8 TScrollingWinControl.Destroy 00d1 TMultiReadExclusiveWriteSynchronizer.EndWrite 00d7 @HandleFinally 00e7 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC F6 40 20 08 75 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 14 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 A0 00 00 00 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 28 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_8792_0 {
	meta:
		name = "TCustomForm.DoCreate"
		size = 116
		refs = "001b TCustomForm.DoCreate 0042 @HandleAnyException 004a Application 004f TApplication.HandleException 0054 @DoneExcept 006a TCustomForm.SetVisible"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 B8 AE 02 00 00 00 74 41 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 B0 02 00 00 FF 93 AC 02 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 80 C0 02 00 00 02 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8793_0 {
	meta:
		name = "TCustomForm.DoDestroy"
		size = 94
		refs = "001b TCustomForm.DoDestroy 0042 @HandleAnyException 004a Application 004f TApplication.HandleException 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 B8 B6 02 00 00 00 74 41 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 B8 02 00 00 FF 93 B4 02 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8794_0 {
	meta:
		name = "TCustomForm.Loaded"
		size = 54
		refs = "0007 TControl.Loaded 0022 TWinControl.CanFocus 002f TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 85 C0 74 1E 8B F0 33 C0 89 83 00 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8795_0 {
	meta:
		name = "TCustomForm.Notification"
		size = 242
		refs = "0011 TControl.Notification 0026 _Dn_TCustomActionList 002b @IsClass 003f _Dn_TList 0044 TObject.Create 0057 TList.Add 0075 _Dn_TMainMenu 0087 TCustomForm.SetMenu 00ad TList.Remove 00d1 TCustomForm.SetWindowMenu"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 2C 01 72 07 74 70 E9 B3 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 83 BF BC 02 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 BC 02 00 00 8B D6 8B 87 BC 02 00 00 E8 ?? ?? ?? ?? EB 78 F6 47 20 01 75 72 83 BF 28 02 00 00 00 75 69 3B 7E 04 75 64 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 8B D6 8B C7 E8 ?? ?? ?? ?? EB 48 8B AF BC 02 00 00 85 ED 74 1C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C5 E8 ?? ?? ?? ?? EB 22 3B B7 28 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 38 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 83 BF 30 02 00 00 00 74 0F 8B CB 8B D6 8B 87 30 02 00 00 8B 18 FF 53 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8796_0 {
	meta:
		name = "TCustomForm.ReadState"
		size = 532
		refs = "000f TWinControl.DisableAlign 0017 TCustomForm.ReadState 0045 ModuleIsCpp 005c TWinControl.ReadState 0097 Screen 00bc TFont.GetHeight 00c2 MulDiv 00cb TFont.SetHeight 00e4 TCustomForm.GetTextHeight 0101 TScrollingWinControl.ScaleScrollBars 0114 TWinControl.ScaleControls 0189 TControl.SetClientWidth 01a0 TControl.SetClientHeight 01e8 TControl.Perform 01fd TWinControl.EnableAlign 0203 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 33 D2 89 90 48 02 00 00 8B 45 FC 33 D2 89 90 4C 02 00 00 8B 45 FC 33 D2 89 90 50 02 00 00 33 DB A1 ?? ?? ?? ?? 8A 00 34 01 8B 55 FC 88 82 14 02 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 3C 02 00 00 00 0F 84 06 01 00 00 8B 45 FC 83 B8 50 02 00 00 00 0F 8E F6 00 00 00 8B 45 FC F6 80 84 00 00 00 10 74 43 8B 45 FC 8B 80 3C 02 00 00 8B 15 ?? ?? ?? ?? 3B 42 34 74 2F 8B 45 FC 8B 80 3C 02 00 00 50 A1 ?? ?? ?? ?? 8B 40 34 50 8B 45 FC 8B 70 58 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 34 8B 55 FC 89 82 3C 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 50 02 00 00 3B F0 74 7F B3 01 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 88 50 02 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 84 00 00 00 04 74 23 8B 45 FC 8B 80 50 02 00 00 50 56 8B 45 FC 8B 80 48 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 48 02 00 00 8B 45 FC F6 80 84 00 00 00 08 74 23 8B 45 FC 8B 80 50 02 00 00 50 56 8B 45 FC 8B 80 4C 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 4C 02 00 00 8B 45 FC 8B 80 48 02 00 00 85 C0 7E 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 4C 02 00 00 85 C0 7E 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 15 ?? ?? ?? ?? 88 90 84 00 00 00 84 DB 75 24 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 3D B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8797_0 {
	meta:
		name = "TCustomForm.DefineProperties"
		size = 172
		refs = "000c TControl.DefineProperties 0016 TCustomForm.WritePixelsPerInch 0021 TCustomForm.DefineProperties 002d TCustomForm.ReadTextHeight 0033 TCustomForm.WriteTextHeight 004a TCustomForm.ReadIgnoreFontProperty"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 53 68 ?? ?? ?? ?? 8A 4B 4E 80 F1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8A 4B 4E 80 F1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 FF FF FF FF 0D 00 00 00 50 69 78 65 6C 73 50 65 72 49 6E 63 68 00 00 00 FF FF FF FF 0A 00 00 00 54 65 78 74 48 65 69 67 68 74 00 00 FF FF FF FF 12 00 00 00 49 67 6E 6F 72 65 46 6F 6E 74 50 72 6F 70 65 72 74 79 00 00 }
	condition:
		$1
}

rule function_8798_0 {
	meta:
		name = "TCustomForm.ReadIgnoreFontProperty"
		size = 29
		refs = "0009 TReader.ReadBoolean 0016 TControl.SetParentFont"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8799_0 {
	meta:
		name = "TCustomForm.ReadTextHeight"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 50 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8800_0 {
	meta:
		name = "TCustomForm.WriteTextHeight"
		size = 25
		refs = "0009 TCustomForm.GetTextHeight 0012 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8801_0 {
	meta:
		name = "TCustomForm.WritePixelsPerInch"
		size = 25
		refs = "0009 TCustomForm.GetPixelsPerInch 0012 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8802_0 {
	meta:
		name = "TCustomForm.GetTextHeight"
		size = 36
		refs = "0006 TCustomForm.GetCanvas 000b TCustomForm.GetTextHeight 0010 TCanvas.TextHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_8804_0 {
	meta:
		name = "TCustomForm.ChangeScale"
		size = 125
		refs = "0011 TScrollingWinControl.ScaleScrollBars 001c TWinControl.ScaleControls 0023 TCustomForm.IsClientSizeStored 002e TControl.GetClientHeight 0039 TControl.GetClientWidth 003f MulDiv 0048 TCustomForm.SetClientWidth 0059 TCustomForm.SetClientHeight 0065 TFont.GetSize 0074 TFont.SetSize"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 8B E8 57 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 56 55 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 56 8B 6B 58 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8805_0 {
	meta:
		name = "TCustomForm.IconChanged"
		size = 89
		refs = "0004 NewStyleControls 0010 TWinControl.HandleAllocated 0024 TCustomForm.GetIconHandle 0033 TWinControl.GetHandle 0039 SendMessage 0048 IsIconic"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 32 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F 80 BB 09 02 00 00 03 74 36 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_8806_0 {
	meta:
		name = "TCustomForm.IsClientSizeStored"
		size = 14
		refs = "0006 TCustomForm.IsFormSizeStored"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_8807_0 {
	meta:
		name = "TCustomForm.IsFormSizeStored"
		size = 39
	strings:
		$1 = { 80 B8 F4 01 00 00 00 75 1B 8B 90 EC 01 00 00 83 7A 10 00 75 0F 8B 80 F0 01 00 00 83 78 10 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_8808_0 {
	meta:
		name = "TCustomForm.IsAutoScrollStored"
		size = 50
		refs = "0006 TCustomForm.IsForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8A 83 09 02 00 00 2C 02 74 08 2C 03 74 04 33 C0 EB 02 B0 01 3A 83 F4 01 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_8809_0 {
	meta:
		name = "TCustomForm.DoClose"
		size = 31
	strings:
		$1 = { 53 66 83 B8 6E 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 70 02 00 00 FF 93 6C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8810_0 {
	meta:
		name = "TCustomForm.DoHide"
		size = 29
	strings:
		$1 = { 53 66 83 B8 8E 02 00 00 00 74 10 8B D8 8B D0 8B 83 90 02 00 00 FF 93 8C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8812_0 {
	meta:
		name = "TCustomForm.GetClientRect"
		size = 134
		refs = "0009 TWinControl.GetHandle 000f IsIconic 0021 SetRect 0030 GetWindowLong 0056 AdjustWindowRectEx 007f TWinControl.GetClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 63 6A 00 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 6A EC 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 83 BB 28 02 00 00 00 0F 95 C0 F6 D8 1B C0 50 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 43 3C 2B 46 0C 03 46 04 50 8B 43 38 2B 46 08 03 06 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8813_0 {
	meta:
		name = "TCustomForm.GetChildren"
		size = 107
		refs = "0018 TWinControl.GetChildren 0023 TComponent.GetComponentCount 003d TComponent.GetComponent 004a @CallDynaInst"
		altNames = "TCustomQuickRep.GetChildren"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 8B F0 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? 3B F3 75 42 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 36 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 66 BB F2 FF E8 ?? ?? ?? ?? 84 C0 75 08 8B D7 8B 45 0C FF 55 08 FF 45 FC FF 4D F8 75 D5 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8970_0 {
	meta:
		name = "TDataModule.GetChildren"
		size = 107
		refs = "0018 TComponent.GetChildren 0023 TComponent.GetComponentCount 003d TComponent.GetComponent 004a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 8B F0 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? 3B F3 75 42 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 36 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 66 BB F2 FF E8 ?? ?? ?? ?? 84 C0 75 08 8B D7 8B 45 0C FF 55 08 FF 45 FC FF 4D F8 75 D5 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8814_0 {
	meta:
		name = "TCustomForm.GetFloating"
		size = 43
		refs = "0019 TObject.ClassType"
	strings:
		$1 = { 53 56 8B D8 83 BB 8C 00 00 00 00 75 14 8B C3 8B 10 FF 52 58 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_8815_0 {
	meta:
		name = "TCustomForm.SetChildOrder"
		size = 146
		refs = "0015 _Dn_TControl 001a @IsClass 002c TWinControl.SetChildOrder 0035 TWinControl.GetControlCount 0048 TComponent.GetComponentCount 005b TComponent.GetComponent 0064 @CallDynaInst 0080 TComponent.SetComponentIndex"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B E8 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 4C 24 04 8B 14 24 8B C5 E8 ?? ?? ?? ?? EB 58 8B C5 E8 ?? ?? ?? ?? 29 44 24 04 C7 44 24 08 FF FF FF FF 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 37 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 66 BB F2 FF E8 ?? ?? ?? ?? 84 C0 75 1A FF 44 24 08 8B 44 24 08 3B 44 24 04 75 0C 8B D7 8B 04 24 E8 ?? ?? ?? ?? EB 04 47 4E 75 CC 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8816_0 {
	meta:
		name = "TCustomForm.SetParentBiDiMode"
		size = 39
		refs = "000b TControl.SetParentBiDiMode 0021 TControl.Perform"
	strings:
		$1 = { 53 8B D8 3A 53 50 74 1D 8B C3 E8 ?? ?? ?? ?? 83 7B 24 00 75 10 6A 00 33 C9 BA 3D B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8817_0 {
	meta:
		name = "TCustomForm.SetClientWidth"
		size = 48
		refs = "0010 TCustomForm.SetClientWidth 0025 TControl.SetClientWidth"
	strings:
		$1 = { 53 8B D8 F6 43 44 08 74 19 89 93 48 02 00 00 A0 ?? ?? ?? ?? 0A 83 84 00 00 00 88 83 84 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_8818_0 {
	meta:
		name = "TCustomForm.SetClientHeight"
		size = 48
		refs = "0010 TCustomForm.SetClientHeight 0025 TControl.SetClientHeight"
	strings:
		$1 = { 53 8B D8 F6 43 44 08 74 19 89 93 4C 02 00 00 A0 ?? ?? ?? ?? 0A 83 84 00 00 00 88 83 84 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 08 00 00 00 }
	condition:
		$1
}

rule function_8819_0 {
	meta:
		name = "TCustomForm.SetVisible"
		size = 66
		refs = "0032 TCustomForm.SetWindowToMonitor 003b TControl.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 86 C0 02 00 00 01 74 17 84 DB 74 09 80 8E C0 02 00 00 02 EB 23 80 A6 C0 02 00 00 FD 5E 5B C3 84 DB 74 0C 3A 5E 47 74 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8820_0 {
	meta:
		name = "TCustomForm.VisibleChanging"
		size = 99
		refs = "0009 TCustomForm.VisibleChanging 0026 SMDIChildNotVisible 002b LoadResString 0035 _Dn_EInvalidOperation 003a Exception.Create 003f @RaiseExcept 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 0F 02 00 00 01 75 27 80 78 47 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8822_0 {
	meta:
		name = "TCustomForm.SetParent"
		size = 53
		refs = "0018 TWinControl.DestroyHandle 0021 TControl.SetParent 002e TWinControl.UpdateControlState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 3B F0 74 25 3B DE 74 21 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 24 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8823_0 {
	meta:
		name = "TCustomForm.ValidateRename"
		size = 62
		refs = "0017 TComponent.ValidateRename"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 30 02 00 00 00 74 13 8B 45 08 50 8B CF 8B D6 8B 83 30 02 00 00 8B 18 FF 53 2C 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8824_0 {
	meta:
		name = "GetMenuFont"
		size = 66
		refs = "0021 SystemParametersInfo 0031 CreateFontIndirect 003a GetStockObject"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF C7 85 AC FE FF FF 54 01 00 00 6A 00 8D 85 AC FE FF FF 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 0E 8D 85 4C FF FF FF 50 E8 ?? ?? ?? ?? EB 07 6A 0D E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_8825_0 {
	meta:
		name = "TCustomForm.WndProc"
		size = 1320
		refs = "0053 TWinControl.HandleAllocated 0081 Ctl3DDlgFramePaint 00a8 CreateRectRgn 00b3 TWinControl.GetHandle 00b9 GetWindowRgn 00d7 SetWindowRgn 00e1 TWinControl.WndProc 00f9 GetSystemMetrics 017c DeleteObject 01a9 FocusMessages 01dc TCustomForm.GetActiveMDIChild 0218 SetFocus 0229 TCustomForm.WndProc 02c6 TMenu.FindItem 02d7 _Dn_TControlCanvas 02dc TCanvas.Create 02f9 SaveDC 0318 TCanvas.SetHandle 031d GetMenuFont 032a TFont.SetHandle 0343 TBrush.SetColor 0353 TFont.SetColor 03b7 RestoreDC 03bd @HandleFinally 03d4 TObject.Free 0423 GetWindowDC 0499 TMenuItem.MeasureItem 0501 ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 03 83 F8 2C 7F 25 0F 84 C5 03 00 00 83 C0 FA 83 E8 03 0F 82 80 01 00 00 83 E8 03 74 23 83 E8 1F 0F 84 5D 02 00 00 E9 D3 04 00 00 83 E8 46 0F 84 DE 01 00 00 83 C0 C1 83 E8 02 0F 83 BE 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 AE 04 00 00 8B 45 FC 80 B8 09 02 00 00 03 0F 85 9E 04 00 00 8B 45 FC 80 B8 2C 01 00 00 00 0F 84 8E 04 00 00 83 3D ?? ?? ?? ?? 00 0F 84 81 04 00 00 83 3B 0C 0F 85 F0 00 00 00 8B 45 FC 8B 40 3C 50 8B 45 FC 8B 40 38 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 6A 00 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 07 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 6A 08 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F0 6A 04 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 FC 8B 52 34 03 D6 03 C2 48 50 8B 45 FC 8B 78 30 8B C7 8B 55 FC 03 42 38 8B D3 03 D2 2B C2 50 8B 45 FC 03 70 34 46 56 03 DF 83 C3 02 53 E8 ?? ?? ?? ?? 8B D8 6A 00 53 68 85 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? E9 92 03 00 00 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 43 0C E9 70 03 00 00 80 3D ?? ?? ?? ?? 00 0F 84 63 03 00 00 83 3B 07 0F 85 50 03 00 00 8B 45 FC F6 40 20 10 0F 85 43 03 00 00 33 F6 8B 45 FC 80 B8 0F 02 00 00 02 75 1D 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 2A 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 19 8B 45 FC 8B 80 00 02 00 00 85 C0 74 0C 3B 45 FC 74 07 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 F7 02 00 00 56 E8 ?? ?? ?? ?? E9 F6 02 00 00 8B 45 FC 8A 40 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 0F 85 D2 02 00 00 8B 45 FC 8A 80 10 02 00 00 48 2C 02 73 13 8B 45 FC 80 B8 0B 02 00 00 02 74 07 8B 43 08 83 48 18 02 8B 45 FC 8A 80 10 02 00 00 2C 01 74 08 2C 02 0F 85 9C 02 00 00 8B 45 FC 8A 80 09 02 00 00 2C 02 74 08 2C 03 0F 85 87 02 00 00 8B 43 08 83 48 18 01 E9 7B 02 00 00 8B 43 08 89 45 EC 8B 45 EC 83 38 01 0F 85 69 02 00 00 8B 45 FC 83 B8 28 02 00 00 00 0F 84 59 02 00 00 8B 45 EC 8B 50 08 8B 45 FC 8B 80 28 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 39 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 50 18 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 8B 45 EC F6 40 10 01 74 22 8B 45 F4 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? EB 20 8B 45 F4 8B 40 14 BA 04 00 00 80 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C BA 07 00 00 80 E8 ?? ?? ?? ?? 8B 45 EC F6 40 10 01 0F 95 C0 50 8B 45 EC 8D 48 1C 8B 55 F4 8B C7 8B 18 FF 53 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 EC 8B 40 18 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 73 08 83 3E 01 0F 85 21 01 00 00 8B 45 FC 83 B8 28 02 00 00 00 0F 84 11 01 00 00 8B 56 08 8B 45 FC 8B 80 28 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 F4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 8D 46 10 50 8D 4E 0C 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 11 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_8826_0 {
	meta:
		name = "Default"
		size = 74
		refs = "003b CallWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 40 08 50 8B 45 08 8B 40 F8 8B 40 04 50 8B 45 08 8B 40 F8 8B 00 50 8B 45 08 8B 40 FC 8B 80 34 02 00 00 50 8B 45 08 8B 40 FC 8B 80 54 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 42 0C 5D C3 }
	condition:
		$1
}

rule function_8827_0 {
	meta:
		name = "MaximizedChildren"
		size = 62
		refs = "000c TCustomForm.GetMDIChildCount 0023 TCustomForm.GetMDIChildren"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 80 B8 0B 02 00 00 02 75 04 B0 01 EB 06 46 4B 75 E2 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8828_0 {
	meta:
		name = "TCustomForm.ClientWndProc"
		size = 197
		refs = "0026 Default 004e TBrush.GetHandle 006a FillRect 0091 TCustomForm.GetMDIChildCount 009b MaximizedChildren 00b4 ShowMDIClientEdge"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 F8 8B 00 83 E8 14 74 2E 83 E8 2B 74 5F 83 E8 45 0F 85 96 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 83 78 0C 01 0F 85 89 00 00 00 8B 45 F8 C7 40 0C FF FF FF FF EB 7D 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 50 8D 55 E8 8B 45 FC 8B 08 FF 51 44 8D 45 E8 50 8B 45 F8 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 EB 47 55 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 0F 02 00 00 02 75 34 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0F 55 E8 ?? ?? ?? ?? 59 84 C0 74 04 33 D2 EB 02 B2 01 8B 45 FC 8B 80 34 02 00 00 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_8829_0 {
	meta:
		name = "TCustomForm.AlignControls"
		size = 59
		refs = "000c TScrollingWinControl.AlignControls 0033 SetWindowPos"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8B CB 8B C6 E8 ?? ?? ?? ?? 8B 86 34 02 00 00 85 C0 74 1D 6A 14 8B 4B 0C 8B 7B 04 2B CF 51 8B 4B 08 8B 13 2B CA 51 57 52 6A 01 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8830_0 {
	meta:
		name = "TCustomForm.CMBiDiModeChanged"
		size = 149
		refs = "0009 TScrollingWinControl.CMBiDiModeChanged 0010 TWinControl.HandleAllocated 001d TWinControl.GetHandle 0023 GetWindowLong 003e TWinControl.AddBiDiModeExStyle 0051 SetWindowLong 0058 TComponent.GetComponentCount 006b TComponent.GetComponent 0071 _Dn_TMenu 0076 @IsClass 0088 TMenu.ParentBiDiModeChanged"
	strings:
		$1 = { 53 56 57 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3D 6A EC 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 25 FF EF FF FF 25 FF DF FF FF 25 FF BF FF FF 89 04 24 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 50 6A EC 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D6 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8831_0 {
	meta:
		name = "TCustomForm.CMParentBiDiModeChanged"
		size = 135
		refs = "0021 TCustomForm.CMParentBiDiModeChanged 003f Application 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 24 02 00 00 00 75 71 8B 45 FC C6 80 24 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 78 50 00 74 31 8B 45 FC 8B 40 24 85 C0 75 12 A1 ?? ?? ?? ?? 8A 50 28 8B 45 FC 8B 08 FF 51 6C EB 0B 8A 50 4F 8B 45 FC 8B 08 FF 51 6C B2 01 8B 45 FC 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 24 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_8832_0 {
	meta:
		name = "TCustomForm.SetDesigner"
		size = 79
		refs = "000e @IntfAddRef 0016 TCustomForm.SetDesigner 002a @IntfCopy 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 30 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8833_0 {
	meta:
		name = "TCustomForm.SetBorderIcons"
		size = 43
		refs = "0024 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 04 24 3A 83 08 02 00 00 74 16 8A 04 24 88 83 08 02 00 00 F6 43 20 10 75 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_8834_0 {
	meta:
		name = "TCustomForm.SetBorderStyle"
		size = 55
		refs = "0024 TScrollingWinControl.SetAutoScroll 0031 TWinControl.RecreateWnd"
	strings:
		$1 = { 56 8B F0 3A 96 09 02 00 00 74 2A 8B C2 88 86 09 02 00 00 2C 02 74 08 2C 03 74 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 75 07 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8835_0 {
	meta:
		name = "TCustomForm.Dock"
		size = 71
		refs = "0022 TControl.Dock 003c TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8B 7B 24 8B B3 8C 00 00 00 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 13 3B F8 75 0F 3B B3 8C 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8836_0 {
	meta:
		name = "TCustomForm.DoDock"
		size = 84
		refs = "004c TControl.DoDock"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B B3 8C 00 00 00 74 34 85 F6 74 0B 8B C3 8B 10 FF 52 54 84 C0 74 25 85 F6 75 0E 8A 83 60 02 00 00 88 83 09 02 00 00 EB 13 8A 83 09 02 00 00 88 83 60 02 00 00 C6 83 09 02 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8837_0 {
	meta:
		name = "TCustomForm.GetActiveMDIChild"
		size = 51
		refs = "0028 SendMessage 002d FindControl"
	strings:
		$1 = { 53 8B D8 33 C0 80 BB 0F 02 00 00 02 75 23 83 BB 34 02 00 00 00 74 1A 6A 00 6A 00 68 29 02 00 00 8B 83 34 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8838_0 {
	meta:
		name = "TCustomForm.GetMDIChildCount"
		size = 75
		refs = "0018 Screen 001d TScreen.GetFormCount 0033 TScreen.GetForm"
	strings:
		$1 = { 53 56 57 33 FF 80 B8 0F 02 00 00 02 75 37 83 B8 34 02 00 00 00 74 2E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1D 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 0F 02 00 00 01 75 01 47 46 4B 75 E6 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8839_0 {
	meta:
		name = "TCustomForm.GetMDIChildren"
		size = 79
		refs = "0018 Screen 001d TScreen.GetFormCount 0033 TScreen.GetForm"
	strings:
		$1 = { 53 56 57 8B FA 80 B8 0F 02 00 00 02 75 3B 83 B8 34 02 00 00 00 74 32 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 0F 02 00 00 01 75 05 4F 85 FF 7C 06 46 4B 75 E2 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8840_0 {
	meta:
		name = "TCustomForm.GetMonitor"
		size = 93
		refs = "000d TWinControl.GetHandle 0013 MonitorFromWindow 001e Screen 0023 TScreen.GetMonitorCount 0039 TScreen.GetMonitor"
	strings:
		$1 = { 53 56 57 55 8B D8 33 ED 6A 02 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 78 04 75 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 EB 04 43 4E 75 DB 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8841_0 {
	meta:
		name = "TCustomDecisionGrid.GetFixedCols"
		size = 7
		altNames = "TCustomForm.GetCanvas"
	strings:
		$1 = { 8B 80 18 02 00 00 C3 }
	condition:
		$1
}

rule function_8842_0 {
	meta:
		name = "TCustomForm.SetIcon"
		size = 12
		altNames = "TQRShape.SetBrush"
	strings:
		$1 = { 8B 80 20 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_8843_0 {
	meta:
		name = "TCustomForm.IsForm"
		size = 6
	strings:
		$1 = { 8A 40 4E 34 01 C3 }
	condition:
		$1
}

rule function_8844_0 {
	meta:
		name = "TCustomForm.IsIconStored"
		size = 37
		refs = "0006 TCustomForm.IsForm 0015 TIcon.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_8845_0 {
	meta:
		name = "TCustomForm.SetFormStyle"
		size = 126
		refs = "0021 TCustomForm.SetPosition 002e TWinControl.DestroyHandle 0053 TCustomForm.NormalColor 005c TControl.SetColor 0069 TWinControl.UpdateControlState 0077 TCustomForm.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 0F 02 00 00 74 6D 80 FB 01 75 12 80 BE 10 02 00 00 00 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 75 07 8B C6 E8 ?? ?? ?? ?? 8A 86 0F 02 00 00 88 9E 0F 02 00 00 80 FB 02 74 04 3C 02 75 19 80 BE 2C 01 00 00 00 75 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 75 07 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8846_0 {
	meta:
		name = "TCustomForm.RefreshMDIMenu"
		size = 121
		refs = "0038 TMenuItem.GetHandle 0041 TWinControl.GetHandle 0047 GetMenu 005f SendMessage 0070 DrawMenuBar"
	strings:
		$1 = { 53 56 57 55 8B E8 80 BD 0F 02 00 00 02 75 65 83 BD 34 02 00 00 00 74 5C 33 F6 8B 85 28 02 00 00 85 C0 74 07 8B 10 FF 52 34 8B F0 33 FF 8B 85 38 02 00 00 85 C0 74 07 E8 ?? ?? ?? ?? 8B F8 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 0F 95 C3 57 56 68 30 02 00 00 8B 85 34 02 00 00 50 E8 ?? ?? ?? ?? 84 DB 74 0D 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8847_0 {
	meta:
		name = "TCustomForm.SetObjectMenuItem"
		size = 20
		refs = "000f TMenuItem.SetEnabled"
	strings:
		$1 = { 89 90 40 02 00 00 85 D2 74 09 8B C2 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8848_0 {
	meta:
		name = "TCustomForm.SetWindowMenu"
		size = 39
		refs = "001a TComponent.FreeNotification 0021 TCustomForm.RefreshMDIMenu"
	strings:
		$1 = { 53 8B D8 3B 93 38 02 00 00 74 1A 89 93 38 02 00 00 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8849_0 {
	meta:
		name = "TCustomForm.SetMenu"
		size = 450
		refs = "0016 TCustomForm.SetMenu 0025 Screen 002a TScreen.GetFormCount 0041 TScreen.GetForm 0071 SDuplicateMenus 0076 LoadResString 0080 _Dn_EInvalidOperation 0085 Exception.CreateFmt 008a @RaiseExcept 00a1 TMenu.SetWindowHandle 00b4 TComponent.FreeNotification 00f1 TWinControl.HandleAllocated 010d TWinControl.GetHandle 0113 GetMenu 0130 SetMenu 0193 TCustomForm.MergeMenu 019a TCustomForm.RefreshMDIMenu 01af @LStrClr 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 70 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 7C 61 40 89 45 FC 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B B0 28 02 00 00 75 41 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 74 31 8B 46 08 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D FC 75 A5 8B 83 28 02 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 89 B3 28 02 00 00 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 85 F6 0F 84 AB 00 00 00 F6 43 20 10 75 0D 80 BB 09 02 00 00 03 0F 84 98 00 00 00 8B 83 28 02 00 00 80 78 4C 00 75 09 80 BB 0F 02 00 00 01 75 06 F6 43 20 10 74 58 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8B 83 28 02 00 00 8B 10 FF 52 34 8B F8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F8 74 19 8B 83 28 02 00 00 8B 10 FF 52 34 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 3F 80 BB 0F 02 00 00 01 74 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 0E 02 00 00 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8850_0 {
	meta:
		name = "TCustomForm.GetPixelsPerInch"
		size = 19
		refs = "000b Screen"
	strings:
		$1 = { 8B 80 3C 02 00 00 85 C0 75 08 A1 ?? ?? ?? ?? 8B 40 34 C3 }
	condition:
		$1
}

rule function_8851_0 {
	meta:
		name = "TCustomForm.SetPixelsPerInch"
		size = 50
		refs = "0009 TCustomForm.GetPixelsPerInch"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 1E 85 F6 74 05 83 FE 24 7C 15 F6 43 20 01 74 09 83 BB 3C 02 00 00 00 74 06 89 B3 3C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8852_0 {
	meta:
		name = "TCustomForm.SetPosition"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 10 02 00 00 74 11 88 90 10 02 00 00 F6 40 20 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8853_0 {
	meta:
		name = "TCustomForm.GetScaled"
		size = 11
	strings:
		$1 = { 83 B8 3C 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_8854_0 {
	meta:
		name = "TCustomForm.SetScaled"
		size = 46
		refs = "0009 TCustomForm.GetScaled 001e Screen"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 1A 33 C0 89 86 3C 02 00 00 84 DB 74 0E A1 ?? ?? ?? ?? 8B 40 34 89 86 3C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8855_0 {
	meta:
		name = "TCustomForm.CMColorChanged"
		size = 33
		refs = "0006 TWinControl.CMColorChanged 001b TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 85 C0 74 0B 8B 40 14 8B 53 64 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8856_0 {
	meta:
		name = "TCustomForm.NormalColor"
		size = 22
	strings:
		$1 = { BA 05 00 00 80 80 B8 0F 02 00 00 02 75 05 BA 0C 00 00 80 8B C2 C3 }
	condition:
		$1
}

rule function_8857_0 {
	meta:
		name = "TCustomForm.CMCtl3DChanged"
		size = 72
		refs = "0006 TWinControl.CMCtl3DChanged 0016 TCustomForm.NormalColor 0027 TControl.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 2C 01 00 00 00 74 1A 8B C3 E8 ?? ?? ?? ?? 3B 43 64 75 27 BA 0F 00 00 80 8B C3 E8 ?? ?? ?? ?? 5B C3 81 7B 64 0F 00 00 80 75 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8858_0 {
	meta:
		name = "TCustomForm.CMFontChanged"
		size = 30
		refs = "0006 TWinControl.CMFontChanged 0018 TCanvas.SetFont"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 18 02 00 00 85 C0 74 08 8B 53 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8859_0 {
	meta:
		name = "TCustomForm.CMMenuChanged"
		size = 25
		refs = "0006 TCustomForm.RefreshMDIMenu 0013 TCustomForm.SetMenu"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 28 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8860_0 {
	meta:
		name = "TCustomForm.SetWindowState"
		size = 63
		refs = "002a ShowCommands 0032 TWinControl.GetHandle 0038 ShowWindow"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 0B 02 00 00 74 2E 88 9E 0B 02 00 00 F6 46 20 10 75 22 80 BE 6C 01 00 00 00 74 19 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8861_0 {
	meta:
		name = "TCustomForm.SetWindowToMonitor"
		size = 715
		refs = "0019 Application 0039 TCustomForm.GetMonitor 0051 Screen 007c TScreen.GetMonitor 009a TScreen.GetMonitorCount 0124 TMonitor.GetTop 0136 TMonitor.GetHeight 0154 TMonitor.GetLeft 0167 TMonitor.GetWidth"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B D8 8A 83 11 02 00 00 84 C0 0F 84 AC 02 00 00 8B 15 ?? ?? ?? ?? 83 7A 30 00 0F 84 9C 02 00 00 33 D2 89 14 24 3C 02 75 15 A1 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B 40 04 89 04 24 EB 41 8A 83 11 02 00 00 3C 03 75 21 8B 15 ?? ?? ?? ?? 83 7A 5C 00 74 15 A1 ?? ?? ?? ?? 8B 40 5C E8 ?? ?? ?? ?? 8B 40 04 89 04 24 EB 16 3C 01 75 12 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 89 04 24 8B C3 E8 ?? ?? ?? ?? 8B 40 04 89 44 24 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 8C 1C 02 00 00 40 89 44 24 0C 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 3B 04 24 0F 85 F2 01 00 00 8B 04 24 3B 44 24 04 0F 84 E5 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 8C D2 01 00 00 40 89 44 24 10 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 3B 44 24 04 0F 85 A7 01 00 00 80 BB 10 02 00 00 04 75 7A 8B 43 38 50 8B 6B 3C 55 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B C5 D1 F8 79 03 83 D0 00 5A 03 D0 52 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B 43 38 D1 F8 79 03 83 D0 00 03 E8 8B D5 8B C3 59 8B 28 FF 95 80 00 00 00 E9 24 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 03 6B 30 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B E8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 03 D0 8B 43 38 03 C5 3B D0 7D 29 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 E8 2B 6B 38 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 43 34 50 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B D0 89 54 24 08 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 03 D0 8B 44 24 08 03 43 3C 3B D0 7D 2D 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 03 D0 2B 53 3C 89 54 24 08 8B 43 38 50 8B 43 3C 50 8B 4C 24 10 8B D5 8B C3 8B 28 FF 95 80 00 00 00 47 FF 4C 24 10 0F 85 35 FE FF FF 46 FF 4C 24 0C 0F 85 EB FD FF FF 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8862_0 {
	meta:
		name = "TCustomForm.CreateParams"
		size = 512
		refs = "000d TScrollingWinControl.CreateParams 0021 Application 009c TCustomForm.CreateParams 0121 TWinControl.AddBiDiModeExStyle 0126 NewStyleControls 01e8 DefMDIChildProc"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 83 7F 24 00 75 1B 83 BF 68 01 00 00 00 75 12 A1 ?? ?? ?? ?? 8B 40 24 89 46 1C 81 66 04 FF FF FC BF C7 46 24 08 00 00 00 F6 47 20 10 74 0C 81 4E 04 00 00 CF 00 E9 A4 01 00 00 8A 87 10 02 00 00 48 2C 02 73 0E C7 46 0C 00 00 00 80 C7 46 10 00 00 00 80 8A 9F 08 02 00 00 8A 87 09 02 00 00 88 04 24 80 BF 0F 02 00 00 01 75 0F 8A 04 24 84 C0 74 04 2C 03 75 04 C6 04 24 02 33 C0 8A 04 24 83 F8 05 0F 87 B6 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7F 24 00 75 10 83 BF 68 01 00 00 00 75 07 81 4E 04 00 00 00 80 8A 1D ?? ?? ?? ?? EB 79 81 4E 04 00 00 C0 00 EB 70 81 4E 04 00 00 C4 00 8A 87 10 02 00 00 2C 01 74 04 2C 02 75 5B C7 46 14 00 00 00 80 C7 46 18 00 00 00 80 EB 4B 8B 46 04 0D 00 00 00 80 0D 00 00 C0 00 89 46 04 C7 46 08 01 01 00 00 8D 56 08 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 10 8B 46 04 0D 00 00 40 00 0D 80 00 00 00 89 46 04 A0 ?? ?? ?? ?? 22 C3 8B D8 C7 46 24 08 28 00 00 8A 04 24 04 FC 2C 02 73 1A C7 46 08 80 00 00 00 8D 56 08 8B C7 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 22 C3 8B D8 8A 04 24 2C 03 73 46 80 BF 0F 02 00 00 01 75 05 F6 C3 01 74 18 F6 C3 02 74 07 81 4E 04 00 00 02 00 F6 C3 04 74 07 81 4E 04 00 00 01 00 8A 87 0B 02 00 00 3C 01 75 09 81 4E 04 00 00 00 20 EB 14 3C 02 75 10 81 4E 04 00 00 00 01 EB 07 C6 87 0B 02 00 00 00 F6 C3 01 74 07 81 4E 04 00 00 08 00 F6 C3 08 74 07 81 4E 08 00 04 00 00 80 BF 0F 02 00 00 01 75 08 B8 ?? ?? ?? ?? 89 46 28 5A 5F 5E 5B C3 00 00 00 00 09 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_8863_0 {
	meta:
		name = "TCustomForm.CreateWnd"
		size = 320
		refs = "000a TScrollingWinControl.CreateWnd 000f NewStyleControls 0024 TCustomForm.GetIconHandle 0033 TWinControl.GetHandle 0039 SendMessage 0090 TMenuItem.GetHandle 0099 HInstance 00ad TControl.GetClientHeight 00b5 TControl.GetClientWidth 00c6 TCustomForm.CreateWnd 00d0 CreateWindowEx 00dc TCustomForm.ClientWndProc 00e1 MakeObjectInstance 00f5 GetWindowLong 0110 SetWindowLong 012b SetWindowPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 3D 80 BB 09 02 00 00 03 74 1E 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 6A 00 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 43 20 10 0F 85 D0 00 00 00 8A 83 0F 02 00 00 2C 02 74 0D FE C8 0F 84 A5 00 00 00 E9 B9 00 00 00 C7 44 24 04 00 FF 00 00 33 C0 89 04 24 8B B3 38 02 00 00 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 89 04 24 54 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 68 01 00 33 56 6A 00 68 ?? ?? ?? ?? 68 00 02 00 00 E8 ?? ?? ?? ?? 89 83 34 02 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 02 00 00 6A FC 8B 83 34 02 00 00 50 E8 ?? ?? ?? ?? 89 83 54 02 00 00 8B 83 58 02 00 00 50 6A FC 8B 83 34 02 00 00 50 E8 ?? ?? ?? ?? EB 19 6A 13 6A 00 6A 00 6A 00 6A 00 6A FF 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 4D 44 49 43 4C 49 45 4E 54 00 00 00 }
	condition:
		$1
}

rule function_8864_0 {
	meta:
		name = "TCustomForm.CreateWindowHandle"
		size = 256
		refs = "0012 TCustomForm.CreateWindowHandle 0034 Application 004c SNoMDIForm 0051 LoadResString 005b _Dn_EInvalidOperation 0060 Exception.Create 0065 @RaiseExcept 0075 HInstance 00bd SendMessage 00d3 TWinControl.CreateWindowHandle 00ef @LStrClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 0F 02 00 00 01 0F 85 A7 00 00 00 F6 43 20 10 0F 85 9D 00 00 00 A1 ?? ?? ?? ?? 8B 40 30 85 C0 74 09 83 B8 34 02 00 00 00 75 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 42 4C 89 45 DC 8B 02 89 45 E0 A1 ?? ?? ?? ?? 8B 00 89 45 E4 8B 42 0C 89 45 E8 8B 42 10 89 45 EC 8B 42 14 89 45 F0 8B 42 18 89 45 F4 8B 42 04 89 45 F8 8B 42 20 89 45 FC 8D 45 DC 50 6A 00 68 20 02 00 00 A1 ?? ?? ?? ?? 8B 40 30 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? 89 83 40 01 00 00 80 8B C0 02 00 00 10 EB 0E 8B C3 E8 ?? ?? ?? ?? 80 A3 C0 02 00 00 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8865_0 {
	meta:
		name = "TCustomForm.DestroyWindowHandle"
		size = 66
		refs = "0011 TWinControl.GetHandle 001c Application 002b SendMessage 0034 TWinControl.DestroyWindowHandle"
	strings:
		$1 = { 53 8B D8 F6 83 C0 02 00 00 10 74 25 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 21 02 00 00 A1 ?? ?? ?? ?? 8B 40 30 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 34 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8866_0 {
	meta:
		name = "TCustomForm.DefaultHandler"
		size = 98
		refs = "0022 TWinControl.GetHandle 0028 DefWindowProc 004c DefFrameProc 005b TWinControl.DefaultHandler"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 34 02 00 00 00 74 47 83 3E 05 75 1D 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 0C EB 2E 8B 46 08 50 8B 46 04 50 8B 06 50 8B 83 34 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8867_0 {
	meta:
		name = "TCustomForm.SetActiveControl"
		size = 175
		refs = "000f TCustomForm.SetActiveControl 002c GetParentForm 003d TWinControl.CanFocus 0049 SCannotFocus 004e LoadResString 0058 _Dn_EInvalidOperation 005d Exception.Create 0062 @RaiseExcept 007e TCustomForm.SetWindowFocus 0089 @CallDynaInst 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 00 02 00 00 74 6C 85 F6 74 41 3B DE 74 1C 8B C6 E8 ?? ?? ?? ?? 3B D8 75 11 F6 43 20 01 75 2C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B3 00 02 00 00 F6 43 20 01 75 1B 80 BB 0E 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB B7 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8868_0 {
	meta:
		name = "TCustomForm.DefocusControl"
		size = 77
		refs = "0016 TWinControl.ContainsControl 0045 TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 84 DB 74 1A 8B 97 04 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B 46 24 89 87 04 02 00 00 8B 97 00 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 3B B7 00 02 00 00 74 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8869_0 {
	meta:
		name = "TCustomForm.FocusControl"
		size = 34
		refs = "000d TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 8B F0 8A 9E 0E 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 75 0A 8B C6 8B 10 FF 92 B4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8870_0 {
	meta:
		name = "TCustomForm.SetFocusedControl"
		size = 652
		refs = "0010 FocusCount 0036 Screen 0053 TList.Remove 0064 TList.Insert 006c _DV_TForm 0071 @IsClass 00c4 TCustomForm.SetFocusedControl 00ee TWinControl.GetHandle 0105 SendFocusMessage 010e @TryFinallyExit 01a2 TWinControl.ContainsControl 01fb _DV_TScrollingWinControl 020e TScrollingWinControl.AutoScrollInView 0227 TControl.Perform 026e @HandleFinally 027a TScreen.UpdateLastActive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 33 DB FF 05 ?? ?? ?? ?? 83 BF 30 02 00 00 00 75 18 3B 7D FC 74 0B 8B 45 FC 89 87 00 02 00 00 EB 08 33 C0 89 87 00 02 00 00 A1 ?? ?? ?? ?? 8B 55 FC 89 50 58 A1 ?? ?? ?? ?? 89 78 5C A1 ?? ?? ?? ?? 8B 40 44 8B D7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 44 8B CF 33 D2 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A A1 ?? ?? ?? ?? 89 78 60 A1 ?? ?? ?? ?? 8B 40 40 8B D7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 40 8B CF 33 D2 E8 ?? ?? ?? ?? EB 0A A1 ?? ?? ?? ?? 33 D2 89 50 60 8B 45 FC F6 40 44 20 0F 85 C6 01 00 00 8B 45 FC 66 8B 40 44 66 0B 05 ?? ?? ?? ?? 8B 55 FC 66 89 42 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 40 6C 3B F8 74 54 85 C0 74 2A E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 33 D2 89 50 6C 66 BA 01 B0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 69 01 00 00 A1 ?? ?? ?? ?? 89 78 6C 8B C7 E8 ?? ?? ?? ?? 66 BA 00 B0 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 43 01 00 00 83 BF 04 02 00 00 00 75 06 89 BF 04 02 00 00 8B 87 04 02 00 00 3B 45 FC 0F 84 ED 00 00 00 EB 35 8B 87 04 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 87 04 02 00 00 8B 40 24 89 87 04 02 00 00 66 BA 1B B0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 EE 00 00 00 8B B7 04 02 00 00 85 F6 74 46 8B C6 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 B3 EB 36 8B 75 FC EB 02 8B F0 8B 46 24 3B 87 04 02 00 00 75 F3 89 B7 04 02 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 1A B0 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 9E 00 00 00 8B 87 04 02 00 00 3B 45 FC 75 BF 8B 45 FC 8B 70 24 85 F6 74 22 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 76 24 85 F6 75 DE 8B 45 FC 50 33 C9 BA 07 B0 00 00 8B C7 E8 ?? ?? ?? ?? 8B 87 5C 02 00 00 85 C0 74 13 3B 45 FC 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 50 44 8B 45 FC 66 89 50 44 C3 E9 ?? ?? ?? ?? EB E1 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 59 5D C3 20 00 00 00 }
	condition:
		$1
}

rule function_8872_0 {
	meta:
		name = "TCustomForm.SetWindowFocus"
		size = 77
		refs = "001e TWinControl.GetHandle 0024 SetFocus 0032 GetFocus 0046 TControl.Perform"
	strings:
		$1 = { 53 56 8B 90 00 02 00 00 85 D2 74 0D 83 B8 30 02 00 00 00 75 04 8B DA EB 02 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 10 6A 00 33 C9 BA 29 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8873_0 {
	meta:
		name = "TCustomForm.SetActive"
		size = 100
		refs = "0022 TControl.Perform 0044 TWinControl.FindNextControl 004d TCustomForm.SetActiveControl 0056 TCustomForm.MergeMenu 005d TCustomForm.SetWindowFocus"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 9E 0E 02 00 00 8B 86 5C 02 00 00 85 C0 74 10 6A 00 33 C9 8A CB BA 2B B0 00 00 E8 ?? ?? ?? ?? 84 DB 74 37 83 BE 00 02 00 00 00 75 1E F6 46 20 10 75 18 6A 01 6A 00 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8874_0 {
	meta:
		name = "TCustomForm.SendCancelMode"
		size = 80
		refs = "0027 TControl.Perform 0037 TCustomForm.GetActiveMDIChild 0049 TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 0E 02 00 00 00 74 1C 83 BB 00 02 00 00 00 74 13 56 33 C9 BA 04 B0 00 00 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 80 BB 0F 02 00 00 02 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8875_0 {
	meta:
		name = "TCustomForm.MergeMenu"
		size = 265
		refs = "0016 Application 00a8 TMainMenu.Merge 00b0 TMainMenu.Unmerge 00cf TControl.GetClientWidth 00d8 TControl.GetClientHeight 00e9 TWinControl.GetHandle 00ef SendMessage"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 F6 83 C0 02 00 00 08 0F 85 F0 00 00 00 A1 ?? ?? ?? ?? 83 78 30 00 0F 84 E1 00 00 00 A1 ?? ?? ?? ?? 8B 40 30 83 B8 28 02 00 00 00 0F 84 CC 00 00 00 A1 ?? ?? ?? ?? 3B 58 30 0F 84 BE 00 00 00 80 BB 0F 02 00 00 01 74 15 A1 ?? ?? ?? ?? 8B 40 30 80 B8 0F 02 00 00 02 0F 84 A0 00 00 00 33 C0 F6 43 20 10 75 24 83 BB 28 02 00 00 00 74 1B 8B 93 28 02 00 00 80 7A 4C 00 75 09 80 BB 0F 02 00 00 01 75 06 8B 83 28 02 00 00 8B 15 ?? ?? ?? ?? 8B 52 30 8B 92 28 02 00 00 80 3C 24 00 74 08 92 E8 ?? ?? ?? ?? EB 06 92 E8 ?? ?? ?? ?? 80 3C 24 00 74 4B 80 BB 0F 02 00 00 01 75 42 80 BB 0B 02 00 00 02 75 39 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? C1 E0 10 03 F0 56 6A 00 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 6A 02 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8876_0 {
	meta:
		name = "TCustomForm.Activate"
		size = 29
	strings:
		$1 = { 53 66 83 B8 66 02 00 00 00 74 10 8B D8 8B D0 8B 83 68 02 00 00 FF 93 64 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8877_0 {
	meta:
		name = "TCustomForm.Deactivate"
		size = 29
	strings:
		$1 = { 53 66 83 B8 7E 02 00 00 00 74 10 8B D8 8B D0 8B 83 80 02 00 00 FF 93 7C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8878_0 {
	meta:
		name = "TCustomForm.Paint"
		size = 29
	strings:
		$1 = { 53 66 83 B8 96 02 00 00 00 74 10 8B D8 8B D0 8B 83 98 02 00 00 FF 93 94 02 00 00 5B C3 }
	condition:
		$1
}

rule function_8879_0 {
	meta:
		name = "TCustomForm.GetIconHandle"
		size = 26
		refs = "0007 TIcon.GetHandle 0010 Application 0015 TApplication.GetIconHandle"
	strings:
		$1 = { 8B 80 20 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8880_0 {
	meta:
		name = "TCustomForm.PaintWindow"
		size = 184
		refs = "0014 TCanvas.Lock 001c TCustomForm.PaintWindow 0032 TCanvas.SetHandle 0068 @CallDynaInst 008b @HandleFinally 00a8 TCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 02 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 30 02 00 00 00 74 10 8B 45 FC 8B 80 30 02 00 00 8B 10 FF 52 28 EB 0C 8B 45 FC 66 BB B2 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_8881_0 {
	meta:
		name = "TCustomForm.PaletteChanged"
		size = 170
		refs = "0014 TCustomForm.GetActiveMDIChild 002f @CallDynaInst 003a TCustomForm.GetMDIChildCount 005e TCustomForm.GetMDIChildren 0096 TWinControl.PaletteChanged"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 88 14 24 8B E8 C6 44 24 01 00 8B C5 E8 ?? ?? ?? ?? 89 44 24 08 83 7C 24 08 00 74 14 8A 14 24 8B 44 24 08 66 BB D7 FF E8 ?? ?? ?? ?? 88 44 24 01 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 C7 44 24 04 00 00 00 00 8A 04 24 22 44 24 01 75 47 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B F0 3B 74 24 08 74 16 8A 14 24 8B C6 66 BB D7 FF E8 ?? ?? ?? ?? 0A 44 24 01 88 44 24 01 FF 44 24 04 4F 75 C7 8A 04 24 22 44 24 01 75 0E 8A 14 24 8B C5 E8 ?? ?? ?? ?? 88 44 24 01 8A 44 24 01 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8882_0 {
	meta:
		name = "TCustomForm.WMPaint"
		size = 128
		refs = "000c TWinControl.GetHandle 0012 IsIconic 001c TCustomForm.WMPaint 002d TWinControl.WMPaint 004d BeginPaint 0056 TCustomForm.GetIconHandle 0061 DrawIcon 006f EndPaint"
	strings:
		$1 = { 53 56 83 C4 C0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 29 66 A1 ?? ?? ?? ?? 66 0B 43 44 66 89 43 44 8B D6 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 43 44 66 89 43 44 EB 30 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 40 5E 5B C3 00 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_8883_0 {
	meta:
		name = "TCustomForm.WMIconEraseBkgnd"
		size = 95
		refs = "0022 Application 0030 TBrush.GetHandle 004a FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 80 BB 0F 02 00 00 01 75 47 80 BB 0F 02 00 00 01 75 35 F6 43 20 10 75 2F A1 ?? ?? ?? ?? 8B 40 30 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C3 8B 08 FF 51 44 8D 44 24 04 50 8B 46 04 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_8884_0 {
	meta:
		name = "TCustomForm.WMEraseBkgnd"
		size = 53
		refs = "0009 TWinControl.GetHandle 000f IsIconic 001c TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 06 27 00 00 00 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_8885_0 {
	meta:
		name = "TCustomForm.WMQueryDragIcon"
		size = 19
		refs = "0009 TCustomForm.GetIconHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8886_0 {
	meta:
		name = "ModifySystemMenu"
		size = 249
		refs = "0046 TWinControl.GetHandle 004c GetSystemMenu 006a DeleteMenu 00d6 EnableMenuItem"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 80 B8 09 02 00 00 00 0F 84 DF 00 00 00 8B 45 08 8B 40 FC F6 80 08 02 00 00 01 0F 84 CC 00 00 00 8B 45 08 8B 40 FC 80 B8 0F 02 00 00 01 0F 84 B9 00 00 00 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 80 B8 09 02 00 00 03 75 5D 6A 00 68 30 F1 00 00 53 E8 ?? ?? ?? ?? 68 00 04 00 00 6A 07 53 E8 ?? ?? ?? ?? 68 00 04 00 00 6A 05 53 E8 ?? ?? ?? ?? 6A 00 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 00 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F1 00 00 53 E8 ?? ?? ?? ?? EB 38 8B 45 08 8B 40 FC F6 80 08 02 00 00 02 75 0D 6A 01 68 20 F0 00 00 53 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 80 08 02 00 00 04 75 0D 6A 01 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_8887_0 {
	meta:
		name = "TCustomForm.WMNCCreate"
		size = 51
		refs = "001c TCustomForm.SetMenu 002b ModifySystemMenu"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 08 FF 51 F0 8B 45 FC 8B 90 28 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 75 07 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_8888_0 {
	meta:
		name = "TCustomForm.WMNCLButtonDown"
		size = 132
		refs = "001e TWinControl.GetHandle 0024 IsIconic 0041 SetWindowPos 005b PostMessage 0071 TControl.BeginDrag 007d TControl.WMNCLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 04 02 75 6C 80 BB 87 00 00 00 01 75 63 F6 43 20 10 75 5D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 4C 6A 07 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 08 50 8B 46 04 50 68 A2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 8B D0 80 F2 01 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8889_0 {
	meta:
		name = "TCustomForm.WMDestroy"
		size = 96
		refs = "0007 NewStyleControls 001c TWinControl.GetHandle 0022 SendMessage 0043 SetMenu 0050 TMenu.SetWindowHandle 0059 TWinControl.WMDestroy"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 16 6A 00 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 28 02 00 00 00 74 25 80 BB 0F 02 00 00 01 74 1C 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8890_0 {
	meta:
		name = "TCustomForm.WMCommand"
		size = 52
		refs = "0020 TMenu.DispatchCommand 002d TWinControl.WMCommand"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 08 00 75 1C 83 BB 28 02 00 00 00 74 13 66 8B 56 04 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8891_0 {
	meta:
		name = "TCustomForm.WMInitMenuPopup"
		size = 21
		refs = "0010 TMenu.DispatchPopup"
	strings:
		$1 = { 8B 88 28 02 00 00 85 C9 74 0A 8B 52 04 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8892_0 {
	meta:
		name = "TCustomForm.WMMenuChar"
		size = 29
		refs = "000e TMenu.ProcessMenuChar"
	strings:
		$1 = { 56 8B F0 8B 86 28 02 00 00 85 C0 74 07 E8 ?? ?? ?? ?? 5E C3 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_8893_0 {
	meta:
		name = "TCustomForm.WMMenuSelect"
		size = 168
		refs = "000e TCustomForm.WMMenuSelect 0046 GetSubMenu 0055 TMenu.FindItem 0066 GetLongHint 006e Application 0073 TApplication.SetHint 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF 28 02 00 00 00 74 64 33 F6 66 81 7A 06 FF FF 75 07 66 83 7A 04 00 74 29 33 DB 0F B7 42 04 F6 42 06 10 74 0C B3 01 50 8B 42 08 50 E8 ?? ?? ?? ?? 8B CB 8B D0 8B 87 28 02 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8D 55 FC 8B 46 4C E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8894_0 {
	meta:
		name = "TCustomForm.WMActivate"
		size = 29
		refs = "0018 TCustomForm.SetActive"
	strings:
		$1 = { 80 B8 0F 02 00 00 02 75 06 F6 40 20 10 74 0D 66 83 7A 04 00 0F 95 C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8895_0 {
	meta:
		name = "TCustomForm.WMSize"
		size = 102
		refs = "000b TScrollingWinControl.WMSize 0044 @CallDynaInst 005f TScrollingWinControl.CalcAutoRange"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 75 28 8B 43 04 83 E8 01 72 07 74 0E 48 74 14 EB 19 C6 86 0B 02 00 00 00 EB 10 C6 86 0B 02 00 00 01 EB 07 C6 86 0B 02 00 00 02 8B C6 66 BB D6 FF E8 ?? ?? ?? ?? 83 BE 44 02 00 00 00 74 0B 8B 86 44 02 00 00 8B 10 FF 52 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8897_0 {
	meta:
		name = "TCustomForm.WMQueryEndSession"
		size = 44
		refs = "0015 CallTerminateProcs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 84 C0 74 09 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8898_0 {
	meta:
		name = "TCustomForm.CMAppSysCommand"
		size = 86
		refs = "0033 TCustomForm.SendCancelMode 0044 SendAppMessage"
	strings:
		$1 = { 53 56 8B DA 33 D2 89 53 0C F6 40 20 10 75 1E 80 B8 0F 02 00 00 01 74 15 83 B8 28 02 00 00 00 74 0C 8B 90 28 02 00 00 80 7A 4C 00 74 26 8B 73 08 33 D2 E8 ?? ?? ?? ?? 0F B7 4E 08 8B 56 04 B8 17 B0 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 C7 43 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8899_0 {
	meta:
		name = "TCustomForm.WMSysCommand"
		size = 136
		refs = "0016 Application 0025 TApplication.Minimize 0054 TWinControl.WMSysCommand 0081 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 25 F0 FF 00 00 3D 20 F0 00 00 75 16 A1 ?? ?? ?? ?? 3B 58 30 75 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2D 8B 46 04 25 F0 FF 00 00 3D 10 F0 00 00 75 15 F6 43 20 10 75 0F 80 7B 4B 00 74 09 80 BB 0B 02 00 00 01 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 25 F0 FF 00 00 3D 20 F0 00 00 74 07 3D 20 F1 00 00 75 17 F6 43 20 10 75 11 80 7B 4B 00 74 0B 8B C3 66 BB D6 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8900_0 {
	meta:
		name = "TCustomForm.WMShowWindow"
		size = 150
		refs = "0016 TWinControl.GetHandle 001c IsIconic 0036 IsZoomed 006e ShowCommands 007c ShowWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 48 74 07 83 E8 02 74 49 EB 77 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 09 C6 83 0C 02 00 00 02 EB 21 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 09 C6 83 0C 02 00 00 03 EB 07 C6 83 0C 02 00 00 01 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 80 BB 0C 02 00 00 00 74 30 33 C0 8A 83 0C 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 0C 02 00 00 00 5E 5B C3 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_8901_0 {
	meta:
		name = "TCustomForm.WMMDIActivate"
		size = 88
		refs = "001b TWinControl.GetHandle 002c TCustomForm.SetActive 0035 Application 0051 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 F0 80 BE 0F 02 00 00 01 75 3D 8B C6 E8 ?? ?? ?? ?? 3B 43 08 0F 94 C0 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 21 A1 ?? ?? ?? ?? 8B 40 30 F6 40 44 04 74 13 A1 ?? ?? ?? ?? 8B 40 30 B2 01 66 BB D7 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8902_0 {
	meta:
		name = "TCustomForm.WMNextDlgCtl"
		size = 41
		refs = "000c SetFocus 0024 TWinControl.SelectNext"
	strings:
		$1 = { 66 83 7A 08 00 74 0A 8B 42 04 50 E8 ?? ?? ?? ?? C3 6A 01 8B 4A 04 83 F9 01 1B C9 F7 D9 8B 90 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8903_0 {
	meta:
		name = "TCustomForm.WMEnterMenuLoop"
		size = 27
		refs = "000b TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_8904_0 {
	meta:
		name = "GetMenuHelpContext"
		size = 61
		refs = "001d TMenu.GetHelpContext"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 85 DB 74 2E 8B 45 08 8B 40 FC 8B 40 08 8B 50 08 B1 01 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 8B 45 08 8B 40 FC 8B 40 08 8B 50 0C 33 C9 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_8905_0 {
	meta:
		name = "TCustomForm.WMHelp"
		size = 259
		refs = "0033 FindControl 0061 Point 006e TControl.ClientToScreen 0076 PointToSmallPoint 0087 GetMenuHelpContext 00d4 Application 00d9 TApplication.HelpCommand 00f8 TApplication.HelpContext"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B F0 F6 46 20 10 74 0F 8B 55 FC 8B C6 8B 08 FF 51 F0 E9 D9 00 00 00 8B 45 FC 8B 40 08 83 78 04 01 75 50 8B 40 0C E8 ?? ?? ?? ?? 8B D8 EB 03 8B 5B 24 85 DB 74 09 83 BB 44 01 00 00 00 74 F0 85 DB 0F 84 A9 00 00 00 8B BB 44 01 00 00 8D 4D E8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 45 F8 EB 43 55 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 59 8B F8 85 FF 75 0C 55 8B 46 70 E8 ?? ?? ?? ?? 59 8B F8 8D 4D E8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 45 F8 F6 86 08 02 00 00 08 74 25 8B 4D F8 BA 0D 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF BA 08 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8906_0 {
	meta:
		name = "TCustomForm.WMGetMinMaxInfo"
		size = 113
	strings:
		$1 = { 53 56 51 89 14 24 8B F0 F6 46 20 02 75 55 80 BE 0A 02 00 00 00 74 4C 8B 14 24 8B 52 08 8B 46 68 8D 4A 18 8B 58 14 85 DB 76 02 89 19 8B 58 10 85 DB 76 03 89 59 04 8D 4A 20 8B 58 0C 85 DB 76 02 89 19 8B 58 08 85 DB 76 03 89 59 04 8D 42 20 50 8D 42 24 50 8D 4A 1C 8D 42 18 8B D0 8B C6 8B 18 FF 53 3C 8B 14 24 8B C6 8B 08 FF 51 F0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8907_0 {
	meta:
		name = "TCustomForm.WMWindowPosChanging"
		size = 148
		refs = "0016 TCustomForm.WMWindowPosChanging 0063 TWinControl.WMWindowPosChanging 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 5E 08 8B 45 FC 8A 40 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 1C F6 43 18 01 75 16 8B 43 10 8B 55 FC 3B 42 38 75 0F 8B 43 14 8B 55 FC 3B 42 3C 75 04 33 C0 EB 02 B0 01 8B 55 FC 88 82 0A 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 0A 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5E 5B 59 5D C3 00 0A 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_8908_0 {
	meta:
		name = "TCustomForm.CMActivate"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 53 66 BB B8 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8909_0 {
	meta:
		name = "TCustomForm.CMDeactivate"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 53 66 BB B6 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8910_0 {
	meta:
		name = "TCustomForm.CMDialogKey"
		size = 154
		refs = "0009 GetKeyState 004b TWinControl.SelectNext 0093 TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7C 7C 66 8B 46 04 66 83 E8 09 74 0B 83 C0 E4 66 83 E8 04 72 34 EB 67 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7C 5B 6A 01 6A 10 E8 ?? ?? ?? ?? 66 85 C0 0F 9D C1 8B 93 00 02 00 00 8B C3 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B 83 00 02 00 00 85 C0 74 34 6A 00 66 8B 56 04 66 83 FA 27 74 0A 66 83 FA 28 74 04 33 C9 EB 02 B1 01 8B 50 24 92 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8911_0 {
	meta:
		name = "TCustomForm.CMShowingChanged"
		size = 1152
		refs = "0015 TCustomForm.CMShowingChanged 0038 SVisibleChanged 003d LoadResString 0047 _Dn_EInvalidOperation 004c Exception.Create 0051 @RaiseExcept 0056 Application 005b TApplication.UpdateVisible 00aa @CallDynaInst 00b9 @HandleAnyException 00c6 TApplication.HandleException 00cb @DoneExcept 00f5 TControl.GetClientWidth 0111 TControl.GetClientHeight 0127 Screen 012c TScreen.GetWidth 0145 TScreen.GetHeight 0192 TCustomForm.SetWindowToMonitor 01ef TScreen.GetDesktopWidth 0208 TScreen.GetDesktopHeight 0270 TWinControl.GetHandle 028a SendMessage 029a ShowWindow 02ad ShowCommands 02e0 DefMDIChildProc 02e5 CallWindowProc 02ed TControl.BringToFront 0386 TCustomForm.MergeMenu 039a TWinControl.DestroyHandle 03c8 SetWindowPos 03db GetActiveWindow 03ed IsIconic 03fe FindTopMostWindow 0427 SetActiveWindow 0456 @HandleFinally 046d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 10 75 2D 8B 45 FC F6 80 C0 02 00 00 04 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 88 C0 02 00 00 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC F6 40 20 10 0F 85 B9 03 00 00 8B 45 FC 80 B8 6C 01 00 00 00 0F 84 A4 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB B3 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 80 10 02 00 00 3C 04 0F 85 BB 00 00 00 8B 45 FC 80 B8 0F 02 00 00 01 75 3A A1 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 3C D1 FE 79 37 83 D6 00 EB 32 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 3C D1 FE 79 03 83 D6 00 85 DB 7D 02 33 DB 85 F6 7D 02 33 F6 8B 45 FC 8B 40 38 50 8B 45 FC 8B 40 3C 50 8B CE 8B D3 8B 45 FC 8B 18 FF 93 80 00 00 00 8B 45 FC 80 78 47 00 0F 84 B6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 A9 00 00 00 3C 05 0F 85 A1 00 00 00 8B 45 FC 80 B8 0F 02 00 00 01 75 3A A1 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 3C D1 FE 79 37 83 D6 00 EB 32 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 3C D1 FE 79 03 83 D6 00 85 DB 7D 02 33 DB 85 F6 7D 02 33 F6 8B 45 FC 8B 40 38 50 8B 45 FC 8B 40 3C 50 8B CE 8B D3 8B 45 FC 8B 18 FF 93 80 00 00 00 8B 45 FC C6 80 10 02 00 00 00 8B 45 FC 80 B8 0F 02 00 00 01 0F 85 B5 00 00 00 8B 45 FC 80 B8 0B 02 00 00 02 75 36 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 68 23 02 00 00 A1 ?? ?? ?? ?? 8B 40 30 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 51 8B 45 FC 0F B6 80 0B 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 55 FC 8B 52 3C C1 E2 10 0B C2 50 6A 00 6A 05 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 34 02 00 00 A1 ?? ?? ?? ?? 8B 40 30 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? E9 2A 01 00 00 8B 45 FC 0F B6 80 0B 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 05 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB B4 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 60 3B 45 FC 75 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 0F 02 00 00 01 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 45 FC F6 80 C0 02 00 00 08 74 1F 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 6F 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 21 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 10 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 A0 C0 02 00 00 FB C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8912_0 {
	meta:
		name = "TCustomForm.CMIconChanged"
		size = 29
		refs = "000a TIcon.GetHandle 0017 TCustomForm.IconChanged"
	strings:
		$1 = { 53 8B D8 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8914_0 {
	meta:
		name = "TCustomForm.CMTextChanged"
		size = 78
		refs = "0014 Application 0048 SendMessage"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 80 BE 0F 02 00 00 01 75 39 A1 ?? ?? ?? ?? 83 78 30 00 74 2E A1 ?? ?? ?? ?? 8B 40 30 83 B8 34 02 00 00 00 74 1D 6A 00 6A 00 68 34 02 00 00 A1 ?? ?? ?? ?? 8B 40 30 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_8916_0 {
	meta:
		name = "TCustomForm.CMParentFontChanged"
		size = 105
		refs = "0023 _Dn_TFont 0028 TFont.Create 0033 TCustomForm.CMParentFontChanged 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 80 7E 49 00 74 58 83 7A 04 00 74 0D 8B 46 58 8B 52 08 8B 08 FF 51 08 EB 45 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 58 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_8917_0 {
	meta:
		name = "TCustomForm.Close"
		size = 161
		refs = "0056 @CallDynaInst 0061 Application 0070 TApplication.Terminate 007f TCustomForm.Hide 0090 TCustomForm.SetWindowState 0099 TCustomForm.Release"
	strings:
		$1 = { 53 56 51 8B F0 F6 86 C0 02 00 00 08 74 0F C7 86 2C 02 00 00 02 00 00 00 E9 80 00 00 00 8B C6 8B 10 FF 92 C4 00 00 00 84 C0 74 72 80 BE 0F 02 00 00 01 75 15 F6 86 08 02 00 00 02 74 06 C6 04 24 03 EB 0A C6 04 24 00 EB 04 C6 04 24 01 8B D4 8B C6 66 BB B5 FF E8 ?? ?? ?? ?? 80 3C 24 00 74 3D A1 ?? ?? ?? ?? 3B 70 30 75 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 80 3C 24 01 75 09 8B C6 E8 ?? ?? ?? ?? EB 18 80 3C 24 03 75 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8918_0 {
	meta:
		name = "TCustomForm.CloseQuery"
		size = 99
		refs = "0016 TCustomForm.GetMDIChildCount 0029 TCustomForm.GetMDIChildren"
	strings:
		$1 = { 53 56 57 51 8B D8 80 BB 0F 02 00 00 02 75 2E C6 04 24 00 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1C 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 C4 00 00 00 84 C0 74 22 47 4E 75 E7 C6 04 24 01 66 83 BB 76 02 00 00 00 74 10 8B CC 8B D3 8B 83 78 02 00 00 FF 93 74 02 00 00 8A 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8919_0 {
	meta:
		name = "TCustomForm.CloseModal"
		size = 168
		refs = "0010 TCustomForm.CloseModal 0071 TCustomForm.Release 0080 @HandleAnyException 0093 Application 0098 TApplication.HandleException 009d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 8B 10 FF 92 C4 00 00 00 84 C0 74 26 C6 45 FB 01 8B 45 FC 66 83 B8 6E 02 00 00 00 74 15 8D 4D FB 8B 5D FC 8B 55 FC 8B 83 70 02 00 00 FF 93 6C 02 00 00 8A 45 FB 2C 01 72 06 FE C8 74 0F EB 15 8B 45 FC 33 D2 89 90 2C 02 00 00 EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 2C 02 00 00 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8920_0 {
	meta:
		name = "TCustomForm.GetFormImage"
		size = 251
		refs = "000e _Dn_TBitmap 0013 TBitmap.Create 001e TCustomForm.GetFormImage 002b TControl.GetClientWidth 003c TControl.GetClientHeight 004e TBitmap.GetCanvas 0059 TCanvas.SetBrush 0075 TCanvas.FillRect 0082 TCanvas.Lock 009f TCanvas.GetHandle 00aa TWinControl.PaintTo 00c4 TCanvas.Unlock 00ca @HandleFinally 00db @HandleAnyException 00e3 TObject.Free 00e8 @RaiseAgain 00ed @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 40 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 8B 93 24 01 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 44 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8921_0 {
	meta:
		name = "TCustomForm.Print"
		size = 556
		refs = "000d Printer 0012 TPrinter.BeginDoc 001a TCustomForm.Print 0028 TCustomForm.GetFormImage 0033 TCustomForm.GetCanvas 0038 TCanvas.Lock 0054 TPrinter.GetCanvas 006e GetDIBSizes 0076 AllocMem 00b0 GetDIB 00d7 TCustomForm.GetPixelsPerInch 00e2 TCanvas.GetHandle 00e8 GetDeviceCaps 00ef MulDiv 011f TPrinter.GetPageHeight 0130 TPrinter.GetPageWidth 0198 StretchDIBits 01b0 @FreeMem 01b6 @HandleFinally 01f2 TCanvas.Unlock 01fa TObject.Free 0219 TPrinter.EndDoc"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 DC 8B 45 F8 8B 10 FF 52 60 8B F0 8D 4D E8 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 50 8B 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 8B 78 08 8B 45 FC 8A 80 15 02 00 00 FE C8 74 09 FE C8 74 4D E9 90 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 6A 58 8B 45 DC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 50 6A 5A 8B 45 DC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 89 45 E0 EB 4E 57 8B C3 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 45 E4 8B C3 E8 ?? ?? ?? ?? 3B 45 E4 7E 0C 8B C3 E8 ?? ?? ?? ?? 89 45 E0 EB 24 8B C3 E8 ?? ?? ?? ?? 89 45 E4 56 8B C3 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 89 45 E0 EB 06 89 75 E4 89 7D E0 68 20 00 CC 00 6A 00 8B 45 F4 50 8B 45 EC 50 57 56 6A 00 6A 00 8B 45 E0 50 8B 45 E4 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8923_0 {
	meta:
		name = "TCustomForm.Show"
		size = 21
		refs = "0008 TCustomForm.SetVisible 000f TControl.BringToFront"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8924_0 {
	meta:
		name = "TCustomForm.SetFocus"
		size = 121
		refs = "000c TCustomForm.SetFocus 0034 SCannotFocus 0039 LoadResString 0043 _Dn_EInvalidOperation 0048 Exception.Create 004d @RaiseExcept 0054 TCustomForm.SetWindowFocus 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 0E 02 00 00 00 75 39 80 7B 47 00 74 0B 8B C3 8B 10 FF 52 50 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8925_0 {
	meta:
		name = "TCustomForm.Release"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 PostMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 21 B0 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8926_0 {
	meta:
		name = "TCustomForm.ShowModal"
		size = 672
		refs = "0011 Application 0019 TCustomForm.ShowModal 0024 CancelDrag 0059 SCannotShowModal 005e LoadResString 0068 _Dn_EInvalidOperation 006d Exception.Create 0072 @RaiseExcept 0077 GetCapture 008c SendMessage 0091 ReleaseCapture 00a0 GetActiveWindow 00a8 FocusCount 00b0 Screen 00c2 TList.Insert 00e6 TScreen.SetCursor 00f8 DisableTaskWindows 0111 TCustomForm.Show 0130 TWinControl.GetHandle 0148 TApplication.HandleMessage 0176 TCustomForm.CloseModal 01ca TCustomForm.Hide 01d0 @HandleFinally 0210 EnableTaskWindows 0225 TList.First 023e TList.Remove 0259 SetActiveWindow 028b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 E0 89 45 FC BB ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 45 FC 80 78 47 00 75 24 8B 45 FC 8B 10 FF 52 50 84 C0 74 18 8B 45 FC F6 80 C0 02 00 00 08 75 0C 8B 45 FC 80 B8 0F 02 00 00 01 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 88 C0 02 00 00 08 E8 ?? ?? ?? ?? 89 45 E4 A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 8B 48 6C A1 ?? ?? ?? ?? 8B 40 70 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 FC 89 50 6C A1 ?? ?? ?? ?? 66 8B 40 38 66 89 45 EE 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 3C 89 45 E8 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 68 00 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 2C 02 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 84 00 00 00 00 74 0F 8B 45 FC C7 80 2C 02 00 00 02 00 00 00 EB 14 8B 45 FC 83 B8 2C 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 02 00 00 85 C0 74 BE 89 45 F8 6A 00 6A 00 68 01 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 74 05 33 C0 89 45 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 3C 3B 45 E8 75 10 66 8B 55 EE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 58 70 83 7B 08 00 7E 22 8B C3 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 89 70 6C 8B D6 A1 ?? ?? ?? ?? 8B 40 70 E8 ?? ?? ?? ?? EB 0A A1 ?? ?? ?? ?? 33 D2 89 50 6C 83 7D E4 00 74 09 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 F0 A3 ?? ?? ?? ?? 8B 45 FC 80 A0 C0 02 00 00 F7 C3 E9 ?? ?? ?? ?? E9 69 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8927_0 {
	meta:
		name = "TraverseClients"
		size = 110
		refs = "001a TWinControl.GetControlCount 002e TWinControl.GetControl 004b _Dn_TWinControl 0050 @IsClass 005f TraverseClients"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 B8 6C 01 00 00 00 74 52 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 43 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 F6 43 41 80 74 0D 80 7B 47 00 74 07 8B C3 8B 10 FF 52 74 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 47 4E 75 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8928_0 {
	meta:
		name = "TCustomForm.UpdateActions"
		size = 103
		refs = "002c TMenuItem.GetCount 0046 TMenuItem.GetItem 005d TraverseClients"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 F6 43 20 10 75 54 80 BB 6C 01 00 00 00 74 4B 8B C3 8B 10 FF 52 74 8B B3 28 02 00 00 85 F6 74 31 8B 46 28 E8 ?? ?? ?? ?? 48 85 C0 7C 24 40 89 C6 33 FF 8B 83 28 02 00 00 8B 40 28 8B D7 E8 ?? ?? ?? ?? 80 78 30 00 74 05 8B 10 FF 52 38 47 4E 75 E1 55 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8929_0 {
	meta:
		name = "TCustomForm.UpdateWindowState"
		size = 82
		refs = "0009 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 GetWindowPlacement"
	strings:
		$1 = { 53 83 C4 D4 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C C7 04 24 2C 00 00 00 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 08 83 E8 02 74 05 48 74 0B EB 12 C6 83 0B 02 00 00 01 EB 10 C6 83 0B 02 00 00 02 EB 07 C6 83 0B 02 00 00 00 83 C4 2C 5B C3 }
	condition:
		$1
}

rule function_8930_0 {
	meta:
		name = "TCustomForm.RequestAlign"
		size = 25
		refs = "0009 Screen 000e TScreen.AlignForm 0014 TControl.RequestAlign"
	strings:
		$1 = { 83 78 24 00 75 0D 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8931_0 {
	meta:
		name = "TCustomForm.WMSettingChange"
		size = 35
		refs = "000b TWinControl.WMWinIniChange 001c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 04 2F 75 0B 8B C3 66 BB D6 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8932_0 {
	meta:
		name = "ProcessExecute"
		size = 45
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 85 F6 74 18 8B 45 08 8B 50 FC 8B 52 08 8B C6 66 BB F4 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8933_0 {
	meta:
		name = "TraverseClients"
		size = 123
		refs = "001a TWinControl.GetControlCount 002e TWinControl.GetControl 0041 ProcessExecute 004e _Dn_TWinControl 0053 @IsClass 0062 TraverseClients"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 B8 6C 01 00 00 00 74 5D 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4E 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 10 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 04 B0 01 EB 06 47 4E 75 B5 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8936_0 {
	meta:
		name = "TraverseClients"
		size = 123
		refs = "001a TWinControl.GetControlCount 002e TWinControl.GetControl 0041 ProcessUpdate 004e _Dn_TWinControl 0053 @IsClass 0062 TraverseClients"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 B8 6C 01 00 00 00 74 5D 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4E 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 10 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 04 B0 01 EB 06 47 4E 75 B5 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8934_0 {
	meta:
		name = "TCustomForm.CMActionExecute"
		size = 82
		refs = "0021 ProcessExecute 003b TraverseClients"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 F6 43 20 10 75 3E 80 BB 6C 01 00 00 00 74 35 55 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 1A 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 0D 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 45 FC C7 40 0C 01 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_8937_0 {
	meta:
		name = "TCustomForm.CMActionUpdate"
		size = 82
		refs = "0021 ProcessUpdate 003b TraverseClients"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 F6 43 20 10 75 3E 80 BB 6C 01 00 00 00 74 35 55 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 1A 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 0D 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 45 FC C7 40 0C 01 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_8935_0 {
	meta:
		name = "ProcessUpdate"
		size = 45
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 85 F6 74 18 8B 45 08 8B 50 FC 8B 52 08 8B C6 66 BB F1 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8938_0 {
	meta:
		name = "DispatchShortCut"
		size = 83
		refs = "0032 TList.Get 003d TCustomActionList.IsShortCut"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 80 BC 02 00 00 85 C0 74 38 8B 55 08 8B 58 08 4B 85 DB 7C 2D 43 33 F6 8B 45 08 8B 40 FC 8B 80 BC 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 06 46 4B 75 D6 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_8939_0 {
	meta:
		name = "TCustomForm.IsShortCut"
		size = 124
		refs = "0057 @CallDynaInst 0061 DispatchShortCut"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 F8 89 45 FC C6 45 F7 00 8B 45 FC 66 83 B8 9E 02 00 00 00 74 15 8D 4D F7 8B 55 F8 8B 5D FC 8B 83 A0 02 00 00 FF 93 9C 02 00 00 80 7D F7 00 75 34 8B 45 FC 8B B0 28 02 00 00 85 F6 74 18 83 7E 2C 00 74 12 8B 55 F8 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 84 C0 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F7 8A 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8940_0 {
	meta:
		name = "TCustomForm.QueryInterface"
		size = 116
		refs = "0010 TCustomForm.QueryInterface 0016 IsEqualIID 0038 @IntfCopy 0042 TComponent.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 5D 0C 8B 75 08 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 84 C0 75 0F 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 84 C0 74 11 33 DB 8B C7 8B 96 30 02 00 00 E8 ?? ?? ?? ?? EB 0A 57 53 56 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 5D C2 0C 00 00 00 00 07 E8 71 B9 A6 E3 D1 11 AA B1 00 C0 4F B1 6F BC 56 72 BE AB 95 54 D1 11 9F B5 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_8941_0 {
	meta:
		name = "TCustomForm.MouseWheelHandler"
		size = 54
		refs = "0020 TControl.Perform 002e TWinControl.MouseWheelHandler"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 04 02 00 00 85 FF 74 18 8B 46 08 50 8B 4E 04 BA 43 B0 00 00 8B C7 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8942_0 {
	meta:
		name = "TForm.Tile"
		size = 55
		refs = "0020 TileParams 0032 SendMessage"
	strings:
		$1 = { 80 B8 0F 02 00 00 02 75 2D 83 B8 34 02 00 00 00 74 24 6A 00 33 D2 8A 90 12 02 00 00 0F B7 14 55 ?? ?? ?? ?? 52 68 26 02 00 00 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8943_0 {
	meta:
		name = "TForm.Cascade"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 0F 02 00 00 02 75 1E 83 B8 34 02 00 00 00 74 15 6A 00 6A 00 68 27 02 00 00 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8944_0 {
	meta:
		name = "TForm.ArrangeIcons"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 0F 02 00 00 02 75 1E 83 B8 34 02 00 00 00 74 15 6A 00 6A 00 68 28 02 00 00 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8945_0 {
	meta:
		name = "TForm.Next"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 0F 02 00 00 02 75 1E 83 B8 34 02 00 00 00 74 15 6A 00 6A 00 68 24 02 00 00 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8946_0 {
	meta:
		name = "TForm.Previous"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 0F 02 00 00 02 75 1E 83 B8 34 02 00 00 00 74 15 6A 01 6A 00 68 24 02 00 00 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8947_0 {
	meta:
		name = "TCustomDockForm.Create"
		size = 103
		refs = "000e @ClassCreate 002a TScrollingWinControl.SetAutoScroll 0033 TCustomForm.SetBorderStyle 003c TWinControl.SetDockSite 0045 TCustomForm.SetFormStyle 0052 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 6A 00 33 D2 8B C3 8B 30 FF 96 C0 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8948_0 {
	meta:
		name = "TCustomDockForm.DoAddDockClient"
		size = 165
		refs = "0012 TCustomDockForm.DoAddDockClient 001f TWinControl.GetDockClientCount 0029 TControl.GetTextLen 0036 @LStrFromPCharLen 003e @LStrLen 0047 @LStrToPChar 0051 TControl.GetTextBuf 005b TControl.SetText 0066 TWinControl.DoAddDockClient 006f TControl.SetAlign 007e TCustomForm.SetVisible 0093 @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 48 75 39 8B C6 E8 ?? ?? ?? ?? 8B C8 41 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? F6 43 20 01 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8949_0 {
	meta:
		name = "TCustomDockForm.DoRemoveDockClient"
		size = 30
		refs = "0006 TWinControl.DoRemoveDockClient 000d TWinControl.GetDockClientCount 0018 TCustomForm.Release"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8950_0 {
	meta:
		name = "TCustomDockForm.Loaded"
		size = 76
		refs = "000c TWinControl.GetControlCount 0029 TWinControl.GetControl 0035 @CallDynaInst 0040 TCustomForm.Loaded"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 26 47 33 ED 8B D4 8B C6 8B 08 FF 51 44 54 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D6 59 66 BB D2 FF E8 ?? ?? ?? ?? 45 4F 75 DD 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8951_0 {
	meta:
		name = "TCustomDockForm.GetSiteInfo"
		size = 43
		refs = "0016 TWinControl.GetDockClientCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 0C 8D 7D F8 A5 A5 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 8B 45 08 0F 94 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8952_0 {
	meta:
		name = "TCustomDockForm.WMNCHitTest"
		size = 37
		refs = "000b TWinControl.WMNCHitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 0D 83 7E 0C 01 75 07 C7 46 0C 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8953_0 {
	meta:
		name = "TCustomDockForm.WMNCLButtonDown"
		size = 140
		refs = "001e TWinControl.GetHandle 0024 IsIconic 002f TWinControl.GetDockClientCount 004c SetWindowPos 0066 PostMessage 006f TWinControl.GetDockClients 0079 TControl.BeginDrag 0085 TCustomForm.WMNCLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 04 02 75 74 80 BB 87 00 00 00 01 74 6B F6 43 20 10 75 65 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 54 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 49 6A 07 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 08 50 8B 46 04 50 68 A2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8954_0 {
	meta:
		name = "TCustomDockForm.CMControlListChange"
		size = 86
		refs = "000f TWinControl.CMControlListChange 0027 TControl.Perform 003b TControl.GetBoundsRect 004b @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 75 36 8B 46 04 50 33 C9 BA 39 B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B 7E 04 3B 9F 8C 00 00 00 75 19 8B D4 8B C7 E8 ?? ?? ?? ?? 8B CC 8B C7 83 CA FF 66 BB D2 FF E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8955_0 {
	meta:
		name = "TCustomDockForm.CMDockNotification"
		size = 159
		refs = "000f TCustomDockForm.CMDockNotification 003c TCustomForm.SetVisible 0046 TControl.GetTextLen 0053 @LStrFromPCharLen 005b @LStrLen 0064 @LStrToPChar 006f TControl.GetTextBuf 0079 TControl.SetText 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 8B 08 FF 51 F0 8B 43 08 8B 00 83 E8 0C 74 16 2D FF AF 00 00 75 4A 8B 43 04 8A 50 47 8B C6 E8 ?? ?? ?? ?? EB 3B 8B 43 04 E8 ?? ?? ?? ?? 8B C8 41 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 04 59 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8956_0 {
	meta:
		name = "TCustomDockForm.CMUnDockClient"
		size = 22
		refs = "0006 TWinControl.CMUnDockClient 0010 TControl.SetAlign"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 43 08 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8957_0 {
	meta:
		name = "TCustomDockForm.CMVisibleChanged"
		size = 60
		refs = "0008 TWinControl.CMVisibleChanged 0015 TWinControl.GetDockClientCount 0028 TWinControl.GetDockClients 0030 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 08 75 26 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 18 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8A 53 47 E8 ?? ?? ?? ?? 47 4E 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8958_0 {
	meta:
		name = "TDataModule.Create"
		size = 323
		refs = "001a @ClassCreate 002a TDataModule.Create 0035 GlobalNameSpace 003c TMultiReadExclusiveWriteSynchronizer.BeginWrite 0058 TDataModule.CreateNew 0060 TObject.ClassType 0066 _DV_TDataModule 007f InitInheritedComponent 0093 TObject.ClassName 00b1 SResNotFound 00b6 LoadResString 00c3 _Dn_EResNotFound 00c8 Exception.CreateFmt 00cd @RaiseExcept 00de TDataModule.DoCreate 00f7 TMultiReadExclusiveWriteSynchronizer.EndWrite 00fd @HandleFinally 0117 @LStrClr 012d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 33 DB 89 9D EC FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 76 8B 45 FC F6 40 20 10 75 6D 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 4A 8D 95 F0 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 45 F0 50 6A 00 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 44 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8959_0 {
	meta:
		name = "TDataModule.AfterConstruction"
		size = 12
		refs = "0007 TDataModule.DoCreate"
	strings:
		$1 = { 80 78 44 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8960_0 {
	meta:
		name = "TDataModule.CreateNew"
		size = 71
		refs = "000d @ClassCreate 001a TComponent.Create 0021 Screen 0026 TScreen.AddDataModule 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8961_0 {
	meta:
		name = "TDataModule.BeforeDestruction"
		size = 46
		refs = "0004 GlobalNameSpace 000b TMultiReadExclusiveWriteSynchronizer.BeginWrite 0012 TComponent.Destroying 001b RemoveFixupReferences 0028 TDataModule.DoDestroy"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 44 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8962_0 {
	meta:
		name = "TDataModule.Destroy"
		size = 147
		refs = "0007 @BeforeDestruction 001b GlobalNameSpace 0022 TMultiReadExclusiveWriteSynchronizer.BeginWrite 002a TDataModule.Destroy 0041 TDataModule.DoDestroy 0049 Screen 004e TScreen.RemoveDataModule 005c TComponent.Destroy 0075 TMultiReadExclusiveWriteSynchronizer.EndWrite 007b @HandleFinally 008b @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC F6 40 20 08 75 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 44 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_8963_0 {
	meta:
		name = "TDataModule.DoCreate"
		size = 85
		refs = "0018 TDataModule.DoCreate 0039 @HandleAnyException 0041 Application 0046 TApplication.HandleException 004b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 78 36 00 74 3B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 43 38 FF 53 34 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8964_0 {
	meta:
		name = "TDataModule.DoDestroy"
		size = 85
		refs = "0018 TDataModule.DoDestroy 0039 @HandleAnyException 0041 Application 0046 TApplication.HandleException 004b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 78 3E 00 74 3B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 43 40 FF 53 3C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8965_0 {
	meta:
		name = "DoWriteWidth"
		size = 37
	strings:
		$1 = { 55 8B EC B0 01 8B 55 08 83 7A FC 00 74 15 8B 45 08 8B 40 F8 8B 40 24 8B 55 08 8B 52 FC 3B 42 24 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_8966_0 {
	meta:
		name = "DoWriteHorizontalOffset"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 40 F8 8B 40 2C 8B 55 08 8B 52 FC 3B 42 2C 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 78 2C 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_8967_0 {
	meta:
		name = "DoWriteVerticalOffset"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 40 F8 8B 40 30 8B 55 08 8B 52 FC 3B 42 30 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 78 30 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_8968_0 {
	meta:
		name = "DoWriteHeight"
		size = 37
	strings:
		$1 = { 55 8B EC B0 01 8B 55 08 83 7A FC 00 74 15 8B 45 08 8B 40 F8 8B 40 28 8B 55 08 8B 52 FC 3B 42 28 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_8969_0 {
	meta:
		name = "TDataModule.DefineProperties"
		size = 272
		refs = "0013 TComponent.DefineProperties 0022 TDataModule.ReadHeight 002b TDataModule.WriteHeight 0031 DoWriteHeight 0039 TDataModule.DefineProperties 0048 TDataModule.ReadHorizontalOffset 0051 TDataModule.WriteHorizontalOffset 0057 DoWriteHorizontalOffset 006e TDataModule.ReadVerticalOffset 0077 TDataModule.WriteVerticalOffset 007d DoWriteVerticalOffset 0094 TDataModule.ReadWidth 009d TDataModule.WriteWidth 00a3 DoWriteWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 1C 89 45 FC 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 16 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 16 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 16 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 18 FF 13 5E 5B 59 59 5D C3 00 FF FF FF FF 06 00 00 00 48 65 69 67 68 74 00 00 FF FF FF FF 10 00 00 00 48 6F 72 69 7A 6F 6E 74 61 6C 4F 66 66 73 65 74 00 00 00 00 FF FF FF FF 0E 00 00 00 56 65 72 74 69 63 61 6C 4F 66 66 73 65 74 00 00 FF FF FF FF 05 00 00 00 57 69 64 74 68 00 00 00 }
	condition:
		$1
}

rule function_8971_0 {
	meta:
		name = "TDataModule.GetProviderNames"
		size = 137
		refs = "002b TDataModule.GetProviderNames 0037 GetDataModuleProviderNames 0050 @OleVarFromVar 005b Null 0072 @HandleAutoException 007a @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 18 8D 55 F0 8B C3 FF 15 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? EB 0E 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8972_0 {
	meta:
		name = "TDataModule.ReadState"
		size = 20
		refs = "0002 ModuleIsCpp 000f TComponent.ReadState"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 8A 09 80 F1 01 88 48 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8973_0 {
	meta:
		name = "TDataModule.UpdateRegistry"
		size = 29
		refs = "0005 UpdateDataModuleRegistry"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0D 8B C2 8B D1 8B 4D 08 FF 15 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8974_0 {
	meta:
		name = "TDataModule.ReadWidth"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_8975_0 {
	meta:
		name = "TDataModule.ReadHorizontalOffset"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_8976_0 {
	meta:
		name = "TDataModule.ReadVerticalOffset"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 30 5E 5B C3 }
	condition:
		$1
}

rule function_8977_0 {
	meta:
		name = "TDataModule.ReadHeight"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 28 5E 5B C3 }
	condition:
		$1
}

rule function_8978_0 {
	meta:
		name = "TDataModule.WriteWidth"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 24 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8979_0 {
	meta:
		name = "TDataModule.WriteHorizontalOffset"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 2C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8980_0 {
	meta:
		name = "TDataModule.WriteVerticalOffset"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 30 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8981_0 {
	meta:
		name = "TDataModule.WriteHeight"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 28 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8982_0 {
	meta:
		name = "TMonitor.GetLeft"
		size = 32
		refs = "0010 GetMonitorInfo"
	strings:
		$1 = { 83 C4 D8 C7 04 24 28 00 00 00 54 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 44 24 04 83 C4 28 C3 }
	condition:
		$1
}

rule function_8983_0 {
	meta:
		name = "TMonitor.GetHeight"
		size = 36
		refs = "0010 GetMonitorInfo"
	strings:
		$1 = { 83 C4 D8 C7 04 24 28 00 00 00 54 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 44 24 10 2B 44 24 08 83 C4 28 C3 }
	condition:
		$1
}

rule function_8984_0 {
	meta:
		name = "TMonitor.GetTop"
		size = 32
		refs = "0010 GetMonitorInfo"
	strings:
		$1 = { 83 C4 D8 C7 04 24 28 00 00 00 54 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 44 24 08 83 C4 28 C3 }
	condition:
		$1
}

rule function_8985_0 {
	meta:
		name = "TMonitor.GetWidth"
		size = 36
		refs = "0010 GetMonitorInfo"
	strings:
		$1 = { 83 C4 D8 C7 04 24 28 00 00 00 54 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 44 24 0C 2B 44 24 04 83 C4 28 C3 }
	condition:
		$1
}

rule function_8986_0 {
	meta:
		name = "EnumFontsProc"
		size = 150
		refs = "000d EnumFontsProc 0029 @LStrFromArray 0053 AnsiCompareText 0080 @LStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D 14 8D 45 FC 8B 55 08 83 C2 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 85 C0 74 23 8B C3 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B C3 8B 30 FF 56 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 FC 8B C3 8B 08 FF 51 34 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_8987_0 {
	meta:
		name = "EnumMonitorsProc"
		size = 47
		refs = "000a _DV_TMonitor 000f TObject.Create 0024 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 50 04 8B 53 08 89 50 08 8B D0 8B C3 E8 ?? ?? ?? ?? B0 01 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_8988_0 {
	meta:
		name = "TScreen.Create"
		size = 464
		refs = "000e @ClassCreate 001e TComponent.Create 0026 TScreen.CreateCursors 002e TScreen.InitImes 0035 _Dn_TStringList 003a TObject.Create 0047 _Dn_TList 00a1 GetDC 00ac TScreen.Create 00c7 GetVersion 00e0 @FillChar 00f2 EnumFontsProc 00ff EnumFontFamiliesEx 0118 EnumFonts 0125 TStringList.SetSorted 0130 GetDeviceCaps 014e ReleaseDC 0154 @HandleFinally 0162 EnumMonitorsProc 016c EnumDisplayMonitors 0177 _Dn_TFont 017c TFont.Create 018a TScreen.GetMetricSettings 019d TScreen.IconFontChanged 01ab @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 B8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 70 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 BA ?? ?? ?? ?? 8B 08 FF 51 34 E8 ?? ?? ?? ?? 66 25 FF 00 66 83 F8 04 72 30 8D 45 B8 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? C6 45 CF 01 6A 00 8B 45 FC 8B 40 24 50 68 ?? ?? ?? ?? 8D 45 B8 50 8B 45 F4 50 E8 ?? ?? ?? ?? EB 17 8B 45 FC 8B 40 24 50 68 ?? ?? ?? ?? 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 B2 01 E8 ?? ?? ?? ?? 6A 5A 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 4C 50 B8 ?? ?? ?? ?? 50 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 74 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 74 8B 55 FC 89 50 08 C7 40 04 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 FF FF FF FF 07 00 00 00 44 65 66 61 75 6C 74 00 }
	condition:
		$1
}

rule function_8989_0 {
	meta:
		name = "TScreen.Destroy"
		size = 149
		refs = "0005 @BeforeDestruction 0011 TObject.Free 005d TList.Get 0075 TScreen.DestroyCursors 0081 TComponent.Destroy 008c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 74 E8 ?? ?? ?? ?? 8B 45 48 E8 ?? ?? ?? ?? 8B 45 44 E8 ?? ?? ?? ?? 8B 45 40 E8 ?? ?? ?? ?? 8B 45 24 E8 ?? ?? ?? ?? 8B 45 28 E8 ?? ?? ?? ?? 8B 45 70 E8 ?? ?? ?? ?? 8B 45 4C 85 C0 74 1E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 4C E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8990_0 {
	meta:
		name = "TScreen.GetHeight"
		size = 12
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 01 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_8991_0 {
	meta:
		name = "TScreen.GetWidth"
		size = 12
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_8992_0 {
	meta:
		name = "TScreen.GetDesktopTop"
		size = 12
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 4D A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_8993_0 {
	meta:
		name = "TScreen.GetDesktopLeft"
		size = 12
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 4C A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_8994_0 {
	meta:
		name = "TScreen.GetDesktopHeight"
		size = 12
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 4F A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_8995_0 {
	meta:
		name = "TScreen.GetDesktopWidth"
		size = 12
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 4E A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_8996_0 {
	meta:
		name = "TScreen.GetMonitor"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 4C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8997_0 {
	meta:
		name = "TScreen.GetMonitorCount"
		size = 25
		refs = "000d GetSystemMetrics"
	strings:
		$1 = { 8B 50 4C 8B 52 08 85 D2 75 0C 6A 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 8B C2 C3 }
	condition:
		$1
}

rule function_8998_0 {
	meta:
		name = "TScreen.GetForm"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8999_0 {
	meta:
		name = "TScreen.GetFormCount"
		size = 7
	strings:
		$1 = { 8B 40 40 8B 40 08 C3 }
	condition:
		$1
}

rule function_9000_0 {
	meta:
		name = "TScreen.GetCustomForms"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9001_0 {
	meta:
		name = "TScreen.GetCustomFormCount"
		size = 7
	strings:
		$1 = { 8B 40 44 8B 40 08 C3 }
	condition:
		$1
}

rule function_9002_0 {
	meta:
		name = "TScreen.UpdateLastActive"
		size = 69
	strings:
		$1 = { 53 8B D8 8B 43 5C 3B 43 68 74 1B 89 43 68 66 83 BB 86 00 00 00 00 74 0E 8B D3 8B 83 88 00 00 00 FF 93 84 00 00 00 8B 43 58 3B 43 64 74 15 89 43 64 66 83 7B 7E 00 74 0B 8B D3 8B 83 80 00 00 00 FF 53 7C 5B C3 }
	condition:
		$1
}

rule function_9003_0 {
	meta:
		name = "TScreen.AddForm"
		size = 56
		refs = "000c TList.Add 0014 _DV_TForm 0019 @IsClass 002c Application 0031 TApplication.UpdateVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D6 8B 43 40 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9004_0 {
	meta:
		name = "TScreen.RemoveForm"
		size = 72
		refs = "000c TList.Remove 001b Application 0020 TApplication.UpdateVisible 0041 THintWindow.ReleaseHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B D6 8B 43 40 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 44 83 78 08 00 75 18 A1 ?? ?? ?? ?? 83 78 6C 00 74 0D A1 ?? ?? ?? ?? 8B 40 6C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9005_0 {
	meta:
		name = "TQRCustomController.AddNotifyClient"
		size = 9
		refs = "0004 TList.Add"
		altNames = "TScreen.AddDataModule"
	strings:
		$1 = { 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9006_0 {
	meta:
		name = "TScreen.RemoveDataModule"
		size = 9
		refs = "0004 TList.Remove"
	strings:
		$1 = { 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9007_0 {
	meta:
		name = "TScreen.CreateCursors"
		size = 92
		refs = "000e LoadCursor 001b CursorMap 0030 HInstance 004a TScreen.InsertCursor"
	strings:
		$1 = { 53 56 57 55 8B E8 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 45 54 BB EA FF FF FF BE ?? ?? ?? ?? 83 FB EF 7C 05 83 FB F4 7E 05 83 FB EB 75 0A 8B 3D ?? ?? ?? ?? 8B 3F EB 02 33 FF 8B 06 50 57 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 43 83 C6 04 83 FB FF 75 C8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9008_0 {
	meta:
		name = "TScreen.DestroyCursors"
		size = 87
		refs = "0022 DestroyCursor 0030 @FreeMem 0042 LoadCursor"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 50 85 DB 74 2E 8B 43 04 83 F8 EF 7C 05 83 F8 F4 7E 04 85 C0 7E 09 8B 43 08 50 E8 ?? ?? ?? ?? 8B 33 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B DE 85 DB 75 D2 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B 57 54 3B C2 74 06 52 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9009_0 {
	meta:
		name = "TScreen.DeleteCursor"
		size = 69
		refs = "0022 DestroyCursor 003d @FreeMem"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 50 33 F6 EB 04 8B F3 8B 1B 85 DB 74 05 3B 53 04 75 F3 85 DB 74 24 8B 43 08 50 E8 ?? ?? ?? ?? 85 F6 75 07 8B 03 89 47 50 EB 04 8B 03 89 06 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9010_0 {
	meta:
		name = "TScreen.InsertCursor"
		size = 37
		refs = "000f @GetMem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 53 50 89 10 89 70 04 89 78 08 89 43 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9011_0 {
	meta:
		name = "TScreen.InitImes"
		size = 504
		refs = "0019 TScreen.InitImes 0026 _Dn_TStringList 002b TObject.Create 003c @LStrClr 0043 GetKeyboardLayout 0057 GetKeyboardLayoutList 0077 Imm32IsIME 00b4 StrFmt 00bf RegOpenKeyEx 00f9 RegQueryValueEx 0113 @LStrFromArray 0162 RegCloseKey 0168 @HandleFinally 0188 TStringList.SetSorted"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FD FF FF 53 33 D2 89 95 A0 FD FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 8B 45 FC 83 C0 2C E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8D 85 EC FE FF FF 50 6A 40 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 17 01 00 00 40 89 45 F0 8D 85 EC FE FF FF 89 45 EC 8B 45 EC 8B 00 E8 ?? ?? ?? ?? 84 C0 0F 84 EB 00 00 00 8D 45 F4 50 68 3F 00 0F 00 6A 00 6A 00 8B 45 EC 8B 00 89 85 A4 FD FF FF C6 85 A8 FD FF FF 00 8D 8D A4 FD FF FF BA ?? ?? ?? ?? 8D 85 AC FD FF FF E8 ?? ?? ?? ?? 50 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 85 A3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 01 00 00 8D 45 F8 50 8D 85 EC FD FF FF 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 4F 8D 85 A0 FD FF FF 8D 95 EC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 95 A0 FD FF FF 8B 45 EC 8B 08 8B 45 FC 8B 40 28 8B 18 FF 53 38 8B 45 EC 8B 00 8B 55 FC 3B 42 30 75 16 8B 45 FC 83 C0 2C 8D 95 EC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 45 EC 04 FF 4D F0 0F 85 F6 FE FF FF 8B 45 FC 8B 40 28 C6 40 19 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 00 00 00 53 79 73 74 65 6D 5C 43 75 72 72 65 6E 74 43 6F 6E 74 72 6F 6C 53 65 74 5C 43 6F 6E 74 72 6F 6C 5C 4B 65 79 62 6F 61 72 64 20 4C 61 79 6F 75 74 73 5C 25 2E 38 78 00 00 6C 61 79 6F 75 74 20 74 65 78 74 00 }
	condition:
		$1
}

rule function_9012_0 {
	meta:
		name = "TScreen.IconFontChanged"
		size = 15
		refs = "0005 Application 000a TApplication.NotifyForms"
	strings:
		$1 = { 66 BA 35 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9013_0 {
	meta:
		name = "TScreen.GetDataModule"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9014_0 {
	meta:
		name = "TScreen.GetDataModuleCount"
		size = 7
	strings:
		$1 = { 8B 40 48 8B 40 08 C3 }
	condition:
		$1
}

rule function_9015_0 {
	meta:
		name = "TScreen.GetCursors"
		size = 38
	strings:
		$1 = { 33 C9 83 FA FF 74 1C 8B 48 50 EB 02 8B 09 85 C9 74 05 3B 51 04 75 F5 85 C9 75 05 8B 48 54 EB 03 8B 49 08 8B C1 C3 }
	condition:
		$1
}

rule function_9016_0 {
	meta:
		name = "TScreen.SetCursor"
		size = 142
		refs = "001c GetCursorPos 0029 WindowFromPoint 0037 GetWindowThreadProcessId 003e GetCurrentThreadId 0049 PointToSmallPoint 0057 SendMessage 0064 MakeLong 007a TScreen.GetCursors 0080 SetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 66 3B 73 38 74 73 66 89 73 38 66 85 F6 75 5A 54 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 8B F8 85 FF 74 41 6A 00 57 E8 ?? ?? ?? ?? 8B E8 E8 ?? ?? ?? ?? 3B E8 75 2E 8B C4 E8 ?? ?? ?? ?? 50 6A 00 68 84 00 00 00 57 E8 ?? ?? ?? ?? 8B D8 66 BA 00 02 8B C3 E8 ?? ?? ?? ?? 50 57 6A 20 57 E8 ?? ?? ?? ?? EB 13 0F BF D6 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 43 3C 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9017_0 {
	meta:
		name = "TScreen.SetCursors"
		size = 72
		refs = "0019 LoadCursor 0031 TScreen.DeleteCursor 0040 TScreen.InsertCursor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 75 1A 85 FF 75 11 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 43 54 EB 22 89 7B 54 EB 1D 83 FE FF 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 85 FF 74 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9018_0 {
	meta:
		name = "TScreen.GetMetricSettings"
		size = 66
		refs = "0012 SystemParametersInfo 001c CreateFontIndirect 0026 TFont.SetHandle 002f GetStockObject"
	strings:
		$1 = { 53 83 C4 C4 8B D8 6A 00 8D 44 24 04 50 6A 3C 6A 1F E8 ?? ?? ?? ?? 85 C0 74 12 54 E8 ?? ?? ?? ?? 8B D0 8B 43 74 E8 ?? ?? ?? ?? EB 11 6A 0D E8 ?? ?? ?? ?? 8B D0 8B 43 74 E8 ?? ?? ?? ?? 83 C4 3C 5B C3 }
	condition:
		$1
}

rule function_9019_0 {
	meta:
		name = "TScreen.DisableAlign"
		size = 5
	strings:
		$1 = { 66 FF 40 78 C3 }
	condition:
		$1
}

rule function_9020_0 {
	meta:
		name = "TScreen.EnableAlign"
		size = 23
		refs = "0012 TScreen.Realign"
	strings:
		$1 = { 66 FF 48 78 66 83 78 78 00 75 0B F6 40 7A 10 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9023_0 {
	meta:
		name = "DoPosition"
		size = 432
		refs = "0076 GetSystemMetrics 0138 DoPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 55 FF 8B D8 8B 45 08 8B 70 FC 8B 76 08 8B 45 08 8B 40 FC 2B 30 85 F6 7C 09 8A 45 FF 04 FD 2C 02 73 03 8B 73 38 8B 45 08 8B 40 FC 8B 40 0C 8B 55 08 8B 52 FC 2B 42 04 89 45 F0 83 7D F0 00 7C 08 8A 45 FF 48 2C 02 73 06 8B 43 3C 89 45 F0 80 7D FF 01 75 24 80 BB 0B 02 00 00 02 75 1B 8B 43 30 89 45 F8 8B 43 34 89 45 F4 6A 3D A1 ?? ?? ?? ?? 8B 00 FF D0 8B F0 EB 17 8B 45 08 8B 40 FC 8B 00 89 45 F8 8B 45 08 8B 40 FC 8B 40 04 89 45 F4 8A 45 FF FE C8 74 0E FE C8 74 18 FE C8 74 2E FE C8 74 34 EB 47 8B 45 08 8B 40 FC 8B 55 F0 01 50 04 EB 39 8B 45 08 8B 40 FC 8B 55 F0 29 50 0C 8B 45 08 8B 40 FC 8B 40 0C 89 45 F4 EB 1F 8B 45 08 8B 40 FC 01 30 EB 15 8B 45 08 8B 40 FC 29 70 08 8B 45 08 8B 40 FC 8B 40 08 89 45 F8 56 8B 45 F0 50 8B 4D F4 8B 55 F8 8B C3 8B 38 FF 97 80 00 00 00 80 BB 0B 02 00 00 02 75 09 2B 75 F8 8B 45 F4 29 45 F0 8B 43 38 3B F0 75 08 8B 53 3C 3B 55 F0 74 7E 33 D2 8A 55 FF 83 FA 05 77 74 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 2B 43 3C 8B 55 08 8B 52 FC 29 42 04 EB 44 8B 45 F0 2B 43 3C 8B 55 08 8B 52 FC 01 42 0C EB 33 2B F0 8B 45 08 8B 40 FC 29 30 EB 27 2B F0 8B 45 08 8B 40 FC 01 70 08 EB 1A 2B F0 8B 45 08 8B 40 FC 01 70 08 8B 45 F0 2B 43 3C 8B 55 08 8B 52 FC 01 42 0C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9024_0 {
	meta:
		name = "DoAlign"
		size = 325
		refs = "0017 @CallDynaInst 0072 TList.Add 007d TScreen.GetCustomFormCount 009a TScreen.GetCustomForms 00de TList.Get 00ea InsertBefore 00fd TList.Insert 0133 DoPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 45 FF 8B 45 08 8B 40 F8 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 08 83 78 F4 00 74 52 8B 45 08 8B 40 F4 83 78 24 00 75 46 8B 45 08 8B 40 F4 F6 40 20 10 75 3A 8B 45 08 8B 40 F4 80 78 47 00 74 2E 8B 45 08 8B 40 F4 8A 40 4B 3A 45 FF 75 20 8B 45 08 8B 40 F4 80 B8 0B 02 00 00 01 74 11 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 7F 47 C7 45 F8 00 00 00 00 8B 45 08 8B 40 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8A 43 4B 3A 45 FF 75 59 F6 43 20 10 75 53 80 7B 47 00 74 4D 80 BB 0B 02 00 00 01 74 44 8B 45 08 3B 58 F4 74 3C 33 F6 EB 01 46 8B 45 08 8B 40 F8 3B 70 08 7D 1D 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 8B D0 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 D7 8B 45 08 8B 40 F8 8B CB 8B D6 E8 ?? ?? ?? ?? FF 45 F8 4F 75 89 8B 45 08 8B 40 F8 8B 78 08 4F 85 FF 7C 29 47 C7 45 F8 00 00 00 00 8B 45 08 50 8B 45 08 8B 40 F8 8B 55 F8 E8 ?? ?? ?? ?? 8A 55 FF E8 ?? ?? ?? ?? 59 FF 45 F8 4F 75 DF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9025_0 {
	meta:
		name = "AlignWork"
		size = 86
		refs = "000e TScreen.GetCustomFormCount 0023 TScreen.GetCustomForms"
	strings:
		$1 = { 55 8B EC 53 56 B3 01 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 34 8B 45 08 8B 40 F0 8B D6 E8 ?? ?? ?? ?? 83 78 24 00 75 1B F6 40 20 10 75 15 80 78 4B 00 74 0F 80 78 47 00 74 09 80 B8 0B 02 00 00 01 75 08 4E 83 FE FF 75 CC 33 DB 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9026_0 {
	meta:
		name = "TScreen.AlignForms"
		size = 133
		refs = "0011 AlignWork 001d _Dn_TList 0022 TObject.Create 002d TScreen.AlignForms 003b DoAlign 0075 TObject.Free 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D FC 89 55 F4 89 45 F0 55 E8 ?? ?? ?? ?? 59 84 C0 74 67 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 B0 01 E8 ?? ?? ?? ?? 59 55 B0 02 E8 ?? ?? ?? ?? 59 55 B0 03 E8 ?? ?? ?? ?? 59 55 B0 04 E8 ?? ?? ?? ?? 59 55 B0 05 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_9027_0 {
	meta:
		name = "TScreen.AlignForm"
		size = 124
		refs = "0024 TScreen.DisableAlign 002c TScreen.AlignForm 0041 SystemParametersInfo 004e TScreen.AlignForms 006b TScreen.EnableAlign 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B DA 89 45 FC 8B 45 FC 66 83 78 78 00 74 0A 8B 45 FC 66 83 48 7A 10 EB 57 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 EC 50 6A 00 6A 30 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 83 60 7A EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9028_0 {
	meta:
		name = "GetHint"
		size = 48
		refs = "001b @LStrLAsg 0029 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 1C 83 7B 74 00 75 05 8B 5B 24 EB 0D 8B C6 8B 53 74 E8 ?? ?? ?? ?? 5E 5B C3 85 DB 75 E4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9029_0 {
	meta:
		name = "GetHintControl"
		size = 31
	strings:
		$1 = { EB 03 8B 40 24 85 C0 74 09 80 B8 85 00 00 00 00 74 F0 85 C0 74 08 F6 40 20 10 74 02 33 C0 C3 }
	condition:
		$1
}

rule function_9030_0 {
	meta:
		name = "HintTimerProc"
		size = 82
		refs = "0008 Application 0013 HintTimerProc 0023 TApplication.HintTimerExpired 0032 @HandleAnyException 0042 TApplication.HandleException 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 83 3D ?? ?? ?? ?? 00 74 3C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_9031_0 {
	meta:
		name = "HintMouseThread"
		size = 92
		refs = "0008 Application 000d GetCurrentThreadId 0012 HintThreadID 002a GetCursorPos 0032 FindVCLWindow 003d TApplication.CancelHint 0044 HintDoneEvent 004a WaitForSingleObject"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 BB ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 29 83 3B 00 74 24 8B 03 83 78 48 00 74 1C 8D 45 F8 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 85 C0 75 07 8B 03 E8 ?? ?? ?? ?? 6A 64 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3D 02 01 00 00 74 C3 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9032_0 {
	meta:
		name = "HintGetMsgHook"
		size = 65
		refs = "0013 HintHook 0019 CallNextHookEx 0025 Application 0034 TApplication.IsHintMsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 5D 08 56 8B 45 0C 50 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 DB 7C 15 83 3D ?? ?? ?? ?? 00 74 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_9033_0 {
	meta:
		name = "HookHintHooks"
		size = 115
		refs = "0002 Application 0011 HintHook 0019 GetCurrentThreadId 0021 HintGetMsgHook 0029 SetWindowsHookEx 0034 HintDoneEvent 0044 CreateEvent 004f HintThread 005c HintMouseThread 0068 CreateThread"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? 80 B8 8D 00 00 00 00 75 62 83 3D ?? ?? ?? ?? 00 75 1A E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A 03 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 12 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1B 54 6A 00 6A 00 68 ?? ?? ?? ?? 68 E8 03 00 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_9034_0 {
	meta:
		name = "UnhookHintHooks"
		size = 92
		refs = "0002 HintHook 0010 UnhookWindowsHookEx 001d HintThread 0025 HintDoneEvent 002b SetEvent 0030 GetCurrentThreadId 0036 HintThreadID 0045 WaitForSingleObject 0050 CloseHandle"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 37 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 0D 6A FF A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9035_0 {
	meta:
		name = "GetAnimation"
		size = 46
		refs = "0016 SystemParametersInfo"
	strings:
		$1 = { 83 C4 F8 C7 04 24 08 00 00 00 6A 00 8D 44 24 04 50 6A 08 6A 48 E8 ?? ?? ?? ?? 85 C0 74 0B 83 7C 24 04 00 0F 95 C0 59 5A C3 33 C0 59 5A C3 }
	condition:
		$1
}

rule function_9036_0 {
	meta:
		name = "SetAnimation"
		size = 37
		refs = "001e SystemParametersInfo"
	strings:
		$1 = { 83 C4 F8 C7 04 24 08 00 00 00 F6 D8 1B C0 89 44 24 04 6A 00 8D 44 24 04 50 6A 08 6A 49 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_9037_0 {
	meta:
		name = "ShowWinNoAnimate"
		size = 47
		refs = "0008 GetAnimation 0015 SetAnimation 001c ShowWindow"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 84 DB 74 07 33 C0 E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 84 DB 74 07 B0 01 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9038_0 {
	meta:
		name = "_NF__9C6"
		size = 16
	strings:
		$1 = { 54 41 70 70 6C 69 63 61 74 69 6F 6E 00 00 00 00 }
	condition:
		$1
}

rule function_9039_0 {
	meta:
		name = "TApplication.Create"
		size = 404
		refs = "0013 @ClassCreate 0021 TComponent.Create 002c _Dn_TList 0031 TObject.Create 0080 _Dn_TIcon 0085 TIcon.Create 0092 TApplication.Create 0097 MainInstance 009f LoadIcon 00a8 TIcon.SetHandle 00b8 TApplication.IconChanged 00d1 GetModuleFileName 00e4 OemToAnsi 00f1 AnsiStrRScan 0103 StrCopy 0110 AnsiStrScan 0124 AnsiLower 0137 @LStrFromArray 013c IsLibrary 0148 TApplication.CreateHandle 0170 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 28 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 33 C0 89 43 48 33 C0 89 43 6C C7 43 44 18 00 00 80 C7 43 60 F4 01 00 00 C6 43 64 01 33 C0 89 43 68 C7 43 5C C4 09 00 00 C6 43 70 00 C6 83 85 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 89 58 08 C7 40 04 ?? ?? ?? ?? 68 00 01 00 00 8D 85 FF FE FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8D 85 FF FE FF FF 50 8D 85 FF FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 FF FE FF FF B2 5C E8 ?? ?? ?? ?? 85 C0 74 0E 8D 50 01 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 8D 85 FF FE FF FF B2 2E E8 ?? ?? ?? ?? 85 C0 74 03 C6 00 00 8D 85 FF FE FF FF 40 50 E8 ?? ?? ?? ?? 8D 43 74 8D 95 FF FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 07 8B C3 E8 ?? ?? ?? ?? C6 43 41 01 C6 43 42 01 C6 43 43 01 C6 83 86 00 00 00 01 33 C0 89 83 88 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 4D 41 49 4E 49 43 4F 4E 00 00 00 00 }
	condition:
		$1
}

rule function_9040_0 {
	meta:
		name = "TApplication.Destroy"
		size = 223
		refs = "0003 @BeforeDestruction 0018 FreeLibrary 003b TApplication.HelpCommand 0049 TApplication.CancelHint 0052 TApplication.SetShowHint 005e TComponent.Destroy 0064 TApplication.CheckIniChange 006b TApplication.UnhookMainWindow 0081 NewStyleControls 0095 SendMessage 009e DestroyWindow 00aa FreeObjectInstance 00af DoneCtl3D 00ba TObject.Free 00d8 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 88 00 00 00 83 F8 20 76 06 50 E8 ?? ?? ?? ?? 83 7E 24 00 74 1D 80 BE 8C 00 00 00 00 74 14 83 7E 38 00 74 0E 33 C9 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 85 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 2C 80 BE 8C 00 00 00 00 74 23 8B 15 ?? ?? ?? ?? 80 3A 00 74 0F 6A 00 6A 01 68 80 00 00 00 50 E8 ?? ?? ?? ?? 8B 46 24 50 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9041_0 {
	meta:
		name = "TApplication.CreateHandle"
		size = 400
		refs = "0012 TApplication.CreateHandle 002a IsConsole 0039 TApplication.WndProc 003e MakeObjectInstance 004a WindowClass 0050 HInstance 0058 GetClassInfo 0072 RegisterClass 007f SWindowClass 0084 LoadResString 008e _Dn_EOutOfResources 0093 Exception.Create 0098 @RaiseExcept 009f GetSystemMetrics 00d8 @LStrToPChar 00e9 CreateWindow 00f4 @LStrClr 010a SetWindowLong 010f NewStyleControls 011b TApplication.GetIconHandle 012c SendMessage 0137 GetSystemMenu 0146 DeleteMenu 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 D2 89 55 D4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8C 00 00 00 00 0F 85 45 01 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 85 37 01 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8D 45 D8 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 3C A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 85 C0 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 D1 F8 79 03 83 D0 00 50 6A 01 A1 ?? ?? ?? ?? 8B 00 FF D0 D1 F8 79 03 83 D0 00 50 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 43 74 E8 ?? ?? ?? ?? 8B D0 B9 00 00 CA 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8D 43 74 E8 ?? ?? ?? ?? C6 83 8C 00 00 00 01 8B 43 2C 50 6A FC 8B 43 24 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 18 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B 43 24 50 E8 ?? ?? ?? ?? 6A 00 8B 43 24 50 E8 ?? ?? ?? ?? 8B D8 6A 00 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 00 F0 00 00 53 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0D 6A 00 68 10 F0 00 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9042_0 {
	meta:
		name = "TApplication.ControlDestroyed"
		size = 96
		refs = "0003 Screen 0059 TScreen.UpdateLastActive"
	strings:
		$1 = { 53 56 B9 ?? ?? ?? ?? 3B 50 30 75 05 33 DB 89 58 30 3B 50 34 75 05 33 DB 89 58 34 8B 19 3B 53 58 75 07 8B 19 33 F6 89 73 58 8B 19 3B 53 5C 75 0E 8B 19 33 F6 89 73 5C 8B 19 33 F6 89 73 60 8B 19 3B 53 6C 75 07 8B 19 33 F6 89 73 6C 3B 50 48 75 05 33 D2 89 50 48 8B 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9043_0 {
	meta:
		name = "GetTopMostWindows"
		size = 108
		refs = "0010 GetWindow 0016 Application 0023 GetWindowLong 0043 TWinControl.GetHandle 0056 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 83 CE FF 6A 04 53 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 42 24 75 44 6A EC 53 E8 ?? ?? ?? ?? A8 08 74 31 A1 ?? ?? ?? ?? 8B 78 30 85 FF 74 14 8B 45 0C 80 78 04 00 75 0B 8B C7 E8 ?? ?? ?? ?? 3B D8 74 11 A1 ?? ?? ?? ?? 8B 40 78 8B D3 E8 ?? ?? ?? ?? EB 07 8B 45 0C 89 18 33 F6 8B C6 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9044_0 {
	meta:
		name = "TApplication.DoNormalizeTopMosts"
		size = 149
		refs = "0008 Application 0026 GetTopMostWindows 002b EnumWindows 0040 GetWindow 004d GetWindowLong 007d TList.Get 0083 SetWindowPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 A1 ?? ?? ?? ?? 83 78 24 00 74 7E 83 7B 7C 00 75 75 8B 43 24 89 04 24 88 54 24 04 8B C4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 78 83 78 08 00 74 55 6A 03 8B 44 24 04 50 E8 ?? ?? ?? ?? 8B F0 89 34 24 6A EC 56 E8 ?? ?? ?? ?? A8 08 74 07 C7 04 24 FE FF FF FF 8B 43 78 8B 70 08 4E 83 FE 00 7C 25 6A 13 6A 00 6A 00 6A 00 6A 00 8B 44 24 14 50 8B D6 8B 43 78 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4E 83 FE FF 75 DB FF 43 7C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9047_0 {
	meta:
		name = "TApplication.RestoreTopMosts"
		size = 91
		refs = "0005 Application 003c TList.Get 0042 SetWindowPos 0054 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 83 78 24 00 74 49 83 7B 7C 00 7E 43 FF 4B 7C 83 7B 7C 00 75 3A 8B 43 78 8B 70 08 4E 83 FE 00 7C 22 6A 13 6A 00 6A 00 6A 00 6A 00 6A FF 8B D6 8B 43 78 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4E 83 FE FF 75 DE 8B 43 78 66 BB FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9048_0 {
	meta:
		name = "TApplication.IsRightToLeft"
		size = 24
		refs = "0002 SysLocale"
		altNames = "TApplication.UseRightToLeftReading"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 28 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9050_0 {
	meta:
		name = "TApplication.UseRightToLeftAlignment"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 28 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9051_0 {
	meta:
		name = "TApplication.UseRightToLeftScrollBar"
		size = 26
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 08 8A 40 28 48 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9052_0 {
	meta:
		name = "TApplication.CheckIniChange"
		size = 79
		refs = "0019 SetThreadLocale 001e GetFormatSettings 0029 Screen 002e TScreen.GetMetricSettings 003d TApplication.SetShowHint"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B 02 83 E8 1A 75 3D 80 7E 41 00 74 0F 68 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 42 00 74 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 70 00 74 12 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9053_0 {
	meta:
		name = "Default"
		size = 58
		refs = "002b DefWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 40 08 50 8B 45 08 8B 40 F8 8B 40 04 50 8B 45 08 8B 40 F8 8B 00 50 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 42 0C 5D C3 }
	condition:
		$1
}

rule function_9054_0 {
	meta:
		name = "DrawAppIcon"
		size = 74
		refs = "0016 BeginPaint 0023 TApplication.GetIconHandle 002e DrawIcon 0041 EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8D 45 C0 50 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9055_0 {
	meta:
		name = "TApplication.WndProc"
		size = 1708
		refs = "0013 TApplication.WndProc 0045 TList.Get 006f TApplication.CheckIniChange 01b4 TApplication.Minimize 01c1 TApplication.Restore 01cc Default 01e5 TCustomForm.Close 01f0 Ctl3DHandle 020a Ctl3DColorChange 0228 IsIconic 0232 DrawAppIcon 0261 TApplication.GetIconHandle 0281 PostMessage 02ba TApplication.RestoreTopMosts 02dc TApplication.NormalizeTopMosts 0319 EnableTaskWindows 034e DisableTaskWindows 035f TApplication.NormalizeAllTopMosts 0385 SendMessage 03a2 @Halt0 03df LoadLibrary 040a GetProcAddress 0433 GetLastError 0469 TApplication.DispatchAction 0482 TApplication.IsShortCut 04b0 TWinControl.GetHandle 04c5 IsWindowEnabled 04da IsWindowVisible 04e8 FocusMessages 04ee GetFocus 04fd SetFocus 0516 TControl.Perform 05ae FindTopMostWindow 05d6 TApplication.InvokeHelp 05f7 TApplication.HookMainWindow 060c TApplication.UnhookMainWindow 0644 Mouse 064b TMouse.SettingChanged 066a @HandleAnyException 0675 TApplication.HandleException 067a @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 33 D2 89 50 0C 8B 45 FC 8B 80 90 00 00 00 8B 58 08 4B 85 DB 7C 32 43 33 F6 8B 45 FC 8B 80 90 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B 47 04 FF 17 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 1A 06 00 00 46 4B 75 D1 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 5D F8 8B 1B 8B C3 3D 12 01 00 00 0F 8F 95 00 00 00 0F 84 0A 01 00 00 83 F8 15 7F 51 0F 84 58 01 00 00 83 C0 F9 83 F8 0D 0F 87 B6 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 1C 7F 1D 0F 84 A5 01 00 00 83 E8 16 0F 84 9F 02 00 00 83 E8 04 0F 84 3F 05 00 00 E9 55 05 00 00 83 E8 37 0F 84 51 01 00 00 83 E8 13 0F 84 96 02 00 00 E9 3E 05 00 00 3D 1A B0 00 00 7F 48 0F 84 5F 04 00 00 3D 01 B0 00 00 7F 24 0F 84 2A 04 00 00 05 CE FE FF FF 83 E8 07 0F 82 26 02 00 00 2D C7 AE 00 00 0F 84 E9 03 00 00 E9 06 05 00 00 2D 16 B0 00 00 0F 84 1E 03 00 00 48 0F 84 39 03 00 00 E9 EF 04 00 00 2D 1F B0 00 00 0F 84 51 04 00 00 48 0F 84 64 04 00 00 83 E8 11 0F 84 8E 04 00 00 83 C0 F2 83 E8 02 0F 82 CA 02 00 00 E9 C3 04 00 00 8B 45 F8 8B 40 04 25 F0 FF 00 00 2D 20 F0 00 00 74 09 2D 00 01 00 00 74 0F EB 1A 8B 45 FC E8 ?? ?? ?? ?? E9 A2 04 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 95 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 89 04 00 00 8B 45 FC 8B 40 30 85 C0 0F 84 7B 04 00 00 E8 ?? ?? ?? ?? E9 71 04 00 00 83 3D ?? ?? ?? ?? 00 0F 84 64 04 00 00 83 3D ?? ?? ?? ?? FF 0F 84 57 04 00 00 83 3D ?? ?? ?? ?? 00 0F 84 4A 04 00 00 FF 15 ?? ?? ?? ?? E9 3F 04 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 85 C0 74 0C 55 E8 ?? ?? ?? ?? 59 E9 23 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 17 04 00 00 8B 45 F8 C7 00 27 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 02 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E9 EF 03 00 00 6A 00 6A 00 68 1A B0 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 CE 03 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 40 04 F7 D8 1B C0 F7 D8 8B 55 FC 88 82 85 00 00 00 8B 45 F8 83 78 04 00 74 22 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 00 B0 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E9 87 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 01 B0 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? E9 65 03 00 00 8B 45 F8 83 78 04 00 74 31 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 94 00 00 00 85 C0 74 10 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 94 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 2B 03 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 B8 94 00 00 00 00 75 14 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 F7 02 00 00 8B 75 F8 8B 76 08 56 8B 45 F8 8B 40 04 50 8B 45 F8 81 C3 00 BC 00 00 53 8B 45 F8 56 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E9 CB 02 00 00 8B 45 F8 83 78 04 00 0F 84 BE 02 00 00 E8 ?? ?? ?? ?? E9 B4 02 00 00 8B 45 F8 8B 40 08 81 38 54 44 53 DE 0F 85 A2 02 00 00 8B 45 FC 80 B8 86 00 00 00 00 0F 84 92 02 00 00 8B 45 FC 83 B8 88 00 00 00 00 75 74 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 88 00 00 00 85 DB 74 40 8B 45 F8 33 D2 89 50 0C 68 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 0F 84 45 02 00 00 8B 45 F8 8B 40 08 8B 50 08 52 8B 55 F8 8B 40 04 50 FF D3 E9 2D 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 8B 45 FC 33 D2 89 90 88 00 00 00 E9 12 02 00 00 8B 45 F8 33 D2 89 50 0C E9 05 02 00 00 8B 4D F8 8B 49 08 8B 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 8B 55 F8 89 42 0C E9 E4 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D1 01 00 00 8B 45 F8 C7 40 0C 01 00 00 00 E9 C2 01 00 00 8B 45 FC 8B 40 30 85 C0 0F 84 B4 01 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 A3 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 8E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 79 01 00 00 C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 50 8B 4D F8 8B 49 04 BA 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 8B 45 F8 C7 40 0C 01 00 00 00 E9 29 01 00 00 8B 45 FC 66 83 B8 FA 00 00 00 00 0F 84 18 01 00 00 8B 5D FC 8B 55 FC 8B 83 FC 00 00 00 FF 93 F8 00 00 00 E9 01 01 00 00 8B 45 FC 66 83 B8 F2 00 00 00 00 0F 84 F0 00 00 00 8B 5D FC 8B 55 FC 8B 83 F4 00 00 00 FF 93 F0 00 00 00 E9 D9 00 00 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 85 C0 0F 85 C5 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 3B 42 24 0F 85 B4 00 00 00 33 C0 E8 ?? ?? ?? ?? 85 C0 0F 84 A5 00 00 00 50 E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 4D F8 8B 49 08 8B 55 F8 66 8B 52 04 8B 45 FC E8 ?? ?? ?? ?? E9 80 00 00 00 8B 45 F8 83 78 04 00 75 15 8B 45 F8 8B 40 08 FF 70 04 FF 30 8B 45 FC E8 ?? ?? ?? ?? EB 62 8B 45 F8 8B 40 08 FF 70 04 FF 30 8B 45 FC E8 ?? ?? ?? ?? EB 4D 8B 45 F8 83 78 04 01 75 11 8B 45 FC 8B 80 98 00 00 00 8B 55 F8 89 42 0C EB 33 8B 45 F8 8B 40 08 8B 55 FC 89 82 98 00 00 00 EB 22 8B 55 F8 8B 52 04 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 00 00 00 76 63 6C 74 65 73 74 33 2E 64 6C 6C 00 00 00 00 52 65 67 69 73 74 65 72 41 75 74 6F 6D 61 74 69 6F 6E 00 00 }
	condition:
		$1
}

rule function_9056_0 {
	meta:
		name = "TApplication.GetIconHandle"
		size = 28
		refs = "0007 TIcon.GetHandle 0017 LoadIcon"
	strings:
		$1 = { 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0C 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9057_0 {
	meta:
		name = "TApplication.Minimize"
		size = 71
		refs = "0008 IsIconic 0013 TApplication.NormalizeTopMosts 001c SetActiveWindow 0029 ShowWinNoAnimate"
	strings:
		$1 = { 53 8B D8 8B 43 24 50 E8 ?? ?? ?? ?? 85 C0 75 35 8B C3 E8 ?? ?? ?? ?? 8B 43 24 50 E8 ?? ?? ?? ?? BA 06 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 66 83 BB 02 01 00 00 00 74 0E 8B D3 8B 83 04 01 00 00 FF 93 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_9058_0 {
	meta:
		name = "TApplication.Restore"
		size = 135
		refs = "0009 IsIconic 0016 SetActiveWindow 0023 ShowWinNoAnimate 0040 TCustomForm.SetWindowState 0048 TCustomForm.Show 004f TApplication.RestoreTopMosts 0054 Screen 0062 TWinControl.GetHandle 0068 SetFocus"
	strings:
		$1 = { 53 56 8B D8 8B 43 24 50 E8 ?? ?? ?? ?? 85 C0 74 73 8B 43 24 50 E8 ?? ?? ?? ?? BA 09 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 8B 43 30 85 C0 74 1E 80 B8 0B 02 00 00 01 75 15 80 78 47 00 75 0F 33 D2 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 58 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 83 BB 0A 01 00 00 00 74 0E 8B D3 8B 83 0C 01 00 00 FF 93 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9059_0 {
	meta:
		name = "TApplication.BringToFront"
		size = 57
		refs = "000d GetLastActivePopup 001e IsWindowVisible 0028 IsWindowEnabled 0032 SetForegroundWindow"
	strings:
		$1 = { 53 56 8B D8 8B 43 24 85 C0 74 2B 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1F 3B 73 24 74 1A 56 E8 ?? ?? ?? ?? 85 C0 74 10 56 E8 ?? ?? ?? ?? 85 C0 74 06 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9060_0 {
	meta:
		name = "TApplication.GetTitle"
		size = 72
		refs = "0024 GetWindowText 002f @LStrFromPCharLen 003b @LStrLAsg"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 80 BB 8C 00 00 00 00 74 20 68 00 01 00 00 8D 44 24 04 50 8B 43 24 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 74 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9061_0 {
	meta:
		name = "TApplication.SetIcon"
		size = 12
	strings:
		$1 = { 8B 80 80 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_9062_0 {
	meta:
		name = "TApplication.SetBiDiMode"
		size = 63
		refs = "000b Screen 0010 TScreen.GetFormCount 0028 TScreen.GetForm 0034 TControl.Perform"
	strings:
		$1 = { 53 56 3A 50 28 74 35 88 50 28 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 6A 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA 3D B0 00 00 E8 ?? ?? ?? ?? 46 4B 75 E2 5E 5B C3 }
	condition:
		$1
}

rule function_9063_0 {
	meta:
		name = "TApplication.SetTitle"
		size = 48
		refs = "0012 @LStrToPChar 001c SetWindowText 0029 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 8C 00 00 00 00 74 14 8B C6 E8 ?? ?? ?? ?? 50 8B 43 24 50 E8 ?? ?? ?? ?? 5E 5B C3 8D 43 74 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9064_0 {
	meta:
		name = "TApplication.SetHandle"
		size = 64
		refs = "001c TApplication.CheckIniChange 0023 TApplication.UnhookMainWindow 0039 TApplication.HookMainWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 8C 00 00 00 00 75 2E 3B 73 24 74 29 83 7B 24 00 74 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 24 85 C0 74 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9065_0 {
	meta:
		name = "TApplication.IsDlgMsg"
		size = 36
		refs = "0016 IsDialogMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 C0 8B B3 98 00 00 00 85 F6 74 0D 57 56 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9066_0 {
	meta:
		name = "TApplication.IsIdleMessage"
		size = 90
	strings:
		$1 = { 56 57 8B 4A 04 81 F9 00 02 00 00 74 08 81 F9 A0 00 00 00 75 39 8B 4A 04 3B 88 A0 00 00 00 75 1A 8B 4A 14 3B 88 B0 00 00 00 75 0F 8B 4A 18 3B 88 B4 00 00 00 75 04 33 C0 EB 1D 8B F2 8D B8 9C 00 00 00 B9 07 00 00 00 F3 A5 B0 01 5F 5E C3 81 F9 18 01 00 00 0F 95 C0 5F 5E C3 }
	condition:
		$1
}

rule function_9067_0 {
	meta:
		name = "TApplication.IsMDIMsg"
		size = 78
		refs = "001b Screen 0040 TranslateMDISysAccel"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 C0 8B 73 30 85 F6 74 3A 80 BE 0F 02 00 00 02 75 31 8B 15 ?? ?? ?? ?? 83 7A 60 00 74 25 8B 15 ?? ?? ?? ?? 8B 52 60 80 BA 0F 02 00 00 01 75 13 57 8B 86 34 02 00 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9068_0 {
	meta:
		name = "TApplication.IsKeyMsg"
		size = 147
		refs = "001c GetCapture 0038 TWinControl.GetHandle 0051 SendMessage 0061 GetWindowLong 0067 HInstance"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 33 DB 8B 47 04 3D 00 01 00 00 72 78 3D 08 01 00 00 77 71 E8 ?? ?? ?? ?? 8B F0 85 F6 75 37 8B 37 8B 45 30 85 C0 74 0F 3B B0 34 02 00 00 75 07 E8 ?? ?? ?? ?? 8B F0 8B 47 0C 50 8B 47 08 50 8B 47 04 05 00 BC 00 00 50 56 E8 ?? ?? ?? ?? 85 C0 74 33 B3 01 EB 2F 6A FA 56 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 1D 8B 47 0C 50 8B 47 08 50 8B 47 04 05 00 BC 00 00 50 56 E8 ?? ?? ?? ?? 85 C0 74 02 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9069_0 {
	meta:
		name = "TApplication.IsHintMsg"
		size = 47
		refs = "0024 TApplication.CancelHint"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 33 DB 8B 75 6C 85 F6 74 17 8B D7 8B C6 8B 08 FF 91 C8 00 00 00 84 C0 74 07 8B C5 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9070_0 {
	meta:
		name = "TApplication.IsShortCut"
		size = 105
		refs = "0037 TWinControl.GetHandle 003d IsWindowEnabled 004f @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 C6 04 24 00 66 83 BE 12 01 00 00 00 74 10 8B CC 8B D5 8B 86 14 01 00 00 FF 96 10 01 00 00 80 3C 24 00 75 2E 8B 7E 30 85 FF 74 23 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 12 8B D5 8B 46 30 66 BB B1 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 04 24 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9071_0 {
	meta:
		name = "TApplication.ProcessMessage"
		size = 152
		refs = "0014 PeekMessage 0047 TApplication.IsHintMsg 005a TApplication.IsMDIMsg 0067 TApplication.IsKeyMsg 0074 TApplication.IsDlgMsg 007e TranslateMessage 0084 DispatchMessage"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 33 DB 6A 01 6A 00 6A 00 6A 00 57 E8 ?? ?? ?? ?? 85 C0 74 75 B3 01 83 7F 04 12 74 66 C6 04 24 00 66 83 BE D2 00 00 00 00 74 10 8B CC 8B D7 8B 86 D4 00 00 00 FF 96 D0 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 42 80 3C 24 00 75 3C 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2F 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 22 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 15 57 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? EB 07 C6 86 84 00 00 00 01 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9072_0 {
	meta:
		name = "TApplication.ProcessMessages"
		size = 24
		refs = "000b TApplication.ProcessMessage"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 F3 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_9073_0 {
	meta:
		name = "TApplication.HandleMessage"
		size = 33
		refs = "000b TApplication.ProcessMessage 0018 TApplication.Idle"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_9074_0 {
	meta:
		name = "TApplication.HookMainWindow"
		size = 91
		refs = "0023 SendMessage 0030 TList.Expand 003a @GetMem 0052 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB 8C 00 00 00 00 75 1A 8B 43 24 85 C0 74 40 8D 55 08 52 6A 00 68 20 B0 00 00 50 E8 ?? ?? ?? ?? EB 2D 8B 83 90 00 00 00 E8 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 10 8B 55 0C 89 50 04 8B D0 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9075_0 {
	meta:
		name = "TApplication.UnhookMainWindow"
		size = 124
		refs = "0025 SendMessage 0045 TList.Get 005e @FreeMem 006b TList.Delete"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 80 BB 8C 00 00 00 00 75 1A 8B 43 24 85 C0 74 5D 8D 55 08 52 6A 01 68 20 B0 00 00 50 E8 ?? ?? ?? ?? EB 4A 8B 83 90 00 00 00 8B 78 08 4F 85 FF 7C 3C 47 33 F6 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 10 3B 55 08 75 21 8B 55 0C 3B 50 04 75 19 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? EB 04 46 4F 75 C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9076_0 {
	meta:
		name = "TApplication.Initialize"
		size = 23
		refs = "0002 InitProc"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? 83 38 00 74 0A 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_9077_0 {
	meta:
		name = "TApplication.CreateForm"
		size = 125
		refs = "001e TApplication.CreateForm 003f @HandleAnyException 004b @RaiseAgain 0050 @DoneExcept 005e _DV_TForm 0063 @IsClass 0070 TWinControl.HandleNeeded"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B C3 FF 50 F4 8B D8 8B 45 FC 89 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 83 CA FF 8B C3 8B 38 FF 57 2C 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 30 00 75 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B FB 8B C7 E8 ?? ?? ?? ?? 89 7E 30 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9078_0 {
	meta:
		name = "TApplication.Run"
		size = 180
		refs = "0015 TApplication.Run 0020 DoneApplication 0025 AddExitProc 0035 CmdShow 0051 TCustomForm.SetWindowState 0071 TApplication.Minimize 007a TCustomForm.SetVisible 0082 TApplication.HandleMessage 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 8D 00 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 85 C0 74 5F 8B 15 ?? ?? ?? ?? 8B 12 83 EA 03 74 0E 83 EA 04 75 10 C6 80 0B 02 00 00 01 EB 07 B2 02 E8 ?? ?? ?? ?? 8B 45 FC 80 78 43 00 74 20 8B 45 FC 8B 40 30 80 B8 0B 02 00 00 01 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 07 B2 01 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 74 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 8D 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_9079_0 {
	meta:
		name = "TApplication.Terminate"
		size = 17
		refs = "0001 CallTerminateProcs 000c PostQuitMessage"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 74 07 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9080_0 {
	meta:
		name = "TApplication.HandleException"
		size = 142
		refs = "0007 GetCapture 001c SendMessage 0021 ExceptObject 0027 _Dn_Exception 002c @IsClass 003b _Dn_EAbort 0073 TApplication.ShowException 007b ExceptAddr 0087 ShowException"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 43 66 83 BB CA 00 00 00 00 74 17 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 CC 00 00 00 FF 93 C8 00 00 00 EB 22 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9081_0 {
	meta:
		name = "TApplication.MessageBox"
		size = 344
		refs = "0014 GetActiveWindow 0022 MonitorFromWindow 005a GetMonitorInfo 006e GetWindowRect 00a6 SetWindowPos 00ad DisableTaskWindows 00b8 TApplication.UseRightToLeftReading 00ca TApplication.MessageBox 00df MessageBox 0137 EnableTaskWindows 0140 SetActiveWindow 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 E8 ?? ?? ?? ?? 89 45 F4 6A 02 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 EC 6A 02 8B 45 FC 8B 40 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 E8 8B 45 EC 3B 45 E8 74 60 C7 45 C0 28 00 00 00 8D 45 C0 50 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8D 45 B0 50 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 6A 1D 6A 00 6A 00 8B 4D D0 8B 55 C8 2B CA D1 F9 79 03 83 D1 00 03 CA 51 8B 55 CC 8B 45 C4 2B D0 D1 FA 79 03 83 D2 00 03 D0 52 6A 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 81 CB 00 00 10 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 53 57 56 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 74 38 6A 1D 6A 00 6A 00 8B 4D BC 8B 55 B4 2B CA D1 F9 79 03 83 D1 00 03 CA 51 8B 55 B8 8B 45 B0 2B D0 D1 FA 79 03 83 D2 00 03 D0 52 6A 00 8B 45 FC 8B 40 24 50 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A7 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9082_0 {
	meta:
		name = "TApplication.ShowException"
		size = 216
		refs = "001e TApplication.ShowException 002f @LStrLAsg 003d AnsiLastChar 004a @_CToPasStr 005a @PStrCmp 0069 @LStrCat 0078 TApplication.GetTitle 0083 @LStrToPChar 0096 TApplication.MessageBox 00ae @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? 83 7D FC 00 74 34 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 8D 85 FC FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 76 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 10 8D 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 01 2E 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_9083_0 {
	meta:
		name = "TApplication.InvokeHelp"
		size = 298
		refs = "0018 Screen 0083 TWinControl.HandleAllocated 0097 TWinControl.GetHandle 00af @LStrToPChar 00b6 WinHelp 011d PostMessage"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 4C 24 04 66 89 14 24 8B F0 33 DB C6 44 24 08 01 A1 ?? ?? ?? ?? 8B 78 5C 85 FF 74 28 66 83 BF 86 02 00 00 00 74 1E 8D 44 24 08 50 8B 4C 24 08 66 8B 54 24 04 8B 87 88 02 00 00 FF 97 84 02 00 00 8B D8 EB 26 66 83 BE DA 00 00 00 00 74 1C 8D 44 24 08 50 8B 4C 24 08 66 8B 54 24 04 8B 86 DC 00 00 00 FF 96 D8 00 00 00 8B D8 80 7C 24 08 00 0F 84 A5 00 00 00 85 FF 74 44 8B C7 E8 ?? ?? ?? ?? 84 C0 74 39 83 BF 1C 02 00 00 00 74 30 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 44 24 04 50 0F B7 44 24 04 50 8B 87 1C 02 00 00 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8B D8 EB 5D 83 7E 38 00 74 35 8B 5E 24 8B 46 30 85 C0 74 07 E8 ?? ?? ?? ?? 8B D8 8B 44 24 04 50 0F B7 44 24 04 50 8B 46 38 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8B D8 EB 22 80 BE 8C 00 00 00 00 75 19 8B 44 24 04 50 0F B7 44 24 04 50 68 1F B0 00 00 8B 46 24 50 E8 ?? ?? ?? ?? 8B C3 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9084_0 {
	meta:
		name = "TApplication.HelpContext"
		size = 12
		refs = "0007 TApplication.InvokeHelp"
	strings:
		$1 = { 8B CA 66 BA 01 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9086_0 {
	meta:
		name = "TApplication.HelpJump"
		size = 120
		refs = "0018 TApplication.InvokeHelp 003a TApplication.HelpJump 0048 StrLFmt"
	strings:
		$1 = { 53 56 57 81 C4 F8 FE FF FF 8B FA 8B F0 B3 01 33 C9 66 BA 03 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B 89 BC 24 00 01 00 00 C6 84 24 04 01 00 00 0B 8D 84 24 00 01 00 00 50 6A 00 B9 ?? ?? ?? ?? 8D 44 24 08 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 66 BA 02 01 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 81 C4 08 01 00 00 5F 5E 5B C3 00 4A 75 6D 70 49 44 28 22 22 2C 22 25 73 22 29 00 }
	condition:
		$1
}

rule function_9088_0 {
	meta:
		name = "TApplication.SetShowHint"
		size = 63
		refs = "0017 HintWindowClass 0029 TControl.SetColor 0033 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 3A 53 70 74 33 8B C2 88 43 70 84 C0 74 1D 8B CB B2 01 A1 ?? ?? ?? ?? FF 50 2C 8B F0 89 73 6C 8B 53 44 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 43 6C E8 ?? ?? ?? ?? 33 C0 89 43 6C 5E 5B C3 }
	condition:
		$1
}

rule function_9089_0 {
	meta:
		name = "TApplication.SetHintColor"
		size = 26
		refs = "0015 TControl.SetColor"
	strings:
		$1 = { 3B 50 44 74 14 8B CA 89 48 44 8B 50 6C 85 D2 74 08 8B C1 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9090_0 {
	meta:
		name = "TApplication.DoActionIdle"
		size = 100
		refs = "0004 Screen 0009 TScreen.GetCustomFormCount 001f TScreen.GetCustomForms 0028 TWinControl.HandleAllocated 0033 TWinControl.GetHandle 0039 IsWindowVisible 004a IsWindowEnabled"
	strings:
		$1 = { 53 56 57 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4C 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C3 8B 10 FF 92 BC 00 00 00 47 4E 75 B7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9091_0 {
	meta:
		name = "TApplication.DoMouseIdle"
		size = 132
		refs = "000a GetCursorPos 0013 FindDragTarget 0026 GetCaptureControl 0051 TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 54 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 8B F0 85 F6 74 08 F6 46 20 10 74 02 33 F6 E8 ?? ?? ?? ?? 8B F8 3B 73 34 74 4B 83 7B 34 00 74 04 85 FF 74 09 85 FF 74 16 3B 7B 34 75 11 6A 00 33 C9 BA 14 B0 00 00 8B 43 34 E8 ?? ?? ?? ?? 89 73 34 83 7B 34 00 74 04 85 FF 74 09 85 FF 74 16 3B 7B 34 75 11 6A 00 33 C9 BA 13 B0 00 00 8B 43 34 E8 ?? ?? ?? ?? 8B C6 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9092_0 {
	meta:
		name = "TApplication.Idle"
		size = 281
		refs = "001a TApplication.Idle 0028 TApplication.DoMouseIdle 0044 TApplication.CancelHint 004e GetHint 0059 GetLongHint 0061 Application 0066 TApplication.SetHint 00aa TApplication.IsIdleMessage 00b6 TApplication.DoActionIdle 00c5 @HandleOnException 00cd _Dn_Exception 00dc TApplication.HandleException 00e1 @DoneExcept 00ec WaitMessage 0106 @LStrArrayClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 80 78 70 00 74 11 8B 45 FC 83 78 34 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 EA 00 00 00 00 74 15 8D 4D FB 8B 5D FC 8B 55 FC 8B 83 EC 00 00 00 FF 93 E8 00 00 00 80 7D FB 00 74 16 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9093_0 {
	meta:
		name = "TApplication.NotifyForms"
		size = 57
		refs = "0006 Screen 000b TScreen.GetFormCount 0023 TScreen.GetForm 002d TControl.Perform"
	strings:
		$1 = { 53 56 57 8B FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 6A 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D7 33 C9 E8 ?? ?? ?? ?? 46 4B 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9094_0 {
	meta:
		name = "TApplication.IconChanged"
		size = 78
		refs = "0004 NewStyleControls 0010 TApplication.GetIconHandle 0021 SendMessage 002c IsIconic 003d InvalidateRect 0048 TApplication.NotifyForms"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 1A 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B 43 24 50 E8 ?? ?? ?? ?? EB 1A 8B 43 24 50 E8 ?? ?? ?? ?? 85 C0 74 0D 6A FF 6A 00 8B 43 24 50 E8 ?? ?? ?? ?? 66 BA 1D B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9095_0 {
	meta:
		name = "TApplication.SetHint"
		size = 145
		refs = "0010 @LStrCmp 001c @LStrAsg 003f _Dn_THintAction 0044 THintAction.Create 0051 TCustomAction.SetHint 0059 TApplication.SetHint 006b @CallDynaInst 0080 TObject.Free 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 3C 8B D6 E8 ?? ?? ?? ?? 74 76 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 66 83 BB E2 00 00 00 00 74 10 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 EB 52 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9096_0 {
	meta:
		name = "SetVisible"
		size = 90
		refs = "0011 IsWindowVisible 001d AppVisible 0033 ShowFlags 004d SetWindowPos"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 3A 05 ?? ?? ?? ?? 75 34 3A 1D ?? ?? ?? ?? 74 2C 33 C0 8A C3 0F B7 04 45 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 40 24 50 E8 ?? ?? ?? ?? 88 1D ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_9097_0 {
	meta:
		name = "TApplication.UpdateVisible"
		size = 85
		refs = "0013 Screen 0018 TScreen.GetFormCount 002e TScreen.GetForm 003c SetVisible"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 83 78 24 00 74 3E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 47 00 74 0B 55 B0 01 E8 ?? ?? ?? ?? 59 EB 0D 46 4B 75 DF 55 33 C0 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9098_0 {
	meta:
		name = "TApplication.StartHintTimer"
		size = 56
		refs = "000c TApplication.StopHintTimer 0011 HintTimerProc 001b SetTimer 0030 TApplication.CancelHint"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 00 6A 00 E8 ?? ?? ?? ?? 66 89 47 72 88 5F 71 66 83 7F 72 00 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9099_0 {
	meta:
		name = "TApplication.StopHintTimer"
		size = 31
		refs = "0013 KillTimer"
	strings:
		$1 = { 53 8B D8 66 8B 43 72 66 85 C0 74 11 0F B7 C0 50 6A 00 E8 ?? ?? ?? ?? 66 C7 43 72 00 00 5B C3 }
	condition:
		$1
}

rule function_9100_0 {
	meta:
		name = "TApplication.HintMouseMessage"
		size = 268
		refs = "0015 SmallPointToPoint 0024 TControl.ClientToScreen 002f FindDragTarget 0034 GetHintControl 004a TApplication.CancelHint 0080 PtInRect 00b5 TControl.Perform 00d6 GetCursorPos 00e1 TApplication.ActivateHint 0100 TApplication.StartHintTimer"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B E9 8B FA 8B F0 8D 54 24 18 8B 45 08 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 10 8B C7 E8 ?? ?? ?? ?? 8D 44 24 10 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 80 BB 85 00 00 00 00 75 0C 8B C6 E8 ?? ?? ?? ?? E9 B1 00 00 00 3B 5E 48 75 30 8D 54 24 18 8B 45 08 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 10 8B C7 E8 ?? ?? ?? ?? FF 74 24 14 FF 74 24 14 8D 46 4C 50 E8 ?? ?? ?? ?? 85 C0 75 7C 8A 46 40 88 44 24 04 80 7C 24 04 00 74 08 8B 46 68 89 04 24 EB 06 8B 46 60 89 04 24 8B C4 50 33 C9 8A 4C 24 08 BA 41 B0 00 00 8B C3 E8 ?? ?? ?? ?? 80 7C 24 04 00 74 27 83 3C 24 00 75 21 8A 44 24 04 88 46 40 89 5E 48 8D 44 24 08 50 E8 ?? ?? ?? ?? 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 1D 8B C6 E8 ?? ?? ?? ?? 8A 44 24 04 88 46 40 89 5E 48 33 C9 8B 14 24 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9101_0 {
	meta:
		name = "TApplication.HintTimerExpired"
		size = 50
		refs = "0009 TApplication.StopHintTimer 0019 TApplication.HideHint 0021 GetCursorPos 002a TApplication.ActivateHint"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 43 71 2C 01 72 0B 75 18 8B C3 E8 ?? ?? ?? ?? EB 0F 54 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_9102_0 {
	meta:
		name = "TApplication.HideHint"
		size = 59
		refs = "000e TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 IsWindowVisible 0034 ShowWindow"
	strings:
		$1 = { 53 56 8B D8 8B 73 6C 85 F6 74 2D 8B C6 E8 ?? ?? ?? ?? 84 C0 74 22 8B 43 6C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 10 6A 00 8B 43 6C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9103_0 {
	meta:
		name = "TApplication.CancelHint"
		size = 39
		refs = "000c TApplication.HideHint 001a UnhookHintHooks 0021 TApplication.StopHintTimer"
	strings:
		$1 = { 53 8B D8 83 7B 48 00 74 1C 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 48 C6 43 40 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9104_0 {
	meta:
		name = "FindScanline"
		size = 15
	strings:
		$1 = { 51 89 D1 89 FA 89 C7 58 F3 AE 89 C8 89 D7 C3 }
	condition:
		$1
}

rule function_9105_0 {
	meta:
		name = "GetCursorHeightMargin"
		size = 339
		refs = "000c GetSystemMetrics 001c GetCursor 0022 GetIconInfo 0032 GetCursorHeightMargin 0046 GetDIBSizes 0051 AllocMem 0078 GetDIB 00be FindScanline 010e @FreeMem 0114 @HandleFinally 0130 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 6A 0E A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 FC 8D 45 D8 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 1B 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 8D 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 03 45 F4 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F0 03 5D F8 53 8B 75 F0 8B CE 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 77 8B 45 F0 66 83 78 0E 01 75 6D 8B 46 04 8B D0 0F B7 4E 0E 0F AF D1 83 C2 1F 83 E2 E0 85 D2 79 03 83 C2 07 C1 FA 03 89 55 EC 8B F8 0F AF 7D EC 03 5D F4 2B DF B9 FF 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 1C 8B 46 08 8B 56 04 03 D2 3B C2 7C 10 8B C3 2B C7 33 C9 8B D7 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 99 F7 7D EC 89 45 FC 8B 45 E0 29 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 03 55 F4 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 E4 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9106_0 {
	meta:
		name = "ValidateHintWindow"
		size = 84
		refs = "000d HintWindowClass 0024 TObject.ClassType 0036 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 DB 75 06 8B 1D ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 70 6C 85 F6 74 0E 8B 45 08 8B C6 E8 ?? ?? ?? ?? 3B D8 74 24 8B 45 08 8B 40 FC 8B 40 6C E8 ?? ?? ?? ?? 8B 45 08 8B 48 FC B2 01 8B C3 FF 50 2C 8B 55 08 8B 52 FC 89 42 6C 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9107_0 {
	meta:
		name = "TApplication.ActivateHint"
		size = 917
		refs = "0029 THintInfo 002e @InitializeRecord 0039 TApplication.ActivateHint 0062 ForegroundTask 0074 FindDragTarget 0079 GetHintControl 009d GetCursorHeightMargin 00a5 Screen 00aa TScreen.GetWidth 00c2 TControl.GetBoundsRect 010d _Dn_TWinControl 0112 @IsClass 012f ClientToScreen 0146 OffsetRect 0159 TControl.ScreenToClient 017b GetHint 018c GetShortHint 019a @LStrLAsg 01ac HintWindowClass 01c9 TControl.Perform 0220 ValidateHintWindow 026d @CallDynaInst 0284 TCanvas.TextWidth 02b6 TControl.ClientToScreen 02fe TControl.SetColor 031a HookHintHooks 032c TApplication.StartHintTimer 0357 TApplication.CancelHint 0374 @LStrArrayClr 0382 @FinalizeRecord 0388 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 57 33 C9 89 8D 74 FF FF FF 89 8D 70 FF FF FF 8B F2 8D 7D F4 A5 A5 89 45 FC 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 C6 40 40 00 8B 06 80 78 70 00 0F 84 EB 02 00 00 8B 06 83 78 48 00 0F 84 DF 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 D2 02 00 00 8D 45 F4 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 3B 42 48 0F 85 B8 02 00 00 8B 06 8B 40 48 89 45 A0 8B 45 F4 89 45 A8 8B 45 F8 89 45 AC E8 ?? ?? ?? ?? 01 45 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 8B 06 8B 40 44 89 45 B4 8D 55 80 8B 06 8B 40 48 E8 ?? ?? ?? ?? 56 8D 75 80 8D 7D B8 B9 04 00 00 00 F3 A5 5E 8D 55 EC 8B 06 8B 40 48 8B 08 FF 51 40 33 C0 89 45 E4 33 C0 89 45 E8 8B 06 8B 40 48 8B 58 24 85 DB 74 0C 8D 55 E4 8B C3 8B 08 FF 51 40 EB 2F 8B 06 8B 58 48 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 83 BB 68 01 00 00 00 74 10 8D 45 E4 50 8B 83 68 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 E8 2B 45 F0 50 8B 45 E4 2B 45 EC 50 8D 45 B8 50 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8D 55 F4 8B 06 8B 40 48 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 C8 8B 85 7C FF FF FF 89 45 CC 8D 95 70 FF FF FF 8B 06 8B 40 48 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 D8 E8 ?? ?? ?? ?? 33 C0 89 45 D0 8B 06 8B 40 5C 89 45 D4 A1 ?? ?? ?? ?? 89 45 A4 33 C0 89 45 DC 8D 45 A0 50 8B 06 8B 40 48 33 C9 BA 30 B0 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 45 E3 80 7D E3 00 74 24 8B 06 66 83 B8 1A 01 00 00 00 74 18 8D 45 A0 50 8D 4D E3 8D 55 D8 8B 1E 8B 83 1C 01 00 00 FF 93 18 01 00 00 8B 06 8A 55 E3 88 50 40 8B 06 80 78 40 00 0F 84 2F 01 00 00 83 7D D8 00 0F 84 25 01 00 00 55 8B 45 A4 E8 ?? ?? ?? ?? 59 8B 06 8B 40 48 8A 50 4F 8B 06 8B 40 6C 8B 08 FF 51 6C 8B 45 DC 50 8D 45 90 50 8B 06 8B 40 6C 8B 4D D8 8B 55 B0 8B 18 FF 93 C4 00 00 00 8B 45 AC 50 8B 45 A8 50 8D 45 90 50 E8 ?? ?? ?? ?? 8B 06 8B 40 6C 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 32 8B 06 8B 40 6C 8B 80 EC 01 00 00 8B 55 D8 E8 ?? ?? ?? ?? 83 C0 05 29 45 90 8B 06 8B 40 6C 8B 80 EC 01 00 00 8B 55 D8 E8 ?? ?? ?? ?? 83 C0 05 29 45 98 8D 8D 78 FF FF FF 8D 55 B8 8B 06 8B 40 48 E8 ?? ?? ?? ?? 8B 06 8B 95 78 FF FF FF 89 50 4C 8B 95 7C FF FF FF 89 50 50 8D 8D 78 FF FF FF 8D 55 C0 8B 06 8B 40 48 E8 ?? ?? ?? ?? 8B 06 8B 95 78 FF FF FF 89 50 54 8B 95 7C FF FF FF 89 50 58 8B 06 8B 40 6C 8B 55 B4 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 06 8B 40 6C 8B 4D D8 8D 55 90 8B 18 FF 93 C0 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 85 C0 7E 0D 33 C9 8B D0 8B 06 E8 ?? ?? ?? ?? EB 29 B1 01 8B 55 D4 8B 06 E8 ?? ?? ?? ?? EB 1B 8B 45 D0 85 C0 7E 0D 33 C9 8B D0 8B 06 E8 ?? ?? ?? ?? EB 07 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9108_0 {
	meta:
		name = "TApplication.GetCurrentHelpFile"
		size = 57
		refs = "0008 Screen 0025 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 A1 ?? ?? ?? ?? 8B 58 5C 85 DB 74 18 83 BB 1C 02 00 00 00 74 0F 8B C7 8B 93 1C 02 00 00 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 56 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9109_0 {
	meta:
		name = "TApplication.GetDialogHandle"
		size = 35
		refs = "0017 SendMessage"
	strings:
		$1 = { 80 B8 8C 00 00 00 00 75 13 6A 00 6A 01 68 31 B0 00 00 8B 40 24 50 E8 ?? ?? ?? ?? C3 8B 80 98 00 00 00 C3 }
	condition:
		$1
}

rule function_9110_0 {
	meta:
		name = "TApplication.SetDialogHandle"
		size = 41
		refs = "001c SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 8C 00 00 00 00 75 11 56 6A 00 68 31 B0 00 00 8B 43 24 50 E8 ?? ?? ?? ?? 89 B3 98 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9111_0 {
	meta:
		name = "TApplication.DispatchAction"
		size = 143
		refs = "000f Screen 0024 TControl.Perform 005c _Dn_TCustomAction 0061 @IsClass 0080 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 89 14 24 8B F0 A1 ?? ?? ?? ?? 8B 78 60 85 FF 74 11 53 33 C9 8B 54 24 04 8B C7 E8 ?? ?? ?? ?? 48 74 20 8B 6E 30 3B FD 74 15 85 ED 74 11 53 33 C9 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 48 74 04 33 C0 EB 02 B0 01 88 44 24 04 80 7C 24 04 00 75 2C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 80 7B 51 00 74 15 80 7B 48 00 74 0F 66 83 7B 2E 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8A 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9112_0 {
	meta:
		name = "TApplication.ExecuteAction"
		size = 38
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 BA 00 00 00 00 74 10 8B CC 8B D8 8B 83 BC 00 00 00 FF 93 B8 00 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_9113_0 {
	meta:
		name = "TApplication.UpdateAction"
		size = 38
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 C2 00 00 00 00 74 10 8B CC 8B D8 8B 83 C4 00 00 00 FF 93 C0 00 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_9115_0 {
	meta:
		name = "Finalization"
		size = 82
		refs = "0007 Finalization 0013 _DV_31 001b Application 0023 DoneApplication 0029 HintDoneEvent 0037 CloseHandle 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 22 83 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9116_0 {
	meta:
		name = "Forms"
		size = 31
		refs = "0002 _DV_31 000a _NF__AF2 000f @InitImports 0014 FindGlobalComponent"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9117_0 {
	meta:
		name = "TGanttSeries.Create"
		size = 273
		refs = "0015 @ClassCreate 0022 TGanttSeries.Create 0031 TPointSeries.Create 004a TeeMsg_ValuesGanttStart 004f LoadResString 0059 TChartValueList.SetDateTime 006a TeeMsg_ValuesGanttEnd 007c _Dn_TChartValueList 0081 TChartValueList.Create 009a TeeMsg_ValuesGanttNextTask 00c4 TSeriesPointer.SetStyle 00cb TChartSeries.CreateChartPen 00e6 @LStrClr 00ec @HandleFinally 00fb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 EC 00 00 00 00 C6 83 D0 00 00 00 00 8B 43 70 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 43 70 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 01 00 00 33 D2 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 34 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9118_0 {
	meta:
		name = "TGanttSeries.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TCustomSeries.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9121_0 {
	meta:
		name = "TGanttSeries.SetConnectingPen"
		size = 12
		altNames = "TPieSeries.SetOtherSlice"
	strings:
		$1 = { 8B 80 34 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_9122_0 {
	meta:
		name = "TGanttSeries.AddGanttColor"
		size = 95
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 FF 75 1C FF 75 18 FF 75 0C FF 75 08 8B 4D FC 8B C6 8B 18 FF 93 8C 00 00 00 8B D8 8B 86 2C 01 00 00 8B 55 10 89 50 30 8B 55 14 89 50 34 8B 86 30 01 00 00 33 D2 89 50 30 C7 40 34 00 00 F0 BF 8B D3 8B C6 8B 08 FF 91 D8 00 00 00 8B C3 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_9123_0 {
	meta:
		name = "TGanttSeries.AddGantt"
		size = 35
		refs = "001b TGanttSeries.AddGanttColor"
	strings:
		$1 = { 55 8B EC FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 B9 00 00 00 80 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_9124_0 {
	meta:
		name = "GanttSampleStr"
		size = 195
		refs = "000f GanttSampleStr 003a TeeMsg_GanttSample1 003f LoadResString 0048 TeeMsg_GanttSample2 0056 TeeMsg_GanttSample3 0064 TeeMsg_GanttSample4 0072 TeeMsg_GanttSample5 0080 TeeMsg_GanttSample6 008e TeeMsg_GanttSample7 009c TeeMsg_GanttSample8 00aa TeeMsg_GanttSample9 00b8 TeeMsg_GanttSample10"
	strings:
		$1 = { 53 8B DA 83 F8 08 0F 87 A9 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9125_0 {
	meta:
		name = "TGanttSeries.FillSampleValues"
		size = 372
		refs = "0016 TGanttSeries.FillSampleValues 0030 @RandInt 003c MinLong 0068 Date 00ce GanttSampleStr 00d8 TGanttSeries.AddGantt 00f3 TChartValueList.GetValue 012a TChartValueList.SetValue 0143 TChartSeries.RefreshSeries 0158 @LStrClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 90 00 00 00 B8 14 00 00 00 E8 ?? ?? ?? ?? 8B D0 83 C2 0A 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8C F8 00 00 00 40 89 45 E4 C7 45 F8 00 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 DB 45 E0 DB 7D D4 9B E8 ?? ?? ?? ?? 8B 45 F8 8D 04 40 89 45 D0 DB 45 D0 DE C1 DB 6D D4 DE C1 DD 5D F0 9B B8 10 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 DB 45 E0 DD 45 F0 D8 05 ?? ?? ?? ?? DE C1 DD 5D E8 9B 8B 45 F8 B9 0A 00 00 00 99 F7 F9 8B DA FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 89 5D E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 7D FC 4F 85 FF 7C 4D 47 33 DB 8B D3 8B 86 30 01 00 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 75 2E 8B D3 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? DC 5D F0 DF E0 9E 73 19 DB 45 FC 83 C4 F8 DD 1C 24 9B 8B D3 8B 86 30 01 00 00 E8 ?? ?? ?? ?? EB 04 43 4F 75 B6 FF 45 F8 FF 4D E4 0F 85 13 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 10 41 00 00 80 BF }
	condition:
		$1
}

rule function_9126_0 {
	meta:
		name = "TGanttSeries.ClickedPointer"
		size = 89
		refs = "001f TChartValueList.GetValue 002d TChartSeries.CalcXPosValue"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 3B 75 FC 7C 35 8B D7 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 3B F0 7F 16 8B 45 10 2B 45 08 99 33 C2 2B C2 8B 93 F8 00 00 00 3B 42 20 7C 04 33 C0 EB 02 B0 01 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_9127_0 {
	meta:
		name = "TGanttSeries.DrawValue"
		size = 463
		refs = "0036 TSeriesPointer.PrepareCanvas 0051 TChartValueList.GetValue 005f TChartSeries.CalcXPosValue 00e8 TSeriesPointer.DrawPointer 010a @ROUND 011b TChartSeries.Count 0143 TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8B D8 8B BB F8 00 00 00 80 7F 24 00 0F 84 AC 01 00 00 8B 43 54 8B 80 5C 02 00 00 89 44 24 14 8B D6 8B C3 8B 08 FF 51 60 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 D0 00 00 00 8B F8 8B D6 8B 83 2C 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 2B C7 D1 F8 79 03 83 D0 00 89 44 24 08 8B D6 8B C3 8B 08 FF 91 D4 00 00 00 89 44 24 04 66 83 BB 0A 01 00 00 00 74 16 8B CE 8B D3 8B 83 0C 01 00 00 FF 93 08 01 00 00 88 44 24 10 EB 0D 8B 83 F8 00 00 00 8A 40 1C 88 44 24 10 8B 44 24 04 50 8B 44 24 0C 50 8B AB F8 00 00 00 8B 45 20 50 8B D6 8B C3 8B 08 FF 51 60 50 8A 44 24 20 50 8B 4C 24 1C 03 CF 8B 43 54 8A 90 4C 02 00 00 8B C5 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 80 78 18 00 0F 84 CB 00 00 00 8B D6 8B 83 30 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 85 ED 0F 8C AF 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B E8 0F 8D A0 00 00 00 8B 44 24 14 8B 40 0C 8B 93 34 01 00 00 8B 08 FF 51 08 8B 44 24 14 8B 40 10 B2 01 E8 ?? ?? ?? ?? 8B D5 8B C3 8B 08 FF 91 D0 00 00 00 8B F8 8B F7 2B 34 24 D1 FE 79 03 83 D6 00 03 34 24 8B D5 8B C3 8B 08 FF 91 D4 00 00 00 89 44 24 0C 56 8B 44 24 08 50 8B 83 D8 00 00 00 50 8B 4C 24 10 8B 54 24 0C 8B 44 24 20 8B 28 FF 95 E4 00 00 00 8B 83 D8 00 00 00 50 8B 4C 24 10 8B D6 8B 44 24 18 8B 30 FF 96 EC 00 00 00 8B 83 D8 00 00 00 50 8B 4C 24 10 8B D7 8B 44 24 18 8B 18 FF 93 EC 00 00 00 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9129_0 {
	meta:
		name = "TGanttSeries.DrawMark"
		size = 91
		refs = "001a TChartValueList.GetValue 0028 TChartSeries.CalcXPosValue 004f TCustomSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B D7 8B 86 2C 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 2B 43 04 D1 F8 79 03 83 D0 00 01 43 1C 8B 43 18 D1 F8 79 03 83 D0 00 01 43 20 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9130_0 {
	meta:
		name = "TGanttSeries.ClearTempValue"
		size = 29
		refs = "0018 TChartSeries.ClearTempValue"
	strings:
		$1 = { 8B 88 30 01 00 00 3B D1 75 0D 33 C0 89 41 30 C7 41 34 00 00 F0 BF C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9134_0 {
	meta:
		name = "TGanttSeries.PrepareForGallery"
		size = 27
		refs = "000b TPointSeries.PrepareForGallery"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 78 5E 5B C3 }
	condition:
		$1
}

rule function_9135_0 {
	meta:
		name = "TGanttSeries.GetEditorClass"
		size = 48
		refs = "0006 TGanttSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 12 00 00 00 54 47 61 6E 74 74 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 }
	condition:
		$1
}

rule function_9136_0 {
	meta:
		name = "TGanttSeries.Assign"
		size = 52
		refs = "000a _DV_TGanttSeries 000f @IsClass 002d TPointSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 96 34 01 00 00 8B 83 34 01 00 00 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9140_0 {
	meta:
		name = "GanttCh"
		size = 114
		refs = "000b GanttCh 0017 _DV_2 0024 TeeMsg_GalleryStandard 0029 LoadResString 0035 TeeMsg_GalleryGantt 0042 _DV_TGanttSeries 0048 RegisterTeeSeries 0062 @LStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2E 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_9141_0 {
	meta:
		name = "TGanttSeriesEditor.FormShow"
		size = 197
		refs = "0005 Screen 000e TScreen.SetCursor 0029 TGanttSeriesEditor.SetPointerVisible 0055 TCustomUpDown.SetPosition 007a TBrush.GetColor 00b7 TCustomComboBox.SetItemIndex"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 FC 02 00 00 8B F0 8B 86 F8 00 00 00 8A 50 24 8B C3 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 8A 50 04 8B 83 D0 02 00 00 8B 08 FF 91 BC 00 00 00 8B 86 F8 00 00 00 66 8B 50 20 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 8A 50 10 8B 83 D4 02 00 00 8B 08 FF 91 BC 00 00 00 8B 86 F8 00 00 00 8B 40 08 E8 ?? ?? ?? ?? 3D 00 00 00 80 0F 94 C2 8B 83 E4 02 00 00 8B 08 FF 91 BC 00 00 00 8A 56 2C 8B 83 E8 02 00 00 8B 08 FF 91 BC 00 00 00 8B 86 F8 00 00 00 33 D2 8A 50 1C 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? C6 83 F8 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9142_0 {
	meta:
		name = "TGanttSeriesEditor.SetPointerVisible"
		size = 119
		refs = "0015 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 FC 02 00 00 8B 80 F8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 86 D0 02 00 00 8B 08 FF 51 60 8B D3 8B 86 D4 02 00 00 8B 08 FF 51 60 8B D3 8B 86 C8 02 00 00 8B 08 FF 51 60 8B D3 8B 86 E4 02 00 00 8B 08 FF 51 60 8B D3 8B 86 E0 02 00 00 8B 08 FF 51 60 8B D3 8B 86 D8 02 00 00 8B 08 FF 51 60 8B D3 8B 86 F4 02 00 00 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_9143_0 {
	meta:
		name = "TGanttSeriesEditor.CB3dPointClick"
		size = 38
		refs = "0020 TSeriesPointer.SetDraw3D"
	strings:
		$1 = { 53 8B D8 8B 83 D0 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 FC 02 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9144_0 {
	meta:
		name = "TGanttSeriesEditor.BPointFillColorClick"
		size = 63
		refs = "0016 TBrush.GetColor 001f EditColor 0028 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B 83 FC 02 00 00 8B 80 F8 00 00 00 8B 70 08 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 E4 02 00 00 8B 08 FF 91 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9145_0 {
	meta:
		name = "TGanttSeriesEditor.CBPointColorDefClick"
		size = 48
		refs = "002a TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 E4 02 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 19 8B 83 FC 02 00 00 8B 80 F8 00 00 00 8B 40 08 BA 00 00 00 80 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9146_0 {
	meta:
		name = "TGanttSeriesEditor.Button1Click"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 FC 02 00 00 8B 92 F4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9147_0 {
	meta:
		name = "TGanttSeriesEditor.BPoinPenColClick"
		size = 21
		refs = "0010 EditChartPen"
	strings:
		$1 = { 8B 90 FC 02 00 00 8B 92 F8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9148_0 {
	meta:
		name = "TGanttSeriesEditor.FormCreate"
		size = 16
	strings:
		$1 = { 33 D2 89 90 FC 02 00 00 C6 80 F8 02 00 00 01 C3 }
	condition:
		$1
}

rule function_9149_0 {
	meta:
		name = "TGanttSeriesEditor.SEPointVertSizeChange"
		size = 45
		refs = "0013 TCustomUpDown.GetPosition 0027 TSeriesPointer.SetVertSize"
	strings:
		$1 = { 53 8B D8 80 BB F8 02 00 00 00 75 1F 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 FC 02 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9150_0 {
	meta:
		name = "TGanttSeriesEditor.CBInflateClick"
		size = 38
		refs = "0020 TSeriesPointer.SetInflateMargins"
	strings:
		$1 = { 53 8B D8 8B 83 D4 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 FC 02 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9151_0 {
	meta:
		name = "TGanttSeriesEditor.BConnLinesClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 FC 02 00 00 8B 92 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9152_0 {
	meta:
		name = "TGanttSeriesEditor.CBColorEachClick"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 83 E8 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 FC 02 00 00 8B 08 FF 51 78 5B C3 }
	condition:
		$1
}

rule function_9153_0 {
	meta:
		name = "TGanttSeriesEditor.CBPointStyleChange"
		size = 35
		refs = "000a TCustomComboBox.GetItemIndex 001d TSeriesPointer.SetStyle"
	strings:
		$1 = { 53 8B D8 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 FC 02 00 00 8B 80 F8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9156_0 {
	meta:
		name = "TBltBitmap.MakeLike"
		size = 129
		refs = "002c TBitmap.GetCanvas 0039 TBrush.SetColor 004a TBrush.SetStyle 0069 Rect 0077 TCanvas.FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C6 8B 10 FF 52 2C 8B D0 8B C3 8B 08 FF 51 40 8B C6 8B 10 FF 52 20 8B D0 8B C3 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 8B 40 14 BA 06 00 00 80 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 50 8D 44 24 04 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9157_0 {
	meta:
		name = "SolveForX"
		size = 56
		refs = "0019 SolveForX 0022 @TRUNC"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 89 34 24 DB 04 24 89 5C 24 04 DB 44 24 04 DB 2D ?? ?? ?? ?? DE C9 DE C9 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_9158_0 {
	meta:
		name = "SolveForY"
		size = 56
		refs = "0019 SolveForY 0028 @TRUNC"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 85 DB 75 04 33 C0 EB 1B 89 34 24 DB 04 24 D8 0D ?? ?? ?? ?? 89 5C 24 04 DB 44 24 04 DE F9 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_9159_0 {
	meta:
		name = "TGauge.Create"
		size = 160
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001c TGauge.Create 006f TControl.SetWidth 007b TControl.SetHeight 0086 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 33 C0 89 86 18 01 00 00 C7 86 1C 01 00 00 64 00 00 00 33 C0 89 86 20 01 00 00 C6 86 24 01 00 00 01 C6 86 25 01 00 00 01 C6 86 26 01 00 00 01 33 C0 89 86 28 01 00 00 C7 86 2C 01 00 00 FF FF FF 00 BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_9160_0 {
	meta:
		name = "TGauge.GetPercentDone"
		size = 34
		refs = "001c SolveForY"
	strings:
		$1 = { 53 8B 88 20 01 00 00 8B 90 18 01 00 00 2B CA 8B 98 1C 01 00 00 2B DA 8B D3 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9161_0 {
	meta:
		name = "TGauge.Paint"
		size = 421
		refs = "000c _Dn_TBitmap 0011 TBitmap.Create 001c TGauge.Paint 0049 TGauge.PaintBackground 006d InflateRect 0074 _DV_TBltBitmap 0095 TBltBitmap.MakeLike 00c7 TGauge.PaintAsNothing 00d7 TGauge.PaintAsBar 00e7 TGauge.PaintAsPie 00f7 TGauge.PaintAsNeedle 00ff TBitmap.GetCanvas 011b TCanvas.Draw 0144 TGauge.PaintAsText 0159 TObject.Free 015f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 3C 8B 45 F8 8B 08 FF 51 34 8B 45 FC 8B 50 38 8B 45 F8 8B 08 FF 51 40 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 51 44 8B 45 FC 80 B8 26 01 00 00 01 75 0D 6A FF 6A FF 8D 45 E4 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 80 24 01 00 00 2C 01 72 0C 2C 02 72 18 74 26 FE C8 74 32 EB 3E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 2E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 1E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C7 40 20 46 00 66 00 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C7 40 20 20 00 CC 00 8B 45 FC 80 B8 25 01 00 00 00 74 0E 8D 4D E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 14 01 00 00 C7 40 20 20 00 CC 00 8B 55 F8 52 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_9162_0 {
	meta:
		name = "TGauge.PaintBackground"
		size = 82
		refs = "000d TBitmap.GetCanvas 002b Rect 0040 TCanvas.CopyRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 C7 43 20 42 00 00 00 8B 46 3C 50 8D 44 24 04 50 8B 4E 38 33 D2 33 C0 E8 ?? ?? ?? ?? 54 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? C7 43 20 20 00 CC 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9163_0 {
	meta:
		name = "TGauge.PaintAsText"
		size = 356
		refs = "0022 TGauge.PaintAsText 002f _DV_TBltBitmap 0034 TBitmap.Create 004f TBltBitmap.MakeLike 0059 TGauge.PaintBackground 0064 TGauge.GetPercentDone 007a Format 0082 TBitmap.GetCanvas 008e TBrush.SetStyle 0098 TCanvas.SetFont 00a5 TFont.SetColor 00af TCanvas.TextWidth 00c9 TCanvas.TextHeight 00ec TCanvas.TextRect 010e TCanvas.Draw 0123 TObject.Free 0129 @HandleFinally 0140 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F1 8D 7D E8 B9 04 00 00 00 F3 A5 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B C6 E8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 00 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 14 B2 01 E8 ?? ?? ?? ?? 8B 56 58 8B C3 E8 ?? ?? ?? ?? 8B 43 0C BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 75 F0 2B 75 E8 46 2B F0 D1 FE 79 03 83 D6 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F4 2B 45 EC 40 5A 2B C2 D1 F8 79 03 83 D0 00 50 8B 45 FC 50 8B CE 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? C7 40 20 46 00 66 00 8B 45 F8 50 8B C7 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 25 64 25 25 00 00 00 00 }
	condition:
		$1
}

rule function_9164_0 {
	meta:
		name = "TGauge.PaintAsNothing"
		size = 64
		refs = "0019 TBitmap.GetCanvas 0027 TBrush.SetColor 0035 TCanvas.FillRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 3C 24 B9 04 00 00 00 F3 A5 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 40 14 8B 93 2C 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9165_0 {
	meta:
		name = "TGauge.PaintAsBar"
		size = 258
		refs = "002f TBitmap.GetCanvas 003f TBrush.SetColor 004a TCanvas.FillRect 0058 TPen.SetColor 0065 TPen.SetWidth 008a TGauge.GetPercentDone 0091 SolveForX 00b2 Rect"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F1 8D 7C 24 04 B9 04 00 00 00 F3 A5 89 14 24 8B F0 8B 6C 24 0C 2B 6C 24 04 45 8B 7C 24 10 2B 7C 24 08 47 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 96 2C 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 96 28 01 00 00 8B 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 96 28 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8A 86 24 01 00 00 FE C8 74 06 FE C8 74 3E EB 73 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B F0 3B EE 7D 02 8B F5 85 F6 7E 59 57 8D 44 24 18 50 8B CE 8B 54 24 10 8B 44 24 0C E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? EB 37 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B F0 3B FE 7F 03 8B F7 4E 57 8D 44 24 18 50 8B D7 2B D6 8B CD 8B 44 24 0C E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9166_0 {
	meta:
		name = "TGauge.PaintAsPie"
		size = 348
		refs = "0038 TBitmap.GetCanvas 0045 TBrush.SetColor 0050 TCanvas.FillRect 006c TPen.SetColor 0079 TPen.SetWidth 008a TCanvas.Ellipse 0091 TGauge.GetPercentDone 00d6 TGauge.PaintAsPie 00f4 @COS 0105 @ROUND 010f @SIN 0137 TCanvas.Pie"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F1 8D 7C 24 14 B9 04 00 00 00 F3 A5 89 14 24 8B F0 8B 7C 24 1C 2B 7C 24 14 8B 6C 24 20 2B 6C 24 18 80 BE 26 01 00 00 01 75 02 47 45 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 56 64 8B 43 14 E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8B 96 2C 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 96 28 01 00 00 8B 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 57 55 8B 4C 24 20 8B 54 24 1C 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E 9E 00 00 00 8B 96 28 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B C7 D1 F8 79 03 83 D0 00 89 44 24 04 8B C5 D1 F8 79 03 83 D0 00 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 89 44 24 24 DB 44 24 24 D8 35 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5C 24 0C 9B 57 55 DD 44 24 14 E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DB 44 24 0C DE C9 E8 ?? ?? ?? ?? 50 DD 44 24 18 E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DB 44 24 14 DE C9 E8 ?? ?? ?? ?? 50 8B 44 24 14 50 6A 00 8B 4C 24 30 8B 54 24 2C 8B C3 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 00 00 00 48 42 00 00 00 3F 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9167_0 {
	meta:
		name = "TGauge.PaintAsNeedle"
		size = 396
		refs = "0049 TBitmap.GetCanvas 0056 TBrush.SetColor 0061 TCanvas.FillRect 007d TPen.SetColor 008a TPen.SetWidth 00ad TCanvas.Pie 00ba TCanvas.MoveTo 00c9 TCanvas.LineTo 00d0 TGauge.GetPercentDone 0113 TGauge.PaintAsNeedle 0129 @SIN 0143 @ROUND 014d @COS"
	strings:
		$1 = { 53 56 57 55 83 C4 D4 8B F1 8D 7C 24 14 B9 04 00 00 00 F3 A5 89 14 24 8B F0 8B 44 24 14 8B F8 8B 54 24 18 89 54 24 0C 8B 6C 24 1C 2B E8 8B 44 24 20 2B C2 89 44 24 10 80 BE 26 01 00 00 01 75 05 45 FF 44 24 10 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 56 64 8B 43 14 E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8B 96 2C 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 96 28 01 00 00 8B 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 55 8B 54 24 14 03 D2 4A 52 8D 54 3D 00 52 8B 44 24 2C 48 50 57 50 8B 4C 24 24 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 54 3D 00 8B 4C 24 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E 94 00 00 00 8B 96 28 01 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 7E 38 D1 FF 79 03 83 D7 00 8B 4C 24 20 49 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 44 24 24 DB 44 24 24 D8 35 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5C 24 04 9B DD 44 24 04 E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? 8B 44 24 20 48 89 44 24 24 DB 44 24 24 DE C9 E8 ?? ?? ?? ?? 50 DD 44 24 08 E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? 89 7C 24 2C DB 44 24 2C DE C9 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 83 C4 2C 5D 5F 5E 5B C3 00 00 C8 42 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_9168_0 {
	meta:
		name = "TGauge.SetGaugeKind"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 24 01 00 00 74 0B 88 90 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9169_0 {
	meta:
		name = "TGauge.SetShowText"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 25 01 00 00 74 0B 88 90 25 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9170_0 {
	meta:
		name = "TGauge.SetBorderStyle"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 26 01 00 00 74 0B 88 90 26 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9171_0 {
	meta:
		name = "TGauge.SetForeColor"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3B 90 28 01 00 00 74 0B 89 90 28 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9172_0 {
	meta:
		name = "TGauge.SetBackColor"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3B 90 2C 01 00 00 74 0B 89 90 2C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9173_0 {
	meta:
		name = "TGauge.SetMinValue"
		size = 175
		refs = "0012 TGauge.SetMinValue 0055 SOutOfRange 005a LoadResString 0064 _Dn_EInvalidOperation 0069 Exception.CreateFmt 006e @RaiseExcept 0089 TControl.Refresh 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 93 18 01 00 00 74 69 3B 93 1C 01 00 00 7E 46 F6 43 20 01 75 40 C7 45 F0 01 00 00 80 C6 45 F4 00 8B 83 1C 01 00 00 48 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 93 18 01 00 00 3B 93 20 01 00 00 7E 06 89 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9174_0 {
	meta:
		name = "TGauge.SetMaxValue"
		size = 175
		refs = "0012 TGauge.SetMaxValue 0055 SOutOfRange 005a LoadResString 0064 _Dn_EInvalidOperation 0069 Exception.CreateFmt 006e @RaiseExcept 0089 TControl.Refresh 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 93 1C 01 00 00 74 69 3B 93 18 01 00 00 7D 46 F6 43 20 01 75 40 8B 83 18 01 00 00 40 89 45 F0 C6 45 F4 00 C7 45 F8 FF FF FF 7F C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 93 1C 01 00 00 3B 93 20 01 00 00 7D 06 89 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9175_0 {
	meta:
		name = "TGauge.SetProgress"
		size = 78
		refs = "000a TGauge.GetPercentDone 0046 TControl.Refresh"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 83 18 01 00 00 3B F0 7D 04 8B F0 EB 0C 8B 83 1C 01 00 00 3B F0 7E 02 8B F0 3B B3 20 01 00 00 74 18 89 B3 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 3B F8 74 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9176_0 {
	meta:
		name = "TGauge.AddProgress"
		size = 25
		refs = "000c TGauge.SetProgress 0013 TControl.Refresh"
	strings:
		$1 = { 53 8B D8 03 93 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9190_0 {
	meta:
		name = "InternalDeletePalette"
		size = 19
		refs = "0006 SystemPalette16 000e DeleteObject"
	strings:
		$1 = { 85 C0 74 0E 3B 05 ?? ?? ?? ?? 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9191_0 {
	meta:
		name = "GetHashCode"
		size = 17
	strings:
		$1 = { 89 D1 89 C2 31 C0 66 C1 C0 05 32 02 42 49 75 F6 C3 }
	condition:
		$1
}

rule function_9192_0 {
	meta:
		name = "TResourceManager.Create"
		size = 57
		refs = "000a @ClassCreate 001b InitializeCriticalSection 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 66 89 4E 20 8D 46 08 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9193_0 {
	meta:
		name = "TResourceManager.Destroy"
		size = 34
		refs = "0003 @BeforeDestruction 0010 DeleteCriticalSection 001b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9196_0 {
	meta:
		name = "TResourceManager.AllocResource"
		size = 228
		refs = "0017 GetHashCode 0021 TResourceManager.Lock 0029 TResourceManager.AllocResource 0065 CompareMem 007e @GetMem 00ab Move 00cf TResourceManager.Unlock 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 FC 0F B7 50 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 89 45 F8 EB 08 8B 45 F8 8B 00 89 45 F8 83 7D F8 00 74 21 8B 45 F8 66 3B 70 0C 75 E9 8B 45 FC 0F B7 48 20 8B D3 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 84 C0 74 D1 83 7D F8 00 75 45 8B 45 FC 0F B7 40 20 83 C0 10 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 55 FC 8B 52 04 89 10 33 D2 89 50 04 8B 13 89 50 08 66 89 70 0C 8B 55 FC 0F B7 4A 20 8D 50 10 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 04 8B 45 F8 FF 40 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9197_0 {
	meta:
		name = "TResourceManager.FreeResource"
		size = 176
		refs = "0020 TResourceManager.Lock 0028 TResourceManager.FreeResource 0082 TResourceManager.Unlock 0088 @HandleFinally 00a0 DeleteObject 00a8 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 83 7D F8 00 0F 84 96 00 00 00 8B 45 F8 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F0 FF 48 04 8B 45 F0 83 78 04 00 0F 94 45 F7 80 7D F7 00 74 28 8B 45 FC 8B 40 04 3B 45 F8 75 0F 8B 45 F8 8B 00 8B 55 FC 89 42 04 EB 10 8B C2 8B 10 3B 55 F8 75 F7 8B 55 F8 8B 12 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 18 8B 45 F0 8B 40 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_9198_0 {
	meta:
		name = "TResourceManager.ChangeResource"
		size = 119
		refs = "0015 TResourceManager.Lock 001d TResourceManager.ChangeResource 0031 TResourceManager.AllocResource 0045 @CallDynaInst 004f TResourceManager.FreeResource 0064 TResourceManager.Unlock 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F8 89 7B 0C 3B F7 74 0B 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9199_0 {
	meta:
		name = "TResourceManager.AssignResource"
		size = 105
		refs = "0012 TResourceManager.Lock 001a TResourceManager.AssignResource 0038 @CallDynaInst 0042 TResourceManager.FreeResource 0057 TResourceManager.Unlock 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 0C 3B FE 74 1B FF 47 04 89 7B 0C 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9200_0 {
	meta:
		name = "ClearColor"
		size = 107
		refs = "000d TResourceManager.Lock 0015 ClearColor 003a DeleteObject 005a TResourceManager.Unlock 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 04 85 DB 74 20 8B F3 8B 46 08 85 C0 74 11 83 7E 14 00 7D 0B 50 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B 1B 85 DB 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9201_0 {
	meta:
		name = "PaletteChanged"
		size = 170
		refs = "000e CanvasList 0013 TThreadList.LockList 001e PaletteChanged 0031 TList.Get 003a TCanvas.Lock 0044 TCanvas.DeselectHandles 0054 PenManager 0059 ClearColor 005e BrushManager 008a TCanvas.Unlock 0098 TThreadList.UnlockList 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C0 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? FF 45 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 3B 45 FC 7F D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 5D FC 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9202_0 {
	meta:
		name = "_NF__2F0"
		size = 856
	strings:
		$1 = { FF FF FF FF 07 00 00 00 63 6C 42 6C 61 63 6B 00 FF FF FF FF 08 00 00 00 63 6C 4D 61 72 6F 6F 6E 00 00 00 00 FF FF FF FF 07 00 00 00 63 6C 47 72 65 65 6E 00 FF FF FF FF 07 00 00 00 63 6C 4F 6C 69 76 65 00 FF FF FF FF 06 00 00 00 63 6C 4E 61 76 79 00 00 FF FF FF FF 08 00 00 00 63 6C 50 75 72 70 6C 65 00 00 00 00 FF FF FF FF 06 00 00 00 63 6C 54 65 61 6C 00 00 FF FF FF FF 06 00 00 00 63 6C 47 72 61 79 00 00 FF FF FF FF 08 00 00 00 63 6C 53 69 6C 76 65 72 00 00 00 00 FF FF FF FF 05 00 00 00 63 6C 52 65 64 00 00 00 FF FF FF FF 06 00 00 00 63 6C 4C 69 6D 65 00 00 FF FF FF FF 08 00 00 00 63 6C 59 65 6C 6C 6F 77 00 00 00 00 FF FF FF FF 06 00 00 00 63 6C 42 6C 75 65 00 00 FF FF FF FF 09 00 00 00 63 6C 46 75 63 68 73 69 61 00 00 00 FF FF FF FF 06 00 00 00 63 6C 41 71 75 61 00 00 FF FF FF FF 07 00 00 00 63 6C 57 68 69 74 65 00 FF FF FF FF 0B 00 00 00 63 6C 53 63 72 6F 6C 6C 42 61 72 00 FF FF FF FF 0C 00 00 00 63 6C 42 61 63 6B 67 72 6F 75 6E 64 00 00 00 00 FF FF FF FF 0F 00 00 00 63 6C 41 63 74 69 76 65 43 61 70 74 69 6F 6E 00 FF FF FF FF 11 00 00 00 63 6C 49 6E 61 63 74 69 76 65 43 61 70 74 69 6F 6E 00 00 00 FF FF FF FF 06 00 00 00 63 6C 4D 65 6E 75 00 00 FF FF FF FF 08 00 00 00 63 6C 57 69 6E 64 6F 77 00 00 00 00 FF FF FF FF 0D 00 00 00 63 6C 57 69 6E 64 6F 77 46 72 61 6D 65 00 00 00 FF FF FF FF 0A 00 00 00 63 6C 4D 65 6E 75 54 65 78 74 00 00 FF FF FF FF 0C 00 00 00 63 6C 57 69 6E 64 6F 77 54 65 78 74 00 00 00 00 FF FF FF FF 0D 00 00 00 63 6C 43 61 70 74 69 6F 6E 54 65 78 74 00 00 00 FF FF FF FF 0E 00 00 00 63 6C 41 63 74 69 76 65 42 6F 72 64 65 72 00 00 FF FF FF FF 10 00 00 00 63 6C 49 6E 61 63 74 69 76 65 42 6F 72 64 65 72 00 00 00 00 FF FF FF FF 0E 00 00 00 63 6C 41 70 70 57 6F 72 6B 53 70 61 63 65 00 00 FF FF FF FF 0B 00 00 00 63 6C 48 69 67 68 6C 69 67 68 74 00 FF FF FF FF 0F 00 00 00 63 6C 48 69 67 68 6C 69 67 68 74 54 65 78 74 00 FF FF FF FF 09 00 00 00 63 6C 42 74 6E 46 61 63 65 00 00 00 FF FF FF FF 0B 00 00 00 63 6C 42 74 6E 53 68 61 64 6F 77 00 FF FF FF FF 0A 00 00 00 63 6C 47 72 61 79 54 65 78 74 00 00 FF FF FF FF 09 00 00 00 63 6C 42 74 6E 54 65 78 74 00 00 00 FF FF FF FF 15 00 00 00 63 6C 49 6E 61 63 74 69 76 65 43 61 70 74 69 6F 6E 54 65 78 74 00 00 00 FF FF FF FF 0E 00 00 00 63 6C 42 74 6E 48 69 67 68 6C 69 67 68 74 00 00 FF FF FF FF 0C 00 00 00 63 6C 33 44 44 6B 53 68 61 64 6F 77 00 00 00 00 FF FF FF FF 09 00 00 00 63 6C 33 44 4C 69 67 68 74 00 00 00 FF FF FF FF 0A 00 00 00 63 6C 49 6E 66 6F 54 65 78 74 00 00 FF FF FF FF 08 00 00 00 63 6C 49 6E 66 6F 42 6B 00 00 00 00 FF FF FF FF 06 00 00 00 63 6C 4E 6F 6E 65 00 00 }
	condition:
		$1
}

rule function_9203_0 {
	meta:
		name = "ColorToRGB"
		size = 16
		refs = "000b GetSysColor"
	strings:
		$1 = { 85 C0 7D 0B 25 FF 00 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9204_0 {
	meta:
		name = "ColorToString"
		size = 88
		refs = "000e ColorToIdent 0019 HexDisplayPrefix 0038 ColorToString 003d FmtStr"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B 6A 01 A1 ?? ?? ?? ?? 8B 00 89 44 24 04 C6 44 24 08 0B 89 5C 24 0C C6 44 24 10 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 FF FF FF FF 06 00 00 00 25 73 25 2E 38 78 00 00 }
	condition:
		$1
}

rule function_9205_0 {
	meta:
		name = "StringToColor"
		size = 33
		refs = "0009 IdentToColor 0014 StrToInt"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_9206_0 {
	meta:
		name = "GetColorValues"
		size = 35
		refs = "000b Colors"
	strings:
		$1 = { 55 8B EC 53 56 BE 2A 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9207_0 {
	meta:
		name = "ColorToIdent"
		size = 13
		refs = "0003 Colors 0008 IntToIdent"
	strings:
		$1 = { 6A 29 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9208_0 {
	meta:
		name = "IdentToColor"
		size = 13
		refs = "0003 Colors 0008 IdentToInt"
	strings:
		$1 = { 6A 29 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9209_0 {
	meta:
		name = "TGraphicsObject.Changed"
		size = 20
	strings:
		$1 = { 53 66 83 78 06 00 74 0A 8B D8 8B D0 8B 43 08 FF 53 04 5B C3 }
	condition:
		$1
}

rule function_9210_0 {
	meta:
		name = "TGraphicsObject.Lock"
		size = 14
		refs = "0009 EnterCriticalSection"
	strings:
		$1 = { 8B 50 10 85 D2 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9211_0 {
	meta:
		name = "TGraphicsObject.Unlock"
		size = 14
		refs = "0009 LeaveCriticalSection"
	strings:
		$1 = { 8B 50 10 85 D2 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9212_0 {
	meta:
		name = "_NF__30D"
		size = 436
	strings:
		$1 = { FF FF FF FF 0C 00 00 00 41 4E 53 49 5F 43 48 41 52 53 45 54 00 00 00 00 FF FF FF FF 0F 00 00 00 44 45 46 41 55 4C 54 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0E 00 00 00 53 59 4D 42 4F 4C 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0B 00 00 00 4D 41 43 5F 43 48 41 52 53 45 54 00 FF FF FF FF 10 00 00 00 53 48 49 46 54 4A 49 53 5F 43 48 41 52 53 45 54 00 00 00 00 FF FF FF FF 0F 00 00 00 48 41 4E 47 45 55 4C 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0D 00 00 00 4A 4F 48 41 42 5F 43 48 41 52 53 45 54 00 00 00 FF FF FF FF 0E 00 00 00 47 42 32 33 31 32 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 13 00 00 00 43 48 49 4E 45 53 45 42 49 47 35 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0D 00 00 00 47 52 45 45 4B 5F 43 48 41 52 53 45 54 00 00 00 FF FF FF FF 0F 00 00 00 54 55 52 4B 49 53 48 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0E 00 00 00 48 45 42 52 45 57 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0E 00 00 00 41 52 41 42 49 43 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0E 00 00 00 42 41 4C 54 49 43 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0F 00 00 00 52 55 53 53 49 41 4E 5F 43 48 41 52 53 45 54 00 FF FF FF FF 0C 00 00 00 54 48 41 49 5F 43 48 41 52 53 45 54 00 00 00 00 FF FF FF FF 12 00 00 00 45 41 53 54 45 55 52 4F 50 45 5F 43 48 41 52 53 45 54 00 00 FF FF FF FF 0B 00 00 00 4F 45 4D 5F 43 48 41 52 53 45 54 00 }
	condition:
		$1
}

rule function_9213_0 {
	meta:
		name = "GetCharsetValues"
		size = 35
		refs = "000b FontCharsets"
	strings:
		$1 = { 55 8B EC 53 56 BE 12 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9214_0 {
	meta:
		name = "CharsetToIdent"
		size = 13
		refs = "0003 FontCharsets 0008 IntToIdent"
	strings:
		$1 = { 6A 11 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9215_0 {
	meta:
		name = "IdentToCharset"
		size = 13
		refs = "0003 FontCharsets 0008 IdentToInt"
	strings:
		$1 = { 6A 11 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9216_0 {
	meta:
		name = "GetFontData"
		size = 178
		refs = "000e DefFontData 0027 GetObject 0079 @_CLenToPasStr 0087 @PStrNCpy"
	strings:
		$1 = { 53 56 57 83 C4 A0 8B DA 8B F0 56 8B FB BE ?? ?? ?? ?? B9 0B 00 00 00 F3 A5 5E 85 F6 0F 84 89 00 00 00 54 6A 3C 56 E8 ?? ?? ?? ?? 85 C0 74 7C 8B 04 24 89 43 04 81 7C 24 10 BC 02 00 00 7C 04 80 4B 09 01 80 7C 24 14 01 75 04 80 4B 09 02 80 7C 24 15 01 75 04 80 4B 09 04 80 7C 24 16 01 75 04 80 4B 09 08 8A 44 24 17 88 43 0A 8D 44 24 3C 8D 54 24 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 3C 8D 43 0B B1 1F E8 ?? ?? ?? ?? 8A 44 24 1B 24 0F FE C8 74 0A FE C8 75 0C C6 43 08 01 EB 0A C6 43 08 02 EB 04 C6 43 08 00 89 33 83 C4 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9217_0 {
	meta:
		name = "TFont.Create"
		size = 84
		refs = "000a @ClassCreate 0015 DefFontData 001f FontManager 0024 TResourceManager.AllocResource 0033 ScreenLogPixels 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 A3 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C C7 46 14 08 00 00 80 A1 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9218_0 {
	meta:
		name = "TFont.Destroy"
		size = 38
		refs = "0003 @BeforeDestruction 000f FontManager 0014 TResourceManager.FreeResource 001f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9253_0 {
	meta:
		name = "TBrush.Destroy"
		size = 38
		refs = "0003 @BeforeDestruction 000f BrushManager 0014 TResourceManager.FreeResource 001f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9239_0 {
	meta:
		name = "TPen.Destroy"
		size = 38
		refs = "0003 @BeforeDestruction 000f PenManager 0014 TResourceManager.FreeResource 001f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9219_0 {
	meta:
		name = "TFont.Changed"
		size = 26
		refs = "0006 TGraphicsObject.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 1C 00 74 08 8B 43 1C 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_9220_0 {
	meta:
		name = "TFont.Assign"
		size = 210
		refs = "0012 _DV_TFont 0017 @IsClass 0027 TGraphicsObject.Lock 002f TFont.Assign 0058 FontManager 005d TResourceManager.AssignResource 0068 TFont.SetColor 007a TFont.GetSize 0084 TFont.SetSize 0099 TGraphicsObject.Unlock 009f @HandleFinally 00c9 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 0C 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 3B 43 18 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9221_0 {
	meta:
		name = "TFont.GetData"
		size = 24
	strings:
		$1 = { 56 57 8B 40 0C 8D 70 10 8B FA B9 0B 00 00 00 F3 A5 33 C0 89 02 5F 5E C3 }
	condition:
		$1
}

rule function_9222_0 {
	meta:
		name = "TFont.SetData"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 TFont.SetData 0026 FontManager 002b TResourceManager.ChangeResource 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9256_0 {
	meta:
		name = "TBrush.SetData"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 TBrush.SetData 0026 BrushManager 002b TResourceManager.ChangeResource 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9242_0 {
	meta:
		name = "TPen.SetData"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 TPen.SetData 0026 PenManager 002b TResourceManager.ChangeResource 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9223_0 {
	meta:
		name = "TFont.SetColor"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 53 3B 50 14 74 0C 89 50 14 66 BB FD FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9224_0 {
	meta:
		name = "TFont.GetHandle"
		size = 412
		refs = "0012 TFont.GetHandle 0030 FontManager 0035 TResourceManager.Lock 00bf @LStrFromString 00cc AnsiCompareText 00d8 DefFontData 00e8 StrPCopy 0116 TFont.GetPitch 0139 CreateFontIndirect 0156 TResourceManager.Unlock 015c @HandleFinally 0179 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 33 D2 89 55 BC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 89 45 FC 8B 45 FC 83 78 08 00 0F 85 33 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 00 0F 85 EF 00 00 00 8B 45 FC 8B 40 14 89 45 C0 33 C0 89 45 C4 33 C0 89 45 C8 33 C0 89 45 CC 8B 45 FC F6 40 19 01 74 09 C7 45 D0 BC 02 00 00 EB 07 C7 45 D0 90 01 00 00 8B 45 FC F6 40 19 02 0F 95 C0 88 45 D4 8B 45 FC F6 40 19 04 0F 95 C0 88 45 D5 8B 45 FC F6 40 19 08 0F 95 C0 88 45 D6 8B 45 FC 8A 40 1A 88 45 D7 8D 45 BC 8B 55 FC 83 C2 1B E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1A 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8D 45 DC E8 ?? ?? ?? ?? EB 19 8D 45 BC 8B 55 FC 83 C2 1B E8 ?? ?? ?? ?? 8B 55 BC 8D 45 DC E8 ?? ?? ?? ?? C6 45 DA 00 C6 45 D8 00 C6 45 D9 00 8B C3 E8 ?? ?? ?? ?? FE C8 74 06 FE C8 74 08 EB 0C C6 45 DB 02 EB 0A C6 45 DB 01 EB 04 C6 45 DB 00 8D 45 C0 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 FF FF FF FF 07 00 00 00 44 65 66 61 75 6C 74 00 }
	condition:
		$1
}

rule function_9225_0 {
	meta:
		name = "TFont.SetHandle"
		size = 33
		refs = "000e GetFontData 0017 TFont.SetData"
	strings:
		$1 = { 53 56 83 C4 D4 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_9226_0 {
	meta:
		name = "TBrush.GetColor"
		size = 7
		altNames = "TFont.GetHeight TPen.GetColor"
	strings:
		$1 = { 8B 40 0C 8B 40 14 C3 }
	condition:
		$1
}

rule function_9227_0 {
	meta:
		name = "TFont.SetHeight"
		size = 37
		refs = "000e TFont.GetData 001b TFont.SetData"
	strings:
		$1 = { 53 56 83 C4 D4 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_9228_0 {
	meta:
		name = "TFont.GetName"
		size = 22
		refs = "000f @LStrFromString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 83 C2 1B E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9229_0 {
	meta:
		name = "TFont.SetName"
		size = 90
		refs = "0015 TFont.GetData 0025 @FillChar 0035 @LStrToString 0044 @PStrNCpy 004d TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 D4 FE FF FF 8B F2 8B D8 85 F6 74 41 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 44 24 0B 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 2C 8B D6 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 2C 8D 44 24 0B B1 1F E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 2C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9230_0 {
	meta:
		name = "TFont.GetSize"
		size = 26
		refs = "000c TFont.GetHeight 0012 MulDiv"
	strings:
		$1 = { 53 8B D8 8B 43 18 50 6A 48 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 5B C3 }
	condition:
		$1
}

rule function_9231_0 {
	meta:
		name = "TFont.SetSize"
		size = 32
		refs = "000e MulDiv 0019 TFont.SetHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 48 8B 43 18 50 56 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9232_0 {
	meta:
		name = "TFont.GetStyle"
		size = 9
	strings:
		$1 = { 8B 40 0C 8A 50 19 8B C2 C3 }
	condition:
		$1
}

rule function_9233_0 {
	meta:
		name = "TFont.SetStyle"
		size = 43
		refs = "0010 TFont.GetData 0022 TFont.SetData"
	strings:
		$1 = { 53 83 C4 D0 88 14 24 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8A 04 24 88 44 24 0D 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_9234_0 {
	meta:
		name = "TFont.GetPitch"
		size = 7
	strings:
		$1 = { 8B 40 0C 8A 40 18 C3 }
	condition:
		$1
}

rule function_9235_0 {
	meta:
		name = "TFont.SetPitch"
		size = 37
		refs = "000e TFont.GetData 001b TFont.SetData"
	strings:
		$1 = { 53 56 83 C4 D4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_9236_0 {
	meta:
		name = "TFont.GetCharset"
		size = 7
	strings:
		$1 = { 8B 40 0C 8A 40 1A C3 }
	condition:
		$1
}

rule function_9237_0 {
	meta:
		name = "TFont.SetCharset"
		size = 37
		refs = "000e TFont.GetData 001b TFont.SetData"
	strings:
		$1 = { 53 56 83 C4 D4 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 0A 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_9238_0 {
	meta:
		name = "TPen.Create"
		size = 66
		refs = "000a @ClassCreate 0013 DefPenData 0018 PenManager 001d TResourceManager.AllocResource 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C C6 46 14 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9240_0 {
	meta:
		name = "TPen.Assign"
		size = 182
		refs = "0012 _DV_TPen 0017 @IsClass 0027 TGraphicsObject.Lock 002f TPen.Assign 0058 PenManager 005d TResourceManager.AssignResource 0068 TPen.SetMode 007d TGraphicsObject.Unlock 0083 @HandleFinally 00ad TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 0C 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 53 14 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9241_0 {
	meta:
		name = "TPen.GetData"
		size = 24
	strings:
		$1 = { 56 57 8B 40 0C 8D 70 10 8B FA B9 04 00 00 00 F3 A5 33 C0 89 02 5F 5E C3 }
	condition:
		$1
}

rule function_9244_0 {
	meta:
		name = "TPen.SetColor"
		size = 37
		refs = "000e TPen.GetData 001b TPen.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9245_0 {
	meta:
		name = "TPen.GetHandle"
		size = 151
		refs = "0016 PenManager 001b TResourceManager.Lock 0023 TPen.GetHandle 0041 PenStyles 0058 ColorToRGB 0064 CreatePenIndirect 0081 TResourceManager.Unlock 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 8B 40 0C 89 45 FC 8B 45 FC 83 78 08 00 75 78 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 00 75 38 8B 45 FC 0F B6 40 1C 0F B7 04 45 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 18 89 45 F0 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 89 45 F8 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule function_9246_0 {
	meta:
		name = "TPen.SetHandle"
		size = 35
		refs = "0006 DefPenData 0019 TPen.SetData"
	strings:
		$1 = { 56 57 83 C4 F0 BE ?? ?? ?? ?? 8B FC B9 04 00 00 00 F3 A5 89 14 24 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_9262_0 {
	meta:
		name = "TBrush.SetHandle"
		size = 35
		refs = "0006 DefBrushData 0019 TBrush.SetData"
	strings:
		$1 = { 56 57 83 C4 F0 BE ?? ?? ?? ?? 8B FC B9 04 00 00 00 F3 A5 89 14 24 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_9247_0 {
	meta:
		name = "TPen.SetMode"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 53 3A 50 14 74 0C 88 50 14 66 BB FD FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9248_0 {
	meta:
		name = "TBrush.GetStyle"
		size = 7
		altNames = "TPen.GetStyle"
	strings:
		$1 = { 8B 40 0C 8A 40 1C C3 }
	condition:
		$1
}

rule function_9249_0 {
	meta:
		name = "TPen.SetStyle"
		size = 37
		refs = "000e TPen.GetData 001b TPen.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 0C 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9250_0 {
	meta:
		name = "TBrush.GetBitmap"
		size = 7
		altNames = "TPen.GetWidth"
	strings:
		$1 = { 8B 40 0C 8B 40 18 C3 }
	condition:
		$1
}

rule function_9251_0 {
	meta:
		name = "TPen.SetWidth"
		size = 41
		refs = "0012 TPen.GetData 001f TPen.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 85 F6 7C 16 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9252_0 {
	meta:
		name = "TBrush.Create"
		size = 62
		refs = "000a @ClassCreate 0013 DefBrushData 0018 BrushManager 001d TResourceManager.AllocResource 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9254_0 {
	meta:
		name = "TBrush.Assign"
		size = 167
		refs = "0012 _DV_TBrush 0017 @IsClass 0023 TGraphicsObject.Lock 002b TBrush.Assign 0054 BrushManager 0059 TResourceManager.AssignResource 006e TGraphicsObject.Unlock 0074 @HandleFinally 009e TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 0C 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9255_0 {
	meta:
		name = "TBrush.GetData"
		size = 29
	strings:
		$1 = { 56 57 8B 40 0C 8D 70 10 8B FA B9 04 00 00 00 F3 A5 33 C0 89 02 33 C0 89 42 08 5F 5E C3 }
	condition:
		$1
}

rule function_9258_0 {
	meta:
		name = "TBrush.SetBitmap"
		size = 36
		refs = "0006 DefBrushData 001a TBrush.SetData"
	strings:
		$1 = { 56 57 83 C4 F0 BE ?? ?? ?? ?? 8B FC B9 04 00 00 00 F3 A5 89 54 24 08 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_9260_0 {
	meta:
		name = "TBrush.SetColor"
		size = 49
		refs = "000e TBrush.GetData 0027 TBrush.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 80 7C 24 0C 01 75 05 C6 44 24 0C 00 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9261_0 {
	meta:
		name = "TBrush.GetHandle"
		size = 222
		refs = "001a BrushManager 001f TResourceManager.Lock 0027 TBrush.GetHandle 009f ColorToRGB 00ab CreateBrushIndirect 00c8 TResourceManager.Unlock 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 40 0C 89 45 FC 8B 45 FC 83 78 08 00 0F 85 BB 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 08 00 75 7B 8B 45 FC 8B 40 18 85 C0 74 1E C7 45 F0 03 00 00 00 B2 01 8B 08 FF 51 68 8B 45 FC 8B 40 18 8B 10 FF 52 60 89 45 F8 EB 36 33 C0 89 45 F8 8B 45 FC 8A 40 1C 8B D0 80 EA 01 72 04 74 09 EB 10 33 C0 89 45 F0 EB 19 C7 45 F0 01 00 00 00 EB 10 C7 45 F0 02 00 00 00 83 E0 7F 83 E8 02 89 45 F8 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule function_9264_0 {
	meta:
		name = "TBrush.SetStyle"
		size = 51
		refs = "000e TBrush.GetData 0029 TBrush.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C3 88 44 24 0C 3C 01 75 08 C7 44 24 04 FF FF FF 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9265_0 {
	meta:
		name = "TCanvas.Create"
		size = 196
		refs = "000b @ClassCreate 0018 TObject.Create 0021 InitializeCriticalSection 0028 _DV_TFont 002d TFont.Create 003c TCanvas.FontChanged 0049 _DV_TPen 004e TPen.Create 005d TCanvas.PenChanged 006a _DV_TBrush 006f TBrush.Create 007e TCanvas.BrushChanged 0090 TCanvas.Create 009a CanvasList 009f TThreadList.Add 00aa @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 34 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 89 7E 08 C7 46 04 ?? ?? ?? ?? 8D 47 34 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 10 89 7E 08 C7 46 04 ?? ?? ?? ?? 8D 47 34 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 14 89 7E 08 C7 46 04 ?? ?? ?? ?? 8D 47 34 89 46 10 C7 47 20 20 00 CC 00 A0 ?? ?? ?? ?? 88 47 08 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9266_0 {
	meta:
		name = "TCanvas.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 000e CanvasList 0013 TThreadList.Remove 001c TCanvas.SetHandle 0024 TObject.Free 003d DeleteCriticalSection 0049 TPersistent.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8D 46 34 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9267_0 {
	meta:
		name = "TCanvas.Arc"
		size = 88
		refs = "0015 TCanvas.Arc 001c TCanvas.RequiredState 003f Arc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 18 00 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_9268_0 {
	meta:
		name = "TCanvas.BrushCopy"
		size = 704
		refs = "0022 TCanvas.Lock 002a TCanvas.BrushCopy 0046 TCanvas.RequiredState 004e TBitmap.GetCanvas 0088 TBitmap.GetTransparentColor 00a4 CreateCompatibleDC 00b4 SelectObject 00c0 _DV_TBitmap 00c5 TBitmap.Create 00de TBitmap.Mask 0130 TBrush.GetStyle 016f TransparentStretchBlt 01ac StretchBlt 01ba SetTextColor 01ce SetBkColor 023c TObject.Free 025a DeleteDC 0260 @HandleFinally 027c TCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 0C 83 7D F8 00 0F 84 8F 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 2B 06 89 45 F0 8B 46 0C 2B 46 04 89 45 EC 8B 7B 08 2B 3B 8B 43 0C 2B 43 04 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 08 75 2C 33 C0 89 45 DC 8B 45 F8 8B 10 FF 52 64 89 45 D8 6A 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 D8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 89 45 D8 EB 4B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 55 F8 8B 45 DC 8B 08 FF 51 08 8B 55 08 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 40 04 89 45 E0 33 C0 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 3C 01 75 40 8B 45 F0 50 8B 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 04 50 8B 03 50 8B 43 04 50 57 8B 45 F4 50 8B 45 E0 50 8B 03 50 8B 43 04 50 8B 4E 04 8B 16 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E9 AD 00 00 00 68 20 00 CC 00 8B 45 F4 50 57 8B 43 04 50 8B 03 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 04 50 8B 45 EC 50 8B 45 F0 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 E4 68 FF FF FF 00 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 E8 68 46 07 E2 00 8B 45 F4 50 57 8B 43 04 50 8B 03 50 8B 45 E0 50 8B 45 EC 50 8B 45 F0 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A 8B 45 DC E8 ?? ?? ?? ?? EB 1C 83 7D D8 00 74 0D 8B 45 D8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 09 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_9269_0 {
	meta:
		name = "TCanvas.Chord"
		size = 88
		refs = "0015 TCanvas.Chord 001c TCanvas.RequiredState 003f Chord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 18 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_9280_0 {
	meta:
		name = "TCanvas.Pie"
		size = 88
		refs = "0015 TCanvas.Pie 001c TCanvas.RequiredState 003f Pie"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 18 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_9270_0 {
	meta:
		name = "TCanvas.CopyRect"
		size = 136
		refs = "001a TCanvas.CopyRect 0021 TCanvas.RequiredState 006b StretchBlt"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 53 20 52 8B 57 0C 2B 57 04 52 8B 57 08 2B 17 52 8B 57 04 52 8B 17 52 8B 55 FC 8B 52 04 52 8B 56 0C 2B 56 04 52 8B 56 08 8B 06 2B D0 52 8B 56 04 52 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 59 5D C2 04 00 00 00 0B 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_9271_0 {
	meta:
		name = "TCanvas.Draw"
		size = 172
		refs = "002f TCanvas.Draw 0036 TCanvas.RequiredState 003e TBrush.GetColor 0043 ColorToRGB 004d SetBkColor 0062 SetTextColor 0086 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 85 F6 0F 84 82 00 00 00 8B C6 8B 10 FF 52 1C 84 C0 75 77 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 14 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 20 03 45 FC 50 8D 45 EC 50 8B C6 8B 10 FF 52 2C 8B C8 03 CF 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B C6 8B 30 FF 56 14 8B C3 8B 10 FF 52 0C 5F 5E 5B 8B E5 5D C2 04 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_9272_0 {
	meta:
		name = "TCanvas.DrawFocusRect"
		size = 52
		refs = "000f TCanvas.DrawFocusRect 0016 TCanvas.RequiredState 0020 DrawFocusRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_9273_0 {
	meta:
		name = "TCanvas.Ellipse"
		size = 72
		refs = "0015 TCanvas.Ellipse 001c TCanvas.RequiredState 002f Ellipse"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 08 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_9285_0 {
	meta:
		name = "TCanvas.Rectangle"
		size = 72
		refs = "0015 TCanvas.Rectangle 001c TCanvas.RequiredState 002f Rectangle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 08 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_9274_0 {
	meta:
		name = "TCanvas.FillRect"
		size = 60
		refs = "000f TCanvas.FillRect 0016 TCanvas.RequiredState 001e TBrush.GetHandle 0029 FillRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 00 09 00 00 00 }
	condition:
		$1
}

rule function_9276_0 {
	meta:
		name = "TCanvas.FrameRect"
		size = 60
		refs = "000f TCanvas.FrameRect 0016 TCanvas.RequiredState 001e TBrush.GetHandle 0029 FrameRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 00 09 00 00 00 }
	condition:
		$1
}

rule function_9275_0 {
	meta:
		name = "TCanvas.FloodFill"
		size = 80
		refs = "0015 TCanvas.FloodFill 001c TCanvas.RequiredState 0029 FillStyles 0039 ExtFloodFill"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 45 08 0F B7 04 45 ?? ?? ?? ?? 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 08 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_9277_0 {
	meta:
		name = "TCanvas.LineTo"
		size = 56
		refs = "0012 TCanvas.LineTo 0019 TCanvas.RequiredState 0024 LineTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 00 05 00 00 00 }
	condition:
		$1
}

rule function_9278_0 {
	meta:
		name = "TCanvas.Lock"
		size = 37
		refs = "0004 CounterLock 0009 EnterCriticalSection 0016 LeaveCriticalSection"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 4C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 34 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9279_0 {
	meta:
		name = "TCanvas.MoveTo"
		size = 44
		refs = "000b TCanvas.MoveTo 0012 TCanvas.RequiredState 001f MoveToEx"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_9281_0 {
	meta:
		name = "TCanvas.Polygon"
		size = 56
		refs = "0012 TCanvas.Polygon 0019 TCanvas.RequiredState 0025 Polygon"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 0D 00 00 00 }
	condition:
		$1
}

rule function_9283_0 {
	meta:
		name = "TCanvas.PolyBezier"
		size = 56
		refs = "0012 TCanvas.PolyBezier 0019 TCanvas.RequiredState 0025 PolyBezier"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 0D 00 00 00 }
	condition:
		$1
}

rule function_9284_0 {
	meta:
		name = "TCanvas.PolyBezierTo"
		size = 56
		refs = "0012 TCanvas.PolyBezierTo 0019 TCanvas.RequiredState 0025 PolyBezierTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 0D 00 00 00 }
	condition:
		$1
}

rule function_9282_0 {
	meta:
		name = "TCanvas.Polyline"
		size = 56
		refs = "0012 TCanvas.Polyline 0019 TCanvas.RequiredState 0025 Polyline"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 0D 00 00 00 }
	condition:
		$1
}

rule function_9287_0 {
	meta:
		name = "TCanvas.RoundRect"
		size = 80
		refs = "0015 TCanvas.RoundRect 001c TCanvas.RequiredState 0037 RoundRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 10 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_9288_0 {
	meta:
		name = "TCanvas.StretchDraw"
		size = 60
		refs = "0016 TCanvas.StretchDraw 001d TCanvas.RequiredState"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 26 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 8B 30 FF 56 14 8B C3 8B 10 FF 52 0C 5F 5E 5B C3 00 0F 00 00 00 }
	condition:
		$1
}

rule function_9289_0 {
	meta:
		name = "TCanvas.GetCanvasOrientation"
		size = 44
		refs = "0013 TCanvas.GetHandle 0019 GetWindowOrgEx"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 33 DB F6 46 50 80 74 16 54 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3C 24 00 74 02 B3 01 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9290_0 {
	meta:
		name = "TCanvas.TextOut"
		size = 140
		refs = "001a TCanvas.TextOut 0021 TCanvas.RequiredState 0028 TCanvas.GetCanvasOrientation 0035 TCanvas.TextWidth 0041 @LStrLen 0049 @LStrToPChar 005e ExtTextOut 0075 TCanvas.MoveTo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 01 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 40 03 F8 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 8B 43 50 50 8B 45 FC 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 59 5D C2 04 00 0B 00 00 00 }
	condition:
		$1
}

rule function_9291_0 {
	meta:
		name = "TCanvas.TextRect"
		size = 164
		refs = "0028 TCanvas.TextRect 002f TCanvas.RequiredState 003d TBrush.GetStyle 0051 TCanvas.GetCanvasOrientation 005e TCanvas.TextWidth 006b @LStrLen 0073 @LStrToPChar 008a ExtTextOut"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B D8 8B 75 08 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 7B 50 83 CF 04 8B 43 14 E8 ?? ?? ?? ?? 3C 01 74 03 83 C7 02 F6 43 50 80 74 18 8B C3 E8 ?? ?? ?? ?? 3C 01 75 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 40 01 45 FC 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8D 45 EC 50 57 8B 45 0C 50 8B 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 8B E5 5D C2 08 00 00 00 0B 00 00 00 }
	condition:
		$1
}

rule function_9292_0 {
	meta:
		name = "TCanvas.TextExtent"
		size = 68
		refs = "000b TCanvas.TextExtent 0012 TCanvas.RequiredState 0023 @LStrLen 002b @LStrToPChar 0035 GetTextExtentPoint"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 06 33 C0 89 46 04 56 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_9293_0 {
	meta:
		name = "TCanvas.TextWidth"
		size = 28
		refs = "0010 TCanvas.TextExtent"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9294_0 {
	meta:
		name = "TCanvas.TextHeight"
		size = 29
		refs = "0010 TCanvas.TextExtent"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9295_0 {
	meta:
		name = "TCanvas.TryLock"
		size = 90
		refs = "0008 CounterLock 000d EnterCriticalSection 0015 TCanvas.TryLock 0030 TCanvas.Lock 0047 LeaveCriticalSection 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 4C 00 0F 94 45 FF 80 7D FF 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8A 45 FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_9296_0 {
	meta:
		name = "TCanvas.Unlock"
		size = 37
		refs = "0008 LeaveCriticalSection 000d CounterLock 0012 EnterCriticalSection"
	strings:
		$1 = { 53 8B D8 8D 43 34 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 4C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9300_0 {
	meta:
		name = "TCanvas.GetPenPos"
		size = 36
		refs = "0008 TCanvas.GetPenPos 000f TCanvas.RequiredState 0019 GetCurrentPositionEx"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 43 04 50 E8 ?? ?? ?? ?? 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_9304_0 {
	meta:
		name = "TCanvas.GetClipRect"
		size = 36
		refs = "0008 TCanvas.GetClipRect 000f TCanvas.RequiredState 0019 GetClipBox"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 43 04 50 E8 ?? ?? ?? ?? 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_9301_0 {
	meta:
		name = "TCanvas.SetPenPos"
		size = 29
		refs = "0014 TCanvas.MoveTo"
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_9302_0 {
	meta:
		name = "TCanvas.GetPixel"
		size = 44
		refs = "000b TCanvas.GetPixel 0012 TCanvas.RequiredState 001d GetPixel"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_9303_0 {
	meta:
		name = "TCanvas.SetPixel"
		size = 72
		refs = "0015 TCanvas.SetPixel 001c TCanvas.RequiredState 0024 ColorToRGB 0030 SetPixel"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 04 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_9305_0 {
	meta:
		name = "TCanvas.GetHandle"
		size = 32
		refs = "000c TCanvas.GetHandle 0013 TCanvas.RequiredState"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 10 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 0F 00 00 00 }
	condition:
		$1
}

rule function_9306_0 {
	meta:
		name = "TCanvas.DeselectHandles"
		size = 92
		refs = "000c TCanvas.DeselectHandles 001d StockPen 0024 SelectObject 0029 StockBrush 0038 StockFont"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 48 A0 ?? ?? ?? ?? F7 D0 22 43 08 8A 53 08 3A D0 74 37 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? F7 D0 22 43 08 88 43 08 5E 5B C3 00 00 0E 00 00 00 }
	condition:
		$1
}

rule function_9308_0 {
	meta:
		name = "TCanvas.SetHandle"
		size = 84
		refs = "0017 TCanvas.DeselectHandles 0020 TCanvas.GetPenPos 004b TCanvas.SetPenPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B 43 04 3B F0 74 3F 85 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 18 8B 44 24 04 89 43 1C 33 C0 89 43 04 80 63 08 FE 85 F6 74 11 80 4B 08 01 89 73 04 8D 53 18 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9310_0 {
	meta:
		name = "TCanvas.RequiredState"
		size = 116
		refs = "0011 TCanvas.RequiredState 002c Error 0038 TCanvas.CreateFont 0044 TCanvas.CreatePen 004c TPen.GetStyle 0060 TCanvas.CreateBrush"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8A 5E 08 F7 D3 22 1C 24 A0 ?? ?? ?? ?? 3A C3 74 51 F6 C3 01 74 12 8B C6 8B 10 FF 52 14 83 7E 04 00 75 05 E8 ?? ?? ?? ?? F6 C3 02 74 07 8B C6 E8 ?? ?? ?? ?? F6 C3 04 74 17 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 48 2C 04 73 03 80 CB 08 F6 C3 08 74 07 8B C6 E8 ?? ?? ?? ?? 0A 5E 08 88 5E 08 5A 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9313_0 {
	meta:
		name = "TCanvas.CreateFont"
		size = 44
		refs = "0007 TFont.GetHandle 0011 SelectObject 001c ColorToRGB 0026 SetTextColor"
	strings:
		$1 = { 53 8B D8 8B 43 0C E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 14 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9314_0 {
	meta:
		name = "TCanvas.CreatePen"
		size = 48
		refs = "0007 TPen.GetHandle 0011 SelectObject 0020 PenModes 002a SetROP2"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 14 0F B7 04 45 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9315_0 {
	meta:
		name = "TCanvas.CreateBrush"
		size = 121
		refs = "0007 TBrush.GetHandle 000d UnrealizeObject 001f SelectObject 0027 TBrush.GetStyle 0033 TBrush.GetColor 0038 ColorToRGB 0042 SetBkColor 004d SetBkMode"
	strings:
		$1 = { 53 8B D8 8B 43 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 84 C0 75 24 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 6A 02 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D0 50 8B 43 04 50 E8 ?? ?? ?? ?? 6A 01 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9316_0 {
	meta:
		name = "TCanvas.FontChanged"
		size = 30
		refs = "000e StockFont 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 08 02 74 13 80 63 08 FD A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9317_0 {
	meta:
		name = "TCanvas.PenChanged"
		size = 30
		refs = "000e StockPen 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 08 04 74 13 80 63 08 FB A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9318_0 {
	meta:
		name = "TCanvas.BrushChanged"
		size = 30
		refs = "000e StockBrush 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 08 08 74 13 80 63 08 F7 A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9325_0 {
	meta:
		name = "GDIError"
		size = 168
		refs = "0016 GDIError 0021 GetLastError 0047 FormatMessage 0061 @LStrFromArray 006e _Dn_EOutOfResources 0073 Exception.Create 0078 @RaiseExcept 007f OutOfResources 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 33 C0 89 85 FC FE FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 74 53 6A 00 68 00 01 00 00 8D 85 00 FF FF FF 50 68 00 04 00 00 53 6A 00 68 00 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 85 FC FE FF FF 8D 95 00 FF FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 8D FC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9326_0 {
	meta:
		name = "GDICheck"
		size = 16
		refs = "0008 GDIError"
	strings:
		$1 = { 53 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_18620_0 {
	meta:
		name = "Win32Check"
		size = 16
		refs = "0008 RaiseLastWin32Error"
	strings:
		$1 = { 53 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_9327_0 {
	meta:
		name = "DupBits"
		size = 351
		refs = "0018 CreateCompatibleDC 002d DupBits 0042 GetObject 0059 CreateBitmap 0065 GetDC 0073 GDIError 0092 CreateCompatibleBitmap 00b8 ReleaseDC 00be @HandleFinally 00d3 SelectObject 010e StretchBlt 0140 DeleteDC"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 8D 7D F4 A5 A5 8B D9 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 E8 6A 00 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 50 6A 18 8B 45 FC 50 E8 ?? ?? ?? ?? 84 DB 74 18 6A 00 6A 01 6A 01 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 EB 62 6A 00 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 45 F4 50 8B 45 EC 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 7D F0 00 74 64 8B 45 FC 50 8B 45 E8 50 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B F0 68 20 00 CC 00 8B 45 D4 50 8B 45 D0 50 6A 00 6A 00 8B 45 E8 50 8B 45 F8 50 8B 45 F4 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 85 DB 74 0A 53 8B 45 E8 50 E8 ?? ?? ?? ?? 85 F6 74 0A 56 8B 45 E4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9328_0 {
	meta:
		name = "GetDInColors"
		size = 32
	strings:
		$1 = { 8B D0 66 FF CA 74 0C 66 83 EA 03 74 06 66 83 EA 04 75 0A 8B C8 B8 01 00 00 00 D3 E0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_9329_0 {
	meta:
		name = "BytesPerScanline"
		size = 20
	strings:
		$1 = { 49 F7 EA 03 C1 F7 D1 23 C1 85 C0 79 03 83 C0 07 C1 F8 03 C3 }
	condition:
		$1
}

rule function_9330_0 {
	meta:
		name = "TransparentStretchBlt"
		size = 659
		refs = "001c Win32Platform 0044 CreateCompatibleBitmap 0049 GDICheck 0059 SelectObject 0064 TransparentStretchBlt 0079 MakeROP4 00a8 MaskBlt 00ce DeleteObject 00d4 @HandleFinally 00e2 CreateCompatibleDC 0122 SystemPalette16 012c SelectPalette 0175 RealizePalette 0197 StretchBlt 01c1 SetTextColor 01cf SetBkColor 027b DeleteDC"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 14 8B 5D 18 C6 45 F7 01 A1 ?? ?? ?? ?? 83 38 02 0F 85 B1 00 00 00 3B 5D 2C 0F 85 A8 00 00 00 3B 75 28 0F 85 9F 00 00 00 6A 01 6A 01 8B 45 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 10 50 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 20 00 CC 00 B8 29 00 AA 00 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 45 0C 50 8B 45 EC 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 10 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 89 45 DC 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 53 8B 45 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 E8 6A 00 A1 ?? ?? ?? ?? 50 8B 45 24 50 E8 ?? ?? ?? ?? 89 45 DC 6A 00 8B 45 DC 50 8B 45 24 50 E8 ?? ?? ?? ?? 83 7D DC 00 74 14 6A FF 8B 45 DC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 DC EB 14 6A FF A1 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 DC 8B 45 F0 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 56 53 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 53 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 68 28 03 44 00 56 53 8B 45 1C 50 8B 45 20 50 8B 45 24 50 56 53 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 6A 00 57 E8 ?? ?? ?? ?? 89 45 E4 68 FF FF FF 00 57 E8 ?? ?? ?? ?? 89 45 E0 68 C6 00 88 00 56 53 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 68 46 00 66 00 56 53 6A 00 6A 00 8B 45 F0 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 8B 45 E4 50 57 E8 ?? ?? ?? ?? 8B 45 E0 50 57 E8 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0F 6A 00 8B 45 DC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8A 45 F7 5F 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_9331_0 {
	meta:
		name = "RGBTripleToQuad"
		size = 54
	strings:
		$1 = { 53 56 57 8B F0 8B FE BA FF 00 00 00 8D 04 97 8D 0C 52 8D 0C 0E 8A 59 02 88 58 02 8A 59 01 88 58 01 8A 09 88 08 C6 40 03 00 4A 85 D2 75 DE C6 47 03 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9332_0 {
	meta:
		name = "RGBQuadToTriple"
		size = 120
		refs = "0065 @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B F0 89 74 24 04 8B 3C 24 8B 3F 4F 85 FF 7E 26 B9 01 00 00 00 8B 44 24 04 8D 04 88 8D 14 49 8D 14 16 8A 58 02 88 5A 02 8A 58 01 88 5A 01 8A 00 88 02 41 4F 75 DF 8B 04 24 81 38 00 01 00 00 7D 28 8B 04 24 BA 00 01 00 00 2B 10 8D 14 52 8B 04 24 8B 00 8D 04 40 8D 04 06 33 C9 E8 ?? ?? ?? ?? 8B 04 24 C7 00 00 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9333_0 {
	meta:
		name = "ByteSwapColors"
		size = 85
		refs = "0011 GetSystemInfo"
	strings:
		$1 = { 55 8B EC 83 C4 D4 89 55 F8 89 45 FC 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 49 78 33 8D 45 D4 66 83 78 20 03 74 10 8B 04 8A 0F C8 C1 E8 08 89 04 8A 49 79 F2 EB 19 53 31 DB 8B 04 8A 88 C7 88 E3 C1 E8 10 C1 E3 08 88 C3 89 1C 8A 49 79 E9 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9334_0 {
	meta:
		name = "CreateSystemPalette"
		size = 277
		refs = "0028 Move 002f GetDC 003a CreateSystemPalette 004b GetDeviceCaps 006a GetSystemPaletteEntries 00f8 ReleaseDC 00fe @HandleFinally 010c CreatePalette"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 66 C7 85 F8 FB FF FF 00 03 66 C7 85 FA FB FF FF 10 00 8D 95 FC FB FF FF B9 40 00 00 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 68 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 83 FB 10 0F 8C 8A 00 00 00 8D 85 FC FB FF FF 50 6A 08 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 81 BD 18 FC FF FF C0 C0 C0 00 75 4C 8D 85 18 FC FF FF 50 6A 01 8B C3 83 E8 08 50 8B 45 FC 50 E8 ?? ?? ?? ?? 0F B7 85 FA FB FF FF 8D 84 85 E0 FB FF FF 50 6A 07 83 EB 07 53 8B 45 FC 50 E8 ?? ?? ?? ?? 8D 85 1C FC FF FF 50 6A 01 6A 07 8B 45 FC 50 E8 ?? ?? ?? ?? EB 1E 0F B7 85 FA FB FF FF 8D 84 85 DC FB FF FF 50 6A 08 83 EB 08 53 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 85 F8 FB FF FF 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9335_0 {
	meta:
		name = "SystemPaletteOverride"
		size = 149
		refs = "000f SystemPalette16 0019 GetDC 0024 SystemPaletteOverride 0035 GetDeviceCaps 004d GetPaletteEntries 0081 ReleaseDC 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 C6 45 FF 00 83 3D ?? ?? ?? ?? 00 74 77 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 68 8B 45 F8 50 E8 ?? ?? ?? ?? 83 F8 10 7C 2F 8D 43 04 50 6A 08 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B7 43 02 8D 44 83 E4 50 6A 08 6A 08 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9336_0 {
	meta:
		name = "PaletteFromDIBColorTable"
		size = 161
		refs = "001a CreateCompatibleDC 0023 SelectObject 0037 GetDIBColorTable 0049 DeleteDC 005e Move 0075 SystemPaletteOverride 0087 ByteSwapColors 008f CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B F8 33 F6 66 C7 04 24 00 03 85 FF 74 38 6A 00 E8 ?? ?? ?? ?? 8B D8 57 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 04 50 68 00 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 66 89 44 24 02 57 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 13 66 89 4C 24 02 8B C2 8D 54 24 04 C1 E1 02 E8 ?? ?? ?? ?? 66 83 7C 24 02 00 74 2B 66 83 7C 24 02 10 75 0B 8B C4 E8 ?? ?? ?? ?? 84 C0 75 0E 0F B7 54 24 02 8D 44 24 04 E8 ?? ?? ?? ?? 8B C4 50 E8 ?? ?? ?? ?? 8B F0 8B C6 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9337_0 {
	meta:
		name = "PaletteToDIBColorTable"
		size = 81
		refs = "0018 GetObject 003b GetPaletteEntries 0045 ByteSwapColors"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 33 C0 89 04 24 85 DB 74 36 54 6A 04 53 E8 ?? ?? ?? ?? 85 C0 74 29 83 3C 24 00 74 23 8D 47 01 3B 04 24 7D 03 89 04 24 56 8B 44 24 04 50 6A 00 53 E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9338_0 {
	meta:
		name = "TwoBitsFromDIB"
		size = 462
		refs = "0014 GetSystemMetrics 003e BytesPerScanline 0056 GetDInColors 005f GetDC 006d OutOfResources 0075 TwoBitsFromDIB 00a6 CreateDIBitmap 00ab GDICheck 00c9 DupBits 00e1 DeleteObject 00e7 @HandleFinally 01bb ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 8B DA 89 45 FC 6A 0B E8 ?? ?? ?? ?? 89 45 E4 6A 0C E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC D1 68 08 8B 55 FC 0F B7 52 0E 8B 45 FC 8B 40 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC F7 6A 08 8B 55 FC 89 42 14 8B 45 FC 66 8B 40 0E E8 ?? ?? ?? ?? 8B F0 6A 00 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 7D FC 8B C7 83 C0 28 8B D6 C1 E2 02 03 C2 89 45 EC 6A 00 8B 45 FC 57 8B 45 EC 50 6A 04 8B 45 FC 50 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 8B 40 14 01 45 EC 8B 45 FC 66 BB 01 00 66 89 58 0E 8B 45 FC 0F B7 D3 8B 45 FC 8B 40 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC F7 6A 08 8B 55 FC 89 42 14 8B 45 FC C7 40 20 02 00 00 00 8B 45 FC C7 40 24 02 00 00 00 8B 45 FC 83 C0 28 33 D2 89 10 C7 40 04 FF FF FF 00 6A 00 8B 5D FC 53 8B 45 EC 50 6A 04 8B 45 FC 53 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9339_0 {
	meta:
		name = "ReadIcon"
		size = 704
		refs = "001f AllocMem 0028 ReadIcon 004b GetSystemMetrics 005f GetDC 006d OutOfResources 0086 GetDeviceCaps 00cc ReleaseDC 00d2 @HandleFinally 0190 TwoBitsFromDIB 019f GetObject 01ff GetBitmapBits 0216 DeleteObject 0236 HInstance 023e CreateIcon 0250 GDIError 0268 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 C1 E0 04 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 55 F0 8B 4D EC 8B 45 FC 8B 18 FF 53 04 6A 0B E8 ?? ?? ?? ?? 89 45 D8 6A 0C E8 ?? ?? ?? ?? 89 45 DC 6A 00 E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 0E 8B 45 D4 50 E8 ?? ?? ?? ?? 8B D8 6A 0C 8B 45 D4 50 E8 ?? ?? ?? ?? 66 0F AF D8 8B C3 66 83 F8 18 75 08 66 C7 45 E6 00 00 EB 0D 8B C8 66 B8 01 00 66 D3 E0 66 89 45 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 CE FF 33 C0 89 45 E0 8B 4D F4 49 85 C9 7C 42 41 33 C0 8B D0 03 D2 8B 5D F0 0F B7 54 D3 02 0F B7 7D E6 3B D7 75 04 8B F0 EB 27 83 FE FF 75 17 3B FA 7C 1A 8B F0 8B D0 03 D2 8B 5D F0 0F B7 54 D3 02 89 55 E0 EB 07 3B 55 E0 7E 02 8B F0 40 49 75 C1 83 FE FF 75 02 33 F6 8B C6 03 C0 8B 55 F0 8D 04 C2 89 45 BC 8B 45 BC 8B 40 08 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 BC 8B 50 0C 8B 45 EC 03 45 08 2B D0 66 B9 01 00 8B 45 FC 8B 18 FF 53 0C 8B 45 BC 8B 48 08 8B 5D D0 8B D3 8B 45 FC 8B 30 FF 56 04 8D 4D C4 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 45 8C 50 6A 18 8B 45 C4 50 E8 ?? ?? ?? ?? 8D 45 A4 50 6A 18 8B 45 C8 50 E8 ?? ?? ?? ?? 8B 5D 98 0F AF 5D 94 0F B7 45 9C 0F AF D8 8B 45 B0 F7 6D AC 0F B7 55 B4 F7 EA 89 45 C0 8B 45 C0 03 C3 89 45 E8 8B 45 E8 E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D CC 8B 75 CC 03 F3 57 53 8B 45 C4 50 E8 ?? ?? ?? ?? 56 8B 45 C0 50 8B 45 C8 50 E8 ?? ?? ?? ?? 8B 45 C8 50 E8 ?? ?? ?? ?? 8B 45 C4 50 E8 ?? ?? ?? ?? 56 57 8A 45 B6 50 8A 45 B4 50 8B 45 DC 50 8B 45 D8 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B 55 F8 89 02 8B 45 F8 83 38 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 BC 8B 50 08 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9340_0 {
	meta:
		name = "ComputeAldusChecksum"
		size = 22
	strings:
		$1 = { 33 C9 8B D0 83 C0 14 EB 06 66 33 0A 83 C2 02 3B D0 7C F6 8B C1 C3 }
	condition:
		$1
}

rule function_9341_0 {
	meta:
		name = "InitializeBitmapInfoHeader"
		size = 213
		refs = "0015 GetObject 001e InvalidBitmap 004b @FillChar 00ba BytesPerScanline"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B F1 8B DA 33 D2 89 54 24 18 54 6A 54 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 3F 83 F8 40 7C 18 83 7C 24 18 28 72 11 56 8B FB 8D 74 24 1C B9 0A 00 00 00 F3 A5 5E EB 22 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C7 03 28 00 00 00 8B 44 24 04 89 43 04 8B 44 24 08 89 43 08 85 F6 74 2C 83 EE 02 74 0F 83 EE 0E 74 12 81 EE F0 00 00 00 74 12 EB 26 66 C7 43 0E 01 00 EB 1E 66 C7 43 0E 04 00 EB 16 66 C7 43 0E 08 00 EB 0E 66 8B 44 24 12 66 F7 6C 24 10 66 89 43 0E 66 C7 43 0C 01 00 83 7B 14 00 75 21 0F B7 53 0E 8B 43 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 43 08 99 33 C2 2B C2 0F AF C8 89 4B 14 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9342_0 {
	meta:
		name = "InternalGetDIBSizes"
		size = 80
		refs = "0013 InitializeBitmapInfoHeader"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F1 8B DA 8D 55 D8 8B 4D 08 E8 ?? ?? ?? ?? 66 8B 45 E6 66 83 F8 08 76 11 C7 03 28 00 00 00 F6 45 E8 03 74 16 83 03 0C EB 11 8B C8 B8 01 00 00 00 D3 E0 C1 E0 02 83 C0 28 89 03 8B 45 EC 89 06 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9344_0 {
	meta:
		name = "InternalGetDIB"
		size = 176
		refs = "0017 InitializeBitmapInfoHeader 0023 CreateCompatibleDC 002e InternalGetDIB 0044 SelectPalette 0050 RealizePalette 0067 GetDIBits 0098 DeleteDC 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B FA 8B F0 8B D3 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F8 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 18 6A 00 57 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 53 8B 45 0C 50 8B 43 08 50 6A 00 56 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 0F 95 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0F 6A 00 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8A 45 FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9347_0 {
	meta:
		name = "CheckBool"
		size = 10
		refs = "0005 WinError"
	strings:
		$1 = { 85 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9995_0 {
	meta:
		name = "DLLExitProc"
		size = 10
		refs = "0005 DoneVCLApplication"
	strings:
		$1 = { 85 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9348_0 {
	meta:
		name = "WriteIcon"
		size = 508
		refs = "001b @FillChar 0034 GetIconInfo 0039 CheckBool 0041 WriteIcon 0057 InternalGetDIBSizes 0091 AllocMem 00c8 InternalGetDIB 01a1 @FreeMem 01c8 @HandleFinally 01e0 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 88 4D FF 8B F2 8B D8 8D 45 D6 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 02 8D 4D F0 8D 55 F8 8B 45 C8 E8 ?? ?? ?? ?? 6A 10 8D 4D EC 8D 55 F4 8B 45 CC E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 C0 89 45 E4 33 C0 89 45 E0 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E0 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 45 E4 50 6A 02 8B 4D E8 33 D2 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 DC 50 6A 10 8B 4D E0 33 D2 8B 45 CC E8 ?? ?? ?? ?? 80 7D FF 00 74 1E 8B 45 F4 83 C0 16 03 45 EC 03 45 F0 89 45 D0 8D 55 D0 B9 04 00 00 00 8B C3 8B 30 FF 56 08 66 C7 45 D8 01 00 66 C7 45 DA 01 00 8D 55 D6 B9 06 00 00 00 8B C3 8B 30 FF 56 08 8B 75 E0 8B C6 8A 50 04 88 55 AC 8A 50 08 88 55 AD 66 8B 50 0C 66 0F AF 50 0E 66 89 55 AE 8B 45 F4 03 45 EC 03 45 F0 89 45 B4 C7 45 B8 16 00 00 00 8D 55 AC B9 10 00 00 00 8B C3 8B 38 FF 57 08 8B C6 8B 50 08 01 50 08 8B 55 E0 8B 4D F4 8B C3 8B 30 FF 56 08 8B 55 DC 8B 4D EC 8B C3 8B 30 FF 56 08 8B 55 E4 8B 4D F0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC 50 E8 ?? ?? ?? ?? 8B 45 C8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9350_0 {
	meta:
		name = "TGraphic.Changed"
		size = 24
	strings:
		$1 = { 53 C6 40 14 01 66 83 78 06 00 74 0A 8B D8 8B D0 8B 43 08 FF 53 04 5B C3 }
	condition:
		$1
}

rule function_9351_0 {
	meta:
		name = "DoWrite"
		size = 87
		refs = "001d _DV_TGraphic 0022 @IsClass"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 37 8B 45 08 8B 40 FC 8B 58 1C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 8B D3 8B 45 08 8B 40 F8 8B 08 FF 51 18 84 C0 74 04 33 C0 EB 12 B0 01 5B 5D C3 8B 45 08 8B 40 F8 8B 10 FF 52 1C 34 01 5B 5D C3 }
	condition:
		$1
}

rule function_9352_0 {
	meta:
		name = "TGraphic.DefineProperties"
		size = 76
		refs = "0023 DoWrite 002b TGraphic.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 8B 00 8B 40 30 50 8B 45 F8 50 8B 00 8B 40 44 50 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_9353_0 {
	meta:
		name = "TGraphic.Equals"
		size = 322
		refs = "0014 TObject.ClassType 0075 _Dn_TMemoryStream 007a TObject.Create 0085 TGraphic.Equals 00c4 TStream.GetSize 00ed CompareMem 010f TObject.Free 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 85 F6 74 14 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 04 33 C0 EB 02 B0 01 88 45 FF 8B C3 8B 10 FF 52 1C 84 C0 75 0B 8B C6 8B 10 FF 52 1C 84 C0 74 24 8B C3 8B 10 FF 52 1C 84 C0 74 0B 8B C6 8B 10 FF 52 1C 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF E9 D0 00 00 00 80 7D FF 00 0F 84 C6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 8B 08 FF 51 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C6 8B 08 FF 51 44 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 75 1F 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 45 F4 8B 50 04 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9355_0 {
	meta:
		name = "TGraphic.GetTransparent"
		size = 4
	strings:
		$1 = { 8A 40 15 C3 }
	condition:
		$1
}

rule function_9356_0 {
	meta:
		name = "TGraphic.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TGraphic.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_9357_0 {
	meta:
		name = "TGraphic.Progress"
		size = 40
	strings:
		$1 = { 55 8B EC 53 66 83 78 0E 00 74 18 8A 5D 14 53 8A 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 43 10 FF 53 0C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_9358_0 {
	meta:
		name = "TGraphic.ReadData"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 50 5E C3 }
	condition:
		$1
}

rule function_9359_0 {
	meta:
		name = "TGraphic.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TGraphic.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 68 FF FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_9361_0 {
	meta:
		name = "TGraphic.SetModified"
		size = 17
	strings:
		$1 = { 84 D2 74 08 8B D0 8B 08 FF 51 10 C3 C6 40 14 00 C3 }
	condition:
		$1
}

rule function_9362_0 {
	meta:
		name = "TGraphic.SetTransparent"
		size = 16
	strings:
		$1 = { 3A 50 15 74 0A 88 50 15 8B D0 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_9363_0 {
	meta:
		name = "TGraphic.WriteData"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 54 5E C3 }
	condition:
		$1
}

rule function_9364_0 {
	meta:
		name = "TFileFormatsList.Create"
		size = 296
		refs = "000f @ClassCreate 001b TFileFormatsList.Create 002a TObject.Create 0031 _DV_TMetafile 003a SVMetafiles 003f LoadResString 004e TFileFormatsList.Add 005e SVEnhMetafiles 0079 _DV_TIcon 0082 SVIcons 009d _DV_TBitmap 00a6 SVBitmaps 00cf @LStrClr 00d5 @HandleFinally 00e2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 FF FF FF FF 03 00 00 00 77 6D 66 00 FF FF FF FF 03 00 00 00 65 6D 66 00 FF FF FF FF 03 00 00 00 69 63 6F 00 FF FF FF FF 03 00 00 00 62 6D 70 00 }
	condition:
		$1
}

rule function_9365_0 {
	meta:
		name = "TFileFormatsList.Destroy"
		size = 76
		refs = "0005 @BeforeDestruction 001d TList.Get 0023 TFileFormat 0028 @Dispose 0038 TList.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 1B 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4D 75 E8 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9366_0 {
	meta:
		name = "TFileFormatsList.Add"
		size = 147
		refs = "001a TFileFormatsList.Add 0026 TFileFormat 0030 @New 003f AnsiLowerCase 004a @LStrAsg 0069 TList.Add 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 10 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 04 E8 ?? ?? ?? ?? 8B 45 08 89 03 8D 43 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 89 43 0C 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9367_0 {
	meta:
		name = "TFileFormatsList.FindExt"
		size = 151
		refs = "0017 @LStrAddRef 001f TFileFormatsList.FindExt 0030 AnsiLowerCase 003b @LStrLAsg 004d TList.Get 005a @LStrCmp 0082 @LStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 5F 08 4B 83 FB 00 7C 22 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 55 FC E8 ?? ?? ?? ?? 75 04 8B 1E EB 08 4B 83 FB FF 75 DE 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9368_0 {
	meta:
		name = "TFileFormatsList.FindClassName"
		size = 142
		refs = "001a TFileFormatsList.FindClassName 0032 TList.Get 0041 TObject.ClassName 004f @LStrFromString 005a @LStrCmp 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 83 FB 00 7C 39 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 30 8D 95 F8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 08 4B 83 FB FF 75 C7 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9369_0 {
	meta:
		name = "TFileFormatsList.Remove"
		size = 74
		refs = "0016 TList.Get 0021 TObject.InheritsFrom 002b TFileFormat 0032 @Dispose 003b TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 5F 08 4B 83 FB 00 7C 34 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D5 8B 06 E8 ?? ?? ?? ?? 84 C0 74 16 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9370_0 {
	meta:
		name = "TFileFormatsList.BuildFilterStrings"
		size = 480
		refs = "001a TFileFormatsList.BuildFilterStrings 0027 @LStrClr 004e TList.Get 005a TObject.InheritsFrom 0082 @LStrCat 00a9 LoadStr 00b4 @LStrAsg 00e2 FmtStr 0127 sAllFilter 012c LoadResString 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D F0 8B F9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 FC 8B 70 08 4E 83 FE 00 0F 8C D3 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B 03 E8 ?? ?? ?? ?? 84 C0 0F 84 AB 00 00 00 83 7B 04 00 0F 84 A1 00 00 00 8B C3 8B D8 83 7D F4 00 74 1C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 7B 08 00 75 1C 83 7B 0C 00 74 16 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F0 8D 43 08 E8 ?? ?? ?? ?? 6A 02 8B 07 89 45 D8 C6 45 DC 0B 8B 43 08 89 45 E0 C6 45 E4 0B 8B 43 04 89 45 E8 C6 45 EC 0B 8D 4D D8 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 45 08 8B 00 89 45 C8 C6 45 CC 0B 8B 43 04 89 45 D0 C6 45 D4 0B 8D 4D C8 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 4E 83 FE FF 0F 85 2D FF FF FF 83 7D F4 01 7E 3D 6A 02 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 D8 C6 45 DC 0B 8B 45 08 8B 00 89 45 E0 C6 45 E4 0B 8B 07 89 45 E8 C6 45 EC 0B 8D 4D D8 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 01 00 00 00 7C 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 FF FF FF FF 12 00 00 00 25 73 25 73 20 28 2A 2E 25 73 29 7C 2A 2E 25 32 3A 73 00 00 FF FF FF FF 06 00 00 00 25 73 2A 2E 25 73 00 00 FF FF FF FF 0F 00 00 00 25 73 20 28 25 73 29 7C 25 31 3A 73 7C 25 73 00 }
	condition:
		$1
}

rule function_9371_0 {
	meta:
		name = "TClipboardFormats.Create"
		size = 125
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 0032 _DV_TMetafile 003d TClipboardFormats.Add 0054 _DV_TBitmap 006a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 0D ?? ?? ?? ?? 66 BA 03 00 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 66 BA 0E 00 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 66 BA 02 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9372_0 {
	meta:
		name = "TClipboardFormats.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9373_0 {
	meta:
		name = "TClipboardFormats.Add"
		size = 104
		refs = "0017 TList.Add 0022 TClipboardFormats.Add 0045 @HandleAnyException 0053 TList.Delete 0058 @RaiseAgain 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 40 04 8B D1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 D3 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9374_0 {
	meta:
		name = "TClipboardFormats.FindFormat"
		size = 58
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 58 08 4B 83 FB 00 7C 21 8B D3 8B 46 08 E8 ?? ?? ?? ?? 66 3B F8 75 0C 8B D3 8B 46 04 E8 ?? ?? ?? ?? EB 08 4B 83 FB FF 75 DF 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9375_0 {
	meta:
		name = "TClipboardFormats.Remove"
		size = 70
		refs = "0019 TList.Get 0020 TObject.InheritsFrom 002e TList.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 8B 58 08 4B 83 FB 00 7C 2F 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B D3 8B 46 08 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9378_0 {
	meta:
		name = "TPicture.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TObject.Create 001c GetFileFormats 0021 GetClipboardFormats 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9380_0 {
	meta:
		name = "TPicture.AssignTo"
		size = 52
		refs = "0009 TObject.ClassType 0013 @IsClass 002d TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 04 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9381_0 {
	meta:
		name = "TPicture.ForceType"
		size = 98
		refs = "000f @IsClass 001a TObject.Free 0039 @FindDynaInst 005a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 04 8B C6 8B D7 E8 ?? ?? ?? ?? 84 C0 75 47 8B C6 E8 ?? ?? ?? ?? 33 C0 89 43 04 B2 01 8B C7 FF 50 0C 8B F0 89 73 04 89 5E 08 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 04 89 5E 10 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 89 46 0C 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9382_0 {
	meta:
		name = "TPicture.GetBitmap"
		size = 21
		refs = "0005 _DV_TBitmap 000c TPicture.ForceType"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_9383_0 {
	meta:
		name = "TPicture.GetIcon"
		size = 21
		refs = "0005 _DV_TIcon 000c TPicture.ForceType"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_9384_0 {
	meta:
		name = "TPicture.GetMetafile"
		size = 21
		refs = "0005 _DV_TMetafile 000c TPicture.ForceType"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_9388_0 {
	meta:
		name = "TPicture.SetGraphic"
		size = 173
		refs = "0017 TObject.ClassType 003b @FindDynaInst 0061 TPicture.SetGraphic 006f TObject.Free 0082 @CallDynaInst 0091 @HandleAnyException 009e @RaiseAgain 00a3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 33 C0 89 45 FC 85 F6 74 49 8B C6 E8 ?? ?? ?? ?? B2 01 FF 50 0C 89 45 FC 8B D6 8B 45 FC 8B 08 FF 51 08 8B 45 FC 89 58 08 50 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 8B D0 58 89 50 04 8B 45 FC 89 58 10 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC 89 43 04 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9389_0 {
	meta:
		name = "TPicture.LoadFromFile"
		size = 306
		refs = "0019 TPicture.LoadFromFile 0029 ExtractFileExt 003b @LStrDelete 0043 FileFormats 0048 TFileFormatsList.FindExt 0064 SUnknownExtension 0069 LoadResString 0073 _DV_EInvalidGraphic 0078 Exception.CreateFmt 007d @RaiseExcept 00a5 @FindDynaInst 00c4 @HandleAnyException 00cc TObject.Free 00d1 @RaiseAgain 00d6 @DoneExcept 0102 @CallDynaInst 0117 @LStrClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 31 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 FF 50 0C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 10 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 0C 8B D6 8B 45 F8 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 75 F8 89 73 04 89 5E 08 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 04 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9390_0 {
	meta:
		name = "TPicture.SaveToFile"
		size = 21
	strings:
		$1 = { 56 57 8B F0 8B 7E 04 85 FF 74 07 8B C7 8B 08 FF 51 4C 5F 5E C3 }
	condition:
		$1
}

rule function_9391_0 {
	meta:
		name = "TPicture.LoadFromClipboardFormat"
		size = 254
		refs = "0019 TPicture.LoadFromClipboardFormat 0026 ClipboardFormats 002b TClipboardFormats.FindFormat 0039 SUnknownClipboardFormat 003e LoadResString 0046 InvalidGraphic 0070 @FindDynaInst 0096 @HandleAnyException 009e TObject.Free 00a3 @RaiseAgain 00a8 @DoneExcept 00d4 @CallDynaInst 00e9 @LStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B C6 FF 50 0C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 10 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 0C 8B 45 08 50 8B 4D FC 8B D7 8B 45 F8 8B 30 FF 56 58 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 75 F8 89 73 04 89 5E 08 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 04 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9392_0 {
	meta:
		name = "TPicture.SaveToClipboardFormat"
		size = 41
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F0 8B 7E 04 85 FF 74 0E 8B 45 08 50 8B 4D FC 8B C7 8B 18 FF 53 5C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9393_0 {
	meta:
		name = "TPicture.SupportsClipboardFormat"
		size = 22
		refs = "0004 GetClipboardFormats 000b TClipboardFormats.FindFormat"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_9394_0 {
	meta:
		name = "TPicture.Assign"
		size = 91
		refs = "000f TPicture.SetGraphic 001a _DV_TPicture 001f @IsClass 0037 _DV_TGraphic 0054 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 75 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 53 04 8B C6 E8 ?? ?? ?? ?? EB 25 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9395_0 {
	meta:
		name = "TPicture.RegisterFileFormat"
		size = 35
		refs = "0010 GetFileFormats 0019 TFileFormatsList.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9396_0 {
	meta:
		name = "TPicture.RegisterFileFormatRes"
		size = 34
		refs = "000f GetFileFormats 0018 TFileFormatsList.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B 45 08 50 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9397_0 {
	meta:
		name = "TPicture.RegisterClipboardFormat"
		size = 23
		refs = "0007 GetClipboardFormats 0010 TClipboardFormats.Add"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9398_0 {
	meta:
		name = "TPicture.UnregisterGraphicClass"
		size = 47
		refs = "0005 FileFormats 0014 TFileFormatsList.Remove 001a ClipboardFormats 0029 TClipboardFormats.Remove"
	strings:
		$1 = { 53 8B DA 83 3D ?? ?? ?? ?? 00 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9399_0 {
	meta:
		name = "TPicture.Changed"
		size = 34
	strings:
		$1 = { 53 8B D8 66 83 7B 0A 00 74 08 8B D3 8B 43 0C FF 53 08 83 7B 10 00 74 08 8B 43 10 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_9400_0 {
	meta:
		name = "TPicture.Progress"
		size = 40
	strings:
		$1 = { 55 8B EC 53 66 83 78 16 00 74 18 8A 5D 14 53 8A 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 43 18 FF 53 14 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_9401_0 {
	meta:
		name = "TPicture.ReadData"
		size = 252
		refs = "0016 TPicture.ReadData 0045 @LStrFromString 004d FileFormats 0052 TFileFormatsList.FindClassName 0085 @HandleAnyException 008d TObject.Free 0092 @RaiseAgain 0097 @DoneExcept 00b3 @FindDynaInst 00d4 @CallDynaInst 00e9 @LStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC B9 01 00 00 00 8B C6 8B 38 FF 57 04 33 C9 8A 4D BC 8D 55 BD 8B C6 8B 38 FF 57 04 8D 45 B8 8D 55 BC E8 ?? ?? ?? ?? 8B 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7E B2 01 FF 50 0C 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 75 FC 89 73 04 89 5E 08 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 04 89 5E 10 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 89 46 0C 8B D3 8B C3 66 BB FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9402_0 {
	meta:
		name = "TPicture.WriteData"
		size = 75
		refs = "0017 TObject.ClassName 0024 @PStrNCpy"
	strings:
		$1 = { 53 56 57 81 C4 C0 FE FF FF 8B F2 8B D8 8D 54 24 40 8B 43 04 8B 00 E8 ?? ?? ?? ?? 8D 54 24 40 8B C4 B1 3F E8 ?? ?? ?? ?? 33 C9 8A 0C 24 41 8B D4 8B C6 8B 38 FF 57 08 8B D6 8B 43 04 8B 08 FF 51 44 81 C4 40 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9403_0 {
	meta:
		name = "DoWrite"
		size = 124
		refs = "001b _DV_TPicture 0020 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 70 1C 85 F6 74 57 B3 01 8B 45 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B 45 08 8B DE 8B 45 08 8B 40 F8 8B 40 04 3B 43 04 74 24 8B 45 08 8B 40 F8 8B 70 04 85 F6 74 1B 83 7B 04 00 74 15 8B 53 04 8B 45 08 8B C6 8B 08 FF 51 18 84 C0 74 04 33 C0 EB 02 B0 01 8B D8 EB 0D 8B 45 08 8B 40 F8 83 78 04 00 0F 95 C3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9404_0 {
	meta:
		name = "TPicture.DefineProperties"
		size = 76
		refs = "0012 TPicture.ReadData 001b TPicture.WriteData 0021 DoWrite 0029 TPicture.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_9405_0 {
	meta:
		name = "TPicture.GetWidth"
		size = 21
	strings:
		$1 = { 33 D2 8B 48 04 85 C9 74 09 8B C1 8B 10 FF 52 2C 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_9406_0 {
	meta:
		name = "TPicture.GetHeight"
		size = 21
	strings:
		$1 = { 33 D2 8B 48 04 85 C9 74 09 8B C1 8B 10 FF 52 20 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_9407_0 {
	meta:
		name = "TMetafileImage.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0014 DeleteEnhMetaFile 001c InternalDeletePalette 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9409_0 {
	meta:
		name = "TMetafileCanvas.Create"
		size = 151
		refs = "0012 @ClassCreate 0020 TMetafileCanvas.Create 0034 TMetafile.GetAuthor 0042 TMetafile.GetDesc 0051 TMetafileCanvas.CreateWithComment 006b @LStrArrayClr 0071 @HandleFinally 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 50 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9410_0 {
	meta:
		name = "TMetafileCanvas.CreateWithComment"
		size = 592
		refs = "0016 @ClassCreate 002c TMetafileCanvas.CreateWithComment 003c TCanvas.Create 0055 GetDC 0071 TMetafile.GetMMWidth 008f GetDeviceCaps 009d TMetafile.SetMMWidth 00cd MulDiv 00e1 TMetafile.GetMMHeight 010d TMetafile.SetMMHeight 016c Rect 0173 @LStrLen 019b @LStrCatN 01a3 @LStrToPChar 01b7 CreateEnhMetaFile 01c2 GDIError 01cc TCanvas.SetHandle 01ea ReleaseDC 01f0 @HandleFinally 0207 @LStrClr 021d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FB 89 45 FC 8B 75 08 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 78 54 8B 45 10 89 45 F4 83 7D 10 00 75 0A 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 85 C0 75 61 8B 45 FC 8B 40 54 8B 10 FF 52 2C 85 C0 75 1B 6A 04 8B 45 F4 50 E8 ?? ?? ?? ?? 6B D0 64 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? EB 37 6A 08 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 04 8B 45 F4 50 E8 ?? ?? ?? ?? 6B C0 64 50 8B 45 FC 8B 78 54 8B C7 8B 10 FF 52 2C 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 85 C0 75 61 8B 45 FC 8B 40 54 8B 10 FF 52 20 85 C0 75 1B 6A 06 8B 45 F4 50 E8 ?? ?? ?? ?? 6B D0 64 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? EB 37 6A 0A 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 06 8B 45 F4 50 E8 ?? ?? ?? ?? 6B C0 64 50 8B 45 FC 8B 78 54 8B C7 8B 10 FF 52 20 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 23 53 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 02 33 C0 50 8D 45 E4 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D 10 00 75 0B 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C2 0C 00 00 FF FF FF FF 01 00 00 00 00 00 00 00 FF FF FF FF 02 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9411_0 {
	meta:
		name = "TMetafileCanvas.Destroy"
		size = 73
		refs = "0004 @BeforeDestruction 000f TCanvas.GetHandle 001a TCanvas.SetHandle 0020 CloseEnhMetaFile 002a TMetafile.SetHandle 0036 TCanvas.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 33 D2 8B C7 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B D0 8B 47 54 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9412_0 {
	meta:
		name = "TMetafile.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TGraphic.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1C 01 C6 46 15 01 33 D2 8B C6 8B 08 FF 51 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9413_0 {
	meta:
		name = "TIcon.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TSharedImage.Release 001b TPersistent.Destroy 0026 @ClassDestroy"
		altNames = "TMetafile.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15412_0 {
	meta:
		name = "EUpdateError.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9414_0 {
	meta:
		name = "TMetafile.Assign"
		size = 147
		refs = "000f _DV_TMetafile 0014 @IsClass 0029 TSharedImage.Release 0044 _DV_TMetafileImage 0049 TObject.Create 0058 TSharedImage.Reference 008b TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6A 33 FF 8B 43 18 85 C0 74 08 8B 78 14 E8 ?? ?? ?? ?? 85 F6 74 10 8B C6 8B 50 18 89 53 18 8A 40 1C 88 43 1C EB 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 C6 43 1C 01 8B 43 18 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 3B F8 74 0B 8B C3 8B 10 FF 52 24 85 C0 75 04 33 C0 EB 02 B0 01 88 43 16 8B D3 8B C3 8B 08 FF 51 10 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9416_0 {
	meta:
		name = "TMetafile.Draw"
		size = 147
		refs = "0029 TCanvas.GetHandle 002f SelectPalette 003e RealizePalette 0073 PlayEnhMetaFile"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B FA 8B D8 83 7B 18 00 74 77 8B C3 8B 10 FF 52 24 8B F0 33 ED 85 F6 74 1F 6A FF 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E8 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 56 57 8B F0 8D 7C 24 0C B9 04 00 00 00 F3 A5 5F 5E FF 4C 24 0C FF 4C 24 10 8D 44 24 04 50 8B 43 18 8B 40 08 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 74 10 6A FF 55 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9417_0 {
	meta:
		name = "TMetafile.GetAuthor"
		size = 101
		refs = "000a @LStrClr 0024 GetEnhMetaFileDescription 0033 @LStrSetLength 003a @LStrToPChar 0054 StrLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 18 85 C0 74 4C 83 78 08 00 74 46 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 33 8B C6 8B D7 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 57 8B 43 18 8B 40 08 50 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9418_0 {
	meta:
		name = "TMetafile.GetDesc"
		size = 128
		refs = "000a @LStrClr 0024 GetEnhMetaFileDescription 0033 @LStrSetLength 003a @LStrToPChar 0054 StrLen 0063 @LStrDelete"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 67 83 78 08 00 74 61 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 4E 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 57 8B 46 18 8B 40 08 50 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 41 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9419_0 {
	meta:
		name = "TMetafile.GetEmpty"
		size = 8
	strings:
		$1 = { 83 78 18 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_9420_0 {
	meta:
		name = "TMetafile.GetHandle"
		size = 14
	strings:
		$1 = { 8B 50 18 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_9421_0 {
	meta:
		name = "TMetafile.GetHeight"
		size = 97
		refs = "000f TMetafile.NewImage 002e GetEnhMetaFileHeader 0042 MulDiv 004e ScreenLogPixels"
	strings:
		$1 = { 53 83 C4 9C 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 5B 18 66 83 7B 18 00 75 2B 8B 43 08 85 C0 75 05 8B 43 20 EB 33 54 6A 64 50 E8 ?? ?? ?? ?? 6B 44 24 54 64 50 8B 44 24 50 50 8B 43 10 50 E8 ?? ?? ?? ?? EB 14 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 43 10 50 E8 ?? ?? ?? ?? 83 C4 64 5B C3 }
	condition:
		$1
}

rule function_9422_0 {
	meta:
		name = "TMetafile.GetInch"
		size = 16
	strings:
		$1 = { 33 D2 8B 48 18 85 C9 74 04 66 8B 51 18 8B C2 C3 }
	condition:
		$1
}

rule function_9423_0 {
	meta:
		name = "TMetafile.GetMMHeight"
		size = 24
		refs = "000c TMetafile.NewImage"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 10 5B C3 }
	condition:
		$1
}

rule function_9424_0 {
	meta:
		name = "TMetafile.GetMMWidth"
		size = 24
		refs = "000c TMetafile.NewImage"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 0C 5B C3 }
	condition:
		$1
}

rule function_9425_0 {
	meta:
		name = "TMetafile.GetPalette"
		size = 137
		refs = "0029 GetEnhMetaFilePaletteEntries 0048 InternalDeletePalette 006d CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B D8 33 FF 8B 43 18 85 C0 74 69 83 78 08 00 74 63 83 78 14 00 75 57 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4A 81 FE 00 01 00 00 7E 06 81 E6 FF 00 00 00 8B 43 18 8B 40 14 E8 ?? ?? ?? ?? 66 C7 04 24 00 03 66 89 74 24 02 8D 44 24 04 50 56 8B 43 18 8B 40 08 50 E8 ?? ?? ?? ?? 8B C4 50 E8 ?? ?? ?? ?? 8B 53 18 89 42 14 8B 43 18 8B 78 14 8B C7 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9426_0 {
	meta:
		name = "TMetafile.GetWidth"
		size = 97
		refs = "000f TMetafile.NewImage 002e GetEnhMetaFileHeader 0042 MulDiv 004e ScreenLogPixels"
	strings:
		$1 = { 53 83 C4 9C 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 5B 18 66 83 7B 18 00 75 2B 8B 43 08 85 C0 75 05 8B 43 1C EB 33 54 6A 64 50 E8 ?? ?? ?? ?? 6B 44 24 50 64 50 8B 44 24 4C 50 8B 43 0C 50 E8 ?? ?? ?? ?? EB 14 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? 83 C4 64 5B C3 }
	condition:
		$1
}

rule function_9427_0 {
	meta:
		name = "TMetafile.LoadFromStream"
		size = 84
		refs = "000b TMetafile.TestEMF 0018 TMetafile.ReadEMFStream 0021 TStream.GetSize 0029 TStream.GetPosition 0035 TMetafile.ReadWMFStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1B 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 59 2B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 85 C0 0F 95 C0 88 43 16 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9428_0 {
	meta:
		name = "TMetafile.NewImage"
		size = 39
		refs = "0008 TSharedImage.Release 000f _DV_TMetafileImage 0014 TObject.Create 0020 TSharedImage.Reference"
	strings:
		$1 = { 53 56 8B D8 8B 43 18 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9429_0 {
	meta:
		name = "TMetafile.ReadData"
		size = 90
		refs = "001b TMetafile.TestEMF 0028 TMetafile.ReadEMFStream 0039 TMetafile.ReadWMFStream"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 04 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0F 8B 0C 24 83 E9 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 85 C0 0F 95 C0 88 43 16 8B D3 8B C3 8B 08 FF 51 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9430_0 {
	meta:
		name = "TMetafile.ReadEMFStream"
		size = 206
		refs = "0010 TMetafile.NewImage 001f TStream.ReadBuffer 002d InvalidMetafile 0035 @GetMem 0043 TMetafile.ReadEMFStream 0059 Move 0079 SetEnhMetaFileBits 00bb @FreeMem 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 55 98 B9 64 00 00 00 8B C7 E8 ?? ?? ?? ?? 81 7D C0 20 45 4D 46 74 05 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 89 45 FC 8B 5E 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8D 45 98 B9 64 00 00 00 E8 ?? ?? ?? ?? 8B 4D C8 83 E9 64 8B 55 FC 83 C2 64 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 C8 50 E8 ?? ?? ?? ?? 8B F8 89 7B 08 85 FF 75 05 E8 ?? ?? ?? ?? 66 C7 43 18 00 00 8B 45 B8 2B 45 B0 89 43 0C 8B 45 BC 2B 45 B4 89 43 10 C6 46 1C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 C8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9431_0 {
	meta:
		name = "TMetafile.ReadWMFStream"
		size = 294
		refs = "0014 TMetafile.NewImage 0035 ComputeAldusChecksum 0040 InvalidMetafile 004c @GetMem 005a TMetafile.ReadWMFStream 00a0 MulDiv 00e9 SetWinMetaFileBits 0113 @FreeMem 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D F8 89 55 FC 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 DE B9 16 00 00 00 8B 45 FC 8B 30 FF 56 04 81 7D DE D7 CD C6 9A 75 0E 8D 45 DE E8 ?? ?? ?? ?? 66 3B 45 F2 74 05 E8 ?? ?? ?? ?? 83 6D F8 16 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 73 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 4D F8 8B 45 FC 8B 38 FF 57 04 8B 43 18 66 8B 55 EC 66 89 50 18 66 83 7D EC 00 75 06 66 C7 45 EC 60 00 0F B7 45 EC 50 68 EC 09 00 00 0F BF 45 E8 0F BF 55 E4 2B C2 50 E8 ?? ?? ?? ?? 89 46 0C 0F B7 45 EC 50 68 EC 09 00 00 0F BF 45 EA 0F BF 55 E6 2B C2 50 E8 ?? ?? ?? ?? 89 46 10 C7 45 CE 08 00 00 00 33 C0 89 45 D2 33 C0 89 45 D6 33 C0 89 45 DA 8D 45 CE 50 6A 00 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 89 7E 08 85 FF 75 05 E8 ?? ?? ?? ?? C6 43 1C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9432_0 {
	meta:
		name = "TMetafile.SaveToFile"
		size = 140
		refs = "0012 TMetafile.SaveToFile 0025 ExtractFileExt 0030 AnsiLowerCaseFileName 003d @LStrCmp 004c TGraphic.SaveToFile 0069 @LStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 5F 1C 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 47 1C 00 8B D6 8B C7 E8 ?? ?? ?? ?? 88 5F 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 FF FF FF FF 04 00 00 00 2E 77 6D 66 00 00 00 00 }
	condition:
		$1
}

rule function_9433_0 {
	meta:
		name = "TMetafile.SaveToStream"
		size = 25
		refs = "000d TMetafile.WriteEMFStream 0014 TMetafile.WriteWMFStream"
	strings:
		$1 = { 83 78 18 00 74 12 80 78 1C 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9434_0 {
	meta:
		name = "TMetafile.SetHandle"
		size = 142
		refs = "0012 GetEnhMetaFileHeader 001b InvalidMetafile 0022 TMetafile.UniqueImage 0032 DeleteEnhMetaFile 003d InternalDeletePalette"
	strings:
		$1 = { 53 56 83 C4 9C 8B F2 8B D8 85 F6 74 12 54 6A 64 56 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 18 8B 40 14 E8 ?? ?? ?? ?? 8B 43 18 33 D2 89 50 14 89 70 08 33 D2 89 50 1C 33 D2 89 50 20 85 F6 74 16 8B 54 24 20 2B 54 24 18 89 50 0C 8B 54 24 24 2B 54 24 1C 89 50 10 8B C3 8B 10 FF 52 24 85 C0 0F 95 C0 88 43 16 8B D3 8B C3 8B 08 FF 51 10 83 C4 64 5E 5B C3 }
	condition:
		$1
}

rule function_9435_0 {
	meta:
		name = "TMetafile.SetHeight"
		size = 113
		refs = "0012 TMetafile.NewImage 0031 GetEnhMetaFileHeader 0042 MulDiv 004b TMetafile.SetMMHeight 0052 ScreenLogPixels"
	strings:
		$1 = { 53 56 83 C4 9C 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 83 78 18 00 75 31 8B 50 08 85 D2 75 05 89 70 20 EB 3F 54 6A 64 52 E8 ?? ?? ?? ?? 8B 44 24 4C 50 6B 44 24 58 64 50 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1A A1 ?? ?? ?? ?? 50 68 EC 09 00 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 64 5E 5B C3 }
	condition:
		$1
}

rule function_9436_0 {
	meta:
		name = "TMetafile.SetInch"
		size = 54
		refs = "000f TMetafile.NewImage 001f TMetafile.UniqueImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 3B 70 18 74 17 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 89 70 18 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9437_0 {
	meta:
		name = "TMetafile.SetMMHeight"
		size = 57
		refs = "000f TMetafile.NewImage 0023 TMetafile.UniqueImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 33 D2 89 50 20 3B 70 10 74 16 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 70 10 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9438_0 {
	meta:
		name = "TMetafile.SetMMWidth"
		size = 57
		refs = "000f TMetafile.NewImage 0023 TMetafile.UniqueImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 33 D2 89 50 1C 3B 70 0C 74 16 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 70 0C 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9440_0 {
	meta:
		name = "TMetafile.SetWidth"
		size = 113
		refs = "0012 TMetafile.NewImage 0031 GetEnhMetaFileHeader 0042 MulDiv 004b TMetafile.SetMMWidth 0052 ScreenLogPixels"
	strings:
		$1 = { 53 56 83 C4 9C 8B F2 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 83 78 18 00 75 31 8B 50 08 85 D2 75 05 89 70 1C EB 3F 54 6A 64 52 E8 ?? ?? ?? ?? 8B 44 24 48 50 6B 44 24 54 64 50 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1A A1 ?? ?? ?? ?? 50 68 EC 09 00 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 64 5E 5B C3 }
	condition:
		$1
}

rule function_9441_0 {
	meta:
		name = "TMetafile.TestEMF"
		size = 95
		refs = "000b TStream.GetSize 0014 TStream.GetPosition"
	strings:
		$1 = { 53 56 57 83 C4 9C 8B DA 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 83 FE 64 7E 1E 8B D4 B9 64 00 00 00 8B C3 8B 38 FF 57 04 66 B9 01 00 BA 9C FF FF FF 8B C3 8B 18 FF 53 0C 83 FE 64 7E 10 83 3C 24 01 75 0A 81 7C 24 28 20 45 4D 46 74 04 33 C0 EB 02 B0 01 83 C4 64 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9442_0 {
	meta:
		name = "TMetafile.UniqueImage"
		size = 131
		refs = "000f TMetafile.NewImage 001e _DV_TMetafileImage 0023 TObject.Create 0037 CopyEnhMetaFile 0071 TSharedImage.Release 007b TSharedImage.Reference"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 18 85 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 6A 83 78 04 01 7E 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 18 8B 78 08 85 FF 74 0B 6A 00 57 E8 ?? ?? ?? ?? 89 46 08 8B 43 18 8B 40 10 89 46 10 8B 43 18 8B 40 0C 89 46 0C 8B 43 18 66 8B 40 18 66 89 46 18 8B 43 18 8B 40 1C 89 46 1C 8B 43 18 8B 40 20 89 46 20 8B 43 18 E8 ?? ?? ?? ?? 8B C6 89 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9443_0 {
	meta:
		name = "TMetafile.WriteData"
		size = 129
		refs = "0024 TStream.GetPosition 0039 TMetafile.WriteEMFStream 0044 TMetafile.WriteWMFStream 0057 TStream.GetSize"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 83 7E 18 00 74 6E 33 C0 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 38 FF 57 08 8B C3 E8 ?? ?? ?? ?? 83 E8 04 89 04 24 80 7E 1C 00 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 14 24 8B C3 8B 30 FF 56 0C 8B C3 E8 ?? ?? ?? ?? 2B 04 24 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 30 FF 56 08 66 B9 02 00 33 D2 8B C3 8B 18 FF 53 0C 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9444_0 {
	meta:
		name = "TMetafile.WriteEMFStream"
		size = 131
		refs = "001c GetEnhMetaFileBits 0027 @GetMem 0032 TMetafile.WriteEMFStream 0059 TStream.WriteBuffer 0071 @FreeMem 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B 43 18 85 C0 74 6A 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 F8 50 8B 43 18 8B 40 08 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9445_0 {
	meta:
		name = "TMetafile.WriteWMFStream"
		size = 328
		refs = "0021 @FillChar 0053 MulDiv 0076 ComputeAldusChecksum 0081 GetDC 008c TMetafile.WriteWMFStream 00a5 GetWinMetaFileBits 00b0 @GetMem 00e2 GDIError 00f1 TStream.WriteBuffer 0116 @FreeMem 011c @HandleFinally 0136 ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8B D8 83 7B 18 00 0F 84 2C 01 00 00 8D 45 DE 33 C9 BA 16 00 00 00 E8 ?? ?? ?? ?? 8B 5B 18 C7 45 DE D7 CD C6 9A 66 8B 43 18 66 85 C0 75 08 66 C7 45 EC 60 00 EB 04 66 89 45 EC 68 EC 09 00 00 0F B7 45 EC 50 8B 43 0C 50 E8 ?? ?? ?? ?? 66 89 45 E8 68 EC 09 00 00 0F B7 45 EC 50 8B 43 10 50 E8 ?? ?? ?? ?? 66 89 45 EA 8D 45 DE E8 ?? ?? ?? ?? 66 89 45 F2 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 6A 08 6A 00 6A 00 8B 43 08 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 6A 08 8B 45 FC 50 8B 45 F8 50 8B 43 08 50 E8 ?? ?? ?? ?? 3B 45 F8 73 05 E8 ?? ?? ?? ?? 8D 55 DE B9 16 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9446_0 {
	meta:
		name = "TMetafile.LoadFromClipboardFormat"
		size = 190
		refs = "0014 TMetafile.LoadFromClipboardFormat 0021 GetClipboardData 002f SUnknownClipboardFormat 0034 LoadResString 003c InvalidGraphic 0043 TMetafile.NewImage 004e CopyEnhMetaFile 0060 GetEnhMetaFileHeader 00a9 @LStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0E E8 ?? ?? ?? ?? 8B F8 85 FF 75 15 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 73 18 6A 00 57 E8 ?? ?? ?? ?? 89 46 08 8D 45 9C 50 6A 64 8B 46 08 50 E8 ?? ?? ?? ?? 8B 45 BC 2B 45 B4 89 46 0C 8B 45 C0 2B 45 B8 89 46 10 66 C7 46 18 00 00 C6 43 1C 01 8B C3 8B 10 FF 52 24 85 C0 0F 95 C0 88 43 16 8B D3 8B C3 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9447_0 {
	meta:
		name = "TMetafile.SaveToClipboardFormat"
		size = 49
		refs = "0024 CopyEnhMetaFile"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 73 18 85 F6 74 19 66 C7 02 0E 00 8B 45 08 33 D2 89 10 6A 00 8B 46 08 50 E8 ?? ?? ?? ?? 89 07 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9448_0 {
	meta:
		name = "TMetafile.ReleaseHandle"
		size = 25
		refs = "0006 TMetafile.UniqueImage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 50 08 33 C9 89 48 08 8B C2 5B C3 }
	condition:
		$1
}

rule function_9450_0 {
	meta:
		name = "DeselectBitmap"
		size = 124
		refs = "0010 BitmapCanvasList 0015 TThreadList.LockList 001f DeselectBitmap 0037 TList.Get 004e TBitmapCanvas.FreeContext 006b TThreadList.UnlockList 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 83 7D FC 00 74 68 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 5E 08 4B 83 FB 00 7C 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 54 85 D2 74 10 8B 52 18 8B 52 08 3B 55 FC 75 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9451_0 {
	meta:
		name = "TBitmapCanvas.Create"
		size = 60
		refs = "000b @ClassCreate 001a TCanvas.Create 0028 @AfterConstruction"
		altNames = "TPrinterCanvas.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 54 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9453_0 {
	meta:
		name = "TBitmapCanvas.FreeContext"
		size = 159
		refs = "0019 TCanvas.Lock 0021 TBitmapCanvas.FreeContext 003e SelectObject 0057 SelectPalette 0067 TCanvas.SetHandle 006d DeleteDC 0075 BitmapCanvasList 007a TThreadList.Remove 008f TCanvas.Unlock 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 83 78 04 00 0F 84 86 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 58 85 C0 74 0D 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 5C 85 C0 74 0F 6A FF 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 04 33 D2 8B 45 FC E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9454_0 {
	meta:
		name = "TBitmapCanvas.CreateHandle"
		size = 235
		refs = "001a TCanvas.Lock 0022 TBitmapCanvas.CreateHandle 0033 TBitmap.HandleNeeded 0044 DeselectBitmap 004f TBitmap.PaletteNeeded 0056 CreateCompatibleDC 006f SelectObject 0098 SelectPalette 00a4 RealizePalette 00b8 TCanvas.SetHandle 00c0 BitmapCanvasList 00c5 TThreadList.Add 00da TCanvas.Unlock 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 83 78 54 00 0F 84 D0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 8B 40 18 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 54 8B 40 18 8B 70 08 85 F6 74 0F 56 53 E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 EB 08 8B 45 FC 33 D2 89 50 58 8B 45 FC 8B 40 54 8B 40 18 8B 70 10 85 F6 74 17 6A FF 56 53 E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C 53 E8 ?? ?? ?? ?? EB 08 8B 45 FC 33 D2 89 50 5C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9455_0 {
	meta:
		name = "TSharedImage.Reference"
		size = 4
	strings:
		$1 = { FF 40 04 C3 }
	condition:
		$1
}

rule function_9456_0 {
	meta:
		name = "TSharedImage.Release"
		size = 31
		refs = "0019 TObject.Free"
	strings:
		$1 = { 53 8B D8 85 DB 74 16 FF 4B 04 83 7B 04 00 75 0D 8B C3 8B 10 FF 12 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9457_0 {
	meta:
		name = "TBitmapImage.Destroy"
		size = 82
		refs = "0003 @BeforeDestruction 0013 DeselectBitmap 001c DeleteObject 0034 CloseHandle 0040 TObject.Destroy 004b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 85 C0 74 13 E8 ?? ?? ?? ?? 8B 46 14 50 E8 ?? ?? ?? ?? 33 C0 89 46 14 8B C6 8B 10 FF 12 8B 46 64 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9458_0 {
	meta:
		name = "TBitmapImage.FreeHandle"
		size = 75
		refs = "0010 DeselectBitmap 0019 DeleteObject 003b InternalDeletePalette"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 13 3B 43 14 74 0E E8 ?? ?? ?? ?? 8B 43 08 50 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 13 E8 ?? ?? ?? ?? 8B 43 0C 50 E8 ?? ?? ?? ?? 33 C0 89 43 0C 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_9459_0 {
	meta:
		name = "CreateMappedBmp"
		size = 456
		refs = "0027 InternalGetDIBSizes 0032 AllocMem 003d CreateMappedBmp 0060 InternalGetDIB 0092 ByteSwapColors 00ba ColorToRGB 00f8 GetDC 0112 CreateCompatibleDC 012c CreateCompatibleBitmap 013f SelectObject 0168 StretchDIBits 0175 DeleteDC 018d ReleaseDC 0193 @HandleFinally 01b0 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F8 89 55 FC 8B D8 89 5D F4 85 DB 0F 84 A0 01 00 00 6A 00 8D 4D E4 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 03 45 E4 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 75 F0 8B C6 03 45 E8 89 45 E0 8B 45 E0 50 6A 00 8B 4D F0 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 66 8B 40 0E 66 83 F8 08 0F 87 24 01 00 00 8B C8 B8 01 00 00 00 D3 E0 89 45 EC 8B 45 F0 8B 00 03 C6 89 45 DC 8B 45 DC 8B 55 EC E8 ?? ?? ?? ?? 8B 45 EC 48 85 C0 7C 4C 40 89 45 D0 C7 45 D8 00 00 00 00 8B 7D F8 85 FF 7C 32 47 8B 5D FC 8B 75 0C 8B 03 E8 ?? ?? ?? ?? 8B 55 DC 8B 4D D8 3B 04 8A 75 10 8B 06 E8 ?? ?? ?? ?? 8B 55 DC 8B 4D D8 89 04 8A 83 C6 04 83 C3 04 4F 75 D5 FF 45 D8 FF 4D D0 75 BF 8B 45 DC 8B 55 EC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 D4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 D4 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 57 8B 75 F0 8B 46 08 50 8B 46 04 50 8B 45 D4 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 3A 8B 45 F4 50 53 E8 ?? ?? ?? ?? 8B F8 68 20 00 CC 00 6A 00 8B 4D F0 51 8B 4D E0 51 8B 56 08 52 8B 46 04 50 6A 00 6A 00 52 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 03 55 E4 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9460_0 {
	meta:
		name = "CreateMappedRes"
		size = 676
		refs = "001a FindResource 0029 LoadResource 0034 CreateMappedRes 0043 LockResource 009f @GetMem 00be Move 00de ByteSwapColors 0106 ColorToRGB 014a GetDC 0164 CreateCompatibleDC 017e CreateCompatibleBitmap 0191 SelectObject 01b8 StretchDIBits 01c8 DeleteDC 01e0 ReleaseDC 01e6 @HandleFinally 0200 @FreeMem 020f _DV_TBitmap 0214 TBitmap.Create 0231 TBitmap.LoadFromResourceID 0239 TBitmap.ReleaseHandle 0251 TObject.Free 026e UnlockResource 028c FreeResource"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 89 45 F8 6A 02 56 53 E8 ?? ?? ?? ?? 85 C0 0F 84 72 02 00 00 50 53 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 26 02 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 E8 66 8B 40 0E 0F B7 D0 8B 4D E8 0F B7 49 0C 0F AF D1 83 FA 08 0F 87 8D 01 00 00 8B C8 B8 01 00 00 00 D3 E0 89 45 F0 8B 45 E8 8B 00 8B 55 F0 C1 E2 02 03 C2 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 E4 8B 45 E8 8B 4D EC E8 ?? ?? ?? ?? 8B 45 E8 66 83 78 0E 08 77 75 8B 45 E4 8B 00 03 45 E4 89 45 E0 8B 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 48 85 C0 7C 4C 40 89 45 CC C7 45 DC 00 00 00 00 8B 7D 10 85 FF 7C 32 47 8B 5D FC 8B 75 0C 8B 03 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D DC 3B 04 8A 75 10 8B 06 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D DC 89 04 8A 83 C6 04 83 C3 04 4F 75 D5 FF 45 DC FF 4D CC 75 BF 8B 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 7D E8 03 7D EC 6A 00 E8 ?? ?? ?? ?? 89 45 D8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 D8 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 58 8B 75 E4 8B 46 08 50 8B 46 04 50 8B 45 D8 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 3B 8B 45 F8 50 53 E8 ?? ?? ?? ?? 89 45 D4 68 20 00 CC 00 6A 00 8B 4D E4 51 57 8B 56 08 52 8B 46 04 50 6A 00 6A 00 52 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 D4 50 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9461_0 {
	meta:
		name = "CreateGrayMappedBmp"
		size = 23
		refs = "0001 SysGrays 0008 Grays 0012 CreateMappedBmp"
	strings:
		$1 = { 68 ?? ?? ?? ?? 6A 03 BA ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9462_0 {
	meta:
		name = "CreateGrayMappedRes"
		size = 20
		refs = "0003 SysGrays 000a Grays 000f CreateMappedRes"
	strings:
		$1 = { 6A 03 68 ?? ?? ?? ?? 6A 03 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9463_0 {
	meta:
		name = "UpdateDIBColorTable"
		size = 188
		refs = "0032 PaletteToDIBColorTable 003f GetDC 004b CreateCompatibleDC 0058 SelectObject 0063 UpdateDIBColorTable 007c SetDIBColorTable 009f DeleteDC 00aa ReleaseDC 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FB FF FF 53 56 89 55 FC 8B F0 85 F6 0F 84 9E 00 00 00 66 83 79 26 08 0F 87 93 00 00 00 8D 95 F0 FB FF FF B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 7A 6A 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 56 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 F0 FB FF FF 50 53 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9464_0 {
	meta:
		name = "FixupBitFields"
		size = 73
	strings:
		$1 = { F6 40 28 03 74 42 83 78 40 00 75 3C 66 8B 50 26 66 83 FA 10 75 17 C7 40 40 00 F8 00 00 C7 40 44 E0 07 00 00 C7 40 48 1F 00 00 00 EB 1B 66 83 FA 20 75 15 C7 40 40 00 00 FF 00 C7 40 44 00 FF 00 00 C7 40 48 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_9465_0 {
	meta:
		name = "CopyBitmap"
		size = 1582
		refs = "0064 DeselectBitmap 0081 GetObject 008b InvalidBitmap 0092 GetDC 0097 GDICheck 00a3 CreateCompatibleDC 00b3 CopyBitmap 00ef CreateBitmap 0113 CreateCompatibleBitmap 012a @GetMem 01cb PaletteToDIBColorTable 01e7 SelectObject 020d GetDIBColorTable 0238 GetDIBits 026e FixupBitFields 0284 Move 029b CreateDIBSection 02ae GDIError 0301 @TryFinallyExit 0320 @FreeMem 0326 @HandleFinally 037d SelectPalette 0389 RealizePalette 03ac TBrush.GetHandle 03ca Rect 03da FillRect 03e8 ColorToRGB 03f2 SetTextColor 03fd TBrush.GetColor 040c SetBkColor 0454 SetDIBColorTable 0476 PatBlt 0533 BitBlt 056a DeleteDC 05cd @HandleAnyException 05d6 DeleteObject 05db @RaiseAgain 05e0 @DoneExcept 0601 ReleaseDC"
	strings:
		$1 = { 55 8B EC 81 C4 68 FF FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 0C 83 78 18 00 74 1A 8B 45 0C 83 78 1C 00 0F 84 F2 05 00 00 8B 45 0C 83 78 20 00 0F 84 E5 05 00 00 8B 45 0C 83 78 18 00 75 1A 8B 45 0C 83 78 04 00 0F 84 CF 05 00 00 8B 45 0C 83 78 08 00 0F 84 C2 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 90 83 7D FC 00 74 1C 8D 85 78 FF FF FF 50 6A 54 8B 45 FC 50 E8 ?? ?? ?? ?? 83 F8 18 7D 05 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 83 78 18 28 73 5E 8B 45 0C 66 8B 40 10 8B 55 0C 66 0B 42 12 66 83 F8 01 75 26 6A 00 6A 01 6A 01 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E9 2C 02 00 00 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E9 08 02 00 00 B8 2C 04 00 00 E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C C7 40 18 28 00 00 00 8B 45 0C 66 C7 40 24 01 00 8B 45 0C 8B 55 DC 8D 70 18 8B FA B9 0A 00 00 00 F3 A5 8B 45 0C 8B 40 1C 8B 55 0C 89 42 04 8B 45 0C 8B 40 20 8B 55 0C 89 42 08 8B 45 0C 66 83 78 26 08 0F 87 C1 00 00 00 8B 45 0C 66 83 78 26 01 75 22 83 7D 8C 00 75 1C 8B 45 DC 33 D2 89 50 28 8B 45 DC 83 C0 28 83 C0 04 C7 00 FF FF FF 00 E9 D2 00 00 00 83 7D F4 00 74 18 8B 45 DC 8D 50 28 B9 FF 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 B4 00 00 00 83 7D FC 00 0F 84 AA 00 00 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 EC 83 7D 90 00 76 25 83 7D 8C 00 74 1F 8B 45 DC 83 C0 28 50 68 00 01 00 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 55 0C 89 42 38 EB 23 6A 00 8B 45 DC 50 6A 00 8B 45 0C 8B 40 20 99 33 C2 2B C2 50 6A 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E4 50 E8 ?? ?? ?? ?? EB 3D 8B 45 0C 66 8B 40 26 66 83 F8 10 74 09 8B 55 0C 66 83 F8 20 75 27 8B 45 0C F6 40 28 03 74 1E 8B 45 0C E8 ?? ?? ?? ?? 8B 45 DC 8D 50 28 8B 45 0C 83 C0 40 B9 0C 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 D8 50 6A 00 8B 45 DC 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D D8 00 75 05 E8 ?? ?? ?? ?? 83 7D FC 00 74 57 8B 45 0C 8B 40 1C 3B 85 7C FF FF FF 75 49 8B 45 0C 8B 40 20 3B 45 80 75 3E 8B 45 0C 66 83 78 26 08 76 34 6A 00 8B 45 DC 50 8B 45 D8 50 8B 45 0C 8B 40 20 99 33 C2 2B C2 50 6A 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 13 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 E4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 CC 33 DB 83 7D F4 00 74 1B 6A 00 8B 45 F4 50 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 CC 8B 45 E4 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 00 0F 84 B5 00 00 00 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? 50 8B 45 0C 8B 40 08 50 8D 85 68 FF FF FF 50 8B 4D 0C 8B 49 04 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 0C 66 83 78 26 01 75 60 8B 45 0C 83 78 14 00 74 57 8B 45 08 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 89 45 D0 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8D 45 D0 50 6A 02 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? EB 20 68 62 00 FF 00 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 F2 00 00 00 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 E0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 7D F8 00 74 1A 6A 00 8B 45 F8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B D8 8B 45 E0 50 E8 ?? ?? ?? ?? 83 7D 08 00 74 32 8B 45 08 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E0 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 45 E0 50 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 7D F8 00 74 0C 6A FF 53 8B 45 E0 50 E8 ?? ?? ?? ?? 56 8B 45 E0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0F 6A FF 8B 45 CC 50 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 E8 50 6A 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 0F 8B 45 0C 50 6A 54 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9466_0 {
	meta:
		name = "CopyPalette"
		size = 97
		refs = "001a GetObject 0046 GetPaletteEntries 0050 CreatePalette"
	strings:
		$1 = { 53 56 81 C4 F8 FB FF FF 8B D8 33 F6 85 DB 74 46 33 C0 89 04 24 54 6A 04 53 E8 ?? ?? ?? ?? 85 C0 74 34 83 3C 24 00 74 2E 66 C7 44 24 04 00 03 66 8B 04 24 66 89 44 24 06 8D 44 24 08 50 8B 44 24 04 50 6A 00 53 E8 ?? ?? ?? ?? 8D 44 24 04 50 E8 ?? ?? ?? ?? 8B F0 8B C6 81 C4 08 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9467_0 {
	meta:
		name = "CopyBitmapAsMask"
		size = 524
		refs = "0024 GetObject 0033 DeselectBitmap 0045 CopyBitmapAsMask 0052 GetDC 0057 GDICheck 0063 CreateCompatibleDC 007e CreateBitmap 0098 SelectObject 00ba PatBlt 00fe CopyBitmap 0123 SelectPalette 012c RealizePalette 014b SetBkColor 016f BitBlt 0198 DeleteObject 01ae DeleteDC 01b4 @HandleFinally 01f6 ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 8B F9 8B F2 8B D8 33 C0 89 45 FC 85 DB 0F 84 E6 01 00 00 8D 45 90 50 6A 54 53 E8 ?? ?? ?? ?? 85 C0 0F 84 D2 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 00 6A 01 6A 01 8B 45 98 50 8B 45 94 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 3E 01 00 00 8B 45 FC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 E4 81 FF FF FF FF 1F 75 1C 6A 42 8B 45 98 50 8B 45 94 50 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? E9 F7 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D A4 00 74 1E C6 45 EF 01 33 C0 89 45 A8 8D 45 90 50 6A 00 8B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 04 C6 45 EF 00 53 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 E8 85 F6 74 2A 6A 00 56 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 56 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 57 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 68 20 00 CC 00 6A 00 6A 00 8B 45 F4 50 8B 45 98 50 8B 45 94 50 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 56 8B 45 F4 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 80 7D EF 00 74 06 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 7D E4 00 74 0D 8B 45 E4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 09 8B 45 F0 50 E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9468_0 {
	meta:
		name = "TBitmap.Create"
		size = 104
		refs = "000b @ClassCreate 0018 TGraphic.Create 0026 _DV_TBitmapImage 002b TObject.Create 0037 TSharedImage.Reference 003d DDBsOnly 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 24 00 00 00 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 8B C6 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 09 B2 01 8B C7 8B 08 FF 51 68 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9469_0 {
	meta:
		name = "TBitmap.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000e TBitmap.FreeContext 0016 TSharedImage.Release 001e TObject.Free 002a TPersistent.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9470_0 {
	meta:
		name = "TBitmap.Assign"
		size = 237
		refs = "0015 _DV_TBitmap 001a @IsClass 0027 BitmapImageLock 002c EnterCriticalSection 0034 TBitmap.Assign 0048 TSharedImage.Reference 0053 TSharedImage.Release 0088 @FillChar 009a TBitmap.NewImage 00b1 LeaveCriticalSection 00b7 @HandleFinally 00e3 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 8B DA 89 45 FC 85 DB 74 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B7 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 3B 8B F3 8B 46 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 46 18 8B 55 FC 89 42 18 8A 46 15 8B 55 FC 88 42 15 8B 46 24 8B 55 FC 89 42 24 8A 46 28 8B 55 FC 88 42 28 EB 21 8D 45 A8 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 50 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 10 FF 52 24 85 C0 0F 95 C0 8B 55 FC 88 42 16 8B 55 FC 8B 45 FC 8B 08 FF 51 10 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9471_0 {
	meta:
		name = "TBitmap.CopyImage"
		size = 188
		refs = "0021 TBitmap.FreeContext 0033 TBitmap.CopyImage 003f SystemPalette16 004d CopyPalette 0064 CopyBitmap 007f TBitmap.NewImage 008e @HandleAnyException 0096 InternalDeletePalette 00a5 DeleteObject 00aa @RaiseAgain 00af @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B 75 08 8D 7D A4 51 B9 15 00 00 00 F3 A5 59 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 35 ?? ?? ?? ?? 75 05 89 75 F8 EB 0A 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8D 45 A4 50 8B 43 1C 50 8B 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8D 45 A4 50 8B 43 18 8A 40 6C 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 09 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9473_0 {
	meta:
		name = "TBitmap.Changed"
		size = 10
		refs = "0005 TGraphic.Changed"
	strings:
		$1 = { C6 40 21 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9474_0 {
	meta:
		name = "TBitmap.Dormant"
		size = 26
		refs = "0006 TBitmap.FreeContext 000d TBitmap.DIBNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 12 5B C3 }
	condition:
		$1
}

rule function_9475_0 {
	meta:
		name = "TBitmap.Draw"
		size = 592
		refs = "0015 TBitmap.Draw 001d TCanvas.RequiredState 0024 TBitmap.PaletteNeeded 0043 SelectPalette 0052 RealizePalette 0064 GetDeviceCaps 00a7 GetBrushOrgEx 00b5 SetStretchBltMode 00cd SetBrushOrgEx 00d6 TBitmap.GetMonochrome 00e4 TCanvas.GetHandle 010a TBitmap.MaskHandleNeeded 0111 TBitmap.GetCanvas 014a CreateCompatibleDC 014f GDICheck 015f SelectObject 019e TransparentStretchBlt 01cd DeleteDC 01d3 @HandleFinally 0213 StretchBlt"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 89 55 FC 8B D8 8B 73 18 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 C6 45 F7 00 8B 46 10 85 C0 74 22 6A FF 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? C6 45 F7 01 6A 0C 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 50 6A 0E 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 5A 0F AF D0 8B C2 83 F8 08 7F 0F 0F B7 56 2A 0F B7 4E 28 0F AF D1 3B C2 7C 04 33 C0 EB 02 B0 01 84 C0 74 38 8D 45 EC 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 6A 04 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F0 50 8B 45 EC 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 28 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 84 C0 0F 84 AA 00 00 00 33 C0 89 45 E4 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 46 0C 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E4 8B 47 08 2B 07 50 8B 47 0C 2B 47 04 50 8B C3 E8 ?? ?? ?? ?? 8B 40 04 50 6A 00 6A 00 8B 46 1C 50 8B 46 20 50 8B 45 E8 50 6A 00 6A 00 8B 4F 04 8B 17 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 50 8B 45 E8 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 09 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 FC 8B 40 20 50 8B 46 20 50 8B 46 1C 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 40 04 50 8B 47 0C 2B 47 04 50 8B 47 08 2B 07 50 8B 47 04 50 8B 07 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 12 6A FF 8B 45 F8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 0F 00 00 00 }
	condition:
		$1
}

rule function_9476_0 {
	meta:
		name = "TBitmap.FreeImage"
		size = 80
		refs = "0010 TBitmap.HandleNeeded 0021 TBitmap.CopyImage 0036 DeleteObject 003f GDIError"
	strings:
		$1 = { 53 56 8B F0 8B 5E 18 83 7B 04 01 7E 1B 8B C6 E8 ?? ?? ?? ?? 8D 43 18 50 8B 4B 10 8B 53 08 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 73 14 3B 73 08 74 1D 85 F6 74 0F 56 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 33 C0 89 43 14 33 C0 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_9477_0 {
	meta:
		name = "TBitmap.GetEmpty"
		size = 21
	strings:
		$1 = { 8B 40 18 83 78 08 00 75 06 83 78 14 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9478_0 {
	meta:
		name = "TBitmap.GetCanvas"
		size = 63
		refs = "000d TBitmap.HandleNeeded 0016 _DV_TBitmapCanvas 001b TBitmapCanvas.Create 0035 TBitmap.Changing"
	strings:
		$1 = { 53 56 8B D8 83 7B 1C 00 75 2F 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 1C 89 5E 28 8B 03 8B 40 10 89 46 24 89 5E 30 C7 46 2C ?? ?? ?? ?? 8B 43 1C 5E 5B C3 }
	condition:
		$1
}

rule function_9479_0 {
	meta:
		name = "TBitmap.GetHandle"
		size = 34
		refs = "0006 TBitmap.FreeContext 000d TBitmap.HandleNeeded 0016 TBitmap.Changing"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_9480_0 {
	meta:
		name = "TBitmap.GetHandleType"
		size = 41
	strings:
		$1 = { 8B 40 18 8B 50 08 85 D2 74 05 3B 50 14 75 17 83 78 14 00 75 0E 83 78 30 00 75 04 B0 01 EB 09 33 C0 EB 05 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9481_0 {
	meta:
		name = "TBitmap.GetHeight"
		size = 14
	strings:
		$1 = { 8B C8 8B 41 18 8B 40 20 99 33 C2 2B C2 C3 }
	condition:
		$1
}

rule function_9482_0 {
	meta:
		name = "TBitmap.GetMaskHandle"
		size = 18
		refs = "0006 TBitmap.MaskHandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 0C 5B C3 }
	condition:
		$1
}

rule function_9483_0 {
	meta:
		name = "TBitmap.GetMonochrome"
		size = 26
	strings:
		$1 = { 8B 40 18 83 C0 18 66 83 78 10 01 75 07 66 83 78 12 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9484_0 {
	meta:
		name = "TBitmap.GetPalette"
		size = 18
		refs = "0006 TBitmap.PaletteNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 10 5B C3 }
	condition:
		$1
}

rule function_9485_0 {
	meta:
		name = "TBitmap.GetPixelFormat"
		size = 129
		refs = "0009 TBitmap.GetHandleType"
	strings:
		$1 = { 53 56 8B F0 B3 08 8B C6 E8 ?? ?? ?? ?? 3C 01 75 04 33 DB EB 67 8B 46 18 8D 50 18 8D 42 18 0F B7 48 0E 83 F9 10 7F 11 74 27 49 74 18 83 E9 03 74 17 83 E9 04 74 16 EB 44 83 E9 18 74 33 83 E9 08 74 32 EB 38 B3 01 EB 34 B3 02 EB 30 B3 03 EB 2C 8B 40 10 83 E8 01 72 07 83 E8 02 74 06 EB 1D B3 04 EB 19 81 7A 44 E0 07 00 00 75 10 B3 05 EB 0C B3 06 EB 08 83 78 10 00 75 02 B3 07 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9486_0 {
	meta:
		name = "TBitmap.GetScanline"
		size = 166
		refs = "0016 TBitmap.GetScanline 003c SScanLine 0041 LoadResString 0049 InvalidOperation 0050 TBitmap.DIBNeeded 0055 GdiFlush 0072 BytesPerScanline 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 18 83 C0 18 89 45 FC 8D 58 18 85 F6 7C 08 8B 45 FC 3B 70 08 7E 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 85 C0 7E 05 2B C6 48 8B F0 0F B7 53 0E B9 20 00 00 00 8B 43 04 E8 ?? ?? ?? ?? F7 EE 8B 55 FC 03 42 14 89 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9487_0 {
	meta:
		name = "TBitmap.GetTransparentColor"
		size = 69
		refs = "0010 TBitmap.GetMonochrome 002b TBitmap.GetCanvas 0033 TCanvas.GetPixel 003a ColorToRGB"
	strings:
		$1 = { 53 8B D8 8B 43 24 3D 00 00 00 20 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 B8 FF FF FF 00 EB 1F 8B C3 8B 10 FF 52 20 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 0D 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_9488_0 {
	meta:
		name = "TBitmap.GetWidth"
		size = 7
	strings:
		$1 = { 8B 40 18 8B 40 1C C3 }
	condition:
		$1
}

rule function_9489_0 {
	meta:
		name = "TBitmap.DIBNeeded"
		size = 115
		refs = "0012 TBitmap.PaletteNeeded 0027 GetObject 0069 CopyBitmap"
	strings:
		$1 = { 53 56 8B 58 18 83 7B 08 00 74 65 83 7B 14 00 75 5F E8 ?? ?? ?? ?? 83 7B 30 00 75 3C 8D 43 18 50 6A 54 8B 43 08 50 E8 ?? ?? ?? ?? 8D 43 18 8B D0 83 C0 18 C7 00 28 00 00 00 8B 4A 04 89 48 04 8B 4A 08 89 48 08 66 C7 40 0C 01 00 66 8B 4A 10 66 0F AF 4A 12 66 89 48 0E 8D 43 18 50 6A 00 8B 73 10 8B CE 8B D6 8B 43 08 E8 ?? ?? ?? ?? 89 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_9491_0 {
	meta:
		name = "TBitmap.HandleNeeded"
		size = 16
	strings:
		$1 = { 8B 40 18 83 78 08 00 75 06 8B 50 14 89 50 08 C3 }
	condition:
		$1
}

rule function_9492_0 {
	meta:
		name = "TBitmap.Mask"
		size = 222
		refs = "001b TBitmap.Mask 0028 TBitmap.FreeContext 002f TBitmap.HandleNeeded 0036 ColorToRGB 0046 CopyBitmapAsMask 0058 @FillChar 0067 GetObject 0073 SystemPalette16 007f CopyPalette 009a TBitmap.NewImage 00a9 @HandleAnyException 00b1 InternalDeletePalette 00c0 DeleteObject 00c5 @RaiseAgain 00ca @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B FA 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 73 18 8B 56 10 8B 46 08 E8 ?? ?? ?? ?? 89 45 FC 8D 45 A4 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 50 6A 54 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 43 18 8B 40 10 3B 05 ?? ?? ?? ?? 75 05 89 45 F8 EB 08 E8 ?? ?? ?? ?? 89 45 F8 8D 45 A4 50 8B 43 18 8A 40 6C 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 09 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9493_0 {
	meta:
		name = "TBitmap.MaskHandleNeeded"
		size = 93
		refs = "001b DeselectBitmap 0024 DeleteObject 0030 TBitmap.FreeContext 0037 TBitmap.HandleNeeded 003e TBitmap.GetTransparentColor 004b CopyBitmapAsMask"
	strings:
		$1 = { 53 56 8B D8 80 7B 22 00 74 06 80 7B 21 00 75 4A 8B 73 18 8B 46 0C 85 C0 74 13 E8 ?? ?? ?? ?? 8B 46 0C 50 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 56 10 8B 46 08 E8 ?? ?? ?? ?? 89 46 0C C6 43 22 01 C6 43 21 01 5E 5B C3 }
	condition:
		$1
}

rule function_9494_0 {
	meta:
		name = "TBitmap.PaletteNeeded"
		size = 184
		refs = "0030 DeselectBitmap 0047 PaletteFromDIBColorTable 0057 GetDC 005c GDICheck 006c GetDeviceCaps 009a CreateHalftonePalette 00a5 ReleaseDC"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 6F 18 80 7F 20 00 0F 85 A0 00 00 00 83 7D 10 00 0F 85 96 00 00 00 83 7D 14 00 0F 84 8C 00 00 00 8B 45 14 3B 45 08 75 05 E8 ?? ?? ?? ?? 66 8B 4D 3E B8 01 00 00 00 D3 E0 8B C8 33 D2 8B 45 14 E8 ?? ?? ?? ?? 8B F0 89 75 10 85 F6 75 5F 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7D 6D 00 75 27 6A 0C 56 E8 ?? ?? ?? ?? 8B D8 6A 0E 56 E8 ?? ?? ?? ?? 0F AF D8 0F B7 45 2A 0F B7 55 28 F7 EA 3B D8 7C 04 33 DB EB 02 B3 01 88 5D 6D 84 DB 74 09 56 E8 ?? ?? ?? ?? 89 45 10 56 6A 00 E8 ?? ?? ?? ?? 83 7D 10 00 75 04 C6 47 20 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9495_0 {
	meta:
		name = "TBitmap.LoadFromClipboardFormat"
		size = 191
		refs = "0015 TBitmap.LoadFromClipboardFormat 002d SUnknownClipboardFormat 0032 LoadResString 003a InvalidGraphic 0041 TBitmap.FreeContext 0050 @FillChar 005c GetObject 0077 TBitmap.CopyImage 00ab @LStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 33 DB 89 5D A8 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 FA 02 75 04 85 DB 75 15 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 AC 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 50 6A 54 53 E8 ?? ?? ?? ?? 83 7D C0 00 75 05 33 C0 89 45 C4 8D 45 AC 50 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 18 C6 40 6C 00 8B C6 8B 10 FF 52 24 85 C0 0F 95 C0 88 46 16 8B D6 8B C6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9496_0 {
	meta:
		name = "TBitmap.LoadFromStream"
		size = 36
		refs = "0009 TStream.GetSize 0011 TStream.GetPosition 001d TBitmap.ReadStream"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 59 2B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9497_0 {
	meta:
		name = "TBitmap.LoadFromResourceName"
		size = 94
		refs = "000b _Dn_TResourceStream 0014 TResourceStream.Create 001f TBitmap.LoadFromResourceName 002d TStream.GetSize 0039 TBitmap.ReadDIB 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 51 6A 02 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9498_0 {
	meta:
		name = "TBitmap.LoadFromResourceID"
		size = 94
		refs = "000b _Dn_TResourceStream 0014 TResourceStream.CreateFromID 001f TBitmap.LoadFromResourceID 002d TStream.GetSize 0039 TBitmap.ReadDIB 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 51 6A 02 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9499_0 {
	meta:
		name = "TBitmap.NewImage"
		size = 234
		refs = "0013 _DV_TBitmapImage 0018 TObject.Create 0023 TBitmap.NewImage 0074 @HandleAnyException 007c TObject.Free 0081 @RaiseAgain 0086 @DoneExcept 008b BitmapImageLock 0090 EnterCriticalSection 00a9 TSharedImage.Release 00b7 TSharedImage.Reference 00ce LeaveCriticalSection 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 08 8B 45 F8 89 70 10 8B 45 0C 8B 55 F8 8B F0 8D 7A 18 B9 15 00 00 00 F3 A5 8B 45 F8 8A 55 08 88 50 6C 8B 45 F8 83 78 2C 00 74 0C 8B 45 F8 8B 40 08 8B 55 F8 89 42 14 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 89 42 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC C6 40 22 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9500_0 {
	meta:
		name = "TBitmap.ReadData"
		size = 39
		refs = "001e TBitmap.ReadStream"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 04 8B 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9501_0 {
	meta:
		name = "TBitmap.ReadDIB"
		size = 1085
		refs = "004a @GetMem 005b TBitmap.ReadDIB 008b @FillChar 00e4 InvalidBitmap 0110 TStream.ReadBuffer 0126 GetDInColors 0138 DIBPalSizes 016c BytesPerScanline 0193 RGBTripleToQuad 019a GetDC 019f GDICheck 01c6 DDBsOnly 0200 CreateCompatibleDC 0215 CreateCompatibleBitmap 021f SelectObject 0225 DeleteObject 0240 PaletteFromDIBColorTable 0252 SelectPalette 025e RealizePalette 0282 CreateDIBitmap 0290 GetLastError 02a0 RaiseLastWin32Error 02c8 @HandleFinally 02e6 DeleteDC 02ee @FreeMem 030d CreateDIBSection 035b @HandleAnyException 0369 @RaiseAgain 036e @DoneExcept 0386 ReleaseDC 03fb GetObject 0414 TBitmap.NewImage"
	strings:
		$1 = { 55 8B EC 81 C4 6C FF FF FF 53 56 57 8B F1 89 55 F8 89 45 FC 33 C0 89 45 D4 8D 55 E0 B9 04 00 00 00 8B 45 F8 8B 18 FF 53 04 83 7D E0 0C 0F 94 45 DF 80 7D DF 00 74 07 C7 45 E0 28 00 00 00 8B 45 E0 83 C0 0C 05 00 04 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D DF 00 74 49 8D 55 C0 83 C2 04 B9 08 00 00 00 8B 45 F8 8B 18 FF 53 04 8B 5D CC 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8B C3 0F B7 55 C4 89 50 04 0F B7 55 C6 89 50 08 66 8B 55 C8 66 89 50 0C 66 8B 55 CA 66 89 50 0E 83 EE 0C EB 17 8B 4D E0 83 E9 04 8B 55 E8 83 C2 04 8B 45 F8 8B 18 FF 53 04 2B 75 E0 8B 5D CC 8B 45 E0 89 03 8B 45 E8 03 45 E0 89 45 E4 66 83 7B 0C 01 74 05 E8 ?? ?? ?? ?? 83 7D E0 28 75 2D 66 8B 43 0E 66 83 F8 10 74 06 66 83 F8 20 75 1D 83 7B 10 03 75 17 8B 55 E4 B9 0C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 45 E4 0C 83 EE 0C 83 7B 20 00 75 0C 66 8B 43 0E E8 ?? ?? ?? ?? 89 43 20 8B 4B 20 0F B6 7D DF 33 C0 8A 87 ?? ?? ?? ?? 0F AF C8 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 20 33 D2 8A 97 ?? ?? ?? ?? F7 EA 2B F0 83 7B 14 00 75 21 0F B7 53 0E 8B 43 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 43 08 99 33 C2 2B C2 0F AF C8 89 4B 14 8B 43 14 3B F0 76 02 8B F0 80 7D DF 00 74 08 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 CC 8B 40 10 83 F8 01 74 12 83 F8 02 74 0D 80 3D ?? ?? ?? ?? 00 0F 84 29 01 00 00 33 C0 89 45 F0 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 01 6A 01 8B 45 F4 50 E8 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 45 D0 8B 45 CC 8B 40 20 85 C0 76 2A 8B C8 8B 55 E4 33 C0 E8 ?? ?? ?? ?? 89 45 D4 6A 00 8B 45 D4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 D0 8B 45 F0 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 E8 50 8B 55 EC 52 6A 04 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 15 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0F 6A FF 8B 45 D0 50 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 09 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 6A 00 6A 00 8D 45 EC 50 6A 00 8B 45 E8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 74 06 83 7D EC 00 75 15 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 CC 66 83 78 0E 08 76 22 8B 45 CC 83 78 20 00 76 19 83 7D D4 00 75 13 8B 45 CC 8B 48 20 8B 55 E4 33 C0 E8 ?? ?? ?? ?? 89 45 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 85 6C FF FF FF 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 6A 54 8B 45 D8 50 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8A 45 DF 50 8B 4D D4 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 85 C0 0F 95 C0 8B 55 FC 88 42 16 8B 55 FC 8B 45 FC 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9502_0 {
	meta:
		name = "TBitmap.ReadStream"
		size = 107
		refs = "000f TBitmap.FreeContext 0023 @FillChar 0035 TBitmap.NewImage 0045 TStream.ReadBuffer 0052 InvalidBitmap 0060 TBitmap.ReadDIB"
	strings:
		$1 = { 53 56 57 83 C4 9C 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 75 24 8D 44 24 0E 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 0E 50 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? EB 29 8B D4 B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 66 81 3C 24 42 4D 74 05 E8 ?? ?? ?? ?? 8B CE 83 E9 0E 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 64 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9503_0 {
	meta:
		name = "TBitmap.SetHandle"
		size = 192
		refs = "001c TBitmap.FreeContext 002b @FillChar 003b GetObject 0057 SystemPalette16 0068 CopyPalette 0073 TBitmap.SetHandle 008b TBitmap.NewImage 009a @HandleAnyException 00a2 InternalDeletePalette 00a7 @RaiseAgain 00ac @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B FA 8B D8 8B 73 18 3B 7E 08 0F 84 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 A8 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0C 8D 45 A8 50 6A 54 57 E8 ?? ?? ?? ?? 83 7E 04 01 75 0D 8B 46 10 89 45 FC 33 C0 89 46 10 EB 1D 8B 46 10 3B 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? 89 45 FC EB 08 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 50 6A 00 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9504_0 {
	meta:
		name = "TBitmap.SetHandleType"
		size = 308
		refs = "000e TBitmap.GetHandleType 005b TBitmap.FreeContext 0062 TBitmap.PaletteNeeded 0069 TBitmap.DIBNeeded 0092 TBitmap.NewImage 00a8 TBitmap.CopyImage 00f4 CopyPalette 0106 CopyBitmap"
	strings:
		$1 = { 53 56 57 55 83 C4 AC 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 0F 84 12 01 00 00 8B 7E 18 83 7F 08 00 75 21 83 7F 14 00 75 1B 80 FB 01 75 0A 33 C0 89 47 30 E9 F4 00 00 00 C7 47 30 28 00 00 00 E9 E8 00 00 00 84 DB 75 66 8B 47 14 85 C0 74 09 3B 47 08 0F 84 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7F 04 01 75 28 8B 47 14 33 D2 89 57 14 8B 6F 10 33 D2 89 57 10 8D 57 18 52 8A 57 6C 52 8B CD 8B D0 8B C6 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 47 18 50 8B 4F 10 8B 57 14 8B C6 E8 ?? ?? ?? ?? EB 75 8B 47 08 85 C0 74 05 3B 47 14 75 72 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 56 57 8D 77 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 33 C0 89 44 24 18 83 7F 04 01 0F 94 C3 84 DB 74 05 8B 6F 10 EB 0A 8B 47 10 E8 ?? ?? ?? ?? 8B E8 54 6A 00 8B CD 8B 57 10 8B 47 14 E8 ?? ?? ?? ?? 84 DB 74 05 89 47 08 EB 10 54 8A 57 6C 52 8B CD 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 83 C4 54 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9505_0 {
	meta:
		name = "TBitmap.SetHeight"
		size = 81
		refs = "0015 TBitmap.HandleNeeded 003d TBitmap.CopyImage"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B FA 8B D8 8B 73 18 3B 7E 20 74 38 8B C3 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 89 7C 24 08 89 7C 24 20 54 8B 4E 10 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9506_0 {
	meta:
		name = "TBitmap.SetMaskHandle"
		size = 20
	strings:
		$1 = { 8B 48 18 3B 51 0C 74 0B 89 51 0C C6 40 22 01 C6 40 21 01 C3 }
	condition:
		$1
}

rule function_9507_0 {
	meta:
		name = "TBitmap.SetMonochrome"
		size = 125
		refs = "002b TBitmap.HandleNeeded 0069 TBitmap.CopyImage"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B DA 8B F8 8B 77 18 8D 46 30 66 83 78 0C 01 75 07 66 83 78 0E 01 74 04 33 C0 EB 02 B0 01 3A D8 74 4E 8B C7 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 33 C0 89 44 24 18 33 C0 8A C3 66 89 44 24 24 66 89 44 24 26 66 89 44 24 10 66 89 44 24 12 54 8B 4E 10 8B 56 08 8B C7 E8 ?? ?? ?? ?? 8B D7 8B C7 8B 08 FF 51 10 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9508_0 {
	meta:
		name = "TBitmap.SetPalette"
		size = 209
		refs = "0029 InternalDeletePalette 0037 TBitmap.FreeContext 003e TBitmap.HandleNeeded 0062 CopyBitmap 006d TBitmap.SetPalette 0087 TBitmap.NewImage 0096 @HandleAnyException 009f DeleteObject 00a4 @RaiseAgain 00a9 @DoneExcept 00b9 UpdateDIBColorTable"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B FA 8B D8 8B 43 18 3B 78 10 0F 84 B1 00 00 00 8B F0 85 FF 75 15 83 7E 04 01 75 0F 8B 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 10 EB 79 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7D A8 B9 15 00 00 00 F3 A5 5F 5E 8D 45 A8 50 6A 00 8B 56 10 8B 46 08 8B CF E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 50 8A 46 6C 50 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 18 8D 48 18 8B 40 14 8B D7 E8 ?? ?? ?? ?? C6 43 16 01 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9509_0 {
	meta:
		name = "TBitmap.SetPixelFormat"
		size = 417
		refs = "0017 TBitmap.SetPixelFormat 0025 TBitmap.GetPixelFormat 0050 SInvalidPixelFormat 0055 LoadResString 005d InvalidGraphic 0071 @FillChar 00b1 BitCounts 00d0 SystemPalette16 00dc GetDC 00e1 GDICheck 00e9 CreateHalftonePalette 00f8 ReleaseDC 013d TBitmap.CopyImage 0166 DeleteObject 016c @HandleFinally 018e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C9 89 4D 9C 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 3A D8 0F 84 4C 01 00 00 8B C3 2C 01 72 06 2C 07 74 11 EB 29 B2 01 8B 45 FC 8B 08 FF 51 68 E9 31 01 00 00 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? E9 17 01 00 00 8D 45 A3 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8D 70 18 8D 7D A3 B9 06 00 00 00 F3 A5 C6 45 F7 00 33 D2 89 55 B7 C7 45 BB 28 00 00 00 8B 55 A7 89 55 BF 8B 55 AB 89 55 C3 66 C7 45 C7 01 00 33 D2 8A D3 0F B6 92 ?? ?? ?? ?? 66 89 55 C9 8B 40 10 89 45 F8 80 EB 02 74 0B FE CB 74 11 80 EB 02 74 31 EB 4B A1 ?? ?? ?? ?? 89 45 F8 EB 41 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 89 45 F8 C6 45 F7 01 53 6A 00 E8 ?? ?? ?? ?? EB 1C C7 45 CB 03 00 00 00 C7 45 E3 00 F8 00 00 C7 45 E7 E0 07 00 00 C7 45 EB 1F 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A3 50 8B 45 FC 8B 10 FF 52 60 8B D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 95 C0 8B 55 FC 88 42 16 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 55 FC 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9510_0 {
	meta:
		name = "TBitmap.SetTransparentColor"
		size = 77
		refs = "002c TBitmap.HandleNeeded 003d TBitmap.CopyImage"
	strings:
		$1 = { 53 56 8B F0 3B 56 24 74 41 81 FA 00 00 00 20 75 06 C6 46 28 00 EB 04 C6 46 28 01 89 56 24 8B 46 18 83 78 04 01 7E 1A 8B D8 8B C6 E8 ?? ?? ?? ?? 8D 43 18 50 8B 4B 10 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_9511_0 {
	meta:
		name = "TBitmap.SetTransparentMode"
		size = 44
		refs = "0014 TBitmap.SetTransparentColor 001d TBitmap.GetTransparentColor"
	strings:
		$1 = { 53 8B D8 3A 53 28 74 22 84 D2 75 0E BA 00 00 00 20 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9512_0 {
	meta:
		name = "TBitmap.SetWidth"
		size = 81
		refs = "0015 TBitmap.HandleNeeded 003d TBitmap.CopyImage"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B FA 8B D8 8B 73 18 3B 7E 1C 74 38 8B C3 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 89 7C 24 04 89 7C 24 1C 54 8B 4E 10 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9514_0 {
	meta:
		name = "TBitmap.WriteStream"
		size = 552
		refs = "0013 TBitmap.DIBNeeded 0031 InternalGetDIBSizes 0075 TStream.WriteBuffer 008f @FillChar 00af TBitmap.GetCanvas 00b5 TBitmap.WriteStream 00ba TCanvas.RequiredState 00ca SelectObject 00cf GDICheck 00e9 GetDIBColorTable 011e PaletteToDIBColorTable 012a FixupBitFields 0158 RGBQuadToTriple 01f5 PalSize"
	strings:
		$1 = { 53 56 57 55 81 C4 D8 FB FF FF 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 6E 18 33 C0 89 04 24 8B 45 14 85 C0 74 41 6A 00 8D 4C 24 04 8D 54 24 0C E8 ?? ?? ?? ?? 80 7D 6C 00 74 22 C7 44 24 08 0C 00 00 00 66 8B 45 3E 66 83 F8 08 77 10 8B C8 B8 01 00 00 00 D3 E0 8D 04 40 01 44 24 08 8B 44 24 08 83 C0 0E 01 04 24 84 DB 74 0E 8B D4 B9 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 3C 24 00 0F 84 93 01 00 00 8D 44 24 0C 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? 66 C7 44 24 0C 42 4D 8B 04 24 89 44 24 0E 8B 44 24 08 83 C0 0E 89 44 24 16 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 50 8B 46 1C 8B 40 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 44 24 26 50 68 00 01 00 00 6A 00 8B 46 1C 8B 40 04 50 E8 ?? ?? ?? ?? 89 44 24 04 53 8B 46 1C 8B 40 04 50 E8 ?? ?? ?? ?? 83 7C 24 04 00 75 21 83 7D 10 00 74 1B 80 7D 6D 00 75 15 8D 54 24 26 B9 FF 00 00 00 8B 45 10 E8 ?? ?? ?? ?? 89 44 24 04 8D 45 18 E8 ?? ?? ?? ?? 83 7C 24 04 00 74 27 8B 45 50 85 C0 74 06 3B 44 24 04 74 07 8B 44 24 04 89 45 50 80 7D 6C 00 74 0D 8D 54 24 04 8D 44 24 26 E8 ?? ?? ?? ?? 80 7D 6C 00 74 4F 8D 45 30 C7 44 24 1A 0C 00 00 00 66 8B 50 04 66 89 54 24 1E 66 8B 50 08 66 89 54 24 20 66 C7 44 24 22 01 00 66 8B 40 0E 66 89 44 24 24 8D 54 24 0C B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 54 24 1A B9 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 3B 8D 54 24 0C B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 55 30 B9 28 00 00 00 8B C7 E8 ?? ?? ?? ?? 66 83 7D 3E 08 76 15 F6 45 40 03 74 0F 8D 55 58 B9 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 8A 45 6C 33 C9 8A 88 ?? ?? ?? ?? 0F AF 4C 24 04 8D 54 24 26 8B C7 E8 ?? ?? ?? ?? 8B 55 2C 8B 4D 44 8B C7 E8 ?? ?? ?? ?? 81 C4 28 04 00 00 5D 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_9515_0 {
	meta:
		name = "TBitmap.ReleaseHandle"
		size = 51
		refs = "0006 TBitmap.HandleNeeded 000f TBitmap.Changing"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 50 08 8B CA 3B 50 14 75 0A 33 D2 89 50 14 33 D2 89 50 2C 33 D2 89 50 08 8B C1 5B C3 }
	condition:
		$1
}

rule function_9516_0 {
	meta:
		name = "TBitmap.ReleaseMaskHandle"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 8B 53 18 33 C9 89 4A 0C 5B C3 }
	condition:
		$1
}

rule function_9517_0 {
	meta:
		name = "TBitmap.ReleasePalette"
		size = 34
		refs = "0006 TBitmap.HandleNeeded 000f TBitmap.Changing"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 50 10 33 C9 89 48 10 8B C2 5B C3 }
	condition:
		$1
}

rule function_9519_0 {
	meta:
		name = "TBitmap.SaveToClipboardFormat"
		size = 157
		refs = "0016 TBitmap.HandleNeeded 0049 CopyBitmap 0056 TBitmap.SaveToClipboardFormat 0067 CopyPalette 007b @HandleAnyException 0086 DeleteObject 008b @RaiseAgain 0090 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 89 4D FC 8B D8 66 C7 02 02 00 8B C3 E8 ?? ?? ?? ?? 8B 73 18 56 83 C6 18 8D 7D A8 B9 15 00 00 00 F3 A5 5E 33 C0 89 45 C0 33 C0 89 45 BC 8D 45 A8 50 8B 43 1C 50 8B 7E 10 8B CF 8B D7 8B 46 08 E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B 40 10 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9520_0 {
	meta:
		name = "TBitmap.TransparentColorStored"
		size = 8
	strings:
		$1 = { 80 78 28 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_9522_0 {
	meta:
		name = "TIconImage.FreeHandle"
		size = 23
		refs = "000c DestroyIcon"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_9523_0 {
	meta:
		name = "TIcon.Create"
		size = 83
		refs = "000b @ClassCreate 0018 TGraphic.Create 0023 _DV_TIconImage 0028 TObject.Create 0034 TSharedImage.Reference 003f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 15 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9525_0 {
	meta:
		name = "TIcon.Assign"
		size = 93
		refs = "000f _DV_TIcon 0014 @IsClass 0026 TSharedImage.Reference 002e TSharedImage.Release 0041 TIcon.NewImage 0055 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 85 DB 74 1A 8B FB 8B 47 18 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 47 18 89 46 18 EB 0B 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9526_0 {
	meta:
		name = "TIcon.Draw"
		size = 56
		refs = "000b TIcon.Draw 0012 TCanvas.RequiredState 0019 TIcon.GetHandle 002a DrawIcon"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 47 04 50 8B 07 50 8B 46 04 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_9527_0 {
	meta:
		name = "TIcon.GetEmpty"
		size = 21
	strings:
		$1 = { 8B 40 18 83 78 08 00 75 06 83 78 0C 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9528_0 {
	meta:
		name = "TIcon.GetHandle"
		size = 18
		refs = "0006 TIcon.HandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_9529_0 {
	meta:
		name = "TIcon.GetHeight"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9530_0 {
	meta:
		name = "TIcon.GetWidth"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 0B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9531_0 {
	meta:
		name = "TIcon.HandleNeeded"
		size = 106
		refs = "0017 TStream.SetPosition 0026 TStream.ReadBuffer 003a StockIcon 0053 ReadIcon 005a InvalidIcon"
	strings:
		$1 = { 53 83 C4 F4 8B 58 18 83 7B 08 00 75 58 8B 43 0C 85 C0 74 51 33 D2 E8 ?? ?? ?? ?? 8B D4 B9 06 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 66 8B 44 24 02 66 83 E8 01 72 04 74 0D EB 20 A1 ?? ?? ?? ?? 89 44 24 08 EB 1A 6A 06 0F B7 4C 24 08 8D 54 24 0C 8B 43 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 44 24 08 89 43 08 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_9532_0 {
	meta:
		name = "TIcon.ImageNeeded"
		size = 177
		refs = "001f InvalidIcon 0026 _Dn_TMemoryStream 002b TObject.Create 0036 TIcon.ImageNeeded 0043 TIcon.GetHandle 0049 StockIcon 005a @FillChar 006a TStream.WriteBuffer 007f WriteIcon 008e @HandleAnyException 0096 TObject.Free 009b @RaiseAgain 00a0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F0 8B 5E 18 83 7B 0C 00 0F 85 92 00 00 00 83 7B 08 00 75 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 21 8D 45 F6 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 55 F6 B9 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 43 0C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9533_0 {
	meta:
		name = "TIcon.LoadFromStream"
		size = 182
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0020 TIcon.LoadFromStream 002d TStream.GetSize 0035 TStream.GetPosition 0056 TStream.ReadBuffer 0075 InvalidIcon 0081 TIcon.NewImage 0090 @HandleAnyException 0098 TObject.Free 009d @RaiseAgain 00a2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 2B D0 8B 45 FC 8B 08 FF 11 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 50 04 8B C6 E8 ?? ?? ?? ?? 8D 55 F6 B9 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 8B 45 F8 66 83 E8 02 72 05 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9534_0 {
	meta:
		name = "TIcon.NewImage"
		size = 115
		refs = "0010 _DV_TIconImage 0015 TObject.Create 0020 TIcon.NewImage 0041 @HandleAnyException 0049 TObject.Free 004e @RaiseAgain 0053 @DoneExcept 005b TSharedImage.Reference 0063 TSharedImage.Release"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 70 08 8B 45 FC 89 78 0C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 45 FC 89 43 18 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9535_0 {
	meta:
		name = "TIcon.ReleaseHandle"
		size = 57
		refs = "0013 CopyIcon 001e TIcon.NewImage"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 18 83 7E 04 01 7E 14 8B 46 08 50 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 7E 08 33 C0 89 46 08 8B D3 8B C3 8B 08 FF 51 10 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9536_0 {
	meta:
		name = "TIcon.SetHandle"
		size = 23
		refs = "0008 TIcon.NewImage"
	strings:
		$1 = { 53 8B D8 33 C9 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_9540_0 {
	meta:
		name = "TIcon.SaveToStream"
		size = 41
		refs = "0009 TIcon.ImageNeeded 0016 TStream.GetSize 0022 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 58 0C 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9543_0 {
	meta:
		name = "GraphicFilter"
		size = 77
		refs = "000f GraphicFilter 001e GetFileFormats 0027 TFileFormatsList.BuildFilterStrings 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9544_0 {
	meta:
		name = "GraphicExtension"
		size = 135
		refs = "000f FileFormats 0014 GetFileFormats 0027 TList.Get 0030 TObject.ClassName 0053 @AStrCmp 0069 @LStrLAsg 0078 @LStrClr"
	strings:
		$1 = { 53 56 57 55 81 C4 00 FE FF FF 8B FA 8B F0 BD ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 54 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B 00 8B D4 E8 ?? ?? ?? ?? 8B C4 50 8D 94 24 04 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 94 24 04 01 00 00 58 33 C9 8A 08 41 E8 ?? ?? ?? ?? 75 16 8B D3 8B 45 00 E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? EB 0D 4B 83 FB FF 75 AC 8B C7 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9545_0 {
	meta:
		name = "GraphicFileMask"
		size = 75
		refs = "000f GraphicFileMask 001b GetFileFormats 0025 TFileFormatsList.BuildFilterStrings 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9546_0 {
	meta:
		name = "InitScreenLogPixels"
		size = 53
		refs = "0004 GetDC 000e GetDeviceCaps 0013 ScreenLogPixels 001b ReleaseDC 0020 Pal16 002a CreateSystemPalette 002f SystemPalette16"
	strings:
		$1 = { 53 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 5A 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA 0F 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9547_0 {
	meta:
		name = "GetDefFontCharSet"
		size = 67
		refs = "000a GetDC 0015 StockFont 001c SelectObject 0027 GetTextMetrics 0037 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C8 B3 01 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 74 0F 54 56 E8 ?? ?? ?? ?? 85 C0 74 04 8A 5C 24 34 56 6A 00 E8 ?? ?? ?? ?? 8B C3 83 C4 38 5E 5B C3 }
	condition:
		$1
}

rule function_9548_0 {
	meta:
		name = "InitDefFontData"
		size = 116
		refs = "0006 ScreenLogPixels 000e MulDiv 0015 DefFontData 001a SysLocale 0025 GetDefFontCharSet 0032 InitDefFontData"
	strings:
		$1 = { 53 56 57 6A 48 A1 ?? ?? ?? ?? 50 6A 08 E8 ?? ?? ?? ?? F7 D8 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 08 00 74 3A E8 ?? ?? ?? ?? 8B D8 8B C3 2C 80 75 2D BE ?? ?? ?? ?? BF ?? ?? ?? ?? B9 04 00 00 00 F3 A5 6A 48 A1 ?? ?? ?? ?? 50 6A 09 E8 ?? ?? ?? ?? F7 D8 A3 ?? ?? ?? ?? 88 1D ?? ?? ?? ?? 5F 5E 5B C3 00 00 0F 82 6C 82 72 20 82 6F 83 53 83 56 83 62 83 4E }
	condition:
		$1
}

rule function_9549_0 {
	meta:
		name = "TPatternManager.Create"
		size = 53
		refs = "000a @ClassCreate 0017 InitializeCriticalSection 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9550_0 {
	meta:
		name = "TPatternManager.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 000e TPatternManager.FreePatterns 0017 DeleteCriticalSection 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 08 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9553_0 {
	meta:
		name = "TPatternManager.AllocPattern"
		size = 178
		refs = "0014 TPatternManager.Lock 001c TPatternManager.AllocPattern 005b @GetMem 0075 TPatternManager.CreateBitmap 009c TPatternManager.Unlock 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F8 EB 08 8B 45 F8 8B 00 89 45 F8 83 7D F8 00 74 10 8B 45 F8 3B 58 08 75 EA 8B 45 F8 3B 70 0C 75 E2 83 7D F8 00 75 36 B8 10 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 7D F8 8B 45 FC 8B 40 04 89 07 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 47 04 89 5F 08 89 77 0C 8B 45 FC 8B 55 F8 89 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9554_0 {
	meta:
		name = "TPatternManager.CreateBitmap"
		size = 256
		refs = "0011 _DV_TBitmap 0016 TBitmap.Create 0021 TPatternManager.CreateBitmap 0049 TBitmap.GetCanvas 0055 TBrush.SetStyle 005f TBrush.SetColor 007f Rect 0089 TCanvas.FillRect 00bd TCanvas.SetPixel 00d1 TBitmap.Dormant 00e0 @HandleAnyException 00e8 TObject.Free 00ed @RaiseAgain 00f2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 45 F8 8B 08 FF 51 40 BA 08 00 00 00 8B 45 F8 8B 08 FF 51 34 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 47 14 33 D2 E8 ?? ?? ?? ?? 8B 47 14 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 20 50 8D 45 E8 50 8B 45 F8 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 33 F6 33 DB 8B C6 25 01 00 00 80 79 05 48 83 C8 FE 40 8B D3 81 E2 01 00 00 80 79 05 4A 83 CA FE 42 3B C2 75 0F 8B 45 FC 50 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 83 FB 09 75 CA 46 83 FE 09 75 C2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9555_0 {
	meta:
		name = "TPatternManager.FreePatterns"
		size = 119
		refs = "0018 TPatternManager.Lock 0020 TPatternManager.FreePatterns 0046 TPatternManager.Unlock 004c @HandleFinally 005d TObject.Free 0065 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC EB 5E 89 45 F8 8B 45 F8 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 00 8B 55 FC 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 75 98 8B E5 5D C3 }
	condition:
		$1
}

rule function_9556_0 {
	meta:
		name = "AllocPatternBitmap"
		size = 54
		refs = "0008 PatternManager 0012 ColorToRGB 0027 TPatternManager.AllocPattern"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 22 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 40 04 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_9557_0 {
	meta:
		name = "Finalization"
		size = 210
		refs = "0007 Finalization 0013 _DV_81 001e PatternManager 0023 TObject.Free 0028 FileFormats 0032 ClipboardFormats 003c FreeMemoryContexts 0041 BitmapCanvasList 004b CanvasList 0055 FontManager 005f PenManager 0069 BrushManager 0073 SystemPalette16 0079 DeleteObject 007e BitmapImageLock 0083 DeleteCriticalSection 0088 CounterLock 0092 FontCharsets 009d TIdentMapEntry 00a2 @FinalizeArray 00a7 Colors 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 9E 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 2A 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_9558_0 {
	meta:
		name = "Graphics"
		size = 251
		refs = "0002 _DV_81 000e InitScreenLogPixels 0013 BitmapImageLock 0018 InitializeCriticalSection 001d CounterLock 0029 GetStockObject 002e StockPen 003a StockBrush 0046 StockFont 0052 LoadIcon 0057 StockIcon 005c InitDefFontData 0067 _DV_TResourceManager 006c TResourceManager.Create 0071 FontManager 0086 PenManager 009b BrushManager 00a2 _DV_TPatternManager 00a7 TPatternManager.Create 00ac PatternManager 00b3 _Dn_TThreadList 00b8 TThreadList.Create 00bd BitmapCanvasList 00ce CanvasList 00d3 ColorToIdent 00d8 IdentToColor 00dd TColor 00e2 RegisterIntegerConsts 00e7 CharsetToIdent 00ec IdentToCharset 00f1 TFontCharset"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 ED 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 07 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 0D E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 B9 2C 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 B9 10 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 B9 10 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9561_0 {
	meta:
		name = "GridRect"
		size = 101
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 44 24 08 89 01 8B 04 24 3B 44 24 08 7D 02 89 01 8B 04 24 89 41 08 8B 44 24 08 3B 04 24 7E 03 89 41 08 8B 44 24 0C 89 41 04 8B 44 24 04 3B 44 24 0C 7D 03 89 41 04 8B 44 24 04 89 41 0C 8B 44 24 0C 3B 44 24 04 7E 03 89 41 0C 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_9562_0 {
	meta:
		name = "PointInGridRect"
		size = 25
		altNames = "PtInRect"
	strings:
		$1 = { 3B 01 7C 0F 3B 41 08 7F 0A 3B 51 04 7C 05 3B 51 0C 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9564_0 {
	meta:
		name = "Includes"
		size = 73
		refs = "0015 PtInRect"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 48 FC 8B 53 04 8B 03 E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 08 8B 48 F8 8B 53 04 8B 03 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 0A 8B 13 89 16 8B 53 04 89 56 04 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9565_0 {
	meta:
		name = "Build"
		size = 117
		refs = "0019 Includes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 B3 01 8B 45 0C 50 8B D6 8B C7 E8 ?? ?? ?? ?? 59 84 C0 74 24 8B 45 0C 50 8D 56 08 8B 45 08 E8 ?? ?? ?? ?? 59 84 C0 75 35 8B 45 FC 8B 10 89 56 08 8B 50 04 89 56 0C EB 25 8B 45 0C 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 10 8B 45 08 8B 10 89 56 08 8B 50 04 89 56 0C EB 02 33 DB 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9566_0 {
	meta:
		name = "XorRects"
		size = 405
		refs = "001b @FillChar 002c IntersectRect 0063 UnionRect 0072 Point 00a1 Build"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B D9 89 55 F8 89 45 FC 8B C3 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 8D 45 E8 50 E8 ?? ?? ?? ?? 85 C0 75 22 8B 45 FC 8B F0 8B FB B9 04 00 00 00 F3 A5 8B 45 F8 8B F0 8D 7B 10 B9 04 00 00 00 F3 A5 E9 38 01 00 00 8B 45 F8 50 8B 45 FC 50 8D 45 D8 50 E8 ?? ?? ?? ?? 55 8D 4D D0 8B 55 F4 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 55 EC 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 C0 8B C3 59 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 E8 89 43 08 55 8D 4D D0 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 C0 8D 43 10 59 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 EC 89 43 1C 55 8D 4D D0 8B 55 E4 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 C0 8D 43 20 59 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 F0 89 43 20 55 8D 4D D0 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 E4 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 C0 8D 43 30 59 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 F4 89 43 34 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9567_0 {
	meta:
		name = "ModifyExtents"
		size = 234
		refs = "0019 ModifyExtents 0047 SIndexOutOfRange 004c LoadResString 0054 InvalidOp 0064 STooManyDeleted 0083 SGridTooLarge 00a1 @ReallocMem 00d5 @LStrClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 84 99 00 00 00 83 3B 00 75 04 33 F6 EB 04 8B 03 8B 30 83 7D FC 00 7C 05 3B 75 FC 7D 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 03 FE 8B F7 85 F6 7D 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 1D 81 FE FE FF FF 07 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 7E 01 46 8B D6 C1 E2 02 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 1A 8B 45 FC 40 3B F0 7E 0D 8B 13 8B 4D 08 89 0C 82 40 3B F0 7F F3 4E 8B 03 89 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9568_0 {
	meta:
		name = "UpdateExtents"
		size = 28
		refs = "0015 ModifyExtents"
	strings:
		$1 = { 53 56 33 F6 83 38 00 74 04 8B 18 8B 33 51 8B CA 2B CE 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9569_0 {
	meta:
		name = "MoveExtent"
		size = 87
		refs = "002c Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B D8 83 3B 00 74 45 8B 03 8B 3C 90 3B F2 7E 1C 8B C6 2B C2 8B C8 C1 E1 02 8B 03 8D 44 90 04 8B 2B 8D 54 95 00 E8 ?? ?? ?? ?? EB 1B 3B F2 7D 17 8B 03 8D 04 B0 8B 0B 8D 4C B1 04 2B D6 C1 E2 02 87 CA E8 ?? ?? ?? ?? 8B 03 89 3C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9570_0 {
	meta:
		name = "CompareExtents"
		size = 51
	strings:
		$1 = { 53 56 57 8B FA 33 D2 85 C0 74 1D 85 FF 74 1E 8B 30 85 F6 7C 0F 46 33 C9 8B 1C 88 3B 1C 8F 75 0D 41 4E 75 F4 B2 01 EB 05 85 FF 0F 94 C2 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9572_0 {
	meta:
		name = "TInplaceEdit.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TCustomMaskEdit.Create 0020 TWinControl.SetParentCtl3D 0029 TWinControl.SetCtl3D 0032 TWinControl.SetTabStop 003b TCustomEdit.SetBorderStyle 004d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 E8 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9573_0 {
	meta:
		name = "TInplaceEdit.CreateParams"
		size = 16
		refs = "0006 TCustomEdit.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 4B 04 04 5B C3 }
	condition:
		$1
}

rule function_9574_0 {
	meta:
		name = "TInplaceEdit.SetGrid"
		size = 7
	strings:
		$1 = { 89 90 20 02 00 00 C3 }
	condition:
		$1
}

rule function_9576_0 {
	meta:
		name = "TInplaceEdit.WMGetDlgCode"
		size = 37
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 83 20 02 00 00 F6 80 29 02 00 00 08 74 04 83 4E 0C 02 5E 5B C3 }
	condition:
		$1
}

rule function_9577_0 {
	meta:
		name = "TInplaceEdit.WMPaste"
		size = 32
		refs = "0019 TCustomMaskEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 D8 00 00 00 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9579_0 {
	meta:
		name = "TInplaceEdit.WMCut"
		size = 32
		refs = "0019 TCustomMaskEdit.WMCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 D8 00 00 00 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9578_0 {
	meta:
		name = "TInplaceEdit.WMClear"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 D8 00 00 00 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_9580_0 {
	meta:
		name = "TInplaceEdit.DblClick"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 53 8B 80 20 02 00 00 66 BB EB FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9581_0 {
	meta:
		name = "TInplaceEdit.DoMouseWheel"
		size = 51
		refs = "0026 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 08 8D 7D F4 A5 A5 88 55 FF 8D 55 F4 52 8A 55 FF 8B 80 20 02 00 00 66 BB C7 FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9582_0 {
	meta:
		name = "TInplaceEdit.EditCanModify"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 53 8B 80 20 02 00 00 66 BB B5 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9583_0 {
	meta:
		name = "SendToParent"
		size = 51
		refs = "0021 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8A 48 F7 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 80 20 02 00 00 66 BB C1 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 66 C7 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_9584_0 {
	meta:
		name = "ParentEvent"
		size = 71
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 FC 8B 80 20 02 00 00 8B 90 B0 01 00 00 89 55 F8 8B 90 B4 01 00 00 89 55 FC 66 83 7D FA 00 74 18 8B 55 08 8A 52 F7 52 8B 55 08 8B 4A F8 8B 55 08 8B D0 8B 45 FC FF 55 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_9585_0 {
	meta:
		name = "ForwardMovement"
		size = 27
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 20 02 00 00 F6 80 29 02 00 00 20 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_9586_0 {
	meta:
		name = "Ctrl"
		size = 15
	strings:
		$1 = { 55 8B EC 8B 45 08 F6 40 F7 04 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_9587_0 {
	meta:
		name = "Selection"
		size = 36
		refs = "0017 TWinControl.GetHandle 001d SendMessage"
	strings:
		$1 = { 55 8B EC 53 8B D8 8D 43 04 50 53 68 B0 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_9588_0 {
	meta:
		name = "RightSide"
		size = 59
		refs = "000f Selection 0027 TCustomMaskEdit.GetTextLen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 5D F8 85 DB 74 05 3B 5D FC 75 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B 45 FC 74 04 33 C0 EB 02 B0 01 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9589_0 {
	meta:
		name = "LeftSide"
		size = 59
		refs = "000f Selection 0028 TCustomMaskEdit.GetTextLen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 59 83 7D F8 00 75 16 8B 5D FC 85 DB 74 13 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B D8 74 04 33 C0 EB 02 B0 01 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9590_0 {
	meta:
		name = "TInplaceEdit.KeyDown"
		size = 524
		refs = "0080 SendToParent 008b TInplaceEdit.KeyDown 00bc @CallDynaInst 00d7 ForwardMovement 00e6 Ctrl 00f1 LeftSide 0126 RightSide 0192 ParentEvent 01a4 TInplaceEdit.Deselect 01f8 TCustomMaskEdit.KeyDown"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 F8 0F B7 00 83 F8 25 7F 38 0F 84 B4 00 00 00 83 F8 21 7D 13 83 E8 09 0F 84 7B 01 00 00 83 E8 12 74 4A E9 7E 01 00 00 83 C0 DF 83 E8 02 72 3D 0F 84 1F 01 00 00 48 0F 84 EE 00 00 00 E9 64 01 00 00 83 F8 28 7F 13 74 24 83 E8 26 74 1F 48 0F 84 A4 00 00 00 E9 4C 01 00 00 83 E8 2D 74 1A 83 E8 44 0F 84 17 01 00 00 E9 39 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 2D 01 00 00 A0 ?? ?? ?? ?? 3A 45 F7 75 0C 55 E8 ?? ?? ?? ?? 59 E9 17 01 00 00 A0 ?? ?? ?? ?? 3A 45 F7 0F 85 09 01 00 00 8B 45 FC 8B 80 20 02 00 00 66 BB B5 FF E8 ?? ?? ?? ?? 84 C0 0F 85 EF 00 00 00 8B 45 F8 66 C7 00 00 00 E9 E2 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 D3 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 B9 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 AD 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 9E 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 84 00 00 00 55 E8 ?? ?? ?? ?? 59 EB 7B 55 E8 ?? ?? ?? ?? 59 84 C0 74 70 55 E8 ?? ?? ?? ?? 59 84 C0 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 74 5A 55 E8 ?? ?? ?? ?? 59 EB 51 55 E8 ?? ?? ?? ?? 59 84 C0 74 46 55 E8 ?? ?? ?? ?? 59 84 C0 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 74 30 55 E8 ?? ?? ?? ?? 59 EB 27 55 E8 ?? ?? ?? ?? 59 8B 45 F8 66 83 38 71 75 17 8B 45 FC E8 ?? ?? ?? ?? EB 52 F6 45 F7 02 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 66 83 38 2E 75 1E 8B 45 FC 8B 80 20 02 00 00 66 BB B5 FF E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F8 66 C7 00 00 00 8B 45 F8 66 83 38 00 74 15 55 E8 ?? ?? ?? ?? 59 8B 55 F8 8A 4D F7 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_9591_0 {
	meta:
		name = "TInplaceEdit.KeyPress"
		size = 229
		refs = "0017 @CallDynaInst 003e MessageBeep 0089 TWinControl.GetHandle 008f SendMessage 009c TCustomMaskEdit.GetTextLen 00a9 TInplaceEdit.Deselect 00b2 TCustomEdit.SelectAll 00db TCustomMaskEdit.KeyPress"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B F8 8B D6 8B 87 20 02 00 00 66 BB BF FF E8 ?? ?? ?? ?? 8A 06 04 E0 2C E0 73 1F 8A 16 8B 87 20 02 00 00 66 BB B7 FF E8 ?? ?? ?? ?? 84 C0 75 0A C6 06 00 6A 00 E8 ?? ?? ?? ?? 33 C0 8A 06 83 F8 16 7F 11 74 6E 83 E8 08 74 69 48 74 1D 83 E8 04 74 1D EB 75 83 E8 18 74 5A 83 E8 03 74 0C 83 C0 FB 2D E0 00 00 00 72 4B EB 5F C6 06 00 EB 5A 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3C 24 00 75 16 8B C7 E8 ?? ?? ?? ?? 3B 44 24 04 75 09 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? C6 06 00 EB 16 8B 87 20 02 00 00 66 BB B5 FF E8 ?? ?? ?? ?? 84 C0 75 03 C6 06 00 80 3E 00 74 09 8B D6 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9592_0 {
	meta:
		name = "TInplaceEdit.KeyUp"
		size = 26
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 53 51 88 0C 24 8A 0C 24 8B 80 20 02 00 00 66 BB C0 FF E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_9593_0 {
	meta:
		name = "TInplaceEdit.WndProc"
		size = 119
		refs = "001a GetParentForm 0047 GetMessageTime 0054 GetDoubleClickTime 006f TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 06 83 E8 07 74 09 2D FA 01 00 00 74 31 EB 53 8B C3 E8 ?? ?? ?? ?? 85 C0 74 19 8B C3 E8 ?? ?? ?? ?? 8B 93 20 02 00 00 8B 08 FF 91 C8 00 00 00 84 C0 74 38 8B D6 8B C3 8B 08 FF 51 EC EB 2D E8 ?? ?? ?? ?? 8B F8 2B BB 24 02 00 00 E8 ?? ?? ?? ?? 3B F8 73 06 C7 06 03 02 00 00 33 C0 89 83 24 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9594_0 {
	meta:
		name = "TInplaceEdit.Deselect"
		size = 30
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 8B D8 6A FF 68 FF FF FF 7F 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9595_0 {
	meta:
		name = "TInplaceEdit.Invalidate"
		size = 131
		refs = "000b TWinControl.GetHandle 0011 ValidateRect 0022 InvalidateRect 0030 GetClientRect 0050 MapWindowPoints"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 44 24 04 50 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_9596_0 {
	meta:
		name = "TInplaceEdit.Hide"
		size = 102
		refs = "0007 TWinControl.HandleAllocated 0012 TWinControl.GetHandle 0018 IsWindowVisible 0023 TInplaceEdit.Invalidate 003f SetWindowPos 004a @CallDynaInst 005f SetFocus"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 54 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 43 8B C6 E8 ?? ?? ?? ?? 68 8C 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 11 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9597_0 {
	meta:
		name = "TInplaceEdit.PosEqual"
		size = 68
		refs = "000d TWinControl.GetHandle 0013 GetWindowRect 002d MapWindowPoints 0034 EqualRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 44 24 04 50 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 54 56 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9598_0 {
	meta:
		name = "TInplaceEdit.InternalMove"
		size = 173
		refs = "000c IsRectEmpty 0017 TInplaceEdit.Hide 0031 TWinControl.GetHandle 0037 IsWindowVisible 004a TInplaceEdit.Invalidate 006f SetWindowPos 0093 @CallDynaInst 00a4 SetFocus"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 57 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C6 E8 ?? ?? ?? ?? E9 88 00 00 00 8B C6 8B 10 FF 92 90 00 00 00 84 DB 75 15 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 8B C6 E8 ?? ?? ?? ?? 6A 48 8B 47 0C 2B 47 04 50 8B 47 08 8B 2F 2B C5 50 8B 47 04 50 55 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 EC 00 00 00 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B 86 20 02 00 00 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9599_0 {
	meta:
		name = "TInplaceEdit.BoundsChanged"
		size = 86
		refs = "0020 Rect 0031 TWinControl.GetHandle 0037 SendMessage"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 83 E9 02 BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_9601_0 {
	meta:
		name = "TInplaceEdit.Visible"
		size = 24
		refs = "0006 TWinControl.GetHandle 000c IsWindowVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_18431_0 {
	meta:
		name = "DeleteFile"
		size = 24
		refs = "0006 @LStrToPChar 000c DeleteFile"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_18459_0 {
	meta:
		name = "RemoveDir"
		size = 24
		refs = "0006 @LStrToPChar 000c RemoveDirectory"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_18457_0 {
	meta:
		name = "SetCurrentDir"
		size = 24
		refs = "0006 @LStrToPChar 000c SetCurrentDirectory"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_9603_0 {
	meta:
		name = "TInplaceEdit.SetFocus"
		size = 35
		refs = "0006 TWinControl.GetHandle 000c IsWindowVisible 001d SetFocus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9604_0 {
	meta:
		name = "TInplaceEdit.UpdateContents"
		size = 178
		refs = "000e TInplaceEdit.UpdateContents 001d TCustomMaskEdit.SetText 003e @CallDynaInst 0048 TCustomMaskEdit.SetEditMask 008b TCustomMaskEdit.SetMaxLength 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B BE 20 02 00 00 8B 8F 0C 02 00 00 8B 97 08 02 00 00 8B C7 66 BB B2 FF E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B BE 20 02 00 00 8B 8F 0C 02 00 00 8B 97 08 02 00 00 8B C7 66 BB B4 FF E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 20 02 00 00 66 BB B1 FF E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9605_0 {
	meta:
		name = "TCustomGrid.Create"
		size = 336
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 NewStyleControls 002b TCustomGrid.Create 00d8 TControl.SetColor 00e1 TControl.SetParentColor 00ea TWinControl.SetTabStop 011b TCustomGrid.Initialize 0128 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 43 40 EB 08 A1 ?? ?? ?? ?? 89 43 40 C6 83 F9 01 00 00 01 C7 83 FC 01 00 00 05 00 00 00 C7 83 2C 02 00 00 05 00 00 00 C7 83 18 02 00 00 01 00 00 00 C7 83 1C 02 00 00 01 00 00 00 C7 83 24 02 00 00 01 00 00 00 66 A1 ?? ?? ?? ?? 66 89 83 28 02 00 00 66 A1 ?? ?? ?? ?? 66 89 83 70 02 00 00 C7 83 20 02 00 00 0F 00 00 80 C6 83 34 02 00 00 03 C6 83 F8 01 00 00 01 C7 83 10 02 00 00 40 00 00 00 C7 83 14 02 00 00 18 00 00 00 C6 83 6C 02 00 00 01 C6 83 6F 02 00 00 01 C6 83 6D 02 00 00 00 BA 05 00 00 80 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 F7 AB 10 02 00 00 50 8B 83 2C 02 00 00 F7 AB 14 02 00 00 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 96 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 C2 00 00 00 D2 00 00 00 1F 00 00 00 C0 00 00 00 }
	condition:
		$1
}

rule function_9606_0 {
	meta:
		name = "TCustomGrid.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TCustomControl.Destroy 0029 @FreeMem 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 5C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9607_0 {
	meta:
		name = "DoSizeAdjust"
		size = 286
		refs = "0018 DoSizeAdjust 003f STooManyDeleted 0044 LoadResString 004c InvalidOp 00a9 ModifyExtents 0107 @LStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 00 8B 55 0C 03 42 FC 89 45 F4 8B 45 0C 8B 40 F8 3B 45 F4 7E 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 0C 83 78 FC 00 7D 30 83 3B 00 74 2B 33 C0 89 45 F8 8B 45 0C 8B 50 F8 8B 45 0C 8B 40 F8 8B 4D 0C 2B 41 FC 48 2B C2 7C 1A 40 8B 0B 8B 0C 91 01 4D F8 42 48 75 F4 EB 0B 8B 45 0C 8B 40 FC F7 EE 89 45 F8 83 3B 00 74 14 56 8B 45 0C 8B 48 FC 8B 45 0C 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 10 8B 45 08 8B 00 8B 55 0C 3B 42 F8 7C 34 8B 45 0C 83 78 FC 00 7D 20 8B 45 0C 8B 40 F8 8B 55 0C 2B 42 FC 8B 55 08 3B 02 7E 0D 8B 45 0C 8B 40 F8 8B 55 08 89 02 EB 0B 8B 45 0C 8B 40 FC 8B 55 08 01 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9608_0 {
	meta:
		name = "TCustomGrid.AdjustSize"
		size = 353
		refs = "0087 DoSizeAdjust 00e9 TCustomGrid.GridRectToScreenRect 00f2 IsRectEmpty 010a TWinControl.GetHandle 0110 ScrollWindow 011d UpdateWindow 012e @CallDynaInst 0154 TCustomGrid.MoveCurrent"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 89 55 F8 8B F0 83 7D FC 00 0F 84 3D 01 00 00 8B 86 08 02 00 00 89 45 F0 8B 86 0C 02 00 00 89 45 F4 8B 86 FC 01 00 00 89 45 E8 8B 96 2C 02 00 00 89 55 EC 8B 8E 18 02 00 00 89 4D D4 48 89 45 DC 8B 86 1C 02 00 00 89 45 D8 4A 89 55 E0 33 FF 33 C0 89 45 E4 8B 5D FC 85 DB 7D 02 F7 DB 80 7D 08 00 74 39 55 8D 45 F4 50 8D 96 30 02 00 00 8D 86 2C 02 00 00 8B 8E 14 02 00 00 E8 ?? ?? ?? ?? 59 89 45 E4 8B 45 F8 89 45 D8 03 5D F8 8B 86 3C 02 00 00 3B D8 7F 3C 48 89 45 E0 EB 36 55 8D 45 F0 50 8D 96 00 02 00 00 8D 86 FC 01 00 00 8B 8E 10 02 00 00 E8 ?? ?? ?? ?? 59 8B F8 8B 45 F8 89 45 D4 03 5D F8 8B 86 38 02 00 00 3B D8 7F 04 48 89 45 DC 6A 01 8D 4D C4 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8D 45 C4 50 E8 ?? ?? ?? ?? 85 C0 75 27 8D 45 C4 50 8D 45 C4 50 8B 45 E4 50 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D EC 8B 55 E8 8B C6 66 BB AE FF E8 ?? ?? ?? ?? 8B 45 F0 3B 86 08 02 00 00 75 0B 8B 55 F4 3B 96 0C 02 00 00 74 10 6A 01 6A 01 8B 4D F4 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9609_0 {
	meta:
		name = "TCustomGrid.BoxRect"
		size = 49
		refs = "0026 TCustomGrid.GridRectToScreenRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 8B F0 89 55 F0 8B 45 10 89 45 F8 89 4D F4 8B 45 0C 89 45 FC 6A 00 8B 4D 08 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_9610_0 {
	meta:
		name = "TCustomGrid.DoExit"
		size = 28
		refs = "0006 TWinControl.DoExit 0016 TCustomGrid.HideEditor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 83 29 02 00 00 20 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9611_0 {
	meta:
		name = "TCustomGrid.CellRect"
		size = 36
		refs = "0019 TCustomGrid.BoxRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 56 57 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9614_0 {
	meta:
		name = "TCustomGrid.CanEditModify"
		size = 7
	strings:
		$1 = { 8A 80 F9 01 00 00 C3 }
	condition:
		$1
}

rule function_9615_0 {
	meta:
		name = "TCustomGrid.CanEditShow"
		size = 92
		refs = "000d TCustomGrid.CanEditShow 002f TWinControl.HandleAllocated 0043 TCustomGrid.IsActiveControl"
	strings:
		$1 = { 53 8B D8 66 8B 83 28 02 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 2E 80 BB 6D 02 00 00 00 74 25 F6 43 20 10 75 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 F6 83 29 02 00 00 20 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 00 14 00 00 00 04 00 00 }
	condition:
		$1
}

rule function_9616_0 {
	meta:
		name = "TCustomGrid.IsActiveControl"
		size = 79
		refs = "000a GetParentForm 001f GetFocus 0035 GetParent 003d IsWindow"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0C 3B B0 00 02 00 00 75 2F B3 01 EB 2B E8 ?? ?? ?? ?? 8B F8 EB 14 3B BE 40 01 00 00 75 04 B3 01 EB 08 57 E8 ?? ?? ?? ?? 8B F8 57 E8 ?? ?? ?? ?? 85 C0 74 04 84 DB 74 DE 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9617_0 {
	meta:
		name = "TBaseProvider.GetKeyFields"
		size = 15
		refs = "0007 @LStrClr"
		altNames = "TCustomGrid.GetEditMask TCustomGrid.GetEditText"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_9621_0 {
	meta:
		name = "TCustomGrid.HideEditor"
		size = 13
		refs = "0008 TCustomGrid.HideEdit"
	strings:
		$1 = { C6 80 6D 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9622_0 {
	meta:
		name = "TCustomGrid.ShowEditor"
		size = 13
		refs = "0008 TCustomGrid.UpdateEdit"
	strings:
		$1 = { C6 80 6D 02 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9623_0 {
	meta:
		name = "TCustomGrid.ShowEditorChar"
		size = 53
		refs = "000a TCustomGrid.ShowEditor 0027 TWinControl.GetHandle 002d PostMessage"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B B7 5C 02 00 00 85 F6 74 19 6A 00 33 C0 8A C3 50 68 02 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9624_0 {
	meta:
		name = "TCustomGrid.InvalidateEditor"
		size = 26
		refs = "0015 TCustomGrid.UpdateEdit"
	strings:
		$1 = { C7 80 60 02 00 00 FF FF FF FF C7 80 64 02 00 00 FF FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9625_0 {
	meta:
		name = "TCustomGrid.ReadColWidths"
		size = 63
		refs = "000b TReader.ReadListBegin 0020 TReader.ReadInteger 002b TCustomGrid.SetColWidths 0036 TReader.ReadListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B 9F FC 01 00 00 4B 85 DB 7C 19 43 33 F6 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9626_0 {
	meta:
		name = "TCustomGrid.ReadRowHeights"
		size = 63
		refs = "000b TReader.ReadListBegin 0020 TReader.ReadInteger 002b TCustomGrid.SetRowHeights 0036 TReader.ReadListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B 9F 2C 02 00 00 4B 85 DB 7C 19 43 33 F6 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9627_0 {
	meta:
		name = "TCustomGrid.WriteColWidths"
		size = 63
		refs = "000b TWriter.WriteListBegin 0022 TCustomGrid.GetColWidths 002b TWriter.WriteInteger 0036 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B 9F FC 01 00 00 4B 85 DB 7C 19 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9628_0 {
	meta:
		name = "TCustomGrid.WriteRowHeights"
		size = 63
		refs = "000b TWriter.WriteListBegin 0022 TCustomGrid.GetRowHeights 002b TWriter.WriteInteger 0036 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B 9F 2C 02 00 00 4B 85 DB 7C 19 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9629_0 {
	meta:
		name = "DoColWidths"
		size = 67
		refs = "0027 CompareExtents"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 1F 8B 45 08 8B 40 F8 8B 90 00 02 00 00 8B 45 08 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 83 B8 00 02 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_9630_0 {
	meta:
		name = "DoRowHeights"
		size = 67
		refs = "0027 CompareExtents"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 1F 8B 45 08 8B 40 F8 8B 90 30 02 00 00 8B 45 08 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 83 B8 30 02 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_9631_0 {
	meta:
		name = "TCustomGrid.DefineProperties"
		size = 160
		refs = "0014 TControl.DefineProperties 0029 TCustomGrid.ReadColWidths 0032 TCustomGrid.WriteColWidths 0038 DoColWidths 0040 TCustomGrid.DefineProperties 0050 TCustomGrid.ReadRowHeights 0059 TCustomGrid.WriteRowHeights 005f DoRowHeights"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 6F 02 00 00 00 74 4E 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 FF FF FF FF 09 00 00 00 43 6F 6C 57 69 64 74 68 73 00 00 00 FF FF FF FF 0A 00 00 00 52 6F 77 48 65 69 67 68 74 73 00 00 }
	condition:
		$1
}

rule function_9632_0 {
	meta:
		name = "TCustomGrid.MoveColumn"
		size = 209
		refs = "002d MoveExtent 004d TCustomGrid.MoveAdjust 007a TCustomGrid.GetVisibleRowCount 009b TCustomGrid.InvalidateRect 00aa @CallDynaInst 00c5 TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B DA 8B F0 3B FB 0F 84 B4 00 00 00 83 BE 00 02 00 00 00 74 23 8D 4F 01 8D 6B 01 8B D5 8D 86 00 02 00 00 E8 ?? ?? ?? ?? 8D 4F 01 8B D5 8D 86 04 02 00 00 E8 ?? ?? ?? ?? 57 8D 96 08 02 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 57 8D 96 F0 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 57 8D 96 60 02 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 33 C0 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 89 44 24 0C 3B FB 7E 09 89 1C 24 89 7C 24 08 EB 07 89 3C 24 89 5C 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 66 BB B0 FF E8 ?? ?? ?? ?? 83 BE 00 02 00 00 00 74 0B 8B C6 66 BB AB FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9634_0 {
	meta:
		name = "TCustomGrid.MoveRow"
		size = 129
		refs = "001f MoveExtent 002f TCustomGrid.MoveAdjust 005e @CallDynaInst 0079 TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 83 BE 30 02 00 00 00 74 11 8D 4F 01 8D 53 01 8D 86 30 02 00 00 E8 ?? ?? ?? ?? 57 8D 96 0C 02 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 57 8D 96 F4 01 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 57 8D 96 64 02 00 00 8B CB 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 66 BB AF FF E8 ?? ?? ?? ?? 83 BE 30 02 00 00 00 74 0B 8B C6 66 BB AA FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9636_0 {
	meta:
		name = "TCustomGrid.MouseCoord"
		size = 81
		refs = "0019 TCustomGrid.CalcDrawInfo 002a TCustomGrid.CalcCoordFromPoint"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8D 45 A4 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B 00 7D 09 C7 43 04 FF FF FF FF EB 0C 83 7B 04 00 7D 06 C7 03 FF FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9637_0 {
	meta:
		name = "TCustomGrid.MoveColRow"
		size = 22
		refs = "000d TCustomGrid.MoveCurrent"
	strings:
		$1 = { 55 8B EC 53 8A 5D 0C 53 8A 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9640_0 {
	meta:
		name = "TCustomGrid.Sizing"
		size = 87
		refs = "0022 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 53 56 57 83 C4 98 8B F9 8B F2 8B D8 8A 83 6E 02 00 00 88 04 24 80 3C 24 00 75 2E 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 54 8D 44 24 08 50 8D 44 24 10 50 8D 44 24 18 50 8D 44 24 20 50 8B CF 8B D6 8B C3 8B 18 FF 93 BC 00 00 00 80 3C 24 00 0F 95 C0 83 C4 68 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9641_0 {
	meta:
		name = "TCustomGrid.TopLeftChanged"
		size = 62
		refs = "0028 TCustomGrid.CellRect 0035 TInplaceEdit.UpdateLoc"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB 6D 02 00 00 00 74 2A 83 BB 5C 02 00 00 00 74 21 54 8B 8B 0C 02 00 00 8B 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_9642_0 {
	meta:
		name = "FillDWord"
		size = 11
	strings:
		$1 = { 87 CA 57 89 C7 89 D0 F3 AB 5F C3 }
	condition:
		$1
}

rule function_9643_0 {
	meta:
		name = "StackAlloc"
		size = 48
	strings:
		$1 = { 59 89 E2 83 C0 03 83 E0 FC 3D FC 0F 00 00 7E 13 81 EC FC 0F 00 00 50 2D 00 10 00 00 79 F2 05 00 10 00 00 29 C4 89 E0 52 89 E2 83 EA 04 52 51 C3 }
	condition:
		$1
}

rule function_9644_0 {
	meta:
		name = "StackFree"
		size = 21
	strings:
		$1 = { 59 8B 14 24 83 E8 08 39 E2 75 08 39 C2 75 04 8B 64 24 04 51 C3 }
	condition:
		$1
}

rule function_9645_0 {
	meta:
		name = "DrawAxisLines"
		size = 428
		refs = "003f TPen.SetWidth 0053 TPen.SetColor 006b TPen.GetWidth 007b TPen.GetColor 00a0 ExtCreatePen 00a9 TPen.SetHandle 00e7 @CallDynaInst 0199 TCanvas.GetHandle 019f PolyPolyline"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 0C 8B 40 1C 8B 40 FC 8B 98 EC 01 00 00 8B 45 FC 83 38 00 0F 84 77 01 00 00 8B 45 0C 8B 40 1C 8B 40 FC 8B 90 24 02 00 00 8B 43 10 E8 ?? ?? ?? ?? 80 7D 08 00 74 10 8B 45 0C 8B 50 0C 8B 43 10 E8 ?? ?? ?? ?? EB 0E 8B 45 0C 8B 50 08 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 48 7E 3B 33 C0 89 45 DC 8B 43 10 E8 ?? ?? ?? ?? 89 45 E0 33 C0 89 45 E4 6A 00 6A 00 8D 45 DC 50 8B 7B 10 8B C7 E8 ?? ?? ?? ?? 50 68 00 22 01 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 1C 8B 78 F8 8B 5D FC 8B 55 F8 8B 43 28 FF 53 24 8B 55 0C 8B 52 14 8B 14 B2 8B 4D FC 8B 09 D1 E9 03 D1 03 C2 89 45 F4 8B 45 0C 8B 40 1C 8B 40 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 07 85 F6 75 03 FF 45 F4 8B C6 83 F0 01 8B 55 0C 8B 52 14 8B 14 82 89 55 EC 83 C0 02 8B 55 0C 8B 52 14 8B 04 82 89 45 E8 8D 46 02 8B 55 0C 8B 52 14 8B 04 82 8B 55 FC 03 02 89 45 F0 33 DB 8D 04 1E 8B 55 F4 89 14 87 8B C6 83 F0 01 8B D0 03 D3 8B 4D EC 89 0C 97 83 C3 02 8D 14 1E 8B 4D F4 89 0C 97 03 C3 8B 55 E8 89 14 87 83 C3 02 FF 45 F8 8B 4D FC 8B 55 F8 8B 41 28 FF 51 24 8B 55 FC 03 02 01 45 F4 8B 45 F4 3B 45 F0 7E B2 C1 EB 02 53 8B 45 0C 8B 40 1C 8B 40 F4 50 57 8B 45 0C 8B 40 1C 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9646_0 {
	meta:
		name = "DrawLines"
		size = 142
		refs = "0040 DrawAxisLines"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 18 8B 45 14 8B 00 8B 55 14 3B 42 08 74 68 8B 45 14 8B 40 04 8B 55 14 3B 42 0C 74 5A 84 DB 75 2C 55 53 8B 45 1C 83 C0 C8 B9 01 00 00 00 8B D7 E8 ?? ?? ?? ?? 59 55 8A 45 FF 50 8B 45 1C 83 C0 9C 33 C9 8B D6 E8 ?? ?? ?? ?? 59 EB 2A 55 8A 45 FF 50 8B 45 1C 83 C0 9C 33 C9 8B D6 E8 ?? ?? ?? ?? 59 55 53 8B 45 1C 83 C0 C8 B9 01 00 00 00 8B D7 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_9647_0 {
	meta:
		name = "DrawCells"
		size = 820
		refs = "0032 TCustomGrid.GetRowHeights 0046 TCustomGrid.GetColWidths 0069 TCanvas.GetHandle 006f RectVisible 0084 TCustomGrid.IsActiveControl 00b3 PointInGridRect 010a TCanvas.SetFont 0126 DrawCells 013f TBrush.SetColor 014c TFont.SetColor 0163 TCanvas.FillRect 0207 DrawEdge 027e @CallDynaInst 0299 DrawFocusRect"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 89 4D F8 89 45 FC 8B 75 1C 83 C6 FC 89 55 F4 8B 45 18 89 45 D4 E9 E2 02 00 00 8B 7D FC 8B 45 F8 89 45 D0 8B 06 8B 55 F4 E8 ?? ?? ?? ?? 03 45 D4 89 45 DC E9 9F 02 00 00 8B 06 8B D7 E8 ?? ?? ?? ?? 03 45 D0 89 45 D8 8B 45 D8 3B 45 D0 0F 8E 77 02 00 00 8D 45 D0 50 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 58 02 00 00 8A 45 08 88 45 F3 8B 06 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 06 8B 80 0C 02 00 00 3B 45 F4 75 0E 8B 06 3B B8 08 02 00 00 75 04 80 4D F3 02 8B 45 1C 8D 48 8C 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 80 4D F3 01 F6 45 F3 02 74 22 8B 06 F6 80 29 02 00 00 04 74 17 8B 06 80 B8 6D 02 00 00 00 74 0C 8B 06 F6 40 20 10 0F 84 EC 01 00 00 8B 06 80 B8 6C 02 00 00 00 75 08 8B 06 F6 40 20 10 74 6D 8B 06 8B 98 EC 01 00 00 8B 06 8B 50 58 8B C3 E8 ?? ?? ?? ?? F6 45 F3 01 74 3E F6 45 F3 02 74 1C 8B 06 66 8B 80 28 02 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 1C 8B 43 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 43 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? EB 0B 8B 43 14 8B 55 0C E8 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 50 8A 45 F3 50 8B 06 8B 4D F4 8B D7 8B 18 FF 93 C8 00 00 00 8B 06 80 B8 6C 02 00 00 00 0F 84 9E 00 00 00 F6 45 F3 04 0F 84 94 00 00 00 8B 06 80 B8 2C 01 00 00 00 0F 84 85 00 00 00 8B 45 1C 8B 40 88 8B 55 1C 0B 42 84 74 77 56 57 8D 75 D0 8D 7D C0 B9 04 00 00 00 F3 A5 5F 5E 8B 45 1C F6 40 88 04 75 0B 8B 45 1C 8B 40 9C 01 45 C8 EB 12 8B 45 1C F6 40 88 08 75 09 8B 45 1C 8B 40 C8 01 45 CC 8B 45 1C 8B 40 88 50 6A 04 8D 45 C0 50 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 1C 8B 40 84 50 6A 04 8D 45 C0 50 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 80 B8 6C 02 00 00 00 0F 84 99 00 00 00 8B 06 F6 40 20 10 0F 85 8D 00 00 00 F6 45 F3 02 0F 84 83 00 00 00 8B 06 66 8B 80 28 02 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 67 8B 06 F6 80 29 02 00 00 10 75 5C 8B 06 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 19 8D 45 D0 50 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 34 56 57 8D 75 D0 8D 7D E0 B9 04 00 00 00 F3 A5 5F 5E 8B 45 D8 89 45 E0 8B 45 D0 89 45 E8 8D 45 E0 50 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 1C 8B 40 9C 03 45 D8 89 45 D0 47 8B 45 D0 3B 45 14 7D 0E 8B 06 3B B8 FC 01 00 00 0F 8C 4B FD FF FF 8B 45 1C 8B 40 C8 03 45 DC 89 45 D4 FF 45 F4 8B 45 D4 3B 45 10 7D 11 8B 06 8B 80 2C 02 00 00 3B 45 F4 0F 8F 05 FD FF FF 5F 5E 5B 8B E5 5D C2 14 00 00 20 10 00 00 00 00 00 00 00 24 00 00 }
	condition:
		$1
}

rule function_9648_0 {
	meta:
		name = "TCustomGrid.Paint"
		size = 1260
		refs = "001c @CallDynaInst 0029 TCustomGrid.ChangeGridOrientation 003c TCanvas.GetClipRect 0045 TCustomGrid.CalcDrawInfo 0089 Max 009a StackAlloc 00b9 FillDWord 00c3 ColorToRGB 0129 DrawLines 025a StackFree 026c TCustomGrid.GetSelection 02bb TCustomGrid.Paint 02c7 DrawCells 03c4 TCustomGrid.GridRectToScreenRect 03e6 TCanvas.DrawFocusRect 042b TCanvas.GetHandle 0431 DrawFocusRect 044e TBrush.SetColor 0466 Rect 0479 TCanvas.FillRect"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 57 89 45 FC 8D 75 FC 8D 7D 9C 8B 06 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B 06 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 06 E8 ?? ?? ?? ?? 83 3F 00 7F 0A 83 7F 2C 00 0F 8E 0E 02 00 00 C7 45 80 C0 C0 C0 00 8B 06 8B 57 3C 2B 90 3C 02 00 00 8B 06 03 90 1C 02 00 00 8B 06 FF B0 38 02 00 00 8B 47 10 59 2B C1 8B 0E 03 81 18 02 00 00 E8 ?? ?? ?? ?? 8B D8 83 C3 03 8B C3 C1 E0 03 03 C0 E8 ?? ?? ?? ?? 89 45 F8 8B C3 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 B9 02 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 06 8B 40 64 E8 ?? ?? ?? ?? 3D C0 C0 C0 00 75 07 C7 45 80 80 80 80 00 55 6A 00 33 C0 89 85 40 FF FF FF 33 C0 89 85 44 FF FF FF 8B 47 04 89 85 48 FF FF FF 8B 47 30 89 85 4C FF FF FF 8D 85 40 FF FF FF 50 6A 03 6A 00 8B 06 8B 80 20 02 00 00 50 8B 06 F6 80 28 02 00 00 01 0F 95 C2 8B 06 F6 80 28 02 00 00 02 0F 95 C0 33 C9 E8 ?? ?? ?? ?? 59 55 6A 00 8B 47 04 89 85 40 FF FF FF 33 C0 89 85 44 FF FF FF 8B 47 08 89 85 48 FF FF FF 8B 47 30 89 85 4C FF FF FF 8D 85 40 FF FF FF 50 6A 03 6A 00 8B 06 8B 80 20 02 00 00 50 8B 06 F6 80 28 02 00 00 01 0F 95 C2 8B 06 F6 80 28 02 00 00 02 0F 95 C0 8B 0E 8B 89 38 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 06 8B 80 3C 02 00 00 50 33 C0 89 85 40 FF FF FF 8B 47 30 89 85 44 FF FF FF 8B 47 04 89 85 48 FF FF FF 8B 47 34 89 85 4C FF FF FF 8D 85 40 FF FF FF 50 6A 03 6A 00 8B 06 8B 80 20 02 00 00 50 8B 06 F6 80 28 02 00 00 01 0F 95 C2 8B 06 F6 80 28 02 00 00 02 0F 95 C0 33 C9 E8 ?? ?? ?? ?? 59 55 8B 06 8B 80 3C 02 00 00 50 8B 47 04 89 85 40 FF FF FF 8B 47 30 89 85 44 FF FF FF 8B 47 08 89 85 48 FF FF FF 8B 47 34 89 85 4C FF FF FF 8D 85 40 FF FF FF 50 6A 03 8B 45 80 50 8B 06 8B 40 64 50 8B 06 F6 80 28 02 00 00 04 0F 95 C2 8B 06 F6 80 28 02 00 00 08 0F 95 C0 8B 0E 8B 89 38 02 00 00 E8 ?? ?? ?? ?? 59 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 8C 8B 06 E8 ?? ?? ?? ?? 33 C0 89 45 88 33 C0 89 45 84 8B 06 F6 80 28 02 00 00 01 74 0E C7 45 88 04 00 00 00 C7 45 84 01 00 00 00 8B 06 F6 80 28 02 00 00 02 74 08 83 4D 88 08 83 4D 84 02 55 6A 00 8B 47 04 50 8B 47 30 50 8B 06 8B 80 20 02 00 00 50 A0 ?? ?? ?? ?? 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 59 55 6A 00 8B 47 08 50 8B 47 30 50 8B 06 8B 80 20 02 00 00 50 A0 ?? ?? ?? ?? 50 8B 06 8B 4F 04 2B 88 68 02 00 00 8B 06 8B 80 38 02 00 00 33 D2 E8 ?? ?? ?? ?? 59 55 8B 47 30 50 8B 47 04 50 8B 47 34 50 8B 06 8B 80 20 02 00 00 50 A0 ?? ?? ?? ?? 50 8B 06 8B 90 3C 02 00 00 33 C9 33 C0 E8 ?? ?? ?? ?? 59 55 8B 47 30 50 8B 47 08 50 8B 47 34 50 8B 06 8B 40 64 50 A0 ?? ?? ?? ?? 50 8B 06 8B 4F 04 2B 88 68 02 00 00 8B 06 8B 90 3C 02 00 00 8B 06 8B 80 38 02 00 00 E8 ?? ?? ?? ?? 59 8B 06 F6 40 20 10 0F 85 C0 00 00 00 8B 06 F6 80 29 02 00 00 10 0F 84 B1 00 00 00 8B 06 80 B8 6C 02 00 00 00 0F 84 A2 00 00 00 8B 06 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 0F 84 8F 00 00 00 6A 00 8D 95 40 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8D 8D 50 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8B 06 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 15 8D 95 50 FF FF FF 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? EB 49 56 57 8D B5 50 FF FF FF 8D BD 60 FF FF FF B9 04 00 00 00 F3 A5 5F 5E 8B 85 58 FF FF FF 89 85 60 FF FF FF 8B 85 50 FF FF FF 89 85 68 FF FF FF 8D 85 60 FF FF FF 50 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 08 3B 47 0C 7D 40 8B 06 8B 50 64 8B 06 8B 80 EC 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 47 34 50 8D 85 40 FF FF FF 50 8B 4F 0C 33 D2 8B 47 08 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 47 34 3B 47 38 7D 40 8B 06 8B 50 64 8B 06 8B 80 EC 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 47 38 50 8D 85 40 FF FF FF 50 8B 4F 0C 8B 57 34 33 C0 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B 06 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B 06 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9649_0 {
	meta:
		name = "DoCalc"
		size = 101
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 73 04 3B 75 FC 7E 0D 33 C0 8B 53 18 4A 33 C9 89 4D F4 EB 0A 8B 43 1C 8B 53 20 4A 89 75 F4 C7 45 F8 FF FF FF FF 8B F0 8B FA 2B FE 7C 1F 47 8B D6 8B 43 28 FF 53 24 03 03 01 45 F4 8B 45 FC 3B 45 F4 7D 05 89 75 F8 EB 04 46 4F 75 E2 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9650_0 {
	meta:
		name = "DoCalcRightToLeft"
		size = 123
		refs = "0015 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 2B 45 FC 89 45 FC 8B 43 04 3B 45 FC 7E 16 33 F6 8B 7B 18 4F 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F4 EB 0A 8B 73 1C 8B 7B 20 4F 89 45 F4 C7 45 F8 FF FF FF FF 2B FE 7C 1F 47 8B D6 8B 43 28 FF 53 24 03 03 01 45 F4 8B 45 FC 3B 45 F4 7D 05 89 75 F8 EB 04 46 4F 75 E2 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9651_0 {
	meta:
		name = "TCustomGrid.CalcCoordFromPoint"
		size = 91
		refs = "0020 @CallDynaInst 002e DoCalc 003d DoCalcRightToLeft"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 8B 75 0C 8B 45 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 0E 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 89 07 EB 0E 55 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 59 89 07 8D 46 2C 8B 55 F4 E8 ?? ?? ?? ?? 89 47 04 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9652_0 {
	meta:
		name = "TCustomGrid.CalcDrawInfo"
		size = 35
		refs = "0009 TControl.GetClientHeight 0011 TControl.GetClientWidth 001c TCustomGrid.CalcDrawInfoXY"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9653_0 {
	meta:
		name = "CalcAxis"
		size = 85
	strings:
		$1 = { 53 56 57 8B D8 89 53 0C 8B 43 04 89 43 08 8B 43 04 89 43 14 8B 43 1C 89 43 10 8B 73 1C 8B 7B 20 4F 2B FE 7C 2C 47 8B D6 8B 43 28 FF 53 24 03 03 01 43 08 8B 43 0C 8B D0 03 13 3B 53 08 7D 05 89 43 08 EB 0D 89 73 10 8B 43 08 89 43 14 46 4F 75 D5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9654_0 {
	meta:
		name = "TCustomGrid.CalcDrawInfoXY"
		size = 42
		refs = "000c TCustomGrid.CalcFixedInfo 0015 CalcAxis"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B D3 E8 ?? ?? ?? ?? 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 2C 8B 55 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9655_0 {
	meta:
		name = "CalcFixedAxis"
		size = 144
		refs = "0026 CalcFixedAxis"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 66 89 55 FE 8B D8 8B 45 18 8B 40 FC 66 8B 80 28 02 00 00 66 23 45 FE 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 06 33 C0 89 03 EB 0E 8B 45 18 8B 40 FC 8B 80 24 02 00 00 89 03 33 C0 89 43 04 8B 75 F8 4E 85 F6 7C 14 46 33 FF 8B D7 8B 45 0C FF 55 08 03 03 01 43 04 47 4E 75 EF 8B 45 F8 89 43 18 8B 45 14 89 43 1C 8B 45 10 89 43 20 8B 45 08 89 43 24 8B 45 0C 89 43 28 5F 5E 5B 59 59 5D C2 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9656_0 {
	meta:
		name = "TCustomGrid.CalcFixedInfo"
		size = 132
		refs = "0024 TCustomGrid.GetColWidths 0036 TCustomGrid.CalcFixedInfo 003b CalcFixedAxis 005a TCustomGrid.GetRowHeights"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 55 8B 45 FC 8B 80 38 02 00 00 50 8B 45 FC 8B 80 FC 01 00 00 50 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 88 18 02 00 00 8B C3 66 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 3C 02 00 00 50 8B 45 FC 8B 80 2C 02 00 00 50 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 88 1C 02 00 00 8D 43 2C 66 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5B 59 5D C3 00 05 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_9657_0 {
	meta:
		name = "CalcMaxCell"
		size = 113
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B D8 8B 45 FC 89 45 F8 8B 43 0C 03 03 89 45 F4 8B 75 FC 8B 43 18 2B C6 7F 43 48 89 45 F0 8B D6 8B 43 28 FF 53 24 85 C0 7E 2D 29 45 F4 8B 03 29 45 F4 8B 43 04 3B 45 F4 7E 1A 8B 45 F8 3B 45 FC 75 1B 8B 55 FC 8B 43 28 FF 53 24 85 C0 7F 0E 89 75 F8 EB 09 89 75 F8 4E FF 45 F0 75 C1 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9658_0 {
	meta:
		name = "TCustomGrid.CalcMaxTopLeft"
		size = 45
		refs = "0012 CalcMaxCell"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B 7D 08 8B 13 8B C6 E8 ?? ?? ?? ?? 89 07 8B 53 04 8D 46 2C E8 ?? ?? ?? ?? 89 47 04 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9659_0 {
	meta:
		name = "CalcAxisState"
		size = 263
		refs = "001b @CallDynaInst 002a TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D FF 8B FA 8B F0 8B 45 08 8B 40 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 2B C7 8B F8 8B 5E 04 8B 06 89 45 F0 33 D2 89 55 F4 83 7D F0 07 7D 11 C7 45 F0 07 00 00 00 8B 55 F0 2B D0 D1 EA 89 55 F4 8B 46 1C 8B 56 20 4A 2B D0 7C 5B 42 89 55 EC 89 45 F8 8B 55 F8 8B 46 28 FF 56 24 03 D8 3B 5E 08 7F 44 8B C3 2B 45 F4 3B F8 7C 31 03 45 F0 3B F8 7F 2A 8B 45 08 8B 40 18 8A 55 FF 88 10 8B 45 08 8B 40 10 89 18 2B DF 8B 45 08 8B 40 0C 89 18 8B 45 08 8B 40 14 8B 55 F8 89 10 EB 4E 03 1E FF 45 F8 FF 4D EC 75 AC 8B 46 0C 3B 46 08 75 3C 8B D0 2B 55 F4 3B FA 7C 33 3B C7 7C 2F 8B 45 08 8B 40 18 8A 55 FF 88 10 8B 46 0C 8B 55 08 8B 52 10 89 02 8B 46 0C 2B C7 8B 55 08 8B 52 0C 89 02 8B 46 10 40 8B 55 08 8B 52 14 89 02 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9660_0 {
	meta:
		name = "XOutsideHorzFixedBoundary"
		size = 76
		refs = "000f @CallDynaInst 0033 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 15 8B 45 08 8B 40 F8 8B 55 08 8B 52 08 3B 42 04 0F 9F C0 5B 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 2B 42 04 8B 55 08 3B 42 F8 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_9661_0 {
	meta:
		name = "XOutsideOrEqualHorzFixedBoundary"
		size = 76
		refs = "000f @CallDynaInst 0033 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 15 8B 45 08 8B 40 F8 8B 55 08 8B 52 08 3B 42 04 0F 9D C0 5B 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 2B 42 04 8B 55 08 3B 42 F8 0F 9D C0 5B 5D C3 }
	condition:
		$1
}

rule function_9662_0 {
	meta:
		name = "TCustomGrid.CalcSizingState"
		size = 212
		refs = "0046 TCustomGrid.CalcSizingState 005a TControl.GetClientHeight 0068 TControl.GetClientWidth 0074 XOutsideHorzFixedBoundary 0094 CalcAxisState 00aa XOutsideOrEqualHorzFixedBoundary"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 F8 89 45 FC 8B 45 18 C6 00 00 8B 45 14 C7 00 FF FF FF FF 8B 45 FC 66 8B 98 28 02 00 00 8B 45 FC F6 40 20 10 74 0F 8B 45 FC 66 8B 80 70 02 00 00 66 0B C3 8B D8 8B C3 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 6E 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 38 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 0C 55 E8 ?? ?? ?? ?? 59 84 C0 74 1E F6 C3 80 74 19 8B 45 08 3B 70 30 7D 3A 55 8B 45 08 B1 03 8B 55 F8 E8 ?? ?? ?? ?? 59 EB 29 8B 45 08 3B 70 30 7E 21 F6 C3 40 74 1C 55 E8 ?? ?? ?? ?? 59 84 C0 75 11 55 8B 45 08 83 C0 2C B1 02 8B D6 E8 ?? ?? ?? ?? 59 5E 5B 59 59 5D C2 14 00 C0 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9663_0 {
	meta:
		name = "TCustomGrid.ChangeGridOrientation"
		size = 339
		refs = "0011 TControl.GetClientWidth 001a Point 0038 TCanvas.GetHandle 003e SetMapMode 005b SetWindowOrgEx 0064 TControl.GetClientHeight 007e SetViewportExtEx 00a9 SetWindowExtEx"
	strings:
		$1 = { 53 83 C4 F0 8B D8 84 D2 0F 84 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B CC 33 D2 E8 ?? ?? ?? ?? 8D 4C 24 08 BA 01 00 00 00 83 C8 FF E8 ?? ?? ?? ?? 6A 08 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 50 8B 44 24 08 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? F7 6C 24 10 50 8B C3 E8 ?? ?? ?? ?? F7 6C 24 10 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 9C 00 00 00 8B CC 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4C 24 08 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 6A 08 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 50 8B 44 24 08 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? F7 6C 24 10 50 8B C3 E8 ?? ?? ?? ?? F7 6C 24 10 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_9664_0 {
	meta:
		name = "MinRedraw"
		size = 107
		refs = "0017 Min 0032 TCustomGrid.CellRect 005b TWinControl.GetHandle 0061 InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 89 55 FC 8B 55 FC 8B 52 10 8B 40 10 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 8B CE 23 CB 8B D6 F7 D2 23 D3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 3C 89 45 F8 8B 45 08 8B 40 FC 8B 40 38 89 45 F4 6A 00 8D 45 EC 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9665_0 {
	meta:
		name = "DoChange"
		size = 410
		refs = "0030 UpdateExtents 00db TCustomGrid.MoveCurrent 00ff TCustomGrid.MoveAnchor 0131 TCustomGrid.InvalidateGrid 013a TWinControl.HandleAllocated 0148 TCustomGrid.CalcDrawInfo 015c MinRedraw 017a TCustomGrid.UpdateScrollRange 0191 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 8B 5D 08 83 C3 FC 8B 03 83 B8 00 02 00 00 00 74 35 8B 03 8B 88 10 02 00 00 8B 03 8B 90 FC 01 00 00 8B 03 05 00 02 00 00 E8 ?? ?? ?? ?? 8B 03 8B 90 FC 01 00 00 8B 03 05 04 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 83 B8 30 02 00 00 00 74 1C 8B 03 8B 88 14 02 00 00 8B 03 8B 90 2C 02 00 00 8B 03 05 30 02 00 00 E8 ?? ?? ?? ?? 8B 03 8B 90 08 02 00 00 89 55 F8 8B 90 0C 02 00 00 89 55 FC 8B 03 8B 80 2C 02 00 00 8B 13 3B 82 0C 02 00 00 7F 04 48 89 45 FC 8B 03 8B 80 FC 01 00 00 8B 13 3B 82 08 02 00 00 7F 04 48 89 45 F8 8B 13 8B 92 08 02 00 00 8B 45 F8 3B D0 75 0D 8B 13 8B 92 0C 02 00 00 3B 55 FC 74 0F 6A 01 6A 01 8B 13 8B 4D FC 92 E8 ?? ?? ?? ?? 8B 03 8B 80 F0 01 00 00 3B 45 F8 75 0D 8B 03 8B 80 F4 01 00 00 3B 45 FC 74 0A 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 72 02 00 00 00 75 20 8B 03 8B 80 38 02 00 00 8B 55 08 3B 42 C0 75 10 8B 03 8B 80 3C 02 00 00 8B 55 08 3B 42 EC 74 09 8B 03 E8 ?? ?? ?? ?? EB 40 8B 03 E8 ?? ?? ?? ?? 84 C0 74 35 8D 55 A0 8B 03 E8 ?? ?? ?? ?? 8B 45 08 50 8D 55 A0 8B 45 08 83 C0 A4 33 C9 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 CC 8B 45 08 83 C0 D0 83 C9 FF E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 8B 45 08 8B 48 9C 8B 45 08 8B 50 A0 8B 03 66 BB AE FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9666_0 {
	meta:
		name = "TCustomGrid.ChangeSize"
		size = 215
		refs = "0014 TWinControl.HandleAllocated 0023 TCustomGrid.CalcDrawInfo 007f TCustomGrid.ChangeSize 008b DoChange 009b @HandleAnyException 00c2 TCustomGrid.InvalidateGrid 00c7 @RaiseAgain 00cc @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 89 45 A0 8B 45 FC 8B 80 2C 02 00 00 89 45 9C 8B 45 FC 89 98 FC 01 00 00 8B 45 FC 89 B0 2C 02 00 00 8B 45 FC 3B 98 18 02 00 00 7D 0A 4B 8B 45 FC 89 98 18 02 00 00 8B 45 FC 3B B0 1C 02 00 00 7D 0A 4E 8B 45 FC 89 B0 1C 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 8B 45 FC 8B 55 A0 89 90 FC 01 00 00 8B 45 FC 8B 55 9C 89 90 2C 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9667_0 {
	meta:
		name = "TCustomGrid.ClampInView"
		size = 200
		refs = "000c TWinControl.HandleAllocated 001f TCustomGrid.CalcDrawInfo 0065 TCustomGrid.CalcMaxTopLeft 00be TCustomGrid.TopLeftMoved"
	strings:
		$1 = { 53 56 83 C4 98 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AA 00 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 06 3B 44 24 20 7F 1C 8B 56 04 3B 54 24 4C 7F 13 3B 83 38 02 00 00 7C 0B 8B 46 04 3B 83 3C 02 00 00 7D 7B 8B 83 38 02 00 00 89 44 24 08 8B 83 3C 02 00 00 89 44 24 0C 54 8D 4C 24 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 84 00 00 00 8B 06 3B 83 38 02 00 00 7D 08 89 83 38 02 00 00 EB 0F 3B 44 24 20 7E 09 8B 04 24 89 83 38 02 00 00 8B 46 04 3B 83 3C 02 00 00 7D 08 89 83 3C 02 00 00 EB 10 3B 44 24 4C 7E 0A 8B 44 24 04 89 83 3C 02 00 00 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 68 5E 5B C3 }
	condition:
		$1
}

rule function_9668_0 {
	meta:
		name = "TCustomGrid.DrawSizingLine"
		size = 264
		refs = "000f _Dn_TPen 0014 TPen.Create 001f TCustomGrid.DrawSizingLine 0049 TPen.SetStyle 0056 TPen.SetMode 0066 TPen.SetWidth 008d TCanvas.MoveTo 009e TCanvas.LineTo 00d9 TCanvas.SetPen 00df @HandleFinally 00f6 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 EC 01 00 00 89 45 F8 8B 45 F8 8B 50 10 8B 45 FC 8B 08 FF 51 08 8B 45 F8 8B 40 10 B2 02 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 B2 0E E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 6E 02 00 00 02 75 23 8B 8B 44 02 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 8B 44 02 00 00 8B 56 08 8B 45 F8 E8 ?? ?? ?? ?? EB 21 8B 93 44 02 00 00 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 4E 34 8B 93 44 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9669_0 {
	meta:
		name = "TCustomGrid.DrawMove"
		size = 398
		refs = "000e _Dn_TPen 0013 TPen.Create 001e TCustomGrid.DrawMove 0050 TPen.SetStyle 005a TPen.SetMode 0067 TPen.SetWidth 008a TCustomGrid.CellRect 00b1 TCanvas.MoveTo 00b9 TControl.GetClientWidth 00c4 TCanvas.LineTo 00fd @CallDynaInst 0136 TControl.GetClientHeight 015f TCanvas.SetPen 0165 @HandleFinally 017c TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B B0 EC 01 00 00 8B 56 10 8B 45 F8 8B 08 FF 51 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 10 B2 02 E8 ?? ?? ?? ?? 8B 46 10 B2 0E E8 ?? ?? ?? ?? 8B 46 10 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 6E 02 00 00 04 75 53 8D 45 E8 50 8B 45 FC 8B 88 50 02 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 50 02 00 00 8B 55 FC 3B 82 4C 02 00 00 7E 05 8B 5D F4 EB 03 8B 5D EC 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? EB 7B 8D 45 E8 50 8B 45 FC 8B 90 50 02 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 50 02 00 00 8B 55 FC 3B 82 4C 02 00 00 7E 1A 8B 45 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 05 8B 5D F0 EB 1D 8B 5D E8 EB 18 8B 45 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 05 8B 5D E8 EB 03 8B 5D F0 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9670_0 {
	meta:
		name = "TCustomGrid.FocusCell"
		size = 44
		refs = "0010 TCustomGrid.MoveCurrent 0017 TCustomGrid.UpdateEdit 0022 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8A 45 08 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9671_0 {
	meta:
		name = "LinePos"
		size = 77
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 F6 3B 53 18 7D 04 33 C0 EB 0A 8B 43 1C 3B D0 7C 03 8B 73 04 8B FA 4F 2B F8 7C 20 47 89 45 FC 8B 55 FC 8B 43 28 FF 53 24 03 03 03 F0 3B 73 0C 7E 04 33 F6 EB 06 FF 45 FC 4F 75 E4 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9672_0 {
	meta:
		name = "CalcAxis"
		size = 198
		refs = "003c @FillChar 005c LinePos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 C6 45 FB 00 8B 43 18 3B 45 FC 7F 26 8B 43 1C 3B 45 FC 7E 1E 8B 43 1C 3B F0 7D 14 8B 45 10 8B 40 FC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? EB 78 89 45 FC 8B 43 10 3B F0 7E 19 8B F0 8B 43 20 48 3B F0 7D 01 46 8B C3 8B D6 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B C3 8B D6 E8 ?? ?? ?? ?? 89 07 83 3F 00 75 12 8B 55 FC 8B 43 28 FF 53 24 8B 55 0C 03 02 89 07 EB 0A 8B D6 8B 43 28 FF 53 24 01 07 8B 43 0C 3B 07 7D 02 89 07 8B 45 10 80 78 08 00 74 04 8B 03 01 07 C6 45 FB 01 8A 45 FB 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9673_0 {
	meta:
		name = "TCustomGrid.GridRectToScreenRect"
		size = 242
		refs = "0027 @FillChar 0049 TCustomGrid.CalcDrawInfo 007e CalcAxis 00ac @CallDynaInst 00bb TCanvas.GetCanvasOrientation 00cb TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B F0 8B 45 FC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 3B 45 F4 0F 8F B2 00 00 00 8B 45 F0 3B 45 F8 0F 8F A6 00 00 00 8D 55 94 8B C6 E8 ?? ?? ?? ?? 8B 45 A4 40 8B 5D EC 3B C3 0F 8C 8D 00 00 00 8B 45 D0 40 3B 45 F0 0F 8C 80 00 00 00 55 8B 45 FC 50 8B 45 FC 83 C0 08 50 8D 45 94 8B 4D F4 8B D3 E8 ?? ?? ?? ?? 59 84 C0 74 1E 55 8B 45 FC 83 C0 04 50 8B 45 FC 83 C0 0C 50 8D 45 C0 8B 4D F8 8B 55 F0 E8 ?? ?? ?? ?? 59 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 35 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 26 8B 5D FC 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 2B 42 08 8B 55 FC 89 02 8B C6 E8 ?? ?? ?? ?? 2B C3 8B 55 FC 89 42 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9674_0 {
	meta:
		name = "TCustomGrid.Initialize"
		size = 95
	strings:
		$1 = { 8B 90 18 02 00 00 89 90 38 02 00 00 8B 90 1C 02 00 00 89 90 3C 02 00 00 8B 90 38 02 00 00 89 90 08 02 00 00 8B 90 3C 02 00 00 89 90 0C 02 00 00 8B 90 08 02 00 00 89 90 F0 01 00 00 8B 90 0C 02 00 00 89 90 F4 01 00 00 F6 80 29 02 00 00 10 74 0D 8B 90 FC 01 00 00 4A 89 90 F0 01 00 00 C3 }
	condition:
		$1
}

rule function_9675_0 {
	meta:
		name = "TCustomGrid.InvalidateCell"
		size = 35
		refs = "001a TCustomGrid.InvalidateRect"
	strings:
		$1 = { 56 83 C4 F0 8B F0 89 4C 24 04 89 14 24 89 4C 24 0C 89 54 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_9676_0 {
	meta:
		name = "TCustomGrid.InvalidateCol"
		size = 60
		refs = "000c TWinControl.HandleAllocated 0020 TCustomGrid.GetVisibleRowCount 0032 TCustomGrid.InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 33 C0 89 44 24 04 89 34 24 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 89 74 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9677_0 {
	meta:
		name = "TCustomGrid.InvalidateRow"
		size = 60
		refs = "000c TWinControl.HandleAllocated 0024 TCustomGrid.GetVisibleColCount 0032 TCustomGrid.InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 89 74 24 04 33 C0 89 04 24 89 74 24 0C 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9679_0 {
	meta:
		name = "TCustomGrid.InvalidateRect"
		size = 75
		refs = "0017 TWinControl.HandleAllocated 002c TCustomGrid.GridRectToScreenRect 003a TWinControl.GetHandle 0040 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 6A 01 8D 4C 24 14 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 44 24 14 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9680_0 {
	meta:
		name = "Min"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 75 0E 8B 45 08 8B 40 F8 8B 80 18 02 00 00 5D C3 8B 45 08 8B 40 F8 8B 80 1C 02 00 00 5D C3 }
	condition:
		$1
}

rule function_9681_0 {
	meta:
		name = "Max"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 75 08 8B 45 08 8B 40 F0 5D C3 8B 45 08 8B 40 F4 5D C3 }
	condition:
		$1
}

rule function_9682_0 {
	meta:
		name = "PageUp"
		size = 94
		refs = "0023 TCustomGrid.CalcMaxTopLeft"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 45 F8 50 8B 45 08 8D 48 98 8B 45 08 8B 40 F8 8D 90 38 02 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 75 11 8B 45 08 8B 40 F8 8B 80 38 02 00 00 2B 45 F8 EB 0F 8B 45 08 8B 40 F8 8B 80 3C 02 00 00 2B 45 FC 83 F8 01 7D 05 B8 01 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_9683_0 {
	meta:
		name = "PageDown"
		size = 81
		refs = "0010 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 55 8B EC 83 C4 A8 8D 55 A8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 75 14 8B 45 08 8B 40 F8 FF B0 38 02 00 00 8B 45 B8 5A 2B C2 EB 12 8B 45 08 8B 40 F8 FF B0 3C 02 00 00 8B 45 E4 5A 2B C2 83 F8 01 7D 05 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_9684_0 {
	meta:
		name = "CalcScrollBar"
		size = 309
		refs = "001b CalcScrollBar 0052 PageUp 0065 PageDown 009a @CallDynaInst 00ac Max 00b8 Min 00c8 LongMulDiv"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 40 94 83 F8 07 0F 87 17 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2B DE E9 E9 00 00 00 03 DE E9 E2 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 F7 EE 2B D8 E9 CF 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 F7 EE 03 D8 E9 BC 00 00 00 8B 45 08 8B 40 F8 F6 80 29 02 00 00 40 75 0D 8B 45 08 83 78 94 04 0F 85 A0 00 00 00 8B 45 08 8B 40 F8 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 03 4E 75 37 6A 7F 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 2B D8 53 8B 45 08 8B 40 0C 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 03 D8 EB 53 6A 7F 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 2B D8 53 8B 45 08 8B 40 0C 50 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 58 2B D8 EB 1A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 EB 0C 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9685_0 {
	meta:
		name = "ModifyPixelScrollBar"
		size = 428
		refs = "0028 TCustomGrid.GetColWidths 0035 TControl.GetClientWidth 0050 ModifyPixelScrollBar 0086 TCanvas.TextWidth 00ec @CallDynaInst 00fe Max 0150 TCustomGrid.ScrollData 015f @FillChar 017c TCustomGrid.InvalidateRect 0195 TCustomGrid.UpdateScrollPos"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 40 F8 8B 98 68 02 00 00 8B 45 08 8B 50 B4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 08 2B 70 9C 8B 45 FC 83 F8 07 0F 87 C5 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 F7 6A 90 2B D8 EB 7E 8B 45 08 8B 40 F8 8B 80 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 F7 6A 90 03 D8 EB 5E 8B 45 08 8B 40 90 F7 EE 2B D8 EB 52 8B 45 08 8B 40 90 F7 EE 03 D8 EB 46 8B 45 08 8B 40 F8 F6 80 29 02 00 00 40 75 06 83 7D FC 04 75 31 8B 45 08 8B 40 F8 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 05 8B 5D F8 EB 19 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 2B 5D F8 EB 08 33 DB EB 04 8B DF 2B DE 85 DB 7D 04 33 DB EB 0A 8B C7 2B C6 3B D8 7C 02 8B D8 8B 45 08 8B 40 F8 8B 80 68 02 00 00 3B D8 74 65 8B 55 08 8B 55 08 8B 52 F8 89 9A 68 02 00 00 8B D0 2B D3 8B 45 08 8B 40 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 1C 02 00 00 89 45 F4 8B 45 08 8B 40 F8 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 10 FF 92 84 00 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_9686_0 {
	meta:
		name = "TCustomGrid.ModifyScrollBar"
		size = 469
		refs = "001d @CallDynaInst 0048 TWinControl.CanFocus 0077 TCustomGrid.CalcDrawInfo 0095 ModifyPixelScrollBar 00c7 TCustomGrid.CalcMaxTopLeft 00fc CalcScrollBar 011d TCustomGrid.GetColWidths 015c TCustomGrid.GetRowHeights 016e Min 017e Max 01c8 TCustomGrid.MoveTopLeft"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 89 4D 94 89 55 FC 89 45 F8 8D 7D 88 8B 45 F8 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 06 80 7D 08 00 75 09 C7 45 90 01 00 00 00 EB 07 C7 45 90 FF FF FF FF 8B 45 F8 80 78 47 00 74 2C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 F8 80 B8 78 01 00 00 00 74 14 8B 45 F8 F6 40 20 10 75 0B 8B 45 F8 8B 10 FF 92 B4 00 00 00 8D 55 98 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 75 1E 8B 45 F8 83 B8 FC 01 00 00 01 75 12 55 8B 55 0C 8B 45 94 E8 ?? ?? ?? ?? 59 E9 2D 01 00 00 8B 45 F8 8B 80 FC 01 00 00 48 89 45 F0 8B 45 F8 8B 80 2C 02 00 00 48 89 45 F4 8D 45 80 50 8D 4D 98 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 80 89 45 F0 8B 45 84 89 45 F4 8B 45 F8 8B 90 38 02 00 00 89 17 8B 90 3C 02 00 00 89 57 04 83 7D FC 00 75 3A 8B 37 8B DE 55 8B 55 90 8B C6 E8 ?? ?? ?? ?? 59 89 07 8B 45 F8 8B 80 18 02 00 00 8B 37 3B C6 7D 56 3B 75 F0 7D 51 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 43 3B F3 75 C8 EB 3D 8B 77 04 8B DE 55 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 89 47 04 8B 45 F8 8B 80 1C 02 00 00 8B 77 04 3B C6 7D 17 3B 75 F4 7D 12 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 04 3B F3 75 C3 8B 17 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 89 07 8B 57 04 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 80 1C 02 00 00 E8 ?? ?? ?? ?? 89 47 04 8B 55 F8 8B 92 38 02 00 00 8B 07 3B D0 75 0E 8B 55 F8 8B 92 3C 02 00 00 3B 57 04 74 0D 8B 4F 04 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9687_0 {
	meta:
		name = "TCustomGrid.MoveAdjust"
		size = 52
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 3B 0A 75 04 89 02 EB 1E 8B F1 8B F8 3B C1 7D 04 8B F0 8B F9 3B 32 7F 0E 3B 3A 7C 0A 3B C1 7D 04 FF 02 EB 02 FF 0A 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_9688_0 {
	meta:
		name = "TCustomGrid.MoveAnchor"
		size = 136
		refs = "0013 TCustomGrid.MoveAnchor 0028 TCustomGrid.GetSelection 0058 TCustomGrid.ClampInView 0061 TCustomGrid.SelectionMoved 0073 TCustomGrid.MoveCurrent"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 66 8B 83 28 02 00 00 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 44 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 06 89 83 F0 01 00 00 8B 46 04 89 83 F4 01 00 00 F6 83 29 02 00 00 10 74 0D 8B 83 FC 01 00 00 48 89 83 F0 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? EB 10 6A 01 6A 01 8B 4E 04 8B 16 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 00 10 04 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_9689_0 {
	meta:
		name = "TCustomGrid.MoveCurrent"
		size = 341
		refs = "0019 TCustomGrid.MoveCurrent 0044 SIndexOutOfRange 0049 LoadResString 0051 InvalidOp 0072 TCustomGrid.GetSelection 00a3 TCustomGrid.HideEditor 0108 TCustomGrid.ClampInView 0112 TCustomGrid.SelectionMoved 011f TCustomGrid.InvalidateCell 0140 @LStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 19 83 7D FC 00 7C 13 3B B3 FC 01 00 00 7D 0B 8B 45 FC 3B 83 2C 02 00 00 7C 15 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 8B 38 FF 97 CC 00 00 00 84 C0 0F 84 C3 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 83 08 02 00 00 89 45 F4 8B 83 0C 02 00 00 89 45 F8 89 B3 08 02 00 00 8B 45 FC 89 83 0C 02 00 00 F6 83 29 02 00 00 20 75 07 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 75 09 F6 83 28 02 00 00 10 75 2E 8B 83 08 02 00 00 89 83 F0 01 00 00 8B 83 0C 02 00 00 89 83 F4 01 00 00 F6 83 29 02 00 00 10 74 0D 8B 83 FC 01 00 00 48 89 83 F0 01 00 00 F6 83 29 02 00 00 10 74 0C 8B 83 18 02 00 00 89 83 08 02 00 00 80 7D 08 00 74 0D 8D 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9690_0 {
	meta:
		name = "TCustomGrid.MoveTopLeft"
		size = 84
		refs = "004a TCustomGrid.TopLeftMoved"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 3B B3 38 02 00 00 75 08 3B BB 3C 02 00 00 74 32 8B C3 8B 10 FF 92 84 00 00 00 8B 83 38 02 00 00 89 04 24 8B 83 3C 02 00 00 89 44 24 04 89 B3 38 02 00 00 89 BB 3C 02 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9691_0 {
	meta:
		name = "TCustomGrid.ResizeCol"
		size = 12
		refs = "0004 TCustomGrid.InvalidateGrid"
		altNames = "TCustomGrid.ResizeRow"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_9693_0 {
	meta:
		name = "TCustomGrid.SelectionMoved"
		size = 117
		refs = "000d TWinControl.HandleAllocated 0020 TCustomGrid.GridRectToScreenRect 002d TCustomGrid.GetSelection 004b XorRects 005e TWinControl.GetHandle 0064 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 90 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 59 6A 01 8D 4C 24 04 8B D3 8B C7 E8 ?? ?? ?? ?? 6A 01 8D 54 24 64 8B C7 E8 ?? ?? ?? ?? 8D 54 24 64 8D 4C 24 14 8B C7 E8 ?? ?? ?? ?? 8D 4C 24 20 8D 54 24 10 8B C4 E8 ?? ?? ?? ?? BE 04 00 00 00 8D 5C 24 20 6A 00 53 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C3 10 4E 75 EA 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9694_0 {
	meta:
		name = "TCustomGrid.ScrollDataInfo"
		size = 431
		refs = "0032 @CallDynaInst 004c Rect 005d TControl.GetClientWidth 0094 TWinControl.GetHandle 009a ScrollWindowEx 0198 TCustomGrid.GetSelection 01a2 TCustomGrid.InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D9 89 55 FC 8B F0 8B 7D 08 C7 45 F8 02 00 00 00 80 BE 6C 02 00 00 00 75 04 83 4D F8 04 85 DB 75 78 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 18 8B 47 38 50 8D 45 E8 50 8B 4F 0C 49 8B 47 04 33 D2 E8 ?? ?? ?? ?? EB 29 8B 47 38 50 8D 45 E8 50 8B C6 E8 ?? ?? ?? ?? 2B 47 04 50 8B C6 E8 ?? ?? ?? ?? 2B 47 0C 40 33 D2 59 E8 ?? ?? ?? ?? F7 5D FC 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 6A 00 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 E6 00 00 00 83 7D FC 00 75 3A 8B 47 38 50 8D 45 E8 50 8B 4F 0C 8B 57 30 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 53 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 A6 00 00 00 8B 47 30 50 8D 45 E8 50 8B 4F 0C 49 8B 47 04 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 6A 00 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 38 50 8D 45 E8 50 8B 4F 04 8B 57 30 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 53 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 38 50 8D 45 E8 50 8B 4F 0C 8B 57 30 8B 47 04 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 53 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 86 29 02 00 00 10 74 14 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9695_0 {
	meta:
		name = "TCustomGrid.ScrollData"
		size = 40
		refs = "0011 TCustomGrid.CalcDrawInfo 001d TCustomGrid.ScrollDataInfo"
	strings:
		$1 = { 53 56 57 83 C4 A8 8B F9 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 54 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 58 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9696_0 {
	meta:
		name = "CalcScroll"
		size = 129
		refs = "005b TCustomGrid.InvalidateGrid"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 C6 45 F7 00 8B 45 FC 3B 45 F8 7D 08 8B 45 FC 8B 55 F8 EB 06 8B 45 F8 8B 55 FC 33 C9 89 0E 8B FA 4F 2B F8 7C 2E 47 89 45 F0 8B 55 F0 8B 43 28 FF 53 24 03 03 01 06 8B 43 08 2B 43 04 3B 06 7D 0D 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? EB 14 FF 45 F0 4F 75 D6 8B 45 FC 3B 45 F8 7D 02 F7 1E C6 45 F7 01 8A 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9697_0 {
	meta:
		name = "TCustomGrid.TopLeftMoved"
		size = 125
		refs = "0010 TCustomGrid.UpdateScrollPos 001b TCustomGrid.CalcDrawInfo 0033 CalcScroll 0068 TCustomGrid.ScrollDataInfo 0074 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 9C 8B 45 FC E8 ?? ?? ?? ?? 55 8D 45 F4 50 8B 45 FC 8B 88 38 02 00 00 8B 13 8D 45 9C E8 ?? ?? ?? ?? 59 84 C0 74 30 55 8D 45 F8 50 8B 45 FC 8B 88 3C 02 00 00 8B 53 04 8D 45 C8 E8 ?? ?? ?? ?? 59 84 C0 74 12 8D 45 9C 50 8B 4D F8 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB AD FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9698_0 {
	meta:
		name = "SetScroll"
		size = 127
		refs = "0015 @CallDynaInst 0057 TWinControl.GetHandle 005d GetScrollPos 0076 SetScrollPos"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B F8 8B 45 08 8B 40 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 2F 66 85 FF 75 2A 8B 45 08 8B 40 FC 83 B8 FC 01 00 00 01 74 0B B8 7F 00 00 00 2B C6 8B F0 EB 10 8B 45 08 8B 40 F8 8B 55 08 2B 42 F4 2B C6 8B F0 0F B7 DF 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 74 15 6A FF 56 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9699_0 {
	meta:
		name = "TCustomGrid.UpdateScrollPos"
		size = 332
		refs = "0011 TWinControl.HandleAllocated 0032 TCustomGrid.CalcDrawInfo 005b TCustomGrid.CalcMaxTopLeft 0090 TCustomGrid.GetColWidths 009a TControl.GetClientWidth 00cd TCustomGrid.ModifyScrollBar 00d9 SetScroll 00fd LongMulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 89 45 FC 8D 75 FC 8B 06 E8 ?? ?? ?? ?? 84 C0 0F 84 29 01 00 00 8B 06 80 B8 34 02 00 00 00 0F 84 1A 01 00 00 8D 55 94 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 FC 01 00 00 48 89 45 EC 8B 06 8B 80 2C 02 00 00 48 89 45 F0 8D 45 8C 50 8D 4D 94 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8B 45 8C 89 45 EC 8B 45 90 89 45 F0 8B 06 8A 80 34 02 00 00 2C 01 74 08 2C 02 0F 85 8C 00 00 00 8B 06 83 B8 FC 01 00 00 01 75 56 8B 55 B0 8B 06 E8 ?? ?? ?? ?? 89 45 F8 8B 06 E8 ?? ?? ?? ?? 2B 45 98 89 45 F4 8B 06 8B 80 68 02 00 00 85 C0 7E 23 8B 55 F8 2B D0 3B 55 F4 7D 19 8B 45 F8 2B 45 F4 50 6A 01 B9 04 00 00 00 33 D2 8B 06 E8 ?? ?? ?? ?? EB 38 55 8B D0 33 C0 E8 ?? ?? ?? ?? 59 EB 2B 55 8B 06 8B 98 18 02 00 00 8B 45 EC 2B C3 50 6A 7F 8B 06 8B 80 38 02 00 00 2B C3 50 E8 ?? ?? ?? ?? 8B D0 33 C0 E8 ?? ?? ?? ?? 59 8B 06 8A 80 34 02 00 00 04 FE 2C 02 73 2D 55 8B 06 8B 98 1C 02 00 00 8B 45 F0 2B C3 50 6A 7F 8B 06 8B 80 3C 02 00 00 2B C3 50 E8 ?? ?? ?? ?? 8B D0 66 B8 01 00 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9700_0 {
	meta:
		name = "DoUpdate"
		size = 35
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 FF 00 75 15 8B 45 08 8B 40 F8 8B 10 FF 92 84 00 00 00 8B 45 08 C6 40 FF 01 5D C3 }
	condition:
		$1
}

rule function_9701_0 {
	meta:
		name = "ScrollBarVisible"
		size = 110
		refs = "0056 TWinControl.GetHandle 005c GetScrollRange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 8B 55 08 8B 52 F8 80 BA 34 02 00 00 03 74 29 66 85 DB 75 0F 8B 55 08 8B 52 F8 80 BA 34 02 00 00 01 74 15 66 83 FB 01 75 35 8B 55 08 8B 52 F8 80 BA 34 02 00 00 02 75 26 8D 45 F8 50 8D 45 FC 50 0F B7 C3 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 0F 95 C0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9702_0 {
	meta:
		name = "CalcSizeInfo"
		size = 120
		refs = "0020 TCustomGrid.CalcDrawInfoXY 0061 TCustomGrid.CalcMaxTopLeft"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 D8 50 8B 45 08 8B 48 AC 8B 45 08 8D 50 A0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 FC 01 00 00 48 8B 55 08 89 42 98 8B 45 08 8B 40 F8 8B 80 2C 02 00 00 48 8B 55 08 89 42 9C 8D 45 F8 50 8B 45 08 8D 48 A0 8B 45 08 8D 50 98 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 89 50 98 8B 55 FC 89 50 9C 59 59 5D C3 }
	condition:
		$1
}

rule function_9703_0 {
	meta:
		name = "SetAxisRange"
		size = 121
		refs = "0016 CalcSizeInfo 0033 TWinControl.GetHandle 0039 SetScrollRange 0065 DoUpdate"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 8B 45 10 50 E8 ?? ?? ?? ?? 59 8B 03 3B 45 08 7E 1D 6A FF 6A 7F 6A 00 0F B7 C6 50 8B 45 10 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1B 6A FF 6A 00 6A 00 0F B7 C6 50 8B 45 10 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 07 3B 03 7E 11 8B 45 10 50 E8 ?? ?? ?? ?? 59 8B 03 8B 55 FC 89 02 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9704_0 {
	meta:
		name = "SetHorzRange"
		size = 145
		refs = "002a TCustomGrid.GetColWidths 0037 TControl.GetClientWidth 0051 TWinControl.GetHandle 0057 SetScrollRange 0089 SetAxisRange"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8A 40 8F 2C 01 74 04 2C 02 75 7C 8B 45 08 8B 40 F8 83 B8 FC 01 00 00 01 75 3C 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 2B D8 85 DB 7D 02 33 DB 6A FF 53 6A 00 6A 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 31 8B 45 08 50 6A 00 8B 45 08 8B 40 F8 8B 80 18 02 00 00 50 8B 45 08 8B 40 F8 8D 88 38 02 00 00 8B 45 08 8D 50 90 8B 45 08 83 C0 98 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_9705_0 {
	meta:
		name = "SetVertRange"
		size = 66
		refs = "003b SetAxisRange"
	strings:
		$1 = { 55 8B EC 8B 45 08 8A 40 8F 04 FE 2C 02 73 31 8B 45 08 50 6A 01 8B 45 08 8B 40 F8 8B 80 1C 02 00 00 50 8B 45 08 8B 40 F8 8D 88 3C 02 00 00 8B 45 08 8D 50 94 8B 45 08 83 C0 9C E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_9706_0 {
	meta:
		name = "TCustomGrid.UpdateScrollRange"
		size = 328
		refs = "001d TWinControl.HandleAllocated 003d TControl.GetClientWidth 0048 TControl.GetClientHeight 0053 ScrollBarVisible 005f GetSystemMetrics 00b2 TCustomGrid.UpdateScrollRange 00be SetHorzRange 00d0 SetVertRange 010f @HandleFinally 0119 TCustomGrid.UpdateScrollPos 0140 TCustomGrid.TopLeftMoved"
	strings:
		$1 = { 55 8B EC 83 C4 8C 89 45 F8 8B 45 F8 80 B8 34 02 00 00 00 0F 84 2B 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 1B 01 00 00 8B 45 F8 80 B8 6C 01 00 00 00 0F 84 0B 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 AC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 D8 55 33 C0 E8 ?? ?? ?? ?? 59 84 C0 74 0A 6A 03 E8 ?? ?? ?? ?? 01 45 D8 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 84 C0 74 0A 6A 02 E8 ?? ?? ?? ?? 01 45 AC 8B 45 F8 8B 90 38 02 00 00 89 55 90 8B 90 3C 02 00 00 89 55 94 8B 45 F8 8A 80 34 02 00 00 88 45 8F 8B 45 F8 C6 80 34 02 00 00 00 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 89 45 D8 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 AC 74 12 8B 45 F8 E8 ?? ?? ?? ?? 89 45 AC 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8A 55 8F 88 90 34 02 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 38 02 00 00 3B 45 90 75 0E 8B 45 F8 8B 80 3C 02 00 00 3B 45 94 74 0B 8D 55 90 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_9708_0 {
	meta:
		name = "TCustomGrid.CreateParams"
		size = 123
		refs = "000b TWinControl.CreateParams 004f NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 81 4E 04 00 00 01 00 8A 83 34 02 00 00 04 FE 2C 02 73 07 81 4E 04 00 00 20 00 8A 83 34 02 00 00 2C 01 74 04 2C 02 75 07 81 4E 04 00 00 10 00 C7 46 24 08 00 00 00 80 BB F8 01 00 00 01 75 2A A1 ?? ?? ?? ?? 80 38 00 74 19 80 BB 2C 01 00 00 00 74 10 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_9709_0 {
	meta:
		name = "CalcPageExtents"
		size = 108
		refs = "0010 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 55 8B EC 8B 45 08 8D 50 A8 8B 45 08 8B 40 A4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 B8 8B 55 08 8B 52 A4 2B 82 38 02 00 00 8B 55 08 89 42 A0 8B 45 08 83 78 A0 01 7D 0A 8B 45 08 C7 40 A0 01 00 00 00 8B 45 08 8B 40 E4 8B 55 08 8B 52 A4 2B 82 3C 02 00 00 8B 55 08 89 42 9C 8B 45 08 83 78 9C 01 7D 0A 8B 45 08 C7 40 9C 01 00 00 00 5D C3 }
	condition:
		$1
}

rule function_9710_0 {
	meta:
		name = "Restrict"
		size = 63
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B 75 08 8B 5D 0C 8B 38 3B DF 7D 04 89 18 EB 06 3B D7 7E 02 89 10 8B 50 04 3B F2 7D 05 89 70 04 EB 0B 3B 55 FC 7D 06 8B 55 FC 89 50 04 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9711_0 {
	meta:
		name = "TCustomGrid.KeyDown"
		size = 1060
		refs = "001f TWinControl.KeyDown 0030 @CallDynaInst 0080 CalcPageExtents 00a1 TCustomGrid.KeyDown 030e TCustomGrid.GetTabStops 032e TCustomGrid.SetEditorMode 035a TCustomGrid.CalcMaxTopLeft 038c Restrict 03b4 TCustomGrid.MoveTopLeft 0413 TCustomGrid.FocusCell"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 88 4D 9B 8B F2 89 45 A4 8D 7D A4 8B D6 8A 4D 9B 8B 07 E8 ?? ?? ?? ?? 66 8B 16 8A 4D 9B 8B 07 66 BB B6 FF E8 ?? ?? ?? ?? 84 C0 75 05 66 C7 06 00 00 8B 07 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 07 BB 01 00 00 00 EB 03 83 CB FF 8B 07 8B 90 08 02 00 00 89 55 88 8B 90 0C 02 00 00 89 55 8C 8B 07 8B 90 38 02 00 00 89 55 90 8B 90 3C 02 00 00 89 55 94 55 E8 ?? ?? ?? ?? 59 F6 45 9B 04 0F 84 D7 00 00 00 0F B7 06 83 C0 DF 83 F8 07 0F 87 94 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 4D 94 E9 65 02 00 00 FF 45 94 E9 5D 02 00 00 8B 07 F6 80 29 02 00 00 10 0F 85 4E 02 00 00 8B 45 A0 F7 EB 29 45 88 29 45 90 E9 3E 02 00 00 8B 07 F6 80 29 02 00 00 10 0F 85 2F 02 00 00 8B 45 A0 F7 EB 01 45 88 01 45 90 E9 1F 02 00 00 8B 07 8B 80 3C 02 00 00 89 45 8C E9 0F 02 00 00 8B 45 E4 89 45 8C E9 04 02 00 00 8B 07 8B 80 18 02 00 00 89 45 88 8B 07 8B 80 1C 02 00 00 89 45 8C E9 E9 01 00 00 8B 07 8B 80 FC 01 00 00 48 89 45 88 8B 07 8B 80 2C 02 00 00 48 89 45 8C E9 CC 01 00 00 0F B7 06 83 F8 25 7F 39 74 60 83 F8 22 7F 1D 0F 84 8B 00 00 00 83 E8 09 0F 84 FC 00 00 00 83 E8 18 0F 84 8A 00 00 00 E9 A0 01 00 00 83 E8 23 0F 84 B8 00 00 00 48 0F 84 86 00 00 00 E9 8B 01 00 00 83 E8 26 74 14 48 74 3C 48 74 16 83 E8 49 0F 84 6E 01 00 00 E9 72 01 00 00 FF 4D 8C E9 6A 01 00 00 FF 45 8C E9 62 01 00 00 8B 07 F6 80 29 02 00 00 10 74 08 29 5D 8C E9 4F 01 00 00 29 5D 88 E9 47 01 00 00 8B 07 F6 80 29 02 00 00 10 74 08 01 5D 8C E9 34 01 00 00 01 5D 88 E9 2C 01 00 00 8B 45 9C 01 45 8C 8B 45 9C 01 45 94 E9 1B 01 00 00 8B 45 9C 29 45 8C 8B 45 9C 29 45 94 E9 0A 01 00 00 8B 07 F6 80 29 02 00 00 10 74 10 8B 07 8B 80 1C 02 00 00 89 45 8C E9 EF 00 00 00 8B 07 8B 80 18 02 00 00 89 45 88 E9 DF 00 00 00 8B 07 F6 80 29 02 00 00 10 74 11 8B 07 8B 80 2C 02 00 00 48 89 45 8C E9 C3 00 00 00 8B 07 8B 80 FC 01 00 00 48 89 45 88 E9 B2 00 00 00 F6 45 9B 02 0F 85 A8 00 00 00 F6 45 9B 01 74 42 FF 4D 88 8B 07 8B 80 18 02 00 00 3B 45 88 7E 28 8B 07 8B 80 FC 01 00 00 48 89 45 88 FF 4D 8C 8B 07 8B 80 1C 02 00 00 3B 45 8C 7E 0C 8B 07 8B 80 2C 02 00 00 48 89 45 8C A0 ?? ?? ?? ?? 88 45 9B EB 36 FF 45 88 8B 07 8B 80 FC 01 00 00 3B 45 88 7F 26 8B 07 8B 80 18 02 00 00 89 45 88 FF 45 8C 8B 07 8B 80 2C 02 00 00 3B 45 8C 7F 0B 8B 07 8B 80 1C 02 00 00 89 45 8C 8B 55 88 8B 07 E8 ?? ?? ?? ?? 84 C0 75 1C 8B 07 8B 80 08 02 00 00 3B 45 88 0F 85 63 FF FF FF EB 09 B2 01 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 FC 01 00 00 48 89 45 80 8B 07 8B 80 2C 02 00 00 48 89 45 84 8D 85 78 FF FF FF 50 8D 4D A8 8D 55 80 8B 07 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 80 8B 85 7C FF FF FF 89 45 84 8B 45 80 50 8B 45 84 50 8B 07 8B 88 1C 02 00 00 8B 07 8B 90 18 02 00 00 8D 45 90 E8 ?? ?? ?? ?? 8B 17 8B 92 38 02 00 00 8B 45 90 3B D0 75 0D 8B 17 8B 92 3C 02 00 00 3B 55 94 74 0C 8B 4D 94 8B D0 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 FC 01 00 00 48 50 8B 07 8B 80 2C 02 00 00 48 50 8B 07 8B 88 1C 02 00 00 8B 07 8B 90 18 02 00 00 8D 45 88 E8 ?? ?? ?? ?? 8B 17 8B 92 08 02 00 00 8B 45 88 3B D0 75 0D 8B 17 8B 92 0C 02 00 00 3B 55 8C 74 17 F6 45 9B 01 0F 95 C2 80 F2 01 52 8B 4D 8C 8B D0 8B 07 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9712_0 {
	meta:
		name = "TCustomGrid.KeyPress"
		size = 60
		refs = "000b TWinControl.KeyPress 0029 TCustomGrid.HideEditor 0032 TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 83 29 02 00 00 20 75 21 80 3E 0D 75 1C 80 BB 6D 02 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_9713_0 {
	meta:
		name = "TCustomGrid.MouseDown"
		size = 958
		refs = "0020 TCustomGrid.HideEdit 0031 TWinControl.CanFocus 003d GetParentForm 0054 TCustomGrid.IsActiveControl 0062 TControl.SetMouseCapture 007f @CallDynaInst 0099 TCustomGrid.CalcDrawInfo 00f4 TControl.GetClientWidth 0111 TCustomGrid.DrawSizingLine 012a TCustomGrid.CalcCoordFromPoint 0182 TCustomGrid.ShowEditor 0195 TCustomGrid.MoveCurrent 019d TCustomGrid.UpdateEdit 01c6 TWinControl.GetHandle 01cc SetTimer 01dd TCustomGrid.MoveAnchor 0257 Point 029e TCustomGrid.DrawMove 0379 TCustomGrid.MouseDown 038f TControl.MouseDown 039e @HandleAnyException 03b1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 88 4D FA 88 55 FB 89 45 FC 8B 7D 08 8B 75 0C C6 45 EF 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 75 3E 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 26 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 4A 03 00 00 80 7D FB 00 75 17 F6 45 FA 40 74 11 8B 45 FC 66 BB EB FF E8 ?? ?? ?? ?? E9 ED 02 00 00 80 7D FB 00 0F 85 E3 02 00 00 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 6E 02 00 00 50 8B 45 FC 05 40 02 00 00 50 8B 45 FC 05 44 02 00 00 50 8B 45 FC 05 48 02 00 00 50 8D 45 94 50 8B CF 8B D6 8B 45 FC 8B 18 FF 93 BC 00 00 00 8B 45 FC 80 B8 6E 02 00 00 00 74 3A 8B 45 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 2B 82 44 02 00 00 8B 55 FC 89 82 44 02 00 00 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? E9 9B 02 00 00 8D 45 94 50 8D 45 F0 50 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 8B 5D F0 3B C3 0F 8F BA 00 00 00 8B 45 FC 8B 80 1C 02 00 00 3B 45 F4 0F 8F A8 00 00 00 8B 45 FC F6 80 29 02 00 00 04 74 52 8B 55 FC 8B 92 08 02 00 00 8B 45 F0 3B D0 75 18 8B 55 FC 8B 92 0C 02 00 00 3B 55 F4 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 19 6A 01 6A 01 8B 4D F4 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB EC FF E8 ?? ?? ?? ?? E9 C3 01 00 00 8B 45 FC C6 80 6E 02 00 00 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 FA 01 74 10 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 8F 01 00 00 6A 01 6A 01 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 79 01 00 00 8B 45 FC F6 80 29 02 00 00 01 0F 84 B3 00 00 00 83 7D F0 00 0F 8C A9 00 00 00 8B 45 FC 8B 80 18 02 00 00 3B 45 F0 0F 8E 97 00 00 00 8B 45 FC 8B 80 1C 02 00 00 3B 45 F4 0F 8F 85 00 00 00 8B 55 FC 8B 45 F4 89 82 4C 02 00 00 8B 55 FC 89 82 50 02 00 00 8D 4D 8C 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 45 8C 50 8B 45 FC 8D 88 50 02 00 00 8B 45 FC 8D 90 4C 02 00 00 8B 45 FC 66 BB A8 FF E8 ?? ?? ?? ?? 84 C0 0F 84 F0 00 00 00 8B 45 FC C6 80 6E 02 00 00 04 8B 45 FC 8B 10 FF 92 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 45 FC F6 80 29 02 00 00 02 0F 84 A6 00 00 00 83 7D F4 00 0F 8C 9C 00 00 00 8B 45 FC 8B 80 1C 02 00 00 3B 45 F4 0F 8E 8A 00 00 00 8B 45 FC 8B 80 18 02 00 00 3B 45 F0 7F 7C 8B 55 FC 8B 45 F0 89 82 4C 02 00 00 8B 55 FC 89 82 50 02 00 00 8D 4D 8C 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 45 8C 50 8B 45 FC 8D 88 50 02 00 00 8B 45 FC 8D 90 4C 02 00 00 8B 45 FC 66 BB A9 FF E8 ?? ?? ?? ?? 84 C0 74 35 8B 45 FC C6 80 6E 02 00 00 05 8B 45 FC 8B 10 FF 92 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8A 4D FA 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 80 7D EF 00 74 08 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9714_0 {
	meta:
		name = "TCustomGrid.MouseMove"
		size = 356
		refs = "0019 TCustomGrid.CalcDrawInfo 0047 TCustomGrid.CalcCoordFromPoint 00ba TCustomGrid.MoveAnchor 00d5 Point 00e5 TCustomGrid.MoveAndScroll 0119 TCustomGrid.DrawSizingLine 0157 TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8A 83 6E 02 00 00 FE C8 74 11 48 2C 02 0F 82 E3 00 00 00 2C 02 0F 83 16 01 00 00 8D 45 9C 50 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 3B 83 18 02 00 00 0F 8C F4 00 00 00 8B 45 F8 3B 83 1C 02 00 00 0F 8C E5 00 00 00 8B 45 AC 40 3B 45 F4 0F 8C D8 00 00 00 8B 45 D8 40 3B 45 F8 0F 8C CB 00 00 00 8A 83 6E 02 00 00 FE C8 74 0D 2C 03 74 5A FE C8 74 2E E9 B4 00 00 00 8B 45 F4 3B 83 F0 01 00 00 75 0F 8B 45 F8 3B 83 F4 01 00 00 0F 84 9A 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? E9 8B 00 00 00 8D 45 9C 50 8D 45 9C 50 6A 00 8D 4D 94 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 45 94 50 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 63 8D 45 9C 50 8D 45 C8 50 6A 01 8D 4D 94 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 45 94 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? EB 3B 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 80 BB 6E 02 00 00 02 75 10 8B 83 48 02 00 00 03 C7 89 83 44 02 00 00 EB 0E 8B 83 48 02 00 00 03 C6 89 83 44 02 00 00 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9715_0 {
	meta:
		name = "ResizeLine"
		size = 80
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B 43 04 89 45 FC 8B 7B 1C 8B 45 08 8B 40 FC 8B B0 40 02 00 00 4E 2B F7 7C 12 46 8B D7 8B 43 28 FF 53 24 03 03 01 45 FC 47 4E 75 EF 8B 45 08 8B 40 FC 8B 80 44 02 00 00 2B 45 FC 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9716_0 {
	meta:
		name = "TCustomGrid.MouseUp"
		size = 655
		refs = "001c TCustomGrid.MouseUp 0059 @CallDynaInst 0063 TWinControl.GetHandle 0069 KillTimer 0071 TCustomGrid.UpdateEdit 008d TCustomGrid.CalcDrawInfo 0098 TCustomGrid.DrawSizingLine 00b0 TControl.GetClientWidth 00d7 ResizeLine 00f4 TCustomGrid.SetColWidths 00fc TCustomGrid.UpdateDesigner 0127 TCustomGrid.SetRowHeights 013c TCustomGrid.DrawMove 0158 Point 01ac TCustomGrid.MoveColumn 0239 TCustomGrid.MoveRow 0263 TControl.MouseUp 0280 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 88 4D FA 88 55 FB 89 45 FC 8B 7D 08 8B 75 0C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8A 80 6E 02 00 00 FE C8 74 18 48 2C 02 72 4E 0F 84 87 01 00 00 FE C8 0F 84 F2 00 00 00 E9 04 02 00 00 57 8B CE 8A 55 FA 8B 45 FC 66 BB DA FF E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB EC FF E8 ?? ?? ?? ?? E9 D1 01 00 00 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 2B 82 44 02 00 00 8B 55 FC 89 82 44 02 00 00 8B 45 FC 80 B8 6E 02 00 00 03 75 33 55 8D 45 A0 E8 ?? ?? ?? ?? 59 83 F8 01 0F 8E 72 01 00 00 8B 55 FC 8B 92 40 02 00 00 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 52 01 00 00 55 8D 45 CC E8 ?? ?? ?? ?? 59 83 F8 01 0F 8E 3F 01 00 00 8B 55 FC 8B 92 40 02 00 00 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 1F 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D 98 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 45 98 50 8B 45 FC 8D 88 50 02 00 00 8B 45 FC 8D 90 4C 02 00 00 8B 45 FC 66 BB A5 FF E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 FC 8B 80 4C 02 00 00 8B 55 FC 3B 82 50 02 00 00 74 22 8B 45 FC 8B 88 50 02 00 00 8B 45 FC 8B 90 4C 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 92 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D 98 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 45 98 50 8B 45 FC 8D 88 50 02 00 00 8B 45 FC 8D 90 4C 02 00 00 8B 45 FC 66 BB A4 FF E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 FC 8B 80 4C 02 00 00 8B 55 FC 3B 82 50 02 00 00 74 22 8B 45 FC 8B 88 50 02 00 00 8B 45 FC 8B 90 4C 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 56 57 8A 4D FA 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 6E 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9717_0 {
	meta:
		name = "TCustomGrid.MoveAndScroll"
		size = 376
		refs = "001b @CallDynaInst 002c TControl.GetClientWidth 0077 TCustomGrid.DrawMove 009a TCustomGrid.ModifyScrollBar 00ae TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 10 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 13 83 7D 0C 00 75 0D 8B C6 E8 ?? ?? ?? ?? 2B 45 FC 89 45 FC 8B 45 F8 3B 86 50 02 00 00 0F 84 2A 01 00 00 8B 47 18 3B 86 50 02 00 00 75 0C 8B 47 04 3B 45 FC 0F 8F 13 01 00 00 8B 47 20 48 3B 86 50 02 00 00 75 0C 8B 47 08 3B 45 FC 0F 8C FB 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 47 04 3B 45 FC 7E 37 8B 47 18 3B 86 50 02 00 00 7D 24 6A 00 6A 00 33 C9 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 84 00 00 00 8B 55 14 8B C6 E8 ?? ?? ?? ?? 8B 47 1C 89 45 F8 EB 5B 8B 47 14 3B 45 FC 7F 44 8B 57 10 8B 86 50 02 00 00 3B D0 75 2F 8B 57 20 4A 3B C2 7D 27 6A 00 6A 00 B9 01 00 00 00 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 84 00 00 00 8B 55 14 8B C6 E8 ?? ?? ?? ?? 8B 47 10 89 45 F8 EB 0F 83 7D F8 00 7D 09 8B 86 50 02 00 00 89 45 F8 80 BE 6E 02 00 00 05 75 1C 8B 45 08 50 8D 4D F8 8D 96 4C 02 00 00 8B C6 66 BB A7 FF E8 ?? ?? ?? ?? 84 C0 75 25 80 BE 6E 02 00 00 04 75 25 8B 45 08 50 8D 4D F8 8D 96 4C 02 00 00 8B C6 66 BB A6 FF E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F8 89 86 50 02 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_9718_0 {
	meta:
		name = "TCustomGrid.GetColWidths"
		size = 30
	strings:
		$1 = { 8B 88 00 02 00 00 85 C9 74 08 3B 90 FC 01 00 00 7C 07 8B 80 10 02 00 00 C3 8B 44 91 04 C3 }
	condition:
		$1
}

rule function_9719_0 {
	meta:
		name = "TCustomGrid.GetRowHeights"
		size = 30
	strings:
		$1 = { 8B 88 30 02 00 00 85 C9 74 08 3B 90 2C 02 00 00 7C 07 8B 80 14 02 00 00 C3 8B 44 91 04 C3 }
	condition:
		$1
}

rule function_9720_0 {
	meta:
		name = "TCustomGrid.GetGridWidth"
		size = 18
		refs = "0006 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 83 C4 A8 8B D4 E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 58 C3 }
	condition:
		$1
}

rule function_9721_0 {
	meta:
		name = "TCustomGrid.GetGridHeight"
		size = 18
		refs = "0006 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 83 C4 A8 8B D4 E8 ?? ?? ?? ?? 8B 44 24 34 83 C4 58 C3 }
	condition:
		$1
}

rule function_9722_0 {
	meta:
		name = "TCustomGrid.GetSelection"
		size = 28
		refs = "0015 GridRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8D 93 F0 01 00 00 8D 83 08 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9723_0 {
	meta:
		name = "TCustomGrid.GetTabStops"
		size = 18
	strings:
		$1 = { 8B 88 04 02 00 00 85 C9 75 03 B0 01 C3 8A 44 91 04 C3 }
	condition:
		$1
}

rule function_9724_0 {
	meta:
		name = "TCustomGrid.GetVisibleColCount"
		size = 31
		refs = "000b TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 53 83 C4 A8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 2B 83 38 02 00 00 40 83 C4 58 5B C3 }
	condition:
		$1
}

rule function_9725_0 {
	meta:
		name = "TCustomGrid.GetVisibleRowCount"
		size = 31
		refs = "000b TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 53 83 C4 A8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 3C 2B 83 3C 02 00 00 40 83 C4 58 5B C3 }
	condition:
		$1
}

rule function_9727_0 {
	meta:
		name = "TCustomGrid.SetCol"
		size = 22
		refs = "0011 TCustomGrid.FocusCell"
	strings:
		$1 = { 3B 90 08 02 00 00 74 0D 6A 01 8B 88 0C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9728_0 {
	meta:
		name = "TCustomGrid.SetColCount"
		size = 89
		refs = "0026 TCustomGrid.SetFixedCols 0035 TCustomGrid.ChangeSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 FC 01 00 00 74 48 83 FE 01 7D 05 BE 01 00 00 00 3B B3 18 02 00 00 7F 0A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B 8B 2C 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? F6 83 29 02 00 00 10 74 14 8B 83 FC 01 00 00 48 89 83 F0 01 00 00 8B C3 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_9729_0 {
	meta:
		name = "TCustomGrid.SetColWidths"
		size = 177
		refs = "0012 TCustomGrid.SetColWidths 0038 UpdateExtents 0048 SIndexOutOfRange 004d LoadResString 0055 InvalidOp 0075 TCustomGrid.ResizeCol 008a @CallDynaInst 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 00 02 00 00 00 75 17 8D 83 00 02 00 00 8B 8B 10 02 00 00 8B 93 FC 01 00 00 E8 ?? ?? ?? ?? 3B B3 FC 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 00 02 00 00 8B 44 B0 04 3B F8 74 27 57 8B 93 00 02 00 00 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 89 7C B0 04 8B C3 66 BB AB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9730_0 {
	meta:
		name = "TCustomGrid.SetDefaultColWidth"
		size = 57
		refs = "001a UpdateExtents 002b @CallDynaInst 0032 TCustomGrid.InvalidateGrid"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 00 02 00 00 00 74 0F 8D 86 00 02 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 89 9E 10 02 00 00 8B C6 66 BB AB FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9731_0 {
	meta:
		name = "TCustomGrid.SetDefaultRowHeight"
		size = 57
		refs = "001a UpdateExtents 002b @CallDynaInst 0032 TCustomGrid.InvalidateGrid"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 30 02 00 00 00 74 0F 8D 86 30 02 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 89 9E 14 02 00 00 8B C6 66 BB AA FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9733_0 {
	meta:
		name = "TCustomGrid.SetFixedCols"
		size = 141
		refs = "000f TCustomGrid.SetFixedCols 0029 SIndexOutOfRange 002e LoadResString 0036 InvalidOp 0046 SFixedColTooBig 0060 TCustomGrid.Initialize 0067 TCustomGrid.InvalidateGrid 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 18 02 00 00 74 4A 85 F6 7D 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B B3 FC 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 B3 18 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9734_0 {
	meta:
		name = "TCustomGrid.SetFixedRows"
		size = 141
		refs = "000f TCustomGrid.SetFixedRows 0029 SIndexOutOfRange 002e LoadResString 0036 InvalidOp 0046 SFixedRowTooBig 0060 TCustomGrid.Initialize 0067 TCustomGrid.InvalidateGrid 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 1C 02 00 00 74 4A 85 F6 7D 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B B3 2C 02 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 B3 1C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9735_0 {
	meta:
		name = "TCustomGrid.SetEditorMode"
		size = 40
		refs = "000a TCustomGrid.HideEditor 0013 TCustomGrid.ShowEditor 0022 TInplaceEdit.Deselect"
	strings:
		$1 = { 53 8B D8 84 D2 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 83 5C 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9736_0 {
	meta:
		name = "TCustomGrid.SetGridLineWidth"
		size = 20
		refs = "000f TCustomGrid.InvalidateGrid"
	strings:
		$1 = { 3B 90 24 02 00 00 74 0B 89 90 24 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9737_0 {
	meta:
		name = "TCustomGrid.SetLeftCol"
		size = 20
		refs = "000f TCustomGrid.MoveTopLeft"
	strings:
		$1 = { 3B 90 38 02 00 00 74 0B 8B 88 3C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9738_0 {
	meta:
		name = "TCustomGrid.SetOptions"
		size = 117
		refs = "0040 TCustomGrid.ShowEditor 0049 TCustomGrid.HideEditor 0067 TCustomGrid.MoveCurrent 006e TCustomGrid.InvalidateGrid"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 66 8B 04 24 66 3B 83 28 02 00 00 74 5D F6 44 24 01 10 74 06 66 81 24 24 FF DF 66 8B 04 24 66 89 83 28 02 00 00 80 BB 6D 02 00 00 00 75 17 F6 44 24 01 20 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? F6 44 24 01 10 74 17 6A 01 6A 00 8B 8B 0C 02 00 00 8B 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_9739_0 {
	meta:
		name = "TCustomGrid.SetRow"
		size = 24
		refs = "0013 TCustomGrid.FocusCell"
	strings:
		$1 = { 3B 90 0C 02 00 00 74 0F 6A 01 8B CA 8B 90 08 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9740_0 {
	meta:
		name = "TCustomGrid.SetRowCount"
		size = 60
		refs = "0026 TCustomGrid.SetFixedRows 0035 TCustomGrid.ChangeSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 2C 02 00 00 74 2B 83 FE 01 7D 05 BE 01 00 00 00 3B B3 1C 02 00 00 7F 0A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 93 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9741_0 {
	meta:
		name = "TCustomGrid.SetRowHeights"
		size = 177
		refs = "0012 TCustomGrid.SetRowHeights 0038 UpdateExtents 0048 SIndexOutOfRange 004d LoadResString 0055 InvalidOp 0075 TCustomGrid.ResizeRow 008a @CallDynaInst 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 30 02 00 00 00 75 17 8D 83 30 02 00 00 8B 8B 14 02 00 00 8B 93 2C 02 00 00 E8 ?? ?? ?? ?? 3B B3 2C 02 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 30 02 00 00 8B 44 B0 04 3B F8 74 27 57 8B 93 30 02 00 00 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 30 02 00 00 89 7C B0 04 8B C3 66 BB AA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9742_0 {
	meta:
		name = "TCustomGrid.SetScrollBars"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 34 02 00 00 74 0B 88 90 34 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9743_0 {
	meta:
		name = "TCustomGrid.SetSelection"
		size = 88
		refs = "001b TCustomGrid.GetSelection 004d TCustomGrid.SelectionMoved"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 F0 01 00 00 8B 44 24 04 89 83 F4 01 00 00 8B 44 24 08 89 83 08 02 00 00 8B 44 24 0C 89 83 0C 02 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9744_0 {
	meta:
		name = "TCustomGrid.SetTabStops"
		size = 137
		refs = "0012 TCustomGrid.SetTabStops 0037 UpdateExtents 0047 SIndexOutOfRange 004c LoadResString 0054 InvalidOp 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF 04 02 00 00 00 75 16 8D 87 04 02 00 00 B9 01 00 00 00 8B 97 FC 01 00 00 E8 ?? ?? ?? ?? 3B B7 FC 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 8A C3 8B 97 04 02 00 00 89 44 B2 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9745_0 {
	meta:
		name = "TCustomGrid.SetTopRow"
		size = 22
		refs = "0011 TCustomGrid.MoveTopLeft"
	strings:
		$1 = { 3B 90 3C 02 00 00 74 0D 8B CA 8B 90 38 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9746_0 {
	meta:
		name = "TCustomGrid.HideEdit"
		size = 105
		refs = "0017 TCustomGrid.HideEdit 0025 TCustomGrid.UpdateText 005a TInplaceEdit.Hide 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 5C 02 00 00 00 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C7 80 60 02 00 00 FF FF FF FF 8B 45 FC C7 80 64 02 00 00 FF FF FF FF 8B 45 FC 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 59 5D C3 }
	condition:
		$1
}

rule function_9747_0 {
	meta:
		name = "UpdateEditor"
		size = 110
		refs = "0043 TCustomMaskEdit.GetMaxLength 0067 TCustomEdit.SelectAll"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 8B 80 08 02 00 00 8B 13 89 82 60 02 00 00 8B 03 8B 80 0C 02 00 00 8B 13 89 82 64 02 00 00 8B 03 8B 80 5C 02 00 00 8B 10 FF 92 F0 00 00 00 8B 03 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? 40 75 0B 8B 03 C6 80 F9 01 00 00 00 EB 09 8B 03 C6 80 F9 01 00 00 01 8B 03 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_9748_0 {
	meta:
		name = "TCustomGrid.UpdateEdit"
		size = 221
		refs = "0045 TInplaceEdit.SetGrid 005c UpdateEditor 008f TCustomGrid.HideEdit 00c3 TCustomGrid.CellRect 00d4 TInplaceEdit.Move"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC 8B 10 FF 92 C4 00 00 00 84 C0 0F 84 BB 00 00 00 8B 45 FC 83 B8 5C 02 00 00 00 75 3A 8B 45 FC 8B 10 FF 92 C0 00 00 00 8B D8 8B 45 FC 89 98 5C 02 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 5C 02 00 00 8B 55 FC 8B 08 FF 51 64 55 E8 ?? ?? ?? ?? 59 EB 37 8B 45 FC 8B 80 08 02 00 00 8B 55 FC 3B 82 60 02 00 00 75 14 8B 45 FC 8B 80 0C 02 00 00 8B 55 FC 3B 82 64 02 00 00 74 0F 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 C4 00 00 00 84 C0 74 2F 8D 45 EC 50 8B 45 FC 8B 88 0C 02 00 00 8B 45 FC 8B 90 08 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9749_0 {
	meta:
		name = "TCustomGrid.UpdateText"
		size = 114
		refs = "000d TCustomGrid.UpdateText 0035 TCustomMaskEdit.GetText 004c @CallDynaInst 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 60 02 00 00 83 FE FF 74 2E 83 BB 64 02 00 00 FF 74 25 8D 55 FC 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 8B 64 02 00 00 8B D6 8B C3 66 BB B3 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9750_0 {
	meta:
		name = "TCustomGrid.WMChar"
		size = 40
		refs = "001d TCustomGrid.ShowEditorChar 0023 TWinControl.WMChar"
	strings:
		$1 = { F6 80 29 02 00 00 04 74 19 8A 4A 04 80 E9 08 74 08 80 C1 E8 80 E9 E0 73 09 8A 52 04 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9751_0 {
	meta:
		name = "TCustomGrid.WMCommand"
		size = 50
		refs = "0014 TWinControl.GetHandle 002a TCustomGrid.UpdateText"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 5C 02 00 00 85 F6 74 1D 8B C6 E8 ?? ?? ?? ?? 3B 47 08 75 11 66 8B 47 06 66 2D 00 03 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9752_0 {
	meta:
		name = "TCustomGrid.WMGetDlgCode"
		size = 46
	strings:
		$1 = { C7 42 0C 01 00 00 00 F6 80 29 02 00 00 10 75 1D F6 80 29 02 00 00 08 74 04 83 4A 0C 02 F6 80 29 02 00 00 04 74 07 81 4A 0C 80 00 00 00 C3 }
	condition:
		$1
}

rule function_9753_0 {
	meta:
		name = "TCustomGrid.WMKillFocus"
		size = 73
		refs = "000f TWinControl.WMKillFocus 0018 TCustomGrid.GetSelection 0021 TCustomGrid.InvalidateRect 0032 TWinControl.GetHandle 003e TCustomGrid.HideEdit"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B BB 5C 02 00 00 85 FF 74 13 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 07 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9754_0 {
	meta:
		name = "TCustomGrid.WMLButtonDown"
		size = 38
		refs = "0006 TControl.WMLButtonDown 0014 GetMessageTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 5C 02 00 00 00 74 11 E8 ?? ?? ?? ?? 8B 93 5C 02 00 00 89 82 24 02 00 00 5B C3 }
	condition:
		$1
}

rule function_9755_0 {
	meta:
		name = "TCustomGrid.WMNCHitTest"
		size = 68
		refs = "001a SmallPointToPoint 0027 TControl.ScreenToClient"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8D 54 24 08 8B 46 08 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 54 02 00 00 8B 44 24 04 89 83 58 02 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_9756_0 {
	meta:
		name = "TCustomGrid.WMSetCursor"
		size = 170
		refs = "0025 TCustomGrid.CalcDrawInfo 0060 Screen 006c TScreen.GetCursors 0093 SetCursor 009e TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 98 8B FA 8B F0 33 DB 66 83 7F 08 01 75 79 8A 86 6E 02 00 00 84 C0 75 38 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 54 8D 44 24 08 50 8D 44 24 10 50 8D 44 24 18 50 8D 44 24 20 50 8B 8E 58 02 00 00 8B 96 54 02 00 00 8B C6 8B 28 FF 95 BC 00 00 00 EB 03 88 04 24 80 3C 24 02 75 15 A1 ?? ?? ?? ?? 8B 00 BA F1 FF FF FF E8 ?? ?? ?? ?? 8B D8 EB 19 80 3C 24 03 75 13 A1 ?? ?? ?? ?? 8B 00 BA F2 FF FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 08 53 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 83 C4 68 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9757_0 {
	meta:
		name = "TCustomGrid.WMSetFocus"
		size = 73
		refs = "000f TWinControl.WMSetFocus 0020 TWinControl.GetHandle 002e TCustomGrid.GetSelection 0037 TCustomGrid.InvalidateRect 003e TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B BB 5C 02 00 00 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 19 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9758_0 {
	meta:
		name = "TCustomGrid.WMSize"
		size = 43
		refs = "0007 TWinControl.WMSize 000e TCustomGrid.UpdateScrollRange 0019 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_9759_0 {
	meta:
		name = "TCustomGrid.WMVScroll"
		size = 22
		refs = "0011 TCustomGrid.ModifyScrollBar"
	strings:
		$1 = { 0F BF 4A 06 51 6A 01 0F BF 4A 04 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9760_0 {
	meta:
		name = "TCustomGrid.WMHScroll"
		size = 19
		refs = "000e TCustomGrid.ModifyScrollBar"
	strings:
		$1 = { 0F BF 4A 06 51 6A 01 0F BF 4A 04 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9761_0 {
	meta:
		name = "TCustomGrid.CancelMode"
		size = 148
		refs = "000d TCustomGrid.CancelMode 0035 TWinControl.GetHandle 003b KillTimer 0048 TCustomGrid.CalcDrawInfo 0053 TCustomGrid.DrawSizingLine 005d TCustomGrid.DrawMove 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 6E 02 00 00 FE C8 74 0B 48 2C 02 72 18 2C 02 72 2C EB 42 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 30 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? EB 18 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 6E 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_9763_0 {
	meta:
		name = "TCustomGrid.CMCancelMode"
		size = 42
		refs = "0023 TCustomGrid.CancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 5C 02 00 00 85 C0 74 07 8B D6 8B 08 FF 51 70 8B D6 8B C3 8B 08 FF 51 F0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9764_0 {
	meta:
		name = "TCustomGrid.CMFontChanged"
		size = 36
		refs = "0014 TControl.SetFont 001d TWinControl.CMFontChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 5C 02 00 00 85 C0 74 08 8B 53 58 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9766_0 {
	meta:
		name = "TCustomGrid.CMDesignHitTest"
		size = 31
		refs = "0011 TCustomGrid.Sizing"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F BF 4B 0A 0F BF 53 08 8B C6 E8 ?? ?? ?? ?? F6 D8 1B C0 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9767_0 {
	meta:
		name = "TCustomGrid.CMWantSpecialKey"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 F6 83 29 02 00 00 04 74 0D 80 7E 04 0D 75 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9768_0 {
	meta:
		name = "TCustomGrid.TimedScroll"
		size = 177
		refs = "00a9 TCustomGrid.MoveAnchor"
	strings:
		$1 = { 83 C4 EC 88 14 24 8B 90 F0 01 00 00 89 54 24 0C 8B 90 F4 01 00 00 89 54 24 10 8B 90 FC 01 00 00 4A 89 54 24 04 8B 90 2C 02 00 00 4A 89 54 24 08 F6 04 24 01 74 12 8B 90 F0 01 00 00 3B 90 18 02 00 00 7E 04 FF 4C 24 0C F6 04 24 02 74 10 8B 90 F0 01 00 00 3B 54 24 04 7D 04 FF 44 24 0C F6 04 24 04 74 12 8B 90 F4 01 00 00 3B 90 1C 02 00 00 7E 04 FF 4C 24 10 F6 04 24 08 74 10 8B 90 F4 01 00 00 3B 54 24 08 7D 04 FF 44 24 10 8B 90 F0 01 00 00 3B 54 24 0C 75 0C 8B 90 F4 01 00 00 3B 54 24 10 74 09 8D 54 24 0C E8 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_9769_0 {
	meta:
		name = "TCustomGrid.WMTimer"
		size = 360
		refs = "001d GetCursorPos 002a TControl.ScreenToClient 0044 TCustomGrid.CalcDrawInfo 0049 TCustomGrid.WMTimer 0066 TCustomGrid.CalcCoordFromPoint 009c TCustomGrid.MoveAndScroll 00d1 @CallDynaInst 00f9 TControl.GetClientWidth"
	strings:
		$1 = { 53 56 83 C4 8C 8B F0 8A 86 6E 02 00 00 2C 01 74 0A 04 FD 2C 02 0F 83 40 01 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 6C 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 44 24 6C 89 04 24 8B 44 24 70 89 44 24 04 8D 54 24 14 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 44 24 08 8D 44 24 14 50 8D 44 24 10 50 8B 4C 24 0C 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8A 86 6E 02 00 00 FE C8 74 56 2C 03 74 2D FE C8 0F 85 DB 00 00 00 8D 44 24 14 50 8D 44 24 18 50 6A 00 8D 44 24 0C 50 8B 4C 24 1C 8B 54 24 10 8B C6 E8 ?? ?? ?? ?? E9 B6 00 00 00 8D 44 24 14 50 8D 44 24 44 50 6A 01 8D 44 24 0C 50 8B 4C 24 20 8B 54 24 14 8B C6 E8 ?? ?? ?? ?? E9 91 00 00 00 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 1D 8B 04 24 3B 44 24 18 7D 07 80 4C 24 08 01 EB 3C 3B 44 24 28 7E 36 80 4C 24 08 02 EB 2F 8B C6 E8 ?? ?? ?? ?? 8B D8 2B 5C 24 28 8B C6 E8 ?? ?? ?? ?? 2B 44 24 18 8B 14 24 3B DA 7E 07 80 4C 24 08 02 EB 09 3B C2 7D 05 80 4C 24 08 01 8B 44 24 04 3B 44 24 44 7D 07 80 4C 24 08 04 EB 0B 3B 44 24 54 7E 05 80 4C 24 08 08 A0 ?? ?? ?? ?? 3A 44 24 08 74 0F 8A 54 24 08 8B C6 66 BB AC FF E8 ?? ?? ?? ?? 83 C4 74 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9772_0 {
	meta:
		name = "TCustomGrid.DeleteColumn"
		size = 33
		refs = "000d TCustomGrid.MoveColumn 001b TCustomGrid.SetColCount"
	strings:
		$1 = { 53 8B D8 8B 8B FC 01 00 00 49 8B C3 E8 ?? ?? ?? ?? 8B 93 FC 01 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9773_0 {
	meta:
		name = "TCustomGrid.DeleteRow"
		size = 33
		refs = "000d TCustomGrid.MoveRow 001b TCustomGrid.SetRowCount"
	strings:
		$1 = { 53 8B D8 8B 8B 2C 02 00 00 49 8B C3 E8 ?? ?? ?? ?? 8B 93 2C 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9774_0 {
	meta:
		name = "TCustomGrid.UpdateDesigner"
		size = 59
		refs = "000c TWinControl.HandleAllocated 001d GetParentForm"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 30 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 F6 43 20 40 75 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 30 02 00 00 00 74 0B 8B 80 30 02 00 00 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_9775_0 {
	meta:
		name = "TCustomGrid.DoMouseWheelDown"
		size = 73
		refs = "001d TWinControl.DoMouseWheelDown 003c TCustomGrid.SetRow"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 88 14 24 8B D8 8D 4C 24 04 8A 14 24 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1D 8B 93 2C 02 00 00 4A 8B 83 0C 02 00 00 3B D0 7E 0A 8B D0 42 8B C3 E8 ?? ?? ?? ?? B0 01 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9776_0 {
	meta:
		name = "TCustomGrid.DoMouseWheelUp"
		size = 70
		refs = "001d TWinControl.DoMouseWheelUp 0039 TCustomGrid.SetRow"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 88 14 24 8B D8 8D 4C 24 04 8A 14 24 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 83 0C 02 00 00 3B 83 1C 02 00 00 7E 0A 8B D0 4A 8B C3 E8 ?? ?? ?? ?? B0 01 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9777_0 {
	meta:
		name = "TCustomGrid.BeginColumnDrag"
		size = 9
		altNames = "TCustomGrid.BeginRowDrag TCustomGrid.CheckColumnDrag TCustomGrid.CheckRowDrag TCustomGrid.EndColumnDrag TCustomGrid.EndRowDrag"
	strings:
		$1 = { 55 8B EC B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_9783_0 {
	meta:
		name = "TCustomGrid.CMShowingChanged"
		size = 28
		refs = "0006 TWinControl.CMShowingChanged 0016 TCustomGrid.UpdateScrollRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 6C 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9784_0 {
	meta:
		name = "TDrawGrid.CellRect"
		size = 34
		refs = "0017 TCustomGrid.CellRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9785_0 {
	meta:
		name = "TDrawGrid.MouseToCell"
		size = 55
		refs = "001a TCustomGrid.MouseCoord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F8 89 10 8B 45 08 8B 55 FC 89 10 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9786_0 {
	meta:
		name = "TDrawGrid.ColumnMoved"
		size = 32
	strings:
		$1 = { 53 66 83 B8 76 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 78 02 00 00 FF 93 74 02 00 00 5B C3 }
	condition:
		$1
}

rule function_9787_0 {
	meta:
		name = "TDrawGrid.GetEditMask"
		size = 63
		refs = "0014 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 66 83 BB 86 02 00 00 00 74 15 8B 45 FC 50 56 8B CF 8B D3 8B 83 88 02 00 00 FF 93 84 02 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9788_0 {
	meta:
		name = "TDrawGrid.GetEditText"
		size = 63
		refs = "0014 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 66 83 BB 8E 02 00 00 00 74 15 8B 45 FC 50 56 8B CF 8B D3 8B 83 90 02 00 00 FF 93 8C 02 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9789_0 {
	meta:
		name = "TDrawGrid.RowMoved"
		size = 32
	strings:
		$1 = { 53 66 83 B8 96 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 98 02 00 00 FF 93 94 02 00 00 5B C3 }
	condition:
		$1
}

rule function_9790_0 {
	meta:
		name = "TDrawGrid.SelectCell"
		size = 46
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 9E 02 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 A0 02 00 00 FF 93 9C 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_9791_0 {
	meta:
		name = "TDrawGrid.SetEditText"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 A6 02 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 A8 02 00 00 FF 93 A4 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9792_0 {
	meta:
		name = "TDrawGrid.DrawCell"
		size = 163
		refs = "0030 @CallDynaInst 003b TControl.GetClientWidth 0062 TCustomGrid.ChangeGridOrientation"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B FA 8B F0 66 83 BE 7E 02 00 00 00 74 71 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 2E 8B C6 E8 ?? ?? ?? ?? 2B 45 EC 89 45 EC 8B C6 E8 ?? ?? ?? ?? 8B D8 2B 5D F4 89 5D F4 8B 45 EC 89 5D EC 89 45 F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 EC 50 8A 45 08 50 8B CF 8B D6 8B 86 80 02 00 00 FF 96 7C 02 00 00 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9793_0 {
	meta:
		name = "TDrawGrid.TopLeftChanged"
		size = 36
		refs = "0006 TCustomGrid.TopLeftChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB AE 02 00 00 00 74 0E 8B D3 8B 83 B0 02 00 00 FF 93 AC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_9794_0 {
	meta:
		name = "NewStrItem"
		size = 43
		refs = "0009 TStrItem 0013 @New 0021 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 89 3B 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9795_0 {
	meta:
		name = "DisposeStrItem"
		size = 12
		refs = "0002 TStrItem 0007 @Dispose"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9796_0 {
	meta:
		name = "ExpandDir"
		size = 63
		refs = "0016 @ReallocMem 0030 @FillChar"
	strings:
		$1 = { 53 56 57 51 8B F1 8B DA 89 04 24 0F B7 FE 8B D7 C1 E2 02 8B C4 E8 ?? ?? ?? ?? 0F B7 03 2B F8 8B D7 C1 E2 02 0F B7 03 8B 0C 24 8D 04 81 33 C9 E8 ?? ?? ?? ?? 66 89 33 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9797_0 {
	meta:
		name = "MakeSec"
		size = 37
		refs = "000e @GetMem 001b @FillChar"
	strings:
		$1 = { 53 56 57 8B F2 C1 E6 02 0F B7 FE 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 33 C9 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9798_0 {
	meta:
		name = "TSparsePointerArray.Create"
		size = 100
		refs = "000a @ClassCreate 0027 SPAIndexMask 003f SPASecShift 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 DB 89 58 04 66 C7 40 08 00 00 C7 40 10 FF FF FF FF 33 DB 8A D9 0F B6 B3 ?? ?? ?? ?? 46 66 89 70 14 0F B6 B3 ?? ?? ?? ?? 66 89 70 0A 33 C9 8A 8B ?? ?? ?? ?? 66 89 48 0C C7 40 18 FF FF FF FF 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9799_0 {
	meta:
		name = "TSparsePointerArray.Destroy"
		size = 89
		refs = "0005 @BeforeDestruction 0029 @FreeMem 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 33 ED 66 8B 7E 14 C1 E7 02 EB 16 8B 46 04 8B 04 A8 85 C0 74 0B 0F B7 D7 8B 4E 04 E8 ?? ?? ?? ?? 45 0F B7 46 08 3B E8 7C E2 8B 46 04 85 C0 74 0C 0F B7 56 08 C1 E2 02 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9800_0 {
	meta:
		name = "TSparsePointerArray.GetAt"
		size = 74
	strings:
		$1 = { 53 3B 50 18 75 05 8B 48 1C EB 3B 66 8B 48 0C 8B DA D3 EB 8B CB 0F B7 58 08 3B CB 72 04 33 C9 EB 15 8B 58 04 8B 0C 8B 85 C9 74 0B 0F B7 58 0A 23 DA C1 E3 02 03 CB 85 C9 75 04 33 C9 EB 02 8B 09 89 50 18 89 48 1C 8B C1 5B C3 }
	condition:
		$1
}

rule function_9801_0 {
	meta:
		name = "TSparsePointerArray.MakeAt"
		size = 107
		refs = "0020 ExpandDir 0041 MakeSec"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 66 8B 4B 0C 8B F7 D3 EE 66 3B 73 08 72 12 8D 4E 01 8D 53 08 8B 43 04 E8 ?? ?? ?? ?? 8B E8 EB 03 8B 6B 04 89 6B 04 0F B7 C6 8B 44 85 00 85 C0 75 13 0F B7 C6 66 8B 53 14 E8 ?? ?? ?? ?? 0F B7 D6 89 44 95 00 0F B7 53 0A 23 D7 C1 E2 02 03 C2 3B 7B 10 7E 03 89 7B 10 C7 43 18 FF FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9802_0 {
	meta:
		name = "TSparsePointerArray.PutAt"
		size = 52
		refs = "0012 TSparsePointerArray.GetAt 001f TSparsePointerArray.MakeAt 002c TSparsePointerArray.ResetHighBound"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 75 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B D7 8B C3 E8 ?? ?? ?? ?? 89 30 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9803_0 {
	meta:
		name = "TSparsePointerArray.ForAll"
		size = 137
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F0 8B F0 33 C0 89 45 EC 33 C0 89 45 E8 8B 45 00 89 45 FC EB 50 8B 46 04 8B 55 E8 8B 1C 90 85 DB 74 40 33 FF 66 8B 4E 0C 8B 45 E8 D3 E0 89 45 F8 EB 22 8B 03 89 45 F4 83 7D F4 00 74 10 8B 45 F8 8B 55 F4 FF 75 FC FF 55 F0 59 89 45 EC 83 C3 04 47 FF 45 F8 0F B7 46 14 3B F8 7D 06 83 7D EC 00 74 D0 FF 45 E8 0F B7 46 08 3B 45 E8 76 06 83 7D EC 00 74 A1 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9804_0 {
	meta:
		name = "Detector"
		size = 37
	strings:
		$1 = { 55 8B EC 8B 4D 08 8B 49 FC 3B 41 10 7E 07 B9 01 00 00 00 EB 0C 33 C9 85 D2 74 06 8B 55 08 89 42 F8 8B C1 5D C3 }
	condition:
		$1
}

rule function_9805_0 {
	meta:
		name = "TSparsePointerArray.ResetHighBound"
		size = 42
		refs = "0011 Detector 0019 TSparsePointerArray.ForAll"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C7 45 F8 FF FF FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 10 59 59 5D C3 }
	condition:
		$1
}

rule function_9807_0 {
	meta:
		name = "TSparseList.Destroy"
		size = 39
		refs = "0003 @BeforeDestruction 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 07 B2 01 8B 08 FF 51 FC 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9808_0 {
	meta:
		name = "TSparseList.Clear"
		size = 30
		refs = "0013 TSparseList.NewList"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 04 8B 08 FF 51 FC 8A 53 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_9809_0 {
	meta:
		name = "TSparseList.Delete"
		size = 75
		refs = "0023 TSparsePointerArray.GetAt 002e TSparsePointerArray.PutAt"
	strings:
		$1 = { 53 56 57 55 8B D8 85 D2 7C 3C 3B 53 08 7D 37 8B F2 8B 7B 08 4F 2B FE 7C 1D 47 8D 56 01 8B 6B 04 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C5 E8 ?? ?? ?? ?? 46 4F 75 E4 33 C9 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? FF 4B 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9811_0 {
	meta:
		name = "TSparseList.Exchange"
		size = 57
		refs = "000f TSparseList.Get 0025 TSparseList.Put"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9812_0 {
	meta:
		name = "TSparseList.ForAll"
		size = 9
		refs = "0004 TSparsePointerArray.ForAll"
	strings:
		$1 = { 8B 40 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9813_0 {
	meta:
		name = "TSparseList.Get"
		size = 29
		refs = "0016 TSparsePointerArray.GetAt"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 06 8B C3 8B 10 FF 12 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9814_0 {
	meta:
		name = "TSparseList.Insert"
		size = 88
		refs = "0026 TSparsePointerArray.GetAt 0031 TSparsePointerArray.PutAt"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 85 ED 7D 06 8B C6 8B 10 FF 12 8B 5E 08 3B EB 7D 1D 8B D3 4A 8B 7E 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 3B EB 7C E3 8B 0C 24 8B D5 8B 46 04 E8 ?? ?? ?? ?? 3B 6E 08 7E 03 89 6E 08 FF 46 08 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9815_0 {
	meta:
		name = "TSparseList.Move"
		size = 50
		refs = "0013 TSparseList.Get 001e TSparseList.Delete 0029 TSparseList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 1F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9816_0 {
	meta:
		name = "TSparseList.NewList"
		size = 29
		refs = "000e _DV_TSparsePointerArray 0013 TSparsePointerArray.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 5E 0C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_9817_0 {
	meta:
		name = "TSparseList.Put"
		size = 45
		refs = "001b TSparsePointerArray.PutAt"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7D 06 8B C3 8B 10 FF 12 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 40 89 43 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9818_0 {
	meta:
		name = "TStringSparseList.Create"
		size = 72
		refs = "000e @ClassCreate 001e _DV_TSparseList 0023 TSparseList.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9819_0 {
	meta:
		name = "TStringSparseList.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 0C 00 74 11 8B C6 8B 10 FF 52 40 B2 01 8B 46 0C 8B 08 FF 51 FC 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9820_0 {
	meta:
		name = "TStringSparseList.ReadData"
		size = 112
		refs = "0010 TStringSparseList.ReadData 001d TReader.ReadInteger 002f TReader.ReadString 0044 TStrings.InsertObject 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 26 6A 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 4E 85 F6 7F DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9821_0 {
	meta:
		name = "CountItem"
		size = 13
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 FC 33 C0 5D C3 }
	condition:
		$1
}

rule function_9822_0 {
	meta:
		name = "StoreItem"
		size = 37
		refs = "000e TWriter.WriteInteger 001c TWriter.WriteString"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 55 08 8B 52 F8 92 E8 ?? ?? ?? ?? 8B 53 04 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_9823_0 {
	meta:
		name = "TStringSparseList.WriteData"
		size = 59
		refs = "0012 CountItem 001a TSparseList.ForAll 0025 TWriter.WriteInteger 002a StoreItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 8B D8 33 C0 89 45 FC BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9824_0 {
	meta:
		name = "TStringSparseList.DefineProperties"
		size = 44
		refs = "0003 TStringSparseList.ReadData 0009 TStringSparseList.WriteData 0012 TStringSparseList.DefineProperties"
	strings:
		$1 = { 53 50 68 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? B1 01 8B C2 BA ?? ?? ?? ?? 8B 18 FF 13 5B C3 FF FF FF FF 04 00 00 00 4C 69 73 74 00 00 00 00 }
	condition:
		$1
}

rule function_9825_0 {
	meta:
		name = "TStringSparseList.Get"
		size = 48
		refs = "000f TSparseList.Get 001c @LStrClr 0028 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9827_0 {
	meta:
		name = "TStringSparseList.GetObject"
		size = 30
		refs = "000c TSparseList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 5E 5B C3 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_9828_0 {
	meta:
		name = "TStringSparseList.Put"
		size = 104
		refs = "0012 TSparseList.Get 0034 TSparseList.Put 0040 NewStrItem 0057 DisposeStrItem"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B D5 8B 43 0C E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 33 FF EB 02 8B 3E 83 3C 24 00 75 12 85 FF 75 0E 33 C9 8B D5 8B 43 0C E8 ?? ?? ?? ?? EB 16 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B C8 8B D5 8B 43 0C E8 ?? ?? ?? ?? 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9829_0 {
	meta:
		name = "TStringSparseList.PutObject"
		size = 63
		refs = "000f TSparseList.Get 0024 NewStrItem 0030 TSparseList.Put"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 85 C0 74 04 89 30 EB 19 85 F6 74 15 8B D6 33 C0 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9830_0 {
	meta:
		name = "TStringSparseList.Changed"
		size = 20
	strings:
		$1 = { 53 66 83 78 12 00 74 0A 8B D8 8B D0 8B 43 14 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_9832_0 {
	meta:
		name = "TStringSparseList.Delete"
		size = 45
		refs = "000c TSparseList.Get 0015 DisposeStrItem 001f TSparseList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5E 5B C3 }
	condition:
		$1
}

rule function_9834_0 {
	meta:
		name = "TStringSparseList.Insert"
		size = 41
		refs = "000e NewStrItem 001a TSparseList.Insert"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9835_0 {
	meta:
		name = "ClearItem"
		size = 10
		refs = "0003 DisposeStrItem"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_9852_0 {
	meta:
		name = "FreeItem"
		size = 10
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_9836_0 {
	meta:
		name = "TStringSparseList.Clear"
		size = 33
		refs = "0004 ClearItem 000c TSparseList.ForAll 0014 TSparseList.Clear"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 5B C3 }
	condition:
		$1
}

rule function_9838_0 {
	meta:
		name = "TStringGridStrings.Assign"
		size = 246
		refs = "0017 TStringGridStrings.Assign 0025 _Dn_TStrings 002a @IsClass 003a TStrings.BeginUpdate 00bc TStrings.EndUpdate 00c2 @HandleFinally 00ce TStrings.Assign 00e3 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B D8 4B 8B 45 FC 8B 10 FF 52 14 3B D8 7C 0B 8B 45 FC 8B 10 FF 52 14 8B D8 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 3A 43 89 5D F8 33 DB 8D 4D F4 8B D3 8B C6 8B 38 FF 57 0C 8B 4D F4 8B D3 8B 45 FC 8B 38 FF 57 20 8B D3 8B C6 8B 08 FF 51 18 8B C8 8B D3 8B 45 FC 8B 38 FF 57 24 43 FF 4D F8 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9839_0 {
	meta:
		name = "TStringGridStrings.CalcXY"
		size = 64
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 55 08 8B 58 10 85 DB 75 0E C7 01 FF FF FF FF C7 02 FF FF FF FF EB 18 85 DB 7E 0A 8B 75 FC 89 31 4B 89 1A EB 0A F7 DB 4B 89 19 8B 45 FC 89 02 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9840_0 {
	meta:
		name = "TStringGridStrings.Add"
		size = 131
		refs = "0018 TStringGridStrings.Add 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 29 46 33 DB 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 83 7D F4 00 75 0F 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 56 20 EB 07 43 4E 75 DA 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9841_0 {
	meta:
		name = "BlankStr"
		size = 43
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 33 C9 8B D3 8B 30 FF 56 24 8B 45 08 8B 40 FC 33 C9 8B D3 8B 18 FF 53 20 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9842_0 {
	meta:
		name = "TStringGridStrings.Clear"
		size = 113
		refs = "0023 TSparseList.Get 002c BlankStr 0034 TSparseList.ForAll"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 58 10 85 DB 7E 27 8B D3 4A 8B 45 FC 8B 40 0C 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 41 BA ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? EB 32 85 DB 7D 2E 8B 45 FC 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 1E 33 C9 8B D3 8B 45 FC 8B 30 FF 56 24 33 C9 8B D3 8B 45 FC 8B 30 FF 56 20 4B 83 FB FF 75 E2 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9844_0 {
	meta:
		name = "TStringGridStrings.Get"
		size = 62
		refs = "0015 TStringGridStrings.CalcXY 0022 @LStrClr 0035 TStringGrid.GetCells"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 7D 09 8B C6 E8 ?? ?? ?? ?? EB 11 56 8B 4C 24 08 8B 54 24 04 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9845_0 {
	meta:
		name = "TStringGridStrings.GetCount"
		size = 35
	strings:
		$1 = { 8B 50 10 85 D2 75 03 33 C0 C3 85 D2 7E 0B 8B 40 0C 8B 80 FC 01 00 00 EB 09 8B 40 0C 8B 80 2C 02 00 00 C3 }
	condition:
		$1
}

rule function_9846_0 {
	meta:
		name = "TStringGridStrings.GetObject"
		size = 51
		refs = "0012 TStringGridStrings.CalcXY 002b TStringGrid.GetObjects"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 7D 04 33 C0 EB 0F 8B 4C 24 04 8B 14 24 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_9847_0 {
	meta:
		name = "TStringGridStrings.Insert"
		size = 74
		refs = "000a TStringGridStrings.Insert 0018 SInvalidStringGridOp 001d LoadResString 0025 InvalidOp 003a @LStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9848_0 {
	meta:
		name = "TStringGridStrings.Put"
		size = 47
		refs = "0015 TStringGridStrings.CalcXY 0026 TStringGrid.SetCells"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 56 8B 4C 24 08 8B 54 24 04 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9849_0 {
	meta:
		name = "TStringGridStrings.PutObject"
		size = 47
		refs = "0015 TStringGridStrings.CalcXY 0026 TStringGrid.SetObjects"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 56 8B 4C 24 08 8B 54 24 04 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9851_0 {
	meta:
		name = "TStringGrid.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomGrid.Create 001e TStringGrid.Initialize 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10293_0 {
	meta:
		name = "TIdDNSHeader.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 001e TIdDNSHeader.InitializefId 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9853_0 {
	meta:
		name = "TStringGrid.Destroy"
		size = 145
		refs = "0003 @BeforeDestruction 0015 FreeItem 0020 TSparseList.ForAll 002b TObject.Free 007f TCustomGrid.Destroy 008a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE B8 02 00 00 00 74 1B BA ?? ?? ?? ?? 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 83 BE BC 02 00 00 00 74 1B BA ?? ?? ?? ?? 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 83 BE B4 02 00 00 00 74 1B BA ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9854_0 {
	meta:
		name = "MoveColData"
		size = 27
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 92 8B 18 FF 53 60 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_9855_0 {
	meta:
		name = "TStringGrid.ColumnMoved"
		size = 56
		refs = "0010 MoveColData 001b TSparseList.ForAll 002f TDrawGrid.ColumnMoved"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 BA ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9856_0 {
	meta:
		name = "TStringGrid.RowMoved"
		size = 46
		refs = "0014 TSparseList.Move 0026 TDrawGrid.RowMoved"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9857_0 {
	meta:
		name = "TStringGrid.GetEditText"
		size = 65
		refs = "0017 TStringGrid.GetCells"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 BB 8E 02 00 00 00 74 15 57 8B 45 08 50 8B CE 8B D3 8B 83 90 02 00 00 FF 93 8C 02 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9858_0 {
	meta:
		name = "TStringGrid.SetEditText"
		size = 189
		refs = "0019 TStringGrid.SetEditText 0027 TStringGrid.DisableEditUpdate 0047 TStringGrid.GetCells 0052 @LStrCmp 0066 TStringGrid.SetCells 007b TStringGrid.EnableEditUpdate 0081 @HandleFinally 0095 TDrawGrid.SetEditText 00aa @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? 74 12 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9859_0 {
	meta:
		name = "TStringGrid.DrawCell"
		size = 161
		refs = "0027 TStringGrid.DrawCell 004c TStringGrid.GetCells 0064 TCanvas.TextRect 0077 TDrawGrid.DrawCell 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B 75 0C 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 6C 02 00 00 00 74 2E 8B 45 F4 83 C0 02 50 8D 45 EC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4D F0 83 C1 02 8D 55 F0 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8A 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9860_0 {
	meta:
		name = "TStringGrid.DisableEditUpdate"
		size = 7
	strings:
		$1 = { FF 80 C4 02 00 00 C3 }
	condition:
		$1
}

rule function_9861_0 {
	meta:
		name = "TStringGrid.EnableEditUpdate"
		size = 7
	strings:
		$1 = { FF 88 C4 02 00 00 C3 }
	condition:
		$1
}

rule function_9862_0 {
	meta:
		name = "TStringGrid.Initialize"
		size = 130
		refs = "0024 _DV_TSparseList 0029 TSparseList.Create"
	strings:
		$1 = { 53 56 8B F0 83 BE BC 02 00 00 00 75 26 81 BE FC 01 00 00 00 02 00 00 7E 04 B3 01 EB 02 33 DB 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 BC 02 00 00 81 BE 2C 02 00 00 00 01 00 00 7E 04 B3 01 EB 02 33 DB 83 BE B8 02 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B8 02 00 00 83 BE B4 02 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_9863_0 {
	meta:
		name = "TStringGrid.SetUpdateState"
		size = 38
		refs = "0019 TCustomGrid.InvalidateGrid"
	strings:
		$1 = { 53 8B D8 88 93 C0 02 00 00 84 D2 75 17 80 BB C1 02 00 00 00 74 0E 8B C3 E8 ?? ?? ?? ?? C6 83 C1 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_9864_0 {
	meta:
		name = "TStringGrid.Update"
		size = 74
		refs = "0019 TCustomGrid.InvalidateCell 0042 TCustomGrid.InvalidateEditor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB C0 02 00 00 00 75 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 C6 83 C1 02 00 00 01 3B B3 08 02 00 00 75 18 3B BB 0C 02 00 00 75 10 83 BB C4 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9865_0 {
	meta:
		name = "TStringGrid.EnsureColRow"
		size = 99
		refs = "0025 TSparseList.Get 0045 _DV_TStringGridStrings 004a TStringGridStrings.Create 0057 TSparseList.Put"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F0 80 3C 24 00 74 08 8D BE BC 02 00 00 EB 06 8D BE B8 02 00 00 8B 07 8B D5 E8 ?? ?? ?? ?? 8B D8 85 DB 75 2C 80 3C 24 00 74 07 8B C5 F7 D8 48 EB 03 8D 45 01 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 07 8B CB 8B D5 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9866_0 {
	meta:
		name = "TStringGrid.EnsureDataRow"
		size = 81
		refs = "0010 TSparseList.Get 0031 _DV_TStringSparseList 0036 TStringSparseList.Create 0047 TSparseList.Put"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 31 81 BB FC 01 00 00 00 02 00 00 7E 04 B0 01 EB 02 33 C0 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE 8B D7 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9867_0 {
	meta:
		name = "TStringGrid.GetCells"
		size = 65
		refs = "001a TSparseList.Get 0027 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B D7 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 0C 8B CE 8B 55 FC 8B C3 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9869_0 {
	meta:
		name = "TStringGrid.GetObjects"
		size = 41
		refs = "0012 TSparseList.Get"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D6 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 07 8B D7 8B 08 FF 51 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9871_0 {
	meta:
		name = "TStringGrid.SetCells"
		size = 77
		refs = "0014 TStringGrid.EnsureDataRow 0029 TStringGrid.EnsureColRow 0041 TStringGrid.Update"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 38 FF 57 20 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9872_0 {
	meta:
		name = "TStringGrid.SetCols"
		size = 31
		refs = "0010 TStringGrid.EnsureColRow"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9873_0 {
	meta:
		name = "TStringGrid.SetObjects"
		size = 77
		refs = "0014 TStringGrid.EnsureDataRow 0029 TStringGrid.EnsureColRow 0041 TStringGrid.Update"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 38 FF 57 24 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9874_0 {
	meta:
		name = "TStringGrid.SetRows"
		size = 31
		refs = "0010 TStringGrid.EnsureColRow"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9901_0 {
	meta:
		name = "TWebRequest.Create"
		size = 296
		refs = "0010 @ClassCreate 001c TWebRequest.Create 002b TObject.Create 0043 CompareText 00c6 @LStrClr 00cc @HandleFinally 00d9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C6 8B 38 FF 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 06 C6 46 04 01 EB 64 8D 4D FC 33 D2 8B C6 8B 38 FF 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 06 C6 46 04 02 EB 42 8D 4D FC 33 D2 8B C6 8B 38 FF 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 06 C6 46 04 03 EB 20 8D 4D FC 33 D2 8B C6 8B 38 FF 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 C6 46 04 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 00 FF FF FF FF 03 00 00 00 47 45 54 00 FF FF FF FF 03 00 00 00 50 55 54 00 FF FF FF FF 04 00 00 00 50 4F 53 54 00 00 00 00 FF FF FF FF 04 00 00 00 48 45 41 44 00 00 00 00 }
	condition:
		$1
}

rule function_9902_0 {
	meta:
		name = "TWebRequest.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9903_0 {
	meta:
		name = "TWebRequest.ExtractFields"
		size = 58
		refs = "002e ExtractHTTPFields"
	strings:
		$1 = { 55 8B EC 83 C4 C0 56 57 8B F1 8D 7D C0 B9 08 00 00 00 F3 A5 8B F2 8D 7D E0 B9 08 00 00 00 F3 A5 8B 45 08 50 8B 4D 0C 8D 55 C0 8D 45 E0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9904_0 {
	meta:
		name = "TWebRequest.ExtractContentFields"
		size = 264
		refs = "0012 TWebRequest.ExtractContentFields 004c @LStrLen 007d @LStrCat 0085 @LStrToPChar 0098 TWebRequest.ExtractFields 00b2 @LStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 10 00 00 00 8B C3 8B 08 FF 51 08 85 C0 7E 70 8D 4D FC BA 19 00 00 00 8B C3 8B 38 FF 17 BA 10 00 00 00 8B C3 8B 08 FF 51 08 8B F8 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7E 2D BA 10 00 00 00 8B C3 8B 08 FF 51 08 50 8B 45 FC E8 ?? ?? ?? ?? 5A 2B D0 8D 4D F8 8B C3 8B 38 FF 57 10 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9905_0 {
	meta:
		name = "TWebRequest.ExtractCookieFields"
		size = 168
		refs = "000f TWebRequest.ExtractCookieFields 002e @LStrToPChar 003f ExtractHeaderFields 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 1B 00 00 00 8B C3 8B 18 FF 13 56 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9906_0 {
	meta:
		name = "TWebRequest.ExtractQueryFields"
		size = 168
		refs = "0010 TWebRequest.ExtractQueryFields 002c @LStrToPChar 003f TWebRequest.ExtractFields 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 03 00 00 00 8B C3 8B 38 FF 17 8B 45 FC E8 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_9907_0 {
	meta:
		name = "TWebRequest.GetContentFields"
		size = 42
		refs = "000d _Dn_TStringList 0012 TObject.Create 0020 TWebRequest.ExtractContentFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_9908_0 {
	meta:
		name = "TWebRequest.GetCookieFields"
		size = 42
		refs = "000d _Dn_TStringList 0012 TObject.Create 0020 TWebRequest.ExtractCookieFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 0C 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_9909_0 {
	meta:
		name = "TWebRequest.GetQueryFields"
		size = 42
		refs = "000d _Dn_TStringList 0012 TObject.Create 0020 TWebRequest.ExtractQueryFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 10 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_9910_0 {
	meta:
		name = "TCookie.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 1C C7 46 20 00 00 F0 BF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9911_0 {
	meta:
		name = "TCookie.AssignTo"
		size = 103
		refs = "000b _DV_TCookie 0010 @IsClass 0021 @LStrAsg 005f TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 8B FE 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 8D 47 10 8B 53 10 E8 ?? ?? ?? ?? 8D 47 18 8B 53 18 E8 ?? ?? ?? ?? 8D 47 14 8B 53 14 E8 ?? ?? ?? ?? 8B 43 1C 89 47 1C 8B 43 20 89 47 20 8A 43 24 88 47 24 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9912_0 {
	meta:
		name = "TCookie.GetHeaderValue"
		size = 556
		refs = "001e TCookie.GetHeaderValue 004b Format 0078 @LStrCat 00c5 DayOfWeekStr 00dd MonthStr 00fe FormatDateTime 0133 @LStrLen 0144 @LStrCopy 0151 @LStrCmp 0166 @LStrSetLength 0180 @LStrArrayClr 0188 @LStrClr 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D EC 89 4D E0 89 4D DC 89 4D D8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 43 0C 89 45 F0 C6 45 F4 0B 8B 43 10 89 45 F8 C6 45 FC 0B 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 18 00 74 27 8D 45 EC 50 8B 43 18 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 83 7B 14 00 74 27 8D 45 EC 50 8B 43 14 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? DD 43 1C D8 1D ?? ?? ?? ?? DF E0 9E 76 63 8D 45 EC 50 FF 73 20 FF 73 1C 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 0B FF 73 20 FF 73 1C 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 89 45 F8 C6 45 FC 0B 8D 45 F0 50 FF 73 20 FF 73 1C 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 80 7B 24 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8B 06 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 8B 06 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 07 00 00 00 25 73 3D 25 73 3B 20 00 FF FF FF FF 0B 00 00 00 64 6F 6D 61 69 6E 3D 25 73 3B 20 00 FF FF FF FF 09 00 00 00 70 61 74 68 3D 25 73 3B 20 00 00 00 00 00 80 BF FF FF FF FF 2D 00 00 00 22 65 78 70 69 72 65 73 3D 22 22 25 73 22 2C 20 64 64 20 22 25 73 22 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 3B 20 22 00 00 00 FF FF FF FF 06 00 00 00 73 65 63 75 72 65 00 00 FF FF FF FF 02 00 00 00 3B 20 00 00 }
	condition:
		$1
}

rule function_9917_0 {
	meta:
		name = "TWebResponse.Create"
		size = 98
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TStringList 0031 _DV_TCookie 003b _DV_TCookieCollection 0040 TCookieCollection.Create 004e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 A1 ?? ?? ?? ?? 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9918_0 {
	meta:
		name = "TWebResponse.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16212_0 {
	meta:
		name = "TPrinterSettings.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f @FreeMem 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9919_0 {
	meta:
		name = "TWebResponse.AddCustomHeaders"
		size = 184
		refs = "0014 TWebResponse.AddCustomHeaders 003f TStrings.GetName 004d TStrings.GetValue 006b @LStrCatN 008b @LStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 10 FF 52 14 8B F0 4E 85 F6 7C 48 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? FF 37 FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 45 FC 4E 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 02 00 00 00 3A 20 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_9920_0 {
	meta:
		name = "TWebResponse.GetCustomHeader"
		size = 25
		refs = "0011 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9922_0 {
	meta:
		name = "TWebResponse.SetContentStream"
		size = 50
		refs = "000f TObject.Free 001f TStream.GetSize"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 3B F0 74 20 E8 ?? ?? ?? ?? 8B FE 89 7B 04 85 FF 74 12 8B C7 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9923_0 {
	meta:
		name = "TWebResponse.SetCookieField"
		size = 218
		refs = "001d TWebResponse.SetCookieField 0040 TCookieCollection.Add 004e TStrings.GetName 0059 @LStrAsg 0072 TStrings.GetValue 00c5 @LStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 85 C0 7C 7C 40 89 45 F4 33 FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 0C E8 ?? ?? ?? ?? 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 10 E8 ?? ?? ?? ?? 8D 43 18 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 14 8B 55 14 E8 ?? ?? ?? ?? 8B 45 0C 89 43 1C 8B 45 10 89 43 20 8A 45 08 88 43 24 47 FF 4D F4 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_9925_0 {
	meta:
		name = "TChartFontObject.SetFont"
		size = 13
		altNames = "TWebResponse.SetCustomHeaders"
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_9927_0 {
	meta:
		name = "THTMLTagAttributes.Changed"
		size = 20
	strings:
		$1 = { 53 66 83 78 0E 00 74 0A 8B D8 8B D0 8B 43 10 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_9928_0 {
	meta:
		name = "THTMLTagAttributes.RestoreDefaults"
		size = 20
		refs = "0007 @LStrClr 000e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9929_0 {
	meta:
		name = "THTMLTagAttributes.SetCustom"
		size = 38
		refs = "000c @LStrCmp 0018 @LStrAsg 001f THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 74 11 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9930_0 {
	meta:
		name = "THTMLTableAttributes.Create"
		size = 81
		refs = "000a @ClassCreate 0017 THTMLTagAttributes.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 28 64 00 00 00 C7 46 18 FF FF FF FF C7 46 24 FF FF FF FF C7 46 20 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9931_0 {
	meta:
		name = "THTMLTableAttributes.AssignTo"
		size = 89
		refs = "000b _DV_THTMLTableAttributes 0010 @IsClass 0033 @LStrAsg 0046 THTMLTagAttributes.Changed 0051 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B FB 8B 46 28 89 47 28 8A 46 14 88 47 14 8B 46 18 89 47 18 8D 47 1C 8B 56 1C E8 ?? ?? ?? ?? 8B 46 20 89 47 20 8B 46 24 89 47 24 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9932_0 {
	meta:
		name = "THTMLTableAttributes.RestoreDefaults"
		size = 52
		refs = "0007 @LStrClr 002e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 14 00 C7 43 28 64 00 00 00 C7 43 18 FF FF FF FF C7 43 24 FF FF FF FF C7 43 20 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9934_0 {
	meta:
		name = "THTMLTableAttributes.SetBorder"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 18 74 08 89 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9935_0 {
	meta:
		name = "THTMLTableAttributes.SetBGColor"
		size = 96
		refs = "000e @LStrAddRef 0016 THTMLTableAttributes.SetBGColor 0027 @LStrCmp 0034 @LStrAsg 003b THTMLTagAttributes.Changed 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 1C E8 ?? ?? ?? ?? 74 12 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9936_0 {
	meta:
		name = "THTMLTableAttributes.SetCellSpacing"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 20 74 08 89 50 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9938_0 {
	meta:
		name = "THTMLTableAttributes.SetWidth"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 28 74 08 89 50 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9939_0 {
	meta:
		name = "THTMLTableElementAttributes.AssignTo"
		size = 71
		refs = "000b _DV_THTMLTableElementAttributes 0010 @IsClass 002d @LStrAsg 0034 THTMLTagAttributes.Changed 003f TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B FB 8A 46 14 88 47 14 8A 46 1C 88 47 1C 8D 47 18 8B 56 18 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9940_0 {
	meta:
		name = "THTMLTableElementAttributes.RestoreDefaults"
		size = 36
		refs = "0007 @LStrClr 001e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 14 00 C6 43 1C 00 8D 43 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9942_0 {
	meta:
		name = "THTMLTableElementAttributes.SetBGColor"
		size = 96
		refs = "000e @LStrAddRef 0016 THTMLTableElementAttributes.SetBGColor 0027 @LStrCmp 0034 @LStrAsg 003b THTMLTagAttributes.Changed 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 18 E8 ?? ?? ?? ?? 74 12 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9943_0 {
	meta:
		name = "THTMLTableElementAttributes.SetVAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 1C 74 08 88 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9944_0 {
	meta:
		name = "THTMLTableHeaderAttributes.AssignTo"
		size = 82
		refs = "000b _DV_THTMLTableHeaderAttributes 0010 @IsClass 002d @LStrAsg 003f THTMLTagAttributes.Changed 004a THTMLTableElementAttributes.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B FB 8A 46 14 88 47 14 8A 46 1C 88 47 1C 8D 47 18 8B 56 18 E8 ?? ?? ?? ?? 8D 47 20 8B 56 20 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9945_0 {
	meta:
		name = "THTMLTableHeaderAttributes.RestoreDefaults"
		size = 44
		refs = "0007 @LStrClr 0026 THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 14 00 C6 43 1C 00 8D 43 18 E8 ?? ?? ?? ?? 8D 43 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9946_0 {
	meta:
		name = "THTMLTableHeaderAttributes.SetCaption"
		size = 98
		refs = "000e @LStrAddRef 0016 THTMLTableHeaderAttributes.SetCaption 0027 AnsiCompareStr 0036 @LStrAsg 003d THTMLTagAttributes.Changed 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 12 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9947_0 {
	meta:
		name = "TCustomContentProducer.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 24 75 05 33 C0 89 47 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9948_0 {
	meta:
		name = "TCustomContentProducer.SetDispatcher"
		size = 30
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 24 74 10 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_9950_0 {
	meta:
		name = "TCustomContentProducer.ContentFromStream"
		size = 18
		altNames = "TCustomContentProducer.ContentFromString"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 8B 08 FF 51 30 5E 5B C3 }
	condition:
		$1
}

rule function_9952_0 {
	meta:
		name = "TCustomPageProducer.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TComponent.Create 001c RPR 0023 _Dn_TStringList 0028 TObject.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9953_0 {
	meta:
		name = "TCustomPageProducer.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9954_0 {
	meta:
		name = "TCustomPageProducer.Content"
		size = 191
		refs = "0015 TCustomPageProducer.Content 0022 @LStrClr 0034 _Dn_TFileStream 0039 TFileStream.Create 0053 _Dn_TStringStream 0058 TStringStream.Create 0090 TObject.Free 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 28 00 74 16 6A 20 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 1D 8D 55 F8 8B 43 2C 8B 08 FF 51 1C 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 37 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 53 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9955_0 {
	meta:
		name = "TCustomPageProducer.ContentFromStream"
		size = 576
		refs = "0024 TCustomPageProducer.ContentFromStream 0033 _Dn_TStringStream 0038 TStringStream.Create 0056 _Dn_TCopyParser 005b TCopyParser.Create 0076 TCopyParser.CopyTokenToOutput 0080 TCopyParser.SkipToken 00c7 TCopyParser.TokenString 00d4 TCopyParser.SkipToToken 00df TrimRight 00ea TrimLeft 00f1 _Dn_TStringList 00f6 TObject.Create 0113 @LStrToPChar 0124 ExtractHTTPFields 0141 TStringStream.WriteString 0156 TObject.Free 015c @HandleFinally 01bc @LStrLAsg 01f3 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 DB 89 5D DC 89 5D D8 89 5D EC 89 5D E8 89 5D E4 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 12 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8A 40 31 84 C0 74 04 2C 3C 75 E0 8B 45 F4 8A 40 31 84 C0 0F 84 F5 00 00 00 3C 3C 75 E0 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 3C 23 0F 85 BB 00 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D D8 B2 3E 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4D E0 8B 55 E4 8B 45 FC 8B 18 FF 53 3C 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 8B 45 F4 E8 ?? ?? ?? ?? E9 13 FF FF FF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? E9 EF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 F0 8B 52 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF FF FF FF 01 00 00 00 3C 00 00 00 }
	condition:
		$1
}

rule function_9956_0 {
	meta:
		name = "TCustomPageProducer.ContentFromString"
		size = 90
		refs = "000f _Dn_TStringStream 0016 TStringStream.Create 0021 TCustomPageProducer.ContentFromString 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D FC 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9957_0 {
	meta:
		name = "TCustomPageProducer.HandleTag"
		size = 60
		refs = "001a TCustomPageProducer.HandleTag 001f Format"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 8B 45 08 50 89 5D F8 C6 45 FC 0B 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C2 04 00 00 00 FF FF FF FF 05 00 00 00 3C 23 25 73 3E 00 00 00 }
	condition:
		$1
}

rule function_9958_0 {
	meta:
		name = "TCustomPageProducer.SetHTMLFile"
		size = 41
		refs = "000c CompareText 0022 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 28 E8 ?? ?? ?? ?? 85 C0 74 12 8B 43 2C 8B 10 FF 52 40 8D 43 28 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9959_0 {
	meta:
		name = "TCustomPageProducer.SetHTMLDoc"
		size = 21
		refs = "000f @LStrClr"
	strings:
		$1 = { 56 8B F0 8B 46 2C 8B 08 FF 51 08 8D 46 28 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_9960_0 {
	meta:
		name = "_NF__253"
		size = 100
	strings:
		$1 = { FF FF FF FF 04 00 00 00 4C 49 4E 4B 00 00 00 00 FF FF FF FF 05 00 00 00 49 4D 41 47 45 00 00 00 FF FF FF FF 05 00 00 00 54 41 42 4C 45 00 00 00 FF FF FF FF 08 00 00 00 49 4D 41 47 45 4D 41 50 00 00 00 00 FF FF FF FF 06 00 00 00 4F 42 4A 45 43 54 00 00 FF FF FF FF 05 00 00 00 45 4D 42 45 44 00 00 00 }
	condition:
		$1
}

rule function_9961_0 {
	meta:
		name = "TPageProducer.HandleTag"
		size = 86
		refs = "001b TagSymbols 0022 CompareText 0033 @LStrClr 004a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B F8 B3 06 84 DB 74 1B 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 05 4B 84 DB 73 E1 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 50 8B CE 8B D3 8B C7 66 BB F0 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9962_0 {
	meta:
		name = "TPageProducer.DoTagEvent"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 78 32 00 74 15 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 34 FF 53 30 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9963_0 {
	meta:
		name = "TWebActionItem.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0024 _Dn_TMask 0029 TMask.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9964_0 {
	meta:
		name = "TWebActionItem.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TCollectionItem.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9965_0 {
	meta:
		name = "TWebActionItem.AssignTo"
		size = 164
		refs = "000f _DV_TWebActionItem 0014 @IsClass 0031 TWebActionItem.AssignTo 0046 TWebActionItem.SetDefault 0053 TWebActionItem.SetPathInfo 0060 TWebActionItem.SetEnabled 006d TWebActionItem.SetMethodType 008f @HandleFinally 009b TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 79 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8A 50 19 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 14 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 1A 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 18 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9966_0 {
	meta:
		name = "TWebActionItem.DispatchAction"
		size = 166
		refs = "0019 TWebActionItem.DispatchAction 0058 TMask.Matches 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8A 43 19 22 45 08 75 31 80 7B 1A 00 74 48 80 7B 18 00 74 08 8A 43 18 3A 46 04 75 3A 8D 4D F4 BA 04 00 00 00 8B C6 8B 38 FF 17 8B 55 F4 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 1D 66 83 7B 0E 00 74 16 C6 45 FB 01 8B 45 FC 50 8D 45 FB 50 8B CE 8B D3 8B 43 10 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9967_0 {
	meta:
		name = "TWebActionItem.GetDisplayName"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9968_0 {
	meta:
		name = "TWebActionItem.SetDefault"
		size = 87
		refs = "001b TCollection.GetCount 002f TWebActionItems.GetActionItem 003e TWebActionItem.SetDefault 004e TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 19 74 45 84 DB 74 35 83 7D 04 00 74 2F 8B 45 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 20 46 33 FF 8B D7 8B 45 04 E8 ?? ?? ?? ?? 3B E8 74 0B 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 47 4E 75 E3 88 5D 19 33 D2 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9969_0 {
	meta:
		name = "TWebActionItem.SetEnabled"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 1A 74 0A 88 50 1A 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9971_0 {
	meta:
		name = "TWebActionItem.SetDisplayName"
		size = 222
		refs = "0017 TWebActionItem.SetDisplayName 0028 AnsiCompareText 003e TCollection.GetCount 0058 TWebActionItems.GetActionItem 0083 sDuplicateActionName 0088 LoadResString 0092 _Dn_Exception 0097 Exception.Create 009c @RaiseExcept 00ad @LStrAsg 00b6 TCollectionItem.Changed 00cb @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 86 00 00 00 8B 73 04 85 F6 74 6B 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5D 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 3B DE 74 3E 85 F6 74 3A 8D 55 F4 8B C6 8B 08 FF 51 0C 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4F 75 AB 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9972_0 {
	meta:
		name = "TWebActionItem.SetOnAction"
		size = 26
		refs = "0012 TCollectionItem.Changed"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 0C 8B 55 0C 89 50 10 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_9973_0 {
	meta:
		name = "TWebActionItem.SetPathInfo"
		size = 248
		refs = "0016 TWebActionItem.SetPathInfo 002a DosPathToUnixPath 004a @LStrInsert 0055 AnsiCompareText 0063 _Dn_TMask 0068 TMask.Create 0084 @LStrAsg 008c TObject.Free 00a0 @HandleAnyException 00ad @RaiseAgain 00b2 @DoneExcept 00c1 TCollectionItem.Changed 00d6 @LStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0A 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 1A 8B 45 F8 80 38 2F 74 12 8D 55 F8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 68 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 14 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 33 C0 89 43 1C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 43 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_9978_0 {
	meta:
		name = "TWebActionItems.GetAttr"
		size = 83
		refs = "0015 sHTTPItemName 001a LoadResString 0023 sHTTPItemURI 0031 sHTTPItemEnabled 003f sHTTPItemDefault 004d @LStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9979_0 {
	meta:
		name = "TWebActionItems.GetItemAttr"
		size = 212
		refs = "0023 TWebActionItems.GetActionItem 0040 @LStrLAsg 0059 TWebActionItems.GetItemAttr 0093 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 75 08 83 EA 01 72 0A 74 1B 4A 74 2E 4A 74 57 EB 7C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 0C EB 70 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 50 14 8B C6 E8 ?? ?? ?? ?? EB 5A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 78 1A 00 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 78 19 00 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9982_0 {
	meta:
		name = "TWebActionItems.SetItemName"
		size = 236
		refs = "001a TWebActionItems.SetItemName 0044 Format 0051 TWebActionItems.GetActionItem 006d CompareText 007e TCollection.GetCount 0096 _DV_TWebActionItem 009b @AsClass 00b8 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 8D 45 F4 50 8B 45 F8 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 2F 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 3B 75 FC 74 1E 8D 55 E8 8B C6 8B 08 FF 51 0C 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 75 05 FF 45 F8 EB 0C 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7C C6 8B C7 E8 ?? ?? ?? ?? 3B D8 7C 9A 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 0F 00 00 00 57 65 62 41 63 74 69 6F 6E 49 74 65 6D 25 64 00 }
	condition:
		$1
}

rule function_9984_0 {
	meta:
		name = "TCustomWebDispatcher.Create"
		size = 378
		refs = "0016 @ClassCreate 0026 TCustomWebDispatcher.Create 0031 RPR 0044 Application 0053 _DV_TCustomWebDispatcher 0058 @IsClass 0064 sOnlyOneDispatcher 0069 LoadResString 0073 _Dn_Exception 0078 Exception.Create 007d @RaiseExcept 0087 TComponent.GetComponentCount 009b TComponent.GetComponent 00dd TDataModule.CreateNew 00e2 _DV_TWebActionItem 00ec _DV_TWebActionItems 00f1 TWebActionItems.Create 0122 _DV_TCustomContentProducer 0135 TCustomContentProducer.SetDispatcher 014e @LStrClr 0154 @HandleFinally 0163 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 94 00 00 00 8B 45 F8 3B 05 ?? ?? ?? ?? 0F 84 85 00 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 41 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 C2 6A 00 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 8B 73 04 85 F6 74 3E 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 C6 33 FF 8B D7 8B 43 04 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 47 4E 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9985_0 {
	meta:
		name = "TCustomWebDispatcher.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0013 TDataModule.Destroy 001b TObject.Free 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9986_0 {
	meta:
		name = "TCustomWebDispatcher.ActionByName"
		size = 139
		refs = "0018 TCustomWebDispatcher.ActionByName 0029 TCollection.GetCount 0040 TWebActionItems.GetActionItem 0057 AnsiCompareText 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2F 43 33 FF 8B 45 FC 8B 40 50 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 55 F4 8B C6 8B 08 FF 51 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 D4 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9987_0 {
	meta:
		name = "TCustomWebDispatcher.DoAfterDispatch"
		size = 37
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 5E 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 60 FF 53 5C 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_9988_0 {
	meta:
		name = "TCustomWebDispatcher.DoBeforeDispatch"
		size = 37
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 56 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 58 FF 53 54 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_9989_0 {
	meta:
		name = "TCustomWebDispatcher.DispatchAction"
		size = 212
		refs = "0027 TCustomWebDispatcher.DoBeforeDispatch 004c TWebActionItems.GetActionItem 005d TWebActionItem.DispatchAction 007b TCollection.GetCount 00c0 TCustomWebDispatcher.DoAfterDispatch"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 89 14 24 8B F8 8B 04 24 89 47 48 89 6F 4C 33 F6 33 C0 89 44 24 08 8B CD 8B 14 24 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C5 8B 10 FF 52 40 84 C0 75 04 33 C0 EB 02 B0 01 88 44 24 04 EB 2A 8B 47 50 8B D6 E8 ?? ?? ?? ?? 8B D8 6A 00 8B CD 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 88 44 24 04 80 7B 19 00 74 04 89 5C 24 08 46 80 7C 24 04 00 75 0C 8B 47 50 E8 ?? ?? ?? ?? 3B F0 7C C3 80 7C 24 04 00 75 1C 83 7C 24 08 00 74 15 6A 01 8B CD 8B 54 24 04 8B 44 24 0C E8 ?? ?? ?? ?? 88 44 24 04 80 7C 24 04 00 74 1B 8B C5 8B 10 FF 52 40 84 C0 75 10 8B CD 8B 14 24 8B C7 E8 ?? ?? ?? ?? 88 44 24 04 8A 44 24 04 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9990_0 {
	meta:
		name = "TCustomWebDispatcher.GetAction"
		size = 9
		refs = "0004 TWebActionItems.GetActionItem"
	strings:
		$1 = { 8B 40 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9991_0 {
	meta:
		name = "TCustomWebDispatcher.Notification"
		size = 54
		refs = "0010 TComponent.Notification 001c _DV_TCustomContentProducer 0021 @IsClass 002e TCustomContentProducer.SetDispatcher"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9992_0 {
	meta:
		name = "TChartSeries.SetMarks"
		size = 9
		altNames = "TCustomWebDispatcher.SetActions"
	strings:
		$1 = { 8B 40 50 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_9993_0 {
	meta:
		name = "TWebModule.Create"
		size = 324
		refs = "001c @ClassCreate 002a TWebModule.Create 003a TCustomWebDispatcher.Create 0042 TObject.ClassType 0048 _DV_TCustomWebDispatcher 0069 InitInheritedComponent 007d TObject.ClassName 009b sResNotFound 00a0 LoadResString 00ad _Dn_EResNotFound 00b2 Exception.CreateFmt 00b7 @RaiseExcept 00ea @HandleAnyException 00ef Application 00f9 TApplication.HandleException 00fe @DoneExcept 0116 @LStrClr 011c @HandleFinally 012c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D EC FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 0F 84 B0 00 00 00 8B 45 FC F6 40 20 10 0F 85 A3 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 4A 8D 95 F0 FE FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 89 45 F0 C6 45 F4 04 8D 45 F0 50 6A 00 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 78 36 00 74 0C 8B 5D FC 8B 55 FC 8B 43 38 FF 53 34 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9994_0 {
	meta:
		name = "DoneVCLApplication"
		size = 87
		refs = "0001 Application 0018 ShowOwnedPopups 0026 TApplication.SetShowHint 0032 TComponent.Destroying 003e TComponent.DestroyComponents"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 8B 40 24 85 C0 74 0E 6A 00 8B 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9996_0 {
	meta:
		name = "TWebApplication.Create"
		size = 153
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TCriticalSection 0023 TCriticalSection.Create 002d _Dn_TBits 0032 TObject.Create 003c _Dn_TList 0063 IsLibrary 006d IsMultiThread 0075 DllProc 007b DLLExitProc 0086 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 C7 46 3C 20 00 00 00 C6 46 40 01 A1 ?? ?? ?? ?? 80 38 00 74 13 A1 ?? ?? ?? ?? C6 00 01 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9997_0 {
	meta:
		name = "TWebApplication.Destroy"
		size = 90
		refs = "0003 @BeforeDestruction 000c Application 0024 TObject.Free 0048 TComponent.Destroy 0053 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 33 D2 89 90 C8 00 00 00 89 90 CC 00 00 00 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9998_0 {
	meta:
		name = "TWebApplication.CreateForm"
		size = 97
		refs = "000a TWebApplication.CreateForm 0023 sOnlyOneDataModuleAllowed 0028 LoadResString 0032 _Dn_Exception 0037 Exception.Create 003c @RaiseExcept 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 78 24 00 75 05 89 50 24 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9999_0 {
	meta:
		name = "TWebApplication.ActivateWebModule"
		size = 307
		refs = "0013 TWebApplication.ActivateWebModule 0024 TCriticalSection.Enter 0054 sTooManyActiveConnections 0059 LoadResString 0063 _Dn_Exception 0068 Exception.Create 006d @RaiseExcept 0082 TList.Get 0092 TList.Delete 00a0 TList.Add 00d1 sNoDataModulesRegistered 0102 TCriticalSection.Leave 0108 @HandleFinally 011f @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F8 8B 45 FC 8B 40 3C 85 C0 7E 2C 8B 55 FC 8B 52 30 3B 42 08 7F 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 58 34 83 7B 08 00 7E 29 8B C3 33 D2 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 55 F8 E8 ?? ?? ?? ?? EB 48 8B 45 FC 8B 58 24 85 DB 74 1D 8B C3 8B 4D FC B2 01 FF 50 2C 89 45 F8 8B 45 FC 8B 40 30 8B 55 F8 E8 ?? ?? ?? ?? EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10000_0 {
	meta:
		name = "TWebApplication.DeactivateWebModule"
		size = 115
		refs = "0011 TCriticalSection.Enter 0019 TWebApplication.DeactivateWebModule 002c TList.Remove 0042 TList.Add 004b TObject.Free 0063 TCriticalSection.Leave 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 74 0F 8B 45 FC 8B 40 34 8B D3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_10002_0 {
	meta:
		name = "TWebApplication.GetActiveCount"
		size = 85
		refs = "0010 TCriticalSection.Enter 0018 TWebApplication.GetActiveCount 0042 TCriticalSection.Leave 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_10003_0 {
	meta:
		name = "TWebApplication.GetInactiveCount"
		size = 85
		refs = "0010 TCriticalSection.Enter 0018 TWebApplication.GetInactiveCount 0042 TCriticalSection.Leave 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_10004_0 {
	meta:
		name = "TWebApplication.HandleRequest"
		size = 314
		refs = "001b TWebApplication.HandleRequest 002d TWebApplication.ActivateWebModule 0051 _DV_TCustomWebDispatcher 0056 @IsClass 0069 TComponent.GetComponentCount 007d TComponent.GetComponent 00af TCustomWebDispatcher.DispatchAction 00d6 sNoDispatcherComponent 00db LoadResString 00e5 _Dn_Exception 00ea Exception.Create 00ef @RaiseExcept 0107 TWebApplication.DeactivateWebModule 010d @HandleFinally 0124 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 84 D5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 7D EC EB 3F 33 FF 8B 45 EC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 D5 85 FF 74 2C 8B 4D F4 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 74 37 8B 45 F4 8B 10 FF 52 40 84 C0 75 2B 8B 45 F4 8B 10 FF 52 34 EB 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10006_0 {
	meta:
		name = "TWebApplication.OnExceptionHandler"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 53 8B D1 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10007_0 {
	meta:
		name = "TWebApplication.SetCacheConnections"
		size = 143
		refs = "0022 TCriticalSection.Enter 002a TWebApplication.SetCacheConnections 004e TList.Get 0053 TObject.Free 0066 @CallDynaInst 007e TCriticalSection.Leave 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 3A 50 40 74 79 8B 45 FC 88 50 40 84 D2 75 6F 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 34 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 45 FC 8B 40 34 66 BB FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10008_0 {
	meta:
		name = "TWebApplication.Run"
		size = 48
		refs = "0004 IsLibrary 000e DoneVCLApplication 0013 AddExitProc 0018 Application 002a TWebApplication.OnExceptionHandler"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 89 98 CC 00 00 00 C7 80 C8 00 00 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10009_0 {
	meta:
		name = "HTTPDecode"
		size = 244
		refs = "0017 HTTPDecode 0024 @LStrLen 002e @LStrSetLength 0035 @LStrToPChar 0094 Format 009c StrToInt 00d1 @LStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B F0 EB 5B 8B D0 80 EA 25 74 09 80 EA 06 74 04 88 06 EB 49 3C 2B 75 05 C6 06 20 EB 40 43 80 3B 25 75 05 C6 06 25 EB 35 8B FB 43 8D 45 F8 50 8A 07 88 45 E8 C6 45 EC 02 8A 03 88 45 F0 C6 45 F4 02 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 06 46 43 8A 03 84 C0 75 9F 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B D6 2B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 24 25 73 25 73 00 00 00 }
	condition:
		$1
}

rule function_10010_0 {
	meta:
		name = "HTTPEncode"
		size = 188
		refs = "000d @LStrLen 0017 @LStrSetLength 001e @LStrToPChar 003f HTTPEncode 0076 FormatBuf"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 14 40 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 07 E8 ?? ?? ?? ?? 8B F0 EB 50 8B D0 80 C2 E0 80 FA 5F 77 0A 83 E2 7F 0F A3 15 ?? ?? ?? ?? 73 04 88 06 EB 34 3C 20 75 05 C6 06 2B EB 2B 6A 06 25 FF 00 00 00 89 44 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B C6 B9 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 46 43 8A 03 84 C0 75 AA 8B 07 E8 ?? ?? ?? ?? 8B D6 2B D0 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 00 00 00 92 67 FF 03 FF FF FF 87 FE FF FF 07 FF FF FF FF 06 00 00 00 25 25 25 2E 32 78 00 00 }
	condition:
		$1
}

rule function_10011_0 {
	meta:
		name = "_NF__118"
		size = 144
		altNames = "_NF__322"
	strings:
		$1 = { FF FF FF FF 03 00 00 00 4A 61 6E 00 FF FF FF FF 03 00 00 00 46 65 62 00 FF FF FF FF 03 00 00 00 4D 61 72 00 FF FF FF FF 03 00 00 00 41 70 72 00 FF FF FF FF 03 00 00 00 4D 61 79 00 FF FF FF FF 03 00 00 00 4A 75 6E 00 FF FF FF FF 03 00 00 00 4A 75 6C 00 FF FF FF FF 03 00 00 00 41 75 67 00 FF FF FF FF 03 00 00 00 53 65 70 00 FF FF FF FF 03 00 00 00 4F 63 74 00 FF FF FF FF 03 00 00 00 4E 6F 76 00 FF FF FF FF 03 00 00 00 44 65 63 00 }
	condition:
		$1
}

rule function_10012_0 {
	meta:
		name = "_NF__115"
		size = 84
		altNames = "_NF__325"
	strings:
		$1 = { FF FF FF FF 03 00 00 00 53 75 6E 00 FF FF FF FF 03 00 00 00 4D 6F 6E 00 FF FF FF FF 03 00 00 00 54 75 65 00 FF FF FF FF 03 00 00 00 57 65 64 00 FF FF FF FF 03 00 00 00 54 68 75 00 FF FF FF FF 03 00 00 00 46 72 69 00 FF FF FF FF 03 00 00 00 53 61 74 00 }
	condition:
		$1
}

rule function_10013_0 {
	meta:
		name = "GetMonth"
		size = 58
		refs = "0019 Months 0024 TParser.TokenSymbolIs"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC C7 03 01 00 00 00 EB 02 FF 03 8B 03 8B 14 85 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 75 05 83 3B 0D 7C E1 83 3B 0D 0F 9C C0 5B 5D C3 }
	condition:
		$1
}

rule function_10014_0 {
	meta:
		name = "GetTime"
		size = 103
		refs = "000d TParser.TokenInt 001a TParser.NextToken"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 2D 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 2D 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_10015_0 {
	meta:
		name = "ParseDate"
		size = 390
		refs = "000d _Dn_TStringStream 0012 TStringStream.Create 001d ParseDate 002d _Dn_TParser 0032 TParser.Create 004b TParser.NextToken 007b GetMonth 0090 TParser.TokenInt 00a0 GetTime 0121 EncodeDate 0138 EncodeTime 0154 TObject.Free 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 2D 3A 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 2D 2C 75 08 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 2D 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 67 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 2D 2D 75 08 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 2D 2D 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 FB 64 7D 06 81 C3 6C 07 00 00 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B CE 66 8B 55 FC 8B C3 E8 ?? ?? ?? ?? DD 5D D8 9B 6A 00 66 8B 4D EC 66 8B 55 F0 66 8B 45 F4 E8 ?? ?? ?? ?? DC 45 D8 DD 5D E4 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 E4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10016_0 {
	meta:
		name = "ExtractHeaderFields"
		size = 436
		refs = "0034 ExtractHeaderFields 007a @SetUnion 010d @LStrFromPChar 0118 HTTPDecode 015f @LStrArrayClr 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 DB 89 5D 94 89 5D 90 8B F2 8D 7D BA 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D DA 51 B9 08 00 00 00 F3 A5 59 89 4D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 01 01 00 00 8B 45 FC 80 38 00 0F 84 F5 00 00 00 8B 75 FC 33 DB C6 45 FA 00 EB 01 46 56 8D 75 BA 8D 7D 98 B9 08 00 00 00 F3 A5 5E 8D 45 98 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8A 06 25 FF 00 00 00 0F A3 45 98 72 D4 8B FE EB 01 46 84 DB 74 05 80 3E 22 75 F6 56 57 8D 75 DA 8D 7D 98 B9 08 00 00 00 F3 A5 5F 5E 8D 45 98 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8A 06 25 FF 00 00 00 0F A3 45 98 73 C9 80 3E 22 75 27 80 7D FA 00 74 0D 8A 45 FA 3A 06 75 06 C6 45 FA 00 EB 06 8A 06 88 45 FA 47 80 7D FA 00 0F 95 C3 84 DB 74 03 46 EB 9E 80 3E 00 0F 94 45 FB C6 06 00 80 3F 00 74 3D 80 7D 08 00 74 22 8D 45 90 8B D7 E8 ?? ?? ?? ?? 8B 45 90 8D 55 94 E8 ?? ?? ?? ?? 8B 55 94 8B 45 0C 8B 08 FF 51 34 EB 15 8D 45 94 8B D7 E8 ?? ?? ?? ?? 8B 55 94 8B 45 0C 8B 08 FF 51 34 46 80 7D FB 00 0F 84 17 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 24 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10017_0 {
	meta:
		name = "ExtractHTTPFields"
		size = 61
		refs = "0031 ExtractHeaderFields"
	strings:
		$1 = { 55 8B EC 83 C4 C0 56 57 8B F2 8D 7D C0 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B 45 08 50 6A 01 8D 55 C0 8D 45 E0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10018_0 {
	meta:
		name = "StatusString"
		size = 1588
		refs = "00da StatusString 0151 @LStrLAsg 031a @LStrClr"
	strings:
		$1 = { 53 8B DA 3D 91 01 00 00 0F 8F AE 00 00 00 0F 84 15 02 00 00 3D CE 00 00 00 7F 56 0F 84 98 01 00 00 3D CA 00 00 00 7F 2B 0F 84 53 01 00 00 83 E8 64 0F 84 12 01 00 00 48 0F 84 19 01 00 00 83 E8 63 0F 84 1E 01 00 00 48 0F 84 25 01 00 00 E9 C4 02 00 00 2D CB 00 00 00 0F 84 31 01 00 00 48 0F 84 38 01 00 00 48 0F 84 3F 01 00 00 E9 A6 02 00 00 3D 2F 01 00 00 7F 24 0F 84 73 01 00 00 2D 2C 01 00 00 0F 84 3E 01 00 00 48 0F 84 45 01 00 00 48 0F 84 4C 01 00 00 E9 7B 02 00 00 2D 30 01 00 00 0F 84 58 01 00 00 48 0F 84 5F 01 00 00 83 E8 5F 0F 84 64 01 00 00 E9 5B 02 00 00 3D 9A 01 00 00 7F 3B 0F 84 DE 01 00 00 05 6E FE FF FF 83 F8 07 0F 87 40 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D F5 01 00 00 7F 26 0F 84 D4 01 00 00 2D 9B 01 00 00 0F 84 9F 01 00 00 48 0F 84 A6 01 00 00 83 E8 58 0F 84 AB 01 00 00 E9 EC 01 00 00 2D F6 01 00 00 0F 84 B7 01 00 00 48 0F 84 BE 01 00 00 48 0F 84 C5 01 00 00 E9 CE 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 FF FF FF FF 08 00 00 00 43 6F 6E 74 69 6E 75 65 00 00 00 00 FF FF FF FF 13 00 00 00 53 77 69 74 63 68 69 6E 67 20 50 72 6F 74 6F 63 6F 6C 73 00 FF FF FF FF 02 00 00 00 4F 4B 00 00 FF FF FF FF 07 00 00 00 43 72 65 61 74 65 64 00 FF FF FF FF 08 00 00 00 41 63 63 65 70 74 65 64 00 00 00 00 FF FF FF FF 1D 00 00 00 4E 6F 6E 2D 41 75 74 68 6F 72 69 74 61 74 69 76 65 20 49 6E 66 6F 72 6D 61 74 69 6F 6E 00 00 00 FF FF FF FF 0A 00 00 00 4E 6F 20 43 6F 6E 74 65 6E 74 00 00 FF FF FF FF 0D 00 00 00 52 65 73 65 74 20 43 6F 6E 74 65 6E 74 00 00 00 FF FF FF FF 0F 00 00 00 50 61 72 74 69 61 6C 20 43 6F 6E 74 65 6E 74 00 FF FF FF FF 10 00 00 00 4D 75 6C 74 69 70 6C 65 20 43 68 6F 69 63 65 73 00 00 00 00 FF FF FF FF 11 00 00 00 4D 6F 76 65 64 20 50 65 72 6D 61 6E 65 6E 74 6C 79 00 00 00 FF FF FF FF 11 00 00 00 4D 6F 76 65 64 20 54 65 6D 70 6F 72 61 72 69 6C 79 00 00 00 FF FF FF FF 09 00 00 00 53 65 65 20 4F 74 68 65 72 00 00 00 FF FF FF FF 0C 00 00 00 4E 6F 74 20 4D 6F 64 69 66 69 65 64 00 00 00 00 FF FF FF FF 09 00 00 00 55 73 65 20 50 72 6F 78 79 00 00 00 FF FF FF FF 0B 00 00 00 42 61 64 20 52 65 71 75 65 73 74 00 FF FF FF FF 0C 00 00 00 55 6E 61 75 74 68 6F 72 69 7A 65 64 00 00 00 00 FF FF FF FF 10 00 00 00 50 61 79 6D 65 6E 74 20 52 65 71 75 69 72 65 64 00 00 00 00 FF FF FF FF 09 00 00 00 46 6F 72 62 69 64 64 65 6E 00 00 00 FF FF FF FF 09 00 00 00 4E 6F 74 20 46 6F 75 6E 64 00 00 00 FF FF FF FF 12 00 00 00 4D 65 74 68 6F 64 20 4E 6F 74 20 41 6C 6C 6F 77 65 64 00 00 FF FF FF FF 0F 00 00 00 4E 6F 6E 65 20 41 63 63 65 70 74 61 62 6C 65 00 FF FF FF FF 1D 00 00 00 50 72 6F 78 79 20 41 75 74 68 65 6E 74 69 63 61 74 69 6F 6E 20 52 65 71 75 69 72 65 64 00 00 00 FF FF FF FF 0F 00 00 00 52 65 71 75 65 73 74 20 54 69 6D 65 6F 75 74 00 FF FF FF FF 08 00 00 00 43 6F 6E 66 6C 69 63 74 00 00 00 00 FF FF FF FF 04 00 00 00 47 6F 6E 65 00 00 00 00 FF FF FF FF 0F 00 00 00 4C 65 6E 67 74 68 20 52 65 71 75 69 72 65 64 00 FF FF FF FF 0B 00 00 00 55 6E 6C 65 73 73 20 54 72 75 65 00 FF FF FF FF 15 00 00 00 49 6E 74 65 72 6E 61 6C 20 53 65 72 76 65 72 20 45 72 72 6F 72 00 00 00 FF FF FF FF 0F 00 00 00 4E 6F 74 20 49 6D 70 6C 65 6D 65 6E 74 65 64 00 FF FF FF FF 0B 00 00 00 42 61 64 20 47 61 74 65 77 61 79 00 FF FF FF FF 13 00 00 00 53 65 72 76 69 63 65 20 55 6E 61 76 61 69 6C 61 62 6C 65 00 FF FF FF FF 0F 00 00 00 47 61 74 65 77 61 79 20 54 69 6D 65 6F 75 74 00 }
	condition:
		$1
}

rule function_10019_0 {
	meta:
		name = "TranslateChar"
		size = 82
		refs = "0017 @LStrLAsg 001e @LStrLen 003b UniqueString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B C7 8B D3 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 22 BB 01 00 00 00 8B 07 8A 44 18 FF 3A 45 FF 75 0E 8B C7 E8 ?? ?? ?? ?? 8A 55 FE 88 54 18 FF 43 4E 75 E3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10020_0 {
	meta:
		name = "UnixPathToDosPath"
		size = 21
		refs = "000e TranslateChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 B1 5C B2 2F 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10021_0 {
	meta:
		name = "DosPathToUnixPath"
		size = 21
		refs = "000e TranslateChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 B1 2F B2 5C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10022_0 {
	meta:
		name = "MonthStr"
		size = 54
		refs = "0019 DecodeDate 0026 Months 002b @LStrLAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 8B C3 0F B7 55 FC 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10023_0 {
	meta:
		name = "DayOfWeekStr"
		size = 36
		refs = "000d DayOfWeek 0014 DaysOfWeek 001b @LStrLAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10024_0 {
	meta:
		name = "Finalization"
		size = 111
		refs = "0007 Finalization 0013 _DV_02 001a DaysOfWeek 0025 String 002a @FinalizeArray 002f Months 0044 TagSymbols 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3F B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10028_0 {
	meta:
		name = "TIBComponent.GetNativeHandle"
		size = 74
		refs = "0011 TDatabase.GetConnected 0032 DbiGetProp 0037 Check"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 73 24 85 F6 74 2F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 8D 44 24 04 50 6A 04 8D 44 24 08 50 68 03 00 04 04 8B 43 24 8B 40 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 33 C0 89 04 24 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10029_0 {
	meta:
		name = "TIBComponent.HandleIBErrors"
		size = 240
		refs = "001f TIBComponent.HandleIBErrors 002d @LStrClr 003e IscInterprete 0051 StrPas 005f @LStrCmp 0077 @LStrLen 0088 @LStrCat 00a1 _DV_EIBError 00a6 Exception.Create 00ab @RaiseExcept 00d0 @LStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 33 C9 89 8D F0 FE FF FF 89 4D F8 89 4D F4 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 85 F4 FE FF FF 50 FF 15 ?? ?? ?? ?? 8B D8 8D 95 F0 FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B 45 F4 E8 ?? ?? ?? ?? 74 32 8D 55 F4 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 85 DB 75 96 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10030_0 {
	meta:
		name = "TIBComponent.IsInterbaseDatabase"
		size = 80
		refs = "001f DbiGetProp 0024 Check 0029 TIBComponent.IsInterbaseDatabase 0032 StrIComp"
	strings:
		$1 = { 53 56 83 C4 BC 8B DA 33 C0 8B 73 3C 85 F6 74 2B 54 6A 40 8D 44 24 0A 50 68 02 00 04 00 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 44 24 02 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 83 C4 44 5E 5B C3 00 00 00 49 4E 54 52 42 41 53 45 00 00 00 00 }
	condition:
		$1
}

rule function_10031_0 {
	meta:
		name = "TIBComponent.SetDatabase"
		size = 41
		refs = "0012 TDatabase.GetConnected 001f TIBComponent.ValidateDatabase"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B 5E 24 74 1B 85 DB 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 5E 24 5E 5B C3 }
	condition:
		$1
}

rule function_10032_0 {
	meta:
		name = "TIBComponent.ValidateDatabase"
		size = 178
		refs = "0015 TIBComponent.ValidateDatabase 0026 TDatabase.GetConnected 0032 SInvalidDBConnection 0037 LoadResString 0041 _DV_EIBError 0046 Exception.Create 004b @RaiseExcept 0056 TIBComponent.IsInterbaseDatabase 0072 SInvalidDatabase 0086 Exception.CreateFmt 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 31 8B 43 08 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10033_0 {
	meta:
		name = "HandleEvent"
		size = 69
		refs = "000a HandleEvent 0018 TIBEventAlerter.HandleEvent 0027 @HandleAnyException 002c Application 0035 TApplication.HandleException 003a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10034_0 {
	meta:
		name = "IBEventCallback"
		size = 90
		refs = "0013 EnterCriticalSection 0021 TIBEventAlerter.UpdateResultBuffer 0033 HandleEvent 003f CreateThread 0045 CloseHandle 0051 LeaveCriticalSection"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5D 08 8B F3 8D 86 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B 4D 10 66 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 80 7E 38 00 74 1E 8D 45 FC 50 6A 00 53 68 ?? ?? ?? ?? 68 00 20 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 86 FC 03 00 00 50 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10035_0 {
	meta:
		name = "TIBEventAlerter.Create"
		size = 864
		refs = "000e @ClassCreate 001c TComponent.Create 0028 InitializeCriticalSection 002f _Dn_TStringList 0034 TObject.Create 0045 TIBEventAlerter.EventChange 004e TIBEventAlerter.Create 0053 LoadLibrary 0069 _Dn_EDLLLoadError 006e Exception.Create 0073 @RaiseExcept 0081 GetProcAddress 0089 IscQueEvents 00b9 IscInterprete 00e9 IscFree 0119 IscEventBlock 0149 IscEventCounts 0179 IscCancelEvents 01a0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 FC 03 00 00 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C 8B C6 89 58 20 C7 40 1C ?? ?? ?? ?? C6 40 19 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 83 FE 20 73 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 67 64 73 33 32 2E 64 6C 6C 00 00 00 FF FF FF FF 37 00 00 00 59 6F 75 20 6D 75 73 74 20 68 61 76 65 20 49 6E 74 65 72 62 61 73 65 20 69 6E 73 74 61 6C 6C 65 64 20 74 6F 20 75 73 65 20 74 68 69 73 20 63 6F 6D 70 6F 6E 65 6E 74 00 69 73 63 5F 71 75 65 5F 65 76 65 6E 74 73 00 00 FF FF FF FF 1F 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 71 75 65 5F 65 76 65 6E 74 73 00 69 73 63 5F 69 6E 74 65 72 70 72 65 74 65 00 00 FF FF FF FF 1F 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 69 6E 74 65 72 70 72 65 74 65 00 69 73 63 5F 66 72 65 65 00 00 00 00 FF FF FF FF 19 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 66 72 65 65 00 00 00 69 73 63 5F 65 76 65 6E 74 5F 62 6C 6F 63 6B 00 FF FF FF FF 20 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 65 76 65 6E 74 5F 62 6C 6F 63 6B 00 00 00 00 69 73 63 5F 65 76 65 6E 74 5F 63 6F 75 6E 74 73 00 00 00 00 FF FF FF FF 21 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 65 76 65 6E 74 5F 63 6F 75 6E 74 73 00 00 00 69 73 63 5F 63 61 6E 63 65 6C 5F 65 76 65 6E 74 73 00 00 00 FF FF FF FF 22 00 00 00 46 61 69 6C 65 64 20 74 6F 20 6C 6F 6F 6B 75 70 20 69 73 63 5F 63 61 6E 63 65 6C 5F 65 76 65 6E 74 73 00 00 }
	condition:
		$1
}

rule function_10036_0 {
	meta:
		name = "TIBEventAlerter.Destroy"
		size = 95
		refs = "0003 @BeforeDestruction 000e TIBEventAlerter.UnRegisterEvents 0017 TIBEventAlerter.SetDatabase 0027 TObject.Free 0033 DeleteCriticalSection 003f TComponent.Destroy 004d FreeLibrary 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 2C 33 D2 89 50 1C 89 50 20 E8 ?? ?? ?? ?? 8D 86 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 28 83 F8 20 72 06 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10037_0 {
	meta:
		name = "TIBEventAlerter.CancelEvents"
		size = 262
		refs = "0012 TIBEventAlerter.CancelEvents 002c SInvalidCancellation 0031 LoadResString 003b _DV_EIBError 0040 Exception.Create 0045 @RaiseExcept 006e EnterCriticalSection 007c TIBComponent.ValidateDatabase 0095 TIBComponent.GetNativeHandle 00af IscCancelEvents 00be TIBComponent.HandleIBErrors 00d9 LeaveCriticalSection 00df @HandleFinally 00f6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 33 D2 89 55 A4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 20 04 00 00 00 74 21 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 38 00 0F 84 8F 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 38 00 8B 45 FC C6 80 FA 03 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 05 1C 04 00 00 50 8D 45 F8 50 8D 45 A8 50 FF 15 ?? ?? ?? ?? 85 C0 74 0B 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_10038_0 {
	meta:
		name = "TIBEventAlerter.DoQueueEvents"
		size = 97
		refs = "000d TIBComponent.ValidateDatabase 0012 IBEventCallback 0019 TIBComponent.GetNativeHandle 0044 IscQueEvents 0053 TIBComponent.HandleIBErrors"
	strings:
		$1 = { 53 56 83 C4 AC 8B D8 8B 53 24 8B C3 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 04 24 53 56 8B 83 14 04 00 00 50 66 8B 83 18 04 00 00 50 8D 83 1C 04 00 00 50 8D 44 24 14 50 8D 44 24 1C 50 FF 15 ?? ?? ?? ?? 85 C0 74 0B 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? C6 43 38 01 83 C4 54 5E 5B C3 }
	condition:
		$1
}

rule function_10039_0 {
	meta:
		name = "TIBEventAlerter.EventChange"
		size = 198
		refs = "000d TIBEventAlerter.EventChange 0028 SInvalidEvent 002d LoadResString 0037 _DV_EIBError 003c Exception.Create 0041 @RaiseExcept 007a SMaximumEvents 00a0 TIBEventAlerter.RegisterEvents 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 43 2C 8B 08 FF 51 50 40 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 2C 8B 10 FF 52 14 83 F8 0F 7E 45 8B 73 2C 33 C0 89 46 1C 89 46 20 BA 0F 00 00 00 8B C6 8B 08 FF 51 44 8B 43 2C 89 58 20 C7 40 1C ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 39 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10040_0 {
	meta:
		name = "TIBEventAlerter.HandleEvent"
		size = 423
		refs = "0015 TIBEventAlerter.HandleEvent 0037 EnterCriticalSection 006a IscEventCounts 0112 @HandleAnyException 0117 Application 0120 TApplication.HandleException 0125 @DoneExcept 0152 TIBEventAlerter.DoQueueEvents 0177 LeaveCriticalSection 017d @HandleFinally 0194 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 D2 89 55 98 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC C6 80 20 04 00 00 01 8B 45 FC 8B 80 24 04 00 00 50 8B 45 FC 8B 80 14 04 00 00 50 8B 45 FC 66 8B 80 18 04 00 00 50 8D 45 9C 50 FF 15 ?? ?? ?? ?? C6 45 FB 00 8B 45 FC 66 83 78 32 00 0F 84 B5 00 00 00 8B 45 FC 80 B8 FA 03 00 00 00 0F 85 A5 00 00 00 8B 45 FC 8B 40 2C 8B 10 FF 52 14 48 85 C0 0F 8C 91 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8D 45 9C 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 83 38 00 74 3C 80 7D FB 00 75 36 8B 45 EC 8B 00 50 8D 45 FB 50 8B 45 FC 8B 58 2C 8B C3 8B 10 FF 52 14 8B D0 2B 55 F4 4A 8D 4D 98 8B C3 8B 18 FF 53 0C 8B 4D 98 8B 5D FC 8B 55 FC 8B 43 34 FF 53 30 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 83 45 EC 04 FF 4D F0 75 80 8B 45 FC C6 80 FA 03 00 00 00 80 7D FB 00 75 11 8B 45 FC 80 78 38 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 20 04 00 00 00 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10041_0 {
	meta:
		name = "TIBEventAlerter.Loaded"
		size = 109
		refs = "000e TComponent.Loaded 0016 TIBEventAlerter.Loaded 0030 TIBEventAlerter.RegisterEvents 003f @HandleAnyException 004d Application 0057 TApplication.HandleException 005e @RaiseAgain 0063 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 21 04 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 74 11 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10042_0 {
	meta:
		name = "TIBEventAlerter.Notification"
		size = 46
		refs = "0010 TComponent.Notification 0021 TIBEventAlerter.UnRegisterEvents"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B 77 24 75 0C 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10043_0 {
	meta:
		name = "TIBEventAlerter.QueueEvents"
		size = 238
		refs = "0012 TIBEventAlerter.QueueEvents 0029 SNoEventsRegistered 002e LoadResString 0038 _DV_EIBError 003d Exception.Create 0042 @RaiseExcept 0056 SInvalidQueueing 0094 EnterCriticalSection 009c TIBEventAlerter.DoQueueEvents 00c1 LeaveCriticalSection 00c7 @HandleFinally 00de @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 39 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 20 04 00 00 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 38 00 75 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 FA 03 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 FC 03 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_10044_0 {
	meta:
		name = "TIBEventAlerter.RegisterEvents"
		size = 271
		refs = "0014 TIBEventAlerter.RegisterEvents 0024 TIBComponent.ValidateDatabase 003a TIBEventAlerter.UnRegisterEvents 0081 StrPCopy 00c5 IscEventBlock 00e7 TIBEventAlerter.QueueEvents 00fc @LStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 24 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 09 C6 43 39 01 E9 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 2C 8B 10 FF 52 14 85 C0 0F 84 9D 00 00 00 8B 43 2C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2E 46 C7 45 FC 00 00 00 00 8D 4D E8 8B 55 FC 8B 43 2C 8B 38 FF 57 0C 8B 55 E8 8B 45 FC C1 E0 03 8D 44 C3 3A E8 ?? ?? ?? ?? FF 45 FC 4E 75 DA 8B 43 2C 8B 10 FF 52 14 89 45 FC 8D 43 3A 89 45 F8 8D 83 14 04 00 00 89 45 F0 8D 83 24 04 00 00 89 45 F4 8B 4D FC 8B 45 F8 50 83 C0 40 E2 FA FF 75 FC FF 75 F4 FF 75 F0 FF 15 ?? ?? ?? ?? 89 45 EC 8B 45 FC C1 E0 02 83 C0 0C 01 C4 8B 45 EC 89 83 18 04 00 00 C6 43 39 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10045_0 {
	meta:
		name = "TIBEventAlerter.SetEvents"
		size = 13
		altNames = "TIdHTTPRequestInfo.SetHeaders TIdHTTPResponseInfo.SetHeaders TIdNetworkCalculator.SetNetworkMask TPostMessage.SetLinesBody"
	strings:
		$1 = { 56 8B F0 8B 46 2C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10046_0 {
	meta:
		name = "TIBEventAlerter.SetDatabase"
		size = 48
		refs = "000e TIBEventAlerter.UnRegisterEvents 0019 TDatabase.GetConnected 0026 TIBComponent.ValidateDatabase"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 24 74 22 8B C3 E8 ?? ?? ?? ?? 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_10047_0 {
	meta:
		name = "TIBEventAlerter.SetRegistered"
		size = 35
		refs = "0017 TIBEventAlerter.RegisterEvents 001e TIBEventAlerter.UnRegisterEvents"
	strings:
		$1 = { F6 40 20 02 74 07 88 90 21 04 00 00 C3 3A 50 39 74 10 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10048_0 {
	meta:
		name = "TIBEventAlerter.UnRegisterEvents"
		size = 174
		refs = "000c TIBEventAlerter.UnRegisterEvents 0023 SInvalidRegistration 0028 LoadResString 0032 _DV_EIBError 0037 Exception.Create 003c @RaiseExcept 0055 TIBEventAlerter.CancelEvents 0068 IscFree 009e @LStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 20 04 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 20 10 74 06 C6 43 39 00 EB 41 F6 43 20 01 75 3B 8B C3 E8 ?? ?? ?? ?? 80 7B 39 00 74 2A 8B 83 14 04 00 00 50 FF 15 ?? ?? ?? ?? 33 C0 89 83 14 04 00 00 8B 83 24 04 00 00 50 FF 15 ?? ?? ?? ?? 33 C0 89 83 24 04 00 00 C6 43 39 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10049_0 {
	meta:
		name = "TIBEventAlerter.UpdateResultBuffer"
		size = 34
	strings:
		$1 = { 53 56 57 0F B7 F2 4E 85 F6 7C 13 46 33 D2 8A 1C 11 8B B8 24 04 00 00 88 1C 17 42 4E 75 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10052_0 {
	meta:
		name = "EditAlerterEvents"
		size = 307
		refs = "0015 EditAlerterEvents 0025 Application 002e _DV_TIBEAEventsEditor 0033 TCustomForm.Create 007c TStringGrid.SetCells 00b5 TStringGrid.GetCells 00bd @LStrLen 0100 TObject.Free 0106 @HandleFinally 011d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 50 8B 45 F4 8B 80 CC 02 00 00 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 43 4E 75 D6 8B 45 F4 8B 10 FF 92 CC 00 00 00 48 75 5D C6 45 FB 01 8B 45 FC 8B 10 FF 52 40 33 DB 8D 45 F0 50 8B 45 F4 8B 80 CC 02 00 00 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 24 8D 45 F0 50 8B 45 F4 8B 80 CC 02 00 00 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 34 43 83 FB 0F 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10053_0 {
	meta:
		name = "TIBEAEventsEditor.FormCreate"
		size = 98
		refs = "000d TIBEAEventsEditor.FormCreate 0022 IntToStr 0036 TStringGrid.SetCells 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB 49 33 D2 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 43 83 FB 10 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10058_0 {
	meta:
		name = "TIdAntiFreeze.Process"
		size = 61
		refs = "000a Application 0011 TApplication.ProcessMessages 0025 PeekMessage 0035 TApplication.HandleMessage"
	strings:
		$1 = { 83 C4 E4 80 78 25 00 74 0E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 22 6A 00 6A 00 6A 00 6A 00 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 C4 1C C3 }
	condition:
		$1
}

rule function_10062_0 {
	meta:
		name = "TIdAntiFreezeBase.Create"
		size = 178
		refs = "000f @ClassCreate 001b TIdAntiFreezeBase.Create 002a TComponent.Create 0036 GAntiFreeze 0041 RSOnlyOneAntiFreeze 0046 LoadResString 0050 _DV_EIdMoreThanOneTIdAntiFreeze 0055 Exception.Create 005a @RaiseExcept 008a @LStrClr 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? F6 46 20 10 74 2C 83 3D ?? ?? ?? ?? 00 74 29 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 06 89 35 ?? ?? ?? ?? C6 46 24 01 C6 46 25 01 C7 46 28 FA 00 00 00 C6 46 2C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10063_0 {
	meta:
		name = "TIdAntiFreezeBase.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000e GAntiFreeze 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 A3 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10064_0 {
	meta:
		name = "TIdAntiFreezeBase.DoProcess"
		size = 71
		refs = "0009 GAntiFreeze 0011 InMainThread"
	strings:
		$1 = { 53 51 88 0C 24 8B DA 83 3D ?? ?? ?? ?? 00 74 34 E8 ?? ?? ?? ?? 84 C0 74 2B A1 ?? ?? ?? ?? 80 78 2C 00 0F 94 C0 0A D8 75 06 80 3C 24 00 74 15 A1 ?? ?? ?? ?? 80 78 24 00 74 0A A1 ?? ?? ?? ?? 8B 10 FF 52 30 5A 5B C3 }
	condition:
		$1
}

rule function_10067_0 {
	meta:
		name = "TIdBaseComponent.GetVersion"
		size = 36
		refs = "0006 TIdBaseComponent.GetVersion 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 06 00 00 00 38 2E 30 2E 32 32 00 00 }
	condition:
		$1
}

rule function_10070_0 {
	meta:
		name = "TIdChargenServer.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 13 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10071_0 {
	meta:
		name = "TIdChargenServer.DoExecute"
		size = 179
		refs = "0012 TIdChargenServer.DoExecute 003b @LStrFromChar 009d @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 C6 45 FF 01 BB 01 00 00 00 BE 01 00 00 00 8B 7A 3C EB 4D 8D 45 F4 8D 53 1F E8 ?? ?? ?? ?? 8B 55 F4 8B C7 8B 08 FF 91 80 00 00 00 43 46 83 FE 48 75 24 33 D2 8B C7 8B 08 FF 91 84 00 00 00 BE 01 00 00 00 FF 45 F8 83 7D F8 5F 75 07 C7 45 F8 01 00 00 00 8B 5D F8 83 FB 5F 75 05 BB 01 00 00 00 8B C7 8B 10 FF 52 54 84 C0 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10074_0 {
	meta:
		name = "RegisterCoderClass"
		size = 132
		refs = "0012 @LStrAddRef 0022 RegisterCoderClass 002d CoderCollective 0032 TIdCoderCollection.AddCoder 004b @LStrAsg 0070 @LStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F0 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 77 18 88 5F 0C 8A 45 FF 88 47 0D 8D 47 10 8B 55 0C E8 ?? ?? ?? ?? 8D 47 14 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10075_0 {
	meta:
		name = "IncQWord"
		size = 91
	strings:
		$1 = { 8B 08 3B D1 73 04 8B CA EB 02 89 10 8B 10 81 E2 00 00 00 80 81 FA 00 00 00 80 75 3C 01 08 F6 40 03 80 74 36 8B 50 04 81 E2 00 00 00 80 81 FA 00 00 00 80 75 1F FF 40 04 8B 50 04 81 E2 00 00 00 80 81 FA 00 00 00 80 74 11 33 D2 89 10 33 D2 89 50 04 EB 06 FF 40 04 C3 01 08 C3 }
	condition:
		$1
}

rule function_10076_0 {
	meta:
		name = "TIdCoder.Create"
		size = 168
		refs = "000a @ClassCreate 0017 TComponent.Create 005c @LStrClr 0077 _Dn_TStringList 007c TObject.Create 008a @LStrSetLength 0095 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 40 00 10 00 00 C6 46 24 00 C6 46 25 00 33 C0 89 46 26 33 C0 89 46 2A 33 C0 89 46 2E 33 C0 89 46 32 33 C0 89 46 36 33 C0 89 46 3A C6 46 58 00 C6 46 52 00 C6 46 50 00 C6 46 51 00 8D 46 4C E8 ?? ?? ?? ?? C6 46 70 00 8D 46 54 E8 ?? ?? ?? ?? C6 46 71 00 C6 46 72 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 6C 8D 46 48 8B 56 40 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10077_0 {
	meta:
		name = "TIdCoder.Reset"
		size = 27
		refs = "0009 TIdCoder.InternSetBufferSize"
	strings:
		$1 = { 53 8B D8 8B 53 40 8B C3 E8 ?? ?? ?? ?? C6 43 52 00 8B 43 6C 8B 10 FF 52 40 5B C3 }
	condition:
		$1
}

rule function_10079_0 {
	meta:
		name = "TIdCoder.Coder"
		size = 115
		refs = "000c TIdCoder.Coder 001d @LStrSetLength 0025 UniqueString 0037 Move 0049 TIdCoder.OutputString 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 40 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 43 48 E8 ?? ?? ?? ?? 8B 4B 40 5A E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10080_0 {
	meta:
		name = "TIdCoder.CompleteCoding"
		size = 125
		refs = "000c TIdCoder.CompleteCoding 001d @LStrSetLength 0025 UniqueString 003f Move 0049 TIdCoder.OutputString 0053 TIdCoder.IncByteCount 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 44 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 43 48 E8 ?? ?? ?? ?? 8B 4B 44 5A E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 53 44 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10081_0 {
	meta:
		name = "TIdCoder.CodeStringFromCoder"
		size = 63
		refs = "000a TIdCoder.CodeStringFromCoder 001a TIdCoder.CodeString 002f @LStrClr 0035 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 87 D1 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10082_0 {
	meta:
		name = "TIdCoder.CodeString"
		size = 299
		refs = "0019 @LStrAddRef 0021 TIdCoder.CodeString 0032 @LStrLAsg 003a @LStrLen 0044 IncQWord 0063 UniqueString 0079 Move 0092 @LStrCopy 00da @LStrClr 0118 @LStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 43 2E E8 ?? ?? ?? ?? E9 91 00 00 00 8B 73 40 2B 73 44 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 7F 46 8D 43 48 E8 ?? ?? ?? ?? 8B 53 44 03 C2 50 8D 45 F8 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 56 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 40 89 43 44 8B C3 8B 10 FF 52 30 EB 39 8D 43 48 E8 ?? ?? ?? ?? 8B 53 44 03 C2 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 01 43 44 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 85 65 FF FF FF 80 7B 25 00 74 0B 8B D7 8B C3 8B 08 FF 51 38 EB 09 8B D7 8B C3 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10083_0 {
	meta:
		name = "TIdCoder.CompletedInput"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 43 52 01 8B C3 8B 10 FF 52 34 8B D6 8B C3 8B 08 FF 51 40 5E 5B C3 }
	condition:
		$1
}

rule function_10084_0 {
	meta:
		name = "TIdCoder.IncByteCount"
		size = 9
		refs = "0004 IncQWord"
	strings:
		$1 = { 83 C0 26 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10085_0 {
	meta:
		name = "TIdCoder.SetKey"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10086_0 {
	meta:
		name = "TIdCoder.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 6C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10087_0 {
	meta:
		name = "TIdCoder.OutputNotification"
		size = 168
		refs = "0016 @LStrAddRef 001e TIdCoder.OutputNotification 004b IntToStr 0063 @LStrCatN 0088 @LStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 72 00 74 17 66 83 7B 66 00 74 3D 8B 45 FC 50 8B CE 8B D3 8B 43 68 FF 53 64 EB 2D 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 6C 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_10088_0 {
	meta:
		name = "TIdCoder.OutputString"
		size = 248
		refs = "0013 @LStrAddRef 001b TIdCoder.OutputString 0041 @LStrCatN 004e @LStrLAsg 0056 @LStrLen 0060 IncQWord 0084 IntToStr 00c1 @LStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 24 00 74 1C FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 43 36 E8 ?? ?? ?? ?? 80 7B 72 00 74 14 66 83 7B 5E 00 74 3A 8B 4D F8 8B D3 8B 43 60 FF 53 5C EB 2D 8D 55 F0 33 C0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 6C 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_10089_0 {
	meta:
		name = "TIdCoder.InternSetBufferSize"
		size = 47
		refs = "000a @LStrLen 0018 @LStrSetLength 0020 UniqueString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 48 E8 ?? ?? ?? ?? 3B F0 7E 12 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? 89 73 40 33 C0 89 43 44 5E 5B C3 }
	condition:
		$1
}

rule function_10090_0 {
	meta:
		name = "TIdCoder.GetNotification"
		size = 352
		refs = "0015 TIdCoder.GetNotification 0037 @LStrClr 0076 @LStrLAsg 009a Fetch 00db @LStrCat 010f @LStrCat3 0133 @LStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 51 00 74 1B 80 7E 50 00 74 15 8B 46 6C 8B 10 FF 52 40 8B 45 FC E8 ?? ?? ?? ?? E9 DD 00 00 00 8B 46 6C 8B 10 FF 52 14 85 C0 0F 8E C5 00 00 00 8D 4D F8 33 D2 8B 46 6C 8B 18 FF 53 0C 8B 45 F8 80 38 30 74 1A 33 D2 8B 46 6C 8B 08 FF 51 44 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? E9 9E 00 00 00 33 DB 33 D2 8B 46 6C 8B 08 FF 51 44 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5F 8B 46 6C 8B 10 FF 52 14 85 C0 7E 43 8D 4D F4 33 D2 8B 46 6C 8B 38 FF 57 0C 8B 45 F4 80 38 30 75 2A 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 D2 8B 46 6C 8B 08 FF 51 44 EB 06 B3 01 EB 02 B3 01 8B 46 6C 8B 10 FF 52 14 85 C0 75 02 B3 01 84 DB 74 9D 8B 45 FC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 FF FF FF FF 02 00 00 00 30 3B 00 00 }
	condition:
		$1
}

rule function_10091_0 {
	meta:
		name = "TIdCoder.GetCodedData"
		size = 284
		refs = "0014 TIdCoder.GetCodedData 0035 @LStrClr 0073 @LStrLAsg 0085 Fetch 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 51 00 74 1A 80 7B 50 00 74 14 8B 43 6C 8B 10 FF 52 40 8B C6 E8 ?? ?? ?? ?? E9 A3 00 00 00 8B 43 6C 8B 10 FF 52 14 85 C0 0F 8E 8C 00 00 00 8D 4D FC 33 D2 8B 43 6C 8B 38 FF 57 0C 8B 45 FC 80 38 30 75 28 33 D2 8B 43 6C 8B 08 FF 51 44 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C6 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 80 7B 51 00 74 40 8B 43 6C 8B 10 FF 52 14 89 45 F8 EB 13 33 D2 8B 43 6C 8B 08 FF 51 44 FF 4D F8 83 7D F8 00 7E 15 8D 4D F4 33 D2 8B 43 6C 8B 38 FF 57 0C 8B 45 F4 80 38 30 75 D8 8B D6 8B C3 8B 08 FF 51 3C EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_10092_0 {
	meta:
		name = "TIdCoderCollection.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TCollection.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10093_0 {
	meta:
		name = "TIdCoderCollection.Add"
		size = 15
		refs = "0009 TCollection.Add"
	strings:
		$1 = { 53 8B D8 FF 43 18 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10096_0 {
	meta:
		name = "TIdCoderCollection.GetExactCoderType"
		size = 242
		refs = "001d @LStrAddRef 002d TIdCoderCollection.GetExactCoderType 0045 TIdCoderCollection.GetCoder 005a LowerCase 0072 @LStrCmp 00af TCollection.GetCount 00cd @LStrArrayClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 DB EB 6C 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8A 45 08 3A 46 0C 75 58 8D 55 F0 8B 46 14 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 33 8D 55 F0 8B 46 10 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F4 EB 0C 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7C 89 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10097_0 {
	meta:
		name = "TIdCoderCollection.GetCoderType"
		size = 408
		refs = "001d @LStrAddRef 002d TIdCoderCollection.GetCoderType 0049 TIdCoderCollection.GetExactCoderType 006a TIdCoderCollection.GetCoder 007f LowerCase 0097 @LStrCmp 00b0 TCollection.GetCount 014f @LStrArrayClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8A 45 08 50 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 DF 00 00 00 33 F6 C6 45 F3 00 83 7D F8 00 74 55 EB 48 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 8A 45 08 3A 43 0C 75 34 8D 55 EC 8B 43 14 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 75 0F 83 7D F8 00 74 09 89 5D F4 C6 45 F3 01 EB 0C 46 8B C7 E8 ?? ?? ?? ?? 3B F0 7C AD 80 7D F3 00 75 5B 83 7D FC 00 74 55 EB 48 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 8A 45 08 3A 43 0C 75 34 8D 55 EC 8B 43 10 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 75 0F 83 7D FC 00 74 09 89 5D F4 C6 45 F3 01 EB 0C 46 8B C7 E8 ?? ?? ?? ?? 3B F0 7C AD 80 7D F3 00 75 1A 8A 45 08 50 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F4 EB 03 89 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 18 00 00 00 61 70 70 6C 69 63 61 74 69 6F 6E 2F 6F 63 74 65 74 2D 73 74 72 65 61 6D 00 00 00 00 }
	condition:
		$1
}

rule function_10099_0 {
	meta:
		name = "IdCoder"
		size = 112
		refs = "0002 _DV_4 000b _DV_TIdCoderItem 0012 _DV_TIdCoderCollection 0017 TIdCoderCollection.Create 001c CoderCollective 0021 IdCoder 002c _DV_TIdCoder 0031 RegisterCoderClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 41 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 33 C9 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 18 00 00 00 61 70 70 6C 69 63 61 74 69 6F 6E 2F 6F 63 74 65 74 2D 73 74 72 65 61 6D 00 00 00 00 }
	condition:
		$1
}

rule function_10100_0 {
	meta:
		name = "_NF__81"
		size = 76
	strings:
		$1 = { FF FF FF FF 40 00 00 00 41 42 43 44 45 46 47 48 49 4A 4B 4C 4D 4E 4F 50 51 52 53 54 55 56 57 58 59 5A 61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70 71 72 73 74 75 76 77 78 79 7A 30 31 32 33 34 35 36 37 38 39 2B 2F 00 00 00 00 }
	condition:
		$1
}

rule function_10101_0 {
	meta:
		name = "_NF__83"
		size = 76
	strings:
		$1 = { FF FF FF FF 40 00 00 00 60 21 22 23 24 25 26 27 28 29 2A 2B 2C 2D 2E 2F 30 31 32 33 34 35 36 37 38 39 3A 3B 3C 3D 3E 3F 40 41 42 43 44 45 46 47 48 49 4A 4B 4C 4D 4E 4F 50 51 52 53 54 55 56 57 58 59 5A 5B 5C 5D 5E 5F 00 00 00 00 }
	condition:
		$1
}

rule function_10102_0 {
	meta:
		name = "_NF__85"
		size = 76
	strings:
		$1 = { FF FF FF FF 40 00 00 00 2B 2D 30 31 32 33 34 35 36 37 38 39 41 42 43 44 45 46 47 48 49 4A 4B 4C 4D 4E 4F 50 51 52 53 54 55 56 57 58 59 5A 61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70 71 72 73 74 75 76 77 78 79 7A 00 00 00 00 }
	condition:
		$1
}

rule function_10103_0 {
	meta:
		name = "FetchEOL"
		size = 196
		refs = "000a IndyPos 0013 FetchEOL 003a @LStrLAsg 0041 @LStrClr 0052 Fetch"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 35 ?? ?? ?? ?? 8B 36 8B 13 B8 ?? ?? ?? ?? FF D6 8B F0 8B 2D ?? ?? ?? ?? 8B 6D 00 8B 13 B8 ?? ?? ?? ?? FF D5 85 F6 75 27 85 C0 75 12 8B C7 8B 13 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 51 57 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8B D0 4A 3B F2 75 11 57 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 3B C6 7F 04 85 C0 75 11 57 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F 57 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10104_0 {
	meta:
		name = "TIdASCIICoder.Create"
		size = 88
		refs = "000d @ClassCreate 001b TIdCoder.Create 002b @LStrSetLength 0033 UniqueString 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 78 85 C0 7E 11 8D 53 74 92 E8 ?? ?? ?? ?? 8D 43 74 E8 ?? ?? ?? ?? C6 43 70 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_10105_0 {
	meta:
		name = "TIdASCIICoder.GetTableIndex"
		size = 128
		refs = "000f TIdASCIICoder.GetTableIndex 001f @LStrFromChar 0028 IndyPos 003f RSCoderNoTableEntryNotFound 0044 LoadResString 004e _DV_EIdTableNotFound 0053 Exception.Create 0058 @RaiseExcept 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 1D ?? ?? ?? ?? 8B 1B 8B 56 74 FF D3 48 8B D8 83 FB FF 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10106_0 {
	meta:
		name = "TIdASCIICoder.SetCodingTable"
		size = 76
		refs = "000e @LStrAddRef 0016 TIdASCIICoder.SetCodingTable 0027 @LStrAsg 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 74 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10107_0 {
	meta:
		name = "TId3To4Coder.Create"
		size = 60
		refs = "000a @ClassCreate 001e TIdASCIICoder.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 78 40 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10109_0 {
	meta:
		name = "TId3To4Coder.Code3To4"
		size = 119
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B 45 18 33 DB 8A DA C1 EB 02 83 E3 3F 8B 7E 74 8A 1C 1F 8B 7D 14 88 1F 81 E2 FF 00 00 00 C1 E2 04 33 DB 8A D9 C1 EB 04 0B D3 83 E2 3F 8B 5E 74 8A 14 13 8B 5D 10 88 13 33 D2 8A D1 C1 E2 02 33 C9 8A C8 C1 E9 06 0B D1 83 E2 3F 8B 4E 74 8A 14 11 8B 4D 0C 88 11 24 3F 25 FF 00 00 00 8B 56 74 8A 04 02 8B 55 08 88 02 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_10110_0 {
	meta:
		name = "TId3To4Coder.Code4To3"
		size = 106
		refs = "0014 TIdASCIICoder.GetTableIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FF 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 C1 E3 12 8A 55 FF 8B C6 E8 ?? ?? ?? ?? C1 E0 0C 0B D8 8A 55 18 8B C6 E8 ?? ?? ?? ?? C1 E0 06 0B D8 8A 55 14 8B C6 E8 ?? ?? ?? ?? 0B D8 89 5D F8 8B 45 10 8A 55 FA 88 10 8B 45 0C 8A 55 F9 88 10 8B 45 08 8A 55 F8 88 10 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_10111_0 {
	meta:
		name = "TId3To4Coder.CodeLine3To4"
		size = 171
		refs = "0035 @LStrSetLength 003c UniqueString 0092 TId3To4Coder.Code3To4"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 77 40 C1 E6 02 8B C6 B9 03 00 00 00 33 D2 F7 F1 8D 1C 40 3B DE 74 03 83 C3 04 8B C3 B9 03 00 00 00 33 D2 F7 F1 8B D8 8B C5 8B D3 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? BE 01 00 00 00 BB 01 00 00 00 EB 50 8B 47 48 8A 44 30 01 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 FF 50 8B C5 E8 ?? ?? ?? ?? 03 C3 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 01 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 02 50 8B 47 48 8A 0C 30 8B 47 48 8A 54 30 FF 8B C7 E8 ?? ?? ?? ?? 83 C6 03 83 C3 04 3B 77 44 76 AB 33 C0 89 47 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10112_0 {
	meta:
		name = "TId3To4Coder.CompleteLine3To4"
		size = 429
		refs = "0036 @LStrSetLength 003d UniqueString 0096 TId3To4Coder.Code3To4"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 8B 4E 44 8B C1 BB 03 00 00 00 33 D2 F7 F3 89 04 24 8B 1C 24 C1 E3 02 8B 04 24 8D 04 40 89 04 24 3B 0C 24 74 03 83 C3 04 8B C5 8B D3 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? BF 01 00 00 00 BB 01 00 00 00 3B 3C 24 77 55 8B 46 48 8A 44 38 01 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 FF 50 8B C5 E8 ?? ?? ?? ?? 03 C3 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 01 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 02 50 8B 46 48 8A 0C 38 8B 46 48 8A 54 38 FF 8B C6 E8 ?? ?? ?? ?? 83 C7 03 83 C3 04 3B 3C 24 76 AB 8B 46 44 2B 04 24 89 04 24 83 3C 24 00 0F 86 EA 00 00 00 8B 04 24 48 74 0F 48 74 51 48 0F 84 90 00 00 00 E9 D5 00 00 00 6A 00 8B C5 E8 ?? ?? ?? ?? 8D 44 18 FF 50 8B C5 E8 ?? ?? ?? ?? 03 C3 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 01 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 02 50 8B 46 48 8A 54 38 FF 33 C9 8B C6 E8 ?? ?? ?? ?? E9 90 00 00 00 6A 00 8B C5 E8 ?? ?? ?? ?? 8D 44 18 FF 50 8B C5 E8 ?? ?? ?? ?? 03 C3 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 01 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 02 50 8B 46 48 8A 0C 38 8B 46 48 8A 54 38 FF 8B C6 E8 ?? ?? ?? ?? EB 4A 8B 46 48 8A 44 38 01 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 FF 50 8B C5 E8 ?? ?? ?? ?? 03 C3 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 01 50 8B C5 E8 ?? ?? ?? ?? 8D 44 18 02 50 8B 46 48 8A 0C 38 8B 46 48 8A 54 38 FF 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 44 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10113_0 {
	meta:
		name = "TId3To4Coder.CodeLine4To3"
		size = 219
		refs = "0015 TId3To4Coder.CodeLine4To3 0028 @LStrClr 005a TId3To4Coder.Code4To3 0068 @LStrFromChar 0094 @LStrCatN 00a6 @LStrLAsg 00c0 @LStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 FC E8 ?? ?? ?? ?? EB 6D 8B 43 48 8A 44 30 01 50 8B 43 48 8A 44 30 02 50 8D 45 FB 50 8D 45 FA 50 8D 45 F9 50 8B 43 48 8A 0C 30 8B 43 48 8A 54 30 FF 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 45 F4 8A 55 FB E8 ?? ?? ?? ?? FF 75 F4 8D 45 F0 8A 55 FA E8 ?? ?? ?? ?? FF 75 F0 8D 45 EC 8A 55 F9 E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 83 C6 04 3B 73 44 72 8E 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10114_0 {
	meta:
		name = "TIdBase64Decoder.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TId3To4Coder.Create 0020 Base64CodeTable 0025 @LStrAsg 0030 @AfterConstruction"
		altNames = "TIdBase64Encoder.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 74 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10139_0 {
	meta:
		name = "TIdXXDecoder.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TIdUUDecoder.Create 0020 XXCodeTable 0025 @LStrAsg 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 74 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10137_0 {
	meta:
		name = "TIdXXEncoder.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TIdUUEncoder.Create 0020 XXCodeTable 0025 @LStrAsg 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 74 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10116_0 {
	meta:
		name = "TIdBase64Encoder.Coder"
		size = 85
		refs = "000c TIdBase64Encoder.Coder 001c TIdCoder.IncByteCount 0026 TId3To4Coder.CodeLine3To4 0030 TIdCoder.OutputString 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 44 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10117_0 {
	meta:
		name = "TIdBase64Encoder.CompleteCoding"
		size = 201
		refs = "000d TIdBase64Encoder.CompleteCoding 002b TIdCoder.IncByteCount 004a TId3To4Coder.CompleteLine3To4 005a @LStrLen 0064 UniqueString 00a3 TIdCoder.OutputString 00b8 @LStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 52 01 8B 43 44 85 C0 0F 84 81 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 4B 44 8B C1 BE 03 00 00 00 33 D2 F7 F6 8D 34 40 2B CE 8B F1 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 4E 74 05 4E 74 32 EB 47 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? C6 44 30 FE 3D 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? C6 44 30 FF 3D EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? C6 44 30 FF 3D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10118_0 {
	meta:
		name = "Base64Encode"
		size = 206
		refs = "0013 Base64Encode 0020 @LStrClr 0029 _DV_TIdBase64Encoder 002e TIdBase64Encoder.Create 0062 TIdCoder.CodeString 0076 @LStrLen 0085 @LStrCopy 009a FreeAndNil 00a0 @HandleFinally 00bc @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 24 00 8B 45 FC C6 40 72 00 8B 45 FC 8B 10 FF 52 44 8D 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 51 38 53 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10121_0 {
	meta:
		name = "TIdBase64Decoder.Coder"
		size = 324
		refs = "0013 TIdBase64Decoder.Coder 003c @LStrCopy 0044 @LStrClr 0051 FetchEOL 0059 @LStrLen 007b UniqueString 008d Move 0097 TId3To4Coder.CodeLine4To3 00a2 @LStrCat 00a8 IndyPos 00d7 TIdCoder.IncByteCount 0101 TIdCoder.OutputString 0123 @LStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 44 85 FF 0F 84 DD 00 00 00 33 DB 89 7D F0 8D 45 F8 50 8B CF BA 01 00 00 00 8B 46 48 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? EB 74 8D 55 FC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0B 8D 55 FC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 46 44 8D 46 48 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B 4E 44 5A E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 F8 B8 ?? ?? ?? ?? FF D7 85 C0 75 02 B3 01 84 DB 74 88 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 89 5E 44 8B 55 F0 2B D3 8B C6 E8 ?? ?? ?? ?? 83 7E 44 00 76 1A 8D 46 48 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 4E 44 5A E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_10122_0 {
	meta:
		name = "TIdBase64Decoder.CompleteCoding"
		size = 1044
		refs = "0013 IndyPos 001b TIdBase64Decoder.CompleteCoding 0039 TIdCoder.IncByteCount 004d @LStrCopy 005a FetchEOL 0068 @LStrCat3 00ab @LStrLen 00b6 @LStrClr 0118 TId3To4Coder.Code4To3 0126 @LStrFromChar 0152 @LStrCatN 020e @LStrCat 023d TIdASCIICoder.GetTableIndex 03bc TIdCoder.OutputString 03db @LStrArrayClr 03ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F0 8B 1D ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 46 52 01 8B 46 44 85 C0 0F 84 91 03 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4E 44 BA 01 00 00 00 8B 46 48 E8 ?? ?? ?? ?? EB 19 8D 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 3B 8B 55 F8 B8 ?? ?? ?? ?? FF D7 85 C0 7F D7 EB 19 8D 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 3B 8B 55 F8 B8 ?? ?? ?? ?? FF D7 85 C0 7F D7 8B 45 F8 E8 ?? ?? ?? ?? 89 46 44 8D 45 F4 E8 ?? ?? ?? ?? E9 97 00 00 00 8D 45 FC 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 02 50 8B 45 FC 8A 40 03 50 8D 45 F2 50 8D 45 F1 50 8D 45 F0 50 8B 45 FC 8A 48 01 8B 45 FC 8A 10 8B C6 E8 ?? ?? ?? ?? FF 75 F4 8D 45 EC 8A 55 F2 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 8A 55 F1 E8 ?? ?? ?? ?? FF 75 E8 8D 45 E4 8A 55 F0 E8 ?? ?? ?? ?? FF 75 E4 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 04 0F 8F 58 FF FF FF EB 1C 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 80 7C 02 FF 3D 74 C6 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8E 01 02 00 00 8B 46 74 8A 10 88 55 F3 8B 45 F8 8A 00 8B 4D F8 8A 59 01 4F 74 16 4F 74 49 4F 0F 84 BF 00 00 00 4F 0F 84 70 01 00 00 E9 D5 01 00 00 8A 4D F3 51 52 8D 55 F2 52 8D 55 F1 52 8D 55 F0 52 8B CB 8B D6 92 E8 ?? ?? ?? ?? 8D 45 EC 8A 55 F2 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? E9 9F 01 00 00 8B 4D F8 8A 59 01 8A 4D F3 51 52 8D 55 F2 52 8D 55 F1 52 8D 55 F0 52 8B CB 8B D6 92 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 F6 C3 0F 75 1B 8D 45 EC 8A 55 F2 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? E9 53 01 00 00 FF 75 F4 8D 45 EC 8A 55 F2 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 8A 55 F1 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 22 01 00 00 8B 4D F8 8A 59 01 8B 4D F8 8A 49 02 88 4D F3 8A 4D F3 51 52 8D 55 F2 52 8D 55 F1 52 8D 55 F0 52 8B CB 8B D6 92 E8 ?? ?? ?? ?? 8A 55 F3 8B C6 E8 ?? ?? ?? ?? 88 45 F3 33 C0 8A 45 F3 8B 56 78 C1 EA 02 3B C2 7F 31 FF 75 F4 8D 45 EC 8A 55 F2 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 8A 55 F1 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 AB 00 00 00 FF 75 F4 8D 45 EC 8A 55 F2 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 8A 55 F1 E8 ?? ?? ?? ?? FF 75 E8 8D 45 E4 33 D2 8A 55 F3 C1 E2 06 E8 ?? ?? ?? ?? FF 75 E4 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 6A 8B 55 F8 8A 5A 01 8B 55 F8 8A 52 02 88 55 F3 8B 55 F8 8A 52 03 8A 4D F3 51 52 8D 55 F2 52 8D 55 F1 52 8D 55 F0 52 8B CB 8B D6 92 E8 ?? ?? ?? ?? FF 75 F4 8D 45 EC 8A 55 F2 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 8A 55 F1 E8 ?? ?? ?? ?? FF 75 E8 8D 45 E4 8A 55 F0 E8 ?? ?? ?? ?? FF 75 E4 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_10123_0 {
	meta:
		name = "TIdUUEncoder.Create"
		size = 101
		refs = "000a @ClassCreate 0017 TId3To4Coder.Create 0020 UUCodeTable 0025 @LStrAsg 0047 TIdCoder.InternSetBufferSize 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 74 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 86 80 00 00 00 84 02 00 00 C6 46 7D 01 C6 46 7C 00 C6 46 24 01 BA 3D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10125_0 {
	meta:
		name = "TIdUUEncoder.OutputHeader"
		size = 264
		refs = "000f TIdUUEncoder.OutputHeader 0027 TIdCoder.OutputString 0042 @LStrCopy 0087 IntToStr 009f @LStrCatN 00c7 @LStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 7C 00 74 59 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4B 78 D1 F9 79 03 83 D1 00 BA 01 00 00 00 8B 43 74 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 73 78 8B CE C1 E1 02 8B D6 D1 FA 79 03 83 D2 00 42 8B 43 74 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 8B 83 80 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 73 4C 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 43 7D 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 05 00 00 00 54 41 42 4C 45 00 00 00 FF FF FF FF 06 00 00 00 42 45 47 49 4E 20 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10126_0 {
	meta:
		name = "TIdUUEncoder.SetCodingTable"
		size = 158
		refs = "0016 @LStrAddRef 001e TIdUUEncoder.SetCodingTable 002c @LStrLen 0046 @LStrCopy 0072 @LStrCat3 008c @LStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 73 78 3B C6 7C 15 8D 43 74 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 2A 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 78 2B C8 8B D6 42 8B 43 74 E8 ?? ?? ?? ?? 8B 4D F8 8D 43 74 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10132_0 {
	meta:
		name = "TIdUUDecoder.SetCodingTable"
		size = 158
		refs = "0016 @LStrAddRef 001e TIdUUDecoder.SetCodingTable 002c @LStrLen 0046 @LStrCopy 0072 @LStrCat3 008c @LStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 73 78 3B C6 7C 15 8D 43 74 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 2A 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 78 2B C8 8B D6 42 8B 43 74 E8 ?? ?? ?? ?? 8B 4D F8 8D 43 74 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10127_0 {
	meta:
		name = "TIdUUEncoder.SetPrivilege"
		size = 23
	strings:
		$1 = { 81 FA 58 02 00 00 7C 0E 81 FA 1F 03 00 00 7F 06 89 90 80 00 00 00 C3 }
	condition:
		$1
}

rule function_10128_0 {
	meta:
		name = "TIdUUEncoder.Coder"
		size = 141
		refs = "0010 TIdUUEncoder.Coder 002d TIdCoder.IncByteCount 0037 TId3To4Coder.CodeLine3To4 004c @LStrFromChar 0058 @LStrCat3 0062 TIdCoder.OutputString 007c @LStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 7D 00 74 07 8B C3 8B 10 FF 52 54 8B 53 44 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 53 74 8B 4B 40 8A 14 0A E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 59 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10129_0 {
	meta:
		name = "TIdUUEncoder.CompleteCoding"
		size = 404
		refs = "0013 TIdUUEncoder.CompleteCoding 003d @LStrFromChar 0047 TIdCoder.OutputString 0062 TIdCoder.IncByteCount 006c TId3To4Coder.CompleteLine3To4 008d @LStrCat3 00a7 @LStrCatN 00b2 @LStrLAsg 00d5 @PStrCpy 00e4 @PStrNCat 0109 @LStrFromString 0144 @LStrArrayClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 52 01 80 7B 7D 00 74 07 8B C3 8B 10 FF 52 54 83 7B 44 00 75 28 8D 45 F4 8B 53 74 8A 12 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 D2 00 00 00 8B 53 44 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B 53 74 8B 4B 44 8A 14 0A E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC 59 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 8B 53 74 8A 12 88 50 01 C6 00 01 8D 55 EC 8D 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 45 E8 B1 02 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 45 E4 B1 03 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 45 4E 44 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 01 0D 00 00 01 0A 00 00 FF FF FF FF 05 00 00 00 45 4E 44 0D 0A 00 00 00 }
	condition:
		$1
}

rule function_10130_0 {
	meta:
		name = "TIdUUDecoder.Create"
		size = 143
		refs = "000a @ClassCreate 0017 TId3To4Coder.Create 0020 UUCodeTable 0025 @LStrAsg 003d _Dn_TStringList 0042 TObject.Create 0071 TIdCoder.InternSetBufferSize 007c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 74 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 86 90 00 00 00 84 02 00 00 C6 86 8C 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 C6 46 7C 00 C6 46 52 00 C6 46 7D 00 33 C0 89 86 84 00 00 00 8B 46 40 89 86 88 00 00 00 BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10133_0 {
	meta:
		name = "TIdUUDecoder.SetPrivilege"
		size = 23
	strings:
		$1 = { 81 FA 58 02 00 00 7C 0E 81 FA 1F 03 00 00 7F 06 89 90 90 00 00 00 C3 }
	condition:
		$1
}

rule function_10134_0 {
	meta:
		name = "TIdUUDecoder.CheckForHeader"
		size = 2120
		refs = "0016 TIdUUDecoder.CheckForHeader 0037 @LStrCopy 0074 UpperCase 007d IndyPos 009c @LStrLen 00b4 FetchEOL 00ca TIdCoder.IncByteCount 00e2 TIdCoder.OutputNotification 00f6 TIdCoder.InternSetBufferSize 0113 TIdCoder.CodeString 0178 TrimLeft 0183 @LStrLAsg 01d7 UniqueString 01e9 Move 0283 @LStrClr 0425 @LStrCat 05b7 IsNumeric 05f4 StrToInt 0606 IntToStr 06da @LStrAsg 0735 @LStrArrayClr 0748 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 F7 06 00 00 8D 45 F8 50 8B CE BA 01 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 83 84 00 00 00 83 F8 06 0F 87 D5 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 86 88 00 00 00 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 56 04 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 83 C6 04 03 D6 8B C3 E8 ?? ?? ?? ?? C7 83 84 00 00 00 01 00 00 00 33 C9 BA 29 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 53 78 D1 FA 79 03 83 D2 00 83 C2 02 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E 15 06 00 00 8D 4D EC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 03 06 00 00 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 86 AF 00 00 00 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 7E 05 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 2B D0 8B C3 E8 ?? ?? ?? ?? C7 83 84 00 00 00 05 00 00 00 33 C9 BA 2A 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 89 73 44 85 F6 0F 86 4C 05 00 00 8D 43 48 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 4B 44 5A E8 ?? ?? ?? ?? E9 2D 05 00 00 80 7B 52 00 74 14 8B 53 44 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 E9 13 05 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 8B F8 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 0D ?? ?? ?? ?? 8B 09 B8 ?? ?? ?? ?? FF D1 89 45 FC 3B 7D FC 7D 49 85 FF 75 2B 83 7D FC 00 75 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 79 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 5E 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? EB 44 83 7D FC 00 75 25 85 FF 75 07 33 C0 89 43 44 EB 33 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? EB 19 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 37 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 89 7B 44 8B D6 2B D7 8B C3 E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 4B 44 5A E8 ?? ?? ?? ?? E9 E0 03 00 00 8B 53 44 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 E9 CC 03 00 00 8D 45 EC 50 8B 4B 78 D1 F9 79 03 83 D1 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 8B 08 FF 51 50 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 53 78 D1 FA 79 03 83 D2 00 42 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C7 83 84 00 00 00 02 00 00 00 33 C0 89 43 44 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E 4B 03 00 00 8D 4D EC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 39 03 00 00 8D 45 EC 50 8B 4B 78 D1 F9 79 03 83 D1 00 BA 01 00 00 00 8B 43 74 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 E8 50 8B 4B 78 D1 F9 79 03 83 D1 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 8B 08 FF 51 50 C7 83 84 00 00 00 03 00 00 00 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 53 78 D1 FA 79 03 83 D2 00 42 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E 89 02 00 00 8D 4D EC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 77 02 00 00 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 86 9D 00 00 00 83 C6 05 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? C7 83 84 00 00 00 05 00 00 00 33 C9 BA 2A 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 2B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E C5 01 00 00 8D 4D EC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 B3 01 00 00 33 C0 89 83 84 00 00 00 33 C9 BA 2B 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 43 7C 01 BA ?? ?? ?? ?? 8B 83 80 00 00 00 8B 08 FF 51 34 E9 84 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 03 75 73 C6 45 F3 00 BE 03 00 00 00 8B 45 F8 8A 00 E8 ?? ?? ?? ?? 84 C0 75 04 C6 45 F3 01 4E 75 EB 80 7D F3 00 74 24 C6 43 7C 01 BA ?? ?? ?? ?? 8B 83 80 00 00 00 8B 08 FF 51 34 33 C9 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 7E 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 89 B3 90 00 00 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 4D EC BA 2F 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 53 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 03 7D 24 C6 43 7C 01 BA ?? ?? ?? ?? 8B 83 80 00 00 00 8B 08 FF 51 34 33 C9 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 22 C6 43 7C 01 BA ?? ?? ?? ?? 8B 83 80 00 00 00 8B 08 FF 51 34 33 C9 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 84 00 00 00 06 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA FF 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 2B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 43 4C 8B 55 F4 E8 ?? ?? ?? ?? 8B 4B 4C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 8C 00 00 00 00 8B 93 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D EC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 54 41 42 4C 45 00 00 00 FF FF FF FF 06 00 00 00 42 45 47 49 4E 20 00 00 FF FF FF FF 01 00 00 00 54 00 00 00 FF FF FF FF 01 00 00 00 42 00 00 00 FF FF FF FF 23 00 00 00 4E 6F 20 42 45 47 49 4E 20 73 74 61 74 65 6D 65 6E 74 20 66 6F 6C 6C 6F 77 65 64 20 61 20 54 41 42 4C 45 00 FF FF FF FF 1B 00 00 00 50 72 69 76 69 6C 65 67 65 20 63 68 61 72 73 20 6E 6F 74 20 6E 75 6D 65 72 69 63 00 FF FF FF FF 2A 00 00 00 4E 6F 74 20 65 6E 6F 75 67 68 20 63 68 61 72 73 20 66 6F 72 20 74 68 72 65 65 2D 64 69 67 69 74 20 50 72 69 76 69 6C 65 67 65 00 00 FF FF FF FF 28 00 00 00 54 6F 6F 20 6D 61 6E 79 20 63 68 61 72 73 20 66 6F 72 20 74 68 72 65 65 2D 64 69 67 69 74 20 50 72 69 76 69 6C 65 67 65 00 00 00 00 }
	condition:
		$1
}

rule function_10135_0 {
	meta:
		name = "TIdUUDecoder.Coder"
		size = 456
		refs = "0012 TIdUUDecoder.Coder 004e @LStrCopy 0059 FetchEOL 0061 @LStrLen 0081 TIdCoder.IncByteCount 00ad @LStrCmp 00bd TIdCoder.OutputNotification 00fb TIdASCIICoder.GetTableIndex 011c UniqueString 012e Move 0147 TId3To4Coder.CodeLine4To3 0164 TIdCoder.OutputString 01a9 @LStrArrayClr 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 7D 00 0F 85 6D 01 00 00 80 BB 8C 00 00 00 00 74 0F 8B 53 40 8B C3 8B 08 FF 51 54 E9 55 01 00 00 8D 45 F8 50 8B 4B 40 BA 01 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 8D 55 FC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0B 8D 55 FC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 BB 84 00 00 00 09 75 3F 8D 45 F4 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 33 C9 BA 2D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 E9 C6 00 00 00 8B 45 FC 8A 00 8B 53 74 3A 02 75 1D C7 83 84 00 00 00 09 00 00 00 33 C9 BA 2C 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 C6 43 7D 01 8B C6 B9 03 00 00 00 99 F7 F9 8B F8 C1 E7 02 8D 43 48 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 40 8B CF 5A E8 ?? ?? ?? ?? 8B 53 44 2B D7 8B C3 E8 ?? ?? ?? ?? 89 7B 44 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 89 73 44 85 F6 76 1A 8D 43 48 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 4B 44 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 45 4E 44 00 }
	condition:
		$1
}

rule function_10136_0 {
	meta:
		name = "TIdUUDecoder.CompleteCoding"
		size = 800
		refs = "0013 TIdUUDecoder.CompleteCoding 002d TIdCoder.IncByteCount 0085 @LStrCopy 0093 TIdASCIICoder.GetTableIndex 00a4 @LStrSetLength 00af FetchEOL 00bb @LStrLen 00ee UniqueString 011f TId3To4Coder.Code4To3 02a7 TIdCoder.OutputString 02d1 @LStrClr 02de @LStrArrayClr 02e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7F 7D 00 0F 85 99 02 00 00 8B 57 44 8B C7 E8 ?? ?? ?? ?? C6 47 52 01 80 BF 8C 00 00 00 00 74 20 8B 57 44 8B C7 8B 08 FF 51 54 83 7F 44 00 76 10 80 BF 8C 00 00 00 00 74 07 8B C7 8B 10 FF 52 34 80 BF 8C 00 00 00 00 0F 85 55 02 00 00 8B 5F 44 85 DB 0F 84 4A 02 00 00 8D 45 F8 50 8B CB 8B 47 48 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 1D 02 00 00 8B D0 8B C7 E8 ?? ?? ?? ?? 89 45 F0 8B 55 F0 83 C2 04 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 FC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BE 01 00 00 00 BB 01 00 00 00 EB 4F 8B 45 FC 8A 44 18 01 50 8B 45 FC 8A 44 18 02 50 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 FF 50 8D 45 F4 E8 ?? ?? ?? ?? 03 C6 50 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 01 50 8B 45 FC 8A 0C 18 8B 45 FC 8A 54 18 FF 8B C7 E8 ?? ?? ?? ?? 83 C6 03 83 C3 04 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7E A5 8B 45 FC E8 ?? ?? ?? ?? 2B C3 83 F8 01 0F 8C 27 01 00 00 48 74 16 48 74 51 48 0F 84 8C 00 00 00 48 0F 84 CA 00 00 00 E9 0E 01 00 00 6A 00 6A 00 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 FF 50 8D 45 F4 E8 ?? ?? ?? ?? 03 C6 50 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 01 50 8B 45 FC 8A 54 18 FF 33 C9 8B C7 E8 ?? ?? ?? ?? E9 D0 00 00 00 6A 00 6A 00 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 FF 50 8D 45 F4 E8 ?? ?? ?? ?? 03 C6 50 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 01 50 8B 45 FC 8A 0C 18 8B 45 FC 8A 54 18 FF 8B C7 E8 ?? ?? ?? ?? E9 8E 00 00 00 8B 45 FC 8A 44 18 01 50 6A 00 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 FF 50 8D 45 F4 E8 ?? ?? ?? ?? 03 C6 50 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 01 50 8B 45 FC 8A 0C 18 8B 45 FC 8A 54 18 FF 8B C7 E8 ?? ?? ?? ?? EB 49 8B 45 FC 8A 44 18 01 50 8B 45 FC 8A 44 18 02 50 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 FF 50 8D 45 F4 E8 ?? ?? ?? ?? 03 C6 50 8D 45 F4 E8 ?? ?? ?? ?? 8D 44 30 01 50 8B 45 FC 8A 0C 18 8B 45 FC 8A 54 18 FF 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 12 8B 87 80 00 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 34 EB 2E 8D 45 EC 50 8B 4D F0 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8A 00 8B 57 74 3A 02 0F 85 D3 FD FF FF 33 C0 89 47 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 23 00 00 00 20 44 61 74 61 20 65 6E 64 65 64 20 77 69 74 68 6F 75 74 20 61 6E 20 45 4E 44 20 73 74 61 74 6D 65 6E 74 00 }
	condition:
		$1
}

rule function_10141_0 {
	meta:
		name = "Finalization"
		size = 78
		refs = "0007 Finalization 0013 _DV_01 001a XXCodeTable 001f @LStrClr 0024 UUCodeTable 002e Base64CodeTable 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10142_0 {
	meta:
		name = "IdCoder3To4"
		size = 184
		refs = "0002 _DV_01 000c IdCoder3To4 0015 _DV_TIdBase64Encoder 001a RegisterCoderClass 002a _DV_TIdBase64Decoder 003f _DV_TIdUUEncoder 0054 _DV_TIdUUDecoder 0069 _DV_TIdXXEncoder 007e _DV_TIdXXDecoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 7E 6A 00 68 ?? ?? ?? ?? B1 08 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? B1 08 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? B1 08 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? B1 08 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? B1 08 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? B1 08 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 FF FF FF FF 06 00 00 00 62 61 73 65 36 34 00 00 FF FF FF FF 04 00 00 00 78 2D 75 75 00 00 00 00 FF FF FF FF 04 00 00 00 78 2D 78 78 00 00 00 00 }
	condition:
		$1
}

rule function_10143_0 {
	meta:
		name = "TIdIMFDecoder.Create"
		size = 244
		refs = "000e @ClassCreate 001c _Dn_TStringList 0021 TObject.Create 0032 TIdCoder.Create 003e @LStrClr 005c TIdIMFDecoder.Create 0061 @LStrAsg 00c1 TIdIMFDecoder.WriteOutput 00ce @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 00 00 00 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 74 00 8D 43 78 E8 ?? ?? ?? ?? 8D 43 7C E8 ?? ?? ?? ?? 8D 83 80 00 00 00 E8 ?? ?? ?? ?? 8D 83 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 88 00 00 00 00 C6 83 89 00 00 00 00 C6 83 8A 00 00 00 00 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 83 94 00 00 00 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 E8 ?? ?? ?? ?? C6 43 24 00 8B C3 8B 10 FF 52 50 8B 83 A0 00 00 00 C6 40 72 01 89 58 60 C7 40 5C ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 FF FF FF FF 04 00 00 00 38 62 69 74 00 00 00 00 }
	condition:
		$1
}

rule function_10144_0 {
	meta:
		name = "TIdIMFDecoder.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TIdCoder.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10145_0 {
	meta:
		name = "TIdIMFDecoder.CreateDecoder"
		size = 68
		refs = "000a CoderCollective 0011 TIdIMFDecoder.CreateDecoder 0018 TIdCoderCollection.GetCoderType"
	strings:
		$1 = { 53 56 8B D8 68 80 00 00 00 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B F0 8B CB B2 01 8B 46 18 FF 50 2C 89 83 A0 00 00 00 5E 5B C3 00 00 00 FF FF FF FF 04 00 00 00 37 62 69 74 00 00 00 00 }
	condition:
		$1
}

rule function_10146_0 {
	meta:
		name = "TIdIMFDecoder.Reset"
		size = 16
		refs = "0006 TIdCoder.Reset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 74 00 5B C3 }
	condition:
		$1
}

rule function_10147_0 {
	meta:
		name = "TIdIMFDecoder.RenewCoder"
		size = 272
		refs = "0012 TIdIMFDecoder.RenewCoder 0023 @LStrLAsg 0036 Fetch 0062 @LStrCmp 007f TObject.Free 0089 CoderCollective 0096 TIdCoderCollection.GetCoderType 00b8 TIdIMFDecoder.WriteOutput 00c6 @LStrAsg 00ee @LStrArrayClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 53 78 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 53 7C E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 78 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 75 10 8B 43 7C 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 74 44 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 68 80 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B F8 8B 47 18 8B CB B2 01 FF 50 2C 8B F0 89 B3 A0 00 00 00 C6 46 72 01 89 5E 60 C7 46 5C ?? ?? ?? ?? 8D 83 8C 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_10148_0 {
	meta:
		name = "TIdIMFDecoder.Coder"
		size = 34
	strings:
		$1 = { 8A 50 74 80 EA 01 72 08 74 0C FE CA 74 0E EB 11 8B 10 FF 52 54 C3 8B 10 FF 52 58 C3 8B 10 FF 52 5C C3 }
	condition:
		$1
}

rule function_10149_0 {
	meta:
		name = "TIdIMFDecoder.CompleteCoding"
		size = 123
		refs = "000c TIdIMFDecoder.CompleteCoding 0021 TIdCoder.InternSetBufferSize 0051 TIdCoder.OutputNotification 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 52 01 EB 16 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 40 89 43 44 8B C3 8B 10 FF 52 30 8B 43 44 85 C0 77 E3 8D 55 FC 8B 83 A0 00 00 00 8B 08 FF 51 38 33 C9 BA 1A 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10150_0 {
	meta:
		name = "TIdIMFDecoder.IMFStart"
		size = 748
		refs = "0010 TIdIMFDecoder.IMFStart 0034 @LStrCopy 003a IndyPos 0071 @LStrCat 00a1 @LStrDelete 00b4 @LStrLen 017e Trim 018c @LStrAsg 01dc TIdCoder.OutputString 01e7 @LStrClr 024d UniqueString 025f Move 027f TIdCoder.OutputNotification 02a7 @LStrArrayClr 02ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 44 85 DB 0F 84 6C 02 00 00 8D 45 FC 50 8B CB BA 01 00 00 00 8B 47 48 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B F0 85 F6 0F 86 B5 01 00 00 8D 45 F8 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 87 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8A 00 3C 20 74 04 3C 09 75 78 B3 01 EB 23 8B 45 FC 8A 00 3C 20 74 04 3C 09 75 14 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 84 DB 75 D9 8B 87 94 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 76 28 8B 87 94 00 00 00 8A 44 30 FF 3C 20 74 1A 8B 97 94 00 00 00 3C 09 74 10 8D 87 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B F0 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 87 94 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 33 8B 45 FC 80 38 0A 75 2B 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 87 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 87 94 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 87 94 00 00 00 E8 ?? ?? ?? ?? 8B 87 94 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 30 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 15 8B 45 FC 8A 00 3C 20 74 04 3C 09 75 04 33 DB EB 06 B3 01 EB 02 33 DB 84 DB 74 27 8B C7 8B 10 FF 52 60 EB 1E C6 47 74 01 8B 97 98 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 87 98 00 00 00 E8 ?? ?? ?? ?? EB 1C 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B F0 85 F6 0F 87 4B FE FF FF C6 87 88 00 00 00 01 80 7F 74 00 75 28 80 7F 52 00 74 14 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? EB 0E 8D 87 94 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 47 44 8D 47 48 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B 4F 44 5A E8 ?? ?? ?? ?? 80 7F 74 01 75 28 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 BA 15 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 64 8B C7 8B 10 FF 52 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10151_0 {
	meta:
		name = "GetQuotedPair"
		size = 220
		refs = "000f GetQuotedPair 001c @LStrLen 0027 @LStrClr 0033 @LStrLAsg 0056 @LStrCopy 005c IndyPos 009d Fetch 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 74 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 80 38 22 75 4C 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 76 15 56 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 EB 06 B0 01 EB 02 B0 01 84 C0 74 10 56 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10152_0 {
	meta:
		name = "TIdIMFDecoder.ProcessHeader"
		size = 1096
		refs = "0011 TIdIMFDecoder.ProcessHeader 0029 TIdCoder.OutputNotification 0056 @LStrCopy 0061 LowerCase 006e @LStrCmp 0086 Fetch 0094 Trim 009f @LStrAsg 0134 @LStrClr 0166 IndyPos 0185 @LStrLen 024a GetQuotedPair 0341 TIdCoder.OutputString 038b @LStrArrayClr 0391 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 8B 94 00 00 00 BA 17 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 8A 00 2C 43 74 08 2C 20 0F 85 11 03 00 00 8D 45 F4 50 B9 19 00 00 00 BA 01 00 00 00 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 56 8D 45 F8 50 8D 83 94 00 00 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 7C E8 ?? ?? ?? ?? 80 BB 88 00 00 00 00 0F 85 BA 02 00 00 C6 83 8A 00 00 00 01 8D 83 84 00 00 00 8B 53 7C E8 ?? ?? ?? ?? E9 A0 02 00 00 8D 45 F4 50 B9 0C 00 00 00 BA 01 00 00 00 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 70 01 00 00 8D 45 F8 50 8D 83 94 00 00 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 78 E8 ?? ?? ?? ?? 8D 43 7C E8 ?? ?? ?? ?? 80 BB 88 00 00 00 00 75 15 C6 83 89 00 00 00 01 8D 83 80 00 00 00 8B 53 78 E8 ?? ?? ?? ?? 8D 55 F8 8B 43 78 E8 ?? ?? ?? ?? 8B 55 F8 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 86 86 00 00 00 8D 45 FC 50 8B 43 78 E8 ?? ?? ?? ?? 8B C8 8D 56 09 8B 43 78 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 76 19 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 76 14 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B 83 9C 00 00 00 8B 30 FF 56 54 8D 55 F8 8B 43 78 E8 ?? ?? ?? ?? 8B 55 F8 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 86 40 01 00 00 8D 45 FC 50 8B 43 78 E8 ?? ?? ?? ?? 8B C8 8D 56 05 8B 43 78 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 4C E8 ?? ?? ?? ?? 8B 4B 4C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 43 70 01 E9 F9 00 00 00 8D 45 F4 50 B9 13 00 00 00 BA 01 00 00 00 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 90 00 00 00 8D 45 F8 50 8D 83 94 00 00 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 86 82 00 00 00 8D 83 94 00 00 00 50 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B C8 8D 56 09 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 4C E8 ?? ?? ?? ?? 8B 4B 4C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 43 70 01 EB 32 8B 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 E8 ?? ?? ?? ?? EB 18 8B 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 E8 ?? ?? ?? ?? 8D 83 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 19 00 00 00 63 6F 6E 74 65 6E 74 2D 74 72 61 6E 73 66 65 72 2D 65 6E 63 6F 64 69 6E 67 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 0C 00 00 00 63 6F 6E 74 65 6E 74 2D 74 79 70 65 00 00 00 00 FF FF FF FF 09 00 00 00 62 6F 75 6E 64 61 72 79 3D 00 00 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 05 00 00 00 6E 61 6D 65 3D 00 00 00 FF FF FF FF 13 00 00 00 63 6F 6E 74 65 6E 74 2D 64 69 73 70 6F 73 69 74 69 6F 6E 00 FF FF FF FF 09 00 00 00 66 69 6C 65 6E 61 6D 65 3D 00 00 00 }
	condition:
		$1
}

rule function_10153_0 {
	meta:
		name = "TIdIMFDecoder.IMFMessageStart"
		size = 876
		refs = "001c TIdIMFDecoder.IMFMessageStart 0040 @LStrCopy 0096 IndyPos 00de @LStrLen 0112 @LStrCmp 01b2 TIdCoder.CodeString 0212 TIdCoder.OutputNotification 023c @LStrCat3 02d3 UniqueString 02e5 Move 032e @LStrClr 033b @LStrArrayClr 0341 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 E0 89 55 F0 89 55 EC 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 44 85 F6 0F 84 EC 02 00 00 8D 45 F0 50 8B CE BA 01 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 10 FF 52 14 85 C0 0F 8E B0 02 00 00 C7 45 F8 FF FF FF FF C7 45 F4 FF FF FF FF 8B 83 9C 00 00 00 8B 10 FF 52 14 48 85 C0 72 46 40 89 45 E4 C7 45 FC 00 00 00 00 8D 4D E0 8B 55 FC 8B 83 9C 00 00 00 8B 30 FF 56 0C 8B 45 E0 8B 35 ?? ?? ?? ?? 8B 36 8B 55 F0 FF D6 3B 45 F8 73 0D 85 C0 74 09 89 45 F8 8B 45 FC 89 45 F4 FF 45 FC FF 4D E4 75 C5 83 7D F4 FF 0F 84 2A 02 00 00 8D 45 EC 50 8B 4D F8 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 04 72 56 8D 45 E8 50 8B 45 EC E8 ?? ?? ?? ?? 8B D0 83 EA 03 B9 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 20 8D 45 EC 50 8B 4D FC 83 E9 04 BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? C7 45 FC 04 00 00 00 EB 40 C7 45 FC 05 00 00 00 EB 37 83 7D FC 02 72 31 8B 45 EC 8B 55 FC 80 7C 10 FF 2D 75 24 8B 45 EC 8B 55 FC 80 7C 10 FE 2D 75 17 8D 45 EC 50 8B 4D FC 83 E9 02 BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8B D0 42 8B 45 F0 59 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 2C 8D 4D E0 8B 55 EC 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 83 A0 00 00 00 8B 08 FF 51 38 8B 83 A0 00 00 00 8B 10 FF 52 44 EB 25 8B 83 A0 00 00 00 83 78 2E 00 77 06 83 78 32 00 76 13 8D 55 E0 8B 08 FF 51 38 8B 83 A0 00 00 00 8B 10 FF 52 44 8D 4D E0 8B 55 F4 8B 83 9C 00 00 00 8B 30 FF 56 0C 8B 4D E0 BA 18 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D FC 04 72 26 8D 4D E0 8B 55 F4 8B 83 9C 00 00 00 8B 30 FF 56 0C 8B 4D E0 8D 83 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 83 7D FC 02 72 24 8D 4D E0 8B 55 F4 8B 83 9C 00 00 00 8B 30 FF 56 0C 8B 4D E0 8D 83 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F4 8B 83 9C 00 00 00 8B 30 FF 56 0C 8B 45 E0 8B 35 ?? ?? ?? ?? 8B 36 8B 55 F0 FF D6 89 45 F8 8D 45 F0 50 8D 4D E0 8B 55 F4 8B 83 9C 00 00 00 8B 30 FF 56 0C 8B 45 E0 E8 ?? ?? ?? ?? 03 45 F8 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 45 F0 5A E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 43 44 8D 43 48 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 8B 4B 44 5A E8 ?? ?? ?? ?? C6 43 74 02 EB 2E 8D 4D E0 8B 55 F0 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 43 44 EB 16 8D 4D E0 8B 55 F0 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 43 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 0D 0A 2D 2D 00 00 00 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 }
	condition:
		$1
}

rule function_10154_0 {
	meta:
		name = "TIdIMFDecoder.IMFBoundaryEnd"
		size = 504
		refs = "0010 TIdIMFDecoder.IMFBoundaryEnd 0032 TIdCoder.InternSetBufferSize 006b @LStrCopy 008a TIdCoder.OutputNotification 009a @LStrCat 00a6 @LStrLen 00c9 @LStrFromChar 0188 TIdCoder.OutputString 0193 @LStrClr 01a6 UniqueString 01b8 Move 01d6 @LStrArrayClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 44 00 0F 84 9C 01 00 00 83 7F 40 04 73 11 BA 05 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 85 01 00 00 8B 77 44 83 FE 04 73 10 80 7F 52 00 74 0A 33 C0 89 47 44 E9 6D 01 00 00 83 FE 04 0F 82 64 01 00 00 8D 45 FC 50 8B CE BA 01 00 00 00 8B 47 48 E8 ?? ?? ?? ?? 8B 45 FC 80 38 2D 75 42 8B 45 FC 80 78 01 2D 75 39 33 C9 BA 19 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 87 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 18 80 FB 2D 75 33 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 87 94 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 18 80 FB 0D 75 33 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 87 94 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 18 80 FB 0A 75 33 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 87 94 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 87 94 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 18 8B 97 94 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 87 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 47 44 8D 47 48 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B 4F 44 5A E8 ?? ?? ?? ?? C6 47 74 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 }
	condition:
		$1
}

rule function_10159_0 {
	meta:
		name = "TIdIMFUUDecoder.CreateDecoder"
		size = 80
		refs = "000a CoderCollective 0011 TIdIMFUUDecoder.CreateDecoder 0018 TIdCoderCollection.GetCoderType 0025 TIdIMFDecoder.CreateDecoder"
	strings:
		$1 = { 53 56 8B D8 68 80 00 00 00 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B CB B2 01 8B 46 18 FF 50 2C 89 83 A0 00 00 00 5E 5B C3 00 FF FF FF FF 04 00 00 00 78 2D 75 75 00 00 00 00 }
	condition:
		$1
}

rule function_10161_0 {
	meta:
		name = "IdCoderIMF"
		size = 164
		refs = "0002 _DV_3 000c IdCoderIMF 0015 _Dn_TIdCoder 001a RegisterCoderClass 0057 _DV_TIdIMFDecoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 57 6A 00 68 ?? ?? ?? ?? 33 C9 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 33 C9 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 33 C9 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? B1 09 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 FF FF FF FF 04 00 00 00 37 62 69 74 00 00 00 00 FF FF FF FF 04 00 00 00 38 62 69 74 00 00 00 00 FF FF FF FF 06 00 00 00 62 69 6E 61 72 79 00 00 FF FF FF FF 05 00 00 00 74 65 78 74 2F 00 00 00 }
	condition:
		$1
}

rule function_10162_0 {
	meta:
		name = "TIdCoderMD2.Create"
		size = 108
		refs = "000d @ClassCreate 001b TIdCoder.Create 0027 TIdCoder.InternSetBufferSize 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 94 00 00 00 33 C0 C6 43 24 00 C6 84 03 99 00 00 00 00 C6 84 03 84 00 00 00 00 40 83 F8 10 75 EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_10163_0 {
	meta:
		name = "TIdCoderMD2.Reset"
		size = 37
	strings:
		$1 = { 33 D2 89 90 94 00 00 00 33 D2 C6 84 10 99 00 00 00 00 C6 84 10 84 00 00 00 00 42 83 FA 10 75 EA C6 40 52 00 C3 }
	condition:
		$1
}

rule function_10165_0 {
	meta:
		name = "TIdCoderMD2.Coder"
		size = 218
		refs = "0007 MD2_PI_SUBST 00cc Move"
	strings:
		$1 = { 53 56 57 51 8B F0 BF ?? ?? ?? ?? C6 04 24 00 33 C0 8A 04 24 8B 4E 48 8A 04 01 32 86 98 00 00 00 25 FF 00 00 00 8A 04 07 33 D2 8A 14 24 32 84 16 84 00 00 00 88 86 98 00 00 00 88 84 16 84 00 00 00 FE 04 24 80 3C 24 10 75 C5 33 C0 C6 04 24 10 33 D2 8A D0 8B 4E 48 8A 0C 11 88 8C 16 B9 00 00 00 33 C9 8A C8 8A 8C 0E B9 00 00 00 33 DB 8A D8 32 8C 1E A9 00 00 00 88 8C 16 C9 00 00 00 40 FE 0C 24 75 CC 33 D2 C6 04 24 00 33 C0 33 C9 8A C8 8A 9C 0E A9 00 00 00 81 E2 FF 00 00 00 32 1C 17 8B D3 88 94 0E A9 00 00 00 40 3C 30 75 DE 02 14 24 FE 04 24 80 3C 24 12 75 D0 8D 96 99 00 00 00 8D 86 A9 00 00 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 46 44 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10166_0 {
	meta:
		name = "TIdCoderMD2.CompleteCoding"
		size = 236
		refs = "0014 TIdCoderMD2.CompleteCoding 0044 @FillChar 004c UniqueString 0069 Move 009a @LStrSetLength 00c4 TIdCoder.OutputString 00d9 @LStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 52 01 8B 43 44 BE 10 00 00 00 2B F0 56 8D 73 74 8D 7D EC B9 04 00 00 00 F3 A5 5E 8D 44 05 EC 8B CE 8B D6 E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? BA 11 00 00 00 2B D6 8D 54 10 FF B8 10 00 00 00 2B C6 8D 44 05 EC 8B CE E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8D 43 48 E8 ?? ?? ?? ?? 8B D0 8D 83 84 00 00 00 8B 4B 40 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8D 45 FC 8B 53 40 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8D 83 99 00 00 00 8B 4B 40 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10167_0 {
	meta:
		name = "TIdCoderMD2.FillSamples"
		size = 728
		refs = "000d TIdCoderMD2.FillSamples"
	strings:
		$1 = { 53 8B DA 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 5B C3 00 00 FF FF FF FF 22 00 00 00 20 20 38 33 35 30 45 35 41 33 45 32 34 43 31 35 33 44 46 32 32 37 35 43 39 46 38 30 36 39 32 37 37 33 00 00 FF FF FF FF 01 00 00 00 61 00 00 00 FF FF FF FF 22 00 00 00 20 20 33 32 45 43 30 31 45 43 34 41 36 44 41 43 37 32 43 30 41 42 39 36 46 42 33 34 43 30 42 35 44 31 00 00 FF FF FF FF 03 00 00 00 61 62 63 00 FF FF FF FF 22 00 00 00 20 20 44 41 38 35 33 42 30 44 33 46 38 38 44 39 39 42 33 30 32 38 33 41 36 39 45 36 44 45 44 36 42 42 00 00 FF FF FF FF 0E 00 00 00 6D 65 73 73 61 67 65 20 64 69 67 65 73 74 00 00 FF FF FF FF 22 00 00 00 20 20 41 42 34 46 34 39 36 42 46 42 32 41 35 33 30 42 32 31 39 46 46 33 33 30 33 31 46 45 30 36 42 30 00 00 FF FF FF FF 1A 00 00 00 61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70 71 72 73 74 75 76 77 78 79 7A 00 00 FF FF FF FF 22 00 00 00 20 20 34 45 38 44 44 46 46 33 36 35 30 32 39 32 41 42 35 41 34 31 30 38 43 33 41 41 34 37 39 34 30 42 00 00 FF FF FF FF 3E 00 00 00 41 42 43 44 45 46 47 48 49 4A 4B 4C 4D 4E 4F 50 51 52 53 54 55 56 57 58 59 5A 61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70 71 72 73 74 75 76 77 78 79 7A 30 31 32 33 34 35 36 37 38 39 00 00 FF FF FF FF 22 00 00 00 20 20 44 41 33 33 44 45 46 32 41 34 32 44 46 31 33 39 37 35 33 35 32 38 34 36 43 33 30 33 33 38 43 44 00 00 FF FF FF FF 50 00 00 00 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 00 00 00 00 FF FF FF FF 22 00 00 00 20 20 44 35 39 37 36 46 37 39 44 38 33 44 33 41 30 44 43 39 38 30 36 43 33 43 36 36 46 33 45 46 44 38 00 00 }
	condition:
		$1
}

rule function_10168_0 {
	meta:
		name = "TIdCoderMD4.Create"
		size = 118
		refs = "000b @ClassCreate 0018 TIdCoder.Create 0024 TIdCoder.InternSetBufferSize 002d MD4_INIT_VALUES 0047 @FillChar 0062 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 40 00 00 00 8B C6 E8 ?? ?? ?? ?? 56 8D 7E 78 BE ?? ?? ?? ?? B9 04 00 00 00 F3 A5 5E 8D 86 88 00 00 00 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? C6 86 90 00 00 00 00 C6 46 24 00 33 C0 89 46 74 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10169_0 {
	meta:
		name = "TIdCoderMD4.Reset"
		size = 58
		refs = "0006 MD4_INIT_VALUES 0022 @FillChar"
	strings:
		$1 = { 53 56 57 8B D8 BE ?? ?? ?? ?? 8D 7B 78 B9 04 00 00 00 F3 A5 8D 83 88 00 00 00 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? C6 83 90 00 00 00 00 C6 43 52 00 33 C0 89 43 74 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10171_0 {
	meta:
		name = "TIdCoderMD4.Coder"
		size = 1045
		refs = "003a UniqueString 0047 Move 006e ROL"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 45 BC 8B 45 BC 8B 70 78 8B 45 BC 8B 40 7C 89 45 B8 8B 45 BC 8B 80 80 00 00 00 89 45 B4 8B 45 BC 8B 80 84 00 00 00 89 45 B0 8B 45 BC 83 C0 48 E8 ?? ?? ?? ?? 8D 55 C0 B9 40 00 00 00 E8 ?? ?? ?? ?? C7 45 AC 04 00 00 00 8D 5D C0 8B 45 B0 50 8B 4D B4 8B 55 B8 8B 45 BC 8B 38 FF 57 50 03 C6 03 03 B2 03 E8 ?? ?? ?? ?? 8B F0 8B 45 B4 50 8B 4D B8 8B D6 8B 45 BC 8B 38 FF 57 50 03 45 B0 03 43 04 B2 07 E8 ?? ?? ?? ?? 89 45 B0 8B 45 B8 50 8B CE 8B 55 B0 8B 45 BC 8B 38 FF 57 50 03 45 B4 03 43 08 B2 0B E8 ?? ?? ?? ?? 89 45 B4 56 8B 4D B0 8B 55 B4 8B 45 BC 8B 38 FF 57 50 03 45 B8 03 43 0C B2 13 E8 ?? ?? ?? ?? 89 45 B8 83 C3 10 FF 4D AC 0F 85 74 FF FF FF C7 45 AC 04 00 00 00 8D 5D C0 8B 45 B0 50 8B 4D B4 8B 55 B8 8B 45 BC 8B 38 FF 57 54 03 C6 03 03 05 99 79 82 5A B2 03 E8 ?? ?? ?? ?? 8B F0 8B 45 B4 50 8B 4D B8 8B D6 8B 45 BC 8B 38 FF 57 54 03 45 B0 03 43 10 05 99 79 82 5A B2 05 E8 ?? ?? ?? ?? 89 45 B0 8B 45 B8 50 8B CE 8B 55 B0 8B 45 BC 8B 38 FF 57 54 03 45 B4 03 43 20 05 99 79 82 5A B2 09 E8 ?? ?? ?? ?? 89 45 B4 56 8B 4D B0 8B 55 B4 8B 45 BC 8B 38 FF 57 54 03 45 B8 03 43 30 05 99 79 82 5A B2 0D E8 ?? ?? ?? ?? 89 45 B8 83 C3 04 FF 4D AC 0F 85 60 FF FF FF 8B 45 B0 50 8B 4D B4 8B 55 B8 8B 45 BC 8B 18 FF 53 58 03 C6 03 45 C0 05 A1 EB D9 6E B2 03 E8 ?? ?? ?? ?? 8B F0 8B 45 B4 50 8B 4D B8 8B D6 8B 45 BC 8B 18 FF 53 58 03 45 B0 03 45 E0 05 A1 EB D9 6E B2 09 E8 ?? ?? ?? ?? 89 45 B0 8B 45 B8 50 8B CE 8B 55 B0 8B 45 BC 8B 18 FF 53 58 03 45 B4 03 45 D0 05 A1 EB D9 6E B2 0B E8 ?? ?? ?? ?? 89 45 B4 56 8B 4D B0 8B 55 B4 8B 45 BC 8B 18 FF 53 58 03 45 B8 03 45 F0 05 A1 EB D9 6E B2 0F E8 ?? ?? ?? ?? 89 45 B8 8B 45 B0 50 8B 4D B4 8B 55 B8 8B 45 BC 8B 18 FF 53 58 03 C6 03 45 C8 05 A1 EB D9 6E B2 03 E8 ?? ?? ?? ?? 8B F0 8B 45 B4 50 8B 4D B8 8B D6 8B 45 BC 8B 18 FF 53 58 03 45 B0 03 45 E8 05 A1 EB D9 6E B2 09 E8 ?? ?? ?? ?? 89 45 B0 8B 45 B8 50 8B CE 8B 55 B0 8B 45 BC 8B 18 FF 53 58 03 45 B4 03 45 D8 05 A1 EB D9 6E B2 0B E8 ?? ?? ?? ?? 89 45 B4 56 8B 4D B0 8B 55 B4 8B 45 BC 8B 18 FF 53 58 03 45 B8 03 45 F8 05 A1 EB D9 6E B2 0F E8 ?? ?? ?? ?? 89 45 B8 8B 45 B0 50 8B 4D B4 8B 55 B8 8B 45 BC 8B 18 FF 53 58 03 C6 03 45 C4 05 A1 EB D9 6E B2 03 E8 ?? ?? ?? ?? 8B F0 8B 45 B4 50 8B 4D B8 8B D6 8B 45 BC 8B 18 FF 53 58 03 45 B0 03 45 E4 05 A1 EB D9 6E B2 09 E8 ?? ?? ?? ?? 89 45 B0 8B 45 B8 50 8B CE 8B 55 B0 8B 45 BC 8B 18 FF 53 58 03 45 B4 03 45 D4 05 A1 EB D9 6E B2 0B E8 ?? ?? ?? ?? 89 45 B4 56 8B 4D B0 8B 55 B4 8B 45 BC 8B 18 FF 53 58 03 45 B8 03 45 F4 05 A1 EB D9 6E B2 0F E8 ?? ?? ?? ?? 89 45 B8 8B 45 B0 50 8B 4D B4 8B 55 B8 8B 45 BC 8B 18 FF 53 58 03 C6 03 45 CC 05 A1 EB D9 6E B2 03 E8 ?? ?? ?? ?? 8B F0 8B 45 B4 50 8B 4D B8 8B D6 8B 45 BC 8B 18 FF 53 58 03 45 B0 03 45 EC 05 A1 EB D9 6E B2 09 E8 ?? ?? ?? ?? 89 45 B0 8B 45 B8 50 8B CE 8B 55 B0 8B 45 BC 8B 18 FF 53 58 03 45 B4 03 45 DC 05 A1 EB D9 6E B2 0B E8 ?? ?? ?? ?? 89 45 B4 56 8B 4D B0 8B 55 B4 8B 45 BC 8B 18 FF 53 58 03 45 B8 03 45 FC 05 A1 EB D9 6E B2 0F E8 ?? ?? ?? ?? 89 45 B8 8B 45 BC 01 70 78 8B 45 BC 8B 55 B8 01 50 7C 8B 45 BC 8B 55 B4 01 90 80 00 00 00 8B 45 BC 8B 55 B0 01 90 84 00 00 00 8B 45 BC 33 D2 89 50 44 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10172_0 {
	meta:
		name = "TIdCoderMD4.CompleteCoding"
		size = 421
		refs = "0017 TIdCoderMD4.CompleteCoding 003b UniqueString 0068 @FillChar 010f Move 0154 @LStrSetLength 017d TIdCoder.OutputString 0192 @LStrClr 0198 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 52 01 8B 43 44 3B 43 40 72 07 8B C3 8B 10 FF 52 30 FF 43 44 8D 43 48 E8 ?? ?? ?? ?? 8B 53 44 C6 44 10 FF 80 8B 43 40 2B 43 44 89 07 83 3F 08 73 2A 8D 43 48 E8 ?? ?? ?? ?? 8B 53 44 8D 44 10 FF 33 C9 8B 17 E8 ?? ?? ?? ?? 8B 43 40 89 43 44 8B C3 8B 10 FF 52 30 8B 43 40 89 07 8B 07 3B 43 40 76 52 8D 43 48 E8 ?? ?? ?? ?? 8B 73 44 03 C6 8B 53 40 2B D6 33 C9 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8B 43 40 29 07 8D 43 48 E8 ?? ?? ?? ?? 33 C9 8B 53 40 E8 ?? ?? ?? ?? 8B 43 40 89 43 44 EB 0C 8B C3 8B 10 FF 52 30 8B 43 40 29 07 8B 07 3B 43 40 77 ED 8D 43 48 E8 ?? ?? ?? ?? 8B 53 44 03 C2 8B 17 83 EA 08 33 C9 E8 ?? ?? ?? ?? 8B 43 26 C1 E0 03 89 07 8D 43 48 E8 ?? ?? ?? ?? 8B 53 40 8D 54 10 F8 8B C7 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 2A C1 E0 03 8B 53 26 C1 EA 1D 0B C2 89 07 8D 43 48 E8 ?? ?? ?? ?? 8B 53 40 8D 54 10 FC 8B C7 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 89 43 44 8B C3 8B 10 FF 52 30 8D 45 F8 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 43 78 B9 10 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10173_0 {
	meta:
		name = "TIdCoderMD4.FillSamples"
		size = 728
		refs = "000d TIdCoderMD4.FillSamples"
	strings:
		$1 = { 53 8B DA 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 5B C3 00 00 FF FF FF FF 22 00 00 00 20 20 33 31 44 36 43 46 45 30 44 31 36 41 45 39 33 31 42 37 33 43 35 39 44 37 45 30 43 30 38 39 43 30 00 00 FF FF FF FF 01 00 00 00 61 00 00 00 FF FF FF FF 22 00 00 00 20 20 42 44 45 35 32 43 42 33 31 44 45 33 33 45 34 36 32 34 35 45 30 35 46 42 44 42 44 36 46 42 32 34 00 00 FF FF FF FF 03 00 00 00 61 62 63 00 FF FF FF FF 22 00 00 00 20 20 41 34 34 38 30 31 37 41 41 46 32 31 44 38 35 32 35 46 43 31 30 41 45 38 37 41 41 36 37 32 39 44 00 00 FF FF FF FF 0E 00 00 00 6D 65 73 73 61 67 65 20 64 69 67 65 73 74 00 00 FF FF FF FF 22 00 00 00 20 20 44 39 31 33 30 41 38 31 36 34 35 34 39 46 45 38 31 38 38 37 34 38 30 36 45 31 43 37 30 31 34 42 00 00 FF FF FF FF 1A 00 00 00 61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70 71 72 73 74 75 76 77 78 79 7A 00 00 FF FF FF FF 22 00 00 00 20 20 44 37 39 45 31 43 33 30 38 41 41 35 42 42 43 44 45 45 41 38 45 44 36 33 44 46 34 31 32 44 41 39 00 00 FF FF FF FF 3E 00 00 00 41 42 43 44 45 46 47 48 49 4A 4B 4C 4D 4E 4F 50 51 52 53 54 55 56 57 58 59 5A 61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70 71 72 73 74 75 76 77 78 79 7A 30 31 32 33 34 35 36 37 38 39 00 00 FF FF FF FF 22 00 00 00 20 20 30 34 33 46 38 35 38 32 46 32 34 31 44 42 33 35 31 43 45 36 32 37 45 31 35 33 45 37 46 30 45 34 00 00 FF FF FF FF 50 00 00 00 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 00 00 00 00 FF FF FF FF 22 00 00 00 20 20 45 33 33 42 34 44 44 43 39 43 33 38 46 32 31 39 39 43 33 45 37 42 31 36 34 46 43 43 30 35 33 36 00 00 }
	condition:
		$1
}

rule function_10174_0 {
	meta:
		name = "TIdCoderMD4.func_f"
		size = 18
	strings:
		$1 = { 55 8B EC 8B C1 23 C2 F7 D2 23 55 08 0B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_10175_0 {
	meta:
		name = "TIdCoderMD4.func_g"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B D9 23 DA 23 D0 0B DA 23 C8 0B D9 8B C3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10176_0 {
	meta:
		name = "TIdCoderMD4.func_h"
		size = 14
	strings:
		$1 = { 55 8B EC 8B C1 33 C2 33 45 08 5D C2 04 00 }
	condition:
		$1
}

rule function_10177_0 {
	meta:
		name = "TIdCoderMD5.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdCoderMD4.Create 0023 TIdCoder.InternSetBufferSize 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 40 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10178_0 {
	meta:
		name = "TIdCoderMD5.Coder"
		size = 2711
		refs = "0033 UniqueString 0041 Move 005f MD5_SINE 0066 ROL"
	strings:
		$1 = { 53 56 57 55 83 C4 B8 89 04 24 8B 04 24 8B 58 78 8B 04 24 8B 70 7C 8B 04 24 8B B8 80 00 00 00 8B 04 24 8B 80 84 00 00 00 89 44 24 04 8B 04 24 83 C0 48 E8 ?? ?? ?? ?? 8D 54 24 08 B9 40 00 00 00 E8 ?? ?? ?? ?? 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 50 03 C3 03 44 24 08 03 05 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 50 03 44 24 04 03 44 24 0C 03 05 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 50 03 C7 03 44 24 10 03 05 ?? ?? ?? ?? B2 11 E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 50 03 C6 03 44 24 14 03 05 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 50 03 C3 03 44 24 18 03 05 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 50 03 44 24 04 03 44 24 1C 03 05 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 50 03 C7 03 44 24 20 03 05 ?? ?? ?? ?? B2 11 E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 50 03 C6 03 44 24 24 03 05 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 50 03 C3 03 44 24 28 03 05 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 50 03 44 24 04 03 44 24 2C 03 05 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 50 03 C7 03 44 24 30 03 05 ?? ?? ?? ?? B2 11 E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 50 03 C6 03 44 24 34 03 05 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 50 03 C3 03 44 24 38 03 05 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 50 03 44 24 04 03 44 24 3C 03 05 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 50 03 C7 03 44 24 40 03 05 ?? ?? ?? ?? B2 11 E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 50 03 C6 03 44 24 44 03 05 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 54 03 C3 03 44 24 0C 03 05 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 54 03 44 24 04 03 44 24 20 03 05 ?? ?? ?? ?? B2 09 E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 54 03 C7 03 44 24 34 03 05 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 54 03 C6 03 44 24 08 03 05 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 54 03 C3 03 44 24 1C 03 05 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 54 03 44 24 04 03 44 24 30 03 05 ?? ?? ?? ?? B2 09 E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 54 03 C7 03 44 24 44 03 05 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 54 03 C6 03 44 24 18 03 05 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 54 03 C3 03 44 24 2C 03 05 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 54 03 44 24 04 03 44 24 40 03 05 ?? ?? ?? ?? B2 09 E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 54 03 C7 03 44 24 14 03 05 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 54 03 C6 03 44 24 28 03 05 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 54 03 C3 03 44 24 3C 03 05 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 54 03 44 24 04 03 44 24 10 03 05 ?? ?? ?? ?? B2 09 E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 54 03 C7 03 44 24 24 03 05 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 54 03 C6 03 44 24 38 03 05 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 58 03 C3 03 44 24 1C 03 05 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 58 03 44 24 04 03 44 24 28 03 05 ?? ?? ?? ?? B2 0B E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 58 03 C7 03 44 24 34 03 05 ?? ?? ?? ?? B2 10 E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 58 03 C6 03 44 24 40 03 05 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 58 03 C3 03 44 24 0C 03 05 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 58 03 44 24 04 03 44 24 18 03 05 ?? ?? ?? ?? B2 0B E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 58 03 C7 03 44 24 24 03 05 ?? ?? ?? ?? B2 10 E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 58 03 C6 03 44 24 30 03 05 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 58 03 C3 03 44 24 3C 03 05 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 58 03 44 24 04 03 44 24 08 03 05 ?? ?? ?? ?? B2 0B E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 58 03 C7 03 44 24 14 03 05 ?? ?? ?? ?? B2 10 E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 58 03 C6 03 44 24 20 03 05 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 58 03 C3 03 44 24 2C 03 05 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 58 03 44 24 04 03 44 24 38 03 05 ?? ?? ?? ?? B2 0B E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 58 03 C7 03 44 24 44 03 05 ?? ?? ?? ?? B2 10 E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 58 03 C6 03 44 24 10 03 05 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 60 03 C3 03 44 24 08 03 05 ?? ?? ?? ?? B2 06 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 60 03 44 24 04 03 44 24 24 03 05 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 60 03 C7 03 44 24 40 03 05 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 60 03 C6 03 44 24 1C 03 05 ?? ?? ?? ?? B2 15 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 60 03 C3 03 44 24 38 03 05 ?? ?? ?? ?? B2 06 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 60 03 44 24 04 03 44 24 14 03 05 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 60 03 C7 03 44 24 30 03 05 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 60 03 C6 03 44 24 0C 03 05 ?? ?? ?? ?? B2 15 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 60 03 C3 03 44 24 28 03 05 ?? ?? ?? ?? B2 06 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 60 03 44 24 04 03 44 24 44 03 05 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 60 03 C7 03 44 24 20 03 05 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 60 03 C6 03 44 24 3C 03 05 ?? ?? ?? ?? B2 15 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 44 24 04 50 8B CF 8B D6 8B 44 24 04 8B 28 FF 55 60 03 C3 03 44 24 18 03 05 ?? ?? ?? ?? B2 06 E8 ?? ?? ?? ?? 03 C6 8B D8 57 8B CE 8B D3 8B 44 24 04 8B 28 FF 55 60 03 44 24 04 03 44 24 34 03 05 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 03 C3 89 44 24 04 56 8B CB 8B 54 24 08 8B 44 24 04 8B 28 FF 55 60 03 C7 03 44 24 10 03 05 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 03 44 24 04 8B F8 53 8B 4C 24 08 8B D7 8B 44 24 04 8B 28 FF 55 60 03 C6 03 44 24 2C 03 05 ?? ?? ?? ?? B2 15 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 04 24 01 58 78 8B 04 24 01 70 7C 8B 04 24 01 B8 80 00 00 00 8B 04 24 8B 54 24 04 01 90 84 00 00 00 8B 04 24 33 D2 89 50 44 83 C4 48 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10179_0 {
	meta:
		name = "TIdCoderMD5.func_g"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 23 D0 F7 D0 23 C8 0B D1 8B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_10180_0 {
	meta:
		name = "TIdCoderMD5.func_i"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 F7 D0 0B C2 33 C1 5D C2 04 00 }
	condition:
		$1
}

rule function_10181_0 {
	meta:
		name = "TIdCoderMD5.FillSamples"
		size = 728
		refs = "000d TIdCoderMD5.FillSamples"
	strings:
		$1 = { 53 8B DA 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 5B C3 00 00 FF FF FF FF 22 00 00 00 20 20 64 34 31 64 38 63 64 39 38 66 30 30 62 32 30 34 65 39 38 30 30 39 39 38 65 63 66 38 34 32 37 65 00 00 FF FF FF FF 01 00 00 00 61 00 00 00 FF FF FF FF 22 00 00 00 20 20 30 63 63 31 37 35 62 39 63 30 66 31 62 36 61 38 33 31 63 33 39 39 65 32 36 39 37 37 32 36 36 31 00 00 FF FF FF FF 03 00 00 00 61 62 63 00 FF FF FF FF 22 00 00 00 20 20 39 30 30 31 35 30 39 38 33 63 64 32 34 66 62 30 64 36 39 36 33 66 37 64 32 38 65 31 37 66 37 32 00 00 FF FF FF FF 0E 00 00 00 6D 65 73 73 61 67 65 20 64 69 67 65 73 74 00 00 FF FF FF FF 22 00 00 00 20 20 66 39 36 62 36 39 37 64 37 63 62 37 39 33 38 64 35 32 35 61 32 66 33 31 61 61 66 31 36 31 64 30 00 00 FF FF FF FF 1A 00 00 00 61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70 71 72 73 74 75 76 77 78 79 7A 00 00 FF FF FF FF 22 00 00 00 20 20 63 33 66 63 64 33 64 37 36 31 39 32 65 34 30 30 37 64 66 62 34 39 36 63 63 61 36 37 65 31 33 62 00 00 FF FF FF FF 3E 00 00 00 41 42 43 44 45 46 47 48 49 4A 4B 4C 4D 4E 4F 50 51 52 53 54 55 56 57 58 59 5A 61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70 71 72 73 74 75 76 77 78 79 7A 30 31 32 33 34 35 36 37 38 39 00 00 FF FF FF FF 22 00 00 00 20 20 64 31 37 34 61 62 39 38 64 32 37 37 64 39 66 35 61 35 36 31 31 63 32 63 39 66 34 31 39 64 39 66 00 00 FF FF FF FF 50 00 00 00 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 31 32 33 34 35 36 37 38 39 30 00 00 00 00 FF FF FF FF 22 00 00 00 20 20 35 37 65 64 66 34 61 32 32 62 65 33 63 39 35 35 61 63 34 39 64 61 32 65 32 31 30 37 62 36 37 61 00 00 }
	condition:
		$1
}

rule function_10183_0 {
	meta:
		name = "IdCoderMessageDigest"
		size = 196
		refs = "0002 _DV_4 000c IdCoderMessageDigest 0015 _DV_TIdCoderMD2 001a RegisterCoderClass 003f _DV_TIdCoderMD4 0069 _DV_TIdCoderMD5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 7E 6A 00 68 ?? ?? ?? ?? 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 33 C9 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 33 C9 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 33 C9 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 FF FF FF FF 09 00 00 00 78 2D 72 73 61 2D 6D 64 32 00 00 00 FF FF FF FF 09 00 00 00 78 2D 72 73 61 2D 6D 64 34 00 00 00 FF FF FF FF 09 00 00 00 78 2D 72 73 61 2D 6D 64 35 00 00 00 }
	condition:
		$1
}

rule function_10184_0 {
	meta:
		name = "TIdQuotedPrintableEncoder.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdCoder.Create 0023 @LStrClr 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 24 00 8D 46 74 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10186_0 {
	meta:
		name = "TIdQuotedPrintableEncoder.Reset"
		size = 13
		refs = "0007 @LStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 74 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10187_0 {
	meta:
		name = "TIdQuotedPrintableEncoder.Coder"
		size = 392
		refs = "0010 TIdQuotedPrintableEncoder.Coder 001e @LStrClr 004a TIdQuotedPrintableEncoder.ToQuotedPrintable 0055 @LStrCat 0064 @LStrFromChar 006d IndyPos 00f8 UniqueString 0150 @LStrArrayClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? BF 01 00 00 00 E9 F6 00 00 00 8B 46 48 8A 5C 38 FF 80 FB 20 72 79 80 FB 7E 77 74 80 FB 3D 75 1C 8D 4D F8 B2 3D 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? E9 C3 00 00 00 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 7E 1C 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? E9 87 00 00 00 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? EB 70 80 FB 0D 75 54 3B 7E 40 73 32 8B 46 48 80 3C 38 0A 75 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 EB 4D 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? EB 34 C7 46 44 01 00 00 00 8D 46 48 E8 ?? ?? ?? ?? 88 18 8B 55 FC 8B C6 8B 08 FF 51 50 EB 30 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 47 3B 7E 40 0F 86 01 FF FF FF 8B 55 FC 8B C6 8B 08 FF 51 50 33 C0 89 46 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 FF FF FF FF 0E 00 00 00 21 22 23 24 40 5B 5C 5D 5E 60 7B 7C 7D 7E 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10188_0 {
	meta:
		name = "TIdQuotedPrintableEncoder.QPOutput"
		size = 512
		refs = "0013 TIdQuotedPrintableEncoder.QPOutput 0023 @LStrCat 0029 IndyPos 0053 @LStrCopy 005f @LStrLen 009e TIdQuotedPrintableEncoder.ToQuotedPrintable 00c3 UniqueString 00e4 @LStrCatN 00f3 @LStrLAsg 00fd TIdCoder.OutputString 01be @LStrArrayClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 74 8B D6 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 53 74 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 86 54 01 00 00 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 43 74 E8 ?? ?? ?? ?? 8D 43 74 50 8B 43 74 E8 ?? ?? ?? ?? 8B C8 8D 56 02 8B 43 74 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 76 6C 8B 45 FC 8A 44 30 FF 2C 09 74 04 2C 17 75 41 8D 45 F8 50 8D 4D F4 8B 45 FC 8A 54 30 FF 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 B9 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C6 44 30 FF 3D EB 29 FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 53 74 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 87 26 FF FF FF EB 78 8B 43 74 80 78 48 3D 75 07 BE 48 00 00 00 EB 25 8B 43 74 80 78 49 3D 75 07 BE 49 00 00 00 EB 15 8B 43 74 80 78 4A 3D 75 07 BE 4A 00 00 00 EB 05 BE 4B 00 00 00 8D 45 F8 50 8B CE BA 01 00 00 00 8B 43 74 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 43 74 50 8B 43 74 E8 ?? ?? ?? ?? 8B C8 8D 56 01 8B 43 74 E8 ?? ?? ?? ?? 8B 43 74 E8 ?? ?? ?? ?? 83 F8 4B 0F 8F 77 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_10189_0 {
	meta:
		name = "TIdQuotedPrintableEncoder.CompleteCoding"
		size = 404
		refs = "0010 TIdQuotedPrintableEncoder.CompleteCoding 0027 TIdCoder.InternSetBufferSize 004a TIdQuotedPrintableEncoder.ToQuotedPrintable 005c @LStrLen 00a0 @LStrCopy 00ab @LStrCat 00b3 UniqueString 0119 TIdCoder.OutputString 0175 @LStrArrayClr 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 52 01 8B 73 40 8B 53 44 8B C3 E8 ?? ?? ?? ?? 8B 43 40 89 43 44 85 C0 76 07 8B C3 8B 10 FF 52 30 83 7B 44 00 76 16 8D 4D FC B2 0D 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 50 8B 43 74 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 86 E7 00 00 00 8B 43 74 8A 44 38 FF 2C 09 74 08 2C 17 0F 85 B9 00 00 00 8D 45 FC 50 8B 43 74 8A 54 38 FF 8D 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 B9 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 74 E8 ?? ?? ?? ?? 8D 43 74 E8 ?? ?? ?? ?? C6 44 38 FF 3D EB 78 8B 43 74 80 78 48 3D 75 07 BE 48 00 00 00 EB 25 8B 43 74 80 78 49 3D 75 07 BE 49 00 00 00 EB 15 8B 43 74 80 78 4A 3D 75 07 BE 4A 00 00 00 EB 05 BE 4B 00 00 00 8D 45 FC 50 8B CE BA 01 00 00 00 8B 43 74 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 74 50 8B 43 74 E8 ?? ?? ?? ?? 8B C8 8D 56 01 8B 43 74 E8 ?? ?? ?? ?? 8B 43 74 E8 ?? ?? ?? ?? 83 F8 4B 0F 8F 77 FF FF FF 8B 53 74 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_10190_0 {
	meta:
		name = "TIdQuotedPrintableEncoder.ToQuotedPrintable"
		size = 124
		refs = "0011 TIdQuotedPrintableEncoder.ToQuotedPrintable 0028 IntToHex 0033 UpperCase 0042 @LStrCat3 005c @LStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 33 C0 8A C3 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_10191_0 {
	meta:
		name = "TIdQuotedPrintableDecoder.Create"
		size = 90
		refs = "000a @ClassCreate 0017 TIdCoder.Create 001f @LStrClr 002c @LStrSetLength 0034 UniqueString 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 74 E8 ?? ?? ?? ?? 8D 46 74 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 46 74 E8 ?? ?? ?? ?? C6 46 24 00 C6 46 78 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10193_0 {
	meta:
		name = "TIdQuotedPrintableDecoder.Reset"
		size = 9
	strings:
		$1 = { C6 40 24 00 C6 40 78 00 C3 }
	condition:
		$1
}

rule function_10194_0 {
	meta:
		name = "IsHex"
		size = 24
	strings:
		$1 = { 04 D0 2C 0A 72 0C 04 F9 2C 06 72 06 04 E6 2C 06 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_10195_0 {
	meta:
		name = "TIdQuotedPrintableDecoder.Coder"
		size = 340
		refs = "0012 TIdQuotedPrintableDecoder.Coder 0025 @LStrClr 0043 UniqueString 0063 IsHex 0086 @LStrCat3 008e StrToInt 0098 @LStrFromChar 00a3 @LStrCat 00ce @LStrCatN 0107 TIdCoder.OutputString 0126 @LStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 FC E8 ?? ?? ?? ?? E9 CA 00 00 00 8B 47 48 8A 5C 30 FF 80 7F 78 00 0F 86 99 00 00 00 8D 47 74 E8 ?? ?? ?? ?? 33 D2 8A 57 78 88 5C 10 FF FE 47 78 80 7F 78 03 0F 82 9A 00 00 00 8B 47 74 8A 00 E8 ?? ?? ?? ?? 84 C0 74 3E 8B 47 74 8A 40 01 E8 ?? ?? ?? ?? 84 C0 74 2F 8D 45 F4 8B 4F 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? EB 29 8B 47 74 80 38 0D 75 09 8B 47 74 80 78 01 0A 74 18 FF 75 FC 68 ?? ?? ?? ?? FF 77 74 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? C6 47 78 00 EB 1F 80 FB 3D 75 05 FE 47 78 EB 15 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 46 3B 77 44 0F 86 2D FF FF FF 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 24 00 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_10196_0 {
	meta:
		name = "TIdQuotedPrintableDecoder.CompleteCoding"
		size = 112
		refs = "000d TIdQuotedPrintableDecoder.CompleteCoding 003b @LStrCopy 0045 TIdCoder.OutputString 005f @LStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 46 52 01 8B C6 8B 10 FF 52 30 8A 5E 78 84 DB 76 25 8D 45 FC 50 33 C9 8A CB 49 BA 01 00 00 00 8B 46 74 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10198_0 {
	meta:
		name = "IdCoderText"
		size = 80
		refs = "0002 _DV_3 000c IdCoderText 0015 _DV_TIdQuotedPrintableEncoder 001a RegisterCoderClass 002a _DV_TIdQuotedPrintableDecoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2A 6A 00 68 ?? ?? ?? ?? B1 08 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? B1 08 B2 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 FF FF FF FF 10 00 00 00 71 75 6F 74 65 64 2D 70 72 69 6E 74 61 62 6C 65 00 00 00 00 }
	condition:
		$1
}

rule function_10199_0 {
	meta:
		name = "TIdComponent.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TComponent.Create 001c GStack 0026 _Dn_TIdStack 002b TIdStack.CreateStack 0039 gnInstanceCount 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 75 12 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 FF 05 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10200_0 {
	meta:
		name = "TIdComponent.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 000d gnInstanceCount 001b GStack 0022 TObject.Free 0037 TComponent.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10201_0 {
	meta:
		name = "TIdComponent.DoStatus"
		size = 12
		refs = "0007 TIdComponent.DoStatus"
	strings:
		$1 = { 6A FF 8D 4C 24 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10896_0 {
	meta:
		name = "TIdStack.CheckForSocketError"
		size = 12
		refs = "0007 TIdStack.CheckForSocketError"
	strings:
		$1 = { 6A FF 8D 4C 24 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10202_0 {
	meta:
		name = "TIdComponent.DoStatus"
		size = 111
		refs = "0012 TIdComponent.DoStatus 0030 IdStati 0038 Format 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7E 26 00 74 27 8D 45 FC 50 8B D7 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB 8B D6 8B 46 28 FF 56 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10203_0 {
	meta:
		name = "TIdComponent.GetLocalName"
		size = 19
		refs = "0006 GStack"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 24 5B C3 }
	condition:
		$1
}

rule function_10204_0 {
	meta:
		name = "TIdComponent.BeginWork"
		size = 53
	strings:
		$1 = { 53 56 33 DB 8A DA 8D 1C 5B FF 44 98 4C 83 7C 98 4C 01 75 1E 89 4C 98 48 33 F6 89 74 98 44 66 83 78 36 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 38 FF 53 34 5E 5B C3 }
	condition:
		$1
}

rule function_10205_0 {
	meta:
		name = "TIdComponent.DoWork"
		size = 47
	strings:
		$1 = { 53 56 33 DB 8A DA 8D 34 5B 83 7C B0 4C 00 7E 1C 01 4C B0 44 66 83 78 2E 00 74 11 8B 4C B0 44 51 8B D8 8B CA 8B D0 8B 43 30 FF 53 2C 5E 5B C3 }
	condition:
		$1
}

rule function_10206_0 {
	meta:
		name = "TIdComponent.EndWork"
		size = 46
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 C0 8A C3 8D 3C 40 83 7C BE 4C 01 75 11 66 83 7E 3E 00 74 0A 8B CB 8B D6 8B 46 40 FF 56 3C FF 4C BE 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10207_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a IdStati 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10343_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_71 001a cRCodeStrs 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13107_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_7 001a BitmapArray 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10210_0 {
	meta:
		name = "TIdDateTimeStamp.Create"
		size = 91
		refs = "000a @ClassCreate 0017 TComponent.Create 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 3C 01 00 00 00 C7 46 24 01 00 00 00 C7 46 34 01 00 00 00 C7 46 2C 01 00 00 00 33 C0 89 46 38 33 C0 89 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10212_0 {
	meta:
		name = "TIdDateTimeStamp.AddDays"
		size = 318
		refs = "000a TIdDateTimeStamp.GetDaysInYear 0035 TIdDateTimeStamp.AddYears"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 7B 24 2B C7 3B F0 76 24 4F 74 21 8B C3 E8 ?? ?? ?? ?? 2B 43 24 2B F0 C7 43 24 01 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 08 01 73 24 E9 F7 00 00 00 81 FE B1 3A 02 00 72 22 8B C6 B9 B1 3A 02 00 33 D2 F7 F1 8B F8 69 D7 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 69 C7 B1 3A 02 00 2B F0 81 FE AD 8E 00 00 72 54 81 FE AD 8E 00 00 72 4C 8B 43 3C B9 64 00 00 00 99 F7 F9 8B F8 81 E7 03 00 00 80 79 05 4F 83 CF FC 47 85 FF 75 14 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AD 8E 00 00 EB 12 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AC 8E 00 00 81 FE AD 8E 00 00 73 B4 81 FE B5 05 00 00 72 21 8B C6 B9 B5 05 00 00 33 D2 F7 F1 8B F8 8B D7 C1 E2 02 8B C3 E8 ?? ?? ?? ?? 69 C7 B5 05 00 00 2B F0 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 17 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B F7 8B C3 E8 ?? ?? ?? ?? 8B F8 3B FE 7C E5 8B 43 24 03 C6 3B F8 7D 16 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 7B 24 2B F7 89 73 24 EB 03 01 73 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10213_0 {
	meta:
		name = "TIdDateTimeStamp.AddHours"
		size = 56
		refs = "0019 TIdDateTimeStamp.AddDays 0030 TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 B9 18 00 00 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 C1 E0 03 8D 04 40 2B F0 69 D6 10 0E 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10255_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractHours"
		size = 56
		refs = "0019 TIdDateTimeStamp.SubtractDays 0030 TIdDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 B9 18 00 00 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 C1 E0 03 8D 04 40 2B F0 69 D6 10 0E 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10214_0 {
	meta:
		name = "TIdDateTimeStamp.AddMilliseconds"
		size = 112
		refs = "001d TIdDateTimeStamp.AddDays 003f TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 B9 00 5C 26 05 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 00 5C 26 05 2B F8 8B C7 B9 E8 03 00 00 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 E8 03 00 00 2B F8 01 7B 2C EB 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 6B 2C E8 03 00 00 81 7B 2C E8 03 00 00 7F E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10215_0 {
	meta:
		name = "TIdDateTimeStamp.AddMinutes"
		size = 43
		refs = "0008 MaxMinutesAdd 0013 TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0B 8B 17 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F1 6B D3 3C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10216_0 {
	meta:
		name = "TIdDateTimeStamp.AddMonths"
		size = 115
		refs = "0019 TIdDateTimeStamp.AddYears 002e TIdDateTimeStamp.GetMonthOFYear 004d IdDaysInMonth 0055 TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 B9 0C 00 00 00 33 D2 F7 F1 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 C1 E0 02 8D 04 40 2B F8 85 FF 76 44 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 0C 75 05 BB 01 00 00 00 83 FB 02 75 18 80 7E 28 00 74 12 33 D2 8A 93 ?? ?? ?? ?? 42 8B C6 E8 ?? ?? ?? ?? EB 0F 33 D2 8A 93 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4F 85 FF 77 BC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10217_0 {
	meta:
		name = "TIdDateTimeStamp.AddSeconds"
		size = 78
		refs = "001d TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 B9 80 51 01 00 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 80 51 01 00 2B F8 01 7B 34 EB 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 6B 34 80 51 01 00 81 7B 34 80 51 01 00 7F E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10218_0 {
	meta:
		name = "TIdDateTimeStamp.AddTDateTime"
		size = 40
		refs = "0013 DateTimeToTimeStamp 001d TIdDateTimeStamp.AddTTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10248_0 {
	meta:
		name = "TIdDateTimeStamp.SetFromTDateTime"
		size = 40
		refs = "0013 DateTimeToTimeStamp 001d TIdDateTimeStamp.SetFromTTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10260_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractTDateTime"
		size = 40
		refs = "0013 DateTimeToTimeStamp 001d TIdDateTimeStamp.SubtractTTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10219_0 {
	meta:
		name = "TIdDateTimeStamp.AddTIdDateTimeStamp"
		size = 49
		refs = "000c TIdDateTimeStamp.AddYears 0016 TIdDateTimeStamp.AddDays 0020 TIdDateTimeStamp.AddSeconds 002a TIdDateTimeStamp.AddMilliseconds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 3C 8B C3 E8 ?? ?? ?? ?? 8B 56 24 8B C3 E8 ?? ?? ?? ?? 8B 56 34 8B C3 E8 ?? ?? ?? ?? 8B 56 2C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10261_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractTIdDateTimeStamp"
		size = 49
		refs = "000c TIdDateTimeStamp.SubtractYears 0016 TIdDateTimeStamp.SubtractDays 0020 TIdDateTimeStamp.SubtractSeconds 002a TIdDateTimeStamp.SubtractMilliseconds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 3C 8B C3 E8 ?? ?? ?? ?? 8B 56 24 8B C3 E8 ?? ?? ?? ?? 8B 56 34 8B C3 E8 ?? ?? ?? ?? 8B 56 2C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10220_0 {
	meta:
		name = "TIdDateTimeStamp.AddTTimeStamp"
		size = 106
		refs = "0017 _DV_TIdDateTimeStamp 001c TIdDateTimeStamp.Create 0027 TIdDateTimeStamp.AddTTimeStamp 0038 TIdDateTimeStamp.SetFromTTimeStamp 0042 TIdDateTimeStamp.AddTIdDateTimeStamp 0057 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8D 7D F8 A5 A5 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10262_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractTTimeStamp"
		size = 106
		refs = "0017 _DV_TIdDateTimeStamp 001c TIdDateTimeStamp.Create 0027 TIdDateTimeStamp.SubtractTTimeStamp 0038 TIdDateTimeStamp.SetFromTTimeStamp 0042 TIdDateTimeStamp.SubtractTIdDateTimeStamp 0057 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8D 7D F8 A5 A5 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10221_0 {
	meta:
		name = "TIdDateTimeStamp.AddWeeks"
		size = 47
		refs = "0008 MaxWeekAdd 0013 TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0B 8B 17 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F1 8B D3 C1 E2 03 2B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10222_0 {
	meta:
		name = "TIdDateTimeStamp.AddYears"
		size = 24
		refs = "0013 TIdDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 8B 48 3C 83 F9 FF 7F 07 F7 D9 3B CA 7F 01 42 01 50 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10223_0 {
	meta:
		name = "TIdDateTimeStamp.CheckLeapYear"
		size = 79
	strings:
		$1 = { 53 56 8B C8 8B 59 3C 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 2F 8B C3 BE 64 00 00 00 99 F7 FE 85 D2 75 1A 8B C3 BB 90 01 00 00 99 F7 FB 85 D2 75 06 C6 41 28 01 EB 11 C6 41 28 00 EB 0B C6 41 28 01 5E 5B C3 C6 41 28 00 5E 5B C3 }
	condition:
		$1
}

rule function_10224_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsISO8601Calendar"
		size = 204
		refs = "000f TIdDateTimeStamp.GetAsISO8601Calendar 0020 IntToStr 002f @LStrCat3 0038 TIdDateTimeStamp.GetMonthOFYear 0054 @LStrCatN 005d TIdDateTimeStamp.GetDayOfMonth 0083 TIdDateTimeStamp.GetAsTimeOFDay 008d @LStrCat 00a2 @LStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 3C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_10225_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsISO8601Ordinal"
		size = 164
		refs = "000f TIdDateTimeStamp.GetAsISO8601Ordinal 0020 IntToStr 002f @LStrCat3 0050 @LStrCatN 005a TIdDateTimeStamp.GetAsTimeOFDay 0064 @LStrCat 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 3C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8D 55 FC 8B 46 24 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_10226_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsISO8601Week"
		size = 216
		refs = "000f TIdDateTimeStamp.GetAsISO8601Week 0020 IntToStr 002f @LStrCat3 0038 TIdDateTimeStamp.GetWeekOFYear 0054 @LStrCatN 005d TIdDateTimeStamp.GetDayOfWeek 0083 TIdDateTimeStamp.GetAsTimeOFDay 008d @LStrCat 00a2 @LStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 3C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 FF FF FF FF 02 00 00 00 2D 57 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_10227_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsRFC882"
		size = 464
		refs = "0010 TIdDateTimeStamp.GetAsRFC882 001d TIdDateTimeStamp.GetDayOfWeek 0024 IdDayShortNames 0030 @LStrCat3 0039 TIdDateTimeStamp.GetDayOfMonth 0041 IntToStr 0055 @LStrCatN 005e TIdDateTimeStamp.GetMonthOFYear 0065 IdMonthShortNames 00a3 TIdDateTimeStamp.GetAsTimeOFDay 0174 @LStrClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8B C6 E8 ?? ?? ?? ?? FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8D 55 FC 8B 46 3C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8D 55 FC 8B C6 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7E 38 83 FF F7 7D 22 FF 33 8D 55 FC 8B C7 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 7E 83 FF 09 7E 27 FF 33 68 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 52 85 FF 7C 27 FF 33 68 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 27 FF 33 68 ?? ?? ?? ?? 8D 55 FC 33 C0 2B C7 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 02 00 00 00 2C 20 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 02 00 00 00 30 30 00 00 FF FF FF FF 01 00 00 00 2B 00 00 00 FF FF FF FF 02 00 00 00 2B 30 00 00 FF FF FF FF 02 00 00 00 2D 30 00 00 }
	condition:
		$1
}

rule function_10228_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsTDateTime"
		size = 38
		refs = "000d TIdDateTimeStamp.GetAsTTimeStamp 0016 TimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_10229_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsTTimeStamp"
		size = 86
	strings:
		$1 = { 53 56 57 55 8B F2 8B C8 8B 79 3C 8B C7 BB 90 01 00 00 99 F7 FB 8B D8 8B C7 BD 64 00 00 00 99 F7 FD 2B C3 8B DF 85 DB 79 03 83 C3 03 C1 FB 02 2B D8 69 D3 6E 01 00 00 69 C0 6D 01 00 00 03 D0 03 51 24 89 56 04 69 41 34 E8 03 00 00 03 41 2C 89 06 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10230_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsTimeOFDay"
		size = 356
		refs = "0010 TIdDateTimeStamp.GetAsTimeOFDay 001d TIdDateTimeStamp.GetHourOf24Day 0035 IntToStr 0049 @LStrCatN 0072 TIdDateTimeStamp.GetMinuteOfHour 00c8 TIdDateTimeStamp.GetSecondOfMinute 012c @LStrClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB 0A 7D 27 FF 36 68 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 20 FF 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 0A 7D 27 FF 36 68 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 20 FF 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 0A 7D 27 FF 36 68 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 20 FF 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10231_0 {
	meta:
		name = "TIdDateTimeStamp.GetBeatOFDay"
		size = 53
		refs = "0024 @_lldiv"
	strings:
		$1 = { 83 C4 F8 8B C8 69 41 34 E8 03 00 00 99 89 04 24 89 54 24 04 6A 00 68 80 51 01 00 8B 44 24 08 8B 54 24 0C E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 59 5A C3 }
	condition:
		$1
}

rule function_10232_0 {
	meta:
		name = "TIdDateTimeStamp.GetDaysInYear"
		size = 18
	strings:
		$1 = { 80 78 28 00 74 06 B8 6E 01 00 00 C3 B8 6D 01 00 00 C3 }
	condition:
		$1
}

rule function_10233_0 {
	meta:
		name = "TIdDateTimeStamp.GetDayOfMonth"
		size = 74
		refs = "0007 TIdDateTimeStamp.GetMonthOFYear 0027 IdDaysInMonth"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 7E 28 00 74 0C 83 F8 02 7E 07 B9 01 00 00 00 EB 02 33 C9 8B D0 4A 85 D2 7E 0F B8 ?? ?? ?? ?? 33 DB 8A 18 03 CB 40 4A 75 F6 8B 46 24 2B C1 8B C8 85 C9 7D 05 33 C0 5E 5B C3 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_10234_0 {
	meta:
		name = "TIdDateTimeStamp.GetDayOfWeek"
		size = 132
		refs = "0008 TIdDateTimeStamp.GetMonthOFYear 0032 TIdDateTimeStamp.GetDayOfMonth"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C8 B8 0E 00 00 00 2B C1 BB 0C 00 00 00 99 F7 FB 8B 5E 3C 2B D8 8B F8 C1 E7 02 8D 3C 7F 03 F9 83 EF 02 8B C6 E8 ?? ?? ?? ?? 8B C8 03 CB 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 03 C8 8B C3 BE 64 00 00 00 99 F7 FE 2B C8 8B C3 BB 90 01 00 00 99 F7 FB 03 C8 8B C7 C1 E0 05 2B C7 BB 0C 00 00 00 99 F7 FB 03 C8 8B C1 B9 07 00 00 00 99 F7 F9 8B CA 8D 41 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10235_0 {
	meta:
		name = "TIdDateTimeStamp.GetDayOfWeekName"
		size = 30
		refs = "0009 TIdDateTimeStamp.GetDayOfWeek 0010 IdDayNames 0017 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10236_0 {
	meta:
		name = "TIdDateTimeStamp.GetDayOfWeekShortName"
		size = 30
		refs = "0009 TIdDateTimeStamp.GetDayOfWeek 0010 IdDayShortNames 0017 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10243_0 {
	meta:
		name = "TIdDateTimeStamp.GetMonthName"
		size = 30
		refs = "0009 TIdDateTimeStamp.GetMonthOFYear 0010 IdMonthNames 0017 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10244_0 {
	meta:
		name = "TIdDateTimeStamp.GetMonthShortName"
		size = 30
		refs = "0009 TIdDateTimeStamp.GetMonthOFYear 0010 IdMonthShortNames 0017 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10237_0 {
	meta:
		name = "TIdDateTimeStamp.GetHourOf12Day"
		size = 14
		refs = "0001 TIdDateTimeStamp.GetHourOf24Day"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 F8 0C 7E 03 83 E8 0C C3 }
	condition:
		$1
}

rule function_10238_0 {
	meta:
		name = "TIdDateTimeStamp.GetHourOf24Day"
		size = 15
	strings:
		$1 = { 8B C8 8B 41 34 48 B9 10 0E 00 00 99 F7 F9 C3 }
	condition:
		$1
}

rule function_10239_0 {
	meta:
		name = "TIdDateTimeStamp.GetIsMorning"
		size = 15
	strings:
		$1 = { 81 78 34 C1 A8 00 00 7F 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_10240_0 {
	meta:
		name = "TIdDateTimeStamp.GetMinuteOFDay"
		size = 14
	strings:
		$1 = { 8B C8 8B 41 34 B9 3C 00 00 00 99 F7 F9 C3 }
	condition:
		$1
}

rule function_10241_0 {
	meta:
		name = "TIdDateTimeStamp.GetMinuteOfHour"
		size = 27
		refs = "0006 TIdDateTimeStamp.GetMinuteOFDay 000e TIdDateTimeStamp.GetHourOf24Day"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 6B C0 3C 5A 92 2B C2 5B C3 }
	condition:
		$1
}

rule function_10242_0 {
	meta:
		name = "TIdDateTimeStamp.GetMonthOFYear"
		size = 119
		refs = "0025 IdDaysInMonth"
	strings:
		$1 = { 53 56 57 80 78 28 00 74 04 B1 01 EB 02 33 C9 8B 50 24 B0 01 33 DB 3C 02 75 2F 8B F0 81 E6 FF 00 00 00 0F B6 B6 ?? ?? ?? ?? 8B F9 81 E7 FF 00 00 00 03 F7 3B D6 7E 0C 8B F8 81 E7 FF 00 00 00 2B D6 EB 29 33 DB 8A D8 EB 28 8B F8 81 E7 FF 00 00 00 0F B6 B7 ?? ?? ?? ?? 3B D6 7E 0C 8B F8 81 E7 FF 00 00 00 2B D6 EB 04 8B DF EB 05 40 3C 0D 75 A5 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10245_0 {
	meta:
		name = "TIdDateTimeStamp.GetSecondsInYear"
		size = 18
	strings:
		$1 = { 80 78 28 00 74 06 B8 00 85 E2 01 C3 B8 80 33 E1 01 C3 }
	condition:
		$1
}

rule function_10246_0 {
	meta:
		name = "TIdDateTimeStamp.GetSecondOfMinute"
		size = 22
		refs = "0006 TIdDateTimeStamp.GetMinuteOFDay"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6B C0 3C 50 8B 43 34 5A 2B C2 5B C3 }
	condition:
		$1
}

rule function_10247_0 {
	meta:
		name = "TIdDateTimeStamp.GetWeekOFYear"
		size = 120
		refs = "000e _DV_TIdDateTimeStamp 0013 TIdDateTimeStamp.Create 001e TIdDateTimeStamp.GetWeekOFYear 002f TIdDateTimeStamp.SetYear 0037 TIdDateTimeStamp.GetDayOfWeek 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 3C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 03 4B 24 83 E9 02 8B C1 B9 07 00 00 00 99 F7 F9 8B C8 41 89 4D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10249_0 {
	meta:
		name = "TIdDateTimeStamp.SetFromTTimeStamp"
		size = 75
		refs = "0017 TIdDateTimeStamp.SetYear 0023 TIdDateTimeStamp.SetDay 002c TIdDateTimeStamp.SetSecond 0036 TIdDateTimeStamp.SetMillisecond"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10250_0 {
	meta:
		name = "TIdDateTimeStamp.SetDay"
		size = 11
		refs = "0006 TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 33 C9 89 48 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10251_0 {
	meta:
		name = "TIdDateTimeStamp.SetMillisecond"
		size = 11
		refs = "0006 TIdDateTimeStamp.AddMilliseconds"
	strings:
		$1 = { 33 C9 89 48 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10252_0 {
	meta:
		name = "TIdDateTimeStamp.SetSecond"
		size = 11
		refs = "0006 TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 33 C9 89 48 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10253_0 {
	meta:
		name = "TIdDateTimeStamp.SetYear"
		size = 13
		refs = "0008 TIdDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 85 D2 74 08 89 50 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10254_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractDays"
		size = 338
		refs = "003b TIdDateTimeStamp.SubtractYears 00bf IsLeapYear 0106 TIdDateTimeStamp.GetDaysInYear 011a TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 24 48 3B F0 72 0B 2B F0 C7 43 24 01 00 00 00 EB 03 29 73 24 81 FE B1 3A 02 00 72 22 8B C6 B9 B1 3A 02 00 33 D2 F7 F1 8B F8 69 D7 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 69 C7 B1 3A 02 00 2B F0 81 FE AD 8E 00 00 72 54 81 FE AD 8E 00 00 72 4C 8B 43 3C B9 64 00 00 00 99 F7 F9 8B F8 81 E7 03 00 00 80 79 05 4F 83 CF FC 47 85 FF 75 14 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AD 8E 00 00 EB 12 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AC 8E 00 00 81 FE AD 8E 00 00 73 B4 81 FE B5 05 00 00 72 73 81 FE B5 05 00 00 72 6B 8B 7B 3C C1 EF 02 C1 E7 02 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE B5 05 00 00 EB 12 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE B4 05 00 00 81 FE B5 05 00 00 73 BE EB 27 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2B F0 80 7B 28 00 74 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 77 CE 3B 73 24 72 1D BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 73 24 8B C3 E8 ?? ?? ?? ?? 2B C6 89 43 24 EB 03 29 73 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10256_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractMilliseconds"
		size = 105
		refs = "0019 TIdDateTimeStamp.SubtractDays 0037 TIdDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 B9 00 5C 26 05 33 D2 F7 F1 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 00 5C 26 05 2B F8 8B C7 B9 E8 03 00 00 33 D2 F7 F1 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 E8 03 00 00 2B F8 29 7B 2C EB 17 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? B8 E8 03 00 00 2B 43 2C 89 43 2C 83 7B 2C 00 7E E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10257_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractMinutes"
		size = 44
		refs = "0008 MaxMinutesAdd 0014 TIdDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0C 6B 17 3C 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F0 6B D3 3C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10258_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractMonths"
		size = 115
		refs = "0019 TIdDateTimeStamp.SubtractYears 002e TIdDateTimeStamp.GetMonthOFYear 004d IdDaysInMonth 0055 TIdDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 B9 0C 00 00 00 33 D2 F7 F1 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 C1 E0 02 8D 04 40 2B F8 85 FF 76 44 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 01 75 05 BB 0D 00 00 00 83 FB 03 75 18 80 7E 28 00 74 12 33 D2 8A 15 ?? ?? ?? ?? 42 8B C6 E8 ?? ?? ?? ?? EB 0F 33 D2 8A 93 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4F 85 FF 77 BC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10259_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractSeconds"
		size = 69
		refs = "0019 TIdDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 B9 80 51 01 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 69 C7 80 51 01 00 2B F0 29 73 34 83 7B 34 00 7F 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 43 34 80 51 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10263_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractWeeks"
		size = 63
		refs = "0008 MaxWeekAdd 001a TIdDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 1B 8B 17 8B C2 C1 E2 03 2B D0 8B C6 E8 ?? ?? ?? ?? 8B 07 8B D0 C1 E0 03 2B C2 2B D8 3B 1F 77 E1 8B D3 C1 E2 03 2B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10264_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractYears"
		size = 21
		refs = "0010 TIdDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 8B 48 3C 85 C9 7E 05 3B CA 77 01 42 29 50 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10265_0 {
	meta:
		name = "Finalization"
		size = 132
		refs = "0007 Finalization 0013 _DV_6 001a IdDayShortNames 0025 String 002a @FinalizeArray 002f IdDayNames 0044 IdMonthShortNames 0059 IdMonthNames 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 54 B8 ?? ?? ?? ?? B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10268_0 {
	meta:
		name = "TIdDayTime.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TIdTCPClient.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 A8 00 00 00 0D 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10269_0 {
	meta:
		name = "TIdDayTime.GetDayTimeStr"
		size = 82
		refs = "000f TIdDayTime.GetDayTimeStr 002c Trim 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 98 00 00 00 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10272_0 {
	meta:
		name = "TIdDayTimeServer.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e TIdDayTimeServer.Create 0033 @LStrAsg 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 FF FF FF FF 03 00 00 00 45 53 54 00 }
	condition:
		$1
}

rule function_10273_0 {
	meta:
		name = "TIdDayTimeServer.DoExecute"
		size = 204
		refs = "0011 TIdDayTimeServer.DoExecute 0023 Now 0037 FormatDateTime 0052 @LStrCatN 0080 @LStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B 72 3C E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF B7 98 00 00 00 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 91 84 00 00 00 8B C6 8B 10 FF 52 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 8B E5 5D C3 00 00 00 FF FF FF FF 1C 00 00 00 64 64 64 64 2C 20 6D 6D 6D 6D 20 64 64 2C 20 79 79 79 79 20 68 68 3A 6E 6E 3A 73 73 00 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_10276_0 {
	meta:
		name = "_NF__40"
		size = 164
	strings:
		$1 = { FF FF FF FF 04 00 00 00 41 55 54 48 00 00 00 00 FF FF FF FF 06 00 00 00 43 4C 49 45 4E 54 00 00 FF FF FF FF 06 00 00 00 44 45 46 49 4E 45 00 00 FF FF FF FF 04 00 00 00 48 45 4C 50 00 00 00 00 FF FF FF FF 05 00 00 00 4D 41 54 43 48 00 00 00 FF FF FF FF 06 00 00 00 4F 50 54 49 4F 4E 00 00 FF FF FF FF 04 00 00 00 51 55 49 54 00 00 00 00 FF FF FF FF 08 00 00 00 53 41 53 4C 41 55 54 48 00 00 00 00 FF FF FF FF 04 00 00 00 53 48 4F 57 00 00 00 00 FF FF FF FF 06 00 00 00 53 54 41 54 55 53 00 00 }
	condition:
		$1
}

rule function_10277_0 {
	meta:
		name = "TIdDICTServer.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 44 0A 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10278_0 {
	meta:
		name = "NotHandled"
		size = 124
		refs = "000b NotHandled 0019 RSCMDNotRecognized 001e LoadResString 002e @LStrCat3 005c @LStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 40 3C 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 FF FF FF FF 04 00 00 00 35 30 30 20 00 00 00 00 }
	condition:
		$1
}

rule function_10279_0 {
	meta:
		name = "TIdDICTServer.DoExecute"
		size = 856
		refs = "0016 TIdDICTServer.DoExecute 0047 Fetch 0052 UpperCase 0067 KnownCommands 0071 PosInStrArray 00f7 NotHandled 0334 @LStrArrayClr 033a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 45 F8 50 8B 45 FC 8B 40 3C B9 FE FF FF FF 33 D2 8B 38 FF 57 74 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F4 E8 ?? ?? ?? ?? 6A 01 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? 40 83 F8 0A 0F 87 7F 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 BE C2 00 00 00 00 74 39 8D 45 EC 50 8D 45 F8 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 C4 00 00 00 FF 96 C0 00 00 00 E9 29 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 1D 02 00 00 66 83 BE E2 00 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 E4 00 00 00 FF 96 E0 00 00 00 E9 FC 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 F0 01 00 00 66 83 BE 9A 00 00 00 00 74 32 8D 45 EC 50 8D 45 F8 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 9C 00 00 00 FF 96 98 00 00 00 E9 B4 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 A8 01 00 00 66 83 BE 9A 00 00 00 00 74 14 8B 55 FC 8B 86 9C 00 00 00 FF 96 98 00 00 00 E9 8A 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 7E 01 00 00 66 83 BE AA 00 00 00 00 74 5B 8D 45 EC 50 8D 45 F8 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F8 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 50 8B 4D F4 8B 55 FC 8B 86 AC 00 00 00 FF 96 A8 00 00 00 E9 19 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 0D 01 00 00 66 83 BE D2 00 00 00 00 74 19 6A 00 8B 4D F8 8B 55 FC 8B 86 D4 00 00 00 FF 96 D0 00 00 00 E9 EA 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 DE 00 00 00 66 83 BE B2 00 00 00 00 74 14 8B 55 FC 8B 86 B4 00 00 00 FF 96 B0 00 00 00 E9 C0 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 B4 00 00 00 66 83 BE CA 00 00 00 00 74 36 8D 45 EC 50 8D 45 F8 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 CC 00 00 00 FF 96 C8 00 00 00 EB 74 55 E8 ?? ?? ?? ?? 59 EB 6B 66 83 BE BA 00 00 00 00 74 14 8B 4D F8 8B 55 FC 8B 86 BC 00 00 00 FF 96 B8 00 00 00 EB 4D 55 E8 ?? ?? ?? ?? 59 EB 44 66 83 BE DA 00 00 00 00 74 11 8B 55 FC 8B 86 DC 00 00 00 FF 96 D8 00 00 00 EB 29 55 E8 ?? ?? ?? ?? 59 EB 20 66 83 BE EA 00 00 00 00 74 16 8B 45 F8 50 8B 4D F4 8B 55 FC 8B 86 EC 00 00 00 FF 96 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10280_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a KnownCommands 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0A 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10282_0 {
	meta:
		name = "TIdDISCARDServer.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 09 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10283_0 {
	meta:
		name = "TIdDISCARDServer.DoExecute"
		size = 41
		refs = "000c TIdTCPConnection.CurrentReadBufferSize"
	strings:
		$1 = { 53 56 B3 01 8B 72 3C EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 78 8B C6 8B 10 FF 52 54 84 C0 75 E5 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_10286_0 {
	meta:
		name = "TwoCharToWord"
		size = 27
	strings:
		$1 = { 80 E2 FF 81 E2 FF 00 00 00 25 FF 00 00 00 C1 E0 08 66 25 00 FF 66 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_10287_0 {
	meta:
		name = "FourCharToCardinal"
		size = 54
		refs = "0015 TwoCharToWord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FE 88 55 FF 8B D8 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 66 89 45 F8 8A 55 08 8A 45 FE E8 ?? ?? ?? ?? 66 89 45 FA 8B 45 F8 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10288_0 {
	meta:
		name = "WordToTwoCharStr"
		size = 83
		refs = "001e @PStrCpy 003e @PStrNCat 0049 @LStrFromString"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C4 8B D3 66 C1 EA 08 88 50 01 C6 00 01 8B D4 8D 44 24 04 E8 ?? ?? ?? ?? 8D 44 24 08 8B D3 66 81 E2 FF 00 88 50 01 C6 00 01 8D 54 24 08 8D 44 24 04 B1 02 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10289_0 {
	meta:
		name = "GetRCodeStr"
		size = 45
		refs = "0012 cRCodeStrs 0017 @LStrLAsg 0021 RSCodeQueryUnknownError 0026 LoadResString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 83 E8 06 73 11 8B C6 8B 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10290_0 {
	meta:
		name = "GetQTypeStr"
		size = 744
		refs = "001f GetQTypeStr 00aa @LStrLAsg 01d3 IntToStr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 83 F8 0B 7F 42 0F 84 25 01 00 00 83 F8 0A 0F 87 B2 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 10 7F 29 0F 84 29 01 00 00 83 E8 0C 0F 84 E4 00 00 00 48 0F 84 EC 00 00 00 48 0F 84 F4 00 00 00 48 0F 84 FC 00 00 00 E9 51 01 00 00 2D FC 00 00 00 0F 84 0A 01 00 00 48 0F 84 12 01 00 00 48 0F 84 1A 01 00 00 48 0F 84 22 01 00 00 E9 2C 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 41 00 00 00 FF FF FF FF 02 00 00 00 4E 53 00 00 FF FF FF FF 02 00 00 00 4D 44 00 00 FF FF FF FF 02 00 00 00 4D 46 00 00 FF FF FF FF 04 00 00 00 4E 41 4D 45 00 00 00 00 FF FF FF FF 03 00 00 00 53 4F 41 00 FF FF FF FF 02 00 00 00 4D 42 00 00 FF FF FF FF 02 00 00 00 4D 47 00 00 FF FF FF FF 02 00 00 00 4D 52 00 00 FF FF FF FF 04 00 00 00 4E 55 4C 4C 00 00 00 00 FF FF FF FF 03 00 00 00 57 4B 53 00 FF FF FF FF 03 00 00 00 50 54 52 00 FF FF FF FF 05 00 00 00 48 49 4E 46 4F 00 00 00 FF FF FF FF 05 00 00 00 4D 49 4E 46 4F 00 00 00 FF FF FF FF 02 00 00 00 4D 58 00 00 FF FF FF FF 03 00 00 00 54 58 54 00 FF FF FF FF 04 00 00 00 41 58 46 52 00 00 00 00 FF FF FF FF 05 00 00 00 4D 41 49 4C 42 00 00 00 FF FF FF FF 05 00 00 00 4D 41 49 4C 41 00 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_10291_0 {
	meta:
		name = "GetQClassStr"
		size = 76
		refs = "0013 cQClassStr 0018 @LStrFromString 0027 GetQClassStr 002c @LStrLAsg 0037 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 48 83 E8 04 73 11 8B C6 8D 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 83 FB 0F 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 FF FF FF FF 02 00 00 00 4D 58 00 00 }
	condition:
		$1
}

rule function_10292_0 {
	meta:
		name = "GetErrorStr"
		size = 356
		refs = "0018 GetErrorStr 0053 RSQueryInvalidQueryCount 0058 LoadResString 006c Format 007c IntToStr 0092 RSQueryInvalidPacketSize 00b0 RSQueryLessThanFour 00d4 RSQueryInvalidHeaderID 00f8 RSQueryLessThanTwelve 011c RSQueryPackReceivedTooSmall 014a @LStrClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F0 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 F8 06 0F 87 0E 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 5D F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? E9 C4 00 00 00 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? E9 8E 00 00 00 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 5D F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? EB 6A 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 5D F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? EB 46 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 5D F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? EB 22 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 5D F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10294_0 {
	meta:
		name = "TIdDNSHeader.InitializefId"
		size = 24
		refs = "0004 Randomize 000e @RandInt"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? B8 10 27 00 00 E8 ?? ?? ?? ?? 66 89 43 0A 5B C3 }
	condition:
		$1
}

rule function_10295_0 {
	meta:
		name = "TIdDNSHeader.InitVars"
		size = 31
	strings:
		$1 = { 66 C7 40 08 00 00 66 C7 40 0C 00 00 66 C7 40 04 00 00 66 C7 40 0E 00 00 66 C7 40 06 00 00 C3 }
	condition:
		$1
}

rule function_10296_0 {
	meta:
		name = "TIdDNSHeader.GetQr"
		size = 16
	strings:
		$1 = { 66 8B 40 08 66 25 00 80 66 3D 00 80 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10297_0 {
	meta:
		name = "TIdDNSHeader.SetQr"
		size = 18
	strings:
		$1 = { 84 D2 74 07 66 81 48 08 00 80 C3 66 81 60 08 FF EF C3 }
	condition:
		$1
}

rule function_10298_0 {
	meta:
		name = "TIdDNSHeader.GetOpCode"
		size = 19
	strings:
		$1 = { 66 8B 40 08 66 25 00 78 0F B7 C0 C1 E8 0B 66 83 E0 0F C3 }
	condition:
		$1
}

rule function_10299_0 {
	meta:
		name = "TIdDNSHeader.SetOpCode"
		size = 25
	strings:
		$1 = { C1 E2 0B 66 81 E2 00 78 66 8B 48 08 66 81 E1 FF 87 66 0B D1 66 89 50 08 C3 }
	condition:
		$1
}

rule function_10300_0 {
	meta:
		name = "TIdDNSHeader.GetAA"
		size = 16
	strings:
		$1 = { 66 8B 40 08 66 25 00 04 66 3D 00 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10301_0 {
	meta:
		name = "TIdDNSHeader.SetAA"
		size = 18
	strings:
		$1 = { 84 D2 74 07 66 81 48 08 00 04 C3 66 81 60 08 FF FB C3 }
	condition:
		$1
}

rule function_10302_0 {
	meta:
		name = "TIdDNSHeader.GetTC"
		size = 16
	strings:
		$1 = { 66 8B 40 08 66 25 00 02 66 3D 00 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10303_0 {
	meta:
		name = "TIdDNSHeader.SetTC"
		size = 18
	strings:
		$1 = { 84 D2 74 07 66 81 48 08 00 02 C3 66 81 60 08 FF FD C3 }
	condition:
		$1
}

rule function_10304_0 {
	meta:
		name = "TIdDNSHeader.GetRD"
		size = 16
	strings:
		$1 = { 66 8B 40 08 66 25 00 01 66 3D 00 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10305_0 {
	meta:
		name = "TIdDNSHeader.SetRD"
		size = 18
	strings:
		$1 = { 84 D2 74 07 66 81 48 08 00 01 C3 66 81 60 08 FF FE C3 }
	condition:
		$1
}

rule function_10306_0 {
	meta:
		name = "TIdDNSHeader.GetRA"
		size = 16
	strings:
		$1 = { 66 8B 40 08 66 25 80 00 66 3D 80 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10307_0 {
	meta:
		name = "TIdDNSHeader.SetRA"
		size = 18
	strings:
		$1 = { 84 D2 74 07 66 81 48 08 80 00 C3 66 81 60 08 7F FF C3 }
	condition:
		$1
}

rule function_10308_0 {
	meta:
		name = "TIdDNSHeader.GetRCode"
		size = 9
	strings:
		$1 = { 66 8B 40 08 66 83 E0 0F C3 }
	condition:
		$1
}

rule function_10309_0 {
	meta:
		name = "TIdDNSHeader.SetRCode"
		size = 21
	strings:
		$1 = { 66 83 E2 0F 66 8B 48 08 66 81 E1 F0 FF 66 0B D1 66 89 50 08 C3 }
	condition:
		$1
}

rule function_10311_0 {
	meta:
		name = "TIdDNSQuestionList.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TQuestionItem 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10595_0 {
	meta:
		name = "TIdCookieCollection.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdCookie 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10314_0 {
	meta:
		name = "TIdDNSResourceList.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdDNSResourceItem 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10480_0 {
	meta:
		name = "TIdGopherMenu.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdGopherMenuItem 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10315_0 {
	meta:
		name = "TIdDNSResourceList.GetDNSRDataDomainName"
		size = 56
		refs = "000c TCollection.GetCount 001d TIdDNSResourceList.GetItem 0027 @LStrLAsg 0030 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 19 85 F6 7C 15 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 14 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10316_0 {
	meta:
		name = "TIdDNSResourceList.GetDNSMxExchangeNameEx"
		size = 196
		refs = "0012 TIdDNSResourceList.GetDNSMxExchangeNameEx 001f TCollection.GetCount 0030 TIdDNSResourceList.GetItem 003e IntToStr 004e @LStrCat3 0055 @LStrLen 0078 @LStrFromString 0087 @LStrCatN 0090 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3B F8 7D 66 85 FF 7C 62 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B7 80 18 05 00 00 8B D3 E8 ?? ?? ?? ?? EB 0E 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 F8 05 7C E6 FF 33 68 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 90 18 04 00 00 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10320_0 {
	meta:
		name = "TIdDNSResolver.Create"
		size = 169
		refs = "000a @ClassCreate 0017 TIdUDPBase.Create 002c _DV_TIdDNSHeader 0031 TIdDNSHeader.Create 003e _DV_TIdDNSQuestionList 0043 TIdDNSQuestionList.Create 0050 _DV_TIdDNSResourceList 0055 TIdDNSResourceList.Create 0096 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 6C 35 00 00 00 C7 46 70 A0 0F 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 78 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 BC 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10321_0 {
	meta:
		name = "TIdDNSResolver.Destroy"
		size = 97
		refs = "0003 @BeforeDestruction 0012 TObject.Free 004f TIdUDPBase.Destroy 005a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 46 7C E8 ?? ?? ?? ?? 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10322_0 {
	meta:
		name = "TIdDNSResolver.ResolveDNS"
		size = 159
		refs = "0012 TIdDNSResolver.ResolveDNS 002e TIdDNSResolver.CreateQueryPacket 003f TIdUDPClient.Send 004d TIdUDPBase.ReceiveString 005d @LStrAsg 0072 TIdDNSResolver.DecodeReplyPacket 0078 @HandleFinally 008f @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 05 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_10323_0 {
	meta:
		name = "TIdDNSResolver.ClearVars"
		size = 53
		refs = "0014 TCollection.Clear"
	strings:
		$1 = { 53 8B D8 8B 83 80 00 00 00 8B 10 FF 12 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 43 78 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 43 7C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10324_0 {
	meta:
		name = "TIdDNSResolver.CreateLabelStr"
		size = 260
		refs = "001b @LStrAddRef 0023 TIdDNSResolver.CreateLabelStr 0031 @LStrClr 0043 @FillChar 0050 @LStrPos 006a @LStrCopy 0072 @LStrLen 0086 Move 0097 @LStrDelete 00c7 @LStrFromArray 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8D 85 F3 FD FF FF 33 C9 BA 01 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 F6 EB 50 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 47 8D 94 35 F3 FD FF FF 8D 45 F4 8B CF E8 ?? ?? ?? ?? 03 F7 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 8D 04 33 3D 01 02 00 00 7C A2 8B 45 F8 8D 95 F3 FD FF FF B9 01 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10325_0 {
	meta:
		name = "DoDomainName"
		size = 224
		refs = "0012 @LStrAddRef 0020 DoDomainName 0035 @LStrPos 0043 @LStrLen 005a @LStrCopy 0069 @LStrDelete 0083 @LStrFromChar 009a @LStrCatN 00c0 @LStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 72 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B 45 FC E8 ?? ?? ?? ?? 8B D8 43 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 06 FF B0 8C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F8 8B 06 05 8C 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10326_0 {
	meta:
		name = "DoHostAddress"
		size = 320
		refs = "0011 @LStrAddRef 0019 DoHostAddress 002e @LStrPos 003c @LStrLen 0053 @LStrCopy 0062 @LStrDelete 0074 @LStrFromChar 008a @LStrCatN 00e8 @LStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 69 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B 45 FC E8 ?? ?? ?? ?? 8B D8 43 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 FF 75 F8 FF 75 F4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F 8B 8B 45 08 8B 40 FC FF B0 8C 00 00 00 FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 05 8C 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 01 00 00 00 07 00 00 00 FF FF FF FF 07 00 00 00 69 6E 2D 61 64 64 72 00 FF FF FF FF 01 00 00 00 04 00 00 00 FF FF FF FF 04 00 00 00 61 72 70 61 00 00 00 00 }
	condition:
		$1
}

rule function_10327_0 {
	meta:
		name = "TIdDNSResolver.CreateQueryPacket"
		size = 988
		refs = "0018 TIdDNSResolver.CreateQueryPacket 0028 @RandInt 0041 TCollection.GetCount 0067 GetErrorStr 0071 _Dn_EIdDnsResolverError 0076 Exception.Create 007b @RaiseExcept 008f WordToTwoCharStr 009e @LStrAsg 00c1 @LStrCat 011b @LStrCatN 014b TIdDNSQuestionList.GetItem 01f4 DoDomainName 0211 RSDNSMDISObsolete 0216 LoadResString 0237 RSDNSMFIsObsolete 02c7 DoHostAddress 031a RSDNSMailAObsolete 039d @LStrLen 03ba @LStrClr 03c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 30 F2 00 00 E8 ?? ?? ?? ?? 8B 17 8B 92 80 00 00 00 66 89 42 0A 8B 07 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 07 8B 80 80 00 00 00 66 89 58 0C 66 83 FB 01 73 26 8D 4D F4 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 07 8B 80 80 00 00 00 66 8B 40 0A E8 ?? ?? ?? ?? 8B 55 F4 8B 07 05 8C 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 07 8B 80 80 00 00 00 66 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 8B 07 05 8C 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 07 8B 80 80 00 00 00 66 8B 40 0C E8 ?? ?? ?? ?? 8B 55 F4 8B 07 05 8C 00 00 00 E8 ?? ?? ?? ?? 8B 07 FF B0 8C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 07 05 8C 00 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 5D 02 00 00 46 C7 45 F8 00 00 00 00 8B 07 8B 80 84 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 0F B7 43 14 83 F8 0B 7F 42 0F 84 53 01 00 00 83 F8 0A 0F 87 DA 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 10 7F 29 0F 84 4B 01 00 00 83 E8 0C 0F 84 12 01 00 00 48 0F 84 17 01 00 00 48 0F 84 1C 01 00 00 48 0F 84 21 01 00 00 E9 79 01 00 00 2D FC 00 00 00 0F 84 29 01 00 00 48 0F 84 2E 01 00 00 48 0F 84 33 01 00 00 48 0F 84 4F 01 00 00 E9 54 01 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 45 01 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 36 01 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 10 01 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EA 00 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 DB 00 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 CC 00 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 BD 00 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 AE 00 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 9F 00 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 90 00 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 E9 81 00 00 00 55 8B 43 10 E8 ?? ?? ?? ?? 59 EB 75 55 8B 43 10 E8 ?? ?? ?? ?? 59 EB 69 55 8B 43 10 E8 ?? ?? ?? ?? 59 EB 5D 55 8B 43 10 E8 ?? ?? ?? ?? 59 EB 51 55 8B 43 10 E8 ?? ?? ?? ?? 59 EB 45 55 8B 43 10 E8 ?? ?? ?? ?? 59 EB 39 55 8B 43 10 E8 ?? ?? ?? ?? 59 EB 2D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 55 8B 43 10 E8 ?? ?? ?? ?? 59 8B 07 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 66 8B 43 14 E8 ?? ?? ?? ?? 8B 55 F4 8B 07 05 8C 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 66 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F4 8B 07 05 8C 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 0F 85 AB FD FF FF 8B 07 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 8B 17 89 82 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10328_0 {
	meta:
		name = "LabelsToDomainName"
		size = 416
		refs = "001b LabelsToDomainName 0028 @LStrClr 0057 TwoCharToWord 007f GetErrorStr 0089 _Dn_EIdDnsResolverError 008e Exception.Create 0093 @RaiseExcept 00a3 @LStrSetLength 00ab @LStrLen 00b4 UniqueString 00c1 Move 0119 @LStrCatN 0156 @LStrDelete 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 03 0F B6 44 06 FF 83 F8 3F 7E 24 83 7D F8 00 75 06 8B 13 42 89 55 F8 24 3F 88 45 F7 8B 03 8A 14 06 8A 45 F7 E8 ?? ?? ?? ?? 0F B7 C0 40 89 03 8B 03 8B 55 08 8B 52 FC 3B 82 B8 00 00 00 7E 26 8D 4D F0 BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 33 D2 8A 54 06 FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 03 8D 04 06 59 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 40 01 03 8B 03 48 8B 55 08 8B 52 FC 3B 82 B8 00 00 00 7E 26 8D 4D F0 BA 03 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 37 FF 75 FC 68 ?? ?? ?? ?? 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 80 7C 06 FF 00 74 0F 8B C6 E8 ?? ?? ?? ?? 3B 03 0F 8F FC FE FF FF 8B 07 E8 ?? ?? ?? ?? 8B 17 80 7C 02 FF 2E 75 15 8B 07 E8 ?? ?? ?? ?? 8B D0 8B C7 B9 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 7E 05 8B 45 F8 89 03 FF 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10329_0 {
	meta:
		name = "ParseQuestions"
		size = 393
		refs = "001b ParseQuestions 0042 TIdDNSQuestionList.Add 005b LabelsToDomainName 0067 @LStrAsg 0086 GetErrorStr 0090 _Dn_EIdDnsResolverError 0095 Exception.Create 009a @RaiseExcept 00bc TwoCharToWord 0174 @LStrClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 80 80 00 00 00 0F B7 78 0C 85 FF 0F 8E 27 01 00 00 8B 06 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8D 4D F8 8D 55 FC 8B 06 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 F8 8D 43 10 E8 ?? ?? ?? ?? 8B 06 8B 80 B8 00 00 00 3B 45 FC 7D 26 8D 4D F8 BA 04 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 80 90 00 00 00 8B 55 FC 8A 14 10 8B 06 8B 80 90 00 00 00 8B 4D FC 8A 44 08 FF E8 ?? ?? ?? ?? 66 89 43 14 83 45 FC 02 8B 06 8B 80 B8 00 00 00 3B 45 FC 7D 26 8D 4D F8 BA 05 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 80 90 00 00 00 8B 55 FC 8A 14 10 8B 06 8B 80 90 00 00 00 8B 4D FC 8A 44 08 FF E8 ?? ?? ?? ?? 66 89 43 0C 8B 45 FC 40 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D F8 BA 06 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 45 FC 02 4F 0F 85 D9 FE FF FF 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10330_0 {
	meta:
		name = "DoHostAddress"
		size = 268
		refs = "0015 DoHostAddress 004a GetErrorStr 0054 _Dn_EIdDnsResolverError 0059 Exception.Create 005e @RaiseExcept 0099 IntToStr 00b2 @LStrCatN 00c3 @LStrLen 00d6 @LStrDelete 00eb @LStrClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 7D 08 8B 7F 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 C0 03 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 07 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 70 FC 8B 45 08 8B 58 FC 83 C3 03 2B DE 7C 45 43 8B 07 FF B0 48 07 00 00 8D 55 FC 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 0F B6 44 30 FF E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 07 05 48 07 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 BC 8B 07 8B 80 48 07 00 00 E8 ?? ?? ?? ?? 8B D0 8B 07 05 48 07 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10331_0 {
	meta:
		name = "DoDomainNameRData"
		size = 179
		refs = "0009 DoDomainNameRData 0039 LabelsToDomainName 004e @LStrAsg 007b GetErrorStr 0085 _Dn_EIdDnsResolverError 008a Exception.Create 008f @RaiseExcept 00a4 @LStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 08 50 8D 4D FC 8B 45 08 8D 50 FC 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 45 08 8B 40 08 8B 40 FC 83 C0 14 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 48 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 08 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_10332_0 {
	meta:
		name = "DoSOARdata"
		size = 867
		refs = "0027 DoSOARdata 0049 LabelsToDomainName 005e @LStrToString 007c GetErrorStr 0086 _Dn_EIdDnsResolverError 008b Exception.Create 0090 @RaiseExcept 0135 FourCharToCardinal 0351 @LStrClr 0357 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 83 C3 FC 8B 75 08 8B 76 08 8B 76 08 83 C6 FC 8B 7D 08 8B 7F 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 08 50 8D 4D FC 8B D3 8B 06 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 07 05 24 05 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 09 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 08 50 8D 4D FC 8B D3 8B 06 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 07 05 2C 06 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 03 83 C0 04 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 0A 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 4C 02 01 8B 03 8B 16 8B 92 90 00 00 00 8A 04 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 FF 5A E8 ?? ?? ?? ?? 8B 17 89 82 2C 07 00 00 83 03 04 8B 03 83 C0 04 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 0B 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 4C 02 01 8B 03 8B 16 8B 92 90 00 00 00 8A 04 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 FF 5A E8 ?? ?? ?? ?? 8B 17 89 82 24 06 00 00 83 03 04 8B 03 83 C0 04 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 0C 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 4C 02 01 8B 03 8B 16 8B 92 90 00 00 00 8A 04 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 FF 5A E8 ?? ?? ?? ?? 8B 17 89 82 28 06 00 00 83 03 04 8B 03 83 C0 04 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 0D 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 4C 02 01 8B 03 8B 16 8B 92 90 00 00 00 8A 04 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 FF 5A E8 ?? ?? ?? ?? 8B 17 89 82 1C 05 00 00 83 03 04 8B 03 83 C0 03 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 0E 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 4C 02 01 8B 03 8B 16 8B 92 90 00 00 00 8A 04 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 FF 5A E8 ?? ?? ?? ?? 8B 17 89 82 20 05 00 00 83 03 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10333_0 {
	meta:
		name = "DoWKSRdata"
		size = 330
		refs = "001e DoWKSRdata 0045 GetErrorStr 004f _Dn_EIdDnsResolverError 0054 Exception.Create 0059 @RaiseExcept 0096 FourCharToCardinal 0123 Move 0138 @LStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 83 C3 FC 8B 75 08 8B 76 08 8B 76 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 83 C0 04 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 0F 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 02 50 8B 03 8B 16 8B 92 90 00 00 00 8A 4C 02 01 8B 03 8B 16 8B 92 90 00 00 00 8A 14 02 8B 03 8B 3E 8B BF 90 00 00 00 8A 44 07 FF E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 52 FC 89 82 34 07 00 00 83 03 04 8B 03 8B 16 8B 92 90 00 00 00 8A 44 02 FF 8B 55 08 8B 52 08 8B 52 FC 88 82 40 07 00 00 FF 03 8B 03 83 C0 07 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 10 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 8D 44 02 FF 8B 55 08 8B 52 08 8B 52 FC 81 C2 38 07 00 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10334_0 {
	meta:
		name = "DoHInfoRdata"
		size = 326
		refs = "001d DoHInfoRdata 0051 GetErrorStr 005b _Dn_EIdDnsResolverError 0060 Exception.Create 0065 @RaiseExcept 0095 Move 0135 @LStrClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 83 C3 FC 8B 75 08 8B 76 08 8B 76 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 16 8B 92 90 00 00 00 0F B6 44 02 FF 03 03 40 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 11 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 33 C9 8A 4C 02 FF 41 8B 03 8B 16 8B 92 90 00 00 00 8D 44 02 FF 8B 55 08 8B 52 08 8B 52 FC 83 C2 18 E8 ?? ?? ?? ?? 8B 03 8B 55 08 8B 52 08 8B 52 FC 0F B6 52 18 03 C2 83 C0 02 89 03 8B 03 8B 16 8B 92 90 00 00 00 0F B6 44 02 FF 03 03 40 8B 16 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 12 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 16 8B 92 90 00 00 00 33 C9 8A 4C 02 FF 41 8B 03 8B 16 8B 92 90 00 00 00 8D 44 02 FF 8B 55 08 8B 52 08 8B 52 FC 81 C2 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10335_0 {
	meta:
		name = "DoMInfoRdata"
		size = 319
		refs = "0009 DoMInfoRdata 0039 LabelsToDomainName 0055 @LStrToString 0081 GetErrorStr 008b _Dn_EIdDnsResolverError 0090 Exception.Create 0095 @RaiseExcept 0130 @LStrClr 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 08 50 8D 4D FC 8B 45 08 8D 50 FC 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 45 08 8B 40 08 8B 40 FC 05 18 03 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 13 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 08 50 8D 4D FC 8B 45 08 8D 50 FC 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 45 08 8B 40 08 8B 40 FC 05 18 02 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 14 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_10336_0 {
	meta:
		name = "DoMXRData"
		size = 322
		refs = "0010 DoMXRData 0041 GetErrorStr 004b _Dn_EIdDnsResolverError 0050 Exception.Create 0055 @RaiseExcept 0089 TwoCharToWord 0101 LabelsToDomainName 011d @LStrToString 0132 @LStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 83 C0 02 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 15 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 8B 92 90 00 00 00 8A 14 02 8B 03 8B 4D 08 8B 49 08 8B 49 08 8B 49 FC 8B 89 90 00 00 00 8A 44 01 FF E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 52 FC 66 89 82 18 05 00 00 83 03 02 8B 03 83 C0 02 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 3B 82 B8 00 00 00 7E 26 8D 4D FC BA 16 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 08 50 8D 4D FC 8B D3 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 45 08 8B 40 08 8B 40 FC 05 18 04 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10338_0 {
	meta:
		name = "ProcessRData"
		size = 703
		refs = "0012 ProcessRData 00c2 DoHostAddress 00ce DoDomainNameRData 00dc RSDNSMDISObsolete 00e1 LoadResString 00eb _Dn_EIdDnsResolverError 00f0 Exception.Create 00f5 @RaiseExcept 0102 RSDNSMFIsObsolete 0132 DoSOARdata 018f @LStrCopy 019a DoWKSRdata 01b2 DoHInfoRdata 01be DoMInfoRdata 01ca DoMXRData 0242 DoMailBRdata 02af @LStrClr 02b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 0F B7 40 0C 83 F8 0B 7F 42 0F 84 67 01 00 00 83 F8 0A 0F 87 64 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 10 7F 29 0F 84 5C 01 00 00 83 E8 0C 0F 84 23 01 00 00 48 0F 84 28 01 00 00 48 0F 84 2D 01 00 00 48 0F 84 32 01 00 00 E9 03 02 00 00 2D FC 00 00 00 0F 84 66 01 00 00 48 0F 84 94 01 00 00 48 0F 84 94 01 00 00 48 0F 84 B0 01 00 00 E9 DE 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 D2 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 C6 01 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 01 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7A 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 6E 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 62 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 56 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 4A 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 3E 01 00 00 8B 45 08 8B 40 FC 05 54 07 00 00 50 8B 45 08 8B 40 FC 0F B7 88 4C 07 00 00 8B 45 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? E9 06 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 FA 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 EE 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 E2 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 D6 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 CA 00 00 00 8B 45 08 8B 40 FC 05 54 07 00 00 50 8B 45 08 8B 40 FC 0F B7 88 4C 07 00 00 8B 45 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? E9 92 00 00 00 8B 45 08 8B 40 FC 05 54 07 00 00 50 8B 45 08 8B 40 FC 0F B7 88 4C 07 00 00 8B 45 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? EB 5D E8 ?? ?? ?? ?? EB 56 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 33 8B 45 08 8B 40 FC 05 54 07 00 00 50 8B 45 08 8B 40 FC 0F B7 88 4C 07 00 00 8B 45 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_10339_0 {
	meta:
		name = "ParseResource"
		size = 529
		refs = "0021 ParseResource 003e TIdDNSResourceList.Add 0057 LabelsToDomainName 0066 @LStrAsg 0087 GetErrorStr 0091 _Dn_EIdDnsResolverError 0096 Exception.Create 009b @RaiseExcept 00bb TwoCharToWord 012e FourCharToCardinal 01b1 ProcessRData 01d0 @LStrLen 01fb @LStrClr 0201 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F0 89 55 F4 8B 5D 08 83 C3 FC 8D 75 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 89 55 EC 8B F8 85 FF 0F 8E A5 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 50 8D 4D E8 8B D6 8B 03 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 E8 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 06 83 C0 0A 8B 13 3B 82 B8 00 00 00 7E 26 8D 4D E8 BA 17 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 80 90 00 00 00 8B 16 8A 14 10 8B 03 8B 80 90 00 00 00 8B 0E 8A 44 08 FF E8 ?? ?? ?? ?? 8B 55 FC 66 89 42 0C 83 06 02 8B 03 8B 80 90 00 00 00 8B 16 8A 14 10 8B 03 8B 80 90 00 00 00 8B 0E 8A 44 08 FF E8 ?? ?? ?? ?? 8B 55 FC 66 89 42 0E 83 06 02 8B 03 8B 80 90 00 00 00 8B 16 8A 44 10 02 50 8B 03 8B 80 90 00 00 00 8B 16 8A 4C 10 01 8B 03 8B 80 90 00 00 00 8B 16 8A 04 10 50 8B 03 8B 80 90 00 00 00 8B 16 8A 44 10 FF 5A E8 ?? ?? ?? ?? 8B 55 FC 89 82 50 07 00 00 83 06 04 8B 03 8B 80 90 00 00 00 8B 16 8A 14 10 8B 03 8B 80 90 00 00 00 8B 0E 8A 44 08 FF E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 4C 07 00 00 83 06 02 8B 45 FC 0F B7 80 4C 07 00 00 03 06 48 8B 13 3B 82 B8 00 00 00 7E 26 8D 4D E8 BA 17 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 89 45 F8 55 8B 06 E8 ?? ?? ?? ?? 59 8B 45 FC 0F B7 80 4C 07 00 00 01 06 8B 06 89 45 EC 8B 03 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 3B 06 7E 12 4F 0F 85 5B FE FF FF 83 7D EC 00 75 05 8B 06 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10340_0 {
	meta:
		name = "TIdDNSResolver.DecodeReplyPacket"
		size = 948
		refs = "0018 TIdDNSResolver.DecodeReplyPacket 0032 @LStrLen 0053 GetErrorStr 005d _Dn_EIdDnsResolverError 0062 Exception.Create 0067 @RaiseExcept 0086 TwoCharToWord 00ec TIdDNSHeader.GetRCode 0109 GetRCodeStr 023d ParseQuestions 02b1 ParseResource 03a1 @LStrClr 03a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 10 FF 52 48 8B 07 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 07 89 98 B8 00 00 00 83 FB 04 7D 26 8D 4D F8 BA 1C 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 01 00 00 00 8B 07 8B 80 90 00 00 00 8A 50 01 8B 07 8B 80 90 00 00 00 8A 00 E8 ?? ?? ?? ?? 8B 17 8B 92 80 00 00 00 66 8B 72 0A 66 3B C6 74 24 8D 4D F8 0F B7 D6 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 04 8B 07 8B 80 90 00 00 00 8A 50 03 8B 07 8B 80 90 00 00 00 8A 40 02 E8 ?? ?? ?? ?? 8B 17 8B B2 80 00 00 00 66 89 46 08 8B C6 E8 ?? ?? ?? ?? 66 85 C0 74 2C 8B 07 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 0F B7 C0 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 83 B8 B8 00 00 00 0C 7D 26 8D 4D F8 BA 1D 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B 80 90 00 00 00 8A 50 05 8B 07 8B 80 90 00 00 00 8A 40 04 E8 ?? ?? ?? ?? 8B 17 8B 92 80 00 00 00 66 89 42 0C 8B 07 8B 80 90 00 00 00 8A 50 07 8B 07 8B 80 90 00 00 00 8A 40 06 E8 ?? ?? ?? ?? 8B 17 8B 92 80 00 00 00 66 89 42 04 8B 07 8B 80 90 00 00 00 8A 50 09 8B 07 8B 80 90 00 00 00 8A 40 08 E8 ?? ?? ?? ?? 8B 17 8B 92 80 00 00 00 66 89 42 0E 8B 07 8B 80 90 00 00 00 8A 50 0B 8B 07 8B 80 90 00 00 00 8A 40 0A E8 ?? ?? ?? ?? 8B 17 8B 92 80 00 00 00 66 89 42 06 8B 07 8B 80 B8 00 00 00 8B 17 3B 82 94 00 00 00 7D 26 8D 4D F8 BA 1E 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B 80 80 00 00 00 0F B7 70 0C 85 F6 7E 11 55 B8 0D 00 00 00 E8 ?? ?? ?? ?? 59 8B D8 4E 75 EF 8B 17 3B 9A B8 00 00 00 7C 43 8B 07 8B 80 80 00 00 00 66 83 78 04 00 77 0E 66 83 78 0E 00 77 07 66 83 78 06 00 76 26 8D 4D F8 BA 1F 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B 80 80 00 00 00 66 8B 40 04 66 85 C0 76 13 55 8B 17 8B 4A 78 0F B7 C0 8B D3 E8 ?? ?? ?? ?? 59 8B D8 8B 17 3B 9A B8 00 00 00 7C 3C 8B 07 8B 80 80 00 00 00 66 83 78 0E 00 77 07 66 83 78 06 00 76 26 8D 4D F8 BA 20 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B 80 80 00 00 00 66 8B 40 0E 66 85 C0 76 16 55 8B 17 8B 8A 88 00 00 00 0F B7 C0 8B D3 E8 ?? ?? ?? ?? 59 8B D8 8B 07 3B 98 B8 00 00 00 7C 35 8B 07 8B 80 80 00 00 00 66 83 78 06 00 76 26 8D 4D F8 BA 21 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B 80 80 00 00 00 66 8B 40 06 66 85 C0 76 13 55 8B 17 8B 4A 7C 0F B7 C0 8B D3 E8 ?? ?? ?? ?? 59 8B D8 8B 07 89 98 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10341_0 {
	meta:
		name = "TIdDNSResolver.ResolveDomain"
		size = 899
		refs = "0019 TRdata 001e @InitializeRecord 0026 TIdDNSResolver.ResolveDomain 004a TIdDNSHeader.SetQr 0057 TIdDNSHeader.SetOpCode 0064 TIdDNSHeader.SetRD 008b TIdDNSQuestionList.Add 0098 @LStrAsg 00b2 TIdDNSResolver.ResolveDNS 00ba TCollection.GetCount 00d2 TIdDNSResourceList.GetItem 00e6 @CopyRecord 0151 _DV_TARecord 0156 TCollectionItem.Create 017e _DV_TMXRecord 0199 @LStrFromString 01bc _DV_TNameRecord 01e9 _DV_TSOARecord 0271 _DV_TWKSRecord 02b8 _DV_TPTRRecord 02df _DV_THInfoRecord 031c _DV_TMInfoRecord 0370 @FinalizeRecord 0376 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A4 F8 FF FF 53 56 57 89 55 FC 8B F0 8D 85 A4 F8 FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 48 8B 86 80 00 00 00 66 FF 40 0A 33 D2 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 80 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 80 00 00 00 E8 ?? ?? ?? ?? B3 01 8B C3 25 FF 00 00 00 0F A3 86 98 00 00 00 73 30 8B 86 80 00 00 00 66 FF 40 0C 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B F8 8D 47 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 8A C3 66 89 47 14 66 C7 47 0C 01 00 43 84 DB 75 BB 8B C6 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 8D 02 00 00 47 33 DB 8B D3 8B 46 78 E8 ?? ?? ?? ?? 8D 50 14 8D 85 A4 F8 FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 78 E8 ?? ?? ?? ?? 0F B7 40 0C 83 F8 0F 0F 87 4D 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 8E BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 05 58 07 00 00 8B 95 A4 F8 FF FF E8 ?? ?? ?? ?? E9 D9 01 00 00 8B 8E BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 05 5C 07 00 00 8D 95 A8 FC FF FF E8 ?? ?? ?? ?? 8B 45 F4 66 8B 95 A8 FD FF FF 66 89 90 58 07 00 00 E9 9B 01 00 00 8B 8E BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 05 58 07 00 00 8B 95 A4 F8 FF FF E8 ?? ?? ?? ?? E9 6E 01 00 00 8B 8E BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 95 AC FD FF FF 89 90 58 07 00 00 8B 45 EC 8B 95 B0 FD FF FF 89 90 5C 07 00 00 8B 45 EC 05 60 07 00 00 8D 95 B4 FD FF FF E8 ?? ?? ?? ?? 8B 45 EC 8B 95 B4 FE FF FF 89 90 64 07 00 00 8B 45 EC 8B 95 B8 FE FF FF 89 90 68 07 00 00 8B 45 EC 05 6C 07 00 00 8D 95 BC FE FF FF E8 ?? ?? ?? ?? 8B 45 EC 8B 55 BC 89 90 70 07 00 00 E9 E6 00 00 00 8B 8E BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 55 C4 89 90 58 07 00 00 8B 45 E8 8B 55 C8 89 90 5C 07 00 00 8B 55 CC 89 90 60 07 00 00 8B 45 E8 8A 55 D0 88 90 64 07 00 00 E9 9F 00 00 00 8B 8E BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 05 58 07 00 00 8B 55 D8 E8 ?? ?? ?? ?? EB 78 8B 8E BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 05 58 07 00 00 8D 95 A8 F8 FF FF E8 ?? ?? ?? ?? 8B 45 E0 05 5C 07 00 00 8D 95 A8 F9 FF FF E8 ?? ?? ?? ?? EB 3B 8B 8E BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 05 58 07 00 00 8D 95 A8 FA FF FF E8 ?? ?? ?? ?? 8B 45 DC 05 5C 07 00 00 8D 95 A8 FB FF FF E8 ?? ?? ?? ?? 43 4F 0F 85 76 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 F8 FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10342_0 {
	meta:
		name = "TWKSRecord.GetBits"
		size = 19
		refs = "0006 TCollectionItem.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 84 03 5C 07 00 00 5B C3 }
	condition:
		$1
}

rule function_10346_0 {
	meta:
		name = "TIdEcho.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TIdTCPClient.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 A8 00 00 00 07 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10347_0 {
	meta:
		name = "TIdEcho.Echo"
		size = 274
		refs = "0014 @LStrAddRef 001c TIdEcho.Echo 002a @LStrLen 004c GetTickCount 007a @HandleFinally 00a1 TIdTCPConnection.CurrentReadBuffer 0101 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 83 C1 02 B2 01 8B 45 FC 8B 18 FF 53 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F0 8B 55 F8 8B 45 FC 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C9 33 D2 8B 45 FC 8B 18 FF 53 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F0 72 13 E8 ?? ?? ?? ?? 2B 45 F0 8B 55 FC 89 82 B4 00 00 00 EB 0F 83 C8 FF 2B 45 F0 8B 55 FC 89 82 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10350_0 {
	meta:
		name = "TIdECHOServer.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10351_0 {
	meta:
		name = "TIdECHOServer.DoExecute"
		size = 98
		refs = "000b TIdECHOServer.DoExecute 0022 TIdTCPConnection.CurrentReadBuffer 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 72 3C EB 17 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 80 00 00 00 8B C6 8B 10 FF 52 54 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10354_0 {
	meta:
		name = "TIdEMailAddressItem.Assign"
		size = 64
		refs = "000a TObject.ClassType 0020 TPersistent.Assign 002d @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 16 8D 43 0C 8B 56 0C E8 ?? ?? ?? ?? 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10355_0 {
	meta:
		name = "TIdEMailAddressItem.GetText"
		size = 160
		refs = "000f TIdEMailAddressItem.GetText 001d @LStrLen 002c UpperCase 0037 @LStrCmp 0055 @LStrCatN 0061 @LStrLAsg 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 E8 ?? ?? ?? ?? 85 C0 7E 36 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 53 10 E8 ?? ?? ?? ?? 74 1E FF 73 10 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 FF FF FF FF 02 00 00 00 20 3C 00 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_10356_0 {
	meta:
		name = "TIdEMailAddressItem.SetText"
		size = 612
		refs = "0014 @LStrAddRef 001c TIdEMailAddressItem.SetText 002a @LStrClr 003e @LStrLen 004d @LStrCopy 005a @LStrCmp 0062 IndyPos 009f Trim 00aa @LStrAsg 0221 @LStrArrayClr 0227 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7D 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 8E 84 01 00 00 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 2B CE 49 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 10 E8 ?? ?? ?? ?? E9 23 01 00 00 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7A 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 8E DD 00 00 00 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 2B CE 49 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 10 E8 ?? ?? ?? ?? 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? EB 7F 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? EB 72 8B 43 10 80 38 22 75 32 8B 43 10 E8 ?? ?? ?? ?? 8B 53 10 80 7C 02 FF 22 75 20 8D 43 10 50 8B 43 10 E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 43 10 E8 ?? ?? ?? ?? EB 38 8B 43 10 80 38 27 75 3B 8B 43 10 E8 ?? ?? ?? ?? 8B 53 10 80 7C 02 FF 27 75 29 8D 43 10 50 8B 43 10 E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 48 7F 83 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 3E 00 00 00 FF FF FF FF 01 00 00 00 3C 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 }
	condition:
		$1
}

rule function_10358_0 {
	meta:
		name = "TIdEMailAddressList.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdEMailAddressItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10729_0 {
	meta:
		name = "TIdMessageParts.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdMessagePart 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10853_0 {
	meta:
		name = "TIdSocketHandles.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdSocketHandle 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10359_0 {
	meta:
		name = "TIdEMailAddressList.FillTStrings"
		size = 104
		refs = "0010 TIdEMailAddressList.FillTStrings 0023 TIdEMailAddressList.GetItem 002b TIdEMailAddressItem.GetText 003d TCollection.GetCount 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB EB 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 34 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7C D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10361_0 {
	meta:
		name = "TIdEMailAddressList.GetEMailAddresses"
		size = 152
		refs = "0010 TIdEMailAddressList.GetEMailAddresses 001d @LStrClr 0031 TIdEMailAddressList.GetItem 0039 TIdEMailAddressItem.GetText 0048 @LStrCatN 0050 TCollection.GetCount 0065 @LStrDelete 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 DB EB 28 FF 36 68 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7C CD 8B C6 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 FF FF FF FF 02 00 00 00 2C 20 00 00 }
	condition:
		$1
}

rule function_10363_0 {
	meta:
		name = "TIdEMailAddressList.SetEMailAddresses"
		size = 251
		refs = "001b @LStrAddRef 0023 TIdEMailAddressList.SetEMailAddresses 0031 TCollection.Clear 0040 @LStrLen 0086 @LStrCopy 0091 Trim 00a5 TIdEMailAddressList.Add 00b2 TrimLeft 00bc TIdEMailAddressItem.SetText 00e0 @LStrArrayClr 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 FF BB 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 3B 5D F0 7F 7E 89 5D F4 8B 75 F4 3B 5D F0 7F 1F 8B 45 F8 8A 44 18 FF 3C 22 75 01 47 8B 55 F8 3C 2C 75 05 83 FF 01 75 07 46 43 3B 5D F0 7E E1 8D 45 E8 50 8B CE 2B 4D F4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 1F 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 5E 01 33 FF 3B 5D F0 7E 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10366_0 {
	meta:
		name = "EIdProtocolReplyError.CreateError"
		size = 69
		refs = "000e @ClassCreate 0020 Exception.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10367_0 {
	meta:
		name = "EIdSocketError.CreateError"
		size = 65
		refs = "000d @ClassCreate 0020 Exception.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 0C 8B 4D 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10370_0 {
	meta:
		name = "TIdFinger.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TIdTCPClient.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 A8 00 00 00 4F 00 00 00 C6 86 B8 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10371_0 {
	meta:
		name = "TIdFinger.Finger"
		size = 204
		refs = "0015 TIdFinger.Finger 002c @LStrLAsg 0045 @LStrCat 0065 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 92 B4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 00 00 00 00 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 84 00 00 00 8B D3 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 FF FF FF FF 02 00 00 00 2F 57 00 00 }
	condition:
		$1
}

rule function_10372_0 {
	meta:
		name = "TIdFinger.GetCompleteQuery"
		size = 52
		refs = "000d TIdFinger.GetCompleteQuery 001f @LStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF B3 B4 00 00 00 68 ?? ?? ?? ?? FF B3 9C 00 00 00 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_10373_0 {
	meta:
		name = "TIdFinger.SetCompleteQuery"
		size = 180
		refs = "000f @LStrAddRef 0017 TIdFinger.SetCompleteQuery 002d RPos 003b @LStrLen 005b @LStrCopy 0082 @LStrAsg 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 41 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7D 1C 8D 86 9C 00 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8D 86 B4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_10376_0 {
	meta:
		name = "TIdFingerServer.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 4F 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10377_0 {
	meta:
		name = "TIdFingerServer.DoExecute"
		size = 268
		refs = "0014 TIdFingerServer.DoExecute 003c TrimRight 0052 @LStrLen 0062 @LStrCopy 006d UpperCase 007a @LStrCmp 00ea @LStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8D 45 F4 50 B9 FE FF FF FF 33 D2 8B 46 3C 8B 38 FF 57 74 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 66 83 BB A2 00 00 00 00 74 67 8D 45 F0 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A B9 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 31 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 83 A4 00 00 00 FF 93 A0 00 00 00 EB 1B 66 83 BB 9A 00 00 00 00 74 11 8B 4D F8 8B D6 8B 83 9C 00 00 00 FF 93 98 00 00 00 8B 46 3C 8B 10 FF 52 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 5B 8B E5 5D C3 FF FF FF FF 02 00 00 00 2F 57 00 00 }
	condition:
		$1
}

rule function_10380_0 {
	meta:
		name = "CleanDirName"
		size = 84
		refs = "000b @LStrLAsg 0012 CleanDirName 0017 @LStrPos 0025 @LStrDelete 0041 @LStrCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 53 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_10381_0 {
	meta:
		name = "TIdFTP.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TIdTCPClient.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 A8 00 00 00 15 00 00 00 C6 86 B8 00 00 00 00 C6 86 C4 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10382_0 {
	meta:
		name = "TIdFTP.Connect"
		size = 404
		refs = "0017 TIdFTP.Connect 0033 TIdTCPClient.Connect 0066 @LStrCat3 00ab TIdTCPConnection.SendCmd 00b3 TIdFTP.SendTransferType 00eb RSFTPUnknownHost 00f0 LoadResString 0106 TIdTCPConnection.GetCmdResult 0118 @LStrCopy 0127 @HandleAnyException 0134 @RaiseAgain 0139 @DoneExcept 014e @LStrClr 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 66 C7 45 F8 DC 00 8D 55 F8 33 C9 8B 45 FC 8B 30 FF 56 64 84 DB 0F 84 CA 00 00 00 6A 01 8B 45 FC 8B 88 B4 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 F0 E6 00 66 C7 45 F2 4B 01 8D 4D F0 8B 45 FC 8B 18 FF 53 7C 66 3D 4B 01 75 25 8B 45 FC 8B 88 BC 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 B9 E6 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 02 66 C7 45 E8 C8 00 66 C7 45 EA D7 00 66 C7 45 EC F4 01 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 7C 66 3D F4 01 75 15 8B 45 FC 8D 90 C0 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B 45 FC 05 C0 00 00 00 50 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 B9 FF FF FF 7F BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 75 73 65 72 20 00 00 00 FF FF FF FF 05 00 00 00 70 61 73 73 20 00 00 00 FF FF FF FF 04 00 00 00 73 79 73 74 00 00 00 00 }
	condition:
		$1
}

rule function_10383_0 {
	meta:
		name = "TIdFTP.SetTransferType"
		size = 46
		refs = "0028 TIdFTP.SendTransferType"
	strings:
		$1 = { 53 8B D8 3A 93 C4 00 00 00 74 21 83 BB C8 00 00 00 00 75 18 88 93 C4 00 00 00 8B C3 8B 10 FF 52 54 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10384_0 {
	meta:
		name = "TIdFTP.SendTransferType"
		size = 176
		refs = "000e TIdFTP.SendTransferType 002d @LStrLAsg 004c @LStrCat3 005a TIdTCPConnection.SendCmd 0074 @LStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 83 C4 00 00 00 2C 01 72 11 75 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 B9 C8 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 41 00 00 00 FF FF FF FF 01 00 00 00 49 00 00 00 FF FF FF FF 05 00 00 00 74 79 70 65 20 00 00 00 }
	condition:
		$1
}

rule function_10385_0 {
	meta:
		name = "TIdFTP.Get"
		size = 108
		refs = "0012 TIdFTP.Get 0027 @LStrCat3 0033 TIdFTP.InternalGet 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 05 00 00 00 72 65 74 72 20 00 00 00 }
	condition:
		$1
}

rule function_10386_0 {
	meta:
		name = "TIdFTP.Get"
		size = 199
		refs = "0018 TIdFTP.Get 0025 FileExists 0037 RSDestinationFileAlreadyExists 003c LoadResString 0046 _DV_EIdFTPFileAlreadyExists 004b Exception.Create 0050 @RaiseExcept 005e _Dn_TFileStream 0063 TFileStream.Create 0095 FreeAndNil 009b @HandleFinally 00b2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 27 80 7D 08 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 FF FF 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10387_0 {
	meta:
		name = "TIdFTP.List"
		size = 268
		refs = "0016 TIdFTP.List 0025 _Dn_TStringStream 002a TStringStream.Create 0050 @LStrCat3 005b Trim 0068 TIdFTP.InternalGet 00b3 TObject.Free 00b9 @HandleFinally 00d5 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 29 8D 45 F4 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? EB 27 8D 45 F4 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B C7 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 05 00 00 00 6C 69 73 74 20 00 00 00 FF FF FF FF 05 00 00 00 6E 6C 73 74 20 00 00 00 }
	condition:
		$1
}

rule function_10388_0 {
	meta:
		name = "TIdFTP.InternalGet"
		size = 597
		refs = "0019 TIdFTP.InternalGet 003d TIdFTP.SendPassive 0053 _Dn_TIdTCPClient 0058 TIdTCPClient.Create 007e @AsClass 00a0 TIdFTP.SetDataChannelWorkEvents 00b0 @LStrAsg 0100 TIdTCPConnection.ReadStream 011b @HandleFinally 0137 FreeAndNil 0148 _Dn_TIdSimpleServer 014d TIdSimpleServer.Create 0197 TIdFTP.SendPort 0242 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F8 8B F1 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 B8 00 00 00 00 0F 84 10 01 00 00 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D7 8B 45 FC 8B 08 FF 91 84 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 C8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 90 AC 00 00 00 8B 45 F0 8B 80 AC 00 00 00 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 05 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 89 90 A8 00 00 00 8B 45 F0 8B 10 FF 92 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 EC 7D 00 66 C7 45 EE 96 00 8D 55 EC B9 01 00 00 00 8B 45 FC 8B 18 FF 53 64 6A 01 83 C9 FF 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 C8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 8B 55 FC 8B 52 60 8B 52 14 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 8B 53 60 8B 45 FC E8 ?? ?? ?? ?? 6A 01 66 C7 45 EC 7D 00 66 C7 45 EE 96 00 8D 4D EC 8B D7 8B 45 FC 8B 38 FF 57 7C 8B C3 8B 10 FF 92 9C 00 00 00 6A 01 83 C9 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 66 C7 45 E4 E1 00 66 C7 45 E6 E2 00 66 C7 45 E8 FA 00 66 C7 45 EA AA 01 8D 55 E4 B9 03 00 00 00 8B 45 FC 8B 18 FF 53 64 66 3D AA 01 75 13 66 C7 45 E0 E2 00 8D 55 E0 33 C9 8B 45 FC 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10389_0 {
	meta:
		name = "TIdFTP.Quit"
		size = 56
		refs = "000f TIdFTP.Quit"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 54 84 C0 74 16 BA ?? ?? ?? ?? 8B C3 8B 08 FF 91 84 00 00 00 8B C3 8B 10 FF 52 58 5B C3 00 00 FF FF FF FF 04 00 00 00 51 75 69 74 00 00 00 00 }
	condition:
		$1
}

rule function_10390_0 {
	meta:
		name = "TIdFTP.KillDataChannel"
		size = 18
	strings:
		$1 = { 8B 90 C8 00 00 00 85 D2 74 07 8B C2 8B 10 FF 52 5C C3 }
	condition:
		$1
}

rule function_10391_0 {
	meta:
		name = "TIdFTP.Abort"
		size = 60
		refs = "000f TIdFTP.Abort"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 54 84 C0 74 0F BA ?? ?? ?? ?? 8B C3 8B 08 FF 91 84 00 00 00 8B C3 8B 10 FF 92 A0 00 00 00 5B C3 00 00 00 FF FF FF FF 04 00 00 00 41 42 4F 52 00 00 00 00 }
	condition:
		$1
}

rule function_10392_0 {
	meta:
		name = "TIdFTP.SendPort"
		size = 248
		refs = "0014 TIdFTP.SendPort 003d StringReplace 005c IntToStr 008d @LStrCatN 00ba @LStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 43 1C 85 C0 79 05 05 FF 00 00 00 C1 F8 08 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 1C 25 FF 00 00 80 79 07 48 0D 00 FF FF FF 40 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 66 C7 45 EC C8 00 8D 4D EC 8B C6 8B 18 FF 53 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 01 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10393_0 {
	meta:
		name = "TIdFTP.InternalPut"
		size = 654
		refs = "0019 TIdFTP.InternalPut 003d TIdFTP.SendPassive 0053 _Dn_TIdTCPClient 0058 TIdTCPClient.Create 007c TIdFTP.SetDataChannelWorkEvents 008c @LStrAsg 0118 @HandleOnException 0120 _Dn_EIdSocketError 0132 @RaiseAgain 0137 @DoneExcept 0152 @HandleFinally 016e FreeAndNil 017f _Dn_TIdSimpleServer 0184 TIdSimpleServer.Create 01ce TIdFTP.SendPort 027b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 B8 00 00 00 00 0F 84 47 01 00 00 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D7 8B 45 FC 8B 08 FF 91 84 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 C8 00 00 00 89 5D F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 05 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 89 90 A8 00 00 00 8B 45 FC 8B 90 AC 00 00 00 8B 45 F0 8B 80 AC 00 00 00 8B 08 FF 51 08 8B 45 F0 8B 10 FF 92 94 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 C7 45 E8 6E 00 66 C7 45 EA 7D 00 66 C7 45 EC 96 00 8D 55 E8 B9 02 00 00 00 8B 45 FC 8B 18 FF 53 64 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 33 C9 8B D6 8B 45 F0 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 81 78 0C 36 27 00 00 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 C8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 8B 55 FC 8B 52 60 8B 52 14 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 8B 53 60 8B 45 FC E8 ?? ?? ?? ?? 6A 01 66 C7 45 E4 7D 00 66 C7 45 E6 96 00 8D 4D E4 8B D7 8B 45 FC 8B 38 FF 57 7C 8B C3 8B 10 FF 92 9C 00 00 00 6A 00 B1 01 8B D6 8B C3 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 66 C7 45 DC E1 00 66 C7 45 DE E2 00 66 C7 45 E0 FA 00 66 C7 45 E2 AA 01 8D 55 DC B9 03 00 00 00 8B 45 FC 8B 18 FF 53 64 66 3D AA 01 75 13 66 C7 45 D8 E2 00 8D 55 D8 33 C9 8B 45 FC 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10394_0 {
	meta:
		name = "TIdFTP.SetDataChannelWorkEvents"
		size = 43
	strings:
		$1 = { 8B 90 C8 00 00 00 8B 48 2C 89 4A 2C 8B 48 30 89 4A 30 8B 48 34 89 4A 34 8B 48 38 89 4A 38 8B 48 3C 89 4A 3C 8B 48 40 89 4A 40 C3 }
	condition:
		$1
}

rule function_10395_0 {
	meta:
		name = "TIdFTP.Put"
		size = 216
		refs = "0012 TIdFTP.Put 001f @LStrLen 0032 @LStrCat3 003e TIdFTP.InternalPut 0093 @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1D 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? EB 3E 80 7D 08 00 74 1D 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? EB 1B 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 00 FF FF FF FF 05 00 00 00 53 54 4F 55 20 00 00 00 FF FF FF FF 05 00 00 00 41 50 50 45 20 00 00 00 FF FF FF FF 05 00 00 00 53 54 4F 52 20 00 00 00 }
	condition:
		$1
}

rule function_10396_0 {
	meta:
		name = "TIdFTP.Put"
		size = 99
		refs = "0014 _Dn_TFileStream 0019 TFileStream.Create 0024 TIdFTP.Put 004f FreeAndNil 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 6A 40 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 08 50 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10397_0 {
	meta:
		name = "TIdFTP.SendPassive"
		size = 432
		refs = "0017 TIdFTP.SendPassive 002d TIdTCPConnection.SendCmd 0037 TIdTCPConnection.GetCmdResult 0042 Trim 004f @LStrPos 0078 RPos 0086 @LStrLen 0095 @LStrCopy 00b2 @LStrClr 00d1 Fetch 00e0 @LStrCatN 00f4 @LStrDelete 010f StrToInt 0151 @LStrArrayClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 B9 E3 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 F6 74 04 85 FF 75 2F 83 C9 FF 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 2B CE 8D 56 01 8B 45 F8 E8 ?? ?? ?? ?? EB 14 8D 45 F8 50 8B CF 2B CE 49 8D 56 01 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BE 04 00 00 00 FF 33 68 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 4E 75 D4 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C1 E0 08 8B 55 FC 89 02 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 01 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 50 41 53 56 00 00 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_10398_0 {
	meta:
		name = "TIdFTP.Noop"
		size = 32
		refs = "0005 TIdFTP.Noop 000a TIdTCPConnection.SendCmd"
	strings:
		$1 = { 66 B9 C8 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 04 00 00 00 4E 4F 4F 50 00 00 00 00 }
	condition:
		$1
}

rule function_10399_0 {
	meta:
		name = "TIdFTP.MakeDir"
		size = 104
		refs = "000f TIdFTP.MakeDir 0024 @LStrCat3 0032 TIdTCPConnection.SendCmd 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 01 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 04 00 00 00 4D 4B 44 20 00 00 00 00 }
	condition:
		$1
}

rule function_10400_0 {
	meta:
		name = "TIdFTP.RetrieveCurrentDir"
		size = 108
		refs = "000f TIdFTP.RetrieveCurrentDir 0025 TIdTCPConnection.SendCmd 002f TIdTCPConnection.GetCmdResult 0039 CleanDirName 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 B9 01 01 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 FF FF FF FF 03 00 00 00 50 57 44 00 }
	condition:
		$1
}

rule function_10401_0 {
	meta:
		name = "TIdFTP.RemoveDir"
		size = 104
		refs = "000f TIdFTP.RemoveDir 0024 @LStrCat3 0032 TIdTCPConnection.SendCmd 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 FA 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 04 00 00 00 52 4D 44 20 00 00 00 00 }
	condition:
		$1
}

rule function_10402_0 {
	meta:
		name = "TIdFTP.Delete"
		size = 104
		refs = "000f TIdFTP.Delete 0024 @LStrCat3 0032 TIdTCPConnection.SendCmd 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 FA 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 05 00 00 00 44 45 4C 45 20 00 00 00 }
	condition:
		$1
}

rule function_10403_0 {
	meta:
		name = "TIdFTP.ChangeDir"
		size = 104
		refs = "000f TIdFTP.ChangeDir 0024 @LStrCat3 0032 TIdTCPConnection.SendCmd 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 FA 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 04 00 00 00 43 57 44 20 00 00 00 00 }
	condition:
		$1
}

rule function_10404_0 {
	meta:
		name = "TIdFTP.ChangeDirUp"
		size = 32
		refs = "0005 TIdFTP.ChangeDirUp 000a TIdTCPConnection.SendCmd"
	strings:
		$1 = { 66 B9 FA 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 04 00 00 00 43 44 55 50 00 00 00 00 }
	condition:
		$1
}

rule function_10405_0 {
	meta:
		name = "TIdFTP.Site"
		size = 104
		refs = "000f TIdFTP.Site 0024 @LStrCat3 0032 TIdTCPConnection.SendCmd 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 C8 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 05 00 00 00 53 49 54 45 20 00 00 00 }
	condition:
		$1
}

rule function_10406_0 {
	meta:
		name = "TIdFTP.Rename"
		size = 156
		refs = "0012 TIdFTP.Rename 0027 @LStrCat3 0035 TIdTCPConnection.SendCmd 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 5E 01 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 FA 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 05 00 00 00 52 4E 46 52 20 00 00 00 FF FF FF FF 05 00 00 00 52 4E 54 4F 20 00 00 00 }
	condition:
		$1
}

rule function_10407_0 {
	meta:
		name = "TIdFTP.Size"
		size = 200
		refs = "0012 TIdFTP.Size 002a @LStrCat3 0037 TIdTCPConnection.SendCmd 0053 Trim 0060 @LStrPos 006f @LStrDelete 007a StrToIntDef 0096 @LStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 8D 45 F8 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 66 3D D5 00 75 3F 8D 55 F8 8B 43 6C 8B 08 FF 51 1C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 00 FF FF FF FF 05 00 00 00 53 49 5A 45 20 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10410_0 {
	meta:
		name = "RawStrInternetToDateTime"
		size = 612
		refs = "0017 RawStrInternetToDateTime 002f Trim 0039 @LStrAsg 0040 @LStrLen 006b @LStrCopy 0073 StrToDay 0089 Fetch 00a8 StrToIntDef 00b4 TrimLeft 00d8 StrToMonth 0135 EncodeDate 015a IndyPos 01e2 EncodeTime 020c @HandleAnyException 0219 @DoneExcept 0233 @LStrArrayClr 0239 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 89 45 FC 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 0F 84 D1 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 EC 50 8B 03 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 76 12 8D 45 EC 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8B C3 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 8B C3 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 25 FF 00 00 00 66 89 45 F6 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 8B C3 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC BA 6C 07 00 00 E8 ?? ?? ?? ?? 66 83 F8 50 73 06 66 05 D0 07 EB 0A 66 83 F8 64 73 04 66 05 6C 07 8B CE 66 8B 55 F6 E8 ?? ?? ?? ?? DD 5D F8 9B 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 0F 8E 87 00 00 00 8D 45 F0 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 45 EC 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B F8 8D 45 EC 50 8D 45 F0 BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 66 89 45 F4 6A 00 66 8B 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? DC 45 F8 DD 5D F8 9B 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 33 C0 89 45 F8 89 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_10411_0 {
	meta:
		name = "AnsiSameText"
		size = 59
		refs = "0009 @LStrLen 0011 @LStrToPChar 002e CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_10412_0 {
	meta:
		name = "IncludeTrailingBackSlash"
		size = 64
		refs = "000b @LStrLAsg 0012 @LStrLen 001b IsPathDelimiter 0026 IncludeTrailingBackSlash 002b @LStrCat"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 03 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_10413_0 {
	meta:
		name = "FreeAndNil"
		size = 14
		refs = "0009 TObject.Free"
	strings:
		$1 = { 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10414_0 {
	meta:
		name = "CreateTRegistry"
		size = 13
		refs = "0003 _Dn_TRegistry 0008 TRegistry.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10901_0 {
	meta:
		name = "TIdStack.CreateStack"
		size = 13
		refs = "0003 _Dn_TIdStackWinsock 0008 TIdStackWinsock.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10415_0 {
	meta:
		name = "Max"
		size = 7
	strings:
		$1 = { 3B D0 7E 02 8B C2 C3 }
	condition:
		$1
}

rule function_10419_0 {
	meta:
		name = "DateTimeToInternetStr"
		size = 288
		refs = "0015 DateTimeToInternetStr 002f DecodeDate 003b DayOfWeek 0042 wdays 005f monthnames 0084 FormatDateTime 0093 OffsetFromUTC 00a4 DateTimeToGmtOffSetStr 00c0 Format 00da @LStrArrayClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 33 D2 89 55 C4 89 55 C0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D FE 8D 55 FC 8D 45 FA E8 ?? ?? ?? ?? 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? 89 45 C8 C6 45 CC 0B 0F B7 45 FE 89 45 D0 C6 45 D4 00 0F B7 45 FC 8B 04 85 ?? ?? ?? ?? 89 45 D8 C6 45 DC 0B 0F B7 45 FA 89 45 E0 C6 45 E4 00 FF 75 0C FF 75 08 8D 55 C4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 E8 C6 45 EC 0B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 C0 33 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 F0 C6 45 F4 0B 8D 55 C8 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 00 FF FF FF FF 08 00 00 00 68 68 3A 6E 6E 3A 73 73 00 00 00 00 FF FF FF FF 12 00 00 00 25 73 2C 20 25 64 20 25 73 20 25 64 20 25 73 20 25 73 00 00 }
	condition:
		$1
}

rule function_10420_0 {
	meta:
		name = "StrInternetToDateTime"
		size = 79
		refs = "000d @LStrAddRef 0015 StrInternetToDateTime 0023 RawStrInternetToDateTime 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? DD 5D F4 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_10421_0 {
	meta:
		name = "CommaSeperatedToStringList"
		size = 213
		refs = "001a CommaSeperatedToStringList 002e @LStrLen 007b @LStrCopy 0086 Trim 00c2 @LStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF BB 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 10 FF 52 40 3B 5D F0 7F 6A 89 5D F8 8B 45 F8 89 45 F4 3B 5D F0 7F 1B 8A 44 1E FF 3C 22 75 01 47 3C 2C 75 05 83 FF 01 75 09 FF 45 F4 43 3B 5D F0 7E E5 8D 45 E8 50 8B 4D F4 2B 4D F8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 0B 8B 55 EC 8B 45 FC 8B 08 FF 51 34 8B 5D F4 43 33 FF 3B 5D F0 7E 96 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10422_0 {
	meta:
		name = "CopyFileTo"
		size = 38
		refs = "000b @LStrToPChar 0019 CopyFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_10423_0 {
	meta:
		name = "TempPath"
		size = 106
		refs = "000c TempPath 001e @LStrSetLength 0025 @LStrToPChar 002d @LStrLen 0033 GetTempPath 0045 IncludeTrailingBackSlash 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA 04 01 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D3 92 E8 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10424_0 {
	meta:
		name = "MakeTempFilename"
		size = 72
		refs = "000b @LStrSetLength 0012 @LStrToPChar 001a MakeTempFilename 001f ATempPath 002a GetTempFileName 003a @LStrFromPChar"
	strings:
		$1 = { 53 8B D8 8B C3 BA 05 01 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 49 6E 64 79 00 00 00 00 }
	condition:
		$1
}

rule function_10425_0 {
	meta:
		name = "RPos"
		size = 178
		refs = "0019 RPos 002c @LStrLen 006e @LStrCopy 0079 AnsiSameText 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 FB FF 75 09 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 2B C6 40 3B D8 7D 04 8B C3 EB 0A 8B C7 E8 ?? ?? ?? ?? 2B C6 40 8B D8 83 FB 01 7C 28 8D 45 F4 50 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 05 89 5D F8 EB 05 4B 85 DB 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10426_0 {
	meta:
		name = "GetSystemLocale"
		size = 56
		refs = "0001 SysLocale"
	strings:
		$1 = { A1 ?? ?? ?? ?? 66 8B 40 04 66 83 E8 04 74 0D 66 83 E8 0D 74 1A 66 FF C8 74 18 EB 19 A1 ?? ?? ?? ?? 66 83 78 06 02 75 04 33 C0 EB 0B B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 }
	condition:
		$1
}

rule function_10427_0 {
	meta:
		name = "FileSizeByName"
		size = 141
		refs = "000d @LStrAddRef 0015 FileSizeByName 0027 _Dn_TFileStream 002c TFileStream.Create 0045 TStream.GetSize 005d TObject.Free 0063 @HandleFinally 007a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 40 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_10428_0 {
	meta:
		name = "RightStr"
		size = 120
		refs = "0011 @LStrAddRef 0019 RightStr 0027 @LStrLen 0039 @LStrLAsg 0052 @LStrCopy 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7F 04 85 DB 7D 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 17 56 8B 45 FC E8 ?? ?? ?? ?? 8B D0 2B D3 8B CB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10429_0 {
	meta:
		name = "OffsetFromUTC"
		size = 284
		refs = "0017 OffsetFromUTC 0029 GetTimeZoneInformation 0044 RSFailedTimeZoneInfo 0049 LoadResString 0056 _DV_EIdFailedToRetreiveTimeZoneInfo 005b Exception.Create 0060 @RaiseExcept 00d6 EncodeTime 0103 @LStrClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 48 FF FF FF 53 56 33 C0 89 85 48 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 83 E8 FF 74 0B 48 74 31 48 74 41 48 74 33 EB 47 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 8B 9D 4C FF FF FF EB 3D 8B 9D 4C FF FF FF 03 5D F4 EB 32 8B 9D 4C FF FF FF 03 5D A0 EB 27 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B C3 99 33 C2 2B C2 8B C8 8B C1 BE 3C 00 00 00 99 F7 FE 52 8B C3 99 33 C2 2B C2 8B C1 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 5D F8 9B 85 DB 7E 0D D9 05 ?? ?? ?? ?? DC 65 F8 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED DD 45 F8 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_10430_0 {
	meta:
		name = "StrToCard"
		size = 103
		refs = "0013 @LStrAddRef 001b StrToCard 0030 Trim 0038 StrToInt64Def 0054 @LStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10431_0 {
	meta:
		name = "TimeZoneBias"
		size = 108
		refs = "000c GetTimeZoneInformation 0053 TimeZoneBias"
	strings:
		$1 = { 81 C4 48 FF FF FF 8D 44 24 08 50 E8 ?? ?? ?? ?? 83 F8 02 75 1F 8B 44 24 08 03 84 24 B0 00 00 00 89 84 24 B4 00 00 00 DB 84 24 B4 00 00 00 DD 1C 24 9B EB 1A 8B 44 24 08 03 44 24 5C 89 84 24 B4 00 00 00 DB 84 24 B4 00 00 00 DD 1C 24 9B DD 04 24 D8 35 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 81 C4 B8 00 00 00 C3 00 00 00 00 00 B4 44 }
	condition:
		$1
}

rule function_10433_0 {
	meta:
		name = "SetLocalTime"
		size = 41
		refs = "0010 DateTimeToSystemTime 0019 SetLocalTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10434_0 {
	meta:
		name = "IdPorts"
		size = 648
		refs = "001a IdPorts 0026 FIdPorts 0034 _Dn_TList 0039 TObject.Create 004b @LStrSetLength 0058 @LStrToPChar 005e GetWindowsDirectory 0073 IncludeTrailingBackSlash 007e @LStrLAsg 0083 Win32Platform 0095 @LStrCat 009c _Dn_TStringList 00c2 @LStrCat3 010a IndyPos 0132 @SetRange 0173 RSCorruptServicesFile 0178 LoadResString 0182 _DV_EIdCorruptServicesFile 0187 Exception.CreateFmt 018c @RaiseExcept 01b0 @LStrCopy 01b8 StrToInt 01cb TList.Add 01ef TObject.Free 01f5 @HandleFinally 0212 @LStrClr 0227 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 33 C0 89 45 E4 89 45 B8 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 85 CA 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 45 FC BA 04 01 00 00 E8 ?? ?? ?? ?? 68 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 02 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 EC 8B 08 FF 51 58 33 C0 89 45 F0 8B 45 EC 8B 10 FF 52 14 48 85 C0 0F 8C F7 00 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8D 4D F8 8B 55 F4 8B 45 EC 8B 18 FF 53 0C 8B 55 F8 B8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B F0 85 F6 0F 8E BA 00 00 00 8B 55 F8 B8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D8 B0 01 8B D6 8D 4D C4 B4 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 04 0F A3 5D C4 0F 82 8A 00 00 00 8B DE 4B 85 DB 75 41 8D 45 E4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 89 45 BC C6 45 C0 0B 8D 45 BC 50 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8A 44 18 FF 2C 0D 72 05 48 2C 13 73 AA 8D 45 E4 50 8B CE 2B CB 49 8D 53 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 3B 5D F0 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D F0 FF 45 F4 FF 4D E8 0F 85 14 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 00 FF FF FF FF 15 00 00 00 73 79 73 74 65 6D 33 32 5C 64 72 69 76 65 72 73 5C 65 74 63 5C 00 00 00 FF FF FF FF 08 00 00 00 73 65 72 76 69 63 65 73 00 00 00 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_10435_0 {
	meta:
		name = "Fetch"
		size = 152
		refs = "0011 Fetch 0016 @LStrCmp 0021 @LStrPos 002f IndyPos 003f @LStrLAsg 004c @LStrClr 0061 @LStrCopy 006e @LStrLen 007f @LStrDelete"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 16 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B 16 8B C7 FF 15 ?? ?? ?? ?? 8B D8 85 DB 75 19 8B 45 08 8B 16 E8 ?? ?? ?? ?? 80 7D FF 00 74 3A 8B C6 E8 ?? ?? ?? ?? EB 31 8B 45 08 50 8B CB 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 80 7D FF 00 74 18 8B C7 E8 ?? ?? ?? ?? 8B C8 03 CB 49 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10436_0 {
	meta:
		name = "PosInStrArray"
		size = 194
		refs = "0025 @LStrAddRef 0032 String 0037 @AddRefArray 003f PosInStrArray 0062 @LStrCmp 0070 AnsiSameText 009d @FinalizeArray 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 41 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F4 85 F6 7C 2F 46 33 FF 8B 5D F8 80 7D 08 00 74 0E 8B 45 FC 8B 13 E8 ?? ?? ?? ?? 74 1A EB 0E 8B 13 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0A 47 83 C3 04 4E 75 D7 83 CF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 4D F4 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C7 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10437_0 {
	meta:
		name = "IsCurrentThread"
		size = 16
		refs = "0004 GetCurrentThreadId"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 3B 43 08 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_10438_0 {
	meta:
		name = "IsNumeric"
		size = 108
		refs = "000c IsNumeric 001c @LStrFromChar 0029 @LStrPos 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 FF FF FF FF 0A 00 00 00 30 31 32 33 34 35 36 37 38 39 00 00 }
	condition:
		$1
}

rule function_10439_0 {
	meta:
		name = "StrToDay"
		size = 240
		refs = "0012 StrToDay 0024 UpperCase 006e PosInStrArray 0086 @LStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 E0 B9 06 00 00 00 58 E8 ?? ?? ?? ?? 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 53 55 4E 00 FF FF FF FF 03 00 00 00 4D 4F 4E 00 FF FF FF FF 03 00 00 00 54 55 45 00 FF FF FF FF 03 00 00 00 57 45 44 00 FF FF FF FF 03 00 00 00 54 48 55 00 FF FF FF FF 03 00 00 00 46 52 49 00 FF FF FF FF 03 00 00 00 53 41 54 00 }
	condition:
		$1
}

rule function_10440_0 {
	meta:
		name = "StrToMonth"
		size = 340
		refs = "0012 StrToMonth 0024 UpperCase 0096 PosInStrArray 00ae @LStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 CC B9 0B 00 00 00 58 E8 ?? ?? ?? ?? 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 4A 41 4E 00 FF FF FF FF 03 00 00 00 46 45 42 00 FF FF FF FF 03 00 00 00 4D 41 52 00 FF FF FF FF 03 00 00 00 41 50 52 00 FF FF FF FF 03 00 00 00 4D 41 59 00 FF FF FF FF 03 00 00 00 4A 55 4E 00 FF FF FF FF 03 00 00 00 4A 55 4C 00 FF FF FF FF 03 00 00 00 41 55 47 00 FF FF FF FF 03 00 00 00 53 45 50 00 FF FF FF FF 03 00 00 00 4F 43 54 00 FF FF FF FF 03 00 00 00 4E 4F 56 00 FF FF FF FF 03 00 00 00 44 45 43 00 }
	condition:
		$1
}

rule function_10441_0 {
	meta:
		name = "UpCaseFirst"
		size = 100
		refs = "000e @LStrAddRef 0016 UpCaseFirst 0026 LowerCase 0034 UpCase 003c UniqueString 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 3B 00 74 14 8B 03 8A 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10442_0 {
	meta:
		name = "DateTimeToGmtOffSetStr"
		size = 188
		refs = "0010 DateTimeToGmtOffSetStr 0026 @LStrLAsg 0040 DecodeTime 0069 Format 007e UniqueString"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 8B D0 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 94 C0 84 D0 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 65 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 53 0F B7 45 FE 89 45 E8 C6 45 EC 00 0F B7 45 FC 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 0C 8B C3 E8 ?? ?? ?? ?? C6 00 2D EB 0A 8B C3 E8 ?? ?? ?? ?? C6 00 2B 5B 8B E5 5D C2 08 00 00 00 00 00 FF FF FF FF 03 00 00 00 47 4D 54 00 FF FF FF FF 0B 00 00 00 20 25 30 2E 32 64 25 30 2E 32 64 00 }
	condition:
		$1
}

rule function_10443_0 {
	meta:
		name = "GetMIMETypeFromFile"
		size = 141
		refs = "0010 @LStrAddRef 0018 GetMIMETypeFromFile 0027 _DV_TIdMimeTable 002c TIdMimeTable.Create 004a TIdMimeTable.GetFileMIMEType 005f TObject.Free 0065 @HandleFinally 007c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10444_0 {
	meta:
		name = "ParseURI"
		size = 103
		refs = "0011 @LStrAddRef 0019 ParseURI 003a _Dn_TIdURI 003f TIdURI.ParseURI 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_10445_0 {
	meta:
		name = "GmtOffsetStrToDateTime"
		size = 294
		refs = "0015 @LStrAddRef 001d GmtOffsetStrToDateTime 003a Trim 004c @LStrCopy 0054 @LStrLen 009b StrToInt 00c2 EncodeTime 00e6 @HandleAnyException 00f3 @DoneExcept 0108 @LStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 89 45 F8 8D 45 FC 50 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 B9 05 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 97 00 00 00 8B 45 FC 8A 00 2C 2B 74 08 2C 02 0F 85 86 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F0 50 B9 02 00 00 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F0 50 B9 02 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? DD 5D F4 9B 8B 45 FC 80 38 2D 75 09 DD 45 F4 D9 E0 DD 5D F4 9B 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 33 C0 89 45 F4 89 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10446_0 {
	meta:
		name = "GMTToLocalDateTime"
		size = 168
		refs = "000d @LStrAddRef 0015 GMTToLocalDateTime 0023 RawStrInternetToDateTime 002f @LStrLen 0046 GmtOffsetStrToDateTime 0075 OffsetFromUTC 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? DD 5D F4 9B 8B 45 FC E8 ?? ?? ?? ?? 83 F8 05 7D 0A 33 C0 89 45 EC 89 45 F0 EB 0C 8B 45 FC E8 ?? ?? ?? ?? DD 5D EC 9B DD 45 EC D8 1D ?? ?? ?? ?? DF E0 9E 73 0E DD 45 EC D9 E1 DC 45 F4 DD 5D F4 9B EB 0A DD 45 F4 DC 65 EC DD 5D F4 9B E8 ?? ?? ?? ?? DC 45 F4 DD 5D F4 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F4 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_10448_0 {
	meta:
		name = "IntToBin"
		size = 72
		refs = "000f @LStrSetLength 0027 UniqueString"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C6 BA 20 00 00 00 E8 ?? ?? ?? ?? BB 01 00 00 00 8B CB 49 8B C7 D3 E0 C1 E8 1F 75 0E 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 30 EB 0C 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 31 43 83 FB 21 75 D4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10450_0 {
	meta:
		name = "ROL"
		size = 7
	strings:
		$1 = { 89 C0 88 D1 D3 C0 C3 }
	condition:
		$1
}

rule function_10451_0 {
	meta:
		name = "ROR"
		size = 7
	strings:
		$1 = { 89 C0 88 D1 D3 C8 C3 }
	condition:
		$1
}

rule function_10452_0 {
	meta:
		name = "DebugOutput"
		size = 18
		refs = "0006 @LStrToPChar 000c OutputDebugString"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18425_0 {
	meta:
		name = "FileGetAttr"
		size = 18
		refs = "0006 @LStrToPChar 000c GetFileAttributes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10453_0 {
	meta:
		name = "InMainThread"
		size = 17
		refs = "0001 GetCurrentThreadId 0007 MainThreadID"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_10454_0 {
	meta:
		name = "TIdMimeTable.BuildCache"
		size = 708
		refs = "0018 TIdMimeTable.BuildCache 0023 CreateTRegistry 003b _Dn_TStringList 0040 TObject.Create 005e TRegistry.SetRootKey 006b TRegistry.OpenKeyReadOnly 0076 TRegistry.GetKeyNames 007e TRegistry.CloseKey 00b7 @LStrCopy 00c4 @LStrCmp 00eb TRegistry.ValueExists 0110 TRegistry.ReadString 011f TStrings.SetValue 0186 @LStrCat3 01e2 TObject.Free 01e8 @HandleFinally 0221 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 00 00 00 80 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 9E 00 00 00 46 33 DB 8D 45 F0 50 8D 4D EC 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 61 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 30 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D EC 8B 45 FC 8B 40 08 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 0F 85 65 FF FF FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 40 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 67 46 33 DB 8D 4D EC 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 40 04 59 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 20 54 79 70 65 00 00 00 00 FF FF FF FF 1B 00 00 00 5C 4D 49 4D 45 5C 44 61 74 61 62 61 73 65 5C 43 6F 6E 74 65 6E 74 20 54 79 70 65 00 FF FF FF FF 1C 00 00 00 5C 4D 49 4D 45 5C 44 61 74 61 62 61 73 65 5C 43 6F 6E 74 65 6E 74 20 54 79 70 65 5C 00 00 00 00 FF FF FF FF 09 00 00 00 45 78 74 65 6E 73 69 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_10455_0 {
	meta:
		name = "TIdMimeTable.Create"
		size = 95
		refs = "000e @ClassCreate 001c _Dn_TStringList 0021 TObject.Create 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 84 DB 74 06 8B C6 8B 10 FF 12 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10456_0 {
	meta:
		name = "TIdMimeTable.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f FreeAndNil 0023 TObject.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 E8 ?? ?? ?? ?? 8D 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10457_0 {
	meta:
		name = "TIdMimeTable.getDefaultFileExt"
		size = 54
		refs = "0011 TStrings.GetValue 0018 @LStrLen"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B 43 04 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 75 12 8B C3 8B 10 FF 12 8B CE 8B D7 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10458_0 {
	meta:
		name = "TIdMimeTable.GetFileMIMEType"
		size = 188
		refs = "0012 TIdMimeTable.GetFileMIMEType 0022 ExtractFileExt 002f TStrings.GetValue 0036 @LStrLen 006e @LStrLAsg 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B CB 8B 46 08 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 75 34 8B C6 8B 10 FF 12 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B CB 8B 46 04 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 18 00 00 00 61 70 70 6C 69 63 61 74 69 6F 6E 2F 6F 63 74 65 74 2D 73 74 72 65 61 6D 00 00 00 00 }
	condition:
		$1
}

rule function_10460_0 {
	meta:
		name = "URLDecode"
		size = 440
		refs = "001b @LStrAddRef 0023 URLDecode 0031 @LStrClr 004d StringReplace 0058 @LStrLAsg 0083 @LStrFromChar 008e @LStrCat 00ad @LStrCopy 00c0 @LStrToString 00d0 @PStrNCpy 00f1 @PStrCpy 0101 @PStrNCat 010f @LStrFromString 0117 StrToInt 014c @HandleAnyException 0151 @DoneExcept 015c @LStrLen 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? C7 45 F4 01 00 00 00 E9 F0 00 00 00 8B 45 FC 8B 55 F4 8A 5C 10 FF 80 FB 25 74 23 8D 45 EC 8B 55 FC 8B 4D F4 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E9 BB 00 00 00 FF 45 F4 8D 45 EC 50 B9 02 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 85 EC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 8D 45 F1 B1 02 E8 ?? ?? ?? ?? FF 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 55 F1 8D 85 E8 FE FF FF B1 03 E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 85 DB 7E 20 81 FB 00 01 00 00 7D 18 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F4 0F 8D FF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 2B 00 00 00 01 24 00 00 }
	condition:
		$1
}

rule function_10461_0 {
	meta:
		name = "URLEncode"
		size = 240
		refs = "0017 URLEncode 0025 @LStrClr 002c @LStrLen 0043 @LStrFromChar 0051 IndyPos 0079 IntToHex 0089 @LStrCatN 00a2 @LStrCat 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 77 BB 01 00 00 00 8D 45 F8 8A 54 1E FF E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 7F 07 80 7C 1E FF 80 72 2F 8B 45 FC FF 30 68 ?? ?? ?? ?? 8D 4D F8 33 C0 8A 44 1E FF BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1A 8D 45 F8 8A 54 1E FF E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 43 4F 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 20 2A 23 25 3C 3E 00 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_10463_0 {
	meta:
		name = "Finalization"
		size = 110
		refs = "0007 Finalization 0013 _DV_4 001a FIdPorts 001f TObject.Free 0024 monthnames 002f String 0034 @FinalizeArray 0039 wdays 004e ATempPath 0053 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10464_0 {
	meta:
		name = "IdGlobal"
		size = 156
		refs = "0009 IdGlobal 0015 _DV_4 0020 TempPath 0028 ATempPath 002d @LStrAsg 0032 LeadBytes 003e @SetEq 0046 IndyPos 004a SBPos 0051 AnsiPos 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 3E 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 0C C7 05 ?? ?? ?? ?? ?? ?? ?? ?? EB 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10465_0 {
	meta:
		name = "WriteToStream"
		size = 104
		refs = "000e @LStrAddRef 0016 WriteToStream 0024 @LStrLen 0039 UniqueString 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 1B 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10466_0 {
	meta:
		name = "TIdGopher.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TIdTCPClient.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 A8 00 00 00 46 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10467_0 {
	meta:
		name = "TIdGopher.DoMenu"
		size = 31
	strings:
		$1 = { 53 66 83 B8 B6 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 B8 00 00 00 FF 93 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_10468_0 {
	meta:
		name = "TIdGopher.ProcessGopherError"
		size = 168
		refs = "000e TIdGopher.ProcessGopherError 0031 Fetch 0039 StrToInt 0047 @LStrLen 0059 @LStrCopy 0066 _Dn_EIdProtocolReplyError 006b EIdProtocolReplyError.CreateError 0070 @RaiseExcept 008a @LStrArrayClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 44 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 05 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10469_0 {
	meta:
		name = "TIdGopher.MenuItemFromString"
		size = 380
		refs = "0015 @LStrAddRef 001d TIdGopher.MenuItemFromString 002e Trim 0039 @LStrLAsg 0044 TIdGopherMenu.Add 0051 _DV_TIdGopherMenuItem 0056 TIdGopherMenuItem.Create 006b Fetch 0076 @LStrAsg 007e @LStrLen 00ab @LStrCopy 0102 StrToInt 015a @LStrArrayClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 85 C0 7E 0A 8B 43 0C 8A 00 88 43 10 EB 04 C6 43 10 33 8D 43 0C 50 8B 43 0C E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 18 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 43 1C 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 08 8B 45 FC 80 38 2B 74 04 33 C0 EB 02 B0 01 88 43 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_10470_0 {
	meta:
		name = "TIdGopher.LoadExtendedDirectory"
		size = 440
		refs = "001c @LStrAddRef 0024 TIdGopher.LoadExtendedDirectory 004b _DV_TIdGopherMenu 0050 TIdGopherMenu.Create 0076 @LStrCat3 007e @LStrClr 008b @LStrCmp 00a7 @LStrCopy 00cb TIdGopher.DoMenu 00d3 @LStrLen 00e3 RightStr 00f1 TIdGopher.MenuItemFromString 0161 @HandleFinally 017d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D F0 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC 8B 18 FF 53 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 DB 8D 45 EC 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 30 FF 56 74 8B 4D EC 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 86 00 00 00 8D 45 EC 50 B9 07 00 00 00 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4A 85 DB 74 11 8B C3 8B 10 FF 52 1C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 83 EA 07 8D 4D EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 43 24 8B 55 F0 8B 08 FF 51 34 EB 25 85 DB 74 21 83 7D F0 00 74 1B 8B 43 24 8B 55 F0 8B 08 FF 51 34 EB 0E 85 DB 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 45 FC 8B 10 FF 52 54 84 C0 0F 85 11 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 07 00 00 00 2B 49 4E 46 4F 3A 20 00 }
	condition:
		$1
}

rule function_10471_0 {
	meta:
		name = "TIdGopher.ProcessDirectory"
		size = 288
		refs = "001b @LStrAddRef 0023 TIdGopher.ProcessDirectory 004a _DV_TIdGopherMenu 004f TIdGopherMenu.Create 0073 @LStrCat3 007b @LStrClr 0088 @LStrCmp 0098 TIdGopher.MenuItemFromString 00a2 TIdGopher.DoMenu 00da @HandleFinally 00f6 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F0 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC 8B 18 FF 53 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 18 FF 53 74 8B 4D EC 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 18 8B 4D F4 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 45 FC 8B 10 FF 52 54 84 C0 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10472_0 {
	meta:
		name = "TIdGopher.ProcessTextFile"
		size = 172
		refs = "0014 @LStrAddRef 001c TIdGopher.ProcessTextFile 002c WriteToStream 0058 TIdTCPConnection.Capture 0075 @HandleFinally 008c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 8B DA 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 33 D2 8B 45 FC 8B 30 FF 56 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 B9 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10473_0 {
	meta:
		name = "TIdGopher.ProcessFile"
		size = 167
		refs = "0014 @LStrAddRef 001c TIdGopher.ProcessFile 0047 WriteToStream 0056 TIdTCPConnection.ReadStream 005f TStream.SetPosition 007c @HandleFinally 0093 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 8B DA 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 33 D2 8B 45 FC 8B 30 FF 56 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 6A 01 83 C9 FF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10474_0 {
	meta:
		name = "TIdGopher.Search"
		size = 220
		refs = "0019 @LStrAddRef 0029 TIdGopher.Search 0060 @LStrCatN 007a TIdGopher.ProcessDirectory 0098 @HandleFinally 00af @LStrClr 00bc @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 91 84 00 00 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_10475_0 {
	meta:
		name = "TIdGopher.GetFile"
		size = 492
		refs = "001c @LStrAddRef 002c TIdGopher.GetFile 006d TIdGopher.ProcessFile 0085 Fetch 0090 Trim 009b @LStrLAsg 00b8 @LStrCatN 00d6 TIdTCPConnection.ReadBuffer 00fc TIdGopher.ProcessGopherError 0119 StrToInt 0131 TIdGopher.ProcessTextFile 015f @LStrFromChar 0187 @HandleFinally 01a3 @LStrArrayClr 01ab @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 94 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 0C 00 75 21 8B 55 F8 8B 45 FC 8B 08 FF 91 84 00 00 00 6A 00 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 FA 00 00 00 8D 45 EC 50 8D 45 08 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 08 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 08 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 91 84 00 00 00 8D 55 F7 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8A 45 F7 2C 2B 74 21 2C 02 75 71 8D 45 F0 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 18 FF 53 74 8B 45 FC E8 ?? ?? ?? ?? EB 6E 8D 45 F0 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 30 FF 56 74 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 83 EA FE 74 13 4A 75 20 6A 00 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 39 6A 00 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 29 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1A 6A 00 8D 45 F0 8A 55 F7 E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_10478_0 {
	meta:
		name = "TIdGopher.GetTextFile"
		size = 492
		refs = "001c @LStrAddRef 002c TIdGopher.GetTextFile 006d TIdGopher.ProcessTextFile 0085 Fetch 0090 Trim 009b @LStrLAsg 00b8 @LStrCatN 00d6 TIdTCPConnection.ReadBuffer 00fc TIdGopher.ProcessGopherError 0119 StrToInt 0141 TIdGopher.ProcessFile 015f @LStrFromChar 0187 @HandleFinally 01a3 @LStrArrayClr 01ab @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 94 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 0C 00 75 21 8B 55 F8 8B 45 FC 8B 08 FF 91 84 00 00 00 6A 00 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 FA 00 00 00 8D 45 EC 50 8D 45 08 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 08 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 08 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 91 84 00 00 00 8D 55 F7 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8A 45 F7 2C 2B 74 21 2C 02 75 71 8D 45 F0 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 18 FF 53 74 8B 45 FC E8 ?? ?? ?? ?? EB 6E 8D 45 F0 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 30 FF 56 74 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 83 EA FE 74 13 4A 75 20 6A 00 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 39 6A 00 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 29 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1A 6A 00 8D 45 F0 8A 55 F7 E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_10476_0 {
	meta:
		name = "TIdGopher.GetMenu"
		size = 396
		refs = "0018 @LStrAddRef 0028 TIdGopher.GetMenu 006a TIdGopher.ProcessDirectory 008f @LStrCatN 00ad TIdTCPConnection.ReadBuffer 00d3 TIdGopher.ProcessGopherError 00f0 StrToInt 010c @LStrFromChar 0137 @HandleFinally 014e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 10 FF 92 94 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 DB 75 22 8B 55 F8 8B 45 FC 8B 08 FF 91 84 00 00 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 E9 AA 00 00 00 FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 08 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 91 84 00 00 00 8D 55 F3 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8A 45 F3 2C 2B 74 21 2C 02 75 49 8D 45 EC 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 18 FF 53 74 8B 45 FC E8 ?? ?? ?? ?? EB 47 8D 45 EC 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 18 FF 53 74 8B 45 EC E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 EB 1B 8D 45 EC 8A 55 F3 E8 ?? ?? ?? ?? 8B 55 EC 33 C9 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 F4 5B 8B E5 5D C2 04 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_10477_0 {
	meta:
		name = "TIdGopher.GetExtendedMenu"
		size = 356
		refs = "0019 @LStrAddRef 0029 TIdGopher.GetExtendedMenu 006a @LStrCatN 0088 TIdTCPConnection.ReadBuffer 00ae TIdGopher.ProcessGopherError 00cb StrToInt 00d7 TIdGopher.LoadExtendedDirectory 00e7 @LStrFromChar 00f4 TIdGopher.ProcessDirectory 0112 @HandleFinally 0129 @LStrClr 0136 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 FC 8B 10 FF 92 94 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 08 FF 91 84 00 00 00 8D 55 EF B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8A 45 EF 2C 2B 74 21 2C 02 75 49 8D 45 E8 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 18 FF 53 74 8B 45 FC E8 ?? ?? ?? ?? EB 47 8D 45 E8 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 18 FF 53 74 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 EB 1B 8D 45 E8 8A 55 EF E8 ?? ?? ?? ?? 8B 55 E8 33 C9 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_10483_0 {
	meta:
		name = "TIdGopherMenuItem.Create"
		size = 175
		refs = "000e @ClassCreate 001c TCollectionItem.Create 0023 _Dn_TIdHeaderList 0028 TIdHeaderList.Create 0036 TStringList.SetSorted 004c _Dn_TStringList 0051 TObject.Create 007b _Dn_TIdEMailAddressItem 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 24 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 43 24 C6 40 19 01 C6 40 31 00 C6 40 32 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 33 D2 8B 43 30 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10484_0 {
	meta:
		name = "TIdGopherMenuItem.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 000f FreeAndNil 003b TCollectionItem.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 E8 ?? ?? ?? ?? 8D 46 34 E8 ?? ?? ?? ?? 8D 46 30 E8 ?? ?? ?? ?? 8D 46 24 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10485_0 {
	meta:
		name = "_NF__116"
		size = 52
	strings:
		$1 = { FF FF FF FF 06 00 00 00 2B 56 49 45 57 53 00 00 FF FF FF FF 09 00 00 00 2B 41 42 53 54 52 41 43 54 00 00 00 FF FF FF FF 04 00 00 00 2B 41 53 4B 00 00 00 00 }
	condition:
		$1
}

rule function_10486_0 {
	meta:
		name = "ParseBlock"
		size = 166
		refs = "0016 ParseBlock 003e TrimLeft 0093 @LStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 03 EB 2A 8D 4D F8 8B 13 8B 45 08 8B 40 F8 8B 40 24 8B 38 FF 57 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 34 FF 03 8B 45 08 8B 40 F8 8B 40 24 8B 10 FF 52 14 3B 03 7E 1B 8D 4D FC 8B 13 8B 45 08 8B 40 F8 8B 40 24 8B 38 FF 57 0C 8B 45 FC 80 38 20 74 A9 FF 0B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10487_0 {
	meta:
		name = "TIdGopherMenuItem.DoneSettingInfoBlock"
		size = 296
		refs = "001a TIdGopherMenuItem.DoneSettingInfoBlock 004b Fetch 0056 UpperCase 0061 @LStrLAsg 0068 BlockTypes 0075 PosInStrArray 008c ParseBlock 00cf TIdHeaderList.GetValue 00dc TIdEMailAddressItem.SetText 00f6 @LStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 F8 8D 5D F8 8D 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 E9 82 00 00 00 8D 4D F4 8B 03 8B 40 24 8B 16 8B 38 FF 57 0C 8D 45 EC 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 13 48 74 1E EB 28 55 8B 03 8B 40 28 E8 ?? ?? ?? ?? 59 EB 1A 55 8B 03 8B 40 30 E8 ?? ?? ?? ?? 59 EB 0C 55 8B 03 8B 40 34 E8 ?? ?? ?? ?? 59 FF 06 8B 03 8B 40 24 8B 10 FF 52 14 3B 06 0F 8F 6C FF FF FF 8D 4D F0 8B 03 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 03 8B 40 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 06 00 00 00 20 41 64 6D 69 6E 00 00 }
	condition:
		$1
}

rule function_10488_0 {
	meta:
		name = "TIdGopherMenuItem.GetGeog"
		size = 40
		refs = "0009 TIdGopherMenuItem.GetGeog 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 05 00 00 00 20 47 65 6F 67 00 00 00 }
	condition:
		$1
}

rule function_10489_0 {
	meta:
		name = "TIdGopherMenuItem.GetLastModified"
		size = 44
		refs = "0009 TIdGopherMenuItem.GetLastModified 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 09 00 00 00 20 4D 6F 64 2D 44 61 74 65 00 00 00 }
	condition:
		$1
}

rule function_10490_0 {
	meta:
		name = "TIdGopherMenuItem.GetLocation"
		size = 40
		refs = "0009 TIdGopherMenuItem.GetLocation 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 04 00 00 00 20 4C 6F 63 00 00 00 00 }
	condition:
		$1
}

rule function_10491_0 {
	meta:
		name = "TIdGopherMenuItem.GetOrganization"
		size = 40
		refs = "0009 TIdGopherMenuItem.GetOrganization 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 04 00 00 00 20 4F 72 67 00 00 00 00 }
	condition:
		$1
}

rule function_10492_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_4 001a BlockTypes 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10496_0 {
	meta:
		name = "TIdGopherServer.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e TIdGopherServer.Create 0033 @LStrAsg 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 46 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 AC 00 00 00 01 C7 86 B0 00 00 00 46 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 FF FF FF FF 17 00 00 00 3C 67 6F 70 68 65 72 40 64 6F 6D 61 69 6E 2E 65 78 61 6D 70 6C 65 3E 00 }
	condition:
		$1
}

rule function_10497_0 {
	meta:
		name = "TIdGopherServer.DoExecute"
		size = 544
		refs = "001d TIdGopherServer.DoExecute 0060 @LStrPos 0083 @LStrLen 0090 @LStrCopy 00f4 RSGopherServerNoProgramCode 00f9 LoadResString 0113 @LStrCatN 018a @HandleAnyException 018f @DoneExcept 01c8 @LStrArrayClr 01d0 @LStrClr 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D EC 89 4D E8 89 4D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B 46 3C 89 45 F0 E9 6C 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 B9 FE FF FF FF 33 D2 8B 45 F0 8B 18 FF 53 74 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E B9 00 00 00 8B 45 FC 66 83 B8 A6 00 00 00 00 74 4A 8D 45 EC 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8D 53 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D E8 8B 5D FC 8B D6 8B 83 A8 00 00 00 FF 93 A4 00 00 00 E9 BA 00 00 00 8B 45 FC 66 83 B8 9E 00 00 00 00 74 19 8B 5D FC 8B 4D F4 8B D6 8B 83 A0 00 00 00 FF 93 9C 00 00 00 E9 94 00 00 00 68 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 46 3C 8B 08 FF 91 80 00 00 00 EB 58 8B 45 FC 66 83 B8 9E 00 00 00 00 74 16 8B 5D FC 8B 4D F4 8B D6 8B 83 A0 00 00 00 FF 93 9C 00 00 00 EB 35 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 46 3C 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D E8 ?? ?? ?? ?? 8B 46 3C 8B 10 FF 52 58 8B 45 F0 8B 10 FF 52 54 84 C0 0F 85 84 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 FB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 06 00 00 00 2D 2D 31 0D 0A 31 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 05 00 00 00 0D 0A 2E 0D 0A 00 00 00 }
	condition:
		$1
}

rule function_10498_0 {
	meta:
		name = "TIdGopherServer.ReturnGopherItem"
		size = 240
		refs = "0017 @LStrAddRef 002f TIdGopherServer.ReturnGopherItem 0046 @LStrLen 0067 @LStrCopy 0071 @LStrFromChar 0097 IntToStr 00a7 @LStrCatN 00c1 @LStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BF AC 00 00 00 00 74 29 8B 45 FC E8 ?? ?? ?? ?? 8B B7 B0 00 00 00 3B C6 7E 17 85 F6 74 13 8D 45 FC 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B D3 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? FF 75 14 68 ?? ?? ?? ?? FF 75 10 68 ?? ?? ?? ?? 8D 55 F4 8B 45 0C E8 ?? ?? ?? ?? FF 75 F4 8B 45 08 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 10 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 10 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_10499_0 {
	meta:
		name = "TIdGopherServer.SendDirectoryEntry"
		size = 153
		refs = "0019 @LStrAddRef 0031 TIdGopherServer.SendDirectoryEntry 0054 TIdGopherServer.ReturnGopherItem 0077 @LStrClr 0084 @LStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B F0 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F8 50 8B 4D 14 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 47 3C 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 0C BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_10500_0 {
	meta:
		name = "TIdGopherServer.SetTruncateUserFriendlyName"
		size = 7
	strings:
		$1 = { 88 90 AC 00 00 00 C3 }
	condition:
		$1
}

rule function_10501_0 {
	meta:
		name = "TIdGopherServer.SetTruncateLength"
		size = 7
	strings:
		$1 = { 89 90 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_10504_0 {
	meta:
		name = "B64"
		size = 24
		refs = "0003 base64_tbl"
	strings:
		$1 = { 33 C9 BA ?? ?? ?? ?? 3A 02 75 03 8B C1 C3 41 42 83 F9 41 75 F2 33 C0 C3 }
	condition:
		$1
}

rule function_10505_0 {
	meta:
		name = "DecodeHeader"
		size = 852
		refs = "0026 @LStrAddRef 002e DecodeHeader 003f UpperCase 004c @LStrPos 0074 @LStrLen 0084 @LStrCopy 00be @LStrFromChar 00d1 AnsiSameText 00f5 @LStrCat 0111 @PStrCpy 012d @PStrNCat 0160 @LStrFromString 0168 StrToInt 01c7 B64 0280 @LStrCatN 02ac Decode2022JP 02b8 @LStrLAsg 02d9 @LStrClr 02e6 @LStrArrayClr 02f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D D0 89 4D F8 89 4D F4 89 4D F0 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 66 02 00 00 BB 01 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 2B CE 41 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 83 FB 01 75 23 8D 45 F4 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 12 83 FB 02 75 0D 8D 45 F8 8B 55 FC 8A 12 E8 ?? ?? ?? ?? 43 83 FB 04 75 95 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 01 00 00 BB 01 00 00 00 8B 45 FC 80 7C 18 FF 5F 75 12 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 45 FC 80 7C 18 FF 3D 75 7E BA ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 D8 8B 55 FC 8A 14 1A 88 50 01 C6 00 01 8D 55 D8 8D 45 DC B1 02 E8 ?? ?? ?? ?? 8D 55 DC 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 FC 8A 54 1A 01 88 50 01 C6 00 01 8D 55 D8 8D 45 D4 B1 03 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 E8 ?? ?? ?? ?? 83 C3 02 EB 1A 8D 45 E4 8B 55 FC 8A 54 1A FF E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 E8 ?? ?? ?? ?? 43 8B 45 FC 80 7C 18 FF 3F 0F 85 33 FF FF FF 8B 45 FC 80 3C 18 3D 0F 85 26 FF FF FF E9 D4 00 00 00 8B 45 FC 8A 00 E8 ?? ?? ?? ?? 88 45 E9 8B 45 FC 8A 40 01 E8 ?? ?? ?? ?? 88 45 EA 8B 45 FC 8A 40 02 E8 ?? ?? ?? ?? 88 45 EB 8B 45 FC 8A 40 03 E8 ?? ?? ?? ?? 88 45 EC 8A 55 E9 C1 E2 02 8A 45 EA 33 C9 8A C8 C1 E9 04 0A D1 88 55 ED C1 E0 04 8A 55 EB 33 C9 8A CA C1 E9 02 0A C1 88 45 EE C1 E2 06 33 C0 8A 45 EC C1 E8 00 0A D0 88 55 EF 8D 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 8D 45 E4 8A 55 ED E8 ?? ?? ?? ?? FF 75 E4 8D 45 E0 8A 55 EE E8 ?? ?? ?? ?? FF 75 E0 8D 45 D0 8A 55 EF E8 ?? ?? ?? ?? FF 75 D0 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 04 0F 8D 2C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B 45 F0 E8 ?? ?? ?? ?? EB 16 8B C7 8B 55 F0 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 3D 3F 49 53 4F 00 00 00 FF FF FF FF 01 00 00 00 3F 00 00 00 FF FF FF FF 01 00 00 00 51 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 01 24 00 00 FF FF FF FF 0B 00 00 00 49 53 4F 2D 32 30 32 32 2D 4A 50 00 }
	condition:
		$1
}

rule function_10506_0 {
	meta:
		name = "Decode2022JP"
		size = 416
		refs = "0016 Decode2022JP 0024 @LStrClr 002f @LStrLen 0063 @LStrCopy 0070 @LStrCmp 0102 @LStrFromChar 0120 @LStrCatN 013f @LStrCat 0153 @LStrLAsg 016d @LStrArrayClr 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? C6 45 F7 00 8B C6 E8 ?? ?? ?? ?? 8B F8 BB 01 00 00 00 3B FB 0F 8C 0A 01 00 00 80 7C 1E FF 1B 75 60 43 8D 43 01 3B F8 0F 8C EF 00 00 00 8D 45 F0 50 B9 02 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 45 F7 01 EB 25 8D 45 F0 50 B9 02 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 F7 00 83 C3 02 E9 9B 00 00 00 80 7D F7 00 74 7D 8D 43 01 3B F8 7C 73 8A 44 1E FF 8A 14 1E 88 55 F6 33 D2 8A D0 8B CA 49 D1 E9 88 4D F5 3C 5F 73 06 80 45 F5 71 EB 04 80 45 F5 B1 83 E2 01 83 FA 01 75 12 80 7D F6 60 73 06 80 45 F6 1F EB 0A 80 45 F6 20 EB 04 80 45 F6 7E FF 75 F8 8D 45 F0 8A 55 F5 E8 ?? ?? ?? ?? FF 75 F0 8D 45 EC 8A 55 F6 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 02 EB 1B 43 EB 18 8D 45 F0 8A 54 1E FF E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 43 3B FB 0F 8D F6 FE FF FF 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 02 00 00 00 24 42 00 00 FF FF FF FF 02 00 00 00 28 42 00 00 }
	condition:
		$1
}

rule function_10507_0 {
	meta:
		name = "InitializeMime"
		size = 204
		refs = "0010 GetSystemLocale 0027 InitializeMime 002c @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 C6 03 01 C6 06 42 E8 ?? ?? ?? ?? 2C 01 72 0C 74 18 FE C8 74 22 FE C8 74 2F EB 3B 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 03 02 EB 1D 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 06 51 5F 5E 5B C3 00 00 FF FF FF FF 06 00 00 00 47 42 32 33 31 32 00 00 FF FF FF FF 04 00 00 00 42 69 67 35 00 00 00 00 FF FF FF FF 0B 00 00 00 49 53 4F 2D 32 30 32 32 2D 4A 50 00 FF FF FF FF 06 00 00 00 45 55 43 2D 4B 52 00 00 FF FF FF FF 0A 00 00 00 49 53 4F 2D 38 38 35 39 2D 31 00 00 }
	condition:
		$1
}

rule function_10508_0 {
	meta:
		name = "DecodeAddress"
		size = 77
		refs = "000c DecodeAddress 001d DecodeHeader 0028 @LStrAsg 003d @LStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 10 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10509_0 {
	meta:
		name = "DecodeAddresses"
		size = 107
		refs = "000f @LStrAddRef 0017 DecodeAddresses 0029 TIdEMailAddressList.SetEMailAddresses 0034 TIdEMailAddressList.GetItem 0039 DecodeAddress 0041 TCollection.GetCount 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 0F 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7C E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10510_0 {
	meta:
		name = "EncodeAddressItem"
		size = 432
		refs = "001d @LStrAddRef 0025 EncodeAddressItem 0041 @LStrLen 0082 csSPECIALS 008a EncodeHeader 0099 @LStrLAsg 00cd @LStrCat 00dc @LStrFromChar 0122 Format 0156 @LStrClr 016c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F0 89 5D F8 88 4D FE 88 55 FF 8B F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 10 00 0F 84 EF 00 00 00 C6 45 F7 00 8B 46 10 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 21 BB 01 00 00 00 8B 46 10 8A 44 18 FF 3C 20 72 07 8B 56 10 3C 7F 72 06 C6 45 F7 01 EB 04 43 4F 75 E4 80 7D F7 00 74 1E 8A 45 FE 50 8B 45 0C 50 8D 45 F8 50 8A 4D FF BA ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? EB 6C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 44 BB 01 00 00 00 8B 46 10 80 7C 18 FF 5C 74 0A 8B 46 10 80 7C 18 FF 22 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 56 10 8A 54 1A FF E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 43 4F 75 C1 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F8 89 45 E0 C6 45 E4 0B 8B 46 0C 89 45 E8 C6 45 EC 0B 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8B 45 08 50 8B 46 0C 89 45 D8 C6 45 DC 0B 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 07 00 00 00 25 73 20 3C 25 73 3E 00 FF FF FF FF 02 00 00 00 25 73 00 00 }
	condition:
		$1
}

rule function_10511_0 {
	meta:
		name = "EncodeAddress"
		size = 196
		refs = "001d @LStrAddRef 0025 EncodeAddress 0032 @LStrClr 004e TIdEMailAddressList.GetItem 0059 EncodeAddressItem 0068 @LStrCatN 0070 TCollection.GetCount 0085 @LStrDelete 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FE 88 55 FF 8B F8 8B 75 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 DB EB 33 FF 36 68 ?? ?? ?? ?? 8B 45 0C 50 8D 45 F8 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 4D FE 8A 55 FF E8 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7C C2 8B C6 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 08 00 00 FF FF FF FF 02 00 00 00 2C 20 00 00 }
	condition:
		$1
}

rule function_10512_0 {
	meta:
		name = "Encode2022JP"
		size = 572
		refs = "001d Encode2022JP 002b @LStrClr 0036 @LStrLen 0063 @LStrCat 0071 @LStrFromChar 008c sj1_tbl 00d0 kana_tbl 00f0 vkana_tbl 0152 @LStrCatN 0167 sj2_tbl 01ef @LStrLAsg 0209 @LStrArrayClr 0217 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D EC 89 4D E8 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? C6 45 F3 00 8B C6 E8 ?? ?? ?? ?? 89 45 F4 BF 01 00 00 00 3B 7D F4 0F 8F 8A 01 00 00 8A 5C 3E FF 80 FB 80 73 32 80 7D F3 00 74 11 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F3 00 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 47 E9 46 01 00 00 33 C0 8A C3 8A 98 ?? ?? ?? ?? 8B C3 2C 01 72 0B 74 17 FE C8 74 0B E9 B8 00 00 00 47 E9 25 01 00 00 83 C7 02 E9 1D 01 00 00 80 7D F3 00 75 11 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 8A 44 3E FF 66 8B 04 45 ?? ?? ?? ?? 66 89 45 F0 3B 7D F4 7D 43 8A 04 3E 24 FE 3C DE 75 3A 33 C0 8A 44 3E FF 66 8B 04 45 ?? ?? ?? ?? 8A 14 3E 80 EA DE 74 06 FE CA 74 0E EB 1E 66 85 C0 74 19 66 89 45 F0 47 EB 12 66 3D 50 25 72 0C 66 3D 5C 25 77 06 40 66 89 45 F0 47 FF 75 F8 8D 45 EC 0F B7 55 F0 C1 EA 08 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 66 8B 55 F0 66 81 E2 FF 00 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 EB 73 3B 7D F4 7D 6B 33 C0 8A 04 3E 66 8B 04 45 ?? ?? ?? ?? 66 89 45 F0 66 83 7D F0 00 74 53 80 7D F3 00 75 11 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F3 01 FF 75 F8 8D 45 EC 33 D2 8A D3 0F B7 4D F0 C1 E9 08 03 D1 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 66 8B 55 F0 66 81 E2 FF 00 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C7 02 3B 7D F4 0F 8E 76 FE FF FF 80 7D F3 00 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 1B 28 42 00 FF FF FF FF 03 00 00 00 1B 24 42 00 }
	condition:
		$1
}

rule function_10513_0 {
	meta:
		name = "EncodeWord"
		size = 1016
		refs = "0013 EncodeWord 002a @LStrCat 0055 @LStrLen 0068 @LStrFromChar 0075 AnsiSameText 00cb @LStrLAsg 00e5 IntToHex 00f5 @LStrCat3 012b @LStrCatN 01e3 base64_tbl 03a8 @LStrArrayClr 03ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 FC 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 3B 78 F4 7E 07 8B 45 08 8B 78 F4 47 8B 45 08 8B 58 F0 8B 45 08 33 D2 89 50 F0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F0 83 C6 02 8D 45 F8 8B 55 08 8A 52 EF E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E7 00 00 00 3B FB 0F 8E F5 02 00 00 8B 45 08 8B 40 E8 8A 44 18 FF 8B 55 08 25 FF 00 00 00 0F A3 42 C8 72 14 8D 45 FC 8B 55 08 8B 52 E8 8A 54 1A FF E8 ?? ?? ?? ?? EB 44 8B 45 08 8B 40 E8 80 7C 18 FF 20 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8D 4D F8 8B 45 08 8B 40 E8 0F B6 44 18 FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 03 C6 83 F8 4B 7E 37 8B 45 08 FF 70 FC 8B 45 08 FF 70 C4 68 ?? ?? ?? ?? 8B 45 08 FF 70 F8 8B 45 08 83 C0 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F0 83 C6 02 8B 45 08 83 C0 FC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 45 FC E8 ?? ?? ?? ?? 03 F0 43 3B FB 0F 8F 26 FF FF FF E9 16 02 00 00 3B FB 0F 8E 0E 02 00 00 8D 46 04 83 F8 4B 7E 37 8B 45 08 FF 70 FC 8B 45 08 FF 70 C4 68 ?? ?? ?? ?? 8B 45 08 FF 70 F8 8B 45 08 83 C0 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F0 83 C6 02 8B 45 08 8B 40 E8 0F B6 44 18 FF 8B 55 08 89 42 C0 8B C7 2B C3 48 74 08 48 74 5C E9 E6 00 00 00 8B 45 08 FF 70 FC 8D 45 F8 8B 55 08 8B 52 C0 C1 EA 02 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 8D 45 F4 8B 55 08 8B 52 C0 83 E2 03 C1 E2 04 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 08 83 C0 FC BA 04 00 00 00 E8 ?? ?? ?? ?? E9 4A 01 00 00 8B 45 08 8B 40 E8 0F B6 04 18 8B 55 08 89 42 BC 8B 45 08 FF 70 FC 8D 45 F8 8B 55 08 8B 52 C0 C1 EA 02 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 8D 45 F4 8B 55 08 8B 52 C0 83 E2 03 C1 E2 04 8B 4D 08 8B 49 BC C1 E9 04 03 D1 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8D 45 F0 8B 55 08 8B 52 BC 83 E2 0F C1 E2 02 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 08 83 C0 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 45 08 8B 40 E8 0F B6 04 18 8B 55 08 89 42 BC 8B 45 08 8B 40 E8 0F B6 44 18 01 8B 55 08 89 42 B8 8B 45 08 FF 70 FC 8D 45 F8 8B 55 08 8B 52 C0 C1 EA 02 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 8D 45 F4 8B 55 08 8B 52 C0 83 E2 03 C1 E2 04 8B 4D 08 8B 49 BC C1 E9 04 03 D1 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8D 45 F0 8B 55 08 8B 52 BC 83 E2 0F C1 E2 02 8B 4D 08 8B 49 B8 C1 E9 06 03 D1 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 8D 45 EC 8B 55 08 8B 52 B8 83 E2 3F 8A 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 8B 45 08 83 C0 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 83 C6 04 83 C3 03 3B FB 0F 8F F2 FD FF FF 8B 45 08 83 C0 FC 8B 55 08 8B 52 C4 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 51 00 00 00 FF FF FF FF 01 00 00 00 5F 00 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 FF FF FF FF 03 00 00 00 0D 0A 09 00 FF FF FF FF 02 00 00 00 3D 3D 00 00 }
	condition:
		$1
}

rule function_10514_0 {
	meta:
		name = "EncodeHeader"
		size = 720
		refs = "0037 @LStrAddRef 003f EncodeHeader 0056 Encode2022JP 0062 @LStrLAsg 0084 @SetUnion 00e7 @LStrFromChar 00ff @LStrCatN 0114 @LStrLen 0124 @LStrClr 014f SPACES 01ac @LStrCopy 01ba @LStrCat 01d0 EncodeWord 024c @LStrArrayClr 025a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 57 33 DB 89 9D 50 FF FF FF 89 5D E8 89 5D FC 89 5D F8 89 5D C4 8B F2 8D 7D 94 51 B9 08 00 00 00 F3 A5 59 88 4D EF 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 10 2C 02 75 0C 8D 55 E8 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 45 E8 8B D3 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D BD 54 FF FF FF B9 08 00 00 00 F3 A5 8D 85 54 FF FF FF 8D 55 94 B1 20 E8 ?? ?? ?? ?? 8D B5 54 FF FF FF 8D BD 74 FF FF FF B9 08 00 00 00 F3 A5 8D B5 74 FF FF FF 8D BD 54 FF FF FF B9 08 00 00 00 F3 A5 8D 85 54 FF FF FF BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8D B5 54 FF FF FF 8D 7D C8 B9 08 00 00 00 F3 A5 68 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? 8D 85 50 FF FF FF 8A 55 EF E8 ?? ?? ?? ?? FF B5 50 FF FF FF 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F4 BB 01 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 3B 5D F4 0F 8F CB 00 00 00 8B F3 EB 01 43 3B 5D F4 7F 15 8B 45 E8 8A 44 18 FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 72 E5 89 5D B4 33 C0 EB 19 8B 55 E8 8A 54 1A FF 81 E2 FF 00 00 00 0F A3 95 74 FF FF FF 73 02 B0 01 43 3B 5D F4 7F 16 8B 55 E8 8A 54 1A FF 81 E2 FF 00 00 00 0F A3 15 ?? ?? ?? ?? 73 CC 84 C0 74 32 83 7D F0 00 75 5E 8D 85 50 FF FF FF 50 8B 4D B4 2B CE 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 B4 89 45 F0 EB 32 83 7D F0 00 74 09 55 8B C6 E8 ?? ?? ?? ?? 59 8D 85 50 FF FF FF 50 8B CB 2B CE 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 3B 5D F4 0F 8E 35 FF FF FF 83 7D F0 00 74 09 55 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 FF FF FF FF 00 00 00 00 00 00 00 00 00 00 00 80 FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF 00 00 00 00 00 00 00 A0 00 00 00 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF FF FF FF 02 00 00 00 3D 3F 00 00 FF FF FF FF 01 00 00 00 3F 00 00 00 FF FF FF FF 02 00 00 00 3F 3D 00 00 }
	condition:
		$1
}

rule function_10517_0 {
	meta:
		name = "FoldWrapText"
		size = 548
		refs = "0024 FoldWrapText 004f @LStrLen 0065 @LStrClr 007a LeadBytes 00ab @LStrCopy 00b6 AnsiSameText 014b @LStrCat 017b @SetUnion 01f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D C0 8B F1 8D 7D C6 B9 08 00 00 00 F3 A5 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 BE 01 00 00 00 C7 45 F0 01 00 00 00 33 FF C6 45 E7 20 C6 45 E6 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 08 E8 ?? ?? ?? ?? 3B 75 EC 0F 8F 49 01 00 00 8B 45 FC 8A 5C 30 FF A1 ?? ?? ?? ?? 8B D3 81 E2 FF 00 00 00 0F A3 10 73 06 46 FF 45 F4 EB 6D 8B 45 F8 3A 18 75 35 80 7D E7 20 75 60 8D 45 C0 50 8B 4D E8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 88 45 E6 80 7D E6 00 74 3B 8B 45 E8 48 03 F0 8B FE EB 31 8B C3 25 FF 00 00 00 0F A3 45 C6 73 0A 80 7D E7 20 75 1E 8B FE EB 1A 8B C3 2C 22 75 14 3A 5D E7 75 06 C6 45 E7 20 EB 09 80 7D E7 20 75 03 88 5D E7 46 FF 45 F4 8A 45 E7 2C 22 0F 84 A5 00 00 00 80 7D E6 00 75 15 8B 45 F4 3B 45 0C 0F 8E 93 00 00 00 3B 7D F0 0F 8E 8A 00 00 00 8B C6 2B C7 89 45 F4 8D 45 C0 50 8B CF 2B 4D F0 41 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 80 EB 22 74 3A EB 01 46 3B 75 EC 7F 32 56 57 8D 75 C6 8D 7D A0 B9 08 00 00 00 F3 A5 5F 5E 8D 45 A0 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8B 45 FC 8A 44 30 FF 25 FF 00 00 00 0F A3 45 A0 72 C8 80 7D E6 00 75 13 3B 75 EC 7D 0E 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 47 89 7D F0 C6 45 E6 00 3B 75 EC 0F 8E B7 FE FF FF 8D 45 C0 50 B9 FF FF FF 7F 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10518_0 {
	meta:
		name = "TIdHeaderList.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TObject.Create 001f TIdHeaderList.Create 0024 @LStrAsg 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 30 00 C6 46 31 01 C6 46 32 01 C7 46 34 4E 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 FF FF FF FF 02 00 00 00 3A 20 00 00 }
	condition:
		$1
}

rule function_10519_0 {
	meta:
		name = "TIdHeaderList.DeleteFoldedLines"
		size = 156
		refs = "0012 TIdHeaderList.DeleteFoldedLines 0043 @LStrLen 0089 @LStrArrayClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 46 EB 09 8B D6 8B C3 8B 08 FF 51 44 8B C3 8B 10 FF 52 14 3B F0 7D 40 8D 4D FC 8B D6 8B C3 8B 38 FF 57 0C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 14 8D 4D FC 8B D6 8B C3 8B 38 FF 57 0C 8B 45 FC 80 38 20 74 C0 8D 4D F8 8B D6 8B C3 8B 38 FF 57 0C 8B 45 F8 80 38 09 74 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10520_0 {
	meta:
		name = "TIdHeaderList.Extract"
		size = 151
		refs = "001a TIdHeaderList.Extract 0045 TIdHeaderList.GetNameFromLine 0050 AnsiSameText 0061 TIdHeaderList.GetValueFromLine 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 74 4A 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3B 46 33 DB 8D 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 34 43 4E 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10521_0 {
	meta:
		name = "TIdHeaderList.FoldAndInsert"
		size = 219
		refs = "001a @LStrAddRef 0022 TIdHeaderList.FoldAndInsert 0032 TIdHeaderList.FoldLine 00a3 FreeAndNil 00a9 @HandleFinally 00c0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 8B D8 4B 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 4D F0 8B 55 F8 8B C6 8B 38 FF 57 20 4B 83 FB FF 7E 20 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 4D F0 8B 55 F8 8B C6 8B 38 FF 57 54 4B 83 FB FF 7F E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10522_0 {
	meta:
		name = "TIdHeaderList.FoldLine"
		size = 272
		refs = "0014 @LStrAddRef 001c TIdHeaderList.FoldLine 0029 _Dn_TStringList 002e TObject.Create 0059 FoldWrapText 006e Fetch 0079 TrimRight 009d @HandleFinally 00b9 @LStrArrayClr 00c1 @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 34 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 29 8D 45 EC 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 34 83 7D F4 00 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5B 8B E5 5D C3 00 00 00 00 02 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF FF FF FF 03 00 00 00 0D 0A 20 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10523_0 {
	meta:
		name = "TIdHeaderList.GetName"
		size = 73
		refs = "0016 IndyPos 002d @LStrSetLength 0041 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 8B 38 FF 57 0C 8B 3D ?? ?? ?? ?? 8B 3F 8B 13 8B 46 2C FF D7 85 C0 74 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 13 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10524_0 {
	meta:
		name = "TIdHeaderList.GetNameFromLine"
		size = 153
		refs = "0019 TIdHeaderList.GetNameFromLine 003b UpperCase 0045 @LStrLAsg 0050 TrimRight 0059 IndyPos 0071 @LStrCopy 0086 @LStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 8B 38 FF 57 0C 80 7E 30 00 75 14 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 2C E8 ?? ?? ?? ?? 8B 45 F8 8B 35 ?? ?? ?? ?? 8B 36 8B 13 FF D6 8B F0 53 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10525_0 {
	meta:
		name = "TIdHeaderList.GetValue"
		size = 33
		refs = "000e TIdHeaderList.IndexOfName 0019 TIdHeaderList.GetValueFromLine"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10526_0 {
	meta:
		name = "TIdHeaderList.GetValueFromLine"
		size = 372
		refs = "0019 TIdHeaderList.GetValueFromLine 0034 TIdHeaderList.GetNameFromLine 004e @LStrLen 005e @LStrCopy 009b TrimLeft 00a5 @LStrCat 00d5 @LStrCatN 0126 @LStrClr 013a @LStrLAsg 0154 @LStrArrayClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 8C F8 00 00 00 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 56 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 FF FF FF 7F 58 E8 ?? ?? ?? ?? 8B 45 FC 80 78 31 00 0F 84 BB 00 00 00 43 EB 68 8B 06 E8 ?? ?? ?? ?? 8B 16 8A 44 02 FF 2C 09 74 04 2C 17 75 24 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 2E FF 36 68 ?? ?? ?? ?? 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 14 3B D8 7D 44 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 2B 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 8A 00 2C 09 0F 84 59 FF FF FF 2C 17 0F 84 51 FF FF FF EB 07 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10527_0 {
	meta:
		name = "TIdHeaderList.IndexOfName"
		size = 122
		refs = "0017 TIdHeaderList.IndexOfName 003a TIdHeaderList.GetNameFromLine 0045 AnsiSameText 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 07 46 4B 75 E1 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10528_0 {
	meta:
		name = "TIdHeaderList.SetValue"
		size = 214
		refs = "0019 TIdHeaderList.SetValue 0028 TIdHeaderList.IndexOfName 004e TIdHeaderList.DeleteFoldedLines 0062 @LStrCatN 006e TIdHeaderList.FoldAndInsert 00c3 @LStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7D FC 00 74 62 85 F6 7D 0B 33 D2 8B C3 8B 08 FF 51 34 8B F0 80 7B 32 00 74 2B 8B D6 8B C3 E8 ?? ?? ?? ?? 57 FF 73 2C FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? EB 3E 57 FF 73 2C FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B C3 8B 18 FF 53 20 EB 1C 85 F6 7C 18 80 7B 32 00 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10531_0 {
	meta:
		name = "_NF__3B"
		size = 144
	strings:
		$1 = { FF FF FF FF 05 00 00 00 48 4E 41 4D 45 00 00 00 FF FF FF FF 05 00 00 00 48 41 44 44 52 00 00 00 FF FF FF FF 03 00 00 00 41 4C 4C 00 FF FF FF FF 04 00 00 00 48 45 4C 50 00 00 00 00 FF FF FF FF 07 00 00 00 56 45 52 53 49 4F 4E 00 FF FF FF FF 07 00 00 00 41 4C 4C 2D 4F 4C 44 00 FF FF FF FF 07 00 00 00 44 4F 4D 41 49 4E 53 00 FF FF FF FF 07 00 00 00 41 4C 4C 2D 44 4F 4D 00 FF FF FF FF 0A 00 00 00 41 4C 4C 2D 49 4E 47 57 41 59 00 00 }
	condition:
		$1
}

rule function_10532_0 {
	meta:
		name = "TIdHostNameServer.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 65 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10533_0 {
	meta:
		name = "TIdHostNameServer.DoExecute"
		size = 524
		refs = "0014 TIdHostNameServer.DoExecute 0049 Fetch 0054 UpperCase 0069 KnownCommands 0073 PosInStrArray 01e8 @LStrArrayClr 01ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 E9 93 01 00 00 8D 45 F8 50 B9 FE FF FF FF 33 D2 8B 43 3C 8B 38 FF 57 74 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 6A 01 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 40 83 F8 09 0F 87 39 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 BE 9A 00 00 00 00 0F 84 FC 00 00 00 8B 4D F8 8B D3 8B 86 9C 00 00 00 FF 96 98 00 00 00 E9 E6 00 00 00 66 83 BE A2 00 00 00 00 0F 84 D8 00 00 00 8B 4D F8 8B D3 8B 86 A4 00 00 00 FF 96 A0 00 00 00 E9 C2 00 00 00 66 83 BE AA 00 00 00 00 0F 84 B4 00 00 00 8B D3 8B 86 AC 00 00 00 FF 96 A8 00 00 00 E9 A1 00 00 00 66 83 BE B2 00 00 00 00 0F 84 93 00 00 00 8B D3 8B 86 B4 00 00 00 FF 96 B0 00 00 00 E9 80 00 00 00 66 83 BE BA 00 00 00 00 74 76 8B D3 8B 86 BC 00 00 00 FF 96 B8 00 00 00 EB 66 66 83 BE C2 00 00 00 00 74 5C 8B D3 8B 86 C4 00 00 00 FF 96 C0 00 00 00 EB 4C 66 83 BE CA 00 00 00 00 74 42 8B D3 8B 86 CC 00 00 00 FF 96 C8 00 00 00 EB 32 66 83 BE D2 00 00 00 00 74 28 8B D3 8B 86 D4 00 00 00 FF 96 D0 00 00 00 EB 18 66 83 BE DA 00 00 00 00 74 0E 8B D3 8B 86 DC 00 00 00 FF 96 D8 00 00 00 8B 43 3C 8B 10 FF 52 54 84 C0 0F 85 5D FE FF FF 8B 43 3C 8B 10 FF 52 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10534_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a KnownCommands 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13699_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_5 001a Stable 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10536_0 {
	meta:
		name = "_NF__AD"
		size = 24
	strings:
		$1 = { FF FF FF FF 03 00 00 00 31 2E 30 00 FF FF FF FF 03 00 00 00 31 2E 31 00 }
	condition:
		$1
}

rule function_10537_0 {
	meta:
		name = "TIdHeaderInfo.AssignTo"
		size = 360
		refs = "000a _DV_TIdHeaderInfo 000f @IsClass 0024 @AsClass 0031 @LStrAsg 0161 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 41 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 04 8B 53 04 E8 ?? ?? ?? ?? 8D 46 08 8B 53 08 E8 ?? ?? ?? ?? 8D 46 0C 8B 53 0C E8 ?? ?? ?? ?? 8D 46 10 8B 53 10 E8 ?? ?? ?? ?? 8D 46 1C 8B 53 1C E8 ?? ?? ?? ?? 8D 46 20 8B 53 20 E8 ?? ?? ?? ?? 8B 43 24 89 46 24 8B 43 28 89 46 28 8B 43 2C 89 46 2C 8D 46 30 8B 53 30 E8 ?? ?? ?? ?? 8D 46 34 8B 53 34 E8 ?? ?? ?? ?? 8B 43 38 89 46 38 8B 43 3C 89 46 3C 8B 43 40 89 46 40 8B 43 44 89 46 44 8B 53 48 8B 46 48 8B 08 FF 51 08 8D 46 4C 8B 53 4C E8 ?? ?? ?? ?? 8B 43 50 89 46 50 8B 43 54 89 46 54 8D 46 58 8B 53 58 E8 ?? ?? ?? ?? 8D 46 5C 8B 53 5C E8 ?? ?? ?? ?? 8D 46 64 8B 53 64 E8 ?? ?? ?? ?? 8B 43 68 89 46 68 8D 46 6C 8B 53 6C E8 ?? ?? ?? ?? 8D 46 70 8B 53 70 E8 ?? ?? ?? ?? 8D 46 74 8B 53 74 E8 ?? ?? ?? ?? 8D 46 78 8B 53 78 E8 ?? ?? ?? ?? 8D 46 7C 8B 53 7C E8 ?? ?? ?? ?? 8D 86 80 00 00 00 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8D 86 84 00 00 00 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 8D 46 60 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10538_0 {
	meta:
		name = "TIdHeaderInfo.Clear"
		size = 264
		refs = "0007 TIdHeaderInfo.Clear 000c @LStrAsg 0014 @LStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 8D 43 78 E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 8D 43 34 E8 ?? ?? ?? ?? 8D 83 84 00 00 00 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? 8D 43 20 E8 ?? ?? ?? ?? 8D 43 30 E8 ?? ?? ?? ?? 33 C0 89 43 24 33 C0 89 43 2C 33 C0 89 43 28 33 C0 89 43 38 89 43 3C 33 C0 89 43 50 89 43 54 8D 43 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 40 89 43 44 8D 43 6C E8 ?? ?? ?? ?? 8D 43 70 E8 ?? ?? ?? ?? 8D 43 64 E8 ?? ?? ?? ?? 33 C0 89 43 68 8D 43 60 E8 ?? ?? ?? ?? 8B 43 48 8B 10 FF 52 40 5B C3 00 00 FF FF FF FF 0E 00 00 00 74 65 78 74 2F 68 74 6D 6C 2C 20 2A 2F 2A 00 00 FF FF FF FF 26 00 00 00 4D 6F 7A 69 6C 6C 61 2F 33 2E 30 20 28 63 6F 6D 70 61 74 69 62 6C 65 3B 20 49 6E 64 79 20 4C 69 62 72 61 72 79 29 00 00 }
	condition:
		$1
}

rule function_10539_0 {
	meta:
		name = "TIdHeaderInfo.Create"
		size = 82
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TIdHeaderList 0029 TIdHeaderList.Create 0033 TIdHeaderInfo.Clear 003e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 48 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10540_0 {
	meta:
		name = "TIdHeaderInfo.GetHeaders"
		size = 1136
		refs = "0019 TIdHeaderInfo.GetHeaders 0036 TIdHeaderList.GetValue 0041 @LStrAsg 004f TIdHeaderList.SetValue 0183 StrToIntDef 01ca Fetch 01e5 StrToInt 021d GMTToLocalDateTime 02f5 @LStrClr 0303 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 48 8B 10 FF 52 40 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 58 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 78 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 18 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 34 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 86 84 00 00 00 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 1C E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 20 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 30 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 89 46 24 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 4F 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 46 2C 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 46 28 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DD 5E 38 9B 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DD 5E 50 9B 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DD 5E 40 9B 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 60 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 48 85 C0 7C 2B 40 89 45 F4 C7 45 FC 00 00 00 00 8D 4D F0 8B 55 FC 8B C3 8B 38 FF 57 0C 8B 55 F0 8B 46 48 8B 08 FF 51 34 FF 45 FC FF 4D F4 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 08 00 00 00 4C 6F 63 61 74 69 6F 6E 00 00 00 00 FF FF FF FF 06 00 00 00 53 65 72 76 65 72 00 00 FF FF FF FF 0A 00 00 00 43 6F 6E 6E 65 63 74 69 6F 6E 00 00 FF FF FF FF 0F 00 00 00 43 6F 6E 74 65 6E 74 2D 56 65 72 73 69 6F 6E 00 FF FF FF FF 0F 00 00 00 57 57 57 41 75 74 68 65 6E 74 69 63 61 74 65 00 FF FF FF FF 10 00 00 00 43 6F 6E 74 65 6E 74 2D 45 6E 63 6F 64 69 6E 67 00 00 00 00 FF FF FF FF 10 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 61 6E 67 75 61 67 65 00 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 00 00 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 00 00 FF FF FF FF 0D 00 00 00 43 6F 6E 74 65 6E 74 2D 52 61 6E 67 65 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 FF FF FF FF 0D 00 00 00 4C 61 73 74 2D 4D 6F 64 69 66 69 65 64 00 00 00 FF FF FF FF 07 00 00 00 45 78 70 69 72 65 73 00 FF FF FF FF 12 00 00 00 50 72 6F 78 79 2D 41 75 74 68 65 6E 74 69 63 61 74 65 00 00 }
	condition:
		$1
}

rule function_10541_0 {
	meta:
		name = "TIdHeaderInfo.SetHeaders"
		size = 1252
		refs = "0014 TIdHeaderInfo.SetHeaders 0037 @LStrCat3 01b2 IntToStr 0219 @LStrCatN 0286 Base64Encode 02a8 @LStrLen 0319 @LStrArrayClr 031f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 10 FF 52 40 83 7B 04 00 74 1A 8D 45 FC 8B 4B 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 08 00 74 1A 8D 45 FC 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 0C 00 74 1A 8D 45 FC 8B 4B 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 10 00 74 1A 8D 45 FC 8B 4B 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 4C 00 74 1A 8D 45 FC 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 74 00 74 1A 8D 45 FC 8B 4B 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 7C 00 74 1A 8D 45 FC 8B 4B 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 18 00 74 1A 8D 45 FC 8B 4B 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 34 00 74 1A 8D 45 FC 8B 4B 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 1C 00 74 1A 8D 45 FC 8B 4B 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 20 00 74 1A 8D 45 FC 8B 4B 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 7B 30 00 74 1A 8D 45 FC 8B 4B 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 8B 7B 24 85 FF 74 24 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 8B 7B 2C 85 FF 75 06 83 7B 28 00 74 7E 83 7B 28 00 74 46 68 ?? ?? ?? ?? 8B C7 33 D2 52 50 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 43 28 33 D2 52 50 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 EB 32 68 ?? ?? ?? ?? 8B C7 33 D2 52 50 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 83 BB 80 00 00 00 00 74 40 FF B3 80 00 00 00 68 ?? ?? ?? ?? FF 73 5C 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 8B 43 6C E8 ?? ?? ?? ?? 85 C0 7E 49 8B 43 70 E8 ?? ?? ?? ?? 85 C0 7E 3D FF 73 70 68 ?? ?? ?? ?? FF 73 64 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 8B 08 FF 51 34 8B 06 8B 53 48 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 08 00 00 00 41 63 63 65 70 74 3A 20 00 00 00 00 FF FF FF FF 10 00 00 00 41 63 63 65 70 74 2D 43 68 61 72 73 65 74 3A 20 00 00 00 00 FF FF FF FF 11 00 00 00 41 63 63 65 70 74 2D 45 6E 63 6F 64 69 6E 67 3A 20 00 00 00 FF FF FF FF 11 00 00 00 41 63 63 65 70 74 2D 4C 61 6E 67 75 61 67 65 3A 20 00 00 00 FF FF FF FF 06 00 00 00 46 72 6F 6D 3A 20 00 00 FF FF FF FF 09 00 00 00 52 65 66 65 72 65 72 3A 20 00 00 00 FF FF FF FF 0C 00 00 00 55 73 65 72 2D 41 67 65 6E 74 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 6E 65 63 74 69 6F 6E 3A 20 00 00 00 00 FF FF FF FF 11 00 00 00 43 6F 6E 74 65 6E 74 2D 56 65 72 73 69 6F 6E 3A 20 00 00 00 FF FF FF FF 12 00 00 00 43 6F 6E 74 65 6E 74 2D 45 6E 63 6F 64 69 6E 67 3A 20 00 00 FF FF FF FF 12 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 61 6E 67 75 61 67 65 3A 20 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 00 00 FF FF FF FF 10 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 00 00 00 00 FF FF FF FF 0D 00 00 00 52 61 6E 67 65 3A 20 62 79 74 65 73 3D 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 15 00 00 00 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 3A 20 42 61 73 69 63 20 00 00 00 FF FF FF FF 1B 00 00 00 50 72 6F 78 79 2D 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 3A 20 42 61 73 69 63 20 00 }
	condition:
		$1
}

rule function_10542_0 {
	meta:
		name = "TIdHeaderInfo.SetExtraHeaders"
		size = 13
		altNames = "TIdMessage.SetExtraHeaders"
	strings:
		$1 = { 56 8B F0 8B 46 48 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10543_0 {
	meta:
		name = "TIdHeaderInfo.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 48 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10544_0 {
	meta:
		name = "TIdHTTP.Create"
		size = 145
		refs = "000a @ClassCreate 0017 TIdTCPClient.Create 003b _DV_TIdHeaderInfo 0040 TIdHeaderInfo.Create 0061 _Dn_TIdHeaderList 0066 TIdHeaderList.Create 007e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 A8 00 00 00 50 00 00 00 C7 86 C0 00 00 00 0F 00 00 00 C6 86 D4 00 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 00 00 00 C6 86 B8 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10545_0 {
	meta:
		name = "TIdHTTP.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0034 TIdTCPClient.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10546_0 {
	meta:
		name = "TIdHTTP.Get"
		size = 87
		refs = "0011 @LStrAddRef 0019 TIdHTTP.Get 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 8B 4D FC B2 01 8B C3 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10547_0 {
	meta:
		name = "TIdHTTP.Head"
		size = 84
		refs = "000e @LStrAddRef 0016 TIdHTTP.Head 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 4D FC 33 D2 8B C3 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10548_0 {
	meta:
		name = "TIdHTTP.Post"
		size = 130
		refs = "0012 @LStrAddRef 001a TIdHTTP.Post 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 54 84 C0 74 07 8B C6 8B 10 FF 52 58 8A 9E B8 00 00 00 C6 86 B8 00 00 00 00 57 8B 45 08 50 8B 4D FC B2 02 8B C6 8B 38 FF 97 A0 00 00 00 88 9E B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10549_0 {
	meta:
		name = "TIdHTTP.RetrieveHeaders"
		size = 149
		refs = "000d TIdHTTP.RetrieveHeaders 005a @LStrLen 006f TIdHeaderInfo.GetHeaders 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B4 00 00 00 8B 10 FF 52 40 8D 45 FC 50 B9 FE FF FF FF 33 D2 8B C3 8B 30 FF 56 74 EB 20 8B 55 FC 8B 83 B4 00 00 00 8B 08 FF 51 34 8D 45 FC 50 B9 FE FF FF FF 33 D2 8B C3 8B 30 FF 56 74 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F D4 8B 93 B4 00 00 00 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10550_0 {
	meta:
		name = "TIdHTTP.DoOnRedirect"
		size = 59
	strings:
		$1 = { 53 83 C4 F8 89 0C 24 8A 88 D4 00 00 00 88 4C 24 04 66 83 B8 E6 00 00 00 00 74 18 54 8D 4C 24 08 51 8B CA 8B D8 8B D0 8B 83 E8 00 00 00 FF 93 E4 00 00 00 8A 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_10551_0 {
	meta:
		name = "SetHostAndPort"
		size = 784
		refs = "001a @LStrAddRef 0030 SetHostAndPort 0046 @LStrLen 0065 @LStrAsg 00ef ProtocolVersionString 0105 _Dn_TIdSSLConnectionIntercept 010a @IsClass 011a TIdHTTP.DoProxyConnectMethod 013a AnsiSameText 015e RSInterceptPropInvalid 0163 LoadResString 016d _Dn_EIdInterceptPropInvalid 0172 Exception.Create 0177 @RaiseExcept 0226 TIdTCPConnection.SetInterceptEnabled 02eb @LStrArrayClr 02f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 80 C4 00 00 00 8B 40 6C E8 ?? ?? ?? ?? 85 C0 0F 8E DD 00 00 00 8B 07 05 9C 00 00 00 8B 17 8B 92 C4 00 00 00 8B 52 6C E8 ?? ?? ?? ?? 8B 07 8B 80 C4 00 00 00 8B 40 68 8B 17 89 82 A8 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 07 05 EC 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 07 05 F0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 07 05 D8 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 83 FE FF 75 0E 8B 07 C7 80 DC 00 00 00 BB 01 00 00 EB 08 8B 07 89 B0 DC 00 00 00 8B 07 05 E0 00 00 00 8B 17 0F B6 92 B8 00 00 00 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B 58 70 85 DB 74 27 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 07 89 43 2C C7 43 28 ?? ?? ?? ?? EB 08 33 C0 89 43 28 89 43 2C B3 01 E9 A6 01 00 00 33 DB BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 E9 00 00 00 8B 07 8B 40 70 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 6B 8B 07 8B 80 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 07 3B B0 A8 00 00 00 74 12 8B 07 8B 10 FF 52 54 84 C0 74 07 8B 07 8B 10 FF 52 58 8B 07 05 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 07 05 EC 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 25 8B 07 05 F0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? EB 14 8B 07 05 EC 00 00 00 8B 17 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 83 FE FF 75 0E 8B 07 C7 80 A8 00 00 00 BB 01 00 00 EB 08 8B 07 89 B0 A8 00 00 00 8B 07 B2 01 E8 ?? ?? ?? ?? E9 A6 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 6B 8B 07 8B 80 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 07 3B B0 A8 00 00 00 74 12 8B 07 8B 10 FF 52 54 84 C0 74 07 8B 07 8B 10 FF 52 58 8B 07 05 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 07 05 EC 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 25 8B 07 05 F0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? EB 14 8B 07 05 EC 00 00 00 8B 17 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 83 FE FF 75 0E 8B 07 C7 80 A8 00 00 00 50 00 00 00 EB 08 8B 07 89 B0 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 48 54 54 50 53 00 00 00 }
	condition:
		$1
}

rule function_10552_0 {
	meta:
		name = "ChunkSize"
		size = 180
		refs = "000c ChunkSize 0038 AnsiPos 0052 @LStrCopy 0062 @LStrCat3 006c StrToIntDef 0088 @LStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 8B 40 08 8B 40 FC B9 FE FF FF FF 33 D2 8B 18 FF 53 74 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 14 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_10553_0 {
	meta:
		name = "ReadResult"
		size = 356
		refs = "0010 ReadResult 004e TIdTCPConnection.ReadStream 0066 TIdHeaderList.GetValue 0073 AnsiPos 0085 RSHTTPChunkStarted 008a LoadResString 00a4 TIdComponent.DoStatus 00aa ChunkSize 0127 @LStrClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 08 00 0F 84 EF 00 00 00 8B 45 08 8B 40 FC 8B 98 C8 00 00 00 8B 43 24 85 C0 74 1D 6A 00 8B 55 08 8B C8 8B 45 08 8B 50 08 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 BF 00 00 00 8D 4D FC 8B 45 08 8B 43 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 81 00 00 00 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 0B 8D 4D F4 8B 45 08 8B 40 FC B2 05 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 85 C0 7E 35 6A 00 8B 55 08 8B 52 08 8B 4D 08 8B 49 FC 91 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 08 8B 40 FC B9 FE FF FF FF 33 D2 8B 18 FF 53 74 55 E8 ?? ?? ?? ?? 59 85 C0 7F CB 8D 45 FC 50 8B 45 08 8B 40 FC B9 FE FF FF FF 33 D2 8B 18 FF 53 74 EB 16 6A 01 8B 45 08 8B 50 08 8B 45 08 8B 40 FC 83 C9 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 FF FF FF FF 11 00 00 00 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 00 00 00 FF FF FF FF 07 00 00 00 63 68 75 6E 6B 65 64 00 }
	condition:
		$1
}

rule function_10554_0 {
	meta:
		name = "TIdHTTP.DoRequest"
		size = 1684
		refs = "0023 @LStrAddRef 002b TIdHTTP.DoRequest 0058 ParseURI 0066 @LStrCat3 0072 StrToIntDef 007f SetHostAndPort 008c @LStrLen 00d8 @LStrCatN 0138 _Dn_TStrings 013d @IsClass 016b _Dn_TStream 017c TStream.GetSize 0192 RSObjectTypeNotSupported 0197 LoadResString 01a1 _Dn_EIdObjectTypeNotSupported 01a6 Exception.Create 01ab @RaiseExcept 01d2 TIdHeaderInfo.SetHeaders 0202 ProtocolVersionString 0324 TIdTCPConnection.WriteStrings 0390 @LStrAsg 03ac @LStrCopy 03b9 AnsiSameText 03d3 Fetch 03f3 StrToInt 0412 TIdHTTP.RetrieveHeaders 0445 ReadResult 045a @LStrLAsg 048a TStream.SetPosition 0514 _Dn_EIdProtocolReplyError 0519 EIdProtocolReplyError.CreateError 05a5 Trim 05fb @LStrArrayClr 0601 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF 80 BC 00 00 00 8D 45 E4 50 8D 45 EC 50 8D 45 DC 50 8D 45 D8 50 8D 4D E8 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 8B 4D EC 8B 55 E4 E8 ?? ?? ?? ?? 55 83 CA FF 8B 45 DC E8 ?? ?? ?? ?? 8B C8 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 59 84 C0 74 74 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 10 8D 45 F4 8B 4D F4 8B 55 E8 E8 ?? ?? ?? ?? EB 14 8B 45 FC 8B 90 EC 00 00 00 8D 45 F4 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 7E 1A FF 75 E0 68 ?? ?? ?? ?? FF 75 F4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1E 8B 45 FC FF B0 F0 00 00 00 68 ?? ?? ?? ?? FF 75 F4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 FC 8B 18 FF 53 48 8B 45 FC 8B 10 FF 52 54 84 C0 75 0B 8B 45 FC 8B 10 FF 92 94 00 00 00 8B 45 FC 8B 80 B4 00 00 00 8B 10 FF 52 40 80 7D FB 02 75 7E 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 D4 8B 45 0C 8B 08 FF 51 1C 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 C4 00 00 00 89 42 24 EB 59 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 92 C4 00 00 00 89 42 24 EB 31 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 80 C4 00 00 00 33 D2 89 50 24 8B 45 FC 8D 90 B4 00 00 00 8B 45 FC 8B 80 C4 00 00 00 E8 ?? ?? ?? ?? 8A 45 FB 2C 01 72 0B 74 44 FE C8 74 7B E9 AF 00 00 00 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC 0F B6 80 B8 00 00 00 FF 34 85 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 91 84 00 00 00 EB 74 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC 0F B6 80 B8 00 00 00 FF 34 85 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 91 84 00 00 00 EB 39 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC 0F B6 80 B8 00 00 00 FF 34 85 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 88 EC 00 00 00 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 B4 00 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 28 43 33 F6 8D 4D D4 8B 45 FC 8B 80 B4 00 00 00 8B D6 8B 38 FF 57 0C 8B 55 D4 8B 45 FC 8B 08 FF 91 84 00 00 00 46 4B 75 DB 33 D2 8B 45 FC 8B 08 FF 91 84 00 00 00 80 7D FB 02 75 66 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? EB 47 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 6A 00 B1 01 8B 55 0C 8B 45 FC 8B 18 FF 93 88 00 00 00 EB 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 18 FF 53 74 8B 55 D4 8B 45 FC 05 D0 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC 8B 80 D0 00 00 00 B9 03 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 D4 50 8B 45 FC 05 D0 00 00 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC 05 D0 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 CC 00 00 00 8B C6 B9 64 00 00 00 99 F7 F9 8B F0 8B 45 FC E8 ?? ?? ?? ?? 83 FE 03 75 0F 8B 45 FC 81 B8 CC 00 00 00 30 01 00 00 75 19 8B 45 FC 8B 80 C8 00 00 00 8B 40 58 E8 ?? ?? ?? ?? 85 C0 0F 8E F7 00 00 00 55 E8 ?? ?? ?? ?? 59 8D 45 F0 8B 55 FC 8B 92 C8 00 00 00 8B 52 58 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D4 00 00 00 00 74 79 8B 45 FC 8B 80 BC 00 00 00 8B 55 FC 3B 82 C0 00 00 00 7D 65 83 7D 08 00 74 0A 33 D2 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 BC 00 00 00 8D 55 F0 8B 45 FC 8B 30 FF 96 9C 00 00 00 84 C0 0F 84 CE 00 00 00 8B 45 FC 80 B8 B8 00 00 00 00 74 04 84 DB 74 08 8B 45 FC 8B 10 FF 52 58 8B 45 0C 50 8B 45 08 50 8B 4D F0 8A 55 FB 8B 45 FC 8B 30 FF 96 A0 00 00 00 E9 98 00 00 00 8B 45 FC 8B 88 BC 00 00 00 8D 55 F0 8B 45 FC 8B 30 FF 96 9C 00 00 00 84 C0 75 26 8B 45 FC 8B 80 D0 00 00 00 50 8B 45 FC 8B 88 CC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 57 8B 45 FC 8B 80 C8 00 00 00 83 C0 58 8B 55 F0 E8 ?? ?? ?? ?? EB 41 55 E8 ?? ?? ?? ?? 59 83 FE 02 74 35 8B 45 FC 80 78 74 00 74 08 8B 45 FC 8B 10 FF 52 58 8B 45 FC 8B 80 D0 00 00 00 50 8B 45 FC 8B 88 CC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 00 00 00 00 74 04 84 DB 74 0A 8B 45 FC 8B 10 FF 52 58 EB 45 8D 55 D4 8B 45 FC 8B 80 C8 00 00 00 8B 40 18 E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 10 FF 52 54 84 C0 74 0A 8B 45 FC 8B 10 FF 52 58 EB 0A 33 D2 8B 45 FC 8B 08 FF 51 4C 8B 45 FC 33 D2 89 90 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 FF FF FF FF 03 00 00 00 3A 2F 2F 00 FF FF FF FF 05 00 00 00 48 45 41 44 20 00 00 00 FF FF FF FF 06 00 00 00 20 48 54 54 50 2F 00 00 FF FF FF FF 04 00 00 00 47 45 54 20 00 00 00 00 FF FF FF FF 05 00 00 00 50 4F 53 54 20 00 00 00 FF FF FF FF 06 00 00 00 48 6F 73 74 3A 20 00 00 FF FF FF FF 03 00 00 00 31 2E 30 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 05 00 00 00 43 4C 4F 53 45 00 00 00 }
	condition:
		$1
}

rule function_10556_0 {
	meta:
		name = "TIdHTTP.Get"
		size = 158
		refs = "0013 @LStrAddRef 001b TIdHTTP.Get 002a _Dn_TStringStream 002f TStringStream.Create 005a @LStrLAsg 006f TObject.Free 0075 @HandleFinally 008c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 F8 8B 52 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10557_0 {
	meta:
		name = "TIdHTTP.DoProxyConnectMethod"
		size = 268
		refs = "000f TIdHTTP.DoProxyConnectMethod 001e TIdTCPConnection.SetInterceptEnabled 002c IntToStr 0057 @LStrCatN 00c9 @LStrArrayClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 DC 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF B3 D8 00 00 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF B3 E0 00 00 00 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 8B 08 FF 91 84 00 00 00 8D 45 F8 50 B9 FE FF FF FF 33 D2 8B C3 8B 30 FF 56 74 8D 45 F8 50 B9 FE FF FF FF 33 D2 8B C3 8B 30 FF 56 74 8D 45 F8 50 B9 FE FF FF FF 33 D2 8B C3 8B 30 FF 56 74 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 FF FF FF FF 08 00 00 00 43 4F 4E 4E 45 43 54 20 00 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 06 00 00 00 20 48 54 54 50 2F 00 00 }
	condition:
		$1
}

rule function_10560_0 {
	meta:
		name = "TimeStampInterval"
		size = 102
		refs = "000e @TRUNC 002f DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 DD 45 08 DC 65 10 E8 ?? ?? ?? ?? 8B D8 DD 45 08 DC 65 10 83 C4 F8 DD 1C 24 9B 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 8B C3 C1 E0 03 8D 04 40 0F B7 55 FE 03 C2 6B C0 3C 0F B7 55 FC 03 C2 6B C0 3C 0F B7 55 FA 03 C2 69 C0 E8 03 00 00 0F B7 55 F8 03 C2 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_10561_0 {
	meta:
		name = "GetRandomString"
		size = 184
		refs = "0010 GetRandomString 001b Randomize 002b @RandInt 003b @LStrFromChar 0045 @LStrCat 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? BF 3D 00 00 00 85 DB 7E 24 8B C7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8A 14 02 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 4B 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 FF FF FF FF 3E 00 00 00 71 77 65 72 74 7A 75 69 6F 70 61 73 64 66 67 68 6A 6B 6C 79 78 63 76 62 6E 6D 51 57 45 52 54 5A 55 49 4F 50 41 53 44 46 47 48 4A 4B 4C 59 58 43 56 42 4E 4D 31 32 33 34 35 36 37 38 39 30 00 00 }
	condition:
		$1
}

rule function_10562_0 {
	meta:
		name = "Base64Decode"
		size = 191
		refs = "0015 Base64Decode 0024 _Dn_TIdBase64Decoder 0029 TIdBase64Decoder.Create 005d TIdCoder.CodeString 007b @LStrCopy 0090 FreeAndNil 0096 @HandleFinally 00ad @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 24 00 8B 45 FC C6 40 72 00 8B 45 FC 8B 10 FF 52 44 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 56 8D 55 F8 8B 45 FC 8B 08 FF 51 38 8B 45 F8 B9 FF FF FF 7F BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10563_0 {
	meta:
		name = "TIdHTTPRequestInfo.Create"
		size = 98
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TIdHeaderList 0023 TIdHeaderList.Create 002d _Dn_TStringList 003c _DV_TIdCookieCollection 0041 TIdCookieCollection.Create 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10564_0 {
	meta:
		name = "TIdHTTPRequestInfo.DecodeAndSetParams"
		size = 226
		refs = "0014 TIdHTTPRequestInfo.DecodeAndSetParams 0025 TStrings.BeginUpdate 0045 @LStrToPChar 0054 StrScan 0061 StrEnd 0071 @LStrFromPCharLen 007c URLDecode 00ae TStrings.EndUpdate 00b4 @HandleFinally 00d0 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 8B 10 FF 52 40 8B C3 E8 ?? ?? ?? ?? 8B F0 8B DE EB 42 B2 26 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? 8B D8 8B CB 2B CE 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 30 8B 08 FF 51 34 8D 73 01 85 DB 74 05 80 3B 00 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10565_0 {
	meta:
		name = "TIdHTTPRequestInfo.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10568_0 {
	meta:
		name = "TIdHTTPRequestInfo.SetParams"
		size = 13
		altNames = "TIdNetworkCalculator.SetNetworkAddress"
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10569_0 {
	meta:
		name = "TIdHTTPResponseInfo.Create"
		size = 192
		refs = "000f @ClassCreate 001f TObject.Create 002d _Dn_TIdHeaderList 0032 TIdHeaderList.Create 0042 _DV_TIdCookieCollection 0047 TIdCookieCollection.Create 0052 TIdHTTPResponseInfo.Create 0057 @LStrAsg 0073 TIdHTTPResponseInfo.SetResponseNo 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C7 43 24 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C C6 46 32 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 7B 18 BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 0B 00 00 00 49 6E 64 79 2F 38 2E 30 2E 32 32 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_10570_0 {
	meta:
		name = "TIdHTTPResponseInfo.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 000f TObject.Free 002f TObject.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 30 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10571_0 {
	meta:
		name = "TIdHTTPResponseInfo.Redirect"
		size = 56
		refs = "000e TIdHTTPResponseInfo.SetResponseNo 0015 TIdHTTPResponseInfo.Redirect 001d TIdHeaderList.SetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 2E 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 08 00 00 00 4C 6F 63 61 74 69 6F 6E 00 00 00 00 }
	condition:
		$1
}

rule function_10574_0 {
	meta:
		name = "TIdHTTPResponseInfo.SetResponseNo"
		size = 846
		refs = "00e1 TIdHTTPResponseInfo.SetResponseNo 0154 RSHTTPOK 0159 LoadResString 0163 RSHTTPCreated 0172 RSHTTPAccepted 0181 RSHTTPNonAuthoritativeInformation 0190 RSHTTPNoContent 019f RSHTTPResetContent 01ae RSHTTPPartialContent 01bd RSHTTPMovedPermanently 01cc RSHTTPMovedTemporarily 01db RSHTTPSeeOther 01ea RSHTTPNotModified 01f9 RSHTTPUseProxy 0208 RSHTTPBadRequest 0217 RSHTTPUnauthorized 0226 RSHTTPForbidden 0235 RSHTTPNotFound 0244 RSHTTPMethodeNotallowed 0253 RSHTTPNotAcceptable 0262 RSHTTPProxyAuthenticationRequired 0271 RSHTTPRequestTimeout 0280 RSHTTPConflict 028f RSHTTPGone 029e RSHTTPLengthRequired 02ad RSHTTPPreconditionFailed 02bc RSHTTPRequestEntityToLong 02cb RSHTTPRequestURITooLong 02da RSHTTPUnsupportedMediaType 02e9 RSHTTPInternalServerError 02f8 RSHTTPNotImplemented 0307 RSHTTPBadGateway 0316 RSHTTPServiceUnavailable 0325 RSHTTPGatewayTimeout 0334 RSHTTPHTTPVersionNotSupported 0343 RSHTTPUnknownResponseCode"
	strings:
		$1 = { 53 8B D8 8B C2 89 43 20 3D 95 01 00 00 0F 8F B0 00 00 00 0F 84 27 02 00 00 3D 2E 01 00 00 7F 58 0F 84 A2 01 00 00 3D CC 00 00 00 7F 2B 0F 84 59 01 00 00 2D C8 00 00 00 0F 84 12 01 00 00 48 0F 84 1A 01 00 00 48 0F 84 22 01 00 00 48 0F 84 2A 01 00 00 E9 E7 02 00 00 2D CD 00 00 00 0F 84 38 01 00 00 48 0F 84 40 01 00 00 83 E8 5F 0F 84 46 01 00 00 E9 C7 02 00 00 3D 90 01 00 00 7F 24 0F 84 7F 01 00 00 2D 2F 01 00 00 0F 84 47 01 00 00 48 0F 84 4F 01 00 00 48 0F 84 57 01 00 00 E9 9C 02 00 00 2D 91 01 00 00 0F 84 65 01 00 00 83 E8 02 0F 84 6B 01 00 00 48 0F 84 73 01 00 00 E9 7C 02 00 00 3D 9E 01 00 00 7F 3B 0F 84 F7 01 00 00 05 6A FE FF FF 83 F8 07 0F 87 61 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D F6 01 00 00 7F 26 0F 84 F1 01 00 00 2D 9F 01 00 00 0F 84 B9 01 00 00 83 E8 55 0F 84 BF 01 00 00 48 0F 84 C7 01 00 00 E9 0D 02 00 00 2D F7 01 00 00 0F 84 D5 01 00 00 48 0F 84 DD 01 00 00 48 0F 84 E5 01 00 00 E9 EF 01 00 00 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10575_0 {
	meta:
		name = "TIdHTTPResponseInfo.WriteContent"
		size = 256
		refs = "0010 TIdHTTPResponseInfo.WriteContent 0021 @LStrLen 003a @LStrClr 0065 IntToStr 0082 @LStrCatN 00aa @LStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 18 8B 46 34 E8 ?? ?? ?? ?? 85 C0 7E 17 8B 56 34 8B C7 8B 08 FF 91 80 00 00 00 8D 46 34 E8 ?? ?? ?? ?? EB 54 8B 46 30 85 C0 74 12 6A 00 B1 01 8B D0 8B C7 8B 18 FF 93 88 00 00 00 EB 3B 68 ?? ?? ?? ?? 8D 55 F8 8B 46 20 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 18 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 0F 00 00 00 3C 48 54 4D 4C 3E 3C 42 4F 44 59 3E 3C 42 3E 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 12 00 00 00 3C 2F 42 3E 3C 2F 42 4F 44 59 3E 3C 2F 48 54 4D 4C 3E 00 00 }
	condition:
		$1
}

rule function_10576_0 {
	meta:
		name = "TIdHTTPResponseInfo.WriteHeader"
		size = 744
		refs = "0017 TIdHTTPResponseInfo.WriteHeader 002b RSHTTPHeaderAlreadyWritten 0030 LoadResString 003a _DV_EIdHTTPHeaderAlreadyWritten 003f Exception.Create 0044 @RaiseExcept 0058 TIdHeaderList.SetValue 0076 @LStrLen 0095 TStream.GetSize 00aa IntToStr 00d2 TIdHTTPResponseInfo.SetResponseNo 00ec @LStrCatN 010d TIdTCPConnection.OpenWriteBuffer 0159 TCollection.GetCount 0173 TIdCookieCollection.GetItem 017b TIdCookie.GetCookieText 018b @LStrCat3 01fa TIdTCPConnection.CloseWriteBuffer 0200 @HandleFinally 021c @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 1C 00 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 1C 01 8B 4B 08 8B 43 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 14 8B 43 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 24 FF 75 2A 8B 43 34 E8 ?? ?? ?? ?? 85 C0 7E 0D 8B 43 34 E8 ?? ?? ?? ?? 89 43 24 EB 11 8B 73 30 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 89 43 24 8B 73 24 83 FE FF 7E 1A 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B 43 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 85 C0 7E 36 BA 91 01 00 00 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 43 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 18 89 45 F8 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F0 8B 43 20 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 73 10 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 91 84 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3F 46 C7 45 FC 00 00 00 00 8B 43 28 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 91 84 00 00 00 FF 45 FC 4E 75 C9 8B 43 2C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2A 46 C7 45 FC 00 00 00 00 8D 4D F4 8B 43 2C 8B 55 FC 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 8B 08 FF 91 84 00 00 00 FF 45 FC 4E 75 DE 33 D2 8B 45 F8 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 53 65 72 76 65 72 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 00 00 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 00 00 FF FF FF FF 0D 00 00 00 42 61 73 69 63 20 72 65 61 6C 6D 3D 22 00 00 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 10 00 00 00 57 57 57 2D 41 75 74 68 65 6E 74 69 63 61 74 65 00 00 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 2F 31 2E 31 20 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 0C 00 00 00 53 65 74 2D 43 6F 6F 6B 69 65 3A 20 00 00 00 00 }
	condition:
		$1
}

rule function_10577_0 {
	meta:
		name = "TIdHTTPServer.CaptureHeader"
		size = 138
		refs = "0012 TIdHTTPServer.CaptureHeader 0020 @LStrClr 0051 Trim 0059 @LStrLen 0077 @LStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 24 E8 ?? ?? ?? ?? 8B 43 2C 8B 10 FF 52 40 8D 45 FC 50 B9 FE FF FF FF 33 D2 8B 46 3C 8B 38 FF 57 74 8B 55 FC 8B 43 2C 8B 08 FF 51 34 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10578_0 {
	meta:
		name = "TIdHTTPServer.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 002a TIdTCPServer.SetDefaultPort 0038 _DV_TIdHTTPSessionList 003d TIdHTTPSessionList.Create 004c _Dn_TIdMimeTable 0051 TIdMimeTable.Create 0071 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 B4 00 00 00 00 BA 50 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 9C 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B0 00 00 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D0 00 00 00 33 C0 89 86 B8 00 00 00 C6 86 CC 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10579_0 {
	meta:
		name = "TIdHTTPServer.CreateSession"
		size = 240
		refs = "001a TIdHTTPServer.CreateSession 0036 GetRandomString 004a TIdHTTPSessionList.CreateSession 0057 TIdCookieCollection.Add 0066 @LStrAsg 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB B4 00 00 00 00 74 74 8D 55 F4 B8 0F 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 08 8B 4D F4 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B F0 8D 46 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 20 8B 55 F4 E8 ?? ?? ?? ?? 8D 46 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 B9 E8 03 00 00 99 F7 F9 89 46 24 8B 45 FC 89 78 04 8B 45 F8 89 78 04 EB 02 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 0F 00 00 00 49 44 48 54 54 50 53 45 53 53 49 4F 4E 49 44 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_10580_0 {
	meta:
		name = "TIdHTTPServer.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 FreeAndNil 0029 TIdTCPServer.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 D0 00 00 00 E8 ?? ?? ?? ?? 8D 86 B0 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10581_0 {
	meta:
		name = "ReadCookiesFromRequestHeader"
		size = 212
		refs = "0012 ReadCookiesFromRequestHeader 001f _Dn_TStringList 0024 TObject.Create 004b TIdHeaderList.Extract 007b TIdCookieCollection.AddSrcCookie 0094 TObject.Free 009a @HandleFinally 00b1 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 2C 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 25 43 33 F6 8D 4D F8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F8 8B 45 08 8B 40 FC 8B 40 34 E8 ?? ?? ?? ?? 46 4B 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 FF FF FF FF 06 00 00 00 63 6F 6F 6B 69 65 00 00 }
	condition:
		$1
}

rule function_10582_0 {
	meta:
		name = "TIdHTTPServer.DoExecute"
		size = 1616
		refs = "001d TIdHTTPServer.DoExecute 005d RPos 006b RSHTTPErrorParsingCommand 0070 LoadResString 007a _DV_EIdHTTPErrorParsingCommand 007f Exception.Create 0084 @RaiseExcept 0098 @LStrCopy 00a3 @LStrSetLength 00b6 Fetch 00c1 UpperCase 00ce @LStrCmp 010a _DV_TIdHTTPRequestInfo 010f TIdHTTPRequestInfo.Create 0137 @LStrAsg 0166 TIdHeaderList.GetValue 0171 StrToIntDef 017c _Dn_TStringStream 0181 TStringStream.Create 01a9 TIdTCPConnection.ReadStream 01f3 TObject.Free 01f9 @HandleFinally 0206 @LStrLAsg 0221 @LStrLen 0262 @LStrCatN 027c TIdHTTPRequestInfo.DecodeAndSetParams 0282 ReadCookiesFromRequestHeader 02f1 ParseURI 0302 @LStrCat3 0379 AnsiCompareText 0388 Base64Decode 03cc RSHTTPUnsupportedAuthorisationScheme 03db _DV_EIdHTTPUnsupportedAuthorisationScheme 03f2 _DV_TIdHTTPResponseInfo 03f7 TIdHTTPResponseInfo.Create 0416 TIdHTTPServer.GetSessionFromCookie 0427 Trim 047d @HandleOnException 0485 _Dn_Exception 0498 TIdHTTPResponseInfo.SetResponseNo 04ab @DoneExcept 04bc TIdHTTPResponseInfo.WriteHeader 04dc TIdHTTPResponseInfo.WriteContent 0575 @LStrClr 0582 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 3C 8D 45 E8 50 B9 FE FF FF FF 33 D2 8B C3 8B 18 FF 53 74 83 C9 FF 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8D 53 01 B9 FF FF FF 7F 8B 45 E8 E8 ?? ?? ?? ?? 8B D3 4A 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 BC 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 22 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 24 04 00 00 8B 45 F8 66 83 B8 A2 00 00 00 00 0F 84 13 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 08 8B 55 F4 8B 52 3C 8B 52 60 8B 52 18 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 8B 55 E4 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 53 4C 8D 4D BC 8B 45 FC 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB FF 7E 14 6A 00 8B 45 F4 8B 40 3C 8B CB 8B 55 C4 E8 ?? ?? ?? ?? EB 22 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 6A 01 8B 45 F4 8B 40 3C 83 C9 FF 8B 55 C4 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 8B 55 C4 8B 52 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 EC 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 3D 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 85 C0 75 10 8B 45 FC 83 C0 24 8B 55 EC E8 ?? ?? ?? ?? EB 1E 8B 45 FC FF 70 24 68 ?? ?? ?? ?? FF 75 EC 8B 45 FC 83 C0 24 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 9C 00 00 00 00 74 0E 8B 45 FC 8B 50 24 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8D 4D BC 8B 45 FC 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 8D 45 D0 50 8D 45 CC 50 8D 45 D4 50 8D 45 C8 50 8D 4D D8 8D 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 4D CC 8B 55 D0 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 7E 1D 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 85 C0 75 0E 8B 45 FC 83 C0 0C 8B 55 D8 E8 ?? ?? ?? ?? 8D 4D EC 8B 45 FC 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 9F C3 8B 45 FC 88 58 28 84 DB 0F 84 8C 00 00 00 8D 45 BC 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 47 8D 55 BC 8B 45 EC E8 ?? ?? ?? ?? 8B 55 BC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 BC 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 83 C0 1C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 8B 55 EC E8 ?? ?? ?? ?? EB 21 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D C0 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 F8 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 C0 83 C0 08 8B 55 F8 8B 92 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C0 50 8B 5D F8 8B 4D FC 8B 55 F4 8B 83 A4 00 00 00 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 BA F4 01 00 00 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 83 C0 34 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 80 78 1C 00 75 08 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 8B 40 34 E8 ?? ?? ?? ?? 85 C0 7F 09 8B 45 C0 83 78 30 00 74 08 8B 45 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 66 83 B8 AA 00 00 00 00 74 1D 8B 45 E8 50 8B 45 E0 50 8B 5D F8 8B 4D E4 8B 55 F4 8B 83 AC 00 00 00 FF 93 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 3C 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 F3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 03 00 00 00 47 45 54 00 FF FF FF FF 04 00 00 00 50 4F 53 54 00 00 00 00 FF FF FF FF 04 00 00 00 48 45 41 44 00 00 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 00 00 FF FF FF FF 01 00 00 00 3F 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 04 00 00 00 68 6F 73 74 00 00 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 FF FF FF FF 0D 00 00 00 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 00 00 00 FF FF FF FF 05 00 00 00 42 61 73 69 63 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_10583_0 {
	meta:
		name = "TIdHTTPServer.EndSession"
		size = 32
		refs = "000a TIdHTTPSessionList.GetSession 0018 TObject.Free"
	strings:
		$1 = { 53 33 C9 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_10584_0 {
	meta:
		name = "TIdHTTPServer.GetSessionFromCookie"
		size = 180
		refs = "001e TIdHTTPServer.GetSessionFromCookie 0036 TIdCookieCollection.GetItem 004a TIdHTTPSessionList.GetSession 0084 TIdHTTPServer.CreateSession"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 8B F2 89 04 24 33 FF 8B 04 24 80 B8 B4 00 00 00 00 74 6D B9 ?? ?? ?? ?? 33 D2 8B 46 34 8B 18 FF 53 1C 8B D8 EB 32 8B D3 8B 46 34 E8 ?? ?? ?? ?? 8B 50 20 8B 04 24 8B 80 B0 00 00 00 8B 4E 08 E8 ?? ?? ?? ?? 8B F8 43 B9 ?? ?? ?? ?? 8B D3 8B 46 34 8B 18 FF 53 1C 8B D8 85 FF 75 04 85 DB 7D C6 8B 04 24 80 B8 CC 00 00 00 00 74 14 85 FF 75 10 8B CE 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B F8 89 7E 04 8B 44 24 04 89 78 04 8B C7 59 5A 5F 5E 5B C3 FF FF FF FF 0F 00 00 00 49 44 48 54 54 50 53 45 53 53 49 4F 4E 49 44 00 }
	condition:
		$1
}

rule function_10585_0 {
	meta:
		name = "TIdHTTPServer.ServeFile"
		size = 159
		refs = "0012 @LStrAddRef 001a TIdHTTPServer.ServeFile 0028 @LStrLen 003d TIdMimeTable.GetFileMIMEType 0048 @LStrAsg 0050 FileSizeByName 005a TIdHTTPResponseInfo.WriteHeader 0081 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 1C 8D 4D FC 8B 55 08 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 14 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 89 43 24 8B C3 E8 ?? ?? ?? ?? 8B 47 3C 33 C9 8B 55 08 8B 18 FF 93 8C 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10586_0 {
	meta:
		name = "TIdHTTPServer.SetActive"
		size = 182
		refs = "0069 _DV_TIdHTTPSessionCleanerThread 006e TIdHTTPSessionCleanerThread.Create 0087 SetThreadPriority 00ae TIdTCPServer.SetActive"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 F6 46 20 08 0F 85 98 00 00 00 84 DB 74 65 8B 86 B8 00 00 00 85 C0 7E 0B 8B 96 B0 00 00 00 89 42 08 EB 07 C6 86 B4 00 00 00 00 8B BE B0 00 00 00 8B 86 C4 00 00 00 89 47 14 8B 86 C8 00 00 00 89 47 18 8B 86 BC 00 00 00 89 47 0C 8B 86 C0 00 00 00 89 47 10 80 BE B4 00 00 00 00 74 45 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D4 00 00 00 EB 2F 8B 86 D4 00 00 00 85 C0 74 12 B2 03 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 8B 10 FF 52 18 33 C0 89 86 D4 00 00 00 8B 86 B0 00 00 00 8B 10 FF 52 04 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10587_0 {
	meta:
		name = "TIdHTTPServer.SetSessionState"
		size = 108
		refs = "0009 TIdHTTPServer.SetSessionState 0029 RSHTTPCannotSwitchSessionStateWhenActive 002e LoadResString 0038 _DV_EIdHTTPCannotSwitchSessionStateWhenActive 003d Exception.Create 0042 @RaiseExcept 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 F6 40 20 10 75 2D F6 40 20 01 75 27 80 78 60 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 90 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_10588_0 {
	meta:
		name = "TIdCookie.AddAttribute"
		size = 168
		refs = "0012 TIdCookie.AddAttribute 0022 UpperCase 002f @LStrCmp 003b @LStrAsg 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8D 43 1C 8B D7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8D 43 14 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 05 00 00 00 24 50 41 54 48 00 00 00 FF FF FF FF 07 00 00 00 24 44 4F 4D 41 49 4E 00 }
	condition:
		$1
}

rule function_10589_0 {
	meta:
		name = "TIdCookie.Assign"
		size = 108
		refs = "000b _DV_TIdCookie 0010 @IsClass 0021 @LStrAsg 0064 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8D 43 18 8B FE 8B 57 18 E8 ?? ?? ?? ?? 8D 43 20 8B 57 20 E8 ?? ?? ?? ?? 8D 43 14 8B 57 14 E8 ?? ?? ?? ?? 8D 43 10 8B 57 10 E8 ?? ?? ?? ?? 8D 43 1C 8B 57 1C E8 ?? ?? ?? ?? 8B 47 24 89 43 24 8A 47 0C 88 43 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10590_0 {
	meta:
		name = "TIdCookie.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 24 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10591_0 {
	meta:
		name = "AddToken"
		size = 104
		refs = "001b AddToken 0020 @LStrCat 0045 @LStrCatN"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 40 FC 83 38 00 74 16 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 45 08 8B 40 FC FF 30 53 68 ?? ?? ?? ?? 56 8B 45 08 8B 40 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 5E 5B 5D C3 00 00 00 FF FF FF FF 02 00 00 00 3B 20 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_10592_0 {
	meta:
		name = "TIdCookie.GetCookieText"
		size = 336
		refs = "0016 TIdCookie.GetCookieText 0024 @LStrClr 0030 AddToken 007f IntToStr 00b5 @LStrCat 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 55 8B 53 20 8B 43 18 E8 ?? ?? ?? ?? 59 83 7B 14 00 74 0F 55 8B 53 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 7B 1C 00 74 0F 55 8B 53 1C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 73 24 83 FE FF 7E 19 55 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 7B 10 00 74 0F 55 8B 53 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 80 7B 0C 00 74 10 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 FF FF FF FF 06 00 00 00 44 6F 6D 61 69 6E 00 00 FF FF FF FF 03 00 00 00 22 31 22 00 FF FF FF FF 07 00 00 00 56 65 72 73 69 6F 6E 00 FF FF FF FF 04 00 00 00 50 61 74 68 00 00 00 00 FF FF FF FF 07 00 00 00 4D 61 78 2D 41 67 65 00 FF FF FF FF 07 00 00 00 43 6F 6D 6D 65 6E 74 00 FF FF FF FF 08 00 00 00 3B 20 53 65 63 75 72 65 00 00 00 00 }
	condition:
		$1
}

rule function_10594_0 {
	meta:
		name = "TIdCookieCollection.AddSrcCookie"
		size = 364
		refs = "001a TIdCookieCollection.AddSrcCookie 0029 @LStrToPChar 003a @LStrFromPChar 0043 IndyPos 0074 @LStrCopy 007f Trim 0096 AnsiExtractQuotedStr 00a1 StrScan 00b3 @LStrSetLength 00c6 StrLCopy 00ed TIdCookie.AddAttribute 00f7 TIdCookieCollection.Add 0104 @LStrAsg 014b @LStrArrayClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 8D 7D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 E8 ?? ?? ?? ?? 89 07 E9 F1 00 00 00 8D 45 EC 8B 17 E8 ?? ?? ?? ?? 8B 55 EC 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 0F 84 DB 00 00 00 8D 45 EC 50 8D 45 E8 8B 17 E8 ?? ?? ?? ?? 8B 45 E8 8B CB 49 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F4 E8 ?? ?? ?? ?? 03 1F 89 1F 8B 07 80 38 22 75 0E 8D 4D F0 8B C7 B2 22 E8 ?? ?? ?? ?? EB 3C B2 3B 8B 07 E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 8B D3 2B 17 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B CB 2B 0F 8B 17 E8 ?? ?? ?? ?? 89 1F EB 0A 8D 45 F0 8B 17 E8 ?? ?? ?? ?? 8B 45 F4 80 38 24 75 13 85 F6 74 0F 8B 4D F0 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 46 18 8B 55 F4 E8 ?? ?? ?? ?? 8D 46 20 8B 55 F0 E8 ?? ?? ?? ?? B2 3B 8B 07 E8 ?? ?? ?? ?? 89 07 83 3F 00 74 02 FF 07 83 3F 00 74 0B 8B 07 80 38 00 0F 85 FF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_10596_0 {
	meta:
		name = "TIdCookieCollection.GetCookie"
		size = 37
		refs = "001e TIdCookieCollection.GetItem"
	strings:
		$1 = { 53 56 8B D8 8B CA 8B C3 33 D2 8B 30 FF 56 1C 83 F8 FF 75 05 33 C0 5E 5B C3 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10597_0 {
	meta:
		name = "TIdCookieCollection.GetCookieIndex"
		size = 84
		refs = "0019 TCollection.GetCount 002a TIdCookieCollection.GetItem 0037 AnsiSameText"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B DA 8B E8 C7 44 24 04 FF FF FF FF 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 2B F3 7C 25 46 8B D3 8B C5 E8 ?? ?? ?? ?? 8B F8 8B 47 18 8B 14 24 E8 ?? ?? ?? ?? 84 C0 74 06 89 5C 24 04 EB 04 43 4E 75 DC 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10598_0 {
	meta:
		name = "TIdCookieCollection.GetItem"
		size = 29
		refs = "000b TCollection.GetItem 0011 _DV_TIdCookie 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10600_0 {
	meta:
		name = "TIdHTTPSessionList.Clear"
		size = 166
		refs = "0010 TThreadList.LockList 001a TIdHTTPSessionList.Clear 0032 TList.Get 0060 TObject.Free 0071 @CallDynaInst 007d TList.SetCapacity 0095 TThreadList.UnlockList 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 4B 83 FB 00 7C 3D 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 89 50 04 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 C3 8B C6 66 BB FF FF E8 ?? ?? ?? ?? BA 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10601_0 {
	meta:
		name = "TIdHTTPSessionList.Create"
		size = 88
		refs = "000b @ClassCreate 0016 _Dn_TThreadList 001b TThreadList.Create 0027 TThreadList.LockList 0031 TList.SetCapacity 0039 TThreadList.UnlockList 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 8B C6 E8 ?? ?? ?? ?? BA 80 00 00 00 E8 ?? ?? ?? ?? 8B 47 04 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10602_0 {
	meta:
		name = "TIdHTTPSessionList.CreateSession"
		size = 37
		refs = "0007 _DV_TIdHTTPSession 0010 TIdHTTPSession.CreateInitialized 001c TThreadList.Add"
	strings:
		$1 = { 53 56 8B D8 51 52 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10603_0 {
	meta:
		name = "TIdHTTPSessionList.destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 04 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10604_0 {
	meta:
		name = "TIdHTTPSessionList.GetSession"
		size = 312
		refs = "001e TThreadList.LockList 0028 TIdHTTPSessionList.GetSession 0046 TList.Get 0063 @Assert 007c AnsiSameText 0088 @LStrLen 00a3 Now 00b8 TIdHTTPSessionList.RemoveSessionFromLockedList 00dd TThreadList.UnlockList 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 77 08 4E 85 F6 0F 8C 8B 00 00 00 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 14 B9 18 04 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 12 84 C0 75 3E 8B 45 F0 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 38 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 12 8B 45 F0 8B 40 14 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 74 1A E8 ?? ?? ?? ?? 8B 45 F0 DD 58 0C 9B EB 19 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 43 4E 0F 85 78 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 1F 00 00 00 43 3A 5C 49 6E 64 79 5C 73 6F 75 72 63 65 5C 49 64 48 54 54 50 53 65 72 76 65 72 2E 70 61 73 00 FF FF FF FF 11 00 00 00 41 73 73 65 72 74 69 6F 6E 20 66 61 69 6C 75 72 65 00 00 00 }
	condition:
		$1
}

rule function_10605_0 {
	meta:
		name = "TIdHTTPSessionList.PurgeStaleSessions"
		size = 138
		refs = "0013 TThreadList.LockList 001d TIdHTTPSessionList.PurgeStaleSessions 0035 TList.Get 005a TIdHTTPSessionList.RemoveSessionFromLockedList 0078 TThreadList.UnlockList 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 08 4F 83 FF 00 7C 34 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 84 DB 75 11 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 12 84 C0 74 0C 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 4F 83 FF FF 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10606_0 {
	meta:
		name = "TIdHTTPSessionList.RemoveSession"
		size = 98
		refs = "0012 TThreadList.LockList 001c TIdHTTPSessionList.RemoveSession 002b TList.IndexOf 0039 TList.Delete 0051 TThreadList.UnlockList 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 7E 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10607_0 {
	meta:
		name = "TIdHTTPSessionList.RemoveSessionFromLockedList"
		size = 60
		refs = "000b TList.Get 002c TObject.Free 0035 TList.Delete"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 89 50 04 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10608_0 {
	meta:
		name = "TIdHTTPSession.Create"
		size = 100
		refs = "000b @ClassCreate 0018 _Dn_TCriticalSection 001d TCriticalSection.Create 0027 _Dn_TStringList 002c TObject.Create 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 89 77 04 85 F6 74 0F 66 83 7E 16 00 74 08 8B D7 8B 46 18 FF 56 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10609_0 {
	meta:
		name = "TIdHTTPSession.CreateInitialized"
		size = 137
		refs = "000e @ClassCreate 001f @LStrAsg 002f Now 003a _Dn_TCriticalSection 003f TCriticalSection.Create 0049 _Dn_TStringList 004e TObject.Create 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 08 8B 55 0C E8 ?? ?? ?? ?? 8D 47 14 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5F 0C 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 89 77 04 85 F6 74 0F 66 83 7E 16 00 74 08 8B D7 8B 46 18 FF 56 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10610_0 {
	meta:
		name = "TIdHTTPSession.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0016 TObject.Free 002c TIdHTTPSessionList.RemoveSession 0038 TObject.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 04 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10611_0 {
	meta:
		name = "TIdHTTPSession.DoSessionEnd"
		size = 27
	strings:
		$1 = { 53 8B 50 04 85 D2 74 11 66 83 7A 0E 00 74 0A 8B DA 8B D0 8B 43 10 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_10613_0 {
	meta:
		name = "TIdHTTPSession.IsSessionStale"
		size = 37
		refs = "000a Now 0016 TimeStampInterval"
	strings:
		$1 = { 53 8B D8 FF 73 10 FF 73 0C E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B 53 04 3B 42 08 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_10615_0 {
	meta:
		name = "TIdHTTPSession.SetContent"
		size = 13
		altNames = "TSeriesMarks.SetFont"
	strings:
		$1 = { 56 8B F0 8B 46 18 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10617_0 {
	meta:
		name = "TIdHTTPSessionCleanerThread.AfterRun"
		size = 22
		refs = "0009 TIdHTTPSessionList.PurgeStaleSessions 0010 TIdThread.AfterRun"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10618_0 {
	meta:
		name = "TIdHTTPSessionCleanerThread.Create"
		size = 75
		refs = "000b @ClassCreate 001a SetThreadPriority 002c TIdThread.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 3C C6 47 0E 01 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10619_0 {
	meta:
		name = "TIdHTTPSessionCleanerThread.Run"
		size = 26
		refs = "0009 Sleep 0014 TIdHTTPSessionList.PurgeStaleSessions"
	strings:
		$1 = { 53 8B D8 B8 E8 03 00 00 E8 ?? ?? ?? ?? 8A 53 0C 8B 43 3C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10622_0 {
	meta:
		name = "TIdIcmpClient.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TIdRawBase.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 70 01 00 00 00 66 C7 86 78 08 00 00 00 00 C7 46 6C 88 13 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10623_0 {
	meta:
		name = "TIdIcmpClient.CalcCheckSum"
		size = 117
	strings:
		$1 = { 53 56 57 51 8B 90 7C 08 00 00 8B CA D1 F9 79 03 83 D1 00 81 E2 01 00 00 80 79 05 4A 83 CA FE 42 89 14 24 8D B0 78 04 00 00 33 D2 85 C9 7E 10 BB 01 00 00 00 0F B7 7C 5E FE 03 D7 43 49 75 F5 83 3C 24 00 74 10 8B 88 7C 08 00 00 0F B6 84 08 77 04 00 00 03 D0 8B C2 C1 E8 10 81 E2 FF FF 00 00 03 C2 8B D0 8B C2 C1 E8 10 03 D0 8B C2 66 F7 D0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10624_0 {
	meta:
		name = "TIdIcmpClient.PrepareEchoRequest"
		size = 120
		refs = "001c @FillChar 0030 CurrentProcessId 0044 GetTickCount 0066 TIdIcmpClient.CalcCheckSum"
	strings:
		$1 = { 53 56 8B D8 C7 83 7C 08 00 00 34 00 00 00 8D 83 78 04 00 00 33 C9 BA 00 04 00 00 E8 ?? ?? ?? ?? 8D 83 78 04 00 00 8B F0 C6 06 08 C6 46 01 00 E8 ?? ?? ?? ?? 66 89 46 04 66 8B 83 78 08 00 00 66 89 46 06 E8 ?? ?? ?? ?? 89 46 08 B8 15 00 00 00 EB 09 C6 84 03 77 04 00 00 45 40 3B 83 7C 08 00 00 7E EF 8B C3 E8 ?? ?? ?? ?? 66 89 46 02 66 FF 83 78 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_10625_0 {
	meta:
		name = "TIdIcmpClient.SendEchoRequest"
		size = 26
		refs = "0015 TIdRawBase.Send"
	strings:
		$1 = { 8D 90 78 04 00 00 52 8B 90 7C 08 00 00 52 8B 48 68 8B 50 64 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10626_0 {
	meta:
		name = "TIdIcmpClient.DecodeResponse"
		size = 376
		refs = "0019 TIdIcmpClient.DecodeResponse 0036 @LStrAsg 007b RSICMPNotEnoughtBytes 0080 LoadResString 008a _Dn_EIdIcmpException 008f Exception.Create 0094 @RaiseExcept 00cc RSICMPNonEchoResponse 00f8 GStack 0122 GetTickCount 013d TIdIcmpClient.DoReply 0152 @LStrClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 2D 33 C0 89 03 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 08 00 66 8B 86 78 08 00 00 66 89 43 0A C6 43 10 00 C6 43 11 02 E9 E2 00 00 00 C6 43 11 01 8D 46 78 89 45 F8 8B 45 F8 8A 00 24 0F 25 FF 00 00 00 C1 E0 02 8D 50 08 3B 55 FC 7E 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 44 06 78 89 45 F4 8B 45 F4 8A 00 2C 01 72 0E 2C 02 74 10 2C 05 74 06 2C 03 74 0E EB 12 C6 43 11 00 EB 2D C6 43 11 03 EB 27 C6 43 11 04 EB 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 03 8D 4D F0 8B 45 F8 8D 50 0C A1 ?? ?? ?? ?? 8B 00 8B 38 FF 57 78 8B 55 F0 8D 43 04 E8 ?? ?? ?? ?? 8B 45 F4 8A 00 88 43 08 8B 45 F4 66 8B 40 06 66 89 43 0A E8 ?? ?? ?? ?? 8B 55 F4 2B 42 08 89 43 0C 8B 45 F8 8A 40 08 88 43 10 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 07 00 00 00 30 2E 30 2E 30 2E 30 00 }
	condition:
		$1
}

rule function_10627_0 {
	meta:
		name = "TIdIcmpClient.GetEchoReply"
		size = 100
		refs = "0011 TIdIcmpClient.GetEchoReply 0024 TIdIcmpClient.Receive 0033 TReplyStatus 0038 @CopyRecord 0053 @FinalizeRecord 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B 53 6C 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8D 83 80 08 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10628_0 {
	meta:
		name = "TIdIcmpClient.Ping"
		size = 40
		refs = "0006 TIdIcmpClient.PrepareEchoRequest 000d TIdIcmpClient.SendEchoRequest 0014 TIdIcmpClient.GetEchoReply 001b TIdRawBase.GetBinding"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B 08 FF 51 1C 5B C3 }
	condition:
		$1
}

rule function_10629_0 {
	meta:
		name = "TIdIcmpClient.Receive"
		size = 72
		refs = "0012 @FillChar 0025 TIdRawBase.ReceiveBuffer 002c GStack 0035 TIdStack.CheckForSocketError 0040 TIdIcmpClient.DecodeResponse"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8D 43 78 33 C9 BA 00 04 00 00 E8 ?? ?? ?? ?? B8 00 04 00 00 6A FF 8D 53 78 8B C8 8B C3 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10630_0 {
	meta:
		name = "TIdIcmpClient.DoReply"
		size = 31
	strings:
		$1 = { 53 66 83 B8 96 08 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 98 08 00 00 FF 93 94 08 00 00 5B C3 }
	condition:
		$1
}

rule function_10633_0 {
	meta:
		name = "_NF__49"
		size = 412
	strings:
		$1 = { FF FF FF FF 0A 00 00 00 43 41 50 41 42 49 4C 49 54 59 00 00 FF FF FF FF 04 00 00 00 4E 4F 4F 50 00 00 00 00 FF FF FF FF 06 00 00 00 4C 4F 47 4F 55 54 00 00 FF FF FF FF 0C 00 00 00 41 55 54 48 45 4E 54 49 43 41 54 45 00 00 00 00 FF FF FF FF 05 00 00 00 4C 4F 47 49 4E 00 00 00 FF FF FF FF 06 00 00 00 53 45 4C 45 43 54 00 00 FF FF FF FF 07 00 00 00 45 58 41 4D 49 4E 45 00 FF FF FF FF 06 00 00 00 43 52 45 41 54 45 00 00 FF FF FF FF 06 00 00 00 44 45 4C 45 54 45 00 00 FF FF FF FF 06 00 00 00 52 45 4E 41 4D 45 00 00 FF FF FF FF 09 00 00 00 53 55 42 53 43 52 49 42 45 00 00 00 FF FF FF FF 0B 00 00 00 55 4E 53 55 42 53 43 52 49 42 45 00 FF FF FF FF 04 00 00 00 4C 49 53 54 00 00 00 00 FF FF FF FF 04 00 00 00 4C 53 55 42 00 00 00 00 FF FF FF FF 06 00 00 00 53 54 41 54 55 53 00 00 FF FF FF FF 06 00 00 00 41 50 50 45 4E 44 00 00 FF FF FF FF 05 00 00 00 43 48 45 43 4B 00 00 00 FF FF FF FF 05 00 00 00 43 4C 4F 53 45 00 00 00 FF FF FF FF 07 00 00 00 45 58 50 55 4E 47 45 00 FF FF FF FF 06 00 00 00 53 45 41 52 43 48 00 00 FF FF FF FF 05 00 00 00 46 45 54 43 48 00 00 00 FF FF FF FF 05 00 00 00 53 54 4F 52 45 00 00 00 FF FF FF FF 04 00 00 00 43 4F 50 59 00 00 00 00 FF FF FF FF 03 00 00 00 55 49 44 00 FF FF FF FF 01 00 00 00 58 00 00 00 }
	condition:
		$1
}

rule function_10634_0 {
	meta:
		name = "TIdIMAP4Server.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 8F 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10635_0 {
	meta:
		name = "GetFirstTokenDeleteFromArg"
		size = 149
		refs = "0016 GetFirstTokenDeleteFromArg 0022 IndyPos 0036 @LStrLen 004c @LStrCopy 005a @LStrDelete 0064 Trim 006e @LStrAsg 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 35 ?? ?? ?? ?? 8B 36 8B 03 92 FF D6 8B F0 85 F6 75 0A 8B 03 E8 ?? ?? ?? ?? 8B F0 46 8B 45 FC 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10636_0 {
	meta:
		name = "TIdIMAP4Server.DoExecute"
		size = 1044
		refs = "0018 TIdIMAP4Server.DoExecute 0049 @LStrLAsg 0059 GetFirstTokenDeleteFromArg 0064 UpperCase 0094 IMAPCommands 009e PosInStrArray 0128 TIdIMAP4Server.DoCommandCAPABILITY 0142 TIdIMAP4Server.DoCommandNOOP 015c TIdIMAP4Server.DoCommandLOGOUT 0176 TIdIMAP4Server.DoCommandAUTHENTICATE 0190 TIdIMAP4Server.DoCommandLOGIN 01aa TIdIMAP4Server.DoCommandSELECT 01c4 TIdIMAP4Server.DoCommandEXAMINE 01de TIdIMAP4Server.DoCommandCREATE 01f8 TIdIMAP4Server.DoCommandDELETE 0212 TIdIMAP4Server.DoCommandRENAME 022c TIdIMAP4Server.DoCommandSUBSCRIBE 0246 TIdIMAP4Server.DoCommandUNSUBSCRIBE 0260 TIdIMAP4Server.DoCommandLIST 027a TIdIMAP4Server.DoCommandLSUB 0294 TIdIMAP4Server.DoCommandSTATUS 02ae TIdIMAP4Server.DoCommandAPPEND 02c8 TIdIMAP4Server.DoCommandCHECK 02e2 TIdIMAP4Server.DoCommandCLOSE 02fc TIdIMAP4Server.DoCommandEXPUNGE 0316 TIdIMAP4Server.DoCommandSEARCH 0330 TIdIMAP4Server.DoCommandFETCH 034a TIdIMAP4Server.DoCommandSTORE 0361 TIdIMAP4Server.DoCommandCOPY 0378 TIdIMAP4Server.DoCommandUID 0382 @LStrLen 0390 UpCase 03a9 TIdIMAP4Server.DoCommandX 03c0 TIdIMAP4Server.DoCommandError 03e5 @LStrClr 03f2 @LStrArrayClr 03f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 E9 99 03 00 00 C6 45 E7 00 8D 45 F4 50 B9 FE FF FF FF 33 D2 8B 43 3C 8B 30 FF 56 74 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8D 4D E0 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 EC E8 ?? ?? ?? ?? 8D 4D E0 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E8 E8 ?? ?? ?? ?? 6A 01 8D 55 E0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 40 83 F8 18 0F 87 D2 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 93 02 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 79 02 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 5F 02 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 45 02 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 2B 02 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 11 02 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 F7 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 DD 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 C3 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 A9 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 8F 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 75 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 5B 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 41 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 27 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 0D 01 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 F3 00 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 D9 00 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 8B 00 00 00 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 74 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 5D 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 46 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 25 8B 45 E8 8A 00 E8 ?? ?? ?? ?? 3C 58 75 17 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 15 8B 45 F0 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 43 3C 8B 10 FF 52 54 84 C0 0F 85 57 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 FB 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10637_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCAPABILITY"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 9A 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 9C 00 00 00 FF 93 98 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10638_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandNOOP"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 A2 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10639_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandLOGOUT"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 AA 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 AC 00 00 00 FF 93 A8 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10640_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandAUTHENTICATE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 B2 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 B4 00 00 00 FF 93 B0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10641_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandLOGIN"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 BA 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10642_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSELECT"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 C2 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 C4 00 00 00 FF 93 C0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10643_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandEXAMINE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 CA 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 CC 00 00 00 FF 93 C8 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10644_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCREATE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 D2 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 D4 00 00 00 FF 93 D0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10645_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandDELETE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 DA 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10646_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandRENAME"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 E2 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10647_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSUBSCRIBE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 EA 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 EC 00 00 00 FF 93 E8 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10648_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandUNSUBSCRIBE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 F2 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 F4 00 00 00 FF 93 F0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10649_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandLIST"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 FA 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 FC 00 00 00 FF 93 F8 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10650_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandLSUB"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 02 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 04 01 00 00 FF 93 00 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10651_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSTATUS"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 0A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 0C 01 00 00 FF 93 08 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10652_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandAPPEND"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 12 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 14 01 00 00 FF 93 10 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10653_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCHECK"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 1A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 1C 01 00 00 FF 93 18 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10654_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCLOSE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 22 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 24 01 00 00 FF 93 20 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10655_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandEXPUNGE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 2A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10656_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSEARCH"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 32 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 34 01 00 00 FF 93 30 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10657_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandFETCH"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 3A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 3C 01 00 00 FF 93 38 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10658_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSTORE"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 42 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 44 01 00 00 FF 93 40 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10659_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCOPY"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 4A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 4C 01 00 00 FF 93 48 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10660_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandUID"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 52 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 54 01 00 00 FF 93 50 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10661_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandX"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 5A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 5C 01 00 00 FF 93 58 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10662_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandError"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 62 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 64 01 00 00 FF 93 60 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_10663_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a IMAPCommands 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 19 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10667_0 {
	meta:
		name = "TIdConnectionIntercept.Disconnect"
		size = 6
		altNames = "TQRPageList.Clear"
	strings:
		$1 = { 33 D2 89 50 24 C3 }
	condition:
		$1
}

rule function_10672_0 {
	meta:
		name = "TIdConnectionIntercept.Connect"
		size = 23
	strings:
		$1 = { 53 89 50 24 66 83 78 2A 00 74 0A 8B D8 8B D0 8B 43 2C FF 53 28 5B C3 }
	condition:
		$1
}

rule function_10675_0 {
	meta:
		name = "TIdIPWatch.AddToIPHistoryList"
		size = 204
		refs = "0016 @LStrAddRef 001e TIdIPWatch.AddToIPHistoryList 0037 @LStrCmp 00a5 @LStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 61 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 52 8B 43 6C 8B 10 FF 52 14 85 C0 7E 24 8B 73 6C 8B C6 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B C6 8B 30 FF 56 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 22 8B 55 FC 8B 43 6C 8B 08 FF 51 34 8B 43 6C 8B 10 FF 52 14 3B 43 74 7E 0A 33 D2 8B 43 6C 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 FF FF FF FF 09 00 00 00 31 32 37 2E 30 2E 30 2E 31 00 00 00 }
	condition:
		$1
}

rule function_10676_0 {
	meta:
		name = "TIdIPWatch.CheckStatus"
		size = 460
		refs = "0010 TIdIPWatch.CheckStatus 0045 @LStrLAsg 004f TIdIPWatch.LocalIP 005a @LStrAsg 0067 @LStrCmp 00b2 TIdIPWatch.AddToIPHistoryList 0144 @LStrClr 0186 @HandleAnyException 018b @DoneExcept 01a5 @LStrArrayClr 01ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 71 00 74 0D 33 C0 5A 59 59 64 89 10 E9 54 01 00 00 8A 5E 70 8D 45 FC 8B 56 60 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 46 60 E8 ?? ?? ?? ?? 8B 46 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 06 83 7E 60 00 75 04 33 C0 EB 02 B0 01 88 46 70 84 DB 74 36 80 7E 70 00 75 30 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 14 83 7D FC 00 74 0E 8D 86 84 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 96 84 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 0F 85 91 00 00 00 80 7E 70 00 0F 84 87 00 00 00 83 7E 78 00 75 07 C7 46 78 01 00 00 00 83 7E 78 01 75 6D 8B 86 84 00 00 00 8B 56 60 E8 ?? ?? ?? ?? 75 5D 8B 46 6C 8B 10 FF 52 14 85 C0 7E 14 8B 7E 6C 8B C7 8B 10 FF 52 14 8B D0 4A 8B C7 8B 08 FF 51 44 8B 46 6C 8B 10 FF 52 14 85 C0 7E 26 8B 46 6C 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B 46 6C 8B 38 FF 57 0C 8B 55 F8 8D 86 84 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 86 84 00 00 00 E8 ?? ?? ?? ?? C7 46 78 02 00 00 00 84 DB 74 06 80 7E 70 00 74 0A 84 DB 75 1E 80 7E 70 00 74 18 F6 46 20 10 75 12 66 83 7E 7E 00 74 0B 8B D6 8B 86 80 00 00 00 FF 56 7C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 FF FF FF FF 09 00 00 00 31 32 37 2E 30 2E 30 2E 31 00 00 00 }
	condition:
		$1
}

rule function_10677_0 {
	meta:
		name = "TIdIPWatch.Create"
		size = 152
		refs = "000a @ClassCreate 0017 TIdComponent.Create 001e _Dn_TStringList 0023 TObject.Create 0048 @LStrClr 0058 TIdIPWatch.Create 005d @LStrAsg 006f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 6C C6 46 70 00 33 C0 89 46 78 C7 86 8C 00 00 00 E8 03 00 00 C6 46 5C 00 8D 86 84 00 00 00 E8 ?? ?? ?? ?? C6 46 71 00 C6 46 64 01 8D 46 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 46 74 19 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 FF FF FF FF 0A 00 00 00 69 70 68 69 73 74 2E 64 61 74 00 00 }
	condition:
		$1
}

rule function_10678_0 {
	meta:
		name = "TIdIPWatch.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 0017 TIdIPWatch.AddToIPHistoryList 0020 TIdIPWatch.SetActive 0027 TIdIPWatch.SaveHistory 002f TObject.Free 003b TIdComponent.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 70 00 74 0A 8B 56 60 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10679_0 {
	meta:
		name = "TIdIPWatch.ForceCheck"
		size = 17
		refs = "0008 TIdIPWatch.CheckStatus"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 43 70 5B C3 }
	condition:
		$1
}

rule function_10680_0 {
	meta:
		name = "TIdIPWatch.LoadHistory"
		size = 149
		refs = "000d TIdIPWatch.LoadHistory 0029 FileExists 006f @LStrAsg 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 20 10 75 56 8B 43 6C 8B 10 FF 52 40 8B 43 68 E8 ?? ?? ?? ?? 84 C0 74 42 80 7B 64 00 74 3C 8B 53 68 8B 43 6C 8B 08 FF 51 58 8B 43 6C 8B 10 FF 52 14 85 C0 7E 25 8B 73 6C 8B C6 8B 10 FF 52 14 8B D0 4A 8D 4D FC 8B C6 8B 30 FF 56 0C 8B 55 FC 8D 83 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10681_0 {
	meta:
		name = "TIdIPWatch.LocalIP"
		size = 77
		refs = "0015 TIdIPWatch.LocalIP 0022 GStack 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC C6 40 71 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 71 00 C3 E9 ?? ?? ?? ?? EB F1 5B 59 5D C3 }
	condition:
		$1
}

rule function_10682_0 {
	meta:
		name = "TIdIPWatch.SaveHistory"
		size = 24
	strings:
		$1 = { F6 40 20 10 75 11 80 78 64 00 74 0B 8B 50 68 8B 40 6C 8B 08 FF 51 64 C3 }
	condition:
		$1
}

rule function_10683_0 {
	meta:
		name = "TIdIPWatch.SetActive"
		size = 102
		refs = "001d _DV_TIdIPWatchThread 0022 TIdThread.Create 0039 TIdIPWatch.CheckStatus 0047 TIdThread.Start 005f FreeAndNil"
	strings:
		$1 = { 56 57 8B F8 3A 57 5C 74 5A 8B C2 88 47 5C F6 47 20 10 75 4F 84 C0 74 35 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 88 00 00 00 8B C6 89 78 40 89 78 48 C7 40 44 ?? ?? ?? ?? 8B 97 8C 00 00 00 89 50 3C E8 ?? ?? ?? ?? EB 16 8B 87 88 00 00 00 8B 10 FF 52 18 8D 87 88 00 00 00 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_10684_0 {
	meta:
		name = "TIdIPWatch.SetMaxHistoryEntries"
		size = 33
	strings:
		$1 = { 53 8B D8 89 53 74 EB 0A 33 D2 8B 43 6C 8B 08 FF 51 44 8B 43 6C 8B 10 FF 52 14 3B 43 74 7F E9 5B C3 }
	condition:
		$1
}

rule function_10685_0 {
	meta:
		name = "TIdIPWatch.SetWatchInterval"
		size = 18
	strings:
		$1 = { 3B 90 8C 00 00 00 74 09 8B 80 88 00 00 00 89 50 3C C3 }
	condition:
		$1
}

rule function_10686_0 {
	meta:
		name = "TIdIPWatchThread.Run"
		size = 72
		refs = "0019 Sleep 0036 TIdIPWatchThread.TimerEvent 003d TIdThread.Synchronize"
	strings:
		$1 = { 53 56 8B F0 8B 5E 3C 85 DB 7E 3A 81 FB F4 01 00 00 7E 12 B8 F4 01 00 00 E8 ?? ?? ?? ?? 81 EB F4 01 00 00 EB 09 8B C3 E8 ?? ?? ?? ?? 33 DB 80 7E 0C 00 75 11 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 7F C6 5E 5B C3 }
	condition:
		$1
}

rule function_10687_0 {
	meta:
		name = "TIdIPWatchThread.TimerEvent"
		size = 14
	strings:
		$1 = { 53 8B D8 8B 50 40 8B 43 48 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_10690_0 {
	meta:
		name = "_NF__3E"
		size = 640
	strings:
		$1 = { FF FF FF FF 05 00 00 00 41 44 4D 49 4E 00 00 00 FF FF FF FF 04 00 00 00 41 57 41 59 00 00 00 00 FF FF FF FF 07 00 00 00 43 4F 4E 4E 45 43 54 00 FF FF FF FF 05 00 00 00 45 52 52 4F 52 00 00 00 FF FF FF FF 04 00 00 00 49 4E 46 4F 00 00 00 00 FF FF FF FF 06 00 00 00 49 4E 56 49 54 45 00 00 FF FF FF FF 04 00 00 00 49 53 4F 4E 00 00 00 00 FF FF FF FF 04 00 00 00 4A 4F 49 4E 00 00 00 00 FF FF FF FF 04 00 00 00 4B 49 43 4B 00 00 00 00 FF FF FF FF 04 00 00 00 4B 49 4C 4C 00 00 00 00 FF FF FF FF 05 00 00 00 4C 49 4E 4B 53 00 00 00 FF FF FF FF 04 00 00 00 4C 49 53 54 00 00 00 00 FF FF FF FF 04 00 00 00 4D 4F 44 45 00 00 00 00 FF FF FF FF 05 00 00 00 4E 41 4D 45 53 00 00 00 FF FF FF FF 04 00 00 00 4E 49 43 4B 00 00 00 00 FF FF FF FF 06 00 00 00 4E 4F 54 49 43 45 00 00 FF FF FF FF 04 00 00 00 4F 50 45 52 00 00 00 00 FF FF FF FF 04 00 00 00 50 41 52 54 00 00 00 00 FF FF FF FF 04 00 00 00 50 41 53 53 00 00 00 00 FF FF FF FF 04 00 00 00 50 49 4E 47 00 00 00 00 FF FF FF FF 04 00 00 00 50 4F 4E 47 00 00 00 00 FF FF FF FF 07 00 00 00 50 52 49 56 4D 53 47 00 FF FF FF FF 04 00 00 00 51 55 49 54 00 00 00 00 FF FF FF FF 06 00 00 00 52 45 48 41 53 48 00 00 FF FF FF FF 07 00 00 00 52 45 53 54 41 52 54 00 FF FF FF FF 06 00 00 00 53 45 52 56 45 52 00 00 FF FF FF FF 05 00 00 00 53 51 55 49 54 00 00 00 FF FF FF FF 05 00 00 00 53 54 41 54 53 00 00 00 FF FF FF FF 06 00 00 00 53 55 4D 4D 4F 4E 00 00 FF FF FF FF 04 00 00 00 54 49 4D 45 00 00 00 00 FF FF FF FF 05 00 00 00 54 4F 50 49 43 00 00 00 FF FF FF FF 05 00 00 00 54 52 41 43 45 00 00 00 FF FF FF FF 04 00 00 00 55 53 45 52 00 00 00 00 FF FF FF FF 08 00 00 00 55 53 45 52 48 4F 53 54 00 00 00 00 FF FF FF FF 05 00 00 00 55 53 45 52 53 00 00 00 FF FF FF FF 07 00 00 00 56 45 52 53 49 4F 4E 00 FF FF FF FF 07 00 00 00 57 41 4C 4C 4F 50 53 00 FF FF FF FF 03 00 00 00 57 48 4F 00 FF FF FF FF 05 00 00 00 57 48 4F 49 53 00 00 00 FF FF FF FF 06 00 00 00 57 48 4F 57 41 53 00 00 }
	condition:
		$1
}

rule function_10691_0 {
	meta:
		name = "TIdIRCServer.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 0023 TIdTCPServer.SetDefaultPort 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 0B 1A 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10692_0 {
	meta:
		name = "NotHandled"
		size = 124
		refs = "000b NotHandled 0019 RSCMDNotRecognized 001e LoadResString 002e @LStrCat3 005c @LStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 40 3C 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 FF FF FF FF 04 00 00 00 34 32 31 20 00 00 00 00 }
	condition:
		$1
}

rule function_10693_0 {
	meta:
		name = "TIdIRCServer.DoExecute"
		size = 2920
		refs = "0018 TIdIRCServer.DoExecute 004e Fetch 005b UpperCase 0063 KnownCommands 006d PosInStrArray 0149 NotHandled 0b45 @LStrArrayClr 0b4b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 E9 F3 0A 00 00 8D 45 F8 50 8B 45 FC 8B 40 3C B9 FE FF FF FF 33 D2 8B 38 FF 57 74 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? B9 27 00 00 00 E8 ?? ?? ?? ?? 40 83 F8 28 0F 87 81 0A 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 BE 4A 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 4C 01 00 00 FF 96 48 01 00 00 E9 D5 09 00 00 55 E8 ?? ?? ?? ?? 59 E9 C9 09 00 00 66 83 BE A2 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 A4 01 00 00 FF 96 A0 01 00 00 E9 A8 09 00 00 55 E8 ?? ?? ?? ?? 59 E9 9C 09 00 00 66 83 BE 3A 01 00 00 00 74 45 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 3C 01 00 00 FF 96 38 01 00 00 E9 4D 09 00 00 55 E8 ?? ?? ?? ?? 59 E9 41 09 00 00 66 83 BE 9A 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 9C 01 00 00 FF 96 98 01 00 00 E9 20 09 00 00 55 E8 ?? ?? ?? ?? 59 E9 14 09 00 00 66 83 BE 52 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 54 01 00 00 FF 96 50 01 00 00 E9 F3 08 00 00 55 E8 ?? ?? ?? ?? 59 E9 E7 08 00 00 66 83 BE 0A 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 0C 01 00 00 FF 96 08 01 00 00 E9 AF 08 00 00 55 E8 ?? ?? ?? ?? 59 E9 A3 08 00 00 66 83 BE DA 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 DC 01 00 00 FF 96 D8 01 00 00 E9 82 08 00 00 55 E8 ?? ?? ?? ?? 59 E9 76 08 00 00 66 83 BE DA 00 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 DC 00 00 00 FF 96 D8 00 00 00 E9 3E 08 00 00 55 E8 ?? ?? ?? ?? 59 E9 32 08 00 00 66 83 BE 12 01 00 00 00 74 45 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 14 01 00 00 FF 96 10 01 00 00 E9 E3 07 00 00 55 E8 ?? ?? ?? ?? 59 E9 D7 07 00 00 66 83 BE 82 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 84 01 00 00 FF 96 80 01 00 00 E9 9F 07 00 00 55 E8 ?? ?? ?? ?? 59 E9 93 07 00 00 66 83 BE 2A 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 2C 01 00 00 FF 96 28 01 00 00 E9 5B 07 00 00 55 E8 ?? ?? ?? ?? 59 E9 4F 07 00 00 66 83 BE 02 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 04 01 00 00 FF 96 00 01 00 00 E9 17 07 00 00 55 E8 ?? ?? ?? ?? 59 E9 0B 07 00 00 66 83 BE EA 00 00 00 00 74 73 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 F8 50 8B 4D F4 8B 55 FC 8B 86 EC 00 00 00 FF 96 E8 00 00 00 E9 8E 06 00 00 55 E8 ?? ?? ?? ?? 59 E9 82 06 00 00 66 83 BE FA 00 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 FC 00 00 00 FF 96 F8 00 00 00 E9 61 06 00 00 55 E8 ?? ?? ?? ?? 59 E9 55 06 00 00 66 83 BE AA 00 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 AC 00 00 00 FF 96 A8 00 00 00 E9 1D 06 00 00 55 E8 ?? ?? ?? ?? 59 E9 11 06 00 00 66 83 BE 62 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 64 01 00 00 FF 96 60 01 00 00 E9 D9 05 00 00 55 E8 ?? ?? ?? ?? 59 E9 CD 05 00 00 66 83 BE C2 00 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 C4 00 00 00 FF 96 C0 00 00 00 E9 95 05 00 00 55 E8 ?? ?? ?? ?? 59 E9 89 05 00 00 66 83 BE E2 00 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 E4 00 00 00 FF 96 E0 00 00 00 E9 68 05 00 00 55 E8 ?? ?? ?? ?? 59 E9 5C 05 00 00 66 83 BE A2 00 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 A4 00 00 00 FF 96 A0 00 00 00 E9 3B 05 00 00 55 E8 ?? ?? ?? ?? 59 E9 2F 05 00 00 66 83 BE 8A 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 8C 01 00 00 FF 96 88 01 00 00 E9 F7 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 EB 04 00 00 66 83 BE 92 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 94 01 00 00 FF 96 90 01 00 00 E9 B3 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 A7 04 00 00 66 83 BE 5A 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 5C 01 00 00 FF 96 58 01 00 00 E9 6F 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 63 04 00 00 66 83 BE CA 00 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 CC 00 00 00 FF 96 C8 00 00 00 E9 42 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 36 04 00 00 66 83 BE AA 01 00 00 00 74 14 8B 55 FC 8B 86 AC 01 00 00 FF 96 A8 01 00 00 E9 18 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 0C 04 00 00 66 83 BE B2 01 00 00 00 74 14 8B 55 FC 8B 86 B4 01 00 00 FF 96 B0 01 00 00 E9 EE 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 E2 03 00 00 66 83 BE BA 00 00 00 00 74 45 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 50 8B 4D F4 8B 55 FC 8B 86 BC 00 00 00 FF 96 B8 00 00 00 E9 93 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 87 03 00 00 66 83 BE D2 00 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 D4 00 00 00 FF 96 D0 00 00 00 E9 4F 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 43 03 00 00 66 83 BE 22 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 24 01 00 00 FF 96 20 01 00 00 E9 0B 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 FF 02 00 00 66 83 BE BA 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 BC 01 00 00 FF 96 B8 01 00 00 E9 C7 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 BB 02 00 00 66 83 BE 32 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 34 01 00 00 FF 96 30 01 00 00 E9 9A 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 8E 02 00 00 66 83 BE F2 00 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 F4 00 00 00 FF 96 F0 00 00 00 E9 56 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 4A 02 00 00 66 83 BE 42 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 44 01 00 00 FF 96 40 01 00 00 E9 29 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 1D 02 00 00 66 83 BE B2 00 00 00 00 74 5C 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 EC 50 8B 45 F8 50 8B 4D F4 8B 55 FC 8B 86 B4 00 00 00 FF 96 B0 00 00 00 E9 B7 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 AB 01 00 00 66 83 BE D2 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 D4 01 00 00 FF 96 D0 01 00 00 E9 8A 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 7E 01 00 00 66 83 BE C2 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 C4 01 00 00 FF 96 C0 01 00 00 E9 5D 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 51 01 00 00 66 83 BE 1A 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 1C 01 00 00 FF 96 18 01 00 00 E9 30 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 24 01 00 00 66 83 BE CA 01 00 00 00 74 17 8B 4D F8 8B 55 FC 8B 86 CC 01 00 00 FF 96 C8 01 00 00 E9 03 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 F7 00 00 00 66 83 BE 6A 01 00 00 00 74 2E 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 6C 01 00 00 FF 96 68 01 00 00 E9 BF 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 B3 00 00 00 66 83 BE 72 01 00 00 00 74 2B 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 74 01 00 00 FF 96 70 01 00 00 EB 7E 55 E8 ?? ?? ?? ?? 59 EB 75 66 83 BE 7A 01 00 00 00 74 42 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 8B 4D F0 8B 55 FC 8B 86 7C 01 00 00 FF 96 78 01 00 00 EB 29 55 E8 ?? ?? ?? ?? 59 EB 20 66 83 BE 9A 00 00 00 00 74 16 8B 45 F8 50 8B 4D F4 8B 55 FC 8B 86 9C 00 00 00 FF 96 98 00 00 00 8B 45 FC 8B 40 3C 8B 10 FF 52 54 84 C0 0F 85 FA F4 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10694_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a KnownCommands 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 28 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10697_0 {
	meta:
		name = "TIdLogBase.Connect"
		size = 44
		refs = "0006 TIdConnectionIntercept.Connect 000b TIdLogBase.Connect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 50 5B C3 FF FF FF FF 0A 00 00 00 43 6F 6E 6E 65 63 74 65 64 2E 00 00 }
	condition:
		$1
}

rule function_10698_0 {
	meta:
		name = "TIdLogBase.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TComponent.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 34 00 C6 46 35 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10699_0 {
	meta:
		name = "TIdLogBase.DataReceived"
		size = 136
		refs = "0014 TIdLogBase.DataReceived 0025 TIdConnectionIntercept.DataReceived 0031 @LStrFromPCharLen 0041 @LStrCat3 0065 @LStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D6 8D 45 FC 8B CF E8 ?? ?? ?? ?? 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 FF FF FF FF 06 00 00 00 52 65 63 76 3A 20 00 00 }
	condition:
		$1
}

rule function_10700_0 {
	meta:
		name = "TIdLogBase.DataSent"
		size = 136
		refs = "0014 TIdLogBase.DataSent 0025 TIdConnectionIntercept.DataSent 0031 @LStrFromPCharLen 0041 @LStrCat3 0065 @LStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D6 8D 45 FC 8B CF E8 ?? ?? ?? ?? 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 FF FF FF FF 06 00 00 00 53 65 6E 74 3A 20 00 00 }
	condition:
		$1
}

rule function_10701_0 {
	meta:
		name = "TIdLogBase.Disconnect"
		size = 48
		refs = "0004 TIdLogBase.Disconnect 0012 TIdConnectionIntercept.Disconnect"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 50 8B C3 E8 ?? ?? ?? ?? 5B C3 FF FF FF FF 0D 00 00 00 44 69 73 63 6F 6E 6E 65 63 74 65 64 2E 00 00 00 }
	condition:
		$1
}

rule function_10702_0 {
	meta:
		name = "TIdLogBase.DoLog"
		size = 216
		refs = "0015 @LStrAddRef 001d TIdLogBase.DoLog 0034 Now 0043 DateTimeToStr 005b @LStrCatN 0077 StringReplace 009b @LStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 34 00 74 58 80 7B 35 00 74 2C E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 FF FF FF FF 02 00 00 00 3A 20 00 00 01 00 00 00 FF FF FF FF 05 00 00 00 3C 45 4F 4C 3E 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10703_0 {
	meta:
		name = "TIdLogBase.SetActive"
		size = 4
	strings:
		$1 = { 88 50 34 C3 }
	condition:
		$1
}

rule function_10706_0 {
	meta:
		name = "TIdLogDebug.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TIdLogBase.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17383_0 {
	meta:
		name = "THintAction.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCustomAction.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10707_0 {
	meta:
		name = "TIdLogDebug.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 001c TComponent.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 4C 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10708_0 {
	meta:
		name = "TIdLogDebug.Log"
		size = 212
		refs = "0013 @LStrAddRef 001b TIdLogDebug.Log 0046 @LStrLen 004f @LStrToPChar 005a TStream.WriteBuffer 0067 @LStrLAsg 0095 @LStrCat3 009d DebugOutput 00b7 @LStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 42 00 74 0B 8D 4D FC 8B D3 8B 43 44 FF 53 40 8A 43 48 2C 01 72 04 74 49 EB 5F 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 3C 59 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 59 E8 ?? ?? ?? ?? EB 18 8D 45 F4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10709_0 {
	meta:
		name = "TIdLogDebug.SetActive"
		size = 130
		refs = "001c FileExists 002c _Dn_TFileStream 0031 TFileStream.Create 0057 TStream.GetSize 0060 TStream.SetPosition 0071 FreeAndNil 007a TIdLogBase.SetActive"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 84 DB 74 5B 8A 46 48 2C 01 73 63 F6 46 20 01 75 5D 8B 46 38 E8 ?? ?? ?? ?? 84 C0 74 16 6A 02 8B 4E 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C EB 17 68 FF FF 00 00 8B 4E 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B 7E 3C 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 0F 8A 46 48 2C 01 73 08 8D 46 3C E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10710_0 {
	meta:
		name = "TIdLogDebug.SetTarget"
		size = 128
		refs = "000f TIdLogDebug.SetTarget 0036 RSCannotChangeDebugTargetAtWhileActive 003b LoadResString 0045 _DV_EIdCanNotChangeTarget 004a Exception.Create 004f @RaiseExcept 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 46 20 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 27 80 7E 34 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5E 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 11 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10713_0 {
	meta:
		name = "TIdMappedPortTCP.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIdTCPServer.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 98 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10714_0 {
	meta:
		name = "TIdMappedPortTCP.DoConnect"
		size = 129
		refs = "000d TIdTCPServer.DoConnect 0014 _DV_TIdMappedPortTCPData 0019 TIdMappedPortTCPData.Create 0029 _Dn_TIdTCPClient 002e TIdTCPClient.Create 0050 @LStrAsg"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 28 8B EE 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 75 04 8B 83 98 00 00 00 89 86 A8 00 00 00 8D 86 9C 00 00 00 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 66 83 BB A2 00 00 00 00 74 14 8B 45 04 50 8B CF 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 8B C6 8B 10 FF 92 94 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10715_0 {
	meta:
		name = "TIdMappedPortTCP.DoExecute"
		size = 331
		refs = "0014 TIdMappedPortTCP.DoExecute 0046 @CallDynaInst 0059 TList.Add 007b GStack 009b TList.IndexOf 00ac TIdTCPConnection.CurrentReadBuffer 011f @HandleFinally 0136 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B 45 FC 8B 40 28 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 70 08 8B C6 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 40 60 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 8B 40 60 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 6A 00 6A FE 8B 45 F4 8B 50 08 A1 ?? ?? ?? ?? 8B 00 33 C9 8B 18 FF 53 50 85 C0 7E 6A 8B 45 FC 8B 40 3C 8B 40 60 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 40 7E 1F 8D 55 F0 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 40 04 8B 08 FF 91 80 00 00 00 8B 45 F4 8B 40 04 8B 40 60 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 40 7E 1F 8D 55 F0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 40 3C 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 04 8B 10 FF 52 54 84 C0 75 0B 8B 45 FC 8B 40 3C 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10716_0 {
	meta:
		name = "TIdMappedPortTCPData.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10717_0 {
	meta:
		name = "TIdMappedPortTCPData.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f FreeAndNil 0023 TObject.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 E8 ?? ?? ?? ?? 8D 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10720_0 {
	meta:
		name = "TIdMessage.AddHeader"
		size = 9
	strings:
		$1 = { 8B 40 50 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_10722_0 {
	meta:
		name = "TIdMessage.ClearBody"
		size = 21
		refs = "0007 TCollection.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 54 E8 ?? ?? ?? ?? 8B 43 28 8B 10 FF 52 40 5B C3 }
	condition:
		$1
}

rule function_10723_0 {
	meta:
		name = "TIdMessage.ClearHeader"
		size = 163
		refs = "0007 TCollection.Clear 0021 TIdEMailAddressItem.SetText 0031 @LStrClr 009d TIdMessage.SetUseNowForDate"
	strings:
		$1 = { 53 8B D8 8B 43 30 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 33 C0 89 43 3C 89 43 40 33 D2 8B 43 4C E8 ?? ?? ?? ?? 8B 43 5C 8B 10 FF 52 40 8D 43 64 E8 ?? ?? ?? ?? 8D 43 78 E8 ?? ?? ?? ?? 8B 43 7C E8 ?? ?? ?? ?? 8D 43 6C E8 ?? ?? ?? ?? 8B 43 74 E8 ?? ?? ?? ?? C6 43 68 02 33 D2 8B 43 70 E8 ?? ?? ?? ?? 8D 43 34 E8 ?? ?? ?? ?? 8D 43 2C E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? 33 D2 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B 43 50 8B 10 FF 52 40 8B 43 48 8B 10 FF 52 40 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10724_0 {
	meta:
		name = "TIdMessage.Create"
		size = 263
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TObject.Create 002f _Dn_TIdEMailAddressList 0034 TIdEMailAddressList.Create 0062 _DV_TIdMessageParts 0067 TIdMessageParts.Create 0080 _Dn_TIdHeaderList 0085 TIdHeaderList.Create 0091 _Dn_TIdEMailAddressItem 0096 TCollectionItem.Create 00f4 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 74 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 70 C6 46 60 00 8B C6 8B 10 FF 52 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10725_0 {
	meta:
		name = "TIdMessage.Destroy"
		size = 136
		refs = "0003 @BeforeDestruction 000f TObject.Free 0076 TComponent.Destroy 0081 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B 46 74 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 54 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B 46 7C E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10726_0 {
	meta:
		name = "TIdMessage.SetBody"
		size = 13
		altNames = "TPictureEditor.SetPicture TPostMessage.SetLinesBCC"
	strings:
		$1 = { 56 8B F0 8B 46 28 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10727_0 {
	meta:
		name = "TIdMessage.SetNewsGroups"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 5C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10732_0 {
	meta:
		name = "GetMsgPriority"
		size = 272
		refs = "0011 @LStrAddRef 0019 GetMsgPriority 002a LowerCase 0033 IndyPos 0074 Trim 0087 Fetch 009d @LStrLAsg 00aa StrToIntDef 00c7 @LStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 74 04 B3 01 EB 69 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 74 04 B3 03 EB 44 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 75 72 67 65 6E 74 00 00 FF FF FF FF 0C 00 00 00 6E 6F 6E 2D 70 72 69 6F 72 69 74 79 00 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10733_0 {
	meta:
		name = "TIdMessage.GetHeader"
		size = 980
		refs = "000e TIdMessage.GetHeader 0024 TIdHeaderList.GetValue 002f @LStrAsg 0065 DecodeHeader 0096 TIdEMailAddressItem.SetText 00cc CommaSeperatedToStringList 00f2 TIdEMailAddressList.SetEMailAddresses 0159 TIdEMailAddressItem.GetText 0161 @LStrLen 01ce GMTToLocalDateTime 0224 GetMsgPriority 025e @LStrArrayClr 0264 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 34 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 6C E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 4C E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 58 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 5C E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 74 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 30 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 64 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 70 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 70 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 1B 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 70 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 78 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 7C E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5B 3C 9B 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 1D 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 43 68 EB 1B 8D 4D FC BA ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 43 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 00 00 00 00 FF FF FF FF 19 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 00 00 00 FF FF FF FF 07 00 00 00 53 75 62 6A 65 63 74 00 FF FF FF FF 04 00 00 00 46 72 6F 6D 00 00 00 00 FF FF FF FF 0A 00 00 00 4D 65 73 73 61 67 65 2D 49 64 00 00 FF FF FF FF 0A 00 00 00 4E 65 77 73 67 72 6F 75 70 73 00 00 FF FF FF FF 02 00 00 00 54 6F 00 00 FF FF FF FF 02 00 00 00 43 63 00 00 FF FF FF FF 0C 00 00 00 4F 72 67 61 6E 69 7A 61 74 69 6F 6E 00 00 00 00 FF FF FF FF 1B 00 00 00 44 69 73 70 6F 73 69 74 69 6F 6E 2D 4E 6F 74 69 66 69 63 61 74 69 6F 6E 2D 54 6F 00 FF FF FF FF 11 00 00 00 52 65 74 75 72 6E 2D 52 65 63 65 69 70 74 2D 54 6F 00 00 00 FF FF FF FF 0A 00 00 00 52 65 66 65 72 65 6E 63 65 73 00 00 FF FF FF FF 08 00 00 00 52 65 70 6C 79 2D 54 6F 00 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 FF FF FF FF 06 00 00 00 53 65 6E 64 65 72 00 00 FF FF FF FF 08 00 00 00 50 72 69 6F 72 69 74 79 00 00 00 00 FF FF FF FF 0A 00 00 00 58 2D 50 72 69 6F 72 69 74 79 00 00 }
	condition:
		$1
}

rule function_10735_0 {
	meta:
		name = "TIdMessage.GetUseNowForDate"
		size = 24
		refs = "0007 TIdMessage.GetUseNowForDate"
	strings:
		$1 = { 8B D0 DD 42 3C D8 1D ?? ?? ?? ?? DF E0 9E 0F 94 C0 C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10736_0 {
	meta:
		name = "TIdMessage.SetUseNowForDate"
		size = 9
	strings:
		$1 = { 33 D2 89 50 3C 89 50 40 C3 }
	condition:
		$1
}

rule function_10737_0 {
	meta:
		name = "TIdMessagePart.Assign"
		size = 143
		refs = "0010 TIdMessagePart.Assign 001d TObject.ClassType 0033 TPersistent.Assign 003f TIdMessagePart.GetContentTransfer 0049 TIdMessagePart.SetContentTransfer 0053 TIdMessagePart.GetContentType 005d TIdMessagePart.SetContentType 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 33 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 56 24 8B 43 24 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10738_0 {
	meta:
		name = "TIdMessagePart.Create"
		size = 191
		refs = "0010 @ClassCreate 001e TIdMessagePart.Create 002b TObject.ClassType 0031 _DV_TIdMessagePart 003b RSTIdMessagePartCreate 0040 LoadResString 004a _DV_EIdCanNotCreateMessagePart 004f Exception.Create 0054 @RaiseExcept 005f TCollectionItem.Create 006a _Dn_TIdHeaderList 006f TIdHeaderList.Create 0096 @LStrClr 009c @HandleFinally 00a9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 2C 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10739_0 {
	meta:
		name = "TIdMessagePart.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TCollectionItem.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10740_0 {
	meta:
		name = "TIdMessage.GenerateHeader"
		size = 1032
		refs = "0011 TIdMessage.GenerateHeader 0025 InitializeMime 002c _Dn_TIdHeaderList 0031 TIdHeaderList.Create 0049 EncodeAddressItem 0058 TIdHeaderList.SetValue 0074 EncodeHeader 0099 EncodeAddress 00d8 TStrings.GetCommaText 00fe TCollection.GetCount 0130 TIdEMailAddressItem.GetText 01ca TIdMessage.GetUseNowForDate 01d3 Now 01e2 DateTimeToInternetStr 021e IntToStr 025d @LStrClr 026b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8D 55 FB 8D 45 FA E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 50 8D 45 F4 50 8A 4D FA 8A 55 FB 8B 46 4C E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 45 FA 50 8B 45 FC 50 8D 45 F4 50 8A 4D FB BA ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F4 50 8A 4D FA 8A 55 FB 8B 46 74 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F4 50 8A 4D FA 8A 55 FB 8B 46 30 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 46 5C E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4E 34 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 46 54 E8 ?? ?? ?? ?? 85 C0 7E 11 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4E 38 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F4 50 8A 4D FA 8A 55 FB 8B 46 7C E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 45 FA 50 8B 45 FC 50 8D 45 F4 50 8A 4D FB BA ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F4 50 8A 4D FA 8A 55 FB 8B 46 70 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4E 78 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 25 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 1D FF 76 40 FF 76 3C 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 33 C0 8A 46 68 40 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 56 48 8B C3 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 46 72 6F 6D 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF FF FF FF 07 00 00 00 53 75 62 6A 65 63 74 00 FF FF FF FF 02 00 00 00 54 6F 00 00 FF FF FF FF 02 00 00 00 43 63 00 00 FF FF FF FF 0A 00 00 00 4E 65 77 73 67 72 6F 75 70 73 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 00 00 00 00 FF FF FF FF 03 00 00 00 31 2E 30 00 FF FF FF FF 0C 00 00 00 4D 49 4D 45 2D 56 65 72 73 69 6F 6E 00 00 00 00 FF FF FF FF 19 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 00 00 00 FF FF FF FF 06 00 00 00 53 65 6E 64 65 72 00 00 FF FF FF FF 08 00 00 00 52 65 70 6C 79 2D 54 6F 00 00 00 00 FF FF FF FF 0C 00 00 00 4F 72 67 61 6E 69 7A 61 74 69 6F 6E 00 00 00 00 FF FF FF FF 1B 00 00 00 44 69 73 70 6F 73 69 74 69 6F 6E 2D 4E 6F 74 69 66 69 63 61 74 69 6F 6E 2D 54 6F 00 FF FF FF FF 0A 00 00 00 52 65 66 65 72 65 6E 63 65 73 00 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 FF FF FF FF 0A 00 00 00 58 2D 50 72 69 6F 72 69 74 79 00 00 FF FF FF FF 0B 00 00 00 49 6E 64 79 20 38 2E 30 2E 32 32 00 FF FF FF FF 09 00 00 00 58 2D 4C 69 62 72 61 72 79 00 00 00 }
	condition:
		$1
}

rule function_10741_0 {
	meta:
		name = "TIdMessagePart.GetContentTransfer"
		size = 60
		refs = "0009 TIdMessagePart.GetContentTransfer 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 19 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 00 00 00 }
	condition:
		$1
}

rule function_10742_0 {
	meta:
		name = "TIdMessagePart.GetContentType"
		size = 48
		refs = "0009 TIdMessagePart.GetContentType 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 00 00 00 00 }
	condition:
		$1
}

rule function_10743_0 {
	meta:
		name = "TIdMessagePart.SetContentTransfer"
		size = 52
		refs = "0006 TIdMessagePart.SetContentTransfer 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 FF FF FF FF 19 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 00 00 00 }
	condition:
		$1
}

rule function_10744_0 {
	meta:
		name = "TIdMessagePart.SetContentType"
		size = 40
		refs = "0006 TIdMessagePart.SetContentType 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 00 00 00 00 }
	condition:
		$1
}

rule function_10745_0 {
	meta:
		name = "TIdMessagePart.SetExtraHeaders"
		size = 13
		altNames = "TPostMessage.SetLinesCC"
	strings:
		$1 = { 56 8B F0 8B 46 24 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10746_0 {
	meta:
		name = "TIdAttachment.Assign"
		size = 174
		refs = "0010 TIdAttachment.Assign 001d TObject.ClassType 0033 TIdMessagePart.Assign 003f TIdMessagePart.GetContentTransfer 0049 TIdMessagePart.SetContentTransfer 0053 TIdMessagePart.GetContentType 005d TIdMessagePart.SetContentType 0072 TIdAttachment.GetContentDisposition 007c TIdAttachment.SetContentDisposition 0087 @LStrAsg 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 52 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 56 24 8B 43 24 8B 08 FF 51 08 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 40 8B 56 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10747_0 {
	meta:
		name = "TIdAttachment.Create"
		size = 70
		refs = "000d @ClassCreate 001a TIdMessagePart.Create 0025 @LStrAsg 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10748_0 {
	meta:
		name = "TIdAttachment.GetContentDisposition"
		size = 52
		refs = "0009 TIdAttachment.GetContentDisposition 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 13 00 00 00 43 6F 6E 74 65 6E 74 2D 44 69 73 70 6F 73 69 74 69 6F 6E 00 }
	condition:
		$1
}

rule function_10749_0 {
	meta:
		name = "TIdAttachment.SaveToFile"
		size = 9
		refs = "0004 CopyFileTo"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10750_0 {
	meta:
		name = "TIdAttachment.SetContentDisposition"
		size = 44
		refs = "0006 TIdAttachment.SetContentDisposition 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 FF FF FF FF 13 00 00 00 43 6F 6E 74 65 6E 74 2D 44 69 73 70 6F 73 69 74 69 6F 6E 00 }
	condition:
		$1
}

rule function_10751_0 {
	meta:
		name = "TIdText.Assign"
		size = 154
		refs = "0010 TIdText.Assign 001d TObject.ClassType 0033 TIdMessagePart.Assign 003f TIdMessagePart.GetContentTransfer 0049 TIdMessagePart.SetContentTransfer 0053 TIdMessagePart.GetContentType 005d TIdMessagePart.SetContentType 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 3E 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 56 24 8B 43 24 8B 08 FF 51 08 8B 56 3C 8B 43 3C 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10752_0 {
	meta:
		name = "TIdText.Create"
		size = 99
		refs = "000f @ClassCreate 0020 TIdMessagePart.Create 0027 _Dn_TStringList 002c TObject.Create 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 7D 08 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 3C 85 FF 74 09 8B D7 8B C3 8B 08 FF 51 08 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10753_0 {
	meta:
		name = "TIdText.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TIdMessagePart.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 3C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10754_0 {
	meta:
		name = "TIdText.SetBody"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 3C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10756_0 {
	meta:
		name = "IdMessage"
		size = 48
		refs = "0008 _DV_9 0010 _DV_TIdAttachment 0018 _DV_TIdText 0028 RegisterClasses"
	strings:
		$1 = { 55 8B EC 83 C4 F8 83 2D ?? ?? ?? ?? 01 73 1D A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_10757_0 {
	meta:
		name = "GetLongestLine"
		size = 223
		refs = "001a @LStrAddRef 0022 GetLongestLine 0039 @LStrLen 0066 @LStrCopy 0071 @LStrCmp 0089 @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C7 45 F4 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 06 E8 ?? ?? ?? ?? 8B F8 3B FB 7E 32 8B 06 8A 44 18 FF 8B 55 FC 3A 02 75 20 8D 45 EC 50 8B 06 8B 4D F0 8B D3 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 75 03 89 5D F4 43 3B FB 7F CE 83 7D F4 FF 75 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 24 8B 45 F8 50 8B 4D F4 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 56 8B 55 F4 03 55 F0 8B 06 8B CF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10758_0 {
	meta:
		name = "TIdMessageClient.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TIdTCPClient.Create 002b TIdMessageClient.Create 0030 @LStrAsg 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 86 B4 00 00 00 4F 00 8D 86 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_10759_0 {
	meta:
		name = "TIdMessageClient.WriteFoldedLine"
		size = 428
		refs = "0015 TIdMessageClient.WriteFoldedLine 0025 @LStrLAsg 003b @LStrLen 006f @LStrCopy 007f GetLongestLine 00a7 @LStrCat3 0114 @LStrCatN 0140 Trim 018a @LStrArrayClr 0190 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 8B 96 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 66 8B 9E B4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B7 96 B4 00 00 00 3B C2 0F 8E 08 01 00 00 8D 45 F0 50 0F B7 CB BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 0F B7 D3 42 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 91 84 00 00 00 EB 6B 8D 45 F0 50 0F B7 CB 0F B7 C7 2B C8 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 75 F0 8D 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 0F B7 D3 0F B7 C7 2B D0 42 8B 45 F8 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 91 84 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B7 D3 0F B7 CF 2B D1 3B C2 7F 81 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 83 7D EC 00 74 2A 8D 45 EC 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 91 84 00 00 00 EB 0D 8B 55 F8 8B C6 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10760_0 {
	meta:
		name = "ProcessNotification"
		size = 1320
		refs = "000a ProcessNotification 0026 Fetch 002e StrToInt 00b0 @LStrLen 00c5 _Dn_TIdText 00ca @IsClass 0110 UniqueString 016d LowerCase 017a AnsiPos 0215 @LStrCmp 022e TIdText.Create 024b _Dn_TIdAttachment 0250 TIdAttachment.Create 0277 @LStrAsg 0314 @LStrLAsg 032d _Dn_TIdHeaderList 0332 TIdHeaderList.Create 036b TObject.Free 03d3 @HandleFinally 03e3 DecodeHeader 0414 MakeTempFilename 0454 _Dn_TFileStream 0459 TFileStream.Create 049a @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 83 C0 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 1A 0F 87 2F 04 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 00 00 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 02 03 04 05 06 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 80 78 FB 00 74 0C 8B 45 08 C6 40 FB 00 E9 CE 03 00 00 8B 45 08 83 78 F4 01 0F 8E C1 03 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 85 C0 7E 6A 8B 45 08 8B 40 F0 8B 58 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 8B 50 FC 8B 45 08 8B 43 3C 8B 08 FF 51 34 EB 3D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 85 C0 7E 2E 8B 45 08 83 78 EC 00 74 25 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 EC 59 8B 18 FF 53 08 8B 45 08 C6 40 EB 01 E9 3C 03 00 00 8B 45 08 C7 40 F4 02 00 00 00 E9 2D 03 00 00 8B 45 08 C6 40 EA 00 E9 21 03 00 00 8B 45 08 83 78 F4 01 0F 8E 14 03 00 00 8B 45 08 80 78 EA 00 0F 85 01 01 00 00 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1F 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 7A 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 5B 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 3C 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1D 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 22 6A 00 8B 45 08 8B 40 E4 8B 48 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 F0 89 42 08 EB 20 6A 00 8B 45 08 8B 40 E4 8B 48 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 F0 89 42 08 8B 45 08 C6 40 EA 01 8B 45 08 8B 40 F0 8B 58 08 8D 43 0C 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? C6 43 10 01 8B 45 08 8B 50 FC 8B 43 28 8B 08 FF 51 34 8B 45 08 C6 40 EB 01 8B 45 08 C6 40 FB 01 E9 CA 01 00 00 8B 45 08 C6 40 FB 01 8B 45 08 C6 40 EB 00 8B 45 08 C6 40 EA 00 E9 B0 01 00 00 8B 45 08 8B 40 F0 8B 40 08 C6 40 11 01 8B 45 08 C6 40 FB 01 8B 45 08 C6 40 EB 01 E9 90 01 00 00 8B 45 08 C7 40 F4 01 00 00 00 E9 81 01 00 00 8B 45 08 8B 40 F0 8B 58 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D2 00 00 00 8B 45 08 83 C0 E0 8B 55 08 8B 53 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 40 08 8A 40 10 8B 55 08 88 42 DF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F0 8B 40 08 8B 50 28 8B 45 08 8B 40 D8 8B 08 FF 51 08 8B 45 08 8B 40 F0 8B 40 08 E8 ?? ?? ?? ?? 6A 00 8B 45 08 8B 40 E4 8B 48 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F0 89 58 08 8B 45 08 8D 43 0C 8B 55 08 8B 52 E0 E8 ?? ?? ?? ?? 8B 45 08 8A 40 DF 88 43 10 8B 45 08 8B 50 D8 8B 43 28 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F0 8B 40 08 83 C0 40 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 40 08 8B 40 38 E8 ?? ?? ?? ?? 85 C0 75 53 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F0 8B 40 08 83 C0 38 E8 ?? ?? ?? ?? 8B 45 08 83 78 EC 00 74 0B 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 68 FF FF 00 00 8B 45 08 8B 40 F0 8B 40 08 8B 48 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 8B 45 08 C6 40 EB 01 8D 55 FC 8B 45 08 8B 40 F0 8B 40 04 8B 08 FF 51 40 8B 55 FC 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 FF FF FF FF 04 00 00 00 6E 61 6D 65 00 00 00 00 FF FF FF FF 04 00 00 00 74 65 78 74 00 00 00 00 FF FF FF FF 09 00 00 00 6D 75 6C 74 69 70 61 72 74 00 00 00 FF FF FF FF 07 00 00 00 6D 65 73 73 61 67 65 00 FF FF FF FF 0A 00 00 00 61 74 74 61 63 68 6D 65 6E 74 00 00 FF FF FF FF 0D 00 00 00 63 6F 6E 74 65 6E 74 2D 74 79 70 65 3A 00 00 00 }
	condition:
		$1
}

rule function_10761_0 {
	meta:
		name = "TIdMessageClient.ReceiveBody"
		size = 1040
		refs = "0027 TIdMessageClient.ReceiveBody 004b TIdTCPConnection.Capture 006d TCollection.Clear 0074 _Dn_TList 0079 TObject.Create 0091 _Dn_TStringList 00a1 TIdMessage.GenerateHeader 00ee TList.Get 012a @LStrCatN 0137 TIdCoder.CodeString 0169 TObject.Free 0177 @HandleFinally 0183 @GetMem 0196 _Dn_TIdIMFDecoder 019b TIdIMFDecoder.Create 01ad _Dn_TIdText 01b2 TIdText.Create 01ca TList.Add 0273 @LStrCmp 028d @LStrCat3 02a6 ProcessNotification 02af @LStrLen 034c @FreeMem 0376 @LStrArrayClr 037e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 C9 89 4D B8 89 4D B4 89 4D B0 89 4D D0 89 4D FC 89 4D E0 89 55 E4 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 80 78 60 00 74 1A 6A 00 8B 45 E4 8B 50 28 B9 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E9 0C 03 00 00 33 C0 89 45 EC 33 C0 89 45 F4 C6 45 EB 00 C6 45 EA 00 8B 45 E4 8B 40 54 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 8B 45 E4 E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 C0 8B 45 C4 8B 08 FF 51 3C 8B 45 C4 8B 10 FF 52 14 85 C0 0F 84 87 00 00 00 8B 45 C8 8B 40 08 48 85 C0 7C 7C 40 89 45 BC C7 45 CC 00 00 00 00 8B 55 CC 8B 45 C8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 70 04 C6 46 50 01 C6 46 51 01 33 DB EB 35 8D 4D B0 8B D3 8B 45 C4 8B 38 FF 57 0C FF 75 B0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8D 4D B8 8B C6 E8 ?? ?? ?? ?? 43 8B 45 C4 8B 10 FF 52 14 3B D8 7C BF C6 46 50 00 C6 46 51 00 FF 45 CC FF 4D BC 75 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 B8 0C 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 5D F0 C6 03 01 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 6A 00 8B 45 E4 8B 48 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B 46 3C 8B 10 FF 52 40 8B 55 F0 8B 45 C8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E4 FF 70 34 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8D 4D B8 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E4 FF 70 38 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8D 4D B8 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8D 4D B8 8B 45 F0 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 D4 8B 18 FF 53 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 B9 FE FF FF FF 33 D2 8B 45 D4 8B 18 FF 53 74 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 40 8B 45 F0 80 38 00 74 D6 8D 45 B8 B9 ?? ?? ?? ?? 8B 55 D0 E8 ?? ?? ?? ?? 8B 55 B8 8D 4D FC 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F ED EB 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 D4 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 8B 5D F0 80 3B 00 74 1A 8D 55 FC 8B 43 04 8B 08 FF 51 38 EB 07 55 E8 ?? ?? ?? ?? 59 83 7D FC 00 75 F3 83 7D EC 00 74 08 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 89 45 CC EB 1B BA 01 00 00 00 8B 45 C8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 C8 8B 40 08 48 3B 45 CC 7F D9 BA 0C 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 1B 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 3A 20 00 }
	condition:
		$1
}

rule function_10762_0 {
	meta:
		name = "TIdMessageClient.SendHeader"
		size = 696
		refs = "001a TIdMessageClient.SendHeader 003d TCollection.GetCount 0051 TIdMessageParts.GetItem 0057 _Dn_TIdText 005c @IsClass 0077 _Dn_TIdAttachment 009a TIdHeaderList.GetValue 00a2 @LStrLen 00c9 @LStrAsg 0128 @LStrCatN 012f TIdMessage.GenerateHeader 014b TIdTCPConnection.WriteStrings 0160 TObject.Free 0166 @HandleFinally 017d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 33 D2 89 10 8B 45 F8 33 D2 89 10 8B 45 0C 33 D2 89 10 8B 43 54 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 70 47 33 F6 8B 43 54 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B 45 0C FF 00 EB 49 8B 43 54 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 43 54 8B D6 E8 ?? ?? ?? ?? 8B 40 24 8D 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 05 8B 45 08 FF 00 8B 45 F8 FF 00 46 4F 75 93 8B 45 08 83 38 00 7E 0F 8D 43 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 8B 45 F8 83 38 00 7E 0F 8D 43 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8B 45 0C 83 38 00 7E 0D 8D 43 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 85 C0 75 0D 8D 43 34 8B 53 2C E8 ?? ?? ?? ?? EB 18 FF 73 34 68 ?? ?? ?? ?? FF 73 2C 8D 43 34 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 0A 00 00 00 43 6F 6E 74 65 6E 74 2D 49 44 00 00 FF FF FF FF 61 00 00 00 6D 75 6C 74 69 70 61 72 74 2F 72 65 6C 61 74 65 64 3B 20 74 79 70 65 3D 22 6D 75 6C 74 69 70 61 72 74 2F 61 6C 74 65 72 6E 61 74 69 76 65 22 3B 20 62 6F 75 6E 64 61 72 79 3D 22 3D 5F 4E 65 78 74 50 61 72 74 5F 32 72 65 6C 72 66 6B 73 61 64 76 6E 71 69 6E 64 79 77 33 6E 65 72 61 73 64 66 22 00 00 00 FF FF FF FF 3E 00 00 00 6D 75 6C 74 69 70 61 72 74 2F 6D 69 78 65 64 3B 20 62 6F 75 6E 64 61 72 79 3D 22 3D 5F 4E 65 78 74 50 61 72 74 5F 32 72 66 6B 69 6E 64 79 73 61 64 76 6E 71 77 33 6E 65 72 61 73 64 66 22 00 00 FF FF FF FF 44 00 00 00 6D 75 6C 74 69 70 61 72 74 2F 61 6C 74 65 72 6E 61 74 69 76 65 3B 20 62 6F 75 6E 64 61 72 79 3D 22 3D 5F 4E 65 78 74 50 61 72 74 5F 32 72 66 6B 69 6E 64 79 73 61 64 76 6E 71 77 33 6E 65 72 61 73 64 66 22 00 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_10763_0 {
	meta:
		name = "EncodeAndWriteText"
		size = 792
		refs = "0015 EncodeAndWriteText 0025 TIdMessagePart.GetContentType 002d @LStrLen 003d TIdMessagePart.SetContentType 0047 TIdMessagePart.GetContentTransfer 005f TIdMessagePart.SetContentTransfer 007a CoderCollective 0087 TIdCoderCollection.GetCoderType 00b5 @LStrCat3 00ff TIdTCPConnection.WriteStrings 0157 @LStrCopy 0164 @LStrCmp 01aa @LStrCat 01b8 TIdCoder.CodeString 01d6 Fetch 01ea Encode2022JP 023d TObject.Free 0243 @HandleFinally 025f @LStrArrayClr 0267 @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 75 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 75 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 40 18 33 C9 B2 01 FF 50 2C 89 45 F4 8B 45 F4 C6 40 51 01 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 40 FC 8B 08 FF 91 84 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 40 FC 8B 08 FF 91 84 00 00 00 8B 53 24 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 8B 08 FF 91 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 10 FF 52 14 48 85 C0 0F 8C EA 00 00 00 40 89 45 EC 33 F6 8D 45 E8 50 8D 4D E4 8B 43 3C 8B D6 8B 38 FF 57 0C 8B 45 E4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8D 4D E4 8B 43 3C 8B D6 8B 38 FF 57 0C 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 43 3C 8B D6 8B 38 FF 57 20 8D 4D E4 8B 43 3C 8B D6 8B 38 FF 57 0C 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 4D E8 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 8B 08 FF 51 38 8D 45 E8 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 80 78 FB 02 75 1E 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 40 FC 8B 08 FF 91 80 00 00 00 EB 11 8B 45 08 8B 40 FC 8B 55 F0 8B 08 FF 91 80 00 00 00 46 FF 4D EC 0F 85 1C FF FF FF 8B 45 08 8B 40 FC 33 D2 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 0A 00 00 00 74 65 78 74 2F 70 6C 61 69 6E 00 00 FF FF FF FF 10 00 00 00 71 75 6F 74 65 64 2D 70 72 69 6E 74 61 62 6C 65 00 00 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 00 00 FF FF FF FF 1B 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 3A 20 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_10764_0 {
	meta:
		name = "EncodeAndWriteAttachment"
		size = 1204
		refs = "0018 EncodeAndWriteAttachment 002b @LStrSetLength 0036 TIdMessagePart.GetContentTransfer 003e @LStrLen 004f TIdMessagePart.SetContentTransfer 005a TIdAttachment.GetContentDisposition 0073 TIdAttachment.SetContentDisposition 007e TIdMessagePart.GetContentType 0090 CoderCollective 009d TIdCoderCollection.GetCoderType 00b7 @LStrCmp 00dd TIdMessagePart.SetContentType 0107 _Dn_TFileStream 010c TFileStream.Create 0117 MakeTempFilename 0125 @LStrAsg 015c TStream.GetSize 0180 UniqueString 018c TStream.ReadBuffer 019f @LStrCopy 01ad TIdCoder.CodeString 01cb Fetch 021c @LStrCatN 0240 ExtractFileName 0281 @LStrCat3 0312 TIdTCPConnection.WriteStrings 032c TStream.SetPosition 0366 TObject.Free 0379 DeleteFile 0387 @HandleFinally 03a3 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 BA 39 00 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 85 C0 75 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 85 C0 75 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 4D EC 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 85 C0 75 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 18 33 C9 B2 01 FF 50 2C 89 45 E0 8B 45 E0 C6 40 51 01 8B 45 E0 C6 40 24 01 6A 40 8B 45 FC 8B 48 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 83 C0 38 E8 ?? ?? ?? ?? 68 FF FF 00 00 8B 45 FC 8B 48 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 93 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 2B C6 83 F8 39 7E 07 BB 39 00 00 00 EB 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 2B DE 03 F3 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D8 50 8B CB BA 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 D8 8D 4D DC 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 E0 8B 08 FF 51 38 8D 45 DC 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 59 8B 18 FF 53 08 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 0F 8C 5D FF FF FF 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 FC 8B 08 FF 91 84 00 00 00 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 FC 8B 08 FF 91 84 00 00 00 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D8 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 FC 8B 08 FF 91 84 00 00 00 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 FC 8B 08 FF 91 84 00 00 00 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 FC 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 50 24 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 8B 08 FF 91 84 00 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 8B 45 08 8B 40 FC B1 01 8B 55 F4 8B 18 FF 93 88 00 00 00 8B 45 08 8B 40 FC 33 D2 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 62 61 73 65 36 34 00 00 FF FF FF FF 0A 00 00 00 61 74 74 61 63 68 6D 65 6E 74 00 00 FF FF FF FF 18 00 00 00 61 70 70 6C 69 63 61 74 69 6F 6E 2F 6F 63 74 65 74 2D 73 74 72 65 61 6D 00 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 FF FF FF FF 0E 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 00 00 FF FF FF FF 0E 00 00 00 20 20 20 20 20 20 20 20 6E 61 6D 65 3D 22 00 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 1B 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 3A 20 00 FF FF FF FF 15 00 00 00 43 6F 6E 74 65 6E 74 2D 44 69 73 70 6F 73 69 74 69 6F 6E 3A 20 00 00 00 FF FF FF FF 12 00 00 00 20 20 20 20 20 20 20 20 66 69 6C 65 6E 61 6D 65 3D 22 00 00 }
	condition:
		$1
}

rule function_10765_0 {
	meta:
		name = "TIdMessageClient.SendBody"
		size = 1872
		refs = "0026 TIdMessageClient.SendBody 003a InitializeMime 007e @LStrLAsg 009d @LStrCat3 00ea TCollection.GetCount 0101 TIdMessageParts.GetItem 0107 _Dn_TIdText 010c @IsClass 012a RSMsgClientEncodingText 012f LoadResString 0146 TIdComponent.DoStatus 015f @AsClass 0164 EncodeAndWriteText 01b6 TIdTCPConnection.WriteStrings 01e2 _Dn_TIdAttachment 0220 RSMsgClientEncodingAttachment 025a EncodeAndWriteAttachment 027d @LStrCatN 03c2 @LStrCopy 03cf @LStrCmp 041c Encode2022JP 04fa @LStrClr 0507 @LStrArrayClr 0515 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E4 89 5D D8 89 5D F0 89 5D E8 8B F1 89 55 F4 89 45 FC 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8D 55 EF 8D 45 FB E8 ?? ?? ?? ?? 33 C9 B2 01 8B 45 FC 8B 38 FF 57 30 85 F6 0F 8E 42 02 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 33 D2 8B 45 FC 8B 08 FF 91 84 00 00 00 83 7D 08 00 7E 0F 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 91 84 00 00 00 4B 0F 8E C9 00 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 33 D2 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 45 F4 8B 40 54 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 78 46 33 DB 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 55 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 DC C6 45 E0 0B 8D 4D DC B2 05 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 43 4E 75 8B BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 EB 3B BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 33 D2 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 45 F4 8B 50 28 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 54 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 97 00 00 00 46 33 DB 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 70 33 D2 8B 45 FC 8B 08 FF 91 84 00 00 00 8D 45 E4 8B 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 91 84 00 00 00 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 DC C6 45 E0 0B 8D 4D DC B2 05 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 43 4E 0F 85 6C FF FF FF 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 91 84 00 00 00 E9 4B 02 00 00 4B 0F 8E BC 00 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 33 D2 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 45 F4 8B 40 54 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 78 46 33 DB 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 55 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 DC C6 45 E0 0B 8D 4D DC B2 05 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 43 4E 75 8B BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 84 00 00 00 E9 88 01 00 00 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 DC C6 45 E0 0B 8D 4D DC B2 05 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 02 0F 85 B4 00 00 00 8B 45 F4 8B 40 28 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 42 01 00 00 46 33 DB 8D 45 E4 50 8D 4D D8 8B 45 F4 8B 40 28 8B D3 8B 38 FF 57 0C 8B 45 D8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 30 8D 4D D8 8B 45 F4 8B 40 28 8B D3 8B 38 FF 57 0C 8B 4D D8 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F4 8B 40 28 8B D3 8B 38 FF 57 20 8D 4D D8 8B 45 F4 8B 40 28 8B D3 8B 38 FF 57 0C 8B 45 D8 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 91 84 00 00 00 43 4E 0F 85 6A FF FF FF E9 A4 00 00 00 8B 45 F4 8B 40 28 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 8E 00 00 00 46 33 DB 8D 45 E4 50 8D 4D D8 8B 45 F4 8B 40 28 8B D3 8B 38 FF 57 0C 8B 45 D8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 30 8D 4D D8 8B 45 F4 8B 40 28 8B D3 8B 38 FF 57 0C 8B 4D D8 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F4 8B 40 28 8B D3 8B 38 FF 57 20 8D 4D E4 8B 45 F4 8B 40 28 8B D3 8B 38 FF 57 0C 8B 55 E4 8B 45 FC 8B 08 FF 91 84 00 00 00 43 4E 0F 85 75 FF FF FF B2 01 8B 45 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 FF FF FF FF 2B 00 00 00 54 68 69 73 20 69 73 20 61 20 6D 75 6C 74 69 2D 70 61 72 74 20 6D 65 73 73 61 67 65 20 69 6E 20 4D 49 4D 45 20 66 6F 72 6D 61 74 00 FF FF FF FF 25 00 00 00 3D 5F 4E 65 78 74 50 61 72 74 5F 32 72 65 6C 72 66 6B 73 61 64 76 6E 71 69 6E 64 79 77 33 6E 65 72 61 73 64 66 00 00 00 FF FF FF FF 22 00 00 00 3D 5F 4E 65 78 74 50 61 72 74 5F 32 72 66 6B 69 6E 64 79 73 61 64 76 6E 71 77 33 6E 65 72 61 73 64 66 00 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 FF FF FF FF 25 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 6D 75 6C 74 69 70 61 72 74 2F 61 6C 74 65 72 6E 61 74 69 76 65 3B 20 00 00 00 FF FF FF FF 38 00 00 00 20 20 20 20 20 20 20 20 62 6F 75 6E 64 61 72 79 3D 22 3D 5F 4E 65 78 74 50 61 72 74 5F 32 61 6C 74 72 66 6B 69 6E 64 79 73 61 64 76 6E 71 77 33 6E 65 72 61 73 64 66 22 00 00 00 00 FF FF FF FF 27 00 00 00 2D 2D 3D 5F 4E 65 78 74 50 61 72 74 5F 32 61 6C 74 72 66 6B 69 6E 64 79 73 61 64 76 6E 71 77 33 6E 65 72 61 73 64 66 00 FF FF FF FF 29 00 00 00 2D 2D 3D 5F 4E 65 78 74 50 61 72 74 5F 32 61 6C 74 72 66 6B 69 6E 64 79 73 61 64 76 6E 71 77 33 6E 65 72 61 73 64 66 2D 2D 00 00 00 FF FF FF FF 18 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 74 65 78 74 2F 70 6C 61 69 6E 00 00 00 00 FF FF FF FF 1F 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 3A 20 37 62 69 74 00 FF FF FF FF 24 00 00 00 2D 2D 3D 5F 4E 65 78 74 50 61 72 74 5F 32 72 66 6B 69 6E 64 79 73 61 64 76 6E 71 77 33 6E 65 72 61 73 64 66 00 00 00 00 FF FF FF FF 26 00 00 00 2D 2D 3D 5F 4E 65 78 74 50 61 72 74 5F 32 72 66 6B 69 6E 64 79 73 61 64 76 6E 71 77 33 6E 65 72 61 73 64 66 2D 2D 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10766_0 {
	meta:
		name = "TIdMessageClient.SendMsg"
		size = 165
		refs = "0016 TIdMessageClient.SendMsg 0041 RSTIdTextInvalidCount 0046 LoadResString 0050 _Dn_EIdTextInvalidCount 0055 Exception.Create 005a @RaiseExcept 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 F4 50 8D 4D FC 8B D6 8B C3 8B 38 FF 97 B0 00 00 00 83 7D F8 01 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 84 00 00 00 8B 45 F8 50 8B 45 F4 50 8B 4D FC 8B D6 8B C3 8B 18 FF 93 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10767_0 {
	meta:
		name = "TIdMessageClient.ReceiveMsg"
		size = 52
		refs = "0008 TIdMessageClient.ReceiveMsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 B9 ?? ?? ?? ?? 8B D6 8B C3 8B 38 FF 97 A0 00 00 00 8B D6 8B C3 8B 08 FF 91 9C 00 00 00 5F 5E 5B C3 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_10768_0 {
	meta:
		name = "TIdMessageClient.ReceiveHeader"
		size = 22
		refs = "0009 TIdTCPConnection.Capture 0010 TIdMessage.GetHeader"
	strings:
		$1 = { 53 8B DA 6A 01 8B 53 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10771_0 {
	meta:
		name = "ReturnMIMEType"
		size = 636
		refs = "0015 ReturnMIMEType 0021 IndyPos 0040 @LStrCopy 004b @LStrLen 0061 @LStrLAsg 006e LowerCase 0076 MIMEMediaType 0080 PosInStrArray 00dd @LStrCmp 01ce @LStrArrayClr 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B 16 B8 ?? ?? ?? ?? FF D3 8B D8 8D 45 FC 50 8B 06 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8D 53 01 8B 06 E8 ?? ?? ?? ?? 8D 45 F4 8B 17 E8 ?? ?? ?? ?? 6A 01 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB 06 77 28 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 03 01 00 00 8D 45 EC 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 CF 00 00 00 6A 01 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB 06 0F 87 8A 00 00 00 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF FF FF FF 02 00 00 00 78 2D 00 00 FF FF FF FF 0C 00 00 00 61 70 70 6C 69 63 61 74 69 6F 6E 2F 00 00 00 00 FF FF FF FF 06 00 00 00 61 75 64 69 6F 2F 00 00 FF FF FF FF 06 00 00 00 69 6D 61 67 65 2F 00 00 FF FF FF FF 08 00 00 00 6D 65 73 73 61 67 65 2F 00 00 00 00 FF FF FF FF 0A 00 00 00 6D 75 6C 74 69 70 61 72 74 2F 00 00 FF FF FF FF 05 00 00 00 74 65 78 74 2F 00 00 00 FF FF FF FF 06 00 00 00 76 69 64 65 6F 2F 00 00 }
	condition:
		$1
}

rule function_10772_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a MIMEMediaType 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_10773_0 {
	meta:
		name = "IdMIMETypes"
		size = 284
		refs = "0007 IdMIMETypes 0013 _DV_2 001b MIMEMediaType 0025 @LStrAsg 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 69 B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 00 00 FF FF FF FF 0C 00 00 00 61 70 70 6C 69 63 61 74 69 6F 6E 2F 00 00 00 00 FF FF FF FF 06 00 00 00 61 75 64 69 6F 2F 00 00 FF FF FF FF 06 00 00 00 69 6D 61 67 65 2F 00 00 FF FF FF FF 08 00 00 00 6D 65 73 73 61 67 65 2F 00 00 00 00 FF FF FF FF 0A 00 00 00 6D 75 6C 74 69 70 61 72 74 2F 00 00 FF FF FF FF 05 00 00 00 74 65 78 74 2F 00 00 00 FF FF FF FF 06 00 00 00 76 69 64 65 6F 2F 00 00 }
	condition:
		$1
}

rule function_10774_0 {
	meta:
		name = "IP"
		size = 27
	strings:
		$1 = { 55 8B EC 51 88 45 FF 88 55 FE 88 4D FD 8A 45 08 88 45 FC 8B 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10775_0 {
	meta:
		name = "StrToIP"
		size = 712
		refs = "0021 String 0026 @InitializeArray 0031 StrToIP 0042 @LStrLAsg 0055 Fetch 00bd StrToInt 00ef @HandleOnException 00f7 _Dn_Exception 0107 RSNETCALInvalidIPString 010c LoadResString 0125 Format 0134 Exception.Create 0139 @RaiseExcept 013e @DoneExcept 026e IP 028b @LStrArrayClr 029e @FinalizeArray 02a6 @LStrClr 02ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 D0 89 55 CC 89 55 F4 89 45 FC B9 04 00 00 00 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 5D D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 E8 ?? ?? ?? ?? 89 03 8B 45 E8 E8 ?? ?? ?? ?? 89 43 04 8B 45 EC E8 ?? ?? ?? ?? 89 43 08 8B 45 F0 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 54 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 89 45 C4 C6 45 C8 0B 8D 55 C4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 2D 00 01 00 00 72 3E 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 89 45 C4 C6 45 C8 0B 8D 55 C4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 2D 00 01 00 00 72 3E 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 89 45 C4 C6 45 C8 0B 8D 55 C4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 2D 00 01 00 00 72 3E 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 89 45 C4 C6 45 C8 0B 8D 55 C4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 2D 00 01 00 00 72 3E 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 89 45 C4 C6 45 C8 0B 8D 55 C4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 43 0C 50 8A 4B 08 8A 53 04 8A 03 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B 45 F8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10776_0 {
	meta:
		name = "TIdNetworkCalculator.Create"
		size = 142
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _DV_TIpProperty 0023 TObject.Create 003b TIdNetworkCalculator.OnNetMaskChange 0043 TIpProperty.SetOnChange 0049 TIdNetworkCalculator.OnNetAddressChange 0058 _Dn_TStringList 0070 TIdNetworkCalculator.SetNetworkMaskLength 007b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 56 68 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 C6 46 34 00 BA 20 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10777_0 {
	meta:
		name = "TIdNetworkCalculator.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TComponent.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10778_0 {
	meta:
		name = "TIdNetworkCalculator.FillIPList"
		size = 404
		refs = "0016 TIdNetworkCalculator.FillIPList 0040 TIdNetworkCalculator.NumIP 0053 RSNETCALConfirmLongIPList 0058 LoadResString 0076 Format 00be TStrings.BeginUpdate 0132 TStrings.Append 014d TStrings.EndUpdate 0153 @HandleFinally 016f @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 D2 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 8B 10 FF 52 14 85 C0 0F 85 26 01 00 00 8B 45 FC F6 40 20 10 74 51 8B 45 FC E8 ?? ?? ?? ?? 3D 00 04 00 00 7E 42 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 00 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 24 8B 08 FF 51 2C E9 CC 00 00 00 8B 45 FC 8B 40 30 8B 40 30 8B 55 FC 8B 52 2C 23 42 30 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 24 8B 08 FF 51 28 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 76 5A FF 45 F8 8D 45 F4 50 33 C0 8A 45 FB 89 45 C8 C6 45 CC 00 33 C0 8A 45 FA 89 45 D0 C6 45 D4 00 33 C0 8A 45 F9 89 45 D8 C6 45 DC 00 33 C0 8A 45 F8 89 45 E0 C6 45 E4 00 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 4B 75 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 FF FF FF FF 0B 00 00 00 25 64 2E 25 64 2E 25 64 2E 25 64 00 }
	condition:
		$1
}

rule function_10779_0 {
	meta:
		name = "TIdNetworkCalculator.GetListIP"
		size = 15
		refs = "0006 TIdNetworkCalculator.FillIPList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_10780_0 {
	meta:
		name = "TIdNetworkCalculator.IsAddressInNetwork"
		size = 105
		refs = "0010 @LStrAddRef 0018 TIdNetworkCalculator.IsAddressInNetwork 0026 StrToIP 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 53 30 8B 52 30 8B 43 2C 8B 40 30 23 D0 23 45 F8 3B D0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10781_0 {
	meta:
		name = "TIdNetworkCalculator.OnNetAddressChange"
		size = 240
		refs = "000e IndyPos 001b TIdNetworkCalculator.OnNetAddressChange"
	strings:
		$1 = { 53 56 8B D8 8B 43 24 8B 10 FF 52 40 8B 35 ?? ?? ?? ?? 8B 36 8B 43 30 8B 50 38 B8 ?? ?? ?? ?? FF D6 48 75 04 C6 43 34 00 8B 35 ?? ?? ?? ?? 8B 36 8B 43 30 8B 50 38 B8 ?? ?? ?? ?? FF D6 48 75 04 C6 43 34 01 8B 35 ?? ?? ?? ?? 8B 36 8B 43 30 8B 50 38 B8 ?? ?? ?? ?? FF D6 48 75 04 C6 43 34 02 8B 35 ?? ?? ?? ?? 8B 36 8B 43 30 8B 50 38 B8 ?? ?? ?? ?? FF D6 48 75 04 C6 43 34 03 8B 35 ?? ?? ?? ?? 8B 36 8B 43 30 8B 50 38 B8 ?? ?? ?? ?? FF D6 48 75 04 C6 43 34 04 66 83 7B 3A 00 74 08 8B D3 8B 43 3C FF 53 38 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 FF FF FF FF 02 00 00 00 31 30 00 00 FF FF FF FF 03 00 00 00 31 31 30 00 FF FF FF FF 04 00 00 00 31 31 31 30 00 00 00 00 FF FF FF FF 04 00 00 00 31 31 31 31 00 00 00 00 }
	condition:
		$1
}

rule function_10782_0 {
	meta:
		name = "TIdNetworkCalculator.OnNetMaskChange"
		size = 248
		refs = "0010 TIdNetworkCalculator.OnNetMaskChange 002f @LStrLAsg 0043 @LStrDelete 004b @LStrLen 005d IndyPos 0076 TIdNetworkCalculator.SetNetworkMaskLength 007e RSNETCALCInvalidNetworkMask 0083 LoadResString 008d _Dn_Exception 0092 Exception.Create 0097 @RaiseExcept 00d8 @LStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 8B 10 FF 52 40 8B 73 28 8D 45 FC 8B 53 2C 8B 52 38 E8 ?? ?? ?? ?? EB 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 08 8B 45 FC 80 38 31 74 DA 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 85 C0 7E 2C 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 45 FC E8 ?? ?? ?? ?? BA 20 00 00 00 2B D0 8B C3 E8 ?? ?? ?? ?? 66 83 7B 3A 00 74 08 8B D3 8B 43 3C FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_10785_0 {
	meta:
		name = "TIdNetworkCalculator.SetNetworkMaskLength"
		size = 32
		refs = "001b TIpProperty.SetAsDoubleWord"
	strings:
		$1 = { 89 50 28 85 D2 76 0E B9 20 00 00 00 2B CA 83 CA FF D3 E2 EB 02 33 D2 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10786_0 {
	meta:
		name = "TIdNetworkCalculator.SetOnGenIPList"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 40 8B 55 0C 89 50 44 5D C2 08 00 }
	condition:
		$1
}

rule function_10787_0 {
	meta:
		name = "TIdNetworkCalculator.SetOnChange"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 38 8B 55 0C 89 50 3C 5D C2 08 00 }
	condition:
		$1
}

rule function_10788_0 {
	meta:
		name = "TIpProperty.Assign"
		size = 86
		refs = "000b _DV_TIpProperty 0010 @IsClass 0021 @AsClass 004e TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 50 3C 52 8A 50 3D 52 8A 48 3E 8A 50 3F 8B C3 8B 38 FF 57 0C 66 83 7B 0A 00 74 08 8B D3 8B 43 0C FF 53 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10789_0 {
	meta:
		name = "TIpProperty.GetByteArray"
		size = 5
	strings:
		$1 = { 8A 44 10 10 C3 }
	condition:
		$1
}

rule function_10790_0 {
	meta:
		name = "TIpProperty.SetAll"
		size = 368
		refs = "0019 TIpProperty.SetAll 0031 IP 0074 @LStrSetLength 009a UniqueString 00fa Format 0105 @LStrAsg 0146 @LStrClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D F0 88 4D FE 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 3D 50 8A 4B 3C 8A 53 3E 8A 43 3F E8 ?? ?? ?? ?? 89 45 F8 8A 45 FF 88 43 3F 8A 45 FE 88 43 3E 8A 45 0C 88 43 3C 8A 45 08 88 43 3D 8A 53 3F 88 55 F7 8A 53 3E 88 55 F6 8A 53 3C 88 55 F5 88 45 F4 8B 45 F4 89 43 30 8D 43 38 BA 20 00 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 8B CE 49 8B 43 30 D3 E0 C1 E8 1F 83 F8 01 0F 94 C0 88 44 33 0F 84 C0 74 0F 8D 43 38 E8 ?? ?? ?? ?? C6 44 30 FF 31 EB 0D 8D 43 38 E8 ?? ?? ?? ?? C6 44 30 FF 30 46 83 FE 21 75 C5 8D 45 F0 50 33 C0 8A 43 3F 89 45 D0 C6 45 D4 00 33 C0 8A 43 3E 89 45 D8 C6 45 DC 00 33 C0 8A 43 3C 89 45 E0 C6 45 E4 00 33 C0 8A 43 3D 89 45 E8 C6 45 EC 00 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 43 34 E8 ?? ?? ?? ?? 8A 43 3D 50 8A 4B 3C 8A 53 3E 8A 43 3F E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 3B 45 F8 74 0F 66 83 7B 0A 00 74 08 8B D3 8B 43 0C FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 0B 00 00 00 25 64 2E 25 64 2E 25 64 2E 25 64 00 }
	condition:
		$1
}

rule function_10791_0 {
	meta:
		name = "TIpProperty.SetAsBinaryString"
		size = 202
		refs = "0017 TIpProperty.SetAsBinaryString 002b @LStrLen 0038 RSNETCALCInvalidValueLength 003d LoadResString 0047 _Dn_Exception 004c Exception.Create 0051 @RaiseExcept 005e AnsiSameText 00b7 @LStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 04 00 75 7F 8B 45 FC E8 ?? ?? ?? ?? 83 F8 20 74 23 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4F 8B 56 38 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 40 33 C0 89 45 F8 BB 01 00 00 00 8B 45 FC 80 7C 18 FF 30 74 11 B9 20 00 00 00 2B CB B8 01 00 00 00 D3 E0 01 45 F8 8A 45 F9 50 8A 45 F8 50 8A 4D FA 8A 55 FB 8B C6 8B 38 FF 57 0C 43 83 FB 21 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10792_0 {
	meta:
		name = "TIpProperty.SetAsDoubleWord"
		size = 37
	strings:
		$1 = { 53 51 80 78 04 00 75 1A 89 14 24 8A 54 24 01 52 8A 54 24 04 52 8A 4C 24 0A 8A 54 24 0B 8B 18 FF 53 0C 5A 5B C3 }
	condition:
		$1
}

rule function_10793_0 {
	meta:
		name = "TIpProperty.SetAsString"
		size = 52
		refs = "0010 StrToIP"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 80 7B 04 00 75 23 8B C6 E8 ?? ?? ?? ?? 89 04 24 8A 44 24 01 50 8A 44 24 04 50 8A 4C 24 0A 8A 54 24 0B 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10794_0 {
	meta:
		name = "TIpProperty.SetByteArray"
		size = 86
	strings:
		$1 = { 53 56 51 8B F0 80 7E 04 00 75 47 3A 4C 16 10 74 41 88 4C 16 10 8B 46 30 89 04 24 84 C9 74 0E 8B CA B8 01 00 00 00 D3 E0 01 04 24 EB 0C 8B CA B8 01 00 00 00 D3 E0 29 04 24 8A 44 24 01 50 8A 44 24 04 50 8A 4C 24 0A 8A 54 24 0B 8B C6 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10795_0 {
	meta:
		name = "TIpProperty.SetByte4"
		size = 41
	strings:
		$1 = { 53 56 8B F0 80 7E 04 00 75 1C 3A 56 3D 74 17 8B C2 88 46 3D 8A 56 3C 52 50 8A 4E 3E 8A 56 3F 8B C6 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10796_0 {
	meta:
		name = "TIpProperty.SetByte1"
		size = 37
	strings:
		$1 = { 53 56 8B F0 3A 56 3F 74 19 8B C2 88 46 3F 8A 56 3C 52 8A 56 3D 52 8A 4E 3E 8B D0 8B C6 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10797_0 {
	meta:
		name = "TIpProperty.SetByte3"
		size = 35
	strings:
		$1 = { 53 56 8B F0 3A 56 3C 74 17 8B C2 88 46 3C 50 8A 46 3D 50 8A 4E 3E 8A 56 3F 8B C6 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10798_0 {
	meta:
		name = "TIpProperty.SetByte2"
		size = 43
	strings:
		$1 = { 53 56 8B F0 80 7E 04 00 75 1E 3A 56 3E 74 19 8B C2 88 46 3E 8A 56 3C 52 8A 56 3D 52 8B C8 8A 56 3F 8B C6 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10799_0 {
	meta:
		name = "TIpProperty.SetOnChange"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_10800_0 {
	meta:
		name = "TIpProperty.SetReadOnly"
		size = 4
		altNames = "TSeriesPointer.Change3D"
	strings:
		$1 = { 88 50 04 C3 }
	condition:
		$1
}

rule function_10801_0 {
	meta:
		name = "TIdNetworkCalculator.EndIP"
		size = 144
		refs = "001b TIdNetworkCalculator.NumIP 006c TIdNetworkCalculator.EndIP 0071 Format"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B 43 30 8B 40 30 8B 53 2C 23 42 30 89 04 24 8B C3 E8 ?? ?? ?? ?? 83 E8 02 01 04 24 56 33 C0 8A 44 24 07 89 44 24 08 C6 44 24 0C 00 33 C0 8A 44 24 06 89 44 24 10 C6 44 24 14 00 33 C0 8A 44 24 05 89 44 24 18 C6 44 24 1C 00 33 C0 8A 44 24 04 89 44 24 20 C6 44 24 24 00 8D 54 24 08 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 24 5E 5B C3 00 FF FF FF FF 0B 00 00 00 25 64 2E 25 64 2E 25 64 2E 25 64 00 }
	condition:
		$1
}

rule function_10802_0 {
	meta:
		name = "TIdNetworkCalculator.NumIP"
		size = 16
	strings:
		$1 = { B9 20 00 00 00 2B 48 28 B8 01 00 00 00 D3 E0 C3 }
	condition:
		$1
}

rule function_10803_0 {
	meta:
		name = "TIdNetworkCalculator.StartIP"
		size = 128
		refs = "005c TIdNetworkCalculator.StartIP 0061 Format"
	strings:
		$1 = { 53 83 C4 DC 8B DA 8B 50 30 8B 52 30 8B 40 2C 23 50 30 89 14 24 53 33 C0 8A 44 24 07 89 44 24 08 C6 44 24 0C 00 33 C0 8A 44 24 06 89 44 24 10 C6 44 24 14 00 33 C0 8A 44 24 05 89 44 24 18 C6 44 24 1C 00 33 C0 8A 44 24 04 89 44 24 20 C6 44 24 24 00 8D 54 24 08 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 24 5B C3 00 00 FF FF FF FF 0B 00 00 00 25 64 2E 25 64 2E 25 64 2E 25 64 00 }
	condition:
		$1
}

rule function_10806_0 {
	meta:
		name = "TIdRawBase.Create"
		size = 106
		refs = "000a @ClassCreate 0017 TIdComponent.Create 0020 _Dn_TIdSocketHandle 0025 TIdSocketHandle.Create 0034 TIdRawBase.SetBufferSize 0057 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 5C BA 00 20 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 6C 33 C0 89 46 68 C7 46 70 FF 00 00 00 C7 46 74 80 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10807_0 {
	meta:
		name = "TIdRawBase.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f FreeAndNil 0023 TIdComponent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 5C E8 ?? ?? ?? ?? 8D 46 60 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10808_0 {
	meta:
		name = "TIdRawBase.GetBinding"
		size = 51
		refs = "0015 TIdSocketHandle.AllocateSocket 002a TIdSocketHandle.SetSockOpt"
	strings:
		$1 = { 53 8B D8 8B 43 5C 80 78 10 00 75 0D 8B 4B 70 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 43 74 50 6A 04 B9 07 00 00 00 33 D2 8B 43 5C E8 ?? ?? ?? ?? 8B 43 5C 5B C3 }
	condition:
		$1
}

rule function_10809_0 {
	meta:
		name = "TIdRawBase.GetBufferSize"
		size = 9
		refs = "0004 TStream.GetSize"
	strings:
		$1 = { 8B 40 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10810_0 {
	meta:
		name = "TIdRawBase.SetBufferSize"
		size = 39
		refs = "000f _Dn_TMemoryStream 0014 TObject.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 60 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B D6 8B 43 60 8B 08 FF 11 5E 5B C3 }
	condition:
		$1
}

rule function_10811_0 {
	meta:
		name = "TIdRawBase.ReceiveBuffer"
		size = 87
		refs = "0025 TIdRawBase.GetBinding 002c TIdSocketHandle.Readable 0043 TIdSocketHandle.Recv"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 83 7D FC 00 7E 36 85 FF 74 32 85 F6 7D 03 8B 73 6C 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 4D FC E8 ?? ?? ?? ?? EB 06 33 C0 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10812_0 {
	meta:
		name = "TIdRawBase.Send"
		size = 164
		refs = "0018 @LStrAddRef 0028 TIdRawBase.Send 0036 GStack 0040 TIdStack.ResolveHost 004b @LStrLAsg 0053 UniqueString 005c @LStrLen 0064 TIdRawBase.GetBinding 006e TIdSocketHandle.SendTo 0088 @LStrArrayClr 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10813_0 {
	meta:
		name = "TIdRawBase.Send"
		size = 82
		refs = "000e @LStrAddRef 0016 TIdRawBase.Send 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 4B 68 8B 53 64 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10814_0 {
	meta:
		name = "TIdRawBase.Send"
		size = 138
		refs = "0018 @LStrAddRef 0020 TIdRawBase.Send 002e GStack 0038 TIdStack.ResolveHost 0043 @LStrLAsg 0052 TIdRawBase.GetBinding 005c TIdSocketHandle.SendTo 0076 @LStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10815_0 {
	meta:
		name = "TIdRawBase.SetTTL"
		size = 35
		refs = "0010 TIdRawBase.GetBinding 001c TIdSocketHandle.SetSockOpt"
	strings:
		$1 = { 53 56 8B D8 89 53 74 8D 73 74 56 6A 04 8B C3 E8 ?? ?? ?? ?? B9 07 00 00 00 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10824_0 {
	meta:
		name = "TIdSimpleServer.Abort"
		size = 8
	strings:
		$1 = { C6 80 98 00 00 00 01 C3 }
	condition:
		$1
}

rule function_10825_0 {
	meta:
		name = "TIdSimpleServer.BeginListen"
		size = 51
		refs = "0026 TIdSocketHandle.Listen"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 83 BB A8 00 00 00 FF 75 0A 8B C3 8B 10 FF 92 98 00 00 00 BA 01 00 00 00 8B 43 60 E8 ?? ?? ?? ?? C6 83 AC 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_10826_0 {
	meta:
		name = "TIdSimpleServer.Bind"
		size = 136
		refs = "0014 TIdSimpleServer.Bind 0028 TIdSocketHandle.AllocateSocket 0045 @LStrAsg 0058 TIdSocketHandle.Bind 0067 @HandleAnyException 0079 @RaiseAgain 007e @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 58 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B 55 FC 89 82 A8 00 00 00 8D 43 14 8B 55 FC 8B 92 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 00 00 00 89 43 1C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC C7 80 A8 00 00 00 FF FF FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10827_0 {
	meta:
		name = "TIdSimpleServer.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TIdTCPConnection.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 A4 00 00 00 C7 86 A8 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10828_0 {
	meta:
		name = "TIdSimpleServer.Listen"
		size = 107
		refs = "0028 TIdSocketHandle.Readable 0045 TIdSocketHandle.Accept 004a GStack"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 80 BE AC 00 00 00 00 75 0A 8B C6 8B 10 FF 92 94 00 00 00 8B 7E 60 EB 0F 8B 96 9C 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 80 BE 98 00 00 00 00 75 04 84 DB 74 E4 84 DB 74 0A 8B 57 0C 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 96 A8 00 00 00 8B 08 FF 51 18 C7 86 A8 00 00 00 FF FF FF FF 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10829_0 {
	meta:
		name = "TIdSimpleServer.ResetConnection"
		size = 26
		refs = "0006 TIdTCPConnection.ResetConnection"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 98 00 00 00 00 C6 83 AC 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_10832_0 {
	meta:
		name = "TIdSocketHandle.AllocateSocket"
		size = 45
		refs = "0013 GStack 001e TIdStack.CreateSocketHandle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B2 01 8B C3 8B 08 FF 51 1C A1 ?? ?? ?? ?? 8B 00 8B CF 8B D6 E8 ?? ?? ?? ?? 89 43 0C C6 43 10 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10833_0 {
	meta:
		name = "TIdSocketHandle.CloseSocket"
		size = 65
		refs = "0012 GStack 0039 TIdSocketHandle.Reset"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 80 7E 10 00 74 30 C6 46 10 00 A1 ?? ?? ?? ?? 8B 00 B9 01 00 00 00 8B 56 0C 8B 38 FF 57 64 A1 ?? ?? ?? ?? 8B 00 8B 56 0C 8B 08 FF 51 18 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10834_0 {
	meta:
		name = "TIdSocketHandle.Connect"
		size = 55
		refs = "000d GStack 0027 TIdSocketHandle.UpdateBindingLocal 002e TIdSocketHandle.UpdateBindingPeer"
	strings:
		$1 = { 53 56 8B D8 8B 43 18 50 8B 43 20 50 A1 ?? ?? ?? ?? 8B 00 8B CA 8B 53 0C 8B 30 FF 56 1C 8B F0 83 FE FF 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10835_0 {
	meta:
		name = "TIdSocketHandle.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 001c TCollectionItem.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 8B C6 8B 08 FF 51 1C 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10836_0 {
	meta:
		name = "TIdSocketHandle.Recv"
		size = 33
		refs = "000b GStack"
	strings:
		$1 = { 55 8B EC 53 51 8B 4D 08 51 8B 0D ?? ?? ?? ?? 8B 09 8B 40 0C 91 87 D1 8B 18 FF 53 48 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10837_0 {
	meta:
		name = "TIdSocketHandle.Send"
		size = 33
		refs = "000b GStack"
	strings:
		$1 = { 55 8B EC 53 51 8B 4D 08 51 8B 0D ?? ?? ?? ?? 8B 09 8B 40 0C 91 87 D1 8B 18 FF 53 54 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10838_0 {
	meta:
		name = "TIdSocketHandle.SetSockOpt"
		size = 63
		refs = "001a GStack 0034 TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC 50 8B 45 0C 50 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B CE 8B 53 0C 8B 18 FF 53 5C 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10839_0 {
	meta:
		name = "TIdSocketHandle.SendTo"
		size = 197
		refs = "000a TIdSocketHandle.SendTo 001e GStack 004c RSPackageSizeTooBig 0051 LoadResString 005b _DV_EIdPackageSizeTooBig 0060 Exception.Create 0065 @RaiseExcept 0076 TIdStack.CheckForSocketError 0085 RSNotAllBytesSent 0094 _DV_EIdNotAllBytesSent 00b3 @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 5D 08 53 6A 00 52 51 8B 15 ?? ?? ?? ?? 8B 12 8B 4D 0C 8B 40 0C 92 8B 18 FF 53 58 83 F8 FF 75 47 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 6C 3D 38 27 00 00 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 37 A1 ?? ?? ?? ?? 8B 00 83 CA FF E8 ?? ?? ?? ?? EB 26 3B 45 08 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10840_0 {
	meta:
		name = "TIdSocketHandle.RecvFrom"
		size = 41
		refs = "0013 GStack"
	strings:
		$1 = { 55 8B EC 53 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8B 0D ?? ?? ?? ?? 8B 09 8B 40 0C 91 87 D1 8B 18 FF 53 4C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_10841_0 {
	meta:
		name = "TIdSocketHandle.Bind"
		size = 162
		refs = "0013 TIdSocketHandle.Bind 0028 GStack 004f TIdStack.CheckForSocketError 005b RSCouldNotBindSocket 0060 LoadResString 006a _DV_EIdCouldNotBindSocket 006f Exception.Create 0074 @RaiseExcept 007b TIdSocketHandle.UpdateBindingLocal 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 43 14 50 8B 43 1C 50 A1 ?? ?? ?? ?? 8B 00 B9 02 00 00 00 8B 53 0C 8B 30 FF 56 14 8B D0 C7 45 FC 40 27 00 00 8D 4D FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10842_0 {
	meta:
		name = "TIdSocketHandle.SetPeer"
		size = 26
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 43 18 8B D6 E8 ?? ?? ?? ?? 89 7B 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10843_0 {
	meta:
		name = "TIdSocketHandle.Listen"
		size = 40
		refs = "0007 GStack 0021 TIdStack.CheckForSocketError"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 8B CE 8B 53 0C 8B 18 FF 53 38 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10844_0 {
	meta:
		name = "TIdSocketHandle.Accept"
		size = 63
		refs = "000c GStack 0023 TIdStack.CheckForSocketError 0031 TIdSocketHandle.UpdateBindingLocal 0038 TIdSocketHandle.UpdateBindingPeer"
	strings:
		$1 = { 53 56 8B D8 8D 43 1C 50 8D 4B 14 A1 ?? ?? ?? ?? 8B 00 8B 30 FF 56 10 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 89 73 0C C6 43 10 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10845_0 {
	meta:
		name = "TIdSocketHandle.Create"
		size = 78
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0025 TIdSocketHandle.Reset 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 85 F6 74 06 8B 46 1C 89 47 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10846_0 {
	meta:
		name = "TIdSocketHandle.Readable"
		size = 330
		refs = "0015 TIdSocketHandle.Readable 0029 RSConnectionClosedGracefully 002e LoadResString 0038 _Dn_EIdConnClosedGracefully 003d Exception.Create 0042 @RaiseExcept 0047 GAntiFreeze 00b6 _Dn_TList 00bb TObject.Create 00d7 TList.Add 00df GStack 00fe _Dn_TIdAntiFreezeBase 0103 TIdAntiFreezeBase.DoProcess 0118 TObject.Free 011e @HandleFinally 0135 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 63 A1 ?? ?? ?? ?? 8B 00 80 78 24 00 74 56 83 FE FE 75 1F A1 ?? ?? ?? ?? 8B 00 8B 50 28 8B C3 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 74 E6 E9 A3 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 28 3B F0 7E 24 8B 15 ?? ?? ?? ?? 8B D6 2B D0 8B C3 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 75 7B A1 ?? ?? ?? ?? 8B 00 8B 70 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 56 A1 ?? ?? ?? ?? 8B 00 33 C9 8B 55 F8 8B 18 FF 53 50 48 0F 94 45 FF 80 7D FF 00 0F 94 C2 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10847_0 {
	meta:
		name = "TIdSocketHandle.Assign"
		size = 76
		refs = "000a TObject.ClassType 0020 TPersistent.Assign 002d @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 22 8D 43 14 8B 56 14 E8 ?? ?? ?? ?? 8B 46 1C 89 43 1C 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 8B 46 20 89 43 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10848_0 {
	meta:
		name = "TIdSocketHandle.UpdateBindingLocal"
		size = 34
		refs = "0010 GStack"
	strings:
		$1 = { 53 51 8D 50 14 52 8D 50 1C 52 8D 4C 24 08 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 8B 18 FF 53 74 5A 5B C3 }
	condition:
		$1
}

rule function_10849_0 {
	meta:
		name = "TIdSocketHandle.UpdateBindingPeer"
		size = 34
		refs = "0010 GStack"
	strings:
		$1 = { 53 51 8D 50 18 52 8D 50 20 52 8D 4C 24 08 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 8B 18 FF 53 70 5A 5B C3 }
	condition:
		$1
}

rule function_10850_0 {
	meta:
		name = "TIdSocketHandle.Reset"
		size = 46
		refs = "0016 @LStrClr"
	strings:
		$1 = { 53 8B D8 C6 43 10 00 C7 43 0C FF FF FF FF 84 D2 74 0D 8D 43 14 E8 ?? ?? ?? ?? 33 C0 89 43 1C 8D 43 18 E8 ?? ?? ?? ?? 33 C0 89 43 20 5B C3 }
	condition:
		$1
}

rule function_10851_0 {
	meta:
		name = "TIdSocketHandles.Add"
		size = 29
		refs = "0006 TCollection.Add 000c _DV_TIdSocketHandle 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 1C 89 50 1C 5B C3 }
	condition:
		$1
}

rule function_10852_0 {
	meta:
		name = "TIdSocketHandles.BindingByHandle"
		size = 63
		refs = "000d TCollection.GetCount 0020 TIdSocketHandles.GetItem"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 33 ED 8B C6 E8 ?? ?? ?? ?? 8B D8 4B EB 01 4B 85 DB 7C 0E 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 78 0C 75 ED 85 DB 7C 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10858_0 {
	meta:
		name = "TSocksInfo.Assign"
		size = 104
		refs = "000a _DV_TSocksInfo 000f @IsClass 0020 @AsClass 0033 @LStrAsg 0061 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8A 46 04 88 43 04 8D 43 08 8B 56 08 E8 ?? ?? ?? ?? 8D 43 0C 8B 56 0C E8 ?? ?? ?? ?? 8B 46 10 89 43 10 8D 43 14 8B 56 14 E8 ?? ?? ?? ?? 8A 46 18 88 43 18 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10859_0 {
	meta:
		name = "TSocksInfo.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TObject.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 00 C6 46 18 00 33 C0 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10862_0 {
	meta:
		name = "TIdSSLConnectionIntercept.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TComponent.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 30 01 C6 46 31 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10897_0 {
	meta:
		name = "TIdStack.CheckForSocketError"
		size = 71
		refs = "0039 TIdStack.RaiseSocketError"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 45 FC 33 DB 42 75 2C 8B 45 FC 8B 10 FF 52 6C 8B F0 8B 55 08 85 D2 7C 11 42 8B C7 3B 30 75 04 B3 01 EB 10 83 C0 04 4A 75 F2 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10898_0 {
	meta:
		name = "TIdStack.CreateSocketHandle"
		size = 108
		refs = "000a TIdStack.CreateSocketHandle 002c RSCannotAllocateSocket 0031 LoadResString 003b _Dn_EIdInvalidSocket 0040 Exception.Create 0045 @RaiseExcept 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 51 B9 02 00 00 00 87 CA 8B 18 FF 53 60 8B D8 83 FB FF 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_10899_0 {
	meta:
		name = "TIdStack.RaiseSocketError"
		size = 94
		refs = "000f TIdStack.RaiseSocketError 002e _Dn_EIdSocketError 0033 EIdSocketError.CreateError 0038 @RaiseExcept 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 8B 18 FF 53 68 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10900_0 {
	meta:
		name = "TIdStack.Create"
		size = 32
		refs = "0008 @ClassCreate 0011 @AfterConstruction"
		altNames = "TObject.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_10902_0 {
	meta:
		name = "TIdStack.ResolveHost"
		size = 120
		refs = "000a TIdStack.ResolveHost 0011 AnsiSameText 0021 @LStrLAsg 002c TIdStack.IsIP"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C7 8B D3 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D3 8B C6 8B 18 FF 53 20 5F 5E 5B C3 00 00 FF FF FF FF 09 00 00 00 4C 4F 43 41 4C 48 4F 53 54 00 00 00 FF FF FF FF 09 00 00 00 31 32 37 2E 30 2E 30 2E 31 00 00 00 }
	condition:
		$1
}

rule function_10903_0 {
	meta:
		name = "TIdStack.WSTranslateSocketErrorMsg"
		size = 1031
		refs = "0018 TIdStack.WSTranslateSocketErrorMsg 0025 @LStrClr 013f RSStackEINTR 0144 LoadResString 0150 RSStackEBADF 0161 RSStackEACCES 0172 RSStackEFAULT 0183 RSStackEINVAL 0194 RSStackEMFILE 01a5 RSStackEWOULDBLOCK 01b6 RSStackEINPROGRESS 01c7 RSStackEALREADY 01d8 RSStackENOTSOCK 01e9 RSStackEDESTADDRREQ 01fa RSStackEMSGSIZE 020b RSStackEPROTOTYPE 021c RSStackENOPROTOOPT 022d RSStackEPROTONOSUPPORT 023e RSStackESOCKTNOSUPPORT 024f RSStackEOPNOTSUPP 0260 RSStackEPFNOSUPPORT 0271 RSStackEAFNOSUPPORT 0282 RSStackEADDRINUSE 0293 RSStackEADDRNOTAVAIL 02a4 RSStackENETDOWN 02b5 RSStackENETUNREACH 02c6 RSStackENETRESET 02d7 RSStackECONNABORTED 02e8 RSStackECONNRESET 02f9 RSStackENOBUFS 030a RSStackEISCONN 031b RSStackENOTCONN 0329 RSStackESHUTDOWN 0337 RSStackETOOMANYREFS 0345 RSStackETIMEDOUT 0353 RSStackECONNREFUSED 0361 RSStackELOOP 036f RSStackENAMETOOLONG 037d RSStackEHOSTDOWN 038b RSStackEHOSTUNREACH 0399 RSStackENOTEMPTY 03aa RSStackError 03d1 Format 03db @LStrLAsg 03f5 @LStrArrayClr 03fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 89 5D F8 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 05 EC D8 FF FF 83 F8 3E 0F 87 69 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 55 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 44 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DE 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BC 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 78 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 56 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 45 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 34 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 23 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 12 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F0 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CE 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AC 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 60 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 E8 C6 45 EC 00 8B 03 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10904_0 {
	meta:
		name = "ByteIsOk"
		size = 43
		refs = "0009 StrToIntDef"
	strings:
		$1 = { 53 8B D8 83 CA FF 8B C3 E8 ?? ?? ?? ?? 40 7E 13 BA 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 3D 00 01 00 00 7C 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_10905_0 {
	meta:
		name = "TIdStack.IsIP"
		size = 212
		refs = "0012 @LStrAddRef 001a TIdStack.IsIP 0033 Fetch 0064 @LStrLAsg 006c ByteIsOk 00b4 @LStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10907_0 {
	meta:
		name = "TIdStack.StringToTInAddr"
		size = 84
		refs = "0010 @LStrAddRef 0018 TIdStack.StringToTInAddr 0040 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 8B 18 FF 53 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10912_0 {
	meta:
		name = "TIdStackWinsock.Create"
		size = 208
		refs = "001b @ClassCreate 0027 TIdStackWinsock.Create 0036 TIdStack.Create 003b LoadWinsock 004c WSAStartup 005e RSWinsockInitializationError 0063 LoadResString 0070 _Dn_EIdStackInitializationFailed 0075 Exception.Create 007a @RaiseExcept 0087 _DV_TIdStackVersionWinsock 008c TIdStackVersionWinsock.create 00a7 @LStrClr 00ad @HandleFinally 00ba @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 6C FE FF FF 53 56 33 C9 89 8D 6C FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 70 FE FF FF 50 68 01 01 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 40 75 27 8D 95 6C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 6C FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 70 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10913_0 {
	meta:
		name = "TIdStackWinsock.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 000c WSACancelBlockingCall 0015 WSACleanup 001e UnloadWinsock 0026 TObject.Free 0032 TIdStack.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 FF D0 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10914_0 {
	meta:
		name = "TIdStackWinsock.TInAddrToString"
		size = 176
		refs = "0015 TIdStackWinsock.TInAddrToString 0027 IntToStr 0075 @LStrCatN 008f @LStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 03 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 33 C0 8A 43 01 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 33 C0 8A 43 02 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 33 C0 8A 43 03 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10915_0 {
	meta:
		name = "TIdStackWinsock.WSAccept"
		size = 144
		refs = "0016 TIdStackWinsock.WSAccept 0031 Accept 004f @LStrAsg 0059 Ntohs 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 10 00 00 00 8D 45 F8 50 8D 45 E8 50 52 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F0 8D 4D E4 8D 55 EC 8B C3 8B 18 FF 53 78 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 66 8B 45 EA 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 C0 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10916_0 {
	meta:
		name = "TIdStackWinsock.WSBind"
		size = 106
		refs = "001e @LStrLen 0032 TIdStack.StringToTInAddr 0045 Htons 0059 Bind"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 66 8B 45 FC 66 89 45 EC 8B C6 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 89 45 F0 EB 12 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 89 45 F0 66 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 EE 6A 10 8D 45 EC 50 57 A1 ?? ?? ?? ?? 8B 00 FF D0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10917_0 {
	meta:
		name = "TIdStackWinsock.WSCloseSocket"
		size = 11
		refs = "0002 CloseSocket"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_10938_0 {
	meta:
		name = "TIdStackWinsock.WSHToNL"
		size = 11
		refs = "0002 Htonl"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_10934_0 {
	meta:
		name = "TIdStackWinsock.WSHToNs"
		size = 11
		refs = "0002 Htons"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_10939_0 {
	meta:
		name = "TIdStackWinsock.WSNToHL"
		size = 11
		refs = "0002 Ntohl"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_10935_0 {
	meta:
		name = "TIdStackWinsock.WSNToHs"
		size = 11
		refs = "0002 Ntohs"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_10918_0 {
	meta:
		name = "TIdStackWinsock.WSConnect"
		size = 77
		refs = "0016 TIdStack.StringToTInAddr 0029 Htons 003d Connect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F2 8B D8 66 89 4D F0 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 89 45 F4 66 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 F2 6A 10 8D 45 F0 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10919_0 {
	meta:
		name = "TIdStackWinsock.WSGetHostByName"
		size = 90
		refs = "000d @LStrToPChar 0013 GetHostByName 0025 TIdStack.CheckForSocketError"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 75 0C 83 CA FF 8B C3 E8 ?? ?? ?? ?? EB 2A 8B 40 0C 8B 00 8A 10 88 14 24 8A 50 01 88 54 24 01 8A 50 02 88 54 24 02 8A 40 03 88 44 24 03 8B CE 8B D4 8B C3 8B 18 FF 53 78 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10920_0 {
	meta:
		name = "TIdStackWinsock.WSGetHostByAddr"
		size = 80
		refs = "000d @LStrToPChar 0013 Inet_Addr 0028 GetHostByAddr 003c TIdStack.CheckForSocketError 0047 @LStrFromPChar"
	strings:
		$1 = { 53 56 57 51 8B F9 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 89 04 24 6A 02 6A 04 8D 44 24 08 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 75 0C 83 CA FF 8B C6 E8 ?? ?? ?? ?? EB 09 8B C7 8B 13 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10921_0 {
	meta:
		name = "TIdStackWinsock.WSGetHostName"
		size = 58
		refs = "000b @LStrSetLength 0012 @LStrLen 001a @LStrToPChar 0020 GetHostName 0034 @LStrFromPChar"
	strings:
		$1 = { 53 8B DA 8B C3 BA FA 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 03 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10922_0 {
	meta:
		name = "TIdStackWinsock.WSListen"
		size = 12
		refs = "0003 Listen"
	strings:
		$1 = { 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_10946_0 {
	meta:
		name = "TIdStackWinsock.WSShutdown"
		size = 12
		refs = "0003 ShutDown"
	strings:
		$1 = { 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_10923_0 {
	meta:
		name = "TIdStackWinsock.WSRecv"
		size = 26
		refs = "000e Recv"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 45 0C 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 5D C2 08 00 }
	condition:
		$1
}

rule function_10928_0 {
	meta:
		name = "TIdStackWinsock.WSSend"
		size = 26
		refs = "000e Send"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 45 0C 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 5D C2 08 00 }
	condition:
		$1
}

rule function_10924_0 {
	meta:
		name = "TIdStackWinsock.WSRecvFrom"
		size = 156
		refs = "0016 TIdStackWinsock.WSRecvFrom 003d RecvFrom 005b @LStrAsg 0065 Ntohs 0086 @LStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 10 00 00 00 8D 45 F8 50 8D 45 E8 50 8B 45 10 50 8B 45 14 50 8B 45 FC 50 52 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F0 8D 4D E4 8D 55 EC 8B C3 8B 18 FF 53 78 8B 55 E4 8B 45 0C E8 ?? ?? ?? ?? 66 8B 45 EA 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 C0 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_10925_0 {
	meta:
		name = "GetFDSet"
		size = 77
		refs = "0017 @CallDynaInst 0023 TList.SetCapacity 003d TList.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 85 FF 74 37 8B C7 66 BB FF FF E8 ?? ?? ?? ?? 8B 55 FC 8B 12 8B C7 E8 ?? ?? ?? ?? 8B 75 FC 8B 36 4E 85 F6 7C 16 46 8B 5D FC 83 C3 04 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10926_0 {
	meta:
		name = "SetFDSet"
		size = 163
		refs = "0017 SetFDSet 002f RSSetSizeExceeded 0034 LoadResString 003e _Dn_EIdStackSetSizeExceeded 0043 Exception.Create 0048 @RaiseExcept 0068 TList.Get 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 5A 83 7F 08 40 7E 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 08 4E 85 F6 7C 23 46 C7 45 F8 00 00 00 00 8B 5D FC 83 C3 04 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 89 03 FF 45 F8 83 C3 04 4E 75 EB 8B 47 08 8B 55 FC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10927_0 {
	meta:
		name = "TIdStackWinsock.WSSelect"
		size = 277
		refs = "0021 @FillChar 0052 SetFDSet 0090 Select 00eb GetFDSet"
	strings:
		$1 = { 55 8B EC 81 C4 EC FC FF FF 53 56 57 8B F9 8B F2 8B 5D 08 8D 85 F4 FE FF FF 33 C9 BA 04 01 00 00 E8 ?? ?? ?? ?? 8D 85 F0 FD FF FF 33 C9 BA 04 01 00 00 E8 ?? ?? ?? ?? 8D 85 EC FC FF FF 33 C9 BA 04 01 00 00 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 95 F0 FD FF FF 8B C7 E8 ?? ?? ?? ?? 8D 95 EC FC FF FF 8B 45 0C E8 ?? ?? ?? ?? 83 FB FE 75 26 6A 00 8D 85 EC FC FF FF 50 8D 85 F0 FD FF FF 50 8D 85 F4 FE FF FF 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 46 8B C3 B9 E8 03 00 00 99 F7 F9 89 45 F8 8B C3 B9 E8 03 00 00 99 F7 F9 69 C2 E8 03 00 00 89 45 FC 8D 45 F8 50 8D 85 EC FC FF FF 50 8D 85 F0 FD FF FF 50 8D 85 F4 FE FF FF 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 8D 95 F4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 95 F0 FD FF FF 8B C7 E8 ?? ?? ?? ?? 8D 95 EC FC FF FF 8B 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10929_0 {
	meta:
		name = "TIdStackWinsock.WSSendTo"
		size = 107
		refs = "001a @FillChar 002a TIdStack.StringToTInAddr 003d Htons 005a SendTo"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8D 45 F0 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 66 C7 45 F0 02 00 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 89 45 F4 66 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 F2 6A 10 8D 45 F0 50 8B 45 10 50 8B 45 14 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_10930_0 {
	meta:
		name = "TIdStackWinsock.WSSetSockOpt"
		size = 30
		refs = "0012 SetSockOpt"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 45 0C 50 8B 45 10 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 5D C2 0C 00 }
	condition:
		$1
}

rule function_10931_0 {
	meta:
		name = "TIdStackWinsock.WSGetLocalAddresses"
		size = 35
		refs = "000c _Dn_TStringList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B C3 8B 10 FF 12 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_10932_0 {
	meta:
		name = "TIdStackWinsock.WSGetLastError"
		size = 10
		refs = "0001 WSAGetLastError"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_10933_0 {
	meta:
		name = "TIdStackWinsock.WSSocket"
		size = 22
		refs = "000a Socket"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 5D C2 04 00 }
	condition:
		$1
}

rule function_10936_0 {
	meta:
		name = "TIdStackWinsock.WSGetServByName"
		size = 221
		refs = "0015 TIdStackWinsock.WSGetServByName 0025 @LStrToPChar 002b GetServByName 003f Ntohs 0060 StrToInt 0071 @HandleOnException 0079 _Dn_EConvertError 0095 RSInvalidServiceName 009a LoadResString 00a4 _Dn_EIdInvalidServiceName 00a9 Exception.CreateFmt 00ae @RaiseExcept 00b3 @DoneExcept 00c8 @LStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 74 15 66 8B 43 08 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 C0 8B D8 EB 69 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10937_0 {
	meta:
		name = "TIdStackWinsock.WSGetServByPort"
		size = 260
		refs = "0012 TIdStackWinsock.WSGetServByPort 001f _Dn_TStringList 0024 TObject.Create 0030 _DT_4 0035 @DynArrayClear 004b Htons 0058 GetServByPort 006c @LStrFromPChar 008a @DynArrayAsg 00be @HandleAnyException 00c6 TObject.Free 00cb @DoneExcept 00e0 @LStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 53 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 C0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F0 85 F6 74 4D 8D 45 F4 8B 16 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 33 DB 8D 45 F8 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8D 45 F4 8B 55 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 43 8B 45 F8 8B 34 98 85 F6 75 DD 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10940_0 {
	meta:
		name = "TIdStackWinsock.PopulateLocalAddresses"
		size = 165
		refs = "0014 TIdStackWinsock.PopulateLocalAddresses 0034 @LStrToPChar 003a GetHostByName 004c TIdStack.CheckForSocketError 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 52 40 8D 55 F8 8B C3 8B 08 FF 51 24 8B 45 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 75 0C 83 CA FF 8B C3 E8 ?? ?? ?? ?? EB 2F 8B 40 0C 89 45 FC 33 F6 EB 1C 8D 4D F8 8B 45 FC 8B 14 B0 8B C3 8B 38 FF 57 78 8B 55 F8 8B 43 0C 8B 08 FF 51 34 46 8B 45 FC 83 3C B0 00 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10941_0 {
	meta:
		name = "TIdStackWinsock.WSGetLocalAddress"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 08 8B CE 33 D2 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_10942_0 {
	meta:
		name = "SetProp"
		size = 32
		refs = "000f @LStrFromPChar 0019 @LStrClr"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 0C 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10943_0 {
	meta:
		name = "TIdStackVersionWinsock.create"
		size = 121
		refs = "000b @ClassCreate 003f SetProp 0055 RSWSockStack 005a LoadResString 0065 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B F1 0F B7 86 88 01 00 00 89 47 04 0F B7 86 86 01 00 00 89 47 08 66 8B 46 02 66 89 47 0C 66 8B 06 66 89 47 0E 8D 56 04 8D 47 10 E8 ?? ?? ?? ?? 8D 96 05 01 00 00 8D 47 18 E8 ?? ?? ?? ?? 8D 57 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10944_0 {
	meta:
		name = "ServeFile"
		size = 197
		refs = "0010 @LStrAddRef 0018 ServeFile 003d @LStrToPChar 0043 CreateFile 0068 TransmitFile 007b GetFileSize 0094 CloseHandle 009a @HandleFinally 00b1 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 6A 00 68 80 00 00 08 6A 03 6A 00 6A 01 68 00 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 F4 50 53 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 74 0E 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10945_0 {
	meta:
		name = "TIdStackWinsock.TranslateStringToTInAddr"
		size = 212
		refs = "0015 @LStrAddRef 001d TIdStackWinsock.TranslateStringToTInAddr 0036 Fetch 003e StrToInt 00b4 @LStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 03 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 43 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 43 02 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 43 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_10947_0 {
	meta:
		name = "TIdStackWinsock.WSGetPeerName"
		size = 158
		refs = "0018 TIdStackWinsock.WSGetPeerName 0033 GetPeerName 0040 TIdStack.CheckForSocketError 005e @LStrAsg 0068 Ntohs 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 10 00 00 00 8D 45 FC 50 8D 45 EC 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 EC 89 07 8D 4D E8 8D 55 F0 8B C3 8B 18 FF 53 78 8B 55 E8 8B 45 0C E8 ?? ?? ?? ?? 66 8B 45 EE 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 C0 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10948_0 {
	meta:
		name = "TIdStackWinsock.WSGetSockName"
		size = 158
		refs = "0018 TIdStackWinsock.WSGetSockName 0033 GetSockName 0040 TIdStack.CheckForSocketError 005e @LStrAsg 0068 Ntohs 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 10 00 00 00 8D 45 FC 50 8D 45 EC 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 EC 89 07 8D 4D E8 8D 55 F0 8B C3 8B 18 FF 53 78 8B 55 E8 8B 45 0C E8 ?? ?? ?? ?? 66 8B 45 EE 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 C0 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10950_0 {
	meta:
		name = "IdStackWinsock"
		size = 31
		refs = "0002 _DV_3 000a Win32Platform 0014 GServeFileProc 001a ServeFile"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 A1 ?? ?? ?? ?? 83 38 02 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10951_0 {
	meta:
		name = "TIdTCPClient.Connect"
		size = 2856
		refs = "001b TIdTCPClient.Connect 0038 RSAlreadyConnected 003d LoadResString 004a _Dn_EIdAlreadyConnected 004f Exception.Create 0054 @RaiseExcept 006e TIdSocketHandle.AllocateSocket 0093 @LStrAsg 009e TIdSocketHandle.Bind 00b7 GStack 00be TIdStack.IsIP 00ed TIdComponent.DoStatus 010b TIdStack.ResolveHost 0128 TIdSocketHandle.SetPeer 01b1 Id_SO_True 01c9 TIdSocketHandle.SetSockOpt 020f TIdStack.CheckForSocketError 021e @HandleOnException 0226 _Dn_Exception 024f @HandleAnyException 0254 @DoneExcept 0259 @RaiseAgain 02e0 TIdStack.StringToTInAddr 0337 @LStrToString 035a @LStrLen 0369 @LStrToPChar 0376 Move 03a6 TIdTCPConnection.WriteBuffer 03c4 TIdTCPConnection.ReadBuffer 0410 RSSocksRequestFailed 0422 _DV_EIdSocksRequestFailed 043c RSSocksRequestServerFailed 044e _DV_EIdSocksRequestServerFailed 0468 RSSocksRequestIdentFailed 047a _DV_EIdSocksRequestIdentFailed 0494 RSSocksUnknownError 04a6 _DV_EIdSocksUnknownError 0544 RSSocksServerRespondError 0556 _DV_EIdSocksServerRespondError 057e RSSocksAuthMethodError 0590 _DV_EIdSocksAuthMethodError 071e RSSocksAuthError 0730 _DV_EIdSocksAuthError 08b2 RSSocksServerGeneralError 08c4 _DV_EIdSocksServerGeneralError 08de RSSocksServerPermissionError 08f0 _DV_EIdSocksServerPermissionError 090a RSSocksServerNetUnreachableError 091c _DV_EIdSocksServerNetUnreachableError 0936 RSSocksServerHostUnreachableError 0948 _DV_EIdSocksServerHostUnreachableError 0962 RSSocksServerConnectionRefusedError 0974 _DV_EIdSocksServerConnectionRefusedError 098e RSSocksServerTTLExpiredError 09a0 _DV_EIdSocksServerTTLExpiredError 09b7 RSSocksServerCommandError 09c9 _DV_EIdSocksServerCommandError 09e0 RSSocksServerAddressError 09f2 _DV_EIdSocksServerAddressError 0b02 @LStrClr 0b08 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 DC FD FF FF 53 56 57 33 D2 89 95 E4 FD FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 60 80 78 10 00 74 27 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 40 8B 45 FC 8B 40 60 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 60 83 C0 14 8B 55 FC 8B 92 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 AC 00 00 00 8A 43 18 48 2C 03 73 7B 8B 53 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 2B 6A 00 8B 45 FC 8B 80 AC 00 00 00 8B 40 08 89 85 DC FD FF FF C6 85 E0 FD FF FF 0B 8D 8D DC FD FF FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 8D E4 FD FF FF 8B 45 FC 8B 80 AC 00 00 00 8B 50 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 95 E4 FD FF FF 8B 45 FC 8B 80 AC 00 00 00 8B 48 10 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? EB 76 8B 45 FC 8B 90 9C 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 28 6A 00 8B 45 FC 8B 80 9C 00 00 00 89 85 DC FD FF FF C6 85 E0 FD FF FF 0B 8D 8D DC FD FF FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 8D E4 FD FF FF 8B 45 FC 8B 90 9C 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 95 E4 FD FF FF 8B 45 FC 8B 88 A8 00 00 00 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B0 00 00 00 00 75 1D A1 ?? ?? ?? ?? 50 6A 04 8B 45 FC 8B 40 60 B9 01 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 60 8B 40 18 89 85 DC FD FF FF C6 85 E0 FD FF FF 0B 8D 8D DC FD FF FF B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 BA 02 00 00 00 8B 08 FF 51 20 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 45 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 58 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 74 00 74 11 8B 45 FC 8B 50 60 8B 45 FC 8B 40 70 8B 08 FF 51 30 8B 45 FC 8B 80 AC 00 00 00 8A 50 18 4A 80 EA 02 72 0B 0F 84 25 02 00 00 E9 22 08 00 00 C6 85 E8 FE FF FF 04 C6 85 E9 FE FF FF 01 8B 45 FC 66 8B 90 A8 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 34 66 89 85 EA FE FF FF 8B 45 FC 8B 80 AC 00 00 00 80 78 18 02 75 19 A1 ?? ?? ?? ?? 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 EC FE FF FF EB 33 8D 8D E4 FD FF FF 8B 45 FC 8B 90 9C 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 95 E4 FD FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 85 EC FE FF FF 8D 85 F0 FE FF FF 8B 55 FC 8B 9A AC 00 00 00 8B 53 14 B9 FF 00 00 00 E8 ?? ?? ?? ?? 0F B6 BD F0 FE FF FF C6 84 3D F1 FE FF FF 00 80 7B 18 02 75 45 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8D 94 3D F2 FE FF FF 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 47 03 C7 8B F8 C6 84 3D F1 FE FF FF 00 83 C7 09 6A 00 8D 95 E8 FE FF FF 8B CF 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 B9 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 45 F5 2C 5A 0F 84 C3 06 00 00 FE C8 74 0D FE C8 74 35 FE C8 74 5D E9 84 00 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 06 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5A 06 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2E 06 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 02 06 00 00 80 78 04 00 75 09 C6 85 EA FD FF FF 00 EB 07 C6 85 EA FD FF FF 02 8A 9D EA FD FF FF C6 85 E8 FD FF FF 05 B0 01 88 85 E9 FD FF FF 8B F8 81 E7 FF 00 00 00 83 C7 02 6A 00 8D 95 E8 FD FF FF 8B CF 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 95 E8 FD FF FF B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 85 E9 FD FF FF 3A D8 75 04 3C FF 75 27 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 98 AC 00 00 00 80 7B 04 01 0F 85 8D 01 00 00 C6 85 E8 FD FF FF 01 8B 43 14 E8 ?? ?? ?? ?? 88 85 E9 FD FF FF BE 02 00 00 00 8B 45 FC 8B 80 AC 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 85 C0 7E 30 8B 45 FC 8B 80 AC 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 AC 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 94 35 E8 FD FF FF 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 03 F0 8B 45 FC 8B 80 AC 00 00 00 8B 40 0C E8 ?? ?? ?? ?? 88 84 35 E8 FD FF FF 46 8B 45 FC 8B 80 AC 00 00 00 8B 40 0C E8 ?? ?? ?? ?? 85 C0 7E 30 8B 45 FC 8B 80 AC 00 00 00 8B 40 0C E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 AC 00 00 00 8B 40 0C E8 ?? ?? ?? ?? 8D 94 35 E8 FD FF FF 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 00 00 00 8B 40 0C E8 ?? ?? ?? ?? 03 F0 6A 00 8D 95 E8 FD FF FF 8B CE 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 95 E8 FD FF FF B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BD E9 FD FF FF 00 74 27 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 85 E8 FD FF FF 05 C6 85 E9 FD FF FF 01 C6 85 EA FD FF FF 00 C6 85 EB FD FF FF 03 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 88 85 EC FD FF FF BE 05 00 00 00 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 2A 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8D 94 35 E8 FD FF FF 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 03 F0 8B 45 FC 66 8B 90 A8 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 34 66 89 45 F2 8D 94 35 E8 FD FF FF 8D 45 F2 B9 02 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 6A 00 8D 95 E8 FD FF FF 8B CE 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 95 E8 FD FF FF B9 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8A 85 E9 FD FF FF 83 F8 08 0F 87 87 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 7E 01 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 52 01 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 01 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FA 00 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CE 00 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 79 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 85 EB FD FF FF FE C8 74 0A 2C 02 74 0D FE C8 74 15 EB 18 BF 06 00 00 00 EB 11 0F B6 BD EC FD FF FF 83 C7 02 EB 05 BF 12 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CF 49 8D 95 ED FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 95 E4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E4 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 60 8B 40 18 89 85 DC FD FF FF C6 85 E0 FD FF FF 0B 8D 8D DC FD FF FF B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 07 00 00 00 30 2E 30 2E 30 2E 31 00 }
	condition:
		$1
}

rule function_10952_0 {
	meta:
		name = "TIdTCPClient.ConnectAndGetAll"
		size = 78
		refs = "0019 TIdTCPClient.ConnectAndGetAll 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 92 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10953_0 {
	meta:
		name = "TIdTCPClient.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TIdTCPConnection.Create 001e _Dn_TSocksInfo 0023 TSocksInfo.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 AC 00 00 00 C6 86 B0 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10954_0 {
	meta:
		name = "TIdTCPClient.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 FreeAndNil 001e TIdTCPConnection.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10956_0 {
	meta:
		name = "TIdTCPClient.SetSocksInfo"
		size = 12
	strings:
		$1 = { 8B 80 AC 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_10959_0 {
	meta:
		name = "TIdTCPConnection.AllData"
		size = 166
		refs = "0016 TIdTCPConnection.AllData 003d @LStrClr 004a TIdTCPConnection.CurrentReadBuffer 0054 @LStrCat 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B 45 FC 8B 30 FF 56 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 15 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 54 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10960_0 {
	meta:
		name = "TIdTCPConnection.Capture"
		size = 428
		refs = "0017 TIdTCPConnection.Capture 0054 @LStrCmp 005b @TryFinallyExit 007c @LStrCopy 009d @LStrDelete 00a5 _Dn_TStrings 00aa @IsClass 00c5 _Dn_TStream 00d6 @LStrLen 00df UniqueString 00eb TStream.WriteBuffer 00f8 @LStrLAsg 0128 RSObjectTypeNotSupported 012d LoadResString 0137 _DV_EIdObjectTypeNotSupported 013c Exception.Create 0141 @RaiseExcept 0163 @HandleFinally 017f @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B 45 FC 8B 38 FF 57 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B9 FE FF FF FF 33 D2 8B 45 FC 8B 38 FF 57 74 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 75 0A E8 ?? ?? ?? ?? E9 05 01 00 00 80 7D 08 00 74 37 8D 45 F4 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 55 F8 8B C3 8B 08 FF 51 34 E9 7A FF FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B FB 8B C7 59 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 1F FF FF FF 85 DB 0F 84 17 FF FF FF 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F1 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 02 00 00 00 2E 2E 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10961_0 {
	meta:
		name = "TIdTCPConnection.CheckForDisconnect"
		size = 154
		refs = "0018 TIdTCPConnection.CheckForDisconnect 0044 TIdTCPConnection.CurrentReadBufferSize 005a RSConnectionClosedGracefully 005f LoadResString 0069 _Dn_EIdConnClosedGracefully 006e Exception.Create 0073 @RaiseExcept 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 88 4D FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 68 00 75 09 8B 46 60 80 78 10 00 75 46 8B 46 60 80 78 10 00 74 07 8B C6 8B 10 FF 52 5C 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 0A 45 FF 74 25 84 DB 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10962_0 {
	meta:
		name = "TIdTCPConnection.Connected"
		size = 24
	strings:
		$1 = { 53 56 8B D8 33 C9 33 D2 8B C3 8B 30 FF 56 48 8B 43 60 8A 40 10 5E 5B C3 }
	condition:
		$1
}

rule function_10963_0 {
	meta:
		name = "TIdTCPConnection.Create"
		size = 140
		refs = "000a @ClassCreate 0017 TIdComponent.Create 0020 _Dn_TIdSocketHandle 0025 TIdSocketHandle.Create 002f _Dn_TStringList 0034 TObject.Create 003e _DV_TIdBuffer 0055 TIdTCPConnection.SetRecvBufferSize 0079 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 6C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 BA 00 80 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 8C 00 00 00 00 80 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 64 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10964_0 {
	meta:
		name = "TIdTCPConnection.CurrentReadBuffer"
		size = 66
		refs = "000a @LStrClr 002f TStream.GetSize"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 84 C0 74 25 6A 01 6A 00 B9 FE FF FF FF 33 D2 8B C3 8B 38 FF 57 70 8B 43 64 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 8B 18 FF 53 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10965_0 {
	meta:
		name = "TIdTCPConnection.CurrentReadBufferSize"
		size = 9
		refs = "0004 TStream.GetSize"
	strings:
		$1 = { 8B 40 64 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10966_0 {
	meta:
		name = "TIdTCPConnection.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 000f FreeAndNil 0036 TIdComponent.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 64 E8 ?? ?? ?? ?? 8D 86 84 00 00 00 E8 ?? ?? ?? ?? 8D 46 6C E8 ?? ?? ?? ?? 8D 46 60 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10967_0 {
	meta:
		name = "TIdTCPConnection.Disconnect"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 5C C3 }
	condition:
		$1
}

rule function_10969_0 {
	meta:
		name = "TIdTCPConnection.ExtractXBytesFromBuffer"
		size = 132
		refs = "0012 TIdTCPConnection.ExtractXBytesFromBuffer 0020 TStream.GetSize 002c RSNotEnoughDataInBuffer 0031 LoadResString 003b _DV_EIdNotEnoughDataInBuffer 0040 Exception.Create 0045 @RaiseExcept 0054 @LStrFromPCharLen 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 64 E8 ?? ?? ?? ?? 3B F0 7E 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 64 8B 50 04 8B C7 8B CE E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10970_0 {
	meta:
		name = "TIdTCPConnection.GetCmdResult"
		size = 52
		refs = "000a @LStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 6C 8B 10 FF 52 14 85 C0 7E 16 8B 7B 6C 8B C7 8B 10 FF 52 14 8B D0 4A 8B CE 8B C7 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10971_0 {
	meta:
		name = "TIdTCPConnection.GetRecvBufferSize"
		size = 12
		refs = "0007 TStream.GetSize"
	strings:
		$1 = { 8B 80 84 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10972_0 {
	meta:
		name = "TIdTCPConnection.GetResponse"
		size = 468
		refs = "0018 TIdTCPConnection.GetResponse 0030 TIdTCPConnection.ReadLnWait 0043 @LStrLen 0067 @LStrCopy 0077 @LStrCat3 00ba AnsiSameText 00cc TIdTCPConnection.GetCmdResult 0160 StrToIntDef 0194 @LStrArrayClr 019a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 6C 8B 10 FF 52 40 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 6C 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 83 F8 03 7E 76 8B 45 FC 80 78 03 2D 75 6D 8D 45 F4 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 6C 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 83 F8 04 7C 25 8D 45 F4 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 B9 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 66 C7 83 88 00 00 00 01 00 EB 6D 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 66 C7 83 88 00 00 00 00 00 EB 31 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 66 89 83 88 00 00 00 57 8B CE 66 8B 93 88 00 00 00 8B C3 8B 18 FF 53 50 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 03 00 00 00 2B 4F 4B 00 FF FF FF FF 04 00 00 00 2D 45 52 52 00 00 00 00 }
	condition:
		$1
}

rule function_10973_0 {
	meta:
		name = "TIdTCPConnection.RaiseExceptionForCmdResult"
		size = 86
		refs = "000f TIdTCPConnection.RaiseExceptionForCmdResult 001f TIdTCPConnection.GetCmdResult 002b Exception.Create 0030 @RaiseExcept 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10974_0 {
	meta:
		name = "TIdTCPConnection.RaiseExceptionForCmdResult"
		size = 93
		refs = "000c TIdTCPConnection.RaiseExceptionForCmdResult 001c TIdTCPConnection.GetCmdResult 002e _Dn_EIdProtocolReplyError 0033 EIdProtocolReplyError.CreateError 0038 @RaiseExcept 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 0F BF 8B 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10975_0 {
	meta:
		name = "TIdTCPConnection.ReadBuffer"
		size = 78
		refs = "0029 TIdTCPConnection.CurrentReadBufferSize 003c Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 85 F6 7E 3B 85 FF 74 37 EB 12 6A 01 6A 00 B9 FE FF FF FF B2 01 8B C3 8B 28 FF 55 70 8B C3 E8 ?? ?? ?? ?? 3B F0 7F E3 8B D7 8B 43 64 8B 40 04 8B CE E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 78 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10976_0 {
	meta:
		name = "DefaultRecv"
		size = 49
		refs = "000c TStream.GetSize 0025 TIdSocketHandle.Recv"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 08 8B 50 04 8B 45 08 8B 40 FC 8B 40 60 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 5D C3 }
	condition:
		$1
}

rule function_10977_0 {
	meta:
		name = "TIdTCPConnection.ReadFromStack"
		size = 414
		refs = "004b TIdSocketHandle.Readable 0070 TStream.GetSize 008a DefaultRecv 00b6 GStack 00c0 TIdStack.CheckForSocketError 00e5 TIdTCPConnection.CurrentReadBufferSize 00fa TIdStack.RaiseSocketError 0140 TStream.SetPosition 0154 TStream.WriteBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 8B DA 89 45 FC 33 F6 33 C9 8B D3 8B 45 FC 8B 38 FF 57 48 8B 45 FC 8B 10 FF 52 54 84 C0 0F 84 64 01 00 00 83 7D 08 00 75 0C 8B 45 FC 8B 80 84 00 00 00 89 45 08 8B 45 FC 8B 40 60 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 3C 01 00 00 8B 45 FC 80 78 74 00 74 31 8B 45 FC 8B 70 70 80 7E 30 00 74 1C 8B 45 08 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 04 8B C6 8B 30 FF 56 40 89 45 F8 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 83 7D F8 00 0F 94 C0 8B 55 FC 88 42 68 84 C0 75 7F 6A 00 C7 45 F0 4A 27 00 00 8D 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 89 45 F8 8B 45 FC 8B 40 60 80 78 10 00 74 08 8B 45 FC 8B 10 FF 52 5C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 11 A1 ?? ?? ?? ?? 8B 00 BA 4A 27 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 5C 00 74 21 8B 55 F8 85 D2 7E 1A B8 01 00 00 00 8B 4D 08 8B 71 04 8A 0C 06 80 E1 7F 51 59 88 0C 06 40 4A 75 EB 80 7D 0C 00 74 2C 8B 45 FC 8B 70 64 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 04 8B 45 FC 8B 40 64 8B 4D F8 E8 ?? ?? ?? ?? EB 0D 8B 4D F8 33 D2 8B 45 FC 8B 30 FF 56 34 8B 45 FC 80 78 74 00 74 14 8B 45 08 8B 50 04 8B 45 FC 8B 40 70 8B 4D F8 8B 30 FF 56 34 33 C9 8B D3 8B 45 FC 8B 18 FF 53 48 8B 75 F8 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10978_0 {
	meta:
		name = "TIdTCPConnection.ReadCardinal"
		size = 44
		refs = "000c TIdTCPConnection.ReadBuffer 0015 GStack"
		altNames = "TIdTCPConnection.ReadInteger"
	strings:
		$1 = { 53 51 8B DA 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 12 A1 ?? ?? ?? ?? 8B 00 8B 14 24 8B 08 FF 51 44 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_10979_0 {
	meta:
		name = "TIdTCPConnection.ReadLn"
		size = 380
		refs = "001c TIdTCPConnection.ReadLn 002a @LStrLen 003b @LStrLAsg 0058 TIdTCPConnection.CurrentReadBufferSize 0066 TStream.GetSize 0073 @LStrFromPCharLen 007e @LStrPos 00bb @LStrClr 00e3 @LStrSetLength 010e @LStrCopy 011b @LStrCmp 014c @LStrArrayClr 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? C6 83 80 00 00 00 00 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 24 8B 73 64 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 56 04 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 85 F6 75 39 B1 01 B2 01 8B C3 8B 38 FF 57 48 6A 01 6A 00 8B 4D F8 B2 01 8B C3 8B 38 FF 57 70 85 C0 0F 94 C0 88 83 80 00 00 00 80 BB 80 00 00 00 00 74 0A 8B 45 08 E8 ?? ?? ?? ?? EB 75 85 F6 7E 90 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 03 D6 4A 8B 4D 08 8B C3 8B 18 FF 53 60 8B D6 4A 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 43 8D 45 EC 50 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B D0 4A 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_10980_0 {
	meta:
		name = "TIdTCPConnection.ReadLnWait"
		size = 109
		refs = "0010 TIdTCPConnection.ReadLnWait 001d @LStrClr 003b Trim 0042 @LStrLen 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 1C 8D 45 FC 50 B9 FE FF FF FF 33 D2 8B C6 8B 38 FF 57 74 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 74 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10981_0 {
	meta:
		name = "AdjustStreamSize"
		size = 48
		refs = "000a TStream.GetPosition 0028 TStream.SetPosition"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C3 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 3B F0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10982_0 {
	meta:
		name = "TIdTCPConnection.ReadStream"
		size = 467
		refs = "0023 TIdTCPConnection.ReadInteger 0032 TStream.GetPosition 003e AdjustStreamSize 0069 TIdTCPConnection.ReadStream 0077 TIdTCPConnection.CurrentReadBufferSize 007e Min 0095 TStream.WriteBuffer 00a2 TIdBuffer.RemoveXBytes 00a9 _DV_TIdBuffer 00ae TObject.Create 00cc TIdTCPConnection.GetRecvBufferSize 00df TStream.GetSize 0178 TObject.Free 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 F8 89 45 FC 8B 5D 08 83 FE FF 75 10 84 DB 75 0C B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 FE FF 7E 14 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 03 D6 8B 45 F8 E8 ?? ?? ?? ?? 84 DB 74 13 BE FF FF FF 7F 33 C9 33 D2 8B 45 FC 8B 38 FF 57 30 EB 0C 8B CE 33 D2 8B 45 FC 8B 38 FF 57 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 2B F7 8B 45 FC 8B 40 64 8B 50 04 8B CF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 64 8B D7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 8B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 F4 E8 ?? ?? ?? ?? 3B F8 74 09 8B D7 8B 45 F4 8B 08 FF 11 6A 00 8B 45 F4 50 8B D3 80 F2 01 B9 FE FF FF FF 8B 45 FC 8B 38 FF 57 70 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 03 C7 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 3B D0 7E 1F 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? C1 E0 02 5A 03 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 04 8B CF 8B 45 F8 E8 ?? ?? ?? ?? 2B F7 8B 45 FC 8B 10 FF 52 54 84 C0 74 08 85 F6 0F 8F 61 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7E 11 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 11 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10983_0 {
	meta:
		name = "TIdTCPConnection.RemoveXBytesFromBuffer"
		size = 30
		refs = "000c TIdBuffer.RemoveXBytes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 64 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C3 8B 18 FF 53 34 5E 5B C3 }
	condition:
		$1
}

rule function_10984_0 {
	meta:
		name = "TIdTCPConnection.ResetConnection"
		size = 27
		refs = "0009 TIdSocketHandle.Reset 0011 TMemoryStream.Clear"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 60 E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? C6 43 68 00 5B C3 }
	condition:
		$1
}

rule function_10985_0 {
	meta:
		name = "TIdTCPConnection.SendCmd"
		size = 76
		refs = "0011 TIdTCPConnection.SendCmd 0016 @LStrCmp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B C6 8B 08 FF 91 84 00 00 00 8B 55 FC 8B 4D 08 8B C6 8B 18 FF 53 64 5F 5E 5B 59 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_10986_0 {
	meta:
		name = "TIdTCPConnection.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TIdTCPConnection.SetIntercept"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0E 3B 7E 70 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10987_0 {
	meta:
		name = "TIdTCPConnection.SetIntercept"
		size = 28
		refs = "0017 TComponent.FreeNotification"
	strings:
		$1 = { 8B CA 89 48 70 85 C9 75 05 C6 40 74 00 C3 85 C9 74 09 8B D0 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10988_0 {
	meta:
		name = "TIdTCPConnection.SetInterceptEnabled"
		size = 103
		refs = "0009 TIdTCPConnection.SetInterceptEnabled 0027 RSInterceptPropIsNil 002c LoadResString 0036 _DV_EIdInterceptPropIsNil 003b Exception.Create 0040 @RaiseExcept 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 78 70 00 75 2B F6 40 20 01 75 25 84 D2 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 50 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_10989_0 {
	meta:
		name = "TIdTCPConnection.SetRecvBufferSize"
		size = 11
	strings:
		$1 = { 8B 80 84 00 00 00 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_10990_0 {
	meta:
		name = "TIdTCPConnection.Write"
		size = 106
		refs = "000e @LStrAddRef 0016 TIdTCPConnection.Write 0024 @LStrLen 003b UniqueString 0045 TIdTCPConnection.WriteBuffer 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 1D 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_10991_0 {
	meta:
		name = "DefaultSend"
		size = 70
		refs = "002c TIdSocketHandle.Send 003b _Dn_TIdAntiFreezeBase 0040 TIdAntiFreezeBase.DoProcess"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 8B 48 F0 8B 45 08 2B 48 F4 41 8B 45 08 8B 40 F4 8B 55 08 8B 52 F8 8D 54 02 FF 8B 45 08 8B 40 FC 8B 40 60 E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_10992_0 {
	meta:
		name = "TIdTCPConnection.WriteBuffer"
		size = 355
		refs = "0083 DefaultSend 00b7 GStack 00c1 TIdStack.CheckForSocketError 00de TIdStack.RaiseSocketError 012f TStream.WriteBuffer 013d TStream.GetSize 0158 TIdTCPConnection.FlushWriteBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 4D F0 89 55 F8 89 45 FC 83 7D F0 00 0F 8E 42 01 00 00 8B 45 F8 85 C0 0F 84 37 01 00 00 B1 01 B2 01 8B 45 FC 8B 18 FF 53 48 8B 45 FC 8B 80 90 00 00 00 85 C0 0F 94 C2 0A 55 08 0F 84 E0 00 00 00 C7 45 F4 01 00 00 00 8B 45 FC 80 78 74 00 74 32 8B 45 FC 8B 58 70 80 7B 31 00 74 1D 8B 45 F8 8B 55 F4 8D 54 10 FF 8B 4D F0 2B 4D F4 41 8B C3 8B 18 FF 53 44 89 45 EC EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 83 7D EC 00 0F 94 C0 8B 55 FC 88 42 68 33 C9 B2 01 8B 45 FC 8B 18 FF 53 48 6A 00 C7 45 E8 4A 27 00 00 8D 4D E8 A1 ?? ?? ?? ?? 8B 00 8B 55 EC E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 FC 8B 10 FF 52 5C A1 ?? ?? ?? ?? 8B 00 BA 4A 27 00 00 E8 ?? ?? ?? ?? 8B 4D EC B2 01 8B 45 FC 8B 18 FF 53 34 8B 45 FC 80 78 74 00 74 1C 8B 45 F8 8B 55 F4 8D 54 10 FF 8B 4D F0 2B 4D F4 41 8B 45 FC 8B 40 70 8B 18 FF 53 38 8B 45 EC 01 45 F4 8B 45 F4 3B 45 F0 0F 8E 29 FF FF FF EB 34 8B 55 F8 8B 4D F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 9A 94 00 00 00 3B C3 7C 0E 85 DB 7E 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10993_0 {
	meta:
		name = "TIdTCPConnection.WriteFile"
		size = 210
		refs = "0013 @LStrAddRef 001b TIdTCPConnection.WriteFile 0026 GServeFileProc 0059 _Dn_TFileStream 005e TFileStream.Create 0088 TStream.GetSize 00a0 TObject.Free 00a6 @HandleFinally 00bd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 22 80 7E 74 00 75 1C 84 DB 74 18 8B 1D ?? ?? ?? ?? 8B 1B 8B 46 60 8B 40 0C 8B 55 FC FF D3 89 45 F8 EB 5B 6A 40 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B1 01 8B 55 F4 8B C6 8B 18 FF 93 88 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10994_0 {
	meta:
		name = "TIdTCPConnection.WriteHeader"
		size = 196
		refs = "001b TIdTCPConnection.WriteHeader 005c StringReplace 0095 @LStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3E 43 33 F6 A0 ?? ?? ?? ?? 50 8D 45 F4 50 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 45 F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 91 84 00 00 00 46 4B 75 C5 33 D2 8B 45 FC 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 00 FF FF FF FF 02 00 00 00 3A 20 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_10995_0 {
	meta:
		name = "TIdTCPConnection.WriteCardinal"
		size = 50
		refs = "000c GStack 002b TIdTCPConnection.WriteBuffer"
		altNames = "TIdTCPConnection.WriteInteger"
	strings:
		$1 = { 53 51 89 14 24 8B D8 84 C9 74 12 A1 ?? ?? ?? ?? 8B 00 8B 14 24 8B 08 FF 51 40 89 04 24 6A 00 8D 54 24 04 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_10996_0 {
	meta:
		name = "TIdTCPConnection.WriteLn"
		size = 100
		refs = "000f TIdTCPConnection.WriteLn 0024 @LStrCat3 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_10997_0 {
	meta:
		name = "TIdTCPConnection.WriteStream"
		size = 367
		refs = "0019 TIdTCPConnection.WriteStream 002e TStream.SetPosition 0035 TStream.GetSize 003e TStream.GetPosition 0052 TIdTCPConnection.WriteInteger 0073 _Dn_TMemoryStream 0078 TObject.Create 00ba Min 00dd RSIdNoDataToRead 00e2 LoadResString 00ec _DV_EIdNoDataToRead 00f1 Exception.Create 00f6 @RaiseExcept 0108 TIdTCPConnection.WriteBuffer 011f FreeAndNil 0125 @HandleFinally 015b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 88 4D FB 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 2B D8 80 7D 08 00 74 0C B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CB B2 01 8B 45 FC 8B 18 FF 53 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 8C 00 00 00 8B 45 F4 8B 08 FF 11 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 92 2B C2 8B 55 FC 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4A 8B 45 F4 8B 50 04 8B CB 8B C6 8B 18 FF 53 04 8B D8 85 DB 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 F4 8B 50 04 8B CB 8B 45 FC E8 ?? ?? ?? ?? EB 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 38 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10998_0 {
	meta:
		name = "TIdTCPConnection.WriteStrings"
		size = 119
		refs = "0018 TIdTCPConnection.WriteStrings 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F4 8B 45 FC 8B 08 FF 91 84 00 00 00 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10999_0 {
	meta:
		name = "TIdTCPConnection.SendCmd"
		size = 41
	strings:
		$1 = { 53 51 66 83 F9 FF 75 0E 6A FF 8D 4C 24 04 8B 18 FF 53 7C 5A 5B C3 6A 00 66 89 4C 24 04 8D 4C 24 04 8B 18 FF 53 7C 5A 5B C3 }
	condition:
		$1
}

rule function_11000_0 {
	meta:
		name = "TIdTCPConnection.DisconnectSocket"
		size = 113
		refs = "0027 TIdComponent.DoStatus"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 73 60 80 7E 10 00 74 4E 6A 00 8B 46 18 89 44 24 04 C6 44 24 08 0B 8D 4C 24 04 B2 03 8B C3 E8 ?? ?? ?? ?? B2 01 8B 43 60 8B 08 FF 51 1C C6 43 68 01 6A 00 8B 43 60 8B 40 18 89 44 24 04 C6 44 24 08 0B 8D 4C 24 04 B2 04 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 3C 80 7B 74 00 74 08 8B 43 70 8B 10 FF 52 3C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11001_0 {
	meta:
		name = "TIdTCPConnection.OpenWriteBuffer"
		size = 33
		refs = "0009 _DV_TIdBuffer 000e TObject.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 89 B3 94 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_11002_0 {
	meta:
		name = "TIdTCPConnection.CloseWriteBuffer"
		size = 26
		refs = "0009 TIdTCPConnection.FlushWriteBuffer 0014 FreeAndNil"
	strings:
		$1 = { 53 8B D8 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11003_0 {
	meta:
		name = "TIdTCPConnection.FlushWriteBuffer"
		size = 113
		refs = "000d TStream.GetSize 0040 TIdTCPConnection.WriteBuffer 0047 TIdTCPConnection.ClearWriteBuffer 006a TIdBuffer.RemoveXBytes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 59 83 FE FF 74 0F 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 3B F0 7E 24 6A 01 8B B3 90 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 21 6A 01 8B 83 90 00 00 00 8B 50 04 8B CE 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11004_0 {
	meta:
		name = "TIdTCPConnection.ClearWriteBuffer"
		size = 12
		refs = "0007 TMemoryStream.Clear"
	strings:
		$1 = { 8B 80 90 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11005_0 {
	meta:
		name = "TIdTCPConnection.InputLn"
		size = 280
		refs = "0014 TIdTCPConnection.InputLn 0021 @LStrClr 0030 TIdTCPConnection.ReadString 003d @LStrCmp 0046 @LStrLen 005b @LStrSetLength 00a2 @LStrCat 00ea @LStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2D 8B 03 E8 ?? ?? ?? ?? 85 C0 7E D7 8B 03 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 91 80 00 00 00 EB B5 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1D 8D 4D F8 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 84 00 00 00 EB 38 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 75 12 8B 55 FC 8B C6 8B 08 FF 91 80 00 00 00 E9 62 FF FF FF 8B D7 8B C6 8B 08 FF 91 80 00 00 00 E9 51 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 08 00 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_11006_0 {
	meta:
		name = "TIdTCPConnection.ReadString"
		size = 51
		refs = "000e @LStrSetLength 0019 @LStrLen 0021 UniqueString 002b TIdTCPConnection.ReadBuffer"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C3 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 19 8B 03 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11008_0 {
	meta:
		name = "TIdTCPConnection.ReadSmallInt"
		size = 47
		refs = "000c TIdTCPConnection.ReadBuffer 0015 GStack"
	strings:
		$1 = { 53 51 8B DA 8B D4 B9 02 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 14 A1 ?? ?? ?? ?? 8B 00 66 8B 14 24 8B 08 FF 51 3C 66 89 04 24 66 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_11009_0 {
	meta:
		name = "TIdTCPConnection.WriteSmallInt"
		size = 53
		refs = "000d GStack 002e TIdTCPConnection.WriteBuffer"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 84 C9 74 14 A1 ?? ?? ?? ?? 8B 00 66 8B 14 24 8B 08 FF 51 34 66 89 04 24 6A 00 8D 54 24 04 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_11010_0 {
	meta:
		name = "TIdTCPConnection.CheckForGracefulDisconnect"
		size = 17
	strings:
		$1 = { 53 6A 01 6A 00 B9 01 00 00 00 8B 18 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_11011_0 {
	meta:
		name = "TIdBuffer.RemoveXBytes"
		size = 166
		refs = "0010 TIdBuffer.RemoveXBytes 001d TStream.GetSize 0029 RSNotEnoughDataInBuffer 002e LoadResString 0038 _DV_EIdNotEnoughDataInBuffer 003d Exception.Create 0042 @RaiseExcept 0054 TMemoryStream.Clear 006e Move 0094 @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 75 09 8B C3 E8 ?? ?? ?? ?? EB 29 8B C3 E8 ?? ?? ?? ?? 8B C8 2B CE 8B 7B 04 8B D7 8D 04 37 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 2B D6 8B C3 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11012_0 {
	meta:
		name = "TIdTCPConnection.WaitFor"
		size = 125
		refs = "0019 TIdTCPConnection.WaitFor 0026 @LStrClr 0032 TIdTCPConnection.CurrentReadBuffer 003c @LStrCat 0051 @LStrPos 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 1F 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C6 8B 38 FF 57 48 8B 13 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11015_0 {
	meta:
		name = "TIdTCPConnection.CheckResponse"
		size = 71
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 89 4D F8 8B F2 89 45 FC 8B 45 08 83 F8 FF 7E 27 33 C9 8B D0 85 D2 7C 13 42 8B 45 F8 66 3B 30 75 04 B1 01 EB 06 83 C0 02 4A 75 F1 84 C9 75 08 8B 45 FC 8B 10 FF 52 68 8B C6 5E 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11018_0 {
	meta:
		name = "TIdTCPServer.Create"
		size = 107
		refs = "000a @ClassCreate 0017 TIdComponent.Create 002c _Dn_TThreadList 0031 TThreadList.Create 003d _Dn_TIdSocketHandles 0042 TIdSocketHandles.Create 004a _DV_TIdPeerThread 0058 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 5C E8 03 00 00 C7 46 70 88 13 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 78 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 68 A1 ?? ?? ?? ?? 89 46 74 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11019_0 {
	meta:
		name = "TIdTCPServer.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0017 TIdTCPServer.TerminateAllThreads 001f FreeAndNil 0033 TIdComponent.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? 8D 46 68 E8 ?? ?? ?? ?? 8D 46 78 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11020_0 {
	meta:
		name = "TIdTCPServer.DoConnect"
		size = 27
	strings:
		$1 = { 53 66 83 B8 86 00 00 00 00 74 0E 8B D8 8B 83 88 00 00 00 FF 93 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_11021_0 {
	meta:
		name = "TIdTCPServer.DoDisconnect"
		size = 27
	strings:
		$1 = { 53 66 83 B8 8E 00 00 00 00 74 0E 8B D8 8B 83 90 00 00 00 FF 93 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_11022_0 {
	meta:
		name = "TIdTCPServer.DoExecute"
		size = 30
	strings:
		$1 = { 53 56 66 83 78 7E 00 0F 95 C3 84 DB 74 0B 8B F0 8B 86 80 00 00 00 FF 56 7C 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_11023_0 {
	meta:
		name = "TIdTCPServer.GetDefaultPort"
		size = 7
	strings:
		$1 = { 8B 40 68 8B 40 1C C3 }
	condition:
		$1
}

rule function_11024_0 {
	meta:
		name = "TIdTCPServer.Loaded"
		size = 31
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 60 00 74 0D C6 43 60 00 B2 01 8B C3 8B 08 FF 51 48 5B C3 }
	condition:
		$1
}

rule function_11025_0 {
	meta:
		name = "TIdTCPServer.Notification"
		size = 57
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 1C 3B 7E 64 75 07 33 C0 89 46 64 EB 10 3B BE 94 00 00 00 75 08 33 C0 89 86 94 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11026_0 {
	meta:
		name = "TIdTCPServer.SetAcceptWait"
		size = 93
		refs = "0009 TIdTCPServer.SetAcceptWait 001d RSAcceptWaitCannotBeModifiedWhileServerIsActive 0022 LoadResString 002c _DV_EIdAcceptWaitCannotBeModifiedWhileServerIsActive 0031 Exception.Create 0036 @RaiseExcept 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 80 78 60 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_11027_0 {
	meta:
		name = "TIdTCPServer.SetActive"
		size = 346
		refs = "0038 TCollection.GetCount 0044 TIdSocketHandles.Add 0060 TIdSocketHandles.GetItem 0070 TIdSocketHandle.AllocateSocket 0075 Id_SO_True 0089 TIdSocketHandle.SetSockOpt 0090 TIdSocketHandle.Bind 009c TIdSocketHandle.Listen 00b9 _Dn_TIdThreadMgrDefault 00be TIdThreadMgr.Create 00c7 TIdTCPServer.SetThreadMgr 00d9 _DV_TIdListenerThread 00de TIdListenerThread.Create 00f0 TIdThread.Start 00fa TIdThread.Stop 0128 TIdTCPServer.TerminateAllThreads 0136 FreeAndNil 0142 TThread.WaitFor 014a TObject.Free"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 F6 43 20 10 0F 85 3A 01 00 00 8A 43 60 3A 04 24 0F 84 2E 01 00 00 F6 43 20 01 0F 85 24 01 00 00 80 3C 24 00 0F 84 C2 00 00 00 8B 43 68 E8 ?? ?? ?? ?? 85 C0 75 08 8B 43 68 E8 ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4D 46 33 ED 8B D5 8B 43 68 E8 ?? ?? ?? ?? 8B F8 33 C9 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 04 B9 04 00 00 00 BA FF FF 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C7 E8 ?? ?? ?? ?? 45 4E 75 B6 83 7B 64 00 0F 95 C0 34 01 88 43 61 84 C0 74 17 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 64 8B 53 74 89 50 2C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 6C 8B 43 5C 89 46 3C 8B C6 E8 ?? ?? ?? ?? EB 58 8B 43 6C E8 ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 18 46 33 ED 8B D5 8B 43 68 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 1C 45 4E 75 EB 8B C3 E8 ?? ?? ?? ?? 80 7B 61 00 74 08 8D 43 64 E8 ?? ?? ?? ?? C6 43 61 00 8B 43 6C E8 ?? ?? ?? ?? 8B 43 6C E8 ?? ?? ?? ?? 8A 04 24 88 43 60 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11028_0 {
	meta:
		name = "TIdTCPServer.SetBindings"
		size = 9
	strings:
		$1 = { 8B 40 68 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_11029_0 {
	meta:
		name = "TIdTCPServer.SetDefaultPort"
		size = 7
	strings:
		$1 = { 8B 40 68 89 50 1C C3 }
	condition:
		$1
}

rule function_11030_0 {
	meta:
		name = "TIdTCPServer.SetIntercept"
		size = 22
		refs = "0011 TComponent.FreeNotification"
	strings:
		$1 = { 8B CA 89 88 94 00 00 00 85 C9 74 09 8B D0 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11031_0 {
	meta:
		name = "TIdTCPServer.SetThreadMgr"
		size = 14
		refs = "0009 TComponent.FreeNotification"
	strings:
		$1 = { 89 50 64 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11032_0 {
	meta:
		name = "TIdTCPServer.TerminateAllThreads"
		size = 220
		refs = "0012 TThreadList.LockList 001c TIdTCPServer.TerminateAllThreads 0039 TList.Get 005f TThreadList.UnlockList 0065 @HandleFinally 0074 LSleepTime 0085 Sleep 00ab @TryFinallyExit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 08 48 85 C0 7C 1D 40 89 45 F8 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 3C 8B 10 FF 52 5C 46 FF 4D F8 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 70 99 F7 3D ?? ?? ?? ?? 85 C0 7E 5A 89 45 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 07 E8 ?? ?? ?? ?? EB 25 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED FF 4D F8 75 A9 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11033_0 {
	meta:
		name = "TIdListenerThread.AfterRun"
		size = 59
		refs = "0007 TIdThread.AfterRun 0012 TCollection.GetCount 0027 TIdSocketHandles.GetItem"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 44 8B 40 68 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 1A 8B 46 44 8B 40 68 8B D3 E8 ?? ?? ?? ?? B2 01 8B 08 FF 51 1C 4B 83 FB FF 75 E6 5E 5B C3 }
	condition:
		$1
}

rule function_11034_0 {
	meta:
		name = "TIdListenerThread.Create"
		size = 77
		refs = "000b @ClassCreate 001c TIdThread.Create 0023 _Dn_TList 0028 TObject.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 40 89 77 44 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11035_0 {
	meta:
		name = "TIdListenerThread.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TIdThread.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16660_0 {
	meta:
		name = "TQRCompositeReport.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16065_0 {
	meta:
		name = "TQRListBuilder.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TQRBuilder.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11036_0 {
	meta:
		name = "TIdListenerThread.Run"
		size = 397
		refs = "0017 @CallDynaInst 0025 TCollection.GetCount 0046 TIdSocketHandles.GetItem 0054 TList.Add 0070 GStack 00b8 _DV_TIdTCPServerConnection 00bd TIdTCPConnection.Create 00ce TList.Get 00db TIdSocketHandle.Accept 00e3 TIdTCPServerConnection.GetServer 00f4 TIdListenerThread.Run 011d TIdTCPConnection.SetIntercept 0127 TIdTCPConnection.SetInterceptEnabled 0136 @HandleAnyException 013e FreeAndNil 0143 @DoneExcept 016f TThreadList.Add 0176 TIdThread.Start"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC 8B 40 40 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 40 68 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 44 8B 40 68 8B 55 F4 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 75 D9 6A 00 8B 45 FC 8B 40 3C 50 8B 45 FC 8B 50 40 A1 ?? ?? ?? ?? 8B 00 33 C9 8B 18 FF 53 50 85 C0 0F 8E 01 01 00 00 8B 45 FC 80 78 0C 00 0F 85 F4 00 00 00 8B 45 FC 8B 40 40 8B 40 08 48 85 C0 0F 8C E2 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 FC 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 40 8B 55 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 60 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 B8 94 00 00 00 00 74 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 55 F8 8B 52 60 8B 08 FF 51 34 8B D0 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 2D 8B 45 FC 8B 40 44 8B 40 64 8B 10 FF 52 34 8B D8 8B 45 F8 89 43 3C 8B 45 FC 8B 40 44 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 0F 85 29 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11037_0 {
	meta:
		name = "TIdTCPServerConnection.GetServer"
		size = 19
		refs = "0008 _DV_TIdTCPServer 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11038_0 {
	meta:
		name = "TIdPeerThread.AfterRun"
		size = 54
		refs = "0008 TIdTCPServerConnection.GetServer 0027 TThreadList.Remove 002f FreeAndNil"
	strings:
		$1 = { 53 56 8B D8 8B 43 3C E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 40 8B D3 8B 46 64 8B 08 FF 51 38 8B D3 8B 46 78 E8 ?? ?? ?? ?? 8D 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11039_0 {
	meta:
		name = "TIdPeerThread.BeforeRun"
		size = 20
		refs = "0007 TIdTCPServerConnection.GetServer"
	strings:
		$1 = { 53 8B D8 8B 43 3C E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 3C 5B C3 }
	condition:
		$1
}

rule function_11040_0 {
	meta:
		name = "TIdPeerThread.Run"
		size = 239
		refs = "0015 TIdPeerThread.Run 0034 TIdTCPServerConnection.GetServer 0048 RSNoExecuteSpecified 004d LoadResString 0057 _DV_EIdNoExecuteSpecified 005c Exception.Create 0061 @RaiseExcept 0070 @HandleOnException 0078 _Dn_EIdSocketError 0080 _Dn_EIdClosedSocket 00ab @RaiseAgain 00b0 @DoneExcept 00c7 TIdThread.Stop 00dc @LStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 44 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 45 E9 ?? ?? ?? ?? 03 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 40 0C 05 BB D8 FF FF 83 E8 02 73 12 8B 45 FC 8B 40 3C 8B 10 FF 52 58 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 10 FF 52 54 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11044_0 {
	meta:
		name = "TIdThread.TerminateAndWaitFor"
		size = 23
		refs = "0006 TThread.Terminate 0011 TThread.WaitFor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 2D 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11047_0 {
	meta:
		name = "TIdThread.Execute"
		size = 232
		refs = "000e TIdThread.Execute 002c TIdThread.GetStopped 003a TThread.SetSuspended 0048 @TryFinallyExit 0083 @HandleFinally 009d @HandleOnException 00a5 _Dn_Exception 00b9 @LStrAsg 00d9 TThread.Terminate 00de @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 6F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 07 E8 ?? ?? ?? ?? EB 44 8B 45 FC 8B 10 FF 52 10 EB 08 8B 45 FC 8B 10 FF 52 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 78 0C 00 74 88 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 83 C0 30 8B 53 04 E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 36 00 74 0E 8B 75 FC 8B CB 8B 55 FC 8B 46 38 FF 56 34 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11049_0 {
	meta:
		name = "TIdThread.Create"
		size = 69
		refs = "000e @ClassCreate 0020 TThread.Create 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 2D 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11050_0 {
	meta:
		name = "TIdThread.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f FreeAndNil 001b TThread.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11051_0 {
	meta:
		name = "TIdThread.Start"
		size = 29
		refs = "0006 TIdThread.GetStopped 0017 TThread.SetSuspended"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D C6 43 2D 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11052_0 {
	meta:
		name = "TIdThread.Stop"
		size = 34
		refs = "0006 TIdThread.GetStopped 0018 TThread.Terminate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8A 43 2C 2C 01 73 07 8B C3 E8 ?? ?? ?? ?? C6 43 2D 01 5B C3 }
	condition:
		$1
}

rule function_11053_0 {
	meta:
		name = "TIdThread.GetStopped"
		size = 18
	strings:
		$1 = { 80 78 0C 00 75 09 80 78 2D 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_11058_0 {
	meta:
		name = "TIdThreadMgr.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 002d _Dn_TCriticalSection 0032 TCriticalSection.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11059_0 {
	meta:
		name = "TIdThreadMgr.CreateNewThread"
		size = 106
		refs = "000a TIdThreadMgr.CreateNewThread 001e RSThreadClassNotSpecified 0023 LoadResString 002d _DV_EIdThreadClassNotSpecified 0032 Exception.Create 0037 @RaiseExcept 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 2C 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 B2 01 8B 40 2C FF 50 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_11060_0 {
	meta:
		name = "TIdThreadMgr.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f FreeAndNil 0023 TComponent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11061_0 {
	meta:
		name = "TIdThreadMgr.TerminateThreads"
		size = 93
		refs = "0016 TList.Get 001c _Dn_TIdThread 0021 @AsClass 002b _Dn_TIdPeerThread 0030 @IsClass 004e TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 8B 5F 08 4B 83 FB 00 7C 47 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 3C 8B 10 FF 52 58 8B D6 8B C5 8B 08 FF 51 38 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 B9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11064_0 {
	meta:
		name = "TIdThreadMgrDefault.GetThread"
		size = 98
		refs = "001b TCriticalSection.Enter 0023 TIdThreadMgrDefault.GetThread 0037 TList.Add 004f TCriticalSection.Leave 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 10 FF 52 30 89 45 F8 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_11065_0 {
	meta:
		name = "TIdThreadMgrDefault.ReleaseThread"
		size = 115
		refs = "000d IsCurrentThread 001f TObject.Free 0030 TCriticalSection.Enter 0038 TIdThreadMgrDefault.ReleaseThread 004b TList.Remove 0063 TCriticalSection.Leave 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 8B 10 FF 52 18 8B C3 E8 ?? ?? ?? ?? EB 04 C6 43 0E 01 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_11068_0 {
	meta:
		name = "TIdUDPBase.Broadcast"
		size = 76
		refs = "0010 TIdUDPBase.SetBroadcastFlag 0018 TIdUDPBase.Broadcast 001f TIdUDPBase.Send 002a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 56 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 FF FF FF FF 0F 00 00 00 32 35 35 2E 32 35 35 2E 32 35 35 2E 32 35 35 00 }
	condition:
		$1
}

rule function_11069_0 {
	meta:
		name = "TIdUDPBase.BroadcastEnabledChanged"
		size = 11
		refs = "0006 TIdUDPBase.SetBroadcastFlag"
	strings:
		$1 = { 33 C9 8A 50 74 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11070_0 {
	meta:
		name = "TIdUDPBase.CloseBinding"
		size = 9
		refs = "0004 FreeAndNil"
	strings:
		$1 = { 83 C0 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11071_0 {
	meta:
		name = "TIdUDPBase.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TIdComponent.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 60 00 20 00 00 C7 46 70 FE FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11073_0 {
	meta:
		name = "TIdUDPBase.GetActive"
		size = 25
	strings:
		$1 = { 80 78 64 00 75 10 8B 50 5C 85 D2 74 06 80 7A 10 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_11074_0 {
	meta:
		name = "TIdUDPBase.GetBinding"
		size = 65
		refs = "000f _Dn_TIdSocketHandle 0014 TIdSocketHandle.Create 002c TIdSocketHandle.AllocateSocket 0037 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 83 7E 5C 00 75 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 5C 8B 46 5C 80 78 10 00 75 17 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 8B 46 5C 5E 5B C3 }
	condition:
		$1
}

rule function_11075_0 {
	meta:
		name = "TIdUDPBase.Loaded"
		size = 28
		refs = "0006 TComponent.Loaded 0016 TIdUDPBase.SetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 43 64 C6 43 64 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11076_0 {
	meta:
		name = "TIdUDPBase.ReceiveBuffer"
		size = 83
		refs = "0010 TIdUDPBase.ReceiveBuffer 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D FC 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8D 5D FC 53 8D 5D F8 53 8B 5D 08 53 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11077_0 {
	meta:
		name = "TIdUDPBase.ReceiveBuffer"
		size = 204
		refs = "0020 TIdUDPBase.ReceiveBuffer 003c TIdSocketHandle.Readable 0049 @LStrClr 0072 GStack 007b TIdStack.CheckForSocketError 0087 RSUDPReceiveError0 008c LoadResString 0096 _DV_EIdUDPReceiveErrorZeroBytes 009b Exception.Create 00a0 @RaiseExcept 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE FF 75 03 8B 73 70 8B C3 8B 10 FF 52 44 8B D6 E8 ?? ?? ?? ?? 84 C0 75 12 33 DB 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 33 D2 89 10 EB 4E 6A 00 57 8B 45 0C 50 8B C3 8B 10 FF 52 44 8B 55 FC 8B 4D F8 8B 18 FF 53 24 8B D8 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 85 DB 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11078_0 {
	meta:
		name = "TIdUDPBase.ReceiveString"
		size = 77
		refs = "0017 @LStrSetLength 0027 @LStrLen 002f UniqueString 0039 TIdUDPBase.ReceiveBuffer"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B C3 8B 56 60 E8 ?? ?? ?? ?? 57 8B 45 FC 50 8B 45 0C 50 8B 03 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B D3 92 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11079_0 {
	meta:
		name = "TIdUDPBase.ReceiveString"
		size = 85
		refs = "0018 TIdUDPBase.ReceiveString 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11080_0 {
	meta:
		name = "TIdUDPBase.Send"
		size = 104
		refs = "0015 @LStrAddRef 001d TIdUDPBase.Send 002a @LStrToPChar 0032 @LStrLen 003f TIdUDPBase.SendBuffer 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11081_0 {
	meta:
		name = "TIdUDPBase.SendBuffer"
		size = 138
		refs = "0018 @LStrAddRef 0020 TIdUDPBase.SendBuffer 002e GStack 0038 TIdStack.ResolveHost 0043 @LStrLAsg 005c TIdSocketHandle.SendTo 0076 @LStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B C3 8B 10 FF 52 44 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11082_0 {
	meta:
		name = "TIdUDPBase.SetActive"
		size = 57
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 40 3A D8 74 25 F6 46 20 10 75 1C F6 46 20 01 75 16 84 DB 74 09 8B C6 8B 10 FF 52 44 EB 0C 8B C6 8B 10 FF 52 3C EB 03 88 5E 64 5E 5B C3 }
	condition:
		$1
}

rule function_11083_0 {
	meta:
		name = "TIdUDPBase.SetBroadcastEnabled"
		size = 35
		refs = "001d @CallDynaInst"
	strings:
		$1 = { 53 8B D8 3A 53 74 74 19 88 53 74 8B C3 8B 10 FF 52 40 84 C0 74 0B 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11084_0 {
	meta:
		name = "TIdUDPBase.SetBroadcastFlag"
		size = 43
		refs = "0025 TIdSocketHandle.SetSockOpt"
	strings:
		$1 = { 51 F6 DA 1B D2 89 14 24 85 C9 75 07 8B 10 FF 52 44 8B C8 8B C4 50 6A 04 BA FF FF 00 00 8B C1 B9 20 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_11087_0 {
	meta:
		name = "TIdUDPClient.Send"
		size = 82
		refs = "000e @LStrAddRef 0016 TIdUDPClient.Send 002d TIdUDPBase.Send 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 4B 6C 8B 53 68 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11088_0 {
	meta:
		name = "TIdUDPClient.SendBuffer"
		size = 14
		refs = "0009 TIdUDPBase.SendBuffer"
	strings:
		$1 = { 52 51 8B 50 68 8B 48 6C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11091_0 {
	meta:
		name = "TIdURI.Create"
		size = 68
		refs = "000b @ClassCreate 0018 @LStrLen 0025 TIdURI.SetURI 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 09 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11092_0 {
	meta:
		name = "TIdURI.NormalizePath"
		size = 77
		refs = "0013 LeadBytes 0032 UniqueString 0042 @LStrLen"
	strings:
		$1 = { 53 56 8B F2 BB 01 00 00 00 EB 34 8B 06 8A 44 18 FF 8B 15 ?? ?? ?? ?? 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 05 83 C3 02 EB 16 8B 16 3C 5C 75 0F 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 2F 43 EB 01 43 8B 06 E8 ?? ?? ?? ?? 3B D8 7E C1 5E 5B C3 }
	condition:
		$1
}

rule function_11093_0 {
	meta:
		name = "TIdURI.ParseURI"
		size = 544
		refs = "0023 @LStrAddRef 002b TIdURI.ParseURI 0039 @LStrClr 0059 TIdURI.NormalizePath 005f IndyPos 009b @LStrCopy 00ab @LStrDelete 00be Fetch 00dc @LStrAsg 00f7 RPos 0181 @LStrCmp 0191 @LStrCat3 01d1 @LStrArrayClr 01df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 10 8B 7D 14 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 0F 8E B1 00 00 00 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 8B 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4E 02 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 18 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F4 E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 3B 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 50 8B 07 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 13 E8 ?? ?? ?? ?? 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 14 00 00 00 FF FF FF FF 03 00 00 00 3A 2F 2F 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_11094_0 {
	meta:
		name = "TIdURI.Refresh"
		size = 160
		refs = "0007 TIdURI.Refresh 0017 @LStrCatN 001f @LStrLen"
	strings:
		$1 = { 53 8B D8 FF 73 08 68 ?? ?? ?? ?? FF 73 18 8D 43 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 85 C0 7E 18 FF 73 0C 68 ?? ?? ?? ?? FF 73 10 8D 43 0C BA 03 00 00 00 E8 ?? ?? ?? ?? FF 73 0C FF 73 14 FF 73 04 8D 43 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 85 C0 7E 18 FF 73 0C 68 ?? ?? ?? ?? FF 73 1C 8D 43 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 03 00 00 00 3A 2F 2F 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_11095_0 {
	meta:
		name = "TIdURI.SetBookmark"
		size = 26
		refs = "000c @LStrAsg 0013 TIdURI.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11096_0 {
	meta:
		name = "TIdURI.SetDocument"
		size = 26
		refs = "000c @LStrAsg 0013 TIdURI.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11097_0 {
	meta:
		name = "TIdURI.SetHost"
		size = 26
		refs = "000c @LStrAsg 0013 TIdURI.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 18 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11098_0 {
	meta:
		name = "TIdURI.Setpath"
		size = 26
		refs = "000c @LStrAsg 0013 TIdURI.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 14 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11099_0 {
	meta:
		name = "TIdURI.SetPort"
		size = 26
		refs = "000c @LStrAsg 0013 TIdURI.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11100_0 {
	meta:
		name = "TIdURI.SetProtocol"
		size = 26
		refs = "000c @LStrAsg 0013 TIdURI.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11101_0 {
	meta:
		name = "TIdURI.SetURI"
		size = 62
		refs = "000c @LStrAsg 0016 TIdURI.NormalizePath 0037 TIdURI.ParseURI"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8D 53 0C 8B 03 E8 ?? ?? ?? ?? 8D 43 18 50 8D 43 14 50 8D 43 04 50 8D 43 10 50 8D 43 1C 50 8D 4B 08 8B 53 0C 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11110_0 {
	meta:
		name = "FD_CLR"
		size = 37
	strings:
		$1 = { 33 C9 EB 1C 3B 44 8A 04 75 15 EB 09 8B 44 8A 08 89 44 8A 04 41 8B 02 48 3B C8 7C F0 FF 0A C3 41 3B 0A 7C E0 C3 }
	condition:
		$1
}

rule function_11111_0 {
	meta:
		name = "FD_ISSET"
		size = 23
		refs = "000a __WSAFDIsSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_11112_0 {
	meta:
		name = "FD_SET"
		size = 14
	strings:
		$1 = { 8B 0A 83 F9 40 7D 06 89 44 8A 04 FF 02 C3 }
	condition:
		$1
}

rule function_11113_0 {
	meta:
		name = "FD_ZERO"
		size = 5
	strings:
		$1 = { 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_11114_0 {
	meta:
		name = "LoadWinsock"
		size = 1836
		refs = "000d LibHandle 0015 LoadWinsock 0025 LoadLibrary 003d GetProcAddress 0042 Accept 0054 Bind 0066 CloseSocket 0078 Connect 008a GetPeerName 009c GetSockName 00ae GetSockOpt 00c0 Htonl 00d2 Htons 00e4 Inet_Addr 00f6 Inet_Ntoa 0108 IoctlSocket 011a Listen 012c Ntohl 013e Ntohs 0150 Recv 0162 RecvFrom 0174 Select 0186 Send 0198 SendTo 01aa SetSockOpt 01bc ShutDown 01ce Socket 01e0 GetHostByAddr 01f2 GetHostByName 0204 GetProtoByname 0216 GetProtoByNumber 0228 GetServByName 023a GetServByPort 024c GetHostName 025e WSAAsyncSelect 0270 WSARecvEx 0282 WSAAsyncGetHostByAddr 0294 WSAAsyncGetHostByName 02a6 WSAAsyncGetProtoByNumber 02b8 WSAAsyncGetProtoByName 02ca WSAAsyncGetServByPort 02dc WSAAsyncGetServByName 02ee WSACancelAsyncRequest 0300 WSASetBlockingHook 0312 WSAUnhookBlockingHook 0324 WSAGetLastError 0336 WSASetLastError 0348 WSACancelBlockingCall 035a WSAIsBlocking 036c WSAStartup 037e WSACleanup 0390 __WSAFDIsSet 03a2 TransmitFile 03b4 AcceptEx 03c6 GetAcceptExSockaddrs 03e2 RSCouldNotLoad 03e7 LoadResString 03f1 _DV_EIdStackCanNotLoadWinsock 03f6 Exception.CreateFmt 03fb @RaiseExcept 0410 @LStrClr 0416 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C0 89 45 F4 BB ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 83 3B 00 0F 84 98 03 00 00 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 33 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 77 73 6F 63 6B 33 32 2E 64 6C 6C 00 61 63 63 65 70 74 00 00 62 69 6E 64 00 00 00 00 63 6C 6F 73 65 73 6F 63 6B 65 74 00 63 6F 6E 6E 65 63 74 00 67 65 74 70 65 65 72 6E 61 6D 65 00 67 65 74 73 6F 63 6B 6E 61 6D 65 00 67 65 74 73 6F 63 6B 6F 70 74 00 00 68 74 6F 6E 6C 00 00 00 68 74 6F 6E 73 00 00 00 69 6E 65 74 5F 61 64 64 72 00 00 00 69 6E 65 74 5F 6E 74 6F 61 00 00 00 69 6F 63 74 6C 73 6F 63 6B 65 74 00 6C 69 73 74 65 6E 00 00 6E 74 6F 68 6C 00 00 00 6E 74 6F 68 73 00 00 00 72 65 63 76 00 00 00 00 72 65 63 76 66 72 6F 6D 00 00 00 00 73 65 6C 65 63 74 00 00 73 65 6E 64 00 00 00 00 73 65 6E 64 74 6F 00 00 73 65 74 73 6F 63 6B 6F 70 74 00 00 73 68 75 74 64 6F 77 6E 00 00 00 00 73 6F 63 6B 65 74 00 00 67 65 74 68 6F 73 74 62 79 61 64 64 72 00 00 00 67 65 74 68 6F 73 74 62 79 6E 61 6D 65 00 00 00 67 65 74 70 72 6F 74 6F 62 79 6E 61 6D 65 00 00 67 65 74 70 72 6F 74 6F 62 79 6E 75 6D 62 65 72 00 00 00 00 67 65 74 73 65 72 76 62 79 6E 61 6D 65 00 00 00 67 65 74 73 65 72 76 62 79 70 6F 72 74 00 00 00 67 65 74 68 6F 73 74 6E 61 6D 65 00 57 53 41 41 73 79 6E 63 53 65 6C 65 63 74 00 00 57 53 41 52 65 63 76 45 78 00 00 00 57 53 41 41 73 79 6E 63 47 65 74 48 6F 73 74 42 79 41 64 64 72 00 00 00 57 53 41 41 73 79 6E 63 47 65 74 48 6F 73 74 42 79 4E 61 6D 65 00 00 00 57 53 41 41 73 79 6E 63 47 65 74 50 72 6F 74 6F 42 79 4E 75 6D 62 65 72 00 00 00 00 57 53 41 41 73 79 6E 63 47 65 74 50 72 6F 74 6F 42 79 4E 61 6D 65 00 00 57 53 41 41 73 79 6E 63 47 65 74 53 65 72 76 42 79 50 6F 72 74 00 00 00 57 53 41 41 73 79 6E 63 47 65 74 53 65 72 76 42 79 4E 61 6D 65 00 00 00 57 53 41 43 61 6E 63 65 6C 41 73 79 6E 63 52 65 71 75 65 73 74 00 00 00 57 53 41 53 65 74 42 6C 6F 63 6B 69 6E 67 48 6F 6F 6B 00 00 57 53 41 55 6E 68 6F 6F 6B 42 6C 6F 63 6B 69 6E 67 48 6F 6F 6B 00 00 00 57 53 41 47 65 74 4C 61 73 74 45 72 72 6F 72 00 57 53 41 53 65 74 4C 61 73 74 45 72 72 6F 72 00 57 53 41 43 61 6E 63 65 6C 42 6C 6F 63 6B 69 6E 67 43 61 6C 6C 00 00 00 57 53 41 49 73 42 6C 6F 63 6B 69 6E 67 00 00 00 57 53 41 53 74 61 72 74 75 70 00 00 57 53 41 43 6C 65 61 6E 75 70 00 00 5F 5F 57 53 41 46 44 49 73 53 65 74 00 00 00 00 54 72 61 6E 73 6D 69 74 46 69 6C 65 00 00 00 00 41 63 63 65 70 74 45 78 00 00 00 00 47 65 74 41 63 63 65 70 74 45 78 53 6F 63 6B 61 64 64 72 73 00 00 00 00 FF FF FF FF 0B 00 00 00 77 73 6F 63 6B 33 32 2E 64 6C 6C 00 }
	condition:
		$1
}

rule function_11115_0 {
	meta:
		name = "UnloadWinsock"
		size = 28
		refs = "0002 LibHandle 0010 FreeLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11116_0 {
	meta:
		name = "WinsockLoaded"
		size = 11
		refs = "0002 LibHandle"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_11119_0 {
	meta:
		name = "TChartEditForm.BEditSeriesClick"
		size = 43
		refs = "000a TCustomListBox.GetItemIndex 001e TPageControl.SetActivePage 0025 TChartEditForm.SetTabSeries"
	strings:
		$1 = { 53 8B D8 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 40 74 18 8B 93 F4 02 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11120_0 {
	meta:
		name = "GetEditingCaption"
		size = 106
		refs = "0015 GetEditingCaption 0025 TeeMsg_Editing 002a LoadResString 0043 FmtStr 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 08 89 45 F4 C6 45 F8 0B 8D 4D F4 8B C6 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11121_0 {
	meta:
		name = "TChartEditForm.FormShow"
		size = 181
		refs = "000e TChartEditForm.FormShow 0019 Screen 0022 TScreen.SetCursor 0030 GetEditingCaption 003a TControl.SetText 0054 TPageControl.GetPage 005d TPageControl.SetActivePage 0066 TChartEditForm.Notebook1Change 0071 TControl.SendToBack 007e TChartEditForm.FillSeries 008e TChartEditForm.BEditSeriesClick 00a3 @LStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B BB 44 03 00 00 83 FF FF 74 21 8B D7 8B B3 CC 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8B 93 40 03 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 40 03 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11122_0 {
	meta:
		name = "TChartEditForm.FormCreate"
		size = 144
		refs = "000e TChartEditForm.FormCreate 0049 _Dn_TBitmap 004e TBitmap.Create 0065 TPageControl.SetActivePage 0083 TCustomTabControl.SetHotTrack"
	strings:
		$1 = { 53 8B D8 C7 83 44 03 00 00 FF FF FF FF A0 ?? ?? ?? ?? 88 83 48 03 00 00 33 C0 89 83 3C 03 00 00 33 C0 89 83 40 03 00 00 33 C0 89 83 2C 03 00 00 33 C0 89 83 34 03 00 00 C6 83 49 03 00 00 00 C6 83 24 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 28 03 00 00 8B 93 C8 02 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 93 D0 02 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_11123_0 {
	meta:
		name = "TChartEditForm.Notebook1Change"
		size = 530
		refs = "0013 TWinControl.GetControlCount 0022 TTabSheet.GetPageIndex 0032 TChartEditForm.Notebook1Change 0062 _Dn_TFormTeeGeneral 0067 TFormTeeGeneral.CreateChart 0099 _Dn_TFormTeeAxis 009e TFormTeeAxis.CreateAxis 00d0 _Dn_TFormTeeTitle 00d5 TFormTeeTitle.CreateTitle 00f2 _Dn_TFormTeeLegend 00f7 TFormTeeLegend.CreateLegend 010b _Dn_TFormTeePanel 0110 TFormTeePanel.CreateChart 0124 _Dn_TFormTeePage 0129 TFormTeePage.CreateChart 0158 _Dn_TFormTeeWall 015d TFormTeeWall.CreateWall 0171 _Dn_TFormTee3D 0176 TFormTee3D.CreateChart 0181 TControl.SetAlign 019b TCustomForm.Show 01ba TCustomAxisPanel.GetASeries 01c9 TWinControl.GetControl 01ef _Dn_TPieSeries 01f4 @IsClass 020b TFormTee3D.CheckRotation"
	strings:
		$1 = { 53 56 8B D8 8B 83 CC 02 00 00 8B B0 3C 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 85 80 01 00 00 8B C6 E8 ?? ?? ?? ?? 83 F8 07 0F 87 36 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 83 2C 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 0A 01 00 00 83 BB 30 03 00 00 00 75 12 8B 83 2C 03 00 00 8B 80 90 02 00 00 89 83 30 03 00 00 8B 83 30 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 D3 00 00 00 83 BB 34 03 00 00 00 75 12 8B 83 2C 03 00 00 8B 80 80 03 00 00 89 83 34 03 00 00 8B 83 34 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 9C 00 00 00 8B 83 2C 03 00 00 8B 80 28 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 7D 8B 83 2C 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 64 8B 83 2C 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 4B 83 BB 38 03 00 00 00 75 12 8B 83 2C 03 00 00 8B 80 24 03 00 00 89 83 38 03 00 00 8B 83 38 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 17 8B 83 2C 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B2 05 8B C6 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 8B 90 3C 02 00 00 8B C6 8B 08 FF 51 64 8B C6 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 8B 80 3C 02 00 00 3B 83 20 03 00 00 75 5C 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 8B F0 33 D2 8B 83 20 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 83 18 03 00 00 8B 80 5C 02 00 00 8B 10 FF 92 98 00 00 00 84 C0 75 19 85 F6 74 15 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 83 1C 03 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11125_0 {
	meta:
		name = "TChartEditForm.MainPageChanging"
		size = 20
		refs = "000e TFormTeeSeries.PageSeriesChanging"
	strings:
		$1 = { 56 8B B0 4C 03 00 00 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11127_0 {
	meta:
		name = "TChartEditForm.RefreshButtons"
		size = 418
		refs = "000d TCustomAxisPanel.SeriesCount 001d TChartEditForm.SelectedSeriesIndex 002a TCustomAxisPanel.GetSeries 009d TCustomListBox.GetSelCount"
	strings:
		$1 = { 53 56 57 51 8B F0 8B 86 2C 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 74 18 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 2C 03 00 00 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 84 DB 74 06 F6 47 20 20 75 04 33 C0 EB 02 B0 01 88 04 24 F6 86 48 03 00 00 01 0F 95 C2 8B 86 08 03 00 00 8B 08 FF 51 60 84 DB 74 21 80 3C 24 00 75 1B F6 86 48 03 00 00 02 74 12 F6 87 84 00 00 00 01 75 09 F6 87 84 00 00 00 04 74 04 33 D2 EB 02 B2 01 8B 86 0C 03 00 00 8B 08 FF 51 60 84 DB 74 19 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 83 F8 02 7D 09 F6 86 48 03 00 00 20 75 04 33 D2 EB 02 B2 01 8B 86 10 03 00 00 8B 08 FF 51 60 84 DB 74 18 80 3C 24 00 75 12 F6 86 48 03 00 00 04 74 09 F6 87 84 00 00 00 02 74 04 33 D2 EB 02 B2 01 8B 86 18 03 00 00 8B 08 FF 51 60 84 DB 74 2B 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 83 F8 02 7D 1B F6 86 48 03 00 00 08 74 12 F6 87 84 00 00 00 01 75 09 F6 87 84 00 00 00 08 74 04 33 D2 EB 02 B2 01 8B 86 14 03 00 00 8B 08 FF 51 60 84 DB 74 52 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 48 7F 44 8B 86 F8 02 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 8B D8 4B 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 9F C2 8B 86 04 03 00 00 8B 08 FF 51 60 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B 86 00 03 00 00 8B 08 FF 51 60 EB 1A 33 D2 8B 86 04 03 00 00 8B 08 FF 51 60 33 D2 8B 86 00 03 00 00 8B 08 FF 51 60 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11128_0 {
	meta:
		name = "TChartEditForm.SwapSeries"
		size = 126
		refs = "004e TCustomChart.ExchangeSeries 005b TCustomForm.SetActiveControl 0066 TCustomListBox.SetSelected 0074 TChartEditForm.RefreshButtons"
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B D8 8B B3 F8 02 00 00 8B CF 8B 14 24 8B 86 EC 01 00 00 8B 28 FF 55 48 8B 83 4C 03 00 00 85 C0 74 16 8B 80 C4 02 00 00 8B 80 EC 01 00 00 8B CF 8B 14 24 8B 28 FF 55 48 8B CF 8B 14 24 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 8B 93 F8 02 00 00 8B C3 E8 ?? ?? ?? ?? B1 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 7C 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11129_0 {
	meta:
		name = "TChartEditForm.BMoveUPClick"
		size = 50
		refs = "000d TCustomListBox.GetItemIndex 002b TChartEditForm.SwapSeries"
	strings:
		$1 = { 53 56 8B F0 8B 9E F8 02 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1A 8B C3 E8 ?? ?? ?? ?? 48 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11130_0 {
	meta:
		name = "TChartEditForm.BMoveDownClick"
		size = 76
		refs = "000e TCustomListBox.GetItemIndex 0026 TChartEditForm.SelectedSeriesIndex 0044 TChartEditForm.SwapSeries"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E F8 02 00 00 8B C3 E8 ?? ?? ?? ?? 40 74 33 8B 83 EC 01 00 00 8B 10 FF 52 14 8B F8 4F 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 1A 8B C3 E8 ?? ?? ?? ?? 40 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11131_0 {
	meta:
		name = "TChartEditForm.SelectedSeries"
		size = 73
		refs = "000e TCustomListBox.GetItemIndex 0025 TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E F8 02 00 00 8B C3 E8 ?? ?? ?? ?? 40 74 2E 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 86 2C 03 00 00 E8 ?? ?? ?? ?? 3B F8 7D 16 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 8B 08 FF 51 18 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11132_0 {
	meta:
		name = "TChartEditForm.FillSeries"
		size = 350
		refs = "0017 TChartEditForm.FillSeries 0061 TCustomAxisPanel.SeriesCount 0080 TCustomAxisPanel.GetSeries 0093 @LStrLAsg 011c TCustomListBox.SetSelected 012f TFormTeeSeries.CBSeriesChange 0136 TChartEditForm.RefreshButtons 014b @LStrClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 2C 03 00 00 89 45 EC 8B 86 F8 02 00 00 8B 80 EC 01 00 00 8B 10 FF 52 40 8B 86 4C 03 00 00 85 C0 74 11 8B 80 C4 02 00 00 8B 80 EC 01 00 00 8B 10 FF 52 40 C7 45 F4 FF FF FF FF 8B 45 EC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 85 00 00 00 40 89 45 E8 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B D8 83 7B 64 00 74 0D 8D 45 F0 8B 53 64 E8 ?? ?? ?? ?? EB 0B 8D 45 F0 8B 53 08 E8 ?? ?? ?? ?? 8B 86 F8 02 00 00 8B 80 EC 01 00 00 8B CB 8B 55 F0 8B 38 FF 57 38 8B 86 4C 03 00 00 85 C0 74 16 8B 80 C4 02 00 00 8B 80 EC 01 00 00 8B CB 8B 55 F0 8B 38 FF 57 38 83 7D FC 00 74 0B 3B 5D FC 75 06 8B 45 F8 89 45 F4 FF 45 F8 FF 4D E8 75 86 83 7D F4 FF 75 11 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 05 33 C0 89 45 F4 83 7D F4 FF 74 12 B1 01 8B 55 F4 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? EB 11 8B 86 4C 03 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11133_0 {
	meta:
		name = "TChartEditForm.BAddSeriesClick"
		size = 126
		refs = "000b TChartEditForm.SelectedSeries 0021 CreateNewSeriesGallery 0030 TChartEditForm.FillSeries 0050 TPageControl.SetActivePage 0057 TChartEditForm.SetTabSeries 0077 TFormTeeSeries.PageSeriesChange"
	strings:
		$1 = { 53 56 8B D8 6A 01 6A 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 03 00 00 8B 40 04 8B 8B 2C 03 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 50 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BE 80 00 00 00 00 74 3E 89 B3 3C 03 00 00 8B 93 F4 02 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 4C 03 00 00 8B 96 44 03 00 00 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11134_0 {
	meta:
		name = "TChartEditForm.BDeleteSeriesClick"
		size = 384
		refs = "001a TChartEditForm.BDeleteSeriesClick 002b TCustomListBox.GetSelCount 0048 TChartEditForm.SelectedSeries 0053 @LStrLAsg 005d TeeMsg_SelectedSeries 0062 LoadResString 0070 TeeMsg_SureToDeleteSeries 008e Format 009f MessageDlg 00dd TCustomListBox.GetSelected 00ee TCustomAxisPanel.GetSeries 00f3 TObject.Free 00fe TCustomAxisPanel.SeriesCount 014e TChartEditForm.FillSeries 0168 @LStrArrayClr 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F0 89 4D EC 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 1B 01 00 00 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 48 75 14 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8D 45 F4 E8 ?? ?? ?? ?? EB 0D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 89 45 E4 C6 45 E8 0B 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F0 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 0F 85 A6 00 00 00 33 C0 89 45 FC 33 F6 8B 83 F8 02 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 7D 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 5C 8B D6 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 48 3B F0 7E 0E 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 21 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 3B F0 7D 12 8B D6 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 89 45 FC EB 08 33 C0 89 45 FC EB 01 46 FF 45 F8 4F 75 8B 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_11135_0 {
	meta:
		name = "TChartEditForm.BRenameSeriesClick"
		size = 285
		refs = "0012 TChartEditForm.BRenameSeriesClick 0023 TCustomListBox.GetItemIndex 0035 TChartEditForm.SelectedSeries 0042 @LStrLAsg 005b TeeMsg_NewSeriesTitle 0060 LoadResString 006c TeeMsg_ChangeSeriesTitle 007d InputQuery 0092 @LStrCmp 009e TChartSeries.SetTitle 00e1 TCustomForm.SetActiveControl 00f0 TCustomListBox.SetSelected 010a @LStrArrayClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B 57 64 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8D 45 FC 8B 57 08 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FC 5A E8 ?? ?? ?? ?? 84 C0 74 53 83 7D FC 00 74 4D 8B 45 FC 8B 57 08 E8 ?? ?? ?? ?? 74 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 83 F8 02 00 00 8B 80 EC 01 00 00 8B 4D FC 8B D6 8B 38 FF 57 20 8B 83 4C 03 00 00 85 C0 74 16 8B 80 C4 02 00 00 8B 80 EC 01 00 00 8B 4D FC 8B D6 8B 38 FF 57 20 8B 93 F8 02 00 00 8B C3 E8 ?? ?? ?? ?? B1 01 8B D6 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11136_0 {
	meta:
		name = "TChartEditForm.BCloneSeriesClick"
		size = 40
		refs = "000a TCustomListBox.GetItemIndex 0014 TChartEditForm.SelectedSeries 0019 CloneChartSeries 0022 TChartEditForm.FillSeries"
	strings:
		$1 = { 53 8B D8 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 40 74 15 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11137_0 {
	meta:
		name = "TChartEditForm.BChangeTypeSeriesClick"
		size = 157
		refs = "0010 TCustomListBox.GetSelCount 0044 TCustomListBox.GetSelected 0055 TCustomAxisPanel.GetSeries 0069 ChangeSeriesTypeGallery 0071 TObject.ClassType 0084 ChangeSeriesType 0092 TChartEditForm.FillSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E8 8B 85 F8 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 7E B3 01 33 C0 89 44 24 04 8B 85 F8 02 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 54 47 33 F6 8B D6 8B 85 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 3C 8B D6 8B 85 2C 03 00 00 E8 ?? ?? ?? ?? 89 04 24 84 DB 74 1D 8B D4 8B 04 24 8B 40 04 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 33 DB EB 0B 8B C4 8B 54 24 04 E8 ?? ?? ?? ?? 46 4F 75 AF 8B 14 24 8B C5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11138_0 {
	meta:
		name = "TChartEditForm.SeriesAtMousePos"
		size = 62
		refs = "000b GetCursorPos 001a TControl.ScreenToClient 0035 TCustomListBox.ItemAtPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 53 E8 ?? ?? ?? ?? 8B CC 8B D3 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 8B D3 B1 01 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11139_0 {
	meta:
		name = "TChartEditForm.PointInSection"
		size = 77
		refs = "0019 THeaderSections.GetItem 001e THeaderSection.GetLeft"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 83 FC 02 00 00 8B 80 EC 01 00 00 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 3B 37 7D 1A 8B 83 FC 02 00 00 8B 80 EC 01 00 00 8B D5 E8 ?? ?? ?? ?? 03 70 10 3B 37 7F 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11140_0 {
	meta:
		name = "TChartEditForm.LBSeriesDblClick"
		size = 181
		refs = "0013 TChartEditForm.SeriesAtMousePos 002b TCustomListBox.GetSelected 003a TChartEditForm.PointInSection 0047 TChartEditForm.BChangeTypeSeriesClick 0068 TCustomAxisPanel.GetSeries 007a EditColor 00ac TChartEditForm.BEditSeriesClick"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 C6 83 24 03 00 00 01 8B D4 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 8E 00 00 00 8B D6 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 7D 8B D4 33 C9 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C3 E8 ?? ?? ?? ?? EB 63 8B D4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 8B D6 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 2C 00 75 3C 8B 56 28 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 80 00 00 00 8B 83 F8 02 00 00 8B 10 FF 52 7C EB 19 8B D4 B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11141_0 {
	meta:
		name = "TChartEditForm.LBSeriesDragDrop"
		size = 92
		refs = "0012 TCustomListBox.GetItemIndex 002d Point 0039 TCustomListBox.ItemAtPos 0050 TChartEditForm.SwapSeries"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 89 45 FC 8B F3 8B C6 E8 ?? ?? ?? ?? 40 74 3B 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8D 4D F0 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 8D 55 F0 B1 01 8B C6 E8 ?? ?? ?? ?? 83 F8 FF 74 12 3B 45 F8 74 0D 8B C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11142_0 {
	meta:
		name = "TChartEditForm.LBSeriesDrawItem"
		size = 863
		refs = "0027 TChartEditForm.LBSeriesDrawItem 0050 TCustomAxisPanel.GetSeries 0064 BrushColors 006f TBrush.SetColor 007a TCanvas.FillRect 00a4 TBrush.SetStyle 00cf THeaderSections.GetItem 00d4 THeaderSection.GetLeft 014c TCanvas.Draw 01ac Rect 01b9 InflateRect 0206 TTeeCanvas.SetCanvas 0251 @HandleFinally 02b4 TCanvas.GetHandle 02c0 TWinControl.PaintTo 02d1 FontColors 02dc TFont.SetColor 0335 TCanvas.TextOut 034a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B4 8B 75 0C 8D 7D D8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 02 00 00 8B 80 F4 01 00 00 89 45 F0 8B 45 FC 8B 80 2C 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 F6 45 08 01 0F 95 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 03 00 00 8B 80 28 03 00 00 8B 50 20 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 DC 89 45 CC 8B 45 E4 89 45 D4 8B 45 D8 89 45 C8 8B 45 FC 8B 80 FC 02 00 00 8B 80 EC 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 FC 02 00 00 8B 80 EC 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 03 58 10 83 EB 04 89 5D D0 8D 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 28 03 00 00 8B 45 F4 8B 08 FF 91 30 01 00 00 8B 45 FC 8B 80 28 03 00 00 50 8B 45 FC 8B 80 FC 02 00 00 8B 80 EC 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 4D DC 83 C1 02 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 80 78 2C 00 0F 85 FA 00 00 00 8B 45 FC 8B 80 FC 02 00 00 8B 80 EC 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 EB 02 8B 45 E4 50 8D 45 C8 50 8B 45 FC 8B 80 FC 02 00 00 8B 80 EC 01 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 48 10 03 CB 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 6A FC 6A FC 8D 45 C8 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 03 00 00 8B 80 28 03 00 00 8B 50 20 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 03 00 00 89 45 E8 8B 45 E8 8B 80 5C 02 00 00 8B 50 04 89 55 EC 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8D 4D C8 83 CA FF 8B 18 FF 93 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 8B 80 5C 02 00 00 8B 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 80 FC 02 00 00 8B 80 EC 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 DC 8B C6 83 C0 12 50 8D 45 B8 50 8D 4B 0C 8B D6 83 C2 06 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 1C 03 00 00 8B 45 F4 8A 50 24 8B C3 8B 08 FF 91 BC 00 00 00 8B 45 BC 50 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 4D B8 8B C3 E8 ?? ?? ?? ?? F6 45 08 01 0F 95 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8D 4D B4 8B 45 FC 8B 80 F8 02 00 00 8B 80 EC 01 00 00 8B 55 F8 8B 18 FF 53 0C 8B 45 B4 50 8B 45 FC 8B 80 FC 02 00 00 8B 80 EC 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 4D DC 83 C1 06 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11143_0 {
	meta:
		name = "TChartEditForm.LBSeriesDragOver"
		size = 15
	strings:
		$1 = { 55 8B EC 3B CA 8B 45 08 0F 94 00 5D C2 10 00 }
	condition:
		$1
}

rule function_11144_0 {
	meta:
		name = "TChartEditForm.LBSeriesKeyUp"
		size = 45
		refs = "0023 TChartEditForm.BDeleteSeriesClick"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 66 83 3E 2E 75 18 8B 83 0C 03 00 00 8B 10 FF 52 50 84 C0 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11145_0 {
	meta:
		name = "TChartEditForm.SetTabSeries"
		size = 165
		refs = "0011 TChartEditForm.SelectedSeries 0028 _Dn_TFormTeeSeries 002d TCustomForm.Create 0076 TChartEditForm.FillSeries 007c InternalOnCreateEditSeries 0092 TCustomForm.Show 009d TFormTeeSeries.SetCBSeries"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 4C 03 00 00 00 74 15 8B C3 E8 ?? ?? ?? ?? 8B 93 4C 03 00 00 89 82 A8 03 00 00 EB 73 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 03 00 00 8B 93 F4 02 00 00 8B C6 8B 08 FF 51 64 F6 83 48 03 00 00 10 0F 95 C0 88 86 AD 03 00 00 8A 83 49 03 00 00 88 86 AC 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BE A8 03 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B 83 4C 03 00 00 FF 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 4C 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11146_0 {
	meta:
		name = "TChartEditForm.MainPageChange"
		size = 26
		refs = "0015 TChartEditForm.SetTabSeries"
	strings:
		$1 = { 8B 90 C4 02 00 00 8B 92 3C 02 00 00 3B 90 F4 02 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11147_0 {
	meta:
		name = "TChartEditForm.LBSeriesMouseDown"
		size = 212
		refs = "0011 TCustomListBox.GetItemIndex 0022 TChartEditForm.SeriesAtMousePos 0038 TChartEditForm.PointInSection 0049 TCustomAxisPanel.GetSeries 009f TControl.BeginDrag 00c8 TCustomComboBox.SetItemIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 40 0F 84 B0 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 38 8D 55 F8 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B D6 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 8A 50 24 80 F2 01 8B 08 FF 51 74 8B 83 F8 02 00 00 8B 10 FF 52 7C EB 3E 8D 55 F8 B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 80 BB 24 03 00 00 00 75 22 F6 45 10 01 75 1C F6 45 10 04 75 16 F6 45 10 08 74 10 83 C9 FF 33 D2 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? C6 83 24 03 00 00 00 8B B3 4C 03 00 00 85 F6 74 18 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_11149_0 {
	meta:
		name = "TChartEditForm.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
		altNames = "TChartPreview.FormDestroy"
	strings:
		$1 = { 8B 80 28 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19477_0 {
	meta:
		name = "TChartPreview.BPrintClick"
		size = 12
		refs = "0007 TTeePreviewPage.Print"
	strings:
		$1 = { 8B 80 28 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11150_0 {
	meta:
		name = "TChartEditForm.FormCloseQuery"
		size = 18
		refs = "000d TCustomForm.Close"
	strings:
		$1 = { 8B 90 4C 03 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11152_0 {
	meta:
		name = "IEditCha"
		size = 27
		refs = "0002 _DV_2 000c InternalOnCreateEditSeries 0011 _DV_TChartEditForm 0016 RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11216_0 {
	meta:
		name = "GetRGBColor"
		size = 30
		refs = "0001 ColorToRGB"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B D0 81 EA FF FF FF 1F 74 05 4A 74 06 EB 09 83 C8 FF C3 B8 00 00 00 FF C3 }
	condition:
		$1
}

rule function_11217_0 {
	meta:
		name = "GetColor"
		size = 30
	strings:
		$1 = { 8B D0 81 EA 00 00 00 FF 74 0E 81 EA FF FF FF 00 75 0B B8 FF FF FF 1F C3 B8 00 00 00 20 C3 }
	condition:
		$1
}

rule function_11218_0 {
	meta:
		name = "TCustomImageList.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TComponent.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 28 10 00 00 00 C7 46 24 10 00 00 00 8B C6 8B 10 FF 52 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11219_0 {
	meta:
		name = "TCustomImageList.CreateSize"
		size = 81
		refs = "000e @ClassCreate 001f TComponent.Create 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 28 8B 45 08 89 47 24 8B C7 8B 10 FF 52 34 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11220_0 {
	meta:
		name = "TCustomImageList.Destroy"
		size = 106
		refs = "0004 @BeforeDestruction 0011 TList.Last 001a TCustomImageList.UnRegisterChanges 002b TObject.Free 0032 TCustomImageList.FreeHandle 0057 TComponent.Destroy 0062 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 40 83 7E 08 00 7F E7 8B 47 44 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 47 40 E8 ?? ?? ?? ?? 33 C0 89 47 40 8B 47 48 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11221_0 {
	meta:
		name = "TCustomImageList.Initialize"
		size = 184
		refs = "000c TCustomImageList.Initialize 0019 _Dn_TList 001e TObject.Create 003e SInvalidImageSize 0043 LoadResString 004d _Dn_EInvalidOperation 0052 Exception.Create 0057 @RaiseExcept 006b TCustomImageList.SetDrawingStyle 0084 _Dn_TBitmap 0089 TBitmap.Create 0093 TCustomImageList.InitBitmap 00a8 @LStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 8B 43 24 83 F8 01 7C 0D 3D 00 80 00 00 7F 06 83 7B 28 01 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 2C 04 00 00 00 C6 43 35 01 B2 02 8B C3 E8 ?? ?? ?? ?? C6 43 37 00 C7 43 38 FF FF FF 1F C7 43 3C FF FF FF 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11222_0 {
	meta:
		name = "TCustomImageList.HandleAllocated"
		size = 8
	strings:
		$1 = { 83 78 30 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_11223_0 {
	meta:
		name = "TCustomImageList.HandleNeeded"
		size = 12
		refs = "0007 TCustomImageList.CreateImageList"
	strings:
		$1 = { 83 78 30 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11224_0 {
	meta:
		name = "TCustomImageList.InitBitmap"
		size = 196
		refs = "000d GetDC 0018 TCustomImageList.InitBitmap 003b CreateCompatibleBitmap 0044 TBitmap.SetHandle 004b TBitmap.GetCanvas 0055 TBrush.SetColor 0073 Rect 0084 TCanvas.FillRect 009c ReleaseDC 00a2 @HandleFinally 00b3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 44 8B 45 FC 8B 40 24 50 8B 45 FC 8B 40 28 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 50 8D 45 E8 50 8B C3 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 48 85 C0 74 0D E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 48 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11225_0 {
	meta:
		name = "TCustomImageList.SetNewDimensions"
		size = 55
		refs = "001b ImageList_GetIconSize 002f TCustomImageList.InitBitmap"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 28 89 44 24 04 8B 43 24 89 04 24 54 8D 44 24 08 50 52 E8 ?? ?? ?? ?? 8B 44 24 04 89 43 28 8B 04 24 89 43 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_11226_0 {
	meta:
		name = "TCustomImageList.SetWidth"
		size = 68
		refs = "000f TCustomImageList.HandleAllocated 0024 ImageList_SetIconSize 002b TCustomImageList.Clear 0032 TCustomImageList.InitBitmap 003d @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3B 56 28 74 38 89 56 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B 46 24 50 8B 46 28 50 8B 46 30 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11227_0 {
	meta:
		name = "TCustomImageList.SetHeight"
		size = 68
		refs = "000f TCustomImageList.HandleAllocated 0024 ImageList_SetIconSize 002b TCustomImageList.Clear 0032 TCustomImageList.InitBitmap 003d @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3B 56 24 74 38 89 56 24 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B 46 24 50 8B 46 28 50 8B 46 30 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11228_0 {
	meta:
		name = "TCustomImageList.SetHandle"
		size = 43
		refs = "0009 TCustomImageList.FreeHandle 0016 TCustomImageList.SetNewDimensions 0024 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 74 17 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 30 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11229_0 {
	meta:
		name = "TCustomImageList.GetBitmapHandle"
		size = 16
	strings:
		$1 = { 85 D2 74 03 8B C2 C3 8B 40 44 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_11230_0 {
	meta:
		name = "TCustomImageList.GetHandle"
		size = 15
		refs = "0006 TCustomImageList.HandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 30 5B C3 }
	condition:
		$1
}

rule function_11231_0 {
	meta:
		name = "TCustomImageList.GetImageHandle"
		size = 81
		refs = "000e TCustomImageList.CheckImage 0019 TBitmap.GetHandleType"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 74 2F 8B C3 E8 ?? ?? ?? ?? 3C 01 75 09 8B C3 8B 10 FF 52 60 EB 23 8B D3 8B C7 8B 08 FF 51 08 B2 01 8B C7 8B 08 FF 51 68 8B C7 8B 10 FF 52 60 EB 08 8B 46 44 8B 10 FF 52 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11232_0 {
	meta:
		name = "TCustomImageList.FreeHandle"
		size = 51
		refs = "0006 TCustomImageList.HandleAllocated 0017 TCustomImageList.GetHandle 001d ImageList_Destroy 002d @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 80 7B 36 00 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 43 30 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11233_0 {
	meta:
		name = "TCustomImageList.CreateImageList"
		size = 155
		refs = "000d TCustomImageList.CreateImageList 0025 Mask 0038 ImageList_Create 0049 SInvalidImageList 004e LoadResString 0058 _Dn_EInvalidOperation 005d Exception.Create 0062 @RaiseExcept 0075 TCustomImageList.SetBkColor 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 50 6A 04 33 C0 8A 43 35 8B 04 85 ?? ?? ?? ?? 0D FE 00 00 00 50 8B 43 24 50 8B 43 28 50 E8 ?? ?? ?? ?? 8B F0 89 73 30 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 38 3D FF FF FF 1F 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11234_0 {
	meta:
		name = "TCustomImageList.GetImageBitmap"
		size = 61
		refs = "0009 TCustomImageList.GetCount 0017 TCustomImageList.GetHandle 001d ImageList_GetImageInfo 002e DeleteObject"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 23 54 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 1C 24 8B 44 24 04 50 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_11235_0 {
	meta:
		name = "TCustomImageList.GetMaskBitmap"
		size = 61
		refs = "0009 TCustomImageList.GetCount 0017 TCustomImageList.GetHandle 001d ImageList_GetImageInfo 002e DeleteObject"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 23 54 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 5C 24 04 8B 04 24 50 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_11236_0 {
	meta:
		name = "TCustomImageList.Add"
		size = 203
		refs = "0012 _Dn_TBitmap 0017 TBitmap.Create 0022 TCustomImageList.Add 004d TCustomImageList.HandleNeeded 005a TCustomImageList.GetImageHandle 0075 ImageList_Add 008d TObject.Free 0093 @HandleFinally 00be @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 30 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11237_0 {
	meta:
		name = "TCustomImageList.AddMasked"
		size = 283
		refs = "0012 _Dn_TBitmap 0017 TBitmap.Create 0022 TCustomImageList.AddMasked 006f TBitmap.SetTransparentColor 0077 TCustomImageList.HandleNeeded 0089 TCustomImageList.GetBitmapHandle 0097 TCustomImageList.GetImageHandle 00a4 ImageList_Add 00bc TObject.Free 00c2 @HandleFinally 00dc TCustomImageList.GetHandle 010e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 35 00 0F 84 8F 00 00 00 83 FE FF 0F 84 86 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F0 8B 08 FF 51 08 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 64 8B D0 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 30 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11238_0 {
	meta:
		name = "TCustomImageList.AddIcon"
		size = 73
		refs = "0011 TCustomImageList.Add 001e TCustomImageList.CheckImage 0025 TIcon.GetHandle 002d TCustomImageList.GetHandle 0033 ImageList_AddIcon 0040 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0F 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F0 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11239_0 {
	meta:
		name = "TCustomImageList.GetBitmap"
		size = 71
		refs = "0010 TCustomImageList.HandleAllocated 0034 TBitmap.GetCanvas 003f TCustomImageList.Draw"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 8B 53 24 8B C6 8B 08 FF 51 34 8B 53 28 8B C6 8B 08 FF 51 40 6A 00 57 6A 01 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11240_0 {
	meta:
		name = "TCustomImageList.GetIcon"
		size = 76
		refs = "0010 TCustomImageList.HandleAllocated 0020 DrawingStyles 002c Images 0035 TCustomImageList.GetHandle 003b ImageList_GetIcon 0044 TIcon.SetHandle"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 3B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 33 C0 8A 43 34 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 37 0B 04 95 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11241_0 {
	meta:
		name = "TCustomImageList.GetCount"
		size = 33
		refs = "0006 TCustomImageList.HandleAllocated 0011 TCustomImageList.GetHandle 0017 ImageList_GetImageCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_11242_0 {
	meta:
		name = "TCustomImageList.Replace"
		size = 292
		refs = "0018 TCustomImageList.Replace 0025 _Dn_TBitmap 002a TBitmap.Create 0060 TCustomImageList.HandleAllocated 0072 TCustomImageList.GetImageHandle 008a TCustomImageList.GetHandle 0090 ImageList_Replace 009c SReplaceImage 00a1 LoadResString 00ab _Dn_EInvalidOperation 00b0 Exception.Create 00b5 @RaiseExcept 00ca TObject.Free 00d0 @HandleFinally 00fb @CallDynaInst 0110 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 8B 4D F4 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11243_0 {
	meta:
		name = "TCustomImageList.ReplaceMasked"
		size = 542
		refs = "0018 TCustomImageList.ReplaceMasked 0026 TCustomImageList.HandleAllocated 0038 TCustomImageList.CheckImage 0045 TCustomImageList.AddMasked 0067 _Dn_TBitmap 006c TBitmap.Create 00c0 TBitmap.SetMonochrome 00ea TBitmap.GetCanvas 00ef TCanvas.GetHandle 00fc TCustomImageList.GetHandle 0102 ImageList_Draw 0149 ImageList_Replace 0155 SReplaceImage 015a LoadResString 0164 _Dn_EInvalidOperation 0169 Exception.Create 016e @RaiseExcept 0183 TObject.Free 0189 @HandleFinally 01c0 TCustomImageList.Delete 01f5 @CallDynaInst 020a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 BB 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 0F 84 76 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 24 8B 45 F4 8B 08 FF 51 34 8B 45 FC 8B 50 28 8B 45 F4 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B 45 F0 8B 08 FF 51 34 8B 45 FC 8B 50 28 8B 45 F0 8B 08 FF 51 40 6A 00 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 10 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 60 50 8B 45 F4 8B 10 FF 52 60 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11244_0 {
	meta:
		name = "TCustomImageList.ReplaceIcon"
		size = 171
		refs = "0012 TCustomImageList.ReplaceIcon 001f TCustomImageList.HandleAllocated 0034 TCustomImageList.Replace 003f TCustomImageList.CheckImage 0046 TIcon.GetHandle 004f TCustomImageList.GetHandle 0055 ImageList_ReplaceIcon 0060 SReplaceImage 0065 LoadResString 006f _Dn_EInvalidOperation 0074 Exception.Create 0079 @RaiseExcept 0084 @CallDynaInst 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 56 85 F6 75 0F 6A 00 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? EB 43 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11245_0 {
	meta:
		name = "TCustomImageList.Delete"
		size = 139
		refs = "000f TCustomImageList.Delete 001c TCustomImageList.GetCount 0028 SImageIndexError 002d LoadResString 0037 _Dn_EInvalidOperation 003c Exception.Create 0041 @RaiseExcept 0048 TCustomImageList.HandleAllocated 0054 TCustomImageList.GetHandle 005a ImageList_Remove 0065 @CallDynaInst 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11247_0 {
	meta:
		name = "TCustomImageList.SetBkColor"
		size = 53
		refs = "0009 TCustomImageList.HandleAllocated 0014 GetRGBColor 001e ImageList_SetBkColor 002e @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 50 8B 43 30 50 E8 ?? ?? ?? ?? EB 03 89 73 38 8B C3 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11248_0 {
	meta:
		name = "TCustomImageList.GetBkColor"
		size = 39
		refs = "0006 TCustomImageList.HandleAllocated 0011 TCustomImageList.GetHandle 0017 ImageList_GetBkColor 001c GetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 43 38 5B C3 }
	condition:
		$1
}

rule function_11249_0 {
	meta:
		name = "TCustomImageList.DoDraw"
		size = 409
		refs = "0013 TCustomImageList.HandleAllocated 002d GetRGBColor 0035 TCustomImageList.GetBkColor 004e TCanvas.GetHandle 005a TCustomImageList.GetHandle 0060 ImageList_DrawEx 0072 _Dn_TBitmap 0077 TBitmap.Create 0085 TBitmap.SetMonochrome 00af TBitmap.GetCanvas 00e2 Rect 00ff TBrush.SetColor 0113 SetTextColor 011b SetBkColor 0140 BitBlt"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 89 55 FC 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 71 01 00 00 80 7D 08 00 74 44 8B 45 0C 50 8B 43 3C E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 10 50 8B 45 14 50 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 27 01 00 00 83 7B 48 00 75 2E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 53 28 8B C6 8B 08 FF 51 40 8B 53 24 8B C6 8B 08 FF 51 34 6A 10 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 43 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 10 03 43 24 50 8D 45 E8 50 8B 4D 14 03 4B 28 8B 55 10 8B 45 14 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 47 14 BA 14 00 00 80 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 68 FF FF FF 00 56 E8 ?? ?? ?? ?? 6A 00 56 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 F8 50 8B 43 24 50 8B 43 28 50 8B 45 10 40 50 8B 45 14 40 50 56 E8 ?? ?? ?? ?? 8B 47 14 BA 10 00 00 80 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 68 FF FF FF 00 56 E8 ?? ?? ?? ?? 6A 00 56 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 F8 50 8B 43 24 50 8B 43 28 50 8B 45 10 50 8B 45 14 50 56 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_11250_0 {
	meta:
		name = "TCustomImageList.Draw"
		size = 76
		refs = "000f TCustomImageList.HandleAllocated 0024 DrawingStyles 0030 Images"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 57 8B 45 10 50 33 C0 8A 43 34 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 37 0B 04 95 ?? ?? ?? ?? 50 8A 45 08 50 8B CE 8B 55 0C 8B C3 8B 18 FF 53 30 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11251_0 {
	meta:
		name = "TCustomImageList.DrawOverlay"
		size = 91
		refs = "0011 TCustomImageList.HandleAllocated 0020 IndexToOverlayMask 0036 Images"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 33 C0 8A 45 0C 40 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 50 8B 45 14 50 33 C0 8A 43 37 8B 04 85 ?? ?? ?? ?? 81 E6 00 0F 00 00 0B C6 50 8A 45 08 50 8B CF 8B 55 10 8B C3 8B 18 FF 53 30 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_11252_0 {
	meta:
		name = "TCustomImageList.Overlay"
		size = 54
		refs = "000c TCustomImageList.HandleAllocated 001e TCustomImageList.GetHandle 0024 ImageList_SetOverlayImage"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1C 33 C0 8A C3 40 50 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11253_0 {
	meta:
		name = "TCustomImageList.CopyImages"
		size = 406
		refs = "0025 Rect 002d TCustomImageList.BeginUpdate 0035 TCustomImageList.CopyImages 0042 _Dn_TBitmap 0047 TBitmap.Create 009b TBitmap.SetMonochrome 00c0 ImageList_GetImageCount 00d2 TBitmap.GetCanvas 00de TCanvas.FillRect 00eb TCanvas.GetHandle 00f6 ImageList_Draw 0130 TCustomImageList.Add 0149 TObject.Free 014f @HandleFinally 0183 TCustomImageList.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 24 50 8D 45 E0 50 8B 45 FC 8B 48 28 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 24 8B 45 F4 8B 08 FF 51 34 8B 45 FC 8B 50 28 8B 45 F4 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B 45 F0 8B 08 FF 51 34 8B 45 FC 8B 50 28 8B 45 F0 8B 08 FF 51 40 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6D 46 33 DB 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 6A 10 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 96 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11254_0 {
	meta:
		name = "TCustomImageList.GetImages"
		size = 165
		refs = "001f Rect 0026 TBitmap.GetCanvas 0035 TBrush.SetColor 003f TCanvas.FillRect 004c TCanvas.GetHandle 0055 TCustomImageList.GetHandle 005b ImageList_Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 8B D8 8B 43 24 50 8D 45 F0 50 8B 4B 28 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 BA FF FF FF 00 8B 46 14 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B F0 8B 46 14 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 6A 10 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11255_0 {
	meta:
		name = "TCustomImageList.InsertImage"
		size = 570
		refs = "001a TCustomImageList.InsertImage 0028 TCustomImageList.BeginUpdate 003d _Dn_TBitmap 0042 TBitmap.Create 0096 TBitmap.SetMonochrome 00c0 _DV_TCustomImageList 00c5 TCustomImageList.CreateSize 00e9 TCustomImageList.Clear 00f1 TCustomImageList.GetCount 00fd SImageIndexError 0102 LoadResString 010c _Dn_EInvalidOperation 0111 Exception.Create 0116 @RaiseExcept 0131 TCustomImageList.GetImages 013f TCustomImageList.Add 0157 TCustomImageList.AddMasked 01b1 TObject.Free 01b7 @HandleFinally 0208 TCustomImageList.EndUpdate 0225 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 24 8B 45 F4 8B 08 FF 51 34 8B 45 FC 8B 50 28 8B 45 F4 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B 45 F0 8B 08 FF 51 34 8B 45 FC 8B 50 28 8B 45 F0 8B 08 FF 51 40 6A 05 B9 05 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 EC 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 3B F8 7E 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DF 4B 85 DB 7C 26 43 33 F6 8B 45 F0 50 8B 4D F4 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 DD 83 7D 08 FF 74 10 8B 4D 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8B 4D 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F7 8B 45 EC E8 ?? ?? ?? ?? 8B D8 4B 2B DE 7C 24 43 8B 45 F0 50 8B 4D F4 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11256_0 {
	meta:
		name = "TCustomImageList.Insert"
		size = 20
		refs = "000b TCustomImageList.InsertImage"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A FF E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11257_0 {
	meta:
		name = "TCustomImageList.InsertMasked"
		size = 20
		refs = "000b TCustomImageList.InsertImage"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11258_0 {
	meta:
		name = "TCustomImageList.InsertIcon"
		size = 326
		refs = "001b TCustomImageList.InsertIcon 0028 _Dn_TIcon 002d TIcon.Create 003d _DV_TCustomImageList 0042 TCustomImageList.CreateSize 0058 TCustomImageList.Clear 0060 TCustomImageList.GetCount 006d SImageIndexError 0072 LoadResString 007c _Dn_EInvalidOperation 0081 Exception.Create 0086 @RaiseExcept 008e TCustomImageList.BeginUpdate 00b3 TCustomImageList.GetIcon 00bd TCustomImageList.AddIcon 010e TObject.Free 0116 TCustomImageList.EndUpdate 011c @HandleFinally 0133 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 05 B9 05 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 FC 8B 45 F0 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 3B 45 F8 7D 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 4B 85 DB 7C 1D 43 33 FF 8B CE 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 47 4B 75 E6 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 7D F8 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 2B DF 7C 1B 43 8B CE 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 47 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11259_0 {
	meta:
		name = "TCustomImageList.Move"
		size = 231
		refs = "001a _Dn_TBitmap 001f TBitmap.Create 002a TCustomImageList.Move 0089 TCustomImageList.GetImages 0092 TCustomImageList.Delete 00a2 TCustomImageList.Insert 00b7 TObject.Free 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 3B FE 0F 84 C9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 24 8B 45 FC 8B 08 FF 51 34 8B 53 28 8B 45 FC 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 24 8B 45 F8 8B 08 FF 51 34 8B 53 28 8B 45 F8 8B 08 FF 51 40 8B 45 F8 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11260_0 {
	meta:
		name = "TCustomImageList.AddImages"
		size = 29
		refs = "000d TCustomImageList.GetHandle 0016 TCustomImageList.CopyImages"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11261_0 {
	meta:
		name = "TCustomImageList.Assign"
		size = 189
		refs = "000d TCustomImageList.FreeHandle 0018 _DV_TCustomImageList 001d @IsClass 002c TCustomImageList.Clear 0042 TCustomImageList.SetDrawingStyle 004f TCustomImageList.GetHandle 0058 TCustomImageList.SetNewDimensions 005f TCustomImageList.HandleAllocated 006a TCustomImageList.HandleNeeded 0081 ImageList_SetIconSize 008e ImageList_GetBkColor 0093 GetColor 009c TCustomImageList.SetBkColor 00ab TCustomImageList.AddImages 00b6 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8A 46 35 88 43 35 8A 46 37 88 43 37 8A 56 34 8B C3 E8 ?? ?? ?? ?? 8A 46 36 88 43 36 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 15 8B 43 24 50 8B 43 28 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 46 3C 89 43 3C 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11262_0 {
	meta:
		name = "TCustomImageList.AssignTo"
		size = 176
		refs = "000a _DV_TCustomImageList 000f @IsClass 002d TCustomImageList.SetDrawingStyle 0040 TCustomImageList.Clear 0047 TCustomImageList.GetHandle 0050 TCustomImageList.SetNewDimensions 0057 TCustomImageList.HandleAllocated 0062 TCustomImageList.HandleNeeded 0079 ImageList_SetIconSize 0086 ImageList_GetBkColor 008b GetColor 0094 TCustomImageList.SetBkColor 009d TCustomImageList.AddImages 00a9 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 8A 46 35 88 43 35 8A 46 37 88 43 37 8A 56 34 8B C3 E8 ?? ?? ?? ?? 8A 46 36 88 43 36 8B 46 3C 89 43 3C 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 15 8B 43 24 50 8B 43 28 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11263_0 {
	meta:
		name = "TCustomImageList.CheckImage"
		size = 120
		refs = "000f TCustomImageList.CheckImage 0039 SInvalidImageSize 003e LoadResString 0048 _Dn_EInvalidOperation 004d Exception.Create 0052 @RaiseExcept 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 39 8B C6 8B 10 FF 52 20 3B 43 24 7C 0C 8B C6 8B 10 FF 52 2C 3B 43 28 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11264_0 {
	meta:
		name = "TCustomImageList.SetDrawingStyle"
		size = 26
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3A 56 34 74 0E 88 56 34 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11265_0 {
	meta:
		name = "TCustomImageList.GetHotSpot"
		size = 16
		refs = "000a Point"
	strings:
		$1 = { 53 8B DA 8B CB 33 D2 33 C0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11266_0 {
	meta:
		name = "TCustomImageList.GetInstRes"
		size = 206
		refs = "0018 @LStrAddRef 0020 TCustomImageList.GetInstRes 0068 ResMap 007d @LStrToPChar 0087 ImageList_LoadImage 0096 TCustomImageList.CopyImages 009c ImageList_Destroy 00b7 @LStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 89 55 FC 8B F8 8B 5D 0C 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 F6 C3 01 74 03 83 CE 00 F6 C3 02 74 03 83 CE 40 F6 C3 04 74 03 83 CE 10 F6 C3 08 74 06 81 CE 00 10 00 00 F6 C3 10 74 03 83 CE 20 F6 C3 20 74 03 83 CE 01 56 33 C0 8A 45 FB 8B 04 85 ?? ?? ?? ?? 50 8B 45 08 50 8B 47 2C 50 8B 45 10 50 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 8B D3 8B C7 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_11267_0 {
	meta:
		name = "TCustomImageList.GetResource"
		size = 108
		refs = "0011 @LStrAddRef 0019 TCustomImageList.GetResource 0035 MainInstance 0040 TCustomImageList.GetInstRes 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 10 50 8A 45 0C 50 8B 45 08 50 8B 15 ?? ?? ?? ?? 8B 12 8B CB 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_11268_0 {
	meta:
		name = "TCustomImageList.ResInstLoad"
		size = 108
		refs = "0010 @LStrAddRef 0018 TCustomImageList.ResInstLoad 003b TCustomImageList.GetInstRes 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 47 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11269_0 {
	meta:
		name = "TCustomImageList.ResourceLoad"
		size = 260
		refs = "0016 @LStrAddRef 001e TCustomImageList.ResourceLoad 002b HInstance 0033 MainInstance 005f TCustomImageList.GetInstRes 0069 LibModuleList 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 3B 02 75 2C 8B 45 F4 50 8B 45 FC 8B 40 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8B 15 ?? ?? ?? ?? 8B 12 8A 4D FB 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 6E 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 62 8B FE 8B 45 F4 50 8B 45 FC 8B 40 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8A 4D FB 8B 57 10 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 2D 8B 47 04 3B 47 10 74 25 8B 45 F4 50 8B 45 FC 8B 40 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8A 4D FB 8B 57 04 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 06 8B 36 85 F6 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11270_0 {
	meta:
		name = "TCustomImageList.FileLoad"
		size = 108
		refs = "0011 @LStrAddRef 0019 TCustomImageList.FileLoad 0039 TCustomImageList.GetResource 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 28 50 A0 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_11271_0 {
	meta:
		name = "TCustomImageList.Change"
		size = 77
		refs = "0028 TList.Get 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B F0 C6 46 4C 01 83 7E 50 00 7F 38 8B 46 40 85 C0 74 22 8B 78 08 4F 85 FF 7C 1A 47 33 ED 8B D5 8B 46 40 E8 ?? ?? ?? ?? 66 BB FF FF E8 ?? ?? ?? ?? 45 4F 75 E9 66 83 7E 56 00 74 08 8B D6 8B 46 58 FF 56 54 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11272_0 {
	meta:
		name = "TCustomImageList.UnRegisterChanges"
		size = 66
		refs = "0020 TList.Get 0033 TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 40 85 C0 74 2E 8B 78 08 4F 85 FF 7C 26 47 33 F6 8B D6 8B 43 40 E8 ?? ?? ?? ?? 3B E8 75 11 33 C0 89 45 04 8B D6 8B 43 40 E8 ?? ?? ?? ?? EB 04 46 4F 75 DD 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11273_0 {
	meta:
		name = "TCustomImageList.RegisterChanges"
		size = 18
		refs = "000d TList.Add"
	strings:
		$1 = { 89 42 04 8B 48 40 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11274_0 {
	meta:
		name = "StreamsEqual"
		size = 61
		refs = "000a TStream.GetSize 002b CompareMem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 75 18 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 56 04 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11275_0 {
	meta:
		name = "TCustomImageList.Equal"
		size = 237
		refs = "0014 TCustomImageList.GetCount 0050 _Dn_TMemoryStream 0055 TObject.Create 0060 TCustomImageList.Equal 0070 TCustomImageList.WriteData 00a2 StreamsEqual 00ba TObject.Free 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 85 F6 74 14 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 09 C6 45 FF 00 E9 B5 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 14 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 C6 45 FF 01 E9 96 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11276_0 {
	meta:
		name = "DoWrite"
		size = 90
		refs = "001d _DV_TCustomImageList 0022 @IsClass 0036 TCustomImageList.Equal 004e TCustomImageList.GetCount"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 1C 00 74 37 8B 45 08 8B 40 FC 8B 58 1C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 8B D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 15 B0 01 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_11277_0 {
	meta:
		name = "TCustomImageList.DefineProperties"
		size = 88
		refs = "0014 TComponent.DefineProperties 001d TCustomImageList.ReadData 0026 TCustomImageList.WriteData 002c DoWrite 0034 TCustomImageList.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 42 69 74 6D 61 70 00 00 }
	condition:
		$1
}

rule function_11278_0 {
	meta:
		name = "TCustomImageList.ReadD2Stream"
		size = 655
		refs = "0019 TStream.ReadBuffer 002f _Dn_TBitmap 0034 TBitmap.Create 003f TCustomImageList.ReadD2Stream 004c TStream.GetPosition 0064 TStream.SetPosition 00cf TBitmap.SetMonochrome 0105 Rect 010d TCustomImageList.BeginUpdate 0196 Bounds 01a2 TBitmap.GetCanvas 01b4 TCanvas.CopyRect 0208 TCustomImageList.Add 0232 TObject.Free 0242 TCustomImageList.EndUpdate 0248 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B DA 89 45 FC 8D 55 E8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D3 8B 45 F8 8B 08 FF 51 50 8B 55 E8 03 D6 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F0 8B 08 FF 51 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 50 28 8B 45 F4 8B 08 FF 51 40 8B 45 FC 8B 50 24 8B 45 F4 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 28 8B 45 EC 8B 08 FF 51 40 8B 45 FC 8B 50 24 8B 45 EC 8B 08 FF 51 34 8B 45 FC 8B 40 24 50 8D 45 D0 50 8B 45 FC 8B 48 28 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 20 8B 55 FC 8B 4A 24 99 F7 F9 48 85 C0 0F 8C E8 00 00 00 40 89 45 E0 33 FF 83 7D E4 00 0F 84 D8 00 00 00 8B 45 F8 8B 10 FF 52 2C 8B 55 FC 8B 4A 28 99 F7 F9 8B F0 4E 85 F6 0F 8C B2 00 00 00 46 33 DB 83 7D E4 00 0F 84 A5 00 00 00 8B 45 FC 8B 40 24 50 8D 45 C0 50 8B 45 FC 8B 48 28 8B 45 FC 8B 50 24 0F AF D7 8B 45 FC 8B 40 28 0F AF C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D0 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 50 8D 45 C0 50 8B 45 FC 8B 48 28 8B 45 FC 8B 50 24 0F AF D7 8B 45 FC 8B 40 28 0F AF C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D0 59 E8 ?? ?? ?? ?? 8B 4D EC 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? FF 4D E4 43 4E 0F 85 51 FF FF FF 47 FF 4D E0 0F 85 1E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11279_0 {
	meta:
		name = "TCustomImageList.ReadD3Stream"
		size = 193
		refs = "0012 TCustomImageList.ReadD3Stream 0021 _Dn_TStreamAdapter 0028 TStreamAdapter.Create 0049 ImageList_Read 0052 TCustomImageList.SetHandle 0059 TCustomImageList.GetHandle 0065 SImageReadFail 006a LoadResString 0074 _Dn_EReadError 0079 Exception.Create 007e @RaiseExcept 0093 TObject.Free 0099 @HandleFinally 00b0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 03 83 E8 EC 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11280_0 {
	meta:
		name = "TCustomImageList.ReadData"
		size = 135
		refs = "000d TCustomImageList.FreeHandle 0014 TStream.GetPosition 0053 TStream.SetPosition 0071 TCustomImageList.ReadD3Stream 007c TCustomImageList.ReadD2Stream"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 44 24 0C 8B D4 B9 04 00 00 00 8B C7 8B 18 FF 53 04 8D 54 24 04 B9 04 00 00 00 8B C7 8B 18 FF 53 04 8A 1C 24 80 E3 FF 66 8B 04 24 66 C1 E8 08 88 44 24 08 8B 54 24 0C 8B C7 E8 ?? ?? ?? ?? 8B 04 24 3B 44 24 04 74 17 80 FB 49 75 12 80 7C 24 08 4C 75 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11281_0 {
	meta:
		name = "WriteDIB"
		size = 395
		refs = "001c GetDIBSizes 0027 @GetMem 0032 WriteDIB 004b GetDIB 0065 CreateDIBSection 0072 TBitmap.SetHandle 007f Move 00a3 TCustomImageList.GetCount 0107 Rect 013d TBitmap.GetCanvas 0152 TCanvas.CopyRect 0178 @FreeMem 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 85 DB 0F 84 71 01 00 00 8D 4D FC 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 03 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F8 03 75 F0 56 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F4 50 6A 00 8B 45 F8 50 8B 45 08 8B 40 F8 50 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 4D FC E8 ?? ?? ?? ?? 8B 75 F8 8B 46 04 8B 55 08 8B 52 F4 8B 4A 28 99 F7 F9 8B D8 85 DB 75 01 43 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 3B D8 7E 0D 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F4 8B 40 28 F7 EB 89 46 04 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 99 F7 FB 8B F8 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B D7 0F AF D3 3B C2 7E 01 47 8B 45 08 8B 40 F4 8B 58 24 0F AF DF 89 5E 08 53 8D 45 E0 50 8B 4E 04 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F4 50 6A 00 8B 45 F8 50 8B 45 08 8B 40 F8 50 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8D 55 E0 59 E8 ?? ?? ?? ?? 8B 45 08 8B 50 EC 8B 45 08 8B 40 F0 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11282_0 {
	meta:
		name = "TCustomImageList.WriteData"
		size = 262
		refs = "001e _Dn_TMemoryStream 0023 TObject.Create 002e TCustomImageList.WriteData 003b _Dn_TBitmap 0040 TBitmap.Create 0059 GetDC 0065 TCustomImageList.GetImageBitmap 006a WriteDIB 0073 TStream.GetSize 007f TCustomImageList.GetMaskBitmap 0094 TStream.WriteBuffer 009c TCustomImageList.GetCount 00dd ReleaseDC 00e5 TObject.Free 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 89 45 F4 33 C0 89 45 FC 33 C0 89 45 F0 33 C0 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 00 E8 ?? ?? ?? ?? 89 45 F8 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 E8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 8D 55 E8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 45 EC 8B 50 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11283_0 {
	meta:
		name = "TCustomImageList.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 50 C3 }
	condition:
		$1
}

rule function_11284_0 {
	meta:
		name = "TCustomImageList.EndUpdate"
		size = 31
		refs = "0019 @CallDynaInst"
	strings:
		$1 = { 53 83 78 50 00 7E 03 FF 48 50 80 78 4C 00 74 0D C6 40 4C 00 66 BB F0 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11285_0 {
	meta:
		name = "TChangeLink.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0015 TCustomImageList.UnRegisterChanges 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11286_0 {
	meta:
		name = "TChangeLink.Change"
		size = 21
	strings:
		$1 = { 53 66 83 78 0A 00 74 0B 8B D8 8B 50 04 8B 43 0C FF 53 08 5B C3 }
	condition:
		$1
}

rule function_11375_0 {
	meta:
		name = "TCustomIniFile.SectionExists"
		size = 105
		refs = "000f _Dn_TStringList 0014 TObject.Create 001f TCustomIniFile.SectionExists 0054 TObject.Free 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D6 8B C3 8B 18 FF 53 38 8B 45 F8 8B 10 FF 52 14 85 C0 0F 9F 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11376_0 {
	meta:
		name = "TCustomIniFile.ReadInteger"
		size = 196
		refs = "0016 TCustomIniFile.ReadInteger 0035 @LStrLen 0068 @LStrCopy 0078 @LStrCat3 0083 StrToIntDef 009f @LStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 50 8B 4D FC 8B D6 8B C3 8B 18 FF 13 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 02 7E 3E 8B 45 F8 80 38 30 75 36 8B 45 F8 8A 58 01 80 FB 58 74 05 80 FB 78 75 26 8D 45 F4 50 B9 FF FF FF 7F BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_11377_0 {
	meta:
		name = "TCustomIniFile.WriteInteger"
		size = 91
		refs = "0012 TCustomIniFile.WriteInteger 0023 IntToStr 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11378_0 {
	meta:
		name = "TCustomIniFile.ReadBool"
		size = 43
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 33 C0 8A 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 08 85 C0 0F 95 C0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11379_0 {
	meta:
		name = "TCustomIniFile.ReadDate"
		size = 184
		refs = "0019 TCustomIniFile.ReadDate 0058 StrToDate 006b @HandleOnException 0073 _Dn_EConvertError 0086 @RaiseAgain 008b @DoneExcept 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F0 50 8B 4D FC 8B D6 8B C3 8B 18 FF 13 8B 45 08 89 45 F4 8B 45 0C 89 45 F8 83 7D F0 00 74 49 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? DD 5D F4 9B 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11380_0 {
	meta:
		name = "TCustomIniFile.ReadDateTime"
		size = 184
		refs = "0019 TCustomIniFile.ReadDateTime 0058 StrToDateTime 006b @HandleOnException 0073 _Dn_EConvertError 0086 @RaiseAgain 008b @DoneExcept 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F0 50 8B 4D FC 8B D6 8B C3 8B 18 FF 13 8B 45 08 89 45 F4 8B 45 0C 89 45 F8 83 7D F0 00 74 49 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? DD 5D F4 9B 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11381_0 {
	meta:
		name = "TCustomIniFile.ReadFloat"
		size = 184
		refs = "0019 TCustomIniFile.ReadFloat 0058 StrToFloat 006b @HandleOnException 0073 _Dn_EConvertError 0086 @RaiseAgain 008b @DoneExcept 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F0 50 8B 4D FC 8B D6 8B C3 8B 18 FF 13 8B 45 08 89 45 F4 8B 45 0C 89 45 F8 83 7D F0 00 74 49 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? DD 5D F4 9B 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11382_0 {
	meta:
		name = "TCustomIniFile.ReadTime"
		size = 184
		refs = "0019 TCustomIniFile.ReadTime 0058 StrToTime 006b @HandleOnException 0073 _Dn_EConvertError 0086 @RaiseAgain 008b @DoneExcept 00a0 @LStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F0 50 8B 4D FC 8B D6 8B C3 8B 18 FF 13 8B 45 08 89 45 F4 8B 45 0C 89 45 F8 83 7D F0 00 74 49 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? DD 5D F4 9B 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11383_0 {
	meta:
		name = "TCustomIniFile.WriteDate"
		size = 94
		refs = "0012 TCustomIniFile.WriteDate 0026 DateToStr 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11384_0 {
	meta:
		name = "TCustomIniFile.WriteDateTime"
		size = 94
		refs = "0012 TCustomIniFile.WriteDateTime 0026 DateTimeToStr 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11386_0 {
	meta:
		name = "TCustomIniFile.WriteTime"
		size = 94
		refs = "0012 TCustomIniFile.WriteTime 0026 TimeToStr 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11385_0 {
	meta:
		name = "TCustomIniFile.WriteFloat"
		size = 98
		refs = "0012 TCustomIniFile.WriteFloat 002a FloatToStr 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11388_0 {
	meta:
		name = "TCustomIniFile.WriteBool"
		size = 27
		refs = "000c Values"
	strings:
		$1 = { 55 8B EC 53 33 DB 8A 5D 08 8B 1C 9D ?? ?? ?? ?? 53 8B 18 FF 53 04 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11389_0 {
	meta:
		name = "TCustomIniFile.ValueExists"
		size = 110
		refs = "0012 _Dn_TStringList 0017 TObject.Create 0022 TCustomIniFile.ValueExists 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B D6 8B C3 8B 18 FF 53 38 8B 55 FC 8B 45 F4 8B 08 FF 51 50 40 0F 9F 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11390_0 {
	meta:
		name = "TIniFile.ReadString"
		size = 94
		refs = "0016 @LStrToPChar 0041 GetPrivateProfileString 0051 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 00 F8 FF FF 53 56 57 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 68 00 08 00 00 8D 85 00 F8 FF FF 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 00 F8 FF FF 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11391_0 {
	meta:
		name = "TIniFile.WriteString"
		size = 164
		refs = "0018 TIniFile.WriteString 0026 @LStrToPChar 0045 WritePrivateProfileString 0061 SIniFileWriteError 0066 LoadResString 0070 _Dn_Exception 0075 Exception.CreateFmt 007a @RaiseExcept 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 31 8B 43 04 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11392_0 {
	meta:
		name = "TIniFile.ReadSections"
		size = 254
		refs = "0015 TIniFile.ReadSections 0025 @GetMem 003e TStrings.BeginUpdate 005c @LStrToPChar 0071 GetPrivateProfileString 0084 @LStrFromPChar 0096 StrLen 00b3 TStrings.EndUpdate 00b9 @HandleFinally 00d0 @FreeMem 00ed @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 00 40 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 43 04 E8 ?? ?? ?? ?? 50 68 00 40 00 00 8B 45 F8 50 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 85 C0 74 29 8B 5D F8 EB 1F 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 40 03 D8 80 3B 00 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11393_0 {
	meta:
		name = "TIniFile.ReadSection"
		size = 264
		refs = "0018 TIniFile.ReadSection 0028 @GetMem 0041 TStrings.BeginUpdate 005f @LStrToPChar 007a GetPrivateProfileString 008d @LStrFromPChar 009f StrLen 00bc TStrings.EndUpdate 00c2 @HandleFinally 00d9 @FreeMem 00f6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 00 40 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 43 04 E8 ?? ?? ?? ?? 50 68 00 40 00 00 8B 45 F8 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 29 8B 5D F8 EB 1F 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 40 03 D8 80 3B 00 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11394_0 {
	meta:
		name = "TIniFile.ReadSectionValues"
		size = 287
		refs = "001e TIniFile.ReadSectionValues 002b _Dn_TStringList 0030 TObject.Create 0057 TStrings.BeginUpdate 00b4 TStrings.SetValue 00cd TStrings.EndUpdate 00d3 @HandleFinally 00ea TObject.Free 010c @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F8 8B 45 FC 8B 18 FF 53 38 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 44 46 33 DB 6A 00 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 4D E8 8B 55 F8 8B 45 FC 8B 38 FF 17 8B 45 EC 50 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 55 E8 8B 45 F4 59 E8 ?? ?? ?? ?? 43 4E 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11395_0 {
	meta:
		name = "TIniFile.EraseSection"
		size = 145
		refs = "0015 TIniFile.EraseSection 0023 @LStrToPChar 0035 WritePrivateProfileString 0051 SIniFileWriteError 0056 LoadResString 0060 _Dn_Exception 0065 Exception.CreateFmt 006a @RaiseExcept 007f @LStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 31 8B 43 04 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11396_0 {
	meta:
		name = "TIniFile.DeleteKey"
		size = 45
		refs = "000d @LStrToPChar 0025 WritePrivateProfileString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11397_0 {
	meta:
		name = "TIniFile.UpdateFile"
		size = 25
		refs = "0007 @LStrToPChar 0013 WritePrivateProfileString"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11398_0 {
	meta:
		name = "TMemIniFile.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TCustomIniFile.Create 001e _Dn_TStringList 0023 TObject.Create 002d TMemIniFile.LoadValues 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11399_0 {
	meta:
		name = "TMemIniFile.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0014 TMemIniFile.Clear 001c TObject.Free 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11400_0 {
	meta:
		name = "TMemIniFile.AddSection"
		size = 90
		refs = "000e _Dn_TStringList 0013 TObject.Create 001e TMemIniFile.AddSection 0040 @HandleAnyException 0048 TObject.Free 004d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 4D FC 8B D6 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11401_0 {
	meta:
		name = "TMemIniFile.Clear"
		size = 54
		refs = "0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 08 8B D6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 08 8B 10 FF 52 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11402_0 {
	meta:
		name = "TMemIniFile.DeleteKey"
		size = 59
		refs = "0026 TStrings.IndexOfName"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B 43 08 8B 08 FF 51 50 8B F0 85 F6 7C 22 8B D6 8B 43 08 8B 08 FF 51 18 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D0 8B C6 8B 08 FF 51 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11403_0 {
	meta:
		name = "TMemIniFile.EraseSection"
		size = 46
		refs = "001d TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 46 08 8B 08 FF 51 50 8B D8 85 DB 7C 19 8B D3 8B 46 08 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B D3 8B 46 08 8B 08 FF 51 44 5E 5B C3 }
	condition:
		$1
}

rule function_11404_0 {
	meta:
		name = "TMemIniFile.GetStrings"
		size = 324
		refs = "001b TMemIniFile.GetStrings 0029 TStrings.BeginUpdate 0081 @LStrCatN 00f6 TStrings.EndUpdate 00fc @HandleFinally 0118 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 10 FF 52 14 48 85 C0 0F 8C 96 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 68 ?? ?? ?? ?? 8D 4D E4 8B 45 FC 8B 40 08 8B 55 F4 8B 18 FF 53 0C FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 34 8B 45 FC 8B 40 08 8B 55 F4 8B 08 FF 51 18 89 45 F0 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D E8 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 E8 8B 45 F8 8B 08 FF 51 34 46 4B 75 E4 33 D2 8B 45 F8 8B 08 FF 51 34 FF 45 F4 FF 4D EC 0F 85 75 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 5B 00 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_11405_0 {
	meta:
		name = "TMemIniFile.LoadValues"
		size = 115
		refs = "0011 FileExists 001c _Dn_TStringList 0021 TObject.Create 002c TMemIniFile.LoadValues 0047 TMemIniFile.SetStrings 005c TObject.Free 0062 @HandleFinally 006b TMemIniFile.Clear"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 83 7B 04 00 74 5B 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 4F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 04 8B 45 FC 8B 08 FF 51 58 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_11406_0 {
	meta:
		name = "TMemIniFile.ReadSection"
		size = 203
		refs = "0018 TMemIniFile.ReadSection 0026 TStrings.BeginUpdate 0078 TStrings.GetName 009c TStrings.EndUpdate 00a2 @HandleFinally 00b9 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 43 08 8B D6 8B 08 FF 51 50 8B F0 85 F6 7C 3B 8B 43 08 8B D6 8B 08 FF 51 18 89 45 F8 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 34 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11407_0 {
	meta:
		name = "TMemIniFile.ReadSections"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C2 8B 56 08 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_11408_0 {
	meta:
		name = "TMemIniFile.ReadSectionValues"
		size = 113
		refs = "0011 TStrings.BeginUpdate 0019 TMemIniFile.ReadSectionValues 0060 TStrings.EndUpdate 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 43 08 8B D6 8B 08 FF 51 50 8B F0 85 F6 7C 14 8B 43 08 8B D6 8B 08 FF 51 18 8B D0 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11409_0 {
	meta:
		name = "TMemIniFile.ReadString"
		size = 168
		refs = "0016 TMemIniFile.ReadString 0040 TStrings.IndexOfName 0062 @LStrLen 0072 @LStrCopy 007f @LStrLAsg 0094 @LStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 08 FF 51 50 8B D8 85 DB 7C 4A 8B D3 8B 46 08 8B 08 FF 51 18 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 2E 8B 45 08 50 8D 4D F8 8B D3 8B C6 8B 18 FF 53 0C 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 FF FF FF 7F 58 E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11410_0 {
	meta:
		name = "TMemIniFile.Rename"
		size = 34
		refs = "000f @LStrAsg 001a TMemIniFile.LoadValues"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11411_0 {
	meta:
		name = "TMemIniFile.SetStrings"
		size = 232
		refs = "001b TMemIniFile.SetStrings 0029 TMemIniFile.Clear 006b @LStrLen 0093 @LStrCopy 009e TMemIniFile.AddSection 00cd @LStrClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 7B 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 57 0C 83 7D F4 00 74 61 8B 45 F4 80 38 3B 74 59 8B 45 F4 80 38 5B 75 40 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 80 7C 02 FF 5D 75 2E 8D 45 EC 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 EB 11 83 7D F0 00 74 0B 8B 55 F4 8B 45 F0 8B 08 FF 51 34 46 4B 75 88 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11412_0 {
	meta:
		name = "TMemIniFile.UpdateFile"
		size = 90
		refs = "000a _Dn_TStringList 000f TObject.Create 001a TMemIniFile.UpdateFile 002a TMemIniFile.GetStrings 004a TObject.Free 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 53 04 8B 45 FC 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11413_0 {
	meta:
		name = "TMemIniFile.WriteString"
		size = 192
		refs = "0019 TMemIniFile.WriteString 0048 TMemIniFile.AddSection 0060 @LStrCatN 0069 TStrings.IndexOfName 009c @LStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 55 FC 8B 08 FF 51 50 8B D8 85 DB 7C 0E 8B 46 08 8B D3 8B 08 FF 51 18 8B F0 EB 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F0 57 68 ?? ?? ?? ?? FF 75 08 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 0E 8B 4D F8 8B D3 8B C6 8B 18 FF 53 20 EB 0A 8B 55 F8 8B C6 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_11420_0 {
	meta:
		name = "_NF__8A"
		size = 560
	strings:
		$1 = { FF FF FF FF 0F 00 00 00 53 45 52 56 45 52 5F 50 52 4F 54 4F 43 4F 4C 00 FF FF FF FF 03 00 00 00 55 52 4C 00 FF FF FF FF 12 00 00 00 48 54 54 50 5F 43 41 43 48 45 5F 43 4F 4E 54 52 4F 4C 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 44 41 54 45 00 00 00 FF FF FF FF 0B 00 00 00 48 54 54 50 5F 41 43 43 45 50 54 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 46 52 4F 4D 00 00 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 48 4F 53 54 00 00 00 FF FF FF FF 16 00 00 00 48 54 54 50 5F 49 46 5F 4D 4F 44 49 46 49 45 44 5F 53 49 4E 43 45 00 00 FF FF FF FF 0C 00 00 00 48 54 54 50 5F 52 45 46 45 52 45 52 00 00 00 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 55 53 45 52 5F 41 47 45 4E 54 00 FF FF FF FF 15 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 45 4E 43 4F 44 49 4E 47 00 00 00 FF FF FF FF 0C 00 00 00 43 4F 4E 54 45 4E 54 5F 54 59 50 45 00 00 00 00 FF FF FF FF 0E 00 00 00 43 4F 4E 54 45 4E 54 5F 4C 45 4E 47 54 48 00 00 FF FF FF FF 14 00 00 00 48 54 54 50 5F 43 4F 4E 54 45 4E 54 5F 56 45 52 53 49 4F 4E 00 00 00 00 FF FF FF FF 11 00 00 00 48 54 54 50 5F 44 45 52 49 56 45 44 5F 46 52 4F 4D 00 00 00 FF FF FF FF 0C 00 00 00 48 54 54 50 5F 45 58 50 49 52 45 53 00 00 00 00 FF FF FF FF 0A 00 00 00 48 54 54 50 5F 54 49 54 4C 45 00 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 41 44 44 52 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 48 4F 53 54 00 FF FF FF FF 0B 00 00 00 53 43 52 49 50 54 5F 4E 41 4D 45 00 FF FF FF FF 0B 00 00 00 53 45 52 56 45 52 5F 50 4F 52 54 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 43 4F 4E 4E 45 43 54 49 4F 4E 00 FF FF FF FF 0B 00 00 00 48 54 54 50 5F 43 4F 4F 4B 49 45 00 FF FF FF FF 12 00 00 00 48 54 54 50 5F 41 55 54 48 4F 52 49 5A 41 54 49 4F 4E 00 00 }
	condition:
		$1
}

rule function_11421_0 {
	meta:
		name = "TISAPIRequest.Create"
		size = 56
		refs = "000a @ClassCreate 001a TWebRequest.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 14 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11422_0 {
	meta:
		name = "TISAPIRequest.GetFieldByName"
		size = 101
		refs = "0024 @LStrToPChar 004d @LStrFromPCharLen 0056 @LStrClr"
	strings:
		$1 = { 53 56 57 55 81 C4 04 F0 FF FF 50 83 C4 FC 8B F9 8B EA 8B D8 C7 04 24 00 10 00 00 54 8D 44 24 08 50 8B C5 E8 ?? ?? ?? ?? 50 8B 73 14 8B 46 08 50 FF 96 80 00 00 00 85 C0 74 19 83 3C 24 00 76 03 FF 0C 24 8D 54 24 04 8B C7 8B 0C 24 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 81 C4 04 10 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11423_0 {
	meta:
		name = "TISAPIRequest.GetStringVariable"
		size = 204
		refs = "0016 TISAPIRequest.GetStringVariable 0063 @LStrFromPChar 009b ServerVariables 00bb @LStrFromPCharLen 00c4 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 83 F8 1C 0F 87 AD 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 05 05 02 03 04 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 06 05 05 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 8B 53 14 8B 52 60 E8 ?? ?? ?? ?? EB 5F 8B C7 8B 53 14 8B 52 64 E8 ?? ?? ?? ?? EB 50 8B C7 8B 53 14 8B 52 68 E8 ?? ?? ?? ?? EB 41 8B C7 8B 53 14 8B 52 6C E8 ?? ?? ?? ?? EB 32 8B CF 8B 14 B5 ?? ?? ?? ?? 8B C3 8B 18 FF 53 20 EB 20 8B 43 14 8B 50 74 85 D2 76 16 8B CA 8B D7 8B 40 78 92 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11425_0 {
	meta:
		name = "TISAPIRequest.GetIntegerVariable"
		size = 93
		refs = "000f TISAPIRequest.GetIntegerVariable 002e StrToInt 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 8B 18 FF 13 83 7D FC 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11426_0 {
	meta:
		name = "TISAPIRequest.ReadClient"
		size = 45
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 89 0C 24 54 57 8B 73 14 8B 46 08 50 FF 96 88 00 00 00 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11427_0 {
	meta:
		name = "TISAPIRequest.ReadString"
		size = 54
		refs = "000e @LStrSetLength 002e @LStrClr"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 13 8B CF 8B C6 8B 30 FF 56 0C 85 C0 7E 0A 8B D3 92 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11428_0 {
	meta:
		name = "TISAPIRequest.TranslateURI"
		size = 109
		refs = "0012 @LStrToPChar 001d StrCopy 0056 @LStrFromArray 005f @LStrClr"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 44 24 04 E8 ?? ?? ?? ?? C7 04 24 00 04 00 00 6A 00 8D 44 24 04 50 8D 44 24 0C 50 68 E9 03 00 00 8B 73 14 8B 46 08 50 FF 96 8C 00 00 00 85 C0 74 12 8B C7 8D 54 24 04 B9 00 04 00 00 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11429_0 {
	meta:
		name = "TISAPIRequest.WriteClient"
		size = 51
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 89 0C 24 6A 00 8D 44 24 04 50 57 8B 73 14 8B 46 08 50 FF 96 84 00 00 00 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11430_0 {
	meta:
		name = "TISAPIRequest.WriteString"
		size = 41
		refs = "0009 @LStrLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 8B 30 FF 56 18 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_11433_0 {
	meta:
		name = "TISAPIResponse.GetDateVariable"
		size = 44
	strings:
		$1 = { 83 C4 F8 85 D2 7C 16 83 FA 02 7F 11 8B 4C D0 4C 89 0C 24 8B 4C D0 50 89 4C 24 04 EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_11434_0 {
	meta:
		name = "TISAPIResponse.GetIntegerVariable"
		size = 17
	strings:
		$1 = { 85 D2 7C 09 85 D2 7F 05 8B 44 90 48 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_11435_0 {
	meta:
		name = "TISAPIResponse.GetLogMessage"
		size = 30
		refs = "0017 @LStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 52 14 83 C2 10 B9 50 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11437_0 {
	meta:
		name = "TISAPIResponse.GetStringVariable"
		size = 33
		refs = "0019 @LStrLAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0B 7F 0B 8B C7 8B 54 9E 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11441_0 {
	meta:
		name = "TISAPIResponse.SetIntegerVariable"
		size = 19
	strings:
		$1 = { 85 D2 7C 0E 85 D2 7F 0A 3B 4C 90 48 74 04 89 4C 90 48 C3 }
	condition:
		$1
}

rule function_11442_0 {
	meta:
		name = "TISAPIResponse.SetLogMessage"
		size = 20
		refs = "000f StrPLCopy"
	strings:
		$1 = { 8B 40 10 8B 40 14 83 C0 10 B9 50 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11446_0 {
	meta:
		name = "TISAPIResponse.SendResponse"
		size = 1424
		refs = "0018 TISAPIResponse.SendResponse 00a2 Format 00b1 @LStrLAsg 00cd AddHeaderItem 00d6 TCollection.GetCount 00eb TCookieCollection.GetCookie 00f3 TCookie.GetHeaderValue 015c DayOfWeekStr 0181 MonthStr 01af FormatDateTime 01c8 @LStrCat 02b2 TWebResponse.AddCustomHeaders 0331 IntToStr 035d @LStrToPChar 03bf @LStrArrayClr 03d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA 01 00 00 00 8B 43 10 8B 30 FF 16 83 7D F4 00 0F 84 36 03 00 00 8B C3 8B 10 FF 52 24 8B 53 10 8B 52 14 89 42 0C 8D 4D F4 BA 01 00 00 00 8B C3 8B 30 FF 16 83 7D F4 00 74 49 8B C3 8B 10 FF 52 24 85 C0 7E 3E 8D 45 F8 50 8B C3 8B 10 FF 52 24 89 45 E4 C6 45 E8 00 8D 4D F4 BA 01 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 4D F4 BA 05 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 43 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 FF 55 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4E 75 DB 55 8D 4D F4 BA 0A 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 01 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 86 8B 00 00 00 8D 45 F4 50 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 0B BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC C6 45 F0 0B 8D 45 E4 50 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 86 8B 00 00 00 8D 45 F4 50 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 0B BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC C6 45 F0 0B 8D 45 E4 50 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 55 8D 4D F4 BA 0B 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 03 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 55 8D 4D F4 BA 09 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 07 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D F4 BA 08 00 00 00 8B C3 8B 30 FF 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 F4 8B C3 8B 08 FF 51 18 83 7D F4 00 75 06 83 7B 04 00 74 20 55 33 D2 8B C3 8B 08 FF 51 10 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 10 8B 45 FC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 03 8B 7E 14 8B 47 08 50 FF 97 8C 00 00 00 8B 43 04 85 C0 75 17 8D 55 F4 8B C3 8B 08 FF 51 18 8B 55 F4 8B 43 10 8B 08 FF 51 1C EB 16 85 C0 74 12 8B D0 8B C3 8B 08 FF 51 3C 33 D2 8B C3 8B 08 FF 51 20 C6 43 68 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 25 64 20 25 73 00 00 00 FF FF FF FF 06 00 00 00 32 30 30 20 4F 4B 00 00 FF FF FF FF 0B 00 00 00 41 6C 6C 6F 77 3A 20 25 73 0D 0A 00 FF FF FF FF 10 00 00 00 53 65 74 2D 43 6F 6F 6B 69 65 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 12 00 00 00 44 65 72 69 76 65 64 2D 46 72 6F 6D 3A 20 25 73 0D 0A 00 00 00 00 00 00 FF FF FF FF 2E 00 00 00 22 45 78 70 69 72 65 73 3A 20 22 22 25 73 22 2C 20 64 64 20 22 25 73 22 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 22 0D 0A 00 00 FF FF FF FF 34 00 00 00 22 4C 61 73 74 2D 4D 6F 64 69 66 69 65 64 3A 20 22 22 25 73 22 2C 20 64 64 20 22 25 73 22 20 79 79 79 79 20 68 68 3A 6D 6D 3A 73 73 20 22 47 4D 54 22 0D 0A 00 00 00 00 FF FF FF FF 0B 00 00 00 54 69 74 6C 65 3A 20 25 73 0D 0A 00 FF FF FF FF 16 00 00 00 57 57 57 2D 41 75 74 68 65 6E 74 69 63 61 74 65 3A 20 25 73 0D 0A 00 00 FF FF FF FF 15 00 00 00 43 6F 6E 74 65 6E 74 2D 56 65 72 73 69 6F 6E 3A 20 25 73 0D 0A 00 00 00 FF FF FF FF 16 00 00 00 43 6F 6E 74 65 6E 74 2D 45 6E 63 6F 64 69 6E 67 3A 20 25 73 0D 0A 00 00 FF FF FF FF 12 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 25 73 0D 0A 00 00 FF FF FF FF 14 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 25 73 0D 0A 00 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 3A 0D 0A 0D 0A 00 00 00 00 }
	condition:
		$1
}

rule function_11447_0 {
	meta:
		name = "TISAPIResponse.SendRedirect"
		size = 47
		refs = "0012 @LStrToPChar"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 73 10 6A 00 6A 00 8B C5 E8 ?? ?? ?? ?? 50 6A 01 8B 7E 14 8B 47 08 50 FF 97 8C 00 00 00 C6 43 68 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11449_0 {
	meta:
		name = "HandleServerException"
		size = 388
		refs = "0021 HandleServerException 003f TObject.ClassName 0065 sInternalServerError 006a LoadResString 007b Format 0087 @LStrLen 00c1 @LStrCat3 00cc @LStrToPChar 0110 @LStrClr 011d @LStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FE FF FF 53 56 33 C9 89 8D E0 FE FF FF 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 43 0C F4 01 00 00 8D 45 FC 50 8D 95 E4 FE FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 89 45 E4 C6 45 E8 04 8B 46 04 89 45 EC C6 45 F0 0B 8D 45 E4 50 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 89 85 D8 FE FF FF C6 85 DC FE FF FF 00 8D 95 D8 FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 50 8D 85 E0 FE FF FF 8B 4E 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF E8 ?? ?? ?? ?? 50 6A 03 8B 43 08 50 FF 93 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 6A 00 8D 45 F4 50 8B 45 FC 50 8B 43 08 50 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 FF FF FF FF 39 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 74 65 78 74 2F 68 74 6D 6C 0D 0A 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 25 64 0D 0A 43 6F 6E 74 65 6E 74 3A 0D 0A 0D 0A 00 00 00 FF FF FF FF 04 00 00 00 35 30 30 20 00 00 00 00 }
	condition:
		$1
}

rule function_11450_0 {
	meta:
		name = "TISAPIApplication.GetExtensionVersion"
		size = 92
		refs = "000e TISAPIApplication.GetExtensionVersion 001f MakeLong 0029 @LStrToPChar 0038 StrLCopy 004a @HandleAnyException 0051 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA 02 00 33 C0 E8 ?? ?? ?? ?? 89 06 8B 43 38 E8 ?? ?? ?? ?? 8B D0 8D 46 04 B9 00 01 00 00 E8 ?? ?? ?? ?? 83 CB FF 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_11451_0 {
	meta:
		name = "TISAPIApplication.HttpExtensionProc"
		size = 223
		refs = "0012 TISAPIApplication.HttpExtensionProc 0022 TISAPIApplication.NewRequest 003d TISAPIApplication.NewResponse 005b TWebApplication.HandleRequest 0084 TObject.Free 008a @HandleFinally 00b8 @HandleAnyException 00bd ExceptObject 00c5 HandleServerException 00d1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 04 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? C7 45 F8 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11452_0 {
	meta:
		name = "TISAPIApplication.NewRequest"
		size = 15
		refs = "0003 _DV_TISAPIRequest 000a TISAPIRequest.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11453_0 {
	meta:
		name = "TISAPIApplication.NewResponse"
		size = 15
		refs = "0003 _DV_TISAPIResponse 000a TISAPIResponse.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11455_0 {
	meta:
		name = "GetExtensionVersion"
		size = 33
		refs = "0004 Application 000c _DV_TISAPIApplication 0011 @AsClass 0019 TISAPIApplication.GetExtensionVersion"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_11456_0 {
	meta:
		name = "HttpExtensionProc"
		size = 33
		refs = "0004 Application 000c _DV_TISAPIApplication 0011 @AsClass 0019 TISAPIApplication.HttpExtensionProc"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_11457_0 {
	meta:
		name = "TerminateExtension"
		size = 33
		refs = "0004 Application 000c _DV_TISAPIApplication 0011 @AsClass 0019 TISAPIApplication.TerminateExtension"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_11460_0 {
	meta:
		name = "Finalization"
		size = 74
		refs = "0007 Finalization 0013 _DV_5 001a DoneApplication 001f ServerVariables 002a String 002f @FinalizeArray 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1A E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11462_0 {
	meta:
		name = "CoDocHeaderCls.Create"
		size = 100
		refs = "000c CoDocHeaderCls.Create 001a Class_DocHeaderCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 90 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11463_0 {
	meta:
		name = "CoDocHeaderCls.CreateRemote"
		size = 128
		refs = "0011 CoDocHeaderCls.CreateRemote 0021 @WStrFromLStr 002c Class_DocHeaderCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 90 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11464_0 {
	meta:
		name = "CoDocHeadersCls.Create"
		size = 100
		refs = "000c CoDocHeadersCls.Create 001a Class_DocHeadersCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 92 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11465_0 {
	meta:
		name = "CoDocHeadersCls.CreateRemote"
		size = 128
		refs = "0011 CoDocHeadersCls.CreateRemote 0021 @WStrFromLStr 002c Class_DocHeadersCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 92 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11466_0 {
	meta:
		name = "CoDocInputCls.Create"
		size = 100
		refs = "000c CoDocInputCls.Create 001a Class_DocInputCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11467_0 {
	meta:
		name = "CoDocInputCls.CreateRemote"
		size = 128
		refs = "0011 CoDocInputCls.CreateRemote 0021 @WStrFromLStr 002c Class_DocInputCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11468_0 {
	meta:
		name = "CoDocOutputCls.Create"
		size = 100
		refs = "000c CoDocOutputCls.Create 001a Class_DocOutputCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 97 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11469_0 {
	meta:
		name = "CoDocOutputCls.CreateRemote"
		size = 128
		refs = "0011 CoDocOutputCls.CreateRemote 0021 @WStrFromLStr 002c Class_DocOutputCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 97 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11470_0 {
	meta:
		name = "CoicErrorCls.Create"
		size = 100
		refs = "000c CoicErrorCls.Create 001a Class_icErrorCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 A0 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11471_0 {
	meta:
		name = "CoicErrorCls.CreateRemote"
		size = 128
		refs = "0011 CoicErrorCls.CreateRemote 0021 @WStrFromLStr 002c Class_icErrorCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 A0 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11472_0 {
	meta:
		name = "CoicErrorsCls.Create"
		size = 100
		refs = "000c CoicErrorsCls.Create 001a Class_icErrorsCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 A2 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11473_0 {
	meta:
		name = "CoicErrorsCls.CreateRemote"
		size = 128
		refs = "0011 CoicErrorsCls.CreateRemote 0021 @WStrFromLStr 002c Class_icErrorsCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 A2 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11474_0 {
	meta:
		name = "CoFTPDirItemCls.Create"
		size = 100
		refs = "000c CoFTPDirItemCls.Create 001a Class_FTPDirItemCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 43 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11475_0 {
	meta:
		name = "CoFTPDirItemCls.CreateRemote"
		size = 128
		refs = "0011 CoFTPDirItemCls.CreateRemote 0021 @WStrFromLStr 002c Class_FTPDirItemCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 43 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11476_0 {
	meta:
		name = "CoFirewall.Create"
		size = 100
		refs = "000c CoFirewall.Create 001a Class_Firewall 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 A0 DD 61 70 57 E1 CF 11 A3 06 00 A0 24 3B 6C 29 }
	condition:
		$1
}

rule function_11477_0 {
	meta:
		name = "CoFirewall.CreateRemote"
		size = 128
		refs = "0011 CoFirewall.CreateRemote 0021 @WStrFromLStr 002c Class_Firewall 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 A0 DD 61 70 57 E1 CF 11 A3 06 00 A0 24 3B 6C 29 }
	condition:
		$1
}

rule function_11478_0 {
	meta:
		name = "TFTP.InitControlData"
		size = 12
		refs = "0001 CControlData"
		altNames = "THTML.InitControlData THTTP.InitControlData TNNTP.InitControlData TPOP.InitControlData TSMTP.InitControlData TTCP.InitControlData TUDP.InitControlData"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 EC 01 00 00 C3 }
	condition:
		$1
}

rule function_11479_0 {
	meta:
		name = "TFTP.InitControlInterface"
		size = 44
		refs = "000f TFTP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 30 03 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 4A 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11480_0 {
	meta:
		name = "TFTP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11481_0 {
	meta:
		name = "TFTP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11482_0 {
	meta:
		name = "TFTP.Connect"
		size = 156
		refs = "0027 @VarAddRef 0037 TFTP.Connect 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 30 03 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11483_0 {
	meta:
		name = "TFTP.Authenticate"
		size = 156
		refs = "0027 @VarAddRef 0037 TFTP.Authenticate 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 30 03 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11484_0 {
	meta:
		name = "TFTP.SendDoc"
		size = 263
		refs = "0054 @VarAddRef 007c TFTP.SendDoc 00d2 @CheckAutoResult 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 08 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 30 03 00 00 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11485_0 {
	meta:
		name = "TFTP.GetDoc"
		size = 193
		refs = "0036 @VarAddRef 004e TFTP.GetDoc 008c @CheckAutoResult 00a2 OleVariant 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 30 03 00 00 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11486_0 {
	meta:
		name = "TFTP.Abort"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11487_0 {
	meta:
		name = "TFTP.Account"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11488_0 {
	meta:
		name = "TFTP.ChangeDir"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11489_0 {
	meta:
		name = "TFTP.CreateDir"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11490_0 {
	meta:
		name = "TFTP.DeleteDir"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11491_0 {
	meta:
		name = "TFTP.DeleteFile"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11492_0 {
	meta:
		name = "TFTP.Quit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11493_0 {
	meta:
		name = "TFTP.Help"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 30 03 00 00 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11494_0 {
	meta:
		name = "TFTP.Noop"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11495_0 {
	meta:
		name = "TFTP.Mode"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 30 03 00 00 50 8B 00 FF 90 0C 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11496_0 {
	meta:
		name = "TFTP.Type_"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 30 03 00 00 50 8B 00 FF 90 10 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11497_0 {
	meta:
		name = "TFTP.List"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 30 03 00 00 50 8B 00 FF 90 14 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11498_0 {
	meta:
		name = "TFTP.NameList"
		size = 26
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 52 8B 86 30 03 00 00 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11499_0 {
	meta:
		name = "TFTP.ParentDir"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 90 1C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11500_0 {
	meta:
		name = "TFTP.PrintDir"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11501_0 {
	meta:
		name = "TFTP.Execute"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 24 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11502_0 {
	meta:
		name = "TFTP.Status"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 28 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11503_0 {
	meta:
		name = "TFTP.PutFile"
		size = 27
		refs = "0015 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 30 03 00 00 50 8B 00 FF 90 2C 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11504_0 {
	meta:
		name = "TFTP.Reinitialize"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 90 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11505_0 {
	meta:
		name = "TFTP.System"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 30 03 00 00 50 8B 00 FF 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11506_0 {
	meta:
		name = "TFTP.GetFile"
		size = 27
		refs = "0015 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 30 03 00 00 50 8B 00 FF 90 38 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11507_0 {
	meta:
		name = "TFTP.PutFileUnique"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11508_0 {
	meta:
		name = "TFTP.Site"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 30 03 00 00 50 8B 00 FF 90 40 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11509_0 {
	meta:
		name = "TFTP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 30 03 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_11510_0 {
	meta:
		name = "TFTP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 30 03 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11511_0 {
	meta:
		name = "TFTP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 30 03 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11512_0 {
	meta:
		name = "TFTP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 30 03 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11513_0 {
	meta:
		name = "TFTP.Get_DocInput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 30 03 00 00 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11514_0 {
	meta:
		name = "TFTP.Get_DocOutput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 30 03 00 00 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11515_0 {
	meta:
		name = "TFTP.Get_Firewall"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 30 03 00 00 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11516_0 {
	meta:
		name = "CoProxy.Create"
		size = 100
		refs = "000c CoProxy.Create 001a Class_Proxy 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 60 A0 B8 6F 52 F4 CF 11 A3 06 00 A0 24 3B 6C 29 }
	condition:
		$1
}

rule function_11517_0 {
	meta:
		name = "CoProxy.CreateRemote"
		size = 128
		refs = "0011 CoProxy.CreateRemote 0021 @WStrFromLStr 002c Class_Proxy 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 60 A0 B8 6F 52 F4 CF 11 A3 06 00 A0 24 3B 6C 29 }
	condition:
		$1
}

rule function_11519_0 {
	meta:
		name = "THTTP.InitControlInterface"
		size = 44
		refs = "000f THTTP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 98 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 61 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11520_0 {
	meta:
		name = "THTTP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 98 02 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11521_0 {
	meta:
		name = "THTTP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 98 02 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11522_0 {
	meta:
		name = "THTTP.SendDoc"
		size = 263
		refs = "0054 @VarAddRef 007c THTTP.SendDoc 00d2 @CheckAutoResult 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 08 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 98 02 00 00 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11523_0 {
	meta:
		name = "THTTP.GetDoc"
		size = 193
		refs = "0036 @VarAddRef 004e THTTP.GetDoc 008c @CheckAutoResult 00a2 OleVariant 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 98 02 00 00 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11524_0 {
	meta:
		name = "THTTP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 98 02 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_11525_0 {
	meta:
		name = "THTTP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 98 02 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11526_0 {
	meta:
		name = "THTTP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 98 02 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11527_0 {
	meta:
		name = "THTTP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 98 02 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11528_0 {
	meta:
		name = "THTTP.Get_DocInput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 98 02 00 00 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11529_0 {
	meta:
		name = "THTTP.Get_DocOutput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 98 02 00 00 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11530_0 {
	meta:
		name = "THTTP.Get_Proxy"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 98 02 00 00 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11531_0 {
	meta:
		name = "CoHTMLElementCls.Create"
		size = 100
		refs = "000c CoHTMLElementCls.Create 001a Class_HTMLElementCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 4E 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11532_0 {
	meta:
		name = "CoHTMLElementCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLElementCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLElementCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 4E 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11533_0 {
	meta:
		name = "CoHTMLFormCls.Create"
		size = 100
		refs = "000c CoHTMLFormCls.Create 001a Class_HTMLFormCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 51 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11534_0 {
	meta:
		name = "CoHTMLFormCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLFormCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLFormCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 51 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11535_0 {
	meta:
		name = "CoHTMLFormsCls.Create"
		size = 100
		refs = "000c CoHTMLFormsCls.Create 001a Class_HTMLFormsCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 55 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11536_0 {
	meta:
		name = "CoHTMLFormsCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLFormsCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLFormsCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 55 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11537_0 {
	meta:
		name = "CoHTMLAttrCls.Create"
		size = 100
		refs = "000c CoHTMLAttrCls.Create 001a Class_HTMLAttrCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 58 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11538_0 {
	meta:
		name = "CoHTMLAttrCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLAttrCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLAttrCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 58 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11539_0 {
	meta:
		name = "CoHTMLAttrsCls.Create"
		size = 100
		refs = "000c CoHTMLAttrsCls.Create 001a Class_HTMLAttrsCls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 5A 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11540_0 {
	meta:
		name = "CoHTMLAttrsCls.CreateRemote"
		size = 128
		refs = "0011 CoHTMLAttrsCls.CreateRemote 0021 @WStrFromLStr 002c Class_HTMLAttrsCls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 5A 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11542_0 {
	meta:
		name = "THTML.InitControlInterface"
		size = 44
		refs = "000f THTML.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 B8 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 5C 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11543_0 {
	meta:
		name = "THTML.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
		altNames = "TSMTP.AboutBox"
	strings:
		$1 = { 8B 80 B8 02 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11544_0 {
	meta:
		name = "THTML.RequestDoc"
		size = 30
		refs = "0017 @CheckAutoResult"
	strings:
		$1 = { 56 57 8B FA 8B F0 57 8B 86 B8 02 00 00 50 8B 00 FF 90 24 01 00 00 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_11545_0 {
	meta:
		name = "THTML.RequestAllEmbedded"
		size = 25
		refs = "0013 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 8B 86 B8 02 00 00 50 8B 00 FF 90 28 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11546_0 {
	meta:
		name = "THTML.Cancel"
		size = 111
		refs = "001a @VarAddRef 0022 THTML.Cancel 0048 @CheckAutoResult 005d @VarClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 86 B8 02 00 00 50 8B 00 FF 90 2C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_11547_0 {
	meta:
		name = "THTML.BeginPrinting"
		size = 304
		refs = "0068 @VarAddRef 0098 THTML.BeginPrinting 00fb @CheckAutoResult 0111 OleVariant 011b @FinalizeArray 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 8B 75 08 8D 7D A0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 14 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B 75 18 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 AC FF 75 A8 FF 75 A4 FF 75 A0 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 B8 02 00 00 50 8B 00 FF 90 30 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_11548_0 {
	meta:
		name = "THTML.PrintPage"
		size = 23
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 51 52 8B 80 B8 02 00 00 50 8B 00 FF 90 34 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11549_0 {
	meta:
		name = "THTML.EndPrinting"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 02 00 00 50 8B 00 FF 90 38 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11550_0 {
	meta:
		name = "THTML.AutoPrint"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 B8 02 00 00 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11551_0 {
	meta:
		name = "THTML.GetPlainText"
		size = 50
		refs = "0010 @WStrClr 0027 @CheckAutoResult"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8B 83 B8 02 00 00 50 8B 00 FF 90 48 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11552_0 {
	meta:
		name = "THTML.HasSelection"
		size = 28
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 80 B8 02 00 00 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 66 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_11553_0 {
	meta:
		name = "THTML.SelectAll"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 02 00 00 50 8B 00 FF 90 50 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11554_0 {
	meta:
		name = "THTML.Get_DocInput"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 B8 02 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11555_0 {
	meta:
		name = "THTML.Get_DocOutput"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 B8 02 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11556_0 {
	meta:
		name = "THTML.Get_Forms"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 B8 02 00 00 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11557_0 {
	meta:
		name = "THTML.Get_IsPrintingDone"
		size = 29
		refs = "0013 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 B8 02 00 00 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 66 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_11558_0 {
	meta:
		name = "THTML.Get_Errors"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 B8 02 00 00 50 8B 00 FF 90 40 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11559_0 {
	meta:
		name = "THTML.Get_hWnd"
		size = 27
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 80 B8 02 00 00 50 8B 00 FF 90 44 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_11561_0 {
	meta:
		name = "TPOP.InitControlInterface"
		size = 44
		refs = "000f TPOP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 C0 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 6C 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11562_0 {
	meta:
		name = "TPOP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 C0 02 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11563_0 {
	meta:
		name = "TPOP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 C0 02 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11564_0 {
	meta:
		name = "TPOP.Connect"
		size = 156
		refs = "0027 @VarAddRef 0037 TPOP.Connect 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 C0 02 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11565_0 {
	meta:
		name = "TPOP.Authenticate"
		size = 156
		refs = "0027 @VarAddRef 0037 TPOP.Authenticate 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 C0 02 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11566_0 {
	meta:
		name = "TPOP.GetDoc"
		size = 193
		refs = "0036 @VarAddRef 004e TPOP.GetDoc 008c @CheckAutoResult 00a2 OleVariant 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 C0 02 00 00 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11567_0 {
	meta:
		name = "TPOP.MessageSize"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 C0 02 00 00 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11568_0 {
	meta:
		name = "TPOP.RetrieveMessage"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 C0 02 00 00 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11569_0 {
	meta:
		name = "TPOP.Delete"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 C0 02 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11570_0 {
	meta:
		name = "TPOP.Reset"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 C0 02 00 00 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11571_0 {
	meta:
		name = "TPOP.Last"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 C0 02 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11572_0 {
	meta:
		name = "TPOP.Noop"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 C0 02 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11573_0 {
	meta:
		name = "TPOP.TopMessage"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 C0 02 00 00 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11574_0 {
	meta:
		name = "TPOP.Quit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 C0 02 00 00 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11575_0 {
	meta:
		name = "TPOP.RefreshMessageCount"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 C0 02 00 00 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11576_0 {
	meta:
		name = "TPOP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 C0 02 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_11577_0 {
	meta:
		name = "TPOP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 C0 02 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11578_0 {
	meta:
		name = "TPOP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 C0 02 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11579_0 {
	meta:
		name = "TPOP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 C0 02 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11580_0 {
	meta:
		name = "TPOP.Get_DocOutput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 C0 02 00 00 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11582_0 {
	meta:
		name = "TNNTP.InitControlInterface"
		size = 44
		refs = "000f TNNTP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 D0 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 66 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11583_0 {
	meta:
		name = "TNNTP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 D0 02 00 00 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11584_0 {
	meta:
		name = "TNNTP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 D0 02 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11585_0 {
	meta:
		name = "TNNTP.Connect"
		size = 156
		refs = "0027 @VarAddRef 0037 TNNTP.Connect 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11586_0 {
	meta:
		name = "TNNTP.SendDoc"
		size = 263
		refs = "0054 @VarAddRef 007c TNNTP.SendDoc 00d2 @CheckAutoResult 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 08 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11587_0 {
	meta:
		name = "TNNTP.GetDoc"
		size = 193
		refs = "0036 @VarAddRef 004e TNNTP.GetDoc 008c @CheckAutoResult 00a2 OleVariant 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11588_0 {
	meta:
		name = "TNNTP.GetAdministrationFile"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetAdministrationFile 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11589_0 {
	meta:
		name = "TNNTP.SelectGroup"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 D0 02 00 00 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11590_0 {
	meta:
		name = "TNNTP.SetNextArticle"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 D0 02 00 00 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11591_0 {
	meta:
		name = "TNNTP.SetLastArticle"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 D0 02 00 00 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11592_0 {
	meta:
		name = "TNNTP.GetArticleNumbers"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetArticleNumbers 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11593_0 {
	meta:
		name = "TNNTP.GetArticleHeaders"
		size = 164
		refs = "002c @VarAddRef 003c TNNTP.GetArticleHeaders 006f @CheckAutoResult 0085 OleVariant 008f @FinalizeArray 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 D0 02 00 00 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11594_0 {
	meta:
		name = "TNNTP.GetArticleByArticleNumber"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetArticleByArticleNumber 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11595_0 {
	meta:
		name = "TNNTP.GetArticleByMessageID"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 D0 02 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11596_0 {
	meta:
		name = "TNNTP.GetHeaderByArticleNumber"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetHeaderByArticleNumber 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11597_0 {
	meta:
		name = "TNNTP.GetHeaderByMessageID"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 D0 02 00 00 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11598_0 {
	meta:
		name = "TNNTP.GetBodyByArticleNumber"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetBodyByArticleNumber 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11599_0 {
	meta:
		name = "TNNTP.GetBodyByMessageID"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 D0 02 00 00 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11600_0 {
	meta:
		name = "TNNTP.GetStatByArticleNumber"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.GetStatByArticleNumber 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11601_0 {
	meta:
		name = "TNNTP.GetOverviewFormat"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 D0 02 00 00 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11602_0 {
	meta:
		name = "TNNTP.GetOverview"
		size = 156
		refs = "0027 @VarAddRef 0037 TNNTP.GetOverview 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11603_0 {
	meta:
		name = "TNNTP.ListGroups"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 D0 02 00 00 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11604_0 {
	meta:
		name = "TNNTP.ListGroupDescriptions"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 D0 02 00 00 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11605_0 {
	meta:
		name = "TNNTP.ListNewGroups"
		size = 113
		refs = "001b @VarAddRef 0023 TNNTP.ListNewGroups 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 D0 02 00 00 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11606_0 {
	meta:
		name = "TNNTP.Quit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 D0 02 00 00 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11607_0 {
	meta:
		name = "TNNTP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 D0 02 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_11608_0 {
	meta:
		name = "TNNTP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 D0 02 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11609_0 {
	meta:
		name = "TNNTP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 D0 02 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11610_0 {
	meta:
		name = "TNNTP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 D0 02 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11611_0 {
	meta:
		name = "TNNTP.Get_DocInput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 D0 02 00 00 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11612_0 {
	meta:
		name = "TNNTP.Get_DocOutput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 D0 02 00 00 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11614_0 {
	meta:
		name = "TSMTP.InitControlInterface"
		size = 44
		refs = "000f TSMTP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 B8 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 71 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11616_0 {
	meta:
		name = "TSMTP.Cancel"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 02 00 00 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11617_0 {
	meta:
		name = "TSMTP.Connect"
		size = 156
		refs = "0027 @VarAddRef 0037 TSMTP.Connect 0069 @CheckAutoResult 007f OleVariant 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 B8 02 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11618_0 {
	meta:
		name = "TSMTP.SendDoc"
		size = 263
		refs = "0054 @VarAddRef 007c TSMTP.SendDoc 00d2 @CheckAutoResult 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 08 8D 7D B0 51 B9 04 00 00 00 F3 A5 59 8B 75 0C 8D 7D C0 51 B9 04 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 B8 02 00 00 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11619_0 {
	meta:
		name = "TSMTP.Reset"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 02 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11620_0 {
	meta:
		name = "TSMTP.Verify"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 B8 02 00 00 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11621_0 {
	meta:
		name = "TSMTP.Expand"
		size = 22
		refs = "0011 @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 B8 02 00 00 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11622_0 {
	meta:
		name = "TSMTP.Help"
		size = 113
		refs = "001b @VarAddRef 0023 TSMTP.Help 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 B8 02 00 00 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11623_0 {
	meta:
		name = "TSMTP.Noop"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 02 00 00 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11624_0 {
	meta:
		name = "TSMTP.Quit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 8B 80 B8 02 00 00 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11625_0 {
	meta:
		name = "TSMTP.Get_Timeout"
		size = 25
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 51 54 52 8B 80 B8 02 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_11626_0 {
	meta:
		name = "TSMTP.Set_Timeout"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 B8 02 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11627_0 {
	meta:
		name = "TSMTP.Set_EnableTimer"
		size = 24
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 51 52 8B 86 B8 02 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_11628_0 {
	meta:
		name = "TSMTP.Get_Errors"
		size = 34
		refs = "0009 @IntfClear 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 B8 02 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11629_0 {
	meta:
		name = "TSMTP.Get_DocInput"
		size = 37
		refs = "0009 @IntfClear 001e @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 B8 02 00 00 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11631_0 {
	meta:
		name = "TTCP.InitControlInterface"
		size = 44
		refs = "000f TTCP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 88 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 82 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11632_0 {
	meta:
		name = "TTCP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 88 02 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11633_0 {
	meta:
		name = "TTCP.Connect"
		size = 153
		refs = "0027 @VarAddRef 0037 TTCP.Connect 0066 @CheckAutoResult 007c OleVariant 0086 @FinalizeArray 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 88 02 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11634_0 {
	meta:
		name = "TTCP.Listen"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 88 02 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11635_0 {
	meta:
		name = "TTCP.Accept"
		size = 19
		refs = "000e @CheckAutoResult"
	strings:
		$1 = { 52 8B 80 88 02 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11636_0 {
	meta:
		name = "TTCP.SendData"
		size = 110
		refs = "001b @VarAddRef 0023 TTCP.SendData 0046 @CheckAutoResult 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 88 02 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11637_0 {
	meta:
		name = "TTCP.GetData"
		size = 161
		refs = "002c @VarAddRef 003c TTCP.GetData 006c @CheckAutoResult 0082 OleVariant 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 88 02 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11638_0 {
	meta:
		name = "TTCP.PeekData"
		size = 161
		refs = "002c @VarAddRef 003c TTCP.PeekData 006c @CheckAutoResult 0082 OleVariant 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 88 02 00 00 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11639_0 {
	meta:
		name = "TTCP.Close"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 88 02 00 00 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11641_0 {
	meta:
		name = "TUDP.InitControlInterface"
		size = 44
		refs = "000f TUDP.InitControlInterface 0014 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 60 02 00 00 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 85 35 FC B7 E7 8C CF 11 97 54 00 AA 00 C0 09 08 }
	condition:
		$1
}

rule function_11642_0 {
	meta:
		name = "TUDP.AboutBox"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 80 60 02 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11643_0 {
	meta:
		name = "TUDP.SendData"
		size = 110
		refs = "001b @VarAddRef 0023 TUDP.SendData 0046 @CheckAutoResult 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 60 02 00 00 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11644_0 {
	meta:
		name = "TUDP.GetData"
		size = 113
		refs = "001d @VarAddRef 0025 TUDP.GetData 0049 @CheckAutoResult 005e @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8B 83 60 02 00 00 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11645_0 {
	meta:
		name = "Register"
		size = 108
		refs = "0004 _DV_TFTP 000c _DV_THTTP 0015 _DV_TNNTP 001e _DV_TPOP 0027 _DV_TSMTP 0030 _DV_TTCP 0039 _DV_TUDP 0049 Register 004e RegisterComponents"
	strings:
		$1 = { 83 C4 E4 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 A1 ?? ?? ?? ?? 89 44 24 0C A1 ?? ?? ?? ?? 89 44 24 10 A1 ?? ?? ?? ?? 89 44 24 14 A1 ?? ?? ?? ?? 89 44 24 18 8B D4 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 1C C3 00 00 FF FF FF FF 08 00 00 00 49 6E 74 65 72 6E 65 74 00 00 00 00 }
	condition:
		$1
}

rule function_11648_0 {
	meta:
		name = "_NF__50"
		size = 112
		refs = "0023 TInterfacedObject.QueryInterface 002d TInterfacedObject._AddRef 0037 TInterfacedObject._Release 003c _NF__50"
	strings:
		$1 = { CC 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 2C 83 44 24 04 E4 8B 44 24 04 8B 00 FF 60 30 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? 83 44 24 04 E4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 21 26 45 12 8A 5F D1 11 9F B6 00 20 AF 3D 82 DA ?? ?? ?? ?? 1C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11649_0 {
	meta:
		name = "_NF__55"
		size = 106
		refs = "0007 TIFileStream.GetModifyTime 0011 TIFileStream.SetModifyTime 001b TInterfacedObject.QueryInterface 0025 TInterfacedObject._AddRef 002f TInterfacedObject._Release 0036 _NF__55"
	strings:
		$1 = { CC 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 21 26 45 12 8A 5F D1 11 9F B6 00 20 AF 3D 82 DA ?? ?? ?? ?? 18 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11650_0 {
	meta:
		name = "TIStreamAdapter.Create"
		size = 83
		refs = "000d @ClassCreate 001e TStreamAdapter.Create 0023 Now 002f DateTimeToFileDate 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8A 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11651_0 {
	meta:
		name = "TIStreamAdapter.Write"
		size = 56
		refs = "0016 TStreamAdapter.Write 001d Now 0029 DateTimeToFileDate"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 89 43 18 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_11652_0 {
	meta:
		name = "TIStreamAdapter.Stat"
		size = 84
		refs = "0016 TStreamAdapter.Stat 0038 DosDateTimeToFileTime 0045 LocalFileTimeToFileTime"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 0C 8B 5D 08 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 8B F8 85 FF 75 29 53 8B 03 FF 50 2C 89 45 FC 8D 45 F4 50 66 8B 45 FC 50 66 8B 45 FE 50 E8 ?? ?? ?? ?? 8D 46 10 50 8D 45 F4 50 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11653_0 {
	meta:
		name = "TIStreamAdapter.GetModifyTime"
		size = 13
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 18 5D C2 04 00 }
	condition:
		$1
}

rule function_11654_0 {
	meta:
		name = "TIStreamAdapter.SetModifyTime"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 89 50 18 5D C2 08 00 }
	condition:
		$1
}

rule function_11655_0 {
	meta:
		name = "TIMemoryStream.Create"
		size = 88
		refs = "000e @ClassCreate 0023 _Dn_TMemoryStream 0028 TObject.Create 0034 TIStreamAdapter.Create 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 85 C9 75 10 B3 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 53 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11657_0 {
	meta:
		name = "TIFileStream.Create"
		size = 86
		refs = "000e @ClassCreate 0024 _Dn_TFileStream 0029 TFileStream.Create 0034 TStreamAdapter.Create 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 66 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11659_0 {
	meta:
		name = "TIFileStream.Stat"
		size = 62
		refs = "0013 TStreamAdapter.Stat 0031 GetFileTime"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 75 08 8B 45 10 50 53 56 E8 ?? ?? ?? ?? 8B F8 85 FF 75 18 8D 43 10 50 8D 43 20 50 8D 43 18 50 8B 46 0C 8B 40 04 50 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11660_0 {
	meta:
		name = "TIFileStream.GetModifyTime"
		size = 27
		refs = "000a TIFileStream.GetFileStream 0012 FileGetDate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11661_0 {
	meta:
		name = "TIFileStream.SetModifyTime"
		size = 30
		refs = "000a TIFileStream.GetFileStream 0015 FileSetDate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 40 04 8B 55 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11662_0 {
	meta:
		name = "TIFileStream.Commit"
		size = 38
		refs = "000a TIFileStream.GetFileStream 0013 FlushFileBuffers 001d TStreamAdapter.Commit"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 0C 50 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11663_0 {
	meta:
		name = "TVirtualStream.Create"
		size = 168
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TVirtualStream.Create 0037 TOleStream.Create 003f @IntfClear 0074 @HandleFinally 0081 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 08 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 74 08 8D 46 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 21 26 45 12 8A 5F D1 11 9F B6 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_11664_0 {
	meta:
		name = "TVirtualStream.GetModifyTime"
		size = 19
	strings:
		$1 = { 83 78 08 00 74 0A 8B 40 08 50 8B 00 FF 50 0C C3 33 C0 C3 }
	condition:
		$1
}

rule function_11665_0 {
	meta:
		name = "TVirtualStream.SetModifyTime"
		size = 17
	strings:
		$1 = { 83 78 08 00 74 0A 52 8B 40 08 50 8B 00 FF 50 10 C3 }
	condition:
		$1
}

rule function_11670_0 {
	meta:
		name = "_malloc"
		size = 13
		refs = "0007 @GetMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_18296_0 {
	meta:
		name = "GetMemory"
		size = 13
		refs = "0007 SysGetMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_11671_0 {
	meta:
		name = "_free"
		size = 13
		refs = "0007 @FreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_11672_0 {
	meta:
		name = "_memset"
		size = 21
		refs = "000f @FillChar"
	strings:
		$1 = { 55 8B EC 33 C9 8A 4D 0C 8B 45 08 8B 55 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_11673_0 {
	meta:
		name = "_memcpy"
		size = 19
		refs = "000d Move"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 45 0C 8B 4D 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_11674_0 {
	meta:
		name = "_fread"
		size = 25
	strings:
		$1 = { 55 8B EC 53 8B 4D 0C 0F AF 4D 10 8B 55 08 8B 45 14 8B 18 FF 53 04 5B 5D C3 }
	condition:
		$1
}

rule function_11675_0 {
	meta:
		name = "_fwrite"
		size = 25
	strings:
		$1 = { 55 8B EC 53 8B 4D 0C 0F AF 4D 10 8B 55 08 8B 45 14 8B 18 FF 53 08 5B 5D C3 }
	condition:
		$1
}

rule function_11676_0 {
	meta:
		name = "_fflush"
		size = 7
	strings:
		$1 = { 55 8B EC 33 C0 5D C3 }
	condition:
		$1
}

rule function_11677_0 {
	meta:
		name = "__ftol"
		size = 23
		refs = "000f @TRUNC"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 45 F8 DD 18 DD 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_11679_0 {
	meta:
		name = "JpegError"
		size = 113
		refs = "0012 JpegError 0032 sJPEGError 0037 LoadResString 0041 _DV_EJPEG 0046 Exception.CreateFmt 004b @RaiseExcept 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 40 14 89 45 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11683_0 {
	meta:
		name = "ResetErrorMgr"
		size = 13
	strings:
		$1 = { 8B 10 33 C9 89 4A 70 33 C0 89 42 14 C3 }
	condition:
		$1
}

rule function_11686_0 {
	meta:
		name = "TJPEGImage.Create"
		size = 114
		refs = "000b @ClassCreate 0014 JPEGDefaults 001d TGraphic.Create 0024 TJPEGImage.NewImage 005e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 BE ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8A 06 88 47 2F 8A 46 01 88 47 2D 8A 46 02 88 47 32 8A 46 03 88 47 2E 8A 46 04 88 47 30 8A 46 05 88 47 31 8A 46 06 88 47 33 8A 46 07 88 47 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11687_0 {
	meta:
		name = "TJPEGImage.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0014 DeleteObject 001c TObject.Free 0024 TSharedImage.Release 0030 TPersistent.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11688_0 {
	meta:
		name = "TJPEGImage.Assign"
		size = 127
		refs = "000b _DV_TJPEGImage 0010 @IsClass 001c TSharedImage.Release 0029 TSharedImage.Reference 0036 TJPEGImage.NewBitmap 004b _Dn_TBitmap 005b TJPEGImage.NewImage 0077 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8B 43 18 E8 ?? ?? ?? ?? 8B FE 8B 47 18 89 43 18 E8 ?? ?? ?? ?? 83 7F 1C 00 74 48 8B C3 E8 ?? ?? ?? ?? 8B 57 1C 8B 43 1C 8B 08 FF 51 08 EB 34 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 1C 8B 08 FF 51 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11689_0 {
	meta:
		name = "TJPEGImage.AssignTo"
		size = 54
		refs = "000a _Dn_TBitmap 000f @IsClass 001a TJPEGImage.GetBitmap 002f TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11690_0 {
	meta:
		name = "ProgressCallback"
		size = 244
		refs = "0020 GetTickCount 0061 Rect 0098 ProgressCallback 00a2 @TRUNC 00e2 @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B 46 08 85 C0 0F 84 D3 00 00 00 83 78 14 00 0F 84 C9 00 00 00 8B D8 E8 ?? ?? ?? ?? 8B D0 8B CA 8B 43 20 2B C8 81 F9 F4 01 00 00 0F 8C AD 00 00 00 89 53 20 85 C0 0F 84 A2 00 00 00 83 7E 0C 00 74 2D 8B FE 8B 87 88 00 00 00 50 8D 44 24 04 50 8B 4F 6C 8B 53 24 33 C0 E8 ?? ?? ?? ?? 8B 44 24 0C 3B 43 24 7D 1B 8B 47 70 89 44 24 0C EB 12 6A 00 8D 44 24 04 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? DB 43 04 DB 43 08 DE F9 DB 43 0C DE C1 D8 0D ?? ?? ?? ?? DB 43 10 DE F9 E8 ?? ?? ?? ?? 3B 43 1C 74 3B 89 43 1C 83 7E 0C 00 74 09 8B 96 88 00 00 00 89 53 24 50 8B 44 24 10 2B 44 24 08 83 F8 04 0F 9D C0 50 8D 44 24 08 50 6A 00 B1 01 8B 73 14 8B D6 8B C6 66 BB FD FF E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_11691_0 {
	meta:
		name = "ReleaseContext"
		size = 33
		refs = "0013 jpeg_destroy"
	strings:
		$1 = { 53 8B D8 83 BB A8 00 00 00 00 74 13 8D 83 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_11692_0 {
	meta:
		name = "InitDecompressor"
		size = 520
		refs = "0017 @FillChar 0021 jpeg_std_error 004b jpeg_CreateDecompress 0053 InitDecompressor 005e ProgressCallback 0089 TStream.SetPosition 009c jpeg_stdio_src 00ac jpeg_read_header 0195 jpeg_has_multiple_scans 01ec @HandleAnyException 01f4 ReleaseContext 01f9 @RaiseAgain 01fe @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 45 FC 33 C9 BA 6C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B F8 BE ?? ?? ?? ?? B9 1D 00 00 00 F3 A5 8B 45 FC 8B 55 FC 89 82 A8 00 00 00 8B 45 FC 05 A8 00 00 00 B9 C2 01 00 00 BA 3D 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 8B 55 FC 89 42 74 8B 45 FC 89 98 88 00 00 00 8B 45 FC 83 C0 74 8B 55 FC 89 82 B0 00 00 00 8B 43 18 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B 43 18 8B 50 08 8B 45 FC 05 A8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 83 CA FF E8 ?? ?? ?? ?? 8B 45 FC C7 80 D4 00 00 00 01 00 00 00 8A 4B 33 B8 01 00 00 00 D3 E0 8B 55 FC 89 82 D8 00 00 00 8A 43 2C F6 D8 1B C0 8B 55 FC 89 82 F4 00 00 00 80 7B 2D 00 74 0D 8B 45 FC C7 80 D0 00 00 00 01 00 00 00 80 7B 2E 01 74 0C 8B 45 FC 83 B8 D0 00 00 00 01 75 1A 8B 45 FC C7 80 F8 00 00 00 FF FF FF FF 8B 45 FC C7 80 04 01 00 00 EC 00 00 00 80 7B 32 01 75 25 8B 45 FC C7 80 EC 00 00 00 01 00 00 00 8B 45 FC 33 D2 89 90 00 01 00 00 8B 45 FC C7 80 FC 00 00 00 01 00 00 00 8B 45 FC 8B 80 EC 00 00 00 8B 55 FC 89 82 9C 00 00 00 8B 45 FC 8B 80 00 01 00 00 F7 D8 1B C0 F7 D8 8B 55 FC 88 82 A0 00 00 00 8B 45 FC 8B 80 FC 00 00 00 8B 55 FC 89 82 A4 00 00 00 80 7B 30 00 74 55 8B 45 FC 05 A8 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 44 8B 45 FC 8B 80 00 01 00 00 8B 55 FC 89 82 10 01 00 00 8B 45 FC C7 80 EC 00 00 00 01 00 00 00 8B 45 FC 33 D2 89 90 00 01 00 00 8B 45 FC C7 80 FC 00 00 00 01 00 00 00 8B 45 FC C7 80 E4 00 00 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11693_0 {
	meta:
		name = "TJPEGImage.CalcOutputDimensions"
		size = 139
		refs = "001b InitDecompressor 0023 TJPEGImage.CalcOutputDimensions 003c jpeg_calc_output_dimensions 0059 jpeg_has_multiple_scans 007a ReleaseContext 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 94 FD FF FF 53 8B D8 80 7B 34 00 74 74 8D 95 94 FD FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 44 FE FF FF 8D 85 3C FE FF FF E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF 89 43 20 8B 85 AC FE FF FF 89 43 24 8D 85 3C FE FF FF E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 88 43 31 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 94 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11695_0 {
	meta:
		name = "TJPEGImage.Compress"
		size = 894
		refs = "001d @FillChar 0022 jpeg_std_error 0050 jpeg_CreateCompress 0058 TJPEGImage.Compress 0071 ProgressCallback 00a0 TJPEGImage.NewImage 00a7 _Dn_TMemoryStream 00ac TObject.Create 00c0 TStream.SetPosition 00d4 jpeg_stdio_dest 0105 @TryFinallyExit 016f _Dn_TBitmap 0174 TBitmap.Create 019d TBitmap.SetPixelFormat 01a8 jpeg_set_defaults 01be jpeg_set_quality 01e1 jpeg_set_colorspace 01f5 jpeg_simple_progression 01ff TBitmap.GetScanline 024a Rect 0264 @CallDynaInst 0280 jpeg_start_compress 0293 jpeg_write_scanlines 02b4 jpeg_finish_compress 02c6 ExceptObject 030c @HandleFinally 0323 TObject.Free 033a @HandleOnException 0342 _Dn_EAbort 0353 @DoneExcept 036b ReleaseContext"
	strings:
		$1 = { 55 8B EC 81 C4 74 FD FF FF 53 56 57 89 45 FC 8D 85 84 FD FF FF 33 C9 BA 6C 02 00 00 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D BD 84 FD FF FF B9 1D 00 00 00 F3 A5 8D 85 84 FD FF FF 89 85 2C FE FF FF 8D 85 2C FE FF FF B9 65 01 00 00 BA 3D 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B8 ?? ?? ?? ?? 89 85 F8 FD FF FF 8B 45 FC 89 85 0C FE FF FF 8D 85 F8 FD FF FF 89 85 34 FE FF FF 8B 45 FC 8B 40 18 83 78 08 00 74 08 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 18 89 58 08 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 50 08 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 58 1C 85 DB 74 1A 8B C3 8B 10 FF 52 2C 85 C0 74 0F 8B 45 FC 8B 40 1C 8B 10 FF 52 20 85 C0 75 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 69 02 00 00 8B 45 FC 8B 40 1C 8B 10 FF 52 2C 89 85 44 FE FF FF 8B 45 FC 8B 40 1C 8B 10 FF 52 2C 8B 55 FC 8B 52 18 89 42 10 8B 45 FC 8B 40 1C 8B 10 FF 52 20 89 85 48 FE FF FF 8B 45 FC 8B 40 1C 8B 10 FF 52 20 8B 55 FC 8B 52 18 89 42 0C C7 85 4C FE FF FF 03 00 00 00 C7 85 50 FE FF FF 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 1C 8B 45 F0 8B 08 FF 51 08 B2 06 8B 45 F0 E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 33 D2 8A 50 2F 8D 85 2C FE FF FF 83 C9 FF E8 ?? ?? ?? ?? 8B 45 FC 80 78 2D 00 74 1A 8B 45 FC 8B 40 18 C6 40 14 01 8D 85 2C FE FF FF BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 31 00 74 0B 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 2B 75 F4 85 F6 7E 13 F7 C6 03 00 00 00 75 0B 8B 85 48 FE FF FF 89 45 F8 EB 07 C7 45 F8 01 00 00 00 6A 00 6A 00 6A 00 8D 85 74 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 6A 00 33 C9 8B 55 FC 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 85 2C FE FF FF 83 CA FF E8 ?? ?? ?? ?? EB 19 8D 55 F4 8D 85 2C FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 8B D6 0F AF D0 01 55 F4 8B 85 01 FF FF FF 3B 85 48 FE FF FF 72 D9 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 BE 64 00 00 00 EB 02 33 F6 8B C6 50 6A 00 6A 00 8D 85 74 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 6A 00 B1 02 8B 55 FC 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 84 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11697_0 {
	meta:
		name = "TJPEGImage.Draw"
		size = 31
		refs = "000c TJPEGImage.GetBitmap 0017 TCanvas.StretchDraw"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11698_0 {
	meta:
		name = "TJPEGImage.Equals"
		size = 41
		refs = "000a _DV_TJPEGImage 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 18 3B 43 18 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_11699_0 {
	meta:
		name = "TJPEGImage.FreeBitmap"
		size = 18
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 33 C0 89 43 1C 5B C3 }
	condition:
		$1
}

rule function_11700_0 {
	meta:
		name = "BuildPalette"
		size = 167
		refs = "009a CreatePalette"
	strings:
		$1 = { 56 57 81 C4 FC FB FF FF 8B F8 66 C7 04 24 00 03 66 8B 97 80 00 00 00 66 89 54 24 02 83 7F 28 01 75 2F 0F B7 F2 4E 85 F6 7C 6C 46 33 C9 8D 54 24 04 8B 87 84 00 00 00 8B 00 8A 04 08 88 02 88 42 01 88 42 02 C6 42 03 00 41 83 C2 04 4E 75 E2 EB 45 0F B7 F2 4E 85 F6 7C 3D 46 33 C9 8D 54 24 04 8B 87 84 00 00 00 8B 40 08 8A 04 08 88 02 8B 87 84 00 00 00 8B 40 04 8A 04 08 88 42 01 8B 87 84 00 00 00 8B 00 8A 04 08 88 42 02 C6 42 03 00 41 83 C2 04 4E 75 CA 8B C4 50 E8 ?? ?? ?? ?? 81 C4 04 04 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_11701_0 {
	meta:
		name = "BuildColorMap"
		size = 136
		refs = "001a GetPaletteEntries"
	strings:
		$1 = { 53 56 57 55 81 C4 FC FB FF FF 8B D8 8D 44 24 04 50 68 00 01 00 00 6A 00 52 E8 ?? ?? ?? ?? 8B F0 85 F6 74 59 6A 03 8B 7B 04 8B C3 8B CE BA 01 00 00 00 FF 57 08 89 83 84 00 00 00 89 B3 80 00 00 00 8B FE 4F 85 FF 7C 35 47 33 D2 8D 44 24 04 8B B3 84 00 00 00 8B 4E 08 8D 2C 11 8A 08 88 4D 00 8B 4E 04 8D 2C 11 8A 48 01 88 4D 00 8B 0E 8D 34 11 8A 48 02 88 0E 42 83 C0 04 4F 75 D2 81 C4 04 04 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11702_0 {
	meta:
		name = "TJPEGImage.GetBitmap"
		size = 1030
		refs = "0029 _Dn_TBitmap 002e TBitmap.Create 004f InitDecompressor 0057 TJPEGImage.GetBitmap 0078 TBitmap.SetHandle 0097 TBitmap.SetPixelFormat 00be Rect 00d8 @CallDynaInst 0106 BuildColorMap 0111 CopyPalette 012a DeleteObject 013d jpeg_start_decompress 016f TBitmap.GetScanline 01bc jpeg_start_output 01dc TBitmap.GetPixelFormat 01f1 BuildPalette 0227 jpeg_read_scanlines 0248 jpeg_finish_output 0253 jpeg_consume_input 0347 jpeg_finish_decompress 0359 ExceptObject 03b6 @HandleFinally 03c7 @HandleOnException 03cf _Dn_EAbort 03d8 @DoneExcept 03f0 ReleaseContext"
	strings:
		$1 = { 55 8B EC 81 C4 74 FD FF FF 53 56 57 89 45 FC 8B 45 FC 8B 40 1C 89 45 F8 83 7D F8 00 0F 85 DA 03 00 00 85 C0 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8B 45 FC 8B 40 1C 89 45 F8 C6 45 F3 01 8D 95 84 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 80 78 2E 01 74 09 83 BD 54 FE FF FF 01 75 0F 8B 45 FC 8B 40 1C B2 03 E8 ?? ?? ?? ?? EB 0D 8B 45 FC 8B 40 1C B2 06 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 85 74 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 6A 00 33 C9 8B 55 FC 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 28 85 C0 74 42 8B 55 FC 80 7A 2E 01 75 2B 8B D0 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C 8B 08 FF 51 38 C6 45 F3 00 EB 0E 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 28 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 58 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 95 98 FE FF FF 8B C3 8B 08 FF 51 40 8B 95 9C FE FF FF 8B C3 8B 08 FF 51 34 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F4 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 45 F4 8B D8 85 DB 7E 0D F6 C3 03 75 08 8B B5 A8 FE FF FF EB 05 BE 01 00 00 00 83 BD 68 FE FF FF 00 0F 84 0A 01 00 00 E9 9D 00 00 00 8D 85 2C FE FF FF 8B 95 B8 FE FF FF E8 ?? ?? ?? ?? 8B 85 34 FE FF FF 83 78 0C 00 75 3D 83 BD B0 FE FF FF 00 74 34 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 3C 03 75 25 80 7D F3 00 74 1F 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C 8B 08 FF 51 38 8B 45 FC C6 40 16 01 8B 45 FC 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 89 45 F4 EB 18 8D 55 F4 8D 85 2C FE FF FF 8B CE E8 ?? ?? ?? ?? 8B D3 0F AF D0 01 55 F4 8B 85 B4 FE FF FF 3B 85 9C FE FF FF 72 DA 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 83 F8 02 0F 85 4F FF FF FF 8B 85 20 FE FF FF 89 85 70 FE FF FF 8B 85 28 FE FF FF 89 85 80 FE FF FF 80 BD 24 FE FF FF 00 74 12 C7 85 84 FE FF FF FF FF FF FF 33 C0 89 85 B0 FE FF FF 8D 85 2C FE FF FF 8B 95 B8 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 89 45 F4 83 BD 68 FE FF FF 00 74 09 80 BD 24 FE FF FF 00 74 58 83 BD B0 FE FF FF 00 74 4F 80 7D F3 00 74 49 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C 8B 08 FF 51 38 8B 45 FC C6 40 16 01 8B 45 FC 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 89 45 F4 EB 18 8D 55 F4 8D 85 2C FE FF FF 8B CE E8 ?? ?? ?? ?? 8B D3 0F AF D0 01 55 F4 8B 85 B4 FE FF FF 3B 85 9C FE FF FF 72 DA 83 BD 68 FE FF FF 00 74 0B 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 BB 64 00 00 00 EB 02 33 DB 53 8B 45 FC 8A 40 16 50 6A 00 8D 85 74 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 6A 00 B1 02 8B 55 FC 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? 8B 45 FC 80 78 16 00 74 0B 8B 55 FC 8B 45 FC 8B 08 FF 51 10 C3 E9 ?? ?? ?? ?? EB 9C 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 84 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11703_0 {
	meta:
		name = "TJPEGImage.GetEmpty"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 43 18 83 78 08 00 75 0C 8B 43 1C 8B 10 FF 52 1C 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_11704_0 {
	meta:
		name = "TJPEGImage.GetGrayscale"
		size = 21
	strings:
		$1 = { 80 78 2D 00 75 0C 8B 40 18 80 78 14 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_11705_0 {
	meta:
		name = "TJPEGImage.GetPalette"
		size = 102
		refs = "002c GetDC 0036 GetDeviceCaps 004e CreateHalftonePalette 005b ReleaseDC"
	strings:
		$1 = { 53 56 57 55 8B D8 33 F6 8B 43 1C 85 C0 74 09 8B 10 FF 52 24 8B F0 EB 47 8B 43 28 85 C0 74 04 8B F0 EB 3C 80 7B 2E 00 75 36 6A 00 E8 ?? ?? ?? ?? 8B F8 6A 0C 57 E8 ?? ?? ?? ?? 8B E8 6A 0E 57 E8 ?? ?? ?? ?? 0F AF E8 83 FD 08 7F 0B 57 E8 ?? ?? ?? ?? 8B F0 89 73 28 57 6A 00 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11706_0 {
	meta:
		name = "TJPEGImage.GetHeight"
		size = 43
		refs = "0022 TJPEGImage.CalcOutputDimensions"
	strings:
		$1 = { 53 8B D8 8B 43 1C 85 C0 74 07 8B 10 FF 52 20 5B C3 80 7B 33 00 75 08 8B 43 18 8B 40 0C EB 0A 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_11707_0 {
	meta:
		name = "TJPEGImage.GetWidth"
		size = 43
		refs = "0022 TJPEGImage.CalcOutputDimensions"
	strings:
		$1 = { 53 8B D8 8B 43 1C 85 C0 74 07 8B 10 FF 52 2C 5B C3 80 7B 33 00 75 08 8B 43 18 8B 40 10 EB 0A 8B C3 E8 ?? ?? ?? ?? 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_11708_0 {
	meta:
		name = "TJPEGImage.JPEGNeeded"
		size = 15
		refs = "000a TJPEGImage.Compress"
	strings:
		$1 = { 8B 50 18 83 7A 08 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11709_0 {
	meta:
		name = "TJPEGImage.LoadFromClipboardFormat"
		size = 31
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B 46 1C 8B 18 FF 53 58 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11710_0 {
	meta:
		name = "TJPEGImage.LoadFromStream"
		size = 36
		refs = "0009 TStream.GetSize 0011 TStream.GetPosition 001d TJPEGImage.ReadStream"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11711_0 {
	meta:
		name = "TJPEGImage.NewBitmap"
		size = 28
		refs = "0007 TObject.Free 000e _Dn_TBitmap 0013 TBitmap.Create"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 5B C3 }
	condition:
		$1
}

rule function_11712_0 {
	meta:
		name = "TJPEGImage.NewImage"
		size = 43
		refs = "000c TSharedImage.Release 0013 _DV_TJPEGData 0018 TObject.Create 0024 TSharedImage.Reference"
	strings:
		$1 = { 53 56 8B D8 8B 43 18 85 C0 74 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11713_0 {
	meta:
		name = "TJPEGImage.ReadData"
		size = 39
		refs = "001e TJPEGImage.ReadStream"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 04 8B CE 8B 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11714_0 {
	meta:
		name = "TJPEGImage.ReadStream"
		size = 310
		refs = "0018 TJPEGImage.NewImage 0023 TObject.Free 0038 _Dn_TMemoryStream 003d TObject.Create 005a TStream.ReadBuffer 0067 jpeg_std_error 008f jpeg_CreateDecompress 0097 TJPEGImage.ReadStream 00a7 TStream.SetPosition 00b5 jpeg_stdio_src 00c3 jpeg_read_header 00ed jpeg_has_multiple_scans 0111 jpeg_destroy_decompress 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 C0 FD FF FF 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 1C 8B 45 FC 8B 58 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B C7 8B D6 8B 08 FF 11 8B 43 08 8B 50 04 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 0F 8E B7 00 00 00 BE ?? ?? ?? ?? 8D 7D 84 B9 1D 00 00 00 F3 A5 8D 45 84 89 85 C2 FD FF FF 8D 85 C2 FD FF FF B9 C2 01 00 00 BA 3D 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 33 D2 E8 ?? ?? ?? ?? 8B 53 08 8D 85 C2 FD FF FF E8 ?? ?? ?? ?? 8D 85 C2 FD FF FF 83 CA FF E8 ?? ?? ?? ?? 8B 85 DA FD FF FF 89 43 10 8B 85 DE FD FF FF 89 43 0C 83 BD E6 FD FF FF 01 0F 94 C0 88 43 14 8D 85 C2 FD FF FF E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8B 55 FC 88 42 31 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C2 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC C6 40 16 01 8B 55 FC 8B 45 FC 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11715_0 {
	meta:
		name = "TJPEGImage.SaveToClipboardFormat"
		size = 43
		refs = "0015 TJPEGImage.GetBitmap"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B 18 FF 53 5C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11716_0 {
	meta:
		name = "TJPEGImage.SaveToStream"
		size = 41
		refs = "0009 TJPEGImage.JPEGNeeded 0016 TStream.GetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 58 08 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 04 8B C6 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_11717_0 {
	meta:
		name = "TJPEGImage.SetGrayscale"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 2D 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 2D C6 46 16 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_11719_0 {
	meta:
		name = "TJPEGImage.SetPalette"
		size = 86
		refs = "002d TJPEGImage.FreeBitmap 003a DeleteObject"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 3B 77 28 74 46 8B 5F 1C 85 DB 74 0B 8B C3 8B 10 FF 52 24 3B F0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B 47 28 85 C0 74 06 50 E8 ?? ?? ?? ?? 89 77 28 84 DB 74 0D C6 47 16 01 8B D7 8B C7 8B 08 FF 51 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11720_0 {
	meta:
		name = "TJPEGImage.SetPerformance"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 32 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 32 C6 46 16 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_11721_0 {
	meta:
		name = "TJPEGImage.SetPixelFormat"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 2E 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 2E C6 46 16 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_11722_0 {
	meta:
		name = "TJPEGImage.SetScale"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 33 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 33 C6 46 34 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_11723_0 {
	meta:
		name = "TJPEGImage.SetSmoothing"
		size = 33
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 2C 74 13 8B C6 E8 ?? ?? ?? ?? 88 5E 2C 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_11725_0 {
	meta:
		name = "TJPEGImage.WriteData"
		size = 77
		refs = "001a TStream.GetSize"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 33 C0 89 04 24 8B 43 18 8B 78 08 85 FF 74 0A 8B C7 E8 ?? ?? ?? ?? 89 04 24 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 08 83 3C 24 00 7E 13 8B 43 18 8B 40 08 8B 50 04 8B 0C 24 8B C6 8B 18 FF 53 08 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11726_0 {
	meta:
		name = "InitDefaults"
		size = 64
		refs = "0005 GetDC 000f GetDeviceCaps 0027 JPEGDefaults 0039 ReleaseDC"
	strings:
		$1 = { 53 56 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 0C 53 E8 ?? ?? ?? ?? 8B F0 6A 0E 53 E8 ?? ?? ?? ?? 0F AF F0 83 FE 08 7F 09 C6 05 ?? ?? ?? ?? 01 EB 07 C6 05 ?? ?? ?? ?? 00 53 6A 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11727_0 {
	meta:
		name = "jpeg_CreateDecompress"
		size = 200
		refs = "0055 _memset 0068 @jinit_memory_mgr 00b2 @jinit_marker_reader 00b9 @jinit_input_controller"
	strings:
		$1 = { 53 8B D8 33 C0 56 8B F1 89 43 04 83 FA 3D 74 19 8B 03 C7 40 14 0A 00 00 00 C7 40 18 3D 00 00 00 89 50 1C 8B C3 8B 10 FF 12 81 FE C2 01 00 00 74 19 8B 03 C7 40 14 13 00 00 00 C7 40 18 C2 01 00 00 89 70 1C 8B C3 8B 10 FF 12 8B 33 68 C2 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 0C 89 33 C7 43 0C 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 89 53 08 33 C9 89 4B 14 6A 10 6A 00 8D 83 A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 93 B0 00 00 00 6A 10 6A 00 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 8B C0 00 00 00 6A 10 6A 00 51 E8 ?? ?? ?? ?? 83 C4 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 43 10 C8 00 00 00 5E 5B C3 90 }
	condition:
		$1
}

rule function_11728_0 {
	meta:
		name = "jpeg_destroy_decompress"
		size = 572
		refs = "0001 jpeg_destroy 0009 @jpeg_abort"
	strings:
		$1 = { E8 ?? ?? ?? ?? C3 90 90 E8 ?? ?? ?? ?? C3 90 90 81 FA FE 00 00 00 75 0A 8B 80 AA 01 00 00 89 48 0C C3 81 FA E0 00 00 00 7C 16 81 FA EF 00 00 00 7F 0E 8B 80 AA 01 00 00 89 8C 90 90 FC FF FF C3 8B 08 C7 41 14 43 00 00 00 89 51 18 8B 10 FF 12 C3 90 90 90 53 8B D8 56 8B 43 20 48 74 11 83 E8 02 74 1F 48 0F 84 F7 00 00 00 E9 55 01 00 00 C7 43 24 01 00 00 00 C7 43 28 01 00 00 00 E9 4C 01 00 00 83 BB 14 01 00 00 00 74 0C C7 43 24 03 00 00 00 E9 C1 00 00 00 83 BB 1D 01 00 00 00 74 4E 8A 93 21 01 00 00 80 EA 01 72 04 74 0E EB 18 C7 43 24 02 00 00 00 E9 9D 00 00 00 C7 43 24 03 00 00 00 E9 91 00 00 00 8B 03 33 D2 C7 40 14 6E 00 00 00 8A 93 21 01 00 00 89 50 18 8B C3 83 CA FF 8B 08 FF 51 04 C7 43 24 03 00 00 00 EB 6A 8B 8B D4 00 00 00 8B 01 8B 51 54 8B 89 A8 00 00 00 83 F8 01 75 13 83 FA 02 75 0E 83 F9 03 75 09 C7 43 24 03 00 00 00 EB 41 83 F8 52 75 13 83 FA 47 75 0E 83 F9 42 75 09 C7 43 24 02 00 00 00 EB 29 8B 33 83 C6 18 89 06 89 56 04 89 4E 08 8B 03 C7 40 14 6B 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 C7 43 24 03 00 00 00 C7 43 28 02 00 00 00 EB 6D 83 BB 1D 01 00 00 00 74 4A 8A 93 21 01 00 00 80 EA 01 72 06 FE CA 74 0B EB 12 C7 43 24 04 00 00 00 EB 37 C7 43 24 05 00 00 00 EB 2E 8B 03 33 D2 C7 40 14 6E 00 00 00 8A 93 21 01 00 00 89 50 18 8B C3 83 CA FF 8B 08 FF 51 04 C7 43 24 05 00 00 00 EB 07 C7 43 24 04 00 00 00 C7 43 28 04 00 00 00 EB 0A 33 C0 33 D2 89 43 24 89 53 28 C7 43 2C 01 00 00 00 C7 43 30 01 00 00 00 33 C9 33 C0 89 4B 34 33 D2 C7 43 38 00 00 F0 3F 89 43 3C 89 53 40 33 C9 33 C0 89 4B 44 33 D2 C7 43 48 01 00 00 00 C7 43 4C 01 00 00 00 89 43 50 33 C9 C7 43 54 02 00 00 00 C7 43 58 01 00 00 00 C7 43 5C 00 01 00 00 89 93 84 00 00 00 33 C0 89 4B 60 89 43 64 33 D2 89 53 68 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11729_0 {
	meta:
		name = "jpeg_read_header"
		size = 108
		refs = "005e @jpeg_abort"
	strings:
		$1 = { 53 8B D8 56 8B F2 8B 43 10 3D C8 00 00 00 74 1C 3D C9 00 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C3 E8 39 00 00 00 8B D0 83 EA 01 72 2D 74 05 4A 74 09 EB 26 B8 01 00 00 00 EB 1F 85 F6 74 0F 8B 13 8B C3 C7 42 14 32 00 00 00 8B 10 FF 12 8B C3 E8 ?? ?? ?? ?? B8 02 00 00 00 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_11730_0 {
	meta:
		name = "jpeg_consume_input"
		size = 224
		refs = "0015 jpeg_CreateDecompress"
	strings:
		$1 = { 53 8B D8 56 33 F6 8B 43 10 05 38 FF FF FF 83 F8 0A 77 7C 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 04 03 02 01 01 01 01 01 01 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 90 A6 01 00 00 FF 52 04 8B C3 8B 50 14 FF 52 08 C7 43 10 C9 00 00 00 8B C3 8B 90 A6 01 00 00 FF 12 8B F0 83 FE 01 75 3A 8B C3 E8 3B FD FF FF C7 43 10 CA 00 00 00 EB 2A BE 01 00 00 00 EB 23 8B C3 8B 90 A6 01 00 00 FF 12 8B F0 EB 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C6 5E 5B C3 90 90 90 53 8B D8 8B 43 10 3D C8 00 00 00 7C 07 3D D2 00 00 00 7E 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B A6 01 00 00 8B 41 14 5B C3 }
	condition:
		$1
}

rule function_11731_0 {
	meta:
		name = "jpeg_has_multiple_scans"
		size = 52
	strings:
		$1 = { 53 8B D8 8B 43 10 3D CA 00 00 00 7C 07 3D D2 00 00 00 7E 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B A6 01 00 00 8B 41 10 5B C3 }
	condition:
		$1
}

rule function_11732_0 {
	meta:
		name = "jpeg_finish_decompress"
		size = 174
		refs = "00a3 @jpeg_abort"
	strings:
		$1 = { 53 8B D8 8B 43 10 3D CD 00 00 00 74 07 3D CE 00 00 00 75 34 83 7B 3C 00 75 2E 8B 93 88 00 00 00 3B 53 70 73 0F 8B 0B 8B C3 C7 41 14 42 00 00 00 8B 10 FF 12 8B C3 8B 90 96 01 00 00 FF 52 04 C7 43 10 D2 00 00 00 EB 44 81 7B 10 CF 00 00 00 75 09 C7 43 10 D2 00 00 00 EB 32 81 7B 10 D2 00 00 00 74 29 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 EB 12 8B C3 8B 90 A6 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 8B 93 A6 01 00 00 83 7A 14 00 74 E2 8B C3 8B 50 14 FF 52 18 8B C3 E8 ?? ?? ?? ?? B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_11733_0 {
	meta:
		name = "_DF_"
		size = 2864
		refs = "00a7 _DV_ 00cf @jpeg_get_small 01a1 @jpeg_get_large 04f0 @jpeg_mem_available 0548 @jpeg_open_backing_store 085d _memset 0a9f @jpeg_free_large 0add @jpeg_free_small 0b26 @jpeg_mem_term"
	strings:
		$1 = { 8B 08 C7 41 14 35 00 00 00 89 51 18 8B 10 FF 12 C3 90 90 90 53 56 57 55 83 C4 F4 8B F8 8B F1 81 FE F4 C9 9A 3B 89 14 24 8B 47 04 89 44 24 04 76 0C BA 01 00 00 00 8B C7 E8 C3 FF FF FF 8B C6 83 E0 07 85 C0 76 09 BA 08 00 00 00 2B D0 03 F2 83 3C 24 00 7C 06 83 3C 24 02 7C 15 8B 07 C7 40 14 0C 00 00 00 8B 14 24 89 50 18 8B C7 8B 10 FF 12 8B 44 24 04 8B 14 24 33 ED 8B 44 90 30 85 C0 74 0D 3B 70 08 76 08 8B E8 8B 00 85 C0 75 F3 85 C0 0F 85 97 00 00 00 8D 46 0C 85 ED 89 44 24 08 75 0C 8B 14 24 8B 1C 95 ?? ?? ?? ?? EB 0A 8B 04 24 8B 1C 85 ?? ?? ?? ?? B8 00 CA 9A 3B 2B 44 24 08 3B D8 76 02 8B D8 8B 54 24 08 8B C7 03 D3 E8 ?? ?? ?? ?? 85 C0 75 20 B9 02 00 00 00 8B C3 33 D2 F7 F1 89 C3 83 FB 32 73 DD BA 02 00 00 00 8B C7 E8 0B FF FF FF EB CF 8B 54 24 04 8B 4C 24 08 03 CB 03 DE 03 4A 48 8B 54 24 04 89 4A 48 33 C9 33 D2 89 08 89 50 04 89 58 08 85 ED 75 0D 8B 54 24 04 8B 0C 24 89 44 8A 30 EB 03 89 45 00 8D 50 0C 03 50 04 01 70 04 29 70 08 8B C2 83 C4 0C 5D 5F 5E 5B C3 90 53 56 57 55 8B E8 51 89 14 24 8B F1 81 FE F4 C9 9A 3B 8B 7D 04 76 0C BA 03 00 00 00 8B C5 E8 99 FE FF FF 8B C6 83 E0 07 85 C0 76 09 BA 08 00 00 00 2B D0 03 F2 83 3C 24 00 7C 06 83 3C 24 02 7C 16 8B 45 00 C7 40 14 0C 00 00 00 8B 14 24 89 50 18 8B C5 8B 10 FF 12 8D 56 0C 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C BA 04 00 00 00 8B C5 E8 49 FE FF FF 8B 4F 48 03 CE 83 C1 0C 89 4F 48 33 C9 8B 04 24 8B 54 87 38 89 13 89 73 04 89 4B 08 8B 04 24 89 5C 87 38 8D 43 0C 5A 5D 5F 5E 5B C3 90 55 8B EC 83 C4 E8 53 56 89 4D F4 89 55 F8 89 45 FC 33 D2 8B 45 FC 8B 70 04 B8 F4 C9 9A 3B F7 75 F4 8B D8 85 DB 7F 13 8B 45 FC 8B 10 C7 42 14 45 00 00 00 8B 45 FC 8B 10 FF 12 3B 5D 08 7D 05 89 5D EC EB 06 8B 4D 08 89 4D EC 8B 45 EC 89 46 4C 8B 4D 08 C1 E1 02 8B 55 F8 8B 45 FC E8 CF FD FF FF 89 45 F0 33 D2 89 55 E8 8B 4D E8 3B 4D 08 73 55 8B 45 08 2B 45 E8 3B 45 EC 76 05 8B 55 EC EB 06 8B 55 08 2B 55 E8 89 55 EC 8B 4D EC 8B 55 F8 0F AF 4D F4 8B 45 FC E8 C4 FE FF FF 8B D0 8B 4D EC 8B 45 F0 8B 5D E8 8D 04 98 85 C9 76 10 89 10 FF 45 E8 83 C0 04 03 55 F4 49 85 C9 77 F0 8B 55 E8 3B 55 08 72 AB 8B 45 F0 5E 5B 8B E5 5D C2 04 00 90 90 90 55 8B EC 83 C4 E8 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 70 04 8B 45 F4 C1 E0 07 50 B8 F4 C9 9A 3B 5A 8B CA 33 D2 F7 F1 8B D8 85 DB 7F 13 8B 45 FC 8B 10 C7 42 14 45 00 00 00 8B 45 FC 8B 10 FF 12 3B 5D 08 7D 05 89 5D EC EB 06 8B 4D 08 89 4D EC 8B 45 EC 89 46 4C 8B 4D 08 C1 E1 02 8B 55 F8 8B 45 FC E8 F2 FC FF FF 89 45 F0 33 D2 89 55 E8 8B 4D E8 3B 4D 08 73 5D 8B 45 08 2B 45 E8 3B 45 EC 76 05 8B 55 EC EB 06 8B 55 08 2B 55 E8 89 55 EC 8B 4D EC 0F AF 4D F4 C1 E1 07 8B 55 F8 8B 45 FC E8 E4 FD FF FF 8B D0 8B 4D EC 8B 45 F0 8B 5D E8 8D 04 98 85 C9 76 15 89 10 FF 45 E8 83 C0 04 8B 5D F4 C1 E3 07 03 D3 49 85 C9 77 EB 8B 45 E8 3B 45 08 72 A3 8B 45 F0 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 51 53 8B D8 56 57 8B FA 89 4D FC 83 FF 01 8B 73 04 74 12 8B 03 C7 40 14 0C 00 00 00 89 78 18 8B C3 8B 10 FF 12 B9 80 00 00 00 8B D7 8B C3 E8 42 FC FF FF 33 C9 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 08 89 50 0C 33 D2 8B 4D FC 89 48 20 89 50 28 8B 4E 40 89 48 2C 89 46 40 5F 5E 5B 59 5D C2 0C 00 55 8B EC 51 53 8B D8 56 57 8B FA 89 4D FC 83 FF 01 8B 73 04 74 12 8B 03 C7 40 14 0C 00 00 00 89 78 18 8B C3 8B 10 FF 12 B9 80 00 00 00 8B D7 8B C3 E8 DA FB FF FF 33 C9 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 08 89 50 0C 33 D2 8B 4D FC 89 48 20 89 50 28 8B 4E 44 89 48 2C 89 46 44 5F 5E 5B 59 5D C2 0C 00 53 56 57 8B F8 55 51 8B 6F 04 33 C0 89 04 24 33 F6 8B 5D 40 85 DB 74 25 83 3B 00 75 19 8B 43 08 8B 53 0C 0F AF D0 8B 4B 04 03 D6 0F AF C8 03 0C 24 8B F2 89 0C 24 8B 5B 2C 85 DB 75 DB 8B 5D 44 85 DB 74 2B 83 3B 00 75 1F 8B 43 08 8B 53 0C 0F AF D0 8B 4B 04 0F AF C8 C1 E2 07 C1 E1 07 03 D6 03 0C 24 8B F2 89 0C 24 8B 5B 2C 85 DB 75 D5 85 F6 0F 8E 16 01 00 00 8B 45 48 8B D6 50 8B C7 8B 4C 24 04 E8 ?? ?? ?? ?? 8B C8 3B 0C 24 7C 07 BE 00 CA 9A 3B EB 10 8B C1 99 F7 FE 8B F0 85 F6 7F 05 BE 01 00 00 00 8B 5D 40 85 DB 74 6B 83 3B 00 75 5F 8B 4B 04 8B C1 48 33 D2 F7 73 0C 40 3B F0 7C 05 89 4B 10 EB 20 8B C6 F7 6B 0C 89 43 10 8B C7 8B 4B 04 8D 53 30 0F AF 4B 08 E8 ?? ?? ?? ?? C7 43 28 01 00 00 00 8B 53 10 8B C7 52 BA 01 00 00 00 8B 4B 08 E8 7E FC FF FF 89 03 33 C0 8B 4D 4C 33 D2 89 4B 14 89 43 18 89 53 1C 33 C9 89 4B 24 8B 5B 2C 85 DB 75 95 8B 5D 44 85 DB 74 6E 83 3B 00 75 62 8B 4B 04 8B C1 48 33 D2 F7 73 0C 40 3B F0 7C 05 89 4B 10 EB 23 8B C6 F7 6B 0C 89 43 10 8B C7 8B 4B 04 8D 53 30 0F AF 4B 08 C1 E1 07 E8 ?? ?? ?? ?? C7 43 28 01 00 00 00 8B 53 10 8B C7 52 BA 01 00 00 00 8B 4B 08 E8 DD FC FF FF 89 03 33 C0 8B 4D 4C 33 D2 89 4B 14 89 43 18 89 53 1C 33 C9 89 4B 24 8B 5B 2C 85 DB 75 92 5A 5D 5F 5E 5B C3 90 53 56 57 83 C4 F0 89 4C 24 04 8B DA 89 04 24 8B 43 08 89 44 24 08 8B 53 18 0F AF 54 24 08 89 54 24 0C 33 F6 EB 77 2B C6 3B 43 14 7E 05 8B 43 14 EB 05 8B 43 10 2B C6 8B 53 18 03 D6 8B 4B 1C 2B CA 3B C1 7C 05 8B 43 1C 2B C2 8B 4B 04 2B CA 3B C1 7C 05 8B 43 04 2B C2 85 C0 7E 48 8B F8 0F AF 7C 24 08 83 7C 24 04 00 74 17 8B 44 24 0C 50 57 8B 13 8B 44 24 08 8B 0C B2 8D 53 30 FF 53 34 EB 15 8B 4C 24 0C 8D 53 30 51 57 8B 03 8B 0C B0 8B 44 24 08 FF 53 30 01 7C 24 0C 03 73 14 8B 43 10 3B F0 7C 82 83 C4 10 5F 5E 5B C3 90 53 56 57 83 C4 F0 89 4C 24 04 8B DA 89 04 24 8B 43 08 C1 E0 07 89 44 24 08 8B 53 18 0F AF 54 24 08 89 54 24 0C 33 F6 EB 77 2B C6 3B 43 14 7E 05 8B 43 14 EB 05 8B 43 10 2B C6 8B 53 18 03 D6 8B 4B 1C 2B CA 3B C1 7C 05 8B 43 1C 2B C2 8B 4B 04 2B CA 3B C1 7C 05 8B 43 04 2B C2 85 C0 7E 48 8B F8 0F AF 7C 24 08 83 7C 24 04 00 74 17 8B 44 24 0C 50 57 8B 13 8B 44 24 08 8B 0C B2 8D 53 30 FF 53 34 EB 15 8B 4C 24 0C 8D 53 30 51 57 8B 03 8B 0C B0 8B 44 24 08 FF 53 30 01 7C 24 0C 03 73 14 8B 43 10 3B F0 7C 82 83 C4 10 5F 5E 5B C3 90 90 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 0C 8B 7D F8 03 F8 3B 7B 04 77 0A 3B 43 0C 77 05 83 3B 00 75 13 8B 45 FC 8B 10 C7 42 14 14 00 00 00 8B 45 FC 8B 10 FF 12 8B 43 18 3B 45 F8 77 07 03 43 10 3B F8 76 5D 83 7B 28 00 75 13 8B 55 FC 8B 0A C7 41 14 44 00 00 00 8B 45 FC 8B 10 FF 12 83 7B 24 00 74 14 B9 01 00 00 00 8B D3 8B 45 FC E8 2C FE FF FF 33 C9 89 4B 24 8B 45 F8 3B 43 18 76 08 8B 55 F8 89 53 18 EB 0E 8B C7 2B 43 10 85 C0 7D 02 33 C0 89 43 18 33 C9 8B D3 8B 45 FC E8 FD FD FF FF 8B 43 1C 3B F8 76 7A 3B 45 F8 73 1E 83 7D 08 00 74 13 8B 55 FC 8B 0A C7 41 14 14 00 00 00 8B 45 FC 8B 10 FF 12 8B 75 F8 EB 03 8B 73 1C 83 7D 08 00 74 03 89 7B 1C 83 7B 20 00 74 2C 8B 43 08 89 45 F4 8B 43 18 2B F0 2B F8 3B FE 76 34 8B 55 F4 52 6A 00 8B 0B 8B 04 B1 50 E8 ?? ?? ?? ?? 83 C4 0C 46 3B FE 77 E7 EB 19 83 7D 08 00 75 13 8B 55 FC 8B 0A C7 41 14 14 00 00 00 8B 45 FC 8B 10 FF 12 83 7D 08 00 74 07 C7 43 24 01 00 00 00 8B 45 F8 2B 43 18 C1 E0 02 03 03 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 0C 8B 7D F8 03 F8 3B 7B 04 77 0A 3B 43 0C 77 05 83 3B 00 75 13 8B 45 FC 8B 10 C7 42 14 14 00 00 00 8B 45 FC 8B 10 FF 12 8B 43 18 3B 45 F8 77 07 03 43 10 3B F8 76 5D 83 7B 28 00 75 13 8B 55 FC 8B 0A C7 41 14 44 00 00 00 8B 45 FC 8B 10 FF 12 83 7B 24 00 74 14 B9 01 00 00 00 8B D3 8B 45 FC E8 8C FD FF FF 33 C9 89 4B 24 8B 45 F8 3B 43 18 76 08 8B 55 F8 89 53 18 EB 0E 8B C7 2B 43 10 85 C0 7D 02 33 C0 89 43 18 33 C9 8B D3 8B 45 FC E8 5D FD FF FF 8B 43 1C 3B F8 76 7D 3B 45 F8 73 1E 83 7D 08 00 74 13 8B 55 FC 8B 0A C7 41 14 14 00 00 00 8B 45 FC 8B 10 FF 12 8B 75 F8 EB 03 8B 73 1C 83 7D 08 00 74 03 89 7B 1C 83 7B 20 00 74 2F 8B 43 08 C1 E0 07 89 45 F4 8B 43 18 2B F0 2B F8 3B FE 76 34 8B 55 F4 52 6A 00 8B 0B 8B 04 B1 50 E8 ?? ?? ?? ?? 83 C4 0C 46 3B FE 77 E7 EB 19 83 7D 08 00 75 13 8B 55 FC 8B 0A C7 41 14 14 00 00 00 8B 45 FC 8B 10 FF 12 83 7D 08 00 74 07 C7 43 24 01 00 00 00 8B 45 F8 2B 43 18 C1 E0 02 03 03 5F 5E 5B 8B E5 5D C2 08 00 53 56 57 83 C4 F4 89 14 24 8B F8 8B 77 04 83 3C 24 00 7C 06 83 3C 24 02 7C 15 8B 07 C7 40 14 0C 00 00 00 8B 14 24 89 50 18 8B C7 8B 10 FF 12 83 3C 24 01 75 4C 8B 5E 40 85 DB 74 1A 83 7B 28 00 74 0D 33 C0 8D 53 30 89 43 28 8B C7 FF 53 38 8B 5B 2C 85 DB 75 E6 33 D2 89 56 40 8B 5E 44 85 DB 74 1A 83 7B 28 00 74 0D 33 C0 8D 53 30 89 43 28 8B C7 FF 53 38 8B 5B 2C 85 DB 75 E6 33 D2 89 56 44 8B 0C 24 8B 14 24 8B 44 8E 38 33 C9 89 4C 96 38 85 C0 74 2A 8B 10 89 54 24 04 8B D0 8B 58 04 03 58 08 8B C7 83 C3 0C 8B CB E8 ?? ?? ?? ?? 8B 46 48 2B C3 89 46 48 8B 44 24 04 85 C0 75 D6 8B 14 24 8B 44 96 30 8B 14 24 33 C9 89 4C 96 30 85 C0 74 2A 8B 10 89 54 24 08 8B D0 8B 58 04 03 58 08 8B C7 83 C3 0C 8B CB E8 ?? ?? ?? ?? 8B 46 48 2B C3 89 46 48 8B 44 24 08 85 C0 75 D6 83 C4 0C 5F 5E 5B C3 53 56 8B F0 BB 01 00 00 00 8B D3 8B C6 E8 EA FE FF FF 4B 85 DB 7D F2 B9 50 00 00 00 8B 56 04 8B C6 E8 ?? ?? ?? ?? 33 C9 8B C6 89 4E 04 E8 ?? ?? ?? ?? 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11734_0 {
	meta:
		name = "@jinit_memory_mgr"
		size = 236
		refs = "0039 @jpeg_mem_init 0047 @jpeg_get_small 0054 @jpeg_mem_term 006e _DF_"
	strings:
		$1 = { 53 56 57 8B F0 33 C0 89 46 04 EB 0F 8B 16 8B C6 C7 42 14 02 00 00 00 8B 10 FF 12 B8 00 CA 9A 3B 3D 00 CA 9A 3B 74 0F 8B 16 8B C6 C7 42 14 03 00 00 00 8B 10 FF 12 8B C6 E8 ?? ?? ?? ?? 8B F8 BA 50 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1B 8B C6 E8 ?? ?? ?? ?? 8B 06 33 D2 C7 40 14 35 00 00 00 89 50 18 8B C6 8B 10 FF 12 C7 03 ?? ?? ?? ?? BA 01 00 00 00 C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? C7 43 10 ?? ?? ?? ?? C7 43 14 ?? ?? ?? ?? C7 43 18 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? C7 43 28 ?? ?? ?? ?? 89 7B 2C 8D 43 34 33 C9 4A 89 08 33 C9 89 48 08 83 C0 FC 85 D2 7D EF 33 C0 33 D2 89 43 40 89 53 44 C7 43 48 50 00 00 00 89 5E 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11735_0 {
	meta:
		name = "@jpeg_get_large"
		size = 8
		refs = "0002 _malloc"
		altNames = "@jpeg_get_small"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_11738_0 {
	meta:
		name = "@jpeg_free_large"
		size = 8
		refs = "0002 _free"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_11736_0 {
	meta:
		name = "@jpeg_free_small"
		size = 8
		refs = "0002 _free"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_11739_0 {
	meta:
		name = "@jpeg_mem_available"
		size = 12
	strings:
		$1 = { 55 8B EC 8B C1 5D C2 04 00 90 90 90 }
	condition:
		$1
}

rule function_11740_0 {
	meta:
		name = "@jpeg_open_backing_store"
		size = 16
	strings:
		$1 = { 8B 10 C7 42 14 30 00 00 00 8B 08 FF 11 C3 90 90 }
	condition:
		$1
}

rule function_11741_0 {
	meta:
		name = "@jpeg_mem_init"
		size = 4
	strings:
		$1 = { 33 C0 C3 90 }
	condition:
		$1
}

rule function_11743_0 {
	meta:
		name = "_DF_"
		size = 1312
		refs = "03c9 _memcpy 0430 _DF_"
	strings:
		$1 = { 53 8B D8 56 57 81 7B 1C DC FF 00 00 7F 09 81 7B 18 DC FF 00 00 7E 16 8B 03 C7 40 14 28 00 00 00 C7 40 18 DC FF 00 00 8B C3 8B 10 FF 12 83 BB D0 00 00 00 08 74 18 8B 03 C7 40 14 0D 00 00 00 8B 93 D0 00 00 00 89 50 18 8B C3 8B 10 FF 12 83 7B 20 0A 7E 1C 8B 03 C7 40 14 18 00 00 00 8B 53 20 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 C7 83 26 01 00 00 01 00 00 00 C7 83 2A 01 00 00 01 00 00 00 33 FF 8B B3 D4 00 00 00 EB 63 8B 46 08 85 C0 7E 11 83 F8 04 7F 0C 83 7E 0C 00 7E 06 83 7E 0C 04 7E 0F 8B 13 8B C3 C7 42 14 10 00 00 00 8B 10 FF 12 8B 8B 26 01 00 00 3B 4E 08 7E 08 8B 83 26 01 00 00 EB 03 8B 46 08 89 83 26 01 00 00 8B 93 2A 01 00 00 3B 56 0C 7E 08 8B 8B 2A 01 00 00 EB 03 8B 4E 0C 89 8B 2A 01 00 00 47 83 C6 54 3B 7B 20 7C 98 C7 83 2E 01 00 00 08 00 00 00 33 FF 8B B3 D4 00 00 00 EB 71 C7 46 24 08 00 00 00 8B 43 18 8B 8B 26 01 00 00 F7 6E 08 C1 E1 03 47 03 C1 48 99 F7 F9 89 46 1C 8B 43 1C 8B 8B 2A 01 00 00 F7 6E 0C C1 E1 03 03 C1 48 99 F7 F9 89 46 20 8B 43 18 8B 8B 26 01 00 00 F7 6E 08 03 C1 48 99 F7 F9 89 46 28 8B 43 1C 8B 8B 2A 01 00 00 F7 6E 0C 03 C1 48 99 F7 F9 89 46 2C 33 C0 C7 46 30 01 00 00 00 89 46 4C 83 C6 54 3B 7B 20 7C 8A 8B 8B 2A 01 00 00 C1 E1 03 8B C1 03 43 1C 48 99 F7 F9 89 83 32 01 00 00 8B 8B 3A 01 00 00 3B 4B 20 7C 09 83 BB D8 00 00 00 00 74 0F 8B 83 A6 01 00 00 C7 40 10 01 00 00 00 EB 0B 8B 93 A6 01 00 00 33 C9 89 4A 10 5F 5E 5B C3 90 90 53 8B D8 56 57 51 83 BB 3A 01 00 00 01 75 66 8B 8B 3E 01 00 00 8B 41 1C 89 83 4E 01 00 00 8B 51 20 89 93 52 01 00 00 33 D2 C7 41 34 01 00 00 00 C7 41 38 01 00 00 00 C7 41 3C 01 00 00 00 8B 41 24 89 41 40 C7 41 44 01 00 00 00 8B 41 20 8B 71 0C F7 F6 8B C2 85 C0 75 02 8B C6 89 41 48 33 D2 C7 83 56 01 00 00 01 00 00 00 89 93 5A 01 00 00 E9 11 01 00 00 8B 83 3A 01 00 00 85 C0 7E 05 83 F8 04 7E 1F 8B 03 C7 40 14 18 00 00 00 8B 93 3A 01 00 00 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 8B 26 01 00 00 C1 E1 03 8B C1 03 43 18 48 99 F7 F9 89 83 4E 01 00 00 8B 8B 2A 01 00 00 C1 E1 03 8B C1 03 43 1C 48 99 F7 F9 89 83 52 01 00 00 33 C9 89 8B 56 01 00 00 33 F6 8D 83 3E 01 00 00 89 04 24 E9 8F 00 00 00 8B 14 24 8B 0A 8B 41 08 89 41 34 8B 41 0C 89 41 38 8B 51 34 0F AF D0 89 51 3C 8B 41 34 F7 69 24 89 41 40 33 D2 8B 41 1C 8B 79 34 F7 F7 8B C2 85 C0 75 02 8B C7 89 41 44 33 D2 8B 41 20 8B 79 38 F7 F7 8B C2 85 C0 75 02 8B C7 89 41 48 8B 79 3C 8B 83 56 01 00 00 03 C7 83 F8 0A 7E 24 8B 13 8B C3 C7 42 14 0B 00 00 00 8B 10 FF 12 EB 13 8B 8B 56 01 00 00 FF 83 56 01 00 00 89 B4 8B 5A 01 00 00 8B C7 83 C7 FF 85 C0 7F E4 46 83 04 24 04 3B B3 3A 01 00 00 0F 8C 65 FF FF FF 5A 5F 5E 5B C3 90 53 56 57 55 83 C4 F8 8B D8 33 C0 89 04 24 8D 93 3E 01 00 00 89 54 24 04 EB 69 8B 4C 24 04 8B 31 83 7E 4C 00 75 55 8B 7E 10 85 FF 7C 0F 83 FF 04 7D 0A 83 BC BB A0 00 00 00 00 75 12 8B 03 C7 40 14 33 00 00 00 89 78 18 8B C3 8B 10 FF 12 8B C3 B9 84 00 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 8B E8 68 84 00 00 00 8B 84 BB A0 00 00 00 50 55 E8 ?? ?? ?? ?? 83 C4 0C 89 6E 4C FF 04 24 83 44 24 04 04 8B 14 24 3B 93 3A 01 00 00 7C 8C 59 5A 5D 5F 5E 5B C3 90 90 90 53 8B D8 8B C3 E8 D2 FD FF FF 8B C3 E8 57 FF FF FF 8B C3 8B 90 AE 01 00 00 FF 12 8B C3 8B 90 9E 01 00 00 FF 12 8B 8B 9E 01 00 00 8B 93 A6 01 00 00 8B 41 04 89 02 5B C3 8B 80 A6 01 00 00 C7 00 ?? ?? ?? ?? C3 90 90 90 53 8B D8 56 57 8B B3 A6 01 00 00 83 7E 14 00 74 0A B8 02 00 00 00 E9 8D 00 00 00 8B C3 8B 90 AA 01 00 00 FF 52 04 8B F8 8B C7 83 E8 01 72 77 74 05 48 74 34 EB 70 83 7E 18 00 74 0E 8B C3 E8 85 FB FF FF 33 D2 89 56 18 EB 5C 83 7E 10 00 75 0F 8B 0B 8B C3 C7 41 14 22 00 00 00 8B 10 FF 12 8B C3 E8 52 FF FF FF EB 3E C7 46 14 01 00 00 00 83 7E 18 00 74 1D 8B 93 AA 01 00 00 83 7A 54 00 74 25 8B 0B 8B C3 C7 41 14 3A 00 00 00 8B 10 FF 12 EB 14 8B 83 8C 00 00 00 3B 83 94 00 00 00 7D 06 89 83 94 00 00 00 8B C7 5F 5E 5B C3 53 8B D8 33 D2 33 C9 8B 83 A6 01 00 00 C7 00 ?? ?? ?? ?? 89 50 10 89 48 14 C7 40 18 01 00 00 00 8B C3 8B 10 FF 52 10 8B C3 8B 90 AA 01 00 00 FF 12 33 C9 89 8B 9C 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_11744_0 {
	meta:
		name = "@jinit_input_controller"
		size = 71
		refs = "001a _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 1C 00 00 00 33 D2 8B 70 04 FF 16 89 83 A6 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? 33 D2 33 C9 89 50 10 89 48 14 C7 40 18 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_11745_0 {
	meta:
		name = "_DF_"
		size = 172
		refs = "0023 _fread"
	strings:
		$1 = { 8B 40 14 C7 40 24 01 00 00 00 C3 90 53 56 8B F0 8B 5E 14 8B 43 1C 50 68 00 10 00 00 6A 01 8B 53 20 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 77 37 83 7B 24 00 74 0F 8B 0E 8B C6 C7 41 14 29 00 00 00 8B 10 FF 12 8B 0E 8B C6 83 CA FF C7 41 14 74 00 00 00 8B 08 FF 51 04 8B 43 20 C6 00 FF C6 40 01 D9 B8 02 00 00 00 8B 53 20 33 C9 89 13 89 43 04 B8 01 00 00 00 89 4B 24 5E 5B C3 90 90 53 56 57 8B F8 8B DA 85 DB 8B 77 14 7E 17 EB 09 2B D8 8B C7 E8 77 FF FF FF 8B 46 04 3B D8 7F F0 01 1E 29 5E 04 5F 5E 5B C3 90 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_11746_0 {
	meta:
		name = "jpeg_stdio_src"
		size = 106
		refs = "003d _DF_ 0052 @jpeg_resync_to_restart"
	strings:
		$1 = { 53 56 8B F0 57 55 8B FA 83 7E 14 00 75 25 8B C6 B9 28 00 00 00 33 D2 8B 58 04 FF 13 8B D8 8B C6 89 5E 14 B9 00 10 00 00 8B 68 04 33 D2 FF 55 00 89 43 20 8B 5E 14 33 C0 33 D2 C7 43 08 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? C7 43 10 ?? ?? ?? ?? C7 43 14 ?? ?? ?? ?? C7 43 18 ?? ?? ?? ?? 89 7B 1C 89 43 04 89 13 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11747_0 {
	meta:
		name = "jpeg_start_decompress"
		size = 388
		refs = "000f @jinit_master_decompress"
	strings:
		$1 = { 53 8B D8 81 7B 10 CA 00 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 7B 3C 00 74 0E C7 43 10 CF 00 00 00 B8 01 00 00 00 5B C3 C7 43 10 CB 00 00 00 81 7B 10 CB 00 00 00 75 68 8B 93 A6 01 00 00 83 7A 10 00 74 4E 83 7B 08 00 74 07 8B C3 8B 50 08 FF 12 8B C3 8B 90 A6 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 83 F8 02 74 2A 83 7B 08 00 74 D6 83 F8 03 74 03 48 75 CE 8B 53 08 FF 42 04 8B 4A 04 8B 43 08 3B 48 08 7C BD 8B 93 32 01 00 00 01 50 08 EB B2 8B 8B 8C 00 00 00 89 8B 94 00 00 00 EB 1E 81 7B 10 CC 00 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C3 E8 04 00 00 00 5B C3 90 90 53 8B D8 56 57 81 7B 10 CC 00 00 00 0F 84 83 00 00 00 8B C3 8B 90 96 01 00 00 FF 12 33 C9 89 8B 88 00 00 00 C7 43 10 CC 00 00 00 EB 68 EB 3E 8B 43 08 85 C0 74 10 89 50 04 8B 53 70 89 50 08 8B C3 8B 50 08 FF 12 8B C3 8B B3 88 00 00 00 6A 00 8D 8B 88 00 00 00 8B B8 9A 01 00 00 33 D2 FF 57 04 3B B3 88 00 00 00 75 04 33 C0 EB 48 8B 93 88 00 00 00 3B 53 70 72 B7 8B C3 8B 90 96 01 00 00 FF 52 04 8B C3 8B 90 96 01 00 00 FF 12 33 C9 89 8B 88 00 00 00 8B 83 96 01 00 00 83 78 08 00 75 CC 83 7B 40 00 BA CE 00 00 00 75 01 4A 89 53 10 B8 01 00 00 00 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11748_0 {
	meta:
		name = "jpeg_read_scanlines"
		size = 316
	strings:
		$1 = { 53 8B D8 56 57 51 8B F9 81 7B 10 CD 00 00 00 8B F2 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B 88 00 00 00 3B 4B 70 72 17 8B 03 C7 40 14 77 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 C0 EB 40 8B 43 08 85 C0 74 16 8B 93 88 00 00 00 89 50 04 8B 4B 70 89 48 08 8B C3 8B 50 08 FF 12 33 C9 8B C3 89 0C 24 57 8B D6 8B B0 9A 01 00 00 8D 4C 24 04 FF 56 04 8B 04 24 01 83 88 00 00 00 8B 04 24 5A 5F 5E 5B C3 90 53 8B D8 56 57 55 8B E9 81 7B 10 CE 00 00 00 8B FA 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B 88 00 00 00 3B 4B 70 72 17 8B 03 C7 40 14 77 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 C0 EB 5A 8B 43 08 85 C0 74 16 8B 93 88 00 00 00 89 50 04 8B 4B 70 89 48 08 8B C3 8B 50 08 FF 12 8B B3 2A 01 00 00 0F AF B3 2E 01 00 00 3B F5 76 0F 8B 03 C7 40 14 15 00 00 00 8B C3 8B 10 FF 12 8B D7 8B C3 8B 88 9E 01 00 00 FF 51 0C 85 C0 75 04 33 C0 EB 08 01 B3 88 00 00 00 8B C6 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11749_0 {
	meta:
		name = "jpeg_start_output"
		size = 96
	strings:
		$1 = { 53 8B D8 56 8B F2 8B 43 10 3D CF 00 00 00 74 1C 3D CC 00 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 85 F6 7F 05 BE 01 00 00 00 8B 83 A6 01 00 00 83 78 14 00 74 0E 3B B3 8C 00 00 00 7E 06 8B B3 8C 00 00 00 89 B3 94 00 00 00 8B C3 E8 AC FD FF FF 5E 5B C3 90 }
	condition:
		$1
}

rule function_11750_0 {
	meta:
		name = "jpeg_finish_output"
		size = 136
	strings:
		$1 = { 53 8B D8 8B 43 10 3D CD 00 00 00 74 07 3D CE 00 00 00 75 1A 83 7B 3C 00 74 14 8B C3 8B 90 96 01 00 00 FF 52 04 C7 43 10 D0 00 00 00 EB 32 81 7B 10 D0 00 00 00 74 29 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 EB 12 8B C3 8B 90 A6 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 8B 93 8C 00 00 00 3B 93 94 00 00 00 7F 0C 8B 8B A6 01 00 00 83 79 14 00 74 D4 C7 43 10 CF 00 00 00 B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_11751_0 {
	meta:
		name = "_DF_"
		size = 144
	strings:
		$1 = { 53 83 78 48 00 75 09 83 B8 22 01 00 00 00 74 04 33 C0 5B C3 83 78 24 03 75 12 83 78 20 03 75 0C 83 78 28 02 75 06 83 78 74 03 74 04 33 C0 5B C3 8B 90 D4 00 00 00 83 7A 08 02 75 24 83 7A 5C 01 75 1E 83 BA B0 00 00 00 01 75 15 83 7A 0C 02 7F 0F 83 7A 60 01 75 09 83 BA B4 00 00 00 01 74 04 33 C0 5B C3 8B 90 D4 00 00 00 8B 5A 24 8B 88 2E 01 00 00 3B D9 75 0D 3B 4A 78 75 08 3B 8A CC 00 00 00 74 04 33 C0 5B C3 B8 01 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_11752_0 {
	meta:
		name = "jpeg_calc_output_dimensions"
		size = 1644
		refs = "0222 _memset 027f _memcpy 0364 @jinit_1pass_quantizer 0380 @jinit_2pass_quantizer 039c @jinit_merged_upsampler 03a5 @jinit_color_deconverter 03ac @jinit_upsampler 03b6 @jinit_d_post_controller 03bd @jinit_inverse_dct 03e7 @jinit_phuff_decoder 03f0 @jinit_huff_decoder 0414 @jinit_d_coef_controller 0423 @jinit_d_main_controller"
	strings:
		$1 = { 53 8B D8 56 57 81 7B 10 CA 00 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 4B 2C C1 E1 03 3B 4B 30 77 35 8B 43 18 83 C0 07 85 C0 79 03 83 C0 07 C1 F8 03 89 43 6C 8B 53 1C 83 C2 07 85 D2 79 03 83 C2 07 C1 FA 03 89 53 70 C7 83 2E 01 00 00 01 00 00 00 E9 85 00 00 00 8B 4B 2C C1 E1 02 3B 4B 30 77 32 8B 43 18 83 C0 03 85 C0 79 03 83 C0 03 C1 F8 02 89 43 6C 8B 53 1C 83 C2 03 85 D2 79 03 83 C2 03 C1 FA 02 89 53 70 C7 83 2E 01 00 00 02 00 00 00 EB 48 8B 4B 2C 03 C9 3B 4B 30 77 28 8B 43 18 40 D1 F8 79 03 83 D0 00 89 43 6C 8B 53 1C 42 D1 FA 79 03 83 D2 00 89 53 70 C7 83 2E 01 00 00 04 00 00 00 EB 16 8B 4B 18 89 4B 6C 8B 43 1C 89 43 70 C7 83 2E 01 00 00 08 00 00 00 33 F6 8B 8B D4 00 00 00 EB 48 8B 83 2E 01 00 00 EB 02 03 C0 83 F8 08 7D 32 8B 51 08 0F AF D0 03 D2 8B BB 26 01 00 00 0F AF BB 2E 01 00 00 3B D7 7F 19 8B 51 0C 0F AF D0 03 D2 8B BB 2A 01 00 00 0F AF BB 2E 01 00 00 3B D7 7E C7 89 41 24 46 83 C1 54 3B 73 20 7C B3 33 F6 8B 8B D4 00 00 00 EB 3A 8B 41 08 8B BB 26 01 00 00 F7 69 24 F7 6B 18 C1 E7 03 46 03 C7 48 99 F7 FF 89 41 28 8B 41 0C 8B BB 2A 01 00 00 F7 69 24 F7 6B 1C C1 E7 03 03 C7 48 99 F7 FF 89 41 2C 83 C1 54 3B 73 20 7C C1 8B 43 28 48 74 0D 48 83 E8 02 72 10 83 E8 02 72 14 EB 1B C7 43 74 01 00 00 00 EB 18 C7 43 74 03 00 00 00 EB 0F C7 43 74 04 00 00 00 EB 06 8B 4B 20 89 4B 74 83 7B 50 00 74 07 B8 01 00 00 00 EB 03 8B 43 74 89 43 78 8B C3 E8 9A FD FF FF 85 C0 74 0B 8B 93 2A 01 00 00 89 53 7C EB 07 C7 43 7C 01 00 00 00 5F 5E 5B C3 53 8B D8 8B C3 56 B9 80 05 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 81 C6 00 01 00 00 89 B3 36 01 00 00 68 00 01 00 00 6A 00 8D 86 00 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B D6 88 02 40 42 3D FF 00 00 00 7E F5 81 C6 80 00 00 00 B8 80 00 00 00 8D 96 80 00 00 00 C6 02 FF 40 42 3D 00 02 00 00 7C F4 68 80 01 00 00 6A 00 8D 8E 00 02 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C 68 80 00 00 00 8B 83 36 01 00 00 50 81 C6 80 03 00 00 56 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 90 90 90 53 8B D8 56 8B C3 8B B3 96 01 00 00 E8 63 FD FF FF 8B C3 E8 4C FF FF FF 8B 43 6C F7 6B 74 8B D0 3B C2 74 0F 8B 0B 8B C3 C7 41 14 45 00 00 00 8B 10 FF 12 33 C9 8B C3 89 4E 0C E8 A5 FC FF FF 89 46 10 33 D2 89 56 14 33 C9 89 4E 18 83 7B 50 00 74 06 83 7B 3C 00 75 0F 33 C0 89 43 60 33 D2 89 53 64 33 C9 89 4B 68 83 7B 50 00 0F 84 90 00 00 00 83 7B 40 00 74 0F 8B 03 C7 40 14 2E 00 00 00 8B C3 8B 10 FF 12 83 7B 74 03 74 1B C7 43 60 01 00 00 00 33 C9 89 4B 64 33 C0 89 43 68 33 D2 89 93 84 00 00 00 EB 28 83 BB 84 00 00 00 00 74 09 C7 43 64 01 00 00 00 EB 16 83 7B 58 00 74 09 C7 43 68 01 00 00 00 EB 07 C7 43 60 01 00 00 00 83 7B 60 00 74 10 8B C3 E8 ?? ?? ?? ?? 8B 93 BE 01 00 00 89 56 14 83 7B 68 00 75 06 83 7B 64 00 74 10 8B C3 E8 ?? ?? ?? ?? 8B 93 BE 01 00 00 89 56 18 83 7B 40 00 75 27 83 7E 10 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 68 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB DC 00 00 00 00 74 11 8B 13 8B C3 C7 42 14 01 00 00 00 8B 10 FF 12 EB 19 83 BB D8 00 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 93 A6 01 00 00 83 7A 10 00 75 0A 83 7B 3C 00 75 04 33 C0 EB 05 B8 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7B 40 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 50 04 FF 52 18 8B C3 8B 90 A6 01 00 00 FF 52 08 83 7B 08 00 74 57 83 7B 3C 00 75 51 8B 8B A6 01 00 00 83 79 10 00 74 45 83 BB D8 00 00 00 00 74 0B 8B 53 20 8D 14 52 83 C2 02 EB 03 8B 53 20 8B 43 08 33 C9 89 48 04 8B 8B 32 01 00 00 0F AF CA 89 48 08 33 D2 89 50 0C B8 03 00 00 00 83 7B 68 00 75 01 48 8B 53 08 89 42 10 FF 46 0C 5E 5B C3 90 90 53 8B D8 56 8B B3 96 01 00 00 83 7E 08 00 74 34 33 C0 33 D2 89 46 08 8B C3 8B 88 BE 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 A2 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 9A 01 00 00 FF 11 E9 B9 00 00 00 83 7B 50 00 74 47 83 BB 84 00 00 00 00 75 3E 83 7B 58 00 74 18 83 7B 68 00 74 12 8B 56 18 89 93 BE 01 00 00 C7 46 08 01 00 00 00 EB 20 83 7B 60 00 74 0B 8B 46 14 89 83 BE 01 00 00 EB 0F 8B 13 8B C3 C7 42 14 2D 00 00 00 8B 10 FF 12 8B C3 8B 90 B2 01 00 00 FF 12 8B C3 8B 90 9E 01 00 00 FF 52 08 83 7B 40 00 75 51 83 7E 10 00 75 0A 8B C3 8B 90 BA 01 00 00 FF 12 8B C3 8B 90 B6 01 00 00 FF 12 83 7B 50 00 74 0D 8B 56 08 8B C3 8B 88 BE 01 00 00 FF 11 83 7E 08 00 BA 03 00 00 00 75 03 83 C2 FD 8B C3 8B 88 A2 01 00 00 FF 11 33 D2 8B C3 8B 88 9A 01 00 00 FF 11 8B 43 08 85 C0 74 3F 8B 56 0C 89 50 0C B9 02 00 00 00 83 7E 08 00 75 01 49 03 4E 0C 8B 43 08 89 48 10 83 7B 3C 00 74 1E 8B 93 A6 01 00 00 83 7A 14 00 75 12 83 7B 68 00 B9 02 00 00 00 75 01 49 8B 43 08 01 48 10 5E 5B C3 90 90 53 83 78 50 00 8B 98 96 01 00 00 74 09 8B 90 BE 01 00 00 FF 52 08 FF 43 0C 5B C3 90 53 8B D8 56 81 7B 10 CF 00 00 00 8B B3 96 01 00 00 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 83 7B 50 00 74 2B 83 7B 64 00 74 25 83 BB 84 00 00 00 00 74 1C 8B C3 8B 4E 18 89 8B BE 01 00 00 8B 90 BE 01 00 00 FF 52 0C 33 C9 89 4E 08 5E 5B C3 8B 03 C7 40 14 2D 00 00 00 8B C3 8B 10 FF 12 5E 5B C3 90 }
	condition:
		$1
}

rule function_11753_0 {
	meta:
		name = "@jinit_master_decompress"
		size = 55
		refs = "001d _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 1C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 96 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? 33 D2 89 50 08 8B C3 E8 EC FB FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_11754_0 {
	meta:
		name = "_DF_"
		size = 3416
		refs = "018f _DF_ 0213 @jpeg_make_d_derived_tbl 03f3 @jpeg_fill_bit_buffer 0466 @jpeg_huff_decode 04bf _DV_ 0739 _jpeg_natural_order"
	strings:
		$1 = { 53 56 8B D8 57 55 83 C4 EC 83 BB 82 01 00 00 00 0F 94 C0 83 E0 01 8B AB AE 01 00 00 89 04 24 33 C0 83 3C 24 00 74 10 83 BB 86 01 00 00 00 74 2D B8 01 00 00 00 EB 26 8B 93 86 01 00 00 3B 93 82 01 00 00 7C 05 83 FA 40 7C 05 B8 01 00 00 00 83 BB 3A 01 00 00 01 74 05 B8 01 00 00 00 8B 93 8A 01 00 00 85 D2 74 0E 4A 3B 93 8E 01 00 00 74 05 B8 01 00 00 00 83 BB 8E 01 00 00 0D 7E 05 B8 01 00 00 00 85 C0 74 33 8B 03 C7 40 14 0E 00 00 00 8B 93 82 01 00 00 89 50 18 8B 8B 86 01 00 00 89 48 1C 8B 93 8A 01 00 00 89 50 20 8B 8B 8E 01 00 00 89 48 24 8B C3 8B 10 FF 12 33 C0 89 44 24 04 8D 8B 3E 01 00 00 89 4C 24 0C E9 9E 00 00 00 8B 44 24 0C 8B 10 8B 4A 04 89 4C 24 08 8B 74 24 08 C1 E6 08 03 B3 9C 00 00 00 83 3C 24 00 75 24 83 3E 00 7D 1F 8B 03 33 C9 C7 40 14 6F 00 00 00 8B 54 24 08 89 50 18 89 48 1C 8B C3 83 CA FF 8B 08 FF 51 04 8B BB 82 01 00 00 8D 04 BE 8B F0 EB 3C 83 3E 00 7D 04 33 C0 EB 02 8B 06 3B 83 8A 01 00 00 74 1D 8B 03 C7 40 14 6F 00 00 00 8B 54 24 08 89 50 18 89 78 1C 83 CA FF 8B C3 8B 08 FF 51 04 8B 83 8E 01 00 00 89 06 47 83 C6 04 3B BB 86 01 00 00 7E BC FF 44 24 04 83 44 24 0C 04 8B 54 24 04 3B 93 3A 01 00 00 0F 8C 52 FF FF FF 83 BB 8A 01 00 00 00 75 18 83 3C 24 00 74 09 C7 45 04 ?? ?? ?? ?? EB 1F C7 45 04 ?? ?? ?? ?? EB 16 83 3C 24 00 74 09 C7 45 04 ?? ?? ?? ?? EB 07 C7 45 04 ?? ?? ?? ?? 33 C9 8D 45 18 89 4C 24 04 89 44 24 10 8D BB 3E 01 00 00 E9 A2 00 00 00 8B 07 83 3C 24 00 74 45 83 BB 8A 01 00 00 00 75 7D 8B 70 14 85 F6 7C 0F 83 FE 04 7D 0A 83 BC B3 B0 00 00 00 00 75 12 8B 03 C7 40 14 31 00 00 00 89 70 18 8B C3 8B 10 FF 12 8D 4C B5 2C 8B 94 B3 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 41 8B 70 18 85 F6 7C 0F 83 FE 04 7D 0A 83 BC B3 C0 00 00 00 00 75 12 8B 03 C7 40 14 31 00 00 00 89 70 18 8B C3 8B 10 FF 12 8D 4C B5 2C 8B 94 B3 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4C B5 2C 89 4D 3C 8B 44 24 10 33 D2 89 10 FF 44 24 04 83 44 24 10 04 83 C7 04 8B 4C 24 04 3B 8B 3A 01 00 00 0F 8C 4E FF FF FF 33 C0 33 D2 89 45 0C 89 55 08 33 C9 33 C0 89 4D 10 89 45 14 8B 93 10 01 00 00 89 55 28 83 C4 14 5D 5F 5E 5B C3 90 53 8B D8 56 8B B3 AE 01 00 00 8B 46 0C 85 C0 79 03 83 C0 07 C1 F8 03 8B 93 AA 01 00 00 01 42 5C 33 C9 89 4E 0C 8B C3 8B 90 AA 01 00 00 FF 52 08 85 C0 75 05 33 C0 5E 5B C3 33 D2 8D 46 18 EB 08 33 C9 42 89 08 83 C0 04 3B 93 3A 01 00 00 7C F0 33 D2 89 56 14 33 D2 8B 83 10 01 00 00 89 46 28 B8 01 00 00 00 89 56 10 5E 5B C3 90 53 56 57 55 8B E8 83 C4 AC 8B DA 8B 85 AE 01 00 00 89 04 24 8B 95 8E 01 00 00 89 54 24 04 83 BD 10 01 00 00 00 74 1B 8B 0C 24 83 79 28 00 75 12 8B C5 E8 5D FF FF FF 85 C0 75 07 33 C0 E9 00 02 00 00 89 6C 24 38 8B 45 14 8B 10 89 54 24 24 8B 48 04 89 4C 24 28 B9 05 00 00 00 8B 85 92 01 00 00 89 44 24 2C 8B 04 24 8B 14 24 8B 70 0C 8B 04 24 8B 7A 08 83 C0 10 89 44 24 3C 8B 14 24 56 57 8D 7C 24 48 8D 72 14 8D 95 5A 01 00 00 F3 A5 5F 5E 33 C0 8B CB 89 44 24 08 89 54 24 20 89 4C 24 1C E9 4A 01 00 00 8B 44 24 1C 8B 10 89 54 24 10 8B 4C 24 20 8B 01 89 44 24 0C 8B 54 24 0C 8B 84 95 3E 01 00 00 8B 50 14 8B 0C 24 8B 44 91 2C 89 44 24 14 83 FE 08 7D 31 6A 00 8D 44 24 28 8B CE 8B D7 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 50 01 00 00 8B 7C 24 30 8B 74 24 34 83 FE 08 7D 0A C7 44 24 18 01 00 00 00 EB 3A 8D 4E F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 14 8B 94 82 D4 00 00 00 89 54 24 18 85 D2 74 13 2B 74 24 18 8B 4C 24 14 33 DB 8A 9C 01 D4 04 00 00 EB 34 C7 44 24 18 09 00 00 00 8B 44 24 14 8B CE 50 8B 54 24 1C 52 8B D7 8D 44 24 2C E8 ?? ?? ?? ?? 8B D8 85 C0 7D 07 33 C0 E9 DB 00 00 00 8B 7C 24 30 8B 74 24 34 85 DB 74 51 3B DE 7E 21 53 8D 44 24 28 8B CE 8B D7 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 B2 00 00 00 8B 7C 24 30 8B 74 24 34 2B F3 8B CE 8B C7 D3 F8 8B CB BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 9D ?? ?? ?? ?? 7D 0B 8B 14 9D ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B DA 8B 44 24 0C 8B 4C 24 0C 03 5C 84 44 89 5C 8C 44 8B 4C 24 04 8B 44 24 10 66 D3 E3 66 89 18 FF 44 24 08 83 44 24 20 04 83 44 24 1C 04 8B 95 56 01 00 00 3B 54 24 08 0F 8F A6 FE FF FF 8B 45 14 8B 54 24 24 89 10 8B 4C 24 28 89 48 04 8B 44 24 2C 89 85 92 01 00 00 8B 14 24 89 7A 08 8B 0C 24 89 71 0C 8D 74 24 40 8B 04 24 B9 05 00 00 00 8D 78 14 F3 A5 8B 04 24 FF 48 28 B8 01 00 00 00 83 C4 54 5D 5F 5E 5B C3 90 90 53 56 57 55 83 C4 C4 8B F2 89 04 24 8B 04 24 8B 90 AE 01 00 00 89 54 24 04 8B 0C 24 8B 81 86 01 00 00 89 44 24 08 8B 14 24 8B 8A 8E 01 00 00 89 4C 24 0C 8B 04 24 83 B8 10 01 00 00 00 74 1D 8B 54 24 04 83 7A 28 00 75 13 8B 04 24 E8 F7 FC FF FF 85 C0 75 07 33 C0 E9 3C 02 00 00 8B 54 24 04 8B 4A 14 89 4C 24 14 83 7C 24 14 00 76 09 FF 4C 24 14 E9 0A 02 00 00 8B 04 24 89 44 24 34 8B 14 24 8B 42 14 8B 10 89 54 24 20 8B 48 04 89 4C 24 24 8B 04 24 8B 90 92 01 00 00 89 54 24 28 8B 44 24 04 8B 4C 24 04 8B 58 0C 8B 44 24 04 8B 69 08 83 C0 10 89 44 24 38 8B 16 89 54 24 18 8B 4C 24 04 8B 41 3C 89 44 24 1C 8B 14 24 8B 8A 82 01 00 00 89 4C 24 10 8B 44 24 10 3B 44 24 08 0F 8F 70 01 00 00 83 FB 08 7D 2E 6A 00 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 96 01 00 00 8B 6C 24 2C 8B 5C 24 30 83 FB 08 7D 07 BE 01 00 00 00 EB 30 8D 4B F8 8B C5 D3 F8 25 FF 00 00 00 8B 54 24 1C 8B B4 82 D4 00 00 00 85 F6 74 10 2B DE 8B 54 24 1C 0F B6 BC 02 D4 04 00 00 EB 2D BE 09 00 00 00 8B 44 24 1C 50 56 8D 44 24 28 8B CB 8B D5 E8 ?? ?? ?? ?? 8B F8 85 C0 7D 07 33 C0 E9 32 01 00 00 8B 6C 24 2C 8B 5C 24 30 8B F7 C1 FE 04 83 E7 0F 85 FF 74 71 01 74 24 10 3B FB 7E 21 57 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 FD 00 00 00 8B 6C 24 2C 8B 5C 24 30 2B DF 8B CB 8B F5 D3 FE 8B CF B8 01 00 00 00 D3 E0 48 23 F0 3B 34 BD ?? ?? ?? ?? 7D 0B 8B 14 BD ?? ?? ?? ?? 03 D6 EB 02 8B D6 8B FA 8B 4C 24 0C 66 D3 E7 8B 44 24 10 8B 04 85 ?? ?? ?? ?? 8B 54 24 18 66 89 3C 42 EB 56 83 FE 0F 75 07 83 44 24 10 0F EB 4A 8B CE BF 01 00 00 00 D3 E7 89 7C 24 14 85 F6 74 33 3B F3 7E 1E 56 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 76 8B 6C 24 2C 8B 5C 24 30 2B DE 8B C5 8B CB 4F D3 F8 23 C7 8B F0 01 74 24 14 FF 4C 24 14 EB 12 FF 44 24 10 8B 54 24 10 3B 54 24 08 0F 8E 90 FE FF FF 8B 04 24 8B 40 14 8B 54 24 20 89 10 8B 4C 24 24 89 48 04 8B 04 24 8B 54 24 28 89 90 92 01 00 00 8B 4C 24 04 89 69 08 8B 44 24 04 89 58 0C 8B 54 24 04 8B 4C 24 14 89 4A 14 8B 44 24 04 FF 48 28 B8 01 00 00 00 83 C4 3C 5D 5F 5E 5B C3 53 56 8B D8 57 83 C4 D4 8B F2 8B 83 AE 01 00 00 BA 01 00 00 00 89 04 24 8B 8B 8E 01 00 00 D3 E2 89 54 24 04 83 BB 10 01 00 00 00 74 1B 8B 04 24 83 78 28 00 75 12 8B C3 E8 6B FA FF FF 85 C0 75 07 33 C0 E9 C6 00 00 00 89 5C 24 24 8B 43 14 8B 10 89 54 24 10 8B 48 04 89 4C 24 14 8B 83 92 01 00 00 89 44 24 18 8B 04 24 8B 14 24 8B 0C 24 83 C1 10 8B 52 08 8B 40 0C 89 4C 24 28 33 C9 89 4C 24 08 8B CE 8B F1 EB 49 8B 0E 83 F8 01 89 4C 24 0C 7D 1C 6A 01 8D 4C 24 14 91 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 67 8B 54 24 1C 8B 44 24 20 48 8B C8 8B FA D3 FF F7 C7 01 00 00 00 74 0C 8B 4C 24 0C 66 8B 7C 24 04 66 09 39 FF 44 24 08 83 C6 04 8B 4C 24 08 3B 8B 56 01 00 00 7C AB 8B 4B 14 8B 74 24 10 89 31 8B 74 24 14 89 71 04 8B 4C 24 18 89 8B 92 01 00 00 8B 0C 24 89 51 08 8B 14 24 89 42 0C 8B 04 24 FF 48 28 B8 01 00 00 00 83 C4 2C 5F 5E 5B C3 90 90 90 53 56 57 55 81 C4 B0 FE FF FF 8B FA 89 04 24 8B 04 24 8B 90 AE 01 00 00 89 54 24 04 8B 0C 24 8B 81 86 01 00 00 89 44 24 08 8B 14 24 8B 82 8E 01 00 00 BA 01 00 00 00 8B C8 D3 E2 8B C8 83 C8 FF D3 E0 89 54 24 0C 89 44 24 10 8B 14 24 83 BA 10 01 00 00 00 74 1D 8B 44 24 04 83 78 28 00 75 13 8B 04 24 E8 28 F9 FF FF 85 C0 75 07 33 C0 E9 C5 03 00 00 8B 14 24 89 54 24 48 8B 0C 24 8B 41 14 8B 10 89 54 24 34 8B 48 04 89 4C 24 38 8B 04 24 8B 90 92 01 00 00 89 54 24 3C 8B 44 24 04 8B 4C 24 04 8B 58 0C 8B 44 24 04 8B 71 08 83 C0 10 89 44 24 4C 8B 54 24 04 8B 4A 14 89 4C 24 18 8B 07 89 44 24 1C 33 C0 8B 54 24 04 8B 4A 3C 89 4C 24 24 89 44 24 28 8B 14 24 8B 8A 82 01 00 00 89 4C 24 14 83 7C 24 18 00 0F 85 2D 02 00 00 8B 44 24 28 8D 54 84 50 89 54 24 30 8B 4C 24 14 8D 04 8D ?? ?? ?? ?? 89 44 24 2C 8B 54 24 14 3B 54 24 08 0F 8F 04 02 00 00 83 FB 08 7D 2B 6A 00 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 DB 02 00 00 8B 74 24 40 8B 5C 24 44 83 FB 08 7D 07 BD 01 00 00 00 EB 30 8D 4B F8 8B C6 D3 F8 25 FF 00 00 00 8B 54 24 24 8B AC 82 D4 00 00 00 85 ED 74 10 2B DD 8B 54 24 24 0F B6 BC 02 D4 04 00 00 EB 2A BD 09 00 00 00 8B 44 24 24 50 55 8D 44 24 3C 8B CB 8B D6 E8 ?? ?? ?? ?? 8B F8 85 C0 0F 8C 7A 02 00 00 8B 74 24 40 8B 5C 24 44 8B EF C1 FD 04 83 E7 0F 85 FF 74 55 4F 74 17 8B 04 24 8B 10 C7 42 14 72 00 00 00 83 CA FF 8B 04 24 8B 08 FF 51 04 83 FB 01 7D 1F 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 30 02 00 00 8B 74 24 40 8B 5C 24 44 4B 8B CB 8B C6 D3 F8 A8 01 74 06 8B 7C 24 0C EB 58 8B 7C 24 10 EB 52 83 FD 0F 74 4D 8B CD BF 01 00 00 00 D3 E7 89 7C 24 18 85 ED 0F 84 04 01 00 00 3B EB 7E 1E 55 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 DD 01 00 00 8B 74 24 40 8B 5C 24 44 2B DD 8B C6 8B CB 4F D3 F8 23 C7 8B E8 01 6C 24 18 E9 CC 00 00 00 8B 54 24 2C 8B 02 03 C0 03 44 24 1C 89 44 24 20 8B 54 24 20 66 83 3A 00 74 60 83 FB 01 7D 1F 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 89 01 00 00 8B 74 24 40 8B 5C 24 44 4B 8B CB 8B C6 D3 F8 A8 01 74 34 8B 54 24 20 66 8B 02 0F BF D0 23 54 24 0C 75 24 66 85 C0 7C 0E 8B 4C 24 20 66 8B 44 24 0C 66 01 01 EB 11 8B 54 24 20 66 8B 4C 24 10 66 01 0A EB 03 4D 78 17 FF 44 24 14 83 44 24 2C 04 8B 44 24 14 3B 44 24 08 0F 8E 6C FF FF FF 85 FF 74 1D 8B 54 24 2C 8B 02 8B 54 24 1C 66 89 3C 42 8B 4C 24 30 89 01 FF 44 24 28 83 44 24 30 04 FF 44 24 14 83 44 24 2C 04 8B 44 24 14 3B 44 24 08 0F 8E FC FD FF FF 83 7C 24 18 00 0F 86 A1 00 00 00 8B 54 24 14 3B 54 24 08 0F 8F 8F 00 00 00 8B 4C 24 14 8B 04 8D ?? ?? ?? ?? 03 C0 03 44 24 1C 89 44 24 20 8B 54 24 20 66 83 3A 00 74 5E 83 FB 01 7D 1F 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 9F 00 00 00 8B 74 24 40 8B 5C 24 44 4B 8B CB 8B C6 D3 F8 A8 01 74 2F 8B 54 24 20 66 8B 02 0F BF D0 23 54 24 0C 75 1F 66 85 C0 7C 0E 8B 4C 24 20 66 8B 44 24 0C 66 01 01 EB 0C 8B 54 24 20 66 8B 4C 24 10 66 01 0A FF 44 24 14 8B 44 24 14 3B 44 24 08 0F 8E 71 FF FF FF FF 4C 24 18 8B 14 24 8B 42 14 8B 54 24 34 89 10 8B 4C 24 38 89 48 04 8B 04 24 8B 54 24 3C 89 90 92 01 00 00 8B 4C 24 04 89 71 08 8B 44 24 04 89 58 0C 8B 54 24 04 8B 4C 24 18 89 4A 14 8B 44 24 04 FF 48 28 B8 01 00 00 00 EB 2B 8B 54 24 28 83 7C 24 28 00 8D 44 94 50 7E 1A FF 4C 24 28 83 C0 FC 8B 10 8B 4C 24 1C 66 C7 04 51 00 00 83 7C 24 28 00 7F E6 33 C0 81 C4 50 01 00 00 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_11755_0 {
	meta:
		name = "@jinit_phuff_decoder"
		size = 116
		refs = "001f _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 40 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B D0 89 93 AE 01 00 00 C7 02 ?? ?? ?? ?? 33 C0 8D 4A 2C 8B D1 33 C9 40 89 0A 83 C2 04 83 F8 04 7C F3 8B C3 8B 4B 20 C1 E1 06 BA 01 00 00 00 8B 70 04 C1 E1 02 FF 16 8B F0 89 B3 9C 00 00 00 8B D6 33 C9 EB 12 33 C0 C7 02 FF FF FF FF 83 C2 04 40 83 F8 40 7C F1 41 3B 4B 20 7C E9 5E 5B C3 }
	condition:
		$1
}

rule function_11756_0 {
	meta:
		name = "_DF_"
		size = 288
	strings:
		$1 = { 53 56 8B D8 57 55 83 C4 F4 83 BB 82 01 00 00 00 8B AB AE 01 00 00 75 1B 83 BB 86 01 00 00 3F 75 12 83 BB 8A 01 00 00 00 75 09 83 BB 8E 01 00 00 00 74 13 8B 03 C7 40 14 76 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 D2 89 14 24 8D 45 14 89 44 24 08 8D 93 3E 01 00 00 89 54 24 04 E9 8F 00 00 00 8B 4C 24 04 8B 01 8B 70 14 8B 78 18 85 F6 7C 0F 83 FE 04 7D 0A 83 BC B3 B0 00 00 00 00 75 12 8B 03 C7 40 14 31 00 00 00 89 70 18 8B C3 8B 10 FF 12 85 FF 7C 0F 83 FF 04 7D 0A 83 BC BB C0 00 00 00 00 75 12 8B 03 C7 40 14 31 00 00 00 89 78 18 8B C3 8B 10 FF 12 8D 4C B5 28 8B 94 B3 B0 00 00 00 8B C3 E8 57 00 00 00 8D 4C BD 38 8B 94 BB C0 00 00 00 8B C3 E8 45 00 00 00 8B 4C 24 08 33 C0 89 01 FF 04 24 83 44 24 08 04 83 44 24 04 04 8B 14 24 3B 93 3A 01 00 00 0F 8C 62 FF FF FF 33 C9 89 4D 0C 33 C0 89 45 08 33 D2 89 55 10 8B 8B 10 01 00 00 89 4D 24 83 C4 0C 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_11757_0 {
	meta:
		name = "@jpeg_make_d_derived_tbl"
		size = 536
		refs = "0147 _memset"
	strings:
		$1 = { 53 56 57 81 C4 D8 FA FF FF 8B D9 8B F8 89 14 24 8D 74 24 20 83 3B 00 75 13 8B C7 B9 D4 05 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 03 8B 03 BF 01 00 00 00 89 44 24 04 33 C0 8B 54 24 04 8B 0C 24 89 8A D0 00 00 00 89 44 24 08 8B 04 24 8D 48 01 C7 44 24 0C 01 00 00 00 8B 54 24 08 8D 04 16 8B D1 EB 0D 8B DF 88 18 FF 44 24 08 40 FF 44 24 0C 33 DB 8A 1A 3B 5C 24 0C 7D E9 47 41 83 FF 10 7E CF 8B 44 24 08 33 C9 C6 04 06 00 33 C0 0F BE 1E 89 44 24 08 EB 29 8B 54 24 08 8B 44 24 08 8D 04 06 8D 94 94 24 01 00 00 EB 0B 89 0A 83 C2 04 FF 44 24 08 40 41 0F BE 38 3B DF 74 EE 03 C9 43 8B 44 24 08 80 3C 06 00 75 CD 33 D2 BF 01 00 00 00 89 54 24 08 8B 44 24 04 8B 14 24 05 90 00 00 00 42 80 3A 00 74 2F 8B 4C 24 08 89 08 8B 4C 24 08 8B 8C 8C 24 01 00 00 89 88 74 FF FF FF 33 C9 8A 0A 01 4C 24 08 8B 4C 24 08 8B 8C 8C 20 01 00 00 89 48 B8 EB 07 C7 40 B8 FF FF FF FF 47 83 C0 04 42 83 FF 10 7E BB 8B 44 24 04 C7 80 88 00 00 00 FF FF 0F 00 68 00 04 00 00 6A 00 8B 54 24 0C 81 C2 D4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 89 44 24 08 BF 01 00 00 00 8B 04 24 8D 50 01 89 54 24 1C C7 44 24 0C 01 00 00 00 8B 0C 24 8B 44 24 08 8D 54 01 11 89 54 24 18 8B 4C 24 08 8D 84 8C 24 01 00 00 89 44 24 14 8B 54 24 1C 8B CA 89 4C 24 10 EB 5C 8B 44 24 14 BA 08 00 00 00 2B D7 8B 5C 24 18 8B CA 8B 00 D3 E0 8B CA BA 01 00 00 00 D3 E2 8B CA 8B 54 24 04 8B F3 8B 5C 24 04 8D 94 02 D4 04 00 00 85 C9 8D 84 83 D4 00 00 00 7E 0F 89 38 83 C0 04 8A 1E 49 88 1A 42 85 C9 7F F1 FF 44 24 0C 83 44 24 14 04 FF 44 24 18 FF 44 24 08 8B 44 24 10 33 D2 8A 10 3B 54 24 0C 7D 96 47 FF 44 24 1C 83 FF 08 0F 8E 56 FF FF FF 81 C4 28 05 00 00 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_11758_0 {
	meta:
		name = "@jpeg_fill_bit_buffer"
		size = 272
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 56 89 4D F8 89 55 FC 8B 33 8B 43 04 89 45 F4 83 7D F8 19 0F 8D CA 00 00 00 83 7B 08 00 75 7C 83 7D F4 00 75 22 8B 43 14 8B 50 14 FF 52 0C 85 C0 75 07 33 C0 E9 C3 00 00 00 8B 53 14 8B 42 14 8B 30 8B 40 04 89 45 F4 FF 4D F4 33 C0 8A 06 46 3D FF 00 00 00 75 74 83 7D F4 00 75 22 8B 43 14 8B 50 14 FF 52 0C 85 C0 75 07 33 C0 E9 8C 00 00 00 8B 53 14 8B 42 14 8B 30 8B 40 04 89 45 F4 FF 4D F4 33 C0 8A 06 46 3D FF 00 00 00 74 C9 85 C0 75 07 B8 FF 00 00 00 EB 32 89 43 08 8B 55 F8 3B 55 08 7D 40 8B 4B 18 83 39 00 75 1D 8B 43 14 8B 10 C7 42 14 71 00 00 00 83 CA FF 8B 08 FF 51 04 8B 43 18 C7 00 01 00 00 00 33 C0 8B 55 FC C1 E2 08 0B C2 89 45 FC 83 45 F8 08 83 7D F8 19 0F 8C 36 FF FF FF 89 33 8B 4D F4 89 4B 04 8B 45 FC 89 43 0C B8 01 00 00 00 8B 55 F8 89 53 10 5E 5B 8B E5 5D C2 04 00 90 90 90 }
	condition:
		$1
}

rule function_11759_0 {
	meta:
		name = "@jpeg_huff_decode"
		size = 1544
		refs = "033d _DV_ 047d _jpeg_natural_order"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 F8 89 45 FC 8B 7D 08 3B FB 7E 29 57 8B CB 8B 55 F8 8B 45 FC E8 CA FE FF FF 85 C0 75 08 83 C8 FF E9 C7 00 00 00 8B 55 FC 8B 4A 0C 89 4D F8 8B 45 FC 8B 58 10 2B DF 8B 75 F8 8B CB B8 01 00 00 00 D3 FE 8B CF 8B 55 0C D3 E0 48 23 F0 8D 44 BA 44 89 45 F4 EB 40 03 F6 83 FB 01 7D 27 6A 01 8B CB 8B 55 F8 8B 45 FC E8 78 FE FF FF 85 C0 75 05 83 C8 FF EB 78 8B 55 FC 8B 4A 0C 89 4D F8 8B 45 FC 8B 58 10 4B 8B CB 8B 45 F8 D3 F8 83 E0 01 0B F0 47 83 45 F4 04 8B 55 F4 3B 32 7F B9 8B 45 FC 8B 55 F8 83 FF 10 89 50 0C 8B 4D FC 89 59 10 7E 1B 8B 45 FC 8B 40 14 8B 10 C7 42 14 72 00 00 00 83 CA FF 8B 08 FF 51 04 33 C0 EB 21 8B 55 0C 8B 4D 0C 2B 34 BA 8B 55 0C 8B 84 B9 8C 00 00 00 8B 8A D0 00 00 00 8D 04 01 0F B6 44 30 11 5F 5E 5B 8B E5 5D C2 08 00 90 90 53 8B D8 56 8B B3 AE 01 00 00 8B 46 0C 85 C0 79 03 83 C0 07 C1 F8 03 8B 93 AA 01 00 00 01 42 5C 33 C9 89 4E 0C 8B C3 8B 90 AA 01 00 00 FF 52 08 85 C0 75 05 33 C0 5E 5B C3 33 D2 8D 46 14 EB 08 33 C9 42 89 08 83 C0 04 3B 93 3A 01 00 00 7C F0 8B 93 10 01 00 00 33 C0 89 56 24 89 46 10 B8 01 00 00 00 5E 5B C3 90 90 53 56 57 55 83 C4 A4 8B F2 89 04 24 8B 04 24 8B 90 AE 01 00 00 89 54 24 04 8B 0C 24 83 B9 10 01 00 00 00 74 1D 8B 44 24 04 83 78 24 00 75 13 8B 04 24 E8 61 FF FF FF 85 C0 75 07 33 C0 E9 50 04 00 00 8B 14 24 89 54 24 44 8B 0C 24 8B 41 14 8B 10 89 54 24 30 8B 48 04 89 4C 24 34 8B 04 24 8B 90 92 01 00 00 89 54 24 38 8B 44 24 04 8B 4C 24 04 8B 58 0C 8B 44 24 04 8B 79 08 83 C0 10 89 44 24 48 B9 04 00 00 00 8B 54 24 04 56 57 8D 7C 24 54 8D 72 14 F3 A5 5F 5E 33 C0 89 44 24 08 8B C6 8B 14 24 8D 8A 5A 01 00 00 89 4C 24 2C 89 44 24 28 E9 7D 03 00 00 8B 54 24 28 8B 0A 89 4C 24 10 8B 44 24 2C 8B 10 89 54 24 0C 8B 0C 24 8B 44 24 0C 8B AC 81 3E 01 00 00 8B 45 14 8B 54 24 04 8B 4C 82 28 89 4C 24 14 8B 45 18 8B 54 24 04 8B 4C 82 38 89 4C 24 18 83 FB 08 7D 31 6A 00 8D 44 24 34 8B CB 8B D7 E8 7A FC FF FF 85 C0 75 07 33 C0 E9 7D 03 00 00 8B 7C 24 3C 8B 5C 24 40 83 FB 08 7D 0A C7 44 24 1C 01 00 00 00 EB 39 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 14 8B 94 82 D4 00 00 00 89 54 24 1C 85 D2 74 12 2B 5C 24 1C 8B 4C 24 14 0F B6 B4 01 D4 04 00 00 EB 34 C7 44 24 1C 09 00 00 00 8B 44 24 14 8B CB 50 8B 54 24 20 52 8B D7 8D 44 24 38 E8 18 FD FF FF 8B F0 85 C0 7D 07 33 C0 E9 09 03 00 00 8B 7C 24 3C 8B 5C 24 40 85 F6 74 51 3B F3 7E 21 56 8D 44 24 34 8B CB 8B D7 E8 DD FB FF FF 85 C0 75 07 33 C0 E9 E0 02 00 00 8B 7C 24 3C 8B 5C 24 40 2B DE 8B CB 8B C7 D3 F8 8B CE BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 B5 ?? ?? ?? ?? 7D 0B 8B 14 B5 ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B F2 83 7D 30 00 0F 84 4C 01 00 00 8B 44 24 0C 8B 4C 24 0C 03 74 84 4C 89 74 8C 4C 8B 44 24 10 66 89 30 83 7D 24 01 0F 8E 2B 01 00 00 BD 01 00 00 00 83 FB 08 7D 31 6A 00 8D 44 24 34 8B CB 8B D7 E8 5A FB FF FF 85 C0 75 07 33 C0 E9 5D 02 00 00 8B 7C 24 3C 8B 5C 24 40 83 FB 08 7D 0A C7 44 24 20 01 00 00 00 EB 39 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 18 8B 94 82 D4 00 00 00 89 54 24 20 85 D2 74 12 2B 5C 24 20 8B 4C 24 18 0F B6 B4 01 D4 04 00 00 EB 34 C7 44 24 20 09 00 00 00 8B 44 24 18 8B CB 50 8B 54 24 24 52 8B D7 8D 44 24 38 E8 F8 FB FF FF 8B F0 85 C0 7D 07 33 C0 E9 E9 01 00 00 8B 7C 24 3C 8B 5C 24 40 8B C6 C1 F8 04 83 E6 0F 85 F6 74 64 03 E8 3B F3 7E 21 56 8D 44 24 34 8B CB 8B D7 E8 B3 FA FF FF 85 C0 75 07 33 C0 E9 B6 01 00 00 8B 7C 24 3C 8B 5C 24 40 2B DE 8B CB 8B C7 D3 F8 8B CE BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 B5 ?? ?? ?? ?? 7D 0B 8B 14 B5 ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B 04 AD ?? ?? ?? ?? 8B 4C 24 10 8B F2 66 89 34 41 EB 0C 83 F8 0F 0F 85 FB 00 00 00 83 C5 0F 45 83 FD 40 0F 8C DF FE FF FF E9 E9 00 00 00 BD 01 00 00 00 83 FB 08 7D 31 6A 00 8D 44 24 34 8B CB 8B D7 E8 2F FA FF FF 85 C0 75 07 33 C0 E9 32 01 00 00 8B 7C 24 3C 8B 5C 24 40 83 FB 08 7D 0A C7 44 24 24 01 00 00 00 EB 39 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 18 8B 94 82 D4 00 00 00 89 54 24 24 85 D2 74 12 2B 5C 24 24 8B 4C 24 18 0F B6 B4 01 D4 04 00 00 EB 34 C7 44 24 24 09 00 00 00 8B 44 24 18 8B CB 50 8B 54 24 28 52 8B D7 8D 44 24 38 E8 CD FA FF FF 8B F0 85 C0 7D 07 33 C0 E9 BE 00 00 00 8B 7C 24 3C 8B 5C 24 40 8B C6 C1 F8 04 83 E6 0F 85 F6 74 2B 03 E8 3B F3 7E 21 56 8D 44 24 34 8B CB 8B D7 E8 88 F9 FF FF 85 C0 75 07 33 C0 E9 8B 00 00 00 8B 7C 24 3C 8B 5C 24 40 2B DE EB 08 83 F8 0F 75 0D 83 C5 0F 45 83 FD 40 0F 8C 1C FF FF FF FF 44 24 08 83 44 24 2C 04 83 44 24 28 04 8B 04 24 8B 90 56 01 00 00 3B 54 24 08 0F 8F 70 FC FF FF 8B 0C 24 8B 54 24 30 8D 74 24 4C 8B 41 14 89 10 8B 4C 24 34 89 48 04 8B 04 24 8B 54 24 38 89 90 92 01 00 00 8B 4C 24 04 89 79 08 B9 04 00 00 00 8B 44 24 04 89 58 0C 8B 54 24 04 8D 7A 14 F3 A5 8B 44 24 04 FF 48 24 B8 01 00 00 00 83 C4 5C 5D 5F 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_11760_0 {
	meta:
		name = "@jinit_huff_decoder"
		size = 64
		refs = "001d _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 48 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 AE 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? 33 D2 83 C0 38 33 C9 89 08 89 48 F0 42 83 C0 04 83 FA 04 7C F0 5E 5B C3 }
	condition:
		$1
}

rule function_11761_0 {
	meta:
		name = "_DF_"
		size = 1388
		refs = "010a @jcopy_sample_rows"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 04 00 00 8B 9E B6 01 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 10 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 14 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 18 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 43 1C 33 C0 BA 80 FF FF FF 69 CA E9 66 01 00 81 C1 00 80 00 00 8B 73 10 C1 F9 10 89 0C 86 69 CA A2 C5 01 00 81 C1 00 80 00 00 8B 73 14 C1 F9 10 89 0C 86 69 CA 2E 49 FF FF 8B 73 18 89 0C 86 69 CA E6 A7 FF FF 8B 73 1C 81 C1 00 80 00 00 42 89 0C 86 40 3D FF 00 00 00 7E AF 5F 5E 5B C3 90 8B 90 B6 01 00 00 33 C9 89 4A 24 8B 40 70 89 42 2C C3 90 90 55 8B EC 83 C4 EC 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 4D 08 8B 55 10 8B 98 B6 01 00 00 83 7B 24 00 74 28 6A 00 6A 01 8B 43 28 50 8B 4D 0C 8B 09 C1 E1 02 03 CA 8D 43 20 33 D2 E8 ?? ?? ?? ?? BE 01 00 00 00 33 C0 89 43 24 EB 4E BE 02 00 00 00 8B 43 2C 3B F0 76 02 8B F0 8B 45 0C 8B 00 2B C8 3B CE 73 02 8B F1 8B 0C 82 83 FE 01 89 4D EC 76 09 8B 44 82 04 89 45 F0 EB 0D 8B 53 20 89 55 F0 C7 43 24 01 00 00 00 8D 45 EC 50 8B 55 F4 8B 45 FC 8B 0A 8B 55 F8 FF 53 0C 8B 4D 0C 01 31 29 73 2C 83 7B 24 00 75 05 8B 45 F4 FF 00 5E 5B 8B E5 5D C2 10 00 90 55 8B EC 51 53 56 89 55 FC 8B D9 8B 4D 0C 8B 90 B6 01 00 00 8B F2 8B 09 C1 E1 02 03 4D 10 51 8B 0B 8B 55 FC FF 56 0C 8B 45 0C FF 00 FF 03 5E 5B 59 5D C2 10 00 90 90 90 55 8B EC 83 C4 D0 53 56 57 89 45 FC 8B 45 FC 8B 98 B6 01 00 00 8B 45 FC 8B 73 10 8B 80 36 01 00 00 89 75 DC 8B 73 14 89 75 D8 8B 73 18 89 75 D4 8B 5B 1C 89 5D D0 8B 1A 8B 1C 8B 89 5D EC 8B 5A 04 8B 1C 8B 89 5D E8 8B 52 08 8B 0C 8A 89 4D E4 8B 4D FC 8B 55 08 8B 49 6C 8B 12 D1 E9 89 4D E0 83 7D E0 00 0F 86 A1 00 00 00 8B 4D E8 0F B6 09 FF 45 E8 8B 5D E4 0F B6 1B 89 5D F0 FF 45 E4 8B 5D DC 8B 75 F0 8B 1C B3 89 5D F8 8B 5D D0 8B 7D F0 8B 34 8B 8B 5D D4 03 34 BB 8B 5D D8 C1 FE 10 8B 0C 8B 89 4D F4 8B 4D EC 0F B6 09 FF 45 EC 8B 7D F8 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 8D 0C 08 8A 1C 33 88 5A 01 8B 5D F4 8A 0C 19 88 0A 83 C2 03 8B 4D EC 0F B6 09 FF 45 EC 8B 7D F8 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 8D 0C 08 8A 1C 33 88 5A 01 8B 5D F4 8A 0C 19 88 0A 83 C2 03 FF 4D E0 83 7D E0 00 0F 87 5F FF FF FF 8B 4D FC F6 41 6C 01 74 5B 8B 4D E8 8B 5D E4 0F B6 09 0F B6 1B 89 5D F0 8B 5D DC 8B 75 F0 8B 1C B3 89 5D F8 8B 5D D0 8B 7D F0 8B 34 8B 8B 5D D4 03 34 BB 8B 5D D8 C1 FE 10 8B 0C 8B 89 4D F4 8B 4D EC 8B 7D F8 0F B6 09 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 03 C1 8A 1C 33 88 5A 01 8B 4D F4 8A 04 08 88 02 5F 5E 5B 8B E5 5D C2 04 00 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 45 FC 8B 5D 08 8B 45 FC 8B 80 B6 01 00 00 8B 4D FC 8B 89 36 01 00 00 8B 70 10 89 75 D0 8B 70 14 89 75 CC 8B 70 18 89 75 C8 8B 40 1C 89 45 C4 8B 45 F8 03 C0 8B 32 8B 34 86 89 75 E4 8B 32 8B 44 86 04 89 45 E0 8B 42 04 8B 75 F8 8B 04 B0 89 45 DC 8B 52 08 8B 45 F8 8B 14 82 89 55 D8 8B 03 8B 53 04 89 55 E8 8B 55 FC 8B 52 6C D1 EA 89 55 D4 83 7D D4 00 0F 86 0D 01 00 00 8B 55 DC 0F B6 12 FF 45 DC 8B 5D D8 0F B6 1B 89 5D EC FF 45 D8 8B 5D D0 8B 75 EC 8B 1C B3 89 5D F4 8B 5D C4 8B 7D EC 8B 34 93 8B 5D C8 03 34 BB 8B 5D CC C1 FE 10 8B 14 93 89 55 F0 8B 55 E4 0F B6 12 FF 45 E4 8B 5D F4 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 83 C0 03 8B 55 E4 0F B6 12 FF 45 E4 8B 5D F4 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 83 C0 03 8B 55 E0 0F B6 12 FF 45 E0 8B 5D F4 8D 3C 11 8A 1C 1F 8B 7D E8 88 5F 02 8D 1C 11 8B 7D E8 8D 14 11 8A 1C 33 88 5F 01 8B 5D F0 8A 14 1A 8B 5D E8 88 13 83 45 E8 03 8B 55 E0 0F B6 12 FF 45 E0 8B 5D F4 8D 3C 11 8A 1C 1F 8B 7D E8 88 5F 02 8D 1C 11 8D 14 11 8A 1C 33 8B 75 E8 88 5E 01 8B 5D F0 8A 14 1A 8B 5D E8 88 13 83 45 E8 03 FF 4D D4 83 7D D4 00 0F 87 F3 FE FF FF 8B 55 FC F6 42 6C 01 0F 84 8C 00 00 00 8B 55 DC 8B 5D D8 0F B6 12 0F B6 1B 89 5D EC 8B 5D D0 8B 75 EC 8B 1C B3 89 5D F4 8B 5D C4 8B 7D EC 8B 34 93 8B 5D C8 03 34 BB 8B 5D CC C1 FE 10 8B 14 93 89 55 F0 8B 55 E4 8B 5D F4 0F B6 12 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 33 D2 8B 45 E0 8A 10 8B 45 F4 8D 1C 11 8A 04 03 8B 5D E8 88 43 02 8D 04 11 8B 5D E8 8D 14 11 8A 04 30 88 43 01 8B 45 F0 8A 0C 02 8B 45 E8 88 08 5F 5E 5B 8B E5 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_11762_0 {
	meta:
		name = "@jinit_merged_upsampler"
		size = 125
		refs = "0022 _DF_"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 30 00 00 00 BA 01 00 00 00 8B 58 04 FF 13 8B D8 33 C0 89 9E B6 01 00 00 C7 03 ?? ?? ?? ?? 89 43 08 8B 56 6C 0F AF 56 74 89 53 28 83 BE 2A 01 00 00 02 75 23 C7 43 04 ?? ?? ?? ?? 8B C6 BA 01 00 00 00 C7 43 0C ?? ?? ?? ?? 8B 78 04 8B 4B 28 FF 57 04 89 43 20 EB 13 C7 43 04 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? 33 C0 89 43 20 8B C6 E8 1B FA FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11763_0 {
	meta:
		name = "_DF_"
		size = 992
		refs = "0246 @jcopy_sample_rows"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 04 00 00 8B 9E BA 01 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 08 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 0C 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 10 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 43 14 33 C0 BA 80 FF FF FF 69 CA E9 66 01 00 81 C1 00 80 00 00 8B 73 08 C1 F9 10 89 0C 86 69 CA A2 C5 01 00 81 C1 00 80 00 00 8B 73 0C C1 F9 10 89 0C 86 69 CA 2E 49 FF FF 8B 73 10 89 0C 86 69 CA E6 A7 FF FF 8B 73 14 81 C1 00 80 00 00 42 89 0C 86 40 3D FF 00 00 00 7E AF 5F 5E 5B C3 90 55 8B EC 83 C4 CC 53 56 57 89 4D F8 89 55 FC 8B 90 BA 01 00 00 8B 48 6C 89 4D E8 8B 88 36 01 00 00 8B 42 08 89 45 E4 8B 42 0C 89 45 E0 8B 42 10 89 45 DC 8B 52 14 89 55 D8 E9 B5 00 00 00 8B 45 FC 8B 5D F8 8B 75 F8 33 FF 8B 10 8B 45 F8 8B 14 82 8B 45 FC 8B 40 04 8B 1C 98 8B 45 FC 8B 40 08 8B 34 B0 FF 45 F8 8B 45 0C 8B 00 83 45 0C 04 89 7D EC 89 75 CC 89 5D D0 89 55 D4 8B 55 EC 3B 55 E8 73 70 8B 55 D4 8B 5D D0 0F B6 12 0F B6 1B 89 5D F4 8B 5D CC 0F B6 1B 89 5D F0 8B 5D E4 8B 75 F0 8B 1C B3 8D 34 11 8A 1C 1E 88 58 02 8B 5D D8 8B 75 F4 8B 7D F0 8B 1C B3 8B 75 DC 03 1C BE 8D 34 11 C1 FB 10 8D 14 11 8A 1C 1E 88 58 01 8B 5D E0 8B 75 F4 8B 1C B3 8A 14 1A 88 10 83 C0 03 FF 45 EC FF 45 CC FF 45 D0 FF 45 D4 8B 55 EC 3B 55 E8 72 90 FF 4D 08 0F 89 42 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 55 8B EC 83 C4 F0 53 56 57 8B 58 20 89 5D FC 8B 40 6C 89 45 F8 EB 4A 33 C0 89 45 F4 8B C2 89 45 F0 8B 45 F4 3B 45 FC 7D 33 8B 45 F0 8B 5D 0C 8B 7D F8 8B 33 8B 00 03 75 F4 85 FF 8B 04 88 76 0D 8A 18 88 1E 40 03 75 FC 4F 85 FF 77 F3 FF 45 F4 83 45 F0 04 8B 45 F4 3B 45 FC 7C CD 41 83 45 0C 04 FF 4D 08 79 B1 5F 5E 5B 8B E5 5D C2 08 00 90 55 8B EC 53 6A 00 8B 5D 08 53 8B 40 6C 50 8B 02 8B D1 8B 4D 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 90 55 8B EC 51 53 56 57 8B 40 6C 89 45 FC EB 2E 8B 02 8B 5D 0C 33 FF 8B 04 88 8B 33 41 83 45 0C 04 3B 7D FC 73 18 8A 18 47 88 5E 02 8A 18 88 5E 01 8A 18 40 88 1E 83 C6 03 3B 7D FC 72 E8 FF 4D 08 79 CD 5F 5E 5B 59 5D C2 08 00 90 90 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 55 FC 8B 90 BA 01 00 00 8B 48 6C 89 4D E4 8B 88 36 01 00 00 8B 42 08 89 45 E0 8B 42 0C 89 45 DC 8B 42 10 89 45 D8 8B 52 14 89 55 D4 E9 ED 00 00 00 8B 45 FC 8B 5D F8 8B 75 F8 33 FF 8B 10 8B 45 F8 8B 14 82 8B 45 FC 8B 40 04 8B 1C 98 8B 45 FC 8B 40 08 8B 04 B0 89 45 EC 8B 45 FC 8B 75 F8 8B 40 0C 8B 34 B0 FF 45 F8 8B 45 0C 8B 00 83 45 0C 04 89 7D E8 89 75 C4 8B 75 EC 89 75 C8 89 5D CC 89 55 D0 8B 55 E8 3B 55 E4 0F 83 8F 00 00 00 8B 55 D0 8B 5D CC 0F B6 12 0F B6 1B 89 5D F4 8B 5D C8 0F B6 1B 89 5D F0 8B 5D E0 8B 75 F0 8B 1C B3 BE FF 00 00 00 03 DA 2B F3 8A 1C 31 88 18 8B 5D D4 8B 75 F4 8B 7D F0 8B 1C B3 8B 75 D8 03 1C BE BE FF 00 00 00 C1 FB 10 03 DA 2B F3 8A 1C 31 88 58 01 8B 5D DC 8B 75 F4 03 14 B3 BB FF 00 00 00 2B DA 8A 14 19 88 50 02 8B 55 C4 8A 12 88 50 03 83 C0 04 FF 45 E8 FF 45 C4 FF 45 C8 FF 45 CC FF 45 D0 8B 55 E8 3B 55 E4 0F 82 71 FF FF FF FF 4D 08 0F 89 0A FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_11764_0 {
	meta:
		name = "@jinit_color_deconverter"
		size = 460
		refs = "001f _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 18 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 89 B3 BA 01 00 00 C7 06 ?? ?? ?? ?? 8B 43 24 48 74 0D 48 83 E8 02 72 1E 83 E8 02 72 30 EB 45 83 7B 20 01 74 54 8B 13 8B C3 C7 42 14 08 00 00 00 8B 10 FF 12 EB 43 83 7B 20 03 74 3D 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 EB 2C 83 7B 20 04 74 26 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 EB 15 83 7B 20 01 7D 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 8B 4B 28 49 74 11 49 74 65 83 E9 02 0F 84 AE 00 00 00 E9 E6 00 00 00 C7 43 74 01 00 00 00 8B 43 24 83 F8 01 74 05 83 F8 03 75 2F C7 46 04 ?? ?? ?? ?? B8 01 00 00 00 EB 17 8B D0 8B 8B D4 00 00 00 C1 E2 03 33 F6 2B D0 40 8D 14 52 89 74 91 30 3B 43 20 7C E4 E9 C9 00 00 00 8B 03 C7 40 14 19 00 00 00 8B C3 8B 10 FF 12 E9 B5 00 00 00 C7 43 74 03 00 00 00 83 7B 24 03 75 13 C7 46 04 ?? ?? ?? ?? 8B C3 E8 07 FB FF FF E9 95 00 00 00 83 7B 24 02 75 0C C7 46 04 ?? ?? ?? ?? E9 83 00 00 00 83 7B 24 01 75 09 C7 46 04 ?? ?? ?? ?? EB 74 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 EB 63 C7 43 74 04 00 00 00 83 7B 24 05 75 10 C7 46 04 ?? ?? ?? ?? 8B C3 E8 B5 FA FF FF EB 46 83 7B 24 04 75 09 C7 46 04 ?? ?? ?? ?? EB 37 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 EB 26 8B 4B 28 3B 4B 24 75 0F 8B 43 20 89 43 74 C7 46 04 ?? ?? ?? ?? EB 0F 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 83 7B 50 00 74 0A C7 43 78 01 00 00 00 5E 5B C3 8B 4B 74 89 4B 78 5E 5B C3 }
	condition:
		$1
}

rule function_11765_0 {
	meta:
		name = "_DF_"
		size = 3012
		refs = "008c _DV_ 06ea _memset 0b0d _DF_"
	strings:
		$1 = { 53 56 57 83 C4 E8 89 54 24 04 89 04 24 8B 04 24 8B 50 74 89 54 24 08 8B 0C 24 8B 41 5C 89 44 24 0C BB 01 00 00 00 43 8B C3 B9 01 00 00 00 3B 4C 24 08 7D 0A 0F AF C3 41 3B 4C 24 08 7C F6 3B 44 24 0C 7E E2 4B 83 FB 02 7D 16 8B 14 24 8B 12 C7 42 14 37 00 00 00 89 42 18 8B 04 24 8B 08 FF 11 BE 01 00 00 00 33 C9 8B 44 24 04 3B 4C 24 08 7D 0F 89 18 0F AF F3 41 83 C0 04 3B 4C 24 08 7C F1 33 D2 89 54 24 10 33 C9 C7 44 24 14 ?? ?? ?? ?? 3B 4C 24 08 7D 50 8B 04 24 83 78 28 02 75 08 8B 54 24 14 8B 1A EB 02 8B D9 8B 44 24 04 FF 34 98 8B C6 5A 8B FA 99 F7 FF 8B 54 24 04 8B 14 9A 42 0F AF C2 3B 44 24 0C 7F 1D 8B 54 24 04 41 8B F0 FF 04 9A C7 44 24 10 01 00 00 00 83 44 24 14 04 3B 4C 24 08 7C B0 83 7C 24 10 00 75 93 8B C6 83 C4 18 5F 5E 5B C3 90 90 55 8B EC 8B C1 53 C1 E0 08 8B 5D 08 8B D3 2B C1 D1 FA 79 03 83 D2 00 03 C2 99 F7 FB 5B 5D C2 04 00 90 90 90 03 C9 55 8B EC 8B C1 C1 E0 08 53 8B 5D 08 2B C1 03 C3 03 DB 05 FF 00 00 00 99 F7 FB 5B 5D C2 04 00 90 90 90 53 56 57 55 83 C4 D0 89 04 24 8B 04 24 8B 90 BE 01 00 00 89 54 24 04 8B 54 24 04 8B 04 24 83 C2 20 E8 9A FE FF FF 89 44 24 0C 8B 0C 24 83 79 74 03 75 47 8B 04 24 8B 00 83 C0 18 8B 54 24 0C 89 10 8B 4C 24 04 8B 51 20 89 50 04 8B 4C 24 04 8B 51 24 89 50 08 8B 4C 24 04 8B 51 28 89 50 0C 8B 04 24 8B 08 C7 41 14 5D 00 00 00 BA 01 00 00 00 8B 04 24 8B 08 FF 51 04 EB 20 8B 04 24 8B 00 C7 40 14 5E 00 00 00 8B 54 24 0C 89 50 18 BA 01 00 00 00 8B 04 24 8B 08 FF 51 04 8B 04 24 8B 50 74 52 BA 01 00 00 00 8B 44 24 04 8B 4C 24 10 8B 58 04 FF 53 08 89 44 24 08 33 D2 8B 44 24 0C 89 44 24 1C 89 54 24 10 8B 4C 24 08 8B C1 89 44 24 2C 8B 54 24 04 8D 4A 20 89 4C 24 20 E9 A5 00 00 00 8B 44 24 20 8B 10 89 54 24 18 8B 44 24 1C 99 F7 7C 24 18 8B F0 33 C0 89 44 24 14 8B 54 24 2C 8B CA 89 4C 24 28 8B 44 24 14 3B 44 24 18 7D 64 8B 54 24 18 4A 52 8B 4C 24 18 8B 54 24 14 8B 44 24 04 E8 92 FE FF FF 8B F8 8B 4C 24 14 0F AF CE 8B 44 24 28 8B D0 89 54 24 24 3B 4C 24 0C 7D 26 33 C0 8B 54 24 24 3B F0 7E 12 8B 1A 03 D9 03 D8 40 53 8B DF 5D 3B F0 88 5D 00 7F EE 03 4C 24 1C 3B 4C 24 0C 7C DA FF 44 24 14 8B 44 24 14 3B 44 24 18 7C 9C 89 74 24 1C FF 44 24 10 83 44 24 2C 04 83 44 24 20 04 8B 14 24 8B 4A 74 3B 4C 24 10 0F 8F 4B FF FF FF 8B 44 24 04 8B 54 24 08 89 50 10 8B 4C 24 04 8B 44 24 0C 89 41 14 83 C4 30 5D 5F 5E 5B C3 90 53 56 57 83 C4 E0 89 04 24 8B 04 24 8B 90 BE 01 00 00 89 54 24 04 8B 0C 24 83 79 54 01 75 15 C7 44 24 14 FE 01 00 00 8B 44 24 04 C7 40 1C 01 00 00 00 EB 0F 33 D2 89 54 24 14 8B 4C 24 04 33 C0 89 41 1C 8B 14 24 8B 4A 74 BA 01 00 00 00 51 8B 44 24 04 8B 4C 24 18 81 C1 00 01 00 00 8B 58 04 FF 53 08 8B 54 24 04 89 42 18 8B 44 24 04 8B 48 14 89 4C 24 10 33 FF 8B 44 24 04 8D 50 20 89 54 24 18 E9 D4 00 00 00 8B 4C 24 18 8B 01 89 44 24 0C 8B 44 24 10 99 F7 7C 24 0C 89 44 24 10 83 7C 24 14 00 74 0E 8B 4C 24 04 8B 41 18 81 04 B8 FF 00 00 00 8B 54 24 04 33 F6 8B 4A 18 8B D7 8B 04 B9 89 44 24 08 8B 44 24 0C 48 33 C9 50 8B 44 24 04 E8 52 FD FF FF 33 DB 8B 54 24 08 8B CA 89 4C 24 1C 3B C3 7D 18 8B 44 24 0C 8B D7 48 46 50 8B CE 8B 44 24 04 E8 2E FD FF FF 3B C3 7C E8 8B D6 8B 4C 24 1C 0F AF 54 24 10 88 11 43 FF 44 24 1C 81 FB FF 00 00 00 7E CA 83 7C 24 14 00 74 36 BB 01 00 00 00 8B 44 24 08 05 00 01 00 00 8B D3 8B 4C 24 08 F7 DA 03 CA 8B 54 24 08 43 8A 12 88 11 8B 4C 24 08 8A 91 FF 00 00 00 88 10 40 81 FB FF 00 00 00 7E D8 47 83 44 24 18 04 8B 04 24 3B 78 74 0F 8C 20 FF FF FF 83 C4 20 5F 5E 5B C3 90 90 53 56 57 55 8B 70 04 8B DA BA 01 00 00 00 83 C4 F0 B9 00 04 00 00 FF 16 89 04 24 8B EB C1 E5 09 81 C5 00 FE FF FF 33 C0 89 44 24 04 C7 44 24 0C ?? ?? ?? ?? 8B 14 24 8B CA 89 4C 24 08 33 FF 8B 44 24 08 8B F0 8B 44 24 0C 8B D8 33 C0 8A 03 03 C0 BA FF 00 00 00 2B D0 8B CA C1 E1 08 2B CA 85 C9 7D 0B 8B C1 F7 D8 99 F7 FD F7 D8 EB 05 8B C1 99 F7 FD 89 06 47 83 C6 04 43 83 FF 10 7C CC FF 44 24 04 83 44 24 0C 10 83 44 24 08 40 83 7C 24 04 10 7C A9 8B 04 24 83 C4 10 5D 5F 5E 5B C3 90 53 56 57 83 C4 F8 89 04 24 8B 04 24 8B 90 BE 01 00 00 89 54 24 04 33 DB 8B 44 24 04 8D 70 20 EB 39 8B 3E 33 C9 33 D2 8B 44 24 04 83 C0 20 3B DA 7E 11 3B 38 75 05 8B 48 14 EB 08 42 83 C0 04 3B DA 7F EF 85 C9 75 0C 8B D7 8B 04 24 E8 0F FF FF FF 8B C8 89 4E 14 43 83 C6 04 8B 14 24 3B 5A 74 7C BF 59 5A 5F 5E 5B C3 55 8B EC 83 C4 E0 53 56 57 8B 98 BE 01 00 00 8B 5B 18 89 5D FC 8B 58 6C 89 5D EC 8B 40 74 89 45 E8 33 C0 89 45 F4 89 4D E0 89 55 E4 8B 45 F4 3B 45 08 7D 61 8B 55 E4 8B 45 E0 8B 0A 8B 10 89 55 F8 8B 45 EC 89 45 F0 83 7D F0 00 76 35 33 F6 33 D2 8B 45 FC 3B 55 E8 7D 16 33 DB 8B 38 8A 19 41 83 C0 04 42 0F B6 1C 1F 03 F3 3B 55 E8 7C EA 8B C6 8B 55 F8 88 02 FF 45 F8 FF 4D F0 83 7D F0 00 77 CB FF 45 F4 83 45 E0 04 83 45 E4 04 8B 4D F4 3B 4D 08 7C 9F 5F 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 E4 53 56 57 8B 98 BE 01 00 00 8B 73 18 8B 3E 89 7D FC 8B 7E 04 89 7D F8 8B 5E 08 89 5D F4 8B 40 6C 89 45 EC 33 C0 89 45 F0 89 4D E4 89 55 E8 8B 45 F0 3B 45 08 7D 54 8B 55 E8 8B 02 8B 55 E4 8B 0A 8B 75 EC 85 F6 76 30 33 D2 8B 5D FC 8A 10 40 8B 7D F8 4E 0F B6 14 13 33 DB 8A 18 40 0F B6 1C 1F 03 D3 33 DB 8A 18 8B 7D F4 40 0F B6 1C 1F 03 D3 88 11 41 85 F6 77 D0 FF 45 F0 83 45 E4 04 83 45 E8 04 8B 45 F0 3B 45 08 7C AC 5F 5E 5B 8B E5 5D C2 04 00 90 90 90 55 8B EC 83 C4 CC 53 56 57 8B 98 BE 01 00 00 89 5D FC 8B 58 74 89 5D EC 8B 40 6C 89 45 E0 33 C0 89 45 E4 89 55 CC 89 4D DC 8B 45 E4 3B 45 08 0F 8D D5 00 00 00 8B 55 E0 52 6A 00 8B 4D DC 8B 01 50 E8 ?? ?? ?? ?? 8B 55 FC 33 C0 83 C4 0C 8B 4A 30 89 4D F0 89 45 E8 8B 55 FC 8D 4A 34 89 4D D0 8B 45 DC 8B D0 89 55 D4 8B 4D CC 8B C1 89 45 D8 8B 55 E8 3B 55 EC 7D 68 8B 4D D8 8B 45 D4 8B 5D E8 8B 11 8B 08 8B 45 FC 03 55 E8 8B 40 18 8B 04 98 89 45 F8 8B 45 D0 8B 5D F0 C1 E3 06 8B 00 03 C3 89 45 F4 33 C0 8B 75 E0 85 F6 76 24 33 DB 8B 7D F8 8A 1A 4E 8D 1C 1F 53 8B 5D F4 5F 8B 1C 83 40 83 E0 0F 8A 1C 1F 00 19 41 03 55 EC 85 F6 77 DC FF 45 E8 83 45 D0 04 8B 55 E8 3B 55 EC 7C 98 8B 4D F0 41 83 E1 0F 89 4D F0 8B 45 FC 8B 55 F0 89 50 30 FF 45 E4 83 45 CC 04 83 45 DC 04 8B 4D E4 3B 4D 08 0F 8C 2B FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 CC 53 56 57 8B 98 BE 01 00 00 89 5D FC 8B 5D FC 8B 5B 18 8B 33 89 75 F8 8B 73 04 89 75 F4 8B 5B 08 89 5D F0 8B 40 6C 89 45 D4 33 C0 89 45 DC 89 4D CC 89 55 D0 8B 45 DC 3B 45 08 0F 8D C9 00 00 00 8B 55 FC 8B 4A 30 89 4D E0 8B 55 CC 8B 4D FC 8B 45 D0 8B 32 8B 55 E0 8B 49 34 C1 E2 06 8B 00 03 CA 89 4D EC 8B 4D FC 8B 49 38 03 CA 89 4D E8 8B 4D FC 8B 49 3C 03 CA 33 D2 89 4D E4 8B 4D D4 89 4D D8 83 7D D8 00 76 57 33 C9 8B 5D F8 8A 08 40 8B 7D F4 8D 0C 0B 8B 5D EC 8B 1C 93 0F B6 0C 19 33 DB 8A 18 40 8D 1C 1F 53 8B 5D E8 5F 8B 1C 93 0F B6 1C 1F 03 CB 33 DB 8A 18 8B 7D F0 40 8D 1C 1F 53 8B 5D E4 5F 8B 1C 93 42 83 E2 0F 0F B6 1C 1F 03 CB 88 0E 46 FF 4D D8 83 7D D8 00 77 A9 8B 45 E0 40 83 E0 0F 89 45 E0 8B 4D FC 8B 45 E0 89 41 30 FF 45 DC 83 45 CC 04 83 45 D0 04 8B 55 DC 3B 55 08 0F 8C 37 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 55 8B EC 83 C4 B0 53 56 8B 98 BE 01 00 00 89 5D FC 8B 58 74 89 5D DC 8B 58 6C 89 5D C8 8B 80 36 01 00 00 89 45 C4 33 C0 89 45 D0 89 55 B0 89 4D C0 8B 45 D0 3B 45 08 0F 8D 78 01 00 00 8B 55 C8 52 6A 00 8B 4D C0 8B 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 89 55 D4 8B 4D FC 8D 41 44 89 45 B4 8B 55 C0 8B CA 89 4D B8 8B 45 B0 8B D0 89 55 BC 8B 4D D4 3B 4D DC 0F 8D 11 01 00 00 8B 45 BC 8B 10 03 55 D4 89 55 EC 8B 4D B8 8B 01 89 45 E8 8B 55 FC 83 7A 54 00 74 2A 8B 45 C8 83 CE FF 48 8B D0 0F AF 55 DC 01 55 EC 01 45 E8 8B 45 DC F7 D8 89 45 D8 8B 55 B4 8B 45 C8 40 03 C0 8B 0A 03 C8 EB 10 BE 01 00 00 00 8B 45 DC 89 45 D8 8B 55 B4 8B 0A 8B 45 FC 8B 50 18 8B 45 D4 8B 14 82 89 55 E4 8B 45 FC 8B 50 10 8B 45 D4 8B 14 82 33 C0 89 55 E0 33 D2 89 55 F4 89 55 F8 8B 55 C8 89 55 CC 83 7D CC 00 76 6D 0F BF 14 71 03 C2 8B 55 EC 83 C0 08 8B 5D E8 0F B6 12 C1 F8 04 03 C2 8B 55 C4 0F B6 04 02 8B 55 E4 0F B6 14 02 00 13 8B 5D E0 0F B6 14 13 2B C2 89 45 F0 8B D0 66 8B 5D F4 03 D2 03 C2 66 03 D8 03 C2 66 89 19 8B 5D F8 03 D8 03 C2 89 5D F4 8B 5D F0 89 5D F8 8B 55 D8 01 55 EC 01 75 E8 FF 4D CC 8B D6 03 D2 03 CA 83 7D CC 00 77 93 66 8B 45 F4 66 89 01 FF 45 D4 83 45 B4 04 8B 4D D4 3B 4D DC 0F 8C EF FE FF FF 33 C0 8B 55 FC 83 7A 54 00 75 01 40 8B 4D FC 89 41 54 FF 45 D0 83 45 B0 04 83 45 C0 04 8B 45 D0 3B 45 08 0F 8C 88 FE FF FF 5E 5B 8B E5 5D C2 04 00 90 90 90 53 56 8B D8 57 55 51 8B 83 BE 01 00 00 8B 53 6C 03 D2 83 C2 04 33 FF 89 14 24 8D 70 44 EB 16 8B C3 8B 0C 24 BA 01 00 00 00 8B 68 04 FF 55 04 89 06 47 83 C6 04 3B 7B 74 7C E5 5A 5D 5F 5E 5B C3 53 8B D8 56 57 55 8B B3 BE 01 00 00 8B 46 10 89 83 84 00 00 00 8B 56 14 89 93 80 00 00 00 8B 4B 54 83 E9 01 72 0A 74 26 49 74 5A E9 98 00 00 00 83 7B 74 03 75 0C C7 46 04 ?? ?? ?? ?? E9 95 00 00 00 C7 46 04 ?? ?? ?? ?? E9 89 00 00 00 83 7B 74 03 75 09 C7 46 04 ?? ?? ?? ?? EB 07 C7 46 04 ?? ?? ?? ?? 33 C0 89 46 30 83 7E 1C 00 75 07 8B C3 E8 AA F7 FF FF 83 7E 34 00 75 5B 8B C3 E8 AD F9 FF FF EB 52 C7 46 04 ?? ?? ?? ?? 33 D2 89 56 54 83 7E 44 00 75 07 8B C3 E8 22 FF FF FF 8B 6B 6C 8D 46 44 03 ED 8B F0 83 C5 04 33 FF EB 12 55 6A 00 8B 16 52 E8 ?? ?? ?? ?? 83 C4 0C 47 83 C6 04 3B 7B 74 7C E9 EB 0F 8B 0B 8B C3 C7 41 14 2F 00 00 00 8B 10 FF 12 5D 5F 5E 5B C3 C3 90 90 90 8B 10 C7 42 14 2D 00 00 00 8B 08 FF 11 C3 90 90 }
	condition:
		$1
}

rule function_11766_0 {
	meta:
		name = "@jinit_1pass_quantizer"
		size = 146
		refs = "001d _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 58 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 BE 01 00 00 C7 00 ?? ?? ?? ?? C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? 33 D2 33 C9 89 50 44 89 48 34 83 7B 74 04 7E 16 8B 03 C7 40 14 36 00 00 00 C7 40 18 04 00 00 00 8B C3 8B 10 FF 12 81 7B 5C 00 01 00 00 7E 16 8B 03 C7 40 14 38 00 00 00 C7 40 18 00 01 00 00 8B C3 8B 10 FF 12 8B C3 E8 01 F5 FF FF 8B C3 E8 AE F6 FF FF 83 7B 54 02 75 07 8B C3 E8 41 FE FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_11767_0 {
	meta:
		name = "_DF_"
		size = 4584
		refs = "10e7 _DF_ 118b _memset"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B 88 BE 01 00 00 8B 59 18 8B 40 6C 89 45 F8 33 C9 89 4D FC 89 55 F4 8B 45 FC 3B 45 08 7D 52 8B 55 F4 8B 02 8B 4D F8 85 C9 76 37 0F B6 70 01 33 D2 8A 10 C1 FA 03 C1 FE 02 C1 E6 06 8B 14 93 03 D6 0F B6 70 02 C1 FE 03 03 F6 03 D6 66 FF 02 66 8B 32 66 85 F6 77 03 66 FF 0A 83 C0 03 49 85 C9 77 C9 FF 45 FC 83 45 F4 04 8B 45 FC 3B 45 08 7C AE 5E 5B 8B E5 5D C2 04 00 90 90 90 53 56 57 33 DB 33 FF 33 C9 3B D1 7E 19 8B 70 1C 3B DE 7D 0A 83 78 18 00 7E 04 8B F8 8B DE 41 83 C0 20 3B D1 7F E7 8B C7 5F 5E 5B C3 53 56 57 33 DB 33 FF 33 C9 3B D1 7E 13 8B 70 18 3B DE 7D 04 8B F8 8B DE 41 83 C0 20 3B D1 7F ED 8B C7 5F 5E 5B C3 90 90 53 56 57 83 C4 B8 89 14 24 8B 80 BE 01 00 00 8B 40 18 89 44 24 04 8B 14 24 8B 0A 89 4C 24 08 8B 04 24 8B 50 04 89 54 24 0C 8B 0C 24 8B 41 08 89 44 24 10 8B 14 24 8B 4A 0C 89 4C 24 14 8B 04 24 8B 50 10 89 54 24 18 8B 0C 24 8B 71 14 8B 44 24 0C 3B 44 24 08 7E 74 8B 54 24 08 8B 4C 24 04 8D 04 91 89 44 24 24 3B 54 24 0C 7F 5F 8B 5C 24 10 8B 44 24 24 8B C8 89 4C 24 20 3B 5C 24 14 7F 3F 8B 44 24 20 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1B 66 8B 39 83 C1 02 66 85 FF 74 0B 89 54 24 08 8B 04 24 89 10 EB 18 40 3B F0 7D E5 43 3B 5C 24 14 7E C1 42 83 44 24 24 04 3B 54 24 0C 7E A1 8B 4C 24 0C 3B 4C 24 08 7E 75 8B 54 24 0C 8B 44 24 04 8D 0C 90 89 4C 24 2C 3B 54 24 08 7C 60 8B 5C 24 10 8B 44 24 2C 8B C8 89 4C 24 28 3B 5C 24 14 7F 40 8B 44 24 28 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 54 24 0C 8B 04 24 89 50 04 EB 18 40 3B F0 7D E4 43 3B 5C 24 14 7E C0 4A 83 44 24 2C FC 3B 54 24 08 7D A0 8B 4C 24 14 3B 4C 24 10 7E 6B 8B 5C 24 10 3B 5C 24 14 7F 61 8B 54 24 08 8B 44 24 04 8D 0C 90 89 4C 24 30 3B 54 24 0C 7F 45 8B 44 24 30 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 5C 24 10 8B 04 24 89 58 08 EB 18 40 3B F0 7D E4 42 83 44 24 30 04 3B 54 24 0C 7E BB 43 3B 5C 24 14 7E 9F 8B 54 24 14 3B 54 24 10 7E 6B 8B 5C 24 14 3B 5C 24 10 7C 61 8B 54 24 08 8B 44 24 04 8D 0C 90 89 4C 24 34 3B 54 24 0C 7F 45 8B 44 24 34 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 5C 24 14 8B 04 24 89 58 0C EB 18 40 3B F0 7D E4 42 83 44 24 34 04 3B 54 24 0C 7E BB 4B 3B 5C 24 10 7D 9F 3B 74 24 18 7E 69 8B 44 24 18 3B F0 7C 61 8B 54 24 08 8B 4C 24 04 8D 0C 91 89 4C 24 38 3B 54 24 0C 7F 47 8B 4C 24 38 8B 5C 24 10 C1 E3 06 8B 09 03 CB 8B D8 03 DB 03 CB 8B 5C 24 10 3B 5C 24 14 7F 1C 66 83 39 00 74 0C 89 44 24 18 8B 14 24 89 42 10 EB 1B 43 83 C1 40 3B 5C 24 14 7E E4 42 83 44 24 38 04 3B 54 24 0C 7E B9 40 3B F0 7D 9F 3B 74 24 18 7E 69 8B C6 3B 44 24 18 7C 61 8B 54 24 08 8B 4C 24 04 8D 0C 91 89 4C 24 3C 3B 54 24 0C 7F 45 8B 4C 24 3C 8B 5C 24 10 C1 E3 06 8B 09 03 CB 8B D8 03 DB 03 CB 8B 5C 24 10 3B 5C 24 14 7F 1A 66 83 39 00 74 0A 8B F0 8B 14 24 89 42 14 EB 1D 43 83 C1 40 3B 5C 24 14 7E E6 42 83 44 24 3C 04 3B 54 24 0C 7E BB 48 3B 44 24 18 7D 9F 8B 44 24 0C 8B 54 24 14 2B 44 24 08 2B 54 24 10 C1 E0 03 8B CE 8B D8 0F AF D8 C1 E2 02 2B 4C 24 18 C1 E1 03 03 C9 8D 14 52 8B C2 F7 EA 8B D1 03 D8 0F AF D1 8B 0C 24 03 DA 33 C0 89 59 18 89 44 24 1C 8B 54 24 08 8B 4C 24 04 8D 04 91 89 44 24 44 3B 54 24 0C 7F 56 8B 5C 24 10 8B 44 24 44 8B C8 89 4C 24 40 3B 5C 24 14 7F 36 8B 44 24 40 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 12 66 83 39 00 74 04 FF 44 24 1C 40 83 C1 02 3B F0 7D EE 43 3B 5C 24 14 7E CA 42 83 44 24 44 04 3B 54 24 0C 7E AA 8B 14 24 8B 4C 24 1C 89 4A 1C 83 C4 48 5F 5E 5B C3 55 8B EC 83 C4 F0 53 56 8B F1 89 55 F8 89 45 FC 3B 75 08 0F 8D F7 00 00 00 8B C6 03 C0 3B 45 08 7F 0C 8B D6 8B 45 F8 E8 B0 FB FF FF EB 0A 8B D6 8B 45 F8 E8 D0 FB FF FF 85 C0 0F 84 D0 00 00 00 8B DE C1 E3 05 03 5D F8 8B 50 04 89 53 04 8B 48 0C 89 4B 0C 8B 50 14 89 53 14 8B 08 89 0B 8B 50 08 89 53 08 8B 48 10 89 4B 10 8B 50 04 2B 10 C1 E2 03 89 55 F4 8B 48 0C 2B 48 08 C1 E1 02 8D 14 49 8B 48 14 2B 48 10 C1 E1 03 03 C9 89 4D F0 B9 01 00 00 00 3B 55 F0 7D 08 8B 55 F0 B9 02 00 00 00 3B 55 F4 7D 02 33 C9 83 E9 01 72 07 74 19 49 74 2C EB 3E 8B 50 04 03 10 D1 FA 79 03 83 D2 00 89 50 04 42 89 13 EB 2A 8B 50 0C 03 50 08 D1 FA 79 03 83 D2 00 89 50 0C 42 89 53 08 EB 14 8B 50 14 03 50 10 D1 FA 79 03 83 D2 00 89 50 14 42 89 53 10 8B D0 8B 45 FC E8 34 FB FF FF 8B D3 8B 45 FC E8 2A FB FF FF 46 3B 75 08 0F 8C 09 FF FF FF 8B C6 5E 5B 8B E5 5D C2 04 00 90 90 53 56 57 55 83 C4 D0 89 4C 24 04 89 04 24 8B 04 24 33 C9 8B 80 BE 01 00 00 8B 40 18 89 4C 24 18 33 C9 89 4C 24 1C 33 C9 89 4C 24 20 33 C9 89 4C 24 24 8B 0A 8B 5A 04 89 5C 24 08 8B 5A 08 8D 04 88 89 5C 24 0C 8B 5A 0C 89 5C 24 10 8B 5A 10 89 5C 24 14 8B 72 14 89 44 24 2C 3B 4C 24 08 0F 8F 8B 00 00 00 8B 5C 24 0C 8B 44 24 2C 8B D0 89 54 24 28 3B 5C 24 10 7F 67 8B 44 24 28 8B 38 8B C3 C1 E0 06 03 F8 8B 54 24 14 03 D2 03 FA 8B 54 24 14 3B F2 7C 43 66 8B 07 83 C7 02 0F B7 C0 85 C0 74 31 01 44 24 18 8B E9 C1 E5 03 83 C5 04 0F AF E8 01 6C 24 1C 8B EB C1 E5 02 83 C5 02 0F AF E8 01 6C 24 20 8B EA C1 E5 03 83 C5 04 0F AF E8 01 6C 24 24 42 3B F2 7D BD 43 3B 5C 24 10 7E 99 41 83 44 24 2C 04 3B 4C 24 08 0F 8E 75 FF FF FF 8B 4C 24 18 D1 F9 8B C1 03 44 24 1C 99 F7 7C 24 18 8B 14 24 8B 9A 84 00 00 00 8B 13 8B 74 24 04 88 04 32 8B C1 03 44 24 20 99 F7 7C 24 18 8B 53 04 8B 74 24 04 88 04 32 8B C1 03 44 24 24 99 F7 7C 24 18 8B 4B 08 8B 54 24 04 88 04 11 83 C4 30 5D 5F 5E 5B C3 53 56 57 8B F8 8B C7 8B DA 55 8B CB 8B 70 04 BA 01 00 00 00 C1 E1 05 FF 16 8B F0 33 C0 33 D2 33 C9 89 06 8B C7 C7 46 04 1F 00 00 00 89 56 08 8B D6 C7 46 0C 3F 00 00 00 89 4E 10 BD 01 00 00 00 C7 46 14 1F 00 00 00 E8 84 F9 FF FF 53 8B CD 8B D6 8B C7 E8 48 FD FF FF 8B E8 33 DB 3B EB 7E 15 8B D3 8B CB C1 E2 05 8B C7 03 D6 E8 4C FE FF FF 43 3B EB 7F EB 89 AF 80 00 00 00 BA 01 00 00 00 8B 07 C7 40 14 5F 00 00 00 89 68 18 8B C7 8B 08 FF 51 04 5D 5F 5E 5B C3 55 8B EC 81 C4 C4 FB FF FF 53 56 89 4D F8 89 55 FC 8B 90 80 00 00 00 89 55 F4 8B 4D FC 83 C1 18 89 4D F0 8B 55 FC 03 55 F0 D1 FA 89 55 E4 8B 4D F8 83 C1 1C 89 4D EC 8B 55 F8 03 55 EC D1 FA 89 55 E0 8B 4D 0C 83 C1 18 89 4D E8 33 C9 8B 55 0C 03 55 E8 D1 FA 89 55 DC 8D 95 C4 FB FF FF C7 45 D4 FF FF FF 7F 89 4D D8 89 55 C4 8B 88 84 00 00 00 8B 51 08 8B CA 89 4D C8 8B 90 84 00 00 00 8B 4A 04 8B D1 89 55 CC 8B 80 84 00 00 00 8B 08 8B C1 89 45 D0 8B 55 D8 3B 55 F4 0F 8D 61 01 00 00 8B 4D D0 33 DB 8A 19 3B 5D FC 7D 16 8B C3 2B 45 FC 8B D0 0F AF D0 8B C3 2B 45 F0 8B C8 0F AF C8 EB 38 3B 5D F0 7E 16 8B C3 2B 45 F0 8B D0 0F AF D0 8B C3 2B 45 FC 8B C8 0F AF C8 EB 1D 33 D2 3B 5D E4 7F 0C 8B C3 2B 45 F0 8B C8 0F AF C8 EB 0A 8B C3 2B 45 FC 8B C8 0F AF C8 8B 45 CC 33 DB 8A 18 3B 5D F8 7D 1E 8B C3 2B 45 F8 2B 5D EC 8D 04 40 8B F0 0F AF F0 8D 04 5B 03 D6 8B D8 0F AF D8 03 CB EB 44 3B 5D EC 7E 1E 8B C3 2B 45 EC 2B 5D F8 8D 04 40 8B F0 0F AF F0 8D 04 5B 03 D6 8B D8 0F AF D8 03 CB EB 21 3B 5D E0 7F 0F 2B 5D EC 8D 04 5B 8B D8 0F AF D8 03 CB EB 0D 2B 5D F8 8D 04 5B 8B D8 0F AF D8 03 CB 8B 45 C8 33 DB 8A 18 3B 5D 0C 7D 1E 8B C3 2B 45 0C 03 C0 8B F0 0F AF F0 03 D6 8B C3 2B 45 E8 03 C0 8B D8 0F AF D8 03 CB EB 46 3B 5D E8 7E 1E 8B C3 2B 45 E8 03 C0 8B F0 0F AF F0 03 D6 8B C3 2B 45 0C 03 C0 8B D8 0F AF D8 03 CB EB 23 3B 5D DC 7F 10 8B C3 2B 45 E8 03 C0 8B D8 0F AF D8 03 CB EB 0E 8B C3 2B 45 0C 03 C0 8B D8 0F AF D8 03 CB 8B 45 C4 89 10 3B 4D D4 7D 03 89 4D D4 FF 45 D8 83 45 C4 04 FF 45 C8 FF 45 CC FF 45 D0 8B 55 D8 3B 55 F4 0F 8C 9F FE FF FF 33 C0 33 C9 89 45 D8 8D 85 C4 FB FF FF 8B 5D D8 8B 55 08 3B 5D F4 7D 1C 8B 18 3B 5D D4 7F 07 8A 5D D8 41 88 1A 42 FF 45 D8 83 C0 04 8B 5D D8 3B 5D F4 7C E4 8B C1 5E 5B 8B E5 5D C2 08 00 90 55 8B EC 81 C4 C4 FD FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC C7 45 E8 7F 00 00 00 8D 8D C4 FD FF FF C7 01 FF FF FF 7F 83 C1 04 FF 4D E8 83 7D E8 00 7D EE 33 C0 89 45 E8 8B 55 0C 8B C2 89 45 C4 8B 55 E8 3B 55 10 0F 8D 22 01 00 00 8B 4D C4 33 C0 8A 01 89 45 E4 8B 55 FC 8B 4D E4 8B 92 84 00 00 00 8B 02 0F B6 04 08 50 8B 45 F8 59 2B C1 8B C8 0F AF C8 89 4D DC 8B 4A 04 8B 5D E4 C1 E0 04 0F B6 0C 19 8B 5D F4 83 C0 40 2B D9 8D 0C 5B 89 4D CC 8B 4D CC 0F AF 4D CC 01 4D DC 8B 4D E4 8B 52 08 0F B6 14 0A 8B 4D 14 2B CA 03 C9 89 4D C8 8B 55 C8 0F AF 55 C8 01 55 DC 8B 55 CC C1 E2 03 8D 14 52 81 C2 90 00 00 00 89 55 CC 8B 4D C8 C1 E1 05 81 C1 00 01 00 00 89 4D C8 8D 8D C4 FD FF FF 8B 55 08 89 55 E0 89 45 D4 C7 45 F0 03 00 00 00 8B 45 DC 89 45 D8 8B 45 CC 89 45 D0 C7 45 EC 07 00 00 00 8B 75 D8 8B 55 C8 B8 03 00 00 00 3B 31 7D 0A 89 31 8A 5D E4 8B 7D E0 88 1F 03 F2 81 C2 00 02 00 00 83 C1 04 FF 45 E0 48 85 C0 7D DF 8B 45 D0 01 45 D8 81 45 D0 20 01 00 00 FF 4D EC 83 7D EC 00 7D BE 8B 55 D4 01 55 DC 81 45 D4 80 00 00 00 FF 4D F0 83 7D F0 00 7D 95 FF 45 E8 FF 45 C4 8B 4D E8 3B 4D 10 0F 8C DE FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 81 C4 6C FE FF FF 53 56 57 8B D8 89 4D F8 89 55 FC 8B 83 BE 01 00 00 8D 8D EC FE FF FF 8B 50 18 89 55 F4 C1 7D FC 02 C1 7D F8 03 C1 7D 08 02 8B 75 FC 8B 7D F8 8B 45 08 C1 E7 05 C1 E6 05 83 C7 02 C1 E0 05 83 C6 04 83 C0 04 89 45 F0 8B C3 8B 55 F0 52 51 8B CF 8B D6 E8 E8 FB FF FF 8B 55 F0 8D 8D 6C FE FF FF 52 50 8D 85 EC FE FF FF 8B D6 50 51 8B CF 8B C3 E8 0A FE FF FF C1 65 FC 02 C1 65 F8 03 C1 65 08 02 8D 8D 6C FE FF FF 33 C0 89 45 EC 33 DB 8B 45 FC 03 45 EC 8B 55 F4 8B 04 82 8B 55 F8 03 D3 C1 E2 06 03 C2 8B 55 08 03 D2 03 C2 33 D2 0F B6 31 46 66 89 30 41 83 C0 02 42 83 FA 04 7C EF 43 83 FB 08 7C CA FF 45 EC 83 7D EC 04 7C BF 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 DC 53 56 89 45 FC 8B 45 FC 8B 80 BE 01 00 00 8B 40 18 89 45 F8 8B 45 FC 8B 40 6C 89 45 E4 33 C0 89 45 EC 89 4D DC 89 55 E0 8B 45 EC 3B 45 08 0F 8D 89 00 00 00 8B 55 E0 8B 45 DC 8B 1A 8B 10 89 55 F4 8B 4D E4 89 4D E8 83 7D E8 00 76 59 33 C0 33 D2 8A 03 43 33 C9 C1 F8 03 8A 13 43 C1 FA 02 8A 0B C1 F9 03 43 89 4D F0 8B 4D F8 8B 34 81 8B CA C1 E1 06 03 F1 8B 4D F0 03 C9 03 F1 66 83 3E 00 75 0F 8B 4D F0 51 8B CA 8B 55 FC 92 E8 89 FE FF FF 8B 55 F4 8A 06 04 FF 88 02 FF 45 F4 FF 4D E8 83 7D E8 00 77 A7 FF 45 EC 83 45 DC 04 83 45 E0 04 8B 4D EC 3B 4D 08 0F 8C 77 FF FF FF 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 90 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 90 BE 01 00 00 89 55 F0 8B 4D F0 8B 41 18 89 45 EC 8B 55 FC 8B 4A 6C 89 4D B0 8B 45 FC 8B 90 36 01 00 00 89 55 AC 8B 4D F0 8B 41 28 89 45 A8 8B 55 FC 8B 8A 84 00 00 00 8B 01 89 45 A4 8B 55 FC 8B 8A 84 00 00 00 8B 41 04 89 45 A0 8B 55 FC 8B 8A 84 00 00 00 33 D2 8B 41 08 89 45 9C 89 55 B8 8B 4D F4 8B C1 89 45 90 8B 55 F8 8B CA 89 4D 94 8B 45 B8 3B 45 08 0F 8D 66 02 00 00 8B 55 94 8B 0A 89 4D CC 8B 45 90 8B 10 89 55 C8 8B 4D F0 83 79 24 00 74 3F 8B 45 B0 48 8D 14 40 01 55 CC 8B 4D B0 49 01 4D C8 C7 45 C0 FF FF FF FF C7 45 BC FD FF FF FF 8B 4D B0 8B 45 F0 8D 0C 49 8B 50 20 83 C1 03 03 C9 03 D1 89 55 D0 33 D2 8B 45 F0 89 50 24 EB 21 C7 45 C0 01 00 00 00 C7 45 BC 03 00 00 00 8B 4D F0 8B 41 20 89 45 D0 8B 55 F0 C7 42 24 01 00 00 00 33 C0 33 D2 89 45 E0 89 45 E4 89 45 E8 89 55 D4 89 55 D8 89 55 DC 8B 45 B0 33 C9 89 45 B4 89 CB 83 7D B4 00 8B F1 8B F9 0F 86 88 01 00 00 8B 4D D0 8B 45 BC 0F BF 14 41 8B 45 BC 8B 4D D0 03 FA 0F BF 54 41 02 8B 45 BC 8B 4D D0 03 F2 83 C7 08 0F BF 54 41 04 03 DA 8B 4D A8 C1 FF 04 83 C3 08 83 C6 08 8B 45 A8 C1 FE 04 8B 55 A8 C1 FB 04 8B 3C B9 8B 4D CC 8B 34 B0 8B 1C 9A 8B 55 CC 33 C0 8A 01 33 C9 03 F8 8B 45 CC 8A 4A 01 33 D2 03 F1 8B 4D AC 8A 50 02 33 C0 03 DA 8B 55 AC 8A 04 39 33 C9 8B F8 8B 45 AC 8A 0C 32 33 D2 8A 14 18 8B C7 C1 F8 03 8B DA 8B 55 EC 8B F1 8B 0C 82 8B D6 C1 FA 02 C1 E2 06 03 CA 8B D3 C1 FA 03 03 D2 03 CA 89 4D C4 8B 4D C4 66 83 39 00 75 15 8B D3 C1 FA 03 52 8B CE C1 F9 02 8B D0 8B 45 FC E8 57 FC FF FF 8B 4D C4 8B 55 C8 0F B7 01 48 88 02 33 D2 8B 4D A4 8A 14 01 8B 4D A0 2B FA 33 D2 8A 14 01 8B 4D 9C 2B F2 0F B6 04 01 2B D8 89 7D 98 8B C7 66 8B 55 DC 03 C0 03 F8 8B 4D D0 66 03 D7 03 F8 66 89 11 8B 55 E8 03 D7 03 F8 89 55 DC 8B C6 8B 4D 98 03 C0 89 4D E8 89 75 98 66 8B 55 D8 03 F0 66 03 D6 8B 4D D0 03 F0 66 89 51 02 8B 55 E4 03 D6 03 F0 89 55 D8 8B C3 8B 4D 98 03 C0 89 4D E4 89 5D 98 66 8B 55 D4 03 D8 66 03 D3 8B 4D D0 03 D8 66 89 51 04 8B 55 E0 03 D3 03 D8 89 55 D4 8B 4D 98 89 4D E0 8B 45 BC 01 45 CC 8B 45 C0 01 45 C8 8B 55 BC 03 D2 01 55 D0 FF 4D B4 83 7D B4 00 0F 87 78 FE FF FF 8B 4D D0 66 8B 45 DC 66 89 01 8B 55 D0 66 8B 4D D8 66 89 4A 02 8B 45 D0 66 8B 55 D4 66 89 50 04 FF 45 B8 83 45 90 04 83 45 94 04 8B 4D B8 3B 4D 08 0F 8C 9A FD FF FF 5F 5E 5B 8B }
	condition:
		$1
}

rule function_11768_0 {
	meta:
		name = "@jinit_2pass_quantizer"
		size = 288
		refs = "0025 _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 57 55 8B 70 04 B9 2C 00 00 00 BA 01 00 00 00 FF 16 8B F0 33 C0 89 B3 BE 01 00 00 33 D2 C7 06 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 89 46 20 89 56 28 83 7B 74 03 74 0F 8B 0B 8B C3 C7 41 14 2E 00 00 00 8B 10 FF 12 8B C3 B9 80 00 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 46 18 33 FF 8B C3 B9 00 10 00 00 BA 01 00 00 00 8B 68 04 FF 55 04 8B 56 18 89 04 BA 47 83 FF 20 7C E2 C7 46 1C 01 00 00 00 83 7B 68 00 74 55 8B 7B 5C 83 FF 08 7D 16 8B 03 C7 40 14 37 00 00 00 C7 40 18 08 00 00 00 8B C3 8B 10 FF 12 81 FF 00 01 00 00 7E 16 8B 03 C7 40 14 38 00 00 00 C7 40 18 00 01 00 00 8B C3 8B 10 FF 12 8B C3 6A 03 8B CF BA 01 00 00 00 8B 68 04 FF 55 08 89 46 10 89 7E 14 EB 05 33 C0 89 46 10 83 7B 54 00 74 07 C7 43 54 02 00 00 00 83 7B 54 02 75 22 8B 4B 6C 8B C3 03 C9 BA 01 00 00 00 8B 78 04 8D 0C 49 83 C1 0C FF 57 04 89 46 20 8B C3 E8 05 FD FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11769_0 {
	meta:
		name = "_DF_"
		size = 1528
		refs = "03f0 _DF_"
	strings:
		$1 = { 53 56 8B D8 57 83 C4 F0 8B 83 9A 01 00 00 89 04 24 8B C3 8B 93 2E 01 00 00 89 54 24 08 BA 01 00 00 00 8B 4B 20 8B 70 04 03 C9 C1 E1 02 FF 16 8B F0 8B 04 24 89 70 38 8B 53 20 8B 0C 24 C1 E2 02 03 F2 89 71 3C 33 F6 8B 83 D4 00 00 00 89 44 24 0C EB 68 8B 54 24 0C 8B 42 0C 8B 54 24 0C F7 6A 24 99 F7 BB 2E 01 00 00 89 44 24 04 8B C3 8B 4C 24 08 BA 01 00 00 00 83 C1 04 8B 78 04 0F AF 4C 24 04 03 C9 C1 E1 02 FF 17 8B 54 24 04 8B 0C 24 C1 E2 02 03 C2 8B 51 38 89 04 B2 8B 4C 24 08 8B 14 24 83 C1 04 0F AF 4C 24 04 C1 E1 02 03 C1 8B 4A 3C 89 04 B1 46 83 44 24 0C 54 3B 73 20 7C 93 83 C4 10 5F 5E 5B C3 90 53 56 57 55 83 C4 DC 89 04 24 8B 04 24 8B 90 9A 01 00 00 33 C0 89 54 24 04 8B 0C 24 8B 89 2E 01 00 00 89 44 24 08 8B 14 24 8B 82 D4 00 00 00 89 44 24 0C 8B 54 24 04 8D 42 08 89 44 24 14 E9 ED 00 00 00 8B 54 24 0C 8B 74 24 08 8B 42 0C 8B 54 24 0C F7 6A 24 8B 14 24 8B 9A 2E 01 00 00 99 F7 FB 8B D0 8B 44 24 04 8B 5C 24 08 8B 40 38 8B 1C 98 8B 44 24 04 8B FB 8B 40 3C 8B 34 B0 8B 44 24 14 8B 00 89 44 24 10 89 7C 24 20 8B FE 33 C0 89 7C 24 1C 8B 7C 24 10 89 7C 24 18 EB 24 8B 7C 24 18 8B 6C 24 1C 40 8B 3F 89 7D 00 8B 6C 24 20 89 7D 00 83 44 24 20 04 83 44 24 1C 04 83 44 24 18 04 8D 79 02 0F AF FA 3B C7 7C D2 33 C0 EB 37 8B FA 8B 6C 24 10 0F AF F9 03 F8 FF 74 BD 00 8D 79 FE 5D 0F AF FA 03 F8 89 2C BE 8D 79 FE 0F AF FA 03 F8 8B 6C 24 10 FF 74 BD 00 8B FA 5D 0F AF F9 03 F8 40 89 2C BE 8B FA 03 FF 3B C7 7C C1 33 C0 3B D0 7E 0E 8B F0 2B F2 8B 3B 89 3C B3 40 3B D0 7F F2 83 44 24 14 04 FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 20 3B 54 24 08 0F 8F 03 FF FF FF 83 C4 24 5D 5F 5E 5B C3 53 56 57 55 83 C4 E8 89 04 24 8B 04 24 8B 90 9A 01 00 00 33 C0 89 54 24 04 8B 0C 24 8B 89 2E 01 00 00 89 44 24 08 8B 14 24 8B 82 D4 00 00 00 89 44 24 0C E9 AC 00 00 00 8B 54 24 0C 8B 74 24 08 8B 42 0C 8B 54 24 0C F7 6A 24 8B 14 24 8B 9A 2E 01 00 00 99 F7 FB 8B D0 8B 44 24 04 8B 5C 24 08 8B 40 38 8B 1C 98 8B 44 24 04 8B 40 3C 8B 34 B0 33 C0 8B FE 3B D0 89 7C 24 14 8B FB 89 7C 24 10 7E 59 8D 79 01 0F AF FA 03 F8 FF 34 BB 8B F8 2B FA 5D 89 2C BB 8D 79 01 0F AF FA 03 F8 FF 34 BE 8B F8 2B FA 5D 89 2C BE 8D 79 02 0F AF FA 03 F8 8B 6C 24 10 8B 6D 00 89 2C BB 8D 79 02 0F AF FA 03 F8 8B 6C 24 14 8B 6D 00 89 2C BE 40 83 44 24 14 04 83 44 24 10 04 3B D0 7F A7 FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 20 3B 54 24 08 0F 8F 44 FF FF FF 83 C4 18 5D 5F 5E 5B C3 53 56 57 55 83 C4 F0 33 C9 89 04 24 8B 04 24 8B 90 9A 01 00 00 89 54 24 04 89 4C 24 08 8B 04 24 8B 90 D4 00 00 00 89 54 24 0C EB 7F 8B 4C 24 0C 8B 44 24 0C 8B 14 24 8B 59 0C 0F AF 58 24 8B C3 8B 8A 2E 01 00 00 99 F7 F9 8B F0 8B 44 24 0C 33 D2 8B 40 2C F7 F3 8B CA 85 C9 75 02 8B CB 83 7C 24 08 00 75 0E 8D 41 FF 99 F7 FE 40 8B 54 24 04 89 42 48 8B 44 24 04 8B 40 40 8B 54 24 04 8B 44 82 38 8B 54 24 08 8B 1C 90 33 C0 8D 54 8B FC EB 09 8D 3C 08 8B 2A 89 2C BB 40 8B FE 03 FF 3B C7 7C EF FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 20 3B 54 24 08 0F 8F 71 FF FF FF 83 C4 10 5D 5F 5E 5B C3 90 53 83 EA 01 8B 98 9A 01 00 00 72 05 4A 74 3E EB 45 8B 90 B6 01 00 00 83 7A 08 00 74 1D C7 43 04 ?? ?? ?? ?? E8 CF FC FF FF 33 C0 89 43 40 33 C9 89 4B 44 33 C0 89 43 4C EB 07 C7 43 04 ?? ?? ?? ?? 33 D2 33 C9 89 53 30 89 4B 34 5B C3 C7 43 04 ?? ?? ?? ?? 5B C3 8B 10 C7 42 14 04 00 00 00 8B 08 FF 11 5B C3 90 90 90 55 8B EC 83 C4 F8 53 56 8B F0 57 89 4D FC 8B FA 8B 9E 9A 01 00 00 83 7B 30 00 75 19 8D 53 08 8B C6 8B 88 9E 01 00 00 FF 51 0C 85 C0 74 40 C7 43 30 01 00 00 00 8B 86 2E 01 00 00 89 45 F8 8B 55 F8 52 57 8B 4D FC 8D 53 08 51 8D 4B 34 8B 45 08 50 8B C6 8B B0 A2 01 00 00 FF 56 04 8B 43 34 3B 45 F8 72 0A 33 D2 33 C9 89 53 30 89 4B 34 5F 5E 5B 59 59 5D C2 04 00 90 55 8B EC 83 C4 F8 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E 9A 01 00 00 83 7B 30 00 75 24 8B 43 40 8B 54 83 38 8B C6 8B 88 9E 01 00 00 FF 51 0C 85 C0 0F 84 E7 00 00 00 C7 43 30 01 00 00 00 FF 43 4C 8B 53 44 83 EA 01 72 4D 74 73 4A 0F 85 CC 00 00 00 8B 43 48 50 8B 55 FC 52 8B 4D F8 51 8D 4B 34 8B 45 08 50 8B C6 8B 53 40 8B B8 A2 01 00 00 8B 54 93 38 FF 57 04 8B 43 34 3B 43 48 0F 82 9B 00 00 00 33 D2 89 53 44 8B 4D F8 8B 01 3B 45 08 0F 83 88 00 00 00 33 D2 89 53 34 8B 8E 2E 01 00 00 49 89 4B 48 8B 43 4C 3B 86 32 01 00 00 75 07 8B C6 E8 A5 FD FF FF C7 43 44 01 00 00 00 8B 53 48 52 8B 4D FC 51 8B 45 F8 50 8B 55 08 52 8D 4B 34 8B 43 40 8B 54 83 38 8B C6 8B B8 A2 01 00 00 FF 57 04 8B 43 34 3B 43 48 72 33 83 7B 4C 01 75 07 8B C6 E8 68 FC FF FF 83 73 40 01 33 D2 89 53 30 8B 8E 2E 01 00 00 41 89 4B 34 8B 86 2E 01 00 00 83 C0 02 89 43 48 C7 43 44 02 00 00 00 5F 5E 5B 59 59 5D C2 04 00 90 55 8B EC 53 6A 00 52 51 8B 55 08 52 33 D2 33 C9 8B 98 A2 01 00 00 FF 53 04 5B 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_11770_0 {
	meta:
		name = "@jinit_d_main_controller"
		size = 221
		refs = "0026 _DF_"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 8B DA BA 01 00 00 00 8B 78 04 83 C4 F4 B9 50 00 00 00 FF 17 8B F8 89 BE 9A 01 00 00 C7 07 ?? ?? ?? ?? 85 DB 74 0F 8B 06 C7 40 14 04 00 00 00 8B C6 8B 10 FF 12 8B 8E B6 01 00 00 83 79 08 00 74 2E 83 BE 2E 01 00 00 02 7D 0F 8B 06 C7 40 14 2E 00 00 00 8B C6 8B 10 FF 12 8B C6 E8 A0 F9 FF FF 8B 96 2E 01 00 00 83 C2 02 89 54 24 08 EB 0A 8B 8E 2E 01 00 00 89 4C 24 08 33 C0 89 04 24 8B 9E D4 00 00 00 8D 47 08 8B F8 EB 3A 8B 43 0C F7 6B 24 99 F7 BE 2E 01 00 00 89 44 24 04 8B C6 8B 4C 24 04 BA 01 00 00 00 0F AF 4C 24 08 51 8B 4B 1C 8B 68 04 0F AF 4B 24 FF 55 08 89 07 83 C7 04 FF 04 24 83 C3 54 8B 04 24 3B 46 20 7C BE 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11771_0 {
	meta:
		name = "_DF_"
		size = 3976
		refs = "0080 _DF_ 010f _memset 0b0a @jcopy_block_row"
	strings:
		$1 = { 83 B8 3A 01 00 00 01 8B 90 9E 01 00 00 7E 09 C7 42 1C 01 00 00 00 EB 29 8B 88 32 01 00 00 49 3B 88 90 00 00 00 76 0E 8B 80 3E 01 00 00 8B 40 0C 89 42 1C EB 0C 8B 88 3E 01 00 00 8B 41 48 89 42 1C 33 C9 33 C0 89 4A 14 89 42 18 C3 33 D2 89 90 90 00 00 00 E8 A7 FF FF FF C3 90 90 53 8B D8 56 8B B3 9E 01 00 00 83 7E 10 00 74 21 83 7B 4C 00 74 14 8B C3 E8 33 06 00 00 85 C0 74 09 C7 46 0C ?? ?? ?? ?? EB 07 C7 46 0C ?? ?? ?? ?? 33 D2 89 93 98 00 00 00 5E 5B C3 53 56 57 83 C4 C0 89 54 24 04 89 04 24 8B 04 24 8B 90 9E 01 00 00 89 54 24 08 8B 0C 24 8B 81 4E 01 00 00 48 89 44 24 10 8B 14 24 8B 8A 32 01 00 00 49 89 4C 24 14 8B 44 24 08 8B 50 18 89 54 24 24 E9 AE 01 00 00 8B 4C 24 08 8B 41 14 89 44 24 0C 8B 54 24 0C 3B 54 24 10 0F 87 88 01 00 00 8B 0C 24 8B 81 56 01 00 00 C1 E0 07 50 6A 00 8B 54 24 10 8B 4A 20 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 04 24 8B 54 24 08 83 C2 20 8B 88 AE 01 00 00 FF 51 04 85 C0 75 1D 8B 44 24 08 8B 54 24 24 89 50 18 8B 4C 24 08 8B 44 24 0C 89 41 14 33 C0 E9 96 01 00 00 33 D2 33 C9 89 54 24 18 89 4C 24 1C 8B 44 24 04 8B D0 89 54 24 3C 8B 0C 24 8D 81 3E 01 00 00 89 44 24 38 E9 E8 00 00 00 8B 54 24 38 8B 1A 83 7B 30 00 75 0C 8B 43 3C 01 44 24 18 E9 C2 00 00 00 8B 14 24 8B 8A B2 01 00 00 8B 43 04 8B 54 81 04 89 54 24 34 8B 4C 24 0C 3B 4C 24 10 73 05 8B 43 34 EB 03 8B 43 44 89 44 24 28 8B 54 24 3C 8B 0A 8B 44 24 24 F7 6B 24 C1 E0 02 03 C8 89 4C 24 2C 8B 54 24 0C 0F AF 53 40 89 54 24 30 33 C9 89 4C 24 20 EB 65 8B 04 24 8B 90 90 00 00 00 3B 54 24 14 72 0D 8B 4C 24 24 03 4C 24 20 3B 4B 48 7D 34 8B 7C 24 30 33 F6 3B 74 24 28 7D 28 8B 44 24 2C 50 57 8B 54 24 20 8B 4C 24 10 03 D6 8B 44 24 08 8B 4C 91 20 8B D3 FF 54 24 3C 03 7B 24 46 3B 74 24 28 7C D8 8B 43 34 01 44 24 18 8B 53 24 C1 E2 02 01 54 24 2C FF 44 24 20 8B 4C 24 20 3B 4B 38 7C 92 FF 44 24 1C 83 44 24 3C 04 83 44 24 38 04 8B 04 24 8B 90 3A 01 00 00 3B 54 24 1C 0F 8F 05 FF FF FF FF 44 24 0C 8B 4C 24 0C 3B 4C 24 10 0F 86 78 FE FF FF 8B 44 24 08 33 D2 89 50 14 FF 44 24 24 8B 4C 24 08 8B 41 1C 3B 44 24 24 0F 8F 41 FE FF FF 8B 14 24 FF 82 98 00 00 00 8B 0C 24 FF 81 90 00 00 00 8B 81 90 00 00 00 8B 14 24 3B 82 32 01 00 00 73 0F 8B 04 24 E8 38 FD FF FF B8 03 00 00 00 EB 11 8B 04 24 8B 90 A6 01 00 00 FF 52 0C B8 04 00 00 00 83 C4 40 5F 5E 5B C3 90 33 C0 C3 90 53 56 57 83 C4 C8 33 C9 89 04 24 8B 04 24 8D 74 24 28 8B 90 9E 01 00 00 89 54 24 04 89 4C 24 0C 8B 04 24 8D 98 3E 01 00 00 EB 42 8B 03 89 44 24 18 8B 54 24 18 8B 7A 0C 57 6A 01 8B 44 24 08 8B 54 24 20 8B 88 90 00 00 00 8B 42 04 0F AF CF 8B 54 24 0C 8B 54 82 48 8B 44 24 08 8B 78 04 FF 57 20 89 06 83 C6 04 FF 44 24 0C 83 C3 04 8B 04 24 8B 90 3A 01 00 00 3B 54 24 0C 7F AF 8B 4C 24 04 8B 41 18 89 44 24 10 E9 11 01 00 00 8B 54 24 04 8B 4A 14 89 4C 24 08 E9 E1 00 00 00 33 DB 33 C0 89 44 24 0C 8D 54 24 28 89 54 24 24 8B 0C 24 8D 81 3E 01 00 00 89 44 24 1C EB 7A 8B 54 24 1C 8B 0A 89 4C 24 18 8B 44 24 18 8B 50 34 0F AF 54 24 08 89 54 24 14 33 F6 8B 44 24 24 8B D0 89 54 24 20 EB 3B 8B 44 24 20 8B 4C 24 10 03 CE 8B 10 8B 44 24 14 C1 E0 07 8B 14 8A 03 D0 8B 44 24 04 33 C9 8D 44 98 20 EB 0D 89 10 81 C2 80 00 00 00 43 83 C0 04 41 8B 7C 24 18 3B 4F 34 7C EA 46 8B 44 24 18 3B 70 38 7C BC FF 44 24 0C 83 44 24 24 04 83 44 24 1C 04 8B 14 24 8B 8A 3A 01 00 00 3B 4C 24 0C 0F 8F 73 FF FF FF 8B 04 24 8B 54 24 04 83 C2 20 8B 88 AE 01 00 00 FF 51 04 85 C0 75 1A 8B 44 24 04 8B 54 24 10 89 50 18 8B 4C 24 04 8B 44 24 08 89 41 14 33 C0 EB 6F FF 44 24 08 8B 14 24 8B 8A 4E 01 00 00 3B 4C 24 08 0F 87 0C FF FF FF 8B 44 24 04 33 D2 89 50 14 FF 44 24 10 8B 4C 24 04 8B 41 1C 3B 44 24 10 0F 8F DE FE FF FF 8B 14 24 FF 82 90 00 00 00 8B 8A 90 00 00 00 8B 04 24 3B 88 32 01 00 00 73 0F 8B 04 24 E8 44 FB FF FF B8 03 00 00 00 EB 11 8B 04 24 8B 90 A6 01 00 00 FF 52 0C B8 04 00 00 00 83 C4 38 5F 5E 5B C3 90 53 56 57 83 C4 D4 8B FA 89 04 24 8B 04 24 8B B0 9E 01 00 00 8B 04 24 8B 90 32 01 00 00 4A 89 54 24 04 EB 16 8B 04 24 8B 90 A6 01 00 00 FF 12 85 C0 75 07 33 C0 E9 8C 01 00 00 8B 14 24 8B 04 24 8B 8A 8C 00 00 00 3B 88 94 00 00 00 7C D6 8B 14 24 8B 04 24 8B 8A 8C 00 00 00 3B 88 94 00 00 00 75 14 8B 14 24 8B 04 24 8B 8A 90 00 00 00 3B 88 98 00 00 00 76 AE 33 D2 8B C7 89 54 24 0C 8D 56 48 8B 0C 24 8B 99 D4 00 00 00 89 44 24 24 89 54 24 20 E9 F9 00 00 00 83 7B 30 00 0F 84 DE 00 00 00 8B 43 0C 50 6A 00 8B 54 24 08 8B 8A 98 00 00 00 0F AF C8 8B 44 24 28 8B 10 8B 44 24 08 8B 70 04 FF 56 20 8B C8 8B 04 24 8B 90 98 00 00 00 3B 54 24 04 73 09 8B 43 0C 89 44 24 14 EB 19 8B 43 20 8B 73 0C 33 D2 F7 F6 89 54 24 14 83 7C 24 14 00 75 04 89 74 24 14 8B 04 24 8B 80 B2 01 00 00 8B 54 24 0C 8B 44 90 04 89 44 24 1C 8B 54 24 24 8B 02 89 44 24 18 33 D2 89 54 24 10 89 4C 24 28 8B 44 24 10 3B 44 24 14 7D 55 8B 54 24 28 33 FF 33 C0 8B 32 89 44 24 08 EB 1F 8B 54 24 18 8B CE 52 57 8B 44 24 08 8B D3 FF 54 24 24 81 C6 80 00 00 00 03 7B 24 FF 44 24 08 8B 4C 24 08 3B 4B 1C 72 D8 8B 43 24 C1 E0 02 01 44 24 18 FF 44 24 10 83 44 24 28 04 8B 54 24 10 3B 54 24 14 7C AB 83 44 24 20 04 83 44 24 24 04 FF 44 24 0C 83 C3 54 8B 0C 24 8B 41 20 3B 44 24 0C 0F 8F F7 FE FF FF 8B 14 24 FF 82 98 00 00 00 8B 8A 98 00 00 00 8B 04 24 3B 88 32 01 00 00 73 07 B8 03 00 00 00 EB 05 B8 04 00 00 00 83 C4 2C 5F 5E 5B C3 90 90 90 53 56 57 83 C4 F4 89 04 24 8B 04 24 8B 98 9E 01 00 00 33 C0 89 44 24 04 8B 14 24 83 BA D8 00 00 00 00 74 0C 8B 0C 24 83 B9 9C 00 00 00 00 75 07 33 C0 E9 D2 00 00 00 83 7B 70 00 75 1C 8B 14 24 8B 04 24 8B 4A 20 8B 70 04 C1 E1 03 BA 01 00 00 00 8D 0C 49 FF 16 89 43 70 8B 04 24 8B 73 70 33 DB 8B 90 D4 00 00 00 89 54 24 08 E9 89 00 00 00 8B 4C 24 08 8B 41 4C 85 C0 75 07 33 C0 E9 87 00 00 00 66 83 38 00 74 23 66 83 78 02 00 74 1C 66 83 78 10 00 74 15 66 83 78 20 00 74 0E 66 83 78 12 00 74 07 66 83 78 04 00 75 04 33 C0 EB 5A 8B 14 24 8B 82 9C 00 00 00 8B D3 C1 E2 08 03 C2 83 38 00 7D 04 33 C0 EB 41 B9 01 00 00 00 8D 56 04 83 C0 04 8B 38 89 3A 83 38 00 74 08 C7 44 24 04 01 00 00 00 41 83 C2 04 83 C0 04 83 F9 05 7E E3 83 C6 18 43 83 44 24 08 54 8B 04 24 3B 58 20 0F 8C 6B FF FF FF 8B 44 24 04 83 C4 0C 5F 5E 5B C3 53 56 81 C4 E8 FE FF FF 89 54 24 04 89 04 24 8B 04 24 8B 90 9E 01 00 00 89 54 24 08 8B 0C 24 8B 81 32 01 00 00 48 89 44 24 0C EB 60 8B 14 24 8B 04 24 8B 8A 94 00 00 00 3B 88 8C 00 00 00 75 36 BA 01 00 00 00 8B 0C 24 83 B9 82 01 00 00 00 74 01 4A 89 94 24 90 00 00 00 8B 04 24 8B 0C 24 8B 90 90 00 00 00 8B 81 98 00 00 00 03 84 24 90 00 00 00 3B D0 77 3D 8B 04 24 8B 90 A6 01 00 00 FF 12 85 C0 75 07 33 C0 E9 36 07 00 00 8B 14 24 8B 04 24 8B 8A 94 00 00 00 3B 88 8C 00 00 00 7C 13 8B 14 24 8B 8A A6 01 00 00 83 79 14 00 0F 84 79 FF FF FF 33 C0 89 44 24 18 8B 14 24 8B 8A D4 00 00 00 89 4C 24 40 E9 C1 06 00 00 8B 44 24 40 83 78 30 00 0F 84 AA 06 00 00 8B 14 24 8B 8A 98 00 00 00 3B 4C 24 0C 73 1D 8B 44 24 40 8B 50 0C 89 54 24 20 8B 4C 24 20 03 C9 89 4C 24 24 33 C0 89 44 24 4C EB 38 8B 54 24 40 8B 42 20 8B 54 24 40 8B 4A 0C 33 D2 F7 F1 89 54 24 20 83 7C 24 20 00 75 0B 8B 44 24 40 8B 40 0C 89 44 24 20 8B 54 24 20 89 54 24 24 C7 44 24 4C 01 00 00 00 8B 0C 24 83 B9 98 00 00 00 00 76 55 8B 44 24 40 8B 50 0C 01 54 24 24 8B 4C 24 24 51 6A 00 8B 44 24 08 8B 54 24 48 8B 88 98 00 00 00 8B 44 24 10 49 0F AF 4A 0C 8B 54 24 20 8B 54 90 48 8B 44 24 08 8B 58 04 FF 53 20 89 44 24 28 8B 44 24 40 8B 50 0C C1 E2 02 01 54 24 28 33 C9 89 4C 24 48 EB 2B 8B 44 24 24 50 6A 00 8B 44 24 08 8B 4C 24 20 8B 54 24 10 8B 58 04 8B 54 8A 48 33 C9 FF 53 20 89 44 24 28 C7 44 24 48 01 00 00 00 8B 4C 24 18 8B 44 24 08 C1 E1 03 8B 50 70 8D 0C 49 03 D1 89 54 24 50 8B 44 24 40 8B 50 4C 89 54 24 54 8B 4C 24 54 0F B7 01 89 44 24 58 8B 54 24 54 0F B7 4A 02 89 4C 24 5C 8B 44 24 54 0F B7 50 10 89 54 24 64 8B 4C 24 54 0F B7 41 20 89 44 24 6C 8B 54 24 54 0F B7 4A 12 89 4C 24 68 8B 44 24 54 0F B7 50 04 89 54 24 60 8B 0C 24 8B 54 24 18 8B 81 B2 01 00 00 8B 4C 90 04 89 4C 24 44 8B 44 24 04 8B 54 24 18 8B 0C 90 33 C0 89 4C 24 38 89 44 24 1C 8B 54 24 28 8B CA 89 8C 24 94 00 00 00 8B 44 24 1C 3B 44 24 20 0F 8D 0C 05 00 00 8B 94 24 94 00 00 00 8B 0A 89 4C 24 2C 83 7C 24 48 00 74 11 83 7C 24 1C 00 75 0A 8B 44 24 2C 89 44 24 30 EB 0E 8B 94 24 94 00 00 00 8B 4A FC 89 4C 24 30 83 7C 24 4C 00 74 15 8B 44 24 20 48 3B 44 24 1C 75 0A 8B 54 24 2C 89 54 24 34 EB 0E 8B 8C 24 94 00 00 00 8B 41 04 89 44 24 34 8B 54 24 30 0F BF 0A 89 4C 24 78 89 4C 24 74 89 4C 24 70 8B 44 24 2C 0F BF 10 89 94 24 80 00 00 00 89 54 24 7C 8B 44 24 34 8B F2 0F BF 10 89 94 24 8C 00 00 00 89 94 24 88 00 00 00 89 94 24 84 00 00 00 33 C0 89 44 24 3C 33 D2 8B 4C 24 40 8B 41 1C 48 89 44 24 14 89 54 24 10 8B 4C 24 10 3B 4C 24 14 0F 87 1E 04 00 00 8D 94 24 98 00 00 00 B9 01 00 00 00 8B 44 24 2C E8 ?? ?? ?? ?? 8B 44 24 10 3B 44 24 14 73 33 8B 54 24 30 0F BF 8A 80 00 00 00 89 4C 24 78 8B 44 24 2C 0F BF 90 80 00 00 00 89 94 24 80 00 00 00 8B 4C 24 34 0F BF 81 80 00 00 00 89 84 24 8C 00 00 00 8B 54 24 50 8B 5A 04 85 DB 0F 84 93 00 00 00 66 83 BC 24 9A 00 00 00 00 0F 85 84 00 00 00 8B CE 2B 8C 24 80 00 00 00 0F AF 4C 24 58 C1 E1 02 8D 0C C9 85 C9 7C 32 8B 44 24 5C 8B 54 24 5C C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 5C 8B 54 24 5C C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 9A 00 00 00 8B 54 24 50 8B 5A 08 85 DB 0F 84 96 00 00 00 66 83 BC 24 A8 00 00 00 00 0F 85 87 00 00 00 8B 44 24 74 2B 84 24 88 00 00 00 F7 6C 24 58 8B C8 C1 E1 02 8D 0C C9 85 C9 7C 32 8B 44 24 64 8B 54 24 64 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 64 8B 54 24 64 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 A8 00 00 00 8B 54 24 50 8B 5A 0C 85 DB 0F 84 99 00 00 00 66 83 BC 24 B8 00 00 00 00 0F 85 8A 00 00 00 8B 44 24 74 8B 54 24 7C 03 84 24 88 00 00 00 03 D2 2B C2 F7 6C 24 58 8D 0C C0 85 C9 7C 32 8B 44 24 6C 8B 54 24 6C C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 6C 8B 54 24 6C C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 B8 00 00 00 8B 54 24 50 8B 5A 10 85 DB 0F 84 9C 00 00 00 66 83 BC 24 AA 00 00 00 00 0F 85 8D 00 00 00 8B 44 24 70 2B 44 24 78 2B 84 24 84 00 00 00 03 84 24 8C 00 00 00 F7 6C 24 58 8D 0C 80 85 C9 7C 32 8B 44 24 68 8B 54 24 68 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 68 8B 54 24 68 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 AA 00 00 00 8B 54 24 50 8B 5A 14 85 DB 0F 84 96 00 00 00 66 83 BC 24 9C 00 00 00 00 0F 85 87 00 00 00 03 B4 24 80 00 00 00 8B 44 24 7C 03 C0 2B F0 0F AF 74 24 58 8D 0C F6 85 C9 7C 32 8B 44 24 60 8B 54 24 60 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 60 8B 54 24 60 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 9C 00 00 00 8B 54 24 38 52 8B 44 24 40 50 8D 8C 24 A0 00 00 00 8B 54 24 48 8B 44 24 08 FF 54 24 4C 8B 54 24 74 89 54 24 70 8B 4C 24 78 89 4C 24 74 8B 74 24 7C 8B 84 24 80 00 00 00 89 44 24 7C 8B 94 24 88 00 00 00 89 94 24 84 00 00 00 8B 8C 24 8C 00 00 00 89 8C 24 88 00 00 00 81 44 24 2C 80 00 00 00 81 44 24 30 80 00 00 00 81 44 24 34 80 00 00 00 8B 44 24 40 8B 50 24 01 54 24 3C FF 44 24 10 8B 4C 24 10 3B 4C 24 14 0F 86 E2 FB FF FF 8B 44 24 40 8B 50 24 C1 E2 02 01 54 24 38 FF 44 24 1C 83 84 24 94 00 00 00 04 8B 4C 24 1C 3B 4C 24 20 0F 8C F4 FA FF FF FF 44 24 18 83 44 24 40 54 8B 04 24 8B 50 20 3B 54 24 18 0F 8F 2F F9 FF FF 8B 0C 24 FF 81 98 00 00 00 8B 81 98 00 00 00 8B 14 24 3B 82 32 01 00 00 73 07 B8 03 00 00 00 EB 05 B8 04 00 00 00 81 C4 18 01 00 00 5E 5B C3 90 }
	condition:
		$1
}

rule function_11772_0 {
	meta:
		name = "@jinit_d_coef_controller"
		size = 273
		refs = "002a _DF_ 0074 @jround_up"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 55 8B DA BA 01 00 00 00 8B 70 04 83 C4 F4 B9 74 00 00 00 FF 16 8B F0 33 C0 89 B7 9E 01 00 00 85 DB C7 06 ?? ?? ?? ?? C7 46 08 ?? ?? ?? ?? 89 46 70 0F 84 8D 00 00 00 33 D2 89 14 24 8B 9F D4 00 00 00 8D 46 48 89 44 24 08 EB 5B 8B 53 0C 89 54 24 04 83 BF D8 00 00 00 00 74 0B 8B 4C 24 04 8D 0C 49 89 4C 24 04 8B 53 08 8B 43 1C E8 ?? ?? ?? ?? 50 8B 53 0C 8B 43 20 E8 ?? ?? ?? ?? 50 8B C7 8B 4C 24 0C BA 01 00 00 00 51 B9 01 00 00 00 8B 68 04 FF 55 14 8B 54 24 08 89 02 83 44 24 08 04 FF 04 24 83 C3 54 8B 47 20 3B 04 24 7F 9D C7 46 04 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 8D 4E 48 89 4E 10 EB 3E 8B C7 B9 00 05 00 00 BA 01 00 00 00 8B 58 04 FF 53 04 8B C8 33 C0 8D 56 20 8B D8 40 C1 E3 07 03 D9 89 1A 83 C2 04 83 F8 0A 7C EE C7 46 04 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 33 C0 89 46 10 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11773_0 {
	meta:
		name = "_DF_"
		size = 608
		refs = "0020 _DF_"
	strings:
		$1 = { 53 56 8B F0 83 EA 01 8B 9E A2 01 00 00 72 08 4A 74 5C 4A 74 3B EB 75 83 7E 50 00 74 25 C7 43 04 ?? ?? ?? ?? 83 7B 0C 00 75 71 8B 43 10 33 C9 50 8B C6 6A 01 8B 70 04 8B 53 08 FF 56 1C 89 43 0C EB 59 8B 86 B6 01 00 00 8B 50 04 89 53 04 EB 4B 83 7B 08 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 2D 83 7B 08 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 33 C9 89 4B 18 89 4B 14 5E 5B C3 90 90 55 8B EC 83 C4 F4 53 56 89 4D F8 89 45 FC 8B 45 FC 8B 98 A2 01 00 00 8B 45 0C FF 30 8B 45 08 59 2B C1 8B 4B 10 3B C1 76 02 8B C1 33 C9 89 4D F4 8B 4D 14 51 8B 4B 0C 51 8D 4D F4 51 50 8B 4D F8 8B 45 FC 8B B0 B6 01 00 00 FF 56 04 8B 45 F4 50 8B 55 0C 8B 45 FC 8B 0A 8B 53 0C C1 E1 02 8B 98 BE 01 00 00 03 4D 10 FF 53 04 8B 45 0C 8B 55 F4 01 10 5E 5B 8B E5 5D C2 10 00 90 90 55 8B EC 83 C4 F0 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E A2 01 00 00 83 7B 18 00 75 17 8B 43 10 50 8B C6 6A 01 8B 78 04 8B 4B 14 8B 53 08 FF 57 1C 89 43 0C 8B 43 18 89 45 F4 8D 43 18 8B 55 14 52 8B 4B 0C 51 50 8B C6 8B 53 10 52 8B B8 B6 01 00 00 8B 55 FC 8B 4D F8 FF 57 04 8B 43 18 3B 45 F4 76 28 2B 45 F4 89 45 F0 8B C6 8B 55 F0 52 8B 55 F4 8B B0 BE 01 00 00 C1 E2 02 03 53 0C 33 C9 FF 56 04 8B 45 0C 8B 55 F0 01 10 8B 43 10 3B 43 18 77 08 01 43 14 33 D2 89 53 18 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 98 A2 01 00 00 83 7B 18 00 75 18 8B 43 10 50 6A 00 8B 45 FC 8B 4B 14 8B 53 08 8B 70 04 FF 56 1C 89 43 0C 8B 45 0C 8B 73 10 8B 53 18 FF 30 8B 45 08 59 2B C1 2B F2 3B C6 73 02 8B F0 8B 45 FC 8B 40 70 2B 43 14 3B C6 73 02 8B F0 56 8B 45 0C C1 E2 02 8B 08 8B 45 FC C1 E1 02 03 4D 10 03 53 0C 8B B8 BE 01 00 00 FF 57 04 8B 45 0C 01 30 01 73 18 8B 43 10 3B 43 18 77 08 01 43 14 33 D2 89 53 18 5F 5E 5B 59 5D C2 10 00 90 }
	condition:
		$1
}

rule function_11774_0 {
	meta:
		name = "@jinit_d_post_controller"
		size = 145
		refs = "0028 _DF_ 0054 @jround_up"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 51 89 14 24 BA 01 00 00 00 8B 58 04 B9 1C 00 00 00 FF 13 8B D8 33 C0 89 9E A2 01 00 00 33 D2 C7 03 ?? ?? ?? ?? 89 43 08 89 53 0C 83 7E 50 00 74 54 8B BE 2A 01 00 00 89 7B 10 83 3C 24 00 74 2A 8B 46 6C F7 6E 74 50 8B D7 8B 46 70 E8 ?? ?? ?? ?? 50 8B C6 8B 53 10 33 C9 52 BA 01 00 00 00 8B 70 04 FF 56 10 89 43 08 EB 1B 8B 43 10 BA 01 00 00 00 50 8B C6 8B 4E 6C 0F AF 4E 74 8B 70 04 FF 56 08 89 43 0C 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11775_0 {
	meta:
		name = "_DF_"
		size = 624
		refs = "005e @jpeg_idct_1x1 0071 @jpeg_idct_2x2 0084 @jpeg_idct_4x4 00a6 @jpeg_idct_islow 00b6 @jpeg_idct_ifast 00c8 @jpeg_idct_float 0198 _DV_"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 33 D2 33 C9 89 04 24 8B 04 24 8B 80 B2 01 00 00 89 54 24 0C 89 4C 24 10 33 D2 89 54 24 04 83 C0 04 8B 0C 24 8B 91 D4 00 00 00 89 54 24 08 89 44 24 20 E9 17 02 00 00 8B 4C 24 08 8B 41 24 48 74 12 48 74 22 83 E8 02 74 30 83 E8 04 74 3B E9 91 00 00 00 C7 44 24 10 ?? ?? ?? ?? 33 D2 89 54 24 0C E9 9B 00 00 00 C7 44 24 10 ?? ?? ?? ?? 33 C9 89 4C 24 0C E9 88 00 00 00 C7 44 24 10 ?? ?? ?? ?? 33 C0 89 44 24 0C EB 78 8B 14 24 8B 4A 44 83 E9 01 72 07 74 15 49 74 24 EB 34 C7 44 24 10 ?? ?? ?? ?? 33 C0 89 44 24 0C EB 56 C7 44 24 10 ?? ?? ?? ?? C7 44 24 0C 01 00 00 00 EB 44 C7 44 24 10 ?? ?? ?? ?? C7 44 24 0C 02 00 00 00 EB 32 8B 14 24 8B 0A C7 41 14 2F 00 00 00 8B 04 24 8B 10 FF 12 EB 1D 8B 0C 24 8B 01 C7 40 14 06 00 00 00 8B 54 24 08 8B 4A 24 89 48 18 8B 04 24 8B 10 FF 12 8B 4C 24 20 8B 44 24 10 89 01 8B 54 24 08 83 7A 30 00 0F 84 27 01 00 00 8B 4C 24 20 8B 41 28 3B 44 24 0C 0F 84 16 01 00 00 8B 54 24 08 8B 4A 4C 89 4C 24 14 83 7C 24 14 00 0F 84 00 01 00 00 8B 44 24 20 8B 54 24 0C 89 50 28 8B 4C 24 0C 83 E9 01 72 0A 74 2D 49 74 6B E9 CF 00 00 00 8B 44 24 08 8B 50 50 33 C0 8B CA 8B 54 24 14 0F B7 1A 89 19 40 83 C1 04 83 C2 02 83 F8 40 7C EF E9 BD 00 00 00 8B 44 24 08 8B 50 50 33 C0 89 54 24 24 B9 ?? ?? ?? ?? 8B 54 24 14 0F B7 1A 0F BF 31 0F AF DE 81 C3 00 08 00 00 8B 74 24 24 C1 FB 0C 83 C1 02 89 1E 83 C2 02 83 44 24 24 04 40 83 F8 40 7C D7 EB 7C 8B 44 24 08 8B 50 50 33 C0 89 54 24 18 33 D2 89 54 24 1C C7 44 24 28 ?? ?? ?? ?? 33 FF 8B 54 24 18 8D 1C 82 B9 ?? ?? ?? ?? 8B 54 24 28 8B F2 8B 54 24 14 8D 14 42 0F B7 2A 89 6C 24 2C 83 C2 02 DB 44 24 2C 40 47 DC 0E DC 09 83 C1 08 D9 1B 83 C3 04 83 FF 08 7C DF FF 44 24 1C 83 44 24 28 08 83 7C 24 1C 08 7C B4 EB 13 8B 04 24 8B 10 C7 42 14 2F 00 00 00 8B 04 24 8B 10 FF 12 83 44 24 20 04 FF 44 24 04 83 44 24 08 54 8B 0C 24 8B 41 20 3B 44 24 04 0F 8F D9 FD FF FF 83 C4 30 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11776_0 {
	meta:
		name = "@jinit_inverse_dct"
		size = 121
		refs = "0020 _DF_ 0055 _memset"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 51 B9 54 00 00 00 8B 58 04 BA 01 00 00 00 FF 13 89 86 B2 01 00 00 C7 00 ?? ?? ?? ?? 33 D2 8D 78 2C 89 14 24 8B 9E D4 00 00 00 EB 37 8B C6 B9 00 01 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 89 43 50 68 00 01 00 00 6A 00 8B 43 50 50 E8 ?? ?? ?? ?? 83 C4 0C C7 07 FF FF FF FF 83 C7 04 FF 04 24 83 C3 54 8B 14 24 3B 56 20 7C C1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11777_0 {
	meta:
		name = "_DF_"
		size = 1252
		refs = "01ca @jcopy_sample_rows"
	strings:
		$1 = { 8B 90 B6 01 00 00 8B 88 2A 01 00 00 89 4A 5C 8B 40 70 89 42 60 C3 90 90 55 8B EC 83 C4 E4 53 56 8B F0 57 89 4D F8 89 55 FC 8B 9E B6 01 00 00 8B 43 5C 3B 86 2A 01 00 00 7C 64 33 D2 89 55 F4 8B 8E D4 00 00 00 89 4D F0 8B 45 FC 8B D0 89 55 E4 8D 4B 34 89 4D E8 EB 39 8B 45 F4 C1 E0 02 03 C3 83 C0 0C 50 8B 55 F8 8B 45 E8 8B 7D E8 8B 0A 0F AF 48 30 8B 55 E4 8B C6 C1 E1 02 03 0A 8B 55 F0 FF 17 83 45 E8 04 83 45 E4 04 FF 45 F4 83 45 F0 54 8B 4D F4 3B 4E 20 7C BF 33 C0 89 43 5C 8B 96 2A 01 00 00 8B 43 5C 2B D0 89 55 EC 8B 53 60 3B 55 EC 73 03 89 55 EC 8B 4D 0C 8B 11 29 55 08 8B 4D EC 3B 4D 08 76 06 8B 4D 08 89 4D EC C1 E2 02 8B C8 03 55 10 8B C6 52 8B 55 EC 52 8D 53 0C 8B B8 BA 01 00 00 FF 57 04 8B 45 0C 8B 55 EC 01 10 8B 4D EC 29 4B 60 8B 43 5C 03 45 EC 89 43 5C 3B 86 2A 01 00 00 7C 05 8B 55 F8 FF 02 5F 5E 5B 8B E5 5D C2 10 00 90 90 90 55 8B EC 8B 45 08 89 08 5D C2 04 00 55 8B EC 8B 45 08 33 D2 89 10 5D C2 04 00 90 90 55 8B EC 83 C4 E8 53 56 57 89 45 FC 8B 45 FC 8B 5D 08 8B 80 B6 01 00 00 8B 1B 89 5D F8 8B 5A 04 33 D2 0F B6 B4 18 8C 00 00 00 89 75 F4 0F B6 84 18 96 00 00 00 89 45 F0 8B C2 89 55 EC 8D 0C 81 89 4D E8 EB 5F 8B 45 E8 8B 55 EC 8B 30 8B 45 F8 8B 04 90 8B 55 FC 8B 7A 6C 03 F8 3B F8 76 16 8A 0E 46 8B 55 F4 85 D2 7E 08 88 08 40 4A 85 D2 7F F8 3B F8 77 EA 83 7D F0 01 7E 1F 8B 45 EC 40 50 8B 45 F0 48 50 8B 55 FC 8B 4A 6C 51 8B 4D F8 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 83 45 E8 04 8B 45 F0 01 45 EC 8B 55 FC 8B 8A 2A 01 00 00 3B 4D EC 7F 93 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 F4 56 57 89 45 FC 8B 45 08 8B 00 33 D2 89 55 F8 89 45 F4 8B C1 EB 2A 8B 55 F4 8B 4D FC 8B 30 8B 12 8B 79 6C 03 FA 3B FA 76 0D 8A 0E 46 88 0A 42 88 0A 42 3B FA 77 F3 FF 45 F8 83 45 F4 04 83 C0 04 8B 55 FC 8B 92 2A 01 00 00 3B 55 F8 7F C8 5F 5E 8B E5 5D C2 04 00 55 8B EC 83 C4 EC 53 56 89 45 FC 8B 45 08 8B 10 33 C0 89 55 F8 89 45 F4 8B 55 F8 8B 5D F4 8D 04 81 8D 14 9A 89 55 EC 89 45 F0 EB 4B 8B 45 EC 8B 55 FC 8B 4D F0 8B 00 8B 72 6C 03 F0 8B 09 3B F0 76 0D 8A 11 41 88 10 40 88 10 40 3B F0 77 F3 8B 45 F4 40 50 6A 01 8B 4D FC 8B 41 6C 50 8B 4D F8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 45 F0 04 83 45 F4 02 83 45 EC 08 8B 55 FC 8B 8A 2A 01 00 00 3B 4D F4 7F A7 5E 5B 8B E5 5D C2 04 00 90 90 90 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 00 33 D2 89 55 F4 89 45 F0 8B C1 EB 78 8B 30 8B 55 F0 8B 0A 33 D2 8A 16 46 88 11 41 8D 14 52 33 DB 8A 1E 03 D3 83 C2 02 C1 FA 02 88 11 41 8B 55 F8 8B 7A 28 83 EF 02 85 FF 76 2A 33 D2 33 DB 8A 16 46 4F 8A 5E FE 8D 14 52 03 DA 43 C1 FB 02 88 19 33 DB 8A 1E 41 03 D3 83 C2 02 C1 FA 02 88 11 41 85 FF 77 D6 33 D2 8A 16 0F B6 76 FF 8D 1C 52 03 DE 43 C1 FB 02 88 19 41 88 11 FF 45 F4 83 45 F0 04 83 C0 04 8B 55 FC 8B 8A 2A 01 00 00 3B 4D F4 0F 8F 76 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 D4 53 56 57 89 45 FC 8B 45 08 8B 00 89 45 F8 33 C0 89 45 E4 8B D8 8D 04 99 89 45 D4 E9 13 01 00 00 33 C9 89 4D E0 8B 45 F8 8B 4D E4 8D 04 88 89 45 D8 8B 4D D4 8B C1 89 45 DC 8B 4D DC 8B 01 89 45 F4 83 7D E0 00 75 0B 8B 4D DC 8B 41 FC 89 45 F0 EB 09 8B 4D DC 8B 41 04 89 45 F0 8B 4D D8 8B 09 FF 45 E4 83 45 D8 04 8B 45 F4 0F B6 00 8D 34 40 8B 45 F0 0F B6 00 FF 45 F0 FF 45 F4 03 F0 8B 45 F4 0F B6 00 8D 3C 40 8B 45 F0 0F B6 00 03 F8 8B C6 FF 45 F0 FF 45 F4 C1 E0 02 83 C0 08 C1 F8 04 88 01 8D 04 76 03 C7 41 83 C0 07 C1 F8 04 88 01 89 75 EC 8B 42 28 41 83 E8 02 8B F7 89 45 E8 83 7D E8 00 76 41 8B 45 F4 0F B6 00 8D 3C 40 8B 45 F0 0F B6 00 FF 45 F0 03 F8 FF 45 F4 8D 04 76 8B D8 03 C7 03 5D EC 83 C0 07 83 C3 08 C1 FB 04 88 19 41 C1 F8 04 88 01 89 75 EC FF 4D E8 41 83 7D E8 00 8B F7 77 BF 8D 04 76 03 45 EC 83 C0 08 C1 F8 04 88 01 8B C6 C1 E0 02 41 83 C0 07 C1 F8 04 88 01 FF 45 E0 83 7D E0 02 0F 8C 0A FF FF FF 83 45 D4 04 8B 4D FC 8B 81 2A 01 00 00 3B 45 E4 0F 8F DB FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11778_0 {
	meta:
		name = "@jinit_upsampler"
		size = 536
		refs = "002b _DF_ 01df @jround_up"
	strings:
		$1 = { 53 8B D8 8B C3 56 57 55 8B 70 04 83 C4 E4 B9 A0 00 00 00 BA 01 00 00 00 FF 16 89 04 24 8B 04 24 89 83 B6 01 00 00 8B 14 24 C7 02 ?? ?? ?? ?? 8B 0C 24 C7 41 04 ?? ?? ?? ?? 8B 04 24 33 D2 89 50 08 83 BB 22 01 00 00 00 74 0F 8B 0B 8B C3 C7 41 14 17 00 00 00 8B 10 FF 12 83 7B 48 00 74 09 83 BB 2E 01 00 00 01 7F 04 33 C9 EB 05 B9 01 00 00 00 89 4C 24 0C 33 C0 89 44 24 04 8B BB D4 00 00 00 8B 04 24 8D 90 8C 00 00 00 89 54 24 18 8B 0C 24 8D 71 64 E9 6A 01 00 00 8B 47 08 8B 4F 24 F7 E9 99 F7 BB 2E 01 00 00 8B E8 8B 47 0C F7 E9 99 F7 BB 2E 01 00 00 8B C8 8B 83 26 01 00 00 89 44 24 10 8B 93 2A 01 00 00 89 54 24 14 89 0E C7 44 24 08 01 00 00 00 83 7F 30 00 75 12 C7 46 D0 ?? ?? ?? ?? 33 C9 89 4C 24 08 E9 D9 00 00 00 3B 6C 24 10 75 18 3B 4C 24 14 75 12 C7 46 D0 ?? ?? ?? ?? 33 C0 89 44 24 08 E9 BB 00 00 00 8B D5 03 D2 3B 54 24 10 75 2B 3B 4C 24 14 75 25 83 7C 24 0C 00 74 12 83 7F 28 02 76 0C C7 46 D0 ?? ?? ?? ?? E9 92 00 00 00 C7 46 D0 ?? ?? ?? ?? E9 86 00 00 00 8B C5 03 C0 3B 44 24 10 75 33 8B D1 03 D2 3B 54 24 14 75 29 83 7C 24 0C 00 74 19 83 7F 28 02 76 13 C7 46 D0 ?? ?? ?? ?? 8B 0C 24 C7 41 08 01 00 00 00 EB 52 C7 46 D0 ?? ?? ?? ?? EB 49 8B 44 24 10 99 F7 FD 85 D2 75 2F 8B 44 24 14 99 F7 F9 85 D2 75 24 C7 46 D0 ?? ?? ?? ?? 8B 44 24 10 99 F7 FD 8B 54 24 18 88 02 8B 44 24 14 99 F7 F9 8B 4C 24 18 88 41 0A EB 0F 8B 03 C7 40 14 25 00 00 00 8B C3 8B 10 FF 12 83 7C 24 08 00 74 27 8B 8B 2A 01 00 00 51 8B 93 26 01 00 00 8B 43 6C E8 ?? ?? ?? ?? 8B C8 8B C3 BA 01 00 00 00 8B 68 04 FF 55 08 89 46 A8 83 C6 04 FF 44 24 18 FF 44 24 04 83 C7 54 8B 44 24 04 3B 43 20 0F 8C 89 FE FF FF 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11779_0 {
	meta:
		name = "@jpeg_idct_float"
		size = 1072
		refs = "00e3 @jpeg_idct_float 0316 __ftol"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FE FF FF 53 56 57 BF 08 00 00 00 8B 80 36 01 00 00 8D 9D B0 FE FF FF 05 80 00 00 00 89 45 B8 8B C1 8B 52 50 66 8B 48 10 66 0B 48 20 66 0B 48 30 66 0B 48 40 66 0B 48 50 66 0B 48 60 66 0B 48 70 75 50 DF 00 83 C0 02 D8 0A 83 C2 04 D9 5D B4 8B 4D B4 89 0B 8B 4D B4 89 4B 20 8B 4D B4 89 4B 40 8B 4D B4 89 4B 60 8B 4D B4 89 8B 80 00 00 00 8B 4D B4 89 8B A0 00 00 00 8B 4D B4 89 8B C0 00 00 00 8B 4D B4 89 8B E0 00 00 00 83 C3 04 E9 83 01 00 00 DF 00 D8 0A D9 5D FC DF 40 20 D8 4A 40 D9 5D F8 DF 40 40 D8 8A 80 00 00 00 D9 5D F4 DF 40 60 D8 8A C0 00 00 00 D9 5D F0 D9 45 FC D8 45 F4 D9 5D DC D9 45 FC D8 65 F4 D9 5D D8 D9 45 F8 D8 45 F0 D9 5D D0 D9 45 F8 D8 65 F0 D8 0D ?? ?? ?? ?? D8 65 D0 D9 5D D4 D9 45 DC D8 45 D0 D9 5D FC D9 45 DC D8 65 D0 D9 5D F0 D9 45 D8 D8 45 D4 D9 5D F8 D9 45 D8 D8 65 D4 D9 5D F4 DF 40 10 D8 4A 20 D9 5D EC DF 40 30 D8 4A 60 D9 5D E8 DF 40 50 D8 8A A0 00 00 00 D9 5D E4 DF 40 70 D8 8A E0 00 00 00 D9 5D E0 D9 45 E4 D8 45 E8 D9 5D BC D9 45 E4 D8 65 E8 D9 5D C8 D9 45 EC D8 45 E0 D9 5D C4 D9 45 EC D8 65 E0 D9 5D C0 D9 45 C4 D8 45 BC D9 5D E0 D9 45 C4 D8 65 BC D8 0D ?? ?? ?? ?? D9 5D D8 D9 45 C8 D8 45 C0 D8 0D ?? ?? ?? ?? D9 5D CC D9 05 ?? ?? ?? ?? D8 4D C0 D8 65 CC D9 5D DC D9 05 ?? ?? ?? ?? D8 4D C8 83 C0 02 83 C2 04 D8 45 CC D9 5D D4 D9 45 D4 D8 65 E0 D9 5D E4 D9 45 D8 D8 65 E4 D9 5D E8 D9 45 DC D8 45 E8 D9 5D EC D9 45 FC D8 45 E0 D9 1B D9 45 FC D8 65 E0 D9 9B E0 00 00 00 D9 45 F8 D8 45 E4 D9 5B 20 D9 45 F8 D8 65 E4 D9 9B C0 00 00 00 D9 45 F4 D8 45 E8 D9 5B 40 D9 45 F4 D8 65 E8 D9 9B A0 00 00 00 D9 45 F0 D8 45 EC D9 9B 80 00 00 00 D9 45 F0 D8 65 EC D9 5B 60 83 C3 04 4F 85 FF 0F 8F 06 FE FF FF 8B 45 0C 8D 9D B0 FE FF FF 8B D0 33 FF 89 55 B0 8B 4D B0 D9 03 D8 43 10 8B 31 03 75 08 D9 5D DC D9 03 D8 63 10 D9 5D D8 D9 43 08 D8 43 18 D9 5D D0 D9 43 08 D8 63 18 D8 0D ?? ?? ?? ?? D8 65 D0 D9 5D D4 D9 45 DC D8 45 D0 D9 5D FC D9 45 DC D8 65 D0 D9 5D F0 D9 45 D8 D8 45 D4 D9 5D F8 D9 45 D8 D8 65 D4 D9 5D F4 D9 43 14 D8 43 0C D9 5D BC D9 43 14 D8 63 0C D9 5D C8 D9 43 04 D8 43 1C D9 5D C4 D9 43 04 D8 63 1C D9 5D C0 D9 45 C4 D8 45 BC D9 5D E0 D9 45 C4 D8 65 BC D8 0D ?? ?? ?? ?? D9 5D D8 D9 45 C8 D8 45 C0 D8 0D ?? ?? ?? ?? D9 5D CC D9 05 ?? ?? ?? ?? D8 4D C0 D8 65 CC D9 5D DC D9 05 ?? ?? ?? ?? D8 4D C8 D8 45 CC D9 5D D4 D9 45 D4 D8 65 E0 D9 5D E4 D9 45 D8 D8 65 E4 D9 5D E8 D9 45 DC D8 45 E8 D9 5D EC D9 45 FC D8 45 E0 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 0E D9 45 FC D8 65 E0 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 07 D9 45 F8 D8 45 E4 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 01 D9 45 F8 D8 65 E4 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 06 D9 45 F4 D8 45 E8 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 02 D9 45 F4 D8 65 E8 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 05 D9 45 F0 D8 45 EC E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 04 D9 45 F0 D8 65 EC E8 ?? ?? ?? ?? 83 C0 04 8B 55 B8 C1 F8 03 83 C3 20 25 FF 03 00 00 47 8A 0C 02 88 4E 03 83 45 B0 04 83 FF 08 0F 8C 1D FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 F3 04 B5 3F 5E 83 EC 3F D4 8B 8A 3F 75 3D 27 C0 }
	condition:
		$1
}

rule function_11780_0 {
	meta:
		name = "@jpeg_idct_ifast"
		size = 1035
	strings:
		$1 = { 55 8B EC 81 C4 C0 FE FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 90 36 01 00 00 81 C2 80 00 00 00 89 55 C8 8B 55 F4 8B 45 F8 8B 48 50 89 4D CC 8D 85 C0 FE FF FF C7 45 C4 08 00 00 00 66 8B 4A 10 66 0B 4A 20 66 0B 4A 30 66 0B 4A 40 66 0B 4A 50 66 0B 4A 60 66 0B 4A 70 75 3B 0F BF 0A 8B 5D CC 83 C2 02 0F AF 0B 89 08 89 48 20 89 48 40 89 48 60 89 88 80 00 00 00 89 88 A0 00 00 00 89 88 C0 00 00 00 89 88 E0 00 00 00 83 45 CC 04 83 C0 04 E9 79 01 00 00 0F BF 0A 8B 5D CC 0F AF 0B 89 4D F0 0F BF 4A 20 8B 5D CC 0F AF 4B 40 89 4D EC 0F BF 4A 40 8B 5D CC 0F AF 8B 80 00 00 00 89 4D E8 0F BF 4A 60 8B 5D CC 0F AF 8B C0 00 00 00 89 4D E4 8B 4D F0 8B 5D F0 8B 75 EC 03 5D E8 2B 4D E8 03 75 E4 89 75 D8 8B 75 EC 8B 7D D8 2B 75 E4 69 F6 6A 01 00 00 C1 FE 08 03 FB 2B 75 D8 89 7D F0 2B 5D D8 89 5D E4 8D 1C 0E 2B CE 89 5D EC 89 4D E8 0F BF 4A 10 8B 5D CC 0F AF 4B 20 89 4D E0 0F BF 4A 30 8B 5D CC 8B 7D CC 0F BF 72 50 0F AF 4B 60 8B 5D CC 0F AF B3 A0 00 00 00 0F BF 5A 70 0F AF 9F E0 00 00 00 89 5D DC 8D 1C 31 2B F1 8B 4D E0 03 4D DC 8B 7D E0 2B 7D DC 83 C2 02 89 7D D0 8D 3C 0B 2B CB 89 7D DC 8B 5D D0 69 C9 6A 01 00 00 03 DE 69 F6 63 FD FF FF 8B FB C1 E3 04 2B DF C1 E3 02 2B DF C1 FE 08 C1 F9 08 8D 1C DF C1 FB 08 89 5D D4 03 75 D4 8B 5D D0 8B FB 2B 75 DC C1 E3 04 2B CE 03 DF 8D 1C 9F 8D 1C 9F C1 FB 08 2B 5D D4 8D 1C 19 89 5D E0 8B 5D F0 03 5D DC 89 18 8B 5D F0 2B 5D DC 89 98 E0 00 00 00 8B 5D EC 03 DE 89 58 20 8B 5D EC 2B DE 89 98 C0 00 00 00 8B 5D E8 03 D9 89 58 40 8B 5D E8 2B D9 89 98 A0 00 00 00 8B 4D E4 03 4D E0 89 88 80 00 00 00 8B 4D E4 2B 4D E0 89 48 60 83 45 CC 04 83 C0 04 FF 4D C4 83 7D C4 00 0F 8F 21 FE FF FF 8D 85 C0 FE FF FF 33 D2 89 55 C4 8B 55 0C 8B CA 89 4D C0 8B 48 04 8B 55 C0 0B 48 08 0B 48 0C 8B 12 0B 48 10 03 55 08 0B 48 14 0B 48 18 0B 48 1C 75 30 8B 08 C1 F9 05 81 E1 FF 03 00 00 8B 5D C8 8A 0C 0B 88 0A 88 4A 01 88 4A 02 88 4A 03 88 4A 04 88 4A 05 88 4A 06 88 4A 07 83 C0 20 E9 70 01 00 00 8B 08 8B 70 10 8B D9 2B CE 03 DE 8B 70 08 8B FE 03 78 18 89 7D D8 2B 70 18 69 F6 6A 01 00 00 C1 FE 08 8B 7D D8 2B 75 D8 03 FB 89 7D F0 2B 5D D8 89 5D E4 8D 1C 0E 2B CE 89 5D EC 89 4D E8 8B 48 14 8B 78 04 8B D9 8B F1 8B 48 04 03 48 1C 03 58 0C 2B 70 0C 2B 78 1C 89 7D D0 8D 3C 0B 2B CB 89 7D DC 8B 5D D0 69 C9 6A 01 00 00 03 DE 69 F6 63 FD FF FF 8B FB C1 E3 04 2B DF C1 E3 02 2B DF C1 FE 08 C1 F9 08 8D 1C DF C1 FB 08 89 5D D4 03 75 D4 8B 5D D0 8B FB 2B 75 DC C1 E3 04 2B CE 03 DF 8D 1C 9F 8D 1C 9F C1 FB 08 2B 5D D4 8D 1C 19 89 5D E0 8B 5D F0 8B 7D C8 03 5D DC C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 1A 8B 5D F0 8B 7D C8 2B 5D DC C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 5A 07 8B 5D EC 8B 7D C8 03 DE C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 5A 01 8B 5D EC 2B DE 8B 75 C8 C1 FB 05 81 E3 FF 03 00 00 8A 1C 1E 88 5A 06 8B 5D E8 8B 75 C8 03 D9 C1 FB 05 81 E3 FF 03 00 00 8A 1C 1E 88 5A 02 8B 5D E8 2B D9 8B 4D C8 C1 FB 05 81 E3 FF 03 00 00 8A 0C 19 88 4A 05 8B 4D E4 8B 5D C8 03 4D E0 C1 F9 05 81 E1 FF 03 00 00 8A 0C 0B 88 4A 04 8B 4D E4 8B 5D C8 2B 4D E0 C1 F9 05 81 E1 FF 03 00 00 83 C0 20 8A 0C 0B 88 4A 03 FF 45 C4 83 45 C0 04 83 7D C4 08 0F 8C 30 FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11781_0 {
	meta:
		name = "@jpeg_idct_islow"
		size = 1492
	strings:
		$1 = { 55 8B EC 81 C4 C4 FE FF FF 53 56 57 8B 80 36 01 00 00 05 80 00 00 00 89 45 CC 89 4D D8 8B 52 50 89 55 D4 8D 85 C4 FE FF FF C7 45 C8 08 00 00 00 8B 55 D8 66 8B 4A 10 8B 55 D8 66 0B 4A 20 8B 55 D8 66 0B 4A 30 8B 55 D8 66 0B 4A 40 8B 55 D8 66 0B 4A 50 8B 55 D8 66 0B 4A 60 8B 55 D8 66 0B 4A 70 75 42 8B 4D D8 0F BF 11 8B 4D D4 0F AF 11 C1 E2 02 89 10 89 50 20 89 50 40 89 50 60 89 90 80 00 00 00 89 90 A0 00 00 00 89 90 C0 00 00 00 89 90 E0 00 00 00 83 45 D8 02 83 45 D4 04 83 C0 04 E9 47 02 00 00 8B 55 D8 0F BF 4A 20 8B 55 D4 0F AF 4A 40 89 4D E4 8B 4D D8 8B 75 E4 0F BF 51 60 8B 4D D4 0F AF 91 C0 00 00 00 8B 4D E4 03 CA 8B D9 C1 E3 04 03 D9 8D 1C 99 8D 1C 99 C1 E3 04 03 D9 8B CA F7 D9 C1 E1 04 03 CA 8D 0C 8A C1 E1 03 2B CA C1 E1 05 2B CA 8B D6 03 CB 8D 34 72 C1 E6 04 03 F2 C1 E6 06 2B F2 8B 55 D8 03 F6 0F BF 12 03 F3 8B 5D D4 0F AF 13 89 55 E4 8B 55 D8 8B 5D D4 0F BF 52 40 0F AF 93 80 00 00 00 8B 5D E4 03 DA C1 E3 0D 89 5D FC 8B 5D E4 2B DA C1 E3 0D 89 5D F8 8B 55 FC 03 D6 89 55 F4 8B 55 FC 2B D6 89 55 E8 8B 55 F8 03 D1 89 55 F0 8B 55 F8 2B D1 89 55 EC 8B 4D D8 0F BF 51 70 8B 4D D4 0F AF 91 E0 00 00 00 89 55 FC 8B 55 D8 0F BF 4A 50 8B 55 D4 0F AF 8A A0 00 00 00 89 4D F8 8B 4D D8 8B 55 D4 8B 5D FC 0F BF 49 30 0F AF 4A 60 8B 55 D8 0F BF 72 10 8B 55 D4 0F AF 72 20 8B 55 F8 03 DE 03 D1 69 DB 33 E3 FF FF 89 55 E4 8B 7D F8 8B 55 FC 03 FE 03 D1 89 7D E0 69 C9 54 62 00 00 8B 7D E0 03 FA 69 FF A1 25 00 00 89 7D DC 69 7D FC 8E 09 00 00 89 7D FC 69 7D F8 B3 41 00 00 89 7D F8 8B FE 8D 34 77 C1 E6 09 03 F7 8D 34 B7 8D 34 77 69 7D E4 FD AD FF FF 89 7D E4 8B FA F7 DA C1 E2 06 03 D7 8D 14 97 C1 E2 04 2B D7 C1 E2 02 2B D7 69 7D E0 84 F3 FF FF 89 7D E0 03 55 DC 8B 7D DC 01 7D E0 8D 3C 1A 01 7D FC 8B 7D E4 03 7D E0 01 7D F8 03 55 E4 03 5D E0 03 CA 03 F3 8B 55 F4 03 D6 81 C2 00 04 00 00 C1 FA 0B 89 10 8B 55 F4 2B D6 81 C2 00 04 00 00 C1 FA 0B 89 90 E0 00 00 00 8B 55 F0 03 D1 81 C2 00 04 00 00 C1 FA 0B 89 50 20 8B 55 F0 2B D1 81 C2 00 04 00 00 C1 FA 0B 89 90 C0 00 00 00 8B 4D EC 03 4D F8 81 C1 00 04 00 00 C1 F9 0B 89 48 40 8B 55 EC 2B 55 F8 81 C2 00 04 00 00 C1 FA 0B 89 90 A0 00 00 00 8B 4D E8 03 4D FC 81 C1 00 04 00 00 C1 F9 0B 89 48 60 8B 55 E8 2B 55 FC 81 C2 00 04 00 00 C1 FA 0B 89 90 80 00 00 00 83 45 D8 02 83 45 D4 04 83 C0 04 FF 4D C8 83 7D C8 00 0F 8F 37 FD FF FF 8D 85 C4 FE FF FF 33 C9 89 4D C8 8B 55 0C 8B CA 89 4D C4 8B 55 C4 8B 0A 03 4D 08 89 4D D0 8B 50 04 0B 50 08 0B 50 0C 0B 50 10 0B 50 14 0B 50 18 0B 50 1C 75 4B 8B 08 8B 55 CC 83 C1 10 C1 F9 05 81 E1 FF 03 00 00 83 C0 20 8A 14 0A 8B 4D D0 88 11 8B 4D D0 88 51 01 8B 4D D0 88 51 02 8B 4D D0 88 51 03 8B 4D D0 88 51 04 8B 4D D0 88 51 05 8B 4D D0 88 51 06 8B 4D D0 88 51 07 E9 41 02 00 00 8B 50 08 89 55 E4 8B 50 18 8B 4D E4 03 CA 8B 75 E4 8B D9 C1 E3 04 03 D9 8D 1C 99 8D 1C 99 C1 E3 04 03 D9 8B CA F7 D9 C1 E1 04 03 CA 8D 0C 8A C1 E1 03 2B CA C1 E1 05 2B CA 8B D6 03 CB 8D 34 72 C1 E6 04 03 F2 C1 E6 06 2B F2 8B 10 03 F6 8B FA 03 F3 8B 58 10 03 FB 2B D3 C1 E7 0D C1 E2 0D 89 7D FC 89 55 F8 8B 55 FC 03 D6 89 55 F4 8B 55 FC 2B D6 89 55 E8 8B 55 F8 03 D1 89 55 F0 8B 55 F8 2B D1 89 55 EC 8B 48 1C 89 4D FC 8B 50 14 89 55 F8 8B 48 0C 8B 55 F8 8B 70 04 03 D1 8B 5D FC 89 55 E4 8B 7D F8 8B 55 FC 03 FE 03 D1 89 7D E0 03 DE 8B 7D E0 69 DB 33 E3 FF FF 03 FA 69 FF A1 25 00 00 89 7D DC 69 7D FC 8E 09 00 00 89 7D FC 69 7D F8 B3 41 00 00 89 7D F8 8B FE 69 C9 54 62 00 00 8D 34 77 C1 E6 09 03 F7 8D 34 B7 8D 34 77 69 7D E4 FD AD FF FF 89 7D E4 8B FA F7 DA C1 E2 06 03 D7 8D 14 97 C1 E2 04 2B D7 C1 E2 02 2B D7 69 7D E0 84 F3 FF FF 89 7D E0 03 55 DC 8B 7D DC 01 7D E0 8D 3C 1A 01 7D FC 8B 7D E4 03 7D E0 01 7D F8 03 55 E4 03 5D E0 03 CA 03 F3 8B 55 F4 8B 5D CC 03 D6 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 13 8B 5D D0 88 13 8B 55 F4 8B 5D CC 2B D6 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 13 8B 5D D0 88 53 07 8B 55 F0 8B 5D CC 03 D1 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 13 8B 5D D0 88 53 01 8B 55 F0 2B D1 8B 4D CC 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 11 8B 4D D0 88 51 06 8B 55 EC 8B 4D CC 03 55 F8 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 11 8B 4D D0 88 51 02 8B 55 EC 8B 4D CC 2B 55 F8 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 11 8B 4D D0 88 51 05 8B 55 E8 8B 4D CC 03 55 FC 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 8A 14 11 8B 4D D0 88 51 03 8B 55 E8 8B 4D CC 2B 55 FC 81 C2 00 00 02 00 C1 FA 12 81 E2 FF 03 00 00 83 C0 20 8A 14 11 8B 4D D0 88 51 04 FF 45 C8 83 45 C4 04 83 7D C8 08 0F 8C 41 FD FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11782_0 {
	meta:
		name = "@jpeg_idct_4x4"
		size = 916
	strings:
		$1 = { 55 8B EC 81 C4 58 FF FF FF 53 56 57 8B 80 36 01 00 00 05 80 00 00 00 89 45 E0 8B D9 8B 42 50 89 45 E4 8D 85 58 FF FF FF C7 45 DC 08 00 00 00 83 7D DC 04 0F 84 91 01 00 00 66 8B 53 10 66 0B 53 20 66 0B 53 30 66 0B 53 50 66 0B 53 60 66 0B 53 70 75 1C 0F BF 13 8B 4D E4 0F AF 11 C1 E2 02 89 10 89 50 20 89 50 40 89 50 60 E9 5B 01 00 00 0F BF 13 8B 4D E4 8B 75 E4 0F AF 11 0F BF 4B 20 0F AF 4E 40 89 4D F0 0F BF 4B 60 8B 75 E4 0F AF 8E C0 00 00 00 89 4D EC 8B 4D F0 8B F1 C1 E1 04 2B CE C1 E1 02 2B CE C1 E2 0E 8D 0C CE C1 E1 05 03 CE 8B 75 EC 8B FE F7 DE 8D 34 B7 C1 E6 04 2B F7 C1 E6 06 03 F7 03 F6 03 CE 8D 34 11 2B D1 89 75 FC 89 55 F8 0F BF 53 70 8B 4D E4 0F AF 91 E0 00 00 00 89 55 F4 0F BF 53 50 8B 4D E4 0F AF 91 A0 00 00 00 89 55 F0 0F BF 53 30 8B 4D E4 0F AF 51 60 89 55 EC 0F BF 53 10 8B 4D E4 0F AF 51 20 89 55 E8 8B 55 F4 8B CA F7 DA 8D 14 D1 8D 14 91 C1 E2 05 2B D1 69 4D F0 75 2E 00 00 03 D2 03 D1 69 4D EC 79 BA FF FF 03 D1 8B 4D E8 8B F1 C1 E1 04 03 CE C1 E1 06 2B CE 8D 0C CE 03 D1 8B 4D F4 8B F1 F7 D9 C1 E1 06 2B CE C1 E1 02 2B CE 69 75 F0 C2 EC FF FF C1 E1 04 03 CE 69 75 EC CD 1C 00 00 03 CE 8B 75 E8 8B FE 8D 34 B7 8D 34 F7 C1 E6 08 03 F7 8D 34 77 03 CE 8B 75 FC 03 F1 81 C6 00 08 00 00 C1 FE 0C 89 30 8B 75 FC 2B F1 81 C6 00 08 00 00 C1 FE 0C 89 70 60 8B 4D F8 03 CA 81 C1 00 08 00 00 C1 F9 0C 89 48 20 8B 4D F8 2B CA 81 C1 00 08 00 00 C1 F9 0C 89 48 40 83 C3 02 83 45 E4 04 83 C0 04 FF 4D DC 83 7D DC 00 0F 8F 4E FE FF FF 8D 85 58 FF FF FF 33 D2 89 55 DC 8B 55 0C 8B CA 89 4D D8 8B 55 D8 8B 32 8B 50 04 0B 50 08 03 75 08 0B 50 0C 0B 50 14 0B 50 18 0B 50 1C 75 27 8B 08 83 C1 10 C1 F9 05 81 E1 FF 03 00 00 8B 55 E0 8A 14 0A 88 16 88 56 01 88 56 02 88 56 03 83 C0 20 E9 42 01 00 00 8B 48 08 8B 10 8B D9 C1 E1 04 2B CB C1 E1 02 2B CB C1 E2 0E 8D 0C CB C1 E1 05 03 CB 8B 58 18 8B FB F7 DB 8D 1C 9F C1 E3 04 2B DF C1 E3 06 03 DF 03 DB 03 CB 8D 1C 11 2B D1 89 5D FC 89 55 F8 8B 50 1C 89 55 F4 8B 48 14 89 4D F0 8B 50 0C 89 55 EC 8B 48 04 89 4D E8 8B 55 F4 8B CA F7 DA 8D 14 D1 8D 14 91 C1 E2 05 2B D1 69 4D F0 75 2E 00 00 03 D2 03 D1 69 4D EC 79 BA FF FF 03 D1 8B 4D E8 8B D9 C1 E1 04 03 CB C1 E1 06 2B CB 8D 0C CB 03 D1 8B 4D F4 8B D9 F7 D9 C1 E1 06 2B CB C1 E1 02 2B CB 69 5D F0 C2 EC FF FF C1 E1 04 03 CB 69 5D EC CD 1C 00 00 03 CB 8B 5D E8 8B FB 8D 1C 9F 8D 1C DF C1 E3 08 03 DF 8D 1C 5F 8B 7D E0 03 CB 8B 5D FC 03 D9 81 C3 00 00 04 00 C1 FB 13 81 E3 FF 03 00 00 8A 1C 1F 88 1E 8B 5D FC 2B D9 8B 4D E0 81 C3 00 00 04 00 C1 FB 13 81 E3 FF 03 00 00 8A 0C 19 88 4E 03 8B 4D F8 8B 5D E0 03 CA 81 C1 00 00 04 00 C1 F9 13 81 E1 FF 03 00 00 8A 0C 0B 88 4E 01 8B 4D F8 2B CA 8B 55 E0 81 C1 00 00 04 00 C1 F9 13 81 E1 FF 03 00 00 83 C0 20 8A 14 0A 88 56 02 FF 45 DC 83 45 D8 04 83 7D DC 04 0F 8C 6A FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 }
	condition:
		$1
}

rule function_11783_0 {
	meta:
		name = "@jpeg_idct_2x2"
		size = 476
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 8B 80 36 01 00 00 05 80 00 00 00 89 45 F4 8D 45 AC 8B 52 50 89 55 F8 BA 08 00 00 00 83 FA 06 0F 84 C6 00 00 00 83 FA 04 0F 84 BD 00 00 00 83 FA 02 0F 84 B4 00 00 00 66 8B 59 10 66 0B 59 30 66 0B 59 50 66 0B 59 70 75 16 0F BF 19 8B 75 F8 0F AF 1E C1 E3 02 89 18 89 58 20 E9 8C 00 00 00 0F BF 19 8B 75 F8 0F AF 1E C1 E3 0F 89 5D FC 0F BF 59 70 8B 75 F8 8B 7D F8 0F AF 9E E0 00 00 00 69 F3 EE E8 FF FF 0F BF 59 50 0F AF 9F A0 00 00 00 69 DB 37 1B 00 00 03 F3 8B 7D F8 0F BF 59 30 0F AF 5F 60 69 DB 46 D7 FF FF 03 F3 8B 7D F8 0F BF 59 10 0F AF 5F 20 8B FB C1 E3 03 2B DF 8D 1C 9F C1 E3 08 2B DF C1 E3 02 03 F3 8B 5D FC 03 DE 81 C3 00 10 00 00 C1 FB 0D 89 18 8B 5D FC 2B DE 81 C3 00 10 00 00 C1 FB 0D 89 58 20 83 C1 02 83 45 F8 04 83 C0 04 4A 85 D2 0F 8F 1E FF FF FF 8B 4D 0C 8D 45 AC 89 4D EC 33 D2 8B 4D EC 8B 58 04 0B 58 0C 0B 58 14 8B 09 03 4D 08 0B 58 1C 75 27 8B 18 8B 75 F4 83 C3 10 C1 FB 05 81 E3 FF 03 00 00 83 C0 20 8A 1C 1E 88 5D F3 8A 5D F3 88 19 8A 5D F3 88 59 01 EB 74 8B 18 C1 E3 0F 89 5D FC 69 58 14 37 1B 00 00 69 70 1C EE E8 FF FF 03 F3 69 58 0C 46 D7 FF FF 03 F3 8B 58 04 8B FB C1 E3 03 2B DF 8D 1C 9F C1 E3 08 2B DF 8B 7D F4 C1 E3 02 03 F3 8B 5D FC 03 DE 81 C3 00 00 08 00 C1 FB 14 81 E3 FF 03 00 00 8A 1C 1F 88 19 8B 5D FC 2B DE 8B 75 F4 81 C3 00 00 08 00 C1 FB 14 81 E3 FF 03 00 00 83 C0 20 8A 1C 1E 88 59 01 42 83 45 EC 04 83 FA 02 0F 8C 41 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 }
	condition:
		$1
}

rule function_11784_0 {
	meta:
		name = "@jpeg_idct_1x1"
		size = 57
	strings:
		$1 = { 55 8B EC 56 8B B0 36 01 00 00 8B 42 50 0F BF 11 0F AF 10 8B C2 81 C6 80 00 00 00 83 C0 04 8B 4D 0C C1 F8 03 25 FF 03 00 00 8A 14 06 8B 01 8B 4D 08 88 14 08 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_11785_0 {
	meta:
		name = "_DF_"
		size = 6580
		refs = "101b @jpeg_alloc_huff_table 102e _memcpy 117e @jpeg_alloc_quant_table 119e _jpeg_natural_order 16cb _DF_"
	strings:
		$1 = { 53 8B D8 8B 03 C7 40 14 65 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 93 AA 01 00 00 83 7A 50 00 74 0F 8B 03 C7 40 14 3C 00 00 00 8B C3 8B 10 FF 12 33 D2 8D 83 E0 00 00 00 C6 00 00 C6 40 10 01 C6 40 20 05 42 40 83 FA 10 7C EE 33 C9 33 C0 89 8B 10 01 00 00 89 43 24 33 D2 33 C9 89 93 22 01 00 00 89 8B 14 01 00 00 C6 83 18 01 00 00 00 66 C7 83 19 01 00 00 01 00 66 C7 83 1B 01 00 00 01 00 33 C0 89 83 1D 01 00 00 B8 01 00 00 00 C6 83 21 01 00 00 00 8B 93 AA 01 00 00 C7 42 50 01 00 00 00 5B C3 90 90 53 56 57 55 83 C4 F0 8B D8 89 4C 24 04 89 14 24 8B 43 14 89 44 24 0C 8B 44 24 0C 8B 54 24 0C 8B 78 04 8B 32 8B 04 24 85 FF 89 83 D8 00 00 00 8B 54 24 04 89 93 DC 00 00 00 75 21 8B 4C 24 0C 8B C3 FF 51 0C 85 C0 75 07 33 C0 E9 26 03 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 0F B6 2E C1 E5 08 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 F9 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 03 E8 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 CC 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 89 83 D0 00 00 00 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 9B 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 43 1C 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 6A 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 01 43 1C 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 3C 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 43 18 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 0B 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 01 43 18 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 DD 01 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 83 ED 08 89 43 20 8B 03 83 C0 18 8B 93 92 01 00 00 89 10 8B 4B 18 89 48 04 8B 53 1C 89 50 08 8B 4B 20 89 48 0C 8B 03 C7 40 14 63 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 83 AA 01 00 00 83 78 54 00 74 0F 8B 13 8B C3 C7 42 14 39 00 00 00 8B 10 FF 12 83 7B 1C 00 76 0C 83 7B 18 00 76 06 83 7B 20 00 7F 0F 8B 0B 8B C3 C7 41 14 1F 00 00 00 8B 10 FF 12 8B 4B 20 8D 0C 49 3B E9 74 0F 8B 03 C7 40 14 09 00 00 00 8B C3 8B 10 FF 12 83 BB D4 00 00 00 00 75 21 8B 4B 20 BA 01 00 00 00 8B C1 8D 0C 88 8D 0C 88 8B C3 C1 E1 02 8B 68 04 FF 55 00 89 83 D4 00 00 00 33 C0 89 44 24 08 8B AB D4 00 00 00 E9 D4 00 00 00 8B 44 24 08 85 FF 89 45 04 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 E1 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 89 45 00 46 85 FF 75 21 8B 54 24 0C 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 B3 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 8B D0 83 E0 0F C1 FA 04 83 E2 0F 85 FF 89 55 08 89 45 0C 75 1E 8B 4C 24 0C 8B C3 FF 51 0C 85 C0 75 04 33 C0 EB 7A 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 89 45 10 8B 03 83 C0 18 8B 55 00 89 10 8B 4D 08 89 48 04 8B 55 0C 89 50 08 8B 4D 10 89 48 0C 8B 03 C7 40 14 64 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 FF 44 24 08 83 C5 54 8B 44 24 08 3B 43 20 0F 8C 1F FF FF FF 8B 93 AA 01 00 00 C7 42 54 01 00 00 00 8B 4C 24 0C 89 31 8B 44 24 0C 89 78 04 B8 01 00 00 00 83 C4 10 5D 5F 5E 5B C3 90 90 90 53 56 57 55 8B D8 83 C4 E8 8B 43 14 89 44 24 10 8B 44 24 10 8B 54 24 10 8B 68 04 8B 83 AA 01 00 00 8B 3A 83 78 54 00 75 0F 8B 13 8B C3 C7 42 14 3D 00 00 00 8B 10 FF 12 85 ED 75 21 8B 4C 24 10 8B C3 FF 51 0C 85 C0 75 07 33 C0 E9 E8 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 0F B6 37 C1 E6 08 47 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 BB 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 03 F0 47 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 8E 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 89 44 24 04 47 8B 54 24 04 03 D2 83 C2 06 3B F2 75 0E 83 7C 24 04 01 7C 07 83 7C 24 04 04 7E 0F 8B 0B 8B C3 C7 41 14 09 00 00 00 8B 10 FF 12 8B 03 C7 40 14 66 00 00 00 8B 54 24 04 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 8B 44 24 04 89 83 3A 01 00 00 33 D2 89 14 24 8D 8B 3E 01 00 00 89 4C 24 14 8B 04 24 3B 44 24 04 0F 8D ED 00 00 00 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 F3 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 89 44 24 0C 47 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 C4 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 33 C0 8B B3 D4 00 00 00 EB 0C 8B 54 24 0C 3B 16 74 1F 40 83 C6 54 3B 43 20 7C EF 8B 03 C7 40 14 05 00 00 00 8B 4C 24 0C 89 48 18 8B C3 8B 10 FF 12 8B 4C 24 14 89 31 8B 44 24 08 C1 F8 04 83 E0 0F 89 46 14 8B 54 24 08 83 E2 0F 89 56 18 8B 03 83 C0 18 8B 54 24 0C 89 10 8B 4E 14 89 48 04 8B 56 18 89 50 08 8B 03 C7 40 14 67 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 FF 04 24 83 44 24 14 04 8B 04 24 3B 44 24 04 0F 8C 13 FF FF FF 85 ED 75 21 8B 54 24 10 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 06 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 85 ED 8B 54 24 08 89 93 82 01 00 00 75 21 8B 4C 24 10 8B C3 FF 51 0C 85 C0 75 07 33 C0 E9 CD 00 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 85 ED 8B 54 24 08 89 93 86 01 00 00 75 21 8B 4C 24 10 8B C3 FF 51 0C 85 C0 75 07 33 C0 E9 94 00 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 89 44 24 08 47 8B 54 24 08 C1 FA 04 83 E2 0F 89 93 8A 01 00 00 8B 4C 24 08 83 E1 0F 89 8B 8E 01 00 00 8B 03 83 C0 18 8B 93 82 01 00 00 89 10 8B 8B 86 01 00 00 89 48 04 8B 93 8A 01 00 00 89 50 08 8B 8B 8E 01 00 00 89 48 0C 8B 03 C7 40 14 68 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 83 AA 01 00 00 33 D2 89 50 58 FF 83 8C 00 00 00 8B 4C 24 10 89 39 8B 44 24 10 89 68 04 B8 01 00 00 00 83 C4 18 5D 5F 5E 5B C3 53 8B D8 56 57 55 83 C4 E4 8B 6B 14 8B 7D 04 8B 75 00 85 FF 75 16 8B C3 FF 55 0C 85 C0 75 07 33 C0 E9 54 02 00 00 8B 75 00 8B 7D 04 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 04 24 75 16 8B C3 FF 55 0C 85 C0 75 07 33 C0 E9 2E 02 00 00 8B 75 00 8B 7D 04 4F 33 C0 8A 06 01 04 24 46 83 2C 24 02 83 3C 24 0E 0F 8C DA 01 00 00 33 D2 8D 4C 24 0C 89 54 24 04 89 4C 24 08 85 FF 75 16 8B C3 FF 55 0C 85 C0 75 07 33 C0 E9 EF 01 00 00 8B 75 00 8B 7D 04 4F 8B 44 24 08 8A 16 88 10 46 FF 44 24 04 FF 44 24 08 83 7C 24 04 0E 7C CD 83 2C 24 0E 80 7C 24 0C 4A 0F 85 6A 01 00 00 80 7C 24 0D 46 0F 85 5F 01 00 00 80 7C 24 0E 49 0F 85 54 01 00 00 80 7C 24 0F 46 0F 85 49 01 00 00 80 7C 24 10 00 0F 85 3E 01 00 00 80 7C 24 11 01 74 27 8B 03 33 D2 33 C9 C7 40 14 73 00 00 00 8A 54 24 11 89 50 18 83 CA FF 8A 4C 24 12 89 48 1C 8B C3 8B 08 FF 51 04 EB 2E 80 7C 24 12 02 76 27 8B 03 33 D2 33 C9 C7 40 14 58 00 00 00 8A 54 24 11 89 50 18 BA 01 00 00 00 8A 4C 24 12 89 48 1C 8B C3 8B 08 FF 51 04 C7 83 14 01 00 00 01 00 00 00 8A 44 24 13 33 D2 88 83 18 01 00 00 33 C9 8A 54 24 14 8A 4C 24 15 C1 E2 08 33 C0 66 03 D1 66 89 93 19 01 00 00 33 D2 8A 44 24 16 8A 54 24 17 C1 E0 08 66 03 C2 66 89 83 1B 01 00 00 8B 03 83 C0 18 0F B7 93 19 01 00 00 89 10 0F B7 8B 1B 01 00 00 89 48 04 33 D2 8A 93 18 01 00 00 89 50 08 8B 03 C7 40 14 56 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8A 44 24 18 0A 44 24 19 74 27 8B 03 33 D2 33 C9 C7 40 14 59 00 00 00 8A 54 24 18 89 50 18 BA 01 00 00 00 8A 4C 24 19 89 48 1C 8B C3 8B 08 FF 51 04 33 C0 33 D2 8A 54 24 19 8A 44 24 18 F7 EA 8D 0C 40 3B 0C 24 74 58 8B 03 C7 40 14 57 00 00 00 8B 14 24 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 EB 3B 8B 03 C7 40 14 4C 00 00 00 8B 14 24 83 C2 0E 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 EB 1B 8B 03 C7 40 14 4C 00 00 00 8B 14 24 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 89 75 00 89 7D 04 83 3C 24 00 7E 0B 8B 14 24 8B C3 8B 48 14 FF 51 10 B8 01 00 00 00 83 C4 1C 5D 5F 5E 5B C3 90 90 53 56 57 55 83 C4 D8 8B E8 8B 7D 14 8B 1F 8B 77 04 85 F6 75 15 8B C5 FF 57 0C 85 C0 75 07 33 C0 E9 AA 01 00 00 8B 1F 8B 77 04 33 C0 4E 8A 03 43 C1 E0 08 85 F6 89 04 24 75 15 8B C5 FF 57 0C 85 C0 75 07 33 C0 E9 85 01 00 00 8B 1F 8B 77 04 4E 33 C0 8A 03 01 04 24 43 83 2C 24 02 83 3C 24 0C 0F 8C 32 01 00 00 33 D2 8D 4C 24 1C 89 54 24 04 89 4C 24 18 85 F6 75 15 8B C5 FF 57 0C 85 C0 75 07 33 C0 E9 47 01 00 00 8B 1F 8B 77 04 4E 8B 44 24 18 8A 13 88 10 43 FF 44 24 04 FF 44 24 18 83 7C 24 04 0C 7C CE 83 2C 24 0C 80 7C 24 1C 41 0F 85 C2 00 00 00 80 7C 24 1D 64 0F 85 B7 00 00 00 80 7C 24 1E 6F 0F 85 AC 00 00 00 80 7C 24 1F 62 0F 85 A1 00 00 00 80 7C 24 20 65 0F 85 96 00 00 00 33 C9 33 C0 8A 4C 24 21 8A 44 24 22 C1 E1 08 33 D2 03 C8 33 C0 89 4C 24 08 33 C9 8A 54 24 23 8A 4C 24 24 C1 E2 08 03 D1 89 54 24 0C 33 D2 8A 44 24 25 8A 54 24 26 C1 E0 08 03 C2 33 C9 89 44 24 10 8A 4C 24 27 89 4C 24 14 8B 45 00 83 C0 18 8B 54 24 08 89 10 8B 4C 24 0C 89 48 04 8B 54 24 10 89 50 08 8B 4C 24 14 89 48 0C 8B 45 00 C7 40 14 4B 00 00 00 BA 01 00 00 00 8B C5 8B 08 FF 51 04 C7 85 1D 01 00 00 01 00 00 00 8A 44 24 14 88 85 21 01 00 00 EB 3D 8B 45 00 C7 40 14 4D 00 00 00 8B 14 24 83 C2 0C 89 50 18 8B C5 BA 01 00 00 00 8B 08 FF 51 04 EB 1C 8B 45 00 C7 40 14 4D 00 00 00 8B 14 24 89 50 18 8B C5 BA 01 00 00 00 8B 08 FF 51 04 89 1F 89 77 04 83 3C 24 00 7E 0B 8B 14 24 8B C5 8B 48 14 FF 51 10 B8 01 00 00 00 83 C4 28 5D 5F 5E 5B C3 90 53 56 57 55 8B D8 83 C4 F4 8B 43 14 89 44 24 08 8B 44 24 08 8B 54 24 08 8B 68 04 8B 3A 85 ED 75 21 8B 54 24 08 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 54 01 00 00 8B 54 24 08 8B 44 24 08 8B 68 04 8B 3A 33 C0 4D 8A 07 47 C1 E0 08 85 ED 89 04 24 75 21 8B 54 24 08 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 23 01 00 00 8B 54 24 08 8B 44 24 08 8B 68 04 8B 3A 4D 33 C0 8A 07 01 04 24 47 83 2C 24 02 83 3C 24 00 0F 8E ED 00 00 00 85 ED 75 21 8B 54 24 08 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 E7 00 00 00 8B 54 24 08 8B 44 24 08 8B 68 04 8B 3A 0F B6 37 47 4D 85 ED 75 21 8B 54 24 08 8B C3 FF 52 0C 85 C0 75 07 33 C0 E9 BD 00 00 00 8B 54 24 08 8B 44 24 08 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 04 83 2C 24 02 8B 03 C7 40 14 4E 00 00 00 89 70 18 8B 54 24 04 89 50 1C 8B C3 BA 01 00 00 00 8B 08 FF 51 04 85 F6 7C 05 83 FE 20 7C 12 8B 03 C7 40 14 1A 00 00 00 89 70 18 8B C3 8B 10 FF 12 83 FE 10 7C 0D 8A 4C 24 04 88 8C 33 F0 00 00 00 EB 3A 8A 44 24 04 24 0F 88 84 33 E0 00 00 00 8B 44 24 04 C1 F8 04 88 84 33 F0 00 00 00 3A 84 33 E0 00 00 00 73 16 8B 03 C7 40 14 1B 00 00 00 8B 54 24 04 89 50 18 8B C3 8B 10 FF 12 83 3C 24 00 0F 8F 13 FF FF FF 8B 4C 24 08 89 39 8B 44 24 08 89 68 04 B8 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 90 90 90 53 56 57 55 8B F8 81 C4 D4 FE FF FF 8B 47 14 89 44 24 0C 8B 44 24 0C 8B 54 24 0C 8B 70 04 8B 1A 85 F6 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 DA 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 33 C0 4E 8A 03 43 C1 E0 08 85 F6 89 04 24 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 A9 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 4E 33 C0 8A 03 01 04 24 43 83 2C 24 02 83 3C 24 00 0F 8E 73 02 00 00 85 F6 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 6D 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 33 C0 4E 8A 03 43 89 44 24 04 8B 07 C7 40 14 4F 00 00 00 8B 54 24 04 89 50 18 8B C7 BA 01 00 00 00 8B 08 FF 51 04 C6 44 24 18 00 33 C0 BD 01 00 00 00 89 44 24 08 8D 44 24 19 89 44 24 10 85 F6 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 0A 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 8B 54 24 10 8A 03 33 C9 43 8A C8 88 02 01 4C 24 08 FF 44 24 10 4E 45 83 FD 10 7E BF 83 2C 24 11 8B 07 83 C0 18 33 D2 8A 54 24 19 89 10 33 C9 8A 4C 24 1A 89 48 04 33 D2 8A 54 24 1B 89 50 08 33 C9 8A 4C 24 1C 89 48 0C 33 D2 8A 54 24 1D 89 50 10 33 C9 8A 4C 24 1E 89 48 14 33 D2 8A 54 24 1F 89 50 18 33 C9 8A 4C 24 20 89 48 1C 8B 07 C7 40 14 55 00 00 00 BA 02 00 00 00 8B C7 8B 08 FF 51 04 8B 07 83 C0 18 33 D2 8A 54 24 21 89 10 33 C9 8A 4C 24 22 89 48 04 33 D2 8A 54 24 23 89 50 08 33 C9 8A 4C 24 24 89 48 0C 33 D2 8A 54 24 25 89 50 10 33 C9 8A 4C 24 26 89 48 14 33 D2 8A 54 24 27 89 50 18 33 C9 8A 4C 24 28 89 48 1C 8B 07 C7 40 14 55 00 00 00 BA 02 00 00 00 8B C7 8B 08 FF 51 04 81 7C 24 08 00 01 00 00 7F 09 8B 44 24 08 3B 04 24 7E 0F 8B 17 8B C7 C7 42 14 1C 00 00 00 8B 10 FF 12 33 ED 8D 44 24 2C 89 44 24 14 3B 6C 24 08 7D 3A 85 F6 75 21 8B 54 24 0C 8B C7 FF 52 0C 85 C0 75 07 33 C0 E9 D1 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 4E 8B 44 24 14 8A 13 88 10 43 45 FF 44 24 14 3B 6C 24 08 7C C6 8B 4C 24 08 29 0C 24 F6 44 24 04 10 74 16 83 6C 24 04 10 8B 6C 24 04 C1 E5 02 03 EF 81 C5 C0 00 00 00 EB 0F 8B 6C 24 04 C1 E5 02 03 EF 81 C5 B0 00 00 00 83 7C 24 04 00 7C 07 83 7C 24 04 04 7C 16 8B 07 C7 40 }
	condition:
		$1
}

rule function_11786_0 {
	meta:
		name = "@jpeg_resync_to_restart"
		size = 300
	strings:
		$1 = { 53 56 8B F0 57 55 8B EA 8B 06 8B 9E 92 01 00 00 83 CA FF C7 40 14 75 00 00 00 89 58 18 89 68 1C 8B C6 8B 08 FF 51 04 81 FB C0 00 00 00 7D 07 BF 02 00 00 00 EB 68 81 FB D0 00 00 00 7C 08 81 FB D7 00 00 00 7E 07 BF 03 00 00 00 EB 51 8D 45 01 83 E0 07 05 D0 00 00 00 3B D8 74 10 8D 55 02 83 E2 07 81 C2 D0 00 00 00 3B DA 75 07 BF 03 00 00 00 EB 2B 8D 45 FF 83 E0 07 05 D0 00 00 00 3B D8 74 10 8D 55 FE 83 E2 07 81 C2 D0 00 00 00 3B DA 75 07 BF 02 00 00 00 EB 05 BF 01 00 00 00 8B 06 C7 40 14 60 00 00 00 89 58 18 89 78 1C BA 04 00 00 00 8B C6 8B 08 FF 51 04 4F 74 0B 4F 74 17 4F 74 2E E9 60 FF FF FF 33 D2 B8 01 00 00 00 89 96 92 01 00 00 EB 1F 8B C6 E8 EB F9 FF FF 85 C0 75 04 33 C0 EB 10 8B 9E 92 01 00 00 E9 37 FF FF FF B8 01 00 00 00 5D 5F 5E 5B C3 90 90 33 D2 89 90 D4 00 00 00 33 C9 89 88 8C 00 00 00 33 D2 89 90 92 01 00 00 8B 90 AA 01 00 00 33 C9 89 4A 50 33 C9 89 4A 54 33 C0 89 42 5C C3 90 90 }
	condition:
		$1
}

rule function_11787_0 {
	meta:
		name = "@jinit_marker_reader"
		size = 105
		refs = "001e _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 60 00 00 00 33 D2 8B 70 04 FF 16 8B F0 33 C0 89 B3 AA 01 00 00 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? C7 46 08 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 8B 93 AA 01 00 00 C7 44 82 10 ?? ?? ?? ?? 40 83 F8 10 7C EC 8B 83 AA 01 00 00 C7 40 10 ?? ?? ?? ?? C7 40 48 ?? ?? ?? ?? 8B C3 E8 6A FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_11788_0 {
	meta:
		name = "@jround_up"
		size = 24
	strings:
		$1 = { 53 8B DA 8B C8 8D 43 FF 03 C8 8B C1 99 F7 FB 8B C1 2B C2 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11789_0 {
	meta:
		name = "@jcopy_sample_rows"
		size = 76
		refs = "0036 _memcpy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B 45 08 C1 E2 02 89 45 FC 03 DA 8B 55 10 C1 E2 02 8B F1 03 F2 8B 7D 0C 85 FF 7E 1D 8B 03 83 C3 04 8B 16 83 C6 04 8B 4D FC 51 50 52 E8 ?? ?? ?? ?? 83 C4 0C 4F 85 FF 7F E3 5F 5E 5B 59 5D C2 0C 00 90 90 }
	condition:
		$1
}

rule function_11790_0 {
	meta:
		name = "@jcopy_block_row"
		size = 15
		refs = "0007 _memcpy"
	strings:
		$1 = { C1 E1 07 51 50 52 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_11791_0 {
	meta:
		name = "@jpeg_abort"
		size = 44
	strings:
		$1 = { 53 56 8B F0 BB 01 00 00 00 8B D3 8B C6 8B 48 04 FF 51 24 4B 85 DB 7F F1 83 7E 0C 00 B8 C8 00 00 00 75 03 83 C0 9C 89 46 10 5E 5B C3 }
	condition:
		$1
}

rule function_11792_0 {
	meta:
		name = "jpeg_destroy"
		size = 32
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 08 8B C3 8B 50 04 FF 52 28 33 C9 33 C0 89 4B 04 89 43 10 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11793_0 {
	meta:
		name = "@jpeg_alloc_quant_table"
		size = 24
	strings:
		$1 = { 53 B9 84 00 00 00 33 D2 8B 58 04 FF 13 33 D2 89 90 80 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_11794_0 {
	meta:
		name = "@jpeg_alloc_huff_table"
		size = 23
	strings:
		$1 = { 53 B9 15 01 00 00 33 D2 8B 58 04 FF 13 33 D2 89 90 11 01 00 00 5B C3 }
	condition:
		$1
}

rule function_11795_0 {
	meta:
		name = "_DF_"
		size = 212
		refs = "0043 _fwrite 00b3 _fflush"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 10 00 00 8B 5E 14 BA 01 00 00 00 8B 70 04 FF 16 8B F8 89 7B 18 89 3B C7 43 04 00 10 00 00 5F 5E 5B C3 90 53 56 8B F0 8B 5E 14 8B 43 14 50 68 00 10 00 00 6A 01 8B 53 18 52 E8 ?? ?? ?? ?? 83 C4 10 3D 00 10 00 00 74 0F 8B 0E 8B C6 C7 41 14 24 00 00 00 8B 10 FF 12 8B 4B 18 B8 01 00 00 00 89 0B C7 43 04 00 10 00 00 5E 5B C3 53 56 57 8B F8 8B 5F 14 BE 00 10 00 00 2B 73 04 85 F6 76 26 8B 43 14 50 56 6A 01 8B 53 18 52 E8 ?? ?? ?? ?? 83 C4 10 3B F0 74 0F 8B 0F 8B C7 C7 41 14 24 00 00 00 8B 10 FF 12 8B 4B 14 51 E8 ?? ?? ?? ?? 59 8B 43 14 F6 40 12 10 74 0F 8B 17 8B C7 C7 42 14 24 00 00 00 8B 10 FF 12 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11796_0 {
	meta:
		name = "jpeg_stdio_dest"
		size = 61
		refs = "0024 _DF_"
	strings:
		$1 = { 53 8B D8 56 57 83 7B 14 00 8B F2 75 11 8B C3 B9 1C 00 00 00 33 D2 8B 78 04 FF 17 89 43 14 8B 43 14 C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? C7 40 10 ?? ?? ?? ?? 89 70 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11797_0 {
	meta:
		name = "_DF_"
		size = 252
		refs = "0033 @jpeg_alloc_quant_table 00a4 _DV_"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 56 57 89 4D FC 83 7B 10 64 8D 74 93 40 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 33 C9 8B 55 FC 8B DA 8B 03 F7 6D 0C 83 C0 32 BF 64 00 00 00 99 F7 FF 85 C0 7F 05 B8 01 00 00 00 3D FF 7F 00 00 7E 05 B8 FF 7F 00 00 83 7D 08 00 74 0C 3D FF 00 00 00 7E 05 B8 FF 00 00 00 8B 16 83 C3 04 66 89 04 4A 41 83 F9 40 7C BA 8B 0E 33 C0 89 81 80 00 00 00 5F 5E 5B 59 5D C2 08 00 53 56 57 8B F9 8B F2 8B D8 56 57 B9 ?? ?? ?? ?? 33 D2 8B C3 E8 4F FF FF FF 56 57 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 3C FF FF FF 5F 5E 5B C3 8B C8 85 C9 7F 05 B9 01 00 00 00 83 F9 64 7E 05 B9 64 00 00 00 83 F9 32 7D 0C B8 88 13 00 00 99 F7 F9 8B C8 EB 0B 03 C9 B8 C8 00 00 00 2B C1 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_11798_0 {
	meta:
		name = "jpeg_set_quality"
		size = 196
		refs = "0030 @jpeg_alloc_huff_table 003d _memcpy 0070 _DV_"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C2 E8 BF FF FF FF 8B D0 8B CE 8B C3 E8 84 FF FF FF 5E 5B C3 90 55 8B EC 53 8B DA 56 57 83 3B 00 8B F8 8B F1 75 09 8B C7 E8 ?? ?? ?? ?? 89 03 6A 11 56 8B 13 52 E8 ?? ?? ?? ?? 83 C4 0C 68 00 01 00 00 8B 4D 08 51 8B 03 83 C0 11 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 13 33 C9 89 8A 11 01 00 00 5F 5E 5B 5D C2 04 00 53 8B D8 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 50 8B C3 E8 99 FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 60 8B C3 E8 85 FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 54 8B C3 E8 71 FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 64 8B C3 E8 5D FF FF FF 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11799_0 {
	meta:
		name = "jpeg_set_defaults"
		size = 356
		refs = "00fb _DF_"
	strings:
		$1 = { 53 8B D8 56 83 7B 10 64 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 83 7B 3C 00 75 11 8B C3 B9 48 03 00 00 33 D2 8B 70 04 FF 16 89 43 3C C7 43 30 08 00 00 00 B9 01 00 00 00 BA 4B 00 00 00 8B C3 E8 EE FE FF FF 8B C3 E8 53 FF FF FF 33 D2 8D 43 70 C6 00 00 C6 40 10 01 C6 40 20 05 42 40 83 FA 10 7C EE 33 D2 33 C9 89 93 A4 00 00 00 89 8B A0 00 00 00 33 C0 33 D2 89 83 A8 00 00 00 33 C9 89 93 AC 00 00 00 89 8B B0 00 00 00 83 7B 30 08 7E 0A C7 83 B0 00 00 00 01 00 00 00 33 C0 89 83 B4 00 00 00 33 D2 89 93 B8 00 00 00 33 C9 89 8B BC 00 00 00 33 C0 89 83 C0 00 00 00 33 D2 89 93 C4 00 00 00 C6 83 CC 00 00 00 00 66 C7 83 CD 00 00 00 01 00 66 C7 83 CF 00 00 00 01 00 8B C3 E8 04 00 00 00 5E 5B C3 90 8B 50 24 83 FA 05 77 5E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 01 00 00 00 E8 43 00 00 00 C3 BA 03 00 00 00 E8 38 00 00 00 C3 BA 03 00 00 00 E8 2D 00 00 00 C3 BA 04 00 00 00 E8 22 00 00 00 C3 BA 05 00 00 00 E8 17 00 00 00 C3 33 D2 E8 0F 00 00 00 C3 8B 08 C7 41 14 07 00 00 00 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_11800_0 {
	meta:
		name = "jpeg_set_colorspace"
		size = 1128
		refs = "0040 _DF_"
	strings:
		$1 = { 53 8B D8 56 8B F2 83 7B 10 64 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 89 73 38 33 C9 89 8B C8 00 00 00 33 C0 89 83 D1 00 00 00 83 FE 05 0F 87 66 03 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 83 C8 00 00 00 01 00 00 00 C7 43 34 01 00 00 00 8B 43 3C 33 D2 33 C9 C7 00 01 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 5E 5B C3 C7 83 D1 00 00 00 01 00 00 00 C7 43 34 03 00 00 00 8B 43 3C 33 C9 33 D2 C7 00 52 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 8B 43 3C 33 D2 83 C0 54 33 C9 C7 00 47 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 33 C9 05 A8 00 00 00 33 D2 C7 00 42 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 5E 5B C3 C7 83 C8 00 00 00 01 00 00 00 C7 43 34 03 00 00 00 8B 43 3C 33 D2 33 C9 C7 00 01 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 83 C0 54 C7 00 02 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 3C 05 A8 00 00 00 C7 00 03 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 5E 5B C3 C7 83 D1 00 00 00 01 00 00 00 C7 43 34 04 00 00 00 8B 43 3C 33 D2 33 C9 C7 00 43 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 33 C9 83 C0 54 33 D2 C7 00 4D 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 8B 43 3C 33 D2 05 A8 00 00 00 33 C9 C7 00 59 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 33 C9 05 FC 00 00 00 33 D2 C7 00 4B 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 5E 5B C3 C7 83 D1 00 00 00 01 00 00 00 C7 43 34 04 00 00 00 8B 43 3C 33 D2 33 C9 C7 00 01 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 3C 33 D2 83 C0 54 33 C9 C7 00 02 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 3C 05 A8 00 00 00 C7 00 03 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 3C 05 FC 00 00 00 C7 00 04 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 5E 5B C3 8B 43 20 89 43 34 8B 43 34 83 F8 01 7C 05 83 F8 0A 7E 1C 8B 03 C7 40 14 18 00 00 00 8B 53 34 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 33 D2 EB 2C 8D 04 92 33 C9 8D 04 82 C1 E0 02 03 43 3C 89 10 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 48 14 33 C9 89 48 18 42 3B 53 34 7C CF 5E 5B C3 8B 03 C7 40 14 08 00 00 00 8B C3 8B 10 FF 12 5E 5B C3 90 90 90 55 8B EC C7 00 01 00 00 00 89 50 04 89 48 14 8B 55 10 89 50 18 8B 4D 0C 89 48 1C 8B 55 08 89 50 20 83 C0 24 5D C2 0C 00 55 8B EC 53 56 57 8B 75 10 33 DB 3B D3 7E 23 C7 00 01 00 00 00 89 58 04 89 48 14 89 70 18 8B 7D 0C 43 89 78 1C 8B 7D 08 89 78 20 83 C0 24 3B D3 7F DD 5F 5E 5B 5D C2 0C 00 90 90 90 55 8B EC 53 56 83 FA 04 7F 2B 89 10 33 DB 8D 70 04 3B D3 7E 0A 89 1E 43 83 C6 04 3B D3 7F F6 33 D2 89 50 18 89 50 14 89 48 1C 8B 4D 08 89 48 20 83 C0 24 EB 0E 6A 00 51 8B 4D 08 51 33 C9 E8 81 FF FF FF 5E 5B 5D C2 04 00 90 90 90 }
	condition:
		$1
}

rule function_11801_0 {
	meta:
		name = "jpeg_simple_progression"
		size = 483
	strings:
		$1 = { 53 56 57 8B F8 51 83 7F 10 64 8B 77 34 74 15 8B 07 C7 40 14 12 00 00 00 8B 57 10 89 50 18 8B C7 8B 10 FF 12 83 FE 03 75 0F 83 7F 38 03 75 09 C7 04 24 0A 00 00 00 EB 1C 83 FE 04 7E 0C 8B CE 03 C9 8D 0C 49 89 0C 24 EB 0B 8B C6 C1 E0 02 83 C0 02 89 04 24 8B 0C 24 8B C7 C1 E1 02 33 D2 8B 58 04 8D 0C C9 FF 13 8B D8 83 FE 03 89 9F A4 00 00 00 8B 04 24 89 87 A0 00 00 00 0F 85 E7 00 00 00 83 7F 38 03 0F 85 DD 00 00 00 6A 01 33 C9 8B D6 8B C3 E8 1D FF FF FF 8B D8 6A 05 6A 00 6A 02 B9 01 00 00 00 33 D2 8B C3 E8 A3 FE FF FF 8B D8 6A 3F 6A 00 6A 01 B9 01 00 00 00 BA 02 00 00 00 8B C3 E8 8A FE FF FF 8B D8 6A 3F 6A 00 6A 01 B9 01 00 00 00 BA 01 00 00 00 8B C3 E8 71 FE FF FF 8B D8 6A 3F 6A 00 6A 02 B9 06 00 00 00 33 D2 8B C3 E8 5B FE FF FF 8B D8 6A 3F 6A 02 6A 01 B9 01 00 00 00 33 D2 8B C3 E8 45 FE FF FF 8B D8 6A 00 B9 01 00 00 00 8B D6 8B C3 E8 97 FE FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 BA 02 00 00 00 8B C3 E8 1A FE FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 BA 01 00 00 00 8B C3 E8 01 FE FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 33 D2 8B C3 E8 EB FD FF FF EB 77 6A 01 33 C9 8B D6 8B C3 E8 40 FE FF FF 8B D8 6A 05 6A 00 6A 02 B9 01 00 00 00 8B D6 8B C3 E8 EE FD FF FF 8B D8 6A 3F 6A 00 6A 02 B9 06 00 00 00 8B D6 8B C3 E8 D8 FD FF FF 8B D8 6A 3F 6A 02 6A 01 B9 01 00 00 00 8B D6 8B C3 E8 C2 FD FF FF 8B D8 6A 00 B9 01 00 00 00 8B D6 8B C3 E8 EC FD FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 8B D6 8B C3 E8 9A FD FF FF 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11802_0 {
	meta:
		name = "jpeg_start_compress"
		size = 108
		refs = "002a @jpeg_suppress_tables 0040 @jinit_compress_master"
	strings:
		$1 = { 53 8B D8 56 8B F2 83 7B 10 64 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 85 F6 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8B C3 8B 50 14 FF 52 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 90 41 01 00 00 FF 12 33 C9 89 8B D5 00 00 00 B8 66 00 00 00 83 BB A8 00 00 00 00 75 01 48 89 43 10 5E 5B C3 90 }
	condition:
		$1
}

rule function_11803_0 {
	meta:
		name = "jpeg_write_scanlines"
		size = 361
	strings:
		$1 = { 53 8B D8 56 57 51 8B FA 83 7B 10 65 8B F1 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B D5 00 00 00 3B 4B 1C 72 13 8B 03 C7 40 14 77 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 8B 43 08 85 C0 74 16 8B 93 D5 00 00 00 89 50 04 8B 4B 1C 89 48 08 8B C3 8B 50 08 FF 12 8B 8B 41 01 00 00 83 79 0C 00 74 0B 8B C3 8B 90 41 01 00 00 FF 52 04 8B 43 1C 2B 83 D5 00 00 00 3B C6 73 02 8B F0 33 C0 8B D7 89 04 24 8B C3 56 8D 4C 24 04 8B B0 45 01 00 00 FF 56 04 8B 04 24 01 83 D5 00 00 00 8B 04 24 5A 5F 5E 5B C3 90 90 53 8B D8 56 57 55 8B E9 83 7B 10 66 8B FA 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B 8B D5 00 00 00 3B 4B 1C 72 17 8B 03 C7 40 14 77 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 C0 EB 6D 8B 43 08 85 C0 74 16 8B 93 D5 00 00 00 89 50 04 8B 4B 1C 89 48 08 8B C3 8B 50 08 FF 12 8B 8B 41 01 00 00 83 79 0C 00 74 0B 8B C3 8B 90 41 01 00 00 FF 52 04 8B B3 E1 00 00 00 C1 E6 03 3B F5 76 0F 8B 03 C7 40 14 15 00 00 00 8B C3 8B 10 FF 12 8B D7 8B C3 8B 88 4D 01 00 00 FF 51 04 85 C0 75 04 33 C0 EB 08 01 B3 D5 00 00 00 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11804_0 {
	meta:
		name = "jpeg_CreateCompress"
		size = 200
		refs = "0055 _memset 0066 @jinit_memory_mgr 00b9 jpeg_destroy 00c1 @jpeg_abort"
	strings:
		$1 = { 53 8B D8 33 C0 56 8B F1 89 43 04 83 FA 3D 74 19 8B 03 C7 40 14 0A 00 00 00 C7 40 18 3D 00 00 00 89 50 1C 8B C3 8B 10 FF 12 81 FE 65 01 00 00 74 19 8B 03 C7 40 14 13 00 00 00 C7 40 18 65 01 00 00 89 70 1C 8B C3 8B 10 FF 12 8B 33 68 65 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 0C 89 33 33 C0 89 43 0C 8B C3 E8 ?? ?? ?? ?? 33 D2 33 C9 89 53 08 89 4B 14 33 C0 8D 53 40 89 43 3C 33 C0 33 C9 40 89 0A 83 C2 04 83 F8 04 7C F3 33 C0 8D 53 50 33 C9 40 89 0A 33 C9 89 4A 10 83 C2 04 83 F8 04 7C EE 33 C0 89 43 28 C7 43 2C 00 00 F0 3F C7 43 10 64 00 00 00 5E 5B C3 E8 ?? ?? ?? ?? C3 90 90 E8 ?? ?? ?? ?? C3 90 90 }
	condition:
		$1
}

rule function_11805_0 {
	meta:
		name = "@jpeg_suppress_tables"
		size = 72
	strings:
		$1 = { 53 56 33 C9 8D 58 40 8B 33 85 F6 74 06 89 96 80 00 00 00 41 83 C3 04 83 F9 04 7C EB 33 C9 83 C0 50 8B 18 85 DB 74 06 89 93 11 01 00 00 8B 58 10 85 DB 74 06 89 93 11 01 00 00 41 83 C0 04 83 F9 04 7C DE 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_11806_0 {
	meta:
		name = "jpeg_finish_compress"
		size = 388
		refs = "00d3 @jpeg_abort 0164 @jinit_marker_writer"
	strings:
		$1 = { 53 8B D8 56 8B 43 10 83 F8 65 74 05 83 F8 66 75 27 8B 93 D5 00 00 00 3B 53 1C 73 0F 8B 0B 8B C3 C7 41 14 42 00 00 00 8B 10 FF 12 8B C3 8B 90 41 01 00 00 FF 52 08 EB 79 83 7B 10 67 74 73 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 EB 5C 8B C3 8B 90 41 01 00 00 FF 12 33 F6 EB 3B 8B 43 08 85 C0 74 13 89 70 04 8B 93 E5 00 00 00 89 50 08 8B C3 8B 50 08 FF 12 33 D2 8B C3 8B 88 4D 01 00 00 FF 51 04 85 C0 75 0F 8B 03 C7 40 14 16 00 00 00 8B C3 8B 10 FF 12 46 3B B3 E5 00 00 00 72 BD 8B C3 8B 90 41 01 00 00 FF 52 08 8B 8B 41 01 00 00 83 79 10 00 74 98 8B C3 8B 90 51 01 00 00 FF 52 10 8B C3 8B 50 14 FF 52 10 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 90 90 55 8B EC 53 8B D8 56 57 83 BB D5 00 00 00 00 8B F9 8B F2 75 12 8B 43 10 83 F8 65 74 1F 83 F8 66 74 1A 83 F8 67 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C3 8B 4D 08 51 8B CF 8B 98 51 01 00 00 8B D6 FF 13 5F 5E 5B 5D C2 04 00 90 90 90 53 8B D8 83 7B 10 64 74 15 8B 03 C7 40 14 12 00 00 00 8B 53 10 89 50 18 8B C3 8B 10 FF 12 8B C3 8B 10 FF 52 10 8B C3 8B 50 14 FF 52 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 90 51 01 00 00 FF 52 14 8B C3 8B 50 14 FF 52 10 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11807_0 {
	meta:
		name = "@jinit_compress_master"
		size = 173
		refs = "0008 @jinit_c_master_control 0018 @jinit_color_converter 001f @jinit_downsampler 0028 @jinit_c_prep_controller 002f @jinit_forward_dct 0059 @jinit_phuff_encoder 0062 @jinit_huff_encoder 0084 @jinit_c_coef_controller 008d @jinit_c_main_controller 0094 @jinit_marker_writer"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB A8 00 00 00 00 75 17 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB AC 00 00 00 00 74 11 8B 13 8B C3 C7 42 14 01 00 00 00 8B 10 FF 12 EB 19 83 BB D9 00 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 83 BB A0 00 00 00 01 7F 0D 83 BB B0 00 00 00 00 75 04 33 D2 EB 05 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 50 04 FF 52 18 8B C3 8B 90 51 01 00 00 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_11808_0 {
	meta:
		name = "_DF_"
		size = 1952
		refs = "00fe _jpeg_natural_order"
	strings:
		$1 = { 53 8B D8 8B 43 14 8B 08 FF 00 88 11 FF 48 04 75 1A 8B D0 8B C3 FF 52 0C 85 C0 75 0F 8B 13 8B C3 C7 42 14 16 00 00 00 8B 10 FF 12 5B C3 90 90 90 53 56 8B F2 8B D8 BA FF 00 00 00 8B C3 E8 BE FF FF FF 8B D6 8B C3 E8 B5 FF FF FF 5E 5B C3 90 90 53 56 8B F2 8B D8 8B D6 8B C3 C1 FA 08 81 E2 FF 00 00 00 E8 98 FF FF FF 8B D6 8B C3 81 E2 FF 00 00 00 E8 89 FF FF FF 5E 5B C3 90 90 53 56 57 55 83 C4 F4 89 14 24 8B F0 8B 04 24 8B 6C 86 40 85 ED 75 15 8B 06 C7 40 14 33 00 00 00 8B 14 24 89 50 18 8B C6 8B 10 FF 12 33 FF 33 DB 8B C5 66 81 38 FF 00 76 05 BF 01 00 00 00 43 83 C0 02 83 FB 40 7C EB 83 BD 80 00 00 00 00 75 7F BA DB 00 00 00 8B C6 E8 58 FF FF FF BA 83 00 00 00 85 FF 75 03 83 C2 C0 8B C6 E8 65 FF FF FF 8B D7 8B C6 C1 E2 04 03 14 24 E8 06 FF FF FF C7 44 24 08 ?? ?? ?? ?? 33 DB 8B 44 24 08 85 FF 8B 10 0F B7 4C 55 00 89 4C 24 04 74 0E 8B 54 24 04 8B C6 C1 EA 08 E8 DB FE FF FF 8B 54 24 04 8B C6 81 E2 FF 00 00 00 E8 CA FE FF FF 43 83 44 24 08 04 83 FB 40 7C C3 C7 85 80 00 00 00 01 00 00 00 8B C7 83 C4 0C 5D 5F 5E 5B C3 90 90 90 53 56 57 55 83 C4 F4 89 14 24 8B F0 85 C9 74 0D 8B 04 24 8B 7C 86 60 83 04 24 10 EB 07 8B 04 24 8B 7C 86 50 85 FF 75 15 8B 06 C7 40 14 31 00 00 00 8B 14 24 89 50 18 8B C6 8B 10 FF 12 83 BF 11 01 00 00 00 0F 85 89 00 00 00 BA C4 00 00 00 8B C6 E8 82 FE FF FF 33 ED BB 01 00 00 00 8D 47 01 33 D2 43 8A 10 40 03 EA 83 FB 10 7E F3 8D 55 13 8B C6 E8 81 FE FF FF 8B 14 24 8B C6 E8 27 FE FF FF BB 01 00 00 00 8D 47 01 89 44 24 04 8B 54 24 04 0F B6 12 8B C6 E8 0D FE FF FF 43 FF 44 24 04 83 FB 10 7E E8 33 DB 8D 47 11 89 44 24 08 3B EB 7E 17 8B 54 24 08 0F B6 12 8B C6 E8 E8 FD FF FF 43 FF 44 24 08 3B EB 7F E9 C7 87 11 01 00 00 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 90 C3 90 90 90 53 8B D8 BA DD 00 00 00 8B C3 E8 E9 FD FF FF BA 04 00 00 00 8B C3 E8 FD FD FF FF 8B 93 C0 00 00 00 8B C3 E8 F0 FD FF FF 5B C3 90 90 53 56 57 8B D8 8B C3 E8 C0 FD FF FF 8B 53 34 8B C3 8D 14 52 83 C2 08 E8 D0 FD FF FF 81 7B 1C FF FF 00 00 7F 09 81 7B 18 FF FF 00 00 7E 16 8B 03 C7 40 14 28 00 00 00 C7 40 18 FF FF 00 00 8B C3 8B 10 FF 12 8B 53 30 8B C3 E8 4E FD FF FF 8B 53 1C 8B C3 E8 94 FD FF FF 8B 53 18 8B C3 E8 8A FD FF FF 8B 53 34 8B C3 E8 30 FD FF FF 33 FF 8B 73 3C EB 27 8B 16 8B C3 E8 20 FD FF FF 8B 56 08 8B C3 C1 E2 04 03 56 0C E8 10 FD FF FF 8B 56 10 8B C3 E8 06 FD FF FF 47 83 C6 54 3B 7B 34 7C D4 5F 5E 5B C3 90 53 56 57 55 8B D8 BA DA 00 00 00 8B C3 E8 16 FD FF FF 8B 93 E9 00 00 00 8B C3 03 D2 83 C2 06 E8 24 FD FF FF 8B 93 E9 00 00 00 8B C3 E8 C7 FC FF FF 33 ED 8D BB ED 00 00 00 EB 4D 8B 37 8B C3 8B 16 E8 B2 FC FF FF 8B 46 14 8B 56 18 83 BB D9 00 00 00 00 74 23 83 BB 31 01 00 00 00 75 18 33 D2 83 BB 39 01 00 00 00 74 0F 83 BB AC 00 00 00 00 75 06 33 C0 EB 02 33 C0 C1 E0 04 03 D0 8B C3 E8 74 FC FF FF 45 83 C7 04 3B AB E9 00 00 00 7C AB 8B 93 31 01 00 00 8B C3 E8 5B FC FF FF 8B 93 35 01 00 00 8B C3 E8 4E FC FF FF 8B 93 39 01 00 00 8B C3 C1 E2 04 03 93 3D 01 00 00 E8 38 FC FF FF 5D 5F 5E 5B C3 90 90 90 53 8B D8 BA E0 00 00 00 8B C3 E8 51 FC FF FF BA 10 00 00 00 8B C3 E8 65 FC FF FF BA 4A 00 00 00 8B C3 E8 09 FC FF FF BA 46 00 00 00 8B C3 E8 FD FB FF FF BA 49 00 00 00 8B C3 E8 F1 FB FF FF BA 46 00 00 00 8B C3 E8 E5 FB FF FF 33 D2 8B C3 E8 DC FB FF FF BA 01 00 00 00 8B C3 E8 D0 FB FF FF BA 01 00 00 00 8B C3 E8 C4 FB FF FF 33 D2 8B C3 8A 93 CC 00 00 00 E8 B5 FB FF FF 0F B7 93 CD 00 00 00 8B C3 E8 F7 FB FF FF 0F B7 93 CF 00 00 00 8B C3 E8 E9 FB FF FF 33 D2 8B C3 E8 90 FB FF FF 33 D2 8B C3 E8 87 FB FF FF 5B C3 90 53 8B D8 BA EE 00 00 00 8B C3 E8 A5 FB FF FF BA 0E 00 00 00 8B C3 E8 B9 FB FF FF BA 41 00 00 00 8B C3 E8 5D FB FF FF BA 64 00 00 00 8B C3 E8 51 FB FF FF BA 6F 00 00 00 8B C3 E8 45 FB FF FF BA 62 00 00 00 8B C3 E8 39 FB FF FF BA 65 00 00 00 8B C3 E8 2D FB FF FF BA 64 00 00 00 8B C3 E8 71 FB FF FF 33 D2 8B C3 E8 68 FB FF FF 33 D2 8B C3 E8 5F FB FF FF 8B 4B 38 83 E9 03 74 07 83 E9 02 74 10 EB 1C BA 01 00 00 00 8B C3 E8 F4 FA FF FF 5B C3 BA 02 00 00 00 8B C3 E8 E6 FA FF FF 5B C3 33 D2 8B C3 E8 DB FA FF FF 5B C3 90 55 8B EC 53 56 57 8B D9 8B F8 8B 75 08 81 FE FD FF 00 00 77 28 8B C7 E8 EC FA FF FF 8D 56 02 8B C7 E8 02 FB FF FF EB 0C 33 D2 8B C7 8A 13 E8 A5 FA FF FF 43 8B D6 83 C6 FF 85 D2 75 EB 5F 5E 5B 5D C2 04 00 53 8B D8 BA D8 00 00 00 8B C3 E8 B5 FA FF FF 83 BB C8 00 00 00 00 74 07 8B C3 E8 45 FE FF FF 83 BB D1 00 00 00 00 74 07 8B C3 E8 E1 FE FF FF 5B C3 90 90 90 53 56 57 55 51 8B D8 33 C0 89 04 24 33 FF 8B 73 3C EB 11 8B 56 10 8B C3 E8 BF FA FF FF 01 04 24 47 83 C6 54 3B 7B 34 7C EA 83 BB AC 00 00 00 00 75 0F 83 BB D9 00 00 00 00 75 06 83 7B 30 08 74 04 33 ED EB 41 BD 01 00 00 00 33 FF 8B 73 3C EB 12 83 7E 14 01 7F 06 83 7E 18 01 7E 02 33 ED 47 83 C6 54 3B 7B 34 7C E9 83 3C 24 00 74 18 85 ED 74 14 33 ED 8B 03 C7 40 14 4A 00 00 00 33 D2 8B C3 8B 08 FF 51 04 83 BB AC 00 00 00 00 74 0E BA C9 00 00 00 8B C3 E8 29 FC FF FF EB 35 83 BB D9 00 00 00 00 74 0E BA C2 00 00 00 8B C3 E8 12 FC FF FF EB 1E 85 ED 74 0E BA C0 00 00 00 8B C3 E8 00 FC FF FF EB 0C BA C1 00 00 00 8B C3 E8 F2 FB FF FF 5A 5D 5F 5E 5B C3 53 8B D8 56 57 55 83 BB AC 00 00 00 00 74 09 8B C3 E8 A6 FB FF FF EB 6D 33 ED 8D BB ED 00 00 00 EB 5B 83 BB D9 00 00 00 00 8B 37 74 31 83 BB 31 01 00 00 00 75 17 83 BB 39 01 00 00 00 75 3A 33 C9 8B 56 14 8B C3 E8 95 FA FF FF EB 2C B9 01 00 00 00 8B 56 18 8B C3 E8 84 FA FF FF EB 1B 33 C9 8B 56 14 8B C3 E8 76 FA FF FF B9 01 00 00 00 8B 56 18 8B C3 E8 67 FA FF FF 45 83 C7 04 3B AB E9 00 00 00 7C 9D 83 BB C0 00 00 00 00 74 07 8B C3 E8 2B FB FF FF 8B C3 E8 F4 FB FF FF 5D 5F 5E 5B C3 90 90 90 BA D9 00 00 00 E8 0A F9 FF FF C3 90 53 56 57 8B F8 BA D8 00 00 00 8B C7 E8 F7 F8 FF FF 33 DB 8D 77 40 83 3E 00 74 09 8B D3 8B C7 E8 30 F9 FF FF 43 83 C6 04 83 FB 04 7C E9 83 BF AC 00 00 00 00 75 32 33 DB 8D 77 50 83 3E 00 74 0B 33 C9 8B D3 8B C7 E8 E5 F9 FF FF 83 7E 10 00 74 0E B9 01 00 00 00 8B D3 8B C7 E8 D1 F9 FF FF 43 83 C6 04 83 FB 04 7C D3 BA D9 00 00 00 8B C7 E8 94 F8 FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11809_0 {
	meta:
		name = "@jinit_marker_writer"
		size = 73
		refs = "001f _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 18 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 89 B3 51 01 00 00 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? C7 46 08 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? C7 46 10 ?? ?? ?? ?? C7 46 14 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11810_0 {
	meta:
		name = "_DF_"
		size = 2672
	strings:
		$1 = { 53 8B D8 56 57 83 7B 1C 00 76 12 83 7B 18 00 76 0C 83 7B 34 00 7E 06 83 7B 20 00 7F 0F 8B 03 C7 40 14 1F 00 00 00 8B C3 8B 10 FF 12 81 7B 1C DC FF 00 00 7F 09 81 7B 18 DC FF 00 00 7E 16 8B 03 C7 40 14 28 00 00 00 C7 40 18 DC FF 00 00 8B C3 8B 10 FF 12 8B 43 18 F7 6B 20 8B D0 3B C2 74 0F 8B 0B 8B C3 C7 41 14 45 00 00 00 8B 10 FF 12 83 7B 30 08 74 15 8B 03 C7 40 14 0D 00 00 00 8B 53 30 89 50 18 8B C3 8B 10 FF 12 83 7B 34 0A 7E 1C 8B 03 C7 40 14 18 00 00 00 8B 53 34 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 C7 83 DD 00 00 00 01 00 00 00 C7 83 E1 00 00 00 01 00 00 00 33 FF 8B 73 3C EB 63 8B 46 08 85 C0 7E 11 83 F8 04 7F 0C 83 7E 0C 00 7E 06 83 7E 0C 04 7E 0F 8B 13 8B C3 C7 42 14 10 00 00 00 8B 10 FF 12 8B 8B DD 00 00 00 3B 4E 08 7E 08 8B 83 DD 00 00 00 EB 03 8B 46 08 89 83 DD 00 00 00 8B 93 E1 00 00 00 3B 56 0C 7E 08 8B 8B E1 00 00 00 EB 03 8B 4E 0C 89 8B E1 00 00 00 47 83 C6 54 3B 7B 34 7C 98 33 FF 8B 73 3C EB 6F 89 7E 04 47 C7 46 24 08 00 00 00 8B 43 18 8B 8B DD 00 00 00 F7 6E 08 C1 E1 03 03 C1 48 99 F7 F9 89 46 1C 8B 43 1C 8B 8B E1 00 00 00 F7 6E 0C C1 E1 03 03 C1 48 99 F7 F9 89 46 20 8B 43 18 8B 8B DD 00 00 00 F7 6E 08 03 C1 48 99 F7 F9 89 46 28 8B 43 1C 8B 8B E1 00 00 00 F7 6E 0C 03 C1 48 99 F7 F9 89 46 2C C7 46 30 01 00 00 00 83 C6 54 3B 7B 34 7C 8C 8B 8B E1 00 00 00 C1 E1 03 8B C1 03 43 1C 48 99 F7 F9 89 83 E5 00 00 00 5F 5E 5B C3 90 90 53 56 57 8B F0 55 81 C4 B8 F5 FF FF 83 BE A0 00 00 00 00 7F 16 8B 06 33 C9 C7 40 14 11 00 00 00 8B 16 8B C6 89 4A 18 8B 10 FF 12 8B 8E A4 00 00 00 89 0C 24 8B 04 24 83 78 14 00 75 09 8B 14 24 83 7A 18 3F 74 36 C7 86 D9 00 00 00 01 00 00 00 8D 5C 24 48 33 C0 89 44 24 0C EB 15 33 FF C7 03 FF FF FF FF 83 C3 04 47 83 FF 40 7C F1 FF 44 24 0C 8B 44 24 0C 3B 46 34 7C E2 EB 28 33 D2 33 C9 89 96 D9 00 00 00 89 4C 24 0C 8D 44 24 20 EB 0B 33 D2 89 10 FF 44 24 0C 83 C0 04 8B 4C 24 0C 3B 4E 34 7C EC C7 44 24 04 01 00 00 00 E9 AE 02 00 00 8B 04 24 8B 10 89 54 24 08 83 7C 24 08 00 7E 07 83 7C 24 08 04 7E 1D 8B 06 C7 40 14 18 00 00 00 8B 54 24 08 89 50 18 C7 40 1C 04 00 00 00 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 04 24 8D 78 04 8B 44 24 0C 3B 44 24 08 7D 54 8B 1F 85 DB 7C 05 3B 5E 34 7C 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 83 7C 24 0C 00 7E 1B 3B 5F FC 7F 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 FF 44 24 0C 83 C7 04 8B 4C 24 0C 3B 4C 24 08 7C AC 8B 04 24 8B 50 14 89 54 24 10 8B 0C 24 8B 41 18 89 44 24 14 8B 14 24 8B 04 24 8B 6A 1C 8B 50 20 89 54 24 18 83 BE D9 00 00 00 00 0F 84 5A 01 00 00 83 7C 24 10 00 7C 2F 83 7C 24 10 40 7D 28 8B 4C 24 14 3B 4C 24 10 7C 1E 83 7C 24 14 40 7D 17 85 ED 7C 13 83 FD 0D 7F 0E 83 7C 24 18 00 7C 07 83 7C 24 18 0D 7E 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 83 7C 24 10 00 75 1F 83 7C 24 14 00 74 35 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 EB 1D 83 7C 24 08 01 74 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 04 24 8D 50 04 89 54 24 1C 8B 4C 24 0C 3B 4C 24 08 0F 8D 2A 01 00 00 8B 44 24 1C 8B 18 C1 E3 08 8D 44 24 48 03 D8 83 7C 24 10 00 74 1B 83 3B 00 7D 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 8B 7C 24 10 3B 7C 24 14 8D 04 BB 8B D8 7F 54 83 3B 00 7D 1C 85 ED 74 3B 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 EB 23 3B 2B 75 09 8D 4D FF 3B 4C 24 18 74 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 8B 4C 24 18 47 89 0B 83 C3 04 3B 7C 24 14 7E AC FF 44 24 0C 83 44 24 1C 04 8B 44 24 0C 3B 44 24 08 0F 8C 55 FF FF FF EB 7D 83 7C 24 10 00 75 12 83 7C 24 14 3F 75 0B 85 ED 75 07 83 7C 24 18 00 74 16 8B 06 C7 40 14 0F 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 04 24 8D 78 04 8B 44 24 0C 3B 44 24 08 7D 38 8B 1F 83 7C 9C 20 00 74 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 C7 44 9C 20 01 00 00 00 FF 44 24 0C 83 C7 04 8B 4C 24 0C 3B 4C 24 08 7C C8 83 04 24 24 FF 44 24 04 8B 44 24 04 3B 86 A0 00 00 00 0F 8E 42 FD FF FF 83 BE D9 00 00 00 00 74 35 33 D2 8D 5C 24 48 89 54 24 0C EB 1E 83 3B 00 7D 0F 8B 06 C7 40 14 2C 00 00 00 8B C6 8B 10 FF 12 FF 44 24 0C 81 C3 00 01 00 00 8B 4C 24 0C 3B 4E 34 7C D9 EB 30 33 C0 8D 5C 24 20 89 44 24 0C EB 1B 83 3B 00 75 0F 8B 06 C7 40 14 2C 00 00 00 8B C6 8B 10 FF 12 FF 44 24 0C 83 C3 04 8B 4C 24 0C 3B 4E 34 7C DC 81 C4 48 0A 00 00 5D 5F 5E 5B C3 53 8B D8 56 57 55 8B 93 A4 00 00 00 85 D2 74 6D 8B 83 41 01 00 00 8D B3 ED 00 00 00 8B 48 20 C1 E1 02 8D 0C C9 03 CA 8B D1 8B 02 8D 4A 04 89 83 E9 00 00 00 33 C0 EB 1B 8B 39 40 8B EF 8D 7C BD 00 8D 7C BD 00 C1 E7 02 03 7B 3C 89 3E 83 C6 04 83 C1 04 3B 02 7C E1 8B 42 14 89 83 31 01 00 00 8B 4A 18 89 8B 35 01 00 00 8B 42 1C 89 83 39 01 00 00 8B 52 20 89 93 3D 01 00 00 EB 6E 83 7B 34 04 7E 1C 8B 03 C7 40 14 18 00 00 00 8B 53 34 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 4B 34 89 8B E9 00 00 00 33 C0 8D 93 ED 00 00 00 EB 12 8D 0C 80 8D 0C 88 40 C1 E1 02 03 4B 3C 89 0A 83 C2 04 3B 43 34 7C E9 33 C0 33 D2 89 83 31 01 00 00 33 C9 C7 83 35 01 00 00 3F 00 00 00 89 93 39 01 00 00 89 8B 3D 01 00 00 5D 5F 5E 5B C3 53 8B D8 56 57 51 83 BB E9 00 00 00 01 75 67 8B 8B ED 00 00 00 8B 41 1C 89 83 FD 00 00 00 8B 51 20 89 93 01 01 00 00 33 D2 C7 41 34 01 00 00 00 C7 41 38 01 00 00 00 C7 41 3C 01 00 00 00 C7 41 40 08 00 00 00 C7 41 44 01 00 00 00 8B 41 20 8B 71 0C F7 F6 8B C2 85 C0 75 02 8B C6 89 41 48 33 D2 C7 83 05 01 00 00 01 00 00 00 89 93 09 01 00 00 E9 11 01 00 00 8B 83 E9 00 00 00 85 C0 7E 05 83 F8 04 7E 1F 8B 03 C7 40 14 18 00 00 00 8B 93 E9 00 00 00 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 8B DD 00 00 00 C1 E1 03 8B C1 03 43 18 48 99 F7 F9 89 83 FD 00 00 00 8B 8B E1 00 00 00 C1 E1 03 8B C1 03 43 1C 48 99 F7 F9 89 83 01 01 00 00 33 C9 89 8B 05 01 00 00 33 F6 8D 83 ED 00 00 00 89 04 24 E9 8F 00 00 00 8B 14 24 8B 0A 8B 41 08 89 41 34 8B 41 0C 89 41 38 8B 51 34 0F AF D0 89 51 3C 33 D2 8B 41 34 C1 E0 03 89 41 40 8B 41 1C 8B 79 34 F7 F7 8B C2 85 C0 75 02 8B C7 89 41 44 33 D2 8B 41 20 8B 79 38 F7 F7 8B C2 85 C0 75 02 8B C7 89 41 48 8B 79 3C 8B 83 05 01 00 00 03 C7 83 F8 0A 7E 24 8B 13 8B C3 C7 42 14 0B 00 00 00 8B 10 FF 12 EB 13 8B 8B 05 01 00 00 FF 83 05 01 00 00 89 B4 8B 09 01 00 00 8B C7 83 C7 FF 85 C0 7F E4 46 83 04 24 04 3B B3 E9 00 00 00 0F 8C 65 FF FF FF 8B 83 C4 00 00 00 85 C0 7E 18 F7 AB FD 00 00 00 3D FF FF 00 00 7C 05 B8 FF FF 00 00 89 83 C0 00 00 00 5A 5F 5E 5B C3 90 90 53 8B D8 56 8B B3 41 01 00 00 8B 46 14 83 E8 01 72 12 0F 84 A0 00 00 00 48 0F 84 F1 00 00 00 E9 41 01 00 00 8B C3 E8 35 FD FF FF 8B C3 E8 1E FE FF FF 83 BB A8 00 00 00 00 75 20 8B C3 8B 90 55 01 00 00 FF 12 8B C3 8B 90 59 01 00 00 FF 12 33 D2 8B C3 8B 88 49 01 00 00 FF 11 8B C3 8B 90 5D 01 00 00 FF 12 8B 93 B0 00 00 00 8B C3 8B 88 61 01 00 00 FF 11 83 7E 1C 01 BA 03 00 00 00 7F 03 83 C2 FD 8B C3 8B 88 4D 01 00 00 FF 11 33 D2 8B C3 8B 88 45 01 00 00 FF 11 83 BB B0 00 00 00 00 74 0A 33 C0 89 46 0C E9 C8 00 00 00 C7 46 0C 01 00 00 00 E9 BC 00 00 00 8B C3 E8 A1 FC FF FF 8B C3 E8 8A FD FF FF 83 BB 31 01 00 00 00 75 12 83 BB 39 01 00 00 00 74 09 83 BB AC 00 00 00 00 74 25 BA 01 00 00 00 8B C3 8B 88 61 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 4D 01 00 00 FF 11 33 D2 89 56 0C EB 6E C7 46 14 02 00 00 00 FF 46 18 83 BB B0 00 00 00 00 75 0E 8B C3 E8 40 FC FF FF 8B C3 E8 29 FD FF FF 33 D2 8B C3 8B 88 61 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 4D 01 00 00 FF 11 83 7E 20 00 75 0B 8B C3 8B 90 51 01 00 00 FF 52 08 8B C3 8B 90 51 01 00 00 FF 52 0C 33 C9 89 4E 0C EB 0F 8B 03 C7 40 14 2F 00 00 00 8B C3 8B 10 FF 12 8B 4E 1C 49 3B 4E 18 0F 94 C0 83 E0 01 89 46 10 8B 43 08 85 C0 74 0C 8B 56 18 89 50 0C 8B 4E 1C 89 48 10 5E 5B C3 90 90 53 8B D8 8B 83 41 01 00 00 33 D2 89 50 0C 8B C3 8B 90 51 01 00 00 FF 52 08 8B C3 8B 90 51 01 00 00 FF 52 0C 5B C3 90 90 53 56 8B F0 8B 9E 41 01 00 00 8B C6 8B 90 61 01 00 00 FF 52 08 8B 4B 14 83 E9 01 72 07 74 1A 49 74 20 EB 31 C7 43 14 02 00 00 00 83 BE B0 00 00 00 00 75 21 FF 43 20 EB 1C C7 43 14 02 00 00 00 EB 13 83 BE B0 00 00 00 00 74 07 C7 43 14 01 00 00 00 FF 43 20 FF 43 18 5E 5B C3 90 }
	condition:
		$1
}

rule function_11811_0 {
	meta:
		name = "@jinit_c_master_control"
		size = 200
		refs = "0024 _DF_"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 8B FA BA 01 00 00 00 B9 24 00 00 00 8B 58 04 FF 13 8B D8 33 C0 89 9E 41 01 00 00 C7 03 ?? ?? ?? ?? C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? 89 43 10 8B C6 E8 50 F5 FF FF 83 BE A4 00 00 00 00 74 09 8B C6 E8 08 F7 FF FF EB 12 33 D2 89 96 D9 00 00 00 C7 86 A0 00 00 00 01 00 00 00 83 BE D9 00 00 00 00 74 0A C7 86 B0 00 00 00 01 00 00 00 85 FF 74 1B 83 BE B0 00 00 00 00 74 09 C7 43 14 01 00 00 00 EB 0E C7 43 14 02 00 00 00 EB 05 33 C9 89 4B 14 33 C0 33 D2 89 43 20 89 53 18 83 BE B0 00 00 00 00 74 0D 8B 8E A0 00 00 00 03 C9 89 4B 1C EB 09 8B 86 A0 00 00 00 89 43 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11812_0 {
	meta:
		name = "_DF_"
		size = 216
		refs = "002a _DF_"
	strings:
		$1 = { 53 83 B8 A8 00 00 00 00 8B 88 45 01 00 00 75 2D 33 DB 89 59 08 33 DB 89 59 0C 33 DB 89 59 10 89 51 14 83 EA 01 73 09 C7 41 04 ?? ?? ?? ?? 5B C3 8B 10 C7 42 14 04 00 00 00 8B 08 FF 11 5B C3 90 55 8B EC 83 C4 F8 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E 45 01 00 00 EB 69 83 7B 0C 08 73 1F 8B 45 08 8D 53 18 50 8B C6 52 8D 4B 0C 51 6A 08 8B B8 49 01 00 00 8B 4D F8 8B 55 FC FF 57 04 83 7B 0C 08 75 49 8D 53 18 8B C6 8B 88 4D 01 00 00 FF 51 04 85 C0 75 14 83 7B 10 00 75 31 8B 45 F8 FF 08 C7 43 10 01 00 00 00 EB 23 83 7B 10 00 74 0A 8B 55 F8 FF 02 33 C9 89 4B 10 33 C0 89 43 0C FF 43 08 8B 53 08 3B 96 E5 00 00 00 72 8C 5F 5E 5B 59 59 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_11813_0 {
	meta:
		name = "@jinit_c_main_controller"
		size = 132
		refs = "0022 _DF_"
	strings:
		$1 = { 53 8B D8 56 57 8B C3 55 51 8B F2 8B 78 04 BA 01 00 00 00 B9 40 00 00 00 FF 17 89 83 45 01 00 00 C7 00 ?? ?? ?? ?? 83 BB A8 00 00 00 00 75 4F 85 F6 74 11 8B 03 C7 40 14 04 00 00 00 8B C3 8B 10 FF 12 EB 3A 33 C9 8D 78 18 89 0C 24 8B 73 3C EB 25 8B 46 0C BA 01 00 00 00 C1 E0 03 50 8B C3 8B 4E 1C C1 E1 03 8B 68 04 FF 55 08 89 07 83 C7 04 FF 04 24 83 C6 54 8B 04 24 3B 43 34 7C D3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11814_0 {
	meta:
		name = "_DF_"
		size = 1172
		refs = "0060 @jcopy_sample_rows 041a _memcpy"
	strings:
		$1 = { 53 56 8B F0 85 D2 8B 9E 49 01 00 00 74 0F 8B 06 C7 40 14 04 00 00 00 8B C6 8B 10 FF 12 8B 4E 1C 33 C0 89 4B 30 33 D2 89 43 34 89 53 38 8B 8E E1 00 00 00 03 C9 89 4B 3C 5E 5B C3 90 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B DF 3B 5D 08 7D 19 53 6A 01 8B 45 FC 8D 57 FF 50 8B C6 8B CE E8 ?? ?? ?? ?? 43 3B 5D 08 7C E7 5F 5E 5B 59 5D C2 04 00 90 90 55 8B EC 83 C4 EC 53 56 57 8B D8 89 4D F8 89 55 FC 8B B3 49 01 00 00 E9 20 01 00 00 8B 8B E1 00 00 00 8B 55 14 2B 4E 34 2B D0 8B C2 89 4D F4 3B 45 F4 76 05 8B 55 F4 EB 02 8B D0 89 55 F4 8B 46 34 50 8B 4D F4 51 8D 4E 08 8B 45 F8 8B 10 8B C3 C1 E2 02 03 55 FC 8B B8 55 01 00 00 FF 57 04 8B 55 F8 8B 45 F4 01 02 8B 4D F4 01 4E 34 29 46 30 83 7E 30 00 75 3F 8B 46 34 3B 83 E1 00 00 00 7D 34 33 FF 8D 46 08 89 45 F0 EB 1C 8B 93 E1 00 00 00 52 8B 4D F0 8B 01 8B 4E 34 8B 53 18 E8 26 FF FF FF 47 83 45 F0 04 3B 7B 34 7C DF 8B 83 E1 00 00 00 89 46 34 8B 56 34 3B 93 E1 00 00 00 75 24 8B 4D 10 51 33 C9 8B 45 0C 8B 10 8B C3 52 8D 56 08 8B B8 59 01 00 00 FF 57 04 33 C0 89 46 34 8B 55 0C FF 02 83 7E 30 00 75 52 8B 4D 0C 8B 01 3B 45 08 73 48 8B 45 10 8B 73 3C 8B D0 33 FF 89 55 EC EB 2A 8B 46 0C 8B D0 0F AF 55 08 52 8B 4D 0C 8B 09 0F AF C8 8B 56 1C C1 E2 03 8B 45 EC 8B 00 E8 A3 FE FF FF 83 45 EC 04 47 83 C6 54 3B 7B 34 7C D1 8B 55 0C 8B 4D 08 89 0A EB 18 8B 45 F8 8B 00 3B 45 14 73 0E 8B 55 0C 8B 0A 3B 4D 08 0F 82 C8 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 90 90 90 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 98 49 01 00 00 8B 45 FC 8B 90 E1 00 00 00 8D 14 52 89 55 E8 E9 62 01 00 00 8B 4D F4 8B 01 3B 45 14 0F 83 AF 00 00 00 8B 4B 3C 8B 55 14 2B 4B 34 2B D0 8B C2 89 4D F0 3B 45 F0 76 05 8B 55 F0 EB 02 8B D0 89 55 F0 8B 43 34 50 8B 4D F0 51 8D 4B 08 8B 45 F4 8B 10 8B 45 FC C1 E2 02 03 55 F8 8B B0 55 01 00 00 FF 56 04 8B 45 FC 8B 50 1C 3B 53 30 75 50 33 C9 89 4D EC 8D 43 08 89 45 E4 EB 38 BF 01 00 00 00 8B 45 E4 8B F0 EB 1A 8B D7 F7 DA 52 6A 01 8B 4D FC 8B 51 18 52 33 D2 8B 06 8B C8 E8 ?? ?? ?? ?? 47 8B 4D FC 3B B9 E1 00 00 00 7E DB FF 45 EC 83 45 E4 04 8B 45 FC 8B 50 34 3B 55 EC 7F BD 8B 4D F4 8B 45 F0 01 01 8B 55 F0 01 53 34 29 43 30 EB 47 83 7B 30 00 0F 85 A9 00 00 00 8B 4B 34 3B 4B 3C 7D 35 33 C0 8D 73 08 89 45 EC EB 1A 8B 43 3C 50 8B 55 FC 8B 52 18 8B 06 8B 4B 34 E8 4C FD FF FF FF 45 EC 83 C6 04 8B 45 FC 8B 50 34 3B 55 EC 7F DB 8B 4B 3C 89 4B 34 8B 43 34 3B 43 3C 75 56 8B 55 10 52 8B 4D 0C 8B 01 50 8D 53 08 8B 4B 38 8B 45 FC 8B B0 59 01 00 00 FF 56 04 8B 45 0C FF 00 8B 55 FC 8B 8A E1 00 00 00 01 4B 38 8B 43 38 3B 45 E8 7C 05 33 D2 89 53 38 8B 4B 34 3B 4D E8 7C 05 33 C0 89 43 34 8B 55 FC 8B 8A E1 00 00 00 03 4B 34 89 4B 3C 8B 45 0C 8B 10 3B 55 08 0F 82 90 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 53 56 57 55 83 C4 EC 89 04 24 8B 04 24 8B B0 49 01 00 00 8B 04 24 8B 98 E1 00 00 00 8B 04 24 8B 50 34 8B 04 24 0F AF D3 8B 78 04 8D 0C 92 C1 E1 02 BA 01 00 00 00 FF 17 89 44 24 0C 33 C0 89 44 24 04 8B 14 24 8B 4A 3C 89 4C 24 08 8D 46 08 89 44 24 10 E9 A7 00 00 00 8D 14 5B 52 8B 4C 24 0C 8B 54 24 04 8B 41 1C 8B 4C 24 0C C1 E0 03 F7 AA DD 00 00 00 99 F7 79 08 8B C8 8B 44 24 04 BA 01 00 00 00 8B 70 04 FF 56 08 8B F0 8D 04 5B C1 E0 02 8B D3 50 56 C1 E2 02 03 54 24 14 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 3B D8 8B CE 8B 54 24 0C 7E 25 8D 3C 58 8B 3C BE 89 3A 8D 3C 98 8B 6C 24 0C 40 83 C2 04 8D 7C BD 00 57 5D 8B 39 83 C1 04 3B D8 89 7D 00 7F DB 8B C3 8B CB C1 E1 02 8B 54 24 10 C1 E0 02 03 44 24 0C 8D 0C 89 89 02 01 4C 24 0C 83 44 24 10 04 FF 44 24 04 83 44 24 08 54 8B 04 24 8B 50 34 3B 54 24 04 0F 8F 49 FF FF FF 83 C4 14 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_11815_0 {
	meta:
		name = "@jinit_c_prep_controller"
		size = 166
		refs = "0033 _DF_"
	strings:
		$1 = { 53 56 57 55 51 8B D8 85 D2 74 0F 8B 03 C7 40 14 04 00 00 00 8B C3 8B 10 FF 12 8B C3 B9 40 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 49 01 00 00 C7 00 ?? ?? ?? ?? 8B 93 59 01 00 00 83 7A 08 00 74 10 C7 40 04 ?? ?? ?? ?? 8B C3 E8 97 FE FF FF EB 4D C7 40 04 ?? ?? ?? ?? 33 C9 8D 78 08 89 0C 24 8B 73 3C EB 31 8B 83 E1 00 00 00 50 8B 46 1C C1 E0 03 F7 AB DD 00 00 00 99 F7 7E 08 8B C8 8B C3 BA 01 00 00 00 8B 68 04 FF 55 08 89 07 83 C7 04 FF 04 24 83 C6 54 8B 04 24 3B 43 34 7C C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11816_0 {
	meta:
		name = "_DF_"
		size = 1896
		refs = "008a _DF_ 0206 _memset"
	strings:
		$1 = { 83 B8 E9 00 00 00 01 8B 90 4D 01 00 00 7E 09 C7 42 14 01 00 00 00 EB 26 8B 88 E5 00 00 00 49 3B 4A 08 76 0E 8B 80 ED 00 00 00 8B 40 0C 89 42 14 EB 0C 8B 88 ED 00 00 00 8B 41 48 89 42 14 33 C9 33 C0 89 4A 0C 89 42 10 C3 90 90 90 53 56 8B F0 57 33 C0 8B FA 8B 9E 4D 01 00 00 89 43 08 8B C6 E8 9B FF FF FF 83 EF 01 72 08 4F 74 41 4F 74 20 EB 5A 83 7B 40 00 74 0F 8B 16 8B C6 C7 42 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 4B 83 7B 40 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 2D 83 7B 40 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 5F 5E 5B C3 90 53 56 57 83 C4 C4 89 54 24 04 89 04 24 8B 04 24 8B B0 4D 01 00 00 8B 04 24 8B 90 FD 00 00 00 4A 89 54 24 0C 8B 0C 24 8B 81 E5 00 00 00 48 89 44 24 10 8B 56 10 89 54 24 20 E9 CD 01 00 00 8B 4E 0C 89 4C 24 08 8B 44 24 08 3B 44 24 0C 0F 87 AF 01 00 00 33 D2 33 C9 89 54 24 14 89 4C 24 18 8B 44 24 04 8B D0 89 54 24 38 8B 0C 24 8D 81 ED 00 00 00 89 44 24 30 E9 3D 01 00 00 8B 54 24 30 8B 1A 8B 44 24 08 3B 44 24 0C 73 05 8B 53 34 EB 03 8B 53 44 89 54 24 24 8B 44 24 08 F7 6B 40 89 44 24 2C 8B 4C 24 20 C1 E1 03 33 C0 89 4C 24 28 89 44 24 1C 8B 54 24 38 8B CA 89 4C 24 34 E9 DB 00 00 00 8B 46 08 3B 44 24 10 72 0D 8B 54 24 20 03 54 24 1C 3B 53 48 7D 77 8B 4C 24 14 8B 44 8E 18 50 8B 54 24 2C 52 8B 4C 24 34 51 8B 44 24 30 50 8B 44 24 10 8B 54 24 44 8B B8 5D 01 00 00 8B 0A 8B D3 FF 57 04 8B 43 34 3B 44 24 24 7E 7F 2B 44 24 24 C1 E0 07 50 6A 00 8B 54 24 1C 03 54 24 2C 8B 4C 96 18 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 44 24 24 EB 15 8B 54 24 14 03 D0 40 8B 4C 96 14 8B 54 96 18 66 8B 09 66 89 0A 3B 43 34 7C E6 EB 3E 8B 43 34 C1 E0 07 50 6A 00 8B 44 24 1C 8B 54 86 18 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B 54 24 14 8D 54 96 14 EB 13 8B 4C 24 14 8B 3A 03 C8 40 66 8B 3F 8B 4C 8E 18 66 89 39 3B 43 34 7C E8 8B 43 34 01 44 24 14 83 44 24 28 08 FF 44 24 1C 8B 54 24 1C 3B 53 38 0F 8C 18 FF FF FF FF 44 24 18 83 44 24 38 04 83 44 24 30 04 8B 0C 24 8B 81 E9 00 00 00 3B 44 24 18 0F 8F B0 FE FF FF 8D 56 18 8B 04 24 8B 88 61 01 00 00 FF 51 04 85 C0 75 12 8B 54 24 20 89 56 10 8B 44 24 08 89 46 0C 33 C0 EB 38 FF 44 24 08 8B 54 24 08 3B 54 24 0C 0F 86 51 FE FF FF 33 C9 89 4E 0C FF 44 24 20 8B 46 14 3B 44 24 20 0F 8F 26 FE FF FF FF 46 08 8B 04 24 E8 FD FC FF FF B8 01 00 00 00 83 C4 3C 5F 5E 5B C3 90 53 56 57 83 C4 B8 89 54 24 04 89 04 24 8B 04 24 8B 90 4D 01 00 00 89 54 24 08 8B 0C 24 8B 81 E5 00 00 00 48 33 D2 89 44 24 0C 89 54 24 1C 8B 0C 24 8B 41 3C 89 44 24 28 8B 54 24 04 8B CA 89 4C 24 40 8B 44 24 08 8D 50 40 89 54 24 34 E9 1B 02 00 00 8B 4C 24 28 8B 41 0C 50 6A 01 8B 54 24 10 8B 4A 08 0F AF C8 8B 44 24 3C 8B 10 8B 44 24 08 8B 58 04 FF 53 20 89 44 24 2C 8B 44 24 08 8B 50 08 3B 54 24 0C 73 0D 8B 4C 24 28 8B 41 0C 89 44 24 24 EB 21 8B 54 24 28 8B 42 20 8B 54 24 28 8B 4A 0C 33 D2 F7 F1 89 54 24 24 83 7C 24 24 00 75 04 89 4C 24 24 8B 44 24 28 33 D2 8B 48 1C 89 4C 24 10 8B 44 24 28 8B 58 08 8B 44 24 10 F7 F3 8B F2 85 F6 7E 06 8B C3 2B C6 8B F0 33 D2 89 54 24 20 8B 4C 24 40 8B C1 89 44 24 3C 8B 54 24 2C 8B CA 89 4C 24 38 8B 44 24 20 3B 44 24 24 0F 8D 90 00 00 00 8B 54 24 38 8B 0A 89 4C 24 30 8B 44 24 30 50 8B 54 24 24 C1 E2 03 52 6A 00 8B 4C 24 1C 51 8B 44 24 4C 8B 54 24 38 8B 08 8B 44 24 10 8B B8 5D 01 00 00 FF 57 04 85 F6 7E 40 8B 44 24 10 C1 E0 07 01 44 24 30 8B D6 C1 E2 07 52 6A 00 8B 4C 24 38 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 44 24 30 8B 54 24 30 66 8B 48 80 33 C0 3B F0 7E 0E 66 89 0A 40 81 C2 80 00 00 00 3B F0 7F F2 FF 44 24 20 83 44 24 38 04 8B 44 24 20 3B 44 24 24 0F 8C 70 FF FF FF 8B 4C 24 08 8B 41 08 3B 44 24 0C 0F 85 B6 00 00 00 01 74 24 10 8B 44 24 10 33 D2 F7 F3 89 44 24 14 8B 4C 24 24 89 4C 24 20 8B 44 24 2C 8B 54 24 20 8D 0C 90 89 4C 24 44 EB 7C 8B 44 24 44 8B 10 89 54 24 30 8B 4C 24 44 8B 44 24 10 C1 E0 07 8B 71 FC 50 6A 00 8B 54 24 38 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 89 4C 24 18 8B 44 24 18 3B 44 24 14 73 3B 8B D3 33 C0 C1 E2 07 3B D8 66 8B 4C 16 80 8B 54 24 30 7E 0E 66 89 0A 40 81 C2 80 00 00 00 3B D8 7F F2 8B C3 C1 E0 07 01 44 24 30 03 F0 FF 44 24 18 8B 4C 24 18 3B 4C 24 14 72 C5 FF 44 24 20 83 44 24 44 04 8B 44 24 28 8B 50 0C 3B 54 24 20 0F 8F 73 FF FF FF 83 44 24 34 04 83 44 24 40 04 FF 44 24 1C 83 44 24 28 54 8B 0C 24 8B 41 34 3B 44 24 1C 0F 8F D5 FD FF FF 8B 54 24 04 8B 04 24 E8 07 00 00 00 83 C4 48 5F 5E 5B C3 53 56 57 83 C4 C8 33 C9 89 04 24 8B 04 24 8D 74 24 28 8B 90 4D 01 00 00 89 54 24 04 89 4C 24 0C 8B 04 24 8D 98 ED 00 00 00 EB 3F 8B 03 89 44 24 18 8B 54 24 18 8B 7A 0C 57 6A 00 8B 44 24 0C 8B 54 24 20 8B 48 08 8B 42 04 0F AF CF 8B 54 24 0C 8B 54 82 40 8B 44 24 08 8B 78 04 FF 57 20 89 06 83 C6 04 FF 44 24 0C 83 C3 04 8B 04 24 8B 90 E9 00 00 00 3B 54 24 0C 7F B2 8B 4C 24 04 8B 41 10 89 44 24 10 E9 11 01 00 00 8B 54 24 04 8B 4A 0C 89 4C 24 08 E9 E1 00 00 00 33 DB 33 C0 89 44 24 0C 8D 54 24 28 89 54 24 24 8B 0C 24 8D 81 ED 00 00 00 89 44 24 1C EB 7A 8B 54 24 1C 8B 0A 89 4C 24 18 8B 44 24 18 8B 50 34 0F AF 54 24 08 89 54 24 14 33 F6 8B 44 24 24 8B D0 89 54 24 20 EB 3B 8B 44 24 20 8B 4C 24 10 03 CE 8B 10 8B 44 24 14 C1 E0 07 8B 14 8A 03 D0 8B 44 24 04 33 C9 8D 44 98 18 EB 0D 89 10 81 C2 80 00 00 00 43 83 C0 04 41 8B 7C 24 18 3B 4F 34 7C EA 46 8B 44 24 18 3B 70 38 7C BC FF 44 24 0C 83 44 24 24 04 83 44 24 1C 04 8B 14 24 8B 8A E9 00 00 00 3B 4C 24 0C 0F 8F 73 FF FF FF 8B 04 24 8B 54 24 04 83 C2 18 8B 88 61 01 00 00 FF 51 04 85 C0 75 1A 8B 44 24 04 8B 54 24 10 89 50 10 8B 4C 24 04 8B 44 24 08 89 41 0C 33 C0 EB 49 FF 44 24 08 8B 14 24 8B 8A FD 00 00 00 3B 4C 24 08 0F 87 0C FF FF FF 8B 44 24 04 33 D2 89 50 0C FF 44 24 10 8B 4C 24 04 8B 41 14 3B 44 24 10 0F 8F DE FE FF FF 8B 54 24 04 FF 42 08 8B 04 24 E8 A6 F8 FF FF B8 01 00 00 00 83 C4 38 5F 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_11817_0 {
	meta:
		name = "@jinit_c_coef_controller"
		size = 197
		refs = "002f _DF_ 004d @jround_up"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 8B DA BA 01 00 00 00 8B 78 04 83 C4 F8 B9 68 00 00 00 FF 17 89 04 24 85 DB 8B 04 24 89 86 4D 01 00 00 8B 14 24 C7 02 ?? ?? ?? ?? 74 53 33 C9 89 4C 24 04 8B 5E 3C 8B 04 24 8D 78 40 EB 37 8B 53 08 8B 43 1C E8 ?? ?? ?? ?? 50 8B 53 0C 8B 43 20 E8 ?? ?? ?? ?? 50 8B C6 8B 4B 0C BA 01 00 00 00 51 33 C9 8B 68 04 FF 55 14 89 07 83 C7 04 FF 44 24 04 83 C3 54 8B 46 34 3B 44 24 04 7F C0 EB 36 8B C6 B9 00 05 00 00 BA 01 00 00 00 8B 58 04 FF 53 04 8B C8 33 C0 8B 14 24 83 C2 18 8B D8 40 C1 E3 07 03 D9 89 1A 83 C2 04 83 F8 0A 7C EE 8B 04 24 33 D2 89 50 40 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11818_0 {
	meta:
		name = "_DF_"
		size = 1084
	strings:
		$1 = { 53 8B D8 8B C3 56 51 B9 00 20 00 00 8B B3 55 01 00 00 8B 58 04 BA 01 00 00 00 FF 13 89 04 24 89 46 08 33 D2 8B 0C 24 8B C1 69 CA 8B 4C 00 00 89 08 69 CA 46 96 00 00 89 88 00 04 00 00 69 CA 2F 1D 00 00 81 C1 00 80 00 00 89 88 00 08 00 00 69 CA CD D4 FF FF 89 88 00 0C 00 00 69 CA 33 AB FF FF 89 88 00 10 00 00 8B CA C1 E1 0F 81 C1 FF 7F 80 00 89 88 00 14 00 00 69 CA D1 94 FF FF 89 88 00 18 00 00 69 CA 2F EB FF FF 89 88 00 1C 00 00 42 83 C0 04 81 FA FF 00 00 00 7E 8D 5A 5E 5B C3 55 8B EC 83 C4 E0 53 56 57 89 4D F8 89 55 FC 8B 90 55 01 00 00 8B 72 08 8B 40 18 89 45 EC E9 D1 00 00 00 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 0A 8B 55 0C 8B 14 91 8B 4D F8 8B 49 04 8B 5D 0C 8B 0C 99 8B 5D F8 8B 5B 08 8B 7D 0C 8B 1C BB FF 45 0C 33 FF 89 7D F0 89 5D E0 89 4D E4 89 55 E8 8B 55 F0 3B 55 EC 0F 83 88 00 00 00 33 D2 33 C9 8A 50 02 33 DB 8A 48 01 8A 18 89 5D F4 83 C0 03 8B 1C 96 8B 7D F4 03 9C 8E 00 04 00 00 03 9C BE 00 08 00 00 8B 7D E8 C1 FB 10 88 1F 8B 9C 96 00 0C 00 00 8B 7D F4 03 9C 8E 00 10 00 00 03 9C BE 00 14 00 00 8B 7D E4 C1 FB 10 88 1F 8B 94 96 00 14 00 00 03 94 8E 00 18 00 00 8B 4D F4 03 94 8E 00 1C 00 00 8B 4D E0 C1 FA 10 88 11 FF 45 F0 FF 45 E0 FF 45 E4 FF 45 E8 8B 55 F0 3B 55 EC 0F 82 78 FF FF FF FF 4D 08 0F 89 26 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B 90 55 01 00 00 8B 72 08 8B 40 18 89 45 E8 EB 5E 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 0A 8B 55 0C 8B 0C 91 FF 45 0C 33 D2 3B 55 E8 73 40 33 DB 42 8A 58 02 89 5D F4 33 DB 8A 58 01 89 5D F0 33 DB 8A 18 83 C0 03 89 5D EC 8B 5D F4 8B 7D F0 8B 1C 9E 03 9C BE 00 04 00 00 8B 7D EC 03 9C BE 00 08 00 00 C1 FB 10 88 19 41 3B 55 E8 72 C0 FF 4D 08 79 9D 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 83 C4 D8 53 56 57 89 4D F8 89 55 FC 8B 90 55 01 00 00 8B 72 08 8B 40 18 89 45 E8 E9 0E 01 00 00 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 0A 8B 55 0C 8B 14 91 8B 4D F8 8B 49 04 8B 5D 0C 8B 0C 99 8B 5D F8 8B 5B 08 8B 7D 0C 8B 1C BB 89 5D F0 8B 5D F8 8B 5B 0C 8B 7D 0C 8B 1C BB FF 45 0C 33 FF 89 7D EC 8B 7D F0 89 7D D8 89 4D DC 89 55 E0 8B D3 89 55 E4 8B 4D EC 3B 4D E8 0F 83 AE 00 00 00 33 D2 BF FF 00 00 00 8A 10 52 BA FF 00 00 00 59 2B D1 33 C9 8A 48 01 51 B9 FF 00 00 00 5B 2B CB 33 DB 8A 58 02 2B FB 89 7D F4 8B 5D E4 8B FB 8A 58 03 83 C0 04 88 1F 8B 1C 96 8B 7D F4 03 9C 8E 00 04 00 00 03 9C BE 00 08 00 00 8B 7D E0 C1 FB 10 88 1F 8B 9C 96 00 0C 00 00 8B 7D F4 03 9C 8E 00 10 00 00 03 9C BE 00 14 00 00 8B 7D DC C1 FB 10 88 1F 8B 94 96 00 14 00 00 03 94 8E 00 18 00 00 8B 4D F4 03 94 8E 00 1C 00 00 8B 4D D8 C1 FA 10 88 11 FF 45 EC FF 45 D8 FF 45 DC FF 45 E0 FF 45 E4 8B 55 EC 3B 55 E8 0F 82 52 FF FF FF FF 4D 08 0F 89 E9 FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 55 8B EC 83 C4 F8 53 56 57 8B 58 18 89 5D FC 8B 40 20 89 45 F8 EB 25 8B 01 8B 5D 0C 8B 32 83 C2 04 8B 04 98 33 FF FF 45 0C 3B 7D FC 73 0E 8A 1E 47 88 18 40 03 75 F8 3B 7D FC 72 F2 FF 4D 08 79 D6 5F 5E 5B 59 59 5D C2 08 00 90 90 55 8B EC 83 C4 F0 53 56 57 8B 58 34 89 5D F8 8B 40 18 89 45 F4 EB 4D 33 C0 89 45 FC 8B C1 89 45 F0 8B 45 FC 3B 45 F8 7D 35 8B 45 F0 8B 5D 0C 33 FF 8B 32 8B 00 3B 7D F4 8B 04 98 73 12 8B 5D FC 47 8A 1C 1E 88 18 40 03 75 F8 3B 7D F4 72 EE FF 45 FC 83 45 F0 04 8B 45 FC 3B 45 F8 7C CB 83 C2 04 FF 45 0C FF 4D 08 79 AE 5F 5E 5B 8B E5 5D C2 08 00 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_11819_0 {
	meta:
		name = "@jinit_color_converter"
		size = 585
		refs = "001f _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 0C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 89 B3 55 01 00 00 C7 06 ?? ?? ?? ?? 8B 43 24 48 74 0D 48 83 E8 02 72 1E 83 E8 02 72 30 EB 45 83 7B 20 01 74 54 8B 13 8B C3 C7 42 14 07 00 00 00 8B 10 FF 12 EB 43 83 7B 20 03 74 3D 8B 0B 8B C3 C7 41 14 07 00 00 00 8B 10 FF 12 EB 2C 83 7B 20 04 74 26 8B 0B 8B C3 C7 41 14 07 00 00 00 8B 10 FF 12 EB 15 83 7B 20 01 7D 0F 8B 0B 8B C3 C7 41 14 07 00 00 00 8B 10 FF 12 8B 4B 38 83 F9 05 0F 87 84 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7B 34 01 74 0F 8B 03 C7 40 14 08 00 00 00 8B C3 8B 10 FF 12 83 7B 24 01 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 24 02 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 24 03 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 34 03 74 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 83 7B 24 02 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 34 03 74 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 83 7B 24 02 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 24 03 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 34 04 74 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 83 7B 24 04 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 34 04 74 0F 8B 0B 8B C3 C7 41 14 08 00 00 00 8B 10 FF 12 83 7B 24 04 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 24 05 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 19 00 00 00 8B 10 FF 12 5E 5B C3 8B 4B 38 3B 4B 24 75 08 8B 43 34 3B 43 20 74 0F 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 C7 46 04 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11820_0 {
	meta:
		name = "_DF_"
		size = 1952
		refs = "020e @jcopy_sample_rows"
	strings:
		$1 = { C3 90 90 90 55 8B EC 83 C4 F4 56 57 89 4D F8 89 55 FC 8B 55 08 2B 55 F8 89 55 F4 83 7D F4 00 7E 29 33 C9 8B F8 3B 4D FC 7D 20 8B 07 8B 75 F4 03 45 F8 85 F6 8A 50 FF 7E 08 88 10 40 4E 85 F6 7F F8 41 83 C7 04 3B 4D FC 7C E0 5F 5E 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 E8 53 56 8B F0 57 89 4D F8 89 55 FC 8B 86 59 01 00 00 33 D2 89 55 F4 83 C0 0C 8B 5E 3C 89 45 E8 8B 55 0C 8B CA 89 4D EC 8B 45 FC 8B D0 89 55 F0 EB 3C 8B 4D F0 8B 55 F8 C1 E2 02 8B 01 8B 4D EC 03 C2 8B 11 8B 4D 08 0F AF 4B 0C C1 E1 02 03 D1 8B C8 52 8B D3 8B 7D E8 8B C6 FF 17 83 45 F0 04 83 45 EC 04 83 45 E8 04 FF 45 F4 83 C3 54 8B 45 F4 3B 46 34 7C BC 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 83 C4 CC 53 56 89 4D F8 89 55 FC 8B C8 8B 45 FC 8B 50 1C C1 E2 03 89 55 D4 8B 81 DD 00 00 00 8B 55 FC 8B 5A 08 99 F7 FB 89 45 EC 8B 99 E1 00 00 00 8B C3 8B 55 FC 8B 72 0C 99 F7 FE 89 45 E8 8B 45 EC F7 6D E8 89 45 E4 8B 55 E4 D1 FA 79 03 83 D2 00 89 55 E0 8B 45 D4 F7 6D EC 50 8B D3 8B 49 18 8B 45 F8 E8 C0 FE FF FF 33 D2 33 C9 89 55 F4 89 4D F0 8B 45 08 8B D0 89 55 CC EB 79 8B 4D CC 33 D2 8B 01 33 C9 89 45 D0 89 55 DC 89 4D D8 8B 45 DC 3B 45 D4 73 52 33 C9 33 DB 3B 5D E8 7D 27 8B 45 F4 8B 55 F8 03 C3 8B 04 82 33 D2 03 45 D8 3B 55 EC 7D 0C 0F B6 30 03 CE 40 42 3B 55 EC 7C F4 43 3B 5D E8 7C D9 8B 45 E0 03 C1 8B 4D D0 99 F7 7D E4 88 01 FF 45 D0 FF 45 DC 8B 45 EC 01 45 D8 8B 55 DC 3B 55 D4 72 AE 8B 4D E8 01 4D F4 FF 45 F0 83 45 CC 04 8B 45 FC 8B 50 0C 3B 55 F0 0F 8F 78 FF FF FF 5E 5B 8B E5 5D C2 04 00 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 75 08 6A 00 8B 83 E1 00 00 00 8B FA 50 8B CE 8B 53 18 52 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 4F 1C C1 E1 03 51 8B 4B 18 8B 93 E1 00 00 00 8B C6 E8 DB FD FF FF 5F 5E 5B 59 5D C2 04 00 90 90 90 55 8B EC 83 C4 EC 53 56 57 89 55 FC 8B 55 FC 8B D9 8B 4A 1C C1 E1 03 89 4D F4 8B 55 F4 03 D2 52 8B 90 E1 00 00 00 8B 48 18 8B C3 E8 A0 FD FF FF 33 C9 8B C3 89 4D F8 89 45 EC 8B 55 08 8B CA 89 4D F0 EB 3B 8B 45 F0 8B 4D EC 33 F6 8B 10 8B 01 33 C9 3B 75 F4 73 1D 0F B6 78 01 33 DB 46 8A 18 83 C0 02 03 DF 03 D9 83 F1 01 D1 FB 88 1A 42 3B 75 F4 72 E3 FF 45 F8 83 45 EC 04 83 45 F0 04 8B 45 FC 8B 50 0C 3B 55 F8 7F BA 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B 55 FC 8B D9 8B 4A 1C C1 E1 03 89 4D F0 8B 55 F0 03 D2 52 8B 90 E1 00 00 00 8B 48 18 8B C3 E8 0C FD FF FF 33 C9 8B C3 89 4D F8 89 45 E8 8B 55 08 8B CA 89 4D EC EB 5E 8B 45 EC 8B 55 E8 33 DB BE 01 00 00 00 8B 08 8B 02 8B 55 E8 8B 52 04 89 5D F4 8B 5D F4 3B 5D F0 73 31 0F B6 78 01 33 DB 8A 18 83 C0 02 03 DF 0F B6 3A 03 DF 0F B6 7A 01 03 DF 83 C2 02 03 DE 83 F6 03 C1 FB 02 88 19 41 FF 45 F4 8B 5D F4 3B 5D F0 72 CF 83 45 E8 08 FF 45 F8 83 45 EC 04 8B 45 FC 8B 50 0C 3B 55 F8 7F 97 5F 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 D4 53 56 57 8B D8 89 55 FC 8B F1 8B 45 FC 8B 50 1C 8D 46 FC C1 E2 03 89 55 F0 8B 4D F0 03 C9 51 8B 93 E1 00 00 00 8B 4B 18 83 C2 02 E8 4E FC FF FF 8B 83 B8 00 00 00 B9 00 40 00 00 8B D0 C1 E2 04 C1 E0 04 8D 14 92 2B CA 8B D6 89 4D E0 89 45 DC 33 C0 89 45 F8 89 55 D4 8B 4D 08 8B C1 89 45 D8 E9 0B 02 00 00 8B 55 D8 8B 0A 89 4D EC 8B 45 D4 8B 5D D4 8B 55 D4 8B 4D D4 8B 00 8B 73 08 8B 52 04 33 DB 0F B6 78 01 8A 18 8B 49 FC 03 DF 0F B6 3A 03 DF 0F B6 7A 01 03 DF 89 5D E8 33 DB 0F B6 79 01 8A 19 03 DF 0F B6 3E 03 DF 0F B6 7E 01 03 DF 0F B6 38 03 DF 0F B6 78 02 03 DF 83 C0 02 0F B6 3A 03 DF 0F B6 7A 02 03 DF 83 C2 02 89 5D E4 8B 5D E4 01 5D E4 0F B6 79 02 33 DB 8A 19 83 C1 02 03 DF 0F B6 3E 03 DF 0F B6 7E 02 03 DF 83 C6 02 01 5D E4 8B 5D E8 8B 7D E4 0F AF 7D DC 0F AF 5D E0 03 DF 89 5D E8 8B 5D E8 8B 7D EC 81 C3 00 80 00 00 C1 FB 10 88 1F FF 45 EC 8B 5D F0 83 EB 02 89 5D F4 83 7D F4 00 0F 86 A8 00 00 00 0F B6 78 01 33 DB 8A 18 03 DF 0F B6 3A 03 DF 0F B6 7A 01 03 DF 89 5D E8 33 DB 0F B6 79 01 8A 19 03 DF 0F B6 3E 03 DF 0F B6 7E 01 03 DF 0F B6 78 FF 03 DF 0F B6 78 02 03 DF 83 C0 02 0F B6 7A FF 03 DF 0F B6 7A 02 03 DF 83 C2 02 89 5D E4 8B 5D E4 01 5D E4 0F B6 79 02 33 DB 8A 59 FF 83 C1 02 03 DF 0F B6 7E FF 03 DF 0F B6 7E 02 03 DF 83 C6 02 01 5D E4 8B 5D E8 8B 7D E4 0F AF 7D DC 0F AF 5D E0 03 DF 89 5D E8 8B 5D E8 8B 7D EC 81 C3 00 80 00 00 C1 FB 10 88 1F FF 45 EC FF 4D F4 83 7D F4 00 0F 87 58 FF FF FF 0F B6 78 01 33 DB 8A 18 03 DF 0F B6 3A 03 DF 0F B6 7A 01 03 DF 89 5D E8 33 DB 0F B6 79 01 8A 19 03 DF 0F B6 3E 03 DF 0F B6 7E 01 03 DF 0F B6 78 FF 0F B6 40 01 03 DF 03 D8 33 C0 8A 42 FF 0F B6 52 01 03 D8 03 DA 33 D2 89 5D E4 8B 45 E4 01 45 E4 33 C0 8A 51 FF 8A 46 FF 0F B6 49 01 03 D1 33 C9 8A 4E 01 03 D0 03 D1 01 55 E4 8B 55 E8 8B 45 E4 0F AF 45 DC 0F AF 55 E0 03 D0 89 55 E8 8B 55 E8 8B 4D EC 81 C2 00 80 00 00 C1 FA 10 88 11 83 45 D4 08 FF 45 F8 83 45 D8 04 8B 45 FC 8B 50 0C 3B 55 F8 0F 8F E6 FD FF FF 5F 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 CC 53 56 8B D8 89 55 FC 8B 45 FC 8B F1 8B 50 1C 8D 46 FC C1 E2 03 89 55 F0 8B 4D F0 51 8B 93 E1 00 00 00 8B 4B 18 83 C2 02 E8 C1 F9 FF FF 8B 83 B8 00 00 00 B9 00 00 01 00 8B D0 C1 E2 09 2B CA 8B D6 C1 E0 06 89 4D DC 89 45 D8 33 C0 89 45 F8 89 55 CC 8B 4D 08 8B C1 89 45 D0 E9 14 01 00 00 8B 55 D0 8B 0A 89 4D E4 8B 45 CC 8B 55 CC 8B 08 8B 42 FC 89 45 EC 8B 55 CC 8B 42 04 89 45 E8 33 C0 8B 55 EC 8B 5D E8 8A 01 41 0F B6 1B 0F B6 12 FF 45 E8 FF 45 EC 03 D3 8B 5D EC 03 D0 0F B6 33 8B 5D E8 0F B6 1B 03 F3 33 DB 8A 19 03 F3 8B DA 2B D8 03 DA 03 DE 89 5D E0 0F AF 45 DC 8B 5D E0 0F AF 5D D8 03 C3 8B 5D E4 05 00 80 00 00 C1 F8 10 88 03 FF 45 E4 89 55 D4 8B 45 F0 8B D6 83 E8 02 89 45 F4 83 7D F4 00 76 56 33 C0 8A 01 41 FF 45 EC FF 45 E8 8B 5D EC 0F B6 33 8B 5D E8 0F B6 1B 03 F3 33 DB 8A 19 03 F3 8B DA 2B D8 03 5D D4 03 DE 89 5D E0 0F AF 45 DC 8B 5D E0 0F AF 5D D8 03 C3 8B 5D E4 05 00 80 00 00 C1 F8 10 88 03 FF 45 E4 89 55 D4 FF 4D F4 8B D6 83 7D F4 00 77 AA 33 C0 8A 01 8B CA 2B C8 03 4D D4 03 D1 89 55 E0 F7 6D DC 8B 55 E0 8B 4D E4 0F AF 55 D8 03 C2 05 00 80 00 00 C1 F8 10 88 01 FF 45 F8 83 45 CC 04 83 45 D0 04 8B 45 FC 8B 50 0C 3B 55 F8 0F 8F DD FE FF FF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11821_0 {
	meta:
		name = "@jinit_downsampler"
		size = 389
		refs = "0033 _DF_"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 B9 34 00 00 00 C7 44 24 04 01 00 00 00 8B 70 04 BA 01 00 00 00 FF 16 89 04 24 8B 04 24 89 83 59 01 00 00 8B 14 24 C7 02 ?? ?? ?? ?? 8B 0C 24 C7 41 04 ?? ?? ?? ?? 8B 04 24 33 D2 89 50 08 83 BB B4 00 00 00 00 74 0F 8B 0B 8B C3 C7 41 14 17 00 00 00 8B 10 FF 12 33 ED 8B 73 3C 8B 04 24 8D 78 0C E9 E2 00 00 00 8B 46 08 3B 83 DD 00 00 00 75 34 8B 56 0C 3B 93 E1 00 00 00 75 29 83 BB B8 00 00 00 00 74 15 C7 07 ?? ?? ?? ?? 8B 0C 24 C7 41 08 01 00 00 00 E9 A7 00 00 00 C7 07 ?? ?? ?? ?? E9 9C 00 00 00 8B 46 08 03 C0 3B 83 DD 00 00 00 75 19 8B 56 0C 3B 93 E1 00 00 00 75 0E 33 C9 89 4C 24 04 C7 07 ?? ?? ?? ?? EB 76 8B 46 08 03 C0 3B 83 DD 00 00 00 75 30 8B 56 0C 03 D2 3B 93 E1 00 00 00 75 23 83 BB B8 00 00 00 00 74 12 C7 07 ?? ?? ?? ?? 8B 0C 24 C7 41 08 01 00 00 00 EB 41 C7 07 ?? ?? ?? ?? EB 39 8B 83 DD 00 00 00 99 F7 7E 08 85 D2 75 1C 8B 83 E1 00 00 00 99 F7 7E 0C 85 D2 75 0E 33 C9 89 4C 24 04 C7 07 ?? ?? ?? ?? EB 0F 8B 03 C7 40 14 25 00 00 00 8B C3 8B 10 FF 12 83 C7 04 45 83 C6 54 3B 6B 34 0F 8C 15 FF FF FF 83 BB B8 00 00 00 00 74 19 83 7C 24 04 00 75 12 8B 0B 8B C3 33 D2 C7 41 14 62 00 00 00 8B 08 FF 51 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11822_0 {
	meta:
		name = "_DF_"
		size = 1264
		refs = "00fb _DV_ 01a0 _DF_ 04b2 __ftol"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 33 C9 89 04 24 8B 04 24 8B 90 5D 01 00 00 89 54 24 04 89 4C 24 08 8B 04 24 8B 50 3C 89 54 24 0C E9 BE 01 00 00 8B 4C 24 0C 8B 59 10 85 DB 7C 0F 83 FB 04 7D 0A 8B 04 24 83 7C 98 40 00 75 16 8B 14 24 8B 02 C7 40 14 33 00 00 00 89 58 18 8B 04 24 8B 10 FF 12 8B 0C 24 8B 44 99 40 89 44 24 10 8B 14 24 8B 8A BC 00 00 00 83 E9 01 72 0E 74 5A 49 0F 84 B5 00 00 00 E9 4B 01 00 00 8B 44 24 04 83 7C 98 0C 00 75 1A 8B 04 24 B9 00 01 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 9A 0C 8B 44 24 04 8B 54 98 0C 33 C0 8B CA 8B 54 24 10 0F B7 1A C1 E3 03 89 19 40 83 C1 04 83 C2 02 83 F8 40 7C EC E9 10 01 00 00 8B 44 24 04 83 7C 98 0C 00 75 1A 8B 04 24 B9 00 01 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 9A 0C 8B 44 24 04 B9 ?? ?? ?? ?? 8B 54 98 0C 33 C0 8B DA 8B 54 24 10 0F BF 39 0F B7 32 0F AF F7 81 C6 00 04 00 00 83 C2 02 C1 FE 0B 83 C1 02 89 33 83 C3 04 40 83 F8 40 7C DD E9 AE 00 00 00 8B 44 24 04 83 7C 98 20 00 75 1A 8B 04 24 B9 00 01 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 9A 20 8B 44 24 04 8B 4C 98 20 33 C0 33 D2 89 4C 24 14 89 54 24 18 C7 44 24 1C ?? ?? ?? ?? 33 F6 8B 54 24 14 8D 1C 82 B9 ?? ?? ?? ?? 8B 54 24 1C 8B FA 8B 54 24 10 8D 14 42 0F B7 2A 89 6C 24 20 DB 44 24 20 DC 0F DC 09 D8 0D ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 1B 40 83 C3 04 83 C2 02 46 83 C1 08 83 FE 08 7C D3 FF 44 24 18 83 44 24 1C 08 83 7C 24 18 08 7C A8 EB 13 8B 04 24 8B 10 C7 42 14 2F 00 00 00 8B 04 24 8B 10 FF 12 FF 44 24 08 83 44 24 0C 54 8B 0C 24 8B 41 34 3B 44 24 08 0F 8F 32 FE FF FF 83 C4 24 5D 5F 5E 5B C3 00 00 00 00 00 41 00 00 80 3F 55 8B EC 81 C4 E4 FE FF FF 53 56 57 89 4D FC 8B 80 5D 01 00 00 8B 48 08 89 4D F8 8B 52 10 8B 44 90 0C 33 D2 89 45 F4 8B 45 10 C1 E0 02 01 45 FC 89 55 F0 8B 4D F0 3B 4D 08 0F 83 0C 01 00 00 8B 45 FC 8D 95 E4 FE FF FF 8B C8 33 DB 8B 01 83 C1 04 03 45 0C 43 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 00 83 C0 80 89 02 83 C2 04 83 FB 08 7C 93 8D 85 E4 FE FF FF FF 55 F8 8B 45 F0 C1 E0 07 03 45 14 33 D2 89 55 EC 8B C8 89 4D E4 8D 85 E4 FE FF FF 89 45 E8 8B 55 F4 8B F2 8B 3E 8B 45 E8 8B 18 85 DB 7D 1B F7 DB 8B C7 D1 F8 03 D8 3B FB 7F 09 8B C3 99 F7 FF 89 C3 EB 02 33 DB F7 DB EB 15 8B C7 D1 F8 03 D8 3B FB 7F 09 8B C3 99 F7 FF 89 C3 EB 02 33 DB 8B 45 E4 83 C6 04 66 89 18 FF 45 EC 83 45 E4 02 83 45 E8 04 83 7D EC 40 7C AB FF 45 F0 83 45 0C 08 8B 55 F0 3B 55 08 0F 82 F4 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 81 C4 E4 FE FF FF 53 56 57 89 4D FC 8B 80 5D 01 00 00 8B 48 1C 89 4D F8 8B 52 10 8B 44 90 20 33 D2 89 45 F4 8B 45 10 C1 E0 02 01 45 FC 89 55 F0 8B 4D F0 3B 4D 08 0F 83 43 01 00 00 8B 45 FC 8D 95 E8 FE FF FF 8B C8 33 DB 8B 01 83 C1 04 03 45 0C 43 0F B6 30 83 C6 80 40 89 B5 E4 FE FF FF DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E4 FE FF FF 40 DB 85 E4 FE FF FF D9 1A 0F B6 00 83 C0 80 83 C2 04 89 85 E4 FE FF FF DB 85 E4 FE FF FF D9 1A 83 C2 04 83 FB 08 0F 8C 2F FF FF FF 8D 85 E8 FE FF FF FF 55 F8 8B 45 F0 8D 9D E8 FE FF FF C1 E0 07 03 45 14 33 D2 89 55 E8 8B F8 8B 45 F4 8B F0 D9 03 D8 0E D9 5D EC D9 45 EC D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 05 00 C0 83 C6 04 66 89 07 83 C7 02 FF 45 E8 83 C3 04 83 7D E8 40 7C D2 FF 45 F0 83 45 0C 08 8B 55 F0 3B 55 08 0F 82 BD FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 00 00 01 80 46 }
	condition:
		$1
}

rule function_11823_0 {
	meta:
		name = "@jinit_forward_dct"
		size = 142
		refs = "001f _DF_ 003f @jpeg_fdct_islow 004f @jpeg_fdct_ifast 005f @jpeg_fdct_float"
	strings:
		$1 = { 53 56 8B F0 B9 30 00 00 00 BA 01 00 00 00 8B C6 8B 58 04 FF 13 8B D8 89 9E 5D 01 00 00 C7 03 ?? ?? ?? ?? 8B 86 BC 00 00 00 83 E8 01 72 07 74 15 48 74 22 EB 30 C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? EB 2F C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? EB 1F C7 43 04 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? EB 0F 8B 16 8B C6 C7 42 14 2F 00 00 00 8B 10 FF 12 33 D2 8D 43 0C 33 C9 42 89 08 33 C9 89 48 14 83 C0 04 83 FA 04 7C EE 5E 5B C3 }
	condition:
		$1
}

rule function_11824_0 {
	meta:
		name = "_DF_"
		size = 2728
		refs = "003f _DF_ 015e _memset 0179 @jpeg_make_c_derived_tbl 0596 _jpeg_natural_order 0a6d @jpeg_alloc_huff_table 0a7f @jpeg_gen_optimal_table"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F0 89 14 24 8B BE 61 01 00 00 89 77 20 8B 04 24 89 47 0C 83 BE 31 01 00 00 00 0F 94 C2 83 E2 01 89 54 24 04 83 BE 39 01 00 00 00 75 19 83 7C 24 04 00 74 09 C7 47 04 ?? ?? ?? ?? EB 3A C7 47 04 ?? ?? ?? ?? EB 31 83 7C 24 04 00 74 09 C7 47 04 ?? ?? ?? ?? EB 21 C7 47 04 ?? ?? ?? ?? 83 7F 40 00 75 14 8B C6 B9 E8 03 00 00 BA 01 00 00 00 8B 58 04 FF 13 89 47 40 83 3C 24 00 74 09 C7 47 08 ?? ?? ?? ?? EB 07 C7 47 08 ?? ?? ?? ?? 33 C0 89 44 24 08 8D 57 24 89 54 24 10 8D 8E ED 00 00 00 89 4C 24 0C E9 EB 00 00 00 8B 44 24 0C 8B 54 24 10 33 C9 8B 00 89 0A 83 7C 24 04 00 74 3A 83 BE 39 01 00 00 00 0F 85 BB 00 00 00 8B 58 14 85 DB 7C 12 83 FB 04 7D 0D 83 7C 9E 50 00 75 48 83 3C 24 00 75 42 8B 06 C7 40 14 31 00 00 00 89 58 18 8B C6 8B 10 FF 12 EB 2E 8B 58 18 89 5F 34 85 DB 7C 12 83 FB 04 7D 0D 83 7C 9E 60 00 75 18 83 3C 24 00 75 12 8B 06 C7 40 14 31 00 00 00 89 58 18 8B C6 8B 10 FF 12 83 3C 24 00 74 33 83 7C 9F 5C 00 75 16 8B C6 B9 04 04 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 89 44 9F 5C 68 04 04 00 00 6A 00 8B 44 9F 5C 50 E8 ?? ?? ?? ?? 83 C4 0C EB 27 83 7C 24 04 00 74 11 8D 4C 9F 4C 8B 54 9E 50 8B C6 E8 ?? ?? ?? ?? EB 0F 8D 4C 9F 4C 8B 54 9E 60 8B C6 E8 ?? ?? ?? ?? FF 44 24 08 83 44 24 10 04 83 44 24 0C 04 8B 54 24 08 3B 96 E9 00 00 00 0F 8C 05 FF FF FF 33 C9 33 C0 89 4F 38 89 47 3C 33 D2 33 C9 89 57 18 89 4F 1C 8B 86 C0 00 00 00 33 D2 89 47 44 89 57 48 83 C4 14 5D 5F 5E 5B C3 90 90 53 8B D8 56 8B 43 20 8B 70 14 FF 56 0C 85 C0 75 10 8B 43 20 8B 10 C7 42 14 16 00 00 00 8B 10 FF 12 8B 0E 89 4B 10 8B 46 04 89 43 14 5E 5B C3 90 53 8B D8 56 57 55 8B F9 85 FF 8B 6B 1C 8B F2 75 10 8B 43 20 8B 10 C7 42 14 27 00 00 00 8B 10 FF 12 83 7B 0C 00 75 6E 8B CF B8 01 00 00 00 D3 E0 48 03 EF B9 18 00 00 00 23 F0 2B CD D3 E6 0B 73 18 83 FD 08 7C 49 8B FE 8B 53 10 C1 FF 10 FF 43 10 81 E7 FF 00 00 00 8B C7 88 02 FF 4B 14 75 07 8B C3 E8 69 FF FF FF 81 FF FF 00 00 00 75 15 8B 53 10 FF 43 10 C6 02 00 FF 4B 14 75 07 8B C3 E8 4C FF FF FF C1 E6 08 83 ED 08 83 FD 08 7D B7 89 73 18 89 6B 1C 5D 5F 5E 5B C3 90 90 53 8B D8 B9 07 00 00 00 BA 7F 00 00 00 8B C3 E8 50 FF FF FF 33 C0 33 D2 89 43 18 89 53 1C 5B C3 53 83 78 0C 00 74 09 8B 44 90 5C FF 04 88 5B C3 8B 54 90 4C 8B 1C 8A 0F BE 94 0A 00 04 00 00 8B CA 8B D3 E8 1C FF FF FF 5B C3 90 90 53 56 57 8B F8 8B F1 8B DA 83 7F 0C 00 75 19 85 F6 76 15 0F BE 13 B9 01 00 00 00 8B C7 E8 F6 FE FF FF 43 4E 85 F6 77 EB 5F 5E 5B C3 53 8B D8 56 8B 43 38 85 C0 76 3F 33 F6 EB 01 46 D1 F8 75 FB 8B CE C1 E1 04 8B 53 34 8B C3 E8 85 FF FF FF 85 F6 74 0C 8B CE 8B 53 38 8B C3 E8 B9 FE FF FF 33 C0 89 43 38 8B 4B 3C 8B 53 40 8B C3 E8 8F FF FF FF 33 D2 89 53 3C 5E 5B C3 90 90 90 53 56 8B F2 8B D8 8B C3 E8 A3 FF FF FF 83 7B 0C 00 75 35 8B C3 E8 1E FF FF FF 8B 53 10 FF 43 10 C6 02 FF FF 4B 14 75 07 8B C3 E8 3D FE FF FF 8B 4B 10 8B D6 FF 43 10 80 C2 D0 88 11 FF 4B 14 75 07 8B C3 E8 24 FE FF FF 8B 53 20 83 BA 31 01 00 00 00 75 1D 33 D2 8D 43 24 EB 08 33 C9 42 89 08 83 C0 04 8B 4B 20 3B 91 E9 00 00 00 7C ED 5E 5B C3 33 C0 33 D2 89 43 38 89 53 3C 5E 5B C3 90 90 53 56 57 83 C4 E8 8B DA 89 04 24 8B 04 24 8B B0 61 01 00 00 8B 04 24 8B 90 3D 01 00 00 89 54 24 08 8B 0C 24 8B 41 14 8B 10 89 56 10 8B 0C 24 8B 41 14 8B 50 04 89 56 14 8B 0C 24 83 B9 C0 00 00 00 00 74 10 83 7E 44 00 75 0A 8B 56 48 8B C6 E8 2C FF FF FF 33 C9 89 4C 24 04 8B 04 24 8D 90 09 01 00 00 89 54 24 14 8B CB 89 4C 24 10 EB 70 8B 54 24 14 8B 44 24 10 8B 0C 24 8B 12 8B 00 8B 8C 91 ED 00 00 00 89 4C 24 0C 0F BF 38 8B 4C 24 08 D3 FF 8B C7 2B 44 96 24 89 7C 96 24 8B F8 85 C0 7D 03 F7 D8 4F 33 DB 85 C0 74 07 D1 F8 43 85 C0 75 F9 8B 44 24 0C 8B 50 14 8B CB 8B C6 E8 16 FE FF FF 85 DB 74 0B 8B CB 8B D7 8B C6 E8 4B FD FF FF FF 44 24 04 83 44 24 14 04 83 44 24 10 04 8B 14 24 8B 8A 05 01 00 00 3B 4C 24 04 7F 81 8B 56 10 8B 04 24 8B 40 14 89 10 8B 56 14 89 50 04 8B 0C 24 8B 81 C0 00 00 00 85 C0 74 13 83 7E 44 00 75 0A 89 46 44 FF 46 48 83 66 48 07 FF 4E 44 B8 01 00 00 00 83 C4 18 5F 5E 5B C3 90 53 56 57 55 83 C4 E4 8B F2 89 04 24 8B 04 24 8B 98 61 01 00 00 8B 04 24 8B 90 35 01 00 00 89 54 24 0C 8B 0C 24 8B 81 3D 01 00 00 89 44 24 10 8B 14 24 8B 4A 14 8B 01 89 43 10 8B 14 24 8B 4A 14 8B 41 04 89 43 14 8B 14 24 83 BA C0 00 00 00 00 74 10 83 7B 44 00 75 0A 8B 53 48 8B C3 E8 F2 FD FF FF 8B 0E 89 4C 24 14 33 F6 8B 04 24 8B 90 31 01 00 00 89 54 24 08 8B 4C 24 08 8D 04 8D ?? ?? ?? ?? 89 44 24 18 8B 54 24 08 3B 54 24 0C 0F 8F A8 00 00 00 8B 4C 24 18 8B 01 8B 54 24 14 0F BF 3C 42 85 FF 75 03 46 EB 7C 85 FF 7D 12 F7 DF 8B 4C 24 10 D3 FF 8B C7 F7 D0 89 44 24 04 EB 0A 8B 4C 24 10 D3 FF 89 7C 24 04 85 FF 75 03 46 EB 55 83 7B 38 00 76 07 8B C3 E8 27 FD FF FF 83 FE 0F 7E 17 B9 F0 00 00 00 8B 53 34 8B C3 E8 BB FC FF FF 83 EE 10 83 FE 0F 7F E9 BD 01 00 00 00 EB 01 45 D1 FF 75 FB 8B CE 8B 53 34 C1 E1 04 8B C3 03 CD E8 96 FC FF FF 8B CD 8B 54 24 04 8B C3 E8 CD FB FF FF 33 F6 FF 44 24 08 83 44 24 18 04 8B 44 24 08 3B 44 24 0C 0F 8E 58 FF FF FF 85 F6 7E 13 FF 43 38 81 7B 38 FF 7F 00 00 75 07 8B C3 E8 B1 FC FF FF 8B 14 24 8B 42 14 8B 53 10 89 10 8B 4B 14 89 48 04 8B 04 24 8B 80 C0 00 00 00 85 C0 74 13 83 7B 44 00 75 0A 89 43 44 FF 43 48 83 63 48 07 FF 4B 44 B8 01 00 00 00 83 C4 1C 5D 5F 5E 5B C3 90 90 90 53 56 8B D8 57 55 51 8B B3 61 01 00 00 8B 83 3D 01 00 00 89 04 24 8B FA 8B 53 14 8B 0A 89 4E 10 8B 43 14 8B 50 04 89 56 14 83 BB C0 00 00 00 00 74 10 83 7E 44 00 75 0A 8B 56 48 8B C6 E8 7E FC FF FF 33 ED 8B C7 8B F8 EB 1E 8B 07 8B 0C 24 0F BF 10 8B C2 8B D0 8B C6 D3 FA B9 01 00 00 00 E8 F8 FA FF FF 45 83 C7 04 3B AB 05 01 00 00 7C DA 8B 43 14 8B 56 10 89 10 8B 4E 14 89 48 04 8B 83 C0 00 00 00 85 C0 74 13 83 7E 44 00 75 0A 89 46 44 FF 46 48 83 66 48 07 FF 4E 44 B8 01 00 00 00 5A 5D 5F 5E 5B C3 90 90 53 56 57 55 81 C4 E0 FE FF FF 8B FA 89 04 24 8B 04 24 8B 98 61 01 00 00 8B 04 24 8B 90 35 01 00 00 89 54 24 10 8B 04 24 8B 0C 24 8B 50 14 8B B1 3D 01 00 00 8B 0A 89 4B 10 8B 04 24 8B 50 14 8B 4A 04 89 4B 14 8B 04 24 83 B8 C0 00 00 00 00 74 10 83 7B 44 00 75 0A 8B 53 48 8B C3 E8 B7 FB FF FF 8B 17 33 C9 89 54 24 14 89 4C 24 0C 8B 04 24 8B 90 31 01 00 00 89 54 24 08 8B 4C 24 08 8B 44 24 08 8D 54 8C 20 8B 4C 24 08 3B 4C 24 10 8D 04 85 ?? ?? ?? ?? 7F 48 8B 08 8B 7C 24 14 0F BF 0C 4F 89 4C 24 04 83 7C 24 04 00 7D 04 F7 5C 24 04 8B CE D3 7C 24 04 8B 4C 24 04 89 0A 83 7C 24 04 01 75 08 8B 4C 24 08 89 4C 24 0C FF 44 24 08 83 C2 04 83 C0 04 8B 4C 24 08 3B 4C 24 10 7E B8 8B 04 24 8B 6B 40 03 6B 3C 33 FF 8B 90 31 01 00 00 33 F6 89 54 24 08 8B 4C 24 08 8D 04 8D ?? ?? ?? ?? 89 44 24 1C 8B 54 24 08 8D 4C 94 20 89 4C 24 18 8B 44 24 08 3B 44 24 10 0F 8F CE 00 00 00 8B 54 24 18 8B 0A 89 4C 24 04 85 C9 75 2F 47 E9 9E 00 00 00 8B C3 E8 8E FA FF FF B9 F0 00 00 00 8B 53 34 8B C3 E8 27 FA FF FF 83 EF 10 8B CE 8B D5 8B C3 E8 45 FA FF FF 8B 6B 40 33 F6 83 FF 0F 7E 0A 8B 44 24 08 3B 44 24 0C 7E C8 83 7C 24 04 01 7E 0E 8A 54 24 04 80 E2 01 88 54 35 00 46 EB 51 8B C3 E8 41 FA FF FF 8B CF 8B 53 34 C1 E1 04 8B C3 41 E8 D9 F9 FF FF 33 D2 8B 4C 24 1C 8B 01 8B 4C 24 14 66 83 3C 41 00 7C 01 42 89 54 24 04 B9 01 00 00 00 8B 54 24 04 8B C3 E8 F5 F8 FF FF 8B CE 8B D5 8B C3 E8 D2 F9 FF FF 8B 6B 40 33 F6 33 FF FF 44 24 08 83 44 24 1C 04 83 44 24 18 04 8B 44 24 08 3B 44 24 10 0F 8E 32 FF FF FF 85 FF 7F 04 85 F6 76 1F FF 43 38 01 73 3C 81 7B 38 FF 7F 00 00 74 09 81 7B 3C A9 03 00 00 76 07 8B C3 E8 B4 F9 FF FF 8B 14 24 8B 42 14 8B 53 10 89 10 8B 4B 14 89 48 04 8B 04 24 8B 80 C0 00 00 00 85 C0 74 13 83 7B 44 00 75 0A 89 43 44 FF 43 48 83 63 48 07 FF 4B 44 B8 01 00 00 00 81 C4 20 01 00 00 5D 5F 5E 5B C3 90 90 90 53 56 8B F0 8B 9E 61 01 00 00 8B 46 14 8B 10 89 53 10 8B 4E 14 8B 41 04 89 43 14 8B C3 E8 4E F9 FF FF 8B C3 E8 CF F8 FF FF 8B 46 14 8B 53 10 89 10 8B 4B 14 89 48 04 5E 5B C3 90 90 53 56 57 55 83 C4 E4 8B F0 8B 86 61 01 00 00 89 04 24 8B 04 24 E8 1A F9 FF FF 83 BE 31 01 00 00 00 0F 94 C2 83 E2 01 89 54 24 04 6A 10 6A 00 8D 4C 24 14 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 89 44 24 08 8D AE ED 00 00 00 EB 60 83 7C 24 04 00 8B 45 00 74 0E 83 BE 39 01 00 00 00 75 46 8B 58 14 EB 03 8B 58 18 83 7C 9C 0C 00 75 37 83 7C 24 04 00 74 06 8D 7C 9E 50 EB 04 8D 7C 9E 60 83 3F 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 07 8B 14 24 8B 4C 9A 5C 8B 17 8B C6 E8 ?? ?? ?? ?? C7 44 9C 0C 01 00 00 00 FF 44 24 08 83 C5 04 8B 4C 24 08 3B 8E E9 00 00 00 7C 94 83 C4 1C 5D 5F 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_11825_0 {
	meta:
		name = "@jinit_phuff_encoder"
		size = 66
		refs = "0021 _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 6C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B C8 33 D2 89 8B 61 01 00 00 C7 01 ?? ?? ?? ?? 8D 41 4C 33 DB 42 89 18 33 DB 89 58 10 83 C0 04 83 FA 04 7C EE 33 C0 89 41 40 5E 5B C3 }
	condition:
		$1
}

rule function_11826_0 {
	meta:
		name = "@jpeg_fdct_islow"
		size = 994
	strings:
		$1 = { 53 56 57 55 83 C4 DC 89 04 24 8B 04 24 C7 44 24 20 07 00 00 00 8B 08 8B 58 1C 8B D1 8B F1 2B F3 03 D3 8B 58 04 8B 78 18 8B CB 2B DF 03 CF 8B FB 8B 58 08 8B 68 08 03 58 14 2B 68 14 89 6C 24 0C 8B 68 0C 03 68 10 89 6C 24 04 8B 68 0C 2B 68 10 89 6C 24 08 8B 6C 24 04 03 EA 89 6C 24 10 2B 54 24 04 89 54 24 14 8D 14 0B 2B CB 8B 5C 24 10 03 DA C1 E3 02 89 18 8B 5C 24 10 2B DA C1 E3 02 89 58 10 8B 54 24 14 03 D1 8B DA C1 E2 04 03 D3 8D 14 93 8D 14 93 C1 E2 04 03 D3 8B 5C 24 14 8B EB 8D 5C 5D 00 C1 E3 04 03 DD C1 E3 06 2B DD 03 DB 03 DA 81 C3 00 04 00 00 C1 FB 0B 89 58 08 8B D9 F7 D9 C1 E1 04 03 CB 8D 0C 8B C1 E1 03 2B CB C1 E1 05 2B CB 03 D1 81 C2 00 04 00 00 C1 FA 0B 89 50 18 8B 4C 24 0C 8B 54 24 08 03 CF 03 D6 89 4C 24 18 69 D2 33 E3 FF FF 8B 4C 24 08 8B 5C 24 0C 03 DE 03 CF 69 FF 54 62 00 00 8D 2C 0B 69 ED A1 25 00 00 89 6C 24 1C 69 6C 24 08 8E 09 00 00 89 6C 24 08 69 6C 24 0C B3 41 00 00 89 6C 24 0C 8B EE 8D 74 75 00 C1 E6 09 03 F5 8D 74 B5 00 8D 74 75 00 69 6C 24 18 FD AD FF FF 89 6C 24 18 8B E9 F7 D9 C1 E1 06 03 CD 8D 4C 8D 00 C1 E1 04 2B CD C1 E1 02 2B CD 8B EB F7 DB 03 4C 24 1C 8D 5C 9D 00 C1 E3 03 2B DD C1 E3 05 03 DD 8B 6C 24 08 03 EA 03 D6 03 E9 C1 E3 02 81 C5 00 04 00 00 03 5C 24 1C C1 FD 0B 89 68 1C 8B 6C 24 0C 03 6C 24 18 03 EB 03 DA 81 C5 00 04 00 00 81 C3 00 04 00 00 C1 FD 0B 89 68 14 03 7C 24 18 03 CF 81 C1 00 04 00 00 C1 F9 0B C1 FB 0B 89 48 0C 89 58 04 83 C0 20 FF 4C 24 20 83 7C 24 20 00 0F 8D 35 FE FF FF 8B 04 24 C7 44 24 20 07 00 00 00 8B 08 8B 98 E0 00 00 00 8B D1 8B F1 2B F3 03 D3 8B 58 20 8B B8 C0 00 00 00 8B CB 2B DF 03 CF 8B FB 8B 58 40 8B 68 40 03 98 A0 00 00 00 2B A8 A0 00 00 00 89 6C 24 0C 8B 68 60 03 A8 80 00 00 00 89 6C 24 04 8B 68 60 2B A8 80 00 00 00 89 6C 24 08 8B 6C 24 04 03 EA 89 6C 24 10 2B 54 24 04 89 54 24 14 8D 14 0B 2B CB 8B 5C 24 10 03 DA 83 C3 02 C1 FB 02 89 18 8B 5C 24 10 2B DA 83 C3 02 C1 FB 02 89 98 80 00 00 00 8B 54 24 14 03 D1 8B DA C1 E2 04 03 D3 8D 14 93 8D 14 93 C1 E2 04 03 D3 8B 5C 24 14 8B EB 8D 5C 5D 00 C1 E3 04 03 DD C1 E3 06 2B DD 03 DB 03 DA 81 C3 00 40 00 00 C1 FB 0F 89 58 40 8B D9 F7 D9 C1 E1 04 03 CB 8D 0C 8B C1 E1 03 2B CB C1 E1 05 2B CB 03 D1 81 C2 00 40 00 00 C1 FA 0F 89 90 C0 00 00 00 8B 4C 24 0C 8B 54 24 08 03 CF 03 D6 89 4C 24 18 69 D2 33 E3 FF FF 8B 4C 24 08 8B 5C 24 0C 03 DE 03 CF 69 FF 54 62 00 00 8D 2C 0B 69 ED A1 25 00 00 89 6C 24 1C 69 6C 24 08 8E 09 00 00 89 6C 24 08 69 6C 24 0C B3 41 00 00 89 6C 24 0C 8B EE 8D 74 75 00 C1 E6 09 03 F5 8D 74 B5 00 8D 74 75 00 69 6C 24 18 FD AD FF FF 89 6C 24 18 8B E9 F7 D9 C1 E1 06 03 CD 8D 4C 8D 00 C1 E1 04 2B CD C1 E1 02 2B CD 8B EB F7 DB 03 4C 24 1C 8D 5C 9D 00 C1 E3 03 2B DD C1 E3 05 03 DD 8B 6C 24 08 03 EA 03 D6 03 E9 C1 E3 02 81 C5 00 40 00 00 03 5C 24 1C C1 FD 0F 89 A8 E0 00 00 00 8B 6C 24 0C 03 6C 24 18 03 EB 03 DA 81 C5 00 40 00 00 81 C3 00 40 00 00 C1 FD 0F 89 A8 A0 00 00 00 03 7C 24 18 03 CF 81 C1 00 40 00 00 C1 F9 0F C1 FB 0F 89 48 60 89 58 20 83 C0 04 FF 4C 24 20 83 7C 24 20 00 0F 8D 11 FE FF FF 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11827_0 {
	meta:
		name = "@jpeg_fdct_ifast"
		size = 618
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 04 24 8B 04 24 C7 44 24 14 07 00 00 00 8B 10 8B 58 1C 8B CA 8B F2 8B 50 04 2B F3 03 CB 8B 78 18 8B DA 2B D7 89 54 24 10 03 DF 8B 50 08 8B 78 14 8B EA 2B D7 03 EF 89 6C 24 04 89 54 24 0C 8B 50 0C 8B FA 03 78 10 2B 50 10 89 54 24 08 8D 14 0F 2B CF 8B F9 8B 4C 24 04 03 CB 2B 5C 24 04 8D 2C 11 2B D1 89 28 89 50 10 8D 14 1F 8B CA 8D 14 91 8D 14 51 8D 14 91 8D 14 91 C1 FA 08 8D 0C 3A 2B FA 89 48 08 89 78 18 8B 54 24 08 8B 5C 24 10 03 54 24 0C 03 DE 8B FA 8B 4C 24 0C 2B FB 03 4C 24 10 8B EF 8D 7C 7D 00 C1 E7 04 03 FD 8B EA C1 E2 04 03 FF 03 D5 C1 FF 08 8D 54 95 00 8D 54 55 00 8B EB C1 FA 08 03 D7 8D 5C 9D 00 8D 5C 9D 00 C1 E3 03 2B DD 03 DB C1 FB 08 03 FB 8B DF 8B F9 8D 0C 8F 8D 0C 4F 8D 0C 8F 8D 0C 8F C1 F9 08 8D 3C 31 2B F1 8B CE 8D 34 0A 2B CA 89 70 14 89 48 0C 8D 14 3B 2B FB 89 50 04 89 78 1C FF 4C 24 14 83 C0 20 83 7C 24 14 00 0F 8D F0 FE FF FF 8B 04 24 C7 44 24 14 07 00 00 00 8B 10 8B 98 E0 00 00 00 8B CA 8B F2 2B F3 03 CB 8B 58 20 8B 50 20 03 98 C0 00 00 00 2B 90 C0 00 00 00 89 54 24 10 8B 50 40 03 90 A0 00 00 00 89 54 24 04 8B 50 40 2B 90 A0 00 00 00 89 54 24 0C 8B 78 60 8B 50 60 03 B8 80 00 00 00 2B 90 80 00 00 00 89 54 24 08 8D 14 0F 2B CF 8B F9 8B 4C 24 04 03 CB 2B 5C 24 04 8D 2C 11 2B D1 89 28 89 90 80 00 00 00 8D 14 1F 8B CA 8D 14 91 8D 14 51 8D 14 91 8D 14 91 C1 FA 08 8D 0C 3A 2B FA 89 48 40 89 B8 C0 00 00 00 8B 54 24 08 8B 5C 24 10 03 54 24 0C 03 DE 8B FA 8B 4C 24 0C 2B FB 03 4C 24 10 8B EF 8D 7C 7D 00 C1 E7 04 03 FD 8B EA C1 E2 04 03 FF 03 D5 C1 FF 08 8D 54 95 00 8D 54 55 00 8B EB C1 FA 08 03 D7 8D 5C 9D 00 8D 5C 9D 00 C1 E3 03 2B DD 03 DB C1 FB 08 03 FB 8B DF 8B F9 8D 0C 8F 8D 0C 4F 8D 0C 8F 8D 0C 8F C1 F9 08 8D 3C 31 2B F1 8B CE 8D 34 0A 2B CA 89 B0 A0 00 00 00 89 48 60 8D 14 3B 2B FB 89 50 20 89 B8 E0 00 00 00 FF 4C 24 14 83 C0 04 83 7C 24 14 00 0F 8D CE FE FF FF 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11828_0 {
	meta:
		name = "@jpeg_fdct_float"
		size = 812
		refs = "00a4 @jpeg_fdct_float"
	strings:
		$1 = { 83 C4 B4 8B D0 B9 07 00 00 00 D9 02 D8 42 1C D9 1C 24 D9 02 D8 62 1C D9 5C 24 1C D9 42 04 D8 42 18 D9 5C 24 04 D9 42 04 D8 62 18 D9 5C 24 18 D9 42 08 D8 42 14 D9 5C 24 08 D9 42 08 D8 62 14 D9 5C 24 14 D9 42 0C D8 42 10 D9 5C 24 0C D9 42 0C D8 62 10 D9 5C 24 10 D9 04 24 D8 44 24 0C D9 5C 24 20 D9 04 24 D8 64 24 0C D9 5C 24 2C D9 44 24 04 D8 44 24 08 D9 5C 24 24 D9 44 24 04 D8 64 24 08 D9 5C 24 28 D9 44 24 20 D8 44 24 24 D9 1A D9 44 24 20 D8 64 24 24 D9 5A 10 D9 44 24 28 D8 44 24 2C D8 0D ?? ?? ?? ?? D9 5C 24 30 D9 44 24 2C D8 44 24 30 D9 5A 08 D9 44 24 2C D8 64 24 30 D9 5A 18 D9 44 24 10 D8 44 24 14 D9 5C 24 20 D9 44 24 14 D8 44 24 18 D9 5C 24 24 D9 44 24 18 D8 44 24 1C D9 5C 24 28 D9 44 24 20 D8 64 24 28 D8 0D ?? ?? ?? ?? D9 5C 24 40 D9 05 ?? ?? ?? ?? D8 4C 24 20 D8 44 24 40 D9 5C 24 34 D9 05 ?? ?? ?? ?? D8 4C 24 28 D8 44 24 40 D9 5C 24 3C D9 44 24 24 D8 0D ?? ?? ?? ?? D9 5C 24 38 D9 44 24 1C D8 44 24 38 D9 5C 24 44 D9 44 24 1C D8 64 24 38 D9 5C 24 48 D9 44 24 48 D8 44 24 34 D9 5A 14 D9 44 24 48 D8 64 24 34 D9 5A 0C D9 44 24 44 D8 44 24 3C D9 5A 04 D9 44 24 44 D8 64 24 3C D9 5A 1C 83 C2 20 49 85 C9 0F 8D 90 FE FF FF 8B D0 B9 07 00 00 00 D9 02 D8 82 E0 00 00 00 D9 1C 24 D9 02 D8 A2 E0 00 00 00 D9 5C 24 1C D9 42 20 D8 82 C0 00 00 00 D9 5C 24 04 D9 42 20 D8 A2 C0 00 00 00 D9 5C 24 18 D9 42 40 D8 82 A0 00 00 00 D9 5C 24 08 D9 42 40 D8 A2 A0 00 00 00 D9 5C 24 14 D9 42 60 D8 82 80 00 00 00 D9 5C 24 0C D9 42 60 D8 A2 80 00 00 00 D9 5C 24 10 D9 04 24 D8 44 24 0C D9 5C 24 20 D9 04 24 D8 64 24 0C D9 5C 24 2C D9 44 24 04 D8 44 24 08 D9 5C 24 24 D9 44 24 04 D8 64 24 08 D9 5C 24 28 D9 44 24 20 D8 44 24 24 D9 1A D9 44 24 20 D8 64 24 24 D9 9A 80 00 00 00 D9 44 24 28 D8 44 24 2C D8 0D ?? ?? ?? ?? D9 5C 24 30 D9 44 24 2C D8 44 24 30 D9 5A 40 D9 44 24 2C D8 64 24 30 D9 9A C0 00 00 00 D9 44 24 10 D8 44 24 14 D9 5C 24 20 D9 44 24 14 D8 44 24 18 D9 5C 24 24 D9 44 24 18 D8 44 24 1C D9 5C 24 28 D9 44 24 20 D8 64 24 28 D8 0D ?? ?? ?? ?? D9 5C 24 40 D9 05 ?? ?? ?? ?? D8 4C 24 20 D8 44 24 40 D9 5C 24 34 D9 05 ?? ?? ?? ?? D8 4C 24 28 D8 44 24 40 D9 5C 24 3C D9 44 24 24 D8 0D ?? ?? ?? ?? D9 5C 24 38 D9 44 24 1C D8 44 24 38 D9 5C 24 44 D9 44 24 1C D8 64 24 38 D9 5C 24 48 D9 44 24 48 D8 44 24 34 D9 9A A0 00 00 00 D9 44 24 48 D8 64 24 34 D9 5A 60 D9 44 24 44 D8 44 24 3C D9 5A 20 D9 44 24 44 D8 64 24 3C D9 9A E0 00 00 00 83 C2 04 49 85 C9 0F 8D 6C FE FF FF 83 C4 4C C3 00 00 00 F3 04 35 3F 15 EF C3 3E D4 8B 0A 3F 75 3D A7 3F }
	condition:
		$1
}

rule function_11829_0 {
	meta:
		name = "_DF_"
		size = 460
		refs = "0023 _DF_ 0102 _memset"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B D8 89 14 24 8B 83 61 01 00 00 89 44 24 04 83 3C 24 00 74 18 8B 54 24 04 C7 42 04 ?? ?? ?? ?? 8B 4C 24 04 C7 41 08 ?? ?? ?? ?? EB 16 8B 44 24 04 C7 40 04 ?? ?? ?? ?? 8B 54 24 04 C7 42 08 ?? ?? ?? ?? 33 C9 89 4C 24 08 8B 44 24 04 8D 50 14 89 54 24 10 8D 8B ED 00 00 00 89 4C 24 0C E9 21 01 00 00 8B 44 24 0C 8B 00 8B 70 14 8B 78 18 85 F6 7C 12 83 FE 04 7D 0D 83 7C B3 50 00 75 18 83 3C 24 00 75 12 8B 03 C7 40 14 31 00 00 00 89 70 18 8B C3 8B 10 FF 12 85 FF 7C 12 83 FF 04 7D 0D 83 7C BB 60 00 75 18 83 3C 24 00 75 12 8B 03 C7 40 14 31 00 00 00 89 78 18 8B C3 8B 10 FF 12 83 3C 24 00 74 7B 8B 4C 24 04 83 7C B1 4C 00 75 1A 8B C3 B9 04 04 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 8B 54 24 04 89 44 B2 4C 68 04 04 00 00 6A 00 8B 44 24 0C 8B 4C B0 4C 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 44 24 04 83 7C B8 5C 00 75 19 8B C3 B9 04 04 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 BA 5C 68 04 04 00 00 6A 00 8B 44 24 0C 8B 4C B8 5C 51 E8 ?? ?? ?? ?? 83 C4 0C EB 2E 8B CE 8B 54 B3 50 C1 E1 02 8B C3 03 4C 24 04 83 C1 2C E8 6E 00 00 00 8B CF 8B 54 BB 60 C1 E1 02 8B C3 03 4C 24 04 83 C1 3C E8 57 00 00 00 8B 44 24 10 33 D2 89 10 FF 44 24 08 83 44 24 10 04 83 44 24 0C 04 8B 4C 24 08 3B 8B E9 00 00 00 0F 8C CF FE FF FF 8B 44 24 04 33 D2 89 50 0C 8B 4C 24 04 33 C0 89 41 10 8B 54 24 04 8B 8B C0 00 00 00 89 4A 24 8B 44 24 04 33 D2 89 50 28 83 C4 14 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_11830_0 {
	meta:
		name = "@jpeg_make_c_derived_tbl"
		size = 1720
		refs = "00ab _memset 0292 _jpeg_natural_order"
	strings:
		$1 = { 53 56 57 55 81 C4 EC FA FF FF 8B D9 89 14 24 8B F0 83 3B 00 75 13 8B C6 B9 00 05 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 03 8B 03 89 44 24 04 33 C0 BF 01 00 00 00 8B 14 24 8D 6A 01 B9 01 00 00 00 8D 54 04 0C 8B F5 EB 07 8B DF 40 88 1A 42 41 33 DB 8A 1E 3B CB 7E F1 47 45 83 FF 10 7E DD C6 44 04 0C 00 89 44 24 08 33 DB 0F BE 74 24 0C 33 C0 EB 1F 8D 8C 84 10 01 00 00 8D 54 04 0C EB 08 89 19 40 83 C1 04 42 43 0F BE 3A 3B F7 74 F1 03 DB 46 80 7C 04 0C 00 75 DA 68 00 01 00 00 6A 00 8B 44 24 0C 05 00 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8D 74 24 0C 8B 14 24 83 C2 11 8D 8C 24 10 01 00 00 3B 44 24 08 7D 2C 33 DB 8B 7C 24 04 8A 1A 8B 29 83 C1 04 40 89 2C 9F 33 DB 8A 1A 8B 7C 24 04 42 8D BC 1F 00 04 00 00 8A 1E 46 88 1F 3B 44 24 08 7C D4 81 C4 14 05 00 00 5D 5F 5E 5B C3 90 90 53 8B D8 56 8B 43 20 8B 70 14 FF 56 0C 85 C0 75 05 33 C0 5E 5B C3 8B 16 B8 01 00 00 00 89 13 8B 4E 04 89 4B 04 5E 5B C3 53 8B D8 56 57 55 8B F9 85 FF 8B 6B 0C 8B F2 75 10 8B 43 20 8B 10 C7 42 14 27 00 00 00 8B 10 FF 12 8B CF B8 01 00 00 00 D3 E0 48 03 EF B9 18 00 00 00 23 F0 2B CD D3 E6 0B 73 08 83 FD 08 7C 55 8B FE 8B 13 C1 FF 10 FF 03 81 E7 FF 00 00 00 8B C7 88 02 FF 4B 04 75 0F 8B C3 E8 79 FF FF FF 85 C0 75 04 33 C0 EB 39 81 FF FF 00 00 00 75 1B 8B 13 FF 03 C6 02 00 FF 4B 04 75 0F 8B C3 E8 56 FF FF FF 85 C0 75 04 33 C0 EB 16 C1 E6 08 83 ED 08 83 FD 08 7D AB 89 73 08 89 6B 0C B8 01 00 00 00 5D 5F 5E 5B C3 90 90 90 53 8B D8 B9 07 00 00 00 BA 7F 00 00 00 8B C3 E8 44 FF FF FF 85 C0 75 04 33 C0 5B C3 33 D2 33 C9 89 53 08 89 4B 0C B8 01 00 00 00 5B C3 90 90 90 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 0C 8B 7D 08 0F BF 0A 2B 4D F4 8B F1 89 4D F0 85 F6 7D 05 F7 DE FF 4D F0 33 D2 85 F6 89 55 EC 74 09 FF 45 EC D1 FE 85 F6 75 F7 8B 4D EC 8B 55 EC 0F BE 8C 08 00 04 00 00 8B 14 90 8B 45 FC E8 CE FE FF FF 85 C0 75 07 33 C0 E9 FC 00 00 00 83 7D EC 00 74 19 8B 4D EC 8B 55 F0 8B 45 FC E8 AF FE FF FF 85 C0 75 07 33 C0 E9 DD 00 00 00 C7 45 E8 01 00 00 00 C7 45 E4 ?? ?? ?? ?? 33 DB 8B 45 E4 8B 10 8B 4D F8 0F BF 34 51 85 F6 75 06 43 E9 84 00 00 00 83 FB 0F 7E 28 0F BE 8F F0 04 00 00 8B 97 C0 03 00 00 8B 45 FC E8 64 FE FF FF 85 C0 75 07 33 C0 E9 92 00 00 00 83 EB 10 83 FB 0F 7F D8 89 75 F0 85 F6 7D 05 F7 DE FF 4D F0 C7 45 EC 01 00 00 00 EB 03 FF 45 EC D1 FE 75 F9 8B C3 C1 E0 04 03 45 EC 0F BE 8C 07 00 04 00 00 8B 14 87 8B 45 FC E8 1A FE FF FF 85 C0 75 04 33 C0 EB 4B 8B 4D EC 8B 55 F0 8B 45 FC E8 04 FE FF FF 85 C0 75 04 33 C0 EB 35 33 DB FF 45 E8 83 45 E4 04 83 7D E8 40 0F 8C 55 FF FF FF 85 DB 7E 19 0F BE 8F 00 04 00 00 8B 17 8B 45 FC E8 D4 FD FF FF 85 C0 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 90 90 53 56 8B F2 8B D8 8B C3 E8 57 FE FF FF 85 C0 75 05 33 C0 5E 5B C3 8B 13 FF 03 C6 02 FF FF 4B 04 75 10 8B C3 E8 6B FD FF FF 85 C0 75 05 33 C0 5E 5B C3 8B 0B 8B D6 FF 03 80 C2 D0 88 11 FF 4B 04 75 10 8B C3 E8 4B FD FF FF 85 C0 75 05 33 C0 5E 5B C3 33 D2 8D 43 10 EB 08 33 C9 42 89 08 83 C0 04 8B 4B 20 3B 91 E9 00 00 00 7C ED B8 01 00 00 00 5E 5B C3 53 56 8B F0 57 55 83 C4 D4 8B 46 14 8B DA 8B AE 61 01 00 00 8B 10 89 54 24 08 8B 48 04 89 4C 24 0C 56 8D 7C 24 14 8D 75 0C B9 06 00 00 00 F3 A5 5E 89 74 24 28 83 BE C0 00 00 00 00 74 1D 83 7D 24 00 75 17 8B 55 28 8D 44 24 08 E8 3C FF FF FF 85 C0 75 07 33 C0 E9 AA 00 00 00 33 D2 89 14 24 8B CB 8B D9 8D 86 09 01 00 00 89 44 24 04 EB 48 8B 54 24 04 8B 3A 8B 84 BE ED 00 00 00 8B 50 14 8B 4C 95 2C 51 8B 40 18 8B 54 85 3C 52 8B 4C BC 20 8D 44 24 10 8B 13 E8 84 FD FF FF 85 C0 75 04 33 C0 EB 61 8B 13 0F BF 0A 89 4C BC 18 FF 04 24 83 C3 04 83 44 24 04 04 8B 04 24 3B 86 05 01 00 00 7C AD 8B 46 14 8B 54 24 08 8D 7D 0C 89 10 8B 4C 24 0C 89 48 04 56 8D 74 24 14 B9 06 00 00 00 F3 A5 5E 8B 86 C0 00 00 00 85 C0 74 13 83 7D 24 00 75 0A 89 45 24 FF 45 28 83 65 28 07 FF 4D 24 B8 01 00 00 00 83 C4 2C 5D 5F 5E 5B C3 90 90 90 53 8B D8 56 57 8B 43 14 83 C4 DC 8B B3 61 01 00 00 8B 10 89 14 24 8B 48 04 89 4C 24 04 56 8D 7C 24 0C 83 C6 0C B9 06 00 00 00 F3 A5 5E 89 5C 24 20 8B C4 E8 A8 FC FF FF 85 C0 75 0F 8B 13 8B C3 C7 42 14 16 00 00 00 8B 10 FF 12 8B 43 14 8B 14 24 8D 7E 0C 89 10 8B 4C 24 04 89 48 04 56 8D 74 24 0C B9 06 00 00 00 F3 A5 5E 83 C4 24 5F 5E 5B C3 90 90 90 55 8B EC 83 C4 F0 53 89 4D F8 89 45 FC 8B 45 08 8B 4D FC 0F BF 19 2B DA 85 DB 7D 02 F7 DB 33 C9 85 DB 74 07 D1 FB 41 85 DB 75 F9 8B 55 F8 FF 04 8A 33 D2 C7 45 F4 01 00 00 00 C7 45 F0 ?? ?? ?? ?? 8B 4D F0 8B 09 8B 5D FC 0F BF 1C 4B 85 DB 75 03 42 EB 2F 83 FA 0F 7E 0E FF 80 C0 03 00 00 83 EA 10 83 FA 0F 7F F2 85 DB 7D 02 F7 DB B9 01 00 00 00 EB 01 41 D1 FB 75 FB C1 E2 04 03 CA FF 04 88 33 D2 FF 45 F4 83 45 F0 04 83 7D F4 40 7C B1 85 D2 7E 02 FF 00 5B 8B E5 5D C2 04 00 90 90 90 53 56 57 55 83 C4 F4 8B E8 89 14 24 83 BD C0 00 00 00 00 8B 9D 61 01 00 00 74 29 83 7B 24 00 75 20 33 F6 8D 43 14 EB 08 33 D2 46 89 10 83 C0 04 3B B5 E9 00 00 00 7C F0 8B 8D C0 00 00 00 89 4B 24 FF 4B 24 33 C0 89 44 24 04 8D 85 09 01 00 00 8B 14 24 89 44 24 08 8B FA EB 3C 8B 54 24 08 8B 32 8B 84 B5 ED 00 00 00 8B 50 18 8B 4C 93 5C 51 8B 40 14 8B 4C 83 4C 8B 07 8B 54 B3 14 E8 DE FE FF FF 8B 0F 0F BF 01 89 44 B3 14 FF 44 24 04 83 C7 04 83 44 24 08 04 8B 95 05 01 00 00 3B 54 24 04 7F B8 B8 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11831_0 {
	meta:
		name = "@jpeg_gen_optimal_table"
		size = 700
		refs = "001e _memset 0197 _memcpy 0249 @jpeg_alloc_huff_table"
	strings:
		$1 = { 53 56 57 81 C4 C8 F7 FF FF 89 4C 24 08 89 54 24 04 89 04 24 6A 21 6A 00 8D 44 24 14 50 E8 ?? ?? ?? ?? 83 C4 0C 68 04 04 00 00 6A 00 8D 54 24 38 52 E8 ?? ?? ?? ?? 83 C4 0C 33 DB 8D 84 24 34 04 00 00 C7 00 FF FF FF FF 43 83 C0 04 81 FB 01 01 00 00 7C EE 8B 54 24 08 C7 82 00 04 00 00 01 00 00 00 83 C8 FF BF 00 CA 9A 3B 33 DB 8B 54 24 08 8B 0A 85 C9 74 08 3B F9 7C 04 8B F9 8B C3 43 83 C2 04 81 FB 00 01 00 00 7E E6 83 CA FF BF 00 CA 9A 3B 33 DB 8B 4C 24 08 8B 31 85 F6 74 0C 3B FE 7C 08 3B C3 74 04 8B FE 8B D3 43 83 C1 04 81 FB 00 01 00 00 7E E2 85 D2 7C 51 8B 4C 24 08 8B 5C 24 08 8B 0C 91 01 0C 83 33 DB 8B 4C 24 08 89 1C 91 FF 44 84 30 EB 06 8B C1 FF 44 84 30 8B 8C 84 34 04 00 00 85 C9 7D EF 89 94 84 34 04 00 00 FF 44 94 30 EB 06 8B D0 FF 44 94 30 8B 84 94 34 04 00 00 85 C0 7D EF E9 57 FF FF FF 33 DB 8D 74 24 30 8B 06 85 C0 74 1E 83 F8 20 7E 13 8B 14 24 8B 0A C7 41 14 26 00 00 00 8B 04 24 8B 10 FF 12 8B 0E FE 44 0C 0C 43 83 C6 04 81 FB 00 01 00 00 7E D0 BB 20 00 00 00 8D 74 24 2C 8B CE EB 1F 8D 43 FE 8D 54 04 0C EB 02 48 4A 80 3A 00 74 F9 80 01 FE FE 41 FF 80 44 04 0D 02 FE 4C 04 0C 80 39 00 77 DC 4B 4E 83 FB 10 7F D1 8D 44 1C 0C EB 02 4B 48 80 38 00 74 F9 FE 4C 1C 0C 6A 11 8D 54 24 10 52 8B 4C 24 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 33 FF BB 01 00 00 00 33 C0 8B 54 24 04 8D 74 3A 11 8D 54 24 30 3B 1A 75 04 88 06 47 46 40 83 C2 04 3D FF 00 00 00 7E ED 43 83 FB 20 7E D9 8B 44 24 04 33 C9 89 88 11 01 00 00 81 C4 38 08 00 00 5F 5E 5B C3 90 90 53 56 57 55 83 C4 D4 8B D8 8B 83 61 01 00 00 89 04 24 6A 10 6A 00 8D 54 24 14 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 10 6A 00 8D 4C 24 24 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 89 44 24 04 8D 93 ED 00 00 00 89 54 24 08 EB 77 8B 4C 24 08 8B 01 8B 78 14 8B 68 18 83 7C BC 0C 00 75 2A 8D 74 BB 50 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 8B 14 24 8B 4C BA 4C 8B 16 8B C3 E8 A1 FD FF FF C7 44 BC 0C 01 00 00 00 83 7C AC 1C 00 75 2A 8D 74 AB 60 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 8B 14 24 8B 4C AA 5C 8B 16 8B C3 E8 70 FD FF FF C7 44 AC 1C 01 00 00 00 FF 44 24 04 83 44 24 08 04 8B 4C 24 04 3B 8B E9 00 00 00 0F 8C 79 FF FF FF 83 C4 2C 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_11832_0 {
	meta:
		name = "@jinit_huff_encoder"
		size = 65
		refs = "001d _DF_"
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 6C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 61 01 00 00 C7 00 ?? ?? ?? ?? 33 D2 83 C0 3C 33 C9 89 08 89 48 F0 33 C9 89 48 20 89 48 10 42 83 C0 04 83 FA 04 7C E8 5E 5B C3 }
	condition:
		$1
}

rule function_11833_0 {
	meta:
		name = "Finalization"
		size = 64
		refs = "0007 Finalization 0013 _DV_3 001b _DV_TJPEGImage 0020 _Dn_TPicture 0025 TPicture.UnregisterGraphicClass 0038 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11834_0 {
	meta:
		name = "jpeg"
		size = 168
		refs = "0009 jpeg 0015 _DV_3 001d InitDefaults 0022 _DV_TJPEGImage 002b sJPEGImageFile 0030 LoadResString 003d _Dn_TPicture 0042 TPicture.RegisterFileFormat 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 4F E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 FF FF FF FF 04 00 00 00 6A 70 65 67 00 00 00 00 FF FF FF FF 03 00 00 00 6A 70 67 00 }
	condition:
		$1
}

rule function_11850_0 {
	meta:
		name = "_NF__89"
		size = 20
	strings:
		$1 = { FF FF FF FF 0A 00 00 00 4D 41 50 49 33 32 2E 44 4C 4C 00 00 }
	condition:
		$1
}

rule function_11851_0 {
	meta:
		name = "InitMapi"
		size = 284
		refs = "0008 MAPIChecked 001d MAPIModule 002f GetVersionEx 0059 InitMapi 0063 RegOpenKeyEx 0087 RegQueryValueEx 0094 RegCloseKey 00b5 GetProfileInt 00be MAPIDLL 00c3 @LStrToPChar 00c9 LoadLibrary"
	strings:
		$1 = { 81 C4 54 FF FF FF 80 3D ?? ?? ?? ?? 00 0F 85 BF 00 00 00 C6 05 ?? ?? ?? ?? 01 33 C0 A3 ?? ?? ?? ?? C7 44 24 18 94 00 00 00 8D 44 24 18 50 E8 ?? ?? ?? ?? 83 7C 24 1C 03 77 0E 83 7C 24 1C 03 75 67 83 7C 24 20 33 76 60 C7 44 24 04 09 00 00 00 54 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 67 8D 44 24 04 50 8D 44 24 0C 50 8D 44 24 1C 50 6A 00 68 ?? ?? ?? ?? 8B 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 43 8B 04 24 50 E8 ?? ?? ?? ?? 80 7C 24 08 31 75 33 80 7C 24 09 00 75 2C EB 15 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 15 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 81 C4 AC 00 00 00 C3 00 00 00 53 4F 46 54 57 41 52 45 5C 4D 69 63 72 6F 73 6F 66 74 5C 57 69 6E 64 6F 77 73 20 4D 65 73 73 61 67 69 6E 67 20 53 75 62 73 79 73 74 65 6D 00 00 4D 41 50 49 00 00 00 00 4D 61 69 6C 00 00 00 00 }
	condition:
		$1
}

rule function_11852_0 {
	meta:
		name = "MapiLogOn"
		size = 104
		refs = "000d InitMapi 0013 LogOn 001b MapiLogOn 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 41 50 49 4C 6F 67 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_11853_0 {
	meta:
		name = "MapiLogOff"
		size = 96
		refs = "000d InitMapi 0013 LogOff 001b MapiLogOff 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 04 00 00 4D 41 50 49 4C 6F 67 6F 66 66 00 00 }
	condition:
		$1
}

rule function_11854_0 {
	meta:
		name = "MapiSendMail"
		size = 104
		refs = "000d InitMapi 0013 SendMail 001b MapiSendMail 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 41 50 49 53 65 6E 64 4D 61 69 6C 00 00 00 00 }
	condition:
		$1
}

rule function_11855_0 {
	meta:
		name = "MapiSendDocuments"
		size = 108
		refs = "000d InitMapi 0013 SendDocuments 001b MapiSendDocuments 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 41 50 49 53 65 6E 64 44 6F 63 75 6D 65 6E 74 73 00 00 00 }
	condition:
		$1
}

rule function_11856_0 {
	meta:
		name = "MapiFindNext"
		size = 112
		refs = "000d InitMapi 0013 FindNext 001b MapiFindNext 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1B 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 10 00 00 4D 41 50 49 46 69 6E 64 4E 65 78 74 00 00 00 00 }
	condition:
		$1
}

rule function_11857_0 {
	meta:
		name = "MapiReadMail"
		size = 108
		refs = "000d InitMapi 0013 ReadMail 001b MapiReadMail 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 41 50 49 52 65 61 64 4D 61 69 6C 00 00 00 00 }
	condition:
		$1
}

rule function_11858_0 {
	meta:
		name = "MapiSaveMail"
		size = 108
		refs = "000d InitMapi 0013 SaveMail 001b MapiSaveMail 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 41 50 49 53 61 76 65 4D 61 69 6C 00 00 00 00 }
	condition:
		$1
}

rule function_11859_0 {
	meta:
		name = "MapiDeleteMail"
		size = 104
		refs = "000d InitMapi 0013 DeleteMail 001b MapiDeleteMail 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 41 50 49 44 65 6C 65 74 65 4D 61 69 6C 00 00 }
	condition:
		$1
}

rule function_11860_0 {
	meta:
		name = "MapiFreeBuffer"
		size = 80
		refs = "0004 InitMapi 000a FreeBuffer 0012 MapiFreeBuffer 0017 MAPIModule 001d GetProcAddress"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 09 53 FF 15 ?? ?? ?? ?? 5B C3 B8 01 00 00 00 5B C3 00 4D 41 50 49 46 72 65 65 42 75 66 66 65 72 00 00 }
	condition:
		$1
}

rule function_11861_0 {
	meta:
		name = "MapiAddress"
		size = 124
		refs = "000d InitMapi 0013 Address 001b MapiAddress 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2B 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 20 00 00 4D 41 50 49 41 64 64 72 65 73 73 00 }
	condition:
		$1
}

rule function_11862_0 {
	meta:
		name = "MapiDetails"
		size = 100
		refs = "000d InitMapi 0013 Details 001b MapiDetails 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 41 50 49 44 65 74 61 69 6C 73 00 }
	condition:
		$1
}

rule function_11863_0 {
	meta:
		name = "MapiResolveName"
		size = 108
		refs = "000d InitMapi 0013 ResolveName 001b MapiResolveName 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 41 50 49 52 65 73 6F 6C 76 65 4E 61 6D 65 00 }
	condition:
		$1
}

rule function_11864_0 {
	meta:
		name = "Finalization"
		size = 78
		refs = "0007 Finalization 0013 _DV_1 001b MAPIModule 0029 FreeLibrary 002e MAPIDLL 0033 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1E 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_11866_0 {
	meta:
		name = "MaskGetCharType"
		size = 338
		refs = "0011 @LStrLen 0037 ByteType 0088 MaskFieldSeparator"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 B3 01 C6 04 24 00 8B C6 E8 ?? ?? ?? ?? 3B F8 7F 07 8A 44 3E FF 88 04 24 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 07 33 DB E9 19 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 B3 01 E9 05 01 00 00 83 FF 01 7E 38 80 7C 3E FE 5C 75 31 8B D7 4A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 23 83 FF 02 7E 17 80 7C 3E FD 5C 75 10 8B D7 83 EA 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 B3 01 E9 C8 00 00 00 8A 04 24 3A 05 ?? ?? ?? ?? 75 21 8B C6 E8 ?? ?? ?? ?? 83 F8 04 7C 15 8B C6 E8 ?? ?? ?? ?? 83 E8 04 3B F8 7E 07 B3 06 E9 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 F8 04 7C 3A 8B C6 E8 ?? ?? ?? ?? 83 E8 04 3B F8 7E 2C 8A 44 3E FE 3A 05 ?? ?? ?? ?? 75 20 83 FF 02 7E 17 80 7C 3E FD 5C 75 10 8B D7 83 EA 02 8B C6 E8 ?? ?? ?? ?? 3C 02 75 04 B3 07 EB 56 8A 04 24 2C 2F 74 04 2C 0B 75 04 B3 02 EB 47 8A 04 24 2C 21 74 0C 2C 1B 74 08 2C 02 74 04 2C 1E 75 04 B3 03 EB 30 8A 04 24 2C 23 74 10 2C 16 74 0C 2C 28 74 08 2C 02 74 04 2C 09 75 04 B3 05 EB 15 8A 04 24 2C 30 74 0C 2C 11 74 08 2C 02 74 04 2C 09 75 02 B3 04 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11867_0 {
	meta:
		name = "MaskGetCurrentDirectives"
		size = 124
		refs = "000c MaskGetCurrentDirectives 0013 @LStrLen 0065 MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 8A 1D ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 42 BD 01 00 00 00 8A 44 2F FF 3C 21 75 05 80 CB 01 EB 2C 3C 3E 75 19 3B 2C 24 7D 14 80 E3 FB 83 FD 01 7E 07 80 7C 2F FE 3C 74 14 80 CB 02 EB 0F 3C 3C 75 0B 3B 2C 24 7D 06 80 E3 FD 80 CB 04 45 4E 75 C3 8B 14 24 8B C7 E8 ?? ?? ?? ?? 3C 01 75 03 80 CB 08 8B C3 5A 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_11868_0 {
	meta:
		name = "MaskIntlLiteralToChar"
		size = 32
		refs = "000c TimeSeparator 0017 DateSeparator"
	strings:
		$1 = { 8B D0 2C 2F 74 0F 2C 0B 75 13 8B 15 ?? ?? ?? ?? 8A 12 8B C2 C3 8B 15 ?? ?? ?? ?? 8A 12 8B C2 C3 }
	condition:
		$1
}

rule function_11869_0 {
	meta:
		name = "MaskDoFormatText"
		size = 534
		refs = "0022 MaskDoFormatText 0031 @LStrLAsg 003e MaskGetCurrentDirectives 005a @LStrLen 0074 MaskGetCharType 0090 @LStrCopy 009f MaskIntlLiteralToChar 00a9 @LStrFromChar 00d6 @LStrCatN 0102 @LStrCat 01d7 @LStrCat3 0202 @LStrArrayClr 0208 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D E4 89 5D E0 89 5D DC 88 4D FB 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF F6 45 EF 01 0F 85 C9 00 00 00 C7 45 F0 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 86 01 00 00 89 45 E8 BE 01 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 5F 8D 45 E4 50 8B 4D F0 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 8B 45 FC 8A 44 30 FF E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? FF 75 E0 8D 45 DC 50 8B 03 E8 ?? ?? ?? ?? 8B C8 2B 4D F0 41 8B 03 8B 55 F0 E8 ?? ?? ?? ?? FF 75 DC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F0 EB 2A 04 FC 2C 02 73 24 8B 03 E8 ?? ?? ?? ?? 3B 45 F0 7D 15 8D 45 E4 8A 55 FB E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? FF 45 F0 46 FF 4D E8 0F 85 5B FF FF FF E9 D4 00 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C B9 00 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 2B 75 F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 5B 8D 45 E4 50 8B 03 8B 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 8B 45 FC 8A 44 30 FF E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? FF 75 E0 8D 45 DC 50 8B 03 E8 ?? ?? ?? ?? 8B C8 2B 4D F0 8B 55 F0 42 8B 03 E8 ?? ?? ?? ?? FF 75 DC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 28 04 FC 2C 02 73 22 83 7D F0 01 7D 19 8D 45 E4 8A 55 FB E8 ?? ?? ?? ?? 8B 55 E4 8B 0B 8B C3 E8 ?? ?? ?? ?? EB 03 FF 4D F0 FF 45 F4 FF 4D E8 0F 85 52 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11870_0 {
	meta:
		name = "MaskGetMaskSave"
		size = 127
		refs = "000e @LStrLen 002b MaskGetCharType 006a MaskNoSave"
	strings:
		$1 = { 53 56 57 55 51 8B F0 C6 04 24 01 8B C6 E8 ?? ?? ?? ?? 83 F8 04 7C 5F 83 CD FF 83 CF FF 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 3C 06 75 0A 85 ED 7D 04 8B EB EB 02 8B FB 4B 85 DB 7E 12 8B C6 E8 ?? ?? ?? ?? 83 E8 04 3B D8 7C 04 85 FF 7C D2 85 FF 7D 02 8B FD 8B C6 E8 ?? ?? ?? ?? 3B F8 74 11 8A 04 3E 3A 05 ?? ?? ?? ?? 0F 94 C0 34 01 88 04 24 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11871_0 {
	meta:
		name = "MaskGetMaskBlank"
		size = 105
		refs = "0006 DefaultBlank 000d @LStrLen 0023 MaskGetCharType"
	strings:
		$1 = { 53 56 8B F0 8A 1D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 F8 04 7C 4E 8B C6 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 3C 06 75 39 8B C6 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B C6 E8 ?? ?? ?? ?? 3C 06 74 17 8B C6 E8 ?? ?? ?? ?? 8B D0 83 EA 03 8B C6 E8 ?? ?? ?? ?? 3C 06 75 0B 8B C6 E8 ?? ?? ?? ?? 8A 5C 06 FF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_11872_0 {
	meta:
		name = "MaskGetFldSeparator"
		size = 75
		refs = "000c @LStrLen 0034 MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 8B F8 83 CD FF 8B C7 E8 ?? ?? ?? ?? 83 F8 04 7C 2F 8B C7 E8 ?? ?? ?? ?? 8B D8 83 EB 04 8B C7 E8 ?? ?? ?? ?? 8B F0 2B F3 7C 16 46 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 06 75 04 8B EB EB 04 43 4E 75 EB 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11873_0 {
	meta:
		name = "MaskOffsetToOffset"
		size = 56
		refs = "001d MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 ED 8B 1C 24 85 DB 7E 1D BE 01 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 2C 03 74 07 04 FD 2C 02 72 01 45 46 4B 75 E8 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11874_0 {
	meta:
		name = "OffsetToMaskOffset"
		size = 92
		refs = "000c @LStrLen 0015 MaskOffsetToOffset 003f MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 3B C3 7D 05 83 CD FF EB 32 33 ED 89 1C 24 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 20 BE 01 00 00 00 45 8B D6 8B C7 E8 ?? ?? ?? ?? 3C 03 74 09 FF 0C 24 83 3C 24 00 7C 04 46 4B 75 E5 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11875_0 {
	meta:
		name = "IsLiteralChar"
		size = 37
		refs = "0009 OffsetToMaskOffset 0016 MaskGetCharType"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 0F 8B D0 8B C6 E8 ?? ?? ?? ?? 48 2C 02 0F 92 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_11876_0 {
	meta:
		name = "PadSubField"
		size = 399
		refs = "0023 PadSubField 0044 MaskGetCurrentDirectives 006a @LStrCopy 0083 @LStrFromChar 008d @LStrCat 009b @LStrLen 0117 @LStrCat3 0160 @LStrLAsg 017a @LStrArrayClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F8 8B FA 89 45 FC 8B 5D 08 8B 75 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 2B 45 F8 3B 45 10 0F 8D 80 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 8B C6 48 89 45 F0 F6 45 F7 01 74 07 8B 45 F8 48 89 45 F0 53 8B 4D F0 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 2B 75 F8 8B 45 10 2B C6 85 C0 7E 1A 89 C6 8D 45 EC 8A 55 0C E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 4E 75 E8 8D 45 EC 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 42 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 A9 00 00 00 8B C6 2B 45 F8 3B 45 10 0F 8E 92 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 F6 45 F7 01 74 3E 8D 45 EC 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 2B 55 10 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 8B 4D F8 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 59 E8 ?? ?? ?? ?? EB 47 8D 45 EC 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 8B 4D F8 03 4D 10 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 59 E8 ?? ?? ?? ?? EB 09 8B C3 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_11877_0 {
	meta:
		name = "PadInputLiterals"
		size = 459
		refs = "001c PadInputLiterals 0030 @LStrLAsg 0037 @LStrLen 0053 MaskGetCharType 0066 MaskOffsetToOffset 0093 MaskIntlLiteralToChar 00c8 @LStrFromChar 00d2 @LStrCat 00f3 PadSubField 0184 IsLiteralChar 018f UniqueString 01b6 @LStrClr 01bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 88 4D FF 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B C3 8B D7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E D0 00 00 00 89 45 E8 C7 45 EC 01 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 48 2C 02 0F 83 A7 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 03 E8 ?? ?? ?? ?? 40 89 45 F4 8B 7D F8 47 8B 03 E8 ?? ?? ?? ?? 2B C7 7C 23 40 89 45 E4 8B 45 EC 8A 44 06 FF E8 ?? ?? ?? ?? 8B 13 3A 44 3A FF 75 05 89 7D F4 EB 06 47 FF 4D E4 75 E1 8B 03 E8 ?? ?? ?? ?? 3B 45 F4 7D 20 8B 45 EC 8A 44 06 FF E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 7D F8 47 8B 45 F0 2B C7 50 8A 45 FF 50 8D 45 E0 50 8B CF 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 FF 45 EC FF 4D E8 0F 85 3A FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 03 E8 ?? ?? ?? ?? 3B F8 74 2C 8B 03 E8 ?? ?? ?? ?? 40 50 2B 7D F8 57 8A 45 FF 50 8D 45 E0 50 8B 4D F8 41 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 3E 89 45 E8 C7 45 F0 01 00 00 00 8B 03 8B 55 F0 80 7C 10 FF 20 75 20 8B 55 F0 4A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8A 4D FF 88 4C 10 FF FF 45 F0 FF 4D E8 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11878_0 {
	meta:
		name = "FormatMaskText"
		size = 50
		refs = "000c MaskGetMaskSave 001c PadInputLiterals 002a MaskDoFormatText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 57 B1 20 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0C 57 B1 20 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11879_0 {
	meta:
		name = "TCustomMaskEdit.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TCustomEdit.Create 001c TCustomMaskEdit.Create 0027 DefaultBlank 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 86 11 02 00 00 A0 ?? ?? ?? ?? 88 86 08 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_11880_0 {
	meta:
		name = "TCustomMaskEdit.KeyDown"
		size = 240
		refs = "0012 TWinControl.KeyDown 0019 TCustomMaskEdit.GetMasked 004e TCustomMaskEdit.ArrowKeys 0091 TCustomMaskEdit.HomeEndKeys 00a7 TCustomMaskEdit.KeyDown 00cf TCustomMaskEdit.DeleteKeys 00dd TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 66 83 3B 00 0F 84 B2 00 00 00 F6 04 24 02 0F 85 A8 00 00 00 66 83 3B 25 74 06 66 83 3B 27 75 24 66 8B 13 8A 0C 24 8B C6 E8 ?? ?? ?? ?? F6 04 24 01 0F 85 85 00 00 00 F6 04 24 04 75 7F 66 C7 03 00 00 EB 78 66 83 3B 26 74 06 66 83 3B 28 75 07 66 C7 03 00 00 EB 65 66 83 3B 24 74 06 66 83 3B 23 75 14 66 8B 13 8A 0C 24 8B C6 E8 ?? ?? ?? ?? 66 C7 03 00 00 EB 45 66 83 3B 2E 75 13 8A 04 24 22 05 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 74 06 66 83 3B 08 75 1F 8B C6 8B 10 FF 92 D8 00 00 00 84 C0 74 0A 66 8B 13 8B C6 E8 ?? ?? ?? ?? 66 C7 03 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 05 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11881_0 {
	meta:
		name = "TCustomMaskEdit.KeyUp"
		size = 68
		refs = "0012 TWinControl.KeyUp 0019 TCustomMaskEdit.GetMasked 003c TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 66 83 3E 00 74 19 66 83 3E 25 74 06 66 83 3E 27 75 0D F6 04 24 04 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11882_0 {
	meta:
		name = "TCustomMaskEdit.KeyPress"
		size = 60
		refs = "000b TWinControl.KeyPress 0012 TCustomMaskEdit.GetMasked 0032 TCustomMaskEdit.CharKeys"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 80 3B 00 74 1A 8A 03 2C 03 74 14 2C 13 74 10 2C 02 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? C6 03 00 5E 5B C3 }
	condition:
		$1
}

rule function_11883_0 {
	meta:
		name = "TCustomMaskEdit.WMLButtonDown"
		size = 28
		refs = "000b TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F BF 46 08 89 83 18 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_11884_0 {
	meta:
		name = "TCustomMaskEdit.WMLButtonUp"
		size = 94
		refs = "000e TControl.WMLButtonUp 0015 TCustomMaskEdit.GetMasked 0026 TCustomMaskEdit.GetSel 0055 TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 14 02 00 00 8B 04 24 3B 44 24 04 74 16 0F BF 46 08 3B 83 18 02 00 00 7E 0A 8B 44 24 04 89 83 14 02 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11886_0 {
	meta:
		name = "TCustomMaskEdit.SetEditText"
		size = 104
		refs = "000f TCustomMaskEdit.SetEditText 001f TCustomMaskEdit.GetEditText 0029 @LStrCmp 0032 @LStrToPChar 003b TControl.SetTextBuf 0042 TCustomMaskEdit.CheckCursor 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 17 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11889_0 {
	meta:
		name = "TCustomMaskEdit.GetText"
		size = 137
		refs = "000f TCustomMaskEdit.GetText 001c TCustomMaskEdit.GetMasked 0029 TControl.GetText 0035 TCustomMaskEdit.GetEditText 0041 TCustomMaskEdit.RemoveEditFormat 0059 TCustomMaskEdit.AddEditFormat 0063 @LStrLAsg 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 38 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 80 BB 10 02 00 00 00 74 19 8D 45 FC 50 8B 16 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11890_0 {
	meta:
		name = "TCustomMaskEdit.SetText"
		size = 264
		refs = "0013 TCustomMaskEdit.SetText 0020 TCustomMaskEdit.GetMasked 002d TControl.SetText 003c @LStrLAsg 005d PadInputLiterals 007a TCustomMaskEdit.AddEditFormat 00b6 SMaskErr 00bb LoadResString 00c5 _DV_EDBEditError 00ca Exception.Create 00cf @RaiseExcept 00d9 TCustomMaskEdit.SetEditText 00ee @LStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 A7 00 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 80 BB 10 02 00 00 00 74 25 8D 45 F4 50 8A 8B 08 02 00 00 8B 55 FC 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 1B 8D 45 F4 50 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? F6 83 11 02 00 00 04 75 41 F6 43 20 10 74 3B F6 43 20 01 75 35 8D 4D F8 8B 55 FC 8B C3 8B 30 FF 96 E0 00 00 00 84 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11891_0 {
	meta:
		name = "TCustomMaskEdit.WMCut"
		size = 50
		refs = "0009 TCustomMaskEdit.GetMasked 0020 TCustomEdit.CopyToClipboard 002b TCustomMaskEdit.DeleteKeys"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 66 BA 2E 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11892_0 {
	meta:
		name = "TCustomMaskEdit.WMPaste"
		size = 231
		refs = "0018 TCustomMaskEdit.WMPaste 0025 TCustomMaskEdit.GetMasked 0042 Clipboard 0047 TClipboard.Open 0054 TClipboard.GetAsText 005e TClipboard.Close 006b TCustomMaskEdit.GetSel 0075 TCustomMaskEdit.GetEditText 0089 TCustomMaskEdit.DeleteSelection 0093 TCustomMaskEdit.SetEditText 00a4 TCustomMaskEdit.InputString 00bb TCustomMaskEdit.SetCursor 00d5 @LStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 80 BB F2 01 00 00 00 74 0B 8B D6 8B C3 8B 08 FF 51 F0 EB 7E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 F4 50 8D 55 F8 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11893_0 {
	meta:
		name = "TCustomMaskEdit.GetMasked"
		size = 15
	strings:
		$1 = { 53 8B D8 83 BB 04 02 00 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_11894_0 {
	meta:
		name = "TCustomMaskEdit.GetMaxChars"
		size = 31
		refs = "0006 TCustomMaskEdit.GetMasked 0019 TControl.GetTextLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 83 0C 02 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11895_0 {
	meta:
		name = "TCustomMaskEdit.ReformatText"
		size = 192
		refs = "0011 TCustomMaskEdit.ReformatText 0021 TCustomMaskEdit.GetEditText 002e TCustomMaskEdit.RemoveEditFormat 003b @LStrAsg 0042 @LStrLen 004f MaskOffsetToOffset 005c MaskGetMaskSave 0069 MaskGetMaskBlank 007f TCustomMaskEdit.AddEditFormat 008a @LStrLAsg 0094 TCustomMaskEdit.SetEditText 00ae @LStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 83 04 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 89 83 0C 02 00 00 8B C6 E8 ?? ?? ?? ?? 88 83 10 02 00 00 8B C6 E8 ?? ?? ?? ?? 88 83 08 02 00 00 8D 45 F8 50 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11896_0 {
	meta:
		name = "TCustomMaskEdit.SetEditMask"
		size = 201
		refs = "0012 @LStrCmp 0031 TCustomMaskEdit.SetEditText 0038 TWinControl.HandleAllocated 0049 TCustomMaskEdit.GetSel 0052 TCustomMaskEdit.ReformatText 0072 TCustomEdit.SetMaxLength 0079 TCustomMaskEdit.GetMasked 00a5 TWinControl.GetHandle 00ac GetFocus 00c0 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 8B 93 04 02 00 00 E8 ?? ?? ?? ?? 0F 84 A8 00 00 00 F6 43 20 10 74 13 85 F6 74 0F F6 43 20 01 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 A3 11 02 00 00 FE 83 BB 04 02 00 00 00 74 07 80 8B 11 02 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 83 BB 0C 02 00 00 00 7E 0D 8B 93 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 10 F6 43 20 10 75 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11897_0 {
	meta:
		name = "TCustomMaskEdit.GetMaxLength"
		size = 7
	strings:
		$1 = { 8B 80 EC 01 00 00 C3 }
	condition:
		$1
}

rule function_11898_0 {
	meta:
		name = "TCustomMaskEdit.SetMaxLength"
		size = 45
		refs = "0009 TCustomMaskEdit.GetMasked 0016 TCustomEdit.SetMaxLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 93 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11899_0 {
	meta:
		name = "TCustomMaskEdit.GetSel"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11900_0 {
	meta:
		name = "TCustomMaskEdit.SetSel"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11901_0 {
	meta:
		name = "TCustomMaskEdit.SetCursor"
		size = 425
		refs = "001c TCustomMaskEdit.SetCursor 0034 TCustomMaskEdit.GetEditText 0041 ByteType 004d TCustomMaskEdit.GetMasked 0076 @LStrLen 0097 LeadBytes 00bb TCustomMaskEdit.SetSel 00cb GetKeyboardState 00f7 SetKeyboardState 0107 TWinControl.GetHandle 010d SendMessage 0196 @LStrClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 56 57 33 C9 89 8D FC FD FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE 01 7C 1F 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF 8B D6 E8 ?? ?? ?? ?? 3C 01 75 01 4E 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E2 00 00 00 85 F6 7D 02 33 F6 8D 7E 01 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF E8 ?? ?? ?? ?? 3B F8 7D 28 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF 8A 44 38 FF 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 01 47 8B 83 0C 02 00 00 3B F0 7C 04 8B F0 8B FE 8B CF 8B D7 8B C3 E8 ?? ?? ?? ?? 3B FE 74 70 8D 85 00 FF FF FF 50 E8 ?? ?? ?? ?? BA 00 01 00 00 8D 85 00 FE FF FF C6 00 00 40 4A 75 F9 C6 85 10 FE FF FF 81 C6 85 25 FE FF FF 81 8D 85 00 FE FF FF 50 E8 ?? ?? ?? ?? 6A 01 6A 25 68 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 6A 25 68 01 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 85 00 FF FF FF 50 E8 ?? ?? ?? ?? 89 B3 14 02 00 00 EB 47 85 F6 7D 02 33 F6 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF E8 ?? ?? ?? ?? 3B F0 7C 1A 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF E8 ?? ?? ?? ?? 8B F0 8B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11902_0 {
	meta:
		name = "TCustomMaskEdit.CheckCursor"
		size = 64
		refs = "0009 TWinControl.HandleAllocated 0014 TCustomMaskEdit.GetMasked 0025 TCustomMaskEdit.GetSel 0038 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 44 24 04 75 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_11905_0 {
	meta:
		name = "TCustomMaskEdit.Reset"
		size = 38
		refs = "0006 TCustomEdit.GetModified 0017 TCustomMaskEdit.SetEditText 0020 TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 93 1C 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11906_0 {
	meta:
		name = "TCustomMaskEdit.CharKeys"
		size = 469
		refs = "0015 TCustomMaskEdit.CharKeys 0087 TCustomMaskEdit.GetSel 009b TCustomMaskEdit.DeleteKeys 00a5 TCustomMaskEdit.GetNextEditChar 00b2 TCustomMaskEdit.SetCursor 00ba LeadBytes 00d7 TWinControl.GetHandle 00e1 PeekMessage 00f4 PostQuitMessage 0100 TCustomMaskEdit.InputChar 0135 @PStrCpy 014e @PStrNCat 0159 @LStrFromString 0169 TCustomMaskEdit.SetSel 0175 @LStrFromChar 017d @LStrToPChar 0192 SendMessage 01ab TCustomMaskEdit.CursorInc 01c0 @LStrClr 01c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 C9 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 33 C0 8A 03 66 83 F8 1B 75 0F 8B C6 8B 10 FF 92 DC 00 00 00 E9 73 01 00 00 8B C6 8B 10 FF 92 D8 00 00 00 84 C0 0F 84 61 01 00 00 80 BE F2 01 00 00 00 0F 85 54 01 00 00 33 C0 8A 03 66 83 F8 08 0F 84 46 01 00 00 66 83 F8 0D 75 0F 8B C6 8B 10 FF 92 E8 00 00 00 E9 31 01 00 00 8D 4D F4 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 2B 45 F8 48 7E 22 66 BA 2E 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8A 03 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 30 6A 01 68 02 01 00 00 68 02 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 45 D4 50 E8 ?? ?? ?? ?? 85 C0 74 0F 83 7D D8 12 75 09 8B 45 DC 50 E8 ?? ?? ?? ?? 8B D3 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 0F 84 9E 00 00 00 8A 03 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 4C 8D 45 D0 8A 13 88 50 01 C6 00 01 8D 55 D0 8D 45 CC E8 ?? ?? ?? ?? 8D 45 C8 8A 55 DC 88 50 01 C6 00 01 8D 55 C8 8D 45 CC B1 02 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F8 83 C1 02 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 0A 8D 45 F0 8A 13 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F4 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11907_0 {
	meta:
		name = "TCustomMaskEdit.ArrowKeys"
		size = 479
		refs = "0018 TCustomMaskEdit.ArrowKeys 0035 TCustomMaskEdit.GetSel 0061 TCustomMaskEdit.SetSel 00ed TCustomMaskEdit.GetEditText 00fc LeadBytes 0116 TCustomMaskEdit.CursorDec 012a TCustomMaskEdit.CursorInc 014d TCustomMaskEdit.SetCursor 01cd @LStrClr 01d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FF 04 0F 85 90 01 00 00 8D 4D F4 8D 55 F8 8B C3 E8 ?? ?? ?? ?? F6 45 FF 01 0F 84 90 00 00 00 66 83 FE 27 75 3F FF 83 14 02 00 00 8B 45 F8 40 3B 45 F4 75 13 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? FF 83 14 02 00 00 8B 83 0C 02 00 00 3B 83 14 02 00 00 0F 8D 3F 01 00 00 89 83 14 02 00 00 E9 34 01 00 00 FF 8B 14 02 00 00 8B 45 F8 83 C0 02 3B 45 F4 75 20 8B 83 14 02 00 00 3B 45 F8 7E 15 8B 45 F8 40 8B C8 8B D0 8B C3 E8 ?? ?? ?? ?? FF 8B 14 02 00 00 83 BB 14 02 00 00 00 0F 8D F6 00 00 00 33 C0 89 83 14 02 00 00 E9 E9 00 00 00 8B 45 F4 2B 45 F8 48 7E 77 8B 45 F4 2B 45 F8 83 F8 02 75 4C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 8A 04 10 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 29 66 83 FE 25 75 0F 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 9D 00 00 00 B9 02 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 89 00 00 00 8B 45 F4 3B 83 14 02 00 00 75 06 FF 8B 14 02 00 00 8B 93 14 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 69 66 83 FE 25 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 57 8B 45 F4 3B 45 F8 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 43 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 8A 04 10 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 11 B9 02 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0F B9 01 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11908_0 {
	meta:
		name = "TCustomMaskEdit.CursorInc"
		size = 53
		refs = "000f TCustomMaskEdit.GetNextEditChar 001e IsLiteralChar 002d TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8D 1C 39 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 02 8B DF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11909_0 {
	meta:
		name = "TCustomMaskEdit.CursorDec"
		size = 26
		refs = "000b TCustomMaskEdit.GetPriorEditChar 0014 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 8B D8 8B C2 48 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11910_0 {
	meta:
		name = "TCustomMaskEdit.GetFirstEditChar"
		size = 33
		refs = "0009 TCustomMaskEdit.GetMasked 0016 TCustomMaskEdit.GetNextEditChar"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11911_0 {
	meta:
		name = "TCustomMaskEdit.GetLastEditChar"
		size = 41
		refs = "0007 TCustomMaskEdit.GetMaxChars 0010 TCustomMaskEdit.GetMasked 001e TCustomMaskEdit.GetPriorEditChar"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11912_0 {
	meta:
		name = "TCustomMaskEdit.GetNextEditChar"
		size = 39
		refs = "001a IsLiteralChar"
	strings:
		$1 = { 53 56 8B F0 8B DA EB 01 43 3B 9E 0C 02 00 00 7D 11 8B D3 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_11913_0 {
	meta:
		name = "TCustomMaskEdit.GetPriorEditChar"
		size = 50
		refs = "0016 IsLiteralChar 0027 TCustomMaskEdit.GetNextEditChar"
	strings:
		$1 = { 53 56 8B F0 8B DA EB 01 4B 85 DB 7C 11 8B D3 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 EA 85 DB 7D 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_11914_0 {
	meta:
		name = "TCustomMaskEdit.HomeEndKeys"
		size = 207
		refs = "0017 TCustomMaskEdit.GetSel 0050 TCustomMaskEdit.SetSel 0057 TCustomMaskEdit.CheckCursor 0062 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 83 C4 F4 88 0C 24 8B F2 8B D8 8D 4C 24 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 66 83 FE 24 75 4F F6 04 24 01 74 36 8B 44 24 04 3B 83 14 02 00 00 74 14 8B 44 24 04 40 3B 44 24 08 74 09 8B 44 24 04 40 89 44 24 08 8B 4C 24 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 14 02 00 00 EB 59 F6 04 24 01 74 3A 8B 44 24 08 3B 83 14 02 00 00 74 14 8B 44 24 04 40 3B 44 24 08 74 09 8B 44 24 08 48 89 44 24 04 8B 8B 0C 02 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 93 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 89 83 14 02 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_11915_0 {
	meta:
		name = "TCustomMaskEdit.DeleteKeys"
		size = 282
		refs = "0019 TCustomMaskEdit.DeleteKeys 0038 TCustomMaskEdit.GetSel 0051 TCustomMaskEdit.CursorDec 007b TCustomMaskEdit.GetEditText 008d TCustomMaskEdit.DeleteSelection 00a1 @LStrCopy 00a9 @LStrToPChar 00b8 TWinControl.GetHandle 00be SendMessage 00cf TCustomMaskEdit.GetNextEditChar 00da TCustomMaskEdit.SetCursor 0107 @LStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F2 01 00 00 00 0F 85 C6 00 00 00 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 2B 07 48 7F 25 66 83 FE 08 75 1F 8B 37 8B 17 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 3B 37 0F 84 8D 00 00 00 8B 45 F8 2B 07 48 0F 8C 81 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 2B 07 50 8D 55 F4 8B 0F 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 4D F8 2B 0F 8B 17 42 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 2B 07 48 74 16 8B 17 8B C3 E8 ?? ?? ?? ?? 89 07 8B 17 8B C3 E8 ?? ?? ?? ?? EB 16 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 17 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11916_0 {
	meta:
		name = "TCustomMaskEdit.CMEnter"
		size = 143
		refs = "000f TCustomMaskEdit.CMEnter 001c TCustomMaskEdit.GetMasked 0039 TCustomMaskEdit.GetEditText 0047 @LStrAsg 0050 TCustomEdit.CMEnter 005e TCustomMaskEdit.CheckCursor 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 F6 43 20 10 75 3A F6 83 11 02 00 00 02 75 21 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 A3 11 02 00 00 FD 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11917_0 {
	meta:
		name = "TCustomMaskEdit.CMTextChanged"
		size = 141
		refs = "0012 TCustomMaskEdit.CMTextChanged 001f TCustomEdit.CMTextChanged 0029 TCustomMaskEdit.GetEditText 0037 @LStrAsg 003e TWinControl.HandleAllocated 004f TCustomMaskEdit.GetSel 0059 TCustomMaskEdit.GetNextEditChar 0067 TCustomMaskEdit.SetCursor 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11918_0 {
	meta:
		name = "TCustomMaskEdit.CMWantSpecialKey"
		size = 54
		refs = "0019 TCustomMaskEdit.GetMasked 0024 TCustomEdit.GetModified"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 66 83 7E 04 1B 75 1D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_11919_0 {
	meta:
		name = "TCustomMaskEdit.CMExit"
		size = 52
		refs = "0009 TCustomMaskEdit.GetMasked 0024 TCustomMaskEdit.CheckCursor 002d TWinControl.CMExit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 F6 43 20 10 75 11 8B C3 8B 10 FF 92 E8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11920_0 {
	meta:
		name = "TCustomMaskEdit.ValidateEdit"
		size = 159
		refs = "0013 TCustomMaskEdit.ValidateEdit 0023 TCustomMaskEdit.GetEditText 002a TCustomMaskEdit.GetMasked 0035 TCustomEdit.GetModified 006e TCustomMaskEdit.SetCursor 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4A 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3F 8D 4D F8 8B 55 FC 8B C6 8B 18 FF 93 E0 00 00 00 84 C0 75 2B F6 46 20 10 75 11 80 8E 11 02 00 00 02 8B C6 8B 10 FF 92 B4 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11921_0 {
	meta:
		name = "TCustomMaskEdit.ValidateError"
		size = 160
		refs = "0011 TCustomMaskEdit.ValidateError 001e MessageBeep 002c @LStrLAsg 0038 SMaskEditErr 003d LoadResString 0056 Format 006b _DV_EDBEditError 0070 Exception.Create 0075 @RaiseExcept 008f @LStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 04 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11922_0 {
	meta:
		name = "TCustomMaskEdit.AddEditFormat"
		size = 69
		refs = "0023 MaskDoFormatText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B D8 8B 7D 08 80 7D FF 00 75 12 57 B1 20 8B D6 8B 83 04 02 00 00 E8 ?? ?? ?? ?? EB 14 57 8A 8B 08 02 00 00 8B D6 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11923_0 {
	meta:
		name = "TCustomMaskEdit.RemoveEditFormat"
		size = 468
		refs = "001c TCustomMaskEdit.RemoveEditFormat 0032 @LStrLAsg 0040 @LStrLen 005b MaskGetCharType 0081 @LStrCopy 00a4 @LStrCat3 00c7 MaskGetCurrentDirectives 015b @LStrSetLength 0199 UniqueString 01c1 @LStrArrayClr 01c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 6E BF 01 00 00 00 8B 45 FC 8B 80 04 02 00 00 8B D7 E8 ?? ?? ?? ?? 88 45 F3 8A 45 F3 48 2C 02 73 3E 8D 45 EC 50 8B 06 E8 ?? ?? ?? ?? 8B C8 2B 4D F4 8B 55 F4 42 8B 06 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 8B 4D F4 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 59 E8 ?? ?? ?? ?? 8A 45 F3 04 FC 2C 02 73 03 FF 45 F4 47 4B 75 97 8B 45 FC 8B 80 04 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 F6 C3 01 74 51 C7 45 F4 01 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1D BF 01 00 00 00 8B 06 8A 44 38 FF 8B 55 FC 3A 82 08 02 00 00 75 07 FF 45 F4 47 4B 75 E8 83 7D F4 01 74 5A 56 8B 06 E8 ?? ?? ?? ?? 8B C8 2B 4D F4 41 8B 06 8B 55 F4 E8 ?? ?? ?? ?? EB 40 8B 06 E8 ?? ?? ?? ?? 89 45 F8 8B 5D F8 85 DB 7E 2F BF 01 00 00 00 8B 45 F8 2B C7 8B 16 8A 04 02 8B 55 FC 3A 82 08 02 00 00 75 15 8B 06 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 47 4B 75 D6 8B 45 FC 80 B8 08 02 00 00 20 74 3C 8B 06 E8 ?? ?? ?? ?? 89 45 F8 8B 5D F8 85 DB 7E 2B BF 01 00 00 00 8B 06 8A 44 38 FF 8B 55 FC 3A 82 08 02 00 00 75 0C 8B C6 E8 ?? ?? ?? ?? C6 44 38 FF 20 3B 7D F8 7F 04 47 4B 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11924_0 {
	meta:
		name = "TCustomMaskEdit.InputChar"
		size = 156
		refs = "0021 OffsetToMaskOffset 0034 MaskGetCharType 0049 TCustomMaskEdit.DoInputChar 0065 TCustomMaskEdit.FindLiteralChar 0078 MaskOffsetToOffset 0083 TCustomMaskEdit.SetCursor 0090 MessageBeep"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B EA 8B F0 B3 01 83 BE 04 02 00 00 00 74 73 33 DB 8B D7 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 5E 8B D7 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 88 04 24 8A 45 00 88 44 24 01 8B D5 8B CF 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 36 8A 04 24 04 FC 2C 02 73 2D 8A 4C 24 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 1A 8B D7 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0B 84 DB 75 07 6A 00 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11926_0 {
	meta:
		name = "TestChar"
		size = 213
		refs = "0011 TestChar 002a MaskOffsetToOffset 0039 @LStrLen 0058 UpCase 007e TCustomMaskEdit.GetEditText 0088 ByteType 00c2 @LStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 F8 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 7E 68 8B 45 08 8B 40 F8 8B 16 8B 92 04 02 00 00 8A 44 02 FF E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B 16 8B 92 04 02 00 00 8A 04 02 E8 ?? ?? ?? ?? 5A 3A D0 75 35 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 3C 02 74 1D 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 45 FC 8D 53 01 E8 ?? ?? ?? ?? 3C 01 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11927_0 {
	meta:
		name = "TCustomMaskEdit.DoInputChar"
		size = 712
		refs = "001b TCustomMaskEdit.DoInputChar 0036 MaskGetCharType 0050 MaskIntlLiteralToChar 0068 MaskGetCurrentDirectives 011a LeadBytes 012c TestChar 0142 IsCharAlpha 0157 @LStrLAsg 015f UniqueString 0174 AnsiUpperCase 0192 AnsiLowerCase 01f5 IsKatakana 0243 IsCharAlphaNumeric 02a8 @LStrArrayClr 02ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 45 FC 8B 80 04 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 48 2C 02 73 1C 8B 45 FC 8B 80 04 02 00 00 8B 55 F8 8A 44 10 FF E8 ?? ?? ?? ?? 88 03 E9 37 02 00 00 8B 45 FC 8B 80 04 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 88 45 F6 8B 45 FC 8B 80 04 02 00 00 8B 55 F8 0F B6 44 10 FF 83 F8 43 7F 23 0F 84 8B 00 00 00 83 E8 23 74 54 83 E8 0D 74 38 83 E8 09 74 33 83 E8 08 0F 84 0A 01 00 00 E9 EA 01 00 00 83 E8 4C 0F 84 FC 00 00 00 83 E8 15 0F 84 F3 00 00 00 83 E8 02 74 57 83 E8 09 0F 84 E5 00 00 00 E9 C5 01 00 00 80 3B 30 72 09 80 3B 39 0F 86 B7 01 00 00 C6 45 F7 00 E9 AE 01 00 00 80 3B 30 72 09 80 3B 39 0F 86 A0 01 00 00 80 3B 20 0F 84 97 01 00 00 80 3B 2B 0F 84 8E 01 00 00 80 3B 2D 0F 84 85 01 00 00 C6 45 F7 00 E9 7C 01 00 00 8A 03 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 16 55 8A 03 E8 ?? ?? ?? ?? 59 84 C0 74 09 C6 45 F7 00 E9 54 01 00 00 8A 03 50 E8 ?? ?? ?? ?? 85 C0 0F 84 44 01 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8A 13 88 10 F6 45 F6 02 74 18 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? EB 1C F6 45 F6 04 74 16 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8A 00 88 03 E9 E5 00 00 00 8A 03 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 1A 55 8A 03 E8 ?? ?? ?? ?? 59 84 C0 0F 84 C2 00 00 00 C6 45 F7 00 E9 B9 00 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8A 13 88 10 8A 03 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F0 8A 00 88 03 E9 89 00 00 00 8A 03 50 E8 ?? ?? ?? ?? 85 C0 75 3C C6 45 F7 00 8B 45 FC 8B 80 04 02 00 00 8B 55 F8 80 7C 10 FF 41 74 13 8B 45 FC 8B 80 04 02 00 00 8B 55 F8 80 7C 10 FF 61 75 4C 8A 03 50 E8 ?? ?? ?? ?? 85 C0 74 40 C6 45 F7 01 EB 3A F6 45 F6 02 74 18 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? EB 1C F6 45 F6 04 74 16 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8A 00 88 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 F7 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_11928_0 {
	meta:
		name = "TCustomMaskEdit.Validate"
		size = 178
		refs = "0024 @LStrLen 003c MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B E8 C6 44 24 08 01 C7 44 24 0C 01 00 00 00 8B 85 04 02 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 78 BF 01 00 00 00 8B 85 04 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 48 2C 02 72 04 2C 02 75 06 FF 44 24 0C EB 4F 80 FB 04 75 4A 83 3C 24 00 74 44 8B 04 24 8B 54 24 0C 8A 44 10 FF 3A 85 08 02 00 00 74 1B 8B 04 24 8B 54 24 0C 80 7C 10 FF 20 75 1F 8B 85 04 02 00 00 80 7C 38 FF 43 74 12 C6 44 24 08 00 8B 44 24 0C 48 8B 54 24 04 89 02 EB 08 FF 44 24 0C 47 4E 75 8D 8A 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11929_0 {
	meta:
		name = "TCustomMaskEdit.DeleteSelection"
		size = 150
		refs = "002f OffsetToMaskOffset 0040 @LStrLen 0057 MaskGetCharType 0070 UniqueString"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 08 C6 45 F7 01 85 C0 74 6E 8B 5D F8 43 03 C3 89 45 F0 8B 87 04 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 51 8B 87 04 02 00 00 E8 ?? ?? ?? ?? 2B C6 7C 42 40 96 89 45 EC 8B 87 04 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 03 43 EB 19 04 FC 2C 02 73 13 8B 45 FC E8 ?? ?? ?? ?? 8A 97 08 02 00 00 88 54 18 FF 43 3B 5D F0 7D 06 FF 45 EC 4E 75 C3 8A 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11930_0 {
	meta:
		name = "TCustomMaskEdit.InputString"
		size = 708
		refs = "0022 TCustomMaskEdit.InputString 0045 @LStrLAsg 0053 OffsetToMaskOffset 006f MaskGetCharType 0099 TCustomMaskEdit.DoInputChar 00a2 LeadBytes 00b8 UniqueString 0118 @LStrCopy 0126 @LStrFromChar 0135 @LStrLen 0151 @LStrCatN 01ae ByteType 01cb @LStrCat 0283 @LStrCat3 02a4 @LStrArrayClr 02ac @LStrClr 02b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D E4 89 5D E0 89 5D F0 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F8 85 FF 0F 84 54 02 00 00 BB 01 00 00 00 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 55 08 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C 2D 02 00 00 E9 0A 01 00 00 8B D7 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 88 45 F7 8A 45 F7 48 2C 02 72 09 48 2C 02 0F 83 CF 00 00 00 8B 45 F0 8A 44 18 FF 88 45 EF 8D 55 EF 8B CF 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2D A1 ?? ?? ?? ?? 8A 55 EF 81 E2 FF 00 00 00 0F A3 10 73 11 8D 45 F0 E8 ?? ?? ?? ?? 8A 96 08 02 00 00 88 14 18 8A 86 08 02 00 00 88 45 EF 8A 45 F7 48 2C 02 73 0C 8B 45 F0 8A 44 18 FF 3A 45 EF 75 26 8D 45 F0 E8 ?? ?? ?? ?? 8A 55 EF 88 54 18 FF A1 ?? ?? ?? ?? 8A 55 EF 81 E2 FF 00 00 00 0F A3 10 73 51 43 47 EB 4D 8D 45 E8 50 8B CB 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? FF 75 E8 8D 45 E4 8A 55 EF E8 ?? ?? ?? ?? FF 75 E4 8D 45 E0 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? FF 75 E0 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 8B 45 08 03 C3 3B 86 0C 02 00 00 7F 20 8B 45 F0 E8 ?? ?? ?? ?? 3B C3 7C 14 47 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 3B F8 0F 8E E3 FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? 03 45 08 3B 86 0C 02 00 00 0F 8D 95 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 03 55 08 42 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 3C 02 75 1A 8D 45 E8 8A 96 08 02 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 43 8D 45 E8 50 8B 45 FC 8B 00 8B 4D 08 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E8 FF 75 F0 8D 45 E4 50 8B 45 F0 E8 ?? ?? ?? ?? 03 45 08 8B 96 0C 02 00 00 2B D0 52 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 03 55 08 42 8B 45 FC 8B 00 59 E8 ?? ?? ?? ?? FF 75 E4 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 58 8B 7D 08 8B 96 0C 02 00 00 2B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 3C 01 75 01 47 8D 45 E8 50 8B 8E 0C 02 00 00 2B CF BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 E4 50 8B 45 FC 8B 00 8B 4D 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 59 E8 ?? ?? ?? ?? 03 5D 08 4B 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11931_0 {
	meta:
		name = "TCustomMaskEdit.FindLiteralChar"
		size = 90
		refs = "0019 MaskGetCharType 0036 MaskIntlLiteralToChar 004b @LStrLen"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 83 CD FF EB 35 47 8B D7 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 1F 8B 96 04 02 00 00 8A 54 3A FF 3C 02 75 09 8B C2 E8 ?? ?? ?? ?? 8B D0 3A DA 75 13 8B EF EB 0F 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 3B F8 7C BC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11934_0 {
	meta:
		name = "InvalidMask"
		size = 137
		refs = "000f InvalidMask 002d @LStrToPChar 004b sInvalidMask 0050 LoadResString 005a _Dn_Exception 005f Exception.CreateFmt 0064 @RaiseExcept 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 89 45 F0 C6 45 F4 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 2B D0 42 89 55 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_11935_0 {
	meta:
		name = "Reset"
		size = 76
		refs = "001a Reset"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 C6 40 F7 00 8B 45 08 C6 40 F6 00 8B 45 08 8D 78 D6 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5F 5E 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11936_0 {
	meta:
		name = "WriteScan"
		size = 321
		refs = "0037 InvalidMask 0084 UpCase 00bf @GetMem 0137 Reset"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 8B 40 D0 8B 55 08 3B 42 CC 0F 8F 12 01 00 00 8B 45 08 80 78 F7 00 74 19 8B 45 08 FF 40 C8 8B 45 08 83 78 C8 1E 7E 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 8A 49 F7 88 0C 82 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 88 5C 82 04 80 EB 01 72 11 FE CB 74 30 FE CB 0F 84 82 00 00 00 E9 AF 00 00 00 8B 45 08 8A 40 C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 D0 8D 14 52 8B 4D 08 8B 49 C4 88 44 91 05 E9 8C 00 00 00 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 8A 49 F6 88 4C 82 05 B8 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 D0 8D 14 52 8B 4D 08 8B 49 C4 89 44 91 08 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 44 82 08 8B 55 08 8B F8 8D 72 D6 B9 08 00 00 00 F3 A5 EB 32 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 8A 49 C2 88 4C 82 05 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 8A 49 C1 88 4C 82 06 8B 45 08 FF 40 D0 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_11937_0 {
	meta:
		name = "ScanSet"
		size = 268
		refs = "0026 LeadBytes 004a InvalidMask 005c UpCase 00c3 ScanSet 00ca @SetEq 00e1 WriteScan"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 F8 FF 06 8B 06 80 38 21 75 09 8B 45 08 C6 40 F6 01 FF 06 C6 45 FF 00 EB 7E 8B 15 ?? ?? ?? ?? 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 04 FF 06 EB 65 2C 2D 75 45 80 7D FF 00 75 0C 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 4F FF 06 8A 45 FF 50 8B 06 8A 00 E8 ?? ?? ?? ?? 8B D8 58 2A D8 72 39 43 88 45 FE 8B 45 08 8A 55 FE 81 E2 FF 00 00 00 0F AB 50 D6 FE 45 FE FE CB 75 E9 EB 1C 8B 06 8A 00 E8 ?? ?? ?? ?? 88 45 FF 8B 45 08 8A 55 FF 81 E2 FF 00 00 00 0F AB 50 D6 FF 06 8B 06 8A 00 8B D0 84 D2 74 09 80 EA 5D 0F 85 6F FF FF FF 8B 06 80 38 5D 75 14 8B 45 08 83 C0 D6 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B0 02 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11938_0 {
	meta:
		name = "InitMaskStates"
		size = 184
		refs = "0017 @LStrToPChar 0029 Reset 0053 WriteScan 005c ScanSet 0065 LeadBytes"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 89 4D CC 89 55 C4 89 45 FC 8D 5D F8 8B 45 FC E8 ?? ?? ?? ?? 89 03 33 C0 89 45 D0 33 C0 89 45 C8 55 E8 ?? ?? ?? ?? 59 EB 6B 8B D0 80 EA 2A 74 0C 80 EA 15 74 0D 80 EA 1C 74 19 EB 20 C6 45 F7 01 EB 50 80 7D F7 00 75 4A 55 B0 01 E8 ?? ?? ?? ?? 59 EB 3F 55 E8 ?? ?? ?? ?? 59 EB 36 8B 15 ?? ?? ?? ?? 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 17 88 45 C2 FF 03 8B 03 8A 00 88 45 C1 55 B0 03 E8 ?? ?? ?? ?? 59 EB 0C 88 45 C3 55 33 C0 E8 ?? ?? ?? ?? 59 FF 03 8B 03 8A 00 84 C0 75 8D C6 45 C3 00 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11939_0 {
	meta:
		name = "Push"
		size = 40
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 8B 89 0C FF FF FF 8B 5D 08 8D 8C CB 10 FF FF FF 89 01 89 51 04 8B 45 08 FF 80 0C FF FF FF 5B 5D C3 }
	condition:
		$1
}

rule function_11940_0 {
	meta:
		name = "Pop"
		size = 63
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 83 B9 0C FF FF FF 00 75 05 33 C0 5B 5D C3 8B 4D 08 FF 89 0C FF FF FF 8B 4D 08 8B 89 0C FF FF FF 8B 5D 08 8D 8C CB 10 FF FF FF 8B 19 89 18 8B 41 04 89 02 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_11941_0 {
	meta:
		name = "Matches"
		size = 415
		refs = "0017 Matches 0077 @LStrFromChar 0082 UpperCase 009a @LStrCmp 00ab UpCase 00ed Push 0189 @LStrArrayClr 018f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 45 08 8B 80 08 FF FF FF 2B C2 0F 8C 39 01 00 00 40 89 45 F4 89 55 F8 8B 45 F8 8D 04 40 8B 55 08 8B 92 04 FF FF FF 8D 3C 82 8B F7 80 3E 00 0F 84 98 00 00 00 8A 46 04 2C 01 72 0B FE C8 74 3E FE C8 74 6E EB 72 43 80 3B 00 74 6C 8D 45 EC 8A 13 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8A 56 05 E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 CB EB 3B 43 80 3B 00 74 35 8A 03 E8 ?? ?? ?? ?? 8B 56 08 25 FF 00 00 00 0F A3 02 0F 92 C0 32 46 05 74 E0 EB 19 3A 46 05 74 05 83 C3 02 EB 09 43 8A 03 3A 46 06 74 07 43 8A 03 84 C0 75 E7 80 3B 00 74 10 8B 45 08 50 8D 43 01 8B 55 F8 E8 ?? ?? ?? ?? 59 8A 46 04 2C 01 72 0A FE C8 74 37 FE C8 74 4F EB 5C 8D 45 EC 8A 13 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8A 56 05 E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 41 EB 2B 8A 03 E8 ?? ?? ?? ?? 8B 56 08 25 FF 00 00 00 0F A3 02 0F 92 C0 32 46 05 74 25 EB 0F 8A 03 3A 46 05 75 1C 43 8A 03 3A 46 06 75 14 43 FF 45 F8 83 C7 0C FF 4D F4 0F 85 E0 FE FF FF C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11942_0 {
	meta:
		name = "MatchesMaskStates"
		size = 143
		refs = "003b @LStrToPChar 005b Matches 0072 Pop"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 8B D9 6B DB 03 83 C3 02 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 8D 08 FF FF FF 89 95 04 FF FF FF 8B F0 B3 01 33 C0 89 85 0C FF FF FF 8B C6 E8 ?? ?? ?? ?? 89 85 FC FE FF FF 33 C0 89 85 00 FF FF FF 55 8B 95 00 FF FF FF 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 59 84 C0 75 19 55 8D 95 00 FF FF FF 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 59 84 C0 75 D2 33 DB 8B C3 8B B5 F4 FE FF FF 8B 9D F8 FE FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule function_11943_0 {
	meta:
		name = "DoneMaskStates"
		size = 39
		refs = "001a @FreeMem"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 1C 46 8D 58 04 80 3B 02 75 0D BA 20 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 83 C3 0C 4E 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_11944_0 {
	meta:
		name = "TMask.Create"
		size = 107
		refs = "0011 @ClassCreate 0024 InitMaskStates 0036 AllocMem 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8D 55 F0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B C7 C1 E0 02 8D 04 40 E8 ?? ?? ?? ?? 89 43 04 8B 4B 08 49 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11945_0 {
	meta:
		name = "TMask.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0017 DoneMaskStates 0028 @FreeMem 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 1A 8B 56 08 4A E8 ?? ?? ?? ?? 8B 56 08 C1 E2 02 8D 14 52 8B 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11946_0 {
	meta:
		name = "TMask.Matches"
		size = 14
		refs = "0009 MatchesMaskStates"
	strings:
		$1 = { 8B 48 08 49 8B 40 04 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11947_0 {
	meta:
		name = "MatchesMask"
		size = 90
		refs = "000c _DV_TMask 0013 TMask.Create 001e MatchesMask 002e TMask.Matches 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11951_0 {
	meta:
		name = "DegToRad"
		size = 44
		refs = "000b DegToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_11952_0 {
	meta:
		name = "RadToDeg"
		size = 44
		refs = "000b RadToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_11953_0 {
	meta:
		name = "GradToRad"
		size = 44
		refs = "000b GradToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 }
	condition:
		$1
}

rule function_11954_0 {
	meta:
		name = "RadToGrad"
		size = 44
		refs = "000b RadToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_11955_0 {
	meta:
		name = "CycleToRad"
		size = 44
		refs = "000b CycleToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_11956_0 {
	meta:
		name = "RadToCycle"
		size = 44
		refs = "000b RadToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE F9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_11957_0 {
	meta:
		name = "LnXP1"
		size = 33
	strings:
		$1 = { 55 8B EC D9 ED 66 8B 45 10 DB 6D 08 66 3D FD 3F 72 08 D9 E8 DE C1 D9 F1 EB 02 D9 F9 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11958_0 {
	meta:
		name = "IntPower"
		size = 45
	strings:
		$1 = { 55 8B EC 89 C1 99 D9 E8 31 D0 29 D0 74 1A DB 6D 08 EB 02 D8 C8 D1 E8 73 FA DC C9 75 F6 DD D8 83 F9 00 7D 04 D9 E8 DE F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11959_0 {
	meta:
		name = "Compound"
		size = 44
		refs = "000b Compound 0017 IntPower"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 80 3F }
	condition:
		$1
}

rule function_11960_0 {
	meta:
		name = "Annuity2"
		size = 248
		refs = "0014 Annuity2 005b LnXP1 0068 @EXP 00a5 Compound"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B DA 8B F8 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 20 33 C0 89 06 C7 46 04 00 00 00 80 66 C7 46 08 FF 3F 89 7D F0 DB 45 F0 DB 7D F6 9B E9 97 00 00 00 DB 6D 08 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 48 66 8B 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 7D F0 DB 45 F0 DE C9 E8 ?? ?? ?? ?? DB 3E 9B 8B C7 48 89 45 F0 DB 45 F0 DB 6D 08 DE C9 D8 35 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? 89 7D EC DB 45 EC DE C9 DB 7D F6 9B EB 26 66 8B 45 10 50 FF 75 0C FF 75 08 8B C7 E8 ?? ?? ?? ?? DB 3E 9B DB 2E D8 25 ?? ?? ?? ?? DB 6D 08 DE F9 DB 7D F6 9B 80 FB 01 75 12 DB 6D 08 D8 05 ?? ?? ?? ?? DB 6D F6 DE C9 DB 7D F6 9B DB 6D F6 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 82 A9 66 D6 52 40 DA FF F0 3F 00 00 00 00 00 40 00 00 80 3F }
	condition:
		$1
}

rule function_11961_0 {
	meta:
		name = "PolyX"
		size = 244
		refs = "0082 PolyX"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F0 33 C0 89 45 F6 89 45 FA 66 89 45 FE 33 C0 89 45 EC 89 45 F0 66 89 45 F4 33 C0 89 45 E2 89 45 E6 66 89 45 EA 33 C0 89 45 D8 89 45 DC 66 89 45 E0 8B DA 83 FB 00 7C 67 8D 14 DE DB 6D 08 DB 6D E2 DE C9 DB 6D F6 DE C1 DB 7D E2 9B DB 6D F6 DB 6D 08 DE C9 DB 7D F6 9B DB 6D 08 DB 6D D8 DE C9 DB 6D EC DE C1 DB 7D D8 9B DB 6D EC DB 6D 08 DE C9 DB 7D EC 9B DD 02 D8 1D ?? ?? ?? ?? DF E0 9E 72 0B DB 6D EC DC 02 DB 7D EC 9B EB 09 DB 6D F6 DC 02 DB 7D F6 9B 4B 83 EA 08 83 FB FF 75 9C 8B 45 F6 89 01 8B 45 FA 89 41 04 66 8B 45 FE 66 89 41 08 8B 45 EC 89 41 0A 8B 45 F0 89 41 0E 66 8B 45 F4 66 89 41 12 DB 6D E2 DB 6D 08 DE C9 DB 79 14 9B DB 6D D8 DB 6D 08 DE C9 DB 79 1E 9B 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11962_0 {
	meta:
		name = "RelSmall"
		size = 49
		refs = "000d C2 0013 C1"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 D9 E1 DC 0D ?? ?? ?? ?? DC 05 ?? ?? ?? ?? DB 7D F4 9B DB 6D 14 D9 E1 DB 6D F4 DE D9 DF E0 9E 0F 97 C0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_11963_0 {
	meta:
		name = "ArcCos"
		size = 64
		refs = "0010 ArcCos 0029 ArcTan2"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 6D 08 DE C9 D8 2D ?? ?? ?? ?? D9 FA 83 C4 F4 DB 3C 24 9B 66 8B 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_11964_0 {
	meta:
		name = "ArcSin"
		size = 64
		refs = "001b ArcSin 0029 ArcTan2"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 8B 45 10 50 FF 75 0C FF 75 08 DB 6D 08 DB 6D 08 DE C9 D8 2D ?? ?? ?? ?? D9 FA 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_11965_0 {
	meta:
		name = "ArcTan2"
		size = 16
	strings:
		$1 = { 55 8B EC DB 6D 14 DB 6D 08 D9 F3 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_11966_0 {
	meta:
		name = "Tan"
		size = 15
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 F2 DD D8 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11967_0 {
	meta:
		name = "Cotan"
		size = 15
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 F2 DE F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11968_0 {
	meta:
		name = "Hypot"
		size = 56
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 E1 DB 6D 14 D9 E1 D8 D1 DF E0 F6 C4 45 75 02 D9 C9 D9 EE D8 D9 DF E0 F6 C4 40 74 04 DD D8 EB 0C D8 F1 D8 C8 D9 E8 DE C1 D9 FA DE C9 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_11969_0 {
	meta:
		name = "SinCos"
		size = 17
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 FB DB 3A DB 38 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11970_0 {
	meta:
		name = "Frexp"
		size = 48
	strings:
		$1 = { 55 8B EC DB 6D 08 50 C7 02 00 00 00 00 D9 E4 9B DF E0 9B 9E 74 12 D9 F4 D9 C9 DB 1A D9 E8 D9 E0 D9 C9 D9 FD FF 02 DD D9 58 DB 38 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11971_0 {
	meta:
		name = "Ldexp"
		size = 20
	strings:
		$1 = { 55 8B EC 50 DB 04 24 DB 6D 08 D9 FD 58 DD D9 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11972_0 {
	meta:
		name = "Ceil"
		size = 48
		refs = "0008 @TRUNC 0012 @FRAC 0018 Ceil"
	strings:
		$1 = { 55 8B EC 53 DB 6D 08 E8 ?? ?? ?? ?? 8B D8 DB 6D 08 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 76 01 43 8B C3 5B 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11973_0 {
	meta:
		name = "Floor"
		size = 48
		refs = "0008 @TRUNC 0012 @FRAC 0018 Floor"
	strings:
		$1 = { 55 8B EC 53 DB 6D 08 E8 ?? ?? ?? ?? 8B D8 DB 6D 08 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 73 01 4B 8B C3 5B 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_11974_0 {
	meta:
		name = "Log10"
		size = 15
	strings:
		$1 = { 55 8B EC D9 EC DB 6D 08 D9 F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11975_0 {
	meta:
		name = "Log2"
		size = 15
	strings:
		$1 = { 55 8B EC D9 E8 DB 6D 08 D9 F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_11976_0 {
	meta:
		name = "LogN"
		size = 24
	strings:
		$1 = { 55 8B EC D9 E8 DB 6D 08 D9 F1 D9 E8 DB 6D 14 D9 F1 DE F9 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_11977_0 {
	meta:
		name = "Poly"
		size = 56
	strings:
		$1 = { 55 8B EC 83 C4 F4 DD 04 D0 DB 7D F6 9B 8B CA 49 83 F9 00 7C 1A 8D 14 C8 DB 6D F6 DB 6D 08 DE C9 DC 02 DB 7D F6 9B 49 83 EA 08 83 F9 FF 75 E9 DB 6D F6 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11978_0 {
	meta:
		name = "Power"
		size = 200
		refs = "000b Power 0059 @FRAC 0089 @TRUNC 008e IntPower 00a7 @EXP"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 17 33 C0 89 45 F6 C7 45 FA 00 00 00 80 66 C7 45 FE FF 3F E9 84 00 00 00 DB 6D 14 D8 1D ?? ?? ?? ?? DF E0 9E 75 1C DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 0E 33 C0 89 45 F6 89 45 FA 66 89 45 FE EB 5A DB 6D 08 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 75 30 DB 6D 08 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 72 1E 66 8B 45 1C 50 FF 75 18 FF 75 14 DB 6D 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 7D F6 9B EB 17 DB 6D 14 D9 ED D9 C9 D9 F1 DB 6D 08 DE C9 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 18 00 00 00 00 00 00 00 00 00 FE FF FF FF 1D 40 00 00 }
	condition:
		$1
}

rule function_11979_0 {
	meta:
		name = "CoshSinh"
		size = 52
		refs = "000a @EXP 0010 CoshSinh"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 10 E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 DC 7D 08 DB 6D F6 DE C1 DB 7D F6 9B DB 6D F6 8B E5 5D C2 14 00 00 00 00 40 }
	condition:
		$1
}

rule function_11980_0 {
	meta:
		name = "Cosh"
		size = 42
		refs = "0019 CoshSinh"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 8B 45 10 50 FF 75 0C FF 75 08 68 00 00 D0 3F 6A 00 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11981_0 {
	meta:
		name = "Sinh"
		size = 42
		refs = "0019 CoshSinh"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 8B 45 10 50 FF 75 0C FF 75 08 68 00 00 D0 BF 6A 00 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11982_0 {
	meta:
		name = "Tanh"
		size = 164
		refs = "000b Tanh 0052 @EXP"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 14 33 C0 89 45 F6 C7 45 FA 00 00 00 80 66 C7 45 FE FF 3F EB 54 DB 6D 08 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 14 33 C0 89 45 F6 C7 45 FA 00 00 00 80 66 C7 45 FE FF BF EB 30 DB 6D 08 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 DB 6D F6 DE C9 DB 7D F6 9B DB 6D F6 D8 25 ?? ?? ?? ?? DB 6D F6 D8 05 ?? ?? ?? ?? DE F9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 B5 94 A2 26 AB C7 71 B1 0B 40 00 00 B5 94 A2 26 AB C7 71 B1 0B C0 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_11983_0 {
	meta:
		name = "ArcCosh"
		size = 152
		refs = "000b ArcCosh"
	strings:
		$1 = { 55 8B EC 83 C4 E8 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 77 0E 33 C0 89 45 F6 89 45 FA 66 89 45 FE EB 57 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 24 DB 2D ?? ?? ?? ?? D9 ED D9 C9 D9 F1 DB 7D E8 9B DB 6D 08 D9 ED D9 C9 D9 F1 DB 6D E8 DE C1 DB 7D F6 9B EB 25 DB 6D 08 D8 25 ?? ?? ?? ?? DB 6D 08 D8 05 ?? ?? ?? ?? DE C9 D9 FA DB 6D 08 DE C1 D9 ED D9 C9 D9 F1 DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 00 00 80 3F F9 02 15 50 00 00 00 00 00 00 00 80 00 40 00 00 }
	condition:
		$1
}

rule function_11984_0 {
	meta:
		name = "ArcSinh"
		size = 216
		refs = "000c ArcSinh 009f LnXP1"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 11 33 C0 89 45 F6 89 45 FA 66 89 45 FE E9 8E 00 00 00 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 92 C3 DB 6D 08 D9 E1 DB 7D 08 9B DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 24 DB 2D ?? ?? ?? ?? D9 ED D9 C9 D9 F1 DB 7D E8 9B DB 6D 08 D9 ED D9 C9 D9 F1 DB 6D E8 DE C1 DB 7D F6 9B EB 37 DB 6D 08 DB 6D 08 DE C9 DB 7D F6 9B DB 6D F6 D8 05 ?? ?? ?? ?? D9 FA D8 05 ?? ?? ?? ?? DB 6D F6 DE F1 DB 6D 08 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F6 9B 84 DB 74 09 DB 6D F6 D9 E0 DB 7D F6 9B DB 6D F6 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 F9 02 15 50 00 00 00 00 00 00 00 80 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_11985_0 {
	meta:
		name = "ArcTanh"
		size = 176
		refs = "000c ArcTanh 007b LnXP1"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 F6 89 45 FA 66 89 45 FE EB 73 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 0F 92 C3 DB 6D 08 D9 E1 DB 7D 08 9B DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 72 16 C7 45 F6 E1 75 58 7F C7 45 FA ED 2A B1 EC 66 C7 45 FE FE 7F EB 2A DB 6D 08 D8 0D ?? ?? ?? ?? DB 6D 08 D8 2D ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D F6 9B 84 DB 74 09 DB 6D F6 D9 E0 DB 7D F6 9B DB 6D F6 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 80 3F 00 00 00 40 00 00 00 3F }
	condition:
		$1
}

rule function_11986_0 {
	meta:
		name = "Mean"
		size = 45
		refs = "000e Sum"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 43 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12005_0 {
	meta:
		name = "PopnVariance"
		size = 45
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 43 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_11987_0 {
	meta:
		name = "MinValue"
		size = 58
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B CA 85 C9 7E 1F 8D 50 08 DD 04 24 DC 1A DF E0 9E 76 0C 8B 02 89 04 24 8B 42 04 89 44 24 04 83 C2 08 49 75 E4 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_11988_0 {
	meta:
		name = "MinIntValue"
		size = 28
	strings:
		$1 = { 56 8B 08 85 D2 7E 11 83 C0 04 8B 30 3B CE 7E 02 8B CE 83 C0 04 4A 75 F2 8B C1 5E C3 }
	condition:
		$1
}

rule function_11989_0 {
	meta:
		name = "Min"
		size = 7
	strings:
		$1 = { 3B D0 7F 02 8B C2 C3 }
	condition:
		$1
}

rule function_11990_0 {
	meta:
		name = "Min"
		size = 64
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 73 12 EB 02 7D 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_11991_0 {
	meta:
		name = "Min"
		size = 37
	strings:
		$1 = { 55 8B EC 51 D9 45 0C D8 5D 08 DF E0 9E 73 08 8B 45 0C 89 45 FC EB 06 8B 45 08 89 45 FC D9 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11992_0 {
	meta:
		name = "Min"
		size = 52
		altNames = "MinDouble"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 10 DC 5D 08 DF E0 9E 73 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_11993_0 {
	meta:
		name = "Min"
		size = 70
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 14 DB 6D 08 DE D9 DF E0 9E 76 16 8B 45 14 89 45 F6 8B 45 18 89 45 FA 66 8B 45 1C 66 89 45 FE EB 14 8B 45 08 89 45 F6 8B 45 0C 89 45 FA 66 8B 45 10 66 89 45 FE DB 6D F6 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_11994_0 {
	meta:
		name = "MaxValue"
		size = 58
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B CA 85 C9 7E 1F 8D 50 08 DD 04 24 DC 1A DF E0 9E 73 0C 8B 02 89 04 24 8B 42 04 89 44 24 04 83 C2 08 49 75 E4 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_11995_0 {
	meta:
		name = "MaxIntValue"
		size = 28
	strings:
		$1 = { 56 8B 08 85 D2 7E 11 83 C0 04 8B 30 3B CE 7D 02 8B CE 83 C0 04 4A 75 F2 8B C1 5E C3 }
	condition:
		$1
}

rule function_11997_0 {
	meta:
		name = "Max"
		size = 64
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 76 12 EB 02 7E 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_11998_0 {
	meta:
		name = "Max"
		size = 37
	strings:
		$1 = { 55 8B EC 51 D9 45 0C D8 5D 08 DF E0 9E 76 08 8B 45 0C 89 45 FC EB 06 8B 45 08 89 45 FC D9 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11999_0 {
	meta:
		name = "Max"
		size = 52
		altNames = "MaxDouble"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 10 DC 5D 08 DF E0 9E 76 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_12000_0 {
	meta:
		name = "Max"
		size = 70
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 14 DB 6D 08 DE D9 DF E0 9E 73 16 8B 45 14 89 45 F6 8B 45 18 89 45 FA 66 8B 45 1C 66 89 45 FE EB 14 8B 45 08 89 45 F6 8B 45 0C 89 45 FA 66 8B 45 10 66 89 45 FE DB 6D F6 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_12001_0 {
	meta:
		name = "MeanAndStdDev"
		size = 132
		refs = "0032 Sum"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8B C6 83 E8 00 40 89 45 F0 83 7D F0 01 75 0F DD 03 DB 3F 9B DD 03 8B 45 08 DB 38 9B EB 4E 8B C3 8B D6 E8 ?? ?? ?? ?? DB 45 F0 DE F9 DB 3F 9B 33 C0 89 45 F6 89 45 FA 66 89 45 FE 85 F6 7C 16 46 DB 2F DC 23 D8 C8 DB 6D F6 DE C1 DB 7D F6 9B 83 C3 08 4E 75 EB 8B 45 F0 48 89 45 EC DB 45 EC DB 6D F6 DE F1 D9 FA 8B 45 08 DB 38 9B 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12002_0 {
	meta:
		name = "MomentSkewKurtosis"
		size = 412
		refs = "001c MomentSkewKurtosis 0158 Power"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B F1 89 45 FC 8B C2 83 E8 00 40 89 45 9C DB 45 9C D8 3D ?? ?? ?? ?? DB 7D CA 9B 33 C0 89 45 F2 89 45 F6 66 89 45 FA 33 C0 89 45 E8 89 45 EC 66 89 45 F0 33 C0 89 45 DE 89 45 E2 66 89 45 E6 33 C0 89 45 D4 89 45 D8 66 89 45 DC 8B FA 85 FF 7C 4A 47 8B 5D FC DB 6D F2 DC 03 DB 7D F2 9B DD 03 D8 C8 DB 7D C0 9B DB 6D E8 DB 6D C0 DE C1 DB 7D E8 9B DB 6D C0 DC 0B DB 7D C0 9B DB 6D DE DB 6D C0 DE C1 DB 7D DE 9B DB 6D C0 DC 0B DB 6D D4 DE C1 DB 7D D4 9B 83 C3 08 4F 75 BA DB 6D F2 DB 6D CA DE C9 DB 3E 9B DB 2E D8 C8 DB 7D B6 9B DB 6D E8 DB 6D CA DE C9 DB 7D AC 9B DB 6D DE DB 6D CA DE C9 DB 7D A2 9B DB 6D AC DB 6D B6 DE E9 8B 45 18 DB 38 9B DB 2E D8 0D ?? ?? ?? ?? DB 6D AC DE C9 DB 6D A2 DE E1 DB 6D B6 D8 0D ?? ?? ?? ?? DB 2E DE C9 DE C1 8B 45 14 DB 38 9B DB 6D B6 D8 C8 D8 0D ?? ?? ?? ?? DB 6D B6 D8 0D ?? ?? ?? ?? DB 6D AC DE C9 DE E1 DB 6D D4 DB 6D CA DE C9 DB 2E D8 0D ?? ?? ?? ?? DB 6D A2 DE C9 DE E9 DE C1 8B 45 10 DB 38 9B 8B 45 18 66 8B 50 08 52 FF 70 04 FF 30 68 FF BF 00 00 68 00 00 00 C0 6A 00 E8 ?? ?? ?? ?? 8B 45 14 DB 28 DE C9 8B 45 0C DB 38 9B 8B 45 18 DB 28 D8 C8 8B 45 10 DB 28 DE F1 8B 45 08 DB 38 9B 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 00 80 3F 00 00 40 40 00 00 00 40 00 00 C0 40 00 00 80 40 }
	condition:
		$1
}

rule function_12003_0 {
	meta:
		name = "Norm"
		size = 33
		refs = "000e SumOfSquares"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? D9 FA DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_12004_0 {
	meta:
		name = "PopnStdDev"
		size = 33
		refs = "000e PopnVariance"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? D9 FA DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_12007_0 {
	meta:
		name = "StdDev"
		size = 33
		refs = "000e Variance"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? D9 FA DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_12006_0 {
	meta:
		name = "RandG"
		size = 140
		refs = "0007 @RandExt 000d RandG"
	strings:
		$1 = { 55 8B EC 83 C4 D4 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D EC 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? D8 C8 DB 7D D4 9B DB 6D EC D8 C8 DB 6D D4 DE C1 DB 7D E2 9B DB 6D E2 D8 1D ?? ?? ?? ?? DF E0 9E 73 B8 DB 6D E2 D9 ED D9 C9 D9 F1 D8 0D ?? ?? ?? ?? DB 6D E2 DE F9 D9 FA DB 6D EC DE C9 DB 6D 08 DE C9 DB 6D 14 DE C1 DB 7D F6 9B DB 6D F6 8B E5 5D C2 18 00 00 00 00 40 00 00 80 3F 00 00 00 C0 }
	condition:
		$1
}

rule function_12008_0 {
	meta:
		name = "SumInt"
		size = 85
		refs = "0013 SumInt 002d RaiseOverflowError"
	strings:
		$1 = { 53 89 C1 89 D3 31 C0 83 E2 FC 83 E3 03 C1 E2 02 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 44 11 0C 0F 80 ?? ?? ?? ?? 03 44 11 08 0F 80 ?? ?? ?? ?? 03 44 11 04 0F 80 ?? ?? ?? ?? 03 04 11 0F 80 ?? ?? ?? ?? 83 EA 10 79 D4 5B C3 }
	condition:
		$1
}

rule function_12010_0 {
	meta:
		name = "Sum"
		size = 78
		refs = "0016 Sum"
	strings:
		$1 = { D9 EE 89 D1 D9 C0 83 E2 FC D9 C0 83 E1 03 D9 C0 C1 E2 03 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DC 44 10 18 D9 CB DC 44 10 10 D9 CA DC 44 10 08 D9 C9 DC 04 10 D9 CA 83 EA 20 79 E4 DE C3 DE C1 DE C1 9B C3 }
	condition:
		$1
}

rule function_12011_0 {
	meta:
		name = "SumOfSquares"
		size = 56
	strings:
		$1 = { 53 56 83 C4 F4 33 C9 89 0C 24 89 4C 24 04 66 89 4C 24 08 8B F2 85 F6 7C 16 46 8B D8 DD 03 D8 C8 DB 2C 24 DE C1 DB 3C 24 9B 83 C3 08 4E 75 ED DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_12012_0 {
	meta:
		name = "SumsAndSquares"
		size = 115
		refs = "001a SumsAndSquares"
	strings:
		$1 = { 55 8B EC D9 EE 51 89 D1 D9 C0 83 E2 FC D9 C0 83 E1 03 D9 C0 C1 E2 03 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE C1 DD 44 10 18 DC C3 D8 C8 DD 44 10 10 DC C4 D8 C8 D9 C9 DE C3 DD 44 10 08 DC C4 D8 C8 D9 C9 DE C3 DD 04 10 DC C4 D8 C8 D9 C9 DE C3 83 EA 20 79 CE DE C1 59 DE C1 D9 C9 8B 45 08 DB 39 DB 38 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_12013_0 {
	meta:
		name = "TotalVariance"
		size = 60
		refs = "0012 SumsAndSquares"
	strings:
		$1 = { 53 83 C4 DC 8B DA 8D 54 24 14 52 8D 4C 24 0E 8B D3 E8 ?? ?? ?? ?? DB 6C 24 0A D8 C8 83 EB 00 43 89 5C 24 20 DB 44 24 20 DE F9 DB 6C 24 14 DE E1 DB 3C 24 9B DB 2C 24 83 C4 24 5B C3 }
	condition:
		$1
}

rule function_12014_0 {
	meta:
		name = "Variance"
		size = 44
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12015_0 {
	meta:
		name = "DoubleDecliningBalance"
		size = 244
		refs = "0071 DoubleDecliningBalance 008d IntPower"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B DA 8B D0 33 C0 89 45 F6 89 45 FA 66 89 45 FE 83 FB 01 0F 8C BE 00 00 00 3B DA 0F 8F B6 00 00 00 83 FA 01 0F 8C AD 00 00 00 DB 6D 14 DB 6D 08 DE D9 DF E0 9E 0F 83 9C 00 00 00 83 FA 02 7F 22 4B 75 11 DB 6D 14 DB 6D 08 DE E9 DB 7D F6 9B E9 83 00 00 00 33 C0 89 45 F6 89 45 FA 66 89 45 FE EB 75 89 55 DC DB 45 DC D8 3D ?? ?? ?? ?? DB 7D E2 9B DB 6D E2 D8 2D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 48 E8 ?? ?? ?? ?? DB 6D 14 DE C9 DB 7D EC 9B DB 6D E2 DB 6D EC DE C9 DB 7D F6 9B DB 6D EC DB 6D 08 DE E9 DB 6D F6 DE D9 DF E0 9E 76 0C DB 6D EC DB 6D 08 DE E9 DB 7D F6 9B DB 6D F6 D8 1D ?? ?? ?? ?? DF E0 9E 73 0C 33 C0 89 45 F6 89 45 FA 66 89 45 FE DB 6D F6 5B 8B E5 5D C2 18 00 00 00 00 40 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_12016_0 {
	meta:
		name = "SLNDepreciation"
		size = 80
		refs = "000f SLNDepreciation 0014 ArgError"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 83 FB 01 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 14 DB 6D 08 DE E9 89 5D F0 DB 45 F0 DE F9 DB 7D F6 9B DB 6D F6 5B 8B E5 5D C2 18 00 00 00 FF FF FF FF 0F 00 00 00 53 4C 4E 44 65 70 72 65 63 69 61 74 69 6F 6E 00 }
	condition:
		$1
}

rule function_12017_0 {
	meta:
		name = "SYDDepreciation"
		size = 105
	strings:
		$1 = { 55 8B EC 83 C4 DC 8B C8 33 C0 89 45 F6 89 45 FA 66 89 45 FE 83 FA 01 7C 47 3B D1 7F 43 DB 6D 14 DB 6D 08 DE D9 DF E0 9E 73 36 8B C1 2B C2 40 03 C0 89 45 DC DB 45 DC DB 7D EC 9B 8D 41 01 F7 E9 89 45 DC DB 45 DC DB 7D E2 9B DB 6D 14 DB 6D 08 DE E9 DB 6D EC DE C9 DB 6D E2 DE F9 DB 7D F6 9B DB 6D F6 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_12018_0 {
	meta:
		name = "ConditionP"
		size = 96
		refs = "0015 ConditionP"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 EB 01 4A 85 D2 7C 0E DD 04 D3 D8 1D ?? ?? ?? ?? DF E0 9E 73 ED 42 85 D2 7E 2F 33 C0 89 45 F8 89 45 FC 33 C9 3B D1 7E 21 DD 45 F8 DC 04 CB DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? DF E0 9E 72 04 33 D2 EB 05 41 3B D1 7F DF 8B C2 5B 59 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12019_0 {
	meta:
		name = "InternalRateOfReturn"
		size = 396
		refs = "0023 ConditionP 002e InternalRateOfReturn 0033 ArgError 005f LnXP1 0080 @EXP 0093 PolyX 0125 RelSmall"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 55 FC 8B F8 8D 75 B6 33 C0 89 45 F2 89 45 F6 66 89 45 FA 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 30 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D9 E0 DB 7D E8 9B EB 0C 33 C0 89 45 E8 89 45 EC 66 89 45 F0 BB 0F 00 00 00 DB 6D E8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B CE 8B C7 8B 55 FC E8 ?? ?? ?? ?? DB 6E 0A DB 2E DE D9 DF E0 9E 72 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 2E D8 1D ?? ?? ?? ?? DF E0 9E 73 0E DB 6E 0A D8 1D ?? ?? ?? ?? DF E0 9E 77 14 33 C0 89 45 F2 C7 45 F6 00 00 00 80 66 C7 45 FA FF BF EB 78 DB 2E D9 E0 DB 6E 0A DE F9 D9 ED D9 C9 D9 F1 DB 6E 14 DB 2E DE F9 DB 6E 1E DB 6E 0A DE F9 DE E9 DE F9 DB 7D DE 9B DB 6D E8 DB 6D DE DE E9 DB 7D E8 9B 66 8B 45 E6 50 FF 75 E2 FF 75 DE 66 8B 45 F0 50 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? 84 C0 74 16 DB 6D E8 D9 E0 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D F2 9B EB 11 4B 0F 85 32 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D F2 5F 5E 5B 8B E5 5D C2 0C 00 FF FF FF FF 14 00 00 00 49 6E 74 65 72 6E 61 6C 52 61 74 65 4F 66 52 65 74 75 72 6E 00 00 00 00 00 00 80 BF 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_12020_0 {
	meta:
		name = "NetPresentValue"
		size = 164
		refs = "0014 NetPresentValue 0023 ArgError"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 88 4D FF 8B F2 8B D8 DB 6D 08 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 08 D8 05 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D EA 9B 33 C0 89 45 F4 89 45 F8 66 89 45 FC 8B D6 83 FA 00 7C 1A 8D 04 D3 DB 6D EA DB 6D F4 DE C9 DC 00 DB 7D F4 9B 4A 83 E8 08 83 FA FF 75 E9 80 7D FF 00 75 0C DB 6D EA DB 6D F4 DE C9 DB 7D F4 9B DB 6D F4 5E 5B 8B E5 5D C2 0C 00 00 00 80 BF FF FF FF FF 0F 00 00 00 4E 65 74 50 72 65 73 65 6E 74 56 61 6C 75 65 00 00 00 80 3F }
	condition:
		$1
}

rule function_12021_0 {
	meta:
		name = "PaymentParts"
		size = 200
		refs = "0014 PaymentParts 0023 ArgError 0036 Compound 0051 Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D9 8B F2 8B F8 DB 6D 24 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 2C 50 FF 75 28 FF 75 24 8B C7 48 E8 ?? ?? ?? ?? DB 7D E2 9B 66 8B 45 2C 50 FF 75 28 FF 75 24 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D D8 9B DB 6D E2 D8 25 ?? ?? ?? ?? DB 6D 0C DE C9 DB 6D EC DB 6D E2 DE E9 DB 6D 18 DE C9 DE E9 DB 6D D8 DE F9 8B 45 08 DB 38 9B DB 6D 0C D9 E0 DB 6D 18 DE E9 DB 6D E2 DE C9 DB 6D D8 DE F9 DB 7D F6 9B DB 6D F6 5F 5E 5B 8B E5 5D C2 28 00 00 00 00 00 00 80 BF FF FF FF FF 0C 00 00 00 50 61 79 6D 65 6E 74 50 61 72 74 73 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_12022_0 {
	meta:
		name = "FutureValue"
		size = 160
		refs = "0011 FutureValue 0020 ArgError 0037 Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 8D 4D E2 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D EC 9B DB 6D E2 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 14 D9 E0 DB 6D EC DE C9 DB 6D 08 DB 6D E2 DE C9 DE E9 DB 7D F6 9B DB 6D F6 5E 5B 8B E5 5D C2 24 00 00 00 80 BF FF FF FF FF 0B 00 00 00 46 75 74 75 72 65 56 61 6C 75 65 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 }
	condition:
		$1
}

rule function_12023_0 {
	meta:
		name = "InterestPayment"
		size = 180
		refs = "0014 InterestPayment 002c ArgError 003f Compound 005a Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D9 8B F2 8B F8 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 76 09 83 FF 01 7C 04 3B F7 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 8B C7 48 E8 ?? ?? ?? ?? DB 7D EC 9B 66 8B 45 28 50 FF 75 24 FF 75 20 8D 4D E2 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D D8 9B DB 6D EC D8 25 ?? ?? ?? ?? DB 6D 08 DE C9 DB 6D E2 DB 6D EC DE E9 DB 6D 14 DE C9 DE E9 DB 6D D8 DE F9 DB 7D F6 9B DB 6D F6 5F 5E 5B 8B E5 5D C2 24 00 00 00 80 BF FF FF FF FF 0F 00 00 00 49 6E 74 65 72 65 73 74 50 61 79 6D 65 6E 74 00 00 00 80 3F }
	condition:
		$1
}

rule function_12024_0 {
	meta:
		name = "LostPrecision"
		size = 32
	strings:
		$1 = { 55 8B EC 31 C0 66 8B 5D 10 40 81 E3 F0 7F 00 00 74 0A 81 FB F0 7F 00 00 74 02 31 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_12025_0 {
	meta:
		name = "InterestRate"
		size = 812
		refs = "001e InterestRate 0023 ArgError 0168 @EXP 01a5 LnXP1 02c2 RelSmall"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 8B DA 8B F8 33 C0 89 45 F6 89 45 FA 66 89 45 FE 85 FF 7F 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 20 89 45 C4 8B 45 24 89 45 C8 66 8B 45 28 66 89 45 CC 84 DB 75 22 8B 45 14 89 45 EC 8B 45 18 89 45 F0 66 8B 45 1C 66 89 45 F4 DB 6D 08 DB 6D 20 DE C1 DB 7D E2 9B EB 20 DB 6D 14 DB 6D 20 DE C1 DB 7D EC 9B 8B 45 08 89 45 E2 8B 45 0C 89 45 E6 66 8B 45 10 66 89 45 EA 8B 45 EC 89 45 CE 8B 45 F0 89 45 D2 66 8B 45 F4 66 89 45 D6 8B 45 E2 89 45 BA 8B 45 E6 89 45 BE 66 8B 45 EA 66 89 45 C2 33 DB DB 6D CE DB 6D 20 DE C9 D8 1D ?? ?? ?? ?? DF E0 9E 76 3E B3 01 8B 45 CE 89 45 B0 8B 45 D2 89 45 B4 66 8B 45 D6 66 89 45 B8 8B 45 BA 89 45 CE 8B 45 BE 89 45 D2 66 8B 45 C2 66 89 45 D6 8B 45 B0 89 45 BA 8B 45 B4 89 45 BE 66 8B 45 B8 66 89 45 C2 DB 6D CE D8 1D ?? ?? ?? ?? DF E0 9E 76 1B DB 6D CE D9 E0 DB 7D CE 9B DB 6D C4 D9 E0 DB 7D C4 9B DB 6D BA D9 E0 DB 7D BA 9B DB 6D CE D8 1D ?? ?? ?? ?? DF E0 9E 74 0E DB 6D BA D8 1D ?? ?? ?? ?? DF E0 9E 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 B0 89 45 B4 66 89 45 B8 BE 0F 00 00 00 89 7D 8C DB 45 8C DB 6D B0 DE C9 E8 ?? ?? ?? ?? DB 7D 9C 9B DB 6D 9C D8 05 ?? ?? ?? ?? DB 6D 9C DE D9 DF E0 9E 75 3C DB 6D C4 D9 E0 DB 6D CE DE F9 DB 7D F6 9B 84 DB 0F 84 63 01 00 00 66 8B 45 FE 50 FF 75 FA FF 75 F6 E8 ?? ?? ?? ?? D9 E0 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D F6 9B E9 3D 01 00 00 DB 6D B0 E8 ?? ?? ?? ?? DB 7D A6 9B DB 6D A6 D8 25 ?? ?? ?? ?? DB 7D 92 9B DB 6D 92 D8 1D ?? ?? ?? ?? DF E0 9E 75 24 89 7D 8C DB 45 8C DB 7D EC 9B DB 6D EC D8 25 ?? ?? ?? ?? DB 6D EC DE C9 D8 35 ?? ?? ?? ?? DB 7D E2 9B EB 4A 8B C7 48 89 45 8C DB 45 8C DB 6D B0 DE C9 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 6D A6 DE C9 DB 6D 92 DE F9 DB 7D EC 9B 89 7D 8C DB 45 8C DB 6D 9C DE C9 DB 6D A6 DE E9 DB 6D EC DB 6D A6 DE C9 DE E9 DB 6D 92 DE F9 DB 7D E2 9B DB 6D C4 DB 6D EC DE C9 DB 6D BA DB 6D 9C DE C9 DE C1 DB 7D D8 9B DB 6D CE D9 E0 DB 6D D8 DE F1 D9 ED D9 C9 D9 F1 DB 6D C4 DB 6D E2 DE C9 89 7D 8C DB 45 8C DB 6D BA DE C9 DB 6D 9C DE C9 DE C1 DB 6D D8 DE F9 DE F9 DB 7D E2 9B DB 6D B0 DB 6D E2 DE E9 DB 7D B0 9B 66 8B 45 EA 50 FF 75 E6 FF 75 E2 66 8B 45 B8 50 FF 75 B4 FF 75 B0 E8 ?? ?? ?? ?? 84 C0 74 21 84 DB 75 09 DB 6D B0 D9 E0 DB 7D B0 9B DB 6D B0 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D F6 9B EB 11 4E 0F 85 6A FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D F6 5F 5E 5B 8B E5 5D C2 24 00 FF FF FF FF 0C 00 00 00 49 6E 74 65 72 65 73 74 52 61 74 65 00 00 00 00 00 00 00 00 00 00 80 3F 00 00 00 40 }
	condition:
		$1
}

rule function_12026_0 {
	meta:
		name = "NumberOfPeriods"
		size = 308
		refs = "000e NumberOfPeriods 001d ArgError 00c4 LnXP1"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 8B D8 DB 6D 2C D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 FB 01 75 12 DB 6D 2C D8 05 ?? ?? ?? ?? DB 6D 20 DE C9 DB 7D 20 9B DB 6D 14 DB 6D 2C DE C9 DB 6D 20 DE C1 DB 7D EC 9B DB 6D EC D8 1D ?? ?? ?? ?? DF E0 9E 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 2C D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 15 DB 6D 14 DB 6D 08 DE C1 D9 E0 DB 6D EC DE F9 DB 7D F6 9B EB 5D DB 6D 14 DB 6D 08 DE C1 D9 E0 DB 6D 2C DE C9 DB 6D EC DE F9 DB 7D E2 9B DB 6D E2 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 EA 50 FF 75 E6 FF 75 E2 E8 ?? ?? ?? ?? DB 7D D4 9B 66 8B 45 34 50 FF 75 30 FF 75 2C E8 ?? ?? ?? ?? DB 6D D4 DE F1 DB 7D F6 9B 8B 45 F6 89 45 F6 8B 45 FA 89 45 FA 66 8B 45 FE 66 89 45 FE DB 6D F6 5B 8B E5 5D C2 30 00 00 00 00 80 BF FF FF FF FF 0F 00 00 00 4E 75 6D 62 65 72 4F 66 50 65 72 69 6F 64 73 00 00 00 80 3F 00 00 00 00 82 A9 66 D6 52 40 DA FF F0 3F 00 00 }
	condition:
		$1
}

rule function_12027_0 {
	meta:
		name = "Payment"
		size = 192
		refs = "0011 Payment 0020 ArgError 0037 Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 8D 4D E2 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D EC 9B DB 6D E2 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 27 DB 6D 14 D9 E0 DB 6D 20 DE C9 33 C0 8A C3 89 45 DC DB 45 DC DB 6D 20 DE C9 D8 05 ?? ?? ?? ?? DE F9 DB 7D F6 9B EB 18 DB 6D 14 D9 E0 DB 6D E2 DE C9 DB 6D 08 DE E9 DB 6D EC DE F9 DB 7D F6 9B DB 6D F6 5E 5B 8B E5 5D C2 24 00 00 00 00 00 00 80 BF FF FF FF FF 07 00 00 00 50 61 79 6D 65 6E 74 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_12028_0 {
	meta:
		name = "PeriodPayment"
		size = 140
		refs = "0014 PeriodPayment 002c ArgError 005c PaymentParts"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 8B F2 8B F8 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 76 09 83 FF 01 7C 04 3B F7 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 66 8B 45 1C 50 FF 75 18 FF 75 14 66 8B 45 10 50 FF 75 0C FF 75 08 8D 45 EC 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 5F 5E 5B 8B E5 5D C2 24 00 00 00 80 BF FF FF FF FF 0D 00 00 00 50 65 72 69 6F 64 50 61 79 6D 65 6E 74 00 00 00 }
	condition:
		$1
}

rule function_12029_0 {
	meta:
		name = "PresentValue"
		size = 188
		refs = "0011 PresentValue 0020 ArgError 0037 Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 28 50 FF 75 24 FF 75 20 8D 4D E2 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D EC 9B DB 6D E2 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 21 DB 6D 14 DB 6D 20 DE F9 33 C0 8A C3 89 45 DC DB 45 DC DE C9 DB 6D 14 DE C9 D9 E0 DB 7D F6 9B EB 18 DB 6D 14 D9 E0 DB 6D EC DE C9 DB 6D 08 DE E9 DB 6D E2 DE F9 DB 7D F6 9B DB 6D F6 5E 5B 8B E5 5D C2 24 00 00 00 00 80 BF FF FF FF FF 0C 00 00 00 50 72 65 73 65 6E 74 56 61 6C 75 65 00 00 00 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 }
	condition:
		$1
}

rule function_12036_0 {
	meta:
		name = "_NF__CF"
		size = 343
		refs = "0007 TDispatchProvider.InterfaceSupportsErrorInfo 0011 TInterfacedObject.QueryInterface 001b TInterfacedObject._AddRef 0025 TInterfacedObject._Release 002f TDispatchProvider.Get_Data 0039 TDispatchProvider.ApplyUpdates 0043 TDispatchProvider.GetMetaData 004d TDispatchProvider.GetRecords 0057 TDispatchProvider.DataRequest 0061 TDispatchProvider.Get_Constraints 006b TDispatchProvider.Set_Constraints 0075 TDispatchProvider.Reset 007f TDispatchProvider.SetParams 0089 TDispatchProvider.GetTypeInfoCount 0093 TDispatchProvider.GetTypeInfo 009d TDispatchProvider.GetIDsOfNames 00a7 TDispatchProvider.Invoke 00cb _NF__CF"
	strings:
		$1 = { CC 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 60 3D 0B DF 8F 54 1B 10 8E 65 08 00 2B 2B D1 19 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12037_0 {
	meta:
		name = "TDispatchProvider.Create"
		size = 72
		refs = "000e @ClassCreate 0025 @IntfCopy 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 FC 83 C0 0C 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_12038_0 {
	meta:
		name = "TDispatchProvider.GetTypeInfoCount"
		size = 31
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 8B 45 08 8B 40 0C 50 8B 00 FF 50 0C 89 45 FC 8B 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12039_0 {
	meta:
		name = "TDispatchProvider.GetTypeInfo"
		size = 39
	strings:
		$1 = { 55 8B EC 51 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 8B 40 0C 50 8B 00 FF 50 10 89 45 FC 8B 45 FC 59 5D C2 10 00 }
	condition:
		$1
}

rule function_12040_0 {
	meta:
		name = "TDispatchProvider.GetIDsOfNames"
		size = 47
	strings:
		$1 = { 55 8B EC 51 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 8B 40 0C 50 8B 00 FF 50 14 89 45 FC 8B 45 FC 59 5D C2 18 00 }
	condition:
		$1
}

rule function_12041_0 {
	meta:
		name = "TDispatchProvider.Invoke"
		size = 60
	strings:
		$1 = { 55 8B EC 51 8B 45 28 50 8B 45 24 50 8B 45 20 50 8B 45 1C 50 66 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 8B 40 0C 50 8B 00 FF 50 18 89 45 FC 8B 45 FC 59 5D C2 24 00 }
	condition:
		$1
}

rule function_12042_0 {
	meta:
		name = "TDispatchProvider.Get_Data"
		size = 108
		refs = "0024 TDispatchProvider.Get_Data 003f @IntfDispCall 0054 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 00 00 01 00 00 00 0C 02 00 00 }
	condition:
		$1
}

rule function_12043_0 {
	meta:
		name = "TDispatchProvider.ApplyUpdates"
		size = 148
		refs = "000a @VarAddRef 002c TDispatchProvider.ApplyUpdates 005b @IntfDispCall 0070 @HandleAutoException 0078 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8D 45 0C E8 ?? ?? ?? ?? 8B 45 24 8B 55 24 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 50 8B 45 1C 50 FF 75 18 FF 75 14 FF 75 10 FF 75 0C 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 8B 45 24 50 E8 ?? ?? ?? ?? 83 C4 24 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 20 00 00 00 00 02 00 00 00 0C 01 03 00 0C 03 83 00 }
	condition:
		$1
}

rule function_12044_0 {
	meta:
		name = "TDispatchProvider.GetMetaData"
		size = 108
		refs = "0024 TDispatchProvider.GetMetaData 003f @IntfDispCall 0054 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 00 00 03 00 00 00 0C 01 00 00 }
	condition:
		$1
}

rule function_12045_0 {
	meta:
		name = "TDispatchProvider.GetRecords"
		size = 120
		refs = "0024 TDispatchProvider.GetRecords 0047 @IntfDispCall 005c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 00 00 00 04 00 00 00 0C 01 02 00 03 83 00 00 }
	condition:
		$1
}

rule function_12046_0 {
	meta:
		name = "TDispatchProvider.DataRequest"
		size = 140
		refs = "000a @VarAddRef 002c TDispatchProvider.DataRequest 0053 @IntfDispCall 0068 @HandleAutoException 0070 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 18 FF 75 14 FF 75 10 FF 75 0C 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 1C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 18 00 00 00 00 05 00 00 00 0C 01 01 00 0C 00 00 00 }
	condition:
		$1
}

rule function_12047_0 {
	meta:
		name = "TDispatchProvider.Get_Constraints"
		size = 88
		refs = "000d TDispatchProvider.Get_Constraints 0026 @IntfDispCall 0041 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 00 06 00 00 00 0B 02 00 00 }
	condition:
		$1
}

rule function_12048_0 {
	meta:
		name = "TDispatchProvider.Set_Constraints"
		size = 92
		refs = "000d TDispatchProvider.Set_Constraints 002b @IntfDispCall 0040 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 0C 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 00 00 06 00 00 00 00 04 01 00 0B 00 00 00 }
	condition:
		$1
}

rule function_12049_0 {
	meta:
		name = "TDispatchProvider.Reset"
		size = 92
		refs = "000d TDispatchProvider.Reset 002b @IntfDispCall 0040 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 0C 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 00 00 07 00 00 00 00 01 01 00 0B 00 00 00 }
	condition:
		$1
}

rule function_12050_0 {
	meta:
		name = "TDispatchProvider.SetParams"
		size = 112
		refs = "000a @VarAddRef 0015 TDispatchProvider.SetParams 003a @IntfDispCall 004f @HandleAutoException 0057 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8D 45 0C E8 ?? ?? ?? ?? FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 18 FF 75 14 FF 75 10 FF 75 0C 68 ?? ?? ?? ?? 8B 45 08 8B 40 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 08 00 00 00 00 01 01 00 0C 00 00 00 }
	condition:
		$1
}

rule function_12051_0 {
	meta:
		name = "TDispatchProvider.InterfaceSupportsErrorInfo"
		size = 60
		refs = "0009 TDispatchProvider.InterfaceSupportsErrorInfo 000e IsEqualGUID"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 FC EB 07 C7 45 FC 01 00 00 00 8B 45 FC 59 5D C2 08 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_12052_0 {
	meta:
		name = "TDispatchProvider.SafeCallException"
		size = 64
		refs = "0014 TDispatchProvider.SafeCallException 001f HandleSafeCallException"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 6A 00 6A 00 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B E5 5D C3 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_12053_0 {
	meta:
		name = "TDispatchConnection.Create"
		size = 78
		refs = "000e @ClassCreate 0024 TCustomRemoteServer.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 71 00 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_12054_0 {
	meta:
		name = "TDispatchConnection.Notification"
		size = 58
		refs = "0019 TComponent.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 13 8B 45 F8 8B 55 FC 3B 42 74 75 08 8B 45 FC 33 D2 89 50 74 8B E5 5D C3 }
	condition:
		$1
}

rule function_12055_0 {
	meta:
		name = "TDispatchConnection.SetObjectBroker"
		size = 53
		refs = "0024 TComponent.FreeNotification"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 3B 42 74 74 1A 83 7D F8 00 74 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 42 74 59 59 5D C3 }
	condition:
		$1
}

rule function_12056_0 {
	meta:
		name = "TDispatchConnection.GetServerGUID"
		size = 69
		refs = "0033 GUIDToString 003d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 4C 00 75 14 8B 45 FC 66 83 78 50 00 75 0A 8B 45 FC 66 83 78 52 00 74 10 8B 55 F8 8B 45 FC 83 C0 4C E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_12057_0 {
	meta:
		name = "TDispatchConnection.SetServerGUID"
		size = 135
		refs = "0035 @FillChar 0042 StringToGUID 0062 ProgIDFromCLSID 0074 @LStrFromPWChar 007d CoTaskMemFree"
	strings:
		$1 = { 55 8B EC 83 C4 E4 56 57 89 55 F8 89 45 FC 8B 45 FC F6 40 20 01 75 0A 33 D2 8B 45 FC 8B 08 FF 51 48 83 7D F8 00 75 14 8B 45 FC 83 C0 4C B9 10 00 00 00 33 D2 E8 ?? ?? ?? ?? EB 46 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8D 75 E4 8D 78 4C B9 04 00 00 00 F3 A5 8D 45 F4 50 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 FC 83 C0 5C 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_12058_0 {
	meta:
		name = "TDispatchConnection.SetServerName"
		size = 167
		refs = "0015 TDispatchConnection.SetServerName 0029 @LStrCmp 0050 @WStrFromLStr 0058 @WStrToPWChar 005e CLSIDFromProgID 0074 @FillChar 0082 @LStrAsg 0097 @WStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 8B 52 5C E8 ?? ?? ?? ?? 74 57 8B 45 FC F6 40 20 01 75 40 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 83 C0 4C 50 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 12 8B 45 FC 83 C0 4C B9 10 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_12059_0 {
	meta:
		name = "TDispatchConnection.GetConnected"
		size = 133
		refs = "0013 TDispatchConnection.GetConnected 002c VarIsNull 0046 @VarToDisp 006a @IntfClear 0072 @VarClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 08 FF 51 50 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 55 E8 8B 45 FC 8B 08 FF 51 50 8D 55 E8 8D 45 E4 E8 ?? ?? ?? ?? 83 7D E4 00 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule function_12060_0 {
	meta:
		name = "TDispatchConnection.SetConnected"
		size = 219
		refs = "0019 TDispatchConnection.SetConnected 0072 RemoteLoginDialog 0081 TCustomRemoteServer.SetConnected 00ca @LStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D F4 89 4D F0 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 40 71 22 45 FB 74 0C 8B 45 FC 8B 10 FF 52 3C 84 C0 74 04 33 C0 EB 02 B0 01 88 45 EF 80 7D EF 00 74 31 8B 45 FC 66 83 B8 82 00 00 00 00 74 15 8D 4D F4 8B 5D FC 8B 55 FC 8B 83 84 00 00 00 FF 93 80 00 00 00 8D 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 84 C0 74 3A 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 80 7D EF 00 74 29 8B 45 FC 8B 10 FF 52 3C 84 C0 74 1D 8B 45 FC 66 83 78 7A 00 74 13 8B 45 F0 50 8B 5D FC 8B 4D F4 8B 55 FC 8B 43 7C FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12061_0 {
	meta:
		name = "TDispatchConnection.DoDisconnect"
		size = 24
		refs = "0009 Null"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 54 59 5D C3 }
	condition:
		$1
}

rule function_12062_0 {
	meta:
		name = "TDispatchConnection.GetAppServer"
		size = 30
		refs = "0016 @VarCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 83 C2 60 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_12063_0 {
	meta:
		name = "TDispatchConnection.SetAppServer"
		size = 94
		refs = "001b @VarAddRef 0023 TDispatchConnection.SetAppServer 0037 @VarCopy 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D EC B9 04 00 00 00 F3 A5 89 45 FC 8D 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 60 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_12064_0 {
	meta:
		name = "GetProperty"
		size = 302
		refs = "001c @IntfAddRef 0025 tagEXCEPINFO 002a @InitializeRecord 0032 GetProperty 0043 @WStrFromLStr 0054 GUID_NULL 007a SInvalidProviderName 007f LoadResString 0089 _Dn_Exception 008e Exception.CreateFmt 0093 @RaiseExcept 00a2 @FillChar 00ea DispatchInvokeError 00ff @LStrClr 010d @FinalizeRecord 0115 @WStrClr 011d @IntfClear 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 33 DB 89 5D AC 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 01 8D 45 EC 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 85 C0 74 31 8B 45 F8 89 45 B0 C6 45 B4 0B 8D 45 B0 50 6A 00 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 B8 50 8B 45 F4 50 8D 45 D8 50 6A 02 6A 00 A1 ?? ?? ?? ?? 50 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 18 89 45 E8 83 7D E8 00 74 0B 8D 55 B8 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12065_0 {
	meta:
		name = "TDispatchConnection.GetProvider"
		size = 364
		refs = "0024 TDispatchConnection.GetProvider 004b @VarToDisp 0059 GetProperty 006d @IntfClear 00a8 RegisterComServer 00d0 @HandleAnyException 00dc @DoneExcept 00ec _DV_TDispatchProvider 00f1 TDispatchProvider.Create 0102 @IntfCopy 0117 @VarClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 8B 08 FF 51 48 55 8D 55 C8 8B 45 F8 8B 08 FF 51 50 8D 55 C8 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 8D 4D DC 8B 55 F4 E8 ?? ?? ?? ?? 59 8D 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 89 45 EC 81 7D EC 55 01 04 80 75 55 8B 45 F8 80 78 70 00 75 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 89 45 EC 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 70 01 E8 ?? ?? ?? ?? 83 7D EC 00 74 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A FF FF FF FF 0C 00 00 00 53 54 44 56 43 4C 34 30 2E 44 4C 4C 00 00 00 00 }
	condition:
		$1
}

rule function_12066_0 {
	meta:
		name = "TDispatchConnection.GetProviderNames"
		size = 308
		refs = "0019 TDispatchConnection.GetProviderNames 0031 @VarClear 005c @DispInvoke 006e @HandleAnyException 0073 @DoneExcept 007b VarIsArray 0087 VarArrayDimCount 0097 VarArrayLowBound 00a5 VarArrayHighBound 00c4 @VarArrayGet 00d2 @VarToLStr 00f8 @LStrClr 0101 Variant 010b @FinalizeArray 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 51 48 8D 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 08 FF 51 50 8D 45 D4 50 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 74 64 8D 45 E4 E8 ?? ?? ?? ?? 48 75 59 8D 45 E4 BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 E4 BA 01 00 00 00 E8 ?? ?? ?? ?? 5A 2B C2 7C 39 40 89 45 F4 89 55 F8 8B 45 F8 50 6A 01 8D 45 E4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 0C FF 55 08 FF 45 F8 FF 4D F4 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 01 00 00 47 65 74 50 72 6F 76 69 64 65 72 4E 61 6D 65 73 00 }
	condition:
		$1
}

rule function_12067_0 {
	meta:
		name = "TDispatchConnection.GetServerCLSID"
		size = 185
		refs = "0017 TDispatchConnection.GetServerCLSID 0022 GUID_NULL 002f IsEqualGUID 0057 SServerNameBlank 005c LoadResString 0066 _Dn_Exception 006b Exception.CreateFmt 0070 @RaiseExcept 007e ProgIDToClassID 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8B 45 FC 83 C0 4C 50 E8 ?? ?? ?? ?? 84 C0 74 4D 8B 45 FC 83 78 5C 00 75 34 8B 45 FC 8B 40 08 89 45 F0 C6 45 F4 0B 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? EB 12 8B 45 F8 8B 55 FC 8B F8 8D 72 4C B9 04 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_12068_0 {
	meta:
		name = "TCOMConnection.SetConnected"
		size = 184
		refs = "0015 TCOMConnection.SetConnected 003b GUID_NULL 0047 TDispatchConnection.GetServerCLSID 0050 IsEqualGUID 006f SServerNameBlank 0074 LoadResString 007e _Dn_Exception 0083 Exception.CreateFmt 0088 @RaiseExcept 0093 TDispatchConnection.SetConnected 00a8 @LStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 C9 89 4D DC 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 02 75 64 80 7D FB 00 74 5E 8B 45 FC 8B 10 FF 52 3C 84 C0 75 52 A1 ?? ?? ?? ?? 50 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 FC 8B 40 08 89 45 E0 C6 45 E4 0B 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_12069_0 {
	meta:
		name = "TCOMConnection.DoConnect"
		size = 160
		refs = "0017 TCOMConnection.DoConnect 0028 TDispatchConnection.GetServerCLSID 0033 CreateComObject 0043 @IntfCast 004e @VarFromDisp 006e @IntfClear 007e @VarClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D4 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_12070_0 {
	meta:
		name = "TDCOMConnection.Create"
		size = 71
		refs = "000e @ClassCreate 0024 TDispatchConnection.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_12071_0 {
	meta:
		name = "TDCOMConnection.SetComputerName"
		size = 61
		refs = "0019 @LStrCmp 0035 @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 74 1A 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 05 88 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_12072_0 {
	meta:
		name = "TDCOMConnection.IsComputerNameStored"
		size = 46
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 74 00 75 0C 8B 45 FC 83 B8 88 00 00 00 00 75 04 33 C0 EB 02 B0 01 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_12073_0 {
	meta:
		name = "TDCOMConnection.DoConnect"
		size = 484
		refs = "001a TDCOMConnection.DoConnect 0044 TDispatchConnection.GetServerCLSID 0065 @LStrAsg 0093 @WStrFromLStr 009f CreateRemoteComObject 00af @IntfCast 00ba @VarFromDisp 00ea @HandleAnyException 010d @LStrClr 0112 @DoneExcept 018c TCOMConnection.DoConnect 01a1 @WStrClr 01a9 @IntfClear 01b9 @VarClr 01c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 74 00 0F 84 F7 00 00 00 8B 45 FC 83 B8 88 00 00 00 00 75 2C 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F8 8B 45 FC 8B 40 74 8B 18 FF 53 34 8B 55 F8 8B 45 FC 05 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 CC 8B 55 FC 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 8D 4D D0 5A E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 08 FF 51 54 8B 45 FC 8B 90 88 00 00 00 8B 45 FC 8B 40 74 B1 01 8B 18 FF 53 30 33 C0 5A 59 59 64 89 10 EB 2D E9 ?? ?? ?? ?? 8B 45 FC 8B 90 88 00 00 00 8B 45 FC 8B 40 74 33 C9 8B 18 FF 53 30 8B 45 FC 05 88 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 84 C0 0F 84 0B FF FF FF EB 68 8B 45 FC 83 B8 88 00 00 00 00 74 54 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 CC 8B 55 FC 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 8D 4D D0 5A E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 08 FF 51 54 EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_12074_0 {
	meta:
		name = "TOLEnterpriseConnection.SetComputerName"
		size = 80
		refs = "0019 @LStrCmp 0035 @LStrAsg 0048 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 74 1A 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 05 88 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 FC 05 8C 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_12075_0 {
	meta:
		name = "TOLEnterpriseConnection.SetBrokerName"
		size = 80
		refs = "0019 @LStrCmp 0035 @LStrAsg 0048 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 74 1A 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 05 8C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 FC 05 88 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_12076_0 {
	meta:
		name = "WriteValue"
		size = 115
		refs = "0010 @LStrAddRef 0020 WriteValue 0034 TRegistry.ValueExists 0049 TRegistry.WriteString 0063 @LStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 08 8B 40 FC 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_12077_0 {
	meta:
		name = "TOLEnterpriseConnection.DoConnect"
		size = 2760
		refs = "0017 TOLEnterpriseConnection.DoConnect 0024 _Dn_TRegistry 0029 TRegistry.Create 0047 TRegistry.SetRootKey 0056 TRegistry.OpenKey 006b TRegistry.ReadString 0073 TRegistry.CloseKey 008e @LStrLen 0098 IsPathDelimiter 00a9 @LStrCat 010a @LStrLAsg 0126 TDispatchConnection.GetServerGUID 013f Format 01ac AnsiLowerCase 01b9 AnsiPos 01d7 ExtractFileName 021e TRegistry.WriteString 0258 TRegistry.DeleteKey 02e1 TRegistry.MoveKey 0380 WriteValue 054d IntToStr 05b7 TRegistry.DeleteValue 0668 TRegistry.CreateKey 06b0 TObject.Free 06b6 @HandleFinally 06c0 TCOMConnection.DoConnect 06da @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9F 00 00 00 8D 4D EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 45 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 3F 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 00 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 B8 88 00 00 00 00 0F 85 E6 00 00 00 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 0F 05 00 00 8D 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 36 8D 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 CC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 5A E8 ?? ?? ?? ?? 85 C0 0F 8E A8 04 00 00 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 49 8D 4D E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 4E 04 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E9 3E 04 00 00 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 73 8D 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 42 8D 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 CC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 5A E8 ?? ?? ?? ?? 85 C0 75 10 6A 01 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? B1 01 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA 02 00 00 80 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 83 B8 8C 00 00 00 00 74 76 8D 45 DC 50 8B 45 F8 8B 80 8C 00 00 00 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA 00 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 33 C9 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8D 4D E0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 B5 00 00 00 8D 45 E0 8B 55 F8 8B 52 5C E8 ?? ?? ?? ?? 83 7D E0 00 75 0D 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? EB 4A 8D 45 DC 50 8B 45 E0 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B1 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D DC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D0 89 45 BC C6 45 C0 0B 8B 45 E0 89 45 C4 C6 45 C8 0B 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B1 01 8B 45 FC E8 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F8 83 B8 8C 00 00 00 00 0F 94 C0 83 E0 7F 8D 55 DC E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F8 83 B8 8C 00 00 00 00 74 0F BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 33 8D 45 DC 50 8B 45 F8 8B 80 88 00 00 00 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 55 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B E5 5D C3 00 FF FF FF FF 24 00 00 00 53 6F 66 74 77 61 72 65 5C 4F 70 65 6E 45 6E 76 69 72 6F 6E 6D 65 6E 74 5C 49 6E 73 74 61 6C 6C 52 6F 6F 74 00 00 00 00 FF FF FF FF 35 00 00 00 53 6F 66 74 77 61 72 65 5C 4F 70 65 6E 45 6E 76 69 72 6F 6E 6D 65 6E 74 5C 4F 4C 45 6E 74 65 72 70 72 69 73 65 5C 41 75 74 6F 6D 61 74 69 6F 6E 41 67 65 6E 74 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 0C 00 00 00 6F 6C 65 61 61 6E 34 30 2E 64 6C 6C 00 00 00 00 FF FF FF FF 17 00 00 00 43 4C 53 49 44 5C 25 73 5C 49 6E 70 72 6F 63 53 65 72 76 65 72 33 32 00 FF FF FF FF 18 00 00 00 43 4C 53 49 44 5C 25 73 5C 5F 49 6E 70 72 6F 63 53 65 72 76 65 72 33 32 00 00 00 00 FF FF FF FF 09 00 00 00 41 70 61 72 74 6D 65 6E 74 00 00 00 FF FF FF FF 0E 00 00 00 54 68 72 65 61 64 69 6E 67 4D 6F 64 65 6C 00 00 FF FF FF FF 30 00 00 00 53 6F 66 74 77 61 72 65 5C 4F 70 65 6E 45 6E 76 69 72 6F 6E 6D 65 6E 74 5C 4F 4C 45 6E 74 65 72 70 72 69 73 65 5C 44 61 70 5C 44 43 45 41 70 70 00 00 00 00 FF FF FF FF 0F 00 00 00 6E 63 61 63 6E 5F 69 70 5F 74 63 70 3A 25 73 00 FF FF FF FF 06 00 00 00 42 72 6F 6B 65 72 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 FF FF FF FF 08 00 00 00 4C 6F 67 4C 65 76 65 6C 00 00 00 00 FF FF FF FF 07 00 00 00 4C 6F 67 46 69 6C 65 00 FF FF FF FF 01 00 00 00 31 00 00 00 FF FF FF FF 09 00 00 00 55 73 65 4E 61 6D 69 6E 67 00 00 00 FF FF FF FF 0B 00 00 00 55 73 65 53 65 63 75 72 69 74 79 00 FF FF FF FF 04 00 00 00 6E 6F 6E 65 00 00 00 00 FF FF FF FF 0F 00 00 00 43 4C 53 49 44 5C 25 73 5C 50 72 6F 67 49 44 00 FF FF FF FF 08 00 00 00 25 73 5C 43 4C 53 49 44 00 00 00 00 FF FF FF FF 19 00 00 00 43 4C 53 49 44 5C 25 73 5C 44 61 70 5C 44 43 45 43 6C 69 65 6E 74 5C 25 73 00 00 00 FF FF FF FF 07 00 00 00 64 65 66 61 75 6C 74 00 FF FF FF FF 0A 00 00 00 43 6F 6D 54 69 6D 65 6F 75 74 00 00 FF FF FF FF 0D 00 00 00 44 69 73 61 62 6C 65 4E 61 6D 69 6E 67 00 00 00 FF FF FF FF 0E 00 00 00 45 78 74 65 6E 64 65 64 49 6D 70 6F 72 74 00 00 FF FF FF FF 26 00 00 00 25 63 65 6C 6C 25 2F 61 70 70 6C 69 63 61 74 69 6F 6E 73 2F 73 65 72 76 69 63 65 73 2F 25 73 65 72 76 69 63 65 25 00 00 FF FF FF FF 0A 00 00 00 49 6D 70 6F 72 74 4E 61 6D 65 00 00 FF FF FF FF 0F 00 00 00 50 72 6F 74 65 63 74 69 6F 6E 4C 65 76 65 6C 00 FF FF FF FF 0C 00 00 00 6E 63 61 63 6E 5F 69 70 5F 74 63 70 00 00 00 00 FF FF FF FF 07 00 00 00 50 72 6F 74 73 65 71 00 FF FF FF FF 0D 00 00 00 53 65 72 76 65 72 42 69 6E 64 69 6E 67 00 00 00 FF FF FF FF 0F 00 00 00 53 65 72 76 65 72 50 72 69 6E 63 69 70 61 6C 00 FF FF FF FF 11 00 00 00 53 65 74 41 75 74 68 65 6E 74 69 63 61 74 69 6F 6E 00 00 00 FF FF FF FF 02 00 00 00 31 30 00 00 FF FF FF FF 0D 00 00 00 54 69 6D 65 72 49 6E 74 65 72 76 61 6C 00 00 00 FF FF FF FF 12 00 00 00 56 65 72 69 66 79 41 76 61 69 6C 61 62 69 6C 69 74 79 00 00 FF FF FF FF 16 00 00 00 43 4C 53 49 44 5C 25 73 5C 4E 6F 74 49 6E 73 65 72 74 61 62 6C 65 00 00 FF FF FF FF 15 00 00 00 43 4C 53 49 44 5C 25 73 5C 50 72 6F 67 72 61 6D 6D 61 62 6C 65 00 00 00 }
	condition:
		$1
}

rule function_12080_0 {
	meta:
		name = "FindPopupControl"
		size = 45
		refs = "000a FindVCLWindow 001b TWinControl.ControlAtPos"
	strings:
		$1 = { 53 56 57 8B F8 33 F6 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 8B D7 33 C9 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 02 8B F3 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12083_0 {
	meta:
		name = "ShortCut"
		size = 56
	strings:
		$1 = { 55 8B EC 51 88 55 FD 66 89 45 FE 33 C0 80 7D FF 00 75 22 66 8B 45 FE F6 45 FD 01 74 04 66 05 00 20 F6 45 FD 04 74 04 66 05 00 40 F6 45 FD 02 74 04 66 05 00 80 59 5D C3 }
	condition:
		$1
}

rule function_12084_0 {
	meta:
		name = "ShortCutToKey"
		size = 56
		refs = "0010 ShortCutToKey"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 66 25 FF 1F 66 89 02 A0 ?? ?? ?? ?? 88 06 F6 C7 20 74 03 80 0E 01 F6 C7 40 74 03 80 0E 04 F6 C7 80 74 03 80 0E 02 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12085_0 {
	meta:
		name = "GetSpecialName"
		size = 102
		refs = "0013 @LStrClr 0020 MapVirtualKey 0039 GetKeyNameText 005d @LStrFromArray"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 8B DA 66 89 45 FE 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C0 8A 45 FE 50 E8 ?? ?? ?? ?? C1 E0 10 85 C0 74 36 68 00 01 00 00 8D 95 FE FE FF FF 52 50 E8 ?? ?? ?? ?? 80 BD FF FE FF FF 00 75 1B 80 BD FE FE FF FF 00 74 12 8B C3 8D 95 FE FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12086_0 {
	meta:
		name = "ShortCutToText"
		size = 516
		refs = "0015 ShortCutToText 00a5 MenuKeyCaps 00aa @LStrLAsg 011a @LStrFromChar 0153 IntToStr 0163 @LStrCat3 0171 GetSpecialName 017e @LStrClr 0191 @LStrCat 01e4 @LStrArrayClr 01ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 66 89 45 FE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 5D FE 33 C0 8A C3 83 F8 2D 7D 27 83 C0 F8 83 E8 02 72 68 83 E8 03 74 7B 83 E8 0E 0F 84 85 00 00 00 83 C0 FB 83 E8 09 0F 82 8C 00 00 00 E9 17 01 00 00 83 F8 41 7D 1B 83 C0 D3 83 E8 02 0F 82 91 00 00 00 48 83 E8 0A 0F 82 9F 00 00 00 E9 F7 00 00 00 83 C0 BF 83 E8 1A 0F 82 A2 00 00 00 83 C0 FB 83 E8 0A 0F 82 AA 00 00 00 83 C0 FA 83 E8 18 0F 82 B2 00 00 00 E9 CE 00 00 00 8D 45 F8 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C2 00 00 00 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 00 00 00 8D 45 F8 80 C3 04 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 00 00 00 8D 45 F8 80 C3 0D 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 8D 45 F8 33 D2 8A D3 83 EA 30 83 C2 30 E8 ?? ?? ?? ?? EB 55 8D 45 F8 33 D2 8A D3 83 EA 41 83 C2 41 E8 ?? ?? ?? ?? EB 41 8D 45 F8 33 D2 8A D3 83 EA 60 83 C2 30 E8 ?? ?? ?? ?? EB 2D 33 C0 8A C3 83 E8 6F 8D 55 F4 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8D 55 F8 66 8B 45 FE E8 ?? ?? ?? ?? 83 7D F8 00 74 4C 8B C6 E8 ?? ?? ?? ?? F6 45 FF 20 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 40 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 80 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 46 00 00 00 }
	condition:
		$1
}

rule function_12087_0 {
	meta:
		name = "CompareFront"
		size = 92
		refs = "000c @LStrLen 0028 @LStrToPChar 0037 AnsiStrLIComp 0052 @LStrDelete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 8B 06 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3B D0 7C 39 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 85 C0 75 17 B3 01 8B C7 E8 ?? ?? ?? ?? 8B C8 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12088_0 {
	meta:
		name = "TextToShortCut"
		size = 248
		refs = "0015 @LStrAddRef 001d TextToShortCut 0030 MenuKeyCaps 0035 CompareFront 009e ShortCutToText 00a9 AnsiCompareText 00d6 @LStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 F6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 20 EB E7 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 40 EB CF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 40 EB B6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 80 EB 9D 83 7D FC 00 74 2C 66 BB 08 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 07 8B FE 66 0B FB EB 08 43 66 81 FB 56 02 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 5E 00 00 00 }
	condition:
		$1
}

rule function_12089_0 {
	meta:
		name = "UniqueCommand"
		size = 32
		refs = "0002 CommandPool 0007 TBits.OpenBit 0018 TBits.SetBit"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B7 D3 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_12090_0 {
	meta:
		name = "Iterate"
		size = 96
		refs = "001e TMenuItem.GetItem 004f TMenuItem.GetCount"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 8B D8 85 F6 74 44 C6 45 F7 00 EB 2D 8B 13 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8A 40 31 8B 55 08 3A 42 FF 77 24 8B 45 FC 8B 55 08 FF 32 FF 55 F8 83 C4 04 88 45 F7 FF 03 80 7D F7 00 75 0B 8B C6 E8 ?? ?? ?? ?? 3B 03 7F C2 8A 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12091_0 {
	meta:
		name = "IterateMenus"
		size = 261
		refs = "0026 TMenuItem.GetCount 0058 TMenuItem.GetItem 008a Iterate"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F4 8B FA 89 45 F8 33 C0 89 45 F0 33 C0 89 45 EC 33 DB 33 F6 85 FF 74 09 8B C7 E8 ?? ?? ?? ?? 8B D8 83 7D F4 00 74 0A 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 C6 45 EA 00 E9 A1 00 00 00 C6 45 FF FF C6 45 EB FF 3B 5D F0 7E 10 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8A 40 31 88 45 FF 3B 75 EC 7E 11 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8A 40 31 88 45 EB 8A 45 FF 3A 45 EB 77 14 55 8D 45 F0 8B 4D F8 8B D7 E8 ?? ?? ?? ?? 59 88 45 EA EB 1E 8A 45 EB 88 45 FF 55 8D 45 EC 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 59 88 45 EA EB 03 FF 45 F0 3B 5D F0 7E 17 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8A 40 31 3A 45 FF 76 E6 EB 03 FF 45 EC 3B 75 EC 7E 13 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8A 40 31 3A 45 FF 76 E5 80 7D EA 00 75 12 3B 5D F0 0F 8F 50 FF FF FF 3B 75 EC 0F 8F 47 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12093_0 {
	meta:
		name = "TMenuActionLink.IsCaptionLinked"
		size = 52
		refs = "0006 TActionLink.IsCaptionLinked 0013 _Dn_TCustomAction 0018 @AsClass 0026 @LStrCmp"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 4C 8B 43 10 8B 40 24 E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12094_0 {
	meta:
		name = "TMenuActionLink.IsCheckedLinked"
		size = 47
		refs = "0006 TActionLink.IsCheckedLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 40 50 8B 53 10 3A 42 2C 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12095_0 {
	meta:
		name = "TMenuActionLink.IsEnabledLinked"
		size = 47
		refs = "0006 TActionLink.IsEnabledLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 40 51 8B 53 10 3A 42 2D 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12096_0 {
	meta:
		name = "TMenuActionLink.IsHelpContextLinked"
		size = 47
		refs = "0006 TActionLink.IsHelpContextLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 54 8B 53 10 3B 42 48 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12097_0 {
	meta:
		name = "TMenuActionLink.IsHintLinked"
		size = 52
		refs = "0006 TActionLink.IsHintLinked 0013 _Dn_TCustomAction 0018 @AsClass 0026 @LStrCmp"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 43 10 8B 40 4C E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12098_0 {
	meta:
		name = "TMenuActionLink.IsImageIndexLinked"
		size = 47
		refs = "0006 TActionLink.IsImageIndexLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 5C 8B 53 10 3B 42 34 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12099_0 {
	meta:
		name = "TMenuActionLink.IsShortCutLinked"
		size = 49
		refs = "0006 TActionLink.IsShortCutLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 40 60 8B 53 10 66 3B 42 54 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12100_0 {
	meta:
		name = "TMenuActionLink.IsVisibleLinked"
		size = 47
		refs = "0006 TActionLink.IsVisibleLinked 0013 _Dn_TCustomAction 0018 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 40 62 8B 53 10 3A 42 30 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12101_0 {
	meta:
		name = "TMenuActionLink.IsOnExecuteLinked"
		size = 36
		refs = "0006 TBasicActionLink.IsOnExecuteLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 10 8B 40 74 8B 53 0C 3B 42 2C 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12103_0 {
	meta:
		name = "TMenuActionLink.SetChecked"
		size = 30
		refs = "0017 TMenuItem.SetChecked"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 20 84 C0 74 0A 8B D3 8B 46 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12104_0 {
	meta:
		name = "TMenuActionLink.SetEnabled"
		size = 30
		refs = "0017 TMenuItem.SetEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 24 84 C0 74 0A 8B D3 8B 46 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12105_0 {
	meta:
		name = "TMenuActionLink.SetHelpContext"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 28 84 C0 74 06 8B 43 10 89 70 48 5E 5B C3 }
	condition:
		$1
}

rule function_12106_0 {
	meta:
		name = "TMenuActionLink.SetHint"
		size = 33
		refs = "001a @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 2C 84 C0 74 0D 8B 43 10 83 C0 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12107_0 {
	meta:
		name = "TMenuActionLink.SetImageIndex"
		size = 30
		refs = "0017 TMenuItem.SetImageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 30 84 C0 74 0A 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12108_0 {
	meta:
		name = "TMenuActionLink.SetShortCut"
		size = 30
		refs = "0017 TMenuItem.SetShortCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 34 84 C0 74 0A 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12110_0 {
	meta:
		name = "TMenuActionLink.SetOnExecute"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 08 84 C0 74 0F 8B 43 10 8B 55 08 89 50 74 8B 55 0C 89 50 78 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12111_0 {
	meta:
		name = "TMenuItem.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TComponent.Create 0024 UniqueCommand 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 30 01 C6 46 2D 01 E8 ?? ?? ?? ?? 66 89 46 44 C7 46 34 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12112_0 {
	meta:
		name = "TMenuItem.Destroy"
		size = 164
		refs = "0003 @BeforeDestruction 0015 TMenuItem.Remove 0025 TMenuItem.GetItem 002a TObject.Free 0031 TMenuItem.GetCount 0044 TMenuItem.MergeWith 004d DestroyMenu 0075 CommandPool 007a TBits.SetBit 0092 TComponent.Destroy 009d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 58 85 C0 74 1C 8B D6 E8 ?? ?? ?? ?? 33 C0 89 46 58 EB 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7F E7 83 7E 28 00 74 12 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 28 50 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 33 C0 89 46 38 66 8B 46 44 66 85 C0 74 0F 0F B7 D0 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 40 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12113_0 {
	meta:
		name = "TMenuItem.AppendTo"
		size = 636
		refs = "001c TMenuItem.AppendTo 0037 @LStrLAsg 003e TMenuItem.GetCount 0049 TMenuItem.GetHandle 006b _DV_TMainMenu 0070 @IsClass 0088 ShortCutToText 0098 @LStrCatN 009d GetVersion 00c0 TMenuItem.GetParentMenu 00cd TMenu.IsOwnerDraw 00f9 @LStrCmp 0106 ISeparators 0112 IRadios 011e IBreaks 012c IRTL 0138 IOwnerDraw 0147 IChecks 0153 IEnables 015f IDefaults 0180 @LStrToPChar 01a6 InsertMenuItem 01c5 Separators 01d1 Breaks 01dd Checks 01e9 Enables 0219 InsertMenu 0247 @LStrClr 0255 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D F8 88 4D FF 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 30 00 0F 84 06 02 00 00 8D 45 F8 8B 53 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0C 8B C3 E8 ?? ?? ?? ?? 89 45 DB EB 4A 66 83 7B 54 00 74 43 8B 73 58 85 F6 74 18 83 7E 58 00 75 12 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 24 FF 75 F8 68 ?? ?? ?? ?? 8D 55 C0 66 8B 43 54 E8 ?? ?? ?? ?? FF 75 C0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 25 FF 00 66 83 F8 04 0F 82 00 01 00 00 C7 45 C7 2C 00 00 00 C7 45 CB 3F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 83 7B 40 00 74 0C 8B 43 40 8B 10 FF 52 1C 84 C0 74 04 33 C0 EB 02 B0 01 88 45 F7 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 2F 8B 14 95 ?? ?? ?? ?? 33 C9 8A 4B 3C 0B 14 8D ?? ?? ?? ?? 0B C2 33 D2 8A 55 FF 0B 04 95 ?? ?? ?? ?? 33 D2 8A 55 F7 0B 04 95 ?? ?? ?? ?? 89 45 CF 33 C0 8A 43 2C 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 2D 0B 04 95 ?? ?? ?? ?? 33 D2 8A 53 2E 0B 04 95 ?? ?? ?? ?? 89 45 D3 0F B7 43 44 89 45 D7 33 C0 89 45 DB 33 C0 89 45 DF 33 C0 89 45 E3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EB 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0A 8B C3 E8 ?? ?? ?? ?? 89 45 DB 8D 45 C7 50 6A FF 6A FF 57 E8 ?? ?? ?? ?? E9 87 00 00 00 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 83 E0 7F 8B 34 85 ?? ?? ?? ?? 33 C0 8A 43 3C 8B 04 85 ?? ?? ?? ?? 33 D2 8A 53 2C 0B 04 95 ?? ?? ?? ?? 33 D2 8A 53 2D 0B 04 95 ?? ?? ?? ?? 0B F0 81 CE 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1F 8B 43 24 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 83 CE 10 56 6A FF 57 E8 ?? ?? ?? ?? EB 17 8B 45 F8 E8 ?? ?? ?? ?? 50 0F B7 43 44 50 56 6A FF 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_12114_0 {
	meta:
		name = "AddIn"
		size = 27
		refs = "0013 TMenuItem.AppendTo"
	strings:
		$1 = { 55 8B EC 8B 55 08 8A 4A FB 8B 55 08 8B 52 FC 8B 52 28 E8 ?? ?? ?? ?? 33 C0 5D C3 }
	condition:
		$1
}

rule function_12115_0 {
	meta:
		name = "TMenuItem.PopulateMenu"
		size = 64
		refs = "0017 TMenu.IsRightToLeft 002f AddIn 0037 IterateMenus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 58 64 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 8B 45 FC 8B 50 5C B8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12116_0 {
	meta:
		name = "TMenuItem.ReadShortCutText"
		size = 86
		refs = "000f TMenuItem.ReadShortCutText 001f TReader.ReadString 0027 TextToShortCut 0030 TMenuItem.SetShortCut 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12117_0 {
	meta:
		name = "TMenuItem.MergeWith"
		size = 36
		refs = "001e TMenuItem.RebuildHandle"
	strings:
		$1 = { 53 8B 48 5C 3B D1 74 1A 85 C9 74 05 33 DB 89 59 60 8B CA 89 48 5C 85 C9 74 03 89 41 60 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12118_0 {
	meta:
		name = "TMenuItem.Loaded"
		size = 60
		refs = "0007 TComponent.Loaded 000e TMenuItem.GetAction 0028 @CallDynaInst 0035 TMenuItem.RebuildHandle"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 16 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 80 7E 68 00 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12119_0 {
	meta:
		name = "TMenuItem.RebuildHandle"
		size = 90
		refs = "001d TMenuItem.RebuildHandle 002d TMenuItem.GetHandle 0033 RemoveMenu 0040 GetMenuItemCount 004b TMenuItem.PopulateMenu"
	strings:
		$1 = { 56 8B F0 F6 46 20 08 75 4F F6 46 20 02 74 06 C6 46 68 01 EB 43 8B 46 60 85 C0 74 1B E8 ?? ?? ?? ?? EB 35 68 00 04 00 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7F DB 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 34 5E C3 }
	condition:
		$1
}

rule function_12120_0 {
	meta:
		name = "TMenuItem.VerifyGroupIndex"
		size = 170
		refs = "001a TMenuItem.VerifyGroupIndex 0027 TMenuItem.GetCount 003f TMenuItem.GetItem 004f SGroupIndexTooLow 0054 LoadResString 005c Error 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 88 4D FB 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 54 46 33 DB 3B 5D FC 7D 28 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 40 31 3A 45 FB 76 37 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 20 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 40 31 3A 45 FB 73 0F 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 55 FB 88 50 31 43 4E 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12122_0 {
	meta:
		name = "TMenuItem.GetHandle"
		size = 148
		refs = "000c TMenuItem.GetHandle 0021 _DV_TPopupMenu 0026 @IsClass 002f CreatePopupMenu 0039 CreateMenu 004a SOutOfResources 004f LoadResString 0059 _DV_EMenuError 005e Exception.Create 0063 @RaiseExcept 006a TMenuItem.PopulateMenu 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 28 00 75 52 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? 89 43 28 EB 08 E8 ?? ?? ?? ?? 89 43 28 83 7B 28 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 5B 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_12123_0 {
	meta:
		name = "TMenuItem.DefineProperties"
		size = 68
		refs = "000b TComponent.DefineProperties 0011 TMenuItem.ReadShortCutText 0017 TMenuItem.WriteShortCutText 001e TMenuItem.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 FF FF FF FF 0C 00 00 00 53 68 6F 72 74 43 75 74 54 65 78 74 00 00 00 00 }
	condition:
		$1
}

rule function_12124_0 {
	meta:
		name = "TMenuItem.DoDrawText"
		size = 480
		refs = "001d TMenuItem.DoDrawText 002a TMenuItem.GetParentMenu 0037 TMenu.IsRightToLeft 0069 @LStrLAsg 0092 @LStrCat 009f @LStrCmp 00cd TCanvas.GetHandle 00d3 DrawEdge 00e5 TBrush.SetStyle 00f8 TFont.GetStyle 0107 TFont.SetStyle 0120 OffsetRect 0130 TFont.SetColor 013d @LStrLen 0146 @LStrToPChar 0155 DrawText 01ac @LStrClr 01b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 2E 8B C7 E8 ?? ?? ?? ?? 84 C0 74 23 F6 C3 00 75 08 83 E3 FF 83 CB 02 EB 10 8B C3 83 E0 02 83 F8 02 75 06 83 E3 FD 83 CB 00 81 CB 00 00 02 00 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? F6 C7 04 74 24 83 7D F4 00 74 11 8B 45 F4 80 38 26 75 16 8B 45 F4 80 78 01 00 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 37 F6 C7 04 0F 85 ED 00 00 00 8B 45 10 8B F0 8D 7D E4 B9 04 00 00 00 F3 A5 83 45 E8 04 6A 02 6A 06 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 45 FC 8B 40 14 B2 01 E8 ?? ?? ?? ?? 80 7E 2E 00 74 1C 8B 45 FC 8B 78 0C 8B C7 E8 ?? ?? ?? ?? 8B D0 0A 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 80 7E 2D 00 75 65 80 7D 0C 00 75 4F 6A 01 6A 01 8B 45 10 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C BA 14 00 00 80 E8 ?? ?? ?? ?? 53 8B 45 10 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 8B 45 10 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C BA 10 00 00 80 E8 ?? ?? ?? ?? 53 8B 45 10 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_12125_0 {
	meta:
		name = "TMenuItem.DrawItem"
		size = 1432
		refs = "0024 TMenuItem.DrawItem 0032 TMenuItem.GetParentMenu 003f TMenu.IsOwnerDraw 0078 @CallDynaInst 007e _DV_TMainMenu 0083 @IsClass 009a TCanvas.FillRect 00ac _DV_TPopupMenu 00df @LStrCmp 0117 TCustomImageList.GetCount 01aa TBrush.GetColor 01ce AllocPatternBitmap 01db TBrush.SetBitmap 01f8 TBrush.SetColor 0253 TCustomImageList.Draw 025f _Dn_TBitmap 0264 TBitmap.Create 028b LoadBitmap 0295 TBitmap.SetHandle 02a8 TFont.SetColor 02ee TCanvas.Draw 0310 TObject.Free 0316 @HandleFinally 03c4 TCanvas.StretchDraw 043f EdgeStyle 044c TCanvas.GetHandle 0452 DrawEdge 04a7 Alignments 04e1 TMenuItem.DoDrawText 0502 OffsetRect 0551 ShortCutToText 0574 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 8B F1 8D 7D E0 B9 04 00 00 00 F3 A5 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 34 8B C6 E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 FC 66 83 78 7E 00 74 1F 8D 45 E0 50 8A 45 08 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 80 00 00 00 FF 53 7C E9 F3 04 00 00 8B 45 FC 66 BB F3 FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 F7 8B 7E 3C 80 7D 08 00 75 0B 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 74 06 C6 45 F6 00 EB 1D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8A 46 50 88 45 F6 EB 04 C6 45 F6 00 8B 45 E0 40 89 45 D0 8B 45 E4 40 89 45 D4 8B 45 FC 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 20 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 D0 C7 45 D8 FC FF FF FF C6 45 F5 00 E9 0F 03 00 00 85 FF 74 34 8B 45 FC 8B 58 34 83 FB FF 7E 0B 8B C7 E8 ?? ?? ?? ?? 3B D8 7C 22 8B 45 FC 80 78 2C 00 74 15 8B 45 FC 8B 70 40 85 F6 74 0F 8B C6 8B 10 FF 52 1C 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 75 1D 8B 45 FC 8B 70 40 85 F6 0F 84 8F 02 00 00 8B C6 8B 10 FF 52 1C 84 C0 0F 85 80 02 00 00 C6 45 F5 01 84 DB 74 14 8B 47 28 03 45 D0 89 45 D8 8B 47 24 03 45 D4 89 45 DC EB 12 8B 45 D0 83 C0 10 89 45 D8 8B 45 D4 83 C0 10 89 45 DC 8B 45 FC 80 78 2C 00 74 7D FF 45 D8 FF 45 DC 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B F0 80 7D 08 00 75 36 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B F0 BA 14 00 00 80 B8 0F 00 00 80 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? EB 1B 8B 45 F8 8B 40 14 BA 0F 00 00 80 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B D6 E8 ?? ?? ?? ?? FF 45 D0 FF 45 D4 84 DB 0F 84 FA 00 00 00 8B 45 FC 8B 58 34 83 FB FF 7E 2F 8B C7 E8 ?? ?? ?? ?? 3B D8 7D 24 8B 45 D4 50 8B 45 FC 8B 40 34 50 8B 45 FC 8A 40 2D 50 8B 4D D0 8B 55 F8 8B C7 E8 ?? ?? ?? ?? E9 79 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B 45 F0 8B 08 FF 51 3C 68 F8 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 70 14 BA 12 00 00 80 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F0 8B 10 FF 52 20 8B 55 DC 8B 7D D4 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 42 52 8B 45 F0 8B 10 FF 52 2C 8B 55 D8 8B 5D D0 2B D3 2B D0 D1 FA 79 03 83 D2 00 03 D3 42 8B 45 F8 59 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 75 D0 8D 7D C0 B9 04 00 00 00 F3 A5 8B 45 FC 8B 40 40 8B 10 FF 52 2C 8B 55 D8 2B 55 D0 3B C2 7D 32 8B 45 FC 8B 40 40 8B 10 FF 52 2C 8B 55 D8 2B 55 D0 2B D0 D1 FA 79 03 83 D2 00 03 55 D0 42 89 55 D0 8B 45 FC 8B 40 40 8B 10 FF 52 2C 03 45 D0 89 45 D8 8B 45 FC 8B 40 40 8B 10 FF 52 20 8B 55 DC 2B 55 D4 3B C2 7D 32 8B 45 FC 8B 40 40 8B 10 FF 52 20 8B 55 DC 2B 55 D4 2B D0 D1 FA 79 03 83 D2 00 03 55 D4 42 89 55 D4 8B 45 FC 8B 40 40 8B 10 FF 52 20 03 45 D4 89 45 DC 8B 45 FC 8B 48 40 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8D 75 C0 8D 7D D0 B9 04 00 00 00 F3 A5 8B 45 FC 80 78 2C 00 74 36 FF 4D D8 FF 4D DC EB 2E 85 FF 74 1A 80 7D F7 00 75 14 8B 47 28 03 45 D0 89 45 D8 8B 47 24 03 45 D4 89 45 DC EB 0C 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC C6 45 F5 00 FF 4D D0 FF 4D D4 83 45 D8 02 83 45 DC 02 8B 45 FC 80 78 2C 00 75 08 8A 45 08 22 45 F5 74 23 6A 0F 8B 45 FC 0F B6 40 2C 8B 04 85 ?? ?? ?? ?? 50 8D 45 D0 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D 08 00 74 28 80 7D F5 00 74 07 8B 45 D8 40 89 45 E0 8B 45 F8 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 80 7D 08 00 74 06 80 7D F5 00 75 07 8B 45 D8 40 89 45 E0 83 45 E0 02 FF 4D E8 33 C0 8A 45 F6 66 8B 1C 45 ?? ?? ?? ?? 66 83 CB 60 0F B7 DB 8D 75 E0 8D 7D C0 B9 04 00 00 00 F3 A5 8D 45 E0 50 8A 45 08 50 8B C3 0D 00 04 00 00 0D 00 01 00 00 50 8B 45 FC 8B 48 24 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 2B 45 C4 8B 55 EC 2B 55 E4 2B C2 D1 F8 79 03 83 D0 00 50 6A 00 8D 45 E0 50 E8 ?? ?? ?? ?? 8D 45 E0 50 8A 45 08 50 53 8B 45 FC 8B 48 24 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 8B 58 54 66 85 DB 74 37 80 7D F7 00 75 31 8B 45 E8 89 45 E0 8B 45 C8 83 E8 0A 89 45 E8 8D 45 E0 50 8A 45 08 50 6A 02 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 4D BC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_12126_0 {
	meta:
		name = "GetMenuSize"
		size = 73
		refs = "0021 SystemParametersInfo"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF C7 85 AC FE FF FF 54 01 00 00 6A 00 8D 85 AC FE FF FF 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 1C 8B 45 08 8B 40 FC 8B 95 44 FF FF FF 89 10 8B 45 08 8B 40 08 8B 95 48 FF FF FF 89 10 8B E5 5D C3 }
	condition:
		$1
}

rule function_12127_0 {
	meta:
		name = "TMenuItem.MeasureItem"
		size = 508
		refs = "001d TMenuItem.MeasureItem 002e @CallDynaInst 0034 _DV_TMainMenu 0039 @IsClass 0045 GetMenuSize 0051 TMenuItem.GetParentMenu 0066 @LStrCmp 010a @FillChar 011a _DV_TPopupMenu 013d ShortCutToText 014b @LStrCat3 0158 @LStrLAsg 0164 Alignments 018b TMenuItem.DoDrawText 01d1 @LStrClr 01df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D F0 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 66 BB F3 FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B B3 01 55 E8 ?? ?? ?? ?? 59 EB 02 33 DB 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 47 3C 89 45 F4 8B 46 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 8B 45 08 C7 00 05 00 00 00 8B 45 FC C7 00 FE FF FF FF 33 C0 EB 65 83 7D F4 00 74 28 83 7E 34 FF 7F 04 84 DB 75 1E 8B 45 F4 8B 40 28 8B 55 FC 89 02 84 DB 75 0B 8B 45 F4 8B 40 24 8B 55 08 89 02 B0 01 EB 37 83 7E 40 00 74 26 8B 46 40 8B 10 FF 52 1C 84 C0 75 1A 8B 45 FC C7 00 10 00 00 00 84 DB 75 09 8B 45 08 C7 00 10 00 00 00 B0 01 EB 0B 8B 45 FC C7 00 F9 FF FF FF 33 C0 84 C0 74 0A 84 DB 75 06 8B 45 FC 83 00 0F 84 DB 75 06 8B 45 08 83 00 03 8D 45 E0 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 04 33 DB EB 18 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8A 5F 50 EB 02 33 DB 66 8B 7E 54 66 85 FF 74 1A 8D 55 DC 8B C7 E8 ?? ?? ?? ?? 8B 4D DC 8D 45 F0 8B 56 24 E8 ?? ?? ?? ?? EB 0B 8D 45 F0 8B 56 24 E8 ?? ?? ?? ?? 33 C0 8A C3 66 8B 04 45 ?? ?? ?? ?? 66 83 C8 40 66 83 C8 20 66 0D 00 01 66 0D 00 04 0F B7 C0 8D 55 E0 52 6A 00 50 8B 4D F0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 2B 45 E0 83 C0 07 8B 55 FC 01 02 66 83 BE 86 00 00 00 00 74 19 8B 45 FC 50 8B 45 08 50 8B 4D F8 8B D6 8B 86 88 00 00 00 FF 96 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_12129_0 {
	meta:
		name = "TMenuItem.SetBreak"
		size = 22
	strings:
		$1 = { 56 8B F0 3A 56 3C 74 0C 88 56 3C B2 01 8B C6 8B 08 FF 51 34 5E C3 }
	condition:
		$1
}

rule function_12130_0 {
	meta:
		name = "TMenuItem.SetCaption"
		size = 40
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 24 8B D3 E8 ?? ?? ?? ?? 74 13 8D 46 24 8B D3 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 34 5E 5B C3 }
	condition:
		$1
}

rule function_12131_0 {
	meta:
		name = "TMenuItem.TurnSiblingsOff"
		size = 72
		refs = "000f TMenuItem.GetCount 0023 TMenuItem.GetItem 003c TMenuItem.SetChecked"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 58 85 F6 74 38 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 2C 40 89 C6 33 FF 8B D7 8B 43 58 E8 ?? ?? ?? ?? 3B D8 74 15 80 78 2F 00 74 0F 8A 50 31 3A 53 31 75 07 33 D2 E8 ?? ?? ?? ?? 47 4E 75 D9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12132_0 {
	meta:
		name = "TMenuItem.SetChecked"
		size = 82
		refs = "0023 Checks 0033 TMenuItem.GetHandle 0039 CheckMenuItem 004a TMenuItem.TurnSiblingsOff"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 2C 74 42 88 5E 2C 8B 7E 58 85 FF 74 27 F6 46 20 02 75 21 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 83 C8 00 50 0F B7 46 44 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0D 80 7E 2F 00 74 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12133_0 {
	meta:
		name = "TMenuItem.SetEnabled"
		size = 119
		refs = "0010 Win32Platform 001c TMenuItem.GetCount 0050 Enables 0060 TMenuItem.GetHandle 0066 EnableMenuItem"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 2D 74 67 88 5E 2D A1 ?? ?? ?? ?? 83 38 02 75 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 7E 58 85 FF 74 11 83 7F 60 00 74 0B B2 01 8B C6 8B 08 FF 51 34 EB 37 8B 7E 58 85 FF 74 27 F6 46 20 02 75 21 33 C0 8A C3 8B 04 85 ?? ?? ?? ?? 83 C8 00 50 0F B7 46 44 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12134_0 {
	meta:
		name = "TMenuItem.SetGroupIndex"
		size = 65
		refs = "0018 TMenuItem.IndexOf 0023 TMenuItem.VerifyGroupIndex 0039 TMenuItem.TurnSiblingsOff"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 31 74 31 8B 7E 58 85 FF 74 14 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 88 5E 31 80 7E 2C 00 74 0D 80 7E 2F 00 74 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12135_0 {
	meta:
		name = "TMenuItem.GetAction"
		size = 14
	strings:
		$1 = { 8B 50 38 85 D2 74 04 8B 42 0C C3 33 C0 C3 }
	condition:
		$1
}

rule function_12137_0 {
	meta:
		name = "TMenuItem.GetCount"
		size = 14
	strings:
		$1 = { 8B 50 50 85 D2 75 03 33 C0 C3 8B 42 08 C3 }
	condition:
		$1
}

rule function_12138_0 {
	meta:
		name = "TMenuItem.GetItem"
		size = 30
		refs = "000d IndexError 0017 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 50 00 75 05 E8 ?? ?? ?? ?? 8B D6 8B 43 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12139_0 {
	meta:
		name = "TMenuItem.SetShortCut"
		size = 24
	strings:
		$1 = { 56 8B F0 66 3B 56 54 74 0D 66 89 56 54 B2 01 8B C6 8B 08 FF 51 34 5E C3 }
	condition:
		$1
}

rule function_12140_0 {
	meta:
		name = "TMenuItem.SetVisible"
		size = 22
	strings:
		$1 = { 56 8B F0 3A 56 30 74 0C 88 56 30 B2 01 8B C6 8B 08 FF 51 34 5E C3 }
	condition:
		$1
}

rule function_12141_0 {
	meta:
		name = "TMenuItem.SetImageIndex"
		size = 22
	strings:
		$1 = { 56 8B F0 3B 56 34 74 0C 89 56 34 B2 01 8B C6 8B 08 FF 51 34 5E C3 }
	condition:
		$1
}

rule function_12142_0 {
	meta:
		name = "TMenuItem.GetMenuIndex"
		size = 24
		refs = "000f TMenuItem.IndexOf"
	strings:
		$1 = { 83 CA FF 8B 48 58 85 C9 74 0B 8B D0 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_12143_0 {
	meta:
		name = "TMenuItem.SetMenuIndex"
		size = 70
		refs = "000f TMenuItem.GetCount 0023 TMenuItem.GetMenuIndex 0033 TMenuItem.Remove 003e TMenuItem.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 58 85 C0 74 34 E8 ?? ?? ?? ?? 85 F6 7D 02 33 F6 3B C6 7F 03 8B F0 4E 8B C3 E8 ?? ?? ?? ?? 3B F0 74 17 8B 7B 58 8B D3 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12144_0 {
	meta:
		name = "TMenuItem.GetChildren"
		size = 56
		refs = "000d TMenuItem.GetCount 0021 TMenuItem.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 EA 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12145_0 {
	meta:
		name = "TMenuItem.SetChildOrder"
		size = 29
		refs = "000a _DV_TMenuItem 000f @AsClass 0016 TMenuItem.SetMenuIndex"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12146_0 {
	meta:
		name = "TMenuItem.SetDefault"
		size = 92
		refs = "001b TMenuItem.GetCount 002f TMenuItem.GetItem"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 3A 5E 2E 74 4A 84 DB 74 3A 83 7E 58 00 74 34 8B 46 58 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 25 47 33 ED 8B D5 8B 46 58 E8 ?? ?? ?? ?? 80 78 2E 00 74 0E 8B D5 8B 46 58 E8 ?? ?? ?? ?? C6 40 2E 00 45 4F 75 DE 88 5E 2E B2 01 8B C6 8B 08 FF 51 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12147_0 {
	meta:
		name = "TMenuItem.InitiateAction"
		size = 15
	strings:
		$1 = { 8B 50 38 85 D2 74 07 8B C2 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_12148_0 {
	meta:
		name = "TMenuItem.Insert"
		size = 249
		refs = "0012 TMenuItem.Insert 0026 SMenuReinserted 002b LoadResString 0035 _DV_EMenuError 003a Exception.Create 003f @RaiseExcept 004c _Dn_TList 0051 TObject.Create 0071 TList.Get 008e TMenuItem.SetGroupIndex 009a TMenuItem.VerifyGroupIndex 00a6 TList.Insert 00b3 TMenuItem.SubItemChanged 00c0 TMenuItem.RebuildHandle 00c7 TMenuItem.GetCount 00e7 @LStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 50 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B C7 48 85 C0 7C 33 8B C7 48 8B 56 50 3B 42 08 7D 28 8B D7 4A 8B 46 50 E8 ?? ?? ?? ?? 8A 40 31 3A 43 31 76 15 8B D7 4A 8B 46 50 E8 ?? ?? ?? ?? 8A 50 31 8B C3 E8 ?? ?? ?? ?? 8A 4B 31 8B D7 8B C6 E8 ?? ?? ?? ?? 8B CB 8B D7 8B 46 50 E8 ?? ?? ?? ?? 89 73 58 89 73 70 C7 43 6C ?? ?? ?? ?? 83 7E 28 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 48 0F 94 C2 8B C6 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12149_0 {
	meta:
		name = "TMenuItem.Delete"
		size = 104
		refs = "0014 TMenuItem.GetCount 001d IndexError 0027 TList.Get 0033 TList.Delete 004d TMenuItem.RebuildHandle"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 DB 7C 11 83 7E 50 00 74 0B 8B C6 E8 ?? ?? ?? ?? 3B D8 7C 05 E8 ?? ?? ?? ?? 8B D3 8B 46 50 E8 ?? ?? ?? ?? 8B F8 8B D3 8B 46 50 E8 ?? ?? ?? ?? 33 C0 89 47 58 33 C0 89 47 6C 89 47 70 83 7E 28 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 94 C2 8B C6 8B 08 FF 51 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12150_0 {
	meta:
		name = "TMenuItem.Click"
		size = 95
		refs = "0013 TMenuItem.GetAction 0048 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 80 7B 2D 00 74 54 66 83 7B 76 00 74 24 8B C3 E8 ?? ?? ?? ?? 85 C0 74 19 8B C3 E8 ?? ?? ?? ?? 8B 40 2C 3B 43 74 74 0A 8B D3 8B 43 78 FF 53 74 EB 29 F6 43 20 10 75 14 83 7B 38 00 74 0E 8B 43 38 66 BB FF FF E8 ?? ?? ?? ?? EB 0F 66 83 7B 76 00 74 08 8B D3 8B 43 78 FF 53 74 5B C3 }
	condition:
		$1
}

rule function_12151_0 {
	meta:
		name = "TMenuItem.IndexOf"
		size = 24
		refs = "000e TList.IndexOf"
	strings:
		$1 = { 56 83 C9 FF 8B 70 50 85 F6 74 09 8B C6 E8 ?? ?? ?? ?? 8B C8 8B C1 5E C3 }
	condition:
		$1
}

rule function_12152_0 {
	meta:
		name = "TMenuItem.Add"
		size = 27
		refs = "0009 TMenuItem.GetCount 0014 TMenuItem.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12153_0 {
	meta:
		name = "TMenuItem.Remove"
		size = 109
		refs = "000c TMenuItem.Remove 0019 TMenuItem.IndexOf 0026 SMenuNotFound 002b LoadResString 0035 _DV_EMenuError 003a Exception.Create 003f @RaiseExcept 0048 TMenuItem.Delete 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12154_0 {
	meta:
		name = "TMenuItem.MenuChanged"
		size = 57
		refs = "0011 _DV_TMenu 0016 @IsClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 58 00 75 16 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 8B C6 66 83 7E 6E 00 74 0B 53 8B C8 8B D6 8B 46 70 FF 56 6C 5E 5B C3 }
	condition:
		$1
}

rule function_12155_0 {
	meta:
		name = "TMenuItem.SubItemChanged"
		size = 87
		refs = "001e TMenuItem.RebuildHandle 0030 TMenuItem.SubItemChanged 003d _DV_TMainMenu 0042 @IsClass 004d TMainMenu.ItemChanged"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 80 7D 08 00 74 13 83 7B 28 00 75 06 83 7B 60 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 58 85 C0 74 0D 6A 00 8B CE 8B D3 E8 ?? ?? ?? ?? EB 1B 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12156_0 {
	meta:
		name = "TMenuItem.GetBitmap"
		size = 39
		refs = "000c _Dn_TBitmap 0011 TBitmap.Create"
	strings:
		$1 = { 53 8B D8 83 7B 40 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 8B 43 40 8B 08 FF 51 3C 8B 43 40 5B C3 }
	condition:
		$1
}

rule function_12157_0 {
	meta:
		name = "TMenuItem.SetAction"
		size = 109
		refs = "000f TObject.Free 0027 @CallDynaInst 0048 TMenuItem.DoActionChange 0065 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 85 FF 75 0F 8B 46 38 E8 ?? ?? ?? ?? 33 C0 89 46 38 EB 4F 83 7E 38 00 75 15 8B C6 66 BB EF FF E8 ?? ?? ?? ?? 8B CE B2 01 FF 50 14 89 46 38 8B D7 8B 46 38 8B 08 FF 51 0C 8B 46 38 89 70 08 C7 40 04 ?? ?? ?? ?? F6 47 20 01 0F 95 C1 8B D7 8B C6 66 BB F0 FF E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12158_0 {
	meta:
		name = "TMenuItem.SetBitmap"
		size = 49
		refs = "000f _Dn_TBitmap 0014 TBitmap.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 40 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B D3 8B 46 40 8B 08 FF 51 08 33 D2 8B C6 8B 08 FF 51 34 5E 5B C3 }
	condition:
		$1
}

rule function_12159_0 {
	meta:
		name = "TMenuItem.InitiateActions"
		size = 44
		refs = "0008 TMenuItem.GetCount 001b TMenuItem.GetItem"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 38 46 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12160_0 {
	meta:
		name = "TMenuItem.GetParentComponent"
		size = 20
	strings:
		$1 = { 8B 50 58 85 D2 74 0A 83 7A 64 00 74 04 8B 42 64 C3 8B C2 C3 }
	condition:
		$1
}

rule function_12161_0 {
	meta:
		name = "TMenuItem.SetParentComponent"
		size = 82
		refs = "0010 TMenuItem.Remove 001c _DV_TMenu 0021 @IsClass 002f TMenuItem.Add 0039 _DV_TMenuItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 58 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 37 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 46 28 8B D3 E8 ?? ?? ?? ?? EB 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12162_0 {
	meta:
		name = "TMenuItem.GetParentMenu"
		size = 15
	strings:
		$1 = { EB 02 8B C2 8B 50 58 85 D2 75 F7 8B 40 64 C3 }
	condition:
		$1
}

rule function_12163_0 {
	meta:
		name = "TMenuItem.SetRadioItem"
		size = 41
		refs = "001a TMenuItem.TurnSiblingsOff"
	strings:
		$1 = { 56 8B F0 3A 56 2F 74 1F 88 56 2F 80 7E 2C 00 74 0D 80 7E 2F 00 74 07 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 34 5E C3 }
	condition:
		$1
}

rule function_12164_0 {
	meta:
		name = "TMenuItem.ActionChange"
		size = 221
		refs = "000c TMenuItem.GetAction 0012 _Dn_TCustomAction 0017 @IsClass 0033 TMenuItem.SetCaption 0047 TMenuItem.SetChecked 005b TMenuItem.SetEnabled 0080 @LStrAsg 0094 TMenuItem.SetImageIndex 00aa TMenuItem.SetShortCut 00be TMenuItem.SetVisible"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 84 DB 74 06 83 7E 24 00 75 0A 8B 57 4C 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 2C 00 75 0A 8A 57 50 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 2D 01 75 0A 8A 57 51 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 83 7E 48 00 75 06 8B 47 54 89 46 48 84 DB 74 06 83 7E 4C 00 75 0B 8D 46 4C 8B 57 58 E8 ?? ?? ?? ?? 84 DB 74 06 83 7E 34 FF 75 0A 8B 57 5C 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 66 83 7E 54 00 75 0B 66 8B 57 60 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 30 01 75 0A 8A 57 62 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 66 83 7E 76 00 75 0C 8B 47 2C 89 46 74 8B 47 30 89 46 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12166_0 {
	meta:
		name = "TMenuItem.IsCaptionStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 1C 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12167_0 {
	meta:
		name = "TMenuItem.IsCheckedStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 20 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12168_0 {
	meta:
		name = "TMenuItem.IsEnabledStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 24 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12169_0 {
	meta:
		name = "TMenuItem.IsHintStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 2C 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12170_0 {
	meta:
		name = "TMenuItem.IsHelpContextStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 28 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12171_0 {
	meta:
		name = "TMenuItem.IsImageIndexStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 30 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12172_0 {
	meta:
		name = "TMenuItem.IsShortCutStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 34 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12173_0 {
	meta:
		name = "TMenuItem.IsVisibleStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 38 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12174_0 {
	meta:
		name = "TMenuItem.IsOnClickStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B C6 8B 10 FF 52 08 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12175_0 {
	meta:
		name = "TMenuItem.AssignTo"
		size = 114
		refs = "000b _Dn_TCustomAction 0010 @IsClass 0020 TCustomAction.SetEnabled 002a TCustomAction.SetHelpContext 0034 TCustomAction.SetHint 003e TCustomAction.SetImageIndex 0048 TCustomAction.SetCaption 0052 TCustomAction.SetVisible 006a TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D 8A 53 2D 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 53 48 8B C7 E8 ?? ?? ?? ?? 8B 53 4C 8B C7 E8 ?? ?? ?? ?? 8B 53 34 8B C7 E8 ?? ?? ?? ?? 8B 53 24 8B C7 E8 ?? ?? ?? ?? 8A 53 30 8B C7 E8 ?? ?? ?? ?? FF 73 78 FF 73 74 8B C7 8B 10 FF 52 34 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12176_0 {
	meta:
		name = "TMenuItem.Notification"
		size = 49
		refs = "0010 TComponent.Notification 001c TMenuItem.GetAction 0029 TMenuItem.SetAction"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12177_0 {
	meta:
		name = "TMenu.Create"
		size = 139
		refs = "000f @ClassCreate 001f _DV_TMenuItem 0024 TMenuItem.Create 003e _Dn_TChangeLink 0043 TObject.Create 0052 TMenu.ImageListChange 0061 TComponent.Create 0068 TMenu.ParentBiDiModeChanged 0075 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 89 5E 70 8B 03 8B 40 38 89 46 6C 89 5E 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 43 35 01 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12178_0 {
	meta:
		name = "TMenu.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TComponent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12179_0 {
	meta:
		name = "TMenu.GetChildren"
		size = 37
		refs = "001a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 FF 75 0C FF 75 08 8B D7 8B 46 28 66 BB FD FF E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12180_0 {
	meta:
		name = "TMenu.GetHandle"
		size = 9
		refs = "0004 TMenuItem.GetHandle"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12181_0 {
	meta:
		name = "TMenu.SetChildOrder"
		size = 15
		refs = "0009 @CallDynaInst"
	strings:
		$1 = { 53 8B 40 28 66 BB FA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12182_0 {
	meta:
		name = "UpdateItem"
		size = 39
		refs = "0007 UpdateItem 0011 IterateMenus 001e TMenuItem.SubItemChanged"
	strings:
		$1 = { 53 56 8B F0 33 DB B8 ?? ?? ?? ?? 8B CE 8B 56 5C E8 ?? ?? ?? ?? 6A 01 8B CE 8B D6 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_12183_0 {
	meta:
		name = "TMenu.UpdateItems"
		size = 24
		refs = "0002 UpdateItem 0012 IterateMenus"
	strings:
		$1 = { 53 B9 ?? ?? ?? ?? 8B 50 28 8B 5A 5C 8B C2 91 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12184_0 {
	meta:
		name = "Find"
		size = 150
		refs = "005e TMenuItem.GetCount 0075 TMenuItem.GetItem 007a Find"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 C6 45 FF 00 8B 45 08 80 78 FF 00 75 0E 8B 45 08 8B 40 F8 0F B7 53 44 3B C2 74 2B 8B 45 08 80 78 FF 01 75 0B 8B 45 08 8B 40 F8 3B 43 28 74 17 8B 45 08 80 78 FF 02 75 1A 8B 45 08 8B 40 F8 0F B7 53 54 3B C2 75 0C 8B 45 08 89 58 F4 C6 45 FF 01 EB 32 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 FF 8B 45 08 50 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 06 C6 45 FF 01 EB 04 47 4E 75 DF 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12185_0 {
	meta:
		name = "TMenu.FindItem"
		size = 47
		refs = "0013 Find 0023 IterateMenus"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FF 89 55 F8 33 D2 89 55 F4 B9 ?? ?? ?? ?? 8B 50 28 8B 5A 5C 8B C2 91 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12186_0 {
	meta:
		name = "TMenu.GetHelpContext"
		size = 109
		refs = "0021 _DV_TPopupMenu 0026 @IsClass 003c TPopupMenu.GetHelpContext 004b TMenu.FindItem"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F0 33 FF B3 01 80 3C 24 00 74 02 33 DB 80 FB 01 75 27 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 8B 10 FF 52 34 3B E8 75 0B 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 21 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? EB 03 8B 40 58 85 C0 74 06 83 78 48 00 74 F3 85 C0 74 03 8B 78 48 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12187_0 {
	meta:
		name = "TMenu.DispatchCommand"
		size = 28
		refs = "0009 TMenu.FindItem"
	strings:
		$1 = { 53 33 DB 0F B7 D2 33 C9 E8 ?? ?? ?? ?? 85 C0 74 07 8B 10 FF 52 3C B3 01 8B C3 5B C3 }
	condition:
		$1
}

rule function_12188_0 {
	meta:
		name = "TMenu.DispatchPopup"
		size = 83
		refs = "000c TMenu.FindItem 001f TMenuItem.InitiateActions 0038 _DV_TPopupMenu 003d @IsClass"
	strings:
		$1 = { 53 56 57 8B F8 33 DB B1 01 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 18 F6 46 20 10 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 3C B3 01 EB 1F F6 47 20 10 75 19 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 47 28 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12189_0 {
	meta:
		name = "TMenu.IsOwnerDraw"
		size = 18
	strings:
		$1 = { 80 78 34 00 75 09 83 78 3C 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_12190_0 {
	meta:
		name = "DoClick"
		size = 169
		refs = "0019 DoClick 004a TMenuItem.InitiateActions 007f @HandleAnyException 008a Application 0091 TApplication.HandleException 0096 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 C6 45 FF 01 8B 43 58 85 C0 74 0D 8B 55 08 52 E8 ?? ?? ?? ?? 59 88 45 FF 80 7D FF 01 75 79 80 7B 2D 00 74 6F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC F6 40 20 10 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 3C 8B 45 08 3B 58 F8 74 17 8B 45 08 8B 40 F8 66 8B 40 54 8B 55 08 66 3B 42 F6 74 04 C6 45 FF 02 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 08 8B 50 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 C6 45 FF 00 8A 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12191_0 {
	meta:
		name = "TMenu.IsShortCut"
		size = 123
		refs = "0018 GetKeyState 0051 TMenu.FindItem 0063 DoClick"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 33 C0 8A 43 04 66 89 45 F6 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 06 66 81 45 F6 00 20 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 06 66 81 45 F6 00 40 F6 43 0B 20 74 06 66 81 45 F6 00 80 33 DB 0F B7 55 F6 B1 02 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0C 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 80 FB 02 74 D6 83 7D F8 00 0F 95 C0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12192_0 {
	meta:
		name = "TMenu.IsBiDiModeStored"
		size = 6
	strings:
		$1 = { 8A 40 35 34 01 C3 }
	condition:
		$1
}

rule function_12193_0 {
	meta:
		name = "TMenu.DoBiDiModeChanged"
		size = 187
		refs = "0008 SysLocale 004f GetMenuItemInfo 005a TMenu.IsRightToLeft 00a1 SetMenuItemInfo 00ae DrawMenuBar"
	strings:
		$1 = { 53 56 83 C4 80 8B D8 A1 ?? ?? ?? ?? 80 78 09 00 0F 84 9C 00 00 00 83 7B 2C 00 0F 84 92 00 00 00 8B C3 8B 10 FF 52 34 8B F0 C7 04 24 2C 00 00 00 C7 44 24 04 10 00 00 00 8D 44 24 30 89 44 24 24 C7 44 24 28 50 00 00 00 54 6A FF 6A 00 56 E8 ?? ?? ?? ?? 85 C0 74 5B 8B C3 E8 ?? ?? ?? ?? 8B 54 24 08 81 E2 00 60 00 00 F7 DA 1B D2 F7 DA 3A C2 74 40 8B C3 E8 ?? ?? ?? ?? 83 E0 7F C1 E0 0D 8D 04 40 8B 54 24 08 81 E2 FF 9F FF FF 0B C2 89 44 24 08 C7 44 24 04 10 00 00 00 54 6A FF 6A 00 56 E8 ?? ?? ?? ?? 85 C0 74 09 8B 43 2C 50 E8 ?? ?? ?? ?? 81 C4 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12194_0 {
	meta:
		name = "BuildImage"
		size = 224
		refs = "0011 GetMenuItemCount 004c TMenu.DoGetMenuString 0053 StrEnd 0064 GetMenuState 0072 BuildImage 0079 StrECopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 8D 98 00 FE FF FF 8B 45 08 83 C0 FB 89 45 F8 33 F6 E9 87 00 00 00 53 8B 45 F8 2B C3 50 68 00 04 00 00 8B 45 08 8B 80 FC FD FF FF 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 68 00 04 00 00 56 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F8 66 F7 C7 02 00 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 66 F7 C7 40 00 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 66 F7 C7 01 00 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 46 3B 75 F4 7D 09 3B 5D F8 0F 82 6B FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 24 00 00 00 40 00 00 00 23 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_12195_0 {
	meta:
		name = "TMenu.UpdateImage"
		size = 130
		refs = "0032 BuildImage 004d @LStrToPChar 0058 StrComp 0077 @LStrFromArray"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 89 85 FC FD FF FF 33 DB C6 85 00 FE FF FF 00 8B 85 FC FD FF FF 83 78 2C 00 74 12 55 8B 85 FC FD FF FF 8B 10 FF 52 34 E8 ?? ?? ?? ?? 59 8B 85 FC FD FF FF 83 78 30 00 74 1D 8B 85 FC FD FF FF 8B 40 30 E8 ?? ?? ?? ?? 8D 95 00 FE FF FF E8 ?? ?? ?? ?? 85 C0 74 1B B3 01 8B 85 FC FD FF FF 83 C0 30 8D 95 00 FE FF FF B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12197_0 {
	meta:
		name = "TMenu.AdjustBiDiBehavior"
		size = 123
		refs = "000a SysLocale 002a TMenu.AdjustBiDiBehavior 003e TMenu.SetBiDiMode 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A1 ?? ?? ?? ?? 80 78 09 00 74 63 8B 45 FC 8A 40 24 88 45 FB 8B 55 FC 8A 52 35 88 55 FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 75 0C B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 55 FA 88 50 35 C3 E9 ?? ?? ?? ?? EB E4 59 59 5D C3 }
	condition:
		$1
}

rule function_12198_0 {
	meta:
		name = "TMenu.SetWindowHandle"
		size = 56
		refs = "000c TMenu.UpdateImage 0011 SysLocale 0028 TMenu.ParentBiDiModeChanged 0031 TMenu.AdjustBiDiBehavior"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 2C 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 09 00 74 1A 85 F6 74 16 80 7B 35 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12199_0 {
	meta:
		name = "TMenu.DoChange"
		size = 23
		altNames = "TSQLResolver.DoExecSQL"
	strings:
		$1 = { 53 66 83 78 42 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_12200_0 {
	meta:
		name = "TMenu.Loaded"
		size = 23
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 8B 18 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_12201_0 {
	meta:
		name = "TMenu.MenuChanged"
		size = 56
		refs = "000a TMenu.MenuChanged"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 A0 ?? ?? ?? ?? 22 43 20 8A 15 ?? ?? ?? ?? 3A D0 75 0C 8A 4D 08 8B D6 8B C3 8B 18 FF 53 30 5E 5B 5D C2 04 00 00 00 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12202_0 {
	meta:
		name = "TMenu.ImageListChange"
		size = 11
		refs = "0006 TMenu.UpdateItems"
	strings:
		$1 = { 3B 50 3C 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12203_0 {
	meta:
		name = "TMenu.SetImages"
		size = 58
		refs = "0011 TCustomImageList.UnRegisterChanges 0022 TCustomImageList.RegisterChanges 002c TComponent.FreeNotification 0033 TMenu.UpdateItems"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 85 C0 74 08 8B 53 38 E8 ?? ?? ?? ?? 8B C6 89 43 3C 85 C0 74 12 8B 53 38 E8 ?? ?? ?? ?? 8B D3 8B 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12204_0 {
	meta:
		name = "TMenu.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TMenu.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 3C 75 0E 80 FB 01 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12205_0 {
	meta:
		name = "TMenu.IsRightToLeft"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 09 00 74 06 80 78 24 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_12206_0 {
	meta:
		name = "IsAccelChar"
		size = 90
		refs = "000e GetSubMenu 001c TMenu.FindItem 0027 GetMenuItemID 004d IsAccel"
	strings:
		$1 = { 55 8B EC 56 33 F6 F6 C2 10 74 19 51 50 E8 ?? ?? ?? ?? 8B 55 0C 8B 52 FC B1 01 92 E8 ?? ?? ?? ?? 8B F0 EB 1C 51 50 E8 ?? ?? ?? ?? 83 F8 FF 74 10 8B 55 0C 8B 52 FC 33 C9 92 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 33 C0 8A 45 08 8B 56 24 E8 ?? ?? ?? ?? EB 02 33 C0 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_12207_0 {
	meta:
		name = "IsInitialChar"
		size = 193
		refs = "0011 IsInitialChar 0026 GetSubMenu 0034 TMenu.FindItem 0056 TMenuItem.GetItem 006d @LStrFromChar 0087 AnsiCompareText 00ac @LStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 4D FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 F6 C2 10 74 1C 8B 55 FC 52 50 E8 ?? ?? ?? ?? 8B 55 0C 8B 52 FC B1 01 92 E8 ?? ?? ?? ?? 8B D8 EB 20 8B 55 0C 8B 52 FC B1 01 92 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 34 83 7B 24 00 74 2E 8D 45 F8 8A 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 53 24 8A 12 E8 ?? ?? ?? ?? 8B 45 F4 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12208_0 {
	meta:
		name = "TMenu.ProcessMenuChar"
		size = 376
		refs = "002d GetMenuItemCount 004d GetMenuState 0060 IsAccelChar 00f7 IsInitialChar"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B DA 89 45 FC 33 C0 89 43 0C C7 45 F4 FF FF FF FF C7 45 F0 FF FF FF FF C7 45 EC FF FF FF FF 8B 43 08 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 48 85 C0 7C 77 40 89 45 E8 33 F6 68 00 04 00 00 56 8B 43 08 50 E8 ?? ?? ?? ?? 8B F8 55 8A 43 04 50 8B 43 08 8B CE 8B D7 E8 ?? ?? ?? ?? 59 84 C0 74 44 66 F7 C7 02 00 74 0F 83 7D F4 00 7D 37 C7 45 F4 FE FF FF FF EB 2E 83 7D F4 00 7D 0C 89 75 F4 C7 43 0C 02 00 00 00 EB 07 C7 43 0C 03 00 00 00 66 F7 C7 80 00 74 05 89 75 F0 EB 09 83 7D F0 00 7C 03 89 75 EC 46 FF 4D E8 75 8F 83 7D F4 FF 7D 0C C7 43 0C 00 00 01 00 E9 AC 00 00 00 83 7D F4 00 7D 79 8B 45 F8 48 85 C0 7C 71 40 89 45 E8 33 F6 68 00 04 00 00 56 8B 43 08 50 E8 ?? ?? ?? ?? 8B F8 55 8A 43 04 50 8B 43 08 8B CE 8B D7 E8 ?? ?? ?? ?? 59 84 C0 74 3E 66 F7 C7 02 00 74 09 C7 43 0C 00 00 01 00 EB 61 83 7D F4 00 7D 0C 89 75 F4 C7 43 0C 02 00 00 00 EB 07 C7 43 0C 03 00 00 00 66 F7 C7 80 00 74 05 89 75 F0 EB 09 83 7D F0 00 7C 03 89 75 EC 46 FF 4D E8 75 95 8B 43 0C 83 F8 02 75 0B C1 E0 10 0B 45 F4 89 43 0C EB 1A 83 F8 03 75 15 83 7D EC 00 7D 06 8B 55 F4 89 55 EC C1 E0 10 0B 45 EC 89 43 0C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12209_0 {
	meta:
		name = "TMenu.DoGetMenuString"
		size = 167
		refs = "0010 TMenu.IsOwnerDraw 0024 GetMenuState 002f GetSubMenu 003c TMenu.FindItem 0048 GetMenuItemID 007a StrPLCopy 0082 StrLen 009b GetMenuString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 74 33 C0 89 45 FC 8B 45 08 50 56 57 E8 ?? ?? ?? ?? A8 10 74 19 56 57 E8 ?? ?? ?? ?? 8B F8 B1 01 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC EB 1C 56 57 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 0E 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 21 8B 45 10 C6 00 00 8B 45 FC 8B 50 24 8B 4D 0C 8B 45 10 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? EB 17 33 C0 EB 13 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 57 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_12210_0 {
	meta:
		name = "TMenu.SetBiDiMode"
		size = 18
		refs = "000d TMenu.DoBiDiModeChanged"
	strings:
		$1 = { 3A 50 24 74 0C 88 50 24 C6 40 35 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12211_0 {
	meta:
		name = "TMenu.SetParentBiDiMode"
		size = 14
		refs = "0009 TMenu.ParentBiDiModeChanged"
	strings:
		$1 = { 3A 50 35 74 08 88 50 35 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12212_0 {
	meta:
		name = "TMenu.ParentBiDiModeChanged"
		size = 37
		refs = "000d FindControl 001b TMenu.SetBiDiMode"
	strings:
		$1 = { 53 8B D8 80 7B 35 00 74 1A 8B 43 2C E8 ?? ?? ?? ?? 85 C0 74 0E 8A 50 4F 8B C3 E8 ?? ?? ?? ?? C6 43 35 01 5B C3 }
	condition:
		$1
}

rule function_12213_0 {
	meta:
		name = "TMenu.ParentBiDiModeChanged"
		size = 42
		refs = "0010 _Dn_TControl 0015 @AsClass 001f TMenu.SetBiDiMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 35 00 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 50 4F 8B C3 E8 ?? ?? ?? ?? C6 43 35 01 5E 5B C3 }
	condition:
		$1
}

rule function_12214_0 {
	meta:
		name = "TMainMenu.SetAutoMerge"
		size = 31
		refs = "001a SendMessage"
	strings:
		$1 = { 3A 50 4C 74 19 88 50 4C 8B 50 2C 85 D2 74 0F 6A 00 6A 00 68 15 B0 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12215_0 {
	meta:
		name = "TMainMenu.MenuChanged"
		size = 60
		refs = "0015 TMenu.UpdateImage 0022 DrawMenuBar 0031 TMenu.MenuChanged"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 83 7B 2C 00 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 43 2C 50 E8 ?? ?? ?? ?? 8A 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12216_0 {
	meta:
		name = "TMainMenu.Merge"
		size = 27
		refs = "000b TMenuItem.MergeWith"
	strings:
		$1 = { 85 D2 74 0C 8B 40 28 8B 52 28 E8 ?? ?? ?? ?? C3 33 D2 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12217_0 {
	meta:
		name = "TMainMenu.Unmerge"
		size = 26
		refs = "0015 TMenuItem.MergeWith"
	strings:
		$1 = { 85 D2 74 15 8B 48 28 8B 49 5C 3B 4A 28 75 0A 33 D2 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12218_0 {
	meta:
		name = "TMainMenu.ItemChanged"
		size = 42
		refs = "0023 SendMessage"
	strings:
		$1 = { 53 56 8B D8 6A 00 33 C9 33 D2 8B C3 8B 30 FF 56 38 8B 43 2C 85 C0 74 0F 6A 00 6A 00 68 15 B0 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12219_0 {
	meta:
		name = "TMainMenu.GetHandle"
		size = 16
		refs = "000b TMenu.GetHandle"
	strings:
		$1 = { 8B 50 48 85 D2 74 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12220_0 {
	meta:
		name = "ProcessAccels"
		size = 157
		refs = "0073 TMenuItem.GetCount 008a TMenuItem.GetItem 008f ProcessAccels"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 66 8B 56 54 66 85 D2 74 5F 8B 45 08 83 78 FC 00 74 4E B0 03 F6 C6 40 74 02 0C 08 F6 C6 80 74 02 0C 10 F6 C6 20 74 02 0C 04 25 FF 00 00 00 8B 55 08 8B 52 FC 66 89 02 66 8B 46 54 66 25 FF 00 8B 55 08 8B 52 FC 66 89 42 02 8B 45 08 8B 40 FC 66 8B 56 44 66 89 50 04 8B 45 08 83 40 FC 06 EB 30 8B 45 08 FF 40 F8 EB 28 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 FF 8B 45 08 50 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4B 75 E9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12221_0 {
	meta:
		name = "ProcessAccelItems"
		size = 53
		refs = "0023 ProcessAccels"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 4A 08 85 C9 7C 22 41 8B 55 08 8B 52 0C 33 DB 8A 58 31 3B 1A 75 0C 8B 55 08 52 E8 ?? ?? ?? ?? 59 EB 06 83 C2 04 49 75 E5 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_12222_0 {
	meta:
		name = "TMainMenu.GetOle2AcceleratorTable"
		size = 157
		refs = "0036 ProcessAccelItems 003c IterateMenus 0056 @GetMem 0076 CreateAcceleratorTable 0082 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 89 4D F0 89 55 F4 8B D8 33 C0 89 45 F8 33 C0 89 45 FC 8B 43 28 8B 50 5C B9 ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 10 83 7D F8 00 74 39 8B 45 F8 03 C0 8D 04 40 E8 ?? ?? ?? ?? 8B F0 89 75 FC 8B 43 28 8B 50 5C B9 ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 8B 45 F8 50 56 E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 10 8B 7D E4 8B 75 E8 8B 5D EC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12223_0 {
	meta:
		name = "AddOle2"
		size = 75
		refs = "003a TMenuItem.AppendTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 70 FC 85 F6 7C 32 46 8B 45 08 8B 58 F8 33 C0 8A 47 31 3B 03 75 1C 8B 55 08 8B 52 0C FF 04 82 8B 45 08 8A 48 F3 8B 45 08 8B 50 F4 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 D5 33 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12224_0 {
	meta:
		name = "TMainMenu.PopulateOle2Menu"
		size = 99
		refs = "0023 TMenu.IsRightToLeft 004e AddOle2 0053 IterateMenus"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B 5D 10 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 89 4D F8 89 55 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 88 45 F3 8B 45 10 89 45 FC 8B 55 08 85 D2 7C 0E 42 8B 45 0C 33 C9 89 08 83 C0 04 4A 75 F6 8B 43 28 8B C8 8B 50 5C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 E8 8B 5D EC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12225_0 {
	meta:
		name = "TMainMenu.SetOle2MenuHandle"
		size = 9
		refs = "0004 TMainMenu.ItemChanged"
	strings:
		$1 = { 89 50 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12227_0 {
	meta:
		name = "TPopupList.WndProc"
		size = 1515
		refs = "0012 TPopupList.WndProc 0079 TList.Get 0082 TMenu.DispatchCommand 00c0 TMenu.DispatchPopup 010e GetSubMenu 0138 TMenu.FindItem 014c Application 0153 TApplication.SetHint 01f3 TMenu.GetHelpContext 0214 Screen 025f TApplication.HelpCommand 026f TApplication.HelpContext 02cc _Dn_TControlCanvas 02d1 TCanvas.Create 02e9 GetStockObject 02f6 SelectObject 0315 TCanvas.SetHandle 031a GetMenuFont 0327 TFont.SetHandle 0340 TBrush.SetColor 0350 TFont.SetColor 03c1 @HandleFinally 03d8 TObject.Free 0442 GetWindowDC 04c7 TMenuItem.MeasureItem 0533 ReleaseDC 0595 TMenu.ProcessMenuChar 05ba DefWindowProc 05cc @HandleAnyException 05db TApplication.HandleException 05e0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F2 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 06 3D 11 01 00 00 7F 20 74 3A 83 E8 2B 0F 84 5D 02 00 00 48 0F 84 C7 03 00 00 83 E8 27 0F 84 3B 01 00 00 E9 62 05 00 00 2D 17 01 00 00 74 54 83 E8 08 0F 84 89 00 00 00 48 0F 84 FA 04 00 00 E9 46 05 00 00 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 37 05 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 66 8B 56 04 E8 ?? ?? ?? ?? 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 4D 05 00 00 47 4B 75 D8 E9 07 05 00 00 8B 45 FC 8B 58 08 4B 85 DB 0F 8C F8 04 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 56 04 E8 ?? ?? ?? ?? 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 0F 05 00 00 47 4B 75 D9 E9 C9 04 00 00 C6 45 F3 00 F6 46 06 10 74 04 C6 45 F3 01 8B 45 FC 8B 58 08 4B 85 DB 7C 71 43 33 FF 80 7D F3 01 75 20 8B 46 08 85 C0 74 10 0F B7 56 04 52 50 E8 ?? ?? ?? ?? 89 45 F8 EB 10 C7 45 F8 FF FF FF FF EB 07 0F B7 46 04 89 45 F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8A 4D F3 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 1F 8B 45 F4 8B 50 4C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 80 04 00 00 47 4B 75 92 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E9 2C 04 00 00 8B 46 08 89 45 E0 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 17 04 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 34 8B 55 E0 3B 42 0C 75 12 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 40 28 89 45 F4 EB 1A 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 52 0C B1 01 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 A0 00 00 00 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 52 08 B1 01 E8 ?? ?? ?? ?? 85 C0 75 17 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 52 0C 33 C9 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 52 60 85 D2 75 0F 64 8F 05 00 00 00 00 83 C4 08 E9 B4 03 00 00 85 C0 75 0B A1 ?? ?? ?? ?? 8B 82 44 01 00 00 8B 0D ?? ?? ?? ?? F6 82 08 02 00 00 08 74 17 8B 15 ?? ?? ?? ?? 8B 12 8B C8 B8 08 00 00 00 92 E8 ?? ?? ?? ?? EB 0E 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 64 03 00 00 47 4B 0F 85 0B FF FF FF E9 1A 03 00 00 8B 46 08 89 45 DC 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 05 03 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 52 08 33 C9 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 28 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0D E8 ?? ?? ?? ?? 50 8B 45 DC 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 50 18 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 DC F6 40 10 01 74 22 8B 45 EC 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? EB 20 8B 45 EC 8B 40 14 BA 04 00 00 80 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 0C BA 07 00 00 80 E8 ?? ?? ?? ?? 8B 45 DC F6 40 10 01 0F 95 C0 50 8B 45 DC 8D 48 1C 8B 55 EC 8B 45 F4 8B 18 FF 53 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 74 10 8B 45 E8 50 8B 45 DC 8B 40 18 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 E9 F3 01 00 00 47 4B 0F 85 AC FE FF FF E9 A9 01 00 00 8B 46 08 89 45 D8 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 94 01 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 52 08 33 C9 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 12 01 00 00 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0D E8 ?? ?? ?? ?? 50 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 D8 83 C0 10 50 8B 45 D8 8D 48 0C 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 50 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 E9 98 00 00 00 47 4B 0F 85 C2 FE FF FF EB 51 8B 45 FC 8B 58 08 4B 85 DB 7C 46 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 8B 10 FF 52 34 3B 46 08 74 11 8B 56 08 B1 01 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 74 14 8B D6 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 41 47 4B 75 BD 8B 46 08 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12228_0 {
	meta:
		name = "TPopupList.Add"
		size = 38
		refs = "000e TPopupList.WndProc 0013 AllocateHWnd 001f TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 08 00 75 0E 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12229_0 {
	meta:
		name = "TPopupList.Remove"
		size = 26
		refs = "0006 TList.Remove 0014 DeallocateHWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 08 00 75 08 8B 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12230_0 {
	meta:
		name = "TPopupMenu.Create"
		size = 109
		refs = "000a @ClassCreate 0017 TMenu.Create 0032 TPopupMenu.DoPopup 0037 Application 004a PopupList 004f TPopupList.Add 005a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 48 FF FF FF FF C7 46 4C FF FF FF FF 8B 46 28 89 70 78 C7 40 74 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 46 2C C6 46 51 01 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12232_0 {
	meta:
		name = "TPopupMenu.DoPopup"
		size = 18
		altNames = "TQRPrinter.PrintSetup"
	strings:
		$1 = { 53 66 83 78 5E 00 74 08 8B D8 8B 43 60 FF 53 5C 5B C3 }
	condition:
		$1
}

rule function_12233_0 {
	meta:
		name = "TPopupMenu.GetHelpContext"
		size = 7
	strings:
		$1 = { 8B 40 28 8B 40 48 C3 }
	condition:
		$1
}

rule function_12234_0 {
	meta:
		name = "TPopupMenu.SetHelpContext"
		size = 7
	strings:
		$1 = { 8B 40 28 89 50 48 C3 }
	condition:
		$1
}

rule function_12235_0 {
	meta:
		name = "TPopupMenu.SetBiDiModeFromPopupControl"
		size = 71
		refs = "0004 SysLocale 0018 FindPopupControl 0026 TMenu.SetBiDiMode 0031 Application"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 78 09 00 74 37 80 7B 35 00 74 31 8D 43 48 E8 ?? ?? ?? ?? 85 C0 74 10 8A 50 4F 8B C3 E8 ?? ?? ?? ?? C6 43 35 01 EB 15 A1 ?? ?? ?? ?? 8B 00 8A 50 28 8B C3 E8 ?? ?? ?? ?? C6 43 35 01 5B C3 }
	condition:
		$1
}

rule function_12236_0 {
	meta:
		name = "TPopupMenu.UseRightToLeftAlignment"
		size = 73
		refs = "0005 SysLocale 0019 FindPopupControl 0026 @CallDynaInst 002f Application 0036 TApplication.UseRightToLeftAlignment"
	strings:
		$1 = { 53 33 D2 8B 0D ?? ?? ?? ?? 80 79 09 00 74 36 80 78 35 00 74 29 83 C0 48 E8 ?? ?? ?? ?? 85 C0 74 0D 66 BB CF FF E8 ?? ?? ?? ?? 8B D0 EB 17 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 EB 07 80 78 24 01 0F 94 C2 8B C2 5B C3 }
	condition:
		$1
}

rule function_12237_0 {
	meta:
		name = "TPopupMenu.Popup"
		size = 148
		refs = "0013 Point 0027 TPopupMenu.SetBiDiModeFromPopupControl 0030 TPopupMenu.DoPopup 0038 TMenuItem.RebuildHandle 003f TMenu.AdjustBiDiBehavior 0046 PopupList 0055 TPopupMenu.UseRightToLeftAlignment 0062 Flags 0078 Buttons 0084 TMenuItem.GetHandle 008a TrackPopupMenu"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 04 24 89 43 48 8B 44 24 04 89 43 4C 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 40 10 50 6A 00 57 56 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 45 ?? ?? ?? ?? 33 D2 8A 53 50 66 8B 04 50 33 D2 8A 53 58 66 0B 04 55 ?? ?? ?? ?? 0F B7 C0 50 8B 43 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12238_0 {
	meta:
		name = "SetOwner"
		size = 75
		refs = "001a TComponent.InsertComponent 0021 TMenuItem.GetCount 0038 TMenuItem.GetItem 003d SetOwner"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 83 7F 04 00 75 10 8B 45 08 8B 40 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12239_0 {
	meta:
		name = "InitMenuItems"
		size = 71
		refs = "0025 SetOwner 0033 TMenuItem.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 45 FC 8B F1 85 F6 7C 1F 46 8B DA 55 8B 03 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 28 8B 13 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E4 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_12240_0 {
	meta:
		name = "NewMenu"
		size = 79
		refs = "0020 _DV_TMainMenu 0025 TMenu.Create 003d InitMenuItems"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5D 08 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 89 4D FC 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 18 8B 55 FC 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 75 F4 8B 5D F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12241_0 {
	meta:
		name = "NewPopupMenu"
		size = 94
		refs = "0023 _DV_TPopupMenu 0028 TPopupMenu.Create 0049 InitMenuItems"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B D9 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 8B 08 FF 51 18 8A 45 10 88 47 51 88 5F 50 8B 55 0C 8B 4D 08 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 7D F4 8B 75 F8 8B 5D FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12242_0 {
	meta:
		name = "NewSubMenu"
		size = 135
		refs = "002c _DV_TMenuItem 0031 TMenuItem.Create 0047 TMenuItem.Add 0057 TMenuItem.SetCaption 0072 TMenuItem.SetEnabled"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 5D 10 8B 75 0C 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 89 4D F4 66 89 55 FA 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 75 0C 85 F6 7C 13 46 8B 5D 10 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 0F B7 45 FA 89 47 48 8B 55 F4 8B C7 8B 08 FF 51 18 8A 55 08 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12243_0 {
	meta:
		name = "NewItem"
		size = 107
		refs = "0013 _DV_TMenuItem 0018 TMenuItem.Create 0023 TMenuItem.SetCaption 002c TMenuItem.SetShortCut 0049 TMenuItem.SetChecked 0053 TMenuItem.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 10 89 43 74 8B 45 14 89 43 78 0F B7 45 0C 89 43 48 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8A 55 18 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 8B 08 FF 51 18 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_12244_0 {
	meta:
		name = "NewLine"
		size = 48
		refs = "0006 _DV_TMenuItem 000b TMenuItem.Create 0012 NewLine 0019 TMenuItem.SetCaption"
	strings:
		$1 = { 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_12245_0 {
	meta:
		name = "StripHotKey"
		size = 150
		refs = "000b @LStrLAsg 001e LeadBytes 0039 SysLocale 004b @LStrLen 0073 @LStrDelete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? BB 01 00 00 00 EB 72 8B 06 8A 44 18 FF 8B 15 ?? ?? ?? ?? 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 03 43 EB 55 8B 16 3C 26 75 4F A1 ?? ?? ?? ?? 80 78 08 00 74 36 83 FB 01 7E 31 8B 06 E8 ?? ?? ?? ?? 2B C3 83 F8 02 7C 23 8B 06 80 7C 18 FE 28 75 1A 8B 06 80 7C 18 01 29 75 11 8B D3 4A 8B C6 B9 04 00 00 00 E8 ?? ?? ?? ?? EB 0E 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 43 8B 06 E8 ?? ?? ?? ?? 3B D8 7E 83 5E 5B C3 }
	condition:
		$1
}

rule function_12247_0 {
	meta:
		name = "Finalization"
		size = 89
		refs = "0007 Finalization 0013 _DV_7 001a PopupList 001f TObject.Free 0024 CommandPool 002e MenuKeyCaps 0039 String 003e @FinalizeArray 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 29 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12248_0 {
	meta:
		name = "Menus"
		size = 78
		refs = "0006 _DV_7 000e _NF__488 0013 @InitResStringImports 0018 _DV_TMenuItem 0025 RegisterClasses 002c _Dn_TBits 0031 TObject.Create 0036 CommandPool 003d _DV_TPopupList 0047 PopupList"
	strings:
		$1 = { 55 8B EC 51 83 2D ?? ?? ?? ?? 01 73 3E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 8D 45 FC 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_12251_0 {
	meta:
		name = "TMidasConnection.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TDCOMConnection.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 94 00 00 00 D3 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12252_0 {
	meta:
		name = "InitConnection"
		size = 95
		refs = "000c InitConnection 0022 TDispatchConnection.SetServerName 0030 TDispatchConnection.GetServerGUID 003a TDispatchConnection.SetServerGUID 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 50 5C 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12253_0 {
	meta:
		name = "TMidasConnection.DoConnect"
		size = 545
		refs = "0014 TMidasConnection.DoConnect 003e TDCOMConnection.DoConnect 004d _Dn_TOLEnterpriseConnection 0052 TDispatchConnection.Create 0078 @AsClass 0082 InitConnection 009f TOLEnterpriseConnection.SetBrokerName 00b1 TOLEnterpriseConnection.SetComputerName 00e1 @HandleAnyException 00ef TObject.Free 00f4 @RaiseAgain 00f9 @DoneExcept 0108 _Dn_TSocketConnection 010d TSocketConnection.Create 0143 @LStrLen 0176 TSocketConnection.SetHost 01a5 TSocketConnection.SetAddress 020e @VarClr 0214 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 90 00 00 00 2C 01 72 0F 0F 84 D1 00 00 00 FE C8 74 12 E9 C3 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 B6 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 8C 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 55 8B C6 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 98 00 00 00 00 74 12 8B 45 FC 8B 90 88 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 10 8B 45 FC 8B 90 88 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 48 8D 55 EC 8B C3 8B 08 FF 51 50 8D 55 EC 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 E9 1D 01 00 00 E9 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FB 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 8C 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 35 BA 01 00 00 00 8B 4D FC 8B 89 88 00 00 00 8A 4C 11 FF 80 E9 2E 74 1A 80 C1 FE 80 E9 0A 72 12 8B 45 FC 8B 90 88 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 04 42 48 75 D0 55 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 59 83 BE A0 00 00 00 00 75 10 8B 45 FC 8B 90 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 94 00 00 00 89 86 A4 00 00 00 B2 01 8B C6 8B 08 FF 51 48 8D 55 EC 8B C6 8B 08 FF 51 50 8D 55 EC 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12254_0 {
	meta:
		name = "TMidasConnection.DoDisconnect"
		size = 31
		refs = "0006 TDispatchConnection.DoDisconnect 0011 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12255_0 {
	meta:
		name = "TMidasConnection.SetConnectType"
		size = 32
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 90 00 00 00 74 0F 33 D2 8B C6 8B 08 FF 51 48 88 9E 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12256_0 {
	meta:
		name = "TMidasConnection.SetUseBroker"
		size = 22
	strings:
		$1 = { 3A 90 98 00 00 00 74 0D 88 90 98 00 00 00 33 D2 8B 08 FF 51 48 C3 }
	condition:
		$1
}

rule function_12453_0 {
	meta:
		name = "RGB"
		size = 26
		altNames = "mci_Make_HMS mci_Make_MSF"
	strings:
		$1 = { 25 FF 00 00 00 81 E2 FF 00 00 00 C1 E2 08 0B C2 33 D2 8A D1 C1 E2 10 0B C2 C3 }
	condition:
		$1
}

rule function_12458_0 {
	meta:
		name = "mci_Make_TMSF"
		size = 42
	strings:
		$1 = { 55 8B EC 25 FF 00 00 00 81 E2 FF 00 00 00 C1 E2 08 0B C2 33 D2 8A D1 C1 E2 10 0B C2 33 D2 8A 55 08 C1 E2 18 0B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_12463_0 {
	meta:
		name = "DIBIndex"
		size = 10
		refs = "0005 MakeLong"
	strings:
		$1 = { 66 BA FF 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12466_0 {
	meta:
		name = "_NF__15E"
		size = 12
	strings:
		$1 = { 45 4E 00 00 44 49 00 00 43 4C 00 00 }
	condition:
		$1
}

rule function_12467_0 {
	meta:
		name = "_NF__160"
		size = 76
	strings:
		$1 = { 4D 50 50 4C 41 59 00 00 4D 50 50 41 55 53 45 00 4D 50 53 54 4F 50 00 00 4D 50 4E 45 58 54 00 00 4D 50 50 52 45 56 00 00 4D 50 53 54 45 50 00 00 4D 50 42 41 43 4B 00 00 4D 50 52 45 43 4F 52 44 00 00 00 00 4D 50 45 4A 45 43 54 00 }
	condition:
		$1
}

rule function_12468_0 {
	meta:
		name = "TMediaPlayer.Create"
		size = 240
		refs = "000d @ClassCreate 001b TCustomControl.Create 0020 TMediaPlayer.Create 002d TMediaPlayer.LoadBitmaps 008d TControl.SetWidth 0099 TControl.SetHeight 00c5 TWinControl.SetTabStop 00d2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 8B C3 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 83 80 02 00 00 66 A1 ?? ?? ?? ?? 66 89 83 82 02 00 00 66 A1 ?? ?? ?? ?? 66 89 83 84 02 00 00 33 C0 33 D2 8A D0 03 D2 C6 84 D3 F0 01 00 00 01 C6 84 D3 F1 01 00 00 01 C6 84 D3 F2 01 00 00 01 C6 84 D3 F3 01 00 00 00 40 3C 09 75 D5 BA F0 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 1E 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 C0 02 00 00 00 C6 83 FC 02 00 00 01 C6 83 FD 02 00 00 00 C6 83 FE 02 00 00 01 C6 83 D4 02 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 40 00 00 00 FF 01 00 00 }
	condition:
		$1
}

rule function_12469_0 {
	meta:
		name = "TMediaPlayer.Destroy"
		size = 77
		refs = "0004 @BeforeDestruction 0027 mciSendCommand 002e TMediaPlayer.DestroyBitmaps 003a TCustomControl.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 8B DA 8B F0 66 8B 86 D2 02 00 00 66 85 C0 74 13 8B D4 52 6A 02 68 04 08 00 00 0F B7 C0 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12470_0 {
	meta:
		name = "TMediaPlayer.Loaded"
		size = 34
		refs = "0006 TControl.Loaded 001c TMediaPlayer.Open"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 10 80 BB FD 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12471_0 {
	meta:
		name = "TMediaPlayer.LoadBitmaps"
		size = 368
		refs = "0012 Point 002f BtnTypeName 0036 BtnStateName 003d _Dn_TBitmap 0042 TBitmap.Create 0079 TMediaPlayer.LoadBitmaps 0082 StrFmt 0088 HInstance 0090 LoadBitmap 00ac TBitmap.SetHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 8B F0 8D 4C 24 2C 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 44 24 2C 89 86 A0 02 00 00 8B 44 24 30 89 86 A4 02 00 00 C6 04 24 00 BD ?? ?? ?? ?? 33 DB BF ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D3 33 C9 8A 0C 24 03 C9 8D 0C CE 89 84 91 F4 01 00 00 6A 01 8B 07 89 44 24 38 C6 44 24 3C 06 8B 45 00 89 44 24 40 C6 44 24 44 06 8D 4C 24 38 BA ?? ?? ?? ?? 8D 44 24 05 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 33 C0 8A C3 33 C9 8A 0C 24 03 C9 8D 0C CE 8B 84 81 F4 01 00 00 E8 ?? ?? ?? ?? 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 F4 01 00 00 8B 10 FF 52 2C 3B 86 A0 02 00 00 7E 20 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 F4 01 00 00 8B 10 FF 52 2C 89 86 A0 02 00 00 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 F4 01 00 00 8B 10 FF 52 20 3B 86 A4 02 00 00 7E 20 33 C0 8A C3 33 D2 8A 14 24 03 D2 8D 14 D6 8B 84 82 F4 01 00 00 8B 10 FF 52 20 89 86 A4 02 00 00 43 83 C7 04 80 FB 03 0F 85 F9 FE FF FF FE 04 24 83 C5 04 80 3C 24 09 0F 85 E2 FE FF FF 83 86 A0 02 00 00 08 83 86 A4 02 00 00 04 83 C4 44 5D 5F 5E 5B C3 00 25 73 5F 25 73 00 00 00 }
	condition:
		$1
}

rule function_12472_0 {
	meta:
		name = "TMediaPlayer.DestroyBitmaps"
		size = 56
		refs = "0021 TObject.Free"
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 00 33 DB 33 C0 8A 04 24 03 C0 8D 04 C6 33 D2 8A D3 8B 84 90 F4 01 00 00 E8 ?? ?? ?? ?? 43 80 FB 03 75 E0 FE 04 24 80 3C 24 09 75 D5 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12473_0 {
	meta:
		name = "TMediaPlayer.SetAutoEnable"
		size = 40
		refs = "0015 TMediaPlayer.DrawAutoButtons 0023 TMediaPlayer.SetEnabledButtons"
	strings:
		$1 = { 3A 90 FC 02 00 00 74 1F 8B CA 88 88 FC 02 00 00 84 C9 74 07 E8 ?? ?? ?? ?? EB 0C 66 8B 90 82 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12474_0 {
	meta:
		name = "TMediaPlayer.SetEnabledButtons"
		size = 66
	strings:
		$1 = { 53 51 66 89 14 24 66 8B 14 24 66 89 90 82 02 00 00 33 D2 8B CA 80 F9 0F 77 0A 83 E1 7F 0F A3 88 82 02 00 00 0F 92 C1 33 DB 8A DA 03 DB 88 8C D8 F1 01 00 00 42 80 FA 09 75 D9 8B 10 FF 52 78 5A 5B C3 }
	condition:
		$1
}

rule function_12475_0 {
	meta:
		name = "TMediaPlayer.DrawAutoButtons"
		size = 49
	strings:
		$1 = { 53 33 D2 8B CA 80 F9 0F 77 0A 83 E1 7F 0F A3 88 86 02 00 00 0F 92 C1 33 DB 8A DA 03 DB 88 8C D8 F3 01 00 00 42 80 FA 09 75 D9 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_12476_0 {
	meta:
		name = "TMediaPlayer.SetColored"
		size = 66
	strings:
		$1 = { 53 51 66 89 14 24 66 8B 14 24 66 89 90 84 02 00 00 33 D2 8B CA 80 F9 0F 77 0A 83 E1 7F 0F A3 88 84 02 00 00 0F 92 C1 33 DB 8A DA 03 DB 88 8C D8 F2 01 00 00 42 80 FA 09 75 D9 8B 10 FF 52 78 5A 5B C3 }
	condition:
		$1
}

rule function_12477_0 {
	meta:
		name = "TMediaPlayer.SetVisible"
		size = 110
		refs = "0044 TMediaPlayer.VisibleButtonCount 0067 TMediaPlayer.Adjust"
	strings:
		$1 = { 56 51 66 89 14 24 8B F0 66 8B 04 24 66 89 86 80 02 00 00 33 C0 8B D0 80 FA 0F 77 0A 83 E2 7F 0F A3 96 80 02 00 00 0F 92 C2 33 C9 8A C8 03 C9 88 94 CE F0 01 00 00 40 3C 09 75 DA F6 46 20 40 74 23 8B C6 E8 ?? ?? ?? ?? 50 8B 46 38 48 5A 8B CA 99 F7 F9 40 89 86 9C 02 00 00 8B C6 8B 10 FF 52 78 5A 5E C3 8B C6 E8 ?? ?? ?? ?? 5A 5E C3 }
	condition:
		$1
}

rule function_12478_0 {
	meta:
		name = "TMediaPlayer.VisibleButtonCount"
		size = 37
	strings:
		$1 = { 56 33 F6 33 D2 33 C9 8A CA 03 C9 80 BC C8 F0 01 00 00 00 74 01 46 42 80 FA 09 75 E9 85 F6 75 01 46 8B C6 5E C3 }
	condition:
		$1
}

rule function_12479_0 {
	meta:
		name = "TMediaPlayer.Adjust"
		size = 37
		refs = "0006 TMediaPlayer.VisibleButtonCount 0018 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 9C 02 00 00 4A 0F AF D0 42 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_12480_0 {
	meta:
		name = "TMediaPlayer.WMSize"
		size = 143
		refs = "0011 TWinControl.WMSize 001e TMediaPlayer.VisibleButtonCount"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? F6 43 20 40 75 6D 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 83 A0 02 00 00 48 F7 E9 40 89 44 24 04 8B BB A4 02 00 00 89 7C 24 08 8B 43 38 48 99 F7 F9 8B F0 46 89 B3 9C 02 00 00 4E 0F AF F1 46 8B 44 24 04 3B F0 7D 02 8B F0 8B 43 3C 3B F8 7F 02 8B F8 3B 73 38 75 05 3B 7B 3C 74 12 56 57 8B 4B 34 8B 53 30 8B C3 8B 18 FF 93 80 00 00 00 8B 04 24 33 D2 89 50 0C 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12481_0 {
	meta:
		name = "TMediaPlayer.DrawButton"
		size = 762
		refs = "0038 TBrush.SetStyle 0045 TBrush.SetColor 0052 TPen.SetColor 005f TPen.SetWidth 0077 TCanvas.Rectangle 009d TCanvas.MoveTo 00ab TCanvas.LineTo 0244 Rect 0273 Bounds 0280 TCanvas.BrushCopy 0287 TWinControl.GetHandle 028e GetFocus 02c3 InflateRect 02d8 OffsetRect 02e8 TCanvas.GetHandle 02ee DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B F9 88 14 24 8B D8 80 BB 89 02 00 00 00 74 0B 8A 04 24 3A 83 8A 02 00 00 74 04 33 C0 EB 02 B0 01 88 44 24 01 8B B3 EC 01 00 00 33 D2 8B 46 14 E8 ?? ?? ?? ?? BA 0F 00 00 80 8B 46 14 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 46 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 03 C7 50 8B 43 3C 50 33 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7C 24 01 00 74 47 BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 4B 3C 83 E9 02 8D 6F 01 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D5 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 9C 02 00 00 03 D7 4A B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 8E 00 00 00 BA 14 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 4B 3C 83 E9 02 8D 6F 01 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D5 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 9C 02 00 00 03 D7 4A B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 4B 3C 83 E9 02 8D 57 02 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 83 E9 02 8B 93 9C 02 00 00 03 D7 83 EA 02 8B C6 E8 ?? ?? ?? ?? 8B 93 9C 02 00 00 03 D7 83 EA 02 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 84 C0 75 06 F6 43 20 10 74 5D 80 BB FC 02 00 00 00 74 2D F6 43 20 10 75 27 33 C0 8A 04 24 8B D0 03 D2 80 BC D3 F3 01 00 00 00 74 10 33 C0 80 BC D3 F2 01 00 00 00 74 31 B0 02 EB 2D B0 01 EB 29 33 C0 8A 04 24 8B D0 03 D2 80 BC D3 F1 01 00 00 00 74 10 33 C0 80 BC D3 F2 01 00 00 00 74 0A B0 02 EB 06 B0 01 EB 02 B0 01 83 E0 7F 33 D2 8A 14 24 03 D2 8D 14 D3 8B AC 82 F4 01 00 00 8B C5 8B 10 FF 52 2C D1 F8 79 03 83 D0 00 8B 93 9C 02 00 00 D1 FA 79 03 83 D2 00 2B D0 89 54 24 04 8B C5 8B 10 FF 52 20 D1 F8 79 03 83 D0 00 8B 53 3C D1 FA 79 03 83 D2 00 2B D0 89 54 24 08 80 7C 24 01 00 74 08 FF 44 24 04 FF 44 24 08 8B C5 8B 10 FF 52 20 50 8D 44 24 20 50 8B C5 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 80 80 00 00 8B C5 8B 10 FF 52 20 50 8D 44 24 38 50 8B C5 8B 10 FF 52 2C 8B C8 8B 44 24 14 03 C7 8B 54 24 18 E8 ?? ?? ?? ?? 8D 54 24 34 8B CD 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 5C 8A 04 24 3A 83 C0 02 00 00 75 51 8B 43 3C 50 8D 44 24 10 50 8B 8B 9C 02 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 6A FD 6A FD 8D 44 24 14 50 E8 ?? ?? ?? ?? 80 7C 24 01 00 74 0E 6A 01 6A 01 8D 44 24 14 50 E8 ?? ?? ?? ?? 8D 44 24 0C 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12482_0 {
	meta:
		name = "TMediaPlayer.Paint"
		size = 116
		refs = "0011 TBrush.SetStyle 001e TPen.SetColor 002b TPen.SetWidth 003e TCanvas.Rectangle 005d TMediaPlayer.DrawButton"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E EC 01 00 00 8B 43 14 B2 01 E8 ?? ?? ?? ?? 8B 43 10 BA 06 00 00 80 E8 ?? ?? ?? ?? 8B 43 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 46 38 50 8B 46 3C 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 FF 33 DB 33 C0 8A C3 03 C0 80 BC C6 F0 01 00 00 00 74 14 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 48 03 F8 43 80 FB 09 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12483_0 {
	meta:
		name = "TMediaPlayer.AutoButtonSet"
		size = 552
		refs = "0013 TMediaPlayer.AutoButtonSet"
	strings:
		$1 = { 53 8B D8 33 C0 8A C2 83 F8 08 0F 87 0C 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 66 A1 ?? ?? ?? ?? 66 0B 83 86 02 00 00 66 89 83 86 02 00 00 5B C3 80 BB C3 02 00 00 00 74 08 66 83 8B 86 02 00 00 01 80 BB C6 02 00 00 00 0F 84 97 01 00 00 66 81 8B 86 02 00 00 80 00 5B C3 80 BB C3 02 00 00 00 74 08 66 83 8B 86 02 00 00 01 80 BB C6 02 00 00 00 74 09 66 81 8B 86 02 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 5B C3 80 BB C3 02 00 00 00 74 08 66 83 8B 86 02 00 00 01 80 BB C6 02 00 00 00 74 09 66 81 8B 86 02 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 5B C3 80 BB C3 02 00 00 00 74 08 66 83 8B 86 02 00 00 01 80 BB C6 02 00 00 00 74 09 66 81 8B 86 02 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 5B C3 80 BB C3 02 00 00 00 74 08 66 83 8B 86 02 00 00 01 80 BB C6 02 00 00 00 74 09 66 81 8B 86 02 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 5B C3 80 BB C3 02 00 00 00 74 08 66 83 8B 86 02 00 00 01 80 BB C6 02 00 00 00 74 09 66 81 8B 86 02 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 5B C3 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 66 A1 ?? ?? ?? ?? 66 0B 83 86 02 00 00 66 89 83 86 02 00 00 5B C3 80 BB C3 02 00 00 00 74 08 66 83 8B 86 02 00 00 01 80 BB C6 02 00 00 00 74 09 66 81 8B 86 02 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 5B C3 00 00 81 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_12484_0 {
	meta:
		name = "TMediaPlayer.DoMouseDown"
		size = 230
		refs = "00a4 Rect 00d2 TMediaPlayer.DrawButton 00db TControl.SetMouseCapture"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 33 FF 33 DB 33 C0 8A C3 03 C0 80 BC C6 F0 01 00 00 00 74 4C 3B FA 7F 3F 8B 86 9C 02 00 00 03 C7 3B D0 7F 33 80 BE FC 02 00 00 00 74 15 33 C0 8A C3 03 C0 80 BC C6 F3 01 00 00 00 75 29 E9 95 00 00 00 33 C0 8A C3 03 C0 80 BC C6 F1 01 00 00 00 75 14 E9 80 00 00 00 8B 86 9C 02 00 00 48 03 F8 43 80 FB 09 75 9E 8B C3 88 86 8A 02 00 00 3A 86 C0 02 00 00 74 10 88 86 C0 02 00 00 8B C6 8B 10 FF 92 B8 00 00 00 8B 46 3C 50 8D 44 24 04 50 8B 8E 9C 02 00 00 03 CF 33 D2 8B C7 E8 ?? ?? ?? ?? 56 57 8D BE 8C 02 00 00 8D 74 24 08 B9 04 00 00 00 F3 A5 5F 5E C6 86 88 02 00 00 01 C6 86 89 02 00 00 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12485_0 {
	meta:
		name = "TMediaPlayer.WMLButtonDblClk"
		size = 14
		refs = "0009 TMediaPlayer.DoMouseDown"
		altNames = "TMediaPlayer.WMLButtonDown"
	strings:
		$1 = { 0F BF 4A 0A 0F BF 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12487_0 {
	meta:
		name = "TMediaPlayer.WMMouseMove"
		size = 104
		refs = "001e Point 0032 PtInRect 005e TMediaPlayer.DrawButton"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B F8 80 BF 88 02 00 00 00 74 4F 8B CC 0F BF 56 0A 0F BF 46 08 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 87 8C 02 00 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8A 9F 89 02 00 00 3A C3 74 1C 80 F3 01 88 9F 89 02 00 00 8B 8F 8C 02 00 00 8A 97 8A 02 00 00 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12488_0 {
	meta:
		name = "TMediaPlayer.DoClick"
		size = 190
		refs = "0018 @CallDynaInst 0036 TMediaPlayer.DoClick 0061 TMediaPlayer.Play 006a TMediaPlayer.Pause 0073 TMediaPlayer.Stop 007c TMediaPlayer.Next 0085 TMediaPlayer.Previous 008e TMediaPlayer.Step 0097 TMediaPlayer.Back 00a0 TMediaPlayer.StartRecording 00a9 TMediaPlayer.Eject 00b6 TMediaPlayer.DoPostClick"
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 01 8B CC 8A 96 8A 02 00 00 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 80 3C 24 00 0F 84 94 00 00 00 33 C0 8A 86 8A 02 00 00 83 F8 08 77 7A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 46 8B C6 E8 ?? ?? ?? ?? EB 3D 8B C6 E8 ?? ?? ?? ?? EB 34 8B C6 E8 ?? ?? ?? ?? EB 2B 8B C6 E8 ?? ?? ?? ?? EB 22 8B C6 E8 ?? ?? ?? ?? EB 19 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8A 96 8A 02 00 00 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12489_0 {
	meta:
		name = "TMediaPlayer.DoPostClick"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 53 8A 90 8A 02 00 00 66 BB B6 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12490_0 {
	meta:
		name = "TMediaPlayer.WMLButtonUp"
		size = 131
		refs = "0009 TControl.SetMouseCapture 0035 TMediaPlayer.DrawButton 0042 TMediaPlayer.DoClick 006e @CallDynaInst 0075 TMediaPlayer.DrawAutoButtons"
	strings:
		$1 = { 53 56 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BE 88 02 00 00 00 74 63 80 BE 89 02 00 00 00 74 5A C6 86 89 02 00 00 00 8B 8E 8C 02 00 00 8A 96 8A 02 00 00 8B C6 E8 ?? ?? ?? ?? 8A 96 8A 02 00 00 8B C6 E8 ?? ?? ?? ?? 80 BE FC 02 00 00 00 74 2A 83 BE E4 02 00 00 00 75 21 80 BE C1 02 00 00 00 74 18 8A 96 8A 02 00 00 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 88 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12491_0 {
	meta:
		name = "TMediaPlayer.WMKillFocus"
		size = 9
		altNames = "TMediaPlayer.WMSetFocus"
	strings:
		$1 = { 8B 10 FF 92 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_12494_0 {
	meta:
		name = "TMediaPlayer.KeyDown"
		size = 220
		refs = "00b4 TMediaPlayer.DoClick 00ce @CallDynaInst 00d5 TMediaPlayer.DrawAutoButtons"
	strings:
		$1 = { 53 56 8B F0 66 8B 02 66 83 E8 20 0F 84 82 00 00 00 66 83 E8 05 74 45 66 83 E8 02 0F 85 B8 00 00 00 8A 86 C0 02 00 00 3C 08 73 01 40 3C 08 74 10 33 D2 8A D0 03 D2 80 BC D6 F0 01 00 00 00 74 E7 3A 86 C0 02 00 00 0F 84 8D 00 00 00 88 86 C0 02 00 00 8B C6 8B 10 FF 52 78 5E 5B C3 8A 86 C0 02 00 00 84 C0 76 01 48 84 C0 74 10 33 D2 8A D0 03 D2 80 BC D6 F0 01 00 00 00 74 E7 3A 86 C0 02 00 00 74 56 88 86 C0 02 00 00 8B C6 8B 10 FF 52 78 5E 5B C3 8A 86 C0 02 00 00 33 D2 8A D0 03 D2 80 BC D6 F1 01 00 00 00 74 30 8B D0 88 96 8A 02 00 00 8B C6 E8 ?? ?? ?? ?? 80 BE FC 02 00 00 00 74 18 8A 96 8A 02 00 00 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12495_0 {
	meta:
		name = "TMediaPlayer.MMNotify"
		size = 164
		refs = "0012 TMediaPlayer.GetMode 003f TMediaPlayer.MMNotify 0056 TMediaPlayer.DrawAutoButtons 0098 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB FC 02 00 00 00 74 4B 8B C3 E8 ?? ?? ?? ?? 3C 01 75 40 80 BB C3 02 00 00 00 74 08 66 83 8B 86 02 00 00 01 80 BB C6 02 00 00 00 74 09 66 81 8B 86 02 00 00 80 00 66 A1 ?? ?? ?? ?? F7 D0 66 23 83 86 02 00 00 66 89 83 86 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 46 04 48 74 0F 48 74 15 83 E8 02 74 19 83 E8 04 74 1D EB 22 C6 83 E8 02 00 00 00 EB 19 C6 83 E8 02 00 00 01 EB 10 C6 83 E8 02 00 00 02 EB 07 C6 83 E8 02 00 00 03 8B C3 66 BB B5 FF E8 ?? ?? ?? ?? 5E 5B C3 00 06 00 00 00 }
	condition:
		$1
}

rule function_12496_0 {
	meta:
		name = "TMediaPlayer.CheckIfOpen"
		size = 93
		refs = "0009 TMediaPlayer.CheckIfOpen 0020 SNotOpenErr 0025 LoadResString 002f _DV_EMCIDeviceError 0034 Exception.Create 0039 @RaiseExcept 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 C1 02 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12497_0 {
	meta:
		name = "TMediaPlayer.Click"
		size = 32
	strings:
		$1 = { 53 66 83 B8 AA 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 AC 02 00 00 FF 93 A8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_12498_0 {
	meta:
		name = "TMediaPlayer.PostClick"
		size = 31
	strings:
		$1 = { 53 66 83 B8 B2 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_12499_0 {
	meta:
		name = "TMediaPlayer.DoNotify"
		size = 29
	strings:
		$1 = { 53 66 83 B8 BA 02 00 00 00 74 10 8B D8 8B D0 8B 83 BC 02 00 00 FF 93 B8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_12502_0 {
	meta:
		name = "TMediaPlayer.Open"
		size = 596
		refs = "0013 TMediaPlayer.Open 0029 TMediaPlayer.Close 0042 DeviceName 0050 @LStrToPChar 00e1 TWinControl.GetHandle 00fb mciSendCommand 0111 TMediaPlayer.GetErrorMessage 011b _DV_EMCIDeviceError 0120 Exception.Create 0125 @RaiseExcept 0143 TMediaPlayer.GetLength 0158 TMediaPlayer.GetDeviceCaps 016e TMediaPlayer.SetDisplay 0178 TMediaPlayer.GetDisplayRect 01a7 TMediaPlayer.SetTimeFormat 020d TMediaPlayer.GetMode 021e @CallDynaInst 0225 TMediaPlayer.DrawAutoButtons 023a @LStrClr 0240 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 D2 89 55 D8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE C1 02 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8A 86 D4 02 00 00 84 C0 74 0D 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 F4 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 86 C8 02 00 00 80 BE CE 02 00 00 00 74 1C 80 BE CC 02 00 00 00 74 0A C7 86 C8 02 00 00 02 00 00 00 C6 86 CE 02 00 00 00 EB 0A C7 86 C8 02 00 00 02 00 00 00 80 BE CF 02 00 00 00 74 17 80 BE CD 02 00 00 00 74 07 83 8E C8 02 00 00 01 C6 86 CF 02 00 00 00 81 8E C8 02 00 00 00 02 00 00 80 BE D4 02 00 00 00 74 0A 81 8E C8 02 00 00 00 20 00 00 80 BE FF 02 00 00 00 74 0A 81 8E C8 02 00 00 00 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 8B 86 C8 02 00 00 50 68 03 08 00 00 6A 00 E8 ?? ?? ?? ?? 8B D8 89 9E E4 02 00 00 85 DB 74 23 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FB 00 00 00 C6 86 C1 02 00 00 01 66 8B 45 F0 66 89 86 D2 02 00 00 8B C6 E8 ?? ?? ?? ?? B9 0A 00 00 00 99 F7 F9 89 86 E0 02 00 00 8B C6 E8 ?? ?? ?? ?? 80 BE C7 02 00 00 00 74 2F 8B 96 EC 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 2B 45 DC 89 86 F0 02 00 00 8B 45 E8 2B 45 E0 89 86 F4 02 00 00 8A 86 D4 02 00 00 3C 02 74 04 3C 0B 75 09 B2 0A 8B C6 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 86 86 02 00 00 80 BE C4 02 00 00 00 74 14 66 A1 ?? ?? ?? ?? 66 0B 86 86 02 00 00 66 89 86 86 02 00 00 80 BE C3 02 00 00 00 74 08 66 83 8E 86 02 00 00 01 80 BE C6 02 00 00 00 74 09 66 81 8E 86 02 00 00 80 00 80 BE C5 02 00 00 00 74 09 66 81 8E 86 02 00 00 00 01 8B C6 E8 ?? ?? ?? ?? 3C 02 75 0D 33 D2 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 18 00 00 00 60 00 00 00 }
	condition:
		$1
}

rule function_12503_0 {
	meta:
		name = "TMediaPlayer.Close"
		size = 200
		refs = "006d TWinControl.GetHandle 008c mciSendCommand 00ae TMediaPlayer.Close 00bc TMediaPlayer.DrawAutoButtons"
	strings:
		$1 = { 53 56 51 8B D8 66 83 BB D2 02 00 00 00 0F 84 AD 00 00 00 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 04 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 B3 E4 02 00 00 85 F6 75 24 C6 83 C1 02 00 00 00 66 C7 83 D2 02 00 00 00 00 66 A1 ?? ?? ?? ?? 66 89 83 86 02 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_12504_0 {
	meta:
		name = "TMediaPlayer.Play"
		size = 271
		refs = "000a TMediaPlayer.CheckIfOpen 001a TMediaPlayer.GetPosition 0023 TMediaPlayer.GetLength 0040 TMediaPlayer.Rewind 00e0 TWinControl.GetHandle 00ff mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB FE 02 00 00 00 74 2D 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 19 80 BB D0 02 00 00 00 75 10 80 BB D1 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CF 02 00 00 00 74 1C 80 BB CD 02 00 00 00 74 0A C7 83 C8 02 00 00 01 00 00 00 C6 83 CF 02 00 00 00 EB 0A C7 83 C8 02 00 00 01 00 00 00 80 BB CE 02 00 00 00 74 17 80 BB CC 02 00 00 00 74 07 83 8B C8 02 00 00 02 C6 83 CE 02 00 00 00 80 BB D0 02 00 00 00 74 18 83 8B C8 02 00 00 04 8B 83 DC 02 00 00 89 44 24 04 C6 83 D0 02 00 00 00 80 BB D1 02 00 00 00 74 18 83 8B C8 02 00 00 08 8B 83 D8 02 00 00 89 44 24 08 C6 83 D1 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 06 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_12505_0 {
	meta:
		name = "TMediaPlayer.StartRecording"
		size = 215
		refs = "0009 TMediaPlayer.CheckIfOpen 00a9 TWinControl.GetHandle 00c8 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CF 02 00 00 00 74 1C 80 BB CD 02 00 00 00 74 0A C7 83 C8 02 00 00 01 00 00 00 C6 83 CF 02 00 00 00 EB 0A C7 83 C8 02 00 00 01 00 00 00 80 BB CE 02 00 00 00 74 17 80 BB CC 02 00 00 00 74 07 83 8B C8 02 00 00 02 C6 83 CE 02 00 00 00 80 BB D0 02 00 00 00 74 18 83 8B C8 02 00 00 04 8B 83 DC 02 00 00 89 44 24 04 C6 83 D0 02 00 00 00 80 BB D1 02 00 00 00 74 18 83 8B C8 02 00 00 08 8B 83 D8 02 00 00 89 44 24 08 C6 83 D1 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 0F 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_12506_0 {
	meta:
		name = "TMediaPlayer.Stop"
		size = 145
		refs = "0007 TMediaPlayer.CheckIfOpen 0065 TWinControl.GetHandle 0084 mciSendCommand"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 08 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_12507_0 {
	meta:
		name = "TMediaPlayer.Pause"
		size = 135
		refs = "000c TMediaPlayer.Pause 0023 SNotOpenErr 0028 LoadResString 0032 _DV_EMCIDeviceError 0037 Exception.Create 003c @RaiseExcept 0043 TMediaPlayer.GetMode 004e TMediaPlayer.PauseOnly 0062 TMediaPlayer.Resume 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB C1 02 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 02 75 09 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 3C 05 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12508_0 {
	meta:
		name = "TMediaPlayer.PauseOnly"
		size = 145
		refs = "0007 TMediaPlayer.CheckIfOpen 0065 TWinControl.GetHandle 0084 mciSendCommand"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 09 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_12509_0 {
	meta:
		name = "TMediaPlayer.Resume"
		size = 180
		refs = "0008 TMediaPlayer.CheckIfOpen 0058 TWinControl.GetHandle 0077 mciSendCommand 008a TMediaPlayer.Play"
	strings:
		$1 = { 53 56 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CF 02 00 00 00 74 15 80 BB CD 02 00 00 00 74 16 C7 83 C8 02 00 00 01 00 00 00 EB 0A C7 83 C8 02 00 00 01 00 00 00 80 BB CE 02 00 00 00 74 10 80 BB CC 02 00 00 00 74 07 83 8B C8 02 00 00 02 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 55 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 B3 E4 02 00 00 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? EB 20 80 BB CF 02 00 00 00 74 07 C6 83 CF 02 00 00 00 80 BB CE 02 00 00 00 74 07 C6 83 CE 02 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12510_0 {
	meta:
		name = "TMediaPlayer.Next"
		size = 398
		refs = "000b TMediaPlayer.CheckIfOpen 006f TMediaPlayer.GetTimeFormat 007e TMediaPlayer.GetMode 0089 TMediaPlayer.GetPosition 008e mci_TMSF_Track 009d TMediaPlayer.GetTracks 00b1 TMediaPlayer.GetTrackPosition 00ba TMediaPlayer.SetFrom 00e4 TMediaPlayer.Play 015f TWinControl.GetHandle 017e mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 8B B3 C8 02 00 00 8B C3 E8 ?? ?? ?? ?? 3C 0A 0F 85 D5 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 02 75 6E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 81 E6 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B F0 75 1B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 21 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 42 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 8A 02 00 00 00 E9 94 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 81 E7 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B F8 75 16 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 EB 1C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 42 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 83 CE 08 89 B3 C8 02 00 00 EB 0C 81 CE 00 02 00 00 89 B3 C8 02 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 07 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12511_0 {
	meta:
		name = "TMediaPlayer.Previous"
		size = 442
		refs = "000c TMediaPlayer.CheckIfOpen 0070 TMediaPlayer.GetTimeFormat 007f TMediaPlayer.GetPosition 008d mci_TMSF_Track 0098 TMediaPlayer.GetTrackPosition 00a1 TMediaPlayer.GetMode 00b7 mci_TMSF_Minute 00cb mci_TMSF_Second 00f9 TMediaPlayer.SetFrom 010b TMediaPlayer.Play 018a TWinControl.GetHandle 01a9 mciSendCommand"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 8B AB C8 02 00 00 8B C3 E8 ?? ?? ?? ?? 3C 0A 0F 85 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3C 02 75 72 8B C6 E8 ?? ?? ?? ?? 3C 01 74 4B 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 37 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 4A 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 8A 02 00 00 00 E9 98 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 74 46 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 32 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 1E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 4A 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 EB 04 89 7C 24 04 83 CD 08 89 AB C8 02 00 00 EB 0C 81 CD 00 01 00 00 89 AB C8 02 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 07 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12512_0 {
	meta:
		name = "TMediaPlayer.Step"
		size = 219
		refs = "000a TMediaPlayer.CheckIfOpen 0027 TMediaPlayer.GetPosition 0030 TMediaPlayer.GetLength 003b TMediaPlayer.Rewind 00ad TWinControl.GetHandle 00cc mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB C7 02 00 00 00 0F 84 BB 00 00 00 80 BB FE 02 00 00 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 81 8B C8 02 00 00 00 00 02 00 8B 83 E0 02 00 00 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 0E 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12513_0 {
	meta:
		name = "TMediaPlayer.Back"
		size = 193
		refs = "0009 TMediaPlayer.CheckIfOpen 0094 TWinControl.GetHandle 00b3 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB C7 02 00 00 00 0F 84 A3 00 00 00 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 8B 83 C8 02 00 00 0D 00 00 02 00 0D 00 00 01 00 89 83 C8 02 00 00 8B 83 E0 02 00 00 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 0E 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_12514_0 {
	meta:
		name = "TMediaPlayer.Eject"
		size = 172
		refs = "0009 TMediaPlayer.CheckIfOpen 007e TWinControl.GetHandle 009d mciSendCommand"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB C5 02 00 00 00 0F 84 8D 00 00 00 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 81 8B C8 02 00 00 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 C8 02 00 00 50 68 0D 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_12515_0 {
	meta:
		name = "TMediaPlayer.SetPosition"
		size = 163
		refs = "000c TMediaPlayer.CheckIfOpen 0071 TWinControl.GetHandle 0094 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 83 8B C8 02 00 00 08 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 74 24 04 8B C4 50 8B 83 C8 02 00 00 50 68 07 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12516_0 {
	meta:
		name = "TMediaPlayer.Rewind"
		size = 44
		refs = "0009 TMediaPlayer.CheckIfOpen 0024 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? B8 02 01 00 00 8B D4 52 50 68 07 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_12517_0 {
	meta:
		name = "TMediaPlayer.GetTrackLength"
		size = 71
		refs = "000c TMediaPlayer.CheckIfOpen 0039 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B8 12 01 00 00 89 83 C8 02 00 00 C7 44 24 08 01 00 00 00 89 74 24 0C 8B D4 52 50 68 14 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12518_0 {
	meta:
		name = "TMediaPlayer.GetTrackPosition"
		size = 56
		refs = "002c mciSendCommand"
	strings:
		$1 = { 83 C4 F0 B9 12 01 00 00 89 88 C8 02 00 00 C7 44 24 08 02 00 00 00 89 54 24 0C 8B D4 52 51 68 14 08 00 00 0F B7 80 D2 02 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 C3 }
	condition:
		$1
}

rule function_12519_0 {
	meta:
		name = "TMediaPlayer.Save"
		size = 186
		refs = "0009 TMediaPlayer.CheckIfOpen 0021 @LStrToPChar 0083 TWinControl.GetHandle 00ac mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB F8 02 00 00 00 0F 84 9C 00 00 00 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 83 C8 02 00 00 80 BB CE 02 00 00 00 74 1C 80 BB CC 02 00 00 00 74 0A C7 83 C8 02 00 00 02 00 00 00 C6 83 CE 02 00 00 00 EB 0A C7 83 C8 02 00 00 02 00 00 00 80 BB CF 02 00 00 00 74 17 80 BB CD 02 00 00 00 74 07 83 8B C8 02 00 00 01 C6 83 CF 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 81 8B C8 02 00 00 00 01 00 00 8B C4 50 8B 83 C8 02 00 00 50 68 13 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_12520_0 {
	meta:
		name = "TMediaPlayer.SetWait"
		size = 22
	strings:
		$1 = { 3A 90 CC 02 00 00 74 06 88 90 CC 02 00 00 C6 80 CE 02 00 00 01 C3 }
	condition:
		$1
}

rule function_12521_0 {
	meta:
		name = "TMediaPlayer.SetNotify"
		size = 22
	strings:
		$1 = { 3A 90 CD 02 00 00 74 06 88 90 CD 02 00 00 C6 80 CF 02 00 00 01 C3 }
	condition:
		$1
}

rule function_12522_0 {
	meta:
		name = "TMediaPlayer.SetFrom"
		size = 22
	strings:
		$1 = { 3B 90 DC 02 00 00 74 06 89 90 DC 02 00 00 C6 80 D0 02 00 00 01 C3 }
	condition:
		$1
}

rule function_12523_0 {
	meta:
		name = "TMediaPlayer.SetTo"
		size = 22
	strings:
		$1 = { 3B 90 D8 02 00 00 74 06 89 90 D8 02 00 00 C6 80 D1 02 00 00 01 C3 }
	condition:
		$1
}

rule function_12524_0 {
	meta:
		name = "TMediaPlayer.SetDeviceType"
		size = 15
	strings:
		$1 = { 3A 90 D4 02 00 00 74 06 88 90 D4 02 00 00 C3 }
	condition:
		$1
}

rule function_12525_0 {
	meta:
		name = "TMediaPlayer.SetTimeFormat"
		size = 60
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 BE 01 04 00 00 89 B3 C8 02 00 00 33 C0 8A C2 89 44 24 04 8B C4 50 56 68 0D 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_12526_0 {
	meta:
		name = "TMediaPlayer.SetDisplay"
		size = 133
		refs = "002d TWinControl.GetHandle 004d mciSendCommand 0072 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 85 F6 74 6A 80 BB C1 02 00 00 00 74 61 80 BB C7 02 00 00 00 74 58 C7 83 C8 02 00 00 02 00 01 00 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B C4 50 8B 83 C8 02 00 00 50 68 41 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8B F8 89 BB E4 02 00 00 85 FF 74 0A 33 C0 89 83 EC 02 00 00 EB 17 89 B3 EC 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? EB 06 89 B3 EC 02 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12527_0 {
	meta:
		name = "TMediaPlayer.Notification"
		size = 61
		refs = "0010 TControl.Notification 002d TMediaPlayer.SetOrigDisplay"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 20 3B B7 EC 02 00 00 75 18 80 BF C1 02 00 00 00 74 07 8B C7 E8 ?? ?? ?? ?? 33 C0 89 87 EC 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12528_0 {
	meta:
		name = "TMediaPlayer.SetOrigDisplay"
		size = 76
		refs = "003c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 80 BB C1 02 00 00 00 74 36 80 BB C7 02 00 00 00 74 2D BE 02 00 01 00 89 B3 C8 02 00 00 33 C0 89 44 24 04 8B C4 50 56 68 41 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12529_0 {
	meta:
		name = "TMediaPlayer.SetDisplayRect"
		size = 163
		refs = "004f Rect 0092 mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 CC 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 80 BB C1 02 00 00 00 74 7F 80 BB C7 02 00 00 00 74 76 83 7C 24 0C 00 75 28 83 7C 24 08 00 75 21 8B 83 F4 02 00 00 50 8D 44 24 28 50 8B 8B F0 02 00 00 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? EB 0D 8B F4 8D 7C 24 24 B9 04 00 00 00 F3 A5 BE 00 00 05 00 89 B3 C8 02 00 00 56 8D 74 24 28 8D 7C 24 18 B9 04 00 00 00 F3 A5 5E 8D 44 24 10 50 56 68 42 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 83 C4 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12530_0 {
	meta:
		name = "TMediaPlayer.GetDisplayRect"
		size = 85
		refs = "0039 mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B D8 80 BB C1 02 00 00 00 74 3B 80 BB C7 02 00 00 00 74 32 BE 00 00 04 00 89 B3 C8 02 00 00 8B C4 50 56 68 43 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8D 74 24 04 B9 04 00 00 00 F3 A5 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12531_0 {
	meta:
		name = "TMediaPlayer.GetDeviceCaps"
		size = 405
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B D8 8B F4 B8 02 01 00 00 89 83 C8 02 00 00 C7 46 08 08 00 00 00 56 50 68 0B 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8A 46 04 88 83 C3 02 00 00 84 C0 74 07 80 8B C2 02 00 00 04 C7 46 08 01 00 00 00 56 8B 83 C8 02 00 00 50 68 0B 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8A 46 04 88 83 C6 02 00 00 84 C0 74 07 80 8B C2 02 00 00 08 C7 46 08 07 00 00 00 56 8B 83 C8 02 00 00 50 68 0B 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8A 46 04 88 83 C5 02 00 00 84 C0 74 07 80 8B C2 02 00 00 02 C7 46 08 03 00 00 00 56 8B 83 C8 02 00 00 50 68 0B 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8A 46 04 88 83 C7 02 00 00 84 C0 74 07 80 8B C2 02 00 00 10 C7 46 08 04 00 00 00 56 8B 83 C8 02 00 00 50 68 0B 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 8B 46 04 3D 07 02 00 00 74 15 3D 08 02 00 00 74 0E 3D 03 02 00 00 74 07 3D 01 02 00 00 75 07 C6 83 C4 02 00 00 01 80 BB C4 02 00 00 00 74 07 80 8B C2 02 00 00 01 BE 00 00 02 00 89 B3 C8 02 00 00 8D 44 24 0C 50 56 68 43 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8D 74 24 10 8D 7C 24 20 B9 04 00 00 00 F3 A5 8B 44 24 28 2B 44 24 20 89 83 F0 02 00 00 8B 44 24 2C 2B 44 24 24 89 83 F4 02 00 00 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12532_0 {
	meta:
		name = "TMediaPlayer.GetStart"
		size = 71
		refs = "000a TMediaPlayer.CheckIfOpen 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 03 00 00 89 B3 C8 02 00 00 C7 44 24 08 02 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12533_0 {
	meta:
		name = "TMediaPlayer.GetLength"
		size = 71
		refs = "000a TMediaPlayer.CheckIfOpen 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 C8 02 00 00 C7 44 24 08 01 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12534_0 {
	meta:
		name = "TMediaPlayer.GetTracks"
		size = 71
		refs = "000a TMediaPlayer.CheckIfOpen 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 C8 02 00 00 C7 44 24 08 03 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12535_0 {
	meta:
		name = "TMediaPlayer.GetMode"
		size = 66
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 BE 02 01 00 00 89 B3 C8 02 00 00 C7 44 24 08 04 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8A 44 24 04 2C 0C 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12536_0 {
	meta:
		name = "TMediaPlayer.GetPosition"
		size = 64
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 BE 02 01 00 00 89 B3 C8 02 00 00 C7 44 24 08 02 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12537_0 {
	meta:
		name = "TMediaPlayer.GetTimeFormat"
		size = 71
		refs = "000a TMediaPlayer.CheckIfOpen 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 C8 02 00 00 C7 44 24 08 06 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 D2 02 00 00 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8A 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12538_0 {
	meta:
		name = "TMediaPlayer.GetErrorMessage"
		size = 80
		refs = "001f mciGetErrorString 002a SMCIUnknownError 002f LoadResString 0038 StrLen 0043 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 04 F0 FF FF 50 8B F2 8B D8 68 00 10 00 00 8D 44 24 04 50 8B 83 E4 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B C4 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 10 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12541_0 {
	meta:
		name = "_NF__41"
		size = 92
		refs = "0007 TSocketDispatcherThread.Send 0011 TSocketDispatcherThread.QueryInterface 001b TSocketDispatcherThread._AddRef 0025 TSocketDispatcherThread._Release 002c _NF__41"
	strings:
		$1 = { CC 83 44 24 08 B4 E9 ?? ?? ?? ?? 83 44 24 04 B4 E9 ?? ?? ?? ?? 83 44 24 04 B4 E9 ?? ?? ?? ?? 83 44 24 04 B4 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 43 10 AD 87 0E 47 D1 11 88 D5 00 A0 24 8E 50 91 ?? ?? ?? ?? 4C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12542_0 {
	meta:
		name = "TSocketDispatcherThread.CreateServerTransport"
		size = 100
		refs = "000f _Dn_TSocketTransport 0014 TObject.Create 002f InterceptGUID 0034 @LStrAsg 0046 TSocketDispatcherThread.CreateServerTransport 004b @IntfCast"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 40 28 8B 55 F4 89 42 1C 8B 45 F4 83 C0 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 C1 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_12543_0 {
	meta:
		name = "TSocketDispatcherThread.QueryInterface"
		size = 44
		refs = "000e TObject.GetInterface"
		altNames = "TStreamedConnection.QueryInterface"
	strings:
		$1 = { 55 8B EC 51 8B 4D 10 8B 55 0C 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 FC EB 07 C7 45 FC 02 40 00 80 8B 45 FC 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_12544_0 {
	meta:
		name = "TSocketDispatcherThread._AddRef"
		size = 27
	strings:
		$1 = { 55 8B EC 51 8B 45 08 FF 40 40 8B 45 08 8B 40 40 89 45 FC 8B 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12545_0 {
	meta:
		name = "TSocketDispatcherThread._Release"
		size = 27
	strings:
		$1 = { 55 8B EC 51 8B 45 08 FF 48 40 8B 45 08 8B 40 40 89 45 FC 8B 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12546_0 {
	meta:
		name = "TSocketDispatcherThread.Send"
		size = 96
		refs = "0056 TDataBlockInterpreter.InterpretData"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 45 0C 8B 40 48 50 8B 00 FF 50 18 80 7D 14 00 74 43 6A 01 8B 45 0C 8B 40 48 50 8B 55 08 52 8B 00 FF 50 14 8B 45 08 83 38 00 74 29 8B 45 08 8B 00 50 8B 00 FF 50 1C 25 00 DB 00 00 3D 00 DB 00 00 74 12 8B 55 08 8B 12 8B 45 0C 8B 40 44 E8 ?? ?? ?? ?? EB BD 5D C2 10 00 }
	condition:
		$1
}

rule function_12547_0 {
	meta:
		name = "TSocketDispatcherThread.ClientExecute"
		size = 512
		refs = "001b TSocketDispatcherThread.ClientExecute 0028 CoInitialize 004f @IntfCopy 0074 PeekMessage 007c @IntfClear 008b TObject.GetInterface 0095 _Dn_TDataBlockInterpreter 009a TDataBlockInterpreter.Create 00d1 DispatchMessage 010c TDataBlockInterpreter.InterpretData 0123 @HandleAnyException 0136 @DoneExcept 016b TObject.Free 0179 @HandleFinally 01ad CoUninitialize"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 FC 8B 08 FF 51 18 8B 55 D4 8B 45 FC 83 C0 48 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 00 04 00 00 68 00 04 00 00 6A 00 8D 45 D8 50 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? EB 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 09 8D 45 D8 50 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 6A 00 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 75 E2 6A 00 8B 45 FC 8B 40 48 50 8D 55 F8 52 8B 00 FF 50 14 83 7D F8 00 74 16 8B 45 FC 8B 40 44 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 48 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 75 14 8B 45 FC 8B 40 48 50 8B 00 FF 50 0C 84 C0 0F 85 65 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 44 C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 48 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 43 10 AD 87 0E 47 D1 11 88 D5 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_12548_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_2 001a InterceptGUID 001f @LStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12550_0 {
	meta:
		name = "_NF__28"
		size = 120
		refs = "0007 TMtsAutoObject.Activate 0011 TMtsAutoObject.Deactivate 001b TMtsAutoObject.CanBePooled 0025 TComObject.QueryInterface 002f TComObject._AddRef 0039 TComObject._Release 0040 _NF__28"
	strings:
		$1 = { CC 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 EC 2A 37 51 E7 CA CF 11 BE 81 00 AA 00 A2 FA 25 ?? ?? ?? ?? 34 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12551_0 {
	meta:
		name = "TMtsAutoObject.Activate"
		size = 88
		refs = "0010 TMtsAutoObject.Activate 001e GetObjectContext 0029 @IntfCopy 0042 @HandleAutoException 004a @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 30 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12553_0 {
	meta:
		name = "TMtsAutoObject.Deactivate"
		size = 27
		refs = "0012 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 8B 10 FF 52 28 8D 43 30 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12556_0 {
	meta:
		name = "TMtsAutoObject.SetComplete"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 30 00 74 0E 8B 40 30 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12557_0 {
	meta:
		name = "TMtsAutoObject.SetAbort"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 30 00 74 0E 8B 40 30 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12558_0 {
	meta:
		name = "TMtsAutoObject.EnableCommit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 30 00 74 0E 8B 40 30 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12559_0 {
	meta:
		name = "TMtsAutoObject.DisableCommit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 30 00 74 0E 8B 40 30 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12560_0 {
	meta:
		name = "TMtsAutoObject.IsInTransaction"
		size = 19
	strings:
		$1 = { 83 78 30 00 74 0A 8B 40 30 50 8B 00 FF 50 20 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12561_0 {
	meta:
		name = "TMtsAutoObject.IsSecurityEnabled"
		size = 19
	strings:
		$1 = { 83 78 30 00 74 0A 8B 40 30 50 8B 00 FF 50 24 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12562_0 {
	meta:
		name = "TMtsAutoObject.IsCallerInRole"
		size = 32
		refs = "0013 @CheckAutoResult"
	strings:
		$1 = { 51 83 78 30 00 74 15 54 52 8B 40 30 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 04 24 5A C3 33 C0 5A C3 }
	condition:
		$1
}

rule function_12565_0 {
	meta:
		name = "_NF__2E"
		size = 124
		refs = "0007 TMtsDataModule.Activate 0011 TMtsDataModule.Deactivate 001b TMtsDataModule.CanBePooled 0033 TComponent._AddRef 003d TComponent._Release 0044 _NF__2E"
	strings:
		$1 = { CC 83 44 24 04 A0 E9 ?? ?? ?? ?? 83 44 24 04 A0 E9 ?? ?? ?? ?? 83 44 24 04 A0 E9 ?? ?? ?? ?? 83 44 24 04 A0 8B 44 24 04 8B 00 FF 60 28 83 44 24 04 A0 E9 ?? ?? ?? ?? 83 44 24 04 A0 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 EC 2A 37 51 E7 CA CF 11 BE 81 00 AA 00 A2 FA 25 ?? ?? ?? ?? 60 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12566_0 {
	meta:
		name = "TMtsDataModule.Activate"
		size = 96
		refs = "0010 TMtsDataModule.Activate 001e GetObjectContext 0029 @IntfCopy 004a @HandleAutoException 0052 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 5C E8 ?? ?? ?? ?? 66 83 7B 4E 00 74 08 8B D3 8B 43 50 FF 53 4C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12567_0 {
	meta:
		name = "TMtsDataModule.Deactivate"
		size = 35
		refs = "001a @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 66 83 7B 56 00 74 08 8B D3 8B 43 58 FF 53 54 8D 43 5C E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12569_0 {
	meta:
		name = "TMtsDataModule.SetComplete"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 5C 00 74 0E 8B 40 5C 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12570_0 {
	meta:
		name = "TMtsDataModule.SetAbort"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 5C 00 74 0E 8B 40 5C 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12571_0 {
	meta:
		name = "TMtsDataModule.EnableCommit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 5C 00 74 0E 8B 40 5C 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12572_0 {
	meta:
		name = "TMtsDataModule.DisableCommit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 5C 00 74 0E 8B 40 5C 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12573_0 {
	meta:
		name = "TMtsDataModule.IsInTransaction"
		size = 19
	strings:
		$1 = { 83 78 5C 00 74 0A 8B 40 5C 50 8B 00 FF 50 20 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12574_0 {
	meta:
		name = "TMtsDataModule.IsSecurityEnabled"
		size = 19
	strings:
		$1 = { 83 78 5C 00 74 0A 8B 40 5C 50 8B 00 FF 50 24 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12575_0 {
	meta:
		name = "TMtsDataModule.IsCallerInRole"
		size = 32
		refs = "0013 @CheckAutoResult"
	strings:
		$1 = { 51 83 78 5C 00 74 15 54 52 8B 40 5C 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 04 24 5A C3 33 C0 5A C3 }
	condition:
		$1
}

rule function_12578_0 {
	meta:
		name = "LoadMtsProcs"
		size = 108
		refs = "0003 MtsProcsLoaded 0012 LoadMtsProcs 0017 GetModuleHandle 0028 GetProcAddress 002d GetObjectContextProc 003d SafeRefProc"
	strings:
		$1 = { 53 80 3D ?? ?? ?? ?? 00 75 37 C6 05 ?? ?? ?? ?? 01 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 6D 74 78 65 78 2E 64 6C 6C 00 00 00 47 65 74 4F 62 6A 65 63 74 43 6F 6E 74 65 78 74 00 00 00 00 53 61 66 65 52 65 66 00 }
	condition:
		$1
}

rule function_12579_0 {
	meta:
		name = "GetObjectContext"
		size = 41
		refs = "0004 LoadMtsProcs 000a GetObjectContextProc 001a OleCheck 0023 @IntfClear"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0F 53 FF 15 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12580_0 {
	meta:
		name = "SafeRef"
		size = 125
		refs = "001c @IntfAddRef 0024 SafeRef 002f LoadMtsProcs 0035 SafeRefProc 0068 @IntfClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F0 8D 7D EC B9 04 00 00 00 F3 A5 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0F 8B 55 FC 8D 45 EC E8 ?? ?? ?? ?? 8B D8 EB 0C 8B 45 FC 50 8B 00 FF 50 04 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12581_0 {
	meta:
		name = "CreateTransactionContext"
		size = 100
		refs = "000c CreateTransactionContext 001a CLASS_TransactionContext 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 21 FC 99 79 C6 D3 CF 11 AC AB 00 A0 24 A5 5A EF }
	condition:
		$1
}

rule function_12582_0 {
	meta:
		name = "CreateTransactionContextEx"
		size = 100
		refs = "000c CreateTransactionContextEx 001a CLASS_TransactionContextEx 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 22 FC 99 79 C6 D3 CF 11 AC AB 00 A0 24 A5 5A EF }
	condition:
		$1
}

rule function_12583_0 {
	meta:
		name = "CreateSharedPropertyGroupManager"
		size = 100
		refs = "000c CreateSharedPropertyGroupManager 001a CLASS_SharedPropertyGroupManager 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 0D 5C 00 2A DE A5 CF 11 9E 66 00 AA 00 A3 F4 64 }
	condition:
		$1
}

rule function_12584_0 {
	meta:
		name = "CreateSharedPropertyGroup"
		size = 121
		refs = "0015 CreateSharedPropertyGroup 002f CreateSharedPropertyGroupManager 0036 @IntfClear 0052 @CheckAutoResult 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 C7 45 F4 01 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FE 50 8D 45 F4 50 8D 45 F8 50 53 8B 45 F0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12587_0 {
	meta:
		name = "InitAnApi"
		size = 232
		refs = "0012 @LStrAddRef 001a InitAnApi 002c InitApis 0035 User32Dll 0042 MMAvailable 0050 GetMonitorInfo 006d @LStrClr 0075 @LStrToPChar 0081 GetProcAddress 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 C0 8A C3 80 B8 ?? ?? ?? ?? 00 75 76 83 3D ?? ?? ?? ?? 00 74 4D 84 DB 75 31 80 3D ?? ?? ?? ?? 00 75 28 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B0 04 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 75 04 8B F7 EB 0B 84 DB 74 07 C6 05 ?? ?? ?? ?? 01 33 C0 8A C3 C6 80 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 0F 00 00 00 47 65 74 4D 6F 6E 69 74 6F 72 49 6E 66 6F 41 00 }
	condition:
		$1
}

rule function_12588_0 {
	meta:
		name = "_GetSystemMetrics"
		size = 136
		refs = "0009 InitApis 0011 _GetSystemMetrics 0017 GetSystemMetrics 001e InitAnApi"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 80 3D ?? ?? ?? ?? 00 75 20 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 53 FF 15 ?? ?? ?? ?? EB 37 83 C8 FF 8B D3 83 C2 B4 83 EA 02 72 12 74 14 4A 74 15 4A 83 EA 02 73 14 B8 01 00 00 00 EB 0D 33 C0 EB 09 33 DB EB 05 BB 01 00 00 00 83 F8 FF 75 06 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 FF FF FF FF 10 00 00 00 47 65 74 53 79 73 74 65 6D 4D 65 74 72 69 63 73 00 00 00 00 }
	condition:
		$1
}

rule function_12589_0 {
	meta:
		name = "xMonitorFromRect"
		size = 140
		refs = "000e InitApis 0016 xMonitorFromRect 001c MonitorFromRect 0023 InitAnApi 0050 GetSystemMetrics"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 5D 08 80 3D ?? ?? ?? ?? 00 75 23 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B0 02 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 57 53 FF 15 ?? ?? ?? ?? 8B F0 EB 32 33 F6 8B C7 A8 03 74 2A 83 7B 08 00 7E 24 83 7B 0C 00 7E 1E 6A 00 FF 15 ?? ?? ?? ?? 3B 03 7E 12 6A 01 FF 15 ?? ?? ?? ?? 3B 43 04 7E 05 BE 42 00 34 12 8B C6 5F 5E 5B 5D C2 08 00 00 FF FF FF FF 0F 00 00 00 4D 6F 6E 69 74 6F 72 46 72 6F 6D 52 65 63 74 00 }
	condition:
		$1
}

rule function_12590_0 {
	meta:
		name = "xMonitorFromWindow"
		size = 148
		refs = "0010 InitApis 0018 xMonitorFromWindow 001e MonitorFromWindow 0025 InitAnApi 0046 IsIconic 0054 GetWindowPlacement 0060 GetWindowRect 006a xMonitorFromRect"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 8B 5D 0C 8B 75 08 80 3D ?? ?? ?? ?? 00 75 21 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 53 56 FF 15 ?? ?? ?? ?? EB 36 F6 C3 03 74 07 B8 42 00 34 12 EB 2A 56 E8 ?? ?? ?? ?? 85 C0 74 0C 8D 45 D4 50 56 E8 ?? ?? ?? ?? EB 0A 8D 45 F0 50 56 E8 ?? ?? ?? ?? 53 8D 45 F0 50 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 11 00 00 00 4D 6F 6E 69 74 6F 72 46 72 6F 6D 57 69 6E 64 6F 77 00 00 00 }
	condition:
		$1
}

rule function_12591_0 {
	meta:
		name = "xMonitorFromPoint"
		size = 144
		refs = "000a InitApis 0012 xMonitorFromPoint 0018 MonitorFromPoint 001f InitAnApi 004b GetSystemMetrics"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 80 3D ?? ?? ?? ?? 00 75 28 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B0 03 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 56 FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? 8B D8 EB 33 33 DB 8B C6 A8 03 74 2B 83 7D 08 00 7C 25 6A 00 FF 15 ?? ?? ?? ?? 3B 45 08 7E 18 83 7D 0C 00 7C 12 6A 01 FF 15 ?? ?? ?? ?? 3B 45 0C 7E 05 BB 42 00 34 12 8B C3 5E 5B 5D C2 0C 00 FF FF FF FF 10 00 00 00 4D 6F 6E 69 74 6F 72 46 72 6F 6D 50 6F 69 6E 74 00 00 00 00 }
	condition:
		$1
}

rule function_12592_0 {
	meta:
		name = "xGetMonitorInfoA"
		size = 216
		refs = "0011 InitApis 0019 xGetMonitorInfoA 001f GetMonitorInfoA 0026 InitAnApi 0059 SystemParametersInfo 006f GetSystemMetrics 00a6 lstrcpy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8B 7D 08 80 3D ?? ?? ?? ?? 00 75 23 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B0 05 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 56 57 FF 15 ?? ?? ?? ?? 8B D8 EB 71 33 DB 81 FF 42 00 34 12 75 67 85 F6 74 63 83 3E 28 72 5E 6A 00 8D 45 F0 50 6A 00 6A 30 E8 ?? ?? ?? ?? 85 C0 74 4B 33 C0 89 46 04 33 C0 89 46 08 6A 00 FF 15 ?? ?? ?? ?? 89 46 0C 6A 01 FF 15 ?? ?? ?? ?? 89 46 10 56 8D 7E 14 8D 75 F0 B9 04 00 00 00 F3 A5 5E C7 46 24 01 00 00 00 83 3E 4C 72 0E 68 ?? ?? ?? ?? 8D 46 28 50 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 0F 00 00 00 47 65 74 4D 6F 6E 69 74 6F 72 49 6E 66 6F 41 00 44 49 53 50 4C 41 59 00 }
	condition:
		$1
}

rule function_12593_0 {
	meta:
		name = "xGetMonitorInfoW"
		size = 216
		refs = "0011 InitApis 0019 xGetMonitorInfoW 001f GetMonitorInfoW 0026 InitAnApi 0059 SystemParametersInfo 006f GetSystemMetrics 00a6 lstrcpy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8B 7D 08 80 3D ?? ?? ?? ?? 00 75 23 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B0 06 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 56 57 FF 15 ?? ?? ?? ?? 8B D8 EB 71 33 DB 81 FF 42 00 34 12 75 67 85 F6 74 63 83 3E 28 72 5E 6A 00 8D 45 F0 50 6A 00 6A 30 E8 ?? ?? ?? ?? 85 C0 74 4B 33 C0 89 46 04 33 C0 89 46 08 6A 00 FF 15 ?? ?? ?? ?? 89 46 0C 6A 01 FF 15 ?? ?? ?? ?? 89 46 10 56 8D 7E 14 8D 75 F0 B9 04 00 00 00 F3 A5 5E C7 46 24 01 00 00 00 83 3E 4C 72 0E 68 ?? ?? ?? ?? 8D 46 28 50 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 0F 00 00 00 47 65 74 4D 6F 6E 69 74 6F 72 49 6E 66 6F 57 00 44 49 53 50 4C 41 59 00 }
	condition:
		$1
}

rule function_12594_0 {
	meta:
		name = "xGetMonitorInfo"
		size = 216
		refs = "0011 InitApis 0019 xGetMonitorInfo 001f GetMonitorInfo 0026 InitAnApi 0059 SystemParametersInfo 006f GetSystemMetrics 00a6 lstrcpy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8B 7D 08 80 3D ?? ?? ?? ?? 00 75 23 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B0 04 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 56 57 FF 15 ?? ?? ?? ?? 8B D8 EB 71 33 DB 81 FF 42 00 34 12 75 67 85 F6 74 63 83 3E 28 72 5E 6A 00 8D 45 F0 50 6A 00 6A 30 E8 ?? ?? ?? ?? 85 C0 74 4B 33 C0 89 46 04 33 C0 89 46 08 6A 00 FF 15 ?? ?? ?? ?? 89 46 0C 6A 01 FF 15 ?? ?? ?? ?? 89 46 10 56 8D 7E 14 8D 75 F0 B9 04 00 00 00 F3 A5 5E C7 46 24 01 00 00 00 83 3E 4C 72 0E 68 ?? ?? ?? ?? 8D 46 28 50 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 0E 00 00 00 47 65 74 4D 6F 6E 69 74 6F 72 49 6E 66 6F 00 00 44 49 53 50 4C 41 59 00 }
	condition:
		$1
}

rule function_12595_0 {
	meta:
		name = "xEnumDisplayMonitors"
		size = 304
		refs = "0011 InitApis 0019 xEnumDisplayMonitors 001f EnumDisplayMonitors 0026 InitAnApi 0060 GetSystemMetrics 007c GetClipBox 0089 GetDCOrgEx 00a2 OffsetRect 00b3 IntersectRect"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 7D 0C 8B 75 08 80 3D ?? ?? ?? ?? 00 75 2E B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B0 07 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 E9 C2 00 00 00 33 DB 83 7D 10 00 0F 84 B6 00 00 00 33 C0 89 45 E4 33 C0 89 45 E8 6A 00 FF 15 ?? ?? ?? ?? 89 45 EC 6A 01 FF 15 ?? ?? ?? ?? 89 45 F0 85 F6 74 65 8D 45 D4 50 56 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F8 50 56 E8 ?? ?? ?? ?? 85 C0 74 77 8B 45 FC F7 D8 50 8B 45 F8 F7 D8 50 8D 45 E4 50 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 45 E4 50 8D 45 E4 50 E8 ?? ?? ?? ?? 85 C0 74 04 85 FF 74 36 57 8D 45 E4 50 8D 45 E4 50 E8 ?? ?? ?? ?? 85 C0 75 24 83 7D F4 01 75 31 B3 01 EB 2D 85 FF 74 16 57 8D 45 E4 50 8D 45 E4 50 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 13 8B 45 14 50 8D 45 E4 50 56 68 42 00 34 12 FF 55 10 8B D8 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 FF FF FF FF 13 00 00 00 45 6E 75 6D 44 69 73 70 6C 61 79 4D 6F 6E 69 74 6F 72 73 00 }
	condition:
		$1
}

rule function_12596_0 {
	meta:
		name = "InitMultiMonStubs"
		size = 108
		refs = "0001 InitMultiMonStubs 0006 GetModuleHandle 000b User32Dll 0011 GetSystemMetrics 0015 _GetSystemMetrics 001b MonitorFromWindow 001f xMonitorFromWindow 0025 MonitorFromRect 0029 xMonitorFromRect 002f MonitorFromPoint 0033 xMonitorFromPoint 0039 GetMonitorInfoA 003d xGetMonitorInfoA 0043 GetMonitorInfoW 0047 xGetMonitorInfoW 004d GetMonitorInfo 0051 xGetMonitorInfo 0057 EnumDisplayMonitors 005b xEnumDisplayMonitors"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C3 55 53 45 52 33 32 2E 44 4C 4C 00 00 }
	condition:
		$1
}

rule function_12599_0 {
	meta:
		name = "GetAvailableMem"
		size = 23
		refs = "0005 GlobalMemoryStatus"
	strings:
		$1 = { 83 C4 E0 54 E8 ?? ?? ?? ?? 8B 44 24 14 D1 E8 03 44 24 0C 83 C4 20 C3 }
	condition:
		$1
}

rule function_12602_0 {
	meta:
		name = "CheckLowCapacity"
		size = 30
		refs = "0004 TotalAllocatedMemory 0009 AllocMemSize 0013 AvailableMemory"
	strings:
		$1 = { 33 C9 29 05 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 03 C2 3B 05 ?? ?? ?? ?? 7E 02 B1 01 8B C1 C3 }
	condition:
		$1
}

rule function_12604_0 {
	meta:
		name = "CmpWord"
		size = 56
	strings:
		$1 = { 66 8B 08 66 83 F9 02 75 05 83 C8 FF EB 03 0F B7 C1 66 8B 0A 66 83 F9 02 75 05 83 CA FF EB 03 0F B7 D1 3B D0 7E 04 83 C8 FF C3 3B D0 7D 07 B8 01 00 00 00 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_12605_0 {
	meta:
		name = "CmpSmallInt"
		size = 9
	strings:
		$1 = { 0F BF 00 0F BF 12 2B C2 C3 }
	condition:
		$1
}

rule function_12606_0 {
	meta:
		name = "CmpInteger"
		size = 29
	strings:
		$1 = { 56 8B 32 8B 08 3B F1 7E 05 83 C8 FF 5E C3 3B F1 7D 07 B8 01 00 00 00 EB 02 33 C0 5E C3 }
	condition:
		$1
}

rule function_12607_0 {
	meta:
		name = "CmpSingle"
		size = 76
		refs = "0010 CmpSingle"
	strings:
		$1 = { 51 D9 00 D8 22 D9 1C 24 9B D9 04 24 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 04 33 C0 5A C3 D9 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 05 83 C8 FF EB 05 B8 01 00 00 00 5A C3 00 00 00 32 FC 14 5E F7 5F 42 A2 9B 3F 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12608_0 {
	meta:
		name = "CmpDouble"
		size = 80
		refs = "0012 CmpDouble"
	strings:
		$1 = { 83 C4 F8 DD 00 DC 22 DD 1C 24 9B DD 04 24 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 05 33 C0 59 5A C3 DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 05 83 C8 FF EB 05 B8 01 00 00 00 59 5A C3 00 00 00 BD 7E 29 70 24 77 F9 DF B2 3E 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12609_0 {
	meta:
		name = "CmpCurrency"
		size = 92
		refs = "0012 CmpCurrency"
	strings:
		$1 = { 83 C4 F8 DF 28 DF 2A DE E9 DF 3C 24 9B DF 2C 24 D8 35 ?? ?? ?? ?? D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 05 33 C0 59 5A C3 DF 2C 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 05 83 C8 FF EB 05 B8 01 00 00 00 59 5A C3 00 00 00 00 40 1C 46 15 BA D7 19 20 CF A4 94 11 19 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_12610_0 {
	meta:
		name = "CmpString"
		size = 10
		refs = "0005 AnsiCompareStr"
	strings:
		$1 = { 8B 00 8B 12 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12612_0 {
	meta:
		name = "ArrayIndexError"
		size = 108
		refs = "0012 ArrayIndexError 002d sArrayIndexOutOfRange 0032 LoadResString 003c _DV_EArrayError 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12613_0 {
	meta:
		name = "TBaseArray.Create"
		size = 108
		refs = "000e @ClassCreate 001d TObject.Create 0037 TBaseArray.Create 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 04 33 C0 89 47 08 33 C0 89 47 10 8B 45 08 89 47 0C A0 ?? ?? ?? ?? 88 47 15 8B D6 8B C7 8B 08 FF 51 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_12614_0 {
	meta:
		name = "TBaseArray.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0014 TBaseArray.Clear 0025 TPersistent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 04 00 74 0C 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12615_0 {
	meta:
		name = "TBaseArray.SetCount"
		size = 79
		refs = "0016 ArrayIndexError 0034 TBaseArray.GetItemPtr 0044 FillMemory"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 7C 08 81 FE FF FF FF 07 7E 07 8B C6 E8 ?? ?? ?? ?? 3B 73 08 7E 09 8B D6 8B C3 8B 08 FF 51 10 8B 7B 10 3B F7 7E 19 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 2B 53 10 0F AF 53 0C 33 C9 E8 ?? ?? ?? ?? 89 73 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12616_0 {
	meta:
		name = "TBaseArray.Clear"
		size = 39
	strings:
		$1 = { 53 56 8B D8 8B 43 10 85 C0 74 19 8B C8 33 D2 8B C3 8B 30 FF 56 0C 33 C0 89 43 10 33 D2 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_12617_0 {
	meta:
		name = "TBaseArray.SetCapacity"
		size = 115
		refs = "0018 ArrayIndexError 0031 CheckLowCapacity 003a LowCapacityError 0048 @ReallocMem 0067 @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 3B 73 10 7C 08 81 FE FF FF FF 07 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 7B 08 3B F7 74 4B 8B D6 8B 6B 0C 0F AF D5 8B C7 0F AF C5 E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? 8B D6 0F AF 53 0C 8D 43 04 E8 ?? ?? ?? ?? 8B 43 08 8B C8 8B 53 0C 0F AF CA 03 4B 04 8B FE 2B F8 0F AF FA 8B D7 33 C0 91 E8 ?? ?? ?? ?? 89 73 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12618_0 {
	meta:
		name = "TBaseArray.Grow"
		size = 53
	strings:
		$1 = { 56 57 8B 70 08 83 FE 40 7E 0E 8B FE 85 FF 79 03 83 C7 03 C1 FF 02 EB 11 83 FE 08 7E 07 BF 10 00 00 00 EB 05 BF 04 00 00 00 8B D6 03 D7 8B 08 FF 51 10 5F 5E C3 }
	condition:
		$1
}

rule function_12619_0 {
	meta:
		name = "TBaseArray.GetLimit"
		size = 14
	strings:
		$1 = { 8B 50 10 85 D2 75 04 8B 40 08 C3 8B C2 C3 }
	condition:
		$1
}

rule function_12621_0 {
	meta:
		name = "TBaseArray.InsertAt"
		size = 202
		refs = "0027 ArrayIndexError 002f TBaseArray.GetAutoSize 0055 TBaseArray.InsertAt 0066 TBaseArray.GetItemPtr 0089 MoveMemory 0098 @HandleAnyException 00a0 TBaseArray.InternalHandleException 00a5 @DoneExcept 00b9 TBaseArray.CopyFrom"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 83 7D F8 00 7C 0B 8B 45 FC 8B 40 10 3B 45 F8 7D 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 FC 8B 50 10 42 8B 45 FC 8B 08 FF 51 10 8B 45 FC 8B 40 10 3B 45 F8 7E 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 50 8B 55 F8 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 10 2B 4D F8 8B 55 FC 0F AF 4A 0C 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B9 01 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 40 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12622_0 {
	meta:
		name = "TBaseArray.ValidIndex"
		size = 23
		refs = "000e ArrayIndexError"
	strings:
		$1 = { B1 01 85 D2 7C 05 3B 50 10 7E 09 8B C2 E8 ?? ?? ?? ?? 33 C9 8B C1 C3 }
	condition:
		$1
}

rule function_12623_0 {
	meta:
		name = "TBaseArray.RemoveItem"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_12624_0 {
	meta:
		name = "TBaseArray.Delete"
		size = 119
		refs = "000f TBaseArray.ValidIndex 0031 TBaseArray.Delete 0041 TBaseArray.GetItemPtr 005a MoveMemory 0069 @HandleAnyException 006e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5B B9 01 00 00 00 8B D6 8B C3 8B 38 FF 57 0C FF 4B 10 3B 73 10 7D 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 56 01 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 4B 10 2B CE 0F AF 4B 0C 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12625_0 {
	meta:
		name = "TBaseArray.RemoveRange"
		size = 125
		refs = "0018 TBaseArray.ValidateBounds 003e TBaseArray.GetItemPtr 005c MoveMemory 0063 TBaseArray.GetAutoSize"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 83 3C 24 00 74 67 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 8B 0C 24 8B D6 8B C3 8B 38 FF 57 0C 8B 04 24 03 C6 3B 43 10 7F 2A 8B 14 24 03 D6 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 4B 10 2B CE 2B 4C 24 04 41 0F AF 4B 0C 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 10 2B 14 24 8B C3 8B 08 FF 51 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12628_0 {
	meta:
		name = "TBaseArray.CopyFrom"
		size = 132
		refs = "0020 TBaseArray.ValidateBounds 002c TBaseArray.CopyFrom 0049 TBaseArray.GetItemPtr 005b MoveMemory 006a @HandleAnyException 0072 TBaseArray.InternalHandleException 0077 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 83 7D F8 00 74 64 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 56 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 0C 0F AF 4D F8 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12629_0 {
	meta:
		name = "TBaseArray.PutItem"
		size = 105
		refs = "0014 TBaseArray.ValidIndex 0020 TBaseArray.PutItem 0030 TBaseArray.GetItemPtr 003d CopyMemory 004c @HandleAnyException 0054 TBaseArray.InternalHandleException 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 47 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC FF 40 10 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12630_0 {
	meta:
		name = "TBaseArray.GetItem"
		size = 101
		refs = "0014 TBaseArray.ValidIndex 0020 TBaseArray.GetItem 0030 TBaseArray.GetItemPtr 003f CopyMemory 004e @HandleAnyException 0056 TBaseArray.InternalHandleException 005b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 48 0C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12631_0 {
	meta:
		name = "TBaseArray.GetItemPtr"
		size = 37
		refs = "000e TBaseArray.ValidIndex"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B FE 0F AF 7B 0C 03 7B 04 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12632_0 {
	meta:
		name = "TBaseArray.ValidateBounds"
		size = 56
	strings:
		$1 = { 53 56 57 55 8B F1 B1 01 85 D2 7C 05 3B 50 10 7E 02 33 C9 84 C9 74 1A 8B 1E 8B 78 10 8B EF 45 3B DD 7F 09 8B DF 2B 1E 43 3B D3 7E 05 2B FA 47 89 3E 8B C1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12634_0 {
	meta:
		name = "TBaseArray.HasFlag"
		size = 16
	strings:
		$1 = { 80 FA 07 77 07 83 E2 7F 0F A3 50 15 0F 92 C0 C3 }
	condition:
		$1
}

rule function_12635_0 {
	meta:
		name = "TBaseArray.SetFlag"
		size = 21
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 07 77 07 83 E3 7F 0F AB 5E 15 5E 5B C3 }
	condition:
		$1
}

rule function_12636_0 {
	meta:
		name = "TBaseArray.ClearFlag"
		size = 21
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 07 77 07 83 E3 7F 0F B3 5E 15 5E 5B C3 }
	condition:
		$1
}

rule function_12637_0 {
	meta:
		name = "TBaseArray.SetAutoSize"
		size = 21
		refs = "0008 TBaseArray.SetFlag 0010 TBaseArray.ClearFlag"
	strings:
		$1 = { 80 FA 01 75 08 B2 01 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12639_0 {
	meta:
		name = "TBaseArray.IndexOf"
		size = 105
		refs = "002a TBaseArray.GetItem 0051 TBaseArray.FindItem"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 80 7B 14 00 75 3A 8B 73 10 4E 85 F6 7C 29 46 C7 04 24 00 00 00 00 8D 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B D7 8D 44 24 04 FF 53 18 85 C0 74 25 FF 04 24 4E 75 DF C7 04 24 FF FF FF FF EB 16 8B CF 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12640_0 {
	meta:
		name = "TBaseArray.FindItem"
		size = 111
		refs = "002e TBaseArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 33 F6 8B 6F 10 4D 3B EE 7C 3F 8D 5C 35 00 D1 EB 8D 4C 24 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 54 24 04 8D 44 24 0C FF 57 18 85 C0 7D 05 8D 73 01 EB 14 8B EB 4D 85 C0 75 0D C6 44 24 08 01 80 7F 16 01 74 02 8B F3 3B EE 7D C1 8B 04 24 89 30 8A 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12641_0 {
	meta:
		name = "TBaseArray.BlockCopy"
		size = 142
		refs = "0018 TObject.ClassType 0021 @IsClass 003c TBaseArray.ValidateBounds 0048 TBaseArray.BlockCopy 0057 TBaseArray.GetItemPtr 0066 TBaseArray.CopyFrom 0075 @HandleAnyException 007d TBaseArray.InternalHandleException 0082 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 83 7D 08 00 74 72 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5D 8B 45 FC 8B 40 0C 3B 43 0C 75 52 8D 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 42 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B 4D 08 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12642_0 {
	meta:
		name = "TBaseArray.InternalHandleException"
		size = 89
		refs = "0009 TBaseArray.InternalHandleException 0014 TBaseArray.Clear 001c sGeneralArrayError 0021 LoadResString 002b _DV_EArrayError 0030 Exception.Create 0035 @RaiseExcept 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_12643_0 {
	meta:
		name = "TIntArray.Create"
		size = 68
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 CmpInteger 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 04 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12649_0 {
	meta:
		name = "TSingleArray.Create"
		size = 68
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 CmpSingle 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 04 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12644_0 {
	meta:
		name = "TIntArray.PutItem"
		size = 130
		refs = "0015 TBaseArray.GetAutoSize 002f TBaseArray.Grow 0037 TIntArray.PutItem 0058 @HandleAnyException 0060 TBaseArray.InternalHandleException 0065 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 89 1C 90 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12645_0 {
	meta:
		name = "TIntArray.GetItem"
		size = 97
		refs = "0019 TBaseArray.ValidIndex 0025 TIntArray.GetItem 0046 @HandleAnyException 004e TBaseArray.InternalHandleException 0053 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 33 C0 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 04 98 89 45 F8 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12646_0 {
	meta:
		name = "TIntArray.Add"
		size = 80
		refs = "0021 TBaseArray.FindItem 0037 ArrayDuplicateError 0044 TBaseArray.InsertAt"
	strings:
		$1 = { 53 83 C4 F8 89 14 24 8B D8 80 7B 14 00 75 09 8B 43 10 89 44 24 04 EB 23 8B CC 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8B CC 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_12647_0 {
	meta:
		name = "TIntArray.Assign"
		size = 126
		refs = "000f _DV_TIntArray 0014 @IsClass 0020 TIntArray.Assign 002d TBaseArray.Clear 0047 TIntArray.GetItem 0050 TIntArray.Add 0069 @HandleFinally 0074 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 21 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12674_0 {
	meta:
		name = "TSmallIntArray.Assign"
		size = 126
		refs = "000f _DV_TSmallIntArray 0014 @IsClass 0020 TSmallIntArray.Assign 002d TBaseArray.Clear 0047 TSmallIntArray.GetItem 0050 TSmallIntArray.Add 0069 @HandleFinally 0074 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 21 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12679_0 {
	meta:
		name = "TWordArray.Assign"
		size = 126
		refs = "000f _DV_TWordArray 0014 @IsClass 0020 TWordArray.Assign 002d TBaseArray.Clear 0047 TWordArray.GetItem 0050 TWordArray.Add 0069 @HandleFinally 0074 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 21 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12648_0 {
	meta:
		name = "TIntArray.Find"
		size = 111
		refs = "002a TIntArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 33 F6 8B 6F 10 4D 3B EE 7C 3F 8D 5C 35 00 D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? 89 44 24 0C 8D 54 24 04 8D 44 24 0C FF 57 18 85 C0 7D 05 8D 73 01 EB 14 8B EB 4D 85 C0 75 0D C6 44 24 08 01 80 7F 16 01 74 02 8B F3 3B EE 7D C1 8B 04 24 89 30 8A 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12650_0 {
	meta:
		name = "TSingleArray.PutItem"
		size = 133
		refs = "0013 TBaseArray.GetAutoSize 002d TBaseArray.Grow 0035 TSingleArray.PutItem 0059 @HandleAnyException 0061 TBaseArray.InternalHandleException 0066 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 8B 4D 08 89 0C 90 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12651_0 {
	meta:
		name = "TSingleArray.GetItem"
		size = 97
		refs = "0019 TBaseArray.ValidIndex 0025 TSingleArray.GetItem 0046 @HandleAnyException 004e TBaseArray.InternalHandleException 0053 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 33 C0 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 04 98 89 45 F8 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? D9 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12652_0 {
	meta:
		name = "TSingleArray.Add"
		size = 78
		refs = "001e TBaseArray.FindItem 0034 ArrayDuplicateError 0041 TBaseArray.InsertAt"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 80 7B 14 00 75 08 8B 43 10 89 45 FC EB 23 8D 4D 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8D 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12653_0 {
	meta:
		name = "TSingleArray.Assign"
		size = 131
		refs = "000f _DV_TSingleArray 0014 @IsClass 0020 TSingleArray.Assign 002d TBaseArray.Clear 0047 TSingleArray.GetItem 0055 TSingleArray.Add 006e @HandleFinally 0079 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 26 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12654_0 {
	meta:
		name = "TSingleArray.Find"
		size = 114
		refs = "002c TSingleArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F8 C6 45 FB 00 33 F6 8B 47 10 48 89 45 F4 3B 75 F4 7F 41 8B 5D F4 03 DE D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? D9 5D F0 9B 8D 55 08 8D 45 F0 FF 57 18 85 C0 7D 05 8D 73 01 EB 16 8B D3 4A 89 55 F4 85 C0 75 0C C6 45 FB 01 80 7F 16 01 74 02 8B F3 3B 75 F4 7E BF 8B 45 FC 89 30 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12655_0 {
	meta:
		name = "TSingleArray.IndexOf"
		size = 108
		refs = "0026 TSingleArray.GetItem 0054 TSingleArray.Find"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 80 7B 14 00 75 3B 8B 73 10 4E 85 F6 7C 2A 46 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? D9 5C 24 04 9B 8B D7 8D 44 24 04 FF 53 18 85 C0 74 27 FF 04 24 4E 75 DE C7 04 24 FF FF FF FF EB 18 FF 37 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12656_0 {
	meta:
		name = "TDoubleArray.Create"
		size = 68
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 CmpDouble 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 08 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12663_0 {
	meta:
		name = "TCurrencyArray.Create"
		size = 68
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 CmpCurrency 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 08 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12657_0 {
	meta:
		name = "TDoubleArray.PutItem"
		size = 140
		refs = "0013 TBaseArray.GetAutoSize 002d TBaseArray.Grow 0035 TDoubleArray.PutItem 0060 @HandleAnyException 0068 TBaseArray.InternalHandleException 006d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 8B 4D 08 89 0C D0 8B 4D 0C 89 4C D0 04 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12664_0 {
	meta:
		name = "TCurrencyArray.PutItem"
		size = 140
		refs = "0013 TBaseArray.GetAutoSize 002d TBaseArray.Grow 0035 TCurrencyArray.PutItem 0060 @HandleAnyException 0068 TBaseArray.InternalHandleException 006d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 8B 4D 08 89 0C D0 8B 4D 0C 89 4C D0 04 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12658_0 {
	meta:
		name = "TDoubleArray.GetItem"
		size = 107
		refs = "001c TBaseArray.ValidIndex 0028 TDoubleArray.GetItem 0050 @HandleAnyException 0058 TBaseArray.InternalHandleException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 89 45 FC 33 C0 89 45 F4 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 14 D8 89 55 F4 8B 54 D8 04 89 55 F8 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12659_0 {
	meta:
		name = "TDoubleArray.Add"
		size = 81
		refs = "0021 TDoubleArray.Find 0037 ArrayDuplicateError 0044 TBaseArray.InsertAt"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 80 7B 14 00 75 08 8B 43 10 89 45 FC EB 26 FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8D 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12666_0 {
	meta:
		name = "TCurrencyArray.Add"
		size = 81
		refs = "0021 TCurrencyArray.Find 0037 ArrayDuplicateError 0044 TBaseArray.InsertAt"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 80 7B 14 00 75 08 8B 43 10 89 45 FC EB 26 FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8D 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12660_0 {
	meta:
		name = "TDoubleArray.Assign"
		size = 131
		refs = "000f _DV_TDoubleArray 0014 @IsClass 0020 TDoubleArray.Assign 002d TBaseArray.Clear 0047 TDoubleArray.GetItem 0055 TDoubleArray.Add 006e @HandleFinally 0079 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 26 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12661_0 {
	meta:
		name = "TDoubleArray.Find"
		size = 114
		refs = "002c TDoubleArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 FC 8B F8 C6 45 FB 00 33 F6 8B 47 10 48 89 45 F4 3B 75 F4 7F 41 8B 5D F4 03 DE D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? DD 5D EC 9B 8D 55 08 8D 45 EC FF 57 18 85 C0 7D 05 8D 73 01 EB 16 8B D3 4A 89 55 F4 85 C0 75 0C C6 45 FB 01 80 7F 16 01 74 02 8B F3 3B 75 F4 7E BF 8B 45 FC 89 30 8A 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12662_0 {
	meta:
		name = "TDoubleArray.IndexOf"
		size = 112
		refs = "0026 TDoubleArray.GetItem 0057 TDoubleArray.Find"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B FA 8B D8 80 7B 14 00 75 3B 8B 73 10 4E 85 F6 7C 2A 46 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? DD 5C 24 04 9B 8B D7 8D 44 24 04 FF 53 18 85 C0 74 2A FF 04 24 4E 75 DE C7 04 24 FF FF FF FF EB 1B FF 77 04 FF 37 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12665_0 {
	meta:
		name = "TCurrencyArray.GetItem"
		size = 107
		refs = "001c TBaseArray.ValidIndex 0028 TCurrencyArray.GetItem 0050 @HandleAnyException 0058 TBaseArray.InternalHandleException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 89 45 FC 33 C0 89 45 F4 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 14 D8 89 55 F4 8B 54 D8 04 89 55 F8 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DF 6D F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12667_0 {
	meta:
		name = "TCurrencyArray.Assign"
		size = 131
		refs = "000f _DV_TCurrencyArray 0014 @IsClass 0020 TCurrencyArray.Assign 002d TBaseArray.Clear 0047 TCurrencyArray.GetItem 0055 TCurrencyArray.Add 006e @HandleFinally 0079 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5F 10 4B 85 DB 7C 26 43 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12668_0 {
	meta:
		name = "TCurrencyArray.Find"
		size = 114
		refs = "002c TCurrencyArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 FC 8B F8 C6 45 FB 00 33 F6 8B 47 10 48 89 45 F4 3B 75 F4 7F 41 8B 5D F4 03 DE D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? DF 7D EC 9B 8D 55 08 8D 45 EC FF 57 18 85 C0 7D 05 8D 73 01 EB 16 8B D3 4A 89 55 F4 85 C0 75 0C C6 45 FB 01 80 7F 16 01 74 02 8B F3 3B 75 F4 7E BF 8B 45 FC 89 30 8A 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12669_0 {
	meta:
		name = "TCurrencyArray.IndexOf"
		size = 112
		refs = "0026 TCurrencyArray.GetItem 0057 TCurrencyArray.Find"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B FA 8B D8 80 7B 14 00 75 3B 8B 73 10 4E 85 F6 7C 2A 46 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? DF 7C 24 04 9B 8B D7 8D 44 24 04 FF 53 18 85 C0 74 2A FF 04 24 4E 75 DE C7 04 24 FF FF FF FF EB 1B FF 77 04 FF 37 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12670_0 {
	meta:
		name = "TSmallIntArray.Create"
		size = 68
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 CmpSmallInt 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 02 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12675_0 {
	meta:
		name = "TWordArray.Create"
		size = 68
		refs = "000d @ClassCreate 001c TBaseArray.Create 0023 CmpWord 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 02 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12671_0 {
	meta:
		name = "TSmallIntArray.PutItem"
		size = 131
		refs = "0015 TBaseArray.GetAutoSize 002f TBaseArray.Grow 0037 TSmallIntArray.PutItem 0059 @HandleAnyException 0061 TBaseArray.InternalHandleException 0066 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 66 89 1C 50 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12676_0 {
	meta:
		name = "TWordArray.PutItem"
		size = 131
		refs = "0015 TBaseArray.GetAutoSize 002f TBaseArray.Grow 0037 TWordArray.PutItem 0059 @HandleAnyException 0061 TBaseArray.InternalHandleException 0066 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 55 F8 66 89 1C 50 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 48 3B 45 F8 7D 06 8B 45 FC FF 40 10 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12672_0 {
	meta:
		name = "TSmallIntArray.GetItem"
		size = 101
		refs = "001a TBaseArray.ValidIndex 0026 TSmallIntArray.GetItem 0049 @HandleAnyException 0051 TBaseArray.InternalHandleException 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 66 C7 45 FA 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 66 8B 04 58 66 89 45 FA 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 FA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12677_0 {
	meta:
		name = "TWordArray.GetItem"
		size = 101
		refs = "001a TBaseArray.ValidIndex 0026 TWordArray.GetItem 0049 @HandleAnyException 0051 TBaseArray.InternalHandleException 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 66 C7 45 FA 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 66 8B 04 58 66 89 45 FA 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 FA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12673_0 {
	meta:
		name = "TSmallIntArray.Add"
		size = 81
		refs = "0022 TBaseArray.FindItem 0038 ArrayDuplicateError 0045 TBaseArray.InsertAt"
	strings:
		$1 = { 53 83 C4 F8 66 89 14 24 8B D8 80 7B 14 00 75 09 8B 43 10 89 44 24 04 EB 23 8B CC 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8B CC 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_12678_0 {
	meta:
		name = "TWordArray.Add"
		size = 83
		refs = "0024 TWordArray.Find 003a ArrayDuplicateError 0047 TBaseArray.InsertAt"
	strings:
		$1 = { 53 83 C4 F8 66 89 14 24 8B D8 80 7B 14 00 75 09 8B 43 10 89 44 24 04 EB 25 8D 54 24 04 66 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8A 43 16 2C 01 72 18 FE C8 74 02 EB 05 E8 ?? ?? ?? ?? 8B CC 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_12680_0 {
	meta:
		name = "TWordArray.Find"
		size = 113
		refs = "002b TWordArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 66 89 4C 24 04 89 14 24 8B F8 C6 44 24 06 00 33 F6 8B 6F 10 4D 3B EE 7C 40 8D 5C 35 00 D1 EB 8B D3 8B C7 E8 ?? ?? ?? ?? 66 89 44 24 08 8D 54 24 04 8D 44 24 08 FF 57 18 85 C0 7D 05 8D 73 01 EB 14 8B EB 4D 85 C0 75 0D C6 44 24 06 01 80 7F 16 01 74 02 8B F3 3B EE 7D C0 8B 04 24 89 30 8A 44 24 06 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12681_0 {
	meta:
		name = "TWordArray.IndexOf"
		size = 107
		refs = "0026 TWordArray.GetItem 0053 TWordArray.Find"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 80 7B 14 00 75 3B 8B 73 10 4E 85 F6 7C 2A 46 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? 66 89 44 24 04 8B D7 8D 44 24 04 FF 53 18 85 C0 74 26 FF 04 24 4E 75 DE C7 04 24 FF FF FF FF EB 17 66 8B 0F 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12682_0 {
	meta:
		name = "TPointerArray.Create"
		size = 76
		refs = "000d @ClassCreate 001c TBaseArray.Create 0021 TPointerArray.Create 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 04 33 D2 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 46 15 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_12683_0 {
	meta:
		name = "TPointerArray.CopyFrom"
		size = 121
		refs = "0020 TBaseArray.ValidateBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D 08 00 74 59 8D 4D 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 48 8B 4D 08 8B 55 F8 8B C6 8B 18 FF 53 0C 8B 46 04 89 45 F0 8B 7D 08 4F 85 FF 7C 29 47 C7 45 F4 00 00 00 00 8B 5D FC 8B 13 8B C6 8B 08 FF 51 30 8B 55 F8 03 55 F4 8B 4D F0 89 04 91 FF 45 F4 83 C3 04 4F 75 E2 C6 46 14 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12684_0 {
	meta:
		name = "TPointerArray.CopyTo"
		size = 100
		refs = "001f TBaseArray.ValidateBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B DA 8B F8 83 7D 08 00 74 45 8D 4D 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 34 8B 47 04 89 45 F4 8B 75 08 4E 85 F6 7C 26 46 C7 45 F8 00 00 00 00 8B 45 FC 03 45 F8 8B 55 F4 8B 14 82 8B C7 8B 08 FF 51 30 89 03 FF 45 F8 83 C3 04 4E 75 E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12685_0 {
	meta:
		name = "TPointerArray.PutData"
		size = 80
		refs = "000e TBaseArray.ValidIndex 0024 TBaseArray.HasFlag"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 8B 43 04 83 3C B0 00 74 1A 33 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 04 8B 14 B0 8B C3 8B 08 FF 51 34 8B D7 8B C3 8B 08 FF 51 30 8B 53 04 89 04 B2 C6 43 14 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12686_0 {
	meta:
		name = "TPointerArray.GetData"
		size = 33
		refs = "000b TBaseArray.ValidIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 43 04 8B 04 B0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_12688_0 {
	meta:
		name = "TPointerArray.InvalidateItems"
		size = 118
		refs = "0018 TBaseArray.HasFlag 0027 TBaseArray.ValidateBounds 003f TPointerArray.GetData 0068 TBaseArray.PutItem"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 0C 24 8B F2 8B D8 83 3C 24 00 7E 5D 33 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 74 50 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8B 3C 24 03 FE 4F 2B FE 7C 37 47 8B D6 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 83 7C 24 04 00 74 1E 8B 54 24 04 8B C3 8B 08 FF 51 34 33 C0 89 44 24 04 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 CA 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12690_0 {
	meta:
		name = "TStringArray.Create"
		size = 80
		refs = "000d @ClassCreate 001c TBaseArray.Create 0021 TStringArray.Create 002b CmpString 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 08 33 D2 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 46 15 C7 46 18 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 02 00 00 00 }
	condition:
		$1
}

rule function_12691_0 {
	meta:
		name = "TStringArray.Add"
		size = 157
		refs = "0015 TStringArray.Add 0035 TStringArray.Find 004e sDuplicateString 0053 LoadResString 005d _DV_EArrayError 0062 Exception.Create 0067 @RaiseExcept 0073 TStringArray.InsertItem 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 75 08 8B 43 10 89 45 FC EB 3E 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8A 43 16 2C 01 72 33 FE C8 74 02 EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12692_0 {
	meta:
		name = "TStringArray.Exchange"
		size = 49
		refs = "001e ArrayIndexError 0029 TStringArray.ExchangeItems"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 0E 3B 73 10 7D 09 85 FF 7C 05 3B 7B 10 7C 07 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12693_0 {
	meta:
		name = "TStringArray.ExchangeItems"
		size = 35
	strings:
		$1 = { 53 8B 58 04 8D 14 D3 8B 40 04 8D 04 C8 8B 0A 8B 18 89 1A 89 08 8B 4A 04 8B 58 04 89 5A 04 89 48 04 5B C3 }
	condition:
		$1
}

rule function_12694_0 {
	meta:
		name = "TStringArray.Find"
		size = 158
		refs = "0015 @LStrAddRef 001d TStringArray.Find 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 33 F6 8B 47 10 48 89 45 F0 3B 75 F0 7F 39 8B 5D F0 03 DE D1 EB 8D 55 FC 8B 47 04 8D 04 D8 FF 57 18 66 85 C0 7D 05 8D 73 01 EB 17 8B D3 4A 89 55 F0 66 85 C0 75 0C C6 45 F7 01 80 7F 16 01 74 02 8B F3 3B 75 F0 7E C7 8B 45 F8 89 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12695_0 {
	meta:
		name = "TStringArray.GetObject"
		size = 35
		refs = "000e TBaseArray.ValidIndex"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B 43 04 8B 7C F0 04 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12696_0 {
	meta:
		name = "TStringArray.Grow"
		size = 49
		refs = "002c TBaseArray.SetCapacity"
	strings:
		$1 = { 8B 50 08 83 FA 40 7E 0E 8B CA 85 C9 79 03 83 C1 03 C1 F9 02 EB 11 83 FA 08 7E 07 B9 10 00 00 00 EB 05 B9 04 00 00 00 03 CA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12697_0 {
	meta:
		name = "TStringArray.IndexOf"
		size = 157
		refs = "0016 TStringArray.IndexOf 003f TStringArray.GetString 0067 TStringArray.Find 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 75 39 8B 73 10 4E 85 F6 7C 28 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D7 8D 45 F8 FF 53 18 66 85 C0 74 26 FF 45 FC 4E 75 E0 C7 45 FC FF FF FF FF EB 17 8D 4D FC 8B 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 45 FC FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12698_0 {
	meta:
		name = "TStringArray.Insert"
		size = 148
		refs = "0014 TStringArray.Insert 0024 @VarToLStr 0032 sSortedListError 0037 LoadResString 0041 _DV_EArrayError 0046 Exception.Create 004b @RaiseExcept 005b ArrayIndexError 0067 TStringArray.InsertItem 0081 @LStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 80 7B 14 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 10 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12699_0 {
	meta:
		name = "TStringArray.InsertItem"
		size = 222
		refs = "0037 TStringArray.InsertItem 0062 Move 0071 @HandleAnyException 0079 TBaseArray.InternalHandleException 007e @DoneExcept 00b1 @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 10 8B 55 FC 3B 42 08 75 08 8B 45 FC 8B 10 FF 52 14 8B 45 FC 8B 40 10 3B 45 F8 7E 4F 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 52 04 8B 4D F8 8D 54 CA 08 8B 4D FC 8B 49 04 8B 5D F8 8D 0C D9 2B 45 F8 C1 E0 03 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 04 8B 45 F8 33 D2 89 54 C3 04 8B 45 F8 33 D2 89 14 C3 8B 45 F8 8D 04 C3 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC FF 40 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12700_0 {
	meta:
		name = "TStringArray.PutString"
		size = 185
		refs = "0019 TStringArray.PutString 0030 sSortedListError 0035 LoadResString 003f _DV_EArrayError 0044 Exception.Create 0049 @RaiseExcept 0053 TBaseArray.ValidIndex 0075 @LStrAsg 0084 @HandleAnyException 008c TBaseArray.InternalHandleException 0091 @DoneExcept 00a6 @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 14 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8D 04 D8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12701_0 {
	meta:
		name = "TStringArray.GetString"
		size = 83
		refs = "0012 TStringArray.GetString 0028 @LStrLAsg 0037 @HandleAnyException 003f TBaseArray.Clear 0044 @RaiseAgain 0049 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC 8B 52 04 8B 14 DA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12702_0 {
	meta:
		name = "TStringArray.PutObject"
		size = 33
		refs = "000e TBaseArray.ValidIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B 43 04 89 7C F0 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12703_0 {
	meta:
		name = "TStringArray.QuickSort"
		size = 186
		refs = "001a TStringArray.QuickSort 003c @LStrLAsg 0073 TStringArray.ExchangeItems 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 FC 8B 7D F8 8D 45 F4 8B 55 FC 03 55 F8 D1 EA 8B 4B 04 8B 14 D1 E8 ?? ?? ?? ?? EB 01 46 8D 55 F4 8B 43 04 8D 04 F0 FF 53 18 66 85 C0 7C EE EB 01 4F 8B 43 04 8D 04 F8 8D 55 F4 FF 53 18 66 85 C0 7F EE 3B FE 7C 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 3B FE 7D C6 3B 7D FC 7E 0C 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 75 FC 3B 75 F8 7C 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12704_0 {
	meta:
		name = "TStringArray.Sort"
		size = 24
		refs = "0013 TStringArray.QuickSort"
	strings:
		$1 = { 80 78 14 00 74 11 83 78 10 01 7E 0B 8B 48 10 49 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12705_0 {
	meta:
		name = "TStringArray.AddStrings"
		size = 145
		refs = "0017 TStringArray.AddStrings 0046 TStringArray.GetString 0050 TStringArray.Add 0067 @HandleFinally 007e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 10 4B 85 DB 7C 1E 43 33 F6 8D 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12706_0 {
	meta:
		name = "TStringArray.Assign"
		size = 90
		refs = "000d _DV_TStringArray 0012 @IsClass 001e TStringArray.Assign 002b TBaseArray.Clear 0034 TStringArray.AddStrings 0047 @HandleFinally 0052 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12707_0 {
	meta:
		name = "TStringArray.InvalidateItems"
		size = 18
		refs = "0008 TStringItem 000d @FinalizeArray"
	strings:
		$1 = { 8B 40 04 8D 04 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12708_0 {
	meta:
		name = "VariantTypeToName"
		size = 452
		refs = "001a VariantTypeToName 0079 @LStrLAsg"
	strings:
		$1 = { 53 8B DA 83 F8 0C 7F 42 0F 84 A9 00 00 00 83 F8 0A 0F 87 E6 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 E8 11 74 76 2D EE 0F 00 00 74 7D 2D 01 10 00 00 0F 84 80 00 00 00 2D 00 20 00 00 0F 84 83 00 00 00 E9 8C 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 05 00 00 00 45 6D 70 74 79 00 00 00 FF FF FF FF 04 00 00 00 4E 75 6C 6C 00 00 00 00 FF FF FF FF 06 00 00 00 4F 6C 65 53 74 72 00 00 FF FF FF FF 08 00 00 00 44 69 73 70 61 74 63 68 00 00 00 00 FF FF FF FF 05 00 00 00 45 72 72 6F 72 00 00 00 FF FF FF FF 07 00 00 00 56 61 72 69 61 6E 74 00 FF FF FF FF 04 00 00 00 42 79 74 65 00 00 00 00 FF FF FF FF 08 00 00 00 54 79 70 65 4D 61 73 6B 00 00 00 00 FF FF FF FF 05 00 00 00 41 72 72 61 79 00 00 00 FF FF FF FF 05 00 00 00 42 79 52 65 66 00 00 00 FF FF FF FF 07 00 00 00 55 6E 6B 6E 6F 77 6E 00 }
	condition:
		$1
}

rule function_12709_0 {
	meta:
		name = "TCustomArray.Create"
		size = 332
		refs = "000f @ClassCreate 0029 @VarFromInt 0031 TCustomArray.Create 0036 @LStrAsg 0085 _DV_TSmallIntArray 008a TSmallIntArray.Create 009d _DV_TIntArray 00a2 TIntArray.Create 00b2 _DV_TDoubleArray 00b7 TDoubleArray.Create 00c7 _DV_TWordArray 00cc TWordArray.Create 00dc _DV_TStringArray 00e1 TStringArray.Create 00f1 _DV_TSingleArray 00f6 TSingleArray.Create 0106 _DV_TCurrencyArray 010b TCurrencyArray.Create 011a TCustomArray.UnsupportedTypeError 0127 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 89 73 04 8D 43 10 BA F0 14 F6 FF E8 ?? ?? ?? ?? 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 43 20 02 00 33 C0 89 43 24 83 FE 06 7F 1D 0F 84 AF 00 00 00 83 EE 02 74 29 4E 74 3E 4E 0F 84 8B 00 00 00 4E 74 49 E9 AD 00 00 00 83 EE 07 74 3F 83 EE 04 74 4F 81 EE F5 00 00 00 74 5C E9 96 00 00 00 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 E9 88 00 00 00 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 73 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 5E 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 49 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 34 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 1F 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 EB 0A 8B 53 04 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_12710_0 {
	meta:
		name = "TCustomArray.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 002d TObject.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 08 00 74 0F B2 01 8B 46 08 8B 08 FF 51 FC 33 C0 89 46 08 33 C0 89 46 04 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12711_0 {
	meta:
		name = "TCustomArray.UnsupportedTypeError"
		size = 132
		refs = "0015 TCustomArray.UnsupportedTypeError 0025 VariantTypeToName 003d sUnsupportedDataType 0042 LoadResString 004c _DV_EUnsupportedTypeError 0051 Exception.CreateFmt 0056 @RaiseExcept 006b @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12712_0 {
	meta:
		name = "TCustomArray.GetMemberCount"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 40 10 C3 }
	condition:
		$1
}

rule function_12713_0 {
	meta:
		name = "TCustomArray.GetItem"
		size = 343
		refs = "001a TCustomArray.GetItem 006c TSmallIntArray.GetItem 0076 @VarFromInt 0085 TDoubleArray.GetItem 008d @VarFromReal 009c VarAsType 00ab TIntArray.GetItem 00d3 TWordArray.GetItem 00ec TStringArray.GetString 00f6 @VarFromLStr 0102 TSingleArray.GetItem 0115 TCurrencyArray.GetItem 011c @VarFromCurr 0127 TCustomArray.UnsupportedTypeError 013c @LStrClr 0144 @VarClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B D0 83 FA 06 7F 1D 0F 84 DB 00 00 00 83 EA 02 74 2D 4A 74 69 4A 0F 84 B9 00 00 00 4A 74 74 E9 D7 00 00 00 83 EA 07 74 2F 83 EA 04 74 78 81 EA F5 00 00 00 0F 84 82 00 00 00 E9 BC 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? 0F BF D0 8B C7 E8 ?? ?? ?? ?? E9 AC 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B CF 8D 45 F0 BA 07 00 00 00 E8 ?? ?? ?? ?? E9 86 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 71 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 5E 8B D6 8B 43 08 E8 ?? ?? ?? ?? 0F B7 D0 8B C7 E8 ?? ?? ?? ?? EB 48 8D 4D EC 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? EB 2F 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 1C 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12714_0 {
	meta:
		name = "TCustomArray.GetDouble"
		size = 21
		refs = "0007 TDoubleArray.GetItem"
	strings:
		$1 = { 83 C4 F8 8B 40 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_12715_0 {
	meta:
		name = "TCustomArray.GetCurrency"
		size = 21
		refs = "0007 TCurrencyArray.GetItem"
	strings:
		$1 = { 83 C4 F8 8B 40 08 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A C3 }
	condition:
		$1
}

rule function_12717_0 {
	meta:
		name = "TCustomArray.IsBlank"
		size = 187
		refs = "0014 TCustomArray.IsBlank 003a TDoubleArray.GetItem 0042 @VarFromReal 004d @VarCmp 0061 TStringArray.GetString 006c @LStrCmp 007d TWordArray.GetItem 009f @LStrClr 00a7 @VarClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 83 E8 07 74 0E 83 E8 04 74 4C 2D F5 00 00 00 74 26 EB 58 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8D 53 10 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 EB 36 8D 4D EC 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 45 EC 8B 53 0C E8 ?? ?? ?? ?? 0F 94 C0 8B D8 EB 17 8B D6 8B 43 08 E8 ?? ?? ?? ?? 66 3B 43 20 0F 94 C0 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12718_0 {
	meta:
		name = "TCustomArray.SetItem"
		size = 612
		refs = "002b @VarAddRef 0033 TCustomArray.SetItem 009a VarAsType 00a7 @VarFromLStr 00c5 @VarFromInt 015d @DispInvoke 0168 @VarToInt 0174 TSmallIntArray.PutItem 0189 TDoubleArray.PutItem 01a2 TIntArray.PutItem 01ac @VarToReal 01d3 TWordArray.PutItem 01fd TSingleArray.PutItem 0207 @VarToCurr 0218 TCurrencyArray.PutItem 0223 TCustomArray.UnsupportedTypeError 0238 @VarClr 0246 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 75 F0 8D 7D E0 B9 04 00 00 00 F3 A5 5E 66 8B 45 E0 0F B7 C8 8B 53 04 3B CA 0F 84 AB 00 00 00 66 83 E8 02 72 0F 66 83 E8 03 0F 84 86 00 00 00 E9 96 00 00 00 FF 43 24 8B 7B 04 8B C7 83 E8 07 74 0E 83 E8 04 74 38 2D F5 00 00 00 74 14 EB 4D 8D 4D F0 8D 43 10 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 69 8D 45 D0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 BA 00 01 00 00 E8 ?? ?? ?? ?? EB 4C 8D 45 D0 0F B7 53 20 E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 2E 8D 45 D0 33 D2 E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 8B D7 E8 ?? ?? ?? ?? EB 15 83 FA 06 75 10 8D 4D F0 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B D0 83 FA 06 7F 1D 0F 84 EA 00 00 00 83 EA 02 74 31 4A 74 71 4A 0F 84 C0 00 00 00 4A 74 7D E9 EE 00 00 00 83 EA 07 74 48 83 EA 04 0F 84 85 00 00 00 81 EA F5 00 00 00 0F 84 8F 00 00 00 E9 CF 00 00 00 68 ?? ?? ?? ?? 8D 45 F0 50 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 45 D0 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 08 E8 ?? ?? ?? ?? E9 AA 00 00 00 FF 75 FC FF 75 F8 8B D6 8B 43 08 E8 ?? ?? ?? ?? E9 95 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 7F 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 64 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 4E 8D 4D F0 8B D6 8B 43 08 8B 18 FF 53 1C EB 3F 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 24 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 01 00 00 56 53 6D 61 6C 6C 49 6E 74 00 00 00 00 }
	condition:
		$1
}

rule function_12719_0 {
	meta:
		name = "TCustomArray.IndexOf"
		size = 551
		refs = "0038 @VarAddRef 0040 TCustomArray.IndexOf 00a3 @VarCast 012e @LStrLAsg 019f @VarFromInt 01aa @VarCmp 01e2 TCustomArray.UnsupportedTypeError 01f8 Variant 0202 @FinalizeArray 020a @LStrClr 0212 @VarClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 C9 89 4D AC 89 4D B0 89 4D B4 89 4D B8 89 4D F0 89 4D F4 89 4D F8 89 4D FC 89 4D EC 8B F2 8D 7D BC B9 04 00 00 00 F3 A5 8B D8 8D 45 BC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 8B 43 04 8B D0 83 FA 06 7F 21 0F 84 0C 01 00 00 83 EA 02 74 35 4A 0F 84 86 00 00 00 4A 0F 84 D4 00 00 00 4A 74 4E E9 65 01 00 00 83 EA 07 74 44 83 EA 04 0F 84 0E 01 00 00 81 EA F5 00 00 00 0F 84 85 00 00 00 E9 46 01 00 00 B9 02 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 66 8B 45 F8 66 89 45 E6 8D 55 E6 8B 43 08 8B 08 FF 51 28 8B F0 E9 25 01 00 00 B9 05 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 89 45 DC 8B 45 FC 89 45 E0 8D 55 DC 8B 43 08 8B 08 FF 51 28 8B F0 E9 F7 00 00 00 B9 03 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E8 8D 55 E8 8B 43 08 8B 08 FF 51 28 8B F0 E9 CF 00 00 00 B9 00 01 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 EC 8B 43 08 8B 08 FF 51 28 8B F0 E9 A2 00 00 00 B9 04 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 89 45 D8 8D 55 D8 8B 43 08 8B 08 FF 51 28 8B F0 EB 7D B9 06 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 89 45 D0 8B 45 FC 89 45 D4 8D 55 D0 8B 43 08 8B 08 FF 51 28 8B F0 EB 52 8D 45 AC 66 8B 73 20 0F B7 D6 E8 ?? ?? ?? ?? 8D 55 AC 8D 45 BC E8 ?? ?? ?? ?? 75 06 66 89 75 CE EB 18 B9 0B 00 00 00 8D 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 66 8B 45 F8 66 89 45 CE 8D 55 CE 8B 43 08 8B 08 FF 51 28 8B F0 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12720_0 {
	meta:
		name = "TCustomArray.Assign"
		size = 181
		refs = "00ac TCustomArray.UnsupportedTypeError"
	strings:
		$1 = { 55 8B EC 56 8B F0 84 C9 74 07 8B 46 08 C6 40 14 02 80 7D 08 00 74 07 8B 46 08 C6 40 16 00 8B 46 04 8B C8 83 F9 06 7F 12 74 70 83 E9 02 74 2A 49 74 34 49 74 58 49 74 3B EB 6D 83 E9 07 74 34 83 E9 04 74 3C 81 E9 F5 00 00 00 75 5B 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 57 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 4A 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 3D 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 30 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 23 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 16 8B 52 08 8B 46 08 8B 08 FF 51 08 EB 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_12721_0 {
	meta:
		name = "TCustomArray.Add"
		size = 507
		refs = "002c @VarAddRef 0034 TCustomArray.Add 009c VarAsType 00a9 @VarFromLStr 00c7 @VarFromInt 0147 VarToStr 0152 TStringArray.Add 0162 TSmallIntArray.Add 0171 TIntArray.Add 0183 TDoubleArray.Add 0193 TWordArray.Add 01a2 TSingleArray.Add 01b4 TCurrencyArray.Add 01c1 TCustomArray.UnsupportedTypeError 01d6 @LStrClr 01de @VarClr 01ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D DC 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 75 F0 8D 7D E0 B9 04 00 00 00 F3 A5 83 CE FF 66 8B 45 E0 0F B7 C8 8B 53 04 3B CA 0F 84 AB 00 00 00 66 83 E8 02 72 0F 66 83 E8 03 0F 84 86 00 00 00 E9 96 00 00 00 FF 43 24 8B 7B 04 8B C7 83 E8 07 74 0E 83 E8 04 74 38 2D F5 00 00 00 74 14 EB 4D 8D 4D F0 8D 43 10 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 69 8D 45 D0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 BA 00 01 00 00 E8 ?? ?? ?? ?? EB 4C 8D 45 D0 0F B7 53 20 E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 2E 8D 45 D0 33 D2 E8 ?? ?? ?? ?? 8D 45 D0 8D 4D F0 8B D7 E8 ?? ?? ?? ?? EB 15 83 FA 06 75 10 8D 4D F0 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B D0 83 FA 06 7F 19 0F 84 8F 00 00 00 83 EA 02 74 3A 4A 74 47 4A 74 75 4A 74 50 E9 8E 00 00 00 83 EA 07 74 46 83 EA 04 74 53 81 EA F5 00 00 00 75 7C 8D 55 CC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 CC 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 6B 66 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 5B 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 4C FF 75 FC FF 75 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 3A 66 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 2A FF 75 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 1B FF 75 FC FF 75 F8 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12722_0 {
	meta:
		name = "TCustomArray.GetCompProc"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 40 18 C3 }
	condition:
		$1
}

rule function_12723_0 {
	meta:
		name = "TCustomArray.SetCompProc"
		size = 7
	strings:
		$1 = { 8B 40 08 89 50 18 C3 }
	condition:
		$1
}

rule function_12724_0 {
	meta:
		name = "TCustomArray.SetSize"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 08 FF 51 10 5E C3 }
	condition:
		$1
}

rule function_12725_0 {
	meta:
		name = "TCustomArray.MemoryUsage"
		size = 13
	strings:
		$1 = { 8B 50 08 8B 4A 08 0F AF 4A 0C 8B C1 C3 }
	condition:
		$1
}

rule function_12726_0 {
	meta:
		name = "TCustomArray.GetSort"
		size = 11
	strings:
		$1 = { 8B 40 08 80 78 14 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_12727_0 {
	meta:
		name = "TCustomArray.SetSort"
		size = 8
	strings:
		$1 = { 8B 40 08 C6 40 14 02 C3 }
	condition:
		$1
}

rule function_12728_0 {
	meta:
		name = "TCustomArray.GetDups"
		size = 7
	strings:
		$1 = { 8B 40 08 8A 40 16 C3 }
	condition:
		$1
}

rule function_12729_0 {
	meta:
		name = "TCustomArray.SetDups"
		size = 7
	strings:
		$1 = { 8B 40 08 88 50 16 C3 }
	condition:
		$1
}

rule function_12730_0 {
	meta:
		name = "TCustomArray.ConvertVar"
		size = 288
		refs = "002d @VarAddRef 0035 TCustomArray.ConvertVar 0087 VarAsType 0094 @VarFromLStr 00ae @VarFromInt 00ed TCustomArray.UnsupportedTypeError 0103 Variant 010d @FinalizeArray 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 F0 8B D0 66 FF CA 74 1D 4A 66 83 EA 06 0F 82 83 00 00 00 66 83 EA 03 74 7D 66 81 EA F5 00 74 76 E9 80 00 00 00 8B 7B 04 8B C7 83 E8 07 74 0E 83 E8 04 74 30 2D F5 00 00 00 74 10 EB 41 8B CE 8D 43 10 8B D7 E8 ?? ?? ?? ?? EB 64 8D 45 E0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 E0 8B CE 8B D7 E8 ?? ?? ?? ?? EB 4B 8D 45 E0 0F B7 53 20 E8 ?? ?? ?? ?? 8D 45 E0 8B CE 8B D7 E8 ?? ?? ?? ?? EB 31 8D 45 E0 33 D2 E8 ?? ?? ?? ?? 8D 45 E0 8B CE 8B D7 E8 ?? ?? ?? ?? EB 19 8B CE 8D 45 F0 8B 53 04 E8 ?? ?? ?? ?? EB 0A 0F B7 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12731_0 {
	meta:
		name = "TTwoDimArray.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 04 33 C0 89 46 08 33 C0 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12732_0 {
	meta:
		name = "TTwoDimArray.Destroy"
		size = 173
		refs = "0008 @BeforeDestruction 001f TTwoDimArray.Destroy 0051 TObject.Free 0080 @FreeMem 0086 @HandleFinally 0096 TObject.Destroy 00a4 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 10 00 74 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 08 4B 83 FB 00 72 31 8B 45 FC 8B 40 10 8B 04 98 8B 40 08 8B 55 FC 29 42 0C 8B 45 FC 8B 40 10 8B 04 98 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 33 D2 89 14 98 4B 83 FB FF 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12733_0 {
	meta:
		name = "TTwoDimArray.SetSize"
		size = 118
		refs = "0018 TotalAllocatedMemory 001e AvailableMemory 0025 LowCapacityError 0030 @GetMem 0053 _DV_TSmallIntArray 0058 TSmallIntArray.Create"
	strings:
		$1 = { 53 56 57 55 8B D8 89 53 04 8B C1 89 43 08 8B D0 C1 E2 02 89 53 0C 03 15 ?? ?? ?? ?? 3B 15 ?? ?? ?? ?? 7E 05 E8 ?? ?? ?? ?? 8B 43 08 C1 E0 02 E8 ?? ?? ?? ?? 89 43 10 8B 43 0C 01 05 ?? ?? ?? ?? 8B 7B 08 4F 85 FF 72 29 47 33 F6 6A 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 43 10 89 2C B0 8B 43 10 8B 45 08 01 43 0C 46 4F 75 DA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12734_0 {
	meta:
		name = "TTwoDimArray.GetElement"
		size = 185
		refs = "0015 TTwoDimArray.GetElement 0035 sRowOutOfRange 003a LoadResString 0044 _DV_EDynArrayRangeError 0049 Exception.CreateFmt 004e @RaiseExcept 0068 sColOutOfRange 008e TSmallIntArray.GetItem 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3B 58 04 76 2E 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 70 08 76 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 10 8B 04 B0 8B D3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12735_0 {
	meta:
		name = "TTwoDimArray.SetElement"
		size = 187
		refs = "0015 TTwoDimArray.SetElement 0035 sRowOutOfRange 003a LoadResString 0044 _DV_EDynArrayRangeError 0049 Exception.CreateFmt 004e @RaiseExcept 0068 sColOutOfRange 0092 TSmallIntArray.PutItem 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3B 58 04 76 2E 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 70 08 76 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 10 8B 04 B0 66 8B 4D 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12736_0 {
	meta:
		name = "TIndexArray.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TObject.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C 33 C0 89 46 08 33 C0 89 46 04 C6 46 10 00 33 C0 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12737_0 {
	meta:
		name = "TIndexArray.Destroy"
		size = 179
		refs = "0008 @BeforeDestruction 001f TIndexArray.Destroy 0057 TObject.Free 0086 @FreeMem 008c @HandleFinally 009c TObject.Destroy 00aa @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 14 00 74 77 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 85 C0 7E 39 8B D8 4B 83 FB 00 72 31 8B 45 FC 8B 40 14 8B 04 98 8B 40 08 8B 55 FC 29 42 04 8B 45 FC 8B 40 14 8B 04 98 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 33 D2 89 14 98 4B 83 FB FF 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12738_0 {
	meta:
		name = "TIndexArray.SetSize"
		size = 60
		refs = "0012 TotalAllocatedMemory 0018 AvailableMemory 001f LowCapacityError 002a @GetMem"
	strings:
		$1 = { 53 8B D8 8B C2 89 43 0C 8B D0 C1 E2 02 89 53 04 03 15 ?? ?? ?? ?? 3B 15 ?? ?? ?? ?? 7E 05 E8 ?? ?? ?? ?? 8B 43 0C C1 E0 02 E8 ?? ?? ?? ?? 89 43 14 8B 43 04 01 05 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12739_0 {
	meta:
		name = "TIndexArray.Expand"
		size = 168
		refs = "003b TIndexArray.Expand 0058 CheckLowCapacity 0061 LowCapacityError 006e @ReallocMem 0074 TotalAllocatedMemory 0083 @HandleAnyException 008e @FreeMem 0093 @RaiseAgain 0098 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 0C 83 F8 40 76 07 8B D0 C1 EA 02 EB 11 83 F8 08 76 07 BA 10 00 00 00 EB 05 BA 04 00 00 00 8B D8 03 DA 8B F8 3B C3 74 6B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 C1 E6 02 8B 45 FC 89 70 04 8B D6 8B C7 C1 E0 02 E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? 8B D6 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 01 35 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 58 0C 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12740_0 {
	meta:
		name = "TIndexArray.GetElement"
		size = 27
		refs = "000e ArrayIndexError"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 76 07 8B C6 E8 ?? ?? ?? ?? 8B 43 14 8B 04 B0 5E 5B C3 }
	condition:
		$1
}

rule function_12741_0 {
	meta:
		name = "TIndexArray.SetElement"
		size = 69
		refs = "001a TIndexArray.Expand 0026 ArrayIndexError"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 10 00 74 0F 8B 43 08 3B 43 0C 75 07 8B C3 E8 ?? ?? ?? ?? 3B 73 0C 76 07 8B C6 E8 ?? ?? ?? ?? 8B 43 14 89 3C B0 8B 47 08 01 43 04 8B 43 08 48 3B F0 7E 03 FF 43 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12742_0 {
	meta:
		name = "TIndexArray.Add"
		size = 51
		refs = "0017 TIndexArray.Expand"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 10 00 74 0F 8B 43 08 3B 43 0C 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 53 08 89 34 90 8B 46 08 01 43 04 FF 43 08 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_12743_0 {
	meta:
		name = "TThreadCustomArray.Create"
		size = 93
		refs = "000e @ClassCreate 001d TObject.Create 0026 InitializeCriticalSection 0033 _DV_TCustomArray 0038 TCustomArray.Create 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 08 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12745_0 {
	meta:
		name = "TThreadCustomArray.Add"
		size = 175
		refs = "001b @VarAddRef 0023 TThreadCustomArray.Add 0031 TThreadCustomArray.LockArray 0054 TCustomArray.IndexOf 0065 TCustomArray.Add 007d TThreadCustomArray.UnlockArray 0083 @HandleFinally 009a @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F2 8D 7D E8 B9 04 00 00 00 F3 A5 89 45 FC 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? C7 45 F8 FF FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8D 55 E8 E8 ?? ?? ?? ?? 40 75 11 8B 45 FC 8B 40 04 8D 55 E8 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_12747_0 {
	meta:
		name = "TThreadCustomArray.GetItem"
		size = 84
		refs = "0011 TThreadCustomArray.LockArray 0019 TThreadCustomArray.GetItem 002e TCustomArray.GetItem 0043 TThreadCustomArray.UnlockArray 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12748_0 {
	meta:
		name = "TThreadCustomArray.MemoryUsage"
		size = 80
		refs = "000d TThreadCustomArray.LockArray 0015 TThreadCustomArray.MemoryUsage 003d TThreadCustomArray.UnlockArray 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 10 FF 12 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_12751_0 {
	meta:
		name = "mxarrays"
		size = 27
		refs = "0002 _DV_81 000a GetAvailableMem 000f AvailableMemory 0016 TotalAllocatedMemory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12752_0 {
	meta:
		name = "TPivotButton.Create"
		size = 188
		refs = "000a @ClassCreate 0017 TSpeedButton.Create 0020 TPivotButton.SetState 0029 TSpeedButton.SetAllowAllUp 003b TControl.SetText 0044 TSpeedButton.SetGroupIndex 0049 TPivotButton.Create 004e HInstance 0056 LoadCursor 005d Screen 0069 TScreen.SetCursors 0099 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 60 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 BA 65 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 44 49 4D 4D 4F 56 45 00 44 49 4D 49 4E 53 00 00 }
	condition:
		$1
}

rule function_12753_0 {
	meta:
		name = "TPivotButton.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0026 TSpeedButton.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 3C 01 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12754_0 {
	meta:
		name = "TPivotButton.SetDecisionSource"
		size = 15
	strings:
		$1 = { 3B 90 38 01 00 00 74 06 89 90 38 01 00 00 C3 }
	condition:
		$1
}

rule function_12755_0 {
	meta:
		name = "TPivotButton.SetMyDim"
		size = 12
		refs = "0007 TPivotButton.NewState"
	strings:
		$1 = { 89 90 4C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12756_0 {
	meta:
		name = "TPivotButton.SetType"
		size = 7
	strings:
		$1 = { 88 90 34 01 00 00 C3 }
	condition:
		$1
}

rule function_12757_0 {
	meta:
		name = "TPivotButton.NewState"
		size = 314
		refs = "0026 TDecisionSource.GetDims 003f TDecisionSource.GetGroup 0056 TDecisionSource.GetValue 006d TDecisionSource.GetState 0084 TDecisionSource.GetRowState 009d TDecisionSource.GetIndex 00ce TControl.SetText 0106 TSpeedButton.SetFlat 0118 TSpeedButton.SetDown 012c TPivotButton.SetState"
	strings:
		$1 = { 53 56 8B D8 8B B3 4C 01 00 00 85 F6 0F 8C B7 00 00 00 83 BB 38 01 00 00 00 0F 84 AA 00 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 3B F0 0F 8F 97 00 00 00 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 88 83 61 01 00 00 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 89 83 54 01 00 00 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 88 83 50 01 00 00 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 88 83 60 01 00 00 33 C9 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 89 83 58 01 00 00 B1 01 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 89 83 5C 01 00 00 C6 83 34 01 00 00 00 EB 1D 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 58 01 00 00 FF FF FF FF C7 83 5C 01 00 00 FF FF FF FF 8A 83 50 01 00 00 04 FE 2C 02 72 0F 8A 83 34 01 00 00 48 2C 03 72 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB 50 01 00 00 01 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_12758_0 {
	meta:
		name = "TPivotButton.CMDesignHitTest"
		size = 76
	strings:
		$1 = { 53 56 57 8B 70 38 8B FE C1 EF 02 0F BF 4A 08 3B F9 7D 30 2B F7 3B CE 7D 2A 0F BF 4A 0A 8B 58 3C C1 EB 02 3B CB 7E 1C 8B 48 3C C1 E9 02 8B 40 3C 2B C1 0F BF 4A 0A 3B C1 7E 09 C7 42 0C 01 00 00 00 EB 05 33 C0 89 42 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12759_0 {
	meta:
		name = "TPivotButton.Click"
		size = 97
		refs = "000a TPivotButton.SelectButtonValue 0050 TDecisionSource.ToggleDimIndex"
	strings:
		$1 = { 80 B8 34 01 00 00 02 75 06 E8 ?? ?? ?? ?? C3 8A 90 34 01 00 00 84 D2 75 15 8A 88 50 01 00 00 80 C1 FE 80 E9 02 73 07 E8 ?? ?? ?? ?? EB 32 84 D2 75 24 80 B8 40 01 00 00 02 74 25 6A 00 8B 88 58 01 00 00 8A 90 61 01 00 00 8B 80 38 01 00 00 E8 ?? ?? ?? ?? EB 0A 80 FA 03 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12760_0 {
	meta:
		name = "TPivotButton.MouseUp"
		size = 78
		refs = "001a TPivotButton.SelectButtonProperties 003b @CallDynaInst 0044 TPivotButton.SetState"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 80 BE 34 01 00 00 00 75 0C 80 FB 01 75 07 8B C6 E8 ?? ?? ?? ?? 80 BE 34 01 00 00 01 74 18 84 DB 75 14 80 BE 40 01 00 00 01 75 0B 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12761_0 {
	meta:
		name = "TPivotButton.MouseDown"
		size = 51
		refs = "0018 TPivotButton.SetState"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB 34 01 00 00 01 74 1F 84 D2 75 1B B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 89 83 44 01 00 00 8B 45 08 89 83 48 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12762_0 {
	meta:
		name = "TPivotButton.MouseMove"
		size = 131
		refs = "001a TSpeedButton.MouseMove 006b TPivotButton.SetState 0077 TControl.BeginDrag"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 40 01 00 00 01 75 54 80 BB 34 01 00 00 00 75 4B 8B C6 2B 83 44 01 00 00 99 33 C2 2B C2 83 F8 05 7F 24 8B 83 48 01 00 00 2B C7 99 33 C2 2B C2 83 F8 05 7F 12 85 F6 74 0E 3B 73 38 74 09 85 FF 74 05 3B 7B 3C 75 15 B2 02 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12764_0 {
	meta:
		name = "TPivotButton.SetState"
		size = 7
	strings:
		$1 = { 88 90 40 01 00 00 C3 }
	condition:
		$1
}

rule function_12765_0 {
	meta:
		name = "TPivotButton.SelectButtonProperties"
		size = 307
		refs = "000c TPivotButton.SelectButtonProperties 003f _DV_TQuickMenu 0044 TQuickMenu.Create 0055 TQuickMenu.Clear 0069 SMovetoCol 006e LoadResString 007e TQuickMenu.AddLine 008e SMovetoRow 00bb sDrilled 0101 TPivotButton.EHOnProperty 010e TQuickMenu.PopUpAtMe 0123 @LStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 34 01 00 00 00 0F 85 EF 00 00 00 8A 83 61 01 00 00 2C 02 0F 83 E1 00 00 00 83 BB 3C 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 01 00 00 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8A 83 61 01 00 00 84 C0 75 21 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? EB 23 3C 01 75 1F 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8A 83 50 01 00 00 3C 03 74 44 3C 02 74 21 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? EB 1F 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B 83 3C 01 00 00 89 58 68 C7 40 64 ?? ?? ?? ?? 8B 53 3C 52 33 C9 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12766_0 {
	meta:
		name = "TPivotButton.SelectButtonValue"
		size = 968
		refs = "0019 TPivotButton.SelectButtonValue 004c _DV_TQuickMenu 0051 TQuickMenu.Create 0062 TQuickMenu.Clear 006d TDecisionSource.GetSums 0088 TDecisionSource.GetSummaryName 0098 TQuickMenu.AddLine 00ac TPivotButton.EHOnValue 00b9 TQuickMenu.PopUpAtMe 00f9 TDecisionSource.GetDecisionCube 0101 TCollection.GetCount 0120 TCubeDims.GetCubeDim 012b TCubeDim.GetLoaded 01b3 TDecisionSource.GetDimensionMemberCount 021b TDecisionSource.GetMemberAsVariant 0229 TCubeDim.GetBinValues 0234 @VarCopy 023c VarType 0254 FormatVariant 0273 VarArrayLowBound 0281 VarArrayHighBound 02a4 @VarArrayGet 02e6 sMakeDimOpen 02eb LoadResString 0305 SAllValues 0353 TDecisionSource.GetMemberAsString 0399 @VarClr 03a1 @LStrClr 03af @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 38 01 00 00 00 0F 84 58 03 00 00 8A 83 34 01 00 00 3C 02 0F 85 84 00 00 00 83 BB 3C 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 01 00 00 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 28 47 33 F6 56 8D 4D DC 8B D6 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 DB 8B 83 3C 01 00 00 89 58 68 C7 40 64 ?? ?? ?? ?? 8B 53 3C 52 33 C9 8B D3 E8 ?? ?? ?? ?? E9 C6 02 00 00 3C 03 0F 85 AC 00 00 00 83 BB 3C 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 01 00 00 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 48 47 33 F6 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 1D 8B 45 F4 80 78 22 02 74 14 56 8B 45 F4 8B 50 18 B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 BB 8B 83 3C 01 00 00 89 58 68 C7 40 64 ?? ?? ?? ?? 8B 53 3C 52 33 C9 8B D3 E8 ?? ?? ?? ?? E9 12 02 00 00 84 C0 0F 85 0A 02 00 00 83 BB 3C 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 01 00 00 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B F0 80 BB 50 01 00 00 03 0F 85 1A 01 00 00 C7 45 FC 02 00 00 00 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 82 01 00 00 47 33 F6 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 40 30 8B 93 4C 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 8D 45 E0 50 8B CE 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8D 4D CC 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 3D 00 20 00 00 7D 23 8B 45 FC 50 8D 4D DC 33 D2 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? EB 69 8D 45 E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 5A 2B C2 7C 49 40 89 45 F0 89 55 F8 8B 45 FC 50 8B 45 F8 50 6A 01 8D 45 E0 50 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 CC 8D 4D DC 33 D2 E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? FF 45 FC FF 45 F8 FF 4D F0 75 BE 46 4F 0F 85 11 FF FF FF E9 8B 00 00 00 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 6A FF B1 02 BA ?? ?? ?? ?? 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B FE 4F 85 FF 7C 32 47 33 F6 8D 46 02 50 8D 45 DC 50 8B CE 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC B1 02 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 D1 8B 83 3C 01 00 00 89 58 68 C7 40 64 ?? ?? ?? ?? 8B 53 3C 52 33 C9 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_12767_0 {
	meta:
		name = "TPivotButton.EHOnValue"
		size = 1102
		refs = "0019 TPivotButton.EHOnValue 002d TObject.Free 004c TDecisionSource.SetCurrentSummary 005e _Dn_TCubeDim 006a TDecisionSource.GetDecisionCube 0073 _Dn_TCubeDims 0078 TCubeDims.Create 00a7 TCollection.GetCount 00c1 TCubeDims.GetCubeDim 00c8 TCubeDim.SetLoaded 00dd TDimensionItem.IsSummary 0102 TDimensionItems.AverageFieldCheck 0160 TCustomDataStore.Refresh 016f @HandleOnException 0177 _Dn_EDimensionMapError 0185 sCouldNotOpen 018a LoadResString 0195 @LStrCat 019f _Dn_Exception 01a4 Exception.Create 01a9 @RaiseExcept 01ae @DoneExcept 01c9 @HandleFinally 01f0 TDecisionSource.ToggleDimIndex 0215 TDecisionSource.DrillDimIndex 0292 TDecisionSource.GetDimensionMemberCount 02bd TDecisionSource.GetMemberAsVariant 02cb TCubeDim.GetBinValues 02d6 @VarCopy 02de VarType 02f5 VarArrayLowBound 0303 VarArrayHighBound 0324 @VarArrayGet 0355 FormatVariant 0360 TCubeDim.SetStart 0420 @VarClr 0428 @LStrClr 0431 Variant 043b @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 3C 01 00 00 8B 70 6C E8 ?? ?? ?? ?? 33 C0 89 83 3C 01 00 00 8A 83 34 01 00 00 3C 02 75 12 8B 83 38 01 00 00 8B D6 E8 ?? ?? ?? ?? E9 BA 03 00 00 3C 03 0F 85 72 01 00 00 A1 ?? ?? ?? ?? 50 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 50 30 8B 45 F8 8B 08 FF 51 08 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 20 47 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF 45 F4 4F 75 E8 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4B 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 7E 3B 8D 45 E8 50 8D 4D EC 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 37 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 11 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 38 01 00 00 E8 ?? ?? ?? ?? B1 01 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 44 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 8B 53 04 E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 C0 0F 85 38 02 00 00 85 F6 75 1E 6A 00 8B 8B 58 01 00 00 8A 93 61 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? E9 16 02 00 00 83 FE 01 75 20 6A FF 6A 00 8B 8B 58 01 00 00 8A 93 61 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? E9 F1 01 00 00 80 BB 50 01 00 00 03 0F 85 C7 01 00 00 83 EE 02 A1 ?? ?? ?? ?? 50 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 50 30 8B 45 F8 8B 08 FF 51 08 8B 93 4C 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C AB 00 00 00 47 C7 45 F4 00 00 00 00 8D 45 D8 50 8B 93 4C 01 00 00 8B 83 38 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 8D 4D B4 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 B4 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 3D 00 20 00 00 7D 03 4E EB 52 8D 45 D8 BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 D8 BA 01 00 00 00 E8 ?? ?? ?? ?? 5A 2B C2 7C 32 40 89 55 F0 4E 85 F6 7D 23 8B 45 F0 50 6A 01 8D 45 D8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 8D 55 C8 E8 ?? ?? ?? ?? EB 06 FF 45 F0 48 75 D2 85 F6 7C 0A FF 45 F4 4F 0F 85 5D FF FF FF 8D 4D C4 33 D2 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 38 01 00 00 E8 ?? ?? ?? ?? B1 01 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 44 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 8B 53 04 E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 EE 02 56 6A 00 8B 8B 58 01 00 00 8A 93 61 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12768_0 {
	meta:
		name = "TPivotButton.EHOnProperty"
		size = 247
		refs = "000b TPivotButton.EHOnProperty 0069 TDecisionSource.MoveDimIndexes 009c TDecisionSource.ToggleDimIndex 00c2 TDecisionSource.DrillDimIndex 00dd TObject.Free 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 80 B8 34 01 00 00 00 0F 85 A1 00 00 00 8B 45 FC 8B 80 3C 01 00 00 85 C0 0F 84 90 00 00 00 8B 50 6C 85 D2 75 32 8B 45 FC 8A 90 61 01 00 00 84 D2 75 04 B0 01 EB 02 33 C0 8B 4D FC 8B 89 58 01 00 00 51 6A 00 6A 00 8B 4D FC 8B 89 38 01 00 00 91 E8 ?? ?? ?? ?? EB 57 4A 75 54 8B 45 FC 80 B8 50 01 00 00 02 75 24 6A 00 8B 45 FC 8B 88 58 01 00 00 8B 45 FC 8A 90 61 01 00 00 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? EB 24 6A FF 6A 00 8B 45 FC 8B 88 58 01 00 00 8B 45 FC 8A 90 61 01 00 00 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 3C 01 00 00 C3 E9 ?? ?? ?? ?? EB DF 59 5D C3 }
	condition:
		$1
}

rule function_12769_0 {
	meta:
		name = "TPivotButton.Paint"
		size = 2188
		refs = "0032 TPivotButton.Paint 003f TSpeedButton.Paint 0091 _Dn_TBitmap 0096 TBitmap.Create 00ba HInstance 00c2 LoadBitmap 00cc TBitmap.SetHandle 0138 Rect 017d TCanvas.BrushCopy 0192 TObject.Free 0198 @HandleFinally 01a6 TCanvas.TextHeight 01ce sActivateLabel 01d3 LoadResString 01e9 @LStrToString 020d TDecisionSource.GetCurrentSum 0222 TDecisionSource.GetSummaryName 025e TDecisionSource.GetDecisionCube 0278 TDecisionSource.GetDimensionName 0288 @LStrCat 02ab TCubeDims.GetCubeDim 02d1 TBinData.GetIBinValue 02e4 FormatVariant 0378 TDecisionSource.GetMemberAsString 039b SAllValues 0413 @PStrCpy 0424 @PStrCat 0435 @LStrFromString 0442 TCanvas.TextWidth 0551 @Copy 0598 @Delete 06fd TCanvas.TextOut 07d1 TFont.SetName 07db TFont.SetCharset 07e5 TFont.SetPitch 07f3 TFont.SetStyle 0830 @VarClr 083b @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 98 FB FF FF 53 56 57 33 D2 89 95 A8 FC FF FF 89 95 98 FC FF FF 89 95 9C FC FF FF 89 95 A0 FC FF FF 89 95 A4 FC FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB 38 01 00 00 00 0F 84 CC 07 00 00 33 C0 89 45 CC 8B 43 38 89 45 D4 33 C0 89 45 D0 8B 43 3C 89 45 D8 8A 83 34 01 00 00 84 C0 74 10 3C 03 74 0C 3C 02 74 08 3C 01 0F 85 9C 07 00 00 8B B3 14 01 00 00 3C 01 0F 85 10 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 61 01 00 00 00 75 1E 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? EB 1C 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 2C 8B 7D D4 2B F8 D1 FF 79 03 83 D7 00 8B 45 F0 8B 10 FF 52 20 8B 55 D8 2B D0 D1 FA 79 03 83 D2 00 89 55 F4 8B 45 F0 8B 10 FF 52 20 50 8D 85 BC FC FF FF 50 8B 45 F0 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 BC FC FF FF 50 68 80 00 00 00 8B 45 F0 8B 10 FF 52 20 03 45 F4 50 8D 85 AC FC FF FF 50 8B 45 F0 8B 10 FF 52 2C 8B C8 03 CF 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 95 AC FC FF FF 8B 4D F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 EC 8A 83 34 01 00 00 3C 03 75 3B C6 85 CC FD FF FF 00 66 C7 85 CC FC FF FF 01 36 8D 95 A8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 14 02 00 00 3C 02 75 4B C6 85 CC FD FF FF 00 66 C7 85 CC FC FF FF 01 36 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B F8 8D 8D A8 FC FF FF 8B 83 38 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 C5 01 00 00 84 C0 0F 85 BD 01 00 00 8A 83 50 01 00 00 3C 03 0F 85 BC 00 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 78 30 8D 8D A8 FC FF FF 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FD FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 93 4C 01 00 00 8B C7 E8 ?? ?? ?? ?? 83 78 4C 00 74 4B 8D 85 98 FC FF FF 50 8B 93 4C 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 40 4C 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 85 98 FC FF FF 8D 8D A8 FC FF FF 33 D2 E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 07 C6 85 CC FE FF FF 00 C6 85 CC FC FF FF 00 E9 F3 00 00 00 3C 02 0F 85 AA 00 00 00 8D 8D A8 FC FF FF 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FD FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B BB 54 01 00 00 85 FF 7C 32 8D 85 A8 FC FF FF 50 8B CF 8B 93 4C 01 00 00 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 26 8D 95 A8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 66 C7 85 CC FC FF FF 01 36 EB 41 C6 85 CC FD FF FF 00 C6 85 CC FC FF FF 00 8B BB 4C 01 00 00 85 FF 7C 29 8D 8D A8 FC FF FF 8B D7 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8D 85 CC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 CC FE FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 CC FC FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 98 FB FF FF 8D 85 A8 FC FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 53 38 83 EA 04 3B C2 0F 8E 48 01 00 00 80 BD CC FD FF FF 00 0F 85 3B 01 00 00 8B 43 3C 8B 55 EC 8D 14 52 D1 FA 79 03 83 D2 00 3B C2 0F 8E 23 01 00 00 8A 85 CC FE FF FF 33 D2 8A D0 D1 EA 89 55 FC 33 D2 89 55 F8 8B F8 81 E7 FF 00 00 00 83 FF 02 7C 46 8D 84 3D CC FE FF FF 89 45 E0 8B 45 E0 8A 00 3C 41 72 0C 3C 5A 76 04 3C 61 72 04 3C 7A 76 1E 8B 45 FC 2B C7 99 33 C2 2B C2 8B C8 8B 45 FC 2B 45 F8 99 33 C2 2B C2 3B C8 7D 03 89 7D F8 4F FF 4D E0 83 FF 01 75 C4 83 7D F8 00 75 4E 0F B6 BD CC FE FF FF 83 FF 02 7C 42 8D 84 3D CC FE FF FF 89 45 DC 8B 45 DC 80 38 5A 77 27 8B 45 DC 80 78 FF 5A 76 1E 8B 45 FC 2B C7 99 33 C2 2B C2 8B C8 8B 45 FC 2B 45 F8 99 33 C2 2B C2 3B C8 7D 03 89 7D F8 4F FF 4D DC 83 FF 01 75 C8 83 7D F8 00 7E 62 8D 85 CC FD FF FF 50 8B 4D F8 49 BA 01 00 00 00 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 8B 45 F8 80 BC 05 CC FE FF FF 20 75 03 FF 45 F8 8D 85 CC FE FF FF 50 33 C9 8A 8D CC FE FF FF 8B 55 F8 8D 85 CC FE FF FF E8 ?? ?? ?? ?? EB 18 33 D2 8A 95 CC FE FF FF 8D 85 CC FE FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 95 CC FE FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 CC FC FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 98 FB FF FF 8D 85 A8 FC FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 53 38 83 EA 04 3B C2 7F 9E EB 18 33 D2 8A 95 CC FD FF FF 8D 85 CC FD FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF 8D 95 CC FD FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 53 38 83 EA 04 3B C2 7F C0 8D 95 CC FE FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 CC FC FF FF 8D 85 98 FB FF FF E8 ?? ?? ?? ?? 8D 95 98 FB FF FF 8D 85 A8 FC FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 7D D4 2B 7D CC 2B F8 85 FF 7F 05 8B 7D CC EB 0A D1 FF 79 03 83 D7 00 03 7D CC 8D 85 A8 FC FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 03 C7 89 45 E4 8B 43 3C 8B 55 EC 03 D2 2B C2 D1 F8 79 03 83 D0 00 89 45 E8 83 7D E8 00 0F 8C 9C 00 00 00 80 BD CC FD FF FF 00 0F 84 8F 00 00 00 8B 45 D8 2B 45 EC 2B 45 E8 89 45 F4 8D 85 A8 FC FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 8B 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF 8D 95 CC FD FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 7B 38 2B F8 85 FF 7F 05 8B 7D CC EB 0A D1 FF 79 03 83 D7 00 03 7D CC 8D 85 A8 FC FF FF 8D 95 CC FD FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 8B 4D D0 03 4D E8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 5F 8D 85 A8 FC FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 95 A8 FC FF FF 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 03 55 D8 2B D0 D1 FA 79 03 83 D2 00 89 55 F4 83 7D F4 00 7D 05 33 C0 89 45 F4 8D 85 A8 FC FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 8B 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 80 BD CC FC FF FF 00 74 54 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 0C B2 01 E8 ?? ?? ?? ?? 8B 46 0C 33 D2 E8 ?? ?? ?? ?? 8B 46 0C 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF 8D 95 CC FC FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 8B 4D F4 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 98 FC FF FF E8 ?? ?? ?? ?? 8D 85 A8 FC FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 00 00 52 6F 77 73 00 00 00 00 43 6F 6C 73 00 00 00 00 FF FF FF FF 03 00 00 00 58 58 58 00 FF FF FF FF 01 00 00 00 3D 00 00 00 FF FF FF FF 07 00 00 00 4D 61 72 6C 65 74 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_12770_0 {
	meta:
		name = "TPivotButton.DragOver"
		size = 268
		refs = "0024 TControl.DragOver 003c _DV_TPivotButton 0041 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 45 10 50 8A 45 0C 50 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? C6 07 00 80 BB 34 01 00 00 02 0F 84 CB 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 8B C6 8B 90 38 01 00 00 3B 93 38 01 00 00 0F 85 A2 00 00 00 8A 93 61 01 00 00 88 55 FA 8A 90 61 01 00 00 88 55 FB 8B 80 58 01 00 00 8B 93 58 01 00 00 89 55 F4 80 BB 34 01 00 00 01 74 17 8B 53 38 85 D2 79 03 83 C2 07 C1 FA 03 8B 4B 38 2B CA 3B 4D FC 7D 1D 8A 55 FA 3A 55 FB 75 0D 8B D0 4A 3B 55 F4 74 51 3B 45 F4 74 4C 66 C7 46 6E 65 00 EB 41 8B 53 38 85 D2 79 03 83 C2 07 C1 FA 03 3B 55 FC 7E 16 8A 55 FA 3A 55 FB 75 06 40 3B 45 F4 74 24 66 C7 46 6E 65 00 EB 19 8A 55 FA 3A 55 FB 75 0B 3B 45 F4 75 06 66 C7 46 6E 64 00 66 C7 46 6E 64 00 C6 07 01 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12771_0 {
	meta:
		name = "TPivotButton.DragDrop"
		size = 200
		refs = "001e TControl.DragDrop 007b TDecisionSource.MoveDimIndexes 00bb TDecisionSource.SwapDimIndexes"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8A 93 61 01 00 00 8B 4D FC 8A 81 61 01 00 00 8B B1 58 01 00 00 8B 8B 58 01 00 00 89 4D F4 3A C2 75 05 3B 75 F4 74 76 80 BB 34 01 00 00 01 74 17 8B 4B 38 85 C9 79 03 83 C1 07 C1 F9 03 8B 7B 38 2B F9 3B 7D F8 7D 18 56 8B 4D F4 41 51 6A 00 8B CA 8B 93 38 01 00 00 92 E8 ?? ?? ?? ?? EB 3E 8B 4B 38 85 C9 79 03 83 C1 07 C1 F9 03 3B 4D F8 7E 17 56 8B 4D F4 51 6A 00 8B CA 8B 93 38 01 00 00 92 E8 ?? ?? ?? ?? EB 15 56 8B 4D F4 51 6A 00 8B CA 8B 93 38 01 00 00 92 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12773_0 {
	meta:
		name = "TQuickMenu.Clear"
		size = 29
		refs = "000b TMenuItem.Delete 0013 TMenuItem.GetCount"
	strings:
		$1 = { 53 8B D8 EB 0A 33 D2 8B 43 28 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 85 C0 7F EA 5B C3 }
	condition:
		$1
}

rule function_12774_0 {
	meta:
		name = "TQuickMenu.PopUpAtMe"
		size = 67
		refs = "001e TControl.ClientToScreen"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 89 4D F8 8B 45 08 89 45 FC 8D 4D F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 3C 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12775_0 {
	meta:
		name = "TQuickMenu.AddLine"
		size = 173
		refs = "0012 @LStrAddRef 001a TQuickMenu.AddLine 0029 _DV_TQuickMenuItem 002e TMenuItem.Create 0043 TMenuItem.SetCaption 004c TMenuItem.SetEnabled 0056 TQuickMenu.EHOnItemClick 0063 TMenuItem.SetChecked 007a TMenuItem.SetRadioItem 0084 TMenuItem.Add 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 08 89 87 8C 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 89 77 78 C7 47 74 ?? ?? ?? ?? 84 DB 75 09 B2 01 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 12 B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 46 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12776_0 {
	meta:
		name = "TQuickMenu.SetTitle"
		size = 116
		refs = "000e @LStrAddRef 0016 TQuickMenu.SetTitle 0023 TQuickMenu.Clear 0031 TQuickMenu.AddLine 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A FF B1 02 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A FF B1 02 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_12777_0 {
	meta:
		name = "TQuickMenu.EHOnItemClick"
		size = 91
		refs = "000c TMenuItem.GetCount 0020 TMenuItem.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 28 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3F 47 33 F6 8B D6 8B 43 28 E8 ?? ?? ?? ?? 3B E8 75 2A 8B D6 8B 43 28 E8 ?? ?? ?? ?? 8B 80 8C 00 00 00 89 43 6C 83 7B 6C 00 7C 15 66 83 7B 66 00 74 0E 8B D3 8B 43 68 FF 53 64 EB 04 46 4F 75 C4 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12780_0 {
	meta:
		name = "IsBDEAvailable"
		size = 162
		refs = "0016 IsBDEAvailable 0021 Session 0028 TSession.GetActive 0040 @FillChar 004b SIDAPILangID 0050 LoadResString 0063 StrPLCopy 006f DbiInit 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FD FF FF 53 33 C0 89 85 B0 FD FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 84 DB 75 49 8D 85 B4 FD FF FF 33 C9 BA 4C 02 00 00 E8 ?? ?? ?? ?? 8D 95 B0 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 B0 FD FF FF 8D 45 C0 B9 1F 00 00 00 E8 ?? ?? ?? ?? 8D 85 B4 FD FF FF 50 E8 ?? ?? ?? ?? 66 3D 09 21 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12781_0 {
	meta:
		name = "GetAggName"
		size = 464
		refs = "001b @LStrAddRef 0023 GetAggName 0033 @LStrLAsg 006b sSumLabel 0070 LoadResString 0088 Format 00a3 sCountLabel 00db sAverageLabel 0113 sMaxLabel 0148 sMinLabel 017d sAggLabel 01be @LStrArrayClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F8 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 8A C3 83 F8 05 0F 87 31 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 06 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 0D 01 00 00 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 06 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 D5 00 00 00 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 06 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 9D 00 00 00 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 06 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 68 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 06 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 33 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 06 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12782_0 {
	meta:
		name = "FieldTypeToVarType"
		size = 14
		refs = "0005 FieldTypeVarMap"
	strings:
		$1 = { 83 E0 7F 8B 15 ?? ?? ?? ?? 0F B7 04 42 C3 }
	condition:
		$1
}

rule function_12783_0 {
	meta:
		name = "TDimensionItems.Create"
		size = 73
		refs = "000e @ClassCreate 0020 TCollection.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 C6 47 1C 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12786_0 {
	meta:
		name = "TDimensionItems.NotifyOwner"
		size = 5
	strings:
		$1 = { 80 78 1C 00 C3 }
	condition:
		$1
}

rule function_12790_0 {
	meta:
		name = "TDimensionItems.GetDimCount"
		size = 55
		refs = "000b TCollection.GetCount 001e TDimensionItems.GetDimensionItem 0023 TDimensionItem.IsDimension"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 01 45 46 4B 75 E9 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12791_0 {
	meta:
		name = "TDimensionItems.GetSumCount"
		size = 55
		refs = "000b TCollection.GetCount 001e TDimensionItems.GetDimensionItem 0023 TDimensionItem.IsSummary"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 01 45 46 4B 75 E9 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12792_0 {
	meta:
		name = "TDimensionItems.GetActiveDimCount"
		size = 70
		refs = "000b TCollection.GetCount 001e TDimensionItems.GetDimensionItem 0023 TDimensionItem.IsDimension"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 21 00 74 01 45 43 4F 75 DA 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12793_0 {
	meta:
		name = "TDimensionItems.GetActiveSumCount"
		size = 70
		refs = "000b TCollection.GetCount 001e TDimensionItems.GetDimensionItem 0023 TDimensionItem.IsSummary"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 21 00 74 01 45 43 4F 75 DA 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12794_0 {
	meta:
		name = "TDimensionItems.AlreadyExists"
		size = 148
		refs = "0015 @LStrAddRef 001d TDimensionItems.AlreadyExists 002e TCollection.GetCount 0041 TDimensionItems.GetDimensionItem 004c @LStrCmp 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 FC E8 ?? ?? ?? ?? 75 17 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 28 3A 45 FB 75 06 C6 45 FA 01 EB 04 43 4F 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12795_0 {
	meta:
		name = "TDimensionItems.AddDerivedField"
		size = 225
		refs = "0016 TDimensionItems.AddDerivedField 002f TDimensionItems.AverageFieldCheck 003e TDimensionItems.Add 0047 TCollection.GetCount 005a TDimensionItem.SetActive 0063 TDimensionItem.SetType 006c TDimensionItems.GetDimensionItem 0079 GetAggName 0083 TDimensionItem.SetName 008d TDimensionItem.SetFieldName 0096 TDimensionItem.SetDerivedFrom 00aa @LStrAsg 00b5 TCollectionItem.GetIndex 00cc @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CB FF 8D 45 F8 50 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 8B 08 FF 51 10 B2 01 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 50 1C 8D 4D F4 B0 03 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 53 14 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 50 1C 8D 43 1C E8 ?? ?? ?? ?? C6 43 22 01 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12796_0 {
	meta:
		name = "TDimensionItems.AverageFieldCheck"
		size = 403
		refs = "001b TDimensionItems.AverageFieldCheck 002c TCollection.GetCount 004f TDimensionItems.GetDimensionItem 005a @LStrLAsg 00c0 @LStrCmp 00dd AnsiUpperCase 00e9 SCountStar 00ee LoadResString 017b @LStrArrayClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 8D 2D 01 00 00 8B 45 FC C7 00 FF FF FF FF 8B 45 08 C7 00 FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 1C 8D 45 F4 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 28 01 75 07 8B 45 FC 89 30 EB 14 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 28 02 75 05 8B 45 08 89 30 8B 45 08 83 38 00 7D 78 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6A 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 28 02 75 54 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F4 E8 ?? ?? ?? ?? 75 07 8B 45 08 89 30 EB 37 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 07 8B 45 08 89 30 EB 04 46 4F 75 99 8B 45 FC 83 38 00 7D 41 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 33 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F4 E8 ?? ?? ?? ?? 75 16 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 28 01 75 07 8B 45 FC 89 30 EB 04 46 4F 75 D0 8B 45 08 83 38 FF 74 0C 8B 45 FC 83 38 FF 74 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12797_0 {
	meta:
		name = "TDimensionItem.Create"
		size = 105
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0027 @LStrClr 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 8D 47 14 E8 ?? ?? ?? ?? 8D 47 10 E8 ?? ?? ?? ?? C6 47 21 00 8D 47 18 E8 ?? ?? ?? ?? C7 47 0C FF FF FF FF C6 47 28 00 C6 47 22 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12798_0 {
	meta:
		name = "TDimensionItem.Assign"
		size = 104
		refs = "000b _DV_TDimensionItem 0010 @IsClass 0021 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8D 43 14 8B FE 8B 57 14 E8 ?? ?? ?? ?? 8D 43 10 8B 57 10 E8 ?? ?? ?? ?? 8A 47 21 88 43 21 8D 43 18 8B 57 18 E8 ?? ?? ?? ?? 8B 47 0C 89 43 0C 8A 47 28 88 43 28 8A 47 20 88 43 20 8D 43 1C 8B 57 1C E8 ?? ?? ?? ?? 8A 47 22 88 43 22 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12799_0 {
	meta:
		name = "TDimensionItem.SetName"
		size = 85
		refs = "000e @LStrAddRef 0016 TDimensionItem.SetName 0027 @LStrAsg 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12800_0 {
	meta:
		name = "TDimensionItem.SetBaseName"
		size = 85
		refs = "000e @LStrAddRef 0016 TDimensionItem.SetBaseName 0027 @LStrAsg 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12801_0 {
	meta:
		name = "TDimensionItem.SetFieldName"
		size = 85
		refs = "000e @LStrAddRef 0016 TDimensionItem.SetFieldName 0027 @LStrAsg 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12802_0 {
	meta:
		name = "TDimensionItem.SetDerivedFrom"
		size = 11
	strings:
		$1 = { 89 50 0C 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_12803_0 {
	meta:
		name = "TDimensionItem.SetFormat"
		size = 85
		refs = "000e @LStrAddRef 0016 TDimensionItem.SetFormat 0027 @LStrAsg 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12804_0 {
	meta:
		name = "TDimensionItem.SetFieldType"
		size = 11
	strings:
		$1 = { 88 50 20 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_12805_0 {
	meta:
		name = "TDimensionItem.SetType"
		size = 11
	strings:
		$1 = { 88 50 28 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_12806_0 {
	meta:
		name = "TDimensionItem.SetActive"
		size = 11
	strings:
		$1 = { 88 50 21 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_12807_0 {
	meta:
		name = "TDimensionItem.SetActiveFlag"
		size = 32
	strings:
		$1 = { 53 8B D8 3A 53 22 74 0C 88 53 22 33 D2 8B C3 8B 08 FF 51 20 80 7B 22 00 0F 94 C0 88 43 21 5B C3 }
	condition:
		$1
}

rule function_12810_0 {
	meta:
		name = "TDimensionItem.IsDimension"
		size = 8
	strings:
		$1 = { 80 78 28 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_12811_0 {
	meta:
		name = "TDimensionItem.IsSummary"
		size = 8
	strings:
		$1 = { 80 78 28 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_12812_0 {
	meta:
		name = "TTicks.Create"
		size = 151
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TTicks.Create 0034 TObject.Create 0043 _Dn_TIniFile 0048 TCustomIniFile.Create 0052 _Dn_TList 006f @LStrClr 0075 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12813_0 {
	meta:
		name = "TTicks.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 0010 TTicks.Dump 0017 TTicks.Clear 001f TObject.Free 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12814_0 {
	meta:
		name = "TTicks.Clear"
		size = 62
		refs = "000d TList.Last 0019 TList.Remove 001f TTickInfoRec 0026 @Dispose 0037 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 83 7B 04 00 74 31 EB 1E E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 04 83 78 08 00 7F D9 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12815_0 {
	meta:
		name = "TTicks.Ticks"
		size = 227
		refs = "0013 @LStrAddRef 001b TTicks.Ticks 0026 GetTickCount 004d TList.Get 005a @LStrCmp 0088 TTickInfoRec 0092 @New 009f @LStrAsg 00bb TList.Add 00d0 @LStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F4 33 DB C6 45 F3 00 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 29 46 33 FF 8B 45 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 75 06 C6 45 F3 01 EB 04 47 4E 75 DA 80 7D F3 00 74 16 83 7B 04 00 75 06 8B 45 F4 89 43 04 8B 43 04 2B 03 89 43 08 EB 39 8B 15 ?? ?? ?? ?? B8 10 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 89 03 33 C0 89 43 04 33 C0 89 43 08 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12816_0 {
	meta:
		name = "TTicks.TicksIntArray"
		size = 184
		refs = "001d @LStrAddRef 0025 TTicks.TicksIntArray 0047 TIntArray.GetItem 004f IntToStr 005f @LStrCatN 0071 @LStrCat3 007c TTicks.Ticks 0096 @LStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 10 4B 85 DB 7C 30 43 33 F6 FF 75 F4 68 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D3 8D 45 F4 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_12817_0 {
	meta:
		name = "TTicks.TicksSmallIntArray"
		size = 184
		refs = "001d @LStrAddRef 0025 TTicks.TicksSmallIntArray 0047 TSmallIntArray.GetItem 0052 IntToStr 0062 @LStrCatN 0074 @LStrCat3 007f TTicks.Ticks 0099 @LStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 10 4B 85 DB 7C 33 43 33 F6 FF 75 F4 68 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 0F BF C0 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D0 8D 45 F4 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_12818_0 {
	meta:
		name = "TTicks.Dump"
		size = 288
		refs = "002b TList.Get 0039 TTicks.Dump 003e @LStrPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 33 C0 89 44 24 04 8B 46 04 8B 78 08 4F 85 FF 7C 4D 47 C7 04 24 00 00 00 00 8B 14 24 8B 46 04 E8 ?? ?? ?? ?? 8B E8 84 DB 75 1A 8B 55 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 09 8B 45 08 01 44 24 04 EB 14 8B 45 08 50 B9 ?? ?? ?? ?? 8B 55 0C 8B 46 08 8B 28 FF 55 0C FF 04 24 4F 75 BB 84 DB 75 2D 8B 44 24 04 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 08 8B 18 FF 53 0C 8B 46 0C 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 08 8B 18 FF 53 0C 59 5A 5D 5F 5E 5B C3 00 00 00 FF FF FF FF 09 00 00 00 53 75 6D 6D 61 72 79 41 73 00 00 00 FF FF FF FF 13 00 00 00 54 69 63 6B 73 49 6E 4D 69 6C 6C 69 53 65 63 6F 6E 64 73 00 FF FF FF FF 17 00 00 00 54 6F 74 61 6C 47 65 74 53 75 6D 6D 61 72 79 41 73 53 74 72 69 6E 67 00 FF FF FF FF 0E 00 00 00 4E 75 6D 62 65 72 4F 66 56 61 6C 75 65 73 00 00 FF FF FF FF 0B 00 00 00 54 6F 74 61 6C 56 61 6C 75 65 73 00 }
	condition:
		$1
}

rule function_12819_0 {
	meta:
		name = "LogicalDataSetMatch"
		size = 325
		refs = "0038 LogicalDataSetMatch 004f TXtabQuery.IsLegal 0064 TDataSet.GetFieldCount 0079 TFields.GetField 008c TXtabQuery.getProjector 0098 @LStrCmp 00b3 TXtabQuery.getNProjectors 00ce _Dn_TTable 00d3 @IsClass 00df _Dn_TQuery 00fb DbiGetCursorProps 012a recProjectorInfo 012f @FinalizeRecord 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 34 FE FF FF 53 56 57 33 C9 89 8D 34 FE FF FF 89 8D 38 FE FF FF 89 8D 3C FE FF FF 89 8D 40 FE FF FF 89 8D 44 FE FF FF 89 8D 48 FE FF FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 33 DB 85 DB 74 7E 8B C3 E8 ?? ?? ?? ?? 3C 04 75 04 C6 45 FF 00 80 7D FF 01 75 49 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 3D 40 89 45 F8 33 F6 8B 47 24 8B D6 E8 ?? ?? ?? ?? 8B 40 28 50 8D 8D 34 FE FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 95 3C FE FF FF 58 E8 ?? ?? ?? ?? 74 06 C6 45 FF 00 EB 06 46 FF 4D F8 75 C9 80 7D FF 01 75 65 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 74 51 C6 45 FF 00 EB 4B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 87 4C 01 00 00 8D 95 4D FE FF FF 52 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 0F B7 95 74 FF FF FF 3B C2 74 04 C6 45 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12820_0 {
	meta:
		name = "BuildMap"
		size = 1375
		refs = "0030 BuildMap 0058 _Dn_TQuery 005d @IsClass 007a _Dn_TXtabQuery 007f TXtabQuery.Create 00b4 TXtabQuery.setSQLString 00c3 @HandleOnException 00cb _Dn_Exception 00dc @LStrLAsg 00e4 TObject.Free 00ee @DoneExcept 0114 TXtabQuery.IsLegal 012f TDataSet.GetFieldCount 014e TFields.GetField 015f TCollection.GetCount 0188 TDimensionItems.GetDimensionItem 01a2 @LStrCmp 01cc TXtabQuery.getProjector 023c TDimensionItems.Add 0247 TCollectionItem.GetIndex 0266 TDimensionItem.SetActive 0277 TDimensionItem.SetType 02a8 TDimensionItem.SetName 02c9 TDimensionItem.SetFieldName 034a TDimensionItem.SetBaseName 03e2 TDimensionItems.AverageFieldCheck 03f8 TDimensionItem.SetDerivedFrom 049c TDimensionItems.AlreadyExists 04ac TDimensionItems.AddDerivedField 0507 LogicalDataSetMatch 051a @HandleFinally 0532 recProjectorInfo 0537 @FinalizeRecord 053f @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B4 89 5D B8 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 00 00 C6 45 F3 04 83 7D F8 00 0F 84 D2 04 00 00 33 C0 89 45 E4 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 5D FC 8B 83 0C 02 00 00 8B 40 3C 8B 55 E4 89 42 04 8B 45 E4 C6 40 18 00 8D 55 CC 8B 83 18 02 00 00 8B 08 FF 51 1C 8B 55 CC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 D4 8B 53 04 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 89 45 E4 E8 ?? ?? ?? ?? 83 7D E4 00 8B 45 F4 0F 95 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 00 74 0D 8B 45 E4 E8 ?? ?? ?? ?? 88 45 F3 EB 04 C6 45 F3 00 80 7D F3 04 0F 84 2B 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 18 02 00 00 47 33 F6 C6 45 E3 00 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 6C 48 89 45 D8 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 0F 8D C3 00 00 00 8B DE 8B 45 F8 E8 ?? ?? ?? ?? 48 2B C3 0F 8C B0 00 00 00 40 89 45 D0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 18 50 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 50 28 58 E8 ?? ?? ?? ?? 74 33 83 7D E4 00 74 76 83 7D D8 00 7C 70 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 18 50 8D 4D B4 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 C0 58 E8 ?? ?? ?? ?? 75 49 83 7D E4 00 74 28 83 7D D8 00 7C 22 8D 4D B4 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8A 45 C8 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A 3A 50 28 75 1B C6 45 E3 01 3B DE 74 1D 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 10 EB 0A 43 FF 4D D0 0F 85 54 FF FF FF 8A 5D E3 80 F3 01 84 DB 74 43 8B 45 F8 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 3B F0 74 0A 8B D6 8B 45 DC 8B 08 FF 51 10 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 83 78 14 00 75 21 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 40 28 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 40 28 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? FF 70 30 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A 88 50 20 84 DB 74 0F 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 1C 83 7D E4 00 74 4A 83 7D D8 00 7C 44 8D 4D B4 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8A 45 C8 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D B4 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 C4 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 0F 85 EB FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 8B DE 8B 45 FC E8 ?? ?? ?? ?? 8B F8 2B FB 7F 24 4F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 7D 0F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 47 75 DD 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 8B DE 8B 45 FC E8 ?? ?? ?? ?? 8B F8 2B FB 0F 8F 9A 00 00 00 4F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 80 78 28 03 75 72 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 7C 62 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 4D 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 74 11 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 75 04 33 C0 EB 02 B0 01 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 0F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 47 0F 85 67 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 92 00 00 00 47 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 80 78 28 01 75 77 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 62 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 1C B1 03 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 47 B1 03 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 74 11 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 75 04 33 C0 EB 02 B0 01 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4F 0F 85 71 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8A 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12821_0 {
	meta:
		name = "isMapLegal"
		size = 148
		refs = "001a TCollection.GetCount 002d TDimensionItems.GetDimensionItem"
	strings:
		$1 = { 53 56 57 55 51 8B F8 C6 04 24 00 C6 44 24 01 00 C6 44 24 02 00 33 DB 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 22 02 74 2E 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 28 00 75 04 B3 01 EB 1B 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 28 07 75 07 C6 44 24 01 01 EB 05 C6 44 24 02 01 45 4E 75 BF 80 7C 24 01 00 74 06 C6 04 24 06 EB 15 84 DB 75 06 C6 04 24 01 EB 0B 80 7C 24 02 00 75 04 C6 04 24 02 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12823_0 {
	meta:
		name = "VerifyRTQuery"
		size = 30
		refs = "000c BuildDataSetMap 0017 isMapLegal"
	strings:
		$1 = { 53 51 8B DA 51 8D 4C 24 04 8B D3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_12824_0 {
	meta:
		name = "BuildDataSetMap"
		size = 130
		refs = "0013 TDataSet.GetActive 001e BuildDataSetMap 004d BuildMap 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0D 33 D2 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FA 00 75 08 8B 45 FC 8B 10 FF 52 54 C3 E9 ?? ?? ?? ?? EB EA 8A 45 FB 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12825_0 {
	meta:
		name = "IsAggValid"
		size = 120
		refs = "000b IsAggValid"
	strings:
		$1 = { 83 E0 7F 83 F8 07 77 58 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 84 D2 74 0E 80 EA 0C 74 09 80 EA 03 74 04 33 C0 EB 02 B0 01 34 01 C3 B0 01 C3 33 C0 C3 80 C2 FE 80 EA 0A 72 09 80 EA 02 74 04 33 C0 EB 1A B0 01 C3 4A 80 EA 04 72 0F 4A 80 EA 06 72 09 80 EA 02 74 04 33 C0 EB 02 B0 01 C3 }
	condition:
		$1
}

rule function_12826_0 {
	meta:
		name = "AddToQuerySelect"
		size = 328
		refs = "001b @LStrAddRef 0023 AddToQuerySelect 0038 AnsiUpperCase 0045 @LStrPos 006a sSelectFromError 006f LoadResString 0079 _Dn_Exception 007e Exception.Create 0083 @RaiseExcept 0093 @LStrCat3 00c3 @LStrCat 00e0 @LStrInsert 00fa @LStrArrayClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 F4 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 F6 7E 08 85 FF 7E 04 3B FE 7D 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 06 8B C7 48 2B C2 7C 15 40 8B 4D F4 8A 4C 11 FF 80 F9 20 76 04 B3 01 EB 04 42 48 75 EC 84 DB 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4E 06 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 06 00 00 00 53 45 4C 45 43 54 00 00 FF FF FF FF 04 00 00 00 46 52 4F 4D 00 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_12827_0 {
	meta:
		name = "CheckIfEmptyQuery"
		size = 216
		refs = "000f CheckIfEmptyQuery 0021 AnsiUpperCase 002e @LStrPos 0051 sSelectFromError 0056 LoadResString 0060 _Dn_Exception 0065 Exception.Create 006a @RaiseExcept 00a1 @LStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7E 08 85 C0 7E 04 3B C6 7D 23 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8D 56 06 48 2B C2 7C 11 40 8B 4D FC 8A 4C 11 FF 80 F9 20 77 06 42 48 75 F0 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 53 45 4C 45 43 54 00 00 FF FF FF FF 04 00 00 00 46 52 4F 4D 00 00 00 00 }
	condition:
		$1
}

rule function_12828_0 {
	meta:
		name = "UpdateDesigner"
		size = 67
		refs = "001c _Dn_TCustomForm 0021 @IsClass"
	strings:
		$1 = { 53 F6 40 20 10 74 3A F6 40 20 40 75 34 8B D8 EB 03 8B 5B 04 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E8 85 DB 74 14 83 BB 30 02 00 00 00 74 0B 8B 83 30 02 00 00 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_12829_0 {
	meta:
		name = "FormatVariant"
		size = 261
		refs = "0020 @VarAddRef 0028 @LStrAddRef 0030 FormatVariant 0067 @VarToReal 0078 FormatFloat 0082 @VarToCurr 0093 FormatCurr 00ae FormatDateTime 00d5 @VarToLStr 00ea @LStrClr 00f2 @VarClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F0 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B D9 89 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 75 F0 8D 7D DC B9 04 00 00 00 F3 A5 66 8B 45 F0 66 83 E8 03 74 63 66 83 E8 02 74 0C 66 FF C8 74 22 66 FF C8 74 38 EB 6C 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 5B 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 40 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 25 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 0A 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12830_0 {
	meta:
		name = "NextArg"
		size = 196
		refs = "0015 @LStrAddRef 001d NextArg 002b @LStrLen 0035 @LStrClr 009c @LStrCopy 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 F8 E8 ?? ?? ?? ?? EB 02 FF 03 8B 03 8D 56 01 3B C2 7D 0D 8B 03 8B 55 FC 8A 44 02 FF 3C 20 76 E8 3B 33 7D 08 C7 03 FF FF FF FF EB 41 8B 3B EB 02 FF 03 8B 03 8D 56 01 3B C2 7D 0C 8B 03 8B 55 FC 80 7C 02 FF 2C 75 E9 8B 33 2B F7 FF 03 EB 01 4E 8D 04 3E 8B 55 FC 80 7C 02 FF 20 74 F2 8B 45 F8 50 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12831_0 {
	meta:
		name = "ConvertToVariant"
		size = 334
		refs = "0015 ConvertToVariant 0071 @VarFromInt 007f @VarFromBool 0097 @VarFromPStr 00a7 @VarFromReal 00d4 @VarFromLStr 00e1 @VarFromCurr 00ea VarIsEmpty 00f7 @VarCopy 0113 sUnsupportedVarType 0118 LoadResString 0122 _Dn_EUnsupportedTypeError 0127 Exception.CreateFmt 013c @LStrClr 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 43 04 83 F8 0D 0F 87 D0 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 13 E8 ?? ?? ?? ?? E9 B1 00 00 00 8B C6 8A 13 E8 ?? ?? ?? ?? E9 A3 00 00 00 8A 03 88 45 FD C6 45 FC 01 8B C6 8D 55 FC E8 ?? ?? ?? ?? E9 8B 00 00 00 8B 03 DB 28 8B C6 E8 ?? ?? ?? ?? EB 7E 8B C6 8B 13 E8 ?? ?? ?? ?? EB 73 8B 03 8A 00 88 45 FD C6 45 FC 01 8B C6 8D 55 FC E8 ?? ?? ?? ?? EB 5C 8B C6 8B 13 E8 ?? ?? ?? ?? EB 51 8B 03 DF 28 8B C6 E8 ?? ?? ?? ?? EB 44 8B 03 E8 ?? ?? ?? ?? 84 C0 75 39 8B C6 8B 13 E8 ?? ?? ?? ?? EB 2E 33 C0 8A 43 04 89 45 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12832_0 {
	meta:
		name = "TBinData.create"
		size = 96
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 002d _Dn_TList 003d sOtherValues 0042 LoadResString 004d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8D 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12833_0 {
	meta:
		name = "TBinData.destroy"
		size = 108
		refs = "0004 @BeforeDestruction 0017 TList.Last 0023 TList.Remove 002a TObject.Free 0059 TPersistent.Destroy 0064 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 83 7F 08 00 74 32 EB 1A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 47 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 77 08 83 7E 08 00 7F DD 8B 47 08 E8 ?? ?? ?? ?? 33 C0 89 47 08 8B 47 04 E8 ?? ?? ?? ?? 33 C0 89 47 04 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12834_0 {
	meta:
		name = "TBinData.Assign"
		size = 145
		refs = "000f TBinData.Clear 0028 @LStrAsg 004b TList.Get 0058 TCustomArray.GetMemberCount 0061 _Dn_TCustomArray 0066 TCustomArray.Create 0075 TCustomArray.Assign 007f TList.Add"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B 1C 24 8B 53 04 8B 45 04 8B 08 FF 51 08 8D 45 0C 8B 53 0C E8 ?? ?? ?? ?? 8B 43 08 8B 78 08 4F 85 FF 7C 53 47 C7 44 24 04 00 00 00 00 8B 04 24 8B 40 08 8B 54 24 04 E8 ?? ?? ?? ?? 8B D8 8B 43 04 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B D6 E8 ?? ?? ?? ?? FF 44 24 04 4F 75 B6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12835_0 {
	meta:
		name = "TBinData.AddBinValue"
		size = 218
		refs = "001e @LStrAddRef 0026 @VarAddRef 002e TBinData.AddBinValue 0041 TBinData.FindName 005b VarType 0068 _Dn_TCustomArray 006d TCustomArray.Create 0078 TCustomArray.SetDups 0081 TCustomArray.SetSort 008f TList.Add 009a TList.Get 00a6 TCustomArray.Add 00bd @VarClr 00c5 @LStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8D 7D E8 B9 04 00 00 00 F3 A5 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 4A 8B 55 FC 8B 46 04 8B 08 FF 51 34 89 45 F8 8D 45 E8 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 85 DB 74 0A 8B D3 8B 46 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 46 08 E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12836_0 {
	meta:
		name = "TBinData.AddBinValues"
		size = 128
		refs = "001b @LStrAddRef 0023 TBinData.AddBinValues 003b ConvertToVariant 0048 TBinData.AddBinValue 0063 @VarClr 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 08 85 F6 7C 1E 46 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C3 08 4E 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12837_0 {
	meta:
		name = "TBinData.BinValueCount"
		size = 109
		refs = "0011 @LStrAddRef 0019 TBinData.BinValueCount 002e TBinData.FindName 003d TList.Get 0042 TCustomArray.GetMemberCount 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12838_0 {
	meta:
		name = "TBinData.GetAllBinValueCount"
		size = 47
		refs = "000b TBinData.GetBinCount 001e TBinData.GetIBinValueCount"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 12 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 03 E8 46 4B 75 F1 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12839_0 {
	meta:
		name = "TBinData.GetBinValue"
		size = 116
		refs = "0013 @LStrAddRef 001b TBinData.GetBinValue 002e TBinData.FindName 003d TList.Get 004b TCustomArray.GetItem 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B D8 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12840_0 {
	meta:
		name = "TBinData.GetBinValues"
		size = 217
		refs = "0023 @LStrAddRef 002b TBinData.GetBinValues 003e TBinData.FindName 004d TList.Get 005f TCustomArray.GetMemberCount 0075 VarArrayCreate 0095 TCustomArray.GetItem 00a2 @VarArrayPut 00be @VarClr 00c6 @LStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 5D E8 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 67 8B 43 08 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 50 33 C0 89 45 EC 8B C7 E8 ?? ?? ?? ?? 48 89 45 F0 8D 45 EC B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 26 46 33 DB 53 6A 01 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12844_0 {
	meta:
		name = "Max"
		size = 11
	strings:
		$1 = { 8B CA 3B D0 7D 02 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_12845_0 {
	meta:
		name = "TBinData.GetMaxBinNameSize"
		size = 150
		refs = "0015 TBinData.GetMaxBinNameSize 0026 @LStrLen 0064 Max 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 04 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 C7 45 F8 00 00 00 00 8D 4D F4 8B 45 FC 8B 40 04 8B 55 F8 8B 38 FF 57 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 45 F8 4B 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12846_0 {
	meta:
		name = "TBinData.Clear"
		size = 58
		refs = "000f TList.Last 001b TList.Remove 0022 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 74 25 EB 1A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 73 08 83 7E 08 00 7F DD 8B 43 04 8B 10 FF 52 40 5E 5B C3 }
	condition:
		$1
}

rule function_12847_0 {
	meta:
		name = "TBinData.AddBin"
		size = 137
		refs = "0013 @LStrAddRef 001b TBinData.AddBin 002e TBinData.FindName 004a _Dn_TCustomArray 004f TCustomArray.Create 005d TList.Add 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 55 FC 8B 43 04 8B 08 FF 51 34 89 45 F8 56 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A 8B D0 8B 43 08 E8 ?? ?? ?? ?? 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12848_0 {
	meta:
		name = "TBinData.FindName"
		size = 161
		refs = "001b @LStrAddRef 0023 TBinData.FindName 005d @LStrCmp 0083 @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 FC 8B 40 04 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2F 46 33 DB 8D 4D EC 8B 45 FC 8B 40 04 8B D3 8B 38 FF 57 0C 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 75 0B 8B 45 F4 89 18 C6 45 F3 01 EB 04 43 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12849_0 {
	meta:
		name = "TBinData.GetIBinValue"
		size = 93
		refs = "0012 TBinData.GetIBinValue 0028 TBinData.GetBinName 0034 TBinData.GetBinValue 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12850_0 {
	meta:
		name = "TBinData.GetIBinValueCount"
		size = 85
		refs = "000f TBinData.GetIBinValueCount 0021 TBinData.GetBinName 002b TBinData.BinValueCount 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12851_0 {
	meta:
		name = "TBinData.AddIBinValue"
		size = 125
		refs = "0022 @VarAddRef 002a TBinData.AddIBinValue 003c TBinData.GetBinName 0049 TBinData.AddBinValue 0060 @LStrClr 0068 @VarClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12852_0 {
	meta:
		name = "HookToDataBase"
		size = 129
		refs = "000e HookToDataBase 001e _Dn_TQuery 0023 @IsClass 0041 @LStrLAsg 004e TDBDataSet.GetDBSession 0056 TSession.OpenDatabase 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B FE 8B 9F 0C 02 00 00 85 DB 75 25 8D 45 FC 8B 97 10 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 11 8B C7 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12857_0 {
	meta:
		name = "Min"
		size = 11
	strings:
		$1 = { 8B CA 3B D0 7E 02 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_12862_0 {
	meta:
		name = "TDecisionSource.SetDimGroup"
		size = 71
		refs = "001c TDimInfoArray.GetGroupItem 003c TDecisionSource.MoveDimIndexes"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F0 8B 5D 08 53 8B 46 3C 8B 40 14 8B 4D 0C 8A 55 FF E8 ?? ?? ?? ?? 84 DB 74 05 8B 50 0C EB 03 8B 50 08 52 8B 55 0C 52 53 8A 4D FF 8B D6 8A 40 11 92 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12863_0 {
	meta:
		name = "TDecisionSource.SetDimState"
		size = 92
		refs = "0011 TDimInfoArray.GetItem"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F0 8B 46 3C 8B 40 14 E8 ?? ?? ?? ?? 8B F8 3A 1F 75 08 8B 47 04 3B 45 08 74 32 8B C6 8B 10 FF 52 38 88 1F 80 FB 02 75 08 8B 45 08 89 47 04 EB 13 80 FB 03 75 07 33 C0 89 47 04 EB 07 C7 47 04 FF FF FF FF B2 02 8B C6 8B 08 FF 51 3C 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12864_0 {
	meta:
		name = "TDecisionSource.GetGroupCount"
		size = 12
		refs = "0007 TDimInfoArray.GetGroupSize"
	strings:
		$1 = { 8B 40 3C 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12865_0 {
	meta:
		name = "TDecisionSource.GetGroup"
		size = 25
		refs = "000f TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 40 11 5E 5B C3 }
	condition:
		$1
}

rule function_12866_0 {
	meta:
		name = "TDecisionSource.GetIndex"
		size = 48
		refs = "0013 TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 13 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 08 5E 5B C3 }
	condition:
		$1
}

rule function_12867_0 {
	meta:
		name = "TDecisionSource.GetState"
		size = 24
		refs = "000f TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 00 5E 5B C3 }
	condition:
		$1
}

rule function_12868_0 {
	meta:
		name = "TDecisionSource.GetRowState"
		size = 29
		refs = "0010 TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B 47 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 58 10 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12869_0 {
	meta:
		name = "TDecisionSource.GetValue"
		size = 25
		refs = "000f TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 04 5E 5B C3 }
	condition:
		$1
}

rule function_12870_0 {
	meta:
		name = "TDecisionSource.GetDims"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 04 C3 }
	condition:
		$1
}

rule function_12871_0 {
	meta:
		name = "TDecisionSource.GetSums"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 08 C3 }
	condition:
		$1
}

rule function_12872_0 {
	meta:
		name = "TDecisionSource.GetCurrentSum"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 0C C3 }
	condition:
		$1
}

rule function_12873_0 {
	meta:
		name = "TDecisionCube.Create"
		size = 98
		refs = "000a @ClassCreate 0017 TCustomDataStore.Create 001e _Dn_TList 0023 TObject.Create 0044 TCustomDataStore.SetDesignState 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C C6 86 81 00 00 00 00 C6 86 80 00 00 00 00 C6 86 82 00 00 00 00 B2 03 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12874_0 {
	meta:
		name = "TDecisionCube.Destroy"
		size = 72
		refs = "0004 @BeforeDestruction 0011 TList.Last 0018 TDecisionSource.SetDecisionCube 0029 TObject.Free 0035 TCustomDataStore.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 EB 0E 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 77 7C 83 7E 08 00 7F E9 8B 47 7C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12875_0 {
	meta:
		name = "TDecisionCube.CanDimBeClosed"
		size = 208
		refs = "0013 TCollection.GetCount 0025 TCubeDims.GetCubeDim 002a TCubeDim.GetLoaded 0084 TList.Get 00b5 TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F8 C6 04 24 00 8B 47 30 E8 ?? ?? ?? ?? 3B D8 0F 8D A3 00 00 00 8B 47 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 33 C0 89 44 24 04 8B F3 85 F6 7C 2E 46 33 DB 8B 47 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 47 30 8B D3 E8 ?? ?? ?? ?? 80 78 28 00 75 04 FF 44 24 04 43 4E 75 D5 8B 47 7C 8B 70 08 4E 85 F6 7C 47 46 33 DB 8B 47 7C 8B D3 E8 ?? ?? ?? ?? 8B E8 83 7D 3C 00 74 2E 8B 45 3C 83 78 14 00 74 25 8B 44 24 04 48 8B 55 3C 8B 52 14 3B 42 04 7D 15 8B 54 24 04 4A 8B 45 3C 8B 40 14 E8 ?? ?? ?? ?? 80 38 00 75 08 43 4E 75 BC C6 04 24 01 8A 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12876_0 {
	meta:
		name = "TDecisionCube.CanSumBeClosed"
		size = 188
		refs = "0013 TCollection.GetCount 0025 TCubeDims.GetCubeDim 002a TCubeDim.GetLoaded 0080 TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F8 C6 04 24 00 8B 47 30 E8 ?? ?? ?? ?? 3B D8 0F 8D 8F 00 00 00 8B 47 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7C 33 C0 89 44 24 04 8B F3 85 F6 7C 2E 46 33 DB 8B 47 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 47 30 8B D3 E8 ?? ?? ?? ?? 80 78 28 00 74 04 FF 44 24 04 43 4E 75 D5 8B 47 7C 8B 70 08 4E 85 F6 7C 37 46 33 DB 8B 47 7C 8B D3 E8 ?? ?? ?? ?? 8B 50 3C 85 D2 74 1F 83 7A 14 00 74 19 8B 4C 24 04 49 8B 6A 14 3B 4D 04 7D 0C 8B 42 0C 8B 54 24 04 4A 3B C2 74 08 43 4E 75 CC C6 04 24 01 8A 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12877_0 {
	meta:
		name = "TDecisionCube.AddDataSource"
		size = 22
		refs = "000c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 7C E8 ?? ?? ?? ?? 89 5E 2C 5E 5B C3 }
	condition:
		$1
}

rule function_12878_0 {
	meta:
		name = "TDecisionCube.RemoveDataSource"
		size = 14
		refs = "0009 TList.Remove"
	strings:
		$1 = { 33 C9 89 4A 2C 8B 40 7C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12879_0 {
	meta:
		name = "TDecisionCube.NotifyDataSources"
		size = 46
		refs = "0019 TList.Get 0020 TDecisionSource.DecisionDataEvent"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 46 7C 8B 78 08 4F 83 FF 00 7C 17 8B 46 7C 8B D7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 4F 83 FF FF 75 E9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12880_0 {
	meta:
		name = "TDecisionCube.CubeSetActive"
		size = 47
		refs = "001c TCustomDataStore.SetActive 0023 TCustomDataStore.GetActive"
	strings:
		$1 = { 53 8B D8 F6 43 20 02 74 08 88 93 82 00 00 00 5B C3 3A 93 82 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 88 83 82 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12881_0 {
	meta:
		name = "TDecisionCube.CubeGetActive"
		size = 19
		refs = "000e TCustomDataStore.GetActive"
	strings:
		$1 = { F6 40 20 02 74 07 8A 80 82 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12882_0 {
	meta:
		name = "TDecisionCube.StateChanged"
		size = 127
		refs = "0023 TCollection.GetCount 0037 TCubeDims.GetCubeDim 003c TCubeDim.GetLoaded 0076 TDecisionCube.NotifyDataSources"
	strings:
		$1 = { 53 56 57 55 8B D8 8A 43 2C 3A 83 81 00 00 00 74 69 8B D0 88 93 81 00 00 00 84 D2 74 54 33 ED 8B 43 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 43 47 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 28 00 75 19 8B D5 8B C3 8B 08 FF 51 5C 50 8B D6 8B 43 30 E8 ?? ?? ?? ?? 5A 89 50 50 45 46 4F 75 C0 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12884_0 {
	meta:
		name = "TDecisionCube.ShowCubeDialog"
		size = 192
		refs = "000a Application 0013 _Dn_TDssCubeEditor 0018 TDssCubeEditor.Create 0023 TDecisionCube.ShowCubeDialog 0035 TDssCubeEditor.SInitialize 003e Screen 0045 TScreen.GetWidth 0060 TScreen.GetHeight 0085 TControl.SetLeft 008f TControl.SetTop 00af TObject.Free 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 61 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 3C D1 FE 79 03 83 D6 00 85 DB 7D 02 33 DB 85 F6 7D 02 33 F6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12885_0 {
	meta:
		name = "TDecisionCube.GetSQL"
		size = 37
		refs = "001a TDecisionCube.GetAnySQL"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 53 6A 01 8B 45 08 50 33 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12886_0 {
	meta:
		name = "TDecisionCube.GetDetailSQL"
		size = 93
		refs = "0011 @LStrAddRef 0019 TDecisionCube.GetDetailSQL 0035 TDecisionCube.GetAnySQL 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 0C 50 6A 00 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12887_0 {
	meta:
		name = "TDecisionCube.GetAnySQL"
		size = 1140
		refs = "0022 @LStrAddRef 002a TDecisionCube.GetAnySQL 0038 @LStrClr 003f TCustomDataStore.GetDataSet 0054 _Dn_TQuery 0059 @IsClass 0096 TDBDataSet.GetDBSession 00a1 TSession.OpenDatabase 00b8 TDatabase.SetConnected 00bf _Dn_TXtabQuery 00c4 TXtabQuery.Create 00d3 _Dn_TCubeDim 00dd _Dn_TCubeDims 00e2 TCubeDims.Create 0123 TXtabQuery.setSQLString 0130 VerifyRTQuery 013c sQryNotInitialized 0141 LoadResString 014b _Dn_Exception 0150 Exception.Create 0155 @RaiseExcept 015c TBaseArray.GetLimit 0171 TSmallIntArray.GetItem 0184 TCubeDims.GetCubeDim 019d TCubeDim.GetBin 01bf TCustomDataStore.GetMemberAsVariant 01d6 TCubeDim.GetBinValues 01f7 @VarArrayGet 0206 TXtabQuery.AddWhereOp 028f VarArrayLowBound 029d VarArrayHighBound 032a TCollection.GetCount 0347 TCubeDim.GetLoaded 037b TXtabQuery.DeleteProjector 038f TXtabQuery.DeleteGroupBys 03a6 NextArg 03bd @LStrCmp 03c7 TXtabQuery.DeleteDimensions 03d9 TXtabQuery.AddNewItem 03ee TXtabQuery.FixUpGroupBys 03f9 TXtabQuery.getDialectSQLString 040e TObject.Free 041c @HandleFinally 0433 @VarClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 D7 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BD 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 83 BB 18 02 00 00 00 0F 84 A7 03 00 00 8D 55 C8 8B 83 18 02 00 00 8B 08 FF 51 1C 83 7D C8 00 0F 84 8F 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 10 02 00 00 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 84 70 03 00 00 B2 01 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 C6 40 18 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 56 30 8B 45 F8 8B 08 FF 51 08 8B 45 EC 8B 40 3C 8B 55 F0 89 42 04 8D 55 C8 8B 83 18 02 00 00 8B 08 FF 51 1C 8B 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D E3 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 3C 04 75 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 0F 8C BA 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 66 85 C0 0F 8C 9E 01 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 80 78 28 00 0F 85 8A 01 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 2C 03 0F 83 95 00 00 00 8D 45 B8 50 8B D3 8B C7 E8 ?? ?? ?? ?? 0F BF C8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 B8 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D CC 5A E8 ?? ?? ?? ?? 6A 0D 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 50 6A 00 6A 01 8D 45 CC 50 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 4D B8 8B 45 F0 5A E8 ?? ?? ?? ?? 6A 11 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 50 6A 01 6A 01 8D 45 CC 50 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 4D B8 8B 45 F0 5A E8 ?? ?? ?? ?? E9 DD 00 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 04 0F 85 93 00 00 00 8D 45 B8 50 8B D3 8B C7 E8 ?? ?? ?? ?? 0F BF C8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 B8 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D CC 5A E8 ?? ?? ?? ?? 8D 45 CC BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 CC BA 01 00 00 00 E8 ?? ?? ?? ?? 5A 2B C2 7C 76 40 89 45 DC 89 55 F4 6A 0B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 50 8B 45 F4 50 6A 01 8D 45 CC 50 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 4D B8 8B 45 F0 5A E8 ?? ?? ?? ?? FF 45 F4 FF 4D DC 75 C6 EB 33 8D 45 CC 50 8B D3 8B C7 E8 ?? ?? ?? ?? 0F BF C8 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 0B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 1C 8D 4D CC 8B 45 F0 E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 46 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 4F 80 7D 10 00 74 13 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 80 7D 0C 00 75 2A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 80 78 28 00 74 1A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 7D 0A 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 4B 83 FB FF 75 B1 80 7D 0C 00 75 59 8B 45 F0 E8 ?? ?? ?? ?? C7 45 E8 01 00 00 00 33 DB 8D 4D E4 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 83 7D E8 00 7E 2E 85 DB 75 17 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8B 45 F0 E8 ?? ?? ?? ?? 53 6A 00 6A 00 33 C9 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 43 83 7D E8 00 7F B8 80 7D 0C 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 0C 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_12889_0 {
	meta:
		name = "TDecisionSource.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0035 _DV_TPivotState 003a TPivotState.Create 0053 TDecisionSource.SetUpData 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 C6 46 28 00 C6 46 2A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12890_0 {
	meta:
		name = "TDecisionSource.Destroy"
		size = 133
		refs = "0004 @BeforeDestruction 0011 TList.Last 0018 TDecisionDataLink.SetDecisionSource 0029 TObject.Free 0032 TDecisionSource.SetDecisionCube 0072 TComponent.Destroy 007d @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 EB 0E 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 77 34 83 7E 08 00 7F E9 8B 47 34 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 47 3C E8 ?? ?? ?? ?? 33 C0 89 47 3C 8B 47 38 E8 ?? ?? ?? ?? 33 C0 89 47 38 8B 47 40 E8 ?? ?? ?? ?? 33 C0 89 47 40 8B 47 44 E8 ?? ?? ?? ?? 33 C0 89 47 44 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12891_0 {
	meta:
		name = "TDecisionSource.GetRowSparsing"
		size = 7
	strings:
		$1 = { 8B 40 3C 8A 40 12 C3 }
	condition:
		$1
}

rule function_12892_0 {
	meta:
		name = "TDecisionSource.SetRowSparsing"
		size = 57
		refs = "0011 TDecisionSource.GetReady 0032 UpdateDesigner"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 3C 3A 58 12 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 8B 10 FF 52 38 8B 46 3C 88 58 12 B2 02 8B C6 8B 08 FF 51 3C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12893_0 {
	meta:
		name = "TDecisionSource.GetColSparsing"
		size = 7
	strings:
		$1 = { 8B 40 3C 8A 40 13 C3 }
	condition:
		$1
}

rule function_12894_0 {
	meta:
		name = "TDecisionSource.SetColSparsing"
		size = 57
		refs = "0011 TDecisionSource.GetReady 0032 UpdateDesigner"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 3C 3A 58 13 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 8B 10 FF 52 38 8B 46 3C 88 58 13 B2 02 8B C6 8B 08 FF 51 3C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12895_0 {
	meta:
		name = "TDecisionSource.DefineProperties"
		size = 308
		refs = "000c TComponent.DefineProperties 0012 TDecisionSource.ReadDimCount 0018 TDecisionSource.WriteDimCount 001f TDecisionSource.DefineProperties 002b TDecisionSource.ReadSumCount 0031 TDecisionSource.WriteSumCount 0044 TDecisionSource.ReadCurrentSum 004a TDecisionSource.WriteCurrentSum 005d TDecisionSource.ReadRowSparse 0063 TDecisionSource.WriteRowSparse 0076 TDecisionSource.ReadColSparse 007c TDecisionSource.WriteColSparse 008f TDecisionSource.ReadDimInfo 0095 TDecisionSource.WriteDimInfo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 00 FF FF FF FF 0E 00 00 00 44 69 6D 65 6E 73 69 6F 6E 43 6F 75 6E 74 00 00 FF FF FF FF 0C 00 00 00 53 75 6D 6D 61 72 79 43 6F 75 6E 74 00 00 00 00 FF FF FF FF 0E 00 00 00 43 75 72 72 65 6E 74 53 75 6D 6D 61 72 79 00 00 FF FF FF FF 0A 00 00 00 53 70 61 72 73 65 52 6F 77 73 00 00 FF FF FF FF 0A 00 00 00 53 70 61 72 73 65 43 6F 6C 73 00 00 FF FF FF FF 0D 00 00 00 44 69 6D 65 6E 73 69 6F 6E 49 6E 66 6F 00 00 00 }
	condition:
		$1
}

rule function_12896_0 {
	meta:
		name = "TDecisionSource.ReadDimCount"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 89 42 04 5E 5B C3 }
	condition:
		$1
}

rule function_12897_0 {
	meta:
		name = "TDecisionSource.WriteDimCount"
		size = 30
		refs = "000f TWriter.WriteInteger"
	strings:
		$1 = { 8B 48 3C 8B 49 14 85 C9 74 0A 8B 41 04 92 E8 ?? ?? ?? ?? C3 8B C2 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12898_0 {
	meta:
		name = "TDecisionSource.ReadSumCount"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 89 42 08 5E 5B C3 }
	condition:
		$1
}

rule function_12899_0 {
	meta:
		name = "TDecisionSource.WriteSumCount"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 3C 8B 40 08 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12900_0 {
	meta:
		name = "TDecisionSource.ReadCurrentSum"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 89 42 0C 5E 5B C3 }
	condition:
		$1
}

rule function_12901_0 {
	meta:
		name = "TDecisionSource.WriteCurrentSum"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 3C 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12902_0 {
	meta:
		name = "TDecisionSource.ReadRowSparse"
		size = 22
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 88 42 12 5E 5B C3 }
	condition:
		$1
}

rule function_12903_0 {
	meta:
		name = "TDecisionSource.WriteRowSparse"
		size = 13
		refs = "0008 TWriter.WriteBoolean"
	strings:
		$1 = { 8B 40 3C 8A 40 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12904_0 {
	meta:
		name = "TDecisionSource.ReadColSparse"
		size = 22
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 38 88 42 13 5E 5B C3 }
	condition:
		$1
}

rule function_12905_0 {
	meta:
		name = "TDecisionSource.WriteColSparse"
		size = 13
		refs = "0008 TWriter.WriteBoolean"
	strings:
		$1 = { 8B 40 3C 8A 40 13 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12906_0 {
	meta:
		name = "TDecisionSource.ReadDimInfo"
		size = 300
		refs = "000c TReader.ReadListBegin 0017 TObject.Free 0024 _DV_TDimInfoArray 0029 TDimInfoArray.Create 0053 TDimInfoArray.GetItem 005c TReader.ReadInteger 009e TDecisionSource.ReadDimInfo 00ee TReader.ReadListEnd 00f8 TDecisionSource.ProcessPivotState 0112 TDecisionSource.RebuildPivotState 0119 TDecisionSource.BuildLookups 0122 TDecisionSource.NotifyDataLinks"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 8B 47 38 8B 40 14 E8 ?? ?? ?? ?? 8B 47 38 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 47 38 89 58 14 8B 6B 04 4D 85 ED 0F 8C AA 00 00 00 45 C7 04 24 00 00 00 00 8B 47 38 8B 40 14 8B 14 24 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 0E 48 74 11 48 74 14 EB 16 C6 43 11 04 EB 10 C6 43 11 00 EB 0A C6 43 11 01 EB 04 C6 43 11 02 8B C6 E8 ?? ?? ?? ?? 89 43 0C 8B C6 E8 ?? ?? ?? ?? 83 F8 04 77 32 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 03 04 EB 12 C6 03 01 EB 0D C6 03 00 EB 08 C6 03 02 EB 03 C6 03 03 8B C6 E8 ?? ?? ?? ?? 89 43 08 8B C6 E8 ?? ?? ?? ?? 89 43 04 FF 04 24 4D 0F 85 5E FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 57 38 8B C7 E8 ?? ?? ?? ?? 8B 47 38 8B 40 14 E8 ?? ?? ?? ?? 8B 47 38 33 D2 89 50 14 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12907_0 {
	meta:
		name = "TDecisionSource.WriteDimInfo"
		size = 218
		refs = "000c TWriter.WriteListBegin 0039 TDimInfoArray.GetItem 006a TWriter.WriteInteger 00d0 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 3C 8B 42 14 85 C0 0F 84 AF 00 00 00 89 14 24 8B 78 04 4F 85 FF 0F 8C A0 00 00 00 47 33 ED 8B 04 24 8B 40 14 8B D5 E8 ?? ?? ?? ?? 8B D8 8A 43 11 84 C0 75 07 B8 01 00 00 00 EB 18 3C 01 75 07 B8 02 00 00 00 EB 0D 3C 02 75 07 B8 03 00 00 00 EB 02 33 C0 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8A 03 3C 01 75 07 B8 01 00 00 00 EB 23 84 C0 75 07 B8 02 00 00 00 EB 18 3C 02 75 07 B8 03 00 00 00 EB 0D 3C 03 75 07 B8 04 00 00 00 EB 02 33 C0 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B C6 E8 ?? ?? ?? ?? 45 4F 0F 85 63 FF FF FF 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12908_0 {
	meta:
		name = "TDecisionSource.BeginChange"
		size = 4
	strings:
		$1 = { FF 40 24 C3 }
	condition:
		$1
}

rule function_12909_0 {
	meta:
		name = "TDecisionSource.EndChange"
		size = 86
		refs = "0009 TDecisionSource.RebuildPivotState 002c TDecisionSource.BuildLookups 003a TDecisionSource.NotifyDataLinks"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 83 7E 24 01 7F 3D 66 83 7E 66 00 74 0F 8B D6 8B 46 68 FF 56 64 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 24 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 7E 6E 00 74 0E 8B D6 8B 46 70 FF 56 6C 5E 5B C3 FF 4E 24 5E 5B C3 }
	condition:
		$1
}

rule function_12910_0 {
	meta:
		name = "TDecisionSource.EnforceConstraints"
		size = 282
		refs = "001f TDimInfoArray.GetGroupArray 0051 TIArray.GetItem 005e TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 88 14 24 E9 FF 00 00 00 8B 43 3C 8B 40 14 33 C9 8A 14 24 E8 ?? ?? ?? ?? 8B F0 83 7E 04 00 8A 43 30 48 2C 02 0F 83 DD 00 00 00 C6 44 24 08 00 83 7C 24 04 00 7C 2B 8B 44 24 04 3B 46 04 7D 22 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? 80 38 01 75 05 C6 44 24 08 01 8B 6E 04 4D 85 ED 7C 4D 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? 80 38 01 75 2B 80 7C 24 08 00 74 1F 3B 7C 24 04 74 19 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? C6 00 00 C6 44 24 08 01 47 4D 75 B6 80 7B 30 02 75 4B 80 7C 24 08 00 75 44 83 7C 24 04 00 75 06 83 7E 04 01 75 1B 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? C6 00 01 EB 1C BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 40 14 E8 ?? ?? ?? ?? C6 00 01 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12911_0 {
	meta:
		name = "TDecisionSource.SetUpData"
		size = 936
		refs = "0014 TDecisionSource.SetUpData 0028 TDecisionSource.GetReady 0037 TDecisionSource.GetDecisionCube 003c TCustomDataStore.GetDimensionCount 0050 TCustomDataStore.GetSummaryCount 0114 _DV_TDimInfoArray 0119 TDimInfoArray.Create 0140 TDimInfoArray.GetItem 0158 TCubeDims.GetCubeDim 01df TDimInfoArray.Find 021e TCubeDim.GetBin 0289 TDecisionSource.GetDimensionMemberCount 02a9 TDecisionSource.GetMemberAsString 02ba @LStrCmp 0351 TObject.Free 035d TDecisionSource.EnforceConstraints 0395 @LStrClr 039b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 38 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 47 03 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 33 03 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 1F 03 00 00 8B 46 3C 89 45 E8 8B 45 E8 8B 58 14 85 DB 74 34 8B 43 10 8B 10 FF 52 14 85 C0 75 28 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 3B 42 04 75 14 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 3B 42 08 74 04 33 C0 EB 02 B0 01 88 45 EF 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 3B 42 0C 7F 08 8B 45 E8 33 D2 89 50 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 42 04 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 42 08 33 C0 89 46 50 33 C0 89 46 54 33 C0 89 46 58 33 C0 89 46 60 33 C0 89 46 5C 8B 45 E8 8B 40 14 89 45 F0 8B 45 E8 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E8 89 58 14 8B 43 04 48 85 C0 0F 8C 1C 02 00 00 40 89 45 E4 33 FF 8B 45 E8 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B D8 33 C0 89 43 04 8B C6 E8 ?? ?? ?? ?? 8B 40 30 8B D7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 50 18 8B 45 E8 8B 40 14 8B 40 10 8B 08 FF 51 34 80 7D EF 00 74 53 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8A 40 11 88 43 11 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8A 00 88 03 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 04 89 43 04 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 08 89 43 08 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 0C 89 43 0C E9 97 00 00 00 83 7D F0 00 74 48 8D 4D F8 8B 45 F4 8B 50 18 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 33 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8A 40 11 88 43 11 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8A 00 88 03 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 04 89 43 04 EB 49 8B 45 F4 E8 ?? ?? ?? ?? 3C 04 75 0E 8B 45 F4 83 78 44 00 74 05 C6 03 03 EB 2F 83 7E 54 00 75 10 C6 43 11 01 C6 03 01 C7 43 04 FF FF FF FF EB 19 C6 43 11 00 C7 43 04 FF FF FF FF 83 7E 50 00 75 05 C6 03 01 EB 03 C6 03 00 8B 45 F4 E8 ?? ?? ?? ?? 3C 04 75 63 8B 45 F4 83 78 44 00 74 5A C6 03 03 C6 43 11 03 33 C0 89 43 04 8B D7 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4D 40 89 45 E0 C7 45 FC 00 00 00 00 8D 45 DC 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 8B 55 F4 8B 52 4C 8B 52 0C E8 ?? ?? ?? ?? 74 08 8B 45 FC 89 43 04 EB 17 FF 45 FC FF 4D E0 75 CD EB 0D 80 7B 11 03 75 07 C6 43 11 00 C6 03 01 80 7D EF 00 75 5E 8A 43 11 84 C0 75 22 8B 46 58 89 43 08 FF 46 58 80 3B 01 75 0B 8B 46 50 89 43 0C FF 46 50 EB 3E C7 43 0C FF FF FF FF EB 35 3C 01 75 22 8B 46 60 89 43 08 FF 46 60 80 3B 01 75 0B 8B 46 54 89 43 0C FF 46 54 EB 18 C7 43 0C FF FF FF FF EB 0F 8B 46 5C 89 43 08 8B 46 5C 89 43 0C FF 46 5C 47 FF 4D E4 0F 85 EA FD FF FF 8B 45 F0 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C9 FF B2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 C6 40 10 01 8B 45 E8 C6 40 11 01 B2 03 8B C6 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12912_0 {
	meta:
		name = "TDecisionSource.RebuildPivotState"
		size = 728
		refs = "000e TDecisionSource.GetReady 006e TDimInfoArray.GetGroupArray 0082 TIArray.GetItem 008f TDimInfoArray.GetItem 009d TDecisionSource.RebuildPivotState"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 84 C0 74 18 8B 04 24 8B 40 3C 83 78 04 00 74 0C 8B 04 24 8B 40 3C 83 78 08 00 75 25 8B 04 24 33 D2 89 50 50 8B 04 24 33 D2 89 50 54 8B 04 24 33 D2 89 50 58 8B 04 24 33 D2 89 50 60 E9 68 02 00 00 8B 04 24 8B 40 3C 89 44 24 0C C6 44 24 08 04 8B 44 24 0C 8B 40 14 33 C9 33 D2 E8 ?? ?? ?? ?? 8B E8 8B 7D 04 4F 83 FF 00 7C 5D 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 52 14 92 E8 ?? ?? ?? ?? 8B F0 80 7C 24 08 01 75 0A A0 ?? ?? ?? ?? 88 46 10 EB 19 80 7C 24 08 00 75 0A A0 ?? ?? ?? ?? 88 46 10 EB 08 A0 ?? ?? ?? ?? 88 46 10 8A 1E 84 DB 75 05 C6 44 24 08 00 80 FB 01 75 05 C6 44 24 08 01 4F 83 FF FF 75 A3 33 C0 89 44 24 04 C6 44 24 08 04 8B 45 04 48 85 C0 0F 8C 83 00 00 00 40 89 44 24 10 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 52 14 92 E8 ?? ?? ?? ?? 8B F0 80 7C 24 08 01 75 0D A0 ?? ?? ?? ?? 0A 46 10 88 46 10 EB 12 80 7C 24 08 00 75 0B A0 ?? ?? ?? ?? 0A 46 10 88 46 10 8A 1E C7 46 0C FF FF FF FF 80 FB 01 75 16 A0 ?? ?? ?? ?? 0A 46 10 88 46 10 8B 44 24 04 89 46 0C FF 44 24 04 84 DB 75 05 C6 44 24 08 00 80 FB 01 75 05 C6 44 24 08 01 47 FF 4C 24 10 75 84 8B 04 24 8B 54 24 04 89 50 50 8B 45 04 8B 14 24 89 42 58 8B 44 24 0C 8B 40 14 33 C9 B2 01 E8 ?? ?? ?? ?? 8B E8 C6 44 24 08 04 8B 7D 04 4F 83 FF 00 7C 5D 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 52 14 92 E8 ?? ?? ?? ?? 8B F0 80 7C 24 08 01 75 0A A0 ?? ?? ?? ?? 88 46 10 EB 19 80 7C 24 08 00 75 0A A0 ?? ?? ?? ?? 88 46 10 EB 08 A0 ?? ?? ?? ?? 88 46 10 8A 1E 84 DB 75 05 C6 44 24 08 00 80 FB 01 75 05 C6 44 24 08 01 4F 83 FF FF 75 A3 33 C0 89 44 24 04 C6 44 24 08 04 8B 45 04 48 85 C0 7C 78 40 89 44 24 10 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 52 14 92 E8 ?? ?? ?? ?? 8B F0 80 7C 24 08 01 75 0D A0 ?? ?? ?? ?? 0A 46 10 88 46 10 EB 12 80 7C 24 08 00 75 0B A0 ?? ?? ?? ?? 0A 46 10 88 46 10 8A 1E C7 46 0C FF FF FF FF 80 FB 01 75 0B 8B 44 24 04 89 46 0C FF 44 24 04 84 DB 75 05 C6 44 24 08 00 80 FB 01 75 05 C6 44 24 08 01 47 FF 4C 24 10 75 8F 8B 04 24 8B 54 24 04 89 50 54 8B 45 04 8B 14 24 89 42 60 8B 44 24 0C 8B 40 0C 8B 54 24 0C 3B 42 08 7C 09 8B 44 24 0C 33 D2 89 50 0C 83 C4 14 5D 5F 5E 5B C3 00 01 00 00 00 04 00 00 00 00 00 00 00 02 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_12913_0 {
	meta:
		name = "TDecisionSource.BuildLookups"
		size = 848
		refs = "000e TDecisionSource.GetReady 003a TObject.Free 0074 TDecisionSource.GetDecisionCube 007f TCustomDataStore.SetCurrentSummary 00a9 _Dn_TIntArray 00ae TIntArray.Create 00cc TDecisionSource.BuildLookups 00ed TBaseArray.InsertAt 012b TDimInfoArray.GetItem 0168 _Dn_Exception 016d Exception.Create 0172 @RaiseExcept 018c TIntArray.PutItem 020d _Dn_TTwoDimArray 0212 TTwoDimArray.Create 0234 TDecisionCube.SetSparsing 025c TCustomDataStore.GetDomain 02bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 3C 83 78 04 00 74 09 8B 43 3C 83 78 08 00 75 2D C7 43 48 01 00 00 00 C7 43 4C 01 00 00 00 8B 43 40 E8 ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 43 40 33 C0 89 43 44 E9 DD 02 00 00 8B 43 3C 89 45 F0 8B 45 F0 8B 40 0C 8B 55 F0 3B 42 08 7C 08 8B 45 F0 33 D2 89 50 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 52 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 31 02 00 00 80 7B 28 03 74 0A 80 7B 28 02 0F 85 21 02 00 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B 73 50 4E 85 F6 7C 11 46 8D 4D FC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 4E 75 F0 8B 73 54 4E 85 F6 7C 11 46 8D 4D FC 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 4E 75 F0 8B 45 F0 8B 40 14 8B 70 04 4E 85 F6 0F 8C D1 00 00 00 46 33 FF 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 80 38 01 0F 85 B0 00 00 00 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 80 78 11 00 75 45 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 3B 43 50 7C 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 50 0C 8B CF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 80 78 11 01 75 45 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 3B 43 54 7C 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 50 0C 8B CF 8B 45 F4 E8 ?? ?? ?? ?? 47 4E 0F 85 32 FF FF FF 8B 43 40 E8 ?? ?? ?? ?? 33 C0 89 43 40 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 80 7B 28 03 74 0C 8B 43 2C 33 D2 E8 ?? ?? ?? ?? EB 11 8B 45 F0 8A 50 12 80 F2 01 8B 43 2C E8 ?? ?? ?? ?? 8B 43 40 50 8B 45 F0 8A 48 10 8B 43 2C 8B 55 F8 E8 ?? ?? ?? ?? 89 43 48 80 7B 28 03 74 0C 8B 43 2C 33 D2 E8 ?? ?? ?? ?? EB 11 8B 45 F0 8A 50 13 80 F2 01 8B 43 2C E8 ?? ?? ?? ?? 8B 43 44 50 8B 45 F0 8A 48 11 8B 43 2C 8B 55 F4 E8 ?? ?? ?? ?? 89 43 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 80 7B 28 01 75 36 C7 43 48 01 00 00 00 8B 43 54 85 C0 75 09 C7 43 4C 01 00 00 00 EB 03 89 43 4C 8B 43 40 E8 ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 43 40 33 C0 89 43 44 EB 28 C7 43 48 01 00 00 00 C7 43 4C 01 00 00 00 8B 43 40 E8 ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 43 40 33 C0 89 43 44 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 09 00 00 00 72 6F 77 20 65 72 72 6F 72 00 00 00 }
	condition:
		$1
}

rule function_12914_0 {
	meta:
		name = "TDecisionSource.FetchPivotState"
		size = 12
		refs = "0007 TPivotState.Assign"
	strings:
		$1 = { 8B 12 8B 40 3C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12915_0 {
	meta:
		name = "TDecisionSource.StorePivotState"
		size = 34
		refs = "0012 TDecisionSource.ProcessPivotState"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 38 8B D3 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 8B 08 FF 51 3C 5E 5B C3 }
	condition:
		$1
}

rule function_12916_0 {
	meta:
		name = "TDecisionSource.ProcessPivotState"
		size = 186
		refs = "001c _DV_TDimInfoArray 0021 TDimInfoArray.Create 002f TDimInfoArray.Assign 007b TDimInfoArray.GetItem 00b1 TDecisionSource.SetUpData"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 3C 8B 6F 04 89 6B 04 83 7B 14 00 75 11 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B 57 14 8B 43 14 E8 ?? ?? ?? ?? 8B 47 0C 89 43 0C 8B 47 08 89 43 08 8A 47 12 88 43 12 8A 47 13 88 43 13 C6 43 10 01 C6 43 11 01 33 C0 89 46 58 33 C0 89 46 60 33 C0 89 46 50 33 C0 89 46 54 8B 43 14 8B 78 04 4F 85 FF 7C 33 47 33 ED 8B D5 8B 43 14 E8 ?? ?? ?? ?? 80 78 11 00 75 0B FF 46 58 80 38 01 75 03 FF 46 50 80 78 11 01 75 0B FF 46 60 80 38 01 75 03 FF 46 54 45 4F 75 D0 8B 46 58 03 46 60 89 43 04 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12917_0 {
	meta:
		name = "TDecisionSource.AddDatalink"
		size = 22
		refs = "000c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 34 E8 ?? ?? ?? ?? 89 5E 04 5E 5B C3 }
	condition:
		$1
}

rule function_12918_0 {
	meta:
		name = "TDecisionSource.RemoveDatalink"
		size = 14
		refs = "0009 TList.Remove"
	strings:
		$1 = { 33 C9 89 4A 04 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12919_0 {
	meta:
		name = "TDecisionSource.NotifyDataLinks"
		size = 186
		refs = "0023 TList.Get 004a UpdateDesigner"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 83 7E 24 00 0F 8F A5 00 00 00 8B 46 34 8B 78 08 4F 83 FF 00 7C 17 8B D7 8B 46 34 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 0C 4F 83 FF FF 75 E9 F6 46 20 10 74 14 F6 46 20 01 75 0E 8B C3 48 2C 02 73 07 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 3A 74 49 FE CB 74 06 FE CB 74 1C EB 57 66 83 BE 86 00 00 00 00 74 4D 8B D6 8B 86 88 00 00 00 FF 96 84 00 00 00 EB 3D 66 83 7E 7E 00 74 36 8B D6 8B 86 80 00 00 00 FF 56 7C EB 29 66 83 7E 76 00 74 22 8B D6 8B 46 78 FF 56 74 EB 18 66 83 BE 8E 00 00 00 00 74 0E 8B D6 8B 86 90 00 00 00 FF 96 8C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12920_0 {
	meta:
		name = "TDecisionSource.OpenDimIndexRight"
		size = 182
		refs = "0033 TDimInfoArray.GetGroupItem 0046 TDimInfoArray.GetGroupArray 0068 TIArray.GetItem 0075 TDimInfoArray.GetItem 0099 TDecisionSource.EnforceConstraints"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 88 55 FB 89 45 FC 8B 45 FC 8B 40 3C 89 45 F0 85 DB 7D 05 83 CB FF EB 17 8A 45 08 50 8B 45 F0 8B 40 14 8B CB 8A 55 FB E8 ?? ?? ?? ?? 8B 58 08 8B 45 F0 8B 40 14 33 C9 8A 55 FB E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 04 48 3B D8 7D 55 8D 73 01 8B F8 2B FE 7C 4C 47 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 8B D8 80 3B 00 75 29 8B 45 FC 8B 10 FF 52 38 C6 03 01 33 C0 89 43 04 8B CE 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC 8B 08 FF 51 3C EB 04 46 4F 75 B5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12921_0 {
	meta:
		name = "TDecisionSource.CloseDimIndexRight"
		size = 201
		refs = "0034 TDimInfoArray.GetGroupItem 004c TDimInfoArray.GetGroupArray 006b TIArray.GetItem 0078 TDimInfoArray.GetItem 00b2 TDecisionSource.EnforceConstraints"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 88 55 FB 89 45 FC 8B 45 FC 8B 40 3C 89 45 EC 83 FB FF 75 05 83 CB FF EB 17 8A 45 08 50 8B 45 EC 8B 40 14 8B CB 8A 55 FB E8 ?? ?? ?? ?? 8B 58 08 33 C0 89 45 F0 8B 45 EC 8B 40 14 B1 01 8A 55 FB E8 ?? ?? ?? ?? 8B F8 8B 47 04 48 3B D8 7D 66 43 8B F0 2B F3 7C 41 46 89 5D F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 14 E8 ?? ?? ?? ?? 8B D8 80 3B 01 75 19 83 7D F0 00 75 08 8B 45 FC 8B 10 FF 52 38 C6 03 00 33 C0 89 43 04 FF 45 F0 FF 45 F4 4E 75 C3 83 7D F0 00 7E 18 83 C9 FF 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC 8B 08 FF 51 3C 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12922_0 {
	meta:
		name = "TDecisionSource.OpenDimIndexLeft"
		size = 162
		refs = "0026 TDimInfoArray.GetGroupItem 003e TDimInfoArray.GetGroupArray 0057 TIArray.GetItem 0064 TDimInfoArray.GetItem 0086 TDecisionSource.EnforceConstraints"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 88 55 FF 8B F8 8B 47 3C 89 45 F4 8A 45 08 50 8B 45 F4 8B 40 14 8B CB 8A 55 FF E8 ?? ?? ?? ?? 8B 58 08 83 FB 01 7C 67 8B 45 F4 8B 40 14 33 C9 8A 55 FF E8 ?? ?? ?? ?? 89 45 F8 80 7D FF 00 75 4E 4B 83 FB 00 7C 48 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? 8B F0 80 3E 00 75 24 8B C7 8B 10 FF 52 38 C6 06 01 33 C0 89 46 04 8B CB 8A 55 FF 8B C7 E8 ?? ?? ?? ?? B2 02 8B C7 8B 08 FF 51 3C 4B 83 FB FF 75 B8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12923_0 {
	meta:
		name = "TDecisionSource.ToggleDimIndex"
		size = 102
		refs = "0015 TDecisionSource.GetActiveDim 0025 TDimInfoArray.GetItem 0052 TDecisionSource.EnforceConstraints"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8B 46 3C 89 45 FC 8A 45 08 50 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 42 8B 55 FC 8B 52 14 92 E8 ?? ?? ?? ?? 8B D8 80 3B 03 74 2F 8B C6 8B 10 FF 52 38 80 3B 01 75 05 C6 03 00 EB 08 C6 03 01 33 C0 89 43 04 8B 4B 08 8A 53 11 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 8B 08 FF 51 3C 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12925_0 {
	meta:
		name = "TDecisionSource.GetDataAsString"
		size = 350
		refs = "0016 TDecisionSource.GetReady 0043 _Dn_TSmallIntArray 0048 TSmallIntArray.Create 0053 TDecisionSource.GetDataAsString 0085 TDimInfoArray.GetItem 00a3 TTwoDimArray.GetElement 0113 TSmallIntArray.PutItem 0141 TObject.Free 0147 @HandleFinally 0151 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 2B 01 00 00 8B 45 FC 80 78 28 03 0F 85 1E 01 00 00 8B 45 FC 8B 40 3C 89 45 EC 6A 00 8B 45 EC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 33 D2 89 10 8B 45 FC 8B 40 3C 8B 40 14 8B 78 04 4F 85 FF 0F 8C A6 00 00 00 47 33 F6 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B D8 80 3B 01 75 26 80 7B 11 00 75 20 8B 53 0C 8B 45 FC 8B 40 40 8B 4D F8 E8 ?? ?? ?? ?? 0F BF C0 83 F8 FF 75 5C 8B 55 0C FF 02 EB 55 80 3B 01 75 26 80 7B 11 01 75 20 8B 53 0C 8B 45 FC 8B 40 44 8B 4D F4 E8 ?? ?? ?? ?? 0F BF C0 83 F8 FF 75 31 8B 55 0C FF 02 EB 2A 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 00 04 FE 2C 02 73 12 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 04 EB 03 83 C8 FF 8B C8 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 46 4F 0F 85 5D FF FF FF 8B 4D 08 8B 45 FC 8B 40 2C 8B 55 F0 8B 18 FF 53 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12926_0 {
	meta:
		name = "TDecisionSource.GetMemberAsString"
		size = 76
		refs = "0013 TDecisionSource.GetReady 0040 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 21 8A 5E 28 80 FB 03 74 05 80 FB 02 75 14 8B 45 08 50 8B 4D F8 8B 55 FC 8B 46 2C 8B 18 FF 53 60 EB 08 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12927_0 {
	meta:
		name = "TDecisionSource.GetMemberAsVariant"
		size = 79
		refs = "0017 TDecisionSource.GetReady 0037 TCustomDataStore.GetMemberAsVariant 0042 @VarFromLStr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8A 5E 28 80 FB 03 74 05 80 FB 02 75 11 57 8B 4D F8 8B 55 FC 8B 46 2C E8 ?? ?? ?? ?? EB 09 8B C7 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12928_0 {
	meta:
		name = "TDecisionSource.GetSummaryName"
		size = 45
		refs = "000c TDecisionSource.GetReady 0025 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 8B D7 8B 43 2C 8B 18 FF 53 64 EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12929_0 {
	meta:
		name = "TDecisionSource.SetCurrentSummary"
		size = 69
		refs = "0009 TDecisionSource.GetDecisionCube 0019 TCustomDataStore.GetSummaryCount 002f TCustomDataStore.SetCurrentSummary 003e TDecisionSource.NotifyDataLinks"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 22 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 7D 12 85 F6 7C 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 89 70 0C B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12930_0 {
	meta:
		name = "TDecisionSource.GetDimensionName"
		size = 43
		refs = "000c @LStrClr 0013 TDecisionSource.GetReady"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CE 8B D7 8B 43 2C 8B 18 FF 53 58 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12931_0 {
	meta:
		name = "TDecisionSource.GetDimensionMemberCount"
		size = 49
		refs = "000a TDecisionSource.GetReady"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 8A 5E 28 80 FB 03 74 05 80 FB 02 75 0C 8B D7 8B 46 2C 8B 08 FF 51 5C EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12932_0 {
	meta:
		name = "TDecisionSource.GetDataAsVariant"
		size = 352
		refs = "0016 TDecisionSource.GetReady 0043 _Dn_TSmallIntArray 0048 TSmallIntArray.Create 0053 TDecisionSource.GetDataAsVariant 0085 TDimInfoArray.GetItem 00a3 TTwoDimArray.GetElement 0113 TSmallIntArray.PutItem 0141 TObject.Free 0147 @HandleFinally 0153 @VarFromLStr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 2B 01 00 00 8B 45 FC 80 78 28 03 0F 85 1E 01 00 00 8B 45 FC 8B 40 3C 89 45 EC 6A 00 8B 45 EC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 33 D2 89 10 8B 45 FC 8B 40 3C 8B 40 14 8B 78 04 4F 85 FF 0F 8C A6 00 00 00 47 33 F6 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B D8 80 3B 01 75 26 80 7B 11 00 75 20 8B 53 0C 8B 45 FC 8B 40 40 8B 4D F8 E8 ?? ?? ?? ?? 0F BF C0 83 F8 FF 75 5C 8B 55 0C FF 02 EB 55 80 3B 01 75 26 80 7B 11 01 75 20 8B 53 0C 8B 45 FC 8B 40 44 8B 4D F4 E8 ?? ?? ?? ?? 0F BF C0 83 F8 FF 75 31 8B 55 0C FF 02 EB 2A 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8A 00 04 FE 2C 02 73 12 8B 45 EC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 04 EB 03 83 C8 FF 8B C8 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 46 4F 0F 85 5D FF FF FF 8B 4D 08 8B 45 FC 8B 40 2C 8B 55 F0 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12933_0 {
	meta:
		name = "TDecisionSource.Get2DDataAsVariant"
		size = 273
		refs = "0016 TDecisionSource.GetReady 003d _Dn_TSmallIntArray 0042 TSmallIntArray.Create 004d TDecisionSource.Get2DDataAsVariant 005b TBaseArray.GetLimit 006f TDimInfoArray.GetItem 008f TSmallIntArray.PutItem 00f2 TObject.Free 00f8 @HandleFinally 0104 @VarFromInt"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 DC 00 00 00 8B 45 FC 80 78 28 03 0F 85 CF 00 00 00 8B 45 FC 8B 78 3C 6A 00 8B 4F 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6A 46 33 DB 8B 47 14 8B D3 E8 ?? ?? ?? ?? 8A 00 04 FE 2C 02 73 1A 8B 47 14 8B D3 E8 ?? ?? ?? ?? 66 8B 48 04 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 37 3B 5D F8 75 10 66 8B 4D 10 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 22 3B 5D F4 75 10 66 8B 4D 0C 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 0D 83 C9 FF 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 43 4E 75 99 8B 4D 08 8B 45 FC 8B 40 2C 8B 55 F0 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12934_0 {
	meta:
		name = "TDecisionSource.GetValueIndex"
		size = 355
		refs = "002e TDecisionSource.GetReady 0055 TTwoDimArray.GetElement 00e3 TDecisionSource.GetExampleRepCount"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 88 55 FF 8B F0 8B 7D 10 8B 46 3C 80 7D FF 00 75 08 8A 40 10 88 45 F3 EB 06 8A 40 11 88 45 F3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 80 7E 28 03 74 0A 80 7E 28 02 0F 85 80 00 00 00 80 7D FF 00 75 12 8B CF 8B 55 F8 8B 46 40 E8 ?? ?? ?? ?? 0F BF D8 EB 10 8B CF 8B 55 F8 8B 46 44 E8 ?? ?? ?? ?? 0F BF D8 85 DB 7D 08 8B 45 08 C6 00 01 EB 06 8B 45 08 C6 00 00 85 FF 75 0B 8B 45 0C C6 00 01 E9 C9 00 00 00 80 7D FF 00 75 13 8B CF 49 8B 55 F8 8B 46 40 E8 ?? ?? ?? ?? 0F BF C0 EB 11 8B CF 49 8B 55 F8 8B 46 44 E8 ?? ?? ?? ?? 0F BF C0 3B C3 8B 45 0C 0F 95 00 E9 92 00 00 00 8B DF 8B 45 F8 85 C0 7C 55 40 89 45 EC C7 45 F4 00 00 00 00 8B 4D F4 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8B C8 8B C3 99 F7 F9 8B DA 49 3B D9 75 27 80 7D F3 00 74 21 8B 45 08 C6 00 01 8B 45 F4 3B 45 F8 75 08 8B 45 0C C6 00 01 EB 06 8B 45 0C C6 00 00 83 CB FF EB 3C FF 45 F4 FF 4D EC 75 B6 8B 4D F8 41 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 8B C8 8B C3 99 F7 F9 85 D2 75 08 8B 45 0C C6 00 01 EB 06 8B 45 0C C6 00 00 8B C3 99 F7 F9 8B D8 8B 45 08 C6 00 00 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12935_0 {
	meta:
		name = "TDecisionSource.GetGroupExtent"
		size = 155
		refs = "0032 TDecisionSource.GetValueIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 8B 45 0C 89 47 04 89 07 C6 45 FB 00 EB 1D 50 8D 45 FB 50 8D 45 FA 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 75 02 FF 0F 8B 07 85 C0 7E 06 80 7D FB 00 74 D7 84 DB 75 08 8B 46 48 89 45 F4 EB 06 8B 46 4C 89 45 F4 C6 45 FB 00 EB 1F 40 50 8D 45 FB 50 8D 45 FA 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 75 03 FF 47 04 8B 47 04 8B 55 F4 4A 3B C2 7D 06 80 7D FB 00 74 D0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12936_0 {
	meta:
		name = "TDecisionSource.GetValueArray"
		size = 286
		refs = "001e TBaseArray.Clear 0037 TDimInfoArray.GetItem 0057 TSmallIntArray.Add 00bd TTwoDimArray.GetElement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 70 3C 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 7E 04 4F 85 FF 0F 8C E5 00 00 00 47 33 DB 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8A 00 04 FE 2C 02 73 1D 8B D3 8B 46 14 E8 ?? ?? ?? ?? 66 8B 50 04 8B 45 08 8B 00 E8 ?? ?? ?? ?? E9 AB 00 00 00 8B D3 8B 46 14 E8 ?? ?? ?? ?? 80 38 00 75 12 8B 45 08 8B 00 83 CA FF E8 ?? ?? ?? ?? E9 8A 00 00 00 8B D3 8B 46 14 E8 ?? ?? ?? ?? 80 78 11 00 75 3E 83 7D F4 00 7D 0F 8B 45 08 8B 00 83 CA FF E8 ?? ?? ?? ?? EB 65 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 FC 8B 40 40 8B 4D F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 00 E8 ?? ?? ?? ?? EB 3C 83 7D F8 00 7D 0F 8B 45 08 8B 00 83 CA FF E8 ?? ?? ?? ?? EB 27 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 FC 8B 40 44 8B 4D F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 00 E8 ?? ?? ?? ?? 43 4F 0F 85 1E FF FF FF B0 01 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12937_0 {
	meta:
		name = "TDecisionSource.GetDecisionCube"
		size = 4
		altNames = "TPrinterSettings.GetMinExtentY"
	strings:
		$1 = { 8B 40 2C C3 }
	condition:
		$1
}

rule function_12938_0 {
	meta:
		name = "TDecisionSource.SetDecisionCube"
		size = 52
		refs = "0014 TDecisionCube.RemoveDataSource 0021 TDecisionCube.AddDataSource 002d TDecisionSource.DecisionDataEvent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 2C 3B F0 74 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 2C 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12939_0 {
	meta:
		name = "TDecisionSource.DecisionDataEvent"
		size = 89
		refs = "0017 TDecisionSource.GetDecisionCube 0045 TDecisionSource.SetUpData 004e TDecisionSource.NotifyDataLinks"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7E 2A 00 75 4A C6 46 2A 01 84 DB 75 35 8B C6 E8 ?? ?? ?? ?? 85 C0 75 06 C6 46 29 00 EB 24 8B C6 E8 ?? ?? ?? ?? 8A 40 2C 88 46 28 80 7E 28 00 75 06 C6 46 29 00 EB 04 C6 46 29 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? C6 46 2A 00 5E 5B C3 }
	condition:
		$1
}

rule function_12940_0 {
	meta:
		name = "TDecisionDataLink.Create"
		size = 36
		refs = "0008 @ClassCreate 0015 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 08 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_12943_0 {
	meta:
		name = "TDecisionDataLink.SetDecisionSource"
		size = 52
		refs = "0014 TDecisionSource.RemoveDatalink 0021 TDecisionSource.AddDatalink"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 3B F0 74 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 04 B2 04 8B C3 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_12944_0 {
	meta:
		name = "TDimInfoArray.Create"
		size = 82
		refs = "000b @ClassCreate 0021 @GetMem 002b _Dn_TStringList 0030 TObject.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B F1 89 77 04 8B C6 C1 E0 02 8D 04 80 E8 ?? ?? ?? ?? 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12945_0 {
	meta:
		name = "TDimInfoArray.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 000f TObject.Free 0017 @FreeMem 0030 TObject.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12946_0 {
	meta:
		name = "TDimInfoArray.Assign"
		size = 85
		refs = "0013 @FreeMem 002b @GetMem 0042 CopyMemory"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 3B 46 04 74 23 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 8B 7E 04 89 7B 04 8B C7 C1 E0 02 8D 04 80 E8 ?? ?? ?? ?? 89 43 08 8B 4B 04 C1 E1 02 8D 0C 89 8B 56 08 8B 43 08 E8 ?? ?? ?? ?? 8B 56 10 8B 43 10 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12947_0 {
	meta:
		name = "TDimInfoArray.IsEqual"
		size = 70
	strings:
		$1 = { 53 83 C4 F8 33 C9 8B 5A 04 3B 58 04 75 32 8B 58 08 89 1C 24 8B 52 08 89 54 24 04 8B 40 04 C1 E0 02 8D 04 80 48 85 C0 7C 15 40 8B D4 8D 5C 24 04 3B D3 75 0C FF 04 24 FF 44 24 04 48 75 EC B1 01 8B C1 59 5A 5B C3 }
	condition:
		$1
}

rule function_12948_0 {
	meta:
		name = "TDimInfoArray.GetGroupIndex"
		size = 107
		refs = "0021 TDimInfoArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 88 55 FF 8B F0 8B 7E 04 4F 85 FF 7C 46 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 11 3A 45 FF 75 2E 80 7D 08 00 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 3B 45 F8 75 17 EB 11 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 3B 45 F8 75 04 8B C3 EB 07 43 4F 75 BD 83 C8 FF 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12949_0 {
	meta:
		name = "TDimInfoArray.GetGroupItem"
		size = 39
		refs = "000d TDimInfoArray.GetGroupIndex 001e TDimInfoArray.GetItem"
	strings:
		$1 = { 55 8B EC 53 8B D8 8A 45 08 50 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 C0 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12950_0 {
	meta:
		name = "TDimInfoArray.GetGroupSize"
		size = 78
		refs = "0020 TDimInfoArray.GetItem"
	strings:
		$1 = { 53 56 57 55 51 88 4C 24 01 88 14 24 8B F8 33 ED 8B 77 04 4E 85 F6 7C 2E 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 40 11 3A 04 24 75 16 80 7C 24 01 00 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 80 38 01 75 01 45 43 4E 75 D5 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12951_0 {
	meta:
		name = "TDimInfoArray.GetGroupArray"
		size = 191
		refs = "0019 _DV_TIArray 001e TIArray.Create 002d TIArray.Realloc 0049 TDimInfoArray.GetItem 0074 TIArray.SetItem"
	strings:
		$1 = { 53 56 57 55 51 8B D9 88 14 24 8B F0 83 7E 0C 00 75 13 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B 6E 0C 33 D2 8B C5 E8 ?? ?? ?? ?? C6 45 08 01 84 DB 74 45 8B 7E 04 4F 85 FF 7C 72 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 11 3A 04 24 75 23 8B D3 8B C6 E8 ?? ?? ?? ?? 80 38 01 75 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 0C 8B CB 8B C5 E8 ?? ?? ?? ?? 43 4F 75 C8 EB 35 8B 7E 04 4F 85 FF 7C 2D 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 11 3A 04 24 75 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 08 8B CB 8B C5 E8 ?? ?? ?? ?? 43 4F 75 D6 C6 45 08 00 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12952_0 {
	meta:
		name = "TDimInfoArray.GetItem"
		size = 108
		refs = "000a TDimInfoArray.GetItem 0021 SOutofBounds 0026 LoadResString 0030 _DV_EArrayError 0035 Exception.Create 003a @RaiseExcept 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7C 05 3B 50 04 7C 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8D 14 92 8B 40 08 8D 1C 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_12953_0 {
	meta:
		name = "TDimInfoArray.Find"
		size = 156
		refs = "001b @LStrAddRef 0023 TDimInfoArray.Find 0059 @LStrCmp 007f @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F0 8B 45 FC 8B 40 10 8B D3 8B 38 FF 57 0C 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 75 09 8B 45 F4 89 18 B3 01 EB 06 43 4E 75 D6 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12954_0 {
	meta:
		name = "TIArray.Create"
		size = 78
		refs = "000d @ClassCreate 002d TIArray.Alloc 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 85 C0 7F 09 C7 46 10 14 00 00 00 EB 03 89 46 10 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12956_0 {
	meta:
		name = "TIArray.Alloc"
		size = 62
		refs = "000b @FreeMem 0033 @GetMem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B FE 89 7B 04 8B 4B 10 83 F9 01 75 05 89 73 14 EB 0B 8B C7 99 F7 F9 40 F7 E9 89 43 14 8B 43 14 C1 E0 02 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12957_0 {
	meta:
		name = "TIArray.Realloc"
		size = 81
		refs = "001c Min 002f TIArray.Alloc 003e CopyMemory 0045 @FreeMem"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 43 14 3B F0 7F 07 2B 43 10 3B F0 7D 33 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B E8 8B 7B 0C 33 C0 89 43 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CD C1 E1 02 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 73 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12958_0 {
	meta:
		name = "TIArray.Assign"
		size = 43
		refs = "0013 TIArray.Alloc 0024 CopyMemory"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 3B 43 04 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 4B 04 C1 E1 02 8B 56 0C 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12959_0 {
	meta:
		name = "TIArray.GetItem"
		size = 109
		refs = "000a TIArray.GetItem 0027 SOutofBounds 002c LoadResString 0036 _DV_EArrayError 003b Exception.Create 0040 @RaiseExcept 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 78 0C 00 74 09 85 D2 7C 05 3B 50 04 7C 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8B 1C 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_12960_0 {
	meta:
		name = "TIArray.SetItem"
		size = 146
		refs = "0012 TIArray.SetItem 0042 TIArray.Realloc 004c SOutofBounds 0051 LoadResString 005b _DV_EArrayError 0060 Exception.Create 0065 @RaiseExcept 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 09 85 F6 7C 05 3B 73 04 7C 3E 83 7B 0C 00 74 17 80 7B 08 00 74 11 3B 73 04 7C 0C 8D 56 01 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 89 3C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12961_0 {
	meta:
		name = "TIArray.InsertAt"
		size = 170
		refs = "0018 TIArray.InsertAt 002f SOutofBounds 0034 LoadResString 003e _DV_EArrayError 0043 Exception.Create 0048 @RaiseExcept 0053 TIArray.Realloc 0077 CopyMemory 0083 TIArray.SetItem 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 04 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 04 42 8B C3 E8 ?? ?? ?? ?? 8D 56 01 8B 43 04 3B D0 7D 1A 2B C6 48 8B C8 C1 E1 02 8B 43 0C 8D 14 B0 8B 43 0C 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12962_0 {
	meta:
		name = "TIArray.RemoveItem"
		size = 173
		refs = "0015 TIArray.RemoveItem 002f SOutofBounds 0034 LoadResString 003e _DV_EArrayError 0043 Exception.Create 0048 @RaiseExcept 0051 TIArray.GetItem 0078 CopyMemory 0083 TIArray.Realloc 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 8D 46 01 3B 43 04 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8D 56 01 8B 43 04 3B D0 7D 1A 2B C6 48 8B C8 C1 E1 02 8B 43 0C 8D 54 B0 04 8B 43 0C 8D 04 B0 E8 ?? ?? ?? ?? 8B 53 04 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12963_0 {
	meta:
		name = "TDecisionSource.GetExampleRepCount"
		size = 137
		refs = "0064 TDecisionSource.GetActiveDim 0074 TDecisionSource.GetExampleRepCount"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F9 8B DA 8B F0 C7 44 24 04 02 00 00 00 C7 44 24 08 03 00 00 00 C7 44 24 0C 04 00 00 00 C7 44 24 10 03 00 00 00 C7 44 24 14 02 00 00 00 8B 56 3C 84 DB 75 0B 8B 46 50 8A 52 10 88 14 24 EB 09 8B 46 54 8A 52 11 88 14 24 3B C7 7F 07 B8 01 00 00 00 EB 26 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 6C 84 04 8D 4F 01 8B D3 8B C6 E8 ?? ?? ?? ?? F7 ED 80 3C 24 00 74 01 40 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12964_0 {
	meta:
		name = "TDecisionSource.GetActiveDim"
		size = 24
		refs = "000f TDimInfoArray.GetGroupIndex"
	strings:
		$1 = { 55 8B EC 53 8A 5D 08 53 8B 40 3C 8B 40 14 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12965_0 {
	meta:
		name = "TDecisionSource.DrillDimIndex"
		size = 38
		refs = "000d TDecisionSource.GetActiveDim 001d TDecisionSource.DrillValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 8A 45 08 50 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 4D 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12966_0 {
	meta:
		name = "TDecisionSource.MoveDimIndexes"
		size = 411
		refs = "0039 TDecisionSource.GetActiveDim 0063 TDimInfoArray.GetGroupArray 0071 TDimInfoArray.GetItem 0095 TIArray.GetItem 016e TDecisionSource.EnforceConstraints"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 88 4D FA 88 55 FB 89 45 FC 8B 5D 08 8B 45 10 8B 55 FC 8B 7A 3C 8A 55 FB 3A 55 FA 75 09 3B 45 0C 0F 84 63 01 00 00 53 8B C8 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 53 8B 4D 0C 8A 55 FA 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 10 FF 52 38 8B 47 14 33 C9 8A 55 FB E8 ?? ?? ?? ?? 89 45 E4 8B 47 14 8B 55 EC E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 8B 45 E4 8B 70 04 4E 85 F6 7C 3A 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 47 14 8B D3 E8 ?? ?? ?? ?? 8B 40 08 3B 45 F4 7E 0D 8B 47 14 8B D3 E8 ?? ?? ?? ?? FF 48 08 FF 45 F0 4E 75 CE 8B 47 14 33 C9 8A 55 FA E8 ?? ?? ?? ?? 89 45 E4 83 7D E8 00 7C 0B 8B 45 E4 8B 40 04 3B 45 0C 7F 0B 8B 45 E4 8B 40 04 89 45 F4 EB 11 8B 47 14 8B 55 E8 E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 8B 45 E4 8B 70 04 4E 85 F6 7C 3A 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 47 14 8B D3 E8 ?? ?? ?? ?? 8B 40 08 3B 45 F4 7C 0D 8B 47 14 8B D3 E8 ?? ?? ?? ?? FF 40 08 FF 45 F0 4E 75 CE 8B 47 14 8B 55 EC E8 ?? ?? ?? ?? 8A 55 FA 88 50 11 8B 47 14 8B 55 EC E8 ?? ?? ?? ?? 8B 55 F4 89 50 08 8B 4D F4 8A 55 FA 8B 45 FC E8 ?? ?? ?? ?? 8A 45 FA 3A 45 FB 74 0E 83 C9 FF 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC 8B 08 FF 51 3C 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12967_0 {
	meta:
		name = "TDecisionSource.SwapDimIndexes"
		size = 223
		refs = "0030 TDecisionSource.GetActiveDim 0058 TDimInfoArray.GetItem 00b7 TDecisionSource.EnforceConstraints"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 88 55 FF 8B F0 8B 45 10 8B 7E 3C 3A 5D FF 75 09 3B 45 0C 0F 84 B2 00 00 00 8A 55 08 52 8B C8 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8A 45 08 50 8B 4D 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B C6 8B 10 FF 52 38 8B 55 F4 8B 47 14 E8 ?? ?? ?? ?? 88 58 11 8B 55 F4 8B 47 14 E8 ?? ?? ?? ?? 8B 40 08 89 45 F8 8B 55 F0 8B 47 14 E8 ?? ?? ?? ?? FF 70 08 8B 55 F4 8B 47 14 E8 ?? ?? ?? ?? 5A 89 50 08 8B 55 F0 8B 47 14 E8 ?? ?? ?? ?? 8A 55 FF 88 50 11 8B 55 F0 8B 47 14 E8 ?? ?? ?? ?? 8B 55 F8 89 50 08 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 3A 5D FF 74 0D 83 C9 FF 8A 55 FF 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 8B 08 FF 51 3C 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12968_0 {
	meta:
		name = "TDecisionSource.DrillValue"
		size = 129
		refs = "0017 TDimInfoArray.GetItem 006f TDecisionSource.EnforceConstraints"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F8 85 DB 7C 6E 8B 77 3C 8B D3 8B 46 14 E8 ?? ?? ?? ?? 80 38 03 74 5C 8B C7 8B 10 FF 52 38 8B D3 8B 46 14 E8 ?? ?? ?? ?? 89 68 04 8B D3 8B 46 14 E8 ?? ?? ?? ?? 80 38 03 74 0D 8B D3 8B 46 14 E8 ?? ?? ?? ?? C6 00 02 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8B 68 08 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8A 50 11 8B CD 8B C7 E8 ?? ?? ?? ?? B2 02 8B C7 8B 08 FF 51 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12969_0 {
	meta:
		name = "TPivotState.Create"
		size = 92
		refs = "000a @ClassCreate 0017 _DV_TDimInfoArray 001c TDimInfoArray.Create 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 33 C0 89 46 08 33 C0 89 46 04 33 C0 89 46 0C C6 46 12 00 C6 46 10 01 C6 46 13 00 C6 46 11 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12970_0 {
	meta:
		name = "TPivotState.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 000f TObject.Free 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 33 C0 89 46 14 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12971_0 {
	meta:
		name = "TPivotState.Assign"
		size = 54
		refs = "0031 TDimInfoArray.Assign"
	strings:
		$1 = { 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 4A 0C 89 48 0C 8A 4A 12 88 48 12 8A 4A 13 88 48 13 8A 4A 10 88 48 10 8A 4A 11 88 48 11 8B 40 14 8B 52 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12972_0 {
	meta:
		name = "TPivotState.IsEqual"
		size = 76
		refs = "0042 TDimInfoArray.IsEqual"
	strings:
		$1 = { 53 33 C9 8B 58 04 3B 5A 04 75 3D 8B 58 08 3B 5A 08 75 35 8B 58 0C 3B 5A 0C 75 2D 8A 58 12 3A 5A 12 75 25 8A 58 13 3A 5A 13 75 1D 8A 58 10 3A 5A 10 75 15 8A 58 11 3A 5A 11 75 0D 8B 40 14 8B 52 14 E8 ?? ?? ?? ?? 8B C8 8B C1 5B C3 }
	condition:
		$1
}

rule function_12975_0 {
	meta:
		name = "ShowDSSCubeEditor"
		size = 202
		refs = "0014 Application 001d _DV_TDssCubeEditor 0022 TDssCubeEditor.Create 002d ShowDSSCubeEditor 003f TDssCubeEditor.SInitialize 0048 Screen 004f TScreen.GetWidth 006a TScreen.GetHeight 008f TControl.SetLeft 0099 TControl.SetTop 00b9 TObject.Free 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 85 DB 0F 84 B3 00 00 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 61 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 38 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 3C D1 FE 79 03 83 D6 00 85 DB 7D 02 33 DB 85 F6 7D 02 33 F6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12976_0 {
	meta:
		name = "TDssCubeEditor.Create"
		size = 82
		refs = "000a @ClassCreate 0034 TCustomForm.Create 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 86 A1 03 00 00 00 C6 86 A2 03 00 00 00 C6 86 A0 03 00 00 00 33 C0 89 86 8C 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12977_0 {
	meta:
		name = "TDssCubeEditor.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TCustomForm.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12978_0 {
	meta:
		name = "TDssCubeEditor.SInitialize"
		size = 499
		refs = "0014 TDssCubeEditor.SInitialize 0027 @IntfCopy 0031 _Dn_TDecisionCube 0036 @IsClass 004d TCustomDataStore.GetDataSet 0061 sNoDataSet 0066 LoadResString 0070 _DV_ECubeDesignError 0075 Exception.Create 007a @RaiseExcept 008b TPageControl.SetActivePage 0099 _Dn_TQuery 00be @LStrLAsg 00cb TDBDataSet.GetDBSession 00d3 TSession.OpenDatabase 00de _Dn_TCubeDim 00ec _Dn_TCubeDims 00f1 TCubeDims.Create 0127 BuildDataSetMap 0133 sQryNotInitialized 0161 IntToStr 016f TControl.SetText 01b4 TDssCubeEditor.UpdateLists 01bb TDssCubeEditor.InitCapacityPage 01c2 TDssCubeEditor.InitializePanel 01de @LStrArrayClr 01e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 86 84 03 00 00 8B D3 E8 ?? ?? ?? ?? 33 DB 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 86 01 00 00 8B DF 89 9E 88 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BE 90 03 00 00 85 FF 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 96 04 03 00 00 8B 86 00 03 00 00 E8 ?? ?? ?? ?? 8B 9E 90 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 83 BB 0C 02 00 00 00 0F 95 C0 84 C0 75 29 8D 45 FC 8B 93 10 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 15 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 89 86 94 03 00 00 A1 ?? ?? ?? ?? 50 8B 8E 88 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 8C 03 00 00 8B 86 88 03 00 00 8B 50 30 8B C3 8B 08 FF 51 08 8D 86 9B 03 00 00 50 8D 8E 9A 03 00 00 8B 96 8C 03 00 00 8B 86 90 03 00 00 E8 ?? ?? ?? ?? 3C 04 75 25 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 74 8D 55 F8 8B 86 88 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B 55 F8 8B 86 48 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 88 03 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 4C 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 88 03 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 50 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12979_0 {
	meta:
		name = "TDssCubeEditor.SFinalize"
		size = 656
		refs = "001a TDssCubeEditor.SFinalize 0027 TDssCubeEditor.CommitEdit 0035 TControl.GetText 003d StrToInt 0062 TDimensionItems.GetActiveDimCount 0072 sMaxAllowedDims 0077 LoadResString 008b Format 0095 _DV_ECubeDesignError 009a Exception.Create 009f @RaiseExcept 00aa TDimensionItems.GetActiveSumCount 00ba sMaxAllowedSums 00f4 TCustomDataStore.SetMaxDims 0101 TCustomDataStore.SetMaxSums 0127 TCustomDataStore.GetCurrentSummary 0138 TCustomDataStore.SetCurrentSummary 015e TCollection.GetCount 0175 TCubeDims.GetCubeDim 01d6 SGetValueCounts 01ec MessageDlg 01f8 TDssCubeEditor.GetValueCounts 0231 TDimensionItem.SetActiveFlag 024c TCustomDataStore.Refresh 0257 UpdateDesigner 0271 @LStrArrayClr 0279 @LStrClr 027f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F0 89 55 F4 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 83 48 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8D 55 F4 8B 83 4C 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 3B F8 7D 39 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 7D E4 C6 45 E8 00 8D 55 E4 33 C9 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 3B F0 7D 39 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 75 E4 C6 45 E8 00 8D 55 E4 33 C9 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 83 50 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B BB 88 03 00 00 89 47 44 8B C7 E8 ?? ?? ?? ?? 3B F0 7C 0D 33 D2 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B 83 88 03 00 00 83 78 44 00 0F 8E B0 00 00 00 C6 45 FB 00 C7 45 FC 01 00 00 00 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 53 47 33 F6 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 80 78 28 00 75 39 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 80 78 22 02 74 26 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B 40 50 85 C0 7F 09 C6 45 FB 01 B8 32 00 00 00 8B 55 FC 0F AF D0 89 55 FC 46 4F 75 B0 8B 83 88 03 00 00 8B 40 44 3B 45 FC 0F 9C C0 22 45 FB 74 2C 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2B 47 33 F6 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8A 40 22 50 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 75 D8 8A 8B A0 03 00 00 8B 93 8C 03 00 00 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_12980_0 {
	meta:
		name = "TDssCubeEditor.UpdateLists"
		size = 208
		refs = "0014 TDssCubeEditor.UpdateLists 0025 TCustomListBox.Clear 0030 TCollection.GetCount 004d TCubeDims.GetCubeDim 0056 TCubeDim.GetLoaded 006a @LStrCat3 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 63 47 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 F8 B9 ?? ?? ?? ?? 8B 53 18 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 C4 02 00 00 8B 80 EC 01 00 00 8B 08 FF 51 34 EB 14 8B 86 C4 02 00 00 8B 80 EC 01 00 00 8B 53 18 8B 08 FF 51 34 FF 45 FC 4F 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_12981_0 {
	meta:
		name = "TDssCubeEditor.InitializePanel"
		size = 279
		refs = "0021 TCustomListBox.SetItemIndex 002c TCustomListBox.GetItemIndex 0039 TDssCubeEditor.InitEdit 00ea TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 C4 02 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 85 C0 7E 0D 33 D2 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 89 83 9C 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 88 03 00 00 F6 40 20 10 74 64 8A 40 2D 2C 01 72 4B 74 0D FE C8 74 1E FE C8 74 2F E9 B6 00 00 00 B2 01 8B 83 C8 02 00 00 8B 08 FF 91 BC 00 00 00 E9 A1 00 00 00 B2 01 8B 83 CC 02 00 00 8B 08 FF 91 BC 00 00 00 E9 8C 00 00 00 B2 01 8B 83 D0 02 00 00 8B 08 FF 91 BC 00 00 00 EB 7A B2 01 8B 83 D4 02 00 00 8B 08 FF 91 BC 00 00 00 5B C3 33 D2 8B 83 C8 02 00 00 8B 08 FF 51 60 33 D2 8B 83 CC 02 00 00 8B 08 FF 51 60 33 D2 8B 83 D0 02 00 00 8B 08 FF 51 60 33 D2 8B 83 D4 02 00 00 8B 08 FF 51 60 33 D2 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 50 03 00 00 8B 08 FF 51 60 33 D2 8B 83 48 03 00 00 8B 08 FF 51 60 33 D2 8B 83 4C 03 00 00 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_12982_0 {
	meta:
		name = "TDssCubeEditor.FieldListClick"
		size = 119
		refs = "000c TDssCubeEditor.FieldListClick 0019 TDssCubeEditor.CommitEdit 0028 @HandleOnException 0030 _Dn_Exception 0045 Exception.Create 004a @RaiseExcept 004f @DoneExcept 0061 TCustomListBox.GetItemIndex 006e TDssCubeEditor.InitEdit"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 89 83 9C 03 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12983_0 {
	meta:
		name = "TDssCubeEditor.InitEdit"
		size = 891
		refs = "0010 TDssCubeEditor.InitEdit 002f TCollection.GetCount 0048 TCubeDims.GetCubeDim 0055 IntToStr 0063 TControl.SetText 007a @LStrAsg 00a1 TCustomComboBox.SetItemIndex 00c6 _Dn_TQuery 00cb @IsClass 00f9 AnsiUpperCase 0105 SCountStar 010a LoadResString 0113 @LStrCmp 0132 TCustomMaskEdit.SetText 0161 TControl.SetVisible 01a7 TCubeDim.GetBin 0368 @LStrArrayClr 036e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 9C 03 00 00 85 F6 0F 8C BE 02 00 00 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 3B F0 0F 8D AB 02 00 00 8B 93 9C 03 00 00 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 46 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 8A 46 22 88 83 AC 03 00 00 8D 83 A4 03 00 00 8B 56 14 E8 ?? ?? ?? ?? 8A 46 28 88 83 AD 03 00 00 8D 83 A8 03 00 00 8B 56 10 E8 ?? ?? ?? ?? 33 D2 8A 56 22 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8A 56 28 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 80 BB 9A 03 00 00 00 74 19 8B 83 90 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 FC 02 00 00 8B 08 FF 51 60 8B 56 14 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 46 14 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 0F 94 C2 80 F2 01 8B 83 DC 02 00 00 8B 08 FF 51 60 8B 56 1C 8B 83 80 03 00 00 E8 ?? ?? ?? ?? 80 BB 9A 03 00 00 00 74 19 8B 83 90 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 80 03 00 00 E8 ?? ?? ?? ?? 80 BB 9A 03 00 00 00 74 19 8B 83 90 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 7C 03 00 00 E8 ?? ?? ?? ?? 8B 56 10 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 8B FE 8B C7 E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 88 83 AE 03 00 00 80 7E 28 00 0F 85 D2 00 00 00 B2 01 8B 83 F8 02 00 00 8B 08 FF 51 60 B2 01 8B 83 E8 02 00 00 8B 08 FF 51 60 8A 46 20 2C 09 74 04 2C 02 75 49 8B C6 E8 ?? ?? ?? ?? 48 2C 03 73 3D 8D 83 B0 03 00 00 8B FE 8B 57 44 E8 ?? ?? ?? ?? 8B 57 44 8B 83 18 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 18 03 00 00 8B 08 FF 51 60 B2 01 8B 83 EC 02 00 00 8B 08 FF 51 60 E9 05 01 00 00 8B C6 E8 ?? ?? ?? ?? 3C 04 75 2D B2 01 8B 83 18 03 00 00 8B 08 FF 51 60 B2 01 8B 83 EC 02 00 00 8B 08 FF 51 60 8B 56 44 8B 83 18 03 00 00 E8 ?? ?? ?? ?? E9 CD 00 00 00 33 D2 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 18 03 00 00 8B 08 FF 51 60 33 D2 8B 83 EC 02 00 00 8B 08 FF 51 60 E9 A1 00 00 00 33 D2 8B 83 F8 02 00 00 8B 08 FF 51 60 33 D2 8B 83 E8 02 00 00 8B 08 FF 51 60 33 D2 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 18 03 00 00 8B 08 FF 51 60 33 D2 8B 83 EC 02 00 00 8B 08 FF 51 60 EB 5E 83 CA FF 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 80 03 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 18 03 00 00 E8 ?? ?? ?? ?? C6 83 99 03 00 00 00 C6 83 98 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12984_0 {
	meta:
		name = "TDssCubeEditor.CommitEdit"
		size = 949
		refs = "0018 TDssCubeEditor.CommitEdit 004c TCollection.GetCount 0072 TCubeDims.GetCubeDim 0082 TCustomComboBox.GetItemIndex 008b TDimensionItem.SetType 00a2 TDimensionItem.SetActiveFlag 00b3 TControl.GetText 00bd TDimensionItem.SetName 00d8 _Dn_TQuery 00dd @IsClass 00f2 TCustomMaskEdit.GetText 00fc TDimensionItem.SetBaseName 0117 TDimensionItem.SetFormat 017d TCubeDim.GetBin 0267 TBinData.GetAllBinValueCount 028e TCubeDim.SetBin 02d5 StrToDate 02e4 DateToStr 02ee TCubeDim.SetStart 0325 @HandleOnException 032d _Dn_Exception 0348 TCustomListBox.SetItemIndex 0350 SIllegalValueForBin 0355 LoadResString 035f _DV_ECubeDesignError 0364 Exception.Create 0369 @RaiseExcept 036e @DoneExcept 039a @LStrClr 03a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 99 03 00 00 00 0F 84 43 03 00 00 8B 45 FC 83 B8 9C 03 00 00 00 0F 8C 33 03 00 00 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 9C 03 00 00 0F 8E 16 03 00 00 8B 45 FC 8B 90 9C 03 00 00 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 FC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 9A 03 00 00 00 74 18 8B 45 FC 8B 80 90 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 F0 8B 45 FC 8B 80 80 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 98 03 00 00 00 0F 84 4A 02 00 00 33 F6 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 88 45 FB 8B 45 FC 8B 80 88 03 00 00 8B 40 30 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 9C 03 00 00 0F 8E 0F 01 00 00 8B 45 FC 8B 90 9C 03 00 00 8B 45 FC 8B 80 88 03 00 00 8B 40 30 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3A 45 FB 75 08 8B 73 50 E9 DF 00 00 00 33 C0 8A 45 FB 83 F8 04 0F 87 D1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 02 75 0B 8B 73 50 8D 34 76 E9 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 01 0F 85 91 00 00 00 8B 73 50 C1 E6 02 8D 34 76 E9 83 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 03 75 0F 8B 43 50 B9 03 00 00 00 99 F7 F9 8B F0 EB 69 8B C3 E8 ?? ?? ?? ?? 3C 01 75 5E 8B 73 50 C1 E6 02 EB 56 8B C3 E8 ?? ?? ?? ?? 3C 03 75 0F 8B 43 50 B9 0C 00 00 00 99 F7 F9 8B F0 EB 3C 8B C3 E8 ?? ?? ?? ?? 3C 02 75 31 8B 73 50 85 F6 79 03 83 C6 03 C1 FE 02 EB 22 BE 02 00 00 00 EB 1B 8B C3 E8 ?? ?? ?? ?? 3C 04 75 10 83 7B 4C 00 74 0A 8B 43 4C E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8A 47 20 2C 09 74 04 2C 02 75 57 8B C7 E8 ?? ?? ?? ?? 48 2C 03 73 4B 8D 55 F0 8B 45 FC 8B 80 18 03 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 5A 8D 55 F0 8B 45 FC 8B 80 18 03 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? EB 26 8B C7 E8 ?? ?? ?? ?? 3C 04 75 1B 8D 55 F0 8B 45 FC 8B 80 18 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 90 9C 03 00 00 8B 45 FC 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 50 8B 45 FC C6 80 98 03 00 00 00 8B 45 FC C6 80 99 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12985_0 {
	meta:
		name = "TDssCubeEditor.InitCapacityPage"
		size = 768
		refs = "0014 TDssCubeEditor.InitCapacityPage 0062 TCollection.GetCount 007d TCubeDims.GetCubeDim 0099 TCubeDim.GetLoaded 01ba IntToStr 01c8 TControl.SetText 0285 SNotAvailable 028a LoadResString 02ed @LStrClr 02f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 8C 03 00 00 85 F6 0F 84 B0 02 00 00 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 89 45 E8 C7 45 E4 01 00 00 00 C7 45 E0 01 00 00 00 C7 45 DC 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 42 01 00 00 47 33 F6 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 80 78 28 00 0F 85 D4 00 00 00 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 FF 45 E8 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 83 78 50 00 7F 07 33 C0 89 45 DC EB 16 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B 40 50 F7 6D DC 89 45 DC 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8A 40 22 2C 01 72 07 74 40 E9 BC 00 00 00 FF 45 F0 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 83 78 50 00 7F 0A 33 C0 89 45 E0 E9 9C 00 00 00 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B 40 50 F7 6D E0 89 45 E0 E9 81 00 00 00 FF 45 EC 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 83 78 50 00 7F 07 33 C0 89 45 E4 EB 64 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B 40 50 F7 6D E4 89 45 E4 EB 4C 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 83 78 0C 00 7D 39 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 F4 8B D6 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8A 40 22 2C 01 72 04 74 07 EB 08 FF 45 FC EB 03 FF 45 F8 46 4F 0F 85 C1 FE FF FF 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 83 3C 03 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 EC 03 45 F0 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 03 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 83 40 03 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 70 03 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 83 7D E0 00 7E 2C 83 7D E4 00 7E 26 8D 55 D8 8B 45 F8 03 45 FC 0F AF 45 E0 0F AF 45 E4 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 5C 03 00 00 E8 ?? ?? ?? ?? EB 1B 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 83 5C 03 00 00 E8 ?? ?? ?? ?? 83 7D DC 00 7E 1F 8D 55 D8 8B 45 DC 0F AF 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 78 03 00 00 E8 ?? ?? ?? ?? EB 1B 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 83 78 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12986_0 {
	meta:
		name = "TDssCubeEditor.RadioMetaDataClick"
		size = 14
		refs = "0009 TCustomDataStore.SetDesignState"
	strings:
		$1 = { B2 01 8B 80 88 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12987_0 {
	meta:
		name = "TDssCubeEditor.RadioDimensionDataClick"
		size = 14
		refs = "0009 TCustomDataStore.SetDesignState"
	strings:
		$1 = { B2 02 8B 80 88 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12988_0 {
	meta:
		name = "TDssCubeEditor.RadioAllDataClick"
		size = 14
		refs = "0009 TCustomDataStore.SetDesignState"
	strings:
		$1 = { B2 03 8B 80 88 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12989_0 {
	meta:
		name = "TDssCubeEditor.RadioNoDataClick"
		size = 14
		refs = "0009 TCustomDataStore.SetDesignState"
	strings:
		$1 = { 33 D2 8B 80 88 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12990_0 {
	meta:
		name = "TDssCubeEditor.OKButtonClick"
		size = 102
		refs = "000c TDssCubeEditor.OKButtonClick 0019 TDssCubeEditor.SFinalize 0028 @HandleOnException 0030 _Dn_Exception 0045 Exception.Create 004a @RaiseExcept 004f @DoneExcept 005d TCustomForm.Close"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12991_0 {
	meta:
		name = "TDssCubeEditor.HandleFieldEdit"
		size = 553
		refs = "0012 TDssCubeEditor.HandleFieldEdit 0033 TControl.GetText 0051 @LStrAsg 00af TCustomComboBox.GetItemIndex 0109 TCubeDims.GetCubeDim 0112 TCubeDim.GetBin 0153 TCustomMaskEdit.SetText 0177 SDateBinningNotAllowed 017c LoadResString 0184 ShowMessage 018d TCustomComboBox.SetItemIndex 020e @LStrClr 021c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 14 03 00 00 75 31 C6 83 99 03 00 00 01 8D 55 FC 8B FE 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 A8 03 00 00 E8 ?? ?? ?? ?? 3B B3 DC 02 00 00 75 31 C6 83 99 03 00 00 01 8D 55 FC 8B FE 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 A4 03 00 00 E8 ?? ?? ?? ?? 3B B3 80 03 00 00 75 07 C6 83 99 03 00 00 01 3B B3 F4 02 00 00 75 14 C6 83 99 03 00 00 01 8B C6 E8 ?? ?? ?? ?? 88 83 AC 03 00 00 3B B3 FC 02 00 00 75 14 C6 83 99 03 00 00 01 8B C6 E8 ?? ?? ?? ?? 88 83 AD 03 00 00 3B B3 F8 02 00 00 0F 85 06 01 00 00 C6 83 98 03 00 00 01 C6 83 99 03 00 00 01 8B C6 E8 ?? ?? ?? ?? 88 83 AE 03 00 00 8B 93 9C 03 00 00 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 3A 83 AE 03 00 00 0F 84 C5 00 00 00 8A 83 AE 03 00 00 8B D0 4A 80 EA 03 73 63 8A 47 20 2C 09 74 04 2C 02 75 38 8D 83 B0 03 00 00 8B 57 44 E8 ?? ?? ?? ?? 8B 57 44 8B 83 18 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 18 03 00 00 8B 08 FF 51 60 B2 01 8B 83 EC 02 00 00 8B 08 FF 51 60 EB 74 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? EB 54 3C 04 75 29 B2 01 8B 83 18 03 00 00 8B 08 FF 51 60 33 D2 8B 83 18 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 EC 02 00 00 8B 08 FF 51 60 EB 27 33 D2 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 18 03 00 00 8B 08 FF 51 60 33 D2 8B 83 EC 02 00 00 8B 08 FF 51 60 3B B3 18 03 00 00 75 0E C6 83 99 03 00 00 01 C6 83 98 03 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12992_0 {
	meta:
		name = "TDssCubeEditor.ActiveEditChange"
		size = 8
		altNames = "TDssCubeEditor.HandleBeginEdit"
	strings:
		$1 = { C6 80 99 03 00 00 01 C3 }
	condition:
		$1
}

rule function_12995_0 {
	meta:
		name = "TDssCubeEditor.PagerChange"
		size = 72
		refs = "0006 TDssCubeEditor.CommitEdit 001a TDssCubeEditor.PagerChange 001f @LStrCmp 0028 TDssCubeEditor.InitCapacityPage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 00 03 00 00 8B 80 3C 02 00 00 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 FF FF FF FF 0D 00 00 00 4D 65 6D 6F 72 79 43 6F 6E 74 72 6F 6C 00 00 00 }
	condition:
		$1
}

rule function_12996_0 {
	meta:
		name = "TDssCubeEditor.GetValueCounts"
		size = 624
		refs = "0015 TDssCubeEditor.GetValueCounts 0020 _Dn_TCubeDim 0031 _Dn_TCubeDims 0036 TCubeDims.Create 0059 TControl.GetText 0061 StrToInt 00ce TCustomDataStore.SetMaxDims 00e1 TCustomDataStore.SetMaxSums 00f9 TCollection.GetCount 010d TCubeDims.GetCubeDim 0114 TDimensionItem.SetActiveFlag 0128 TCustomDataStore.SetDesignState 0136 TCustomDataStore.GetDataSet 015b TDataSet.GetActive 0172 TCustomDataStore.Refresh 01fe TObject.Free 0246 @HandleFinally 025d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8B 45 FC 8B 88 88 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 88 03 00 00 8A 40 2D 88 45 EB 8D 55 E4 8B 45 FC 8B 80 48 03 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F0 8D 55 E4 8B 45 FC 8B 80 4C 03 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 EC 8D 55 E4 8B 45 FC 8B 80 50 03 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 90 8C 03 00 00 8B 45 F8 8B 08 FF 51 08 8B 45 FC 8B 80 88 03 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 C7 40 44 00 C2 EB 0B 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 46 4B 75 EB 8B 45 FC 8B 80 88 03 00 00 B2 02 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 AB 00 00 00 8B 45 FC C6 80 A0 03 00 00 01 8B 45 FC 8B 80 88 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 80 88 03 00 00 B1 01 8B 55 F8 E8 ?? ?? ?? ?? EB 30 8B 45 FC 8B 80 88 03 00 00 8B 40 30 85 C0 74 08 8B 55 F8 8B 08 FF 51 08 8B 45 FC 8B 80 88 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 20 01 00 00 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 30 43 33 F6 8B 45 FC 8B 80 88 03 00 00 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 78 50 8B 45 FC 8B 80 8C 03 00 00 8B D6 E8 ?? ?? ?? ?? 89 78 50 46 4B 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 8A 55 EB E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 8B 55 F4 89 50 44 C3 E9 ?? ?? ?? ?? EB AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12998_0 {
	meta:
		name = "TDssCubeEditor.FormKeyPress"
		size = 26
		refs = "0008 TDssCubeEditor.OKButtonClick 0015 TDssCubeEditor.CancelButtonClick"
	strings:
		$1 = { 80 39 0D 75 08 8B D0 E8 ?? ?? ?? ?? C3 80 39 1B 75 07 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12999_0 {
	meta:
		name = "TDssCubeEditor.HelpButtonClick"
		size = 18
		refs = "0001 Application 000d TApplication.HelpContext"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 BA DA 75 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13002_0 {
	meta:
		name = "ShowSQLWindow"
		size = 220
		refs = "0013 @LStrAddRef 0023 ShowSQLWindow 002f Application 0038 _DV_TSQLWindow 003d TCustomForm.Create 004c TSQLWindow.SInitialize 0055 Screen 005c TScreen.GetWidth 0074 TScreen.GetHeight 0095 TControl.SetLeft 009e TControl.SetTop 00af TObject.Free 00c9 @LStrArrayClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 2B 73 38 D1 FE 79 03 83 D6 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F8 2B 7B 3C D1 FF 79 03 83 D7 00 85 F6 7D 02 33 F6 85 FF 7D 02 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13003_0 {
	meta:
		name = "TSQLWindow.SInitialize"
		size = 163
		refs = "0013 @LStrAddRef 0023 TSQLWindow.SInitialize 0037 TDBDataSet.SetDatabaseName 0069 TControl.SetText 0074 TDataSet.GetActive 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 80 18 02 00 00 8B 55 F8 8B 08 FF 51 2C B2 01 8B 83 C8 02 00 00 8B 08 FF 91 20 01 00 00 8B 55 F8 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13006_0 {
	meta:
		name = "TCustomDecisionGraph.Create"
		size = 144
		refs = "000e @ClassCreate 0020 TCustomChart.Create 0036 _DV_TDecisionGraphDataLink 003b TDecisionGraphDataLink.Create 0051 @LStrClr 005a GetDefaultColor 006e TCustomDecisionGraph.NewDataStructure 007b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 89 9E E8 03 00 00 C6 86 E0 03 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E E4 03 00 00 89 73 0C 8D 86 2C 04 00 00 E8 ?? ?? ?? ?? 33 DB 8B C3 E8 ?? ?? ?? ?? 89 84 9E EC 03 00 00 43 83 FB 10 75 EC 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13007_0 {
	meta:
		name = "TCustomDecisionGraph.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0026 TCustomChart.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 E4 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 E4 03 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13009_0 {
	meta:
		name = "TCustomDecisionGraph.Notification"
		size = 72
		refs = "0010 TControl.Notification 0018 _Dn_TPivotButton 001d @IsClass 002c TCustomDecisionGraph.GetDecisionSource 0040 TPivotButton.SetDecisionSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 84 DB 75 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13028_0 {
	meta:
		name = "TCustomDecisionGrid.Notification"
		size = 72
		refs = "0010 TControl.Notification 0018 _Dn_TPivotButton 001d @IsClass 002c TCustomDecisionGrid.GeTDecisionSource 0040 TPivotButton.SetDecisionSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 84 DB 75 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13010_0 {
	meta:
		name = "TCustomDecisionGraph.NewDataStructure"
		size = 284
		refs = "0009 TCustomDecisionGraph.GetDecisionSource 001d TDecisionSource.GetReady 0033 TCustomAxisPanel.SeriesCount 0046 TCustomAxisPanel.GetSeries 005e TCustomDecisionGraph.NewDataStructure 0087 TDecisionSource.GetDims 009e TCustomDecisionGraph.MakeNewSeries 00fa TCustomAxisPanel.RemoveSeries 0101 TObject.Free 010e TCustomDecisionGraph.NewGraphLayout"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 F6 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E2 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 41 45 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? F6 80 84 00 00 00 01 74 28 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? F7 D2 22 90 84 00 00 00 52 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 88 90 84 00 00 00 43 4D 75 C2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 28 45 33 DB 6A 01 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8A 87 84 00 00 00 0A 05 ?? ?? ?? ?? 88 87 84 00 00 00 43 4D 75 DB 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 42 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 F6 87 84 00 00 00 01 74 28 F6 87 84 00 00 00 10 75 1F 8B D3 8B C6 E8 ?? ?? ?? ?? F6 40 20 20 75 10 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 BE 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 10 00 00 00 }
	condition:
		$1
}

rule function_13011_0 {
	meta:
		name = "TCustomDecisionGraph.NewGraphLayout"
		size = 1356
		refs = "0020 TCustomDecisionGraph.NewGraphLayout 002d TCustomAxisPanel.SeriesCount 0045 TCustomAxisPanel.GetSeries 00a1 @LStrCat3 00e0 TList.Get 012e TCustomDecisionGraph.GetDecisionSource 013e TDecisionSource.GetReady 0154 TDecisionSource.GetActiveDim 01b5 TDecisionSource.GetDimensionName 01c3 @LStrAsg 01f4 @LStrCatN 020b TDecisionSource.GetDimensionMemberCount 022e TCustomDecisionGraph.MakeNewSeries 028b TDecisionSource.Get2DDataAsVariant 0293 @VarToReal 02aa TCustomDecisionGraph.GetLabel 02ba TChartSeries.AddY 02fd TChartAxisTitle.SetCaption 032c TDecisionSource.GetSums 033c TDecisionSource.GetCurrentSum 034d TDecisionSource.GetSummaryName 0412 @LStrCmp 0438 TCustomAxisPanel.RemoveSeries 0440 TObject.Free 0457 @LStrClr 04c6 TWinControl.GetControlCount 04da TWinControl.GetControl 04e0 _Dn_TPivotButton 04e5 @IsClass 04f7 TPivotButton.NewState 0512 @VarClr 0520 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 E8 89 55 D8 89 55 DC 89 55 E0 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C F1 00 00 00 40 89 45 F0 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 24 00 74 56 8B D6 8B C3 E8 ?? ?? ?? ?? 83 B8 C8 00 00 00 00 75 44 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 80 84 00 00 00 0A 05 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 88 90 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 05 C8 00 00 00 8B 8B 2C 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? F6 80 84 00 00 00 10 74 5A 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 4C 8B 40 08 48 85 C0 7C 46 40 89 45 EC 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 4C 8B D7 E8 ?? ?? ?? ?? 8A 80 84 00 00 00 0A 05 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 4C 8B D7 E8 ?? ?? ?? ?? 5A 88 90 84 00 00 00 47 FF 4D EC 75 C0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 74 46 FF 4D F0 0F 85 15 FF FF FF 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 6A 01 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 89 45 F8 6A 01 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 F4 EB 0E C7 45 F8 FF FF FF FF C7 45 F4 FF FF FF FF 83 7D F8 00 7D 0A 83 7D F4 00 0F 8C C0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7D F4 00 7D 0D 8B 45 F8 89 45 F4 C7 45 F8 FF FF FF FF 8D 4D E8 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8D 83 2C 04 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 7C 2B FF B3 2C 04 00 00 68 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 8D 83 2C 04 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 7D 07 B8 01 00 00 00 EB 0A 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 48 85 C0 0F 8C C0 00 00 00 40 89 45 F0 33 F6 83 7D F8 00 7D 1D 6A 02 33 C9 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 FC B2 01 8B 45 FC 8B 08 FF 51 78 EB 11 6A 00 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 10 FF 92 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 48 85 C0 7C 53 40 89 45 EC 33 FF 56 57 8D 45 D8 50 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 E8 50 8B CF 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 B9 00 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 47 FF 4D EC 75 B3 B2 01 8B 45 FC 8B 08 FF 51 74 46 FF 4D F0 0F 85 46 FF FF FF 83 7D F4 00 7C 46 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 8C 02 00 00 8B 40 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 88 02 00 00 8B 40 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 5E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 55 E8 8B 83 90 02 00 00 8B 40 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 55 E8 8B 83 94 02 00 00 8B 40 2C E8 ?? ?? ?? ?? EB 20 8B 83 90 02 00 00 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C FE 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 80 78 24 00 75 6A 8B 45 FC F6 80 84 00 00 00 01 75 5E 8B 45 FC F6 80 84 00 00 00 10 74 31 8D 45 E8 8B 8B 2C 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 0F 94 C2 8B 45 FC 8B 08 FF 51 74 EB 21 8B D6 8B C3 E8 ?? ?? ?? ?? F6 40 20 20 75 12 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 77 FF FF FF EB 73 8D 83 2C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 1C 40 89 45 F0 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 74 46 FF 4D F0 75 EA 8B 83 8C 02 00 00 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 45 F0 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 FF 4D F0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 10 00 00 00 FF FF FF FF 02 00 00 00 3A 3A 00 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_13012_0 {
	meta:
		name = "TCustomDecisionGraph.MakeNewSeries"
		size = 688
		refs = "0021 TCustomDecisionGraph.MakeNewSeries 0033 TCustomDecisionGraph.GetDecisionSource 003d TDecisionSource.GetDimensionName 0049 sTemplatePrefix 004e LoadResString 005a @LStrCat3 0078 TCustomDecisionGraph.GetCleanDimName 008b IntToStr 009b @LStrCatN 00ab TCustomDecisionGraph.GetLabel 00c4 @LStrLAsg 00f9 TCustomAxisPanel.SeriesCount 010c TCustomAxisPanel.GetSeries 0117 @LStrCmp 0193 TObject.ClassType 019f CreateNewSeries 01cc _Dn_TBarSeries 01e9 @LStrAsg 0223 TSeriesMarks.SetVisible 024f TChartSeries.SetTitle 0269 @LStrArrayClr 026f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B C6 E8 ?? ?? ?? ?? 8D 4D E4 8B D3 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 EC 59 E8 ?? ?? ?? ?? 8A 45 08 2C 01 72 0B 74 4A FE C8 74 5F E9 86 00 00 00 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? FF 75 E0 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? EB 45 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? EB 2C 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 55 F0 E8 ?? ?? ?? ?? 74 19 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 80 C8 00 00 00 8B 55 E8 E8 ?? ?? ?? ?? 75 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F8 43 4F 75 C1 83 7D F8 00 0F 85 03 01 00 00 80 7D 08 01 74 6C 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5E 47 C7 45 F4 00 00 00 00 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 80 C8 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 75 36 6A 00 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 46 24 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 EB 06 FF 45 F4 4F 75 AA 83 7D F8 00 75 15 6A 00 8B 0D ?? ?? ?? ?? 8B D6 8B 46 24 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 05 C8 00 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F8 8A 15 ?? ?? ?? ?? 88 90 84 00 00 00 80 7D 08 01 75 18 8B 45 F8 8A 80 84 00 00 00 0A 05 ?? ?? ?? ?? 8B 55 F8 88 82 84 00 00 00 8B 45 F8 8B 40 50 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 25 0F 00 00 80 79 05 48 83 C8 F0 40 8B 94 86 EC 03 00 00 8B 45 F8 8B 08 FF 91 80 00 00 00 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 02 00 00 00 5F 46 00 00 FF FF FF FF 03 00 00 00 5F 31 44 00 FF FF FF FF 03 00 00 00 31 44 20 00 28 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_13013_0 {
	meta:
		name = "TCustomDecisionGraph.GetDecisionSource"
		size = 10
	strings:
		$1 = { 8B 80 E4 03 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_13014_0 {
	meta:
		name = "TCustomDecisionGraph.SetDecisionSource"
		size = 38
		refs = "0013 TDecisionDataLink.SetDecisionSource 001e TCustomDecisionGraph.NewDataStructure"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 E4 03 00 00 8B 78 04 8B D6 E8 ?? ?? ?? ?? 3B FE 74 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13015_0 {
	meta:
		name = "TCustomDecisionGraph.GetCleanDimName"
		size = 404
		refs = "0018 TCustomDecisionGraph.GetCleanDimName 0026 TCustomDecisionGraph.GetDecisionSource 002f TDecisionSource.GetDimensionName 0039 AnsiUpperCase 0043 @LStrLAsg 0056 LeadBytes 006a UniqueString 00a1 @LStrLen 00be @LStrCopy 00cb @LStrCmp 0113 @LStrCatN 0143 @LStrClr 0150 @LStrArrayClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BB 01 00 00 00 EB 50 8B 06 8A 44 18 FF 8B 15 ?? ?? ?? ?? 8B C8 81 E1 FF 00 00 00 0F A3 0A 73 1A 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 5F 8B C6 E8 ?? ?? ?? ?? C6 04 18 5F 43 EB 1C 3C 30 72 0C 3C 39 76 04 3C 41 72 04 3C 5A 76 0C 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 5F 43 8B 06 E8 ?? ?? ?? ?? 3B D8 7E A5 8D 45 F0 50 8B 45 FC 8B 40 08 B9 0D 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 48 8D 45 F8 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 08 BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 31 FF 36 68 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 19 FF 36 68 ?? ?? ?? ?? 8B 45 FC FF 70 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0D 00 00 00 44 65 63 69 73 69 6F 6E 47 72 61 70 68 00 00 00 FF FF FF FF 01 00 00 00 31 00 00 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_13016_0 {
	meta:
		name = "TCustomDecisionGraph.GetLabel"
		size = 61
		refs = "0014 @LStrClr 001b TCustomDecisionGraph.GetDecisionSource 0031 TDecisionSource.GetMemberAsString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 12 56 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13017_0 {
	meta:
		name = "TDecisionGraphDataLink.DecisionDataEvent"
		size = 120
		refs = "001f TDecisionGraphDataLink.DecisionDataEvent 003b TCustomDecisionGraph.NewGraphLayout 004f TCustomDecisionGraph.NewDataStructure 0066 TCustomDecisionGraph.SetDecisionSource"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 74 6D 80 7B 08 00 75 67 C6 43 08 01 33 C0 8A C2 83 F8 04 77 56 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? EB 31 8B 43 0C E8 ?? ?? ?? ?? EB 27 8B 43 0C E8 ?? ?? ?? ?? EB 1D 8B 43 0C E8 ?? ?? ?? ?? EB 13 8B 53 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? C6 43 08 00 5B C3 }
	condition:
		$1
}

rule function_13022_0 {
	meta:
		name = "_NF__1D8"
		size = 104
	strings:
		$1 = { FF FF FF FF 09 00 00 00 4C 65 66 74 41 72 72 6F 77 00 00 00 FF FF FF FF 0A 00 00 00 52 69 67 68 74 41 72 72 6F 77 00 00 FF FF FF FF 07 00 00 00 43 61 70 74 69 6F 6E 00 FF FF FF FF 05 00 00 00 50 69 76 6F 74 00 00 00 FF FF FF FF 05 00 00 00 44 4F 70 65 6E 00 00 00 FF FF FF FF 06 00 00 00 44 43 6C 6F 73 65 00 00 }
	condition:
		$1
}

rule function_13025_0 {
	meta:
		name = "WriteText"
		size = 463
		refs = "0023 TBrush.GetColor 0028 ColorToRGB 0032 TCanvas.GetHandle 0038 GetNearestColor 0058 TCanvas.TextWidth 0086 @LStrLen 008e @LStrToPChar 00aa ExtTextOut 00b4 DrawBitmap 00c4 Max 010f Rect 0133 TBitmap.GetCanvas 013f TCanvas.SetFont 014d TFont.SetColor 0157 TCanvas.SetBrush 0161 TBrush.SetStyle 016b TCanvas.FillRect 017a SetBkMode 0186 AlignFlags 01a8 DrawText 01c2 TCanvas.CopyRect"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B D8 8B 7D 0C 8B 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 75 73 8A 45 08 2C 01 72 04 74 0A EB 1B 8B 75 EC 03 75 FC EB 2E 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 75 F4 2B F0 83 EE 03 EB 1B 8B D7 8B C3 E8 ?? ?? ?? ?? D1 E8 8B 55 F4 8B 75 EC 2B D6 D1 EA 03 D6 2B D0 8B F2 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 06 8B 45 F0 03 45 10 50 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 13 01 00 00 A1 ?? ?? ?? ?? 8B 10 FF 52 2C 8B 55 F4 2B 55 EC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 40 A1 ?? ?? ?? ?? 8B 10 FF 52 20 8B 55 F8 2B 55 F0 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 34 8B 45 F8 2B 45 F0 48 50 8D 45 CC 50 8B 4D F4 2B 4D EC 49 8B 55 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 50 8D 45 DC 50 8B 4D F4 2B 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 50 14 8B 46 0C E8 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 8A 45 08 8B 04 85 ?? ?? ?? ?? 50 8D 45 CC 50 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 DC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_13026_0 {
	meta:
		name = "TCustomDecisionGrid.Create"
		size = 768
		refs = "0010 @ClassCreate 0020 TCustomGrid.Create 002a TCustomGrid.SetBorderStyle 0031 TCustomDecisionGrid.Create 0039 TCustomGrid.SetOptions 004d TCustomGrid.SetScrollBars 0070 _DV_TDecisionGridDataLink 0075 TDecisionGridDataLink.Create 0093 TControl.SetColor 009d TControl.SetParentColor 00a4 _Dn_TFont 00a9 TFont.Create 00c1 TCustomDecisionGrid.FontChanged 0110 TFont.SetColor 0171 TCustomDecisionGrid.SetColWidth 017e TCustomDecisionGrid.SetRowHeight 01b1 _DV_TDisplayDim 01bc _DV_TDisplayDims 01c1 TDisplayDims.Create 01dc TCustomDecisionGrid.NewDataStructure 01e4 TCustomGrid.HideEditor 01eb _Dn_TBitmap 01f0 TBitmap.Create 01fd _Dn_TQuickMenu 0202 TQuickMenu.Create 021f TCustomGrid.SetFixedCols 0229 TCustomGrid.SetFixedRows 0236 TCustomGrid.SetRowCount 0243 TCustomGrid.SetColCount 025f _Dn_TImageList 0264 TCustomImageList.CreateSize 0274 BitmapArray 027b @LStrToPChar 0281 HInstance 0289 LoadBitmap 0293 TBitmap.SetHandle 02a9 TCustomImageList.AddMasked 02c5 TObject.Free 02cb @HandleFinally 02d2 UsesBitmap 02e0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 6C 02 00 00 01 B2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 15 ?? ?? ?? ?? 88 90 84 02 00 00 8B 45 FC C6 80 00 03 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 7C 02 00 00 8B 45 FC 89 43 0C BA 0F 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 BC 02 00 00 8B 45 FC 89 43 08 C7 43 04 ?? ?? ?? ?? 8B 45 FC C7 80 C0 02 00 00 0F 00 00 80 8B 45 FC C7 80 C4 02 00 00 03 00 00 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 8B 45 FC C7 80 C8 02 00 00 02 00 00 80 8B 45 FC 8B 80 CC 02 00 00 BA 09 00 00 80 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 02 00 00 8B 55 FC 89 50 08 C7 40 04 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 D0 02 00 00 8B 45 FC 89 43 08 C7 43 04 ?? ?? ?? ?? 8B 45 FC C7 80 D4 02 00 00 18 00 00 80 8B 45 FC C7 80 D8 02 00 00 FF FF FF 1F BA 64 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 14 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 DC 02 00 00 08 00 00 80 8B 45 FC C7 80 E0 02 00 00 01 00 00 00 8B 45 FC C6 80 E4 02 00 00 00 8B 45 FC C6 80 6F 02 00 00 00 A1 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 02 00 00 8B 45 FC C6 80 9F 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 78 02 00 00 8B 45 FC C6 80 74 02 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0F B9 0F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 88 02 00 00 B3 06 BE ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 02 00 00 B9 80 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 83 C6 04 FE CB 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 00 F0 08 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_13027_0 {
	meta:
		name = "TCustomDecisionGrid.Destroy"
		size = 178
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0071 TCollection.Clear 009b TCustomGrid.Destroy 00a0 ReleaseBitmap 00ab @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 88 02 00 00 8B 86 7C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 7C 02 00 00 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 BC 02 00 00 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 CC 02 00 00 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 D0 02 00 00 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 78 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13029_0 {
	meta:
		name = "TCustomDecisionGrid.RawToDataCoord"
		size = 42
	strings:
		$1 = { 53 33 DB 8A 98 A1 02 00 00 29 1A 33 DB 8A 98 9E 02 00 00 29 1A 33 D2 8A 90 A0 02 00 00 29 11 0F B6 80 9D 02 00 00 29 01 5B C3 }
	condition:
		$1
}

rule function_13030_0 {
	meta:
		name = "TCustomDecisionGrid.DataToRawCoord"
		size = 42
	strings:
		$1 = { 53 33 DB 8A 98 A1 02 00 00 01 1A 33 DB 8A 98 9E 02 00 00 01 1A 33 D2 8A 90 A0 02 00 00 01 11 0F B6 80 9D 02 00 00 01 01 5B C3 }
	condition:
		$1
}

rule function_13031_0 {
	meta:
		name = "TCustomDecisionGrid.DataToRawX"
		size = 22
	strings:
		$1 = { 33 C9 8A 88 A1 02 00 00 03 D1 0F B6 80 9E 02 00 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_13032_0 {
	meta:
		name = "TCustomDecisionGrid.DataToRawY"
		size = 22
	strings:
		$1 = { 33 C9 8A 88 A0 02 00 00 03 D1 0F B6 80 9D 02 00 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_13033_0 {
	meta:
		name = "TCustomDecisionGrid.NewDataStructure"
		size = 432
		refs = "0014 TCustomDecisionGrid.NewDataStructure 0021 TCustomDecisionGrid.GeTDecisionSource 0035 TDecisionSource.GetReady 0059 TDecisionSource.GetDims 0063 TDecisionSource.GetSums 006c TCollection.GetCount 0087 TCollection.Clear 00ab TCollection.Add 00b8 TDisplayDims.GetDisplayDim 00cb TDecisionSource.GetDimensionName 00d6 @LStrCmp 00f4 @LStrAsg 0148 TDecisionSource.GetSummaryName 0188 TCustomDecisionGrid.NewGridLayout 019d @LStrClr 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 58 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B B3 80 02 00 00 C6 46 18 01 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 03 F8 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 94 C0 34 01 88 45 FF 80 7D FF 00 74 0B 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 66 40 89 45 F4 33 F6 80 7D FF 00 74 0B 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 47 10 E8 ?? ?? ?? ?? 74 1C 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8D 47 10 E8 ?? ?? ?? ?? 46 FF 4D F4 75 A0 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 70 40 89 45 F4 33 F6 80 7D FF 00 74 0B 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 03 D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 47 10 E8 ?? ?? ?? ?? 74 1C 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8D 47 10 E8 ?? ?? ?? ?? 46 FF 4D F4 75 96 8B 83 80 02 00 00 C6 40 18 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13034_0 {
	meta:
		name = "TCustomDecisionGrid.NewGridLayout"
		size = 564
		refs = "0008 TCustomDecisionGrid.GeTDecisionSource 001c TDecisionSource.GetReady 00cc TCustomGrid.SetFixedCols 00d5 TCustomGrid.SetFixedRows 00fa TCustomGrid.SetRowCount 011f TCustomGrid.SetColCount 0179 TCustomDecisionGrid.InitializeGridCells 01f8 TWinControl.GetControlCount 020b TWinControl.GetControl 0211 _Dn_TPivotButton 0216 @IsClass 0228 TPivotButton.NewState"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 6B 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 57 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 40 54 88 83 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8A 40 50 88 83 A1 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 50 89 83 A4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 54 89 83 A8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 58 89 83 AC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 60 89 83 B0 02 00 00 C6 83 9E 02 00 00 00 83 BB A8 02 00 00 00 75 12 83 BB B0 02 00 00 00 7E 09 C6 83 9D 02 00 00 02 EB 07 C6 83 9D 02 00 00 01 F6 83 84 02 00 00 02 74 06 FE 83 9E 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 48 33 C0 8A 83 A0 02 00 00 33 C9 8A 8B 9D 02 00 00 03 C1 03 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 4C 33 C0 8A 83 A1 02 00 00 33 C9 8A 8B 9E 02 00 00 03 C1 03 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 48 00 7E 19 33 D2 8A 93 A1 02 00 00 33 C0 8A 83 9E 02 00 00 03 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 4C 00 7E 19 33 D2 8A 93 A0 02 00 00 33 C0 8A 83 9D 02 00 00 03 D0 8B C3 E8 ?? ?? ?? ?? C6 83 74 02 00 00 01 8B C3 E8 ?? ?? ?? ?? EB 76 80 BB 74 02 00 00 00 74 31 C6 83 74 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 A0 02 00 00 00 C6 83 A1 02 00 00 00 33 C0 89 83 A4 02 00 00 33 C0 89 83 A8 02 00 00 33 C0 89 83 AC 02 00 00 33 C0 89 83 B0 02 00 00 C6 83 9E 02 00 00 00 C6 83 9D 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13035_0 {
	meta:
		name = "TCustomDecisionGrid.InitializeGridCells"
		size = 489
		refs = "000c TCustomDecisionGrid.GeTDecisionSource 003f TCustomGrid.SetColWidths 004d TCustomDecisionGrid.GetColCount 007b TCustomDecisionGrid.GetRowCount 0094 TCustomGrid.SetRowHeights 00c3 TDecisionSource.GetActiveDim 00d2 TDisplayDims.GetDisplayDim 00e8 TCustomDecisionGrid.GetFixedRows 010d TDecisionSource.GetValueIndex 0186 TCustomDecisionGrid.GetFixedCols"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 CA 01 00 00 83 BB 80 02 00 00 00 0F 84 BD 01 00 00 C6 83 9F 02 00 00 01 F6 83 84 02 00 00 02 74 0E B9 10 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 B3 9E 02 00 00 8B C3 E8 ?? ?? ?? ?? 48 2B C6 7C 1B 40 89 44 24 04 8B 8B B4 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 46 FF 4C 24 04 75 EA 0F B6 B3 9D 02 00 00 8B C3 E8 ?? ?? ?? ?? 48 2B C6 7C 1B 40 89 44 24 04 8B 8B B8 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 46 FF 4C 24 04 75 EA 8B 83 A4 02 00 00 48 85 C0 0F 8C 8F 00 00 00 40 89 44 24 04 33 F6 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE 33 D2 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 80 78 20 00 75 56 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 2B E8 4D 85 ED 7C 3F 45 33 FF 57 8D 44 24 04 50 8D 44 24 09 50 8B C3 E8 ?? ?? ?? ?? 8B CE 33 D2 E8 ?? ?? ?? ?? 8A 04 24 22 44 24 01 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D7 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4D 75 C4 46 FF 4C 24 04 0F 85 78 FF FF FF 8B 83 A8 02 00 00 48 85 C0 0F 8C 8F 00 00 00 40 89 44 24 04 33 F6 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 80 78 20 00 75 56 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 2B E8 4D 85 ED 7C 3F 45 33 FF 57 8D 44 24 04 50 8D 44 24 09 50 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 E8 ?? ?? ?? ?? 8A 04 24 22 44 24 01 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D7 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4D 75 C4 46 FF 4C 24 04 0F 85 78 FF FF FF C6 83 9F 02 00 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13036_0 {
	meta:
		name = "TCustomDecisionGrid.GetHitTypes"
		size = 1204
		refs = "0019 TCustomDecisionGrid.GetHitTypes 0032 TCustomDecisionGrid.WhichCoord 003b TCustomDecisionGrid.GeTDecisionSource 00c4 TDecisionSource.GetActiveDim 00d4 TDecisionSource.GetRowState 01a4 TDecisionSource.GetValueIndex 01e7 TCustomDecisionGrid.DataToRawX 01fb TCustomGrid.GetColWidths 0224 TDecisionSource.GetGroupExtent 02de TCustomDecisionGrid.DataToRawY 02f2 TCustomGrid.GetRowHeights 03d2 TDecisionSource.GetState"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 0C 66 A1 ?? ?? ?? ?? 66 89 06 8B 45 F8 89 45 EC 8B 45 FC 89 45 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 88 07 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 28 04 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E0 33 C0 8A 07 83 F8 0A 0F 87 11 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 06 E9 D0 03 00 00 66 A1 ?? ?? ?? ?? 66 89 06 F6 83 84 02 00 00 02 0F 84 BA 03 00 00 6A 01 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 88 45 F5 F6 45 F5 04 74 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 7C 03 00 00 F6 45 F5 01 0F 84 72 03 00 00 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 60 03 00 00 66 A1 ?? ?? ?? ?? 66 89 06 F6 83 84 02 00 00 02 0F 84 4A 03 00 00 6A 01 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B A1 02 00 00 03 4D F8 33 D2 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 88 45 F5 F6 45 F5 04 74 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 08 03 00 00 F6 45 F5 01 0F 84 FE 02 00 00 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 EC 02 00 00 8B 45 F8 50 8D 45 F6 50 8D 45 F7 50 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B A0 02 00 00 03 4D FC B2 01 E8 ?? ?? ?? ?? 8B 55 10 89 02 66 A1 ?? ?? ?? ?? 66 89 06 80 7D F7 00 74 0D 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 80 7D F6 00 74 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 8E 02 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8E 7A 02 00 00 8B D7 4A 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 68 02 00 00 8B 45 F8 50 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B A0 02 00 00 03 4D FC B2 01 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 89 45 E4 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 8B 45 E4 4F 2B F8 0F 8C 21 02 00 00 47 89 7D DC 89 C7 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0E 66 A1 ?? ?? ?? ?? F7 D0 66 23 06 66 89 06 47 FF 4D DC 75 DF E9 F5 01 00 00 66 A1 ?? ?? ?? ?? 66 89 06 8B 45 FC 50 8D 45 F6 50 8D 45 F7 50 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B A1 02 00 00 03 4D F8 33 D2 E8 ?? ?? ?? ?? 8B 55 10 89 02 80 7D F7 00 74 0D 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 80 7D F6 00 74 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 97 01 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8E 83 01 00 00 8B D7 4A 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 71 01 00 00 8B 45 FC 50 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 33 C9 8A 8B A1 02 00 00 03 4D F8 33 D2 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 89 45 E4 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 8B 45 E4 4F 2B F8 0F 8C 2A 01 00 00 47 89 7D DC 89 C7 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0E 66 A1 ?? ?? ?? ?? F7 D0 66 23 06 66 89 06 47 FF 4D DC 75 DF E9 FE 00 00 00 66 A1 ?? ?? ?? ?? 66 89 06 E9 F0 00 00 00 66 A1 ?? ?? ?? ?? 66 89 06 E9 E2 00 00 00 66 A1 ?? ?? ?? ?? 66 89 06 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C BD 00 00 00 F6 83 84 02 00 00 02 0F 84 B0 00 00 00 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 88 45 F5 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 12 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 83 00 00 00 3C 01 75 7F 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 EB 70 66 A1 ?? ?? ?? ?? 66 89 06 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 4F F6 83 84 02 00 00 02 74 46 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 88 45 F5 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 0F 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 EB 1C 3C 01 75 18 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 EB 09 66 A1 ?? ?? ?? ?? 66 89 06 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 40 00 00 00 04 00 00 00 80 00 00 00 00 01 00 00 02 00 00 00 20 00 00 00 08 00 00 00 01 00 00 00 10 00 00 00 00 08 00 00 00 10 00 00 00 20 00 00 00 40 00 00 00 80 00 00 }
	condition:
		$1
}

rule function_13037_0 {
	meta:
		name = "TCustomDecisionGrid.GetSpecialState"
		size = 88
	strings:
		$1 = { 53 56 8B F1 33 C9 8A 98 00 03 00 00 FE CB 75 43 3B 90 98 02 00 00 75 3B 80 B8 9C 02 00 00 00 74 0C 3B B0 94 02 00 00 75 2A B1 02 EB 26 8B 90 94 02 00 00 3B 90 A8 02 00 00 7E 09 4A 3B F2 75 13 B1 04 EB 0F 3B F2 75 04 B1 01 EB 07 4A 3B F2 75 02 B1 03 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_13038_0 {
	meta:
		name = "TCustomDecisionGrid.GetDataPoint"
		size = 340
		refs = "0019 TCustomDecisionGrid.GetDataPoint 0023 @LStrClr 0030 TCustomDecisionGrid.GeTDecisionSource 0055 TCustomDecisionGrid.GetHitTypes 0098 TCustomDecisionGrid.GetData 00c1 TCustomDecisionGrid.GetCaption 00eb STotalCaption 00f0 LoadResString 010b TCustomDecisionGrid.GetLabel"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 10 66 A1 ?? ?? ?? ?? 66 89 06 8B C7 E8 ?? ?? ?? ?? 8B 45 0C C6 00 02 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 06 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 56 8D 45 F7 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 45 F7 83 F8 06 0F 87 DB 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 EC 50 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 0F 8E 9C 00 00 00 66 8B 06 66 0B 05 ?? ?? ?? ?? 66 89 06 E9 8A 00 00 00 57 8B 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? EB 7B 57 33 C9 8A 8B A1 02 00 00 03 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? EB 64 F6 06 01 74 5F F6 06 08 74 0E 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8B 45 F0 50 57 33 C9 8A 8B A0 02 00 00 03 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? EB 31 F6 06 01 74 2C F6 06 08 74 0E 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8B 45 F0 50 57 33 C9 8A 8B A1 02 00 00 03 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_13039_0 {
	meta:
		name = "TCustomDecisionGrid.SetColWidth"
		size = 25
		refs = "000c TCustomGrid.SetDefaultColWidth 0013 TCustomDecisionGrid.NewGridLayout"
	strings:
		$1 = { 53 8B D8 89 93 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13040_0 {
	meta:
		name = "TCustomDecisionGrid.SetRowHeight"
		size = 33
		refs = "0014 TCustomGrid.SetDefaultRowHeight"
	strings:
		$1 = { 53 8B D8 3B 93 B8 02 00 00 74 14 89 93 B8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_13041_0 {
	meta:
		name = "TCustomDecisionGrid.SetGridLineWidth"
		size = 12
	strings:
		$1 = { 89 90 E0 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_13042_0 {
	meta:
		name = "TCustomDecisionGrid.SetGridLineColor"
		size = 12
	strings:
		$1 = { 89 90 DC 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_13043_0 {
	meta:
		name = "TCustomDecisionGrid.SetLabelFont"
		size = 23
	strings:
		$1 = { 56 8B F0 8B 86 BC 02 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_13044_0 {
	meta:
		name = "TCustomDecisionGrid.SetLabelColor"
		size = 12
	strings:
		$1 = { 89 90 C0 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_13045_0 {
	meta:
		name = "TCustomDecisionGrid.SetLabelSumColor"
		size = 12
	strings:
		$1 = { 89 90 C4 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_13046_0 {
	meta:
		name = "TCustomDecisionGrid.SetCaptionFont"
		size = 23
	strings:
		$1 = { 56 8B F0 8B 86 CC 02 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_13047_0 {
	meta:
		name = "TCustomDecisionGrid.SetCaptionColor"
		size = 12
	strings:
		$1 = { 89 90 C8 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_13048_0 {
	meta:
		name = "TCustomDecisionGrid.SetDataFont"
		size = 23
	strings:
		$1 = { 56 8B F0 8B 86 D0 02 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_13049_0 {
	meta:
		name = "TCustomDecisionGrid.SetDataColor"
		size = 12
	strings:
		$1 = { 89 90 D4 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_13050_0 {
	meta:
		name = "TCustomDecisionGrid.SetDataSumColor"
		size = 12
	strings:
		$1 = { 89 90 D8 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_13052_0 {
	meta:
		name = "TCustomDecisionGrid.SetOptions"
		size = 37
		refs = "001e TCustomDecisionGrid.NewGridLayout"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 04 24 3A 83 84 02 00 00 74 10 8A 04 24 88 83 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_13053_0 {
	meta:
		name = "TCustomDecisionGrid.DrawSpecialState"
		size = 513
		refs = "004c TCustomImageList.Draw 0114 TPen.SetColor 0121 TPen.SetWidth 012e TCanvas.MoveTo 013b TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 F6 45 0C 80 74 31 8B 83 88 02 00 00 8B 55 F8 2B 50 28 8B 45 F4 03 45 FC 8B 8B 88 02 00 00 2B 41 24 D1 E8 50 6A 04 6A 01 8B CA 8B 83 88 02 00 00 8B D6 E8 ?? ?? ?? ?? F6 45 0D 01 74 31 8B 83 88 02 00 00 8B 55 F8 2B 50 28 8B 45 F4 03 45 FC 8B 8B 88 02 00 00 2B 41 24 D1 E8 50 6A 05 6A 01 8B CA 8B 83 88 02 00 00 8B D6 E8 ?? ?? ?? ?? F6 45 0D 02 74 28 8B 55 F0 8B 45 F4 03 45 FC 8B 8B 88 02 00 00 2B 41 24 D1 E8 50 6A 05 6A 01 8B CA 8B 83 88 02 00 00 8B D6 E8 ?? ?? ?? ?? F6 45 0D 04 74 28 8B 55 F0 8B 45 F4 03 45 FC 8B 8B 88 02 00 00 2B 41 24 D1 E8 50 6A 04 6A 01 8B CA 8B 83 88 02 00 00 8B D6 E8 ?? ?? ?? ?? 80 7D 08 01 75 56 8B 45 F4 03 45 FC 8B 93 88 02 00 00 2B 42 24 D1 E8 50 6A 00 6A 01 8B 4D F0 8B C2 8B D6 E8 ?? ?? ?? ?? BA FF 00 00 00 8B 46 10 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 80 7D 08 03 75 31 8B 83 88 02 00 00 8B 55 F8 2B 50 28 8B 45 F4 03 45 FC 8B 8B 88 02 00 00 2B 41 24 D1 E8 50 6A 01 6A 01 8B CA 8B 83 88 02 00 00 8B D6 E8 ?? ?? ?? ?? 80 7D 08 02 75 40 8B 55 F0 03 55 F8 8B 83 88 02 00 00 2B 50 28 D1 FA 79 03 83 D2 00 8B 45 F4 03 45 FC 8B 8B 88 02 00 00 2B 41 24 D1 F8 79 03 83 D0 00 50 6A 03 6A 01 8B CA 8B 83 88 02 00 00 8B D6 E8 ?? ?? ?? ?? 80 7D 08 04 75 36 BA FF 00 00 00 8B 46 10 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 4D F4 41 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 41 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13055_0 {
	meta:
		name = "TCustomDecisionGrid.TopLeftChanged"
		size = 36
		refs = "0006 TCustomGrid.TopLeftChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB FA 02 00 00 00 74 0E 8B D3 8B 83 FC 02 00 00 FF 93 F8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_13056_0 {
	meta:
		name = "TCustomDecisionGrid.ColWidthsChanged"
		size = 180
		refs = "003a TCustomDecisionGrid.GetColCount 004b TCustomGrid.GetColWidths 0097 TCustomGrid.SetColWidths 00a4 TCustomDecisionGrid.SetColWidth"
	strings:
		$1 = { 53 56 57 55 8B D8 F6 43 20 10 0F 84 9F 00 00 00 80 BB 9F 02 00 00 00 0F 85 92 00 00 00 C6 83 9F 02 00 00 01 8B AB B4 02 00 00 0F B6 B3 9E 02 00 00 03 B3 A4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 2B FE 7C 2E 47 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 83 B4 02 00 00 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 46 4F 75 D3 0F B6 B3 9E 02 00 00 03 B3 A4 02 00 00 46 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 2B FE 7C 10 47 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 F1 8B D5 8B C3 E8 ?? ?? ?? ?? C6 83 9F 02 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13057_0 {
	meta:
		name = "TCustomDecisionGrid.RowHeightsChanged"
		size = 153
		refs = "0029 TCustomDecisionGrid.GetRowCount 003c TCustomGrid.GetRowHeights 007c TCustomGrid.SetRowHeights 0089 TCustomDecisionGrid.SetRowHeight"
	strings:
		$1 = { 53 56 57 55 8B D8 F6 43 20 10 0F 84 84 00 00 00 80 BB 9F 02 00 00 00 75 7B C6 83 9F 02 00 00 01 8B AB B8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 30 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 83 B8 02 00 00 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 46 4F 75 D3 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 12 47 33 F6 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 F1 8B D5 8B C3 E8 ?? ?? ?? ?? C6 83 9F 02 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13058_0 {
	meta:
		name = "TCustomDecisionGrid.CellRect"
		size = 72
		refs = "000f TCustomDecisionGrid.GetFixedCols 0019 TCustomDecisionGrid.GetFixedRows 003d TCustomGrid.BoxRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 03 C6 50 8B C3 E8 ?? ?? ?? ?? 03 C7 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 03 F8 57 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D6 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13059_0 {
	meta:
		name = "TCustomDecisionGrid.Paint"
		size = 253
		refs = "000c TCustomGrid.Paint 0013 TCustomDecisionGrid.GeTDecisionSource 0027 TDecisionSource.GetReady 0043 TCustomDecisionGrid.GetColCount 004b TCustomDecisionGrid.GetRowCount 005c TCustomGrid.BoxRect 0086 TPen.SetColor 0094 TPen.SetWidth 00a6 TCanvas.MoveTo 00b5 TCanvas.LineTo"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 D6 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 80 BB 74 02 00 00 00 0F 84 B5 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 08 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? F6 83 84 02 00 00 01 0F 84 88 00 00 00 83 BB E0 02 00 00 00 7E 7F 8B B3 EC 01 00 00 8B 93 DC 02 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 93 E0 02 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 4C 24 04 49 8B 7C 24 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 6C 24 0C 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 14 24 4A 8B CD 8B C6 E8 ?? ?? ?? ?? 80 BB F8 01 00 00 00 75 26 F6 83 84 02 00 00 02 75 1D 8B 4C 24 0C 8B 1C 24 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13060_0 {
	meta:
		name = "TCustomDecisionGrid.DrawCell"
		size = 2012
		refs = "0029 TCustomDecisionGrid.DrawCell 0036 TCustomDecisionGrid.GeTDecisionSource 004a TDecisionSource.GetReady 0076 TBrush.SetColor 0084 TCanvas.FillRect 0093 TCustomGrid.GetRowHeights 00a5 TCustomGrid.GetColWidths 00ba TCustomDecisionGrid.RawToDataCoord 00d9 TCustomDecisionGrid.GetDataPoint 012d TFont.SetColor 0181 TCanvas.SetFont 01e6 TDecisionSource.GetActiveDim 01f3 TDisplayDims.GetDisplayDim 0352 TDecisionSource.GetDims 0360 TDecisionSource.GetCurrentSum 03a4 InflateRect 03c0 TBrush.GetColor 045c TCanvas.TextWidth 0488 WriteText 04da TPen.SetColor 04e8 TPen.SetWidth 052a TCanvas.MoveTo 0571 TCanvas.LineTo 05be TCustomDecisionGrid.GetColCount 05c7 TCustomDecisionGrid.GetFixedCols 0617 TCustomDecisionGrid.GetRowCount 0620 TCustomDecisionGrid.GetFixedRows 06a0 TCanvas.GetHandle 06a6 DrawEdge 0763 TCustomDecisionGrid.GetSpecialState 0794 TCustomDecisionGrid.DrawSpecialState 07a9 @LStrClr 07af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D F4 8B 75 0C 8D 7D D4 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 56 07 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 42 07 00 00 80 BB 74 02 00 00 00 0F 84 35 07 00 00 F6 43 20 01 74 24 8B 83 EC 01 00 00 8B 40 14 8B 53 64 E8 ?? ?? ?? ?? 8D 55 D4 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? E9 0B 07 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E F9 06 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E E7 06 00 00 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 EC 01 00 00 8D 45 F0 50 8D 45 EE 50 8D 45 F4 50 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F6 45 08 04 0F 95 C0 84 C0 74 20 F6 83 84 02 00 00 01 74 17 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 04 33 C0 EB 02 B0 01 88 45 F2 F6 45 08 02 74 1F BA 0D 00 00 80 8B 46 14 E8 ?? ?? ?? ?? BA 0E 00 00 80 8B 46 0C E8 ?? ?? ?? ?? E9 59 02 00 00 F6 45 08 04 0F 95 C0 84 C0 0F 84 B7 01 00 00 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 10 8B 53 64 8B 46 14 E8 ?? ?? ?? ?? E9 23 02 00 00 F6 45 F0 02 75 06 F6 45 F0 04 74 20 8B 93 CC 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 8B 46 14 E8 ?? ?? ?? ?? E9 F7 01 00 00 F6 45 F0 10 0F 84 9B 00 00 00 8B 93 BC 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 C0 02 00 00 8B 46 14 E8 ?? ?? ?? ?? 83 BB 80 02 00 00 00 74 4D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 42 6A 01 8B C3 E8 ?? ?? ?? ?? 8B 8B A4 02 00 00 03 4D FC 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 1C 3D FF FF FF 1F 74 0A 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8A 47 18 88 45 EE F6 45 F0 08 0F 84 72 01 00 00 8B 83 C4 02 00 00 3D FF FF FF 1F 0F 84 61 01 00 00 8B D0 8B 46 14 E8 ?? ?? ?? ?? E9 52 01 00 00 F6 45 F0 20 0F 84 9B 00 00 00 8B 93 BC 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 C0 02 00 00 8B 46 14 E8 ?? ?? ?? ?? 83 BB 80 02 00 00 00 74 4D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 42 6A 01 8B C3 E8 ?? ?? ?? ?? 8B 8B A8 02 00 00 03 4D F8 B2 01 E8 ?? ?? ?? ?? 8B D0 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 1C 3D FF FF FF 1F 74 0A 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8A 47 18 88 45 EE F6 45 F0 08 0F 84 CD 00 00 00 8B 83 C4 02 00 00 3D FF FF FF 1F 0F 84 BC 00 00 00 8B D0 8B 46 14 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 53 58 8B C6 E8 ?? ?? ?? ?? 8B 53 64 8B 46 14 E8 ?? ?? ?? ?? E9 93 00 00 00 8B 93 D0 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 D4 02 00 00 8B 46 14 E8 ?? ?? ?? ?? F6 45 F0 08 74 19 8B 83 D8 02 00 00 3D FF FF FF 1F 74 65 8B D0 8B 46 14 E8 ?? ?? ?? ?? EB 59 83 BB 80 02 00 00 00 74 50 8B C3 E8 ?? ?? ?? ?? 85 C0 74 45 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F8 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 1C 3D FF FF FF 1F 74 0A 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8A 47 18 88 45 EE 80 7D F2 00 75 06 C6 45 F3 02 EB 11 6A FF 6A FF 8D 45 D4 50 E8 ?? ?? ?? ?? C6 45 F3 01 66 83 BB F2 02 00 00 00 74 5D 8B 46 0C 89 45 E4 8B 46 14 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F8 50 8D 45 F4 50 8D 45 E4 50 8D 45 E8 50 8A 45 08 50 66 8B 45 F0 50 8B 4D FC 8B D3 8B 83 F4 02 00 00 FF 93 F0 02 00 00 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B 46 14 E8 ?? ?? ?? ?? 80 BB 6C 02 00 00 00 0F 84 85 03 00 00 83 7D F4 00 75 0F 8D 55 D4 8B C6 E8 ?? ?? ?? ?? E9 A8 00 00 00 F6 45 F0 02 75 06 F6 45 F0 04 74 06 F6 45 F0 80 75 06 F6 45 F1 01 74 5A 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 40 28 29 45 DC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 2B 55 D4 3B C2 7E 04 C6 45 EE 00 33 C0 8A 45 F3 50 8B 55 F4 52 8A 55 EE 52 8B C8 8D 55 D4 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 40 28 01 45 DC EB 36 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 2B 55 D4 3B C2 7E 04 C6 45 EE 00 33 C0 8A 45 F3 50 8B 55 F4 52 8A 55 EE 52 8B C8 8D 55 D4 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 93 DC 02 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 93 E0 02 00 00 8B 46 10 E8 ?? ?? ?? ?? 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 0F 84 49 01 00 00 83 BB E0 02 00 00 00 0F 8E 3C 01 00 00 F6 83 84 02 00 00 01 0F 84 2F 01 00 00 8B 4D E0 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 F7 D8 3B 45 FC 74 1D F6 45 F0 20 74 26 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 0F 8B 4D D8 8B 55 D4 8B C6 E8 ?? ?? ?? ?? EB 1B 8B 4D D8 49 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 4D D8 8B 55 D4 8B C6 E8 ?? ?? ?? ?? F6 45 F0 10 74 26 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 0F 8B 4D D8 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 4D D8 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B F8 4F 3B 7D FC 74 26 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 75 0F 8B 4D E0 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 1B 8B 4D D8 49 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 4D E0 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B F8 4F 3B 7D F8 74 17 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 74 0D 8B 4D E0 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 66 8B 45 F0 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 0F 84 96 00 00 00 8B 45 DC 8B D0 83 EA 10 3B 55 D4 0F 9F C2 22 55 F2 74 55 8B F8 83 6D DC 10 6A 01 6A 01 8D 45 D4 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 8D 45 D4 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 D4 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 D4 50 E8 ?? ?? ?? ?? 89 7D DC 8B 45 DC 83 E8 10 89 45 D4 8B 93 CC 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 8B 46 14 E8 ?? ?? ?? ?? 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 80 7D F2 00 74 4C 6A 01 6A 01 8D 45 D4 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 8D 45 D4 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 D4 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 D4 50 E8 ?? ?? ?? ?? 66 8B 35 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 88 45 EF 66 23 75 F0 66 A1 ?? ?? ?? ?? 66 3B C6 75 06 80 7D EF 00 74 19 66 8B 45 F0 50 8A 45 EF 50 8D 4D D4 8B 93 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 06 E8 00 00 00 00 00 00 00 D8 00 00 78 00 00 00 09 00 00 00 00 60 00 00 80 67 00 00 }
	condition:
		$1
}

rule function_13061_0 {
	meta:
		name = "TCustomDecisionGrid.WhichCoord"
		size = 355
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 33 D2 83 3C 24 00 7C 0E 83 7C 24 04 00 7C 07 B2 06 E9 38 01 00 00 8B 88 A4 02 00 00 85 C9 7E 1B 83 7C 24 04 FF 75 14 83 3C 24 00 7D 0E F7 D9 3B 0C 24 7F 07 B2 01 E9 13 01 00 00 8B 88 A8 02 00 00 85 C9 7E 23 33 DB 8A 98 A0 02 00 00 F7 DB 4B 3B 5C 24 04 75 12 83 3C 24 00 7C 0C 3B 0C 24 7E 07 B2 02 E9 E6 00 00 00 83 7C 24 04 00 7C 1C 83 3C 24 00 7D 16 33 C9 8A 88 A1 02 00 00 F7 D9 3B 0C 24 7F 07 B2 04 E9 C3 00 00 00 83 3C 24 00 7C 1F 83 7C 24 04 00 7D 18 33 C9 8A 88 A0 02 00 00 F7 D9 49 3B 4C 24 04 7D 07 B2 05 E9 9E 00 00 00 F6 80 84 02 00 00 02 74 3C 83 B8 B0 02 00 00 00 7E 33 8B B0 A8 02 00 00 85 F6 7E 0F F7 DE 4E 3B 74 24 04 75 06 83 3C 24 FF 74 16 83 3C 24 FF 75 14 83 7C 24 04 FE 75 0D 83 B8 A8 02 00 00 00 75 04 B2 08 EB 59 F6 80 84 02 00 00 02 74 2D 83 B8 AC 02 00 00 00 7E 24 33 C9 8A 88 A1 02 00 00 F7 D9 33 DB 8A 98 9E 02 00 00 2B CB 3B 0C 24 75 0B 83 7C 24 04 FF 75 04 B2 07 EB 23 F6 80 84 02 00 00 02 74 1A 33 C9 8A 88 A1 02 00 00 F7 D9 0F B6 80 9E 02 00 00 2B C8 3B 0C 24 75 02 B2 09 8B C2 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13062_0 {
	meta:
		name = "TCustomDecisionGrid.WhichCoordExCap"
		size = 158
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 33 D2 33 C9 8A 88 A0 02 00 00 83 CB FF 2B D9 3B 5C 24 04 75 25 33 C9 8A 88 A1 02 00 00 F7 D9 3B 0C 24 75 16 83 B8 A8 02 00 00 00 7E 0D 83 B8 A4 02 00 00 00 7E 04 33 D2 EB 4F 83 7C 24 04 FF 75 0A 83 3C 24 00 7F 04 B2 01 EB 3E 33 C9 8A 88 A0 02 00 00 F7 D9 49 3B 4C 24 04 75 15 83 3C 24 00 7C 0F 8B 0C 24 3B 88 A8 02 00 00 7F 04 B2 02 EB 18 83 7C 24 04 FF 75 11 83 3C 24 01 75 0B 83 B8 A8 02 00 00 00 75 02 B2 03 8B C2 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13063_0 {
	meta:
		name = "TCustomDecisionGrid.MouseToDataCoord"
		size = 63
		refs = "001a TCustomGrid.MouseCoord 0033 TCustomDecisionGrid.RawToDataCoord"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B FF 75 08 C7 03 18 FC FF FF EB 0C 8D 4B 04 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13064_0 {
	meta:
		name = "TCustomDecisionGrid.InvalidateTargetCell"
		size = 71
		refs = "0022 TCustomDecisionGrid.DataToRawCoord 0030 TCustomGrid.InvalidateCell"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 83 94 02 00 00 89 04 24 8B 83 98 02 00 00 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B 14 24 4A 8B 4C 24 04 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_13065_0 {
	meta:
		name = "TCustomDecisionGrid.GetHorzButtonPlace"
		size = 162
		refs = "0015 TCustomGrid.MouseCoord 001f TCustomGrid.GetColWidths 005b TCustomDecisionGrid.GetColCount"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E9 8B F2 8B D8 54 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 79 03 83 C7 03 C1 FF 02 8D 44 24 08 50 8B D6 2B D7 8B CD 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 50 8D 14 37 8B CD 8B C3 E8 ?? ?? ?? ?? 83 3C 24 FF 75 0A 8B C3 E8 ?? ?? ?? ?? 89 04 24 83 7C 24 10 FF 75 0B 8B C3 E8 ?? ?? ?? ?? 89 44 24 10 8B 44 24 08 3B 04 24 7C 0A 83 3C 24 00 75 08 3B FE 7C 04 33 C0 EB 0F 8B 44 24 10 3B 04 24 7E 04 B0 02 EB 02 B0 01 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13066_0 {
	meta:
		name = "TCustomDecisionGrid.SetNearestTargetCell"
		size = 463
		refs = "0021 TCustomDecisionGrid.MouseToDataCoord 002c TCustomDecisionGrid.GetHorzButtonPlace 01a5 TCustomDecisionGrid.InvalidateTargetCell"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B DA 8B F0 80 BE 00 03 00 00 01 0F 85 B0 01 00 00 54 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 BE A0 02 00 00 03 7C 24 04 33 D2 8A 96 A1 02 00 00 03 14 24 3C 01 0F 94 C3 85 D2 0F 8C 76 01 00 00 83 BE A8 02 00 00 00 7E 1D 83 BE A4 02 00 00 00 7E 14 83 FF FF 75 0F 85 D2 75 0B 84 C0 75 07 33 DB E9 D3 00 00 00 83 7C 24 04 FF 7C 1D 83 BE A4 02 00 00 00 75 14 C7 44 24 04 FF FF FF FF 33 C0 89 04 24 33 DB E9 AF 00 00 00 83 7C 24 04 FF 75 2C 83 3C 24 00 7C 26 83 BE A8 02 00 00 00 75 1D 83 3C 24 00 75 04 84 C0 74 13 C7 04 24 01 00 00 00 C7 44 24 04 FF FF FF FF 33 DB EB 7C 47 74 0C 8B 54 24 04 3B 96 90 02 00 00 7D 42 83 BE A8 02 00 00 00 7E 39 33 D2 8A 96 A0 02 00 00 83 C9 FF 2B CA 89 4C 24 04 3C 02 75 03 FF 04 24 8B 86 A8 02 00 00 8B 14 24 3B C2 7F 07 33 DB 89 04 24 EB 38 85 D2 7D 34 33 DB 33 C0 89 04 24 EB 2B C7 44 24 04 FF FF FF FF 3C 02 75 03 FF 04 24 33 C0 8A 86 A1 02 00 00 50 8B 86 A4 02 00 00 5A 2B C2 3B 04 24 7F 05 33 DB 89 04 24 3A 9E 9C 02 00 00 75 1B 8B 86 94 02 00 00 3B 04 24 75 10 8B 86 98 02 00 00 3B 44 24 04 75 04 33 C0 EB 02 B0 01 8B D3 80 F2 01 84 C2 74 24 8B 14 24 8B 86 8C 02 00 00 3B D0 7C 15 40 3B D0 7F 10 8B 86 90 02 00 00 3B 44 24 04 75 04 33 C0 EB 02 B0 01 84 C0 74 27 8B C6 E8 ?? ?? ?? ?? 8B 04 24 89 86 94 02 00 00 8B 44 24 04 89 86 98 02 00 00 88 9E 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13067_0 {
	meta:
		name = "TCustomDecisionGrid.GetDimensionIndex"
		size = 76
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 8B F1 8D 7D F8 A5 A5 8B 75 08 8B 4D 0C FE CA 74 06 FE CA 74 14 EB 1D 0F B6 80 A1 02 00 00 03 45 F8 C6 01 00 C6 06 01 EB 13 8B 45 F8 C6 01 01 C6 06 01 EB 08 C6 01 01 33 C0 C6 06 00 5F 5E 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13068_0 {
	meta:
		name = "TCustomDecisionGrid.PerformPivot"
		size = 245
		refs = "001c TCustomDecisionGrid.WhichCoord 0035 TCustomDecisionGrid.GetDimensionIndex 007f TCustomDecisionGrid.GeTDecisionSource 009b TDecisionSource.SwapDimIndexes 00b5 TCustomDecisionGrid.WhichCoordExCap 00ec TDecisionSource.MoveDimIndexes"
	strings:
		$1 = { 53 56 57 51 8B D8 F6 83 84 02 00 00 04 0F 84 DD 00 00 00 8D 93 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 54 24 01 52 8D 54 24 04 52 8D 8B 8C 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 80 3C 24 00 0F 84 AB 00 00 00 80 BB 9C 02 00 00 00 74 53 8D 93 94 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 54 24 02 52 8D 54 24 04 52 8D 8B 94 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 80 3C 24 00 74 74 8B C3 E8 ?? ?? ?? ?? 85 C0 74 69 57 56 6A 01 8B C3 E8 ?? ?? ?? ?? 8A 4C 24 0E 8A 54 24 0D E8 ?? ?? ?? ?? EB 4F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 44 8D 93 94 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 54 24 02 52 8D 54 24 04 52 8D 8B 94 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 18 57 56 6A 01 8B C3 E8 ?? ?? ?? ?? 8A 4C 24 0E 8A 54 24 0D E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13069_0 {
	meta:
		name = "TCustomDecisionGrid.MouseDown"
		size = 2488
		refs = "0020 TCustomDecisionGrid.MouseDown 0038 TCustomGrid.MouseDown 0055 TCustomDecisionGrid.MouseToDataCoord 0086 TCustomDecisionGrid.GetHitTypes 00a1 TCustomDecisionGrid.GeTDecisionSource 00b5 TDecisionSource.GetReady 00cf _DV_TValueArray 00d4 TSmallIntArray.Create 0103 TCustomDecisionGrid.CellValueArray 0124 TDecisionSource.GetCurrentSum 0152 TObject.Free 0158 @HandleFinally 017a TQuickMenu.Clear 0184 sGridMenu1 0189 LoadResString 0199 TQuickMenu.AddLine 01ac sGridMenu2 0203 TDecisionSource.GetDims 020f TDecisionSource.GetSums 0247 TDecisionSource.GetDimensionName 0251 TDecisionSource.GetState 02a5 TDecisionSource.GetSummaryName 02fb TCustomDecisionGrid.SelectGridOptions 0308 TQuickMenu.PopUpAtMe 0380 TDecisionSource.GetActiveDim 038d TDisplayDims.GetDisplayDim 039d SCaptionMenu1 03bc SCaptionMenu2 0543 TCustomDecisionGrid.SelectDimOptions 0554 TCustomDecisionGrid.DataToRawY 0563 TCustomDecisionGrid.DataToRawX 056d TCustomGrid.CellRect 0623 TDecisionSource.GetGroupExtent 066f TCustomGrid.GetRowHeights 06a0 TCustomGrid.GetColWidths 074e SCaptionMenu3 0796 SDrillIn 07b7 TCustomDecisionGrid.RightMouse 0810 TCustomGrid.MouseCoord 0828 TCustomGrid.BoxRect 084b TDecisionSource.OpenDimIndexRight 0864 TDecisionSource.CloseDimIndexRight 08b4 TCustomDecisionGrid.GetHorzButtonPlace 08f9 TCustomDecisionGrid.InvalidateTargetCell 094b TDecisionSource.GetRowState 098c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D E0 88 4D FE 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 08 50 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 6E 02 00 00 00 0F 85 32 09 00 00 8D 45 BC 50 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 89 83 8C 02 00 00 8B 45 C0 89 83 90 02 00 00 8D 45 F4 50 8D 45 FB 50 8D 45 FD 50 8B 8B 8C 02 00 00 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D FF 01 0F 85 6A 07 00 00 80 7D FD 06 0F 85 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 CE 08 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BA 08 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC C6 40 14 00 8D 45 DC 50 8B 8B 90 02 00 00 8B 93 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 66 83 BB EA 02 00 00 00 74 2C 8B 83 90 02 00 00 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 DC 50 8B 8B 8C 02 00 00 8B D3 8B 83 EC 02 00 00 FF 93 E8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FD 48 2C 02 0F 82 A7 01 00 00 48 2C 02 0F 82 9E 01 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 78 02 00 00 B1 02 E8 ?? ?? ?? ?? 80 BB E4 02 00 00 00 74 1F 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 78 02 00 00 B1 02 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 1B 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 07 01 00 00 F6 83 84 02 00 00 04 0F 84 FA 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 7F 0C 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 7E 14 6A FF 8B 83 78 02 00 00 B1 02 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 48 85 C0 7C 51 40 89 45 D4 33 F6 8D 4D E0 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 3C 01 75 16 8D 46 64 50 8B 83 78 02 00 00 33 C9 8B 55 E0 E8 ?? ?? ?? ?? EB 14 8D 46 64 50 8B 83 78 02 00 00 B1 02 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D D4 75 B5 8B 45 D8 E8 ?? ?? ?? ?? 48 85 C0 7C 59 40 89 45 D4 33 F6 8D 4D E0 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 19 8D 86 C8 00 00 00 50 8B 83 78 02 00 00 33 C9 8B 55 E0 E8 ?? ?? ?? ?? EB 17 8D 86 C8 00 00 00 50 8B 83 78 02 00 00 B1 02 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D D4 75 AD 8B 83 78 02 00 00 89 58 68 C7 40 64 ?? ?? ?? ?? 8B 55 08 52 8B CF 8B D3 E8 ?? ?? ?? ?? E9 6A 06 00 00 8A 45 FD 48 2C 02 72 0A 04 FC 2C 02 0F 83 67 02 00 00 8B B3 78 02 00 00 8B C6 E8 ?? ?? ?? ?? 8A 45 FD 48 2C 02 0F 83 D9 00 00 00 80 7D FD 01 75 06 C6 46 74 00 EB 04 C6 46 74 01 80 7E 74 00 75 15 8B 83 8C 02 00 00 33 D2 8A 93 A1 02 00 00 03 C2 89 46 78 EB 09 8B 83 8C 02 00 00 89 46 78 6A 01 8B C3 E8 ?? ?? ?? ?? 8B 4E 78 8A 56 74 E8 ?? ?? ?? ?? 8B D0 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 80 78 20 00 74 40 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 78 02 00 00 B1 01 E8 ?? ?? ?? ?? 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 78 02 00 00 B1 02 E8 ?? ?? ?? ?? EB 3E 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 78 02 00 00 B1 02 E8 ?? ?? ?? ?? 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 78 02 00 00 B1 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 13 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 FF 00 00 00 F6 83 84 02 00 00 04 0F 84 F2 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 03 F0 85 F6 7E 14 6A FF 8B 83 78 02 00 00 B1 02 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 4F 40 89 45 D4 33 F6 8D 4D E0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 3C 01 75 16 8D 46 64 50 8B 83 78 02 00 00 33 C9 8B 55 E0 E8 ?? ?? ?? ?? EB 14 8D 46 64 50 8B 83 78 02 00 00 B1 02 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D D4 75 B7 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 58 40 89 45 D4 33 F6 8D 4D E0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 19 8D 86 C8 00 00 00 50 8B 83 78 02 00 00 33 C9 8B 55 E0 E8 ?? ?? ?? ?? EB 17 8D 86 C8 00 00 00 50 8B 83 78 02 00 00 B1 02 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D D4 75 AE 8B 83 78 02 00 00 89 58 68 C7 40 64 ?? ?? ?? ?? 8D 45 C4 50 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 40 50 8B 93 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 83 78 02 00 00 8B 4D C4 8B D3 E8 ?? ?? ?? ?? E9 F1 03 00 00 8B BB 78 02 00 00 80 7D FD 04 75 06 C6 47 74 00 EB 04 C6 47 74 01 F6 45 FB 01 0F 95 C0 88 47 75 80 7F 74 00 75 24 8B B3 A4 02 00 00 8B 83 8C 02 00 00 33 D2 8A 93 A1 02 00 00 03 C2 89 47 78 8B 83 90 02 00 00 89 47 7C EB 26 8B B3 A8 02 00 00 C6 47 74 01 8B 83 90 02 00 00 33 D2 8A 93 A0 02 00 00 03 C2 89 47 78 8B 83 8C 02 00 00 89 47 7C 8B C7 E8 ?? ?? ?? ?? 8B 47 78 4E 3B C6 0F 8D 83 01 00 00 8B 47 7C 50 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 8B 4F 78 8A 57 74 E8 ?? ?? ?? ?? 80 7F 74 00 75 1C 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 89 45 E8 EB 1A 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 89 45 E8 80 7F 74 00 75 31 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 BE 03 00 00 00 EB 4B 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 BE 02 00 00 00 EB 36 BE 01 00 00 00 EB 2F 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 BE 03 00 00 00 EB 1A 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 BE 02 00 00 00 EB 05 BE 01 00 00 00 83 FE 01 75 1D 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 02 8B C7 E8 ?? ?? ?? ?? 83 FE 02 75 1D 6A 02 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 6A 02 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 02 8B C7 E8 ?? ?? ?? ?? 83 FE 03 75 1D 6A 03 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 6A 03 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 02 8B C7 E8 ?? ?? ?? ?? 6A FF B1 02 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B1 02 8B C7 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 89 58 68 C7 40 64 ?? ?? ?? ?? 8D 45 C4 50 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 40 50 8B 93 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 83 78 02 00 00 8B 4D C4 8B D3 E8 ?? ?? ?? ?? E9 7D 01 00 00 80 7D FD 08 75 64 8D 45 EC 50 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 75 EC 56 8B 45 F0 50 8D 45 C4 50 8B 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 83 E8 10 3B F8 7C 32 F6 45 FB 80 74 13 6A 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 E8 ?? ?? ?? ?? F6 45 FC 01 74 13 6A 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 E8 ?? ?? ?? ?? 80 7D FD 07 75 32 F6 45 FB 80 74 13 6A 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 E8 ?? ?? ?? ?? F6 45 FC 01 74 13 6A 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 E8 ?? ?? ?? ?? 8A 45 FD 48 2C 02 0F 83 CF 00 00 00 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8A 55 FD 80 EA 01 75 06 C6 45 FA 00 EB 04 C6 45 FA 01 3C 01 75 31 F6 83 84 02 00 00 04 74 28 C6 83 00 03 00 00 01 8B 83 8C 02 00 00 89 83 94 02 00 00 8B 83 90 02 00 00 89 83 98 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 7C 3C 02 75 78 80 7D FA 00 75 12 8B B3 8C 02 00 00 33 C0 8A 83 A1 02 00 00 03 F0 EB 06 8B B3 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 F6 83 84 02 00 00 02 74 35 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE 8A 55 FA E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? A8 01 74 15 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE 8A 55 FA E8 ?? ?? ?? ?? EB 13 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CE 8A 55 FA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_13070_0 {
	meta:
		name = "TCustomDecisionGrid.SelectGridOptions"
		size = 224
		refs = "001d TCustomDecisionGrid.GetTotals 0029 TCustomDecisionGrid.SetTotals 0035 TCustomDecisionGrid.GeTDecisionSource 0049 TDecisionSource.GetDecisionCube 0062 TDecisionCube.ShowCubeDialog 007f TDecisionSource.GetDims 0098 TDecisionSource.GetIndex 00a2 TDecisionSource.GetGroup 00b1 TDecisionSource.ToggleDimIndex 00ba TDecisionSource.GetSums 00d7 TDecisionSource.SetCurrentSummary"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 78 02 00 00 8B 70 6C 8B C6 83 E8 01 72 04 74 1A EB 4E 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? E9 A9 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 86 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 73 8B C3 E8 ?? ?? ?? ?? 85 C0 74 68 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 83 C0 64 3B F0 7D 2D 6A 00 8B EE 83 ED 64 8B D5 33 C9 8B C7 E8 ?? ?? ?? ?? 50 8B D5 8B C7 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 24 8B C7 E8 ?? ?? ?? ?? 05 C8 00 00 00 3B F0 7D 14 8B C3 E8 ?? ?? ?? ?? 8B D6 81 EA C8 00 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13071_0 {
	meta:
		name = "TCustomDecisionGrid.SelectDimOptions"
		size = 211
		refs = "0023 TCustomDecisionGrid.GeTDecisionSource 0034 TDecisionSource.GetActiveDim 004b TDisplayDims.GetDisplayDim 0055 TDisplayDim.SetSubs 0072 TDecisionSource.GetDims 008b TDecisionSource.GetIndex 0095 TDecisionSource.GetGroup 00a4 TDecisionSource.ToggleDimIndex 00ad TDecisionSource.GetSums 00ca TDecisionSource.SetCurrentSummary"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 78 02 00 00 8B 70 6C 83 FE 64 7D 47 83 78 78 00 0F 8C B0 00 00 00 6A 01 8B C3 E8 ?? ?? ?? ?? 8B BB 78 02 00 00 8B 4F 78 8A 57 74 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C 8C 00 00 00 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 85 F6 0F 94 C2 E8 ?? ?? ?? ?? EB 73 8B C3 E8 ?? ?? ?? ?? 85 C0 74 68 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 83 C0 64 3B F0 7D 2D 6A 00 8B EE 83 ED 64 8B D5 33 C9 8B C7 E8 ?? ?? ?? ?? 50 8B D5 8B C7 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 24 8B C7 E8 ?? ?? ?? ?? 05 C8 00 00 00 3B F0 7D 14 8B C3 E8 ?? ?? ?? ?? 8B D6 81 EA C8 00 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13072_0 {
	meta:
		name = "TCustomDecisionGrid.RightMouse"
		size = 512
		refs = "004d TCustomDecisionGrid.GeTDecisionSource 0058 TDecisionSource.GetValueIndex 0079 TDecisionSource.DrillDimIndex 0099 TDecisionSource.GetGroupExtent 00aa TCustomDecisionGrid.DataToRawY 00ca TCustomDecisionGrid.DataToRawX 011b TCustomGrid.SetRowHeights 012c TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F0 8B 9E 78 02 00 00 80 7B 74 00 75 0D 83 BE A4 02 00 00 00 0F 84 D6 01 00 00 80 7B 74 00 74 0D 83 BE A8 02 00 00 00 0F 84 C3 01 00 00 8B 7B 6C 85 FF 75 46 8B 43 7C 50 8D 44 24 05 50 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 8B 4B 78 8A 53 74 E8 ?? ?? ?? ?? 89 83 80 00 00 00 8B 83 80 00 00 00 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B 4B 78 8A 53 74 E8 ?? ?? ?? ?? E9 76 01 00 00 8B 43 7C 50 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 8B 4B 78 8A 53 74 E8 ?? ?? ?? ?? 80 7B 74 00 75 20 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 89 44 24 08 EB 1E 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 89 44 24 08 8B 54 24 08 8B 44 24 04 3B D0 0F 84 07 01 00 00 C6 86 9F 02 00 00 01 83 FF 01 75 3C 8B E8 8B FA 2B FD 0F 8C E8 00 00 00 47 80 7B 74 00 75 11 8B 8E B8 02 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? EB 0F 8B 8E B4 02 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? 45 4F 75 D6 E9 B8 00 00 00 83 FF 02 75 58 8B E8 8B FA 4F 2B FD 7C 2B 47 80 7B 74 00 75 11 8B 8E B8 02 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? EB 0F 8B 8E B4 02 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? 45 4F 75 D6 80 7B 74 00 75 0F 33 C9 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 6A 33 C9 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 5B 83 FF 03 75 56 8B E8 8B FA 4F 2B FD 7C 23 47 80 7B 74 00 75 0D 33 C9 8B D5 8B C6 E8 ?? ?? ?? ?? EB 0B 33 C9 8B D5 8B C6 E8 ?? ?? ?? ?? 45 4F 75 DE 80 7B 74 00 75 13 8B 8E B8 02 00 00 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? EB 11 8B 8E B4 02 00 00 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? C6 86 9F 02 00 00 00 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13073_0 {
	meta:
		name = "TCustomDecisionGrid.MouseMove"
		size = 58
		refs = "001a TCustomGrid.MouseMove 002e TCustomDecisionGrid.SetNearestTargetCell"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 00 03 00 00 01 75 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13074_0 {
	meta:
		name = "TCustomDecisionGrid.MouseUp"
		size = 85
		refs = "0020 TCustomGrid.MouseUp 0034 TCustomDecisionGrid.SetNearestTargetCell 003b TCustomDecisionGrid.InvalidateTargetCell 0049 TCustomDecisionGrid.PerformPivot"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 BB 00 03 00 00 01 75 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 00 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13075_0 {
	meta:
		name = "TCustomDecisionGrid.GeTDecisionSource"
		size = 10
	strings:
		$1 = { 8B 80 7C 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_13076_0 {
	meta:
		name = "TCustomDecisionGrid.SeTDecisionSource"
		size = 38
		refs = "0013 TDecisionDataLink.SetDecisionSource 001e TCustomDecisionGrid.NewDataStructure"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 7C 02 00 00 8B 78 04 8B D6 E8 ?? ?? ?? ?? 3B FE 74 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13077_0 {
	meta:
		name = "TCustomDecisionGrid.CMDesignHitTest"
		size = 201
		refs = "0010 TCustomGrid.CMDesignHitTest 003f TCustomDecisionGrid.MouseToDataCoord 0061 TCustomDecisionGrid.GetHitTypes 0093 TCustomDecisionGrid.CellRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7B 0C 00 0F 85 A3 00 00 00 80 BE 00 03 00 00 01 75 0C C7 43 0C 01 00 00 00 E9 8E 00 00 00 54 0F BF 4B 0A 0F BF 53 08 8B C6 E8 ?? ?? ?? ?? 8D 44 24 08 50 8D 44 24 10 50 8D 44 24 16 50 8B 7C 24 0C 8B CF 8B 6C 24 10 8B D5 8B C6 E8 ?? ?? ?? ?? 8A 44 24 0E 48 2C 02 72 09 48 2C 02 72 04 2C 01 75 09 C7 43 0C 01 00 00 00 EB 41 80 7C 24 0E 08 75 35 8D 44 24 10 50 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 86 88 02 00 00 8B 54 24 18 2B 50 28 0F BF 43 08 3B D0 7E 07 33 C0 89 43 0C EB 0E C7 43 0C 01 00 00 00 EB 05 33 C0 89 43 0C 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13078_0 {
	meta:
		name = "TCustomDecisionGrid.GetData"
		size = 233
		refs = "0023 TCustomDecisionGrid.GetData 0030 TCustomDecisionGrid.GeTDecisionSource 0040 TDecisionSource.GetCurrentSum 004e TDecisionSource.GetDims 005d TDisplayDims.GetDisplayDim 0068 @LStrLAsg 0088 TDecisionSource.GetDataAsVariant 0095 FormatVariant 00ae TDecisionSource.GetDataAsString 00b7 @LStrClr 00cc @VarClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 7C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F8 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 50 14 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 29 8B 45 0C 50 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 8B CE 8B 55 F4 E8 ?? ?? ?? ?? EB 20 8B 45 0C 50 56 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13079_0 {
	meta:
		name = "TCustomDecisionGrid.GetCaption"
		size = 108
		refs = "0014 @LStrClr 001b TCustomDecisionGrid.GeTDecisionSource 0032 TDecisionSource.GetActiveDim 0041 TDisplayDims.GetDisplayDim 004b @LStrLAsg 0060 TDecisionSource.GetDimensionName"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 41 6A 01 8B C3 E8 ?? ?? ?? ?? 8B CF 8A 55 FF E8 ?? ?? ?? ?? 8B F8 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 83 3E 00 75 10 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13080_0 {
	meta:
		name = "TCustomDecisionGrid.GetLabel"
		size = 214
		refs = "0022 TCustomDecisionGrid.GetLabel 002f TCustomDecisionGrid.GeTDecisionSource 0050 TDecisionSource.GetActiveDim 005f TDisplayDims.GetDisplayDim 006a @LStrLAsg 0080 TDecisionSource.GetMemberAsVariant 008e FormatVariant 00a4 TDecisionSource.GetMemberAsString 00b9 @VarClr 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 71 85 FF 7C 6D 8B C3 E8 ?? ?? ?? ?? 89 45 F4 6A 01 8B CE 8A 55 FF 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 50 14 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 20 8D 45 E4 50 8B CF 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 8B 4D 08 8B 55 F8 E8 ?? ?? ?? ?? EB 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13081_0 {
	meta:
		name = "TCustomDecisionGrid.GetCells"
		size = 129
		refs = "0010 TCustomDecisionGrid.GetFixedCols 001d TCustomDecisionGrid.GetFixedRows 002a TCustomDecisionGrid.GetColCount 0040 TCustomDecisionGrid.GetRowCount 0057 SGridCellError 005c LoadResString 0075 TCustomDecisionGrid.GetDataPoint"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? F7 D8 3B F0 7C 39 8B C3 E8 ?? ?? ?? ?? F7 D8 3B F8 7C 2C 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 3B F2 7D 16 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 3B FA 7C 0F 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8D 45 FE 50 8D 45 FD 50 8B 45 08 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13082_0 {
	meta:
		name = "TCustomDecisionGrid.CellDrawState"
		size = 184
		refs = "0018 TCustomDecisionGrid.CellDrawState 0025 TCustomDecisionGrid.GetFixedCols 0032 TCustomDecisionGrid.GetFixedRows 003f TCustomDecisionGrid.GetColCount 0055 TCustomDecisionGrid.GetRowCount 007f TCustomDecisionGrid.GetDataPoint 008a @LStrAsg 00a1 @LStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? F7 D8 3B F0 7C 39 8B C3 E8 ?? ?? ?? ?? F7 D8 3B F8 7C 2C 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 3B F2 7D 16 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 3B FA 7C 04 33 DB EB 24 8B 45 08 50 8D 45 FF 50 8D 45 F8 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 0C E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13083_0 {
	meta:
		name = "TCustomDecisionGrid.CellValueArray"
		size = 54
		refs = "000f TCustomDecisionGrid.GeTDecisionSource 002b TDecisionSource.GetValueArray"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13084_0 {
	meta:
		name = "TCustomDecisionGrid.GetTotals"
		size = 67
		refs = "0015 TCollection.GetCount 002c TDisplayDims.GetDisplayDim"
	strings:
		$1 = { 53 56 57 55 8B F0 33 DB 8B BE 80 02 00 00 85 FF 74 2A 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 1C 45 33 FF 8B D7 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 80 78 20 00 74 02 B3 01 47 4D 75 E7 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13087_0 {
	meta:
		name = "TCustomDecisionGrid.GetRowCount"
		size = 7
	strings:
		$1 = { 8B 80 2C 02 00 00 C3 }
	condition:
		$1
}

rule function_13088_0 {
	meta:
		name = "TCustomDecisionGrid.GetColCount"
		size = 7
	strings:
		$1 = { 8B 80 FC 01 00 00 C3 }
	condition:
		$1
}

rule function_13089_0 {
	meta:
		name = "TCustomDecisionGrid.SetTotals"
		size = 64
		refs = "0015 TCollection.GetCount 002c TDisplayDims.GetDisplayDim 0033 TDisplayDim.SetSubs"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B BE 80 02 00 00 85 FF 74 29 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 1B 45 33 FF 8B D7 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 4D 75 E8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13090_0 {
	meta:
		name = "TDecisionGridDataLink.DecisionDataEvent"
		size = 130
		refs = "0019 TDecisionGridDataLink.DecisionDataEvent 0047 TCustomDecisionGrid.NewGridLayout 0055 TCustomDecisionGrid.NewDataStructure 0070 TCustomDecisionGrid.SeTDecisionSource"
	strings:
		$1 = { 53 8B D8 80 7B 08 00 75 77 C6 43 08 01 33 C0 8A C2 83 F8 04 77 66 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 0C 85 C0 74 44 8B 10 FF 52 78 EB 3D 8B 43 0C 85 C0 74 36 E8 ?? ?? ?? ?? EB 2F 8B 43 0C 85 C0 74 28 E8 ?? ?? ?? ?? EB 21 8B 43 0C 85 C0 74 1A E8 ?? ?? ?? ?? EB 13 8B 53 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? C6 43 08 00 5B C3 }
	condition:
		$1
}

rule function_13093_0 {
	meta:
		name = "TDisplayDims.Create"
		size = 73
		refs = "000e @ClassCreate 0020 TCollection.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C C6 47 18 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13096_0 {
	meta:
		name = "TDisplayDims.NotifyOwner"
		size = 68
		refs = "0024 TCustomDecisionGrid.NewGridLayout 0031 TCustomDecisionGrid.NewDataStructure 003e TCustomDecisionGrid.InitializeGridCells"
	strings:
		$1 = { 56 80 78 18 00 75 3B 8B 70 1C F6 46 20 01 75 32 80 EA 01 72 08 74 20 FE CA 74 0F EB 25 85 F6 74 21 8B C6 E8 ?? ?? ?? ?? EB 18 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? EB 0B 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_13098_0 {
	meta:
		name = "TDisplayDim.Create"
		size = 93
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0027 @LStrClr 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 8D 47 0C E8 ?? ?? ?? ?? C7 47 1C FF FF FF 1F C6 47 20 01 C6 47 18 02 8D 47 14 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13099_0 {
	meta:
		name = "TDisplayDim.assign"
		size = 70
		refs = "000b _DV_TDisplayDim 0010 @IsClass 0021 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8D 43 0C 8B FE 8B 57 0C E8 ?? ?? ?? ?? 8B 47 1C 89 43 1C 8A 47 20 88 43 20 8A 47 18 88 43 18 8D 43 14 8B 57 14 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13100_0 {
	meta:
		name = "TDisplayDim.SetName"
		size = 85
		refs = "000e @LStrAddRef 0016 TDisplayDim.SetName 0027 @LStrAsg 0030 TDisplayDim.NotifyCollection 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13101_0 {
	meta:
		name = "TDisplayDim.SetFieldName"
		size = 107
		refs = "000e @LStrAddRef 0016 TDisplayDim.SetFieldName 003d @LStrAsg 0046 TDisplayDim.NotifyCollection 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 85 C0 74 23 83 78 1C 00 74 1D 8B 40 1C F6 40 20 01 74 14 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13102_0 {
	meta:
		name = "TDisplayDim.SetFormat"
		size = 85
		refs = "000e @LStrAddRef 0016 TDisplayDim.SetFormat 0027 @LStrAsg 0030 TDisplayDim.NotifyCollection 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13103_0 {
	meta:
		name = "TDisplayDim.SetAlignment"
		size = 11
		refs = "0006 TDisplayDim.NotifyCollection"
	strings:
		$1 = { 88 50 18 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13104_0 {
	meta:
		name = "TDisplayDim.SetColor"
		size = 11
		refs = "0006 TDisplayDim.NotifyCollection"
	strings:
		$1 = { 89 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13105_0 {
	meta:
		name = "TDisplayDim.SetSubs"
		size = 11
		refs = "0006 TDisplayDim.NotifyCollection"
	strings:
		$1 = { 88 50 20 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13109_0 {
	meta:
		name = "TProgressDialog.StartBuild"
		size = 213
		refs = "000e TProgressDialog.StartBuild 005a @HandleAnyException 005f ExceptObject 006f @LStrAsg 0081 @DoneExcept 00a5 TCustomForm.SetVisible 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 E0 02 00 00 01 8B 45 FC 66 83 B8 EA 02 00 00 00 74 63 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 EC 02 00 00 FF 93 E8 02 00 00 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 04 8B 45 FC 05 E4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C7 80 2C 02 00 00 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C7 80 2C 02 00 00 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E1 02 00 00 01 8B 45 FC C6 80 E0 02 00 00 00 8B 45 FC C6 80 D0 02 00 00 01 C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13110_0 {
	meta:
		name = "TProgressDialog.UpdateProgress"
		size = 40
		refs = "0006 TProgressDialog.StepProgress 000b Application 0012 TApplication.ProcessMessages"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB D0 02 00 00 00 74 05 83 C8 FF 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_13111_0 {
	meta:
		name = "TProgressDialog.GetMax"
		size = 7
	strings:
		$1 = { 8B 80 DC 02 00 00 C3 }
	condition:
		$1
}

rule function_13112_0 {
	meta:
		name = "TProgressDialog.SetMax"
		size = 164
		refs = "001e TProgressBar.SetMax 002e TProgressBar.SetPosition 0042 TProgressDialog.SetMax 0049 @TRUNC 0052 TProgressDialog.SetInterval"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 3B B3 DC 02 00 00 74 78 89 B3 DC 02 00 00 8B D6 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 81 FE 10 27 00 00 7E 1E 89 34 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 2F 83 FE 64 7E 1E 89 34 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 CD CC CC CC CC CC CC CC FA 3F 00 00 CD CC CC CC CC CC CC CC FB 3F 00 00 }
	condition:
		$1
}

rule function_13113_0 {
	meta:
		name = "TProgressDialog.StepProgress"
		size = 82
		refs = "001b TProgressBar.GetMax 002e TCustomForm.SetVisible 0039 TProgressBar.StepIt"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B 86 D8 02 00 00 3B 86 D4 02 00 00 75 33 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 24 80 7E 47 00 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 D8 02 00 00 B3 01 FF 86 D8 02 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_13114_0 {
	meta:
		name = "TProgressDialog.ShowStatus"
		size = 98
		refs = "000e @LStrAddRef 0016 TProgressDialog.ShowStatus 002f TControl.SetVisible 003d TControl.SetText 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 CC 02 00 00 80 78 47 00 75 07 B2 01 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13115_0 {
	meta:
		name = "TProgressDialog.CancelButtonClick"
		size = 42
	strings:
		$1 = { C6 80 D0 02 00 00 01 80 B8 E1 02 00 00 00 74 19 8B 90 C8 02 00 00 83 BA F4 01 00 00 01 74 0A C7 80 2C 02 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_13116_0 {
	meta:
		name = "TProgressDialog.SetInterval"
		size = 36
		refs = "001f TProgressBar.SetStep"
	strings:
		$1 = { 3B 90 D4 02 00 00 74 1B 89 90 D4 02 00 00 C7 80 D8 02 00 00 01 00 00 00 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13117_0 {
	meta:
		name = "TProgressDialog.Reset"
		size = 17
		refs = "000c TProgressBar.SetPosition"
	strings:
		$1 = { BA 01 00 00 00 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13118_0 {
	meta:
		name = "TProgressDialog.FormActivate"
		size = 36
		refs = "0018 TWinControl.GetHandle 001e PostMessage"
	strings:
		$1 = { 53 8B D8 80 BB E0 02 00 00 00 75 16 6A 00 6A 00 68 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13119_0 {
	meta:
		name = "TProgressDialog.FormCreate"
		size = 68
		refs = "000f GetSystemMetrics 001f Screen 0026 TScreen.GetWidth"
	strings:
		$1 = { 53 56 8B D8 8B 43 38 50 8B 73 3C 56 6A 01 E8 ?? ?? ?? ?? 2B C6 B9 03 00 00 00 99 F7 F9 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 2B 53 38 D1 FA 79 03 83 D2 00 8B C3 59 8B 18 FF 93 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13122_0 {
	meta:
		name = "TDecisionPivot.Create"
		size = 188
		refs = "000e @ClassCreate 001c TCustomPanel.Create 002c _DV_TPivotDataLink 0031 TPivotDataLink.Create 0066 TDecisionPivot.Create 0084 TDecisionPivot.SetBorderWidth 008d TDecisionPivot.SetBorderStyle 0094 TDecisionPivot.NewPanelSetup 00a1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 00 02 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 04 02 00 00 89 5E 0C C6 83 31 02 00 00 00 C7 83 38 02 00 00 40 00 00 00 C7 83 3C 02 00 00 18 00 00 00 C7 83 40 02 00 00 0A 00 00 00 A0 ?? ?? ?? ?? 88 83 32 02 00 00 33 C0 89 83 34 02 00 00 C6 83 30 02 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_13123_0 {
	meta:
		name = "TDecisionPivot.Destroy"
		size = 137
		refs = "0005 @BeforeDestruction 002b TList.Get 0030 TObject.Free 003f TList.Put 0075 TCustomControl.Destroy 0080 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 85 0C 02 00 00 85 C0 74 43 8B 78 08 4F 85 FF 7C 28 47 33 F6 8B D6 8B 85 0C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D6 8B 85 0C 02 00 00 E8 ?? ?? ?? ?? 46 4F 75 DB 8B 85 0C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 85 0C 02 00 00 8B 85 04 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 85 04 02 00 00 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13124_0 {
	meta:
		name = "TDecisionPivot.Notification"
		size = 64
		refs = "0010 TControl.Notification 0018 _Dn_TPivotButton 001d @IsClass 0038 TPivotButton.SetDecisionSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 84 DB 75 13 8B 87 08 02 00 00 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13125_0 {
	meta:
		name = "TDecisionPivot.SetBounds"
		size = 33
		refs = "0011 TWinControl.SetBounds 0018 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13126_0 {
	meta:
		name = "TDecisionPivot.NewPanelSetup"
		size = 1056
		refs = "0008 Lock 0020 TDecisionSource.GetReady 0032 TControl.SetText 0054 TList.Get 0059 TObject.Free 0068 TList.Put 0072 Freeing 011b TDecisionSource.GetGroupCount 01bc _Dn_TList 01c1 TObject.Create 01d0 TList.Insert 0201 _Dn_TPivotButton 0206 TPivotButton.Create 0225 TPivotButton.SetMyDim 0232 TPivotButton.SetType 024f TDecisionPivot.NewPanelSetup 0325 TDecisionSource.GetDecisionCube 032d TCollection.GetCount 034c TCubeDims.GetCubeDim 0355 TCubeDim.GetLoaded 0412 TDecisionPivot.NewDimLayout"
	strings:
		$1 = { 53 56 57 55 8B D8 80 3D ?? ?? ?? ?? 00 0F 85 03 04 00 00 8B B3 08 02 00 00 85 F6 74 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 DB 00 00 00 8B 53 08 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 85 C0 74 30 8B 78 08 4F 85 FF 7C 28 47 33 F6 8B D6 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D6 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 46 4F 75 DB 80 3D ?? ?? ?? ?? 00 0F 85 99 03 00 00 C6 05 ?? ?? ?? ?? 01 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 0C 02 00 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 18 02 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 1C 02 00 00 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 10 02 00 00 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 14 02 00 00 33 C0 89 83 20 02 00 00 33 C0 89 83 24 02 00 00 33 C0 89 83 28 02 00 00 C6 05 ?? ?? ?? ?? 00 E9 0F 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 83 20 02 00 00 33 C9 B2 01 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 83 24 02 00 00 33 C9 B2 03 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 28 02 00 00 8B 83 0C 02 00 00 85 C0 74 55 8B 50 08 03 B3 20 02 00 00 03 B3 24 02 00 00 3B D6 74 42 8B FA 4F 85 FF 7C 28 47 33 F6 8B D6 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D6 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 46 4F 75 DB 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 0C 02 00 00 83 BB 0C 02 00 00 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 EB 07 33 C9 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 8B 50 08 8B 8B 28 02 00 00 03 8B 20 02 00 00 03 8B 24 02 00 00 3B D1 7C DA 83 BB 18 02 00 00 00 75 5E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 02 00 00 8B D3 8B C6 8B 08 FF 51 64 83 CA FF 8B 83 18 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 83 3C 02 00 00 89 83 44 02 00 00 8B 83 18 02 00 00 05 50 01 00 00 8A 15 ?? ?? ?? ?? 88 50 10 C6 40 11 00 83 BB 1C 02 00 00 00 75 52 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 02 00 00 8B D3 8B C6 8B 08 FF 51 64 83 CA FF 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 05 50 01 00 00 8A 15 ?? ?? ?? ?? 88 50 10 C6 40 11 01 F6 83 32 02 00 00 04 0F 84 19 01 00 00 83 BB 10 02 00 00 00 75 49 C6 05 ?? ?? ?? ?? 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 64 83 CA FF 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 89 B3 10 02 00 00 C6 05 ?? ?? ?? ?? 00 C7 83 2C 02 00 00 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3B 47 33 F6 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 80 7D 22 02 74 0C C7 83 2C 02 00 00 02 00 00 00 EB 04 46 4F 75 C8 83 BB 2C 02 00 00 02 75 4A 83 BB 14 02 00 00 00 0F 85 86 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 64 83 CA FF 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 89 B3 14 02 00 00 EB 49 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 14 02 00 00 EB 34 C6 05 ?? ?? ?? ?? 01 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 10 02 00 00 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 14 02 00 00 C6 05 ?? ?? ?? ?? 00 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_13127_0 {
	meta:
		name = "TDecisionPivot.NewDimLayout"
		size = 1922
		refs = "001a TDecisionSource.GetReady 0088 TDecisionPivot.GetButtonSizes 0158 TControl.SetWidth 0167 TControl.SetHeight 0196 TControl.SetLeft 01a5 TControl.SetTop 058e TDecisionSource.GetActiveDim 0599 TDecisionPivot.DimStateChange 05a6 TList.Get 0742 TWinControl.GetControlCount 0755 TWinControl.GetControl 075b _Dn_TPivotButton 0760 @IsClass 0772 TPivotButton.NewState"
	strings:
		$1 = { 53 56 57 55 83 C4 C0 8B D8 8B B3 08 02 00 00 85 F6 0F 84 63 07 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 54 07 00 00 8B 83 F8 01 00 00 8B F0 8B F8 F6 83 32 02 00 00 01 74 08 8B AB 20 02 00 00 EB 02 33 ED F6 83 32 02 00 00 02 74 0C 8B 83 24 02 00 00 89 44 24 04 EB 06 33 C0 89 44 24 04 F6 83 32 02 00 00 04 74 11 8B 83 28 02 00 00 03 83 2C 02 00 00 89 04 24 EB 05 33 C0 89 04 24 8D 4C 24 0C 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8A 83 31 02 00 00 2C 01 72 0B 0F 84 58 01 00 00 E9 A2 02 00 00 89 74 24 30 89 7C 24 38 8B 44 24 08 03 83 34 02 00 00 89 44 24 34 33 C0 89 44 24 3C 89 7C 24 18 F6 83 32 02 00 00 04 74 21 8B 44 24 08 03 83 34 02 00 00 F7 2C 24 03 F0 03 B3 40 02 00 00 2B B3 34 02 00 00 89 74 24 10 EB 04 89 74 24 10 8B 44 24 08 03 83 34 02 00 00 89 44 24 14 33 C0 89 44 24 1C F6 83 32 02 00 00 01 74 1F 8B 44 24 10 03 83 40 02 00 00 8B 54 24 14 0F AF D5 03 C2 03 83 44 02 00 00 89 44 24 20 EB 08 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 8B 44 24 18 89 44 24 28 8B 44 24 1C 89 44 24 2C 8B 93 44 02 00 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 10 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 20 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 28 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 44 24 10 03 83 44 02 00 00 03 83 34 02 00 00 89 44 24 10 8B 44 24 20 03 83 44 02 00 00 03 83 34 02 00 00 89 44 24 20 E9 CA 02 00 00 89 74 24 30 89 7C 24 38 33 C0 89 44 24 34 8B 44 24 0C 03 83 34 02 00 00 89 44 24 3C 89 74 24 10 F6 83 32 02 00 00 04 74 21 8B 44 24 0C 03 83 34 02 00 00 F7 2C 24 03 F8 03 BB 40 02 00 00 2B BB 34 02 00 00 89 7C 24 18 EB 04 89 7C 24 18 33 C0 89 44 24 14 8B 44 24 0C 03 83 34 02 00 00 89 44 24 1C 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 F6 83 32 02 00 00 01 74 1B 0F AF 6C 24 1C 03 6C 24 18 03 AB 40 02 00 00 03 AB 44 02 00 00 89 6C 24 28 EB 08 8B 44 24 18 89 44 24 28 8B 44 24 1C 89 44 24 2C 8B 54 24 08 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 08 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 10 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 20 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 28 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 44 24 18 03 83 44 02 00 00 03 83 34 02 00 00 89 44 24 18 8B 44 24 28 03 83 44 02 00 00 03 83 34 02 00 00 89 44 24 28 E9 7B 01 00 00 89 74 24 30 89 7C 24 38 8B 44 24 08 03 83 34 02 00 00 89 44 24 34 33 C0 89 44 24 3C 89 74 24 10 33 C0 89 44 24 14 F6 83 32 02 00 00 04 0F 95 C0 84 C0 74 0C 8B 44 24 0C 03 C7 89 44 24 18 EB 04 89 7C 24 18 8B 83 34 02 00 00 03 44 24 0C 89 44 24 1C 0F AF 6C 24 1C 8B 43 3C 2B C5 2B 83 44 02 00 00 2B 44 24 18 2B C7 D1 F8 79 03 83 D0 00 85 C0 7E 04 01 44 24 18 F6 83 32 02 00 00 04 0F 95 C0 84 C0 74 0C 8B 44 24 08 03 C6 89 44 24 20 EB 04 89 74 24 20 8B 44 24 08 03 83 34 02 00 00 89 44 24 24 8B 44 24 04 F7 6C 24 24 50 8B 43 38 5A 2B C2 2B 83 44 02 00 00 2B 44 24 20 2B C6 D1 F8 79 03 83 D0 00 85 C0 7C 04 01 44 24 20 89 7C 24 28 33 C0 89 44 24 2C 8B 54 24 08 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 10 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 20 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 28 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 44 24 18 03 83 44 02 00 00 03 83 34 02 00 00 89 44 24 18 8B 44 24 20 03 83 44 02 00 00 03 83 34 02 00 00 89 44 24 20 F6 83 32 02 00 00 01 75 10 BA 10 27 00 00 8B 83 18 02 00 00 E8 ?? ?? ?? ?? F6 83 32 02 00 00 02 75 10 BA 10 27 00 00 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 83 BB 10 02 00 00 00 74 30 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 40 8B 54 24 38 8B 83 10 02 00 00 8B 30 FF 96 80 00 00 00 8B 44 24 34 01 44 24 30 8B 44 24 3C 01 44 24 38 83 BB 14 02 00 00 00 74 30 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 40 8B 54 24 38 8B 83 14 02 00 00 8B 30 FF 96 80 00 00 00 8B 44 24 34 01 44 24 30 8B 44 24 3C 01 44 24 38 83 BB 28 02 00 00 00 0F 8E 92 00 00 00 8B BB 28 02 00 00 4F 85 FF 0F 8C 83 00 00 00 47 33 ED 8B 83 08 02 00 00 6A 00 8B CD B2 03 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 54 24 30 8B C6 E8 ?? ?? ?? ?? 8B 54 24 38 8B C6 E8 ?? ?? ?? ?? F6 83 32 02 00 00 04 75 0C BA 10 27 00 00 8B C6 E8 ?? ?? ?? ?? 8B 44 24 34 01 44 24 30 8B 44 24 3C 01 44 24 38 45 4F 75 80 83 BB 20 02 00 00 00 0F 8E 92 00 00 00 8B BB 20 02 00 00 4F 85 FF 0F 8C 83 00 00 00 47 33 ED 8B 83 08 02 00 00 6A 00 8B CD 33 D2 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 54 24 10 8B C6 E8 ?? ?? ?? ?? 8B 54 24 18 8B C6 E8 ?? ?? ?? ?? F6 83 32 02 00 00 01 75 0C BA 10 27 00 00 8B C6 E8 ?? ?? ?? ?? 8B 44 24 14 01 44 24 10 8B 44 24 1C 01 44 24 18 45 4F 75 80 83 BB 24 02 00 00 00 0F 8E 92 00 00 00 8B BB 24 02 00 00 4F 85 FF 0F 8C 83 00 00 00 47 33 ED 8B 83 08 02 00 00 6A 00 8B CD B2 01 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 54 24 20 8B C6 E8 ?? ?? ?? ?? 8B 54 24 28 8B C6 E8 ?? ?? ?? ?? F6 83 32 02 00 00 02 75 0C BA 10 27 00 00 8B C6 E8 ?? ?? ?? ?? 8B 44 24 24 01 44 24 20 8B 44 24 2C 01 44 24 28 45 4F 75 80 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D5 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 4F 75 D6 83 C4 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13128_0 {
	meta:
		name = "TDecisionPivot.GetButtonSizes"
		size = 644
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 8B D8 8B 83 F8 01 00 00 89 04 24 89 44 24 04 F6 83 32 02 00 00 01 0F 95 C0 84 C0 74 08 8B AB 20 02 00 00 EB 02 33 ED F6 83 32 02 00 00 02 0F 95 C0 84 C0 74 0C 8B 83 24 02 00 00 89 44 24 08 EB 06 33 C0 89 44 24 08 F6 83 32 02 00 00 04 0F 95 C0 84 C0 74 12 8B 83 28 02 00 00 03 83 2C 02 00 00 89 44 24 0C EB 06 33 C0 89 44 24 0C 8B 83 38 02 00 00 89 07 8B 83 3C 02 00 00 89 01 80 BB 30 02 00 00 00 0F 84 E9 01 00 00 80 BB 31 02 00 00 00 0F 85 EA 00 00 00 8B 44 24 04 03 C0 8B 53 3C 2B D0 89 11 8B 04 24 03 C0 8B 53 38 2B D0 89 17 F6 83 32 02 00 00 04 0F 95 C0 84 C0 74 12 8B 44 24 08 03 C5 85 C0 7E 08 8B 83 40 02 00 00 29 07 8B 74 24 0C 83 FE 01 7E 0A 4E 0F AF B3 34 02 00 00 29 37 8B F5 F6 83 32 02 00 00 01 0F 95 C0 84 C0 74 01 46 83 FE 01 7E 0A 4E 0F AF B3 34 02 00 00 29 37 8B 74 24 08 F6 83 32 02 00 00 02 0F 95 C0 84 C0 74 01 46 83 FE 01 7E 0A 4E 0F AF B3 34 02 00 00 29 37 F6 83 32 02 00 00 01 0F 95 C0 84 C0 74 08 8B 83 44 02 00 00 29 07 F6 83 32 02 00 00 02 0F 95 C0 84 C0 74 08 8B 83 44 02 00 00 29 07 F6 83 32 02 00 00 01 74 11 F6 83 32 02 00 00 02 74 08 8B 83 40 02 00 00 29 07 8B 74 24 08 03 F5 03 74 24 0C 83 FE 01 7E 07 8B 07 99 F7 FE 89 07 80 BB 31 02 00 00 01 0F 85 E5 00 00 00 8B 04 24 03 C0 8B 53 38 2B D0 89 17 8B 44 24 04 03 C0 8B 53 3C 2B D0 89 11 F6 83 32 02 00 00 04 74 12 8B 44 24 08 03 C5 85 C0 7E 08 8B 83 40 02 00 00 29 01 8B 74 24 0C 83 FE 01 7E 0A 4E 0F AF B3 34 02 00 00 29 31 8B F5 F6 83 32 02 00 00 01 0F 95 C0 84 C0 74 01 46 83 FE 01 7E 0A 4E 0F AF B3 34 02 00 00 29 31 8B 74 24 08 F6 83 32 02 00 00 02 0F 95 C0 84 C0 74 01 46 83 FE 01 7E 0A 4E 0F AF B3 34 02 00 00 29 31 F6 83 32 02 00 00 01 0F 95 C0 84 C0 74 08 8B 83 44 02 00 00 29 01 F6 83 32 02 00 00 02 0F 95 C0 84 C0 74 08 8B 83 44 02 00 00 29 01 F6 83 32 02 00 00 01 74 11 F6 83 32 02 00 00 02 74 08 8B 83 40 02 00 00 29 01 8B 5C 24 08 03 DD 03 5C 24 0C 83 FB 01 7E 07 8B 01 99 F7 FB 89 01 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13129_0 {
	meta:
		name = "TDecisionPivot.DimStateChange"
		size = 316
		refs = "001a TDecisionPivot.DimStateChange 002b TDecisionSource.GetReady 0041 TList.Get 0054 TObject.ClassName 0069 @AStrCmp 008a @LStrFromString 0093 _Dn_TPivotButton 0098 TPivotButton.Create 00af TSpeedButton.SetAllowAllUp 00bd TSpeedButton.SetGroupIndex 00e1 TObject.Free 00f2 TPivotButton.SetMyDim 0102 TList.Put 0117 @LStrClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 CF 00 00 00 8B 55 FC 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 24 8D 95 F4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA ?? ?? ?? ?? 33 C9 8A 08 41 E8 ?? ?? ?? ?? 74 79 85 DB 74 1B 8D 95 F4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B D6 8B 45 F8 8B 08 FF 51 64 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 83 C2 64 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 74 19 8B 43 38 50 8B 43 3C 50 8B 4B 34 8B 53 30 8B 45 F8 8B 38 FF 97 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 5D F8 89 5D F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 0C 54 50 69 76 6F 74 42 75 74 74 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_13130_0 {
	meta:
		name = "TDecisionPivot.SeTDecisionSource"
		size = 38
		refs = "0010 TDecisionDataLink.SetDecisionSource 0020 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 53 8B D8 89 93 08 02 00 00 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 83 BB 08 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13131_0 {
	meta:
		name = "TDecisionPivot.SetStyle"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 88 90 31 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13132_0 {
	meta:
		name = "TDecisionPivot.SetContents"
		size = 20
		refs = "000e TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 51 88 14 24 8A 14 24 88 90 32 02 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_13133_0 {
	meta:
		name = "TDecisionPivot.SetAutoSize"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 88 90 30 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13134_0 {
	meta:
		name = "TDecisionPivot.SetSpacing"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 89 90 34 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13135_0 {
	meta:
		name = "TDecisionPivot.SetControlWidth"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 89 90 38 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13136_0 {
	meta:
		name = "TDecisionPivot.SetControlHeight"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 89 90 3C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13137_0 {
	meta:
		name = "TDecisionPivot.SetGroupSpacing"
		size = 12
		refs = "0007 TDecisionPivot.NewPanelSetup"
	strings:
		$1 = { 89 90 40 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13138_0 {
	meta:
		name = "TDecisionPivot.GetBorderWidth"
		size = 7
	strings:
		$1 = { 8B 80 F8 01 00 00 C3 }
	condition:
		$1
}

rule function_13139_0 {
	meta:
		name = "TDecisionPivot.GetBorderStyle"
		size = 7
	strings:
		$1 = { 8A 80 FC 01 00 00 C3 }
	condition:
		$1
}

rule function_13140_0 {
	meta:
		name = "TDecisionPivot.AdjustClientRect"
		size = 100
		refs = "0019 TDecisionPivot.GetBorderWidth 005d TCustomPanel.AdjustClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 83 31 02 00 00 2C 01 72 38 74 25 FE C8 75 42 8B C3 E8 ?? ?? ?? ?? 03 83 38 02 00 00 89 06 8B C3 E8 ?? ?? ?? ?? 03 83 3C 02 00 00 89 46 04 EB 21 8B C3 E8 ?? ?? ?? ?? 03 83 38 02 00 00 89 06 EB 10 8B C3 E8 ?? ?? ?? ?? 03 83 3C 02 00 00 89 46 04 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13143_0 {
	meta:
		name = "TPivotDataLink.DecisionDataEvent"
		size = 120
		refs = "001f TPivotDataLink.DecisionDataEvent 0045 TDecisionPivot.NewPanelSetup 0066 TDecisionPivot.SeTDecisionSource"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 74 6D 80 7B 08 00 75 67 C6 43 08 01 33 C0 8A C2 83 F8 04 77 56 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 78 EB 31 8B 43 0C E8 ?? ?? ?? ?? EB 27 8B 43 0C E8 ?? ?? ?? ?? EB 1D 8B 43 0C E8 ?? ?? ?? ?? EB 13 8B 53 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? C6 43 08 00 5B C3 }
	condition:
		$1
}

rule function_13196_0 {
	meta:
		name = "FormatVariantQuoted"
		size = 424
		refs = "0038 @VarAddRef 0040 FormatVariantQuoted 007e @VarToReal 008e FormatFloat 009b @VarToCurr 00ab FormatCurr 00d1 FormatDateTime 00e5 @LStrCatN 0115 @VarFromPStr 0120 @VarAdd 014b @VarToLStr 0160 @VarClr 0170 @LStrClr 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D B8 89 4D BC 89 4D C0 89 4D C4 89 4D DC 8B F0 8D 7D F0 B9 04 00 00 00 F3 A5 8B DA 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 75 F0 8D 7D E0 B9 04 00 00 00 F3 A5 66 8B 45 F0 66 83 E8 03 0F 84 86 00 00 00 66 83 E8 02 74 0F 66 FF C8 74 27 66 FF C8 74 3F E9 8B 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 33 C0 E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B D3 33 C0 E8 ?? ?? ?? ?? E9 9B 00 00 00 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 64 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 33 C0 E8 ?? ?? ?? ?? EB 4A B0 22 88 45 C9 C6 45 C8 01 8D 45 CC 8D 55 C8 E8 ?? ?? ?? ?? 8D 45 CC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 CC 50 B0 22 88 45 B5 C6 45 B4 01 8D 45 B8 8D 55 B4 E8 ?? ?? ?? ?? 8D 55 B8 58 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 05 00 00 00 4D 2F 44 2F 59 00 00 00 }
	condition:
		$1
}

rule function_13197_0 {
	meta:
		name = "TXtabQuery.Create"
		size = 292
		refs = "0011 @ClassCreate 001d TXtabQuery.Create 002b BDEDLLPath 003b @LStrCat3 004a CreateRegKey 0052 @IntfClear 0059 _Dn_TList 005e TObject.Create 00a1 @LStrArrayClr 00a7 @HandleFinally 00b4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F8 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 C6 46 18 00 C6 46 19 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 00 00 FF FF FF FF 0B 00 00 00 49 44 53 51 4C 33 32 2E 44 4C 4C 00 FF FF FF FF 3B 00 00 00 43 4C 53 49 44 5C 7B 46 42 39 39 44 37 30 30 2D 31 38 42 39 2D 31 31 44 30 2D 41 34 43 46 2D 30 30 41 30 32 34 43 39 31 39 33 36 7D 5C 49 6E 50 72 6F 63 53 65 72 76 65 72 33 32 00 }
	condition:
		$1
}

rule function_13198_0 {
	meta:
		name = "TXtabQuery.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13199_0 {
	meta:
		name = "TXtabQuery.setSQLString"
		size = 441
		refs = "001d @LStrAddRef 0025 TXtabQuery.setSQLString 0039 @IntfClear 0046 CoInitialize 004b OleCheck 0059 IID_BDE_IClassFactory 0062 CLSID_IDSQL32 0068 CoGetClassObject 007b IID_BDE_IUnknown 0099 IID_IQStmt 00af @LStrToPChar 00d0 TXtabQuery.FixUpGroupBys 00d7 BDEcheck 0131 TXtabQuery.GetProjFieldType 0165 SQParseRemovedField 016a LoadResString 0172 ShowMessage 0179 TXtabQuery.buildProjectorMaps 018e @LStrClr 01ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D EC 89 4D E8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 08 00 74 08 8D 47 08 E8 ?? ?? ?? ?? 83 7F 08 00 75 68 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 6A 01 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 47 08 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 47 04 50 8B 47 08 50 8B 00 FF 50 0C 66 3D AF 2E 74 06 66 3D B7 2E 75 09 8B C7 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C6 47 19 01 8D 45 FA 50 8B 47 08 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 DB 80 7F 18 00 74 64 66 8B 75 FA 66 83 FE 01 72 5A 8D 45 F4 50 56 8B 47 08 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 47 08 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 08 2C 0C 74 04 2C 03 75 16 B3 01 8D 45 F0 50 8B 45 F4 50 8B 47 08 50 8B 00 FF 90 8C 00 00 00 4E 66 85 F6 75 A6 84 DB 74 15 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13200_0 {
	meta:
		name = "TXtabQuery.getSQLString"
		size = 52
		refs = "0021 BDEcheck 002b @LStrFromPChar"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 01 6A FF 8D 44 24 0C 50 8D 44 24 0C 50 8B 43 08 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13201_0 {
	meta:
		name = "TXtabQuery.AddTable"
		size = 103
		refs = "0010 @LStrAddRef 0018 TXtabQuery.AddTable 0032 @LStrToPChar 0041 BDEcheck 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 50 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 08 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13202_0 {
	meta:
		name = "TXtabQuery.getDialectSQLString"
		size = 52
		refs = "0021 BDEcheck 002b @LStrFromPChar"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 02 6A FF 8D 44 24 0C 50 8D 44 24 0C 50 8B 43 08 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13203_0 {
	meta:
		name = "TXtabQuery.IsLegal"
		size = 52
		refs = "0006 TXtabQuery.getNDimensions 0015 TXtabQuery.getNAggregates 0024 TXtabQuery.AllDimensionsGrouped"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 04 B0 01 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 04 B0 02 EB 11 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 B0 03 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_13204_0 {
	meta:
		name = "TXtabQuery.AllDimensionsGrouped"
		size = 45
		refs = "0012 BDEcheck 0019 TXtabQuery.getNDimensions"
	strings:
		$1 = { 53 56 51 8B F0 33 DB 54 8B 46 08 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B7 14 24 3B C2 7F 02 B3 01 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13205_0 {
	meta:
		name = "TXtabQuery.AddNewItem"
		size = 728
		refs = "0018 @LStrAddRef 0028 TXtabQuery.AddNewItem 004e TXtabQuery.getNProjectors 006b BDEcheck 0084 @LStrToPChar 0150 ptToQNode 0243 TXtabQuery.buildProjectorMaps 0251 TXtabQuery.FixUpGroupBys 0260 @HandleOnException 0268 _Dn_Exception 0295 _DV_EQParseException 029a Exception.Create 029f @RaiseExcept 02a4 @DoneExcept 02b9 @LStrClr 02c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D9 89 55 F8 89 45 FC 8B 75 10 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 19 8D 45 EC 50 8B C6 40 50 8B 45 FC 8B 40 08 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 84 DB 0F 85 8F 00 00 00 33 C0 89 45 E4 8D 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 08 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 83 7D E4 00 74 27 6A FF 8B 45 EC 50 8D 45 E8 50 8B 45 E4 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? E9 30 01 00 00 8B 45 EC 50 8D 45 E8 50 53 8B 45 FC 8B 40 08 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? E9 F6 00 00 00 80 FB 06 75 42 8B 45 EC 50 8D 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? E9 AF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 6A FF 8B 45 EC 50 8D 45 E8 50 53 8B 45 FC 8B 40 08 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 89 45 E4 8D 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 08 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 83 7D E4 00 74 1A 6A 00 8D 45 F0 50 8B 45 E4 50 8B 45 F4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? EB 2D 6A 00 8D 45 F0 50 53 8B 45 F4 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B DE 83 7D 08 00 74 23 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? EB 18 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 7D 0C 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 49 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 83 7D E8 00 74 17 8D 45 E0 50 8B 45 E8 50 8B 45 FC 8B 40 08 50 8B 00 FF 90 8C 00 00 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_13206_0 {
	meta:
		name = "TXtabQuery.DeleteProjector"
		size = 445
		refs = "002b TXtabQuery.DeleteProjector 0061 TXtabQuery.getProjector 007d BDEcheck 00d6 @LStrFromPChar 013a @LStrCmp 016d TXtabQuery.buildProjectorMaps 0180 @HandleFinally 0198 recProjectorInfo 019d @FinalizeRecord 01aa @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C0 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 4D E4 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 FC 50 8B C6 40 50 8B 43 08 50 8B 00 FF 50 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D C0 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7D D4 00 0F 85 E7 00 00 00 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 EC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D DC 0C 0F 85 BA 00 00 00 33 C0 89 45 F8 8D 45 F8 50 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 99 00 00 00 8D 45 E8 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 E0 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 F6 50 8B 43 08 50 8B 00 FF 50 1C 0F B7 75 F6 4E 85 F6 7C 66 46 33 FF 8D 45 F0 50 8B C7 40 50 8B 43 08 50 8B 00 FF 50 44 8D 45 F8 50 8B 45 F0 50 8B 00 FF 10 83 7D F8 00 74 3C 8D 45 E8 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 E0 E8 ?? ?? ?? ?? 75 12 8B 45 F0 50 8B 43 08 50 8B 00 FF 90 A0 00 00 00 EB 04 47 4E 75 9D 8D 45 D8 50 8B 45 FC 50 8B 43 08 50 8B 00 FF 90 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13207_0 {
	meta:
		name = "TXtabQuery.DeleteGroupBys"
		size = 68
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 54 8B 43 08 50 8B 00 FF 50 1C 0F B7 34 24 4E 85 F6 7C 25 46 8D 44 24 04 50 6A 01 8B 43 08 50 8B 00 FF 50 44 8B 44 24 04 50 8B 43 08 50 8B 00 FF 90 A0 00 00 00 4E 75 DC 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13208_0 {
	meta:
		name = "TXtabQuery.DeleteDimensions"
		size = 125
		refs = "0013 TXtabQuery.DeleteDimensions 0020 TXtabQuery.getNProjectors 0034 TXtabQuery.getProjector 0043 TXtabQuery.DeleteProjector 0050 TXtabQuery.buildProjectorMaps 0066 recProjectorInfo 006b @FinalizeRecord 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 21 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FC 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13209_0 {
	meta:
		name = "TXtabQuery.DeleteSummaries"
		size = 125
		refs = "0013 TXtabQuery.DeleteSummaries 0020 TXtabQuery.getNProjectors 0034 TXtabQuery.getProjector 0043 TXtabQuery.DeleteProjector 0050 TXtabQuery.buildProjectorMaps 0066 recProjectorInfo 006b @FinalizeRecord 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 21 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FC 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13210_0 {
	meta:
		name = "TXtabQuery.DeleteProjectors"
		size = 44
		refs = "0007 TXtabQuery.getNProjectors 0018 TXtabQuery.DeleteProjector 0025 TXtabQuery.buildProjectorMaps"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 F1 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13211_0 {
	meta:
		name = "TXtabQuery.FixUpGroupBys"
		size = 315
		refs = "0014 TXtabQuery.FixUpGroupBys 005a TXtabQuery.getNProjectors 008b BDEcheck 0095 TXtabQuery.XtabProjType 00b8 sGroupOnExpressionError 00bd LoadResString 00c7 _DV_EQParseException 00cc Exception.Create 00d1 @RaiseExcept 0113 TXtabQuery.buildProjectorMaps 0128 @LStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F6 50 8B 43 08 50 8B 00 FF 50 1C 0F B7 75 F6 4E 85 F6 7C 23 46 8D 45 F0 50 6A 01 8B 43 08 50 8B 00 FF 50 44 8B 45 F0 50 8B 43 08 50 8B 00 FF 90 A0 00 00 00 4E 75 DE 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C A7 00 00 00 46 33 FF 8D 45 FC 50 8B C7 40 50 8B 43 08 50 8B 00 FF 50 40 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6B 8D 45 E8 50 8B 45 EC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D E8 0C 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 8D 45 F8 50 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D F8 00 74 16 6A 00 8D 45 F0 50 8B 45 F8 50 8B 43 08 50 8B 00 FF 90 9C 00 00 00 47 4E 0F 85 5C FF FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13212_0 {
	meta:
		name = "TXtabQuery.AddWhereOp"
		size = 420
		refs = "0029 @LStrAddRef 0031 @VarAddRef 0039 TXtabQuery.AddWhereOp 0086 @LStrLAsg 00f1 FormatVariantQuoted 0101 @LStrCatN 010b TXtabQuery.AddWhereCondition 0125 @LStrArrayClr 012d @VarClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E4 89 5D E0 89 5D F8 8B F1 8D 7D E8 B9 04 00 00 00 F3 A5 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 F5 83 F8 08 0F 87 85 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 E0 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 00 FF FF FF FF 03 00 00 00 20 3D 20 00 FF FF FF FF 04 00 00 00 20 3E 3D 20 00 00 00 00 FF FF FF FF 03 00 00 00 20 3E 20 00 FF FF FF FF 04 00 00 00 20 3C 3D 20 00 00 00 00 FF FF FF FF 03 00 00 00 20 3C 20 00 FF FF FF FF 04 00 00 00 20 3C 3E 20 00 00 00 00 }
	condition:
		$1
}

rule function_13213_0 {
	meta:
		name = "TXtabQuery.AddWhereCondition"
		size = 263
		refs = "0010 @LStrAddRef 0018 TXtabQuery.AddWhereCondition 0030 BDEcheck 00d2 @LStrToPChar 00f6 @LStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 43 08 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F8 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D F0 08 74 7D 8D 45 EC 50 8B 45 F8 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 8D 45 EA 50 8B 45 F8 50 8B 00 FF 50 04 E8 ?? ?? ?? ?? 0F B7 5D EA 85 DB 7E 29 8D 45 F4 50 6A 01 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 4B 75 D7 6A 08 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 45 EC 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13216_0 {
	meta:
		name = "TIndexInfo.GetCapacity"
		size = 7
		altNames = "TUpdateTree.GetDetailCount TXtabQuery.getNAggregates"
	strings:
		$1 = { 8B 40 14 8B 40 08 C3 }
	condition:
		$1
}

rule function_13217_0 {
	meta:
		name = "TXtabQuery.getProjector"
		size = 38
		refs = "000f TList.Get 0019 recProjectorInfo 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13218_0 {
	meta:
		name = "TXtabQuery.getAggregate"
		size = 38
		refs = "000f TList.Get 0019 recProjectorInfo 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13219_0 {
	meta:
		name = "TXtabQuery.getDimension"
		size = 38
		refs = "000f TList.Get 0019 recProjectorInfo 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13220_0 {
	meta:
		name = "TXtabQuery.getNTables"
		size = 43
		refs = "001b BDEcheck"
	strings:
		$1 = { 53 51 8B D8 83 7B 08 00 74 1C 80 7B 19 00 74 16 54 8B 43 08 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 0F B7 04 24 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_13221_0 {
	meta:
		name = "TXtabQuery.getTableName"
		size = 65
		refs = "0019 BDEcheck 0037 @LStrFromPChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 46 56 8B 43 08 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 44 24 04 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B C7 8B 54 24 04 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13222_0 {
	meta:
		name = "TXtabQuery.buildProjectorMaps"
		size = 1200
		refs = "001b TXtabQuery.buildProjectorMaps 0030 @CallDynaInst 0056 @LStrClr 006b BDEcheck 0088 recProjectorInfo 0092 @New 00f5 TXtabQuery.XtabProjType 0109 TList.Add 0117 @LStrFromPChar 01bc DataTypeMap 01df @LStrAsg 021a AnsiUpperCase 0226 SCountStar 022b LoadResString 0234 @LStrCmp 0273 sArgumentExpected 0282 _DV_EQParseException 0287 Exception.Create 028c @RaiseExcept 0357 TXtabQuery.GetExprFieldType 03cd @HandleOnException 03d5 _Dn_Exception 03e9 TList.IndexOf 03f9 TList.Delete 0440 @LStrLAsg 0445 @DoneExcept 0487 @LStrArrayClr 0495 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 C8 89 55 C4 89 55 D0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 66 BB FF FF E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FA 50 8B 45 FC 8B 40 08 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 8B 45 FA 66 85 C0 0F 86 DB 03 00 00 66 89 45 CE 66 C7 45 F8 01 00 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E8 50 66 8B 45 F8 50 8B 45 FC 8B 40 08 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 E8 50 8B 00 FF 50 04 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 0F B7 45 F8 8B 55 DC 89 02 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 88 42 14 8B 45 FC 8B 40 0C 8B 55 DC E8 ?? ?? ?? ?? 8B 45 DC 83 C0 08 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F0 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 8B 45 DC 83 C0 0C 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 DC 80 78 14 00 0F 85 C8 00 00 00 8D 45 D8 50 8B 45 F0 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D D8 0C 0F 85 82 00 00 00 33 C0 89 45 E4 8D 45 E4 50 8B 45 F0 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D E4 00 74 4B 8D 45 E0 50 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 DC 83 C0 10 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 45 D6 50 8B 45 E4 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 0F B7 45 D6 8B 15 ?? ?? ?? ?? 8A 04 02 8B 55 DC 88 42 04 EB 32 8B 45 DC C6 40 04 00 8B 45 DC 83 C0 10 8B 55 DC 8B 52 0C E8 ?? ?? ?? ?? EB 18 8B 45 DC C6 40 04 00 8B 45 DC 83 C0 10 8B 55 DC 8B 52 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 DC E8 ?? ?? ?? ?? E9 B2 01 00 00 8D 55 C8 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 58 E8 ?? ?? ?? ?? 75 1C 8B 45 DC C6 40 04 00 8B 45 DC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5E 01 00 00 8D 45 F6 50 8B 45 F0 50 8B 00 FF 50 04 E8 ?? ?? ?? ?? 66 83 7D F6 00 75 26 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1F 01 00 00 66 83 7D F6 01 76 1D 8B 45 DC C6 40 04 00 8B 45 DC 83 C0 10 8B 55 DC 8B 52 0C E8 ?? ?? ?? ?? E9 FB 00 00 00 8D 45 EC 50 6A 01 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 EC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7D D8 0C 0F 85 9B 00 00 00 33 C0 89 45 E4 8D 45 E4 50 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D E4 00 74 4B 8D 45 E0 50 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 DC 83 C0 10 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 45 D6 50 8B 45 E4 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 0F B7 45 D6 8B 15 ?? ?? ?? ?? 8A 04 02 8B 55 DC 88 42 04 EB 64 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 88 42 04 8D 45 E0 50 8B 45 EC 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 8B 45 DC 83 C0 10 8B 55 E0 E8 ?? ?? ?? ?? EB 31 8D 45 E0 50 8B 45 EC 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 88 42 04 8B 45 DC 83 C0 10 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 7D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 8B 40 0C 8B 55 DC E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 55 FC 8B 52 0C 92 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 55 DC E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 55 FC 8B 52 14 92 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 DC E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 55 FC 8B 52 10 92 E8 ?? ?? ?? ?? 8D 45 D0 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 FF 45 F8 66 FF 4D CE 0F 85 2F FC FF FF 83 7D D0 00 74 14 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_13223_0 {
	meta:
		name = "TXtabQuery.XtabProjType"
		size = 220
		refs = "001a BDEcheck 006f TXtabQuery.XtabProjType"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 89 04 24 33 DB 8D 44 24 08 50 55 8B 45 00 FF 10 E8 ?? ?? ?? ?? 8B 44 24 08 83 F8 05 7F 0F 74 2E 83 E8 02 74 1D 48 74 1E 48 74 1F EB 2D 83 E8 06 74 20 83 E8 06 0F 84 85 00 00 00 83 E8 21 74 16 EB 18 B3 03 EB 2C B3 02 EB 28 B3 05 EB 24 B3 04 EB 20 B3 01 EB 1C B3 07 EB 18 8B 44 24 08 83 F8 2F 77 07 0F A3 05 ?? ?? ?? ?? 73 04 33 DB EB 02 B3 07 84 DB 75 4A 8D 44 24 0C 50 55 8B 45 00 FF 50 04 E8 ?? ?? ?? ?? 66 8B 7C 24 0C 66 85 FF 76 2F 66 BE 01 00 8D 44 24 04 50 56 55 8B 45 00 FF 50 0C E8 ?? ?? ?? ?? 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 48 2C 06 73 02 B3 06 46 66 FF CF 75 D5 8B C3 83 C4 10 5D 5F 5E 5B C3 00 02 06 44 81 78 41 00 00 }
	condition:
		$1
}

rule function_13224_0 {
	meta:
		name = "TXtabQuery.GetProjFieldType"
		size = 72
		refs = "0011 BDEcheck 001b TXtabQuery.GetExprFieldType"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 54 56 8B 06 FF 50 10 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 75 1C 8D 44 24 04 50 8B 44 24 04 50 8B 00 FF 10 E8 ?? ?? ?? ?? 83 7C 24 04 09 75 02 B3 06 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13225_0 {
	meta:
		name = "TXtabQuery.GetExprFieldType"
		size = 264
		refs = "0019 BDEcheck 002c TXtabQuery.GetExprFieldType 00a6 DataTypeMap"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B FA 89 04 24 33 DB 8D 44 24 08 50 57 8B 07 FF 10 E8 ?? ?? ?? ?? 8B 44 24 08 83 F8 2E 0F 87 8D 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 02 02 00 00 02 00 00 00 02 00 01 00 00 00 00 00 02 00 00 00 02 00 00 00 00 00 00 00 00 00 00 00 00 03 03 03 03 00 03 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 44 24 10 50 57 8B 07 FF 50 34 E8 ?? ?? ?? ?? 8D 44 24 16 50 8D 44 24 18 50 8B 44 24 18 50 8B 00 FF 50 08 E8 ?? ?? ?? ?? 0F B7 44 24 14 8B 15 ?? ?? ?? ?? 8A 1C 02 EB 4F B3 06 EB 4B B3 01 EB 47 8D 44 24 0C 50 57 8B 07 FF 50 04 E8 ?? ?? ?? ?? 66 8B 74 24 0C 66 85 F6 76 2D 66 BD 01 00 8D 44 24 04 50 55 57 8B 07 FF 50 0C E8 ?? ?? ?? ?? 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B D8 84 DB 75 06 45 66 FF CE 75 D7 8B C3 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13227_0 {
	meta:
		name = "ptToQNode"
		size = 75
		refs = "000b ptToQNode"
	strings:
		$1 = { 83 E0 7F 83 F8 05 77 3D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 02 00 00 00 C3 B8 03 00 00 00 C3 B8 05 00 00 00 C3 B8 04 00 00 00 C3 B8 06 00 00 00 C3 B8 2D 00 00 00 C3 }
	condition:
		$1
}

rule function_13228_0 {
	meta:
		name = "BDEDLLPath"
		size = 272
		refs = "0012 BDEDLLPath 001c RegOpenKeyEx 0049 RegQueryValueEx 005d @LStrFromArray 0069 @LStrPos 0089 @LStrCopy 0090 @LStrLen 00a5 IsPathDelimiter 00b5 @LStrCat 00be RegCloseKey"
	strings:
		$1 = { 53 81 C4 F0 FE FF FF 8B D8 54 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 85 9A 00 00 00 C7 44 24 04 05 01 00 00 8D 44 24 04 50 8D 44 24 0C 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 68 8B C3 8D 54 24 08 B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1C 53 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 F8 02 7E 20 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 03 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 81 C4 10 01 00 00 5B C3 00 00 53 4F 46 54 57 41 52 45 5C 42 4F 52 4C 41 4E 44 5C 44 41 54 41 42 41 53 45 20 45 4E 47 49 4E 45 00 00 00 00 44 4C 4C 50 41 54 48 00 FF FF FF FF 01 00 00 00 3B 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_13231_0 {
	meta:
		name = "TestMatch"
		size = 166
		refs = "0012 _Dn_TSmallIntArray 0017 TSmallIntArray.Create 0026 TSmallIntArray.PutItem 0078 TSmallIntArray.GetItem 0099 TObject.Free"
	strings:
		$1 = { 53 56 57 55 51 8B E8 C6 04 24 01 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 66 B9 01 00 33 D2 8B C6 E8 ?? ?? ?? ?? 66 B9 01 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 B9 01 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C9 FF BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C9 FF BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 7D 10 4F 85 FF 7C 26 47 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 66 3B D0 74 06 C6 04 24 00 EB 04 43 4F 75 DD 8B C6 E8 ?? ?? ?? ?? 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13232_0 {
	meta:
		name = "GetDisplayFormat"
		size = 67
		refs = "0022 @LStrLAsg 003c @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 43 30 2C 03 74 0C 04 FD 2C 03 72 06 2C 03 72 12 EB 20 8B C6 8B 93 C8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 C8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13233_0 {
	meta:
		name = "GetPrecision"
		size = 21
	strings:
		$1 = { 8A 50 30 80 C2 FA 80 EA 02 73 07 8B 80 D4 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_13234_0 {
	meta:
		name = "IsDateField"
		size = 18
	strings:
		$1 = { 2C 01 72 08 2C 08 74 04 2C 02 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_13235_0 {
	meta:
		name = "MatchIndex"
		size = 127
		refs = "001b TIndexArray.GetElement 0031 TSmallIntArray.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC C6 45 FB 01 8B 55 08 8B 52 FC 8B 52 3C 92 E8 ?? ?? ?? ?? 8B F0 8B 7E 10 4F 85 FF 7C 4C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 F8 FF 75 06 C6 45 FB 00 EB 34 8B D3 8B 45 FC E8 ?? ?? ?? ?? 66 83 F8 FF 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 66 3B D0 74 06 C6 45 FB 00 EB 04 43 4F 75 B7 8A 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13236_0 {
	meta:
		name = "VarScan"
		size = 224
		refs = "0020 VarScan 0030 @VarFromInt 0050 TIntArray.GetItem 0068 MatchIndex 0078 @VarCopy 0088 TCustomArray.GetItem 0093 @VarAdd 00c3 Variant 00cd @FinalizeArray 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 8B 7D 08 83 C7 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 70 F8 85 F6 7C 68 46 33 DB 8B 45 08 8B 40 FC 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 89 07 83 3F 00 7C 47 8B 45 08 50 8B 45 08 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 31 8D 55 EC 8D 45 DC E8 ?? ?? ?? ?? 8D 4D CC 8B 17 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 43 4E 75 9B 8B 45 FC 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13237_0 {
	meta:
		name = "CurrencyScan"
		size = 142
		refs = "0039 TIntArray.GetItem 0059 MatchIndex 006b TCurrencyArray.GetItem 0083 @VarFromCurr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F4 89 45 F8 8B 45 08 8B 40 FC 8B 78 08 8B 45 08 8B 70 F8 85 F6 7C 55 46 33 DB 8B 45 08 8B 40 FC 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 7C 2C 8B 45 08 50 8B 45 08 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 16 8B 45 08 8B 50 F4 8B C7 E8 ?? ?? ?? ?? DF 6D F4 DE C1 DF 7D F4 9B 43 4E 75 AE DF 6D F4 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13238_0 {
	meta:
		name = "IntScan"
		size = 132
		refs = "0036 TIntArray.GetItem 0056 MatchIndex 0079 @VarFromInt"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 FF 8B 45 08 8B 40 FC 8B 40 08 89 45 F8 8B 45 08 8B 70 F8 85 F6 7C 4F 46 33 DB 8B 45 08 8B 40 FC 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 7C 26 8B 45 08 50 8B 45 08 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 10 8B 45 08 8B 50 F4 8B 45 F8 E8 ?? ?? ?? ?? 03 F8 43 4E 75 B4 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13239_0 {
	meta:
		name = "DoubleScan"
		size = 140
		refs = "0039 TIntArray.GetItem 0059 MatchIndex 006b TDoubleArray.GetItem 0081 @VarFromReal"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F4 89 45 F8 8B 45 08 8B 40 FC 8B 78 08 8B 45 08 8B 70 F8 85 F6 7C 53 46 33 DB 8B 45 08 8B 40 FC 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 7C 2A 8B 45 08 50 8B 45 08 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 14 8B 45 08 8B 50 F4 8B C7 E8 ?? ?? ?? ?? DC 45 F4 DD 5D F4 9B 43 4E 75 B0 DD 45 F4 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13240_0 {
	meta:
		name = "CalcTotals1"
		size = 319
		refs = "001f CalcTotals1 002f @VarFromInt 0040 TIntArray.GetItem 0062 TThreadCustomArray.GetItem 0082 IntScan 008e @VarCopy 0099 DoubleScan 00b0 CurrencyScan 00c7 VarScan 00f3 @VarCmp 0109 TSummary.UpdateIndexInfo 011f Variant 0129 @FinalizeArray 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 34 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 83 FE FE 75 07 33 DB E9 BB 00 00 00 85 F6 7C 12 8D 4D E4 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? EB 6F 8B 45 FC 8B 40 04 83 E8 03 74 0A 83 E8 02 74 1C 48 74 30 EB 45 55 8D 45 D4 E8 ?? ?? ?? ?? 59 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? EB 43 55 8D 45 D4 E8 ?? ?? ?? ?? 59 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? EB 2C 55 8D 45 D4 E8 ?? ?? ?? ?? 59 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? EB 15 55 8D 45 D4 E8 ?? ?? ?? ?? 59 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 D4 33 D2 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 0F 95 C3 83 FE FD 75 0E 8D 4D E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13241_0 {
	meta:
		name = "VarScan"
		size = 227
		refs = "0020 VarScan 0030 @VarFromInt 004e TIndexInfo.IsSparse 0061 TIntArray.GetItem 007b @VarCopy 008b TCustomArray.GetItem 0096 @VarAdd 00c6 Variant 00d0 @FinalizeArray 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 8B 7D 08 83 C7 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 64 46 8B 07 8B 40 34 8B D3 E8 ?? ?? ?? ?? 84 C0 75 4F 8B 07 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 7C 31 8D 55 EC 8D 45 DC E8 ?? ?? ?? ?? 8D 4D CC 8B 45 08 8B 50 F0 8B 07 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 43 4E 75 9D 8B 45 FC 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13242_0 {
	meta:
		name = "CurrencyScan"
		size = 145
		refs = "003b TIndexInfo.IsSparse 0052 TIntArray.GetItem 006e TCurrencyArray.GetItem 0086 @VarFromCurr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F4 89 45 F8 8B 45 08 8B 40 F4 8B 78 08 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 51 46 8B 45 08 8B 40 F4 8B 40 34 8B D3 E8 ?? ?? ?? ?? 84 C0 75 38 8B 45 08 8B 40 F4 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 7C 16 8B 45 08 8B 50 F0 8B C7 E8 ?? ?? ?? ?? DF 6D F4 DE C1 DF 7D F4 9B 43 4E 75 B0 DF 6D F4 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13243_0 {
	meta:
		name = "IntScan"
		size = 135
		refs = "0038 TIndexInfo.IsSparse 004f TIntArray.GetItem 007c @VarFromInt"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 FF 8B 45 08 8B 40 F4 8B 40 08 89 45 F8 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 4B 46 8B 45 08 8B 40 F4 8B 40 34 8B D3 E8 ?? ?? ?? ?? 84 C0 75 32 8B 45 08 8B 40 F4 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 7C 10 8B 45 08 8B 50 F0 8B 45 F8 E8 ?? ?? ?? ?? 03 F8 43 4E 75 B6 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13244_0 {
	meta:
		name = "DoubleScan"
		size = 143
		refs = "003b TIndexInfo.IsSparse 0052 TIntArray.GetItem 006e TDoubleArray.GetItem 0084 @VarFromReal"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F4 89 45 F8 8B 45 08 8B 40 F4 8B 78 08 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 4F 46 8B 45 08 8B 40 F4 8B 40 34 8B D3 E8 ?? ?? ?? ?? 84 C0 75 36 8B 45 08 8B 40 F4 8B 40 34 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 7C 14 8B 45 08 8B 50 F0 8B C7 E8 ?? ?? ?? ?? DC 45 F4 DD 5D F4 9B 43 4E 75 B2 DD 45 F4 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13245_0 {
	meta:
		name = "CalcTotals2"
		size = 330
		refs = "0022 CalcTotals2 0032 @VarFromInt 0043 TIntArray.GetItem 0065 TThreadCustomArray.GetItem 008d IntScan 0099 @VarCopy 00a4 DoubleScan 00bb CurrencyScan 00d2 VarScan 00fe @VarCmp 0114 TSummary.UpdateIndexInfo 012a Variant 0134 @FinalizeArray 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 34 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 83 FE FE 75 07 33 DB E9 C3 00 00 00 85 F6 7C 12 8D 4D E0 8B 45 F4 8B 40 38 8B D6 E8 ?? ?? ?? ?? EB 77 8B 45 F8 2B C3 89 45 FC 8B 45 F4 8B 40 04 83 E8 03 74 0A 83 E8 02 74 1C 48 74 30 EB 45 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? EB 43 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? EB 2C 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? EB 15 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 D0 33 D2 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 0F 95 C3 83 FE FD 75 0E 8D 4D E0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13246_0 {
	meta:
		name = "TCustomDataStore.Create"
		size = 170
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 _DV_TMultiDimDataLink 0025 TMultiDimDataLink.Create 0031 _Dn_TDataSource 0036 TDataSource.Create 0040 _DV_TDataCache 0045 TDataCache.Create 0070 _DV_TCubeDim 007a _DV_TCubeDims 007f TCubeDims.Create 008c TCustomDataStore.SetDataSource 0097 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 C6 46 2D 03 C6 46 38 01 C7 46 3C 05 00 00 00 C7 46 40 0A 00 00 00 33 C0 89 46 44 C6 46 39 00 C6 46 3A 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 8B 56 48 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13247_0 {
	meta:
		name = "TCustomDataStore.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000f TObject.Free 003d TComponent.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 33 C0 89 46 28 8B 46 48 E8 ?? ?? ?? ?? 33 C0 89 46 48 8B 46 24 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13248_0 {
	meta:
		name = "TCustomDataStore.SetDesignState"
		size = 13
	strings:
		$1 = { 3A 50 2D 74 07 88 50 2D C6 40 3A 01 C3 }
	condition:
		$1
}

rule function_13249_0 {
	meta:
		name = "TCustomDataStore.GetCubeState"
		size = 86
		refs = "001d TCustomDataStore.SetState"
	strings:
		$1 = { 53 8B D8 F6 43 20 10 74 3B 8A 43 2D 2C 01 72 08 74 11 FE C8 74 18 EB 21 33 D2 8B C3 E8 ?? ?? ?? ?? EB 2A B2 01 8B C3 E8 ?? ?? ?? ?? EB 1F B2 02 8B C3 E8 ?? ?? ?? ?? EB 14 B2 03 8B C3 E8 ?? ?? ?? ?? EB 09 B2 03 8B C3 E8 ?? ?? ?? ?? 80 7B 2C 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_13250_0 {
	meta:
		name = "TCustomDataStore.SetState"
		size = 9
	strings:
		$1 = { 3A 50 2C 74 03 88 50 2C C3 }
	condition:
		$1
}

rule function_13251_0 {
	meta:
		name = "TCustomDataStore.GetActive"
		size = 8
	strings:
		$1 = { 80 78 2C 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_13252_0 {
	meta:
		name = "TCustomDataStore.SetActive"
		size = 181
		refs = "0010 TCustomDataStore.GetActive 002c TCustomDataStore.SetActive 003a TCustomDataStore.OpenCache 0049 @HandleAnyException 0053 TCustomDataStore.SetState 005b TCustomDataStore.CloseCache 0060 @RaiseAgain 0065 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 3A D8 0F 84 93 00 00 00 84 DB 74 53 8B 45 FC 8B 10 FF 52 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C EB 34 8B 45 FC F6 40 20 08 75 08 8B 45 FC 8B 10 FF 52 40 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 08 75 08 8B 45 FC 8B 10 FF 52 44 8B 45 FC 8B 10 FF 52 34 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13253_0 {
	meta:
		name = "TCustomDataStore.OpenCache"
		size = 76
		refs = "001f TCustomDataStore.GetCubeState 002b TDataCache.Init 0033 TMultiDimDataLink.DoUpdateCache 0045 TCustomDataStore.SetState"
	strings:
		$1 = { 53 56 8B D8 8B 43 24 80 78 22 00 75 3C 8B 73 28 83 7E 04 00 74 2A 80 7E 15 01 75 24 8B C3 E8 ?? ?? ?? ?? 3C 01 75 19 8B 43 24 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 8B 43 24 C6 40 22 01 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13254_0 {
	meta:
		name = "TCustomDataStore.CloseCache"
		size = 20
		refs = "0007 TDataCache.FreeCache"
	strings:
		$1 = { 53 8B D8 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 C6 40 22 00 5B C3 }
	condition:
		$1
}

rule function_13255_0 {
	meta:
		name = "TCustomDataStore.GetDataSource"
		size = 7
	strings:
		$1 = { 8B 40 28 8B 40 04 C3 }
	condition:
		$1
}

rule function_13256_0 {
	meta:
		name = "TCustomDataStore.SetDataSource"
		size = 54
		refs = "0011 TDataLink.SetDataSource 001e TComponent.FreeNotification 002f TCustomDataStore.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 28 3B 70 04 74 25 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 85 F6 74 0D 8B 43 28 8A 50 15 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13257_0 {
	meta:
		name = "TCustomDataStore.SetDataSet"
		size = 42
		refs = "0014 TComponent.FreeNotification 0023 TDataSource.SetDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 34 74 1C 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 89 43 34 8B D0 8B 43 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13258_0 {
	meta:
		name = "TCustomDataStore.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 34 75 05 33 C0 89 47 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13259_0 {
	meta:
		name = "TCustomDataStore.GetDataSet"
		size = 4
	strings:
		$1 = { 8B 40 34 C3 }
	condition:
		$1
}

rule function_13260_0 {
	meta:
		name = "TCustomDataStore.LayoutChanged"
		size = 9
	strings:
		$1 = { 8B 40 28 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_13263_0 {
	meta:
		name = "TCustomDataStore.GetDimensionName"
		size = 146
		refs = "0011 @LStrClr 0025 TCollection.GetCount 0039 TCubeDims.GetCubeDim 006c @LStrLAsg 0087 TDataCache.GetDimensionName"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 89 14 24 8B D8 8B C5 E8 ?? ?? ?? ?? 8B 73 30 85 F6 74 5C 33 C0 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 48 47 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 21 00 74 31 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 28 00 75 21 8B 04 24 3B 44 24 04 75 14 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 50 14 8B C5 E8 ?? ?? ?? ?? FF 44 24 04 46 4F 75 BB 83 7D 00 00 75 0D 8B CD 8B 14 24 8B 43 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13264_0 {
	meta:
		name = "TCustomDataStore.GetMemberAsString"
		size = 35
		refs = "0018 TDataCache.GetDimensionMember"
		altNames = "TCustomDataStore.GetMemberAsVariant"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13266_0 {
	meta:
		name = "TCustomDataStore.GetDomain"
		size = 43
		refs = "0014 TCustomDataStore.GetDimensionCount 0020 TDataCache.GetDomain"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 53 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 47 24 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13270_0 {
	meta:
		name = "TCustomDataStore.GetSummaryName"
		size = 146
		refs = "0011 @LStrClr 0025 TCollection.GetCount 0039 TCubeDims.GetCubeDim 006c @LStrLAsg 0087 TDataCache.GetSummaryName"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 89 14 24 8B D8 8B C5 E8 ?? ?? ?? ?? 8B 73 30 85 F6 74 5C 33 C0 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 48 47 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 21 00 74 31 8B D6 8B 43 30 E8 ?? ?? ?? ?? 80 78 28 00 74 21 8B 04 24 3B 44 24 04 75 14 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 50 14 8B C5 E8 ?? ?? ?? ?? FF 44 24 04 46 4F 75 BB 83 7D 00 00 75 0D 8B CD 8B 14 24 8B 43 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13271_0 {
	meta:
		name = "TCustomDataStore.GetSummaryAsString"
		size = 25
		refs = "0011 TDataCache.GetSummaryAsString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13272_0 {
	meta:
		name = "TCustomDataStore.GetSummaryAsVariant"
		size = 25
		refs = "0011 TDataCache.GetSummaryAsVariant"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13273_0 {
	meta:
		name = "TCustomDataStore.GetCurrentSummary"
		size = 7
	strings:
		$1 = { 8B 40 24 8B 40 0C C3 }
	condition:
		$1
}

rule function_13274_0 {
	meta:
		name = "TCustomDataStore.SetCurrentSummary"
		size = 25
		refs = "000c TDataCache.SetActiveSummary"
	strings:
		$1 = { 56 8B F0 8B 46 24 3B 50 0C 74 0C E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 34 5E C3 }
	condition:
		$1
}

rule function_13275_0 {
	meta:
		name = "TCustomDataStore.GetMemoryUsage"
		size = 21
		refs = "000c TDataCache.GetMemoryUsage"
	strings:
		$1 = { 33 D2 8B 48 24 85 C9 74 09 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_13276_0 {
	meta:
		name = "TCustomDataStore.BinMapHasBinData"
		size = 76
		refs = "000c TCollection.GetCount 0020 TCubeDims.GetCubeDim 0025 TCubeDim.IsBinData"
	strings:
		$1 = { 53 56 57 55 8B F0 33 DB 8B 46 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2E 47 33 ED 8B D5 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B D5 8B 46 30 E8 ?? ?? ?? ?? 80 78 21 00 75 04 B3 01 EB 04 45 4F 75 D5 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13277_0 {
	meta:
		name = "TCustomDataStore.GetDimensionMapCount"
		size = 9
		refs = "0004 TCollection.GetCount"
	strings:
		$1 = { 8B 40 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16342_0 {
	meta:
		name = "TQRCustomController.AddBefore"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13280_0 {
	meta:
		name = "TCustomDataStore.DoBeforeOpen"
		size = 20
	strings:
		$1 = { 53 66 83 78 56 00 74 0A 8B D8 8B D0 8B 43 58 FF 53 54 5B C3 }
	condition:
		$1
}

rule function_13281_0 {
	meta:
		name = "TCustomDataStore.DoAfterOpen"
		size = 20
	strings:
		$1 = { 53 66 83 78 5E 00 74 0A 8B D8 8B D0 8B 43 60 FF 53 5C 5B C3 }
	condition:
		$1
}

rule function_13282_0 {
	meta:
		name = "TCustomDataStore.DoBeforeClose"
		size = 20
	strings:
		$1 = { 53 66 83 78 66 00 74 0A 8B D8 8B D0 8B 43 68 FF 53 64 5B C3 }
	condition:
		$1
}

rule function_13283_0 {
	meta:
		name = "TCustomDataStore.DoAfterClose"
		size = 20
	strings:
		$1 = { 53 66 83 78 6E 00 74 0A 8B D8 8B D0 8B 43 70 FF 53 6C 5B C3 }
	condition:
		$1
}

rule function_13284_0 {
	meta:
		name = "TCustomDataStore.DoOnRefresh"
		size = 22
	strings:
		$1 = { 53 66 83 78 76 00 74 0C 8B D8 8B CA 8B D0 8B 43 78 FF 53 74 5B C3 }
	condition:
		$1
}

rule function_13285_0 {
	meta:
		name = "TCustomDataStore.SetMaxDims"
		size = 23
	strings:
		$1 = { 3B 50 3C 74 11 83 FA 10 7C 09 C7 40 3C 10 00 00 00 EB 03 89 50 3C C3 }
	condition:
		$1
}

rule function_13286_0 {
	meta:
		name = "TCustomDataStore.SetMaxSums"
		size = 9
	strings:
		$1 = { 3B 50 40 74 03 89 50 40 C3 }
	condition:
		$1
}

rule function_13287_0 {
	meta:
		name = "TCustomDataStore.SetBinData"
		size = 9
	strings:
		$1 = { 3A 50 39 74 03 88 50 39 C3 }
	condition:
		$1
}

rule function_13288_0 {
	meta:
		name = "TCustomDataStore.CheckDimensionMap"
		size = 586
		refs = "0026 TCollection.GetCount 0073 TCubeDims.GetCubeDim 0089 @LStrCmp 011f TCubeDim.GetBin 019d TDimensionItem.IsDimension 01b8 TDataCache.DimensionFromFieldName 01de @LStrAsg 01f7 TDataCache.SummaryFromFieldName"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 89 4C 24 04 8B F2 89 04 24 C6 44 24 08 00 8B 04 24 8B 58 30 85 DB 0F 84 1B 02 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 0C 02 00 00 8B 04 24 80 78 3A 00 74 18 8B 04 24 C6 40 3A 00 C6 44 24 08 01 8B 44 24 04 C6 00 00 E9 EB 01 00 00 8B 04 24 8B 78 30 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C D3 01 00 00 45 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 18 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 18 58 E8 ?? ?? ?? ?? 0F 85 95 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 40 21 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 3A 50 21 74 11 C6 44 24 08 01 8B 44 24 04 C6 00 00 E9 7E 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 20 0B 74 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 20 09 75 37 8B D3 8B C7 E8 ?? ?? ?? ?? DD 40 38 DD 5C 24 14 9B 8B D3 8B C6 E8 ?? ?? ?? ?? DD 40 38 DC 5C 24 14 DF E0 9E 74 11 C6 44 24 08 01 8B 44 24 04 C6 00 00 E9 29 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A D0 74 11 C6 44 24 08 01 8B 44 24 04 C6 00 00 E9 F6 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 14 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 14 58 E8 ?? ?? ?? ?? 74 05 C6 44 24 08 01 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 10 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 10 58 E8 ?? ?? ?? ?? 0F 84 A3 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 18 8B 04 24 8B 40 24 E8 ?? ?? ?? ?? 89 44 24 0C 83 7C 24 0C 00 74 5A 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8B 44 24 0C 8B 40 34 83 C0 04 E8 ?? ?? ?? ?? EB 3D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 18 8B 04 24 8B 40 24 E8 ?? ?? ?? ?? 89 44 24 10 83 7C 24 10 00 74 1B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8B 44 24 10 8B 40 40 83 C0 04 E8 ?? ?? ?? ?? C6 44 24 08 01 EB 0E C6 44 24 08 01 8B 44 24 04 C6 00 00 EB 08 43 4D 0F 85 30 FE FF FF 8A 44 24 08 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13289_0 {
	meta:
		name = "TCustomDataStore.SetLoadMap"
		size = 1559
		refs = "001a TCustomDataStore.SetLoadMap 0047 TCollection.GetCount 005f TCubeDims.GetCubeDim 00a6 TDimensionItem.SetActive 00be TDimensionItem.IsDimension 0188 TDimensionItem.IsSummary 03c4 TDimensionItems.AverageFieldCheck 042e sMaxAllowedSums 0433 LoadResString 043d _Dn_EDimensionMapError 0442 Exception.CreateFmt 0447 @RaiseExcept 046d sMaxAllowedDims 04b6 sMaxAllowedCells 0523 sNoSumsAvailable 0537 Exception.Create 0546 sNoSumsCouldBeLoaded 05b3 sNoDimsAvailable 05d6 sNoDimsCouldBeLoaded 0604 @LStrClr 060a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D D0 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 44 89 45 E4 83 7D E4 00 7F 07 C7 45 E4 00 94 35 77 33 C0 89 45 EC 33 C0 89 45 E8 8B C7 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 86 00 00 00 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 83 7D F8 00 74 2B 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 7D 1F 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 80 78 21 00 74 06 80 7B 22 02 75 04 33 C0 EB 02 B0 01 88 43 54 8A 43 22 2C 01 72 0F FE C8 75 14 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 21 00 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 FF 45 EC EB 09 83 7B 0C 00 7D 03 FF 45 E8 46 FF 4D DC 75 80 8B 45 E8 89 45 E0 83 7D E0 00 7F 07 C7 45 E0 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 47 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 80 7B 22 02 74 1F 80 7B 21 00 74 19 8B 43 50 85 C0 7E 0B 8B 55 E0 0F AF D0 89 55 E0 EB 07 6B 45 E0 32 89 45 E0 46 FF 4D DC 75 BF 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C D2 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 21 00 0F 85 B3 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B 45 FC 8B 08 FF 51 50 84 C0 0F 85 96 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 54 84 C0 75 7D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 8B 40 3C 3B 45 EC 7E 67 8B 45 E0 3B 45 E4 7D 5F 8B 45 E0 8B 53 50 85 D2 7E 04 F7 EA EB 03 6B C0 32 3B 45 E4 7F 49 89 45 E0 FF 45 EC B2 01 8B C3 E8 ?? ?? ?? ?? EB 38 8B 45 FC 8B 40 40 3B 45 E8 7E 2D 8B 45 E0 3B 45 E4 7D 25 83 7D E8 00 7E 13 8B 45 E8 40 F7 6D E0 99 F7 7D E8 3B 45 E4 7F 0F 89 45 E0 FF 45 E8 B2 01 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 2E FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C A2 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 21 00 0F 85 83 00 00 00 80 7B 54 00 74 7D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 8B 40 3C 3B 45 EC 7E 67 8B 45 E0 3B 45 E4 7D 5F 8B 45 E0 8B 53 50 85 D2 7E 04 F7 EA EB 03 6B C0 32 3B 45 E4 7F 49 89 45 E0 FF 45 EC B2 01 8B C3 E8 ?? ?? ?? ?? EB 38 8B 45 FC 8B 40 40 3B 45 E8 7E 2D 8B 45 E0 3B 45 E4 7D 25 83 7D E8 00 7E 13 8B 45 E8 40 F7 6D E0 99 F7 7D E8 3B 45 E4 7F 0F 89 45 E0 FF 45 E8 B2 01 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 5E FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C A2 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 21 00 0F 85 83 00 00 00 80 7B 22 01 75 7D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 8B 40 3C 3B 45 EC 7E 67 8B 45 E0 3B 45 E4 7D 5F 8B 45 E0 8B 53 50 85 D2 7E 04 F7 EA EB 03 6B C0 32 3B 45 E4 7F 49 89 45 E0 FF 45 EC B2 01 8B C3 E8 ?? ?? ?? ?? EB 38 8B 45 FC 8B 40 40 3B 45 E8 7E 2D 8B 45 E0 3B 45 E4 7D 25 83 7D E8 00 7E 13 8B 45 E8 40 F7 6D E0 99 F7 7D E8 3B 45 E4 7F 0F 89 45 E0 FF 45 E8 B2 01 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 5E FF FF FF 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 64 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 28 00 74 47 83 7B 0C 00 7C 41 8D 45 F0 50 8D 4D F4 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 20 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 80 78 21 00 74 10 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 80 78 21 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 46 FF 4D DC 75 A2 8B 45 FC F6 40 20 10 0F 84 C7 00 00 00 8B 45 FC 8B 40 40 3B 45 E8 7D 34 8B 45 FC 8B 40 40 89 45 D4 C6 45 D8 00 8D 45 D4 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 3B 45 EC 7D 34 8B 45 FC 8B 40 3C 89 45 D4 C6 45 D8 00 8D 45 D4 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E4 00 7E 43 8B 45 E0 3B 45 E4 7E 3B 8B 45 E0 89 45 C0 C6 45 C4 00 8B 45 E4 89 45 C8 C6 45 CC 00 8D 45 C0 50 6A 01 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 0F 85 86 00 00 00 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 30 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 22 02 74 03 FF 45 E8 46 FF 4D DC 75 D6 83 7D E8 00 75 23 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 0F 85 86 00 00 00 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 30 40 89 45 DC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 22 02 74 03 FF 45 EC 46 FF 4D DC 75 D6 83 7D EC 00 75 23 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13292_0 {
	meta:
		name = "HardRebuild"
		size = 31
		refs = "000c TCustomDataStore.SetActive"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_13293_0 {
	meta:
		name = "TCustomDataStore.Refresh"
		size = 182
		refs = "0019 HardRebuild 0039 TCustomDataStore.SetLoadMap 0046 TCustomDataStore.CheckDimensionMap 007d TCustomDataStore.SetState"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B F2 89 45 FC C6 45 FB 02 85 F6 75 0C 55 E8 ?? ?? ?? ?? 59 E9 8D 00 00 00 8B D6 8B 45 FC 8B 08 FF 51 48 8B 45 FC 8B 48 30 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 0A C3 74 55 84 DB 74 04 C6 45 FB 00 8B 45 FC 8B 40 30 8B D6 8B 08 FF 51 08 8A 45 FB 2C 02 72 04 74 0B EB 25 55 E8 ?? ?? ?? ?? 59 EB 1C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 B2 03 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 17 8B 45 FC 8B 10 FF 52 34 EB 0D 8B 45 FC 8B 40 30 8B D6 8B 08 FF 51 08 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13295_0 {
	meta:
		name = "GetIntProp"
		size = 44
		refs = "001a DbiGetProp 001f Check"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 33 C0 89 44 24 04 54 6A 04 8D 44 24 0C 50 56 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_13296_0 {
	meta:
		name = "TBinTable.CleanUp"
		size = 18
		refs = "000d TObject.Free"
	strings:
		$1 = { 8B 90 28 02 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13297_0 {
	meta:
		name = "GetDimFromFieldName"
		size = 157
		refs = "000e @LStrAddRef 0016 GetDimFromFieldName 002f TCollection.GetCount 004c TCubeDims.GetCubeDim 0057 @LStrCmp 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 08 8B 40 FC 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3E 46 33 DB 8B 45 08 8B 40 FC 8B 40 1C 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 18 8B 55 FC E8 ?? ?? ?? ?? 75 17 8B 45 08 8B 40 FC 8B 40 1C 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13298_0 {
	meta:
		name = "TBinTable.Attach"
		size = 732
		refs = "0017 TBinTable.Attach 0038 TBinTable.SetTableName 003d _DV_TCubeDim 0047 _DV_TCubeDims 004c TCubeDims.Create 005a TDataLink.GetDataSet 005f TDataSet.GetFieldCount 0085 TFields.GetField 0094 GetDimFromFieldName 00a8 TDimensionItem.IsDimension 00c4 TObject.Free 00dd sMaxAllowedDims 00e2 LoadResString 00ec _DV_ECacheError 00f1 Exception.CreateFmt 00f6 @RaiseExcept 0101 TCubeDims.Add 010c TCollection.GetCount 011a TCubeDims.GetCubeDim 0136 TCubeDim.GetBin 0142 TBinData.GetMaxBinNameSize 0152 TBinData.GetBinNameDataType 0162 TFieldDefs.Add 01e4 TDimensionItem.IsSummary 027d TBinTable.CreateTempTable 0292 DbiSetProp 0297 Check 02b8 @LStrClr 02be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 C7 86 20 02 00 00 07 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 28 02 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 28 01 00 00 47 C7 45 F8 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F0 55 8B 45 F0 8B 40 28 E8 ?? ?? ?? ?? 59 8B D8 80 7B 21 01 0F 85 E7 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 FF 45 F4 83 7D F4 10 7E 3D 8B 86 28 02 00 00 E8 ?? ?? ?? ?? C7 45 E4 10 00 00 00 C6 45 E8 00 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B D0 4A 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 8B 45 F0 8A 40 32 84 C0 74 04 3C 01 75 59 8B C3 E8 ?? ?? ?? ?? 3C 04 75 2A 8B 43 4C E8 ?? ?? ?? ?? 50 8B 45 F0 8A 40 35 50 8B 43 4C E8 ?? ?? ?? ?? 8B C8 8B 45 F0 8B 50 28 8B 46 2C E8 ?? ?? ?? ?? EB 24 8B 45 F0 8B 10 FF 52 78 50 8B 45 F0 8A 40 35 50 8B 45 F0 8A 48 30 8B 45 F0 8B 50 28 8B 46 2C E8 ?? ?? ?? ?? FF 45 F8 4F 0F 85 E0 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A5 00 00 00 47 C7 45 F8 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 89 45 EC 55 8B 45 EC 8B 40 28 E8 ?? ?? ?? ?? 59 8B D8 80 7B 21 01 75 68 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5D 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B D0 4A 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 8B 45 EC 8A 40 32 84 C0 74 04 3C 01 75 24 8B 45 EC 8B 10 FF 52 78 50 8B 45 EC 8A 40 35 50 8B 45 EC 8A 48 30 8B 45 EC 8B 50 28 8B 46 2C E8 ?? ?? ?? ?? FF 45 F8 4F 0F 85 63 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 90 0C 02 00 00 80 7A 30 00 74 0A 33 C0 89 86 2C 02 00 00 EB 09 8B 42 3C 89 86 2C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 89 9E 1C 02 00 00 6A 02 68 05 00 05 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 91 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 54 6D 70 54 61 62 00 00 }
	condition:
		$1
}

rule function_13299_0 {
	meta:
		name = "GetStandardLanguageDriver"
		size = 232
		refs = "0012 GetStandardLanguageDriver 0035 TBinTable.GetTableTypeName 003f @LStrFromPChar 0050 TBinTable.IsDBaseTable 0061 @LStrLAsg 007e @LStrToPChar 0084 DbiGetLdName 0098 @LStrFromArray 00a1 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 0C 02 00 00 80 78 30 00 75 70 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 2B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DD 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 18 8B C3 8D 55 DD B9 1F 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 44 42 41 53 45 00 00 00 FF FF FF FF 07 00 00 00 50 41 52 41 44 4F 58 00 }
	condition:
		$1
}

rule function_13300_0 {
	meta:
		name = "TBinTable.CreateTempTable"
		size = 1244
		refs = "0021 TBinTable.CreateTempTable 0048 @FillChar 007a MXDBLocale 008b TBDEDataSet.SetLocale 00ad AnsiToNative 00b5 TBinTable.GetTableTypeName 00ce StrCopy 00d9 TCollection.GetCount 00ea AllocMem 00fa @LStrClr 0114 OsLdGetSymbName 012c @LStrFromArray 013e GetStandardLanguageDriver 014d @LStrLAsg 015f @LStrToPChar 0165 OsLdLoadBySymbName 01a5 TFieldDefs.GetFieldDef 01b2 TFieldDef.GetSize 01cb TBinTable.EncodeFieldDesc 01d2 TFieldDef.GetRequired 01fa OsLdUnloadObj 020b @HandleFinally 023e TDBDataSet.GetDBHandle 0244 DbiGetLdNameFromDb 0261 TBinTable.GetDriverTypeName 0272 DbiTranslateRecordStructure 0277 Check 02e9 TCubeDims.GetCubeDim 02ee TDimensionItem.IsDimension 0304 TFieldDef.GetFieldNo 0344 @LStrLen 035c TBinTable.GetTableLevel 0364 IntToStr 038f StrPCopy 0410 DbiCreateTempTable 0435 @FreeMem"
	strings:
		$1 = { 55 8B EC 81 C4 CC FC FF FF 53 56 57 33 D2 89 95 CC FC FF FF 89 55 F0 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 89 45 E0 33 C0 89 45 DC 8D 85 12 FD FF FF 33 C9 BA AA 02 00 00 E8 ?? ?? ?? ?? B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 64 01 00 00 89 45 E8 83 3D ?? ?? ?? ?? 00 74 0E 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 04 01 00 00 8D 8D 12 FD FF FF 8B 45 FC 8B 90 18 02 00 00 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 17 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B D8 66 89 5D 80 0F B7 C3 6B C0 3E E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 64 01 00 00 85 DB 74 25 8D 85 F2 FC FF FF 50 53 E8 ?? ?? ?? ?? 66 85 C0 75 13 8D 45 F0 8D 95 F2 FC FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 75 1B 55 8D 85 CC FC FF FF E8 ?? ?? ?? ?? 59 8B 95 CC FC FF FF 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 74 22 8D 45 EC 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 0B 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 49 47 33 F6 8B 45 FC 8B 40 2C 8B D6 E8 ?? ?? ?? ?? 8B D8 8A 43 1F 50 8B C3 E8 ?? ?? ?? ?? 50 8B C6 C1 E0 05 2B C6 8B 55 F4 8D 14 42 8B 4B 0C 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 66 FF 45 9E 46 4F 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 14 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B7 45 80 6B C0 3E E8 ?? ?? ?? ?? 89 45 86 33 DB 8B 45 FC 8B 80 0C 02 00 00 80 78 30 00 74 22 8D 85 D2 FC FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 06 8D 9D D2 FC FF FF 6A 00 8B 45 86 50 53 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 50 66 8B 45 80 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 45 9E 00 00 8B 45 FC 8B 98 28 02 00 00 85 DB 0F 84 96 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 87 00 00 00 66 BB 01 00 66 89 5D 8A 0F B7 C3 69 C0 7D 03 00 00 E8 ?? ?? ?? ?? 8B F0 89 75 90 66 C7 86 47 01 00 00 FF FF 8B 45 FC 8B 80 28 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4E 47 33 F6 8B 45 FC 8B 80 28 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 FC 8B 40 2C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 90 0F B7 93 55 01 00 00 66 89 84 53 5D 01 00 00 8B 45 90 66 FF 80 55 01 00 00 46 4F 75 B5 66 B8 02 00 66 89 45 B2 0F B7 C0 6B C0 3E E8 ?? ?? ?? ?? 8B D8 89 5D E0 8B 45 F0 E8 ?? ?? ?? ?? 83 C0 02 E8 ?? ?? ?? ?? 8B F0 89 75 B8 89 75 DC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 66 C7 43 2A 00 00 8B 45 E4 E8 ?? ?? ?? ?? 40 66 89 43 2C BA ?? ?? ?? ?? 8D 43 02 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 40 01 45 B8 83 C3 3E 8B 45 E4 E8 ?? ?? ?? ?? 40 66 89 43 2A 8B 45 E4 E8 ?? ?? ?? ?? 8B F0 46 8B 45 F0 E8 ?? ?? ?? ?? 66 03 F0 46 66 89 73 2C BA ?? ?? ?? ?? 8D 43 02 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 40 01 45 B8 8B 45 E0 89 45 B4 8B 45 DC 89 45 B8 8D 45 F8 50 8D 85 12 FD FF FF 50 8B 45 FC 8B 80 2C 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 86 85 C0 74 0C 0F B7 55 80 6B D2 3E E8 ?? ?? ?? ?? 83 7D F4 00 74 0F 0F B7 45 80 6B D0 3E 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 90 85 C0 74 0F 0F B7 55 8A 69 D2 7D 03 00 00 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB 98 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 CC FC FF FF E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F8 5F 5E 5B 8B E5 5D C3 4C 45 56 45 4C 00 00 00 4C 41 4E 47 44 52 49 56 45 52 00 00 }
	condition:
		$1
}

rule function_13301_0 {
	meta:
		name = "TBinTable.CreateIndexTable"
		size = 368
		refs = "0015 TBinTable.CreateIndexTable 0027 TBinTable.SetTableName 0039 TCollection.GetCount 0054 TFieldDefs.Add 005c TDataCache.GetDimensionCount 0073 TDataCache.GetDimensionName 00c3 TDataCache.GetSummaryName 00d7 TBinTable.CreateTempTable 00ec DbiSetProp 00f1 Check 0117 @LStrArrayClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 83 20 02 00 00 07 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 85 C0 0F 85 8F 00 00 00 6A 00 6A 00 B1 03 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 FF 8D 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 B1 02 8B 55 F8 8B 43 2C E8 ?? ?? ?? ?? 47 4E 75 DE 6A 00 6A 00 B1 03 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 6A 00 6A 00 B1 05 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 6A 00 6A 00 8D 4D F4 8B 45 FC 8B 50 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 B1 06 8B 43 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 1C 02 00 00 6A 02 68 05 00 05 00 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 49 64 78 54 61 62 00 00 FF FF FF FF 08 00 00 00 50 6F 73 69 74 69 6F 6E 00 00 00 00 FF FF FF FF 06 00 00 00 4F 66 66 73 65 74 00 00 FF FF FF FF 06 00 00 00 53 70 61 72 73 65 00 00 }
	condition:
		$1
}

rule function_13302_0 {
	meta:
		name = "TBinTable.save"
		size = 93
		refs = "000e @LStrAddRef 0016 TBinTable.save 0026 @LStrToPChar 0033 DbiMakePermanent 0038 Check 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 1C 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13303_0 {
	meta:
		name = "_NF__436"
		size = 28
	strings:
		$1 = { 50 41 52 41 44 4F 58 00 44 42 41 53 45 00 00 00 41 53 43 49 49 44 52 56 00 00 00 00 }
	condition:
		$1
}

rule function_13304_0 {
	meta:
		name = "TBinTable.GetTableTypeName"
		size = 192
		refs = "000e TBinTable.GetTableTypeName 003a ExtractFileExt 0047 CompareText 006b Names 0074 TBinTable.SetTableType 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8A 9E 24 02 00 00 8B 86 0C 02 00 00 80 78 30 00 75 43 84 DB 75 34 8D 55 FC 8B 86 18 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 02 B3 02 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 02 B3 04 33 C0 8A C3 8B 3C 85 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 FF FF FF FF 04 00 00 00 2E 54 58 54 00 00 00 00 }
	condition:
		$1
}

rule function_13305_0 {
	meta:
		name = "TBinTable.EncodeFieldDesc"
		size = 119
		refs = "001d AnsiToNative 0027 FldTypeMap 0035 FldSubTypeMap"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B 5D 0C 6A 1F 8D 4E 02 8B 80 64 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 8A C3 8B 15 ?? ?? ?? ?? 0F B6 14 02 66 89 56 22 8B 15 ?? ?? ?? ?? 66 8B 04 42 66 89 46 24 FE CB 74 13 80 EB 07 74 18 80 C3 FC 80 EB 02 72 06 4B 80 EB 07 73 18 66 8B 45 08 66 89 46 26 EB 0E 66 C7 46 26 20 00 66 8B 45 08 66 89 46 28 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13307_0 {
	meta:
		name = "TBinTable.CreateHandle"
		size = 98
		refs = "000c TBinTable.CreateHandle 0023 SNoTableName 0028 LoadResString 0032 DatabaseError 0039 TBinTable.GetHandle 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 18 02 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_13308_0 {
	meta:
		name = "TBinTable.GetTableLevel"
		size = 30
		refs = "0012 GetIntProp"
	strings:
		$1 = { 8B 90 4C 01 00 00 85 D2 74 0D 8B C2 BA 03 00 05 00 E8 ?? ?? ?? ?? C3 8B 80 20 02 00 00 C3 }
	condition:
		$1
}

rule function_13309_0 {
	meta:
		name = "TBinTable.EmptyTable"
		size = 231
		refs = "0011 TDataSet.GetActive 001d TDataSet.CheckBrowseMode 0033 TDBDataSet.GetDBHandle 0039 DbiEmptyTable 003e Check 0071 TBinTable.EmptyTable 007f TBinTable.GetTableTypeName 008d TDBDataSet.GetDBLocale 00a1 AnsiToNative 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 80 4C 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 33 C9 B2 02 8B 45 FC 8B 18 FF 53 5C E9 87 00 00 00 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 68 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F8 FE FF FF 8B 55 FC 8B 92 18 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 10 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13310_0 {
	meta:
		name = "TBinTable.SetTableName"
		size = 40
		refs = "0016 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 44 8D 83 18 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 53 5C 5E 5B C3 }
	condition:
		$1
}

rule function_13311_0 {
	meta:
		name = "TBinTable.SetTableType"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 88 9E 24 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13312_0 {
	meta:
		name = "TBinTable.IsDBaseTable"
		size = 124
		refs = "000c TBinTable.IsDBaseTable 0029 ExtractFileExt 0036 CompareText 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 24 02 00 00 02 74 23 8D 55 FC 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 2E 44 42 46 00 00 00 00 }
	condition:
		$1
}

rule function_13315_0 {
	meta:
		name = "GetDimFromFieldName"
		size = 157
		refs = "000e @LStrAddRef 0016 GetDimFromFieldName 002f TCollection.GetCount 004c TCubeDims.GetCubeDim 0057 @LStrCmp 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 08 8B 40 FC 8B 80 28 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3E 46 33 DB 8B 45 08 8B 40 FC 8B 80 28 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 18 8B 55 FC E8 ?? ?? ?? ?? 75 17 8B 45 08 8B 40 FC 8B 80 28 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13316_0 {
	meta:
		name = "TBinTable.FillRecord"
		size = 226
		refs = "0018 TBinTable.FillRecord 0039 TDataSet.Append 0040 TDataSet.GetFieldCount 0055 TFields.GetField 0062 TDataSet.GetFieldValue 0075 GetDimFromFieldName 0083 TCubeDim.IsBinData 00a9 TDataSet.SetFieldValue 00b7 TBinTable.BinPost 00cc @VarClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 83 91 00 00 00 88 45 FB 80 7D FB 01 0F 84 86 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 6A 40 89 45 F4 33 F6 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 50 28 8D 4D E4 8B C3 E8 ?? ?? ?? ?? 55 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 40 28 E8 ?? ?? ?? ?? 59 8B F8 85 FF 74 2D 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E4 8B C7 8B 08 FF 51 24 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 50 28 8D 4D E4 8B 45 FC E8 ?? ?? ?? ?? 46 FF 4D F4 75 9C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13317_0 {
	meta:
		name = "TBinTable.HandleKeyViol"
		size = 632
		refs = "0018 TBinTable.HandleKeyViol 0029 TDimensionItems.GetDimCount 0056 VarArrayCreate 006a TDimensionItems.GetSumCount 0090 TCollection.GetCount 00ab TCubeDims.GetCubeDim 00b0 TDimensionItem.IsDimension 00c1 TFields.GetField 00d6 @LStrCatN 00fe TDataSet.GetFieldValue 010b @VarArrayPut 0172 TDataSet.First 018f TDataSet.Edit 01bb TDimensionItem.IsSummary 01ed @VarArrayGet 01f9 @VarAdd 0212 TDataSet.SetFieldValue 022f Variant 0239 @FinalizeArray 0254 @LStrClr 025a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 48 7E 2A 8D 45 D8 50 33 C0 89 45 D0 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 48 89 45 D4 8D 45 D0 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 33 C0 89 45 D0 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 48 89 45 D4 8D 45 D0 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C C6 00 00 00 47 33 F6 8B D6 8B 83 28 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 75 FF 75 FC 8B D6 8B 43 24 E8 ?? ?? ?? ?? FF 70 28 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 48 7E 2C 56 6A 01 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 50 28 8D 4D C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 EB 49 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 50 28 8D 4D D8 8B C3 E8 ?? ?? ?? ?? EB 30 8B 45 F8 50 6A 01 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 50 28 8D 4D C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 FF 45 F8 46 4F 0F 85 3D FF FF FF 8B C3 8B 10 FF 92 AC 01 00 00 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 4D D8 8B 55 FC 8B C3 8B 30 FF 96 DC 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 73 47 33 F6 8B D6 8B 83 28 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 50 28 8D 4D C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 50 6A 01 8D 45 E8 50 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 B0 58 E8 ?? ?? ?? ?? 8D 45 C0 50 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 50 28 8B C3 59 E8 ?? ?? ?? ?? FF 45 F8 46 4F 75 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 3B 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13318_0 {
	meta:
		name = "TBinTable.BinPost"
		size = 148
		refs = "0007 TDataSet.UpdateRecord 0019 TDataSet.UpdateCursorPos 002b TDataSet.ActiveBuffer 0038 DbiModifyRecord 0041 TBinTable.CheckKeyViol 0059 DbiInsertRecord 006d TDataSet.FreeFieldBuffers 0076 TDataSet.SetState 007c TBinTable.BinPost"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 07 8B C3 8B 30 FF 56 5C 8B C3 E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 02 75 21 6A FF 8B C3 E8 ?? ?? ?? ?? 50 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1F 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B 83 4C 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 AC 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 E8 01 00 00 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13319_0 {
	meta:
		name = "TBinTable.CheckKeyViol"
		size = 35
		refs = "000b TBinTable.HandleKeyViol 001b DbiError"
	strings:
		$1 = { 53 B3 01 66 81 FA 01 26 75 09 E8 ?? ?? ?? ?? 33 DB EB 0C 66 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_13320_0 {
	meta:
		name = "TMultiDimDataLink.Create"
		size = 65
		refs = "000b @ClassCreate 001a TDataLink.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 33 C0 89 47 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13322_0 {
	meta:
		name = "DBCompareString"
		size = 17
		refs = "0007 MXDBLocale 000c NativeCompareStrBuf"
	strings:
		$1 = { 6A 00 8B 0A 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13323_0 {
	meta:
		name = "TMultiDimDataLink.DoUpdateCache"
		size = 364
		refs = "0012 TMultiDimDataLink.DoUpdateCache 0026 GetCursor 0037 LoadCursor 003d SetCursor 0061 Application 006a _Dn_TProgressDialog 006f TCustomForm.Create 0075 ProgressDlg 009c TMultiDimDataLink.UpdateCache 00a4 sBuildingDataStore 00a9 LoadResString 00b8 TControl.SetText 00eb _DV_ECacheError 00f0 Exception.Create 00f5 @RaiseExcept 010e TObject.Free 011d @HandleFinally 015b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 80 78 38 00 74 0A E8 ?? ?? ?? ?? 89 45 FC EB 15 68 02 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 80 78 38 00 0F 84 C4 00 00 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 89 98 EC 02 00 00 C7 80 E8 02 00 00 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 CC 00 00 00 A1 ?? ?? ?? ?? 8B 00 83 B8 E4 02 00 00 00 74 1E A1 ?? ?? ?? ?? 8B 00 8B 88 E4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 C3 E9 ?? ?? ?? ?? EB E3 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13324_0 {
	meta:
		name = "CleanUp"
		size = 72
		refs = "001b TList.Last 0026 TList.Remove 002d TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 FC 8B 75 08 83 C6 F8 83 3B 00 74 23 EB 19 8B 03 E8 ?? ?? ?? ?? 89 06 8B 16 8B 03 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 03 83 78 08 00 7F DF 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13325_0 {
	meta:
		name = "SumsOrdered"
		size = 80
		refs = "0015 TCollection.GetCount 0032 TCubeDims.GetCubeDim 0037 TDimensionItem.IsDimension"
	strings:
		$1 = { 55 8B EC 53 56 57 B3 01 8B 45 08 8B 40 F4 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 F6 8B 45 08 8B 40 F4 8B 40 1C 8B 40 30 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 02 B3 01 46 4F 75 DA 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13326_0 {
	meta:
		name = "TMultiDimDataLink.UpdateCache"
		size = 1364
		refs = "001b TMultiDimDataLink.UpdateCache 0031 TDataCache.SetSuccess 003e TCustomDataStore.GetDataSet 0044 _Dn_TDecisionQuery 0049 @IsClass 0055 SDecisionQueryError 005a LoadResString 006d _Dn_TQuery 007e SQueryError 008d SDataSetError 00ae VerifyRTQuery 00ea SNoAggs 0107 @LStrCatN 0111 _Dn_EDimensionMapError 0116 Exception.Create 011b @RaiseExcept 0128 SGroupsMissing 0163 SNoDims 019e SUnknownDims 01dd TCustomDataStore.SetLoadMap 01eb TDimensionItems.GetActiveDimCount 0214 sMaxAllowedDims 0228 Exception.CreateFmt 023b TDimensionItems.GetActiveSumCount 0264 sMaxAllowedSums 029b sEmptyDataSet 02aa _DV_ECacheError 02cb TCustomDataStore.BinMapHasBinData 02e2 TCustomDataStore.SetBinData 0300 TDataLink.GetDataSet 0306 _Dn_TBDEDataSet 0322 MXDBLocale 0332 _Dn_TList 0337 TObject.Create 0345 TMultiDimDataLink.UpdateDimensions 035d CleanUp 0390 IsBDEAvailable 03ad TMultiDimDataLink.FetchAndBinValues 03ba TMultiDimDataLink.FetchValues 03c5 TCustomDataStore.GetDimensionCount 03ea TDataCache.GetDimension 03f8 TList.Get 040b TDimension.IsString 0414 DBCompareString 041c TCustomArray.SetCompProc 0436 TDimension.AssignSorted 0445 @HandleOnException 044d _Dn_ELowCapacityError 048d @RaiseAgain 04b0 @DoneExcept 04da @TryFinallyExit 04e7 TMultiDimDataLink.CreateSummaryIndex 0511 @HandleFinally 052d @LStrArrayClr 0535 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D E0 89 4D DC 89 4D EC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 8B 40 24 33 D2 E8 ?? ?? ?? ?? B3 01 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8D 4D EB 8B 55 F4 8B 52 1C 8B 52 30 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 06 0F 87 FF 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 EB 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 EC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 EC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 72 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 EC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 37 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 50 30 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 1C 3B 42 3C 7E 37 8B 45 F4 8B 40 1C 8B 40 3C 89 45 D4 C6 45 D8 00 8D 45 D4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 1C 3B 42 40 7E 37 8B 45 F4 8B 40 1C 8B 40 40 89 45 D4 C6 45 D8 00 8D 45 D4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 48 7F 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 80 78 39 00 75 22 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 84 C0 75 06 80 7D EB 00 75 0D 8B 45 F4 8B 40 1C B2 01 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C F6 40 20 10 74 0A 80 78 2D 00 0F 84 1B 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 F4 E8 ?? ?? ?? ?? 8B 80 64 01 00 00 A3 ?? ?? ?? ?? EB 07 33 C0 A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C F6 40 20 10 74 12 80 78 2D 01 75 0C 55 E8 ?? ?? ?? ?? 59 E9 B0 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 8B 40 1C 80 78 39 00 74 11 84 DB 74 0D 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 48 85 C0 0F 8C EE 00 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 45 F4 8B 40 1C 8B 40 24 8B 55 F0 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 74 19 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 01 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 EA 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 EA 8B 43 50 FF 53 4C 80 7D EA 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C 69 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F0 FF 4D E4 0F 85 1D FF FF FF 8B 45 F4 8B 40 1C F6 40 20 10 74 14 80 78 2D 02 75 0E 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 37 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_13327_0 {
	meta:
		name = "TypeError"
		size = 132
		refs = "0012 TypeError 002d FieldTypeNames 0045 sUnsupportedFieldType 004a LoadResString 0054 _Dn_EUnsupportedTypeError 0059 Exception.CreateFmt 005e @RaiseExcept 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 89 45 F0 C6 45 F4 0B 33 C0 8A 43 30 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 F8 C6 45 FC 0B 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13328_0 {
	meta:
		name = "AddDim"
		size = 416
		refs = "0010 AddDim 0021 TCubeDim.GetBin 0033 TBinData.GetBinNameDataType 0057 TMultiDimDataLink.AddDimension 0074 TDataLink.GetDataSet 0085 _DV_TBuilderDim 008a TBuilderDim.Create 009f @HandleOnException 00a7 _Dn_ELowCapacityError 00ea @RaiseAgain 00ef @DoneExcept 00ff DBCompareString 0111 TField.GetIndex 011e TDimension.SetPosition 0135 @LStrAsg 014c _Dn_EUnsupportedTypeError 0163 TypeError 0196 TList.Insert"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3C 04 75 12 8B 45 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B D8 EB 09 8B 45 08 8B 40 F4 8A 58 30 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 33 C0 5A 59 59 64 89 10 EB 55 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 C6 40 FF 00 8B 45 08 8B 40 F0 8B 40 1C F6 40 20 10 75 1B 8B 55 08 66 83 78 4E 00 74 11 8B 55 08 8B D8 8B 45 08 8D 50 FF 8B 43 50 FF 53 4C 8B 45 08 80 78 FF 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 40 58 C7 40 18 ?? ?? ?? ?? 8B 55 08 C6 40 14 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 83 C0 38 8B 55 08 8B 52 F4 8B 52 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 43 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? EB 18 8B 45 08 8B 40 F0 8B 40 1C 8B 40 24 C7 40 1C 23 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 48 EC 8B 45 08 8B 40 E8 8B 55 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13329_0 {
	meta:
		name = "AddSum"
		size = 125
		refs = "000a AddSum 0027 TMultiDimDataLink.AddSummary 0036 @HandleOnException 003e _Dn_EUnsupportedTypeError 0055 TypeError 006f @RaiseAgain 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 43 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? EB 18 8B 45 08 8B 40 F0 8B 40 1C 8B 40 24 C7 40 1C 24 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13330_0 {
	meta:
		name = "TMultiDimDataLink.UpdateDimensions"
		size = 223
		refs = "0021 TDataLink.GetDataSet 0026 TDataSet.GetFieldCount 0042 TFields.GetField 004e TCubeDims.GetCubeDim 0062 TDimensionItem.IsDimension 006c AddDim 0075 AddSum 0081 TCollection.GetCount 00a8 TDimensionItem.IsSummary 00d0 TMultiDimDataLink.AddSummary"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 E8 89 45 F0 33 C0 89 45 F8 8B 45 F0 8B 40 1C 8B 70 30 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4D 47 33 DB 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 24 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 78 21 01 75 1C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 43 4F 75 B6 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 83 78 0C 00 7C 36 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 21 00 74 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 43 4F 75 B7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13331_0 {
	meta:
		name = "FromFieldPos"
		size = 65
		refs = "0028 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 C0 89 45 FC 8B 45 08 8B 40 FC 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 3B 78 28 75 03 89 45 FC 46 4B 75 E7 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13332_0 {
	meta:
		name = "TMultiDimDataLink.FetchValues"
		size = 964
		refs = "0024 TMultiDimDataLink.FetchValues 0038 TDataCache.GetPreCalcTotals 0049 TCustomDataStore.GetCurrentSummary 0053 TDataCache.GetSummary 0060 TCustomDataStore.GetDimensionCount 0075 TList.Get 0081 TBuilderDim.InitSummary 009b TDataLink.GetDataSet 00a0 TDataSet.GetFieldCount 00a8 ProgressDlg 00cb TProgressDialog.SetMax 00d3 sFetchValues 00d8 LoadResString 00e7 TControl.SetText 00ff TDataSet.First 0126 TProgressDialog.UpdateProgress 0131 sUserCanceled 0140 _Dn_EUserCanceled 0145 Exception.Create 014a @RaiseExcept 016c TCubeDims.GetCubeDim 0192 TFields.GetField 01a0 TDataSet.GetFieldValue 01af @HandleAnyException 01be @RaiseAgain 01c3 @DoneExcept 01d3 TDimensionItem.IsDimension 01fd TField.GetIndex 0202 FromFieldPos 0212 TCustomArray.SetItem 0228 TBuilderDim.MatchLastVal 0240 TBuilderDim.SetLastVal 0273 TDimensionItem.IsSummary 02a6 TDataCache.SummaryFromPosition 02c9 TDataCache.GetDimensionCount 02e9 TBuilderDim.AddSummary 02fc @HandleOnException 0304 _Dn_ELowCapacityError 036a TDataSet.Next 0388 TCubeDims.GetDirtyFlag 0394 TMultiDimDataLink.UpdateFormatStrings 03a9 @LStrClr 03b1 @VarClr 03b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 1C 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 F8 8B 58 1C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 48 85 C0 7C 22 40 89 45 E0 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 57 04 8B C3 E8 ?? ?? ?? ?? 46 FF 4D E0 75 E4 8B 45 F8 8B 40 1C 8B 40 30 89 45 E8 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 83 38 00 74 3A 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 DC 33 C0 89 45 F0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 1C 8B 40 24 89 45 D8 E9 5A 02 00 00 A1 ?? ?? ?? ?? 83 38 00 74 30 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 40 75 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 48 85 C0 0F 8C 09 02 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 80 78 21 01 0F 85 DD 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B 50 28 8D 4D C8 8B 45 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 D8 C7 40 1C 73 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 DC 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D8 8D 4D C8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 22 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 00 EB 04 C6 43 3C 01 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 D8 C7 40 1C 78 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 DC 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 D8 E8 ?? ?? ?? ?? 8B F8 8D 4D C8 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 D8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1D 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E6 33 C0 5A 59 59 64 89 10 EB 5C E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 E7 00 8B 45 F8 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 E7 8B 43 50 FF 53 4C 80 7D E7 00 75 16 E8 ?? ?? ?? ?? EB 0F 8B 45 D8 C7 40 1C 82 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC FF 4D E0 0F 85 02 FE FF FF FF 45 F0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 80 B8 91 00 00 00 00 0F 84 96 FD FF FF 8B 45 F8 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13334_0 {
	meta:
		name = "FromFieldName"
		size = 130
		refs = "0010 @LStrAddRef 0018 FromFieldName 0041 TList.Get 004e @LStrCmp 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 08 8B 40 FC 8B 70 08 4E 85 F6 7C 26 46 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 38 8B 55 FC E8 ?? ?? ?? ?? 75 03 89 5D F8 47 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13335_0 {
	meta:
		name = "CleanUp"
		size = 38
		refs = "000a TBinTable.CleanUp 0015 TDataSet.Close 0020 TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_13336_0 {
	meta:
		name = "TMultiDimDataLink.FetchAndBinValues"
		size = 1498
		refs = "0024 TMultiDimDataLink.FetchAndBinValues 0038 TDataCache.GetPreCalcTotals 0049 TCustomDataStore.GetCurrentSummary 0053 TDataCache.GetSummary 0060 TCustomDataStore.GetDimensionCount 0075 TList.Get 0081 TBuilderDim.InitSummary 0091 ProgressDlg 009e TDataLink.GetDataSet 00b4 TProgressDialog.SetMax 00bc sBinningValues 00c1 LoadResString 00d0 TControl.SetText 00e3 TDataSet.First 00fc Application 0105 _DV_TBinTable 010a TBDEDataSet.Create 0118 TBinTable.Attach 0127 @HandleAnyException 013c @RaiseAgain 0141 @DoneExcept 0149 TDataSet.Edit 018b TBinTable.FillRecord 0195 TDataSet.Next 01ba CleanUp 01db TProgressDialog.UpdateProgress 01ed sUserCanceled 01fc _Dn_EUserCanceled 0201 Exception.Create 0206 @RaiseExcept 0239 sFetchValues 02a3 TDataSet.GetFieldCount 02ce TCubeDims.GetCubeDim 02e6 TFields.GetField 02f4 TDataSet.GetFieldValue 0304 TDimensionItem.IsDimension 0331 FromFieldName 0341 TCustomArray.SetItem 0357 TBuilderDim.MatchLastVal 036f TBuilderDim.SetLastVal 03a9 TDimensionItem.IsSummary 03d8 TDataCache.SummaryFromFieldName 03fb TDataCache.GetDimensionCount 041b TBuilderDim.AddSummary 042e @HandleOnException 0436 _Dn_ELowCapacityError 04bb TBinTable.EmptyTable 04d9 TCollection.GetCount 051c @LStrCmp 054e TBinData.Clear 059e TCubeDims.GetDirtyFlag 05aa TMultiDimDataLink.UpdateFormatStrings 05bf @LStrClr 05c7 @VarClr 05cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 55 FC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 F4 8B 58 1C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B F0 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 48 85 C0 7C 22 40 89 45 E0 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 56 04 8B C3 E8 ?? ?? ?? ?? 47 FF 4D E0 75 E4 33 C0 89 45 F8 A1 ?? ?? ?? ?? 83 38 00 74 3A 8B 45 F4 E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C B4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 25 02 00 00 00 8B 45 F8 8B 80 28 02 00 00 89 45 E8 E9 57 03 00 00 33 DB E9 9B 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C 96 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 37 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 40 75 28 55 E8 ?? ?? ?? ?? 59 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 0F 84 5D FF FF FF A1 ?? ?? ?? ?? 83 38 00 74 35 8B 45 F8 8B 10 FF 92 F4 00 00 00 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 49 02 00 00 A1 ?? ?? ?? ?? 83 38 00 74 37 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 40 75 28 55 E8 ?? ?? ?? ?? 59 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C EC 01 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 45 F4 8B 40 1C 8B 40 24 89 45 D8 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 80 78 21 01 0F 85 B4 01 00 00 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B 50 28 8D 4D C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B 40 28 E8 ?? ?? ?? ?? 59 8B D8 8D 4D C8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 22 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 00 EB 04 C6 43 3C 01 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 D8 C7 40 1C A0 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DB 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B 50 28 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 8D 4D C8 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E6 33 C0 5A 59 59 64 89 10 EB 63 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 E7 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 E7 8B 43 50 FF 53 4C 80 7D E7 00 75 1D E8 ?? ?? ?? ?? EB 16 8B 45 D8 C7 40 1C AA 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC FF 4D E0 0F 85 1F FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? FF 45 F0 8B 45 F8 80 B8 91 00 00 00 00 0F 84 A7 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 80 B8 91 00 00 00 00 0F 84 99 FC FF FF 8B 45 F8 8B 80 28 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C A7 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 45 F8 8B 80 28 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 40 18 50 8B 45 F4 8B 40 1C 8B 40 30 8B 55 EC E8 ?? ?? ?? ?? 8B 50 18 58 E8 ?? ?? ?? ?? 75 5F 8B 45 F8 8B 80 28 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 83 78 4C 00 74 48 8B 45 F4 8B 40 1C 8B 40 30 8B 55 EC E8 ?? ?? ?? ?? 8B 40 4C E8 ?? ?? ?? ?? 8B 45 F8 8B 80 28 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 40 4C 50 8B 45 F4 8B 40 1C 8B 40 30 8B 55 EC E8 ?? ?? ?? ?? 8B 40 4C 5A 8B 08 FF 51 08 FF 45 EC FF 4D E0 0F 85 64 FF FF FF 55 E8 ?? ?? ?? ?? 59 8B 45 F4 8B 40 1C 8B 40 30 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13337_0 {
	meta:
		name = "CleanUp"
		size = 27
		refs = "000a TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_13338_0 {
	meta:
		name = "ShowProgress"
		size = 119
		refs = "0009 ShowProgress 0014 ProgressDlg 0025 TProgressDialog.UpdateProgress 0031 CleanUp 003a sUserCanceled 003f LoadResString 0049 _Dn_EUserCanceled 004e Exception.Create 0053 @RaiseExcept 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 3A A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 40 75 2B 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_13339_0 {
	meta:
		name = "TMultiDimDataLink.CreateSummaryIndex"
		size = 1675
		refs = "0027 TMultiDimDataLink.CreateSummaryIndex 004e TCustomDataStore.GetDimensionCount 0057 _Dn_TSmallIntArray 005c TSmallIntArray.Create 0089 @HandleAnyException 009e @RaiseAgain 00a3 @DoneExcept 00c9 TDataCache.GetDimension 00d5 TDimension.SetRange 00dc TCustomArray.GetMemberCount 00f8 CleanUp 0101 sDataSetTooLarge 0106 LoadResString 0110 _DV_ECacheError 0115 Exception.Create 011a @RaiseExcept 0133 TMultiDimDataLink.EstimateCapacity 0144 TIndexArray.SetSize 0153 @HandleOnException 015b _Dn_ELowCapacityError 01d8 TDataCache.GetSummaryCount 01fe TDataCache.GetSummary 0209 TSummary.GetDerived 023a TDataCache.GetHasIndex 0247 ProgressDlg 025b TProgressDialog.SetMax 0267 sCreatingIndexes 0288 Format 0297 TControl.SetText 02a5 TDataCache.SetActiveSummary 02d7 TSmallIntArray.PutItem 0358 TIndexInfo.SetCapacity 0410 TList.Get 0421 TCustomArray.GetItem 042b TCustomArray.IndexOf 0437 TSmallIntArray.GetItem 0467 TDataCache.AddIndex 04fd TDataCache.IncSummaryIndex 0516 TDataCache.HasValidSubTotals 053d TDataCache.AddAggIndex 05c0 ShowProgress 0626 TDataCache.SetHasIndex 066b @VarClr 0678 @LStrArrayClr 067e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 C9 89 4D A4 89 4D A8 89 4D AC 89 4D B0 89 4D C0 89 4D BC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 C8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 8B 45 C8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C C8 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 E0 01 00 00 00 8B 45 C8 E8 ?? ?? ?? ?? 48 83 F8 00 7C 34 89 45 EC 8B 45 C8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B F8 8B 55 E0 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 40 F7 6D E0 89 45 E0 FF 4D EC 83 7D EC FF 75 CF 83 7D E0 00 7D 28 55 E8 ?? ?? ?? ?? 59 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 8B 40 24 8B 40 10 8B 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 CF 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 CF 8B 43 50 FF 53 4C 80 7D CF 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C D2 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8B 58 24 8B 43 10 C6 40 10 01 8B 43 0C 89 45 D0 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 60 04 00 00 40 89 45 C4 C7 45 E4 00 00 00 00 C6 45 D6 00 8B 45 C8 8B 40 24 8B 55 E4 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 24 04 00 00 8B 45 C8 8B 40 24 8B 40 10 8B 55 D8 89 42 3C 8B 45 C8 8B 40 24 8B 40 14 8B 55 D8 89 42 34 8B 45 C8 8B 40 24 E8 ?? ?? ?? ?? 84 C0 0F 85 F3 03 00 00 A1 ?? ?? ?? ?? 83 38 00 74 4B A1 ?? ?? ?? ?? 8B 00 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 D8 8B 40 44 89 45 B4 C6 45 B8 0B 8D 55 B4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 C0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 C8 8B 40 24 8B 55 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 C7 45 EC 00 00 00 00 33 C9 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? FF 45 EC 4E 75 ED 8B 45 C8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 C7 45 EC 00 00 00 00 66 B9 01 00 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? FF 45 EC 4E 75 EB 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C DC 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C8 8B 40 24 8B 40 14 8B 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 CF 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 CF 8B 43 50 FF 53 4C 80 7D CF 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C E6 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 E8 E9 2B 02 00 00 C6 45 D7 00 8B 45 C8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 54 46 33 DB 8B 45 C8 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B F8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC 8D 4D A4 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? 8D 55 A4 8B C7 E8 ?? ?? ?? ?? 8B F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 0F BF C0 3B F8 74 06 C6 45 D7 01 EB 04 43 4E 75 AF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C8 8B 40 24 8A 4D D7 8B 55 F8 E8 ?? ?? ?? ?? 89 45 E8 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 CF 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 CF 8B 43 50 FF 53 4C 80 7D CF 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C F0 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 D6 50 8B 45 C8 8B 40 24 8B 4D F8 8B 55 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 DD 00 00 00 8B 45 C8 8B 40 24 8B 4D F8 8B 55 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C8 8B 40 24 8B 4D F0 8B 55 F8 E8 ?? ?? ?? ?? 89 45 E8 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? C6 45 CF 00 8B 45 F4 8B 40 1C F6 40 20 10 75 12 66 83 78 4E 00 74 0B 8B D8 8D 55 CF 8B 43 50 FF 53 4C 80 7D CF 00 75 2A 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 1C 8B 40 24 C7 40 1C FA 00 00 00 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 50 8D 45 D6 50 8B 45 C8 8B 40 24 8B 4D F8 8B 55 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 3C FF FF FF 55 E8 ?? ?? ?? ?? 59 8B 45 E8 3B 45 E0 74 0A 80 7D D7 00 0F 85 E6 FD FF FF 8B 45 D8 E8 ?? ?? ?? ?? 48 3B 45 EC 7E 03 FF 45 EC 8B 45 E0 48 3B 45 E8 0F 8F C8 FD FF FF 8B 45 C8 8B 40 24 B2 01 E8 ?? ?? ?? ?? 8B 45 C8 8B 40 24 8B 40 10 8B 55 D8 89 42 3C FF 45 E4 FF 4D C4 0F 85 AB FB FF FF 8B 45 C8 8B 40 24 8B 55 D0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13340_0 {
	meta:
		name = "TMultiDimDataLink.EstimateCapacity"
		size = 160
		refs = "0017 TMultiDimDataLink.EstimateCapacity 0029 TCustomDataStore.GetDimensionCount 0043 TCustomDataStore.GetMemoryUsage 0051 TCustomDataStore.GetCapacity 005d sLowCapacityError 0062 LoadResString 006c _Dn_ELowCapacityError 0071 Exception.Create 0076 @RaiseExcept 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 7E 1C 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 07 40 83 C3 04 48 75 FA 8B 45 FC F7 EB 8B D8 8B C7 E8 ?? ?? ?? ?? 03 D8 85 DB 7C 0C 8B 46 1C E8 ?? ?? ?? ?? 3B D8 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13341_0 {
	meta:
		name = "TMultiDimDataLink.AddDimension"
		size = 281
		refs = "0019 TMultiDimDataLink.AddDimension 0026 TCubeDim.GetBin 0032 TBinData.GetBinNameDataType 004d _DV_TDimension 0052 TDimension.Create 005e TDimension.SetFlag 0065 TField.GetIndex 006e TDimension.SetPosition 0079 @LStrAsg 0080 TField.GetDisplayWidth 0091 TFieldDefinition.SetFieldType 0098 GetPrecision 00cf GetDisplayFormat 00ed TDataCache.AppendDimension 0104 @LStrClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 3C 04 75 0D 8B 47 4C E8 ?? ?? ?? ?? 88 45 FB EB 06 8A 46 30 88 45 FB 8A 45 FB 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8A 57 28 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B 56 28 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 53 34 89 42 0C 8A 55 FB 8B 43 34 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 53 34 89 42 18 8B C6 8B 10 FF 52 6C 8B 53 34 89 42 1C 85 FF 74 16 83 7F 10 00 74 10 8B 43 34 83 C0 04 8B 57 10 E8 ?? ?? ?? ?? EB 18 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 34 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13342_0 {
	meta:
		name = "TMultiDimDataLink.AddSummary"
		size = 574
		refs = "0019 TMultiDimDataLink.AddSummary 0031 sStringTypeNoSupported 0036 LoadResString 0040 _Dn_EUnsupportedTypeError 0045 Exception.Create 004a @RaiseExcept 005c TDataLink.GetDataSet 006d _DV_TSummary 0072 TSummary.Create 0095 TSummary.SetFlag 00a6 TField.GetIndex 00af TSummary.SetPosition 00ba @LStrAsg 00c1 TCollectionItem.GetIndex 00d7 TDataCache.GetBaseSummary 00de TField.GetDisplayWidth 00ef TFieldDefinition.SetFieldType 00f6 GetPrecision 012c GetDisplayFormat 015a TSummary.SetAggregator 0165 TObject.Free 016d sCreateDerivedSummaryError 017c _DV_ECacheError 019a TSummary.SetName 01c0 TDataCache.SummaryFromCubeDimIndex 0206 TDataCache.GetAggSummary 0216 TDataCache.AppendSummary 022b @LStrClr 0231 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 27 80 7F 30 01 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 0C 00 7D 26 8A 47 30 50 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 15 6A 06 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8A 56 28 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 0F 8D A0 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 43 44 8B 57 28 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 2C 8B 45 FC 8B 40 1C 8B 40 24 89 43 50 C7 43 4C ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 53 40 89 42 0C 8A 57 30 8B 43 40 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 53 40 89 42 18 8B C7 8B 10 FF 52 6C 8B 53 40 89 42 1C 83 7E 10 00 74 13 8B 43 40 83 C0 04 8B 56 10 E8 ?? ?? ?? ?? E9 E4 00 00 00 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 40 83 C0 04 E8 ?? ?? ?? ?? E9 C7 00 00 00 8A 46 28 50 8D 45 F8 50 8B 45 FC 8B 40 1C 8B 48 30 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 28 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? 8D 43 44 8B 56 1C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 2C 8B 45 FC 8B 40 1C 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8B 56 40 8B 52 0C 8B 43 40 89 50 0C 8B 56 40 8A 52 08 E8 ?? ?? ?? ?? 8B 46 40 8B 40 18 8B 7B 40 89 47 18 8D 47 04 8B 56 40 8B 52 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 40 24 89 43 50 C7 43 4C ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 40 24 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13343_0 {
	meta:
		name = "TMultiDimDataLink.UpdateFormatStrings"
		size = 192
		refs = "0012 TCollection.GetCount 002a TCubeDims.GetCubeDim 002f TDimensionItem.IsDimension 003a TCustomDataStore.GetDataSet 0044 TFields.GetField 0055 TDataCache.DimensionFromFieldName 0083 @LStrAsg 0092 TCubeDim.IsBinData"
	strings:
		$1 = { 53 56 57 55 51 89 04 24 8B 04 24 8B 70 1C 8B 46 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 99 00 00 00 47 33 DB 8B D3 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7B 8B C6 E8 ?? ?? ?? ?? 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B 50 28 8B 04 24 8B 40 1C 8B 40 24 E8 ?? ?? ?? ?? 8B E8 85 ED 74 53 8B D3 8B 46 30 E8 ?? ?? ?? ?? 83 78 10 00 74 18 8B D3 8B 46 30 E8 ?? ?? ?? ?? 8B 50 10 8B 45 34 83 C0 04 E8 ?? ?? ?? ?? 8B D3 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D3 8B 46 30 E8 ?? ?? ?? ?? 8B 50 40 8B 45 34 83 C0 04 E8 ?? ?? ?? ?? 43 4F 0F 85 6A FF FF FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13346_0 {
	meta:
		name = "TDataCache.Create"
		size = 79
		refs = "000a @ClassCreate 0017 TObject.Create 0031 CalcTotals1 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 08 33 C0 89 46 04 33 C0 89 46 0C 80 4E 20 04 C7 46 18 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13348_0 {
	meta:
		name = "TDataCache.Init"
		size = 94
		refs = "0011 _Dn_TList 0016 TObject.Create 003b _Dn_TIndexArray 0040 TIndexArray.Create 0050 _DV_TIndexInfo 0055 TIndexInfo.Create"
	strings:
		$1 = { 53 8B D8 33 C0 89 43 1C 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 83 7B 04 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 83 7B 14 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 5B C3 }
	condition:
		$1
}

rule function_13349_0 {
	meta:
		name = "TDataCache.FreeCache"
		size = 167
		refs = "000f TList.Last 001b TList.Remove 0022 TObject.Free 008a TDataCache.SetHasIndex"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 74 32 EB 1A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 73 08 83 7E 08 00 7F DD 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 83 7B 04 00 74 32 EB 1A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 73 04 83 7E 08 00 7F DD 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 04 8B 43 10 85 C0 74 13 E8 ?? ?? ?? ?? 33 C0 89 43 10 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 14 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 14 33 C0 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_13350_0 {
	meta:
		name = "TDataCache.GetDimensionCount"
		size = 14
	strings:
		$1 = { 8B 50 08 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_13351_0 {
	meta:
		name = "TDataCache.GetSummaryCount"
		size = 14
	strings:
		$1 = { 8B 50 04 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_13352_0 {
	meta:
		name = "TDataCache.GetDimension"
		size = 31
		refs = "0013 TList.Get"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13354_0 {
	meta:
		name = "TDataCache.GetSummary"
		size = 31
		refs = "0013 TList.Get"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 04 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13355_0 {
	meta:
		name = "TDataCache.AppendDimension"
		size = 129
		refs = "0024 TList.Get 0048 TList.Add 0058 TList.Exchange"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 C7 04 24 FF FF FF FF 8B 46 08 8B 78 08 4F 85 FF 7C 4A 47 33 DB 8B D3 8B 46 08 E8 ?? ?? ?? ?? 8B 40 28 3B 45 28 7C 31 8B D3 8B 46 08 E8 ?? ?? ?? ?? 8B 40 28 3B 45 28 7E 1F 8B D5 8B 46 08 E8 ?? ?? ?? ?? 89 04 24 8B CB 8B 14 24 8B 46 08 E8 ?? ?? ?? ?? 89 1C 24 EB 04 43 4F 75 B9 83 3C 24 FF 75 0D 8B D5 8B 46 08 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13356_0 {
	meta:
		name = "TDataCache.AppendSummary"
		size = 150
		refs = "001c TList.Add 0039 TList.Get 006d TList.Exchange"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 C7 04 24 FF FF FF FF 83 7D 28 FF 75 0F 8B D5 8B 46 04 E8 ?? ?? ?? ?? 89 04 24 EB 68 8B 46 04 8B 78 08 4F 85 FF 7C 4A 47 33 DB 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B 40 28 3B 45 28 7C 31 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B 40 28 3B 45 28 7E 1F 8B D5 8B 46 04 E8 ?? ?? ?? ?? 89 04 24 8B CB 8B 14 24 8B 46 04 E8 ?? ?? ?? ?? 89 1C 24 EB 04 43 4F 75 B9 83 3C 24 FF 75 0D 8B D5 8B 46 04 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13357_0 {
	meta:
		name = "TDataCache.IsDimension"
		size = 57
		refs = "001f TDataCache.GetDimension"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 DB 8B 47 08 8B 68 08 4D 85 ED 7C 1A 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 28 3B 04 24 75 02 B3 01 46 4D 75 E9 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13358_0 {
	meta:
		name = "TDataCache.IsSummary"
		size = 57
		refs = "001f TDataCache.GetSummary"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 DB 8B 47 04 8B 68 08 4D 85 ED 7C 1A 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 28 3B 04 24 75 02 B3 01 46 4D 75 E9 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13359_0 {
	meta:
		name = "TDataCache.SummaryFromPosition"
		size = 58
		refs = "0021 TDataCache.GetSummary"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 47 04 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 28 75 03 89 04 24 46 4B 75 EB 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13360_0 {
	meta:
		name = "TDataCache.SummaryFromFieldName"
		size = 130
		refs = "0013 @LStrAddRef 001b TDataCache.SummaryFromFieldName 0041 TDataCache.GetSummary 004e @LStrCmp 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 23 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 43 44 8B 55 F8 E8 ?? ?? ?? ?? 75 03 89 5D F4 47 4E 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13361_0 {
	meta:
		name = "TDataCache.SummaryFromCubeDimIndex"
		size = 58
		refs = "0021 TDataCache.GetSummary"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 47 04 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 2C 75 03 89 04 24 46 4B 75 EB 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13362_0 {
	meta:
		name = "TDataCache.GetSummaryName"
		size = 51
		refs = "0016 TList.Get 0021 TSummary.GetName 002a @LStrClr"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 7B 04 85 FF 74 16 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13363_0 {
	meta:
		name = "TDataCache.GetDimensionName"
		size = 51
		refs = "0016 TList.Get 0021 TDimension.GetName 002a @LStrClr"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 7B 08 85 FF 74 16 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13364_0 {
	meta:
		name = "TDataCache.GetDimensionMember"
		size = 167
		refs = "001e TDataCache.GetDimensionMember 002b @LStrClr 003c TList.Get 0047 TCustomArray.IsBlank 0057 TCustomArray.GetItem 0061 @VarToLStr 0069 VarType 007d TFieldDefinition.FormatVariantToStr 0092 @VarClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 08 00 74 4C 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 32 8D 4D EC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 8D 55 EC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 3D 00 01 00 00 74 0D 8B CE 8D 55 EC 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13365_0 {
	meta:
		name = "TDataCache.GetDimensionMemberAsVariant"
		size = 169
		refs = "001d TDataCache.GetDimensionMemberAsVariant 0034 TList.Get 003f TCustomArray.IsBlank 004f TCustomArray.GetItem 0057 VarType 006c TFieldDefinition.FormatVariantToStr 0077 @VarCopy 008c @LStrClr 0094 @VarClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 08 85 FF 74 42 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 8D 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 3D 00 01 00 00 74 0E 8D 4D E8 8D 55 EC 8B 43 34 E8 ?? ?? ?? ?? 8B 45 08 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13366_0 {
	meta:
		name = "TDataCache.GetDimensionMemberCount"
		size = 36
		refs = "0013 TList.Get 0018 TCustomArray.GetMemberCount"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 85 F6 74 10 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13367_0 {
	meta:
		name = "TDataCache.HasSubTotals"
		size = 49
		refs = "0018 TSmallIntArray.GetItem"
	strings:
		$1 = { 53 56 57 55 8B FA 33 DB 8B 6F 10 4D 85 ED 7C 1A 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 66 83 F8 FF 75 04 B3 01 EB 04 46 4D 75 E9 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13368_0 {
	meta:
		name = "TDataCache.HasValidSubTotals"
		size = 158
		refs = "002f TSmallIntArray.GetItem 003f TDataCache.GetDimension 0048 TCustomArray.GetMemberCount 0056 TDataCache.GetIndexCount 0078 TIndexInfo.IsSparse"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 8B FA 89 04 24 C6 44 24 08 00 8B 44 24 04 8B 40 10 48 85 C0 7C 71 40 89 44 24 0C 33 ED 8B D5 8B 44 24 04 E8 ?? ?? ?? ?? 66 83 F8 FF 75 52 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 48 F7 6B 2C 50 8B 44 24 04 E8 ?? ?? ?? ?? 48 5A 2B C2 85 C0 7D 02 33 C0 8B 57 34 8B 72 0C 4E 8B D8 2B DE 7F 1A 4B 8B 47 34 8B D6 E8 ?? ?? ?? ?? 84 C0 75 07 C6 44 24 08 01 EB 0B 4E 43 75 E7 45 FF 4C 24 0C 75 96 8A 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13369_0 {
	meta:
		name = "TDataCache.GetScope"
		size = 306
		refs = "0038 TDataCache.GetDimensionCount 0051 TDataCache.GetDimension 005d TSmallIntArray.GetItem 00c9 TCustomArray.GetMemberCount 011c CalcTotals2 0125 CalcTotals1"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F8 33 C0 89 45 F0 8B 45 0C 33 D2 89 10 8B 45 F8 C7 00 01 00 00 00 8B 45 FC 33 D2 89 10 C6 45 EF 00 C6 45 EE 01 8B C7 E8 ?? ?? ?? ?? 48 89 45 F4 8B 5D F4 83 FB 00 0F 8C A7 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D3 8B 45 08 E8 ?? ?? ?? ?? 66 83 F8 FF 74 30 C6 45 EE 00 8B D3 8B 45 08 E8 ?? ?? ?? ?? 0F BF C0 F7 6E 2C 8B 55 F8 01 02 8B D3 8B 45 08 E8 ?? ?? ?? ?? 0F BF C0 F7 6E 2C 8B 55 FC 01 02 EB 52 FF 45 F0 80 7D EE 00 75 06 C6 45 EF 00 EB 04 C6 45 EF 01 85 DB 7E 13 8B D3 4A 8B C7 E8 ?? ?? ?? ?? 8B 40 2C 48 8B 55 0C 89 02 3B 5D F4 75 14 8B C6 E8 ?? ?? ?? ?? 40 8B 55 F8 F7 2A 8B 55 F8 89 02 EB 0F 8B C6 E8 ?? ?? ?? ?? F7 6E 2C 8B 55 F8 01 02 4B 83 FB FF 0F 85 59 FF FF FF 83 7D F0 00 7E 30 8B 45 FC C7 00 FF FF FF FF 8B 45 F8 FF 08 80 7D EF 00 74 15 8B C7 E8 ?? ?? ?? ?? 3B 45 F0 74 09 C7 47 18 ?? ?? ?? ?? EB 07 C7 47 18 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13370_0 {
	meta:
		name = "TDataCache.IncSummaryIndex"
		size = 221
		refs = "0030 TList.Get 003d TSmallIntArray.GetItem 0071 TSmallIntArray.PutItem 007c TCustomArray.GetMemberCount 00ce TDataCache.HasSubTotals"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 45 FC 8B 45 08 C6 00 00 8B 45 F8 8B 40 10 48 8B D8 83 FB 00 0F 8C A0 00 00 00 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 0F BF F8 8B 45 F4 8B 70 2C 8B D3 8B 45 0C E8 ?? ?? ?? ?? 0F BF C0 3B F0 7E 05 83 FE 01 75 3A 8B 45 08 C6 00 01 47 66 B9 01 00 8B D3 8B 45 0C E8 ?? ?? ?? ?? 4E 75 11 8B 45 F4 E8 ?? ?? ?? ?? 3B F8 7C 2D 83 CF FF EB 28 8B 45 F4 E8 ?? ?? ?? ?? 3B F8 7C 1C 83 CF FF EB 17 8B D3 8B 45 0C E8 ?? ?? ?? ?? 8B C8 41 8B D3 8B 45 0C E8 ?? ?? ?? ?? 8B CF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 60 FF FF FF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 34 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13371_0 {
	meta:
		name = "TDataCache.GetAggSummary"
		size = 204
		refs = "0021 TDataCache.GetAggSummary 0039 TDataCache.SummaryFromCubeDimIndex 0048 TDataCache.GetBaseSummary 0095 @VarCopy 00ab Variant 00b5 @FinalizeArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 33 D2 8A 50 04 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 52 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 47 8B 45 FC 8B 40 48 33 D2 8A 50 05 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 52 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 20 8B 45 FC 8B 70 48 8D 4D CC 8D 55 DC 8D 45 EC FF 96 04 01 00 00 8D 55 CC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13372_0 {
	meta:
		name = "TDataCache.GetBaseSummary"
		size = 192
		refs = "0022 TDataCache.GetBaseSummary 003f TDataCache.GetScope 006a TIntArray.GetItem 0077 TIndexInfo.IsSparse 0087 TCustomArray.GetItem 0092 @VarCopy 00a9 @VarClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F1 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F0 50 8B 45 FC 50 8D 4D F4 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 83 7D F8 FF 75 17 8B 45 FC 50 8B 45 08 50 8B CE 8B 55 F0 8B 45 F4 FF 57 18 8B D8 EB 38 8B 46 34 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B 46 34 E8 ?? ?? ?? ?? 84 C0 75 19 8D 4D E0 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 08 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13373_0 {
	meta:
		name = "TDataCache.GetSummaryAsString"
		size = 132
		refs = "001b TDataCache.GetSummaryAsString 0029 @LStrClr 003a TList.Get 005c TFieldDefinition.FormatVariantToStr 0071 @VarClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 73 04 85 F6 74 2C 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 8B CB 8B D7 8B 43 50 FF 53 4C 84 C0 74 0E 8B 4D FC 8D 55 EC 8B 43 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13374_0 {
	meta:
		name = "TDataCache.GetSummaryAsVariant"
		size = 162
		refs = "0021 TDataCache.GetSummaryAsVariant 0038 TList.Get 0044 @VarFromInt 0052 VarAsType 006f @VarCopy 0085 Variant 008f @FinalizeArray 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 04 85 FF 74 41 8B 53 0C 8B C7 E8 ?? ?? ?? ?? 8B D8 8D 45 DC 33 D2 E8 ?? ?? ?? ?? 8D 45 DC 8B 4D FC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 EC 50 8B CB 8B D6 8B 43 50 FF 53 4C 84 C0 74 0B 8B 45 FC 8D 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13375_0 {
	meta:
		name = "TDataCache.IsIndexSparse"
		size = 98
		refs = "0013 TDataCache.IsIndexSparse 0024 TList.Get 004e @VarClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 0C 8B 43 04 E8 ?? ?? ?? ?? 8D 55 F0 52 8B D8 8B C8 8B D6 8B 43 50 FF 53 4C 8B D8 80 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13376_0 {
	meta:
		name = "InitIndex"
		size = 83
		refs = "000e TDataCache.GetDimensionCount 0017 _Dn_TSmallIntArray 001c TSmallIntArray.Create 0047 TSmallIntArray.PutItem"
	strings:
		$1 = { 55 8B EC 53 56 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 17 43 33 F6 8B 45 08 8B 40 F8 83 C9 FF 8B D6 E8 ?? ?? ?? ?? 46 4B 75 EC 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13377_0 {
	meta:
		name = "GetRange"
		size = 82
		refs = "0023 TIntArray.GetItem 0033 TList.Get 003c TCustomArray.GetMemberCount"
	strings:
		$1 = { 55 8B EC 53 56 57 BE 01 00 00 00 8B 45 08 8B 40 F4 8B 58 10 4B 83 FB 00 7C 31 8B 45 08 8B 40 F4 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 40 F7 EE 8B F0 4B 83 FB FF 75 CF 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13378_0 {
	meta:
		name = "TDataCache.GetDomain"
		size = 705
		refs = "002e TDataCache.GetDomain 0039 Screen 0053 TScreen.SetCursor 0059 GetRange 0069 TTwoDimArray.SetSize 0079 TIntArray.GetItem 008a TList.Get 0094 TCustomArray.GetMemberCount 00b1 TDataCache.GetSparsing 00bd TDataCache.IsBlankSummary 00ca TDataCache.SetSparsing 00dc InitIndex 0104 TSmallIntArray.PutItem 010f TDataCache.IsIndexSparse 013d TTwoDimArray.GetElement 014a TTwoDimArray.SetElement 0296 TObject.Free 02ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 55 F4 89 45 FC 8B 7D 08 33 C0 89 45 F0 66 C7 45 D8 00 00 8B 45 F4 83 78 10 00 0F 8E 88 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 66 8B 40 38 66 89 45 D8 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 55 F4 8B 52 10 8B C8 8B C7 E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? 33 D2 89 55 E4 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F4 8B 40 10 48 89 45 DC C6 45 DA 00 C6 45 DB 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 E4 3B 45 E0 0F 8D D1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1D 66 8B 4D E4 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 DB 80 7D DB 00 75 48 80 7D DA 00 74 30 C6 45 DA 00 FF 45 F0 8B 75 E8 4E 85 F6 7C 21 46 33 DB 8B 4D F0 49 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E2 66 8B 45 E4 50 8B 4D F0 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 3B 45 DC 7D 39 80 7D DB 00 75 2E FF 45 E8 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? 33 D2 89 55 E4 E8 ?? ?? ?? ?? 89 45 E0 EB 12 FF 45 E4 EB 0D FF 45 E4 80 7D DB 00 75 04 C6 45 DA 01 8B 45 E4 3B 45 E0 0F 8C 2F FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 83 C9 FF 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 80 7D 0C 00 74 49 FF 45 F0 8B 75 E8 4E 85 F6 7C 21 46 33 DB 8B 4D F0 49 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E2 8B 5D E8 8B 75 DC 2B F3 7C 13 46 6A FF 8B 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 EE 83 7D E8 00 74 46 FF 4D E8 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 4D F0 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 0F BF C0 89 45 E4 FF 45 E4 C6 45 DA 01 E9 6E FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 83 7D F8 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 8B 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE FF 45 F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13379_0 {
	meta:
		name = "TDataCache.SetActiveSummary"
		size = 43
		refs = "0014 TList.Get 0019 TSummary.ClearTotals 0023 TDataCache.ClearIndexInfo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 3B F7 74 19 8B D7 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13380_0 {
	meta:
		name = "CalcThreadProc"
		size = 210
		refs = "0015 CalcThreadProc 0041 TList.Get 0070 TIndexArray.GetElement 00a0 EndThread 00a6 @HandleFinally 00bd @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 8B 43 34 C6 40 18 01 8B 45 FC 8B 40 10 8B 40 08 8B F0 4E 85 F6 7C 2A 46 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 10 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 E4 52 8B CB 8B D0 8B 43 50 FF 53 4C FF 45 F4 4E 75 DE 8B 43 34 C6 40 18 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13381_0 {
	meta:
		name = "TDataCache.CalcSubTotals"
		size = 35
		refs = "000a CalcThreadProc 0013 BeginThread 001d CloseHandle"
	strings:
		$1 = { 51 50 6A 00 8D 44 24 08 50 B9 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 85 C0 74 06 50 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_13382_0 {
	meta:
		name = "TDataCache.CreateTable"
		size = 620
		refs = "001b TDataCache.CreateTable 003a Application 0043 _DV_TBinTable 0048 TBDEDataSet.Create 0055 TBinTable.CreateIndexTable 005f TBinTable.save 0067 TDataSet.Edit 0072 TList.Get 0097 TDataSet.Append 00a2 @VarFromInt 00b2 TDataSet.SetFieldValue 00bd TIndexArray.GetElement 00c7 TDataCache.GetDimensionCount 00dd TDataCache.GetDimensionName 00e7 TSmallIntArray.GetItem 0112 TIndexInfo.IsSparse 011c @VarFromBool 0139 TDataCache.GetSummaryAsVariant 0141 VarIsEmpty 015a @VarCmp 016c @VarCast 0179 TDataCache.GetSummaryName 0198 TIntArray.GetItem 01e4 TDataSet.Close 01ec TObject.Free 01f2 @HandleFinally 0209 @LStrClr 0212 Variant 021c @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 57 0C 8B 47 04 E8 ?? ?? ?? ?? 89 45 F4 8B 47 10 8B 40 08 48 85 C0 0F 8C 45 01 00 00 40 89 45 E8 C7 45 FC 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 47 10 8B 55 FC E8 ?? ?? ?? ?? 89 45 F0 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 DB 8D 4D EC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 0F BF D0 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 CD 8B 45 F4 8B 40 34 8B 55 FC E8 ?? ?? ?? ?? 8B D0 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 17 8D 45 C8 33 D2 E8 ?? ?? ?? ?? 8D 55 C8 8D 45 D8 E8 ?? ?? ?? ?? 74 2B B9 05 00 00 00 8D 55 D8 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D C4 8B 57 0C 8B C7 E8 ?? ?? ?? ?? 8B 55 C4 8D 4D D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 34 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 8B D0 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 E4 01 00 00 FF 45 FC FF 4D E8 0F 85 C6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 50 6F 73 69 74 69 6F 6E 00 00 00 00 FF FF FF FF 06 00 00 00 53 70 61 72 73 65 00 00 FF FF FF FF 06 00 00 00 4F 66 66 73 65 74 00 00 }
	condition:
		$1
}

rule function_13384_0 {
	meta:
		name = "TDataCache.AddAggIndex"
		size = 410
		refs = "0023 TDataCache.AddAggIndex 0033 TDataCache.GetSummary 003e @VarClear 0057 _Dn_TSmallIntArray 005c TSmallIntArray.Create 007b TSmallIntArray.GetItem 0087 TSmallIntArray.PutItem 008e TDataCache.GetPreCalcTotals 00af TList.Get 00ba TBuilderDim.GetSumCount 00de TDataCache.GetDimensionMemberAsVariant 00ec TBuilderDim.GetSummary 0100 TDataCache.GetHasIndex 010f TIndexArray.Add 0119 TObject.Free 013e VarIsEmpty 014d TSummary.AddSubTotal 0163 TSummary.AddIndexInfo 017b Variant 0185 @FinalizeArray 018b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 0C 8B C7 E8 ?? ?? ?? ?? 89 45 EC 8D 45 D8 E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 C0 89 45 F4 6A 00 8B 45 FC 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 70 10 4E 85 F6 0F 8C 82 00 00 00 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 5A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 66 83 F8 FF 74 4A FF 45 F4 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 2E 83 7D F4 01 75 28 8D 45 C8 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 0F BF C8 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 C8 8D 4D D8 8B 45 E8 E8 ?? ?? ?? ?? 43 4E 75 81 8B 45 EC 8B 40 34 FF 40 08 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 47 10 8B 55 F0 E8 ?? ?? ?? ?? EB 08 8B 45 F0 E8 ?? ?? ?? ?? BB FD FF FF FF 83 7D E8 00 74 32 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 26 83 7D F4 01 75 20 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 0F 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B D8 EB 05 BB FE FF FF FF 53 33 C9 B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13385_0 {
	meta:
		name = "TDataCache.AddIndex"
		size = 163
		refs = "001a TDataCache.GetSummary 002a _Dn_TSmallIntArray 002f TSmallIntArray.Create 0045 TSmallIntArray.GetItem 0050 TSmallIntArray.PutItem 006c TDataCache.GetHasIndex 007d TIndexArray.Add 0086 TObject.Free 0097 TSummary.AddIndexInfo"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 88 4C 24 04 8B EA 89 04 24 8B 04 24 8B 50 0C 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 08 6A 00 8B 4D 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 75 10 4E 85 F6 7C 1B 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E8 80 7C 24 04 00 74 09 8B 04 24 8B 40 14 FF 40 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 0F 8B 04 24 8B 40 10 8B D7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 6A 00 8A 4C 24 08 33 D2 8B 44 24 0C E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13387_0 {
	meta:
		name = "TDataCache.GetMemoryUsage"
		size = 126
		refs = "0011 TDataCache.GetDimensionCount 0024 TDataCache.GetDimension 003b TDataCache.GetSummaryCount 004e TDataCache.GetSummary 0068 AllocMemSize 0071 Max"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 83 7E 08 00 74 24 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 12 03 E8 47 4B 75 ED 83 7E 04 00 74 24 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 12 03 E8 47 4B 75 ED 8B 46 10 85 C0 74 03 03 68 04 8B 15 ?? ?? ?? ?? 8B 12 8B C5 E8 ?? ?? ?? ?? 8B E8 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13388_0 {
	meta:
		name = "TDataCache.GetSuccess"
		size = 8
	strings:
		$1 = { F6 40 23 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_13389_0 {
	meta:
		name = "TDataCache.SetSuccess"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 23 04 5B C3 80 63 23 FB 5B C3 }
	condition:
		$1
}

rule function_13390_0 {
	meta:
		name = "TDataCache.GetPreCalcTotals"
		size = 8
	strings:
		$1 = { F6 40 20 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_13391_0 {
	meta:
		name = "TDataCache.SetPreCalcTotals"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 20 01 5B C3 80 63 20 FE 5B C3 }
	condition:
		$1
}

rule function_13392_0 {
	meta:
		name = "TDataCache.GetSparsing"
		size = 8
	strings:
		$1 = { F6 40 21 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_13393_0 {
	meta:
		name = "TDataCache.SetSparsing"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 21 01 5B C3 80 63 21 FE 5B C3 }
	condition:
		$1
}

rule function_13394_0 {
	meta:
		name = "TDataCache.GetHasIndex"
		size = 8
	strings:
		$1 = { F6 40 23 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_13395_0 {
	meta:
		name = "TDataCache.SetHasIndex"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 23 01 5B C3 80 63 23 FE 5B C3 }
	condition:
		$1
}

rule function_13396_0 {
	meta:
		name = "TDataCache.DimensionFromFieldName"
		size = 138
		refs = "0012 @LStrAddRef 001a TDataCache.DimensionFromFieldName 0047 TList.Get 0054 @LStrCmp 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 47 08 85 C0 74 33 8B 70 08 4E 85 F6 7C 2B 46 C7 45 F4 00 00 00 00 8B 47 08 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B 43 38 8B 55 FC E8 ?? ?? ?? ?? 75 03 89 5D F8 FF 45 F4 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13397_0 {
	meta:
		name = "TDataCache.ClearIndexInfo"
		size = 67
		refs = "001b TIndexArray.GetElement 0024 TDataCache.HasSubTotals 0037 TIndexInfo.AddOffset"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 10 8B 40 08 8B F8 4F 85 FF 7C 2D 47 33 F6 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F B9 FD FF FF FF 8B D6 8B 43 14 E8 ?? ?? ?? ?? 46 4F 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13398_0 {
	meta:
		name = "TDataCache.IsBlankSummary"
		size = 26
		refs = "0005 TDataCache.GetSummary 000e TCustomArray.GetMemberCount"
	strings:
		$1 = { 53 8B 50 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 43 24 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_13399_0 {
	meta:
		name = "AggAverage"
		size = 235
		refs = "003a @VarAddRef 004a AggAverage 0069 @VarCopy 0074 @VarRDiv 008e @HandleOnException 0096 _Dn_EDivByZero 00ac @VarFromInt 00b3 @RaiseAgain 00b8 @DoneExcept 00ce Variant 00d8 @FinalizeArray 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D D8 8B F2 8D 7D DC 51 B9 04 00 00 00 F3 A5 59 8B F0 8D 7D EC 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 8D 55 DC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2F E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13400_0 {
	meta:
		name = "TSummary.Create"
		size = 144
		refs = "000f @ClassCreate 0020 FieldTypeToVarType 002c TCustomArray.Create 0040 _Dn_TThreadCustomArray 0045 TThreadCustomArray.Create 004f _DV_TFieldDefinition 0054 TFieldDefinition.Create 005e _DV_TAggDefinition 0063 TObject.Create 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 50 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 33 C0 89 46 34 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13401_0 {
	meta:
		name = "TSummary.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 0018 TObject.Free 004b TCustomArray.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 28 8B 46 38 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 38 8B 46 40 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 40 8B 46 48 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 48 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13402_0 {
	meta:
		name = "TSummary.SetFieldType"
		size = 9
		refs = "0004 TFieldDefinition.SetFieldType"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13403_0 {
	meta:
		name = "TSummary.GetFieldType"
		size = 7
	strings:
		$1 = { 8B 40 40 8A 40 08 C3 }
	condition:
		$1
}

rule function_13404_0 {
	meta:
		name = "TDimension.SetPosition"
		size = 4
		altNames = "TSummary.SetPosition"
	strings:
		$1 = { 89 50 28 C3 }
	condition:
		$1
}

rule function_13405_0 {
	meta:
		name = "TDimension.SetFlag"
		size = 21
		altNames = "TSummary.SetFlag"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 07 77 07 83 E3 7F 0F AB 5E 30 5E 5B C3 }
	condition:
		$1
}

rule function_13406_0 {
	meta:
		name = "TSummary.AddSum"
		size = 100
		refs = "001b @VarAddRef 0023 TSummary.AddSum 0030 TCustomArray.GetMemberCount 003c TCustomArray.SetItem 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13407_0 {
	meta:
		name = "TSummary.AddSubTotal"
		size = 96
		refs = "001b @VarAddRef 0023 TSummary.AddSubTotal 0034 TThreadCustomArray.Add 004b @VarClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 43 38 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13408_0 {
	meta:
		name = "TSummary.AddIndexInfo"
		size = 204
		refs = "0018 TSummary.AddIndexInfo 0028 @GetMem 008c TIndexInfo.Add 00a9 @FreeMem 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D FF 8B DA 8B F0 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 10 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 46 34 8B 40 04 8B 55 F4 89 02 8B 46 34 8B 40 08 8B 55 F4 89 42 04 84 DB 74 17 8B 45 F4 8A 15 ?? ?? ?? ?? 88 50 0C 8B 45 F4 8B 55 08 89 50 08 EB 0C 8B 45 F4 8A 15 ?? ?? ?? ?? 88 50 0C 80 7D FF 00 74 12 8B 45 F4 8A 40 0C 0A 05 ?? ?? ?? ?? 8B 55 F4 88 42 0C 8B 46 34 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? BA 10 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C2 04 00 08 00 00 00 01 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_13409_0 {
	meta:
		name = "TDimension.HasFlag"
		size = 16
		altNames = "TSummary.HasFlag"
	strings:
		$1 = { 80 FA 07 77 07 83 E2 7F 0F A3 50 30 0F 92 C0 C3 }
	condition:
		$1
}

rule function_13410_0 {
	meta:
		name = "TSummary.SetName"
		size = 76
		refs = "000e @LStrAddRef 0016 TSummary.SetName 0027 TFieldDefinition.SetName 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13411_0 {
	meta:
		name = "TSummary.GetName"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13413_0 {
	meta:
		name = "TSummary.MemoryUsage"
		size = 48
		refs = "001c TThreadCustomArray.MemoryUsage 0025 TCustomArray.MemoryUsage"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 43 34 85 C0 74 0B 8B 50 14 8B 42 08 F7 6A 0C 03 F0 8B 43 38 E8 ?? ?? ?? ?? 03 F0 8B C3 E8 ?? ?? ?? ?? 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13414_0 {
	meta:
		name = "TSummary.UpdateIndexInfo"
		size = 193
		refs = "002b @VarAddRef 0033 TSummary.UpdateIndexInfo 0043 @VarFromInt 004e @VarCmp 0063 TSummary.AddSubTotal 006f TIndexInfo.AddOffset 00a4 Variant 00ae @FinalizeArray 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 33 D2 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 74 2F 8B 43 34 80 78 18 01 75 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 34 E8 ?? ?? ?? ?? EB 1D B9 FC FF FF FF 8B D6 E8 ?? ?? ?? ?? EB 0F B9 FE FF FF FF 8B D6 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13415_0 {
	meta:
		name = "TSummary.SetAggregator"
		size = 377
		refs = "001d @LStrAddRef 0025 TSummary.SetAggregator 0053 TCollection.GetCount 0066 TCubeDims.GetCubeDim 0080 @LStrCmp 008f SCountStar 0094 LoadResString 00ac AnsiUpperCase 0127 AggAverage 0159 @LStrArrayClr 0161 @LStrClr 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 8B F9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF C7 45 EC FF FF FF FF 8B 45 08 C7 00 FF FF FF FF C6 45 F7 00 83 7D EC 00 7D 74 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 66 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 28 02 75 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F8 E8 ?? ?? ?? ?? 75 05 89 5D EC EB 35 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 14 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 75 05 89 5D EC EB 04 43 4E 75 9D 83 7D F0 00 7D 3F 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 31 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F8 E8 ?? ?? ?? ?? 75 14 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 28 01 75 05 89 5D F0 EB 04 43 4E 75 D2 83 7D EC FF 74 34 83 7D F0 FF 74 2E 80 7D 0C 03 75 24 8B 45 FC 8B 40 48 C7 80 04 01 00 00 ?? ?? ?? ?? 8A 55 F0 88 50 04 8A 55 EC 88 50 05 8B 45 08 8B 55 F0 89 10 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 F7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13416_0 {
	meta:
		name = "TSummary.GetDerived"
		size = 8
	strings:
		$1 = { 83 78 28 FF 0F 94 C0 C3 }
	condition:
		$1
}

rule function_13417_0 {
	meta:
		name = "TSummary.ClearTotals"
		size = 49
		refs = "000b TObject.Free 0016 FieldTypeToVarType 0023 _Dn_TThreadCustomArray 0028 TThreadCustomArray.Create"
	strings:
		$1 = { 53 8B D8 8B 43 38 85 C0 74 05 E8 ?? ?? ?? ?? 8B 43 40 8A 40 08 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 5B C3 }
	condition:
		$1
}

rule function_13418_0 {
	meta:
		name = "TDimension.Create"
		size = 94
		refs = "000e @ClassCreate 001c FieldTypeToVarType 0028 TCustomArray.Create 0034 _DV_TFieldDefinition 0039 TFieldDefinition.Create 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8A 45 08 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 34 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13419_0 {
	meta:
		name = "TDimension.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 000f TObject.Free 0020 TCustomArray.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? 33 C0 89 46 28 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13421_0 {
	meta:
		name = "TDimension.GetFieldType"
		size = 7
	strings:
		$1 = { 8B 40 34 8A 40 08 C3 }
	condition:
		$1
}

rule function_13423_0 {
	meta:
		name = "TDimension.SetName"
		size = 76
		refs = "000e @LStrAddRef 0016 TDimension.SetName 0027 TFieldDefinition.SetName 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13424_0 {
	meta:
		name = "TDimension.GetName"
		size = 22
		refs = "000f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 34 8B 52 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13427_0 {
	meta:
		name = "TDimension.ClearFlag"
		size = 21
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 07 77 07 83 E3 7F 0F B3 5E 30 5E 5B C3 }
	condition:
		$1
}

rule function_13428_0 {
	meta:
		name = "TDimension.SetRangeCounting"
		size = 34
		refs = "000a TCustomArray.GetMemberCount"
	strings:
		$1 = { 53 8B D8 84 D2 74 0C 8B C3 E8 ?? ?? ?? ?? 89 43 2C 5B C3 8B C3 E8 ?? ?? ?? ?? 2B 43 2C 89 43 2C 5B C3 }
	condition:
		$1
}

rule function_13429_0 {
	meta:
		name = "TDimension.AssignSorted"
		size = 9
		refs = "0004 TCustomArray.Assign"
	strings:
		$1 = { 51 B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13430_0 {
	meta:
		name = "TDimension.IsString"
		size = 11
	strings:
		$1 = { 8B 40 34 80 78 08 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_13432_0 {
	meta:
		name = "TFieldDefinition.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TObject.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 14 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13433_0 {
	meta:
		name = "TFieldDefinition.FormatVariantToStr"
		size = 571
		refs = "002d @VarAddRef 0035 TFieldDefinition.FormatVariantToStr 0082 @VarToReal 0093 FormatFloat 00b7 FloatToStrF 0123 FormatDateTime 013e DateTimeToStr 017d DateToStr 01b9 TimeToStr 01cb @VarCast 01d5 @VarFromBool 01e0 @VarCmp 01e9 sTrue 01ee LoadResString 01f7 sFalse 0208 VarToStr 021e Variant 0228 @FinalizeArray 022e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 43 14 83 F8 08 0F 87 B5 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7B 04 00 74 1E 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? E9 70 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 56 B9 02 00 00 00 8B 53 18 33 C0 E8 ?? ?? ?? ?? E9 4C 01 00 00 83 7B 04 00 74 1E 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? E9 28 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 56 B9 02 00 00 00 8B 53 18 B0 04 E8 ?? ?? ?? ?? E9 04 01 00 00 83 7B 04 00 74 1E 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? E9 E0 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 C5 00 00 00 83 7B 04 00 74 1E 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? E9 A1 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 86 00 00 00 83 7B 04 00 74 1B 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 04 E8 ?? ?? ?? ?? EB 65 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 4D B9 0B 00 00 00 8D 55 F0 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 B2 01 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B D6 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13434_0 {
	meta:
		name = "TFieldDefinition.SetFieldType"
		size = 32
		refs = "0012 TypeMap"
	strings:
		$1 = { 3A 50 08 74 1A 88 50 08 80 FA 0E 77 0E 83 E2 7F 8A 92 ?? ?? ?? ?? 88 50 14 EB 04 C6 40 14 00 C3 }
	condition:
		$1
}

rule function_13435_0 {
	meta:
		name = "TFieldDefinition.SetName"
		size = 76
		refs = "000e @LStrAddRef 0016 TFieldDefinition.SetName 0027 @LStrAsg 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13436_0 {
	meta:
		name = "TBuilderDim.Create"
		size = 91
		refs = "000d @ClassCreate 001e TDimension.Create 0032 _Dn_TStringArray 0037 TStringArray.Create 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8A 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 3C 00 33 C0 89 46 40 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13437_0 {
	meta:
		name = "TBuilderDim.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 000f TObject.Free 002d TDimension.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 E8 ?? ?? ?? ?? 33 C0 89 46 44 8B 46 58 E8 ?? ?? ?? ?? 33 C0 89 46 58 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13438_0 {
	meta:
		name = "TBuilderDim.InitSummary"
		size = 33
		refs = "000f _Dn_TCustomArray 0014 TCustomArray.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 89 73 5C 5E 5B C3 }
	condition:
		$1
}

rule function_13439_0 {
	meta:
		name = "TBuilderDim.Add"
		size = 100
		refs = "001b @VarAddRef 0023 TBuilderDim.Add 0030 TCustomArray.GetMemberCount 003c TCustomArray.SetItem 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13440_0 {
	meta:
		name = "TBuilderDim.AddSummary"
		size = 158
		refs = "0024 @VarAddRef 002c TBuilderDim.AddSummary 0040 TCustomArray.GetItem 0052 @VarCopy 005d @VarAdd 006b TCustomArray.SetItem 0081 Variant 008b @FinalizeArray 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E0 8B 53 40 8B 43 44 E8 ?? ?? ?? ?? 66 83 7D F0 01 74 24 8D 55 E0 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 8D 55 F0 E8 ?? ?? ?? ?? 8D 4D D0 8B 53 40 8B 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13441_0 {
	meta:
		name = "TBuilderDim.MatchLastVal"
		size = 156
		refs = "0029 @VarAddRef 0031 TBuilderDim.MatchLastVal 0043 TBuilderDim.GetLastVal 004b VarIsEmpty 0064 @VarCmp 007d Variant 0087 @FinalizeArray 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 18 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13442_0 {
	meta:
		name = "VarToCubeStr"
		size = 152
		refs = "001b @VarAddRef 0023 VarToCubeStr 004e @LStrLAsg 0057 @LStrClr 0063 VarToStr 0078 @VarClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 B9 04 00 00 00 F3 A5 8B DA 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 F0 66 83 E8 02 73 26 8B 45 08 8B 40 FC 81 78 04 00 01 00 00 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B C3 E8 ?? ?? ?? ?? EB 0A 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_13443_0 {
	meta:
		name = "TBuilderDim.SetLastVal"
		size = 299
		refs = "0026 @VarAddRef 002e TBuilderDim.SetLastVal 0042 @VarCopy 0065 TStringArray.GetString 0075 VarToCubeStr 007f @LStrCmp 00b0 TStringArray.Add 00c2 @VarFromInt 00d3 VarAsType 00e3 TCustomArray.SetItem 00f9 Variant 0103 @FinalizeArray 0110 @LStrArrayClr 0118 @VarClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8D 7D EC B9 04 00 00 00 F3 A5 89 45 FC 8D 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 48 8D 55 EC E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 40 58 8B 78 10 4F 85 FF 7C 37 47 33 F6 8D 4D E8 8B 45 FC 8B 40 58 8B D6 E8 ?? ?? ?? ?? 8B 45 E8 50 55 8D 55 E4 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 E4 58 E8 ?? ?? ?? ?? 75 04 B3 01 EB 04 46 4F 75 CC 84 DB 74 08 8B 45 FC 89 70 40 EB 4E 55 8D 55 E8 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 E8 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 40 8D 45 C4 33 D2 E8 ?? ?? ?? ?? 8D 45 C4 8D 4D D4 8B 55 FC 8B 52 5C E8 ?? ?? ?? ?? 8D 4D D4 8B D3 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13444_0 {
	meta:
		name = "TBuilderDim.GetLastVal"
		size = 19
		refs = "000c @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13445_0 {
	meta:
		name = "TBuilderDim.GetSummary"
		size = 200
		refs = "0028 @VarAddRef 0030 TBuilderDim.GetSummary 003e VarIsEmpty 004a @LStrClr 0057 VarToStr 0072 TStringArray.GetString 007d @LStrCmp 0090 TCustomArray.GetItem 00ad @VarClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B F8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 0B 8D 55 F8 8D 45 E8 E8 ?? ?? ?? ?? 8B 47 58 8B 58 10 4B 85 DB 7C 21 43 33 F6 8D 4D E4 8B 47 58 8B D6 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 74 04 46 4B 75 E2 8B 4D FC 8B 47 44 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13446_0 {
	meta:
		name = "TBuilderDim.GetSumCount"
		size = 9
		refs = "0004 TCustomArray.GetMemberCount"
	strings:
		$1 = { 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13447_0 {
	meta:
		name = "TCubeDims.Create"
		size = 63
		refs = "000d @ClassCreate 001e TDimensionItems.Create 0029 @AfterConstruction"
		altNames = "TQueryDims.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13453_0 {
	meta:
		name = "TCubeDims.GetDirtyFlag"
		size = 68
		refs = "000b TCollection.GetCount 001e TCubeDims.GetCubeDim"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 27 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 48 00 74 11 8B D5 8B C7 E8 ?? ?? ?? ?? C6 40 48 00 B3 01 EB 04 45 4E 75 DC 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13454_0 {
	meta:
		name = "TCubeDim.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TDimensionItem.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 2C 00 C6 46 48 00 33 C0 89 46 30 89 46 34 33 C0 89 46 4C C7 46 50 FF FF FF FF C6 46 54 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13455_0 {
	meta:
		name = "TCubeDim.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0021 TCollectionItem.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 4C 85 C0 74 07 B2 01 8B 08 FF 51 FC 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13456_0 {
	meta:
		name = "TCubeDim.Assign"
		size = 121
		refs = "000d TDimensionItem.Assign 0038 @LStrAsg 005c _Dn_TBinData 0061 TBinData.create"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B FE 8A 47 2C 88 43 2C 8B 47 38 89 43 38 8B 47 3C 89 43 3C 8B 47 30 89 43 30 8B 47 34 89 43 34 8D 43 40 8B 57 40 E8 ?? ?? ?? ?? 8D 43 44 8B 57 44 E8 ?? ?? ?? ?? 8B 47 50 89 43 50 8A 47 54 88 43 54 83 7F 4C 00 74 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 89 6B 4C 8B 57 4C 8B C5 8B 08 FF 51 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13457_0 {
	meta:
		name = "TCubeDim.InitializeRange"
		size = 103
		refs = "0016 TCubeDim.SetBin 001b Now 0039 DecodeDate 004b EncodeDate 005e TCubeDim.SetDate"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8A 43 20 2C 09 74 04 2C 02 75 51 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C 8D 4C 24 1C 8D 54 24 1A 8D 44 24 18 E8 ?? ?? ?? ?? 66 B9 01 00 66 BA 01 00 66 8B 44 24 10 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_13458_0 {
	meta:
		name = "TCubeDim.GetLoaded"
		size = 4
	strings:
		$1 = { 8A 40 21 C3 }
	condition:
		$1
}

rule function_13459_0 {
	meta:
		name = "TCubeDim.SetLoaded"
		size = 157
		refs = "0016 TCubeDim.SetLoaded 0028 @CallDynaInst 002e _DV_TCustomDataStore 0033 @IsClass 0053 SDimMapActiveError 0058 LoadResString 0062 _Dn_Exception 0067 Exception.Create 006c @RaiseExcept 0076 TDimensionItem.SetActive 008b @LStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 24 66 BB FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B 46 24 66 BB FF FF E8 ?? ?? ?? ?? 8B 40 30 3B 46 24 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13460_0 {
	meta:
		name = "TCubeDim.NotifyCollection"
		size = 10
		refs = "0005 TDimensionItem.NotifyCollection"
	strings:
		$1 = { C6 40 48 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13461_0 {
	meta:
		name = "TCubeDim.DataSetTransform"
		size = 309
		refs = "0023 TCubeDim.DataSetTransform 007a TList.Get 0097 TCustomArray.ConvertVar 00a1 @VarCopy 00a9 TCustomArray.GetMemberCount 00c0 TCustomArray.GetItem 00ca @VarCmp 00d6 @VarFromLStr 00f8 TBinData.AddBinValue 011a @VarClr 0122 @LStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 5D EC 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C 89 45 F4 83 7D F4 00 0F 84 C9 00 00 00 8B 45 F4 8B 40 04 8B 10 FF 52 14 48 85 C0 0F 8C 98 00 00 00 40 89 45 E8 C7 45 F8 00 00 00 00 8D 4D EC 8B 45 F4 8B 40 04 8B 55 F8 8B 18 FF 53 0C 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 40 04 0F B7 16 3B C2 74 17 8D 4D D8 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2C 43 33 FF 8D 4D D8 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 75 0C 8B C6 8B 55 EC E8 ?? ?? ?? ?? EB 2D 47 4B 75 D7 FF 45 F8 FF 4D E8 0F 85 73 FF FF FF 8B CE 8B 45 F4 8B 50 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 55 F4 8B 52 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13462_0 {
	meta:
		name = "TCubeDim.YearTransform"
		size = 240
		refs = "000d VarType 0030 TCubeDim.YearTransform 004e DecodeDate 0067 @VarToReal 00da EncodeDate 00e1 @VarFromTDateTime"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F9 8B F2 8B C6 E8 ?? ?? ?? ?? 83 F8 07 0F 85 CB 00 00 00 33 DB 8B 47 38 89 44 24 14 8B 47 3C 89 44 24 18 DD 44 24 14 D8 1D ?? ?? ?? ?? DF E0 9E 74 2B FF 74 24 18 FF 74 24 18 8D 4C 24 1A 8D 54 24 18 8D 44 24 16 E8 ?? ?? ?? ?? 66 83 7C 24 10 01 75 08 66 83 7C 24 12 01 74 02 B3 01 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 4C 24 14 8D 54 24 12 8D 44 24 10 E8 ?? ?? ?? ?? 84 DB 74 30 66 8B 44 24 0A 66 3B 44 24 10 75 13 66 8B 44 24 0C 66 3B 44 24 12 72 18 66 FF 44 24 08 EB 11 66 8B 44 24 0A 66 3B 44 24 10 76 05 66 FF 44 24 08 66 C7 44 24 0A 01 00 66 C7 44 24 0C 01 00 66 8B 4C 24 0C 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_13463_0 {
	meta:
		name = "TCubeDim.MonthTransform"
		size = 236
		refs = "000d VarType 0030 TCubeDim.MonthTransform 004e DecodeDate 0067 @VarToReal 00d3 EncodeDate 00da @VarFromTDateTime"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F9 8B F2 8B C6 E8 ?? ?? ?? ?? 83 F8 07 0F 85 C4 00 00 00 33 DB 8B 47 38 89 44 24 14 8B 47 3C 89 44 24 18 DD 44 24 14 D8 1D ?? ?? ?? ?? DF E0 9E 74 2B FF 74 24 18 FF 74 24 18 8D 4C 24 1A 8D 54 24 18 8D 44 24 16 E8 ?? ?? ?? ?? 66 83 7C 24 10 01 75 08 66 83 7C 24 12 01 74 02 B3 01 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 4C 24 14 8D 54 24 12 8D 44 24 10 E8 ?? ?? ?? ?? 84 DB 74 30 66 8B 44 24 0A 66 3B 44 24 10 75 13 66 8B 44 24 0C 66 3B 44 24 12 72 18 66 FF 44 24 08 EB 11 66 8B 44 24 0A 66 3B 44 24 10 76 05 66 FF 44 24 08 66 C7 44 24 0C 01 00 66 8B 4C 24 0C 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13464_0 {
	meta:
		name = "GetQuarterRange"
		size = 164
		refs = "0023 GetQuarterRange 0044 DecodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 89 55 FC 8B F0 8B 45 08 8B 40 FC 8B 50 38 89 55 EC 8B 50 3C 89 55 F0 DD 45 EC D8 1D ?? ?? ?? ?? DF E0 9E 75 08 66 C7 45 F8 01 00 EB 14 FF 75 F0 FF 75 EC 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 66 B9 01 00 66 8B 55 F8 B8 03 00 00 00 66 3B 16 75 14 66 8B 06 66 3B 45 F8 72 06 8B 45 FC 66 FF 00 66 89 0E EB 2B 42 48 75 E3 66 83 FA 0C 72 04 66 BA 01 00 41 66 83 F9 04 76 CD 66 8B 06 66 3B 45 F8 72 06 8B 45 FC 66 FF 00 66 8B 45 F8 66 89 06 5E 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13465_0 {
	meta:
		name = "TCubeDim.QuarterTransform"
		size = 103
		refs = "000f VarType 001b @VarToReal 0033 DecodeDate 0045 GetQuarterRange 0057 EncodeDate 005e @VarFromTDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D FC 8B DA 8B C3 E8 ?? ?? ?? ?? 83 F8 07 75 4A 8B C3 E8 ?? ?? ?? ?? DD 5D F4 9B FF 75 F8 FF 75 F4 8D 4D EE 8D 55 F0 8D 45 F2 E8 ?? ?? ?? ?? 66 C7 45 EE 01 00 55 8D 55 F2 8D 45 F0 E8 ?? ?? ?? ?? 59 66 8B 4D EE 66 8B 55 F0 66 8B 45 F2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13466_0 {
	meta:
		name = "TCubeDim.AssignBinTypeTransform"
		size = 60
		refs = "000d TCubeDim.YearTransform 001d TCubeDim.MonthTransform 002d TCubeDim.QuarterTransform"
	strings:
		$1 = { 53 8B D9 80 FA 01 75 0B 89 43 04 C7 03 ?? ?? ?? ?? 5B C3 80 FA 03 75 0B 89 43 04 C7 03 ?? ?? ?? ?? EB 17 80 FA 02 75 0B 89 43 04 C7 03 ?? ?? ?? ?? EB 07 33 C0 89 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_13467_0 {
	meta:
		name = "TCubeDim.AssignBinTypeFormat"
		size = 128
		refs = "000b TCubeDim.AssignBinTypeFormat 0010 @LStrLAsg 003f @LStrClr"
	strings:
		$1 = { 53 8B D9 80 FA 01 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 80 FA 03 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 80 FA 02 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 04 00 00 00 79 79 79 79 00 00 00 00 FF FF FF FF 09 00 00 00 6D 6D 6D 2C 20 79 79 79 79 00 00 00 FF FF FF FF 0A 00 00 00 22 51 22 6D 2C 20 79 79 79 79 00 00 }
	condition:
		$1
}

rule function_13468_0 {
	meta:
		name = "TCubeDim.SetBin"
		size = 252
		refs = "0015 TCubeDim.SetBin 003f IsDateField 004b sBinTypeMismatch 0050 LoadResString 005a _DV_ECacheError 005f Exception.Create 0064 @RaiseExcept 0070 TCubeDim.AssignBinTypeTransform 0088 TCubeDim.AssignBinTypeFormat 0093 @LStrAsg 009f TCubeDim.DataSetTransform 00a6 _Dn_TBinData 00ab TBinData.create 00c0 @LStrClr 00cd TObject.Free 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 2C 0F 84 B1 00 00 00 8B C3 48 2C 03 72 0C 74 68 FE C8 0F 84 8B 00 00 00 EB 79 8A 46 20 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 46 30 8B 45 F8 89 46 34 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 40 E8 ?? ?? ?? ?? EB 2B 89 76 34 C7 46 30 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C EB 10 33 C0 89 46 30 89 46 34 8D 46 40 E8 ?? ?? ?? ?? 80 FB 04 74 0D 8B 46 4C E8 ?? ?? ?? ?? 33 C0 89 46 4C 88 5E 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13469_0 {
	meta:
		name = "TCubeDim.GetBin"
		size = 4
	strings:
		$1 = { 8A 40 2C C3 }
	condition:
		$1
}

rule function_13470_0 {
	meta:
		name = "TCubeDim.SetDate"
		size = 94
		refs = "000c TCubeDim.SetDate 002c DateToStr 0037 @LStrAsg 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 43 38 8B 45 0C 89 43 3C FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13471_0 {
	meta:
		name = "TCubeDim.SetStart"
		size = 268
		refs = "001a @LStrAddRef 0022 TCubeDim.SetStart 0033 @LStrAsg 0040 TCubeDim.GetBin 004c FieldTypeToVarType 0058 @VarFromLStr 0064 @VarCast 006d TCubeDim.SetBin 007e VarType 008d TBinData.AddBin 009a TBinData.AddIBinValue 00b0 StrToDate 00be TCubeDim.SetDate 00d4 Variant 00de @FinalizeArray 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 44 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 63 8B C3 E8 ?? ?? ?? ?? 3C 04 75 58 8A 43 20 E8 ?? ?? ?? ?? 50 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC 59 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 8D 4D EC 33 D2 8B 43 4C E8 ?? ?? ?? ?? EB 22 8B C3 E8 ?? ?? ?? ?? 48 2C 03 73 16 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 FF FF FF FF 0B 00 00 00 53 69 6E 67 6C 65 56 61 6C 75 65 00 }
	condition:
		$1
}

rule function_13472_0 {
	meta:
		name = "TCubeDim.DefineProperties"
		size = 196
		refs = "000c TPersistent.DefineProperties 0012 TCubeDim.ReadActive 0018 TCubeDim.WriteActive 001f TCubeDim.DefineProperties 002b TCubeDim.ReadDateBin 0042 TCubeDim.ReadStartDate 0059 TCubeDim.ReadStartValue 005f TCubeDim.WriteStartValue"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 44 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 00 00 FF FF FF FF 06 00 00 00 41 63 74 69 76 65 00 00 FF FF FF FF 07 00 00 00 44 61 74 65 42 69 6E 00 FF FF FF FF 09 00 00 00 53 74 61 72 74 44 61 74 65 00 00 00 FF FF FF FF 0A 00 00 00 53 74 61 72 74 56 61 6C 75 65 00 00 }
	condition:
		$1
}

rule function_13473_0 {
	meta:
		name = "TCubeDim.ReadDateBin"
		size = 336
		refs = "000f TCubeDim.ReadDateBin 001f TReader.ReadIdent 002c @LStrCmp 0037 TCubeDim.SetBin 00d1 @LStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E9 80 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 66 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B B2 02 8B C3 E8 ?? ?? ?? ?? EB 4C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B B2 03 8B C3 E8 ?? ?? ?? ?? EB 32 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B B2 04 8B C3 E8 ?? ?? ?? ?? EB 18 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 B2 05 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 FF FF FF FF 07 00 00 00 62 69 6E 4E 6F 6E 65 00 FF FF FF FF 07 00 00 00 62 69 6E 59 65 61 72 00 FF FF FF FF 0A 00 00 00 62 69 6E 51 75 61 72 74 65 72 00 00 FF FF FF FF 08 00 00 00 62 69 6E 4D 6F 6E 74 68 00 00 00 00 FF FF FF FF 06 00 00 00 62 69 6E 53 65 74 00 00 FF FF FF FF 09 00 00 00 62 69 6E 43 75 73 74 6F 6D 00 00 00 }
	condition:
		$1
}

rule function_13474_0 {
	meta:
		name = "TCubeDim.ReadStartDate"
		size = 30
		refs = "0009 TReader.ReadFloat 0017 TCubeDim.SetDate"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13475_0 {
	meta:
		name = "TCubeDim.ReadStartValue"
		size = 168
		refs = "000f TCubeDim.ReadStartValue 001c TReader.NextValue 0031 TReader.ReadFloat 0040 DateToStr 004a TCubeDim.SetStart 0078 TReader.ReadString 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 2C 04 74 2C FE C8 74 06 FE C8 74 46 EB 58 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 36 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13476_0 {
	meta:
		name = "TCubeDim.WriteStartValue"
		size = 55
		refs = "0015 StrToDate 0023 TWriter.WriteFloat 0030 TWriter.WriteString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8A 43 20 2C 09 74 04 2C 02 75 19 8B 43 44 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 53 44 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13478_0 {
	meta:
		name = "TCubeDim.WriteActive"
		size = 10
		refs = "0005 TWriter.WriteBoolean"
	strings:
		$1 = { 8A 40 21 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13479_0 {
	meta:
		name = "TCubeDim.IsBinData"
		size = 10
	strings:
		$1 = { 80 78 2C 00 0F 94 C0 34 01 C3 }
	condition:
		$1
}

rule function_13480_0 {
	meta:
		name = "TCubeDim.DoTransform"
		size = 20
	strings:
		$1 = { 53 66 83 78 32 00 74 0A 8B D8 8B C8 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_13481_0 {
	meta:
		name = "TCubeDim.GetBinValues"
		size = 376
		refs = "0030 @VarAddRef 0038 TCubeDim.GetBinValues 0059 VarType 0067 @VarFromInt 008b VarArrayCreate 0099 @VarArrayPut 00a4 @VarToReal 00bc DecodeDate 00f3 EncodeDate 00fb @VarFromTDateTime 0111 TCubeDim.GetBin 0128 FormatVariant 0135 TBinData.GetBinValues 0155 @LStrClr 015d @VarClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D D4 8B F2 8D 7D E0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 2C 3C 01 74 0C 3C 03 74 08 3C 02 0F 85 B9 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 83 F8 07 74 0E 8B C6 33 D2 E8 ?? ?? ?? ?? E9 D4 00 00 00 56 33 C0 89 45 D8 C7 45 DC 01 00 00 00 8D 45 D8 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 E0 50 56 E8 ?? ?? ?? ?? 83 C4 10 8D 45 E0 E8 ?? ?? ?? ?? DD 5D F8 9B FF 75 FC FF 75 F8 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 8A 43 2C FE C8 74 0A FE C8 74 0C FE C8 74 0F EB 11 66 FF 45 F6 EB 0B 66 83 45 F4 03 EB 04 66 FF 45 F4 6A 01 6A 01 66 8B 4D F2 66 8B 55 F4 66 8B 45 F6 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 50 56 E8 ?? ?? ?? ?? 83 C4 10 EB 36 8B C3 E8 ?? ?? ?? ?? 3C 04 75 22 83 7B 4C 00 74 1C 8D 4D C4 33 D2 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 C4 8B CE 8B 43 4C E8 ?? ?? ?? ?? EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13482_0 {
	meta:
		name = "TIndexInfo.Create"
		size = 107
		refs = "000a @ClassCreate 0017 TObject.Create 0037 InitializeCriticalSection 0045 _Dn_TIntArray 004a TIntArray.Create 0058 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 04 33 C0 89 46 08 33 C0 89 46 0C C6 46 10 00 C6 46 18 00 8D 46 1C 50 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13483_0 {
	meta:
		name = "TIndexInfo.Destroy"
		size = 131
		refs = "0007 @BeforeDestruction 0015 TIndexInfo.LockIndex 001d TIndexInfo.Destroy 002e TObject.Free 0044 TObject.Destroy 0059 TIndexInfo.UnlockIndex 0065 DeleteCriticalSection 006b @HandleFinally 007b @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 14 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_13484_0 {
	meta:
		name = "TIndexInfo.Add"
		size = 139
		refs = "0010 TIndexInfo.LockIndex 0018 TIndexInfo.Add 0053 TIndexInfo.AddOffset 0077 TIndexInfo.UnlockIndex 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 F6 43 0C 02 74 05 83 C8 FF EB 1A F6 43 0C 08 74 05 8B 43 08 EB 0F 8B 03 03 43 04 50 8B 45 FC 8B 40 0C 5A 2B C2 8B 55 FC 8B 52 0C 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 40 0C 8B 45 FC 8B 40 0C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13485_0 {
	meta:
		name = "TIndexInfo.IsSparse"
		size = 23
		refs = "000c TIntArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 40 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_13486_0 {
	meta:
		name = "TIndexInfo.SetCapacity"
		size = 78
		refs = "000e TIndexInfo.LockIndex 0016 TIndexInfo.SetCapacity 003e TIndexInfo.UnlockIndex 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B D3 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13488_0 {
	meta:
		name = "TIndexInfo.IsSparseAgg"
		size = 25
		refs = "000c TIntArray.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 83 F8 FE 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_13489_0 {
	meta:
		name = "TIndexInfo.AddOffset"
		size = 84
		refs = "0011 TIndexInfo.LockIndex 0019 TIndexInfo.AddOffset 002e TIntArray.PutItem 0043 TIndexInfo.UnlockIndex 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13490_0 {
	meta:
		name = "TIndexInfo.LockIndex"
		size = 17
		refs = "0008 EnterCriticalSection"
	strings:
		$1 = { 53 8B D8 8D 43 1C 50 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_13491_0 {
	meta:
		name = "TIndexInfo.UnlockIndex"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 1C 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13494_0 {
	meta:
		name = "BuildMasterDimensionMap"
		size = 276
		refs = "0016 BuildMasterDimensionMap 0023 _Dn_TXtabQuery 0028 TXtabQuery.Create 0053 TXtabQuery.getSQLString 005b CheckIfEmptyQuery 006a TXtabQuery.setSQLString 0072 TXtabQuery.DeleteProjectors 008a AddToQuerySelect 0097 BuildDimensionMap 00a1 TCollection.GetCount 00b4 TQueryDims.GetQueryDim 00bb TDimensionItem.SetActive 00d4 TObject.Free 00da @HandleFinally 00f1 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 C6 40 18 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 55 F8 89 42 04 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 17 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 4B 75 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_13495_0 {
	meta:
		name = "BuildDimensionMap"
		size = 460
		refs = "0021 @LStrAddRef 0029 BuildDimensionMap 0041 CheckIfEmptyQuery 0052 AddToQuerySelect 005c TXtabQuery.setSQLString 0063 TXtabQuery.getNProjectors 0074 TXtabQuery.DeleteProjector 008d TCollection.Clear 00aa TQueryDims.Add 00b5 TCollectionItem.GetIndex 00cf TXtabQuery.getProjector 00dc TQueryDims.GetQueryDim 00e2 TDimensionItem.SetName 0101 TDimensionItem.SetFieldName 0120 TDimensionItem.SetBaseName 013f TDimensionItem.SetType 015e TDimensionItem.SetFieldType 016e TDimensionItem.SetActive 017f TXtabQuery.FixUpGroupBys 0186 TXtabQuery.IsLegal 019e recProjectorInfo 01a3 @FinalizeRecord 01ab @LStrClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 04 85 F6 0F 84 4F 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 84 C0 74 37 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 1B 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 F1 EB 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 0F 8C DB 00 00 00 40 89 45 F4 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 74 0A 8B D3 8B 45 F8 8B 08 FF 51 10 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 45 F0 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8A 45 E0 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 43 FF 4D F4 0F 85 2B FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_13496_0 {
	meta:
		name = "AddDimensionItem"
		size = 295
		refs = "001e @LStrAddRef 0026 AddDimensionItem 0040 TQueryDims.GetQueryDim 0058 TXtabQuery.AddNewItem 0068 TXtabQuery.getProjector 007b TDimensionItem.SetFieldName 009b TDimensionItem.SetName 00bb TDimensionItem.SetBaseName 00db TDimensionItem.SetType 00eb TDimensionItem.SetActive 0103 recProjectorInfo 0108 @FinalizeRecord 0110 @LStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 47 18 00 53 6A 01 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 40 28 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 1C 8B C7 59 E8 ?? ?? ?? ?? 89 45 FC 8D 4D E4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8A 45 F8 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13497_0 {
	meta:
		name = "RemoveDimensionItem"
		size = 49
		refs = "0012 TQueryDims.GetQueryDim 0019 TDimensionItem.SetActive 0022 TXtabQuery.DeleteProjector 0029 TXtabQuery.IsLegal"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 C6 43 18 00 8B D6 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13509_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMDayTime 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13514_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMEcho 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13524_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMFinger 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13529_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMFTP 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13617_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_THTML 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13620_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMHTTP 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13653_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMNNTP 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13701_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMPOP3 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13724_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMSMTP 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13757_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMTime 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13763_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMUDP 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13780_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMURL 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13789_0 {
	meta:
		name = "Register"
		size = 93
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMUUProcessor 0038 RegisterComponents 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_13510_0 {
	meta:
		name = "TNMDayTime.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TPowersock.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 0D 00 00 00 C7 86 8C 00 00 00 F4 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13511_0 {
	meta:
		name = "TNMDayTime.GetTimeStr"
		size = 759
		refs = "0018 TNMDayTime.GetTimeStr 003c sPSk_Cons_msg_Conn 0041 LoadResString 004b _Dn_ESockError 0050 Exception.Create 0055 @RaiseExcept 0070 TPowersock.ResolveRemoteHost 007f @HandleOnException 0095 sPSk_Cons_msg_host_to 00a5 @LStrCmp 00af sPSk_Cons_msg_host_Can 00c6 @RaiseAgain 00cb @DoneExcept 00e9 sPSk_Cons_msg_add_null 0183 sPSk_Cons_msg_Conning 0195 TPowersock.StatusMessage 01bd htons 0204 TPowersock.TimerOn 021e connect 0223 Application 022a TApplication.ProcessMessages 024a TPowersock.TimerOff 025e Cons_Msg_ConnectionTimedOut 026d _Dn_Exception 02a1 TStream.GetSize 02b2 TPowersock.Read 02cd @HandleFinally 02e4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC 80 B8 A0 02 00 00 00 74 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 51 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 04 E8 ?? ?? ?? ?? 74 1A 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 04 E8 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 6C 02 00 00 00 0F 85 90 00 00 00 83 7D F4 00 7E 23 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B 45 FC 66 83 78 52 00 75 23 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A C6 45 F3 00 8D 55 F3 8B 5D FC 8B 43 54 FF 53 50 80 7D F3 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 8B 45 FC 83 B8 6C 02 00 00 00 0F 84 DF FE FF FF 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 C7 80 68 02 00 00 02 00 8B 45 FC 83 B8 9C 00 00 00 00 75 1C 8B 45 FC 66 8B 80 B8 00 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 6A 02 00 00 EB 1A 8B 45 FC 66 8B 80 A0 00 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 6A 02 00 00 BB 10 00 00 00 8B 45 FC C6 80 B4 00 00 00 00 8B 45 FC C6 80 B5 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 53 8B 45 FC 05 68 02 00 00 50 8B 45 FC 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B4 00 00 00 00 75 0C 8B 45 FC 80 B8 B5 00 00 00 00 74 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B5 00 00 00 00 74 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 E2 8B 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13515_0 {
	meta:
		name = "TNMEcho.Create"
		size = 79
		refs = "000a @ClassCreate 0017 TPowersock.Create 0022 sEcho_Cons_Msg_echoS 0027 LoadResString 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 96 A4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 86 B8 00 00 00 07 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13516_0 {
	meta:
		name = "TNMEcho.Echo"
		size = 156
		refs = "0013 @LStrAddRef 001b TNMEcho.Echo 0034 TPowersock.CertifyConnect 0039 Now 0047 TPowersock.Writeln 0050 TPowersock.ReadLn 006e @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 20 10 75 40 F6 43 20 01 75 3A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F4 9B 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DC 65 F4 D8 0D ?? ?? ?? ?? D9 9B A8 02 00 00 9B EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 00 D6 03 4B }
	condition:
		$1
}

rule function_13520_0 {
	meta:
		name = "TExStringList.IndexOfName"
		size = 348
		refs = "001a TExStringList.IndexOfName 006c @LStrPos 0082 @LStrCopy 008d AnsiCompareText 0133 @LStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 18 00 0F 84 92 00 00 00 C6 45 EB 00 33 C0 89 45 F0 8B 45 FC 8B 10 FF 52 14 48 89 45 EC 8B 5D EC 2B 5D F0 D1 FB 79 03 83 D3 00 03 5D F0 8D 4D F4 8B D3 8B 45 FC 8B 30 FF 56 0C 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 E0 50 8B CE 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 EB 01 EB 12 85 C0 7D 08 8D 43 01 89 45 F0 EB 06 8B C3 48 89 45 EC 8B 45 EC 40 3B 45 F0 75 05 83 CB FF EB 67 80 7D EB 00 74 85 EB 5F 8B 45 FC 8B 10 FF 52 14 48 85 C0 7C 4F 40 89 45 E4 33 DB 8D 4D F4 8B D3 8B 45 FC 8B 30 FF 56 0C 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 23 8D 45 E0 50 8B CE 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 09 43 FF 4D E4 75 B7 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_13521_0 {
	meta:
		name = "TExStringList.SetValue"
		size = 164
		refs = "0019 TExStringList.SetValue 0028 TExStringList.IndexOfName 0055 @LStrCatN 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 33 85 DB 7D 0B 33 D2 8B C6 8B 08 FF 51 34 8B D8 57 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B C6 8B 18 FF 53 20 EB 0D 85 DB 7C 09 8B D3 8B C6 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 FF FF FF FF 02 00 00 00 3A 20 00 00 }
	condition:
		$1
}

rule function_13525_0 {
	meta:
		name = "TNMFinger.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TPowersock.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 4F 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13526_0 {
	meta:
		name = "TNMFinger.GetFingerString"
		size = 251
		refs = "0015 TNMFinger.GetFingerString 0022 @LStrClr 0063 TPowersock.Writeln 0073 TStream.GetSize 0082 TPowersock.ReadLn 008c @LStrCat 0093 Application 009a TApplication.ProcessMessages 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 0F 85 A6 00 00 00 8B 45 FC F6 40 20 01 0F 85 99 00 00 00 8B 45 FC 8B 10 FF 52 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 35 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 17 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 75 BF 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7F AD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13530_0 {
	meta:
		name = "TFTPDirectoryList.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13531_0 {
	meta:
		name = "TFTPDirectoryList.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 000f TObject.Free 0033 TObject.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13532_0 {
	meta:
		name = "skipblanks"
		size = 45
		refs = "0021 @LStrLen"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 FC 8B 75 08 83 C6 F8 FF 03 8B 03 8B 16 80 7C 02 FF 20 75 0B 8B 06 E8 ?? ?? ?? ?? 3B 03 7D E8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13533_0 {
	meta:
		name = "TFTPDirectoryList.ParseLine"
		size = 185
		refs = "0012 @LStrAddRef 001a TFTPDirectoryList.ParseLine 0064 @PStrCat 007d skipblanks 0086 @LStrLen 00a6 @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 8B F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BF 01 00 00 00 C7 45 FC 01 00 00 00 C6 46 14 00 8B 45 F8 8B 55 FC 8A 5C 10 FF 80 FB 20 74 2A 8D 45 F4 8B 55 F8 8B 4D FC 8B D3 88 50 01 C6 00 01 8D 55 F4 8B C7 C1 E0 05 8D 84 C6 14 FF FF FF E8 ?? ?? ?? ?? FF 45 FC EB 15 47 8B C7 C1 E0 05 C6 84 C6 14 FF FF FF 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 FC 7D A5 89 BE 14 19 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13534_0 {
	meta:
		name = "TFTPDirectoryList.Clear"
		size = 37
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 40 8B 43 08 8B 10 FF 52 40 8B 43 10 8B 10 FF 52 40 8B 43 0C 8B 10 FF 52 40 5B C3 }
	condition:
		$1
}

rule function_13535_0 {
	meta:
		name = "TFTPUnixList.ParseLine"
		size = 320
		refs = "0019 @LStrAddRef 0021 TFTPUnixList.ParseLine 0031 TFTPDirectoryList.ParseLine 0054 @LStrFromString 009d @PStrCpy 00ad @PStrCat 012a @LStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 14 19 00 00 83 FE 07 0F 8E D0 00 00 00 8D 45 F8 8B D6 C1 E2 05 8D 94 D3 14 FF FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8B 93 14 19 00 00 C1 E2 05 8D 94 D3 14 FB FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 34 8B B3 14 19 00 00 C1 E6 05 8D 94 F3 14 FC FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FE FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 20 00 00 }
	condition:
		$1
}

rule function_13543_0 {
	meta:
		name = "TFTPOTHERList.ParseLine"
		size = 320
		refs = "0019 @LStrAddRef 0021 TFTPOTHERList.ParseLine 0031 TFTPDirectoryList.ParseLine 0054 @LStrFromString 009d @PStrCpy 00ad @PStrCat 012a @LStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 14 19 00 00 83 FE 07 0F 8E D0 00 00 00 8D 45 F8 8B D6 C1 E2 05 8D 94 D3 14 FF FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8B 93 14 19 00 00 C1 E2 05 8D 94 D3 14 FB FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 34 8B B3 14 19 00 00 C1 E6 05 8D 94 F3 14 FC FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FE FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 20 00 00 }
	condition:
		$1
}

rule function_13536_0 {
	meta:
		name = "TFTPNETWAREList.ParseLine"
		size = 320
		refs = "0019 @LStrAddRef 0021 TFTPNETWAREList.ParseLine 0031 TFTPDirectoryList.ParseLine 0054 @LStrFromString 009d @PStrCpy 00ad @PStrCat 012a @LStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 14 19 00 00 83 FE 07 0F 8E D0 00 00 00 8D 45 F8 8B D6 C1 E2 05 8D 94 D3 14 FE FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8B 93 14 19 00 00 C1 E2 05 8D 94 D3 14 FA FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 34 8B B3 14 19 00 00 C1 E6 05 8D 94 F3 14 FB FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FC FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 20 00 00 }
	condition:
		$1
}

rule function_13537_0 {
	meta:
		name = "TFTPDOSList.ParseLine"
		size = 320
		refs = "0019 @LStrAddRef 0021 TFTPDOSList.ParseLine 0031 TFTPDirectoryList.ParseLine 0054 @LStrFromString 009d @PStrCpy 00ad @PStrCat 012a @LStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 14 19 00 00 83 FE 07 0F 8E D0 00 00 00 8D 45 F8 8B D6 C1 E2 05 8D 94 D3 14 FE FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8B 93 14 19 00 00 C1 E2 05 8D 94 D3 14 FA FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 34 8B B3 14 19 00 00 C1 E6 05 8D 94 F3 14 FB FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FC FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 20 00 00 }
	condition:
		$1
}

rule function_13541_0 {
	meta:
		name = "TFTPMACOSList.ParseLine"
		size = 320
		refs = "0019 @LStrAddRef 0021 TFTPMACOSList.ParseLine 0031 TFTPDirectoryList.ParseLine 0054 @LStrFromString 009d @PStrCpy 00ad @PStrCat 012a @LStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 14 19 00 00 83 FE 07 0F 8E D0 00 00 00 8D 45 F8 8B D6 C1 E2 05 8D 94 D3 14 FE FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8B 93 14 19 00 00 C1 E2 05 8D 94 D3 14 FA FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 34 8B B3 14 19 00 00 C1 E6 05 8D 94 F3 14 FB FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FC FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 20 00 00 }
	condition:
		$1
}

rule function_13539_0 {
	meta:
		name = "TFTPMVSList.ParseLine"
		size = 320
		refs = "0019 @LStrAddRef 0021 TFTPMVSList.ParseLine 0031 TFTPDirectoryList.ParseLine 0054 @LStrFromString 009d @PStrCpy 00ad @PStrCat 012a @LStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 14 19 00 00 83 FE 07 0F 8E D0 00 00 00 8D 45 F8 8B D6 C1 E2 05 8D 94 D3 14 FE FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8B 93 14 19 00 00 C1 E2 05 8D 94 D3 14 FA FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 34 8B B3 14 19 00 00 C1 E6 05 8D 94 F3 14 FB FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FC FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 20 00 00 }
	condition:
		$1
}

rule function_13540_0 {
	meta:
		name = "TFTPVMList.ParseLine"
		size = 320
		refs = "0019 @LStrAddRef 0021 TFTPVMList.ParseLine 0031 TFTPDirectoryList.ParseLine 0054 @LStrFromString 009d @PStrCpy 00ad @PStrCat 012a @LStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 14 19 00 00 83 FE 07 0F 8E D0 00 00 00 8D 45 F8 8B D6 C1 E2 05 8D 94 D3 14 FE FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8B 93 14 19 00 00 C1 E2 05 8D 94 D3 14 FA FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 34 8B B3 14 19 00 00 C1 E6 05 8D 94 F3 14 FB FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FC FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 20 00 00 }
	condition:
		$1
}

rule function_13538_0 {
	meta:
		name = "TFTPVMSList.ParseLine"
		size = 320
		refs = "0019 @LStrAddRef 0021 TFTPVMSList.ParseLine 0031 TFTPDirectoryList.ParseLine 0054 @LStrFromString 009d @PStrCpy 00ad @PStrCat 012a @LStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B B3 14 19 00 00 83 FE 07 0F 8E D0 00 00 00 8D 45 F8 8B D6 C1 E2 05 8D 94 D3 14 FE FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8B 93 14 19 00 00 C1 E2 05 8D 94 D3 14 FA FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 34 8B B3 14 19 00 00 C1 E6 05 8D 94 F3 14 FB FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FC FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 94 F3 14 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 20 00 00 }
	condition:
		$1
}

rule function_13542_0 {
	meta:
		name = "TFTPAS400List.ParseLine"
		size = 192
		refs = "0016 @LStrAddRef 001e TFTPAS400List.ParseLine 002e TFTPDirectoryList.ParseLine 0057 @LStrFromString 00ae @LStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 14 19 00 00 83 F8 03 7E 5B 8B F0 C1 E6 05 80 BC F3 15 FF FF FF 2A 75 1C 8D 45 F8 8D 94 F3 14 FF FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 EB 1A 8D 45 F8 8D 94 F3 14 FE FF FF E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 8B 08 FF 51 34 8D 45 F8 8D 53 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13544_0 {
	meta:
		name = "TNMFTP.Create"
		size = 99
		refs = "000a @ClassCreate 0017 TPowersock.Create 0045 TNMFTP.CheckRead 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 15 00 00 00 33 C0 89 86 AC 02 00 00 33 C0 89 86 FC 02 00 00 C7 86 F8 02 00 00 6B 09 00 00 89 76 2C C7 46 28 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13545_0 {
	meta:
		name = "TNMFTP.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 000e TPowersock.Cancel 002d TObject.Free 0039 TPowersock.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE A0 02 00 00 00 74 07 8B C6 8B 10 FF 52 38 8B 86 FC 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13546_0 {
	meta:
		name = "TNMFTP.Disconnect"
		size = 296
		refs = "0011 TNMFTP.Disconnect 0040 TPowersock.StatusMessage 005c TObject.Free 0082 TStream.GetSize 0093 TPowersock.Read 00c3 _DV_FTPException 00c8 Exception.Create 00cd @RaiseExcept 00e2 TPowersock.Disconnect 00e8 @HandleFinally 0104 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 B9 00 00 00 B9 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 FC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 FC 02 00 00 8B 45 FC C7 80 F8 02 00 00 6B 09 00 00 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 1A 66 3D 58 02 7D 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 51 55 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_13547_0 {
	meta:
		name = "TNMFTP.Connect"
		size = 700
		refs = "0018 TNMFTP.Connect 0046 TMemoryStream.Clear 004e TPowersock.Connect 0069 @LStrLAsg 0074 TNMFTP.ReadExtraLines 00c1 @LStrCat3 00ce TPowersock.StatusMessage 0103 @LStrCatN 016d _DV_FTPException 0172 Exception.Create 0177 @RaiseExcept 0226 @HandleAnyException 0236 sFTP_Msg_Disconnect 023b LoadResString 024d @RaiseAgain 0252 @DoneExcept 0267 @LStrClr 0275 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC 80 B8 A0 02 00 00 00 0F 85 1A 02 00 00 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A4 02 00 00 00 74 0C 8B 45 FC 83 B8 A8 02 00 00 00 75 1F 8B 45 FC 66 83 B8 D2 02 00 00 00 74 12 8D 55 F7 8B 5D FC 8B 83 D4 02 00 00 FF 93 D0 02 00 00 8B 45 FC 8B 88 A4 02 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 9C 00 00 00 00 74 39 68 ?? ?? ?? ?? 8B 45 FC FF B0 A4 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 78 02 00 00 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 18 FF 53 3C EB 24 8B 45 FC 8B 88 A4 02 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 90 01 7E 30 66 3D 58 02 7D 2A 8B 45 FC 66 83 78 72 00 74 0C 8B 5D FC 8B 55 FC 8B 43 74 FF 53 70 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 81 B8 84 02 00 00 4B 01 75 73 B9 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A8 02 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 90 01 7E 30 66 3D 58 02 7D 2A 8B 45 FC 66 83 78 72 00 74 0C 8B 5D FC 8B 55 FC 8B 43 74 FF 53 70 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 EA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 EC 02 00 00 FF 93 E8 02 00 00 33 C0 5A 59 59 64 89 10 EB 31 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 05 00 00 00 55 53 45 52 20 00 00 00 FF FF FF FF 01 00 00 00 40 00 00 00 FF FF FF FF 05 00 00 00 50 41 53 53 20 00 00 00 }
	condition:
		$1
}

rule function_13548_0 {
	meta:
		name = "TNMFTP.DoCommand"
		size = 664
		refs = "001a @LStrAddRef 0022 TNMFTP.DoCommand 003b NthWord 0048 @LStrCat 0055 @LStrCmp 011a TPowersock.CertifyConnect 0133 TPowersock.StatusMessage 013e TStream.GetSize 014e TPowersock.Read 01b4 _DV_FTPException 01b9 Exception.Create 01be @RaiseExcept 021e @LStrClr 022b @LStrArrayClr 0231 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 B9 01 00 00 00 B2 20 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 33 DB E9 AE 00 00 00 8D 45 F0 50 B9 01 00 00 00 B2 20 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 02 EB 7B 8D 45 F0 50 B9 01 00 00 00 B2 20 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 48 8D 45 F0 50 B9 01 00 00 00 B2 20 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 03 EB 15 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 0F EB 02 B3 0E C6 86 84 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 BE A0 02 00 00 00 0F 84 E2 00 00 00 8B 4D FC B2 01 8B C6 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0C 8D 4D F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C6 8B 38 FF 57 3C 66 8B 86 84 02 00 00 66 3D 8F 01 0F 8E 85 00 00 00 66 3D 58 02 7D 7F 66 83 BE F2 02 00 00 00 74 24 66 81 BE 84 02 00 00 F4 01 7C 19 66 81 BE 84 02 00 00 F6 01 7F 0E 8B D3 8B 86 F4 02 00 00 FF 96 F0 02 00 00 66 83 BE CA 02 00 00 00 75 16 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 C6 45 F7 00 8D 55 F7 8B CB 8B 86 CC 02 00 00 FF 96 C8 02 00 00 80 7D F7 00 75 2E 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 66 83 BE C2 02 00 00 00 74 0E 8B D3 8B 86 C4 02 00 00 FF 96 C0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 04 00 00 00 43 57 44 20 00 00 00 00 FF FF FF FF 05 00 00 00 44 45 4C 45 20 00 00 00 FF FF FF FF 04 00 00 00 4D 4B 44 20 00 00 00 00 FF FF FF FF 04 00 00 00 52 4D 44 20 00 00 00 00 FF FF FF FF 03 00 00 00 50 57 44 00 }
	condition:
		$1
}

rule function_13549_0 {
	meta:
		name = "TNMFTP.ChangeDir"
		size = 120
		refs = "0015 @LStrAddRef 001d TNMFTP.ChangeDir 0033 @LStrCat3 003d TNMFTP.DoCommand 0057 @LStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 FF FF FF FF 04 00 00 00 43 57 44 20 00 00 00 00 }
	condition:
		$1
}

rule function_13550_0 {
	meta:
		name = "TNMFTP.Rename"
		size = 576
		refs = "001c @LStrAddRef 002c TNMFTP.Rename 0040 TPowersock.CertifyConnect 0058 TStream.GetSize 0068 TPowersock.Read 0078 @LStrCat3 0084 TPowersock.StatusMessage 00c8 _DV_FTPException 00cd Exception.Create 00d2 @RaiseExcept 01ff @LStrClr 020c @LStrArrayClr 0212 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 84 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB A0 02 00 00 00 0F 84 9D 01 00 00 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0C 8D 4D EC 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F4 8B C3 8B 30 FF 56 3C 66 8B 83 84 02 00 00 66 3D 5F 01 7E 55 66 3D 58 02 7D 4F 66 83 BB CA 02 00 00 00 75 16 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F C6 45 F3 00 8D 55 F3 B1 05 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D F3 00 75 14 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F4 8B C3 8B 30 FF 56 3C 66 8B 83 84 02 00 00 66 3D 2C 01 0F 8E 85 00 00 00 66 3D 58 02 7D 7F 66 83 BB F2 02 00 00 00 74 24 66 81 BB 84 02 00 00 F4 01 7C 19 66 81 BB 84 02 00 00 F6 01 7F 0E B2 05 8B 83 F4 02 00 00 FF 93 F0 02 00 00 66 83 BB CA 02 00 00 00 75 16 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 C6 45 F3 00 8D 55 F3 B1 05 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D F3 00 75 2E 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 66 83 BB C2 02 00 00 00 74 0E B2 05 8B 83 C4 02 00 00 FF 93 C0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 52 4E 46 52 20 00 00 00 FF FF FF FF 05 00 00 00 52 4E 54 4F 20 00 00 00 }
	condition:
		$1
}

rule function_13551_0 {
	meta:
		name = "TNMFTP.Delete"
		size = 120
		refs = "0015 @LStrAddRef 001d TNMFTP.Delete 0033 @LStrCat3 003d TNMFTP.DoCommand 0057 @LStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 FF FF FF FF 05 00 00 00 44 45 4C 45 20 00 00 00 }
	condition:
		$1
}

rule function_13552_0 {
	meta:
		name = "TNMFTP.MakeDirectory"
		size = 120
		refs = "0015 @LStrAddRef 001d TNMFTP.MakeDirectory 0033 @LStrCat3 003d TNMFTP.DoCommand 0057 @LStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 FF FF FF FF 04 00 00 00 4D 4B 44 20 00 00 00 00 }
	condition:
		$1
}

rule function_13553_0 {
	meta:
		name = "TNMFTP.RemoveDir"
		size = 120
		refs = "0015 @LStrAddRef 001d TNMFTP.RemoveDir 0033 @LStrCat3 003d TNMFTP.DoCommand 0057 @LStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 FF FF FF FF 04 00 00 00 52 4D 44 20 00 00 00 00 }
	condition:
		$1
}

rule function_13554_0 {
	meta:
		name = "TNMFTP.List"
		size = 2344
		refs = "0016 TNMFTP.List 0032 TPowersock.CertifyConnect 004c _Dn_TPowersock 0051 TPowersock.Create 0076 TStream.GetSize 0087 TPowersock.Read 00d5 TNMFTP.DoCommand 00e4 @HandleAnyException 00e9 @DoneExcept 00fc @LStrPos 029b _DV_TFTPUnixList 02a0 TFTPDirectoryList.Create 0378 TFTPDirectoryList.Clear 039f TPowersock.Listen 03af TPowersock.GetLocalAddress 03c3 TPowersock.GetPortString 03d3 @LStrCatN 03e0 TPowersock.StatusMessage 044f _DV_FTPException 0454 Exception.Create 0459 @RaiseExcept 0564 TNMFTP.GetBytesTotal 05b9 closesocket 05dd WSAAsyncSelect 05e4 Application 05eb TApplication.ProcessMessages 0659 TPowersock.ReadLn 0661 @LStrLen 068d @LStrSetLength 0741 TPowersock.RequestCloseSocket 0761 sFTP_Msg_Recvd 0766 LoadResString 077a IntToStr 0785 sFTP_No_Bytes 07fa TNMFTP.ReadExtraLines 0850 @HandleFinally 086c @LStrArrayClr 0874 @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 10 08 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 00 03 00 00 00 0F 84 E1 02 00 00 8B 45 FC 83 B8 FC 02 00 00 00 0F 85 C3 02 00 00 8B 45 FC 81 B8 F8 02 00 00 6B 09 00 00 0F 85 78 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 90 80 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 FC C7 80 F8 02 00 00 60 09 00 00 E9 20 01 00 00 8B 45 FC 8B 90 80 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 FC C7 80 F8 02 00 00 70 09 00 00 E9 F7 00 00 00 8B 45 FC 8B 90 80 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 FC C7 80 F8 02 00 00 61 09 00 00 E9 CE 00 00 00 8B 45 FC 8B 90 80 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 FC C7 80 F8 02 00 00 66 09 00 00 E9 A5 00 00 00 8B 45 FC 8B 90 80 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 45 FC C7 80 F8 02 00 00 68 09 00 00 EB 7F 8B 45 FC 8B 90 80 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 45 FC C7 80 F8 02 00 00 62 09 00 00 EB 59 8B 45 FC 8B 90 80 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 45 FC C7 80 F8 02 00 00 64 09 00 00 EB 33 8B 45 FC 8B 90 80 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 45 FC C7 80 F8 02 00 00 6E 09 00 00 EB 0D 8B 45 FC C7 80 F8 02 00 00 6A 09 00 00 8B 45 FC 8B 80 F8 02 00 00 05 A0 F6 FF FF 83 F8 10 0F 87 21 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 E9 BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 E9 A2 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 E9 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 EB 71 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 EB 5A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 EB 43 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 EB 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 EB 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 8B 45 FC 8B 80 FC 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 8B 45 FC 8B 80 AC 02 00 00 89 90 8C 00 00 00 33 D2 89 90 B8 00 00 00 B2 01 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? FF 75 EC 8D 55 E8 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? FF 75 EC 8D 55 E8 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 F6 00 8D 55 F6 8B 5D FC B1 04 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D F6 00 75 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 0F 8E 99 00 00 00 66 3D 58 02 0F 8D 8F 00 00 00 8B 45 FC 66 83 B8 F2 02 00 00 00 74 2D 8B 45 FC 66 81 B8 84 02 00 00 F4 01 7C 1F 8B 45 FC 66 81 B8 84 02 00 00 F6 01 7F 11 8B 5D FC B2 04 8B 83 F4 02 00 00 FF 93 F0 02 00 00 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 F6 00 8D 55 F6 8B 5D FC B1 04 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D F6 00 75 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 8B 45 FC 8B B0 AC 02 00 00 0F B7 9E 94 02 00 00 8B C6 8B 10 FF 52 30 8B 55 FC 8B 92 AC 02 00 00 66 89 82 94 02 00 00 53 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 90 98 02 00 00 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 AC 02 00 00 80 BB A0 02 00 00 00 74 E2 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 D3 8B 45 FC 80 B8 84 00 00 00 00 0F 85 F8 00 00 00 8B 45 FC 80 B8 B5 00 00 00 00 0F 85 E8 00 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 97 00 00 00 8D 55 F8 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 02 7E 3C 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 80 7C 02 FE 0D 75 17 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 F8 E8 ?? ?? ?? ?? EB 13 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 00 03 00 00 00 74 10 8B 45 FC 8B 80 FC 02 00 00 8B 55 F8 8B 08 FF 11 8B 45 FC 66 83 B8 E2 02 00 00 00 74 20 8B 5D FC 8B 55 F8 8B 83 E4 02 00 00 FF 93 E0 02 00 00 EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 AC 02 00 00 80 BB A0 02 00 00 00 0F 85 2B FF FF FF 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 18 FF FF FF 8B 45 FC 66 83 B8 BA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 8B 80 C0 00 00 00 8B 55 FC 89 82 BC 00 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 8D 55 E8 8B 45 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? FF 75 E8 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 AC 02 00 00 80 7D F7 00 74 1E 8B 45 FC 66 83 B8 C2 02 00 00 00 74 11 8B 5D FC B2 04 8B 83 C4 02 00 00 FF 93 C0 02 00 00 C3 E9 ?? ?? ?? ?? EB B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 53 59 53 54 00 00 00 00 FF FF FF FF 04 00 00 00 55 4E 49 58 00 00 00 00 FF FF FF FF 07 00 00 00 4E 45 54 57 41 52 45 00 FF FF FF FF 03 00 00 00 44 4F 53 00 FF FF FF FF 03 00 00 00 56 4D 53 00 FF FF FF FF 03 00 00 00 4D 56 53 00 FF FF FF FF 02 00 00 00 56 4D 00 00 FF FF FF FF 05 00 00 00 4D 41 43 4F 53 00 00 00 FF FF FF FF 06 00 00 00 4F 53 2F 34 30 30 00 00 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 FF FF FF FF 04 00 00 00 4C 49 53 54 00 00 00 00 }
	condition:
		$1
}

rule function_13555_0 {
	meta:
		name = "TNMFTP.Download"
		size = 1552
		refs = "0022 @LStrAddRef 0032 TNMFTP.Download 004e TPowersock.CertifyConnect 0068 _Dn_TPowersock 006d TPowersock.Create 0092 TStream.GetSize 00a3 TPowersock.Read 00ca TPowersock.Listen 00da TPowersock.GetLocalAddress 00ee TPowersock.GetPortString 00fe @LStrCatN 010b TPowersock.StatusMessage 017a _DV_FTPException 017f Exception.Create 0184 @RaiseExcept 01f9 @LStrCat3 022f TPowersock.Transaction 02a5 TNMFTP.GetBytesTotal 02be TPowersock.ReadLn 03de closesocket 0402 WSAAsyncSelect 0450 TPowersock.CaptureFile 0490 TPowersock.RequestCloseSocket 04b0 sFTP_Msg_Recvd 04b5 LoadResString 04c9 IntToStr 04d4 sFTP_No_Bytes 0549 TNMFTP.ReadExtraLines 05ad TNMFTP.Flush 05b3 @HandleFinally 05cf @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 57 05 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 8B 45 FC 8B 80 AC 02 00 00 89 90 8C 00 00 00 33 D2 89 90 B8 00 00 00 B2 01 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8D 55 E0 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8D 55 E0 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F0 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EE 00 8D 55 EE 8B 5D FC B1 08 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EE 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 C6 00 00 00 00 74 24 8B 45 FC 8B 80 AC 02 00 00 8B 55 FC 8B 8A C4 00 00 00 89 88 C4 00 00 00 8B 8A C8 00 00 00 89 88 C8 00 00 00 8D 45 E8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 BC 00 00 00 8D 45 E8 BA ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EE 00 8D 55 EE 8B 5D FC B1 08 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EE 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 E9 E5 00 00 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 BC 00 00 00 00 75 14 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 0F 8E 99 00 00 00 66 3D 58 02 0F 8D 8F 00 00 00 8B 45 FC 66 83 B8 F2 02 00 00 00 74 2D 8B 45 FC 66 81 B8 84 02 00 00 F4 01 7C 1F 8B 45 FC 66 81 B8 84 02 00 00 F6 01 7F 11 8B 5D FC B2 08 8B 83 F4 02 00 00 FF 93 F0 02 00 00 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EE 00 8D 55 EE 8B 5D FC B1 08 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EE 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 38 20 0F 84 0F FF FF FF 8B 45 F0 80 78 03 2D 0F 84 02 FF FF FF 8B 45 FC 8B B0 AC 02 00 00 0F B7 9E 94 02 00 00 8B C6 8B 10 FF 52 30 8B 55 FC 8B 92 AC 02 00 00 66 89 82 94 02 00 00 53 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 90 98 02 00 00 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 75 36 8B 45 FC 80 B8 B5 00 00 00 00 75 2A 83 7D F4 00 75 13 8B 45 FC 8B 80 AC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 80 AC 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 8B 80 C0 00 00 00 8B 55 FC 89 82 BC 00 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 8D 55 E0 8B 45 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 AC 02 00 00 80 7D EF 00 74 1E 8B 45 FC 66 83 B8 C2 02 00 00 00 74 11 8B 5D FC B2 08 8B 83 C4 02 00 00 FF 93 C0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 FF FF FF FF 05 00 00 00 52 45 54 52 20 00 00 00 }
	condition:
		$1
}

rule function_13556_0 {
	meta:
		name = "TNMFTP.UploadUnique"
		size = 1224
		refs = "0020 @LStrAddRef 0028 TNMFTP.UploadUnique 0044 TPowersock.CertifyConnect 005e _Dn_TPowersock 0063 TPowersock.Create 0088 TStream.GetSize 0099 TPowersock.Read 00c0 TPowersock.Listen 00cc _Dn_TFileStream 00d1 TFileStream.Create 0110 @HandleFinally 0122 TPowersock.GetLocalAddress 0136 TPowersock.GetPortString 0146 @LStrCatN 0153 TPowersock.StatusMessage 01c2 _DV_FTPException 01c7 Exception.Create 01cc @RaiseExcept 032a closesocket 0372 TPowersock.SendFile 039f TPowersock.RequestCloseSocket 03e0 sFTP_Cont_Msg_UpldS 03e5 LoadResString 0415 TNMFTP.ReadExtraLines 0487 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E8 89 4D E4 89 4D E0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 19 04 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 8B 45 FC 8B 80 AC 02 00 00 89 90 8C 00 00 00 33 D2 89 90 B8 00 00 00 B2 01 E8 ?? ?? ?? ?? 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8D 55 E0 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8D 55 E0 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F4 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EE 00 8D 55 EE 8B 5D FC B1 09 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EE 00 75 14 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 CE 00 00 00 00 74 24 8B 45 FC 8B 80 AC 02 00 00 8B 55 FC 8B 8A CC 00 00 00 89 88 CC 00 00 00 8B 8A D0 00 00 00 89 88 D0 00 00 00 B9 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 0F 8E 99 00 00 00 66 3D 58 02 0F 8D 8F 00 00 00 8B 45 FC 66 83 B8 F2 02 00 00 00 74 2D 8B 45 FC 66 81 B8 84 02 00 00 F4 01 7C 1F 8B 45 FC 66 81 B8 84 02 00 00 F6 01 7F 11 8B 5D FC B2 09 8B 83 F4 02 00 00 FF 93 F0 02 00 00 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EE 00 8D 55 EE 8B 5D FC B1 09 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EE 00 75 14 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B B0 AC 02 00 00 0F B7 9E 94 02 00 00 8B C6 8B 10 FF 52 30 8B 55 FC 8B 92 AC 02 00 00 66 89 82 94 02 00 00 53 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 75 1D 8B 45 FC 80 B8 B5 00 00 00 00 75 11 8B 45 FC 8B 80 AC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 3A 8B 45 FC 80 B8 B5 00 00 00 00 75 2E 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0F 8D 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 AC 02 00 00 80 7D EF 00 74 1E 8B 45 FC 66 83 B8 C2 02 00 00 00 74 11 8B 5D FC B2 09 8B 83 C4 02 00 00 FF 93 C0 02 00 00 C3 E9 ?? ?? ?? ?? EB B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 FF FF FF FF 04 00 00 00 53 54 4F 55 00 00 00 00 }
	condition:
		$1
}

rule function_13557_0 {
	meta:
		name = "TNMFTP.Upload"
		size = 1392
		refs = "0023 @LStrAddRef 0033 TNMFTP.Upload 004f TPowersock.CertifyConnect 0069 _Dn_TPowersock 006e TPowersock.Create 0093 TStream.GetSize 00a4 TPowersock.Read 00cb TPowersock.Listen 00d7 _Dn_TFileStream 00dc TFileStream.Create 011b @HandleFinally 012d TPowersock.GetLocalAddress 0141 TPowersock.GetPortString 0151 @LStrCatN 015e TPowersock.StatusMessage 01cd _DV_FTPException 01d2 Exception.Create 01d7 @RaiseExcept 0252 @LStrCat3 026a ExtractFileName 039f closesocket 03c3 WSAAsyncSelect 040b TPowersock.SendFile 045c setsockopt 046a TPowersock.RequestCloseSocket 048d TPowersock.ReadLn 04bd TNMFTP.ReadExtraLines 052f @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D E0 89 5D DC 89 5D D8 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 B6 04 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D E0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 8B 45 FC 8B 80 AC 02 00 00 89 90 8C 00 00 00 33 D2 89 90 B8 00 00 00 B2 01 E8 ?? ?? ?? ?? 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 68 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? FF 75 DC 8D 55 D8 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 D8 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? FF 75 DC 8D 55 D8 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 D8 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D F0 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EA 00 8D 55 EA 8B 5D FC B1 09 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EA 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 CE 00 00 00 00 74 24 8B 45 FC 8B 80 AC 02 00 00 8B 55 FC 8B 8A CC 00 00 00 89 88 CC 00 00 00 8B 8A D0 00 00 00 89 88 D0 00 00 00 83 7D F4 00 75 48 8D 45 E0 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D DC 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 4D F0 8B 45 FC 8B 18 FF 53 3C EB 3B 8D 45 E0 BA ?? ?? ?? ?? 8B 4D F4 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D F0 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 0F 8E 99 00 00 00 66 3D 58 02 0F 8D 8F 00 00 00 8B 45 FC 66 83 B8 F2 02 00 00 00 74 2D 8B 45 FC 66 81 B8 84 02 00 00 F4 01 7C 1F 8B 45 FC 66 81 B8 84 02 00 00 F6 01 7F 11 8B 5D FC B2 09 8B 83 F4 02 00 00 FF 93 F0 02 00 00 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EA 00 8D 55 EA 8B 5D FC B1 09 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EA 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B B0 AC 02 00 00 0F B7 9E 94 02 00 00 8B C6 8B 10 FF 52 30 8B 55 FC 8B 92 AC 02 00 00 66 89 82 94 02 00 00 53 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 90 98 02 00 00 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 75 1D 8B 45 FC 80 B8 B5 00 00 00 00 75 11 8B 45 FC 8B 80 AC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 66 C7 45 E6 00 00 66 C7 45 E8 00 00 6A 04 8D 45 E6 50 68 80 00 00 00 68 FF FF 00 00 8B 45 FC 8B 80 AC 02 00 00 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C6 45 EB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 AC 02 00 00 80 7D EB 00 74 1E 8B 45 FC 66 83 B8 C2 02 00 00 00 74 11 8B 5D FC B2 09 8B 83 C4 02 00 00 FF 93 C0 02 00 00 C3 E9 ?? ?? ?? ?? EB B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 FF FF FF FF 05 00 00 00 53 54 4F 52 20 00 00 00 }
	condition:
		$1
}

rule function_13558_0 {
	meta:
		name = "TNMFTP.GetCurrentDir"
		size = 52
		refs = "0007 TNMFTP.GetCurrentDir 000e TNMFTP.DoCommand 0021 NthWord"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 B9 02 00 00 00 B2 22 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 03 00 00 00 50 57 44 00 }
	condition:
		$1
}

rule function_13559_0 {
	meta:
		name = "TNMFTP.Mode"
		size = 96
		refs = "000c TNMFTP.Mode 0011 TNMFTP.DoCommand"
	strings:
		$1 = { 4A 74 08 4A 74 10 4A 74 18 EB 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 FF FF FF FF 06 00 00 00 54 59 50 45 20 41 00 00 FF FF FF FF 06 00 00 00 54 59 50 45 20 49 00 00 FF FF FF FF 08 00 00 00 54 59 50 45 20 4C 20 38 00 00 00 00 }
	condition:
		$1
}

rule function_13560_0 {
	meta:
		name = "TNMFTP.GetBytesRcvd"
		size = 13
	strings:
		$1 = { 8B 80 AC 02 00 00 8B 80 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_13561_0 {
	meta:
		name = "TNMFTP.GetBytesSent"
		size = 13
	strings:
		$1 = { 8B 80 AC 02 00 00 8B 80 80 00 00 00 C3 }
	condition:
		$1
}

rule function_13562_0 {
	meta:
		name = "TNMFTP.GetBytesTotal"
		size = 292
		refs = "001a @LStrAddRef 0022 TNMFTP.GetBytesTotal 0036 UpperCase 0046 @LStrPos 00a6 @PStrCat 00cc @LStrFromString 00d9 StrToIntDef 00f7 @LStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8E 8D 00 00 00 C6 85 FC FE FF FF 00 EB 01 4E 8B 45 FC 8A 44 30 FF 3C 30 72 F4 8B 55 FC 3C 39 77 ED EB 01 4E 8B 45 FC 8A 44 30 FF 3C 30 72 07 8B 55 FC 3C 39 76 ED 46 EB 23 8D 85 F4 FE FF FF 8B 55 FC 8B D3 88 50 01 C6 00 01 8D 95 F4 FE FF FF 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 46 8B 45 FC 8A 5C 30 FF 80 FB 30 72 08 8B 45 FC 80 FB 39 76 C9 8D 85 F8 FE FF FF 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 33 D2 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 42 59 54 45 00 00 00 00 }
	condition:
		$1
}

rule function_13563_0 {
	meta:
		name = "TNMFTP.Abort"
		size = 18
		refs = "000d TPowersock.Cancel"
	strings:
		$1 = { 8B 90 AC 02 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13564_0 {
	meta:
		name = "TNMFTP.Transaction"
		size = 95
		refs = "0012 TNMFTP.Transaction 0024 TPowersock.Transaction 002e TNMFTP.ReadExtraLines 0038 @LStrLAsg 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13565_0 {
	meta:
		name = "TNMFTP.ReadExtraLines"
		size = 106
		refs = "000e @LStrAddRef 0016 TNMFTP.ReadExtraLines 0028 TPowersock.ReadLn 0034 TPowersock.StatusMessage 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 38 20 74 E2 8B 45 FC 80 78 03 2D 74 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13566_0 {
	meta:
		name = "TNMFTP.Nlist"
		size = 1208
		refs = "0015 TNMFTP.Nlist 0031 TPowersock.CertifyConnect 004b _Dn_TPowersock 0050 TPowersock.Create 0075 TStream.GetSize 0086 TPowersock.Read 00ad TPowersock.Listen 00bd TPowersock.GetLocalAddress 00d1 TPowersock.GetPortString 00e1 @LStrCatN 00ee TPowersock.StatusMessage 0150 _DV_FTPException 0155 Exception.Create 015a @RaiseExcept 01ae TNMFTP.GetBytesTotal 01e4 closesocket 0208 WSAAsyncSelect 0270 TPowersock.ReadLn 0278 @LStrLen 02a4 @LStrSetLength 02df Application 02e6 TApplication.ProcessMessages 033c TPowersock.RequestCloseSocket 035c sFTP_Msg_Recvd 0361 LoadResString 0375 IntToStr 0380 sFTP_No_Bytes 03f5 TNMFTP.ReadExtraLines 0459 TNMFTP.Flush 045f @HandleFinally 047b @LStrArrayClr 0483 @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 20 04 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 8B 45 FC 8B 80 AC 02 00 00 89 90 8C 00 00 00 33 D2 89 90 B8 00 00 00 B2 01 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? FF 75 EC 8D 55 E8 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? FF 75 EC 8D 55 E8 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 1A 66 3D 58 02 7D 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 1A 66 3D 58 02 7D 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 8B 45 FC 8B B0 AC 02 00 00 0F B7 9E 94 02 00 00 8B C6 8B 10 FF 52 30 8B 55 FC 8B 92 AC 02 00 00 66 89 82 94 02 00 00 53 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 90 98 02 00 00 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 0F 85 D8 00 00 00 8B 45 FC 80 B8 B5 00 00 00 00 0F 85 C8 00 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 7B 8D 55 F8 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 02 7E 3C 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 80 7C 02 FE 0D 75 17 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 F8 E8 ?? ?? ?? ?? EB 13 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 E2 02 00 00 00 74 20 8B 5D FC 8B 55 F8 8B 83 E4 02 00 00 FF 93 E0 02 00 00 EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 AC 02 00 00 80 BB A0 02 00 00 00 0F 85 4B FF FF FF 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 38 FF FF FF 8B 45 FC 66 83 B8 BA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 8B 80 C0 00 00 00 8B 55 FC 89 82 BC 00 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 8D 55 E8 8B 45 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? FF 75 E8 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 AC 02 00 00 80 7D F7 00 74 1E 8B 45 FC 66 83 B8 C2 02 00 00 00 74 11 8B 5D FC B2 0D 8B 83 C4 02 00 00 FF 93 C0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 FF FF FF FF 04 00 00 00 4E 4C 53 54 00 00 00 00 }
	condition:
		$1
}

rule function_13567_0 {
	meta:
		name = "TNMFTP.DownloadRestore"
		size = 1612
		refs = "0022 @LStrAddRef 0032 TNMFTP.DownloadRestore 004e TPowersock.CertifyConnect 0068 _Dn_TPowersock 006d TPowersock.Create 0092 TStream.GetSize 00a3 TPowersock.Read 00ca TPowersock.Listen 00db @LStrLAsg 00e7 _Dn_TFileStream 00ec TFileStream.Create 00fe TObject.Free 010e TPowersock.GetLocalAddress 0122 TPowersock.GetPortString 0132 @LStrCatN 013f TPowersock.StatusMessage 01ae _DV_FTPException 01b3 Exception.Create 01b8 @RaiseExcept 022d @LStrCat3 0254 IntToStr 027f TPowersock.Transaction 02f5 TNMFTP.GetBytesTotal 030e TPowersock.ReadLn 03ec closesocket 0410 WSAAsyncSelect 045e TPowersock.CaptureFile 049e TPowersock.RequestCloseSocket 04be sFTP_Msg_Recvd 04c3 LoadResString 04e2 sFTP_No_Bytes 0557 TNMFTP.ReadExtraLines 05bb TNMFTP.Flush 05c1 @HandleFinally 05dd @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 65 05 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 8B 45 FC 8B 80 AC 02 00 00 89 90 8C 00 00 00 33 D2 89 90 B8 00 00 00 B2 01 E8 ?? ?? ?? ?? 83 7D F4 00 75 0B 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 6A 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8D 55 E0 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8D 55 E0 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F0 8B 45 FC 8B 30 FF 56 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EE 00 8D 55 EE 8B 75 FC B1 08 8B 86 CC 02 00 00 FF 96 C8 02 00 00 80 7D EE 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 C6 00 00 00 00 74 24 8B 45 FC 8B 80 AC 02 00 00 8B 55 FC 8B 8A C4 00 00 00 89 88 C4 00 00 00 8B 8A C8 00 00 00 89 88 C8 00 00 00 8D 45 E8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 BC 00 00 00 68 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 8B 80 84 02 00 00 66 3D 8F 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EE 00 8D 55 EE 8B 5D FC B1 08 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EE 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 E9 A3 00 00 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 BC 00 00 00 00 75 14 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EE 00 8D 55 EE 8B 5D FC B1 08 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EE 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 38 20 0F 84 51 FF FF FF 8B 45 F0 80 78 03 2D 0F 84 44 FF FF FF 8B 45 FC 8B B0 AC 02 00 00 0F B7 9E 94 02 00 00 8B C6 8B 10 FF 52 30 8B 55 FC 8B 92 AC 02 00 00 66 89 82 94 02 00 00 53 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 90 98 02 00 00 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 75 36 8B 45 FC 80 B8 B5 00 00 00 00 75 2A 83 7D F4 00 75 13 8B 45 FC 8B 80 AC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 80 AC 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 8B 80 C0 00 00 00 8B 55 FC 89 82 BC 00 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 8D 55 E0 8B 45 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 AC 02 00 00 80 7D EF 00 74 1E 8B 45 FC 66 83 B8 C2 02 00 00 00 74 11 8B 5D FC B2 08 8B 83 C4 02 00 00 FF 93 C0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 FF FF FF FF 0A 00 00 00 52 45 53 54 20 52 45 54 52 20 00 00 FF FF FF FF 05 00 00 00 52 45 53 54 20 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 05 00 00 00 52 45 54 52 20 00 00 00 }
	condition:
		$1
}

rule function_13568_0 {
	meta:
		name = "TNMFTP.UploadAppend"
		size = 1100
		refs = "0023 @LStrAddRef 0033 TNMFTP.UploadAppend 004f TPowersock.CertifyConnect 0069 _Dn_TPowersock 006e TPowersock.Create 0093 TStream.GetSize 00a4 TPowersock.Read 00cb TPowersock.Listen 00db TPowersock.GetLocalAddress 00ef TPowersock.GetPortString 00ff @LStrCatN 010c TPowersock.StatusMessage 016e _DV_FTPException 0173 Exception.Create 0178 @RaiseExcept 018e @LStrCat3 01a6 ExtractFileName 0258 closesocket 027c WSAAsyncSelect 02c4 TPowersock.SendFile 0315 setsockopt 0323 TPowersock.RequestCloseSocket 0364 sFTP_Cont_Msg_UpldS 0369 LoadResString 0399 TNMFTP.ReadExtraLines 03ef @HandleFinally 040b @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D E4 89 5D E0 89 5D DC 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 92 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 8B 45 FC 8B 80 AC 02 00 00 89 90 8C 00 00 00 33 D2 89 90 B8 00 00 00 B2 01 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? FF 75 E0 8D 55 DC 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? FF 75 E0 8D 55 DC 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F0 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 1A 66 3D 58 02 7D 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 75 48 8D 45 E4 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F0 8B 45 FC 8B 18 FF 53 3C EB 3B 8D 45 E4 BA ?? ?? ?? ?? 8B 4D F4 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F0 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 1A 66 3D 58 02 7D 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B B0 AC 02 00 00 0F B7 9E 94 02 00 00 8B C6 8B 10 FF 52 30 8B 55 FC 8B 92 AC 02 00 00 66 89 82 94 02 00 00 53 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 90 98 02 00 00 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 75 1D 8B 45 FC 80 B8 B5 00 00 00 00 75 11 8B 45 FC 8B 80 AC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 66 C7 45 EA 00 00 66 C7 45 EC 00 00 6A 04 8D 45 EA 50 68 80 00 00 00 68 FF FF 00 00 8B 45 FC 8B 80 AC 02 00 00 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 3A 8B 45 FC 80 B8 B5 00 00 00 00 75 2E 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0F 8D 4D F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 AC 02 00 00 80 7D EF 00 74 1E 8B 45 FC 66 83 B8 C2 02 00 00 00 74 11 8B 5D FC B2 0A 8B 83 C4 02 00 00 FF 93 C0 02 00 00 C3 E9 ?? ?? ?? ?? EB B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 FF FF FF FF 05 00 00 00 41 50 50 45 20 00 00 00 }
	condition:
		$1
}

rule function_13569_0 {
	meta:
		name = "TNMFTP.UploadRestore"
		size = 1400
		refs = "0023 @LStrAddRef 0033 TNMFTP.UploadRestore 004f TPowersock.CertifyConnect 0069 _Dn_TPowersock 006e TPowersock.Create 0093 TStream.GetSize 00a4 TPowersock.Read 00cb TPowersock.Listen 00d7 _Dn_TFileStream 00dc TFileStream.Create 011b @HandleFinally 012d TPowersock.GetLocalAddress 0141 TPowersock.GetPortString 0151 @LStrCatN 015e TPowersock.StatusMessage 01cd _DV_FTPException 01d2 Exception.Create 01d7 @RaiseExcept 0252 IntToStr 0287 ExtractFileName 0299 @LStrCat3 0399 closesocket 03bd WSAAsyncSelect 0405 TPowersock.SendFile 0432 TPowersock.RequestCloseSocket 0473 sFTP_Cont_Msg_UpldS 0478 LoadResString 04a8 TNMFTP.ReadExtraLines 051a @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D E4 89 5D E0 89 5D DC 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 0F 84 A1 04 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 4D E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 8B 45 FC 8B 80 AC 02 00 00 89 90 8C 00 00 00 33 D2 89 90 B8 00 00 00 B2 01 E8 ?? ?? ?? ?? 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? FF 75 E0 8D 55 DC 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? FF 75 E0 8D 55 DC 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F0 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EA 00 8D 55 EA 8B 5D FC B1 06 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EA 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 CE 00 00 00 00 74 24 8B 45 FC 8B 80 AC 02 00 00 8B 55 FC 8B 8A CC 00 00 00 89 88 CC 00 00 00 8B 8A D0 00 00 00 89 88 D0 00 00 00 83 7D F4 00 75 67 68 ?? ?? ?? ?? 8D 55 E0 8B 45 08 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 50 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F0 8B 45 FC 8B 18 FF 53 3C EB 58 68 ?? ?? ?? ?? 8D 55 E0 8B 45 08 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F0 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7E 5B 66 3D 58 02 7D 55 8B 45 FC 66 83 B8 CA 02 00 00 00 75 16 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 C6 45 EA 00 8D 55 EA 8B 5D FC B1 06 8B 83 CC 02 00 00 FF 93 C8 02 00 00 80 7D EA 00 75 14 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B B0 AC 02 00 00 0F B7 9E 94 02 00 00 8B C6 8B 10 FF 52 30 8B 55 FC 8B 92 AC 02 00 00 66 89 82 94 02 00 00 53 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 90 98 02 00 00 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 8B 45 FC 80 B8 84 00 00 00 00 75 1D 8B 45 FC 80 B8 B5 00 00 00 00 75 11 8B 45 FC 8B 80 AC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 3A 8B 45 FC 80 B8 B5 00 00 00 00 75 2E 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0F 8D 4D F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 75 17 8B 45 FC 80 B8 B5 00 00 00 00 75 0B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C6 45 EB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 AC 02 00 00 80 7D EB 00 74 1E 8B 45 FC 66 83 B8 C2 02 00 00 00 74 11 8B 5D FC B2 06 8B 83 C4 02 00 00 FF 93 C0 02 00 00 C3 E9 ?? ?? ?? ?? EB B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 04 00 00 FF FF FF FF 05 00 00 00 50 4F 52 54 20 00 00 00 FF FF FF FF 05 00 00 00 52 45 53 54 20 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 05 00 00 00 53 54 4F 52 20 00 00 00 }
	condition:
		$1
}

rule function_13571_0 {
	meta:
		name = "TNMFTP.Allocate"
		size = 120
		refs = "0011 TNMFTP.Allocate 0021 IntToStr 0031 @LStrCat3 003b TNMFTP.DoCommand 0055 @LStrArrayClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 FF FF FF FF 05 00 00 00 41 4C 4C 4F 20 00 00 00 }
	condition:
		$1
}

rule function_13572_0 {
	meta:
		name = "TNMFTP.CheckRead"
		size = 61
		refs = "000a TStream.GetSize 0037 TPowersock.Cancel"
	strings:
		$1 = { 53 8B D8 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 83 F8 03 7E 28 8B 83 9C 02 00 00 8B 40 04 80 38 34 75 1A 80 78 01 32 75 14 8A 50 02 80 FA 31 74 05 80 FA 36 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13573_0 {
	meta:
		name = "TNMFTP.Flush"
		size = 156
		refs = "0012 TNMFTP.Flush 0024 Now 0034 TPowersock.Read 0039 Application 0040 TApplication.ProcessMessages 0067 TPowersock.StatusMessage 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 84 00 00 00 00 E8 ?? ?? ?? ?? DD 5D F8 9B 8D 4D F4 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 15 E8 ?? ?? ?? ?? DC 65 F8 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 73 CD 8B 4D F4 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 5A 11 35 D1 E7 A3 8C B8 EE 3F 00 00 }
	condition:
		$1
}

rule function_13621_0 {
	meta:
		name = "TNMHTTP.Create"
		size = 142
		refs = "000a @ClassCreate 0017 TPowersock.Create 001e _DV_THeaderInfo 0023 TObject.Create 0030 _Dn_TExStringList 004d sHTTP_Head_File 0052 LoadResString 005d sHTTP_Body_File 007b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B0 02 00 00 C6 86 C2 02 00 00 01 8D 96 A8 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 96 A4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 C0 02 00 00 00 C6 86 C1 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13622_0 {
	meta:
		name = "TNMHTTP.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TPowersock.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13623_0 {
	meta:
		name = "TNMHTTP.Get"
		size = 93
		refs = "000e @LStrAddRef 0016 TNMHTTP.Get 0031 @LStrAsg 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 D0 02 00 00 00 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13624_0 {
	meta:
		name = "TNMHTTP.Options"
		size = 93
		refs = "000e @LStrAddRef 0016 TNMHTTP.Options 002a @LStrAsg 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? C6 83 D0 02 00 00 01 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13625_0 {
	meta:
		name = "TNMHTTP.Post"
		size = 243
		refs = "0013 @LStrAddRef 0023 TNMHTTP.Post 0039 @LStrAsg 004f _Dn_TNMURL 0054 TNMURL.Create 008a TNMURL.GetDecodeString 009f TObject.Free 00a5 @HandleFinally 00e3 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 CC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C2 02 00 00 00 74 62 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 C1 02 00 00 00 75 19 8B 45 F0 83 C0 24 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 05 C4 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC C6 80 D0 02 00 00 03 8B 45 FC 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_13626_0 {
	meta:
		name = "TNMHTTP.Put"
		size = 126
		refs = "0013 @LStrAddRef 0023 TNMHTTP.Put 0037 @LStrAsg 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 C4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C6 83 D0 02 00 00 04 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13627_0 {
	meta:
		name = "TNMHTTP.Head"
		size = 93
		refs = "000e @LStrAddRef 0016 TNMHTTP.Head 002a @LStrAsg 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? C6 83 D0 02 00 00 02 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13628_0 {
	meta:
		name = "TNMHTTP.Patch"
		size = 126
		refs = "0013 @LStrAddRef 0023 TNMHTTP.Patch 0037 @LStrAsg 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 C4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C6 83 D0 02 00 00 05 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13629_0 {
	meta:
		name = "TNMHTTP.Copy"
		size = 126
		refs = "0013 @LStrAddRef 0023 TNMHTTP.Copy 0037 @LStrAsg 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 C8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C6 83 D0 02 00 00 06 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13630_0 {
	meta:
		name = "TNMHTTP.Move"
		size = 126
		refs = "0013 @LStrAddRef 0023 TNMHTTP.Move 0037 @LStrAsg 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 C8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C6 83 D0 02 00 00 07 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13631_0 {
	meta:
		name = "TNMHTTP.Link"
		size = 142
		refs = "0013 @LStrAddRef 0023 TNMHTTP.Link 0037 @LStrAsg 0050 sHTTP_Data_File 0055 LoadResString 007d @LStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 C8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 93 C4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 D0 02 00 00 09 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13632_0 {
	meta:
		name = "TNMHTTP.UnLink"
		size = 142
		refs = "0013 @LStrAddRef 0023 TNMHTTP.UnLink 0037 @LStrAsg 0050 sHTTP_Data_File 0055 LoadResString 007d @LStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 C8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 93 C4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 D0 02 00 00 0A 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13633_0 {
	meta:
		name = "TNMHTTP.Delete"
		size = 93
		refs = "000e @LStrAddRef 0016 TNMHTTP.Delete 002a @LStrAsg 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? C6 83 D0 02 00 00 08 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13634_0 {
	meta:
		name = "TNMHTTP.Trace"
		size = 126
		refs = "0013 @LStrAddRef 0023 TNMHTTP.Trace 0037 @LStrAsg 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 C4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C6 83 D0 02 00 00 0B 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13635_0 {
	meta:
		name = "TNMHTTP.Wrapped"
		size = 126
		refs = "0013 @LStrAddRef 0023 TNMHTTP.Wrapped 0037 @LStrAsg 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 C4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C6 83 D0 02 00 00 0C 8B C3 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13636_0 {
	meta:
		name = "TNMHTTP.Abort"
		size = 13
		refs = "0008 TPowersock.Cancel"
	strings:
		$1 = { C6 80 D4 00 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13637_0 {
	meta:
		name = "TNMHTTP.HTTPConnect"
		size = 680
		refs = "0013 TNMHTTP.HTTPConnect 008b TPowersock.CaptureFile 00a1 TPowersock.CaptureString 00de sHTTP_Msg_Trans 00e3 LoadResString 00f0 TPowersock.StatusMessage 014b @LStrAsg 0166 @HandleFinally 01ec @LStrPos 021e @LStrCatN 027a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 48 8B 45 FC 8B 10 FF 52 4C 8B 45 FC 66 83 B8 E6 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 E8 02 00 00 FF 93 E4 02 00 00 8B 45 FC 8B 10 FF 52 34 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 54 8B 45 FC 8B 10 FF 52 50 8B 45 FC 80 B8 C0 02 00 00 00 74 13 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 14 8B 45 FC 8D 90 A4 02 00 00 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2B 01 7D 41 8B 45 FC 66 83 B8 D6 02 00 00 00 74 18 8B 45 FC 8A 90 D0 02 00 00 8B 5D FC 8B 83 D8 02 00 00 FF 93 D4 02 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 02 8B 45 FC E8 ?? ?? ?? ?? EB 59 66 3D 8F 01 7E 53 8B 45 FC 66 83 B8 DE 02 00 00 00 74 1A 8B 45 FC 8A 90 D0 02 00 00 8B 5D FC 8B 83 E0 02 00 00 FF 93 DC 02 00 00 EB 2C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2C 01 7C 1C 66 3D 2E 01 7F 16 8B 45 FC 05 CC 02 00 00 8B 55 FC 8B 92 B4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2B 01 0F 8E A2 00 00 00 66 3D 8F 01 0F 8D 98 00 00 00 C6 45 FB 00 8B 45 FC 83 B8 BC 02 00 00 00 74 1A 8B 45 FC 8B 80 B8 02 00 00 83 C0 0C 8B 55 FC 8B 92 BC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 EE 02 00 00 00 74 12 8D 55 FB 8B 5D FC 8B 83 F0 02 00 00 FF 93 EC 02 00 00 80 7D FB 00 0F 85 8C 00 00 00 8B 45 FC 8B 90 CC 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 2E 68 ?? ?? ?? ?? 8B 45 FC FF B0 78 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 8B 45 FC 05 CC 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 66 81 B8 84 02 00 00 91 01 75 1F 8B 45 FC 66 83 B8 F6 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 F8 02 00 00 FF 93 F4 02 00 00 8B 45 FC 66 8B 80 84 02 00 00 66 3D 2B 01 7C 0A 66 3D 8F 01 0F 8E B4 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF FF FF FF 07 00 00 00 68 74 74 70 3A 2F 2F 00 }
	condition:
		$1
}

rule function_13638_0 {
	meta:
		name = "TNMHTTP.ParseURL"
		size = 664
		refs = "000f TNMHTTP.ParseURL 0026 sHTTP_Cont_Msg_NoURL 002b LoadResString 0035 _Dn_Exception 003a Exception.Create 003f @RaiseExcept 0062 @LStrPos 007f NthPos 0091 @LStrCopy 00dd @LStrClr 0107 NthWord 0112 LowerCase 011f @LStrCmp 01d7 StrToInt 01ec @LStrDelete 0200 @LStrAsg 0229 @LStrCat 0243 @LStrArrayClr 0249 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB CC 02 00 00 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB B8 00 00 00 00 75 0A C7 83 B8 00 00 00 50 00 00 00 8B 93 CC 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2D 8D 83 AC 02 00 00 50 B9 03 00 00 00 B2 2F 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 00 01 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? EB 4A 8B 93 CC 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2B 8D 83 AC 02 00 00 50 BA ?? ?? ?? ?? 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 00 01 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? EB 0B 8D 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B 93 CC 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 61 8D 45 F8 50 B9 01 00 00 00 B2 3A 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 83 B8 00 00 00 46 00 00 00 EB 25 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 83 B8 00 00 00 15 00 00 00 EB 0A C7 83 B8 00 00 00 50 00 00 00 8B 93 CC 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 18 8D 45 FC 50 B9 03 00 00 00 B2 2F 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? EB 2B 8B 83 CC 02 00 00 80 38 2F 74 18 8D 45 FC 50 B9 01 00 00 00 B2 2F 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 30 8D 45 F8 50 B9 02 00 00 00 B2 3A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 83 B8 00 00 00 8D 45 FC B9 FF 00 00 00 8B D6 E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8D 83 78 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 BB AC 02 00 00 00 75 20 8D 83 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 02 00 00 00 2F 2F 00 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 06 00 00 00 67 6F 70 68 65 72 00 00 FF FF FF FF 03 00 00 00 66 74 70 00 }
	condition:
		$1
}

rule function_13639_0 {
	meta:
		name = "TNMHTTP.AssembleHTTPHeader"
		size = 3304
		refs = "0019 TNMHTTP.AssembleHTTPHeader 00b5 @LStrCatN 0619 @LStrCat3 0646 TExStringList.SetValue 0748 _Dn_TMemoryStream 074d TObject.Create 0796 @LStrLen 079f UniqueString 07b4 _Dn_TNMUUProcessor 07b9 TNMUUProcessor.Create 07f4 TNMUUProcessor.Encode 0809 TObject.Free 080f @HandleFinally 0819 TStream.GetSize 0826 @LStrSetLength 093e _Dn_TFileStream 0943 TFileStream.Create 0964 IntToStr 0a1a @LStrArrayClr 0a22 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 E4 89 55 E0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 02 00 00 8B 10 FF 52 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 9C 00 00 00 00 0F 84 D2 02 00 00 8B 45 FC 0F B6 80 D0 02 00 00 83 F8 0B 0F 87 86 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 19 05 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 E3 04 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 AD 04 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 77 04 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 41 04 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 0B 04 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 D5 03 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 9F 03 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 69 03 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 33 03 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 FD 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 C7 02 00 00 8B 45 FC 0F B6 80 D0 02 00 00 83 F8 0B 0F 87 B4 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 47 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 11 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 DB 01 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 A5 01 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 6F 01 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 39 01 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 03 01 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 CD 00 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 E9 97 00 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 EB 64 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 EB 31 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 8B 45 FC 83 B8 9C 00 00 00 00 74 3A 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 34 8B 45 FC 8B 88 78 02 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 8B 45 FC 8B 88 78 02 00 00 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 34 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 34 8B 45 FC 8B 80 B8 02 00 00 83 78 04 00 74 1F 8B 45 FC 8B 80 B8 02 00 00 8B 48 04 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 83 78 08 00 74 1F 8B 45 FC 8B 80 B8 02 00 00 8B 48 08 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 83 78 0C 00 74 1F 8B 45 FC 8B 80 B8 02 00 00 8B 48 0C 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 83 78 10 00 74 1F 8B 45 FC 8B 80 B8 02 00 00 8B 48 10 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 98 B8 02 00 00 83 7B 14 00 0F 84 59 01 00 00 83 7B 18 00 0F 84 4F 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 B8 02 00 00 FF 73 14 68 ?? ?? ?? ?? FF 73 18 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 59 8B 18 FF 53 08 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 55 F0 89 90 84 00 00 00 8B 45 E8 8B 55 EC 89 90 88 00 00 00 8B 45 E8 C6 80 8C 00 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 E8 02 50 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 59 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8D 45 E4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 34 8B 45 FC 8A 80 D0 02 00 00 04 FA 2C 02 72 2E 48 2C 02 73 50 8B 45 FC 8B 88 C8 02 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 EB 27 8B 45 FC 8B 88 C8 02 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 8B 45 FC 8A 80 D0 02 00 00 04 FD 2C 03 72 0A 04 FD 2C 04 0F 83 BB 00 00 00 8B 45 FC 80 B8 C1 02 00 00 00 74 78 6A 00 8B 45 FC 8B 88 C4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 02 00 00 8B 08 FF 51 34 8B 45 FC 8B 80 B0 02 00 00 33 D2 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 47 45 54 20 00 00 00 00 FF FF FF FF 09 00 00 00 20 48 54 54 50 2F 31 2E 30 00 00 00 FF FF FF FF 08 00 00 00 4F 50 54 49 4F 4E 53 20 00 00 00 00 FF FF FF FF 05 00 00 00 50 4F 53 54 20 00 00 00 FF FF FF FF 04 00 00 00 50 55 54 20 00 00 00 00 FF FF FF FF 05 00 00 00 48 45 41 44 20 00 00 00 FF FF FF FF 06 00 00 00 50 41 54 43 48 20 00 00 FF FF FF FF 05 00 00 00 43 4F 50 59 20 00 00 00 FF FF FF FF 05 00 00 00 4D 4F 56 45 20 00 00 00 FF FF FF FF 05 00 00 00 4C 49 4E 4B 20 00 00 00 FF FF FF FF 07 00 00 00 55 4E 4C 49 4E 4B 20 00 FF FF FF FF 07 00 00 00 44 45 4C 45 54 45 20 00 FF FF FF FF 06 00 00 00 54 52 41 43 45 20 00 00 FF FF FF FF 1C 00 00 00 50 72 6F 78 79 2D 43 6F 6E 6E 65 63 74 69 6F 6E 3A 20 4B 65 65 70 2D 41 6C 69 76 65 00 00 00 00 FF FF FF FF 06 00 00 00 48 6F 73 74 3A 20 00 00 FF FF FF FF 04 00 00 00 48 6F 73 74 00 00 00 00 FF FF FF FF 43 00 00 00 41 63 63 65 70 74 3A 20 77 77 77 2F 73 6F 75 72 63 65 2C 20 74 65 78 74 2F 68 74 6D 6C 2C 20 76 69 64 65 6F 2F 6D 70 65 67 2C 20 69 6D 61 67 65 2F 6A 70 65 67 2C 20 69 6D 61 67 65 2F 78 2D 74 69 66 66 00 FF FF FF FF 48 00 00 00 41 63 63 65 70 74 3A 20 69 6D 61 67 65 2F 78 2D 72 67 62 2C 20 69 6D 61 67 65 2F 78 2D 78 62 6D 2C 20 69 6D 61 67 65 2F 67 69 66 2C 20 2A 2F 2A 2C 20 61 70 70 6C 69 63 61 74 69 6F 6E 2F 70 6F 73 74 73 63 72 69 70 74 00 00 00 00 FF FF FF FF 0A 00 00 00 55 73 65 72 2D 41 67 65 6E 74 00 00 FF FF FF FF 04 00 00 00 46 72 6F 6D 00 00 00 00 FF FF FF FF 06 00 00 00 43 6F 6F 6B 69 65 00 00 FF FF FF FF 07 00 00 00 52 65 66 65 72 65 72 00 FF FF FF FF 01 00 00 00 3A 00 00 00 FF FF FF FF 06 00 00 00 42 61 73 69 63 20 00 00 FF FF FF FF 0D 00 00 00 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 00 00 00 FF FF FF FF 2F 00 00 00 43 6F 6E 74 65 6E 74 2D 74 79 70 65 3A 20 61 70 70 6C 69 63 61 74 69 6F 6E 2F 78 2D 77 77 77 2D 66 6F 72 6D 2D 75 72 6C 65 6E 63 6F 64 65 64 00 FF FF FF FF 06 00 00 00 4C 69 6E 6B 3A 20 00 00 FF FF FF FF 0C 00 00 00 55 52 49 2D 68 65 61 64 65 72 3A 20 00 00 00 00 FF FF FF FF 10 00 00 00 43 6F 6E 74 65 6E 74 2D 4C 65 6E 67 74 68 3A 20 00 00 00 00 }
	condition:
		$1
}

rule function_13640_0 {
	meta:
		name = "TNMHTTP.SendHTTP"
		size = 141
		refs = "000c TNMHTTP.SendHTTP 002a TPowersock.Write 0052 TPowersock.SendFile 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 B0 02 00 00 8B 08 FF 51 1C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8A 83 D0 02 00 00 04 FD 2C 03 72 06 04 FB 2C 02 73 25 80 BB C1 02 00 00 00 74 0F 8B 93 C4 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 93 C4 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 D0 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13641_0 {
	meta:
		name = "TNMHTTP.RemoveHeader"
		size = 888
		refs = "0015 TNMHTTP.RemoveHeader 0038 @LStrClr 0059 _Dn_TFileStream 005e TFileStream.Create 0089 TPowersock.ReadLn 009c NthWord 00a6 StrToIntDef 00c4 @LStrLen 00cd UniqueString 00d8 TStream.WriteBuffer 00ea @LStrCat 0100 UpperCase 0120 @LStrCmp 013d @LStrCopy 01ad @LStrPos 01bf @LStrDelete 0204 @LStrFromChar 02db TObject.Free 02e1 @HandleFinally 02fd @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 33 D2 89 90 BC 00 00 00 8B 45 FC 05 BC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C1 02 00 00 00 74 1F 68 FF FF 00 00 8B 45 FC 8B 88 A8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 0D 8B 45 FC 05 A8 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 B9 02 00 00 00 B2 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 84 02 00 00 8B 45 FC 80 B8 C1 02 00 00 00 74 1E 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? EB 10 8B 45 FC 05 A8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 01 00 00 00 B2 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1B 8B 45 FC 05 BC 02 00 00 50 B9 00 01 00 00 BA 0D 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 01 00 00 00 B2 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1B 8B 45 FC 05 CC 02 00 00 50 B9 00 01 00 00 BA 0B 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 01 00 00 00 B2 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 B8 00 00 00 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 83 C1 06 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 DB 8D 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 6E BF 01 00 00 00 80 FB 01 75 30 8B 45 F0 80 7C 38 FF 30 72 5A 8B 45 F0 80 7C 38 FF 39 77 50 8D 45 E8 8B 55 F0 8A 54 3A FF E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? EB 30 8B 45 F0 80 7C 38 FF 30 73 0A 8B 45 F0 80 7C 38 FF 39 77 1C 8D 45 E8 8B 55 F0 8A 54 3A FF E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? B3 01 47 4E 75 97 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 8B 45 FC 80 B8 C1 02 00 00 00 74 1E 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? EB 10 8B 45 FC 05 A8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 19 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0A 83 7D F4 00 0F 85 30 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 C1 02 00 00 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 0B 00 00 00 53 45 54 2D 43 4F 4F 4B 49 45 3A 00 FF FF FF FF 09 00 00 00 4C 4F 43 41 54 49 4F 4E 3A 00 00 00 FF FF FF FF 0F 00 00 00 43 4F 4E 54 45 4E 54 2D 4C 45 4E 47 54 48 3A 00 FF FF FF FF 06 00 00 00 45 4E 47 54 48 3A 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_13644_0 {
	meta:
		name = "Register"
		size = 105
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMMsg 0034 _DV_TNMMSGServ 0044 RegisterComponents 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F4 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F4 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_13749_0 {
	meta:
		name = "Register"
		size = 105
		refs = "000f Register 001d Cons_Palette_Inet 0022 LoadResString 002b _DV_TNMStrm 0034 _DV_TNMStrmServ 0044 RegisterComponents 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F4 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F4 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_13645_0 {
	meta:
		name = "TNMMsg.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TPowersock.Create 002c @AfterConstruction"
		altNames = "TNMStrm.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 37 1A 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13648_0 {
	meta:
		name = "TNMMSGServ.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TNMGeneralServer.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 37 1A 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13753_0 {
	meta:
		name = "TNMStrmServ.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TNMGeneralServer.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 37 1A 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13646_0 {
	meta:
		name = "TNMMsg.PostIt"
		size = 304
		refs = "0018 TNMMsg.PostIt 0046 @LStrLen 005c Format 006d @LStrCat 0078 TPowersock.Write 00db TPowersock.Read 00f6 @HandleFinally 010d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 AA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 AC 02 00 00 FF 93 A8 02 00 00 8B CE 66 BA 10 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 25 2E 34 64 00 00 00 00 }
	condition:
		$1
}

rule function_13647_0 {
	meta:
		name = "TNMMsg.Abort"
		size = 28
		refs = "000f TPowersock.Cancel"
		altNames = "TNMStrm.Abort"
	strings:
		$1 = { 53 8B D8 80 BB A0 02 00 00 00 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 38 5B C3 }
	condition:
		$1
}

rule function_13649_0 {
	meta:
		name = "TNMMSGServ.Serve"
		size = 260
		refs = "0011 TNMMSGServ.Serve 0025 TPowersock.Read 002d StrToInt 0071 @LStrClr 007d TPowersock.Write 00ab Application 00b2 TApplication.ProcessMessages 00d5 @LStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 66 BA 04 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 0C 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 66 BA 04 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 0E 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 02 00 00 66 83 B8 BA 02 00 00 00 74 25 8B 55 F8 52 8B F0 8B 4D FC 8B D3 8B 86 BC 02 00 00 FF 96 B8 02 00 00 EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB A0 02 00 00 00 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 10 00 00 00 4F 4B 20 20 20 20 20 20 20 20 20 20 20 20 20 20 00 00 00 00 }
	condition:
		$1
}

rule function_13652_0 {
	meta:
		name = "_NF__BA"
		size = 184
	strings:
		$1 = { FF FF FF FF 07 00 00 00 41 72 74 69 64 3A 20 00 FF FF FF FF 09 00 00 00 53 75 62 6A 65 63 74 3A 20 00 00 00 FF FF FF FF 06 00 00 00 46 72 6F 6D 3A 20 00 00 FF FF FF FF 06 00 00 00 44 61 74 65 3A 20 00 00 FF FF FF FF 0C 00 00 00 4D 65 73 73 61 67 65 2D 49 64 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 52 65 66 65 72 65 6E 63 65 73 3A 20 00 00 00 00 FF FF FF FF 0B 00 00 00 42 79 74 65 63 6F 75 6E 74 3A 20 00 FF FF FF FF 0B 00 00 00 4C 69 6E 65 43 6F 75 6E 74 3A 20 00 FF FF FF FF 11 00 00 00 4F 70 74 69 6F 6E 61 6C 2D 48 65 61 64 65 72 3A 20 00 00 00 }
	condition:
		$1
}

rule function_13654_0 {
	meta:
		name = "TNMNNTP.Create"
		size = 307
		refs = "000a @ClassCreate 0017 TPowersock.Create 0031 TNMNNTP.AbortResume 0042 _DV_TPostRecordType 0047 TObject.Create 0066 _Dn_TExStringList 008a _Dn_TStringList 0120 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 77 00 00 00 89 B6 90 02 00 00 C7 86 8C 02 00 00 ?? ?? ?? ?? C7 86 FC 02 00 00 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 CC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 DC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E0 02 00 00 8B 86 D4 02 00 00 8B 96 D0 02 00 00 89 50 04 8B 86 C4 02 00 00 8B 96 C0 02 00 00 89 50 04 33 C0 89 86 A4 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13655_0 {
	meta:
		name = "TNMNNTP.Destroy"
		size = 147
		refs = "0003 @BeforeDestruction 0013 TPowersock.Destroy 001e TObject.Free 008c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B 86 DC 02 00 00 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13656_0 {
	meta:
		name = "TNMNNTP.Connect"
		size = 163
		refs = "0032 TNMNNTP.Connect 0040 TNMNNTP.InternalConnect 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC C6 45 FA 00 C6 45 FB 01 8B 45 FC 80 B8 F0 02 00 00 00 74 06 C6 45 FA 01 EB 0A 8B 45 FC C6 80 F0 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FA 00 75 0A 8B 45 FC C6 80 F0 02 00 00 00 80 7D FB 00 74 2B 8B 45 FC 66 83 B8 02 03 00 00 00 74 1E 8B 45 FC 80 B8 A0 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 04 03 00 00 FF 93 00 03 00 00 C3 E9 ?? ?? ?? ?? EB B7 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13657_0 {
	meta:
		name = "TNMNNTP.Disconnect"
		size = 172
		refs = "0013 TNMNNTP.Disconnect 002d TPowersock.Cancel 006c TPowersock.Disconnect 0072 @HandleFinally 0089 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 F0 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 74 3B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 00 FF FF FF FF 04 00 00 00 51 55 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_13658_0 {
	meta:
		name = "TNMNNTP.Abort"
		size = 59
		refs = "0021 TPowersock.Cancel 002a TPowersock.Disconnect 0035 TMemoryStream.Clear"
	strings:
		$1 = { 53 8B D8 80 BB 84 00 00 00 00 75 2D 80 BB A0 02 00 00 00 74 24 80 BB F0 02 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13659_0 {
	meta:
		name = "TNMNNTP.AbortResume"
		size = 23
		refs = "0006 TPowersock.Disconnect 0011 TMemoryStream.Clear"
		altNames = "TNMPOP3.AbortResume TNMSMTP.AbortResume"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13660_0 {
	meta:
		name = "TNMNNTP.SetAttachmentPath"
		size = 132
		refs = "000e @LStrAddRef 0016 TNMNNTP.SetAttachmentPath 0024 @LStrLen 0041 @LStrCat3 0051 @LStrAsg 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 80 7C 02 FF 5C 74 15 8D 83 E4 02 00 00 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 0E 8D 83 E4 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_13661_0 {
	meta:
		name = "TNMNNTP.SetNewsDir"
		size = 132
		refs = "000e @LStrAddRef 0016 TNMNNTP.SetNewsDir 0024 @LStrLen 0041 @LStrCat3 0051 @LStrAsg 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 80 7C 02 FF 5C 74 15 8D 83 EC 02 00 00 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 0E 8D 83 EC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_13662_0 {
	meta:
		name = "TNMNNTP.SetGroup"
		size = 416
		refs = "0019 @LStrAddRef 0021 TNMNNTP.SetGroup 0067 TPowersock.CertifyConnect 0077 @LStrCat3 009b sNNTP_Cons_InvGrpErr 00a0 LoadResString 00aa _DV_NNTPError 00af Exception.Create 00b4 @RaiseExcept 00c6 @LStrAsg 00d9 NthWord 00e3 StrToIntDef 0158 @HandleFinally 016f @LStrClr 017c @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 FC 80 B8 F0 02 00 00 00 0F 85 1F 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 F0 02 00 00 01 8B 45 FC 80 B8 B0 02 00 00 02 74 67 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F4 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 2B 01 7E 23 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B 45 FC 05 B4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 B9 03 00 00 00 B2 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 02 00 00 8D 45 EC 50 B9 04 00 00 00 B2 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 02 00 00 C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F0 02 00 00 00 80 7D F3 00 74 1F 8B 45 FC 66 83 B8 0A 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 0C 03 00 00 FF 93 08 03 00 00 C3 E9 ?? ?? ?? ?? EB C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 00 FF FF FF FF 06 00 00 00 47 52 4F 55 50 20 00 00 }
	condition:
		$1
}

rule function_13663_0 {
	meta:
		name = "TNMNNTP.PostArticle"
		size = 444
		refs = "0016 TNMNNTP.PostArticle 0050 TPowersock.CertifyConnect 007e @LStrCat 0089 TPowersock.Write 00cb sNNTP_Cons_PostingErr 00d0 LoadResString 00da _DV_NNTPError 00df Exception.Create 00e4 @RaiseExcept 0161 @HandleFinally 0178 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 80 B8 F0 02 00 00 00 0F 85 33 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 F0 02 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8D 55 F0 8B 45 FC 8B 80 D0 02 00 00 8B 08 FF 51 1C 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 80 D8 02 00 00 8B 08 FF 51 1C 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 2B 01 7E 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F0 02 00 00 00 80 7D F7 00 74 21 8B 45 FC 66 83 B8 82 03 00 00 00 74 47 8B 5D FC 8B 55 FC 8B 83 84 03 00 00 FF 93 80 03 00 00 EB 33 8B 45 FC 66 83 B8 8A 03 00 00 00 74 26 8B 45 FC 8B 80 80 02 00 00 50 8B 45 FC 66 8B 88 84 02 00 00 8B 5D FC 8B 55 FC 8B 83 8C 03 00 00 FF 93 88 03 00 00 C3 E9 ?? ?? ?? ?? EB 94 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 50 4F 53 54 00 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13664_0 {
	meta:
		name = "TNMNNTP.GetArticle"
		size = 13
		refs = "0008 TNMNNTP.RetreiveArticle"
	strings:
		$1 = { 8B CA BA 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13665_0 {
	meta:
		name = "TNMNNTP.GetArticleList"
		size = 40
		refs = "0018 TNMNNTP.RetreiveList"
	strings:
		$1 = { 84 D2 75 08 3B 88 B8 02 00 00 7D 11 8B 88 B8 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13666_0 {
	meta:
		name = "TNMNNTP.GetGroupList"
		size = 13
		refs = "0008 TNMNNTP.RetreiveList"
	strings:
		$1 = { 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13667_0 {
	meta:
		name = "TNMNNTP.GetArticleHeader"
		size = 13
		refs = "0008 TNMNNTP.RetreiveArticle"
	strings:
		$1 = { 8B CA BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13668_0 {
	meta:
		name = "TNMNNTP.Transaction"
		size = 273
		refs = "0019 TNMNNTP.Transaction 0034 TPowersock.Transaction 0060 sNNTP_Cons_GrpErr 0065 LoadResString 006f _Dn_Exception 0074 Exception.Create 0079 @RaiseExcept 00da TNMNNTP.SetGroup 00fe @LStrClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB E9 BB 00 00 00 B3 01 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 66 81 BE 84 02 00 00 9C 01 0F 85 9E 00 00 00 33 DB 83 BE B4 02 00 00 00 75 2B 66 83 BE 22 03 00 00 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 00 66 83 BE 22 03 00 00 00 74 0F 8D 55 FB 8B 86 24 03 00 00 FF 96 20 03 00 00 80 7D FB 00 75 2A 83 BE B4 02 00 00 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 F0 02 00 00 00 8B 96 B4 02 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F0 02 00 00 01 84 DB 0F 84 3D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13669_0 {
	meta:
		name = "TNMNNTP.GetArticleBody"
		size = 13
		refs = "0008 TNMNNTP.RetreiveArticle"
	strings:
		$1 = { 8B CA BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13670_0 {
	meta:
		name = "TNMNNTP.InternalConnect"
		size = 584
		refs = "0018 TNMNNTP.InternalConnect 0026 TPowersock.Connect 003f TPowersock.ReadLn 005d sNNTP_Cons_LogInSerErr 0062 LoadResString 006c _Dn_ESockError 0071 Exception.Create 00da Cons_Msg_Auth_Fail 00e9 _DV_NNTPError 00f3 @RaiseExcept 0109 @LStrCat3 01e6 @HandleAnyException 01f3 @RaiseAgain 01f8 @DoneExcept 020d @LStrClr 021b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 8B 80 84 02 00 00 66 3D 90 01 7C 22 66 3D E0 01 74 1C 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 8B 80 84 02 00 00 66 3D 90 01 7D 06 66 3D 2C 01 7F 0A 66 3D E0 01 0F 85 46 01 00 00 8B 45 FC 83 B8 A8 02 00 00 00 74 0C 8B 45 FC 83 B8 AC 02 00 00 00 75 4A C6 45 F7 00 8B 45 FC 66 83 B8 6A 03 00 00 00 74 12 8D 55 F7 8B 5D FC 8B 83 6C 03 00 00 FF 93 68 03 00 00 80 7D F7 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A8 02 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 8B 80 84 02 00 00 66 3D 90 01 7C 22 66 3D E0 01 74 1C 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 8B 80 84 02 00 00 66 3D 90 01 7D 06 66 3D 2C 01 7F 06 66 3D E0 01 75 24 8B 45 FC 8B 88 AC 02 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 2B 01 7E 40 8B 45 FC 66 83 B8 72 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 74 03 00 00 FF 93 70 03 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 55 53 45 52 20 00 00 00 FF FF FF FF 05 00 00 00 50 41 53 53 20 00 00 00 }
	condition:
		$1
}

rule function_13672_0 {
	meta:
		name = "TNMNNTP.RetreiveArticle"
		size = 744
		refs = "001c TNMNNTP.RetreiveArticle 005f TPowersock.CertifyConnect 0074 IsInCache 00b3 TNMNNTP.Readfromcache 00f3 IntToStr 0103 @LStrCat3 0117 TNMNNTP.ReadTillDot 0139 TExStringList.SetValue 0182 TNMNNTP.ReadTillBlankLine 019f TNMNNTP.ExtractAttachments 01cf sNNTP_Cons_RetrErr 01d4 LoadResString 01de _DV_NNTPError 01e3 Exception.Create 01e8 @RaiseExcept 0283 @HandleFinally 02a2 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 33 DB C7 45 F8 01 00 00 00 8B 45 FC 80 B8 F0 02 00 00 00 0F 85 49 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 F0 02 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B0 02 00 00 00 74 16 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 03 00 00 00 8B 45 F8 48 74 0A 83 E8 02 74 44 E9 50 01 00 00 F7 C6 01 00 00 00 74 13 8B 45 FC 8B 90 C0 02 00 00 8B CF 8B 45 FC E8 ?? ?? ?? ?? F7 C6 02 00 00 00 0F 84 29 01 00 00 8B 45 FC 8B 90 C8 02 00 00 8B CF 8B 45 FC E8 ?? ?? ?? ?? E9 11 01 00 00 4E 74 0F 4E 74 65 4E 0F 84 94 00 00 00 E9 DA 00 00 00 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 8B 90 C0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 8B 80 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 01 E9 81 00 00 00 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 8B 90 C8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 C6 45 F7 01 EB 4B 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 02 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 8B 80 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 01 84 DB 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 B8 F8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F0 02 00 00 00 80 7D F7 00 74 6F 8B 45 F8 48 74 08 48 74 26 48 74 44 EB 61 8B 45 FC 66 83 B8 3A 03 00 00 00 74 54 8B 5D FC 8B 55 FC 8B 83 3C 03 00 00 FF 93 38 03 00 00 EB 40 8B 45 FC 66 83 B8 5A 03 00 00 00 74 33 8B 5D FC 8B 55 FC 8B 83 5C 03 00 00 FF 93 58 03 00 00 EB 1F 8B 45 FC 66 83 B8 4A 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 4C 03 00 00 FF 93 48 03 00 00 C3 E9 ?? ?? ?? ?? E9 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 48 45 41 44 20 00 00 00 FF FF FF FF 05 00 00 00 41 72 74 49 64 00 00 00 FF FF FF FF 04 00 00 00 42 4F 44 59 00 00 00 00 }
	condition:
		$1
}

rule function_13673_0 {
	meta:
		name = "TNMNNTP.RetreiveList"
		size = 800
		refs = "001e TNMNNTP.RetreiveList 006f TPowersock.CertifyConnect 0092 TNMNNTP.ReadTillDot 00c9 IntToStr 00f2 @LStrCatN 015f @LStrPos 016d UniqueString 019b @LStrCopy 01af Stable 01ba @LStrCat3 01d6 @LStrLAsg 028f @HandleFinally 02ab @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 F0 02 00 00 00 0F 85 5D 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 F0 02 00 00 01 4A 74 08 4A 74 50 E9 1B 02 00 00 8B 45 FC 80 B8 B0 02 00 00 02 0F 84 0B 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 A4 02 00 00 01 00 00 00 8B 45 FC 8B 90 E8 02 00 00 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 A4 02 00 00 E9 D0 01 00 00 8B 45 FC 80 B8 B0 02 00 00 02 0F 84 C0 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B 45 FC 8B 90 E0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 FA 00 00 00 8B 45 FC 8B 80 E0 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8E 4D 01 00 00 89 45 EC C7 45 F8 01 00 00 00 8B 45 FC 8B 80 C0 02 00 00 8B 10 FF 52 40 8D 4D F0 8B 55 F8 4A 8B 45 FC 8B 80 E0 02 00 00 8B 18 FF 53 0C 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0D 8D 45 F0 E8 ?? ?? ?? ?? C6 44 18 FF 00 33 F6 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 21 8D 45 F4 50 8D 53 01 B9 FF 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C6 44 18 FF 00 8B 14 B5 ?? ?? ?? ?? 8D 45 E8 8B 4D F0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 80 C0 02 00 00 8B 08 FF 51 34 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 46 85 DB 75 99 8B 45 FC 66 83 B8 2A 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 2C 03 00 00 FF 93 28 03 00 00 FF 45 F8 FF 4D EC 0F 85 29 FF FF FF EB 6A 8B 45 FC 8B 80 BC 02 00 00 2B C3 7C 5D 40 89 45 EC 89 5D F8 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 45 FC 8B 90 C0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 2A 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 2C 03 00 00 FF 93 28 03 00 00 FF 45 F8 FF 4D EC 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F0 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 4C 49 53 54 00 00 00 00 FF FF FF FF 06 00 00 00 58 4F 56 45 52 20 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 FF FF FF FF 05 00 00 00 48 45 41 44 20 00 00 00 }
	condition:
		$1
}

rule function_13674_0 {
	meta:
		name = "TNMNNTP.ReadTillDot"
		size = 428
		refs = "001c @LStrAddRef 0024 TNMNNTP.ReadTillDot 0066 TPowersock.ReadLn 0086 @LStrLen 0093 @LStrSetLength 00aa @LStrCmp 00da NthWord 00e2 StrToInt 0173 @LStrArrayClr 017b @LStrClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B C6 8B 10 FF 52 40 83 7D FC 00 74 0D 8D 4D F4 8B 55 FC 8B C3 8B 38 FF 57 3C 66 81 BB 84 02 00 00 2B 01 7E 09 C6 45 FB 00 E9 FD 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 66 83 BB C6 00 00 00 00 74 0E 8B D3 8B 83 C8 00 00 00 FF 93 C4 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 34 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 96 00 00 00 83 BB A4 02 00 00 01 0F 85 89 00 00 00 66 83 BB 12 03 00 00 00 74 7F 8D 45 F0 50 B9 03 00 00 00 B2 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F0 50 B9 04 00 00 00 B2 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 50 8D 45 F0 50 B9 02 00 00 00 B2 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F0 50 B9 01 00 00 00 B2 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 59 8B 83 14 03 00 00 FF 93 10 03 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 03 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 01 00 00 00 46 00 00 00 }
	condition:
		$1
}

rule function_13675_0 {
	meta:
		name = "TNMNNTP.ReadTillBlankLine"
		size = 236
		refs = "0013 TNMNNTP.ReadTillBlankLine 002e IntToStr 003e @LStrCat3 0060 TPowersock.ReadLn 0068 @LStrLen 0075 @LStrSetLength 0093 sNNTP_Cons_ArtErr 0098 LoadResString 00a2 _Dn_Exception 00a7 Exception.Create 00ac @RaiseExcept 00c6 @LStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C0 02 00 00 8B 10 FF 52 40 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 8B 30 FF 56 3C 66 81 BB 84 02 00 00 2B 01 7D 35 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C0 02 00 00 8B 08 FF 51 34 83 7D FC 00 75 CD EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 08 00 00 00 41 52 54 49 43 4C 45 20 00 00 00 00 }
	condition:
		$1
}

rule function_13677_0 {
	meta:
		name = "TNMNNTP.ExtractAttachments"
		size = 344
		refs = "000e TNMNNTP.ExtractAttachments 0027 TExStringList.GetValue 0034 TNMNNTP.ExtractEmbedded 0044 UpperCase 0051 @LStrPos 007f @LStrCopy 0095 @LStrLen 00a5 @LStrSetLength 00e5 TNMNNTP.ExtractMultipart 0108 @LStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 0C 8B C3 E8 ?? ?? ?? ?? E9 B5 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 8E 00 00 00 8D 83 F4 02 00 00 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 07 B9 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 80 38 16 75 1D 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 83 F4 02 00 00 E8 ?? ?? ?? ?? EB 37 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B D0 83 EA 03 8D 83 F4 02 00 00 E8 ?? ?? ?? ?? 8D 83 F4 02 00 00 50 B9 FF 00 00 00 BA 02 00 00 00 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 FF FF FF FF 0C 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 00 00 00 00 FF FF FF FF 09 00 00 00 6D 75 6C 74 69 70 61 72 74 00 00 00 FF FF FF FF 05 00 00 00 64 61 72 79 3D 00 00 00 }
	condition:
		$1
}

rule function_13678_0 {
	meta:
		name = "TNMNNTP.ExtractEmbedded"
		size = 728
		refs = "0015 TNMNNTP.ExtractEmbedded 0026 _Dn_TStringList 002b TObject.Create 0067 @LStrLen 0089 @LStrPos 00fa NthWord 0109 @LStrLAsg 0184 TNMNNTP.Decode 019f sNNTP_Cons_FileMsg1 01a4 LoadResString 01b8 sNNTP_Cons_FileMsg2 01cd @LStrCatN 0212 @LStrCmp 023b TObject.Free 0249 @HandleFinally 0265 @LStrArrayClr 026d @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CB FF 43 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 83 F8 3D 75 21 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 25 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 28 01 00 00 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 29 C6 45 FF 01 8D 45 F8 50 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 45 EC B9 03 00 00 00 B2 20 E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 40 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 EC 8B 45 F4 8B 08 FF 51 34 43 80 7D FF 00 75 1D 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 83 F8 3D 75 27 80 7D FF 00 74 BB 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 9A 8D 4D F8 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 55 F8 8B 08 FF 51 34 68 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 FF B6 E4 02 00 00 FF 75 F8 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 8B 08 FF 51 34 EB 1B 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 EC 8B 45 F0 8B 08 FF 51 34 8D 4D EC 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 36 FE FF FF 8B 86 C8 02 00 00 8B 55 F0 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 09 00 00 00 62 65 67 69 6E 20 36 34 34 00 00 00 FF FF FF FF 0B 00 00 00 65 78 74 72 61 63 74 2E 64 61 74 00 FF FF FF FF 03 00 00 00 65 6E 64 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13679_0 {
	meta:
		name = "TNMNNTP.ExtractMultipart"
		size = 940
		refs = "0018 TNMNNTP.ExtractMultipart 0027 _Dn_TExStringList 002c TObject.Create 007c @LStrPos 0110 TExStringList.GetValue 0170 NthWord 017f @LStrLAsg 01bf TNMNNTP.Decode 01e7 sNNTP_Cons_FileMsg1 01ec LoadResString 0200 sNNTP_Cons_FileMsg2 0215 @LStrCatN 0247 @LStrCat3 0278 @LStrCmp 029d TObject.Free 02b3 @HandleFinally 02cf @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 01 43 8D 4D E0 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 E0 8B 86 F4 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 DD 8B 45 FC 8B 10 FF 52 40 8B 45 F8 8B 10 FF 52 40 43 8D 4D E0 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 E0 8B 45 FC 8B 08 FF 51 34 8D 4D E0 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 83 7D E0 00 75 CE 43 8D 4D E0 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 E0 8B 45 F8 8B 08 FF 51 34 8D 4D E0 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 E0 8B 86 F4 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E C2 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1B 8D 55 E0 8B 45 F8 8B 08 FF 51 1C 8B 55 E0 8B 45 F4 8B 08 FF 51 34 E9 D4 00 00 00 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 15 8D 45 EC 50 B9 02 00 00 00 B2 22 8B 45 F0 E8 ?? ?? ?? ?? EB 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 22 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 11 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0F 8D 4D EC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 0B 8B 55 EC 8B 45 F8 8B 08 FF 51 64 8B 86 CC 02 00 00 8B 55 EC 8B 08 FF 51 34 68 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC FF B6 E4 02 00 00 FF 75 EC 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D8 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 08 FF 51 34 8D 4D E0 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 45 E0 50 8B 96 F4 02 00 00 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 5A E8 ?? ?? ?? ?? 85 C0 0F 8E 28 FE FF FF EB 01 43 8D 4D E0 8B 86 C8 02 00 00 8B D3 8B 38 FF 57 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 E0 8B 86 C8 02 00 00 8B 55 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0D 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 00 00 00 FF FF FF FF 19 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 00 00 00 FF FF FF FF 04 00 00 00 74 65 78 74 00 00 00 00 FF FF FF FF 04 00 00 00 6E 61 6D 65 00 00 00 00 FF FF FF FF 0B 00 00 00 45 78 74 72 61 63 74 2E 64 61 74 00 FF FF FF FF 06 00 00 00 62 61 73 65 36 34 00 00 FF FF FF FF 06 00 00 00 42 61 73 65 36 34 00 00 FF FF FF FF 0A 00 00 00 58 2D 55 55 45 4E 43 4F 44 45 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13680_0 {
	meta:
		name = "TNMNNTP.Decode"
		size = 400
		refs = "001f TNMNNTP.Decode 0037 NthWord 0062 IntToStr 0079 @LStrCatN 008a @LStrCat3 0092 FileExists 009d _Dn_TMemoryStream 00a2 TObject.Create 00c4 _Dn_TFileStream 00c9 TFileStream.Create 00ee _Dn_TNMUUProcessor 00f3 TNMUUProcessor.Create 0118 TStream.SetPosition 011f TNMUUProcessor.Decode 0126 TObject.Free 0149 @HandleFinally 0165 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F0 89 5D EC 8B D9 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 03 B9 01 00 00 00 B2 2E E8 ?? ?? ?? ?? 8D 45 EC 50 8B 03 B9 02 00 00 00 B2 2E E8 ?? ?? ?? ?? BE 01 00 00 00 EB 2A FF 75 F0 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 EC 8B C3 BA 05 00 00 00 E8 ?? ?? ?? ?? 46 8B 0B 8B 97 E4 02 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 BA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 68 FF FF 00 00 8B 0B 8B 97 E4 02 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 68 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 83 8C 00 00 00 01 8B 45 F4 89 83 88 00 00 00 8B 45 F8 89 83 84 00 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 5F 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13681_0 {
	meta:
		name = "TNMNNTP.SetPostAttachments"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 DC 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_13682_0 {
	meta:
		name = "TNMNNTP.SetPostBody"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 D8 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_13683_0 {
	meta:
		name = "TNMNNTP.SetPostHeader"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 D0 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_13684_0 {
	meta:
		name = "TPostRecordType.GetPrFromAddress"
		size = 40
		refs = "0009 TPostRecordType.GetPrFromAddress 0011 TExStringList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 04 00 00 00 46 72 6F 6D 00 00 00 00 }
	condition:
		$1
}

rule function_13685_0 {
	meta:
		name = "TPostRecordType.SetPrFromAddress"
		size = 100
		refs = "000e @LStrAddRef 0016 TPostRecordType.SetPrFromAddress 002c TExStringList.SetValue 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 46 72 6F 6D 00 00 00 00 }
	condition:
		$1
}

rule function_13686_0 {
	meta:
		name = "TPostRecordType.GetPrReplyTo"
		size = 40
		refs = "0009 TPostRecordType.GetPrReplyTo 0011 TExStringList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 52 65 70 6C 79 54 6F 00 }
	condition:
		$1
}

rule function_13687_0 {
	meta:
		name = "TPostRecordType.SetPrReplyTo"
		size = 100
		refs = "000e @LStrAddRef 0016 TPostRecordType.SetPrReplyTo 002c TExStringList.SetValue 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 07 00 00 00 52 65 70 6C 79 54 6F 00 }
	condition:
		$1
}

rule function_13688_0 {
	meta:
		name = "TPostRecordType.GetPrSubject"
		size = 40
		refs = "0009 TPostRecordType.GetPrSubject 0011 TExStringList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 07 00 00 00 53 75 62 6A 65 63 74 00 }
	condition:
		$1
}

rule function_13689_0 {
	meta:
		name = "TPostRecordType.SetPrSubject"
		size = 100
		refs = "000e @LStrAddRef 0016 TPostRecordType.SetPrSubject 002c TExStringList.SetValue 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 07 00 00 00 53 75 62 6A 65 63 74 00 }
	condition:
		$1
}

rule function_13690_0 {
	meta:
		name = "TPostRecordType.GetPrDistribution"
		size = 48
		refs = "0009 TPostRecordType.GetPrDistribution 0011 TExStringList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 0C 00 00 00 44 69 73 74 72 69 62 75 74 69 6F 6E 00 00 00 00 }
	condition:
		$1
}

rule function_13691_0 {
	meta:
		name = "TPostRecordType.SetPrDistribution"
		size = 108
		refs = "000e @LStrAddRef 0016 TPostRecordType.SetPrDistribution 002c TExStringList.SetValue 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 0C 00 00 00 44 69 73 74 72 69 62 75 74 69 6F 6E 00 00 00 00 }
	condition:
		$1
}

rule function_13692_0 {
	meta:
		name = "TPostRecordType.GetPrAppName"
		size = 48
		refs = "0009 TPostRecordType.GetPrAppName 0011 TExStringList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 0C 00 00 00 58 2D 4E 65 77 73 72 65 61 64 65 72 00 00 00 00 }
	condition:
		$1
}

rule function_13693_0 {
	meta:
		name = "TPostRecordType.SetPrAppName"
		size = 108
		refs = "000e @LStrAddRef 0016 TPostRecordType.SetPrAppName 002c TExStringList.SetValue 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 0C 00 00 00 58 2D 4E 65 77 73 72 65 61 64 65 72 00 00 00 00 }
	condition:
		$1
}

rule function_13694_0 {
	meta:
		name = "TPostRecordType.GetPrTimeDate"
		size = 40
		refs = "0009 TPostRecordType.GetPrTimeDate 0011 TExStringList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 }
	condition:
		$1
}

rule function_13695_0 {
	meta:
		name = "TPostRecordType.SetPrTimeDate"
		size = 100
		refs = "000e @LStrAddRef 0016 TPostRecordType.SetPrTimeDate 002c TExStringList.SetValue 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 }
	condition:
		$1
}

rule function_13696_0 {
	meta:
		name = "TPostRecordType.GetNewsGroups"
		size = 44
		refs = "0009 TPostRecordType.GetNewsGroups 0011 TExStringList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 0A 00 00 00 4E 65 77 73 67 72 6F 75 70 73 00 00 }
	condition:
		$1
}

rule function_13697_0 {
	meta:
		name = "TPostRecordType.SetNewsGroups"
		size = 104
		refs = "000e @LStrAddRef 0016 TPostRecordType.SetNewsGroups 002c TExStringList.SetValue 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 0A 00 00 00 4E 65 77 73 67 72 6F 75 70 73 00 00 }
	condition:
		$1
}

rule function_13698_0 {
	meta:
		name = "TPostRecordType.GetArticleId"
		size = 104
		refs = "000c TPostRecordType.GetArticleId 0022 TExStringList.GetValue 002c StrToIntDef 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 FF FF FF FF 05 00 00 00 41 72 74 49 44 00 00 00 }
	condition:
		$1
}

rule function_13702_0 {
	meta:
		name = "TSummary.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TExStringList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13704_0 {
	meta:
		name = "TNMPOP3.Create"
		size = 170
		refs = "000a @ClassCreate 0017 TPowersock.Create 0028 _DV_TMailMessage 002d TMailMessage.Create 003a _DV_TSummary 003f TSummary.Create 005e @LStrClr 006e TNMPOP3.AbortResume 0081 _Dn_TNMUUProcessor 0086 TNMUUProcessor.Create 0097 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 6E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 BC 02 00 00 C6 86 CD 02 00 00 00 C6 86 CE 02 00 00 00 8D 86 A8 02 00 00 E8 ?? ?? ?? ?? 89 B6 90 02 00 00 C7 86 8C 02 00 00 ?? ?? ?? ?? C7 86 20 03 00 00 02 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A4 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13705_0 {
	meta:
		name = "TNMPOP3.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0034 TPowersock.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13706_0 {
	meta:
		name = "CheckAuth"
		size = 296
		refs = "000b CheckAuth 0027 NthWord 0034 @LStrPos 0052 Cons_Msg_Auth_Fail 0057 LoadResString 0061 _Dn_Exception 0066 Exception.Create 006b @RaiseExcept 0107 @LStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 8B 40 F8 B9 01 00 00 00 B2 20 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 07 B3 01 E9 B3 00 00 00 33 DB 8B 45 08 83 78 F4 00 7E 26 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 82 00 00 00 8B 45 08 8B 40 F0 66 83 B8 E2 02 00 00 00 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4F 8B 45 08 C6 40 FF 00 8B 45 08 8B 70 F0 8B 45 08 8D 50 FF 8B 86 E4 02 00 00 FF 96 E0 02 00 00 8B 45 08 80 78 FF 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 FF 40 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 FF FF FF FF 03 00 00 00 2B 4F 4B 00 }
	condition:
		$1
}

rule function_13707_0 {
	meta:
		name = "TNMPOP3.Connect"
		size = 772
		refs = "0018 TNMPOP3.Connect 003e Cons_Msg_Auth_Fail 0043 LoadResString 004d _Dn_Exception 0052 Exception.Create 0057 @RaiseExcept 00f5 TPowersock.Connect 010e TPowersock.ReadLn 0121 NthWord 012e @LStrPos 0165 @LStrCat3 017c CheckAuth 0221 StrToIntDef 0239 @HandleAnyException 0246 @RaiseAgain 024b @DoneExcept 0293 @HandleFinally 02aa @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 F8 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 33 C0 89 45 F4 EB 76 8B 45 F0 66 83 B8 DA 02 00 00 00 75 23 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 83 7D F4 00 7F 60 C6 45 FF 00 8D 55 FF 8B 5D F0 8B 83 DC 02 00 00 FF 93 D8 02 00 00 80 7D FF 00 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 8B 45 F0 83 B8 C8 02 00 00 00 0F 84 7A FF FF FF 8B 45 F0 83 B8 C4 02 00 00 00 0F 84 6A FF FF FF C6 45 EE 00 8B 45 F0 80 B8 CE 02 00 00 00 74 06 C6 45 EE 01 EB 0A 8B 45 F0 C6 80 CE 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 01 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 89 45 F4 EB 65 8B 45 F0 8B 88 C4 02 00 00 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F8 8B 45 F0 8B 30 FF 56 3C 55 8B 45 F8 E8 ?? ?? ?? ?? 59 84 C0 74 30 8B 45 F0 8B 88 C8 02 00 00 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F8 8B 45 F0 8B 18 FF 53 3C 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 FF 45 F4 84 DB 74 97 C6 45 EF 01 8D 4D F8 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 3C 8D 45 E8 50 B9 01 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 B9 02 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 8B 55 F0 89 82 D0 02 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EE 00 75 0A 8B 45 F0 C6 80 CE 02 00 00 00 80 7D EF 00 74 1F 8B 45 F0 66 83 B8 1A 03 00 00 00 74 12 8B 5D F0 8B 55 F0 8B 83 1C 03 00 00 FF 93 18 03 00 00 C3 E9 ?? ?? ?? ?? EB C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 2B 4F 4B 00 FF FF FF FF 05 00 00 00 55 53 45 52 20 00 00 00 FF FF FF FF 05 00 00 00 50 41 53 53 20 00 00 00 FF FF FF FF 04 00 00 00 53 54 41 54 00 00 00 00 }
	condition:
		$1
}

rule function_13708_0 {
	meta:
		name = "TNMPOP3.Disconnect"
		size = 224
		refs = "0011 TNMPOP3.Disconnect 0054 NthWord 0061 @LStrPos 006f _Dn_Exception 0074 Exception.Create 0079 @RaiseExcept 008e TPowersock.Disconnect 0094 @HandleFinally 00b0 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 A0 02 00 00 00 74 73 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 51 55 49 54 00 00 00 00 FF FF FF FF 03 00 00 00 2B 4F 4B 00 }
	condition:
		$1
}

rule function_13709_0 {
	meta:
		name = "TNMPOP3.GetSummary"
		size = 920
		refs = "0014 TNMPOP3.GetSummary 004a TPowersock.CertifyConnect 0082 IntToStr 0097 @LStrCatN 00b8 NthWord 00c5 @LStrPos 00d3 _Dn_Exception 00d8 Exception.Create 00dd @RaiseExcept 00ff @LStrClr 013c TPowersock.ReadLn 0161 @LStrLen 0173 @LStrCopy 0200 @LStrSetLength 0236 @LStrCmp 0256 @LStrCat3 0282 Trim 028a StrToInt 029e sPOP_Cons_Summ_Retr 02a3 LoadResString 02b0 TPowersock.StatusMessage 02ec @HandleFinally 0308 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 CE 02 00 00 00 0F 85 C4 02 00 00 8B 45 FC C6 80 CE 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 FA 02 00 00 00 74 12 8B 75 FC 8B 55 FC 8B 86 FC 02 00 00 FF 96 F8 02 00 00 8B 45 FC C6 80 CC 02 00 00 00 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 4D F8 8B 45 FC 8B 30 FF 56 3C 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 8B 40 14 8B 10 FF 52 40 8B 45 FC 8B 80 BC 02 00 00 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 83 C0 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CC 02 00 00 00 0F 85 0B 01 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 27 8B 45 FC 8B 80 BC 02 00 00 83 C0 04 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 83 E9 0A BA 09 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 27 8B 45 FC 8B 80 BC 02 00 00 83 C0 08 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 83 E9 07 BA 06 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 1F 8B 45 FC 8B 80 BC 02 00 00 83 C0 10 50 B9 00 01 00 00 BA 0D 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 80 7C 02 FE 0D 75 17 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 F8 E8 ?? ?? ?? ?? EB 13 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 8B 40 14 8B 55 F8 8B 08 FF 51 34 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 F5 FE FF FF 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8D 45 F0 50 B9 03 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 BC 02 00 00 89 42 0C 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 02 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 04 03 00 00 FF 93 00 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 CE 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 54 4F 50 20 00 00 00 00 FF FF FF FF 02 00 00 00 20 30 00 00 FF FF FF FF 03 00 00 00 2B 4F 4B 00 FF FF FF FF 08 00 00 00 53 75 62 6A 65 63 74 3A 00 00 00 00 FF FF FF FF 05 00 00 00 46 72 6F 6D 3A 00 00 00 FF FF FF FF 0B 00 00 00 4D 65 73 73 61 67 65 2D 49 44 3A 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 05 00 00 00 4C 49 53 54 20 00 00 00 }
	condition:
		$1
}

rule function_13710_0 {
	meta:
		name = "TNMPOP3.GetMailMessage"
		size = 888
		refs = "0015 TNMPOP3.GetMailMessage 003d TPowersock.CertifyConnect 0077 @LStrClr 00b2 IntToStr 00c2 @LStrCat3 00e3 NthWord 00f0 @LStrPos 00fe _Dn_Exception 0103 Exception.Create 0108 @RaiseExcept 016d TNMPOP3.ReadHeader 019c TNMPOP3.ReadMailParts 01af UpperCase 01d3 TNMPOP3.ReadBody 025e @LStrCmp 029a sPOP_Cons_Msg_Retr 029f LoadResString 02ac TPowersock.StatusMessage 02e8 @HandleFinally 0304 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 CE 02 00 00 00 0F 85 BF 02 00 00 8B 45 FC C6 80 CE 02 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 FA 02 00 00 00 74 12 8B 75 FC 8B 55 FC 8B 86 FC 02 00 00 FF 96 F8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 B8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 CC 02 00 00 00 8B 45 FC C7 80 D4 02 00 00 02 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 4D F8 8B 45 FC 8B 30 FF 56 3C 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 02 00 00 8B 40 04 8B 10 FF 52 40 8B 45 FC 8B 80 C0 02 00 00 8B 40 08 8B 10 FF 52 40 8B 45 FC 8B 80 C0 02 00 00 8B 40 0C 8B 10 FF 52 40 8B 45 FC 8B 80 C0 02 00 00 83 C0 14 E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CC 02 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CC 02 00 00 00 0F 85 81 00 00 00 8B 45 FC 8B 90 B4 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0A 8B 45 FC E8 ?? ?? ?? ?? EB 60 8D 55 F4 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 36 8B 45 FC 33 D2 89 90 D4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 45 FC 8B B0 C0 02 00 00 8B 46 0C 33 D2 8B 38 FF 57 0C 8B 55 F4 8B 46 08 8B 08 FF 51 58 EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CD 02 00 00 00 74 6A 8B 45 FC 80 B8 CC 02 00 00 00 75 5E 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CC 02 00 00 00 74 12 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C EB 1A 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 83 B8 02 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 04 03 00 00 FF 93 00 03 00 00 8B 45 FC C6 80 CE 02 00 00 00 C3 E9 ?? ?? ?? ?? EB CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 52 45 54 52 20 00 00 00 FF FF FF FF 03 00 00 00 2B 4F 4B 00 FF FF FF FF 09 00 00 00 6D 75 6C 74 69 70 61 72 74 00 00 00 FF FF FF FF 06 00 00 00 42 41 53 45 36 34 00 00 FF FF FF FF 05 00 00 00 44 45 4C 45 20 00 00 00 FF FF FF FF 04 00 00 00 52 53 45 54 00 00 00 00 }
	condition:
		$1
}

rule function_13711_0 {
	meta:
		name = "TNMPOP3.Extract"
		size = 296
		refs = "001d @LStrAddRef 0025 TNMPOP3.Extract 0032 TPowersock.CertifyConnect 0058 @LStrPos 00c6 @LStrCopy 00d1 Trim 00dc @LStrAsg 00e6 @LStrClr 0100 @LStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 CB FF C6 45 F7 00 43 8D 4D F0 8B 86 C0 02 00 00 8B 40 04 8B D3 8B 38 FF 57 0C 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 04 C6 45 F7 01 80 7D F7 00 75 13 8B 86 C0 02 00 00 8B 40 04 8B 10 FF 52 14 48 3B D8 75 C0 80 7D F7 00 74 5F 8D 45 EC 50 8D 4D EC 8B 86 C0 02 00 00 8B 40 04 8B D3 8B 38 FF 57 0C 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8D 4D F0 8B 86 C0 02 00 00 8B 40 04 8B D3 8B 18 FF 53 0C 8B 45 F0 B9 FF 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_13712_0 {
	meta:
		name = "TNMPOP3.Reset"
		size = 120
		refs = "000d TNMPOP3.Reset 001a TPowersock.CertifyConnect 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 3C 66 83 BB EA 02 00 00 00 74 0E 8B D3 8B 83 EC 02 00 00 FF 93 E8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 FF FF FF FF 04 00 00 00 52 53 45 54 00 00 00 00 }
	condition:
		$1
}

rule function_13713_0 {
	meta:
		name = "TNMPOP3.List"
		size = 360
		refs = "0011 TNMPOP3.List 0047 TPowersock.CertifyConnect 0062 TPowersock.ReadLn 006a @LStrLen 0077 @LStrSetLength 0099 NthWord 00a1 StrToInt 00fc @LStrCmp 011f @HandleFinally 013b @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 CE 02 00 00 00 0F 85 FA 00 00 00 8B 45 FC C6 80 CE 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 F8 E8 ?? ?? ?? ?? EB 76 8B 45 FC 66 83 B8 F2 02 00 00 00 74 49 8D 45 F4 50 B9 02 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 5D FC 59 8B 83 F4 02 00 00 FF 93 F0 02 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 77 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 CE 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 4C 49 53 54 20 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13714_0 {
	meta:
		name = "TNMPOP3.ReadMailParts"
		size = 268
		refs = "000d TNMPOP3.ReadMailParts 002b @LStrLen 003b @LStrSetLength 0074 @LStrCopy 007e TPowersock.ReadLn 008c @LStrPos 00a0 TNMPOP3.ReadHeader 00b0 TNMPOP3.ReadBody 00d6 @LStrCmp 00ed @LStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 86 B0 02 00 00 80 38 16 75 1D 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 86 B0 02 00 00 E8 ?? ?? ?? ?? EB 37 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8B D0 83 EA 03 8D 86 B0 02 00 00 E8 ?? ?? ?? ?? 8D 86 B0 02 00 00 50 B9 FF 00 00 00 BA 02 00 00 00 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E E4 80 BE CC 02 00 00 00 75 07 8B C6 E8 ?? ?? ?? ?? 80 BE CC 02 00 00 00 75 09 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 09 80 BE CC 02 00 00 00 74 D1 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 FF FF FF FF 03 00 00 00 2E 0D 0A 00 }
	condition:
		$1
}

rule function_13715_0 {
	meta:
		name = "TNMPOP3.ReadHeader"
		size = 864
		refs = "0010 TNMPOP3.ReadHeader 002d TPowersock.ReadLn 0035 @LStrLen 0042 @LStrSetLength 0079 NthWord 0084 UpperCase 0091 @LStrCmp 00af @LStrCopy 019f @LStrPos 0262 @LStrAsg 02a2 @LStrArrayClr 02a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB CC 02 00 00 00 0F 85 3F 02 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 FC E8 ?? ?? ?? ?? 83 BB D4 02 00 00 02 75 11 8B 83 C0 02 00 00 8B 40 04 8B 55 FC 8B 08 FF 51 34 83 7D FC 00 0F 84 FC 01 00 00 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8B 83 C0 02 00 00 83 C0 14 50 B9 00 01 00 00 BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8B 83 C0 02 00 00 83 C0 10 50 B9 00 01 00 00 BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8D 83 B4 02 00 00 50 B9 00 01 00 00 BA 0F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 B9 01 00 00 00 B2 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8B 83 C0 02 00 00 83 C0 18 50 B9 00 01 00 00 BA 0D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 31 8D 83 B0 02 00 00 50 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 09 B9 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 19 8D 83 B8 02 00 00 50 B9 00 01 00 00 BA 1C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 1C 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 21 8D 45 F8 50 B9 02 00 00 00 B2 22 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 83 AC 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 80 BB CC 02 00 00 00 0F 84 A1 FD FF FF 83 BB D4 02 00 00 02 75 0A C7 83 D4 02 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 FF FF FF FF 08 00 00 00 53 55 42 4A 45 43 54 3A 00 00 00 00 FF FF FF FF 05 00 00 00 46 52 4F 4D 3A 00 00 00 FF FF FF FF 0D 00 00 00 43 4F 4E 54 45 4E 54 2D 54 59 50 45 3A 00 00 00 FF FF FF FF 0B 00 00 00 4D 45 53 53 41 47 45 2D 49 44 3A 00 FF FF FF FF 09 00 00 00 42 4F 55 4E 44 41 52 59 3D 00 00 00 FF FF FF FF 19 00 00 00 43 4F 4E 54 45 4E 54 2D 54 52 41 4E 53 46 45 52 2D 45 4E 43 4F 44 49 4E 47 00 00 00 FF FF FF FF 08 00 00 00 46 49 4C 45 4E 41 4D 45 00 00 00 00 FF FF FF FF 04 00 00 00 4E 41 4D 45 00 00 00 00 }
	condition:
		$1
}

rule function_13716_0 {
	meta:
		name = "TNMPOP3.ReadBody"
		size = 1300
		refs = "0017 TNMPOP3.ReadBody 004a @LStrCat3 0054 _Dn_TFileStream 0059 TFileStream.Create 0068 sPOP_Cons_Msg_File 006d LoadResString 0081 sPOP_Cons_Msg_Extr 0096 @LStrCatN 00b2 sPOP_Cons_Msg_ExtrF 00c4 TPowersock.StatusMessage 00cf TPowersock.ReadLn 00e3 @LStrLen 00f0 @LStrSetLength 0117 UniqueString 0121 TStream.WriteBuffer 013d @LStrPos 014e @LStrCmp 0187 TObject.Free 01a5 @LStrAsg 01be NthWord 01f0 IntToStr 0230 FileExists 035c sPOP_Cons_Msg_Deco 0376 TStream.GetSize 0388 TNMUUProcessor.Decode 03ab @HandleFinally 03ea RenameFile 041d @LStrCopy 0455 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 33 DB 8B 45 FC 83 B8 D4 02 00 00 00 75 7B 68 FF FF 00 00 8B 45 FC 8B 90 A8 02 00 00 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 8B 45 FC FF B0 AC 02 00 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D8 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 80 C0 02 00 00 8B 40 08 8B 08 FF 51 34 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 D4 02 00 00 00 7E 2B 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 02 00 00 8B 40 08 8B 55 F4 8B 08 FF 51 34 EB 1B 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 7F 1F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 45 FC 80 B8 CC 02 00 00 00 0F 84 6F FF FF FF 8B 45 FC 80 B8 CC 02 00 00 00 0F 85 7A 02 00 00 8B 45 FC 83 B8 D4 02 00 00 00 0F 85 6A 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 AC 02 00 00 00 75 12 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 8B 80 AC 02 00 00 B9 01 00 00 00 B2 2E E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC 8B 80 AC 02 00 00 B9 02 00 00 00 B2 2E E8 ?? ?? ?? ?? BB 01 00 00 00 EB 30 FF 75 F0 68 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 EC 8B 45 FC 05 AC 02 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 88 AC 02 00 00 8B 45 FC 8B 90 A8 02 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 AA 8B 45 FC 8B 90 AC 02 00 00 8B 45 FC 8B 80 C0 02 00 00 8B 40 0C 8B 08 FF 51 34 8B 45 FC 8B 90 B8 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 32 8B 45 FC 8B 90 B8 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 1B 8B 45 FC 8B 90 B8 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 16 01 00 00 6A 00 8B 45 FC 8B 90 A8 02 00 00 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 68 FF FF 00 00 8B 45 FC 8B 88 AC 02 00 00 8B 45 FC 8B 90 A8 02 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 A4 02 00 00 8B 55 E8 89 90 84 00 00 00 8B 55 E4 89 90 88 00 00 00 B8 ?? ?? ?? ?? 8B 55 FC 8B 92 B8 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 FC 8B 80 A4 02 00 00 C6 80 8C 00 00 00 01 EB 10 8B 45 FC 8B 80 A4 02 00 00 C6 80 8C 00 00 00 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 88 AC 02 00 00 8B 45 FC 8B 90 A8 02 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC 8B 90 A8 02 00 00 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 7E 31 8D 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 83 EA 03 B9 00 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 FB 01 8B 45 FC 33 D2 89 90 D4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8A 45 FB 5B 8B E5 5D C3 00 00 FF FF FF FF 08 00 00 00 54 65 6D 70 2E 6D 6D 65 00 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 03 00 00 00 2E 0D 0A 00 FF FF FF FF 08 00 00 00 74 65 78 74 2E 74 6D 70 00 00 00 00 FF FF FF FF 01 00 00 00 5F 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 06 00 00 00 62 61 73 65 36 34 00 00 FF FF FF FF 06 00 00 00 42 61 73 65 36 34 00 00 FF FF FF FF 0A 00 00 00 58 2D 55 55 45 4E 43 4F 44 45 00 00 FF FF FF FF 04 00 00 00 2D 2D 0D 0A 00 00 00 00 }
	condition:
		$1
}

rule function_13717_0 {
	meta:
		name = "TNMPOP3.DeleteMailMessage"
		size = 356
		refs = "0014 TNMPOP3.DeleteMailMessage 004e TPowersock.CertifyConnect 0058 IntToStr 0068 @LStrCat3 0089 NthWord 0096 @LStrCmp 00c1 _Dn_Exception 00c6 Exception.Create 00cb @RaiseExcept 0113 @HandleFinally 012f @LStrArrayClr 0137 @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 CE 02 00 00 00 0F 85 EB 00 00 00 C6 45 F7 00 8B 45 FC C6 80 CE 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8D 45 F0 50 B9 01 00 00 00 B2 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 35 8B 45 FC 66 83 B8 12 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 14 03 00 00 FF 93 10 03 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 CE 02 00 00 00 80 7D F7 00 74 1F 8B 45 FC 66 83 B8 0A 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 0C 03 00 00 FF 93 08 03 00 00 C3 E9 ?? ?? ?? ?? EB C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 44 45 4C 45 20 00 00 00 FF FF FF FF 03 00 00 00 2B 4F 4B 00 }
	condition:
		$1
}

rule function_13718_0 {
	meta:
		name = "TNMPOP3.Abort"
		size = 59
		refs = "0021 TPowersock.Cancel 002a TPowersock.Disconnect 0035 TMemoryStream.Clear"
	strings:
		$1 = { 53 8B D8 80 BB 84 00 00 00 00 75 2D 80 BB A0 02 00 00 00 74 24 80 BB CE 02 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13720_0 {
	meta:
		name = "TMailMessage.Create"
		size = 89
		refs = "000a @ClassCreate 0015 _Dn_TExStringList 001a TObject.Create 0024 _Dn_TStringList 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13721_0 {
	meta:
		name = "TMailMessage.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13725_0 {
	meta:
		name = "TNMSMTP.Create"
		size = 266
		refs = "0011 @ClassCreate 0021 TPowersock.Create 0029 TNMSMTP.Create 0057 _DV_TPostMessage 005c TPostMessage.Create 006c _Dn_TExStringList 0071 TObject.Create 0081 _Dn_TMemoryStream 00b9 TNMSMTP.AbortResume 00d5 @HandleAnyException 00e4 @DoneExcept 00f2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C7 80 B8 00 00 00 19 00 00 00 8B 45 FC C6 80 18 03 00 00 00 8B 45 FC C6 80 B8 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B0 02 00 00 8B 45 FC C6 80 19 03 00 00 01 8B 45 FC C6 80 C4 02 00 00 00 8B 45 FC 8B 55 FC 89 90 90 02 00 00 C7 80 8C 02 00 00 ?? ?? ?? ?? 8B 45 FC C7 80 1C 03 00 00 02 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13726_0 {
	meta:
		name = "TNMSMTP.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0038 TPowersock.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 AC 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13727_0 {
	meta:
		name = "TNMSMTP.Connect"
		size = 568
		refs = "0018 TNMSMTP.Connect 0058 TPowersock.Connect 0071 TPowersock.ReadLn 007c TNMSMTP.ReadExtraLines 0094 _Dn_Exception 0099 Exception.Create 009e @RaiseExcept 00b6 @LStrCat3 00ed Cons_Msg_Auth_Fail 00f2 LoadResString 019b @HandleAnyException 01a8 @RaiseAgain 01ad @DoneExcept 01f5 @HandleFinally 020c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 C6 45 F5 00 8B 45 FC 80 B8 B8 02 00 00 00 74 06 C6 45 F7 01 EB 0A 8B 45 FC C6 80 B8 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 81 B8 84 02 00 00 8F 01 7E 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 88 BC 02 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 FC 8B 30 FF 56 3C 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 81 B8 84 02 00 00 2B 01 0F 8E 95 00 00 00 85 DB 7E 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6E 8B 45 FC 66 83 B8 12 03 00 00 00 75 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E C6 45 F6 00 8D 55 F6 8B 75 FC 8B 86 14 03 00 00 FF 96 10 03 00 00 80 7D F6 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 FC 66 81 B8 84 02 00 00 2B 01 0F 8D 18 FF FF FF C6 45 F5 01 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 75 0A 8B 45 FC C6 80 B8 02 00 00 00 80 7D F5 00 74 1F 8B 45 FC 66 83 B8 A6 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 A8 02 00 00 FF 93 A4 02 00 00 C3 E9 ?? ?? ?? ?? EB C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 05 00 00 00 48 45 4C 4F 20 00 00 00 }
	condition:
		$1
}

rule function_13728_0 {
	meta:
		name = "TNMSMTP.Disconnect"
		size = 184
		refs = "0013 TNMSMTP.Disconnect 0059 _Dn_Exception 005e Exception.Create 0063 @RaiseExcept 0078 TPowersock.Disconnect 007e @HandleFinally 0095 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 84 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 53 01 7E 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 00 FF FF FF FF 04 00 00 00 51 55 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_13729_0 {
	meta:
		name = "TNMSMTP.SendMail"
		size = 1784
		refs = "0015 TNMSMTP.SendMail 004f TNMSMTP.AssembleMail 0057 TPowersock.CertifyConnect 00bf sSMTP_Msg_Incomp_Head 00c4 LoadResString 00ce _Dn_Exception 00d3 Exception.Create 00d8 @RaiseExcept 0258 @LStrCatN 02dd TNMSMTP.ExtractAddress 0569 TPowersock.Write 057a TPowersock.SendStream 0601 TNMSMTP.ClearParameters 0643 @HandleFinally 065f @LStrArrayClr 0667 @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 B8 02 00 00 00 0F 85 1A 06 00 00 C6 45 F7 00 8B 45 FC C6 80 B8 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 80 AC 02 00 00 83 78 08 00 74 4B 8B 45 FC 8B 80 AC 02 00 00 8B 40 20 8B 10 FF 52 14 85 C0 0F 85 F7 00 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 40 24 8B 10 FF 52 14 85 C0 0F 85 DE 00 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 40 28 8B 10 FF 52 14 85 C0 0F 85 C5 00 00 00 85 DB 7E 26 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 8B 45 FC 66 83 B8 CA 02 00 00 00 75 23 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6B C6 45 F6 00 8B 45 FC 8B 80 AC 02 00 00 83 78 08 00 75 19 8D 55 F6 8B 75 FC B9 01 00 00 00 8B 86 CC 02 00 00 FF 96 C8 02 00 00 EB 17 8D 55 F6 8B 75 FC B9 02 00 00 00 8B 86 CC 02 00 00 FF 96 C8 02 00 00 80 7D F6 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 FC 8B 80 AC 02 00 00 83 78 08 00 0F 84 CE FE FF FF 8B 45 FC 8B 80 AC 02 00 00 8B 40 20 8B 10 FF 52 14 85 C0 75 2E 8B 45 FC 8B 80 AC 02 00 00 8B 40 24 8B 10 FF 52 14 85 C0 75 19 8B 45 FC 8B 80 AC 02 00 00 8B 40 28 8B 10 FF 52 14 85 C0 0F 84 8B FE FF FF 8B 45 FC 66 83 B8 D2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 D4 02 00 00 FF 93 D0 02 00 00 8B 45 FC C6 80 B9 02 00 00 00 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 8F 01 7E 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B9 02 00 00 00 75 31 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 FF 70 08 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F8 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 8F 01 7E 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B9 02 00 00 00 0F 85 BF 00 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 40 20 8B 10 FF 52 14 8B D8 85 DB 0F 8E A4 00 00 00 BE 01 00 00 00 8D 4D EC 8B D6 4A 8B 45 FC 8B 80 AC 02 00 00 8B 40 20 8B 38 FF 57 0C 8B 55 EC 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 6C 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F8 8B 45 FC 8B 38 FF 57 3C 8B 45 FC 66 81 B8 84 02 00 00 2C 01 7E 36 8B 45 FC 66 83 B8 02 03 00 00 00 74 29 8D 4D EC 8B D6 4A 8B 45 FC 8B 80 AC 02 00 00 8B 40 20 8B 38 FF 57 0C 8B 55 EC 8B 7D FC 8B 87 04 03 00 00 FF 97 00 03 00 00 46 4B 0F 85 61 FF FF FF 8B 45 FC 80 B8 B9 02 00 00 00 0F 85 BF 00 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 40 24 8B 10 FF 52 14 8B D8 85 DB 0F 8E A4 00 00 00 BE 01 00 00 00 8D 4D EC 8B D6 4A 8B 45 FC 8B 80 AC 02 00 00 8B 40 24 8B 38 FF 57 0C 8B 55 EC 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 6C 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F8 8B 45 FC 8B 38 FF 57 3C 8B 45 FC 66 81 B8 84 02 00 00 2C 01 7E 36 8B 45 FC 66 83 B8 02 03 00 00 00 74 29 8D 4D EC 8B D6 4A 8B 45 FC 8B 80 AC 02 00 00 8B 40 20 8B 38 FF 57 0C 8B 55 EC 8B 7D FC 8B 87 04 03 00 00 FF 97 00 03 00 00 46 4B 0F 85 61 FF FF FF 8B 45 FC 80 B8 B9 02 00 00 00 0F 85 BF 00 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 40 28 8B 10 FF 52 14 8B D8 85 DB 0F 8E A4 00 00 00 BE 01 00 00 00 8D 4D EC 8B D6 4A 8B 45 FC 8B 80 AC 02 00 00 8B 40 28 8B 38 FF 57 0C 8B 55 EC 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 6C 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F8 8B 45 FC 8B 38 FF 57 3C 8B 45 FC 66 81 B8 84 02 00 00 2C 01 7E 36 8B 45 FC 66 83 B8 02 03 00 00 00 74 29 8D 4D EC 8B D6 4A 8B 45 FC 8B 80 AC 02 00 00 8B 40 20 8B 38 FF 57 0C 8B 55 EC 8B 7D FC 8B 87 04 03 00 00 FF 97 00 03 00 00 46 4B 0F 85 61 FF FF FF 8B 45 FC 80 B8 B9 02 00 00 00 75 10 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 8F 01 7E 14 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 B4 02 00 00 8B 08 FF 51 1C FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 B0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 8F 01 7E 35 8B 45 FC 66 83 B8 E2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 E4 02 00 00 FF 93 E0 02 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 C6 45 F7 01 8B 45 FC 80 B8 B9 02 00 00 00 74 10 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 80 B8 19 03 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B8 02 00 00 00 80 7D F7 00 74 1F 8B 45 FC 66 83 B8 DA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 DC 02 00 00 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 52 53 45 54 00 00 00 00 FF FF FF FF 0B 00 00 00 4D 41 49 4C 20 46 52 4F 4D 3A 3C 00 FF FF FF FF 01 00 00 00 3E 00 00 00 FF FF FF FF 09 00 00 00 52 43 50 54 20 54 4F 3A 3C 00 00 00 FF FF FF FF 04 00 00 00 44 41 54 41 00 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 06 00 00 00 0D 0A 52 53 45 54 00 00 }
	condition:
		$1
}

rule function_13730_0 {
	meta:
		name = "TNMSMTP.AssembleMail"
		size = 1648
		refs = "0012 TNMSMTP.AssembleMail 004b @LStrCatN 009f @LStrCat3 01a6 TExStringList.SetValue 0247 Time 0256 TimeToStr 02a4 TMemoryStream.Clear 032a @LStrLen 0333 UniqueString 0435 TNMSMTP.SendAttachments 048f @HandleFinally 04a6 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B4 02 00 00 8B 10 FF 52 40 68 ?? ?? ?? ?? 8B B3 AC 02 00 00 FF 76 04 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 B4 02 00 00 8B 08 FF 51 34 8B 83 AC 02 00 00 8B 40 20 8B 10 FF 52 14 85 C0 0F 8E 84 00 00 00 89 45 F8 BE 01 00 00 00 83 FE 01 75 25 8D 4D F4 8B 83 AC 02 00 00 8B 40 20 33 D2 8B 38 FF 57 0C 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C FF 75 FC 68 ?? ?? ?? ?? 8D 4D F4 8B D6 4A 8B 83 AC 02 00 00 8B 40 20 8B 38 FF 57 0C FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 8B 40 20 8B 10 FF 52 14 3B F0 75 0E 8B 83 B4 02 00 00 8B 55 FC 8B 08 FF 51 34 46 FF 4D F8 75 84 8B 83 AC 02 00 00 8B 40 24 8B 10 FF 52 14 85 C0 0F 8E 84 00 00 00 89 45 F8 BE 01 00 00 00 83 FE 01 75 25 8D 4D F4 8B 83 AC 02 00 00 8B 40 24 33 D2 8B 38 FF 57 0C 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C FF 75 FC 68 ?? ?? ?? ?? 8D 4D F4 8B D6 4A 8B 83 AC 02 00 00 8B 40 24 8B 38 FF 57 0C FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 8B 40 24 8B 10 FF 52 14 3B F0 75 0E 8B 83 B4 02 00 00 8B 55 FC 8B 08 FF 51 34 46 FF 4D F8 75 84 8B 83 AC 02 00 00 8B 48 0C 8B 83 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 8B 48 10 8B 83 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 83 78 18 00 74 19 8B 83 AC 02 00 00 8B 48 18 8B 83 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 83 78 14 00 74 19 8B 83 AC 02 00 00 8B 48 14 8B 83 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 34 8B 83 AC 02 00 00 8B 40 1C 8B 10 FF 52 14 85 C0 75 12 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 34 EB 5C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 83 C0 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF B3 C0 02 00 00 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 B4 02 00 00 8B 08 FF 51 34 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 AC 02 00 00 8B 40 1C 8B 10 FF 52 14 85 C0 0F 85 84 00 00 00 8B 83 AC 02 00 00 8B 40 2C 8B 10 FF 52 14 85 C0 0F 8E 9E 01 00 00 89 45 F8 BE 01 00 00 00 8D 4D F4 8B D6 4A 8B 83 AC 02 00 00 8B 40 2C 8B 38 FF 57 0C 8B 55 F4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 38 2E 75 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 B0 02 00 00 59 8B 38 FF 57 08 46 FF 4D F8 75 9F E9 30 01 00 00 68 ?? ?? ?? ?? FF B3 C0 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 B0 02 00 00 59 8B 30 FF 56 08 8B 83 AC 02 00 00 8B 40 2C 8B 10 FF 52 14 85 C0 7E 69 89 45 F8 BE 01 00 00 00 8D 4D F4 8B D6 4A 8B 83 AC 02 00 00 8B 40 2C 8B 38 FF 57 0C 8B 55 F4 B9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 38 2E 75 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 B0 02 00 00 59 8B 38 FF 57 08 46 FF 4D F8 75 9F 8B 83 AC 02 00 00 8B 40 1C 8B 10 FF 52 14 85 C0 7E 17 89 45 F8 BE 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F8 75 F1 68 ?? ?? ?? ?? FF B3 C0 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 B0 02 00 00 59 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 06 00 00 00 46 72 6F 6D 3A 20 00 00 FF FF FF FF 01 00 00 00 3C 00 00 00 FF FF FF FF 01 00 00 00 3E 00 00 00 FF FF FF FF 04 00 00 00 54 6F 3A 20 00 00 00 00 FF FF FF FF 01 00 00 00 2C 00 00 00 FF FF FF FF 04 00 00 00 43 43 3A 20 00 00 00 00 FF FF FF FF 07 00 00 00 53 75 62 6A 65 63 74 00 FF FF FF FF 08 00 00 00 58 2D 4D 61 69 6C 65 72 00 00 00 00 FF FF FF FF 08 00 00 00 52 65 70 6C 79 2D 54 6F 00 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 FF FF FF FF 11 00 00 00 4D 69 6D 65 2D 56 65 72 73 69 6F 6E 3A 20 31 2E 30 00 00 00 FF FF FF FF 41 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 74 65 78 74 2F 70 6C 61 69 6E 3B 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 63 68 61 72 73 65 74 3D 75 73 2D 61 73 63 69 69 00 00 00 FF FF FF FF 19 00 00 00 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 3D 35 34 35 33 35 00 00 00 FF FF FF FF 04 00 00 00 3D 3D 3D 3D 00 00 00 00 FF FF FF FF 3B 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 6D 75 6C 74 69 70 61 72 74 2F 6D 69 78 65 64 3B 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 62 6F 75 6E 64 61 72 79 3D 22 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 }
	condition:
		$1
}

rule function_13731_0 {
	meta:
		name = "TNMSMTP.SendAttachments"
		size = 1024
		refs = "001e TNMSMTP.SendAttachments 0044 @LStrCatN 0071 ExtractFileName 0105 @LStrLen 010e UniqueString 0129 _Dn_TNMUUProcessor 012e TNMUUProcessor.Create 0146 _Dn_TMemoryStream 014b TObject.Create 0182 _Dn_TFileStream 0187 TFileStream.Create 01ed TNMUUProcessor.Encode 01fc @HandleOnException 0204 _Dn_EFOpenError 0244 @RaiseAgain 0249 @DoneExcept 0298 TStream.SetPosition 02a0 TStream.GetSize 02b3 TStream.CopyFrom 02c8 TObject.Free 02d6 @HandleFinally 030f @LStrArrayClr 0317 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 FC FF B0 C0 02 00 00 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D E0 8B 5D F8 4B 8B D3 8B 45 FC 8B 80 AC 02 00 00 8B 40 1C 8B 30 FF 56 0C 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D E0 8B D3 8B 45 FC 8B 80 AC 02 00 00 8B 40 1C 8B 30 FF 56 0C 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 B0 02 00 00 59 8B 30 FF 56 08 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8A 80 18 03 00 00 8B 55 F4 88 82 8C 00 00 00 6A 00 8D 4D E4 8B D3 8B 45 FC 8B 80 AC 02 00 00 8B 40 1C 8B 30 FF 56 0C 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 F4 8B 55 E8 89 90 84 00 00 00 8B 45 F4 8B 55 EC 89 90 88 00 00 00 8B 45 FC 66 83 B8 EA 02 00 00 00 74 28 8D 4D E4 8B D3 8B 45 FC 8B 80 AC 02 00 00 8B 40 1C 8B 18 FF 53 0C 8B 55 E4 8B 5D FC 8B 83 EC 02 00 00 FF 93 E8 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 52 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 66 83 B8 FA 02 00 00 00 74 2A 8D 4D E4 8B 55 F8 4A 8B 45 FC 8B 80 AC 02 00 00 8B 40 1C 8B 18 FF 53 0C 8B 55 E4 8B 5D FC 8B 83 FC 02 00 00 FF 93 F8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 F2 02 00 00 00 74 2A 8D 4D E4 8B 55 F8 4A 8B 45 FC 8B 80 AC 02 00 00 8B 40 1C 8B 18 FF 53 0C 8B 55 E4 8B 5D FC 8B 83 F4 02 00 00 FF 93 F0 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 80 B0 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 FF FF FF FF 37 00 00 00 43 6F 6E 74 65 6E 74 2D 54 79 70 65 3A 20 61 70 70 6C 69 63 61 74 69 6F 6E 2F 6F 63 74 65 74 2D 73 74 72 65 61 6D 3B 20 20 20 20 20 20 20 20 20 20 6E 61 6D 65 3D 22 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 21 00 00 00 43 6F 6E 74 65 6E 74 2D 54 72 61 6E 73 66 65 72 2D 45 6E 63 6F 64 69 6E 67 3A 20 62 61 73 65 36 34 00 00 00 FF FF FF FF 3B 00 00 00 43 6F 6E 74 65 6E 74 2D 44 69 73 70 6F 73 69 74 69 6F 6E 3A 20 61 74 74 61 63 68 6D 65 6E 74 3B 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 66 69 6C 65 6E 61 6D 65 3D 22 00 }
	condition:
		$1
}

rule function_13732_0 {
	meta:
		name = "TNMSMTP.ReadExtraLines"
		size = 96
		refs = "000f TNMSMTP.ReadExtraLines 0021 TPowersock.ReadLn 002b @LStrAsg 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 03 80 38 20 74 E5 8B 03 80 78 03 2D 74 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13733_0 {
	meta:
		name = "TNMSMTP.Verify"
		size = 152
		refs = "0014 @LStrAddRef 001c TNMSMTP.Verify 0029 TPowersock.CertifyConnect 0039 @LStrCat3 0071 @LStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 4D F8 8B C3 8B 30 FF 56 3C 66 81 BB 84 02 00 00 FB 00 7E 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 56 52 46 59 20 00 00 00 }
	condition:
		$1
}

rule function_13734_0 {
	meta:
		name = "TNMSMTP.Abort"
		size = 59
		refs = "0021 TPowersock.Cancel 002a TPowersock.Disconnect 0035 TMemoryStream.Clear"
	strings:
		$1 = { 53 8B D8 80 BB 84 00 00 00 00 75 2D 80 BB A0 02 00 00 00 74 24 80 BB B8 02 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13736_0 {
	meta:
		name = "TNMSMTP.ExpandList"
		size = 288
		refs = "0019 @LStrAddRef 0021 TNMSMTP.ExpandList 005b TPowersock.CertifyConnect 006b @LStrCat3 00bb TNMSMTP.ReadExtraLines 00d8 @HandleFinally 00f4 @LStrArrayClr 00fc @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D F0 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 80 B8 B8 02 00 00 00 0F 85 9F 00 00 00 8B 45 FC C6 80 B8 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B 45 FC 8B 18 FF 53 3C 8B 45 FC 66 81 B8 84 02 00 00 8F 01 7E 06 C6 45 F7 00 EB 2E C6 45 F7 01 8B 45 FC 66 83 B8 0A 03 00 00 00 74 12 8B 5D FC 8B 55 F0 8B 83 0C 03 00 00 FF 93 08 03 00 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B8 02 00 00 01 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 F7 5B 8B E5 5D C3 FF FF FF FF 05 00 00 00 45 58 50 4E 20 00 00 00 }
	condition:
		$1
}

rule function_13737_0 {
	meta:
		name = "TNMSMTP.ExtractAddress"
		size = 204
		refs = "0015 @LStrAddRef 001d TNMSMTP.ExtractAddress 0030 @LStrPos 0048 NthWord 0086 @LStrLAsg 00a0 @LStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 25 53 8D 45 F8 50 B9 02 00 00 00 B2 3C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 B9 01 00 00 00 B2 3E E8 ?? ?? ?? ?? EB 2D 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 12 53 B9 02 00 00 00 B2 3A 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3C 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_13738_0 {
	meta:
		name = "TNMSMTP.SetFinalHeader"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 B4 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_13739_0 {
	meta:
		name = "TPostMessage.Create"
		size = 128
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 006d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13740_0 {
	meta:
		name = "TPostMessage.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 000f TObject.Free 003b TPersistent.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13741_0 {
	meta:
		name = "TNMSMTP.ClearParameters"
		size = 61
	strings:
		$1 = { 53 8B D8 8B 83 AC 02 00 00 8B 40 20 8B 10 FF 52 40 8B 83 AC 02 00 00 8B 40 24 8B 10 FF 52 40 8B 83 AC 02 00 00 8B 40 28 8B 10 FF 52 40 8B 83 AC 02 00 00 8B 40 1C 8B 10 FF 52 40 5B C3 }
	condition:
		$1
}

rule function_13742_0 {
	meta:
		name = "TPostMessage.SetLinesTo"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 20 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_13746_0 {
	meta:
		name = "TPostMessage.SetLinesAttachments"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_13751_0 {
	meta:
		name = "TNMStrm.PostIt"
		size = 320
		refs = "0018 TNMStrm.PostIt 0046 @LStrLen 005c Format 006d @LStrCat 0078 TPowersock.Write 0083 TStream.GetSize 00ae TPowersock.SendStream 00db TPowersock.Read 00f6 @HandleFinally 010d @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 AA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 AC 02 00 00 FF 93 A8 02 00 00 8B CE 66 BA 10 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 25 2E 34 64 00 00 00 00 FF FF FF FF 04 00 00 00 25 31 30 64 00 00 00 00 }
	condition:
		$1
}

rule function_13754_0 {
	meta:
		name = "TNMStrmServ.Serve"
		size = 416
		refs = "0017 TNMStrmServ.Serve 0024 _Dn_TMemoryStream 0029 TObject.Create 0049 TPowersock.Read 0051 StrToInt 00a2 TPowersock.CaptureStream 00aa TStream.GetSize 00eb TPowersock.Write 00f5 TStream.SetPosition 0135 TObject.Free 013c Application 0143 TApplication.ProcessMessages 0155 @HandleFinally 0171 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 66 BA 04 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0D 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 66 BA 0A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 33 D2 89 90 C0 00 00 00 8B 45 FC 89 98 BC 00 00 00 85 DB 7E 49 8B CB 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 00 00 00 8B 45 FC 66 83 B8 C6 00 00 00 00 74 12 8B 75 FC 8B 55 FC 8B 86 C8 00 00 00 FF 96 C4 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 3B D8 7F B7 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 02 00 00 66 83 B8 BA 02 00 00 00 74 18 8B 55 F0 52 8B D8 8B 4D F8 8B 55 FC 8B 83 BC 02 00 00 FF 93 B8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 75 E8 C3 E9 ?? ?? ?? ?? EB D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 10 00 00 00 4F 4B 20 20 20 20 20 20 20 20 20 20 20 20 20 20 00 00 00 00 }
	condition:
		$1
}

rule function_13758_0 {
	meta:
		name = "TNMTime.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TPowersock.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B8 00 00 00 25 00 00 00 C7 86 8C 00 00 00 F4 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13759_0 {
	meta:
		name = "TNMTime.GetTimeStr"
		size = 900
		refs = "001b TNMTime.GetTimeStr 003f sPSk_Cons_msg_Conn 0044 LoadResString 004e _Dn_ESockError 0053 Exception.Create 0058 @RaiseExcept 0073 TPowersock.ResolveRemoteHost 0082 @HandleOnException 0098 sPSk_Cons_msg_host_to 00a8 @LStrCmp 00b2 sPSk_Cons_msg_host_Can 00c9 @RaiseAgain 00ce @DoneExcept 00ec sPSk_Cons_msg_add_null 0186 sPSk_Cons_msg_Conning 0198 TPowersock.StatusMessage 01c0 htons 0207 TPowersock.TimerOn 0221 connect 0226 Application 022d TApplication.ProcessMessages 024d TPowersock.TimerOff 0261 Cons_Msg_ConnectionTimedOut 0270 _Dn_Exception 02a4 TStream.GetSize 02b5 TPowersock.Read 02d0 @HandleFinally 02e2 @LStrLen 0312 @BoundErr 0349 TimeToStr 035e @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D E0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC 80 B8 A0 02 00 00 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 51 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 43 04 E8 ?? ?? ?? ?? 74 1A 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 43 04 E8 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 6C 02 00 00 00 0F 85 90 00 00 00 83 7D F4 00 7E 23 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B 45 FC 66 83 78 52 00 75 23 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A C6 45 F3 00 8D 55 F3 8B 5D FC 8B 43 54 FF 53 50 80 7D F3 00 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 8B 45 FC 83 B8 6C 02 00 00 00 0F 84 DF FE FF FF 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 C7 80 68 02 00 00 02 00 8B 45 FC 83 B8 9C 00 00 00 00 75 1C 8B 45 FC 66 8B 80 B8 00 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 6A 02 00 00 EB 1A 8B 45 FC 66 8B 80 A0 00 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 6A 02 00 00 BB 10 00 00 00 8B 45 FC C6 80 B4 00 00 00 00 8B 45 FC C6 80 B5 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 53 8B 45 FC 05 68 02 00 00 50 8B 45 FC 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B4 00 00 00 00 75 0C 8B 45 FC 80 B8 B5 00 00 00 00 74 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B5 00 00 00 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 E2 8D 4D EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB F0 33 C0 89 45 E4 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 48 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 3C BB 01 00 00 00 DD 45 E4 D8 0D ?? ?? ?? ?? DD 5D E4 9B 8B 55 EC 4B 3B 5A FC 72 05 E8 ?? ?? ?? ?? 43 8A 54 1A FF 81 E2 FF 00 00 00 89 55 DC DB 45 DC DC 45 E4 DD 5D E4 9B 43 48 75 C9 DD 45 E4 D8 35 ?? ?? ?? ?? DD 5D E4 9B FF 75 E8 FF 75 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 80 43 00 C0 A8 47 }
	condition:
		$1
}

rule function_13760_0 {
	meta:
		name = "TNMTime.GetTimeInt"
		size = 830
		refs = "0018 TNMTime.GetTimeInt 003c sPSk_Cons_msg_Conn 0041 LoadResString 004b _Dn_ESockError 0050 Exception.Create 0055 @RaiseExcept 0070 TPowersock.ResolveRemoteHost 007f @HandleOnException 0095 sPSk_Cons_msg_host_to 00a5 @LStrCmp 00af sPSk_Cons_msg_host_Can 00c6 @RaiseAgain 00cb @DoneExcept 00e9 sPSk_Cons_msg_add_null 0183 sPSk_Cons_msg_Conning 0195 TPowersock.StatusMessage 01bd htons 0204 TPowersock.TimerOn 021e connect 0223 Application 022a TApplication.ProcessMessages 024a TPowersock.TimerOff 025e Cons_Msg_ConnectionTimedOut 026d _Dn_Exception 02a1 TStream.GetSize 02b2 TPowersock.Read 02cd @HandleFinally 02d9 @LStrLen 0303 @BoundErr 0329 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC 80 B8 A0 02 00 00 00 74 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 51 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 04 E8 ?? ?? ?? ?? 74 1A 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 04 E8 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 6C 02 00 00 00 0F 85 90 00 00 00 83 7D F8 00 7E 23 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B 45 FC 66 83 78 52 00 75 23 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A C6 45 F7 00 8D 55 F7 8B 5D FC 8B 43 54 FF 53 50 80 7D F7 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 8B 45 FC 83 B8 6C 02 00 00 00 0F 84 DF FE FF FF 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 C7 80 68 02 00 00 02 00 8B 45 FC 83 B8 9C 00 00 00 00 75 1C 8B 45 FC 66 8B 80 B8 00 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 6A 02 00 00 EB 1A 8B 45 FC 66 8B 80 A0 00 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 6A 02 00 00 BE 10 00 00 00 8B 45 FC C6 80 B4 00 00 00 00 8B 45 FC C6 80 B5 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 56 8B 45 FC 05 68 02 00 00 50 8B 45 FC 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B4 00 00 00 00 75 0C 8B 45 FC 80 B8 B5 00 00 00 00 74 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B5 00 00 00 00 74 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 E2 8D 4D F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB F0 33 DB 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 32 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 26 BE 01 00 00 00 8B D3 C1 E2 08 8B DA 8B 55 F0 4E 3B 72 FC 72 05 E8 ?? ?? ?? ?? 46 0F B6 54 32 FF 03 DA 46 48 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13764_0 {
	meta:
		name = "TNMUDP.Create"
		size = 360
		refs = "0016 @ClassCreate 0023 TNMUDP.Create 0032 TComponent.Create 0043 @GetMem 004f TNMUDP.WndProc 0054 AllocateHWnd 0073 sUDP_Cons_Msg_Wsk 0078 LoadResString 0084 TNMUDP.StatusMessage 0095 WSAStartup 00b2 socket 00cb TNMUDP.ErrorManager 00e8 setsockopt 00f7 @HandleAnyException 00fc WSACleanup 0101 @RaiseAgain 0106 @DoneExcept 0132 @LStrClr 0138 @HandleFinally 0147 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 08 0A 00 00 00 B8 00 04 00 00 E8 ?? ?? ?? ?? 89 83 60 08 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 08 00 00 C7 83 00 0A 00 00 01 00 00 00 C6 83 64 08 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? 8D 83 68 08 00 00 50 68 01 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 6F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 02 6A 02 E8 ?? ?? ?? ?? 8B F0 89 B3 40 0A 00 00 46 75 0E 8D 4D F8 66 BA 33 27 8B C3 E8 ?? ?? ?? ?? 6A 04 68 ?? ?? ?? ?? 68 7F FF 00 00 68 FF FF 00 00 8B 83 40 0A 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 4D F8 66 BA 33 27 8B C3 E8 ?? ?? ?? ?? C6 83 08 0A 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 00 00 54 52 55 45 00 00 00 00 }
	condition:
		$1
}

rule function_13765_0 {
	meta:
		name = "TNMUDP.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0012 @FreeMem 001d DeallocateHWnd 0022 WSACleanup 002e TComponent.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 60 08 00 00 E8 ?? ?? ?? ?? 8B 86 58 08 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13766_0 {
	meta:
		name = "TNMUDP.SetLocalPort"
		size = 223
		refs = "0017 TNMUDP.SetLocalPort 002d closesocket 0032 WSACleanup 0043 WSAStartup 0060 socket 0079 TNMUDP.ErrorManager 0088 @HandleAnyException 0092 @RaiseAgain 0097 @DoneExcept 00cc @LStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 40 0A 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 68 08 00 00 50 68 01 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 52 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 02 6A 02 E8 ?? ?? ?? ?? 8B F0 89 B3 40 0A 00 00 46 75 0E 8D 4D F8 66 BA 33 27 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 4D F8 66 BA 33 27 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 34 08 00 00 8B C3 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13767_0 {
	meta:
		name = "TNMUDP.Loaded"
		size = 140
		refs = "000f TNMUDP.Loaded 0014 StrPCopy 001a inet_addr 0036 htons 0059 bind 0073 WSAAsyncSelect"
	strings:
		$1 = { 53 83 C4 EC 8B D8 F6 43 20 10 75 6B 8B C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 4C 08 00 00 66 C7 83 48 08 00 00 02 00 66 8B 83 34 08 00 00 50 E8 ?? ?? ?? ?? 66 89 83 4A 08 00 00 C6 83 5C 08 00 00 00 6A 10 8D 83 48 08 00 00 50 8B 83 40 0A 00 00 50 E8 ?? ?? ?? ?? 6A 01 68 65 04 00 00 8B 83 58 08 00 00 50 8B 83 40 0A 00 00 50 E8 ?? ?? ?? ?? 83 C4 14 5B C3 FF FF FF FF 07 00 00 00 30 2E 30 2E 30 2E 30 00 }
	condition:
		$1
}

rule function_13768_0 {
	meta:
		name = "TNMUDP.ResolveRemoteHost"
		size = 450
		refs = "0019 TNMUDP.ResolveRemoteHost 0030 StrPCopy 0036 inet_addr 0072 WSAAsyncGetHostByName 0077 Application 007e TApplication.ProcessMessages 00a4 sUDP_Cons_Msg_Lkp 00a9 LoadResString 00b6 _DV_UDPSockError 00bb Exception.Create 00c0 @RaiseExcept 01b0 @LStrClr 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 33 D2 89 95 78 FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 7F FF FF FF 8B 93 2C 08 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 B3 3C 08 00 00 46 0F 85 53 01 00 00 33 F6 C6 83 5C 08 00 00 00 68 00 04 00 00 8B 83 60 08 00 00 50 8D 85 7F FF FF FF 50 68 65 04 00 00 8B 83 58 08 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB 5C 08 00 00 00 75 09 80 BB 64 08 00 00 00 74 E2 80 BB 64 08 00 00 00 74 27 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 65 08 00 00 00 75 7A 83 FE 01 7D 4C 46 C6 45 FF 00 66 83 BB 2A 0A 00 00 00 74 0F 8D 55 FF 8B 83 2C 0A 00 00 FF 93 28 0A 00 00 80 7D FF 00 0F 85 95 00 00 00 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 8D 83 3C 08 00 00 8B 93 60 08 00 00 8B 52 0C 8B 12 8A 12 88 10 8B 93 60 08 00 00 8B 52 0C 8B 12 8A 52 01 88 50 01 8B 93 60 08 00 00 8B 52 0C 8B 12 8A 52 02 88 50 02 8B 93 60 08 00 00 8B 52 0C 8B 12 8A 52 03 88 50 03 80 BB 65 08 00 00 01 0F 85 AF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13769_0 {
	meta:
		name = "TNMUDP.SendStream"
		size = 490
		refs = "001c TNMUDP.SendStream 003d sUDP_Cons_Msg_InvStrm 0042 LoadResString 004f _Dn_Exception 0054 Exception.Create 0059 @RaiseExcept 00dc TStream.GetSize 00f2 TNMUDP.ResolveRemoteHost 0106 sUDP_Cons_Err_Addr 0118 _DV_UDPSockError 012d sUDP_Cons_Msg_Data 0141 TNMUDP.StatusMessage 0157 htons 016c TStream.SetPosition 0182 TStream.ReadBuffer 01a7 sendto 01d7 @LStrClr 01dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 F7 FF FF 53 56 57 33 C9 89 8D F4 F7 FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC E9 A9 00 00 00 83 7D FC 00 7E 29 8D 95 F4 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 F7 FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 66 83 BB 32 0A 00 00 00 75 29 8D 95 F4 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 F7 FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 C6 45 FB 00 8D 55 FB 8B CE 8B 83 34 0A 00 00 FF 93 30 0A 00 00 80 7D FB 00 75 29 8D 95 F4 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 F7 FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 FF 45 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 48 FF FF FF C6 83 64 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 3C 08 00 00 00 75 27 8D 95 F4 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 F7 FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 F4 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 F7 FF FF B2 02 8B C3 E8 ?? ?? ?? ?? 66 C7 83 38 08 00 00 02 00 66 8B 83 30 08 00 00 50 E8 ?? ?? ?? ?? 66 89 83 3A 08 00 00 BF 10 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 8D 95 FB F7 FF FF 8B C6 E8 ?? ?? ?? ?? 57 8D 83 38 08 00 00 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8D 85 FB F7 FF FF 50 8B 83 40 0A 00 00 50 E8 ?? ?? ?? ?? 66 83 BB 22 0A 00 00 00 74 0E 8B D3 8B 83 24 0A 00 00 FF 93 20 0A 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 F7 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13770_0 {
	meta:
		name = "TNMUDP.SendBuffer"
		size = 441
		refs = "002b TNMUDP.SendBuffer 0049 sUDP_Cons_Err_Buffer 004e LoadResString 0058 _Dn_Exception 005d Exception.Create 0062 @RaiseExcept 00f1 TNMUDP.ResolveRemoteHost 0102 sUDP_Cons_Err_Addr 0111 _DV_UDPSockError 0123 sUDP_Cons_Msg_Data 0134 TNMUDP.StatusMessage 014a htons 0174 sendto 01a1 @LStrClr 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B D9 C1 EB 02 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7D 08 00 0F 85 A6 00 00 00 85 F6 7E 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 75 66 83 BB 3A 0A 00 00 00 75 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 C6 45 F7 00 8B 45 F8 50 8D 45 08 50 8B 4D FC 8D 55 F7 8B 83 3C 0A 00 00 FF 93 38 0A 00 00 80 7D F7 00 75 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 46 83 7D 08 00 0F 84 5A FF FF FF C6 83 64 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 3C 08 00 00 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 02 8B C3 E8 ?? ?? ?? ?? 66 C7 83 38 08 00 00 02 00 66 8B 83 30 08 00 00 50 E8 ?? ?? ?? ?? 66 89 83 3A 08 00 00 B8 10 00 00 00 50 8D 83 38 08 00 00 50 6A 00 8B 45 08 50 8B 45 FC 50 8B 83 40 0A 00 00 50 E8 ?? ?? ?? ?? 66 83 BB 22 0A 00 00 00 74 0E 8B D3 8B 83 24 0A 00 00 FF 93 20 0A 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 75 E8 8B 5D EC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13771_0 {
	meta:
		name = "TNMUDP.ErrorManager"
		size = 226
		refs = "0017 TNMUDP.ErrorManager 0025 sUDP_Cons_Msg_Echk 002a LoadResString 0036 TNMUDP.StatusMessage 003b WSAGetLastError 0060 @BoundErr 0067 TNMUDP.SocketErrorStr 00a0 _DV_UDPSockError 00a5 Exception.Create 00aa @RaiseExcept 00b5 @LStrLAsg 00cf @LStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 0C 0A 00 00 0F B7 C7 8B D0 23 D6 3B C2 74 5C 8D 4D F8 8B D6 81 FA FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 BB 12 0A 00 00 00 74 25 8B 45 F8 50 8B 8B 0C 0A 00 00 81 F9 FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B D3 8B 83 14 0A 00 00 FF 93 10 0A 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13772_0 {
	meta:
		name = "TNMUDP.SocketErrorStr"
		size = 155
		refs = "0014 TNMUDP.SocketErrorStr 002f IntToStr 003b sUDP_Cons_Msg_Eno 0040 LoadResString 004b @LStrCat3 0053 sUDP_Cons_Msg_ELkp 0062 @LStrCat 006e TNMUDP.StatusMessage 0088 @LStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 85 FF 74 2C 83 3E 00 75 27 8D 55 FC 0F B7 C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 59 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 16 E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13773_0 {
	meta:
		name = "TNMUDP.StatusMessage"
		size = 125
		refs = "0011 @LStrAddRef 0019 TNMUDP.StatusMessage 0039 @LStrAsg 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A C3 3B 86 00 0A 00 00 7F 2C 8D 86 04 0A 00 00 8B 55 FC E8 ?? ?? ?? ?? 66 83 BE FA 09 00 00 00 74 14 8B 8E 04 0A 00 00 8B D6 8B 86 FC 09 00 00 FF 96 F8 09 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13774_0 {
	meta:
		name = "TNMUDP.WndProc"
		size = 62
		refs = "0019 TNMUDP.ProcessIncomingdata"
	strings:
		$1 = { 80 B8 08 0A 00 00 00 74 34 81 3A 65 04 00 00 75 2C 66 83 7A 08 01 75 07 E8 ?? ?? ?? ?? EB 1E C6 80 5C 08 00 00 01 66 83 7A 0A 00 76 09 C6 80 65 08 00 00 00 EB 07 C6 80 65 08 00 00 01 C3 }
	condition:
		$1
}

rule function_13775_0 {
	meta:
		name = "TNMUDP.ProcessIncomingdata"
		size = 232
		refs = "0012 TNMUDP.ProcessIncomingdata 003e recvfrom 0094 Format 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 10 00 00 00 8D 45 FC 50 8D 45 E8 50 6A 00 68 00 08 00 00 8D 43 24 50 8B 83 40 0A 00 00 50 E8 ?? ?? ?? ?? 89 83 28 08 00 00 66 83 BB 1A 0A 00 00 00 74 5E 8D 45 F8 50 33 C0 8A 45 EC 89 45 C8 C6 45 CC 00 33 C0 8A 45 ED 89 45 D0 C6 45 D4 00 33 C0 8A 45 EE 89 45 D8 C6 45 DC 00 33 C0 8A 45 EF 89 45 E0 C6 45 E4 00 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 8B 28 08 00 00 8B D3 8B 83 1C 0A 00 00 FF 93 18 0A 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 FF FF FF FF 0B 00 00 00 25 64 2E 25 64 2E 25 64 2E 25 64 00 }
	condition:
		$1
}

rule function_13776_0 {
	meta:
		name = "TNMUDP.ReadStream"
		size = 30
		refs = "000f TStream.WriteBuffer 0018 TStream.SetPosition"
	strings:
		$1 = { 53 8B DA 8D 50 24 8B 88 28 08 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13777_0 {
	meta:
		name = "TNMUDP.ReadBuffer"
		size = 36
		refs = "0010 Move"
	strings:
		$1 = { 55 8B EC 53 8B D8 8D 43 24 8B 8B 28 08 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 93 28 08 00 00 89 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13781_0 {
	meta:
		name = "TNMURL.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TComponent.Create 001f @LStrClr 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 24 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13783_0 {
	meta:
		name = "TNMURL.URLDecode"
		size = 448
		refs = "001e TNMURL.URLDecode 002c @LStrClr 0064 @LStrCat 0085 @PStrCpy 00a1 @PStrNCat 00d4 @LStrFromString 00dc StrToInt 00e6 @LStrFromChar 011f @LStrLen 0136 @HandleOnException 013e _Dn_Exception 015a sURL_DecodeMessage 015f LoadResString 0179 @LStrLAsg 017e @DoneExcept 01a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? BB 01 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 CB 00 00 00 8B 45 F8 8A 44 18 FF 3C 2B 75 16 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 43 E9 AA 00 00 00 8B 55 F8 3C 25 0F 85 81 00 00 00 BA ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 8A 14 1A 88 50 01 C6 00 01 8D 55 E8 8D 45 EC B1 02 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 8A 54 1A 01 88 50 01 C6 00 01 8D 55 E8 8D 45 E4 B1 03 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 C3 03 EB 1E 8D 45 E0 8B 55 F8 8A 54 1A FF E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 0F 8E 25 FF FF FF 33 C0 5A 59 59 64 89 10 EB 4D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 66 83 78 2A 00 74 20 8B 43 04 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 5D FC 8B 55 FC 8B 43 2C FF 53 28 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 01 24 00 00 }
	condition:
		$1
}

rule function_13784_0 {
	meta:
		name = "TNMURL.URLEncode"
		size = 404
		refs = "001b TNMURL.URLEncode 0029 @LStrClr 003f @LStrLen 00ae Format 00b9 @LStrCat 00e0 @LStrFromChar 0107 @HandleOnException 010f _Dn_Exception 012b sURL_EncodeMessage 0130 LoadResString 014a @LStrLAsg 014f @DoneExcept 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 66 85 F6 0F 86 AE 00 00 00 66 BF 01 00 0F B7 C7 8B 55 F8 8A 5C 02 FF 33 C0 8A C3 83 F8 3A 7D 0F 83 E8 20 72 24 74 56 48 83 E8 0F 72 1C EB 60 83 C0 C6 83 E8 07 72 12 83 C0 E6 83 E8 06 72 0A 83 C0 E6 2D 85 00 00 00 73 46 8D 45 F0 50 0F B7 C7 8B 55 F8 33 C0 8A C3 89 45 E8 C6 45 EC 00 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 EB 30 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 EB 1E 8D 45 F0 0F B7 D7 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 47 66 FF CE 0F 85 56 FF FF FF 33 C0 5A 59 59 64 89 10 EB 4D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 66 83 78 2A 00 74 20 8B 43 04 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 5D FC 8B 55 FC 8B 43 2C FF 53 28 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 06 00 00 00 25 25 25 2E 32 78 00 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_13785_0 {
	meta:
		name = "TNMURL.GetEncodeString"
		size = 21
		refs = "000e TNMURL.URLEncode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 24 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13786_0 {
	meta:
		name = "TNMURL.GetDecodeString"
		size = 21
		refs = "000e TNMURL.URLDecode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 24 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13790_0 {
	meta:
		name = "TNMUUProcessor.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TComponent.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 8C 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13791_0 {
	meta:
		name = "TNMUUProcessor.SetEncodeTable"
		size = 53
		refs = "0012 MimeTable 0024 UUTABLE"
	strings:
		$1 = { 56 57 8A 90 8C 00 00 00 80 EA 01 72 04 74 14 EB 21 BE ?? ?? ?? ?? 8D 78 44 B9 10 00 00 00 F3 A5 5F 5E C3 BE ?? ?? ?? ?? 8D 78 44 B9 10 00 00 00 F3 A5 5F 5E C3 }
	condition:
		$1
}

rule function_13792_0 {
	meta:
		name = "TNMUUProcessor.UuDEC"
		size = 7
	strings:
		$1 = { 8B C2 2C 20 24 3F C3 }
	condition:
		$1
}

rule function_13793_0 {
	meta:
		name = "TNMUUProcessor.UuENC"
		size = 14
	strings:
		$1 = { 80 E2 3F 81 E2 FF 00 00 00 8A 44 10 44 C3 }
	condition:
		$1
}

rule function_13794_0 {
	meta:
		name = "TNMUUProcessor.Encode"
		size = 920
		refs = "0018 TNMUUProcessor.Encode 002e TStream.SetPosition 005a TNMUUProcessor.SetEncodeTable 007f @LStrClr 0095 TNMUUProcessor.UuENC 009f @LStrFromChar 00aa @LStrCat 0279 @LStrLen 0282 UniqueString 02a1 TStream.GetPosition 02b1 TStream.GetSize 02f1 @LStrCat3 034c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 C4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 84 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 26 00 74 0C 8B 5D FC 8B 55 FC 8B 43 28 FF 53 24 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E9 34 02 00 00 8D 55 CB 8B 45 FC 8B 80 84 00 00 00 B9 2D 00 00 00 8B 18 FF 53 04 8B F8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 8C 00 00 00 01 75 1F 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? BE 01 00 00 00 E9 B3 00 00 00 33 DB 8A 5C 35 CA C1 EB 02 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8A 5C 35 CA C1 E3 04 33 C0 8A 44 35 CB C1 E8 04 0A D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8A 5C 35 CB C1 E3 02 33 C0 8A 44 35 CC C1 E8 06 0A D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8A 5C 35 CC 80 E3 3F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 83 C6 03 8B C7 83 E8 02 3B F0 0F 8E 40 FF FF FF 3B FE 0F 8C E8 00 00 00 33 DB 8A 5C 35 CA C1 EB 02 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 3B F7 75 44 8A 5C 35 CA C1 E3 04 80 E3 30 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 8C 00 00 00 00 75 6E 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5F 8A 5C 35 CA C1 E3 04 80 E3 30 33 C0 8A 44 35 CB C1 E8 04 24 0F 0A D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8A 5C 35 CB C1 E3 02 80 E3 3C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 8C 00 00 00 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 88 00 00 00 59 8B 18 FF 53 08 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 3B D8 0F 8C A6 FD FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 8C 00 00 00 01 75 24 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 88 00 00 00 59 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 2E 00 74 0C 8B 5D FC 8B 55 FC 8B 43 30 FF 53 2C C3 E9 ?? ?? ?? ?? EB D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 3D 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_13795_0 {
	meta:
		name = "TNMUUProcessor.Decode"
		size = 65
		refs = "0023 TNMUUProcessor.Base64Decode 002c TNMUUProcessor.StdDecode"
	strings:
		$1 = { 53 8B D8 66 83 7B 36 00 74 08 8B D3 8B 43 38 FF 53 34 8A 83 8C 00 00 00 2C 01 72 04 74 0B EB 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 66 83 7B 3E 00 74 08 8B D3 8B 43 40 FF 53 3C 5B C3 }
	condition:
		$1
}

rule function_13796_0 {
	meta:
		name = "TNMUUProcessor.Base64Decode"
		size = 588
		refs = "0017 TNMUUProcessor.Base64Decode 0031 TNMUUProcessor.ReadLnFromStream 003d @LStrLen 005c @LStrCopy 0069 CompareStr 00b7 base64Table 01ed TStream.GetPosition 01fa TStream.GetSize 0221 @LStrClr 022f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F6 01 8D 4D F8 8B 96 84 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 45 F5 00 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 02 0F 8E 9C 01 00 00 8D 45 EC 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 71 01 00 00 BB 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC EB 26 8B 45 F8 8A 44 18 FF 3C 0D 0F 84 7A 01 00 00 8B 55 F8 3C 0A 0F 84 6F 01 00 00 8B 55 F8 3C 3D 0F 84 64 01 00 00 43 8B 45 F8 0F B6 44 18 FF F6 80 ?? ?? ?? ?? 40 74 05 3B 5D FC 7C C4 3B 5D FC 75 04 C6 45 F5 01 80 7D F5 00 0F 85 10 01 00 00 E9 FC 00 00 00 8B 45 F8 8A 44 18 FF 3C 2B 73 06 43 E9 EB 00 00 00 8B 55 F8 3C 7A 76 06 43 E9 DE 00 00 00 8B 55 F8 25 FF 00 00 00 80 B8 ?? ?? ?? ?? 7F 75 06 43 E9 C7 00 00 00 8B 45 F8 0F B6 44 18 FF 8A 80 ?? ?? ?? ?? 43 8B 55 F8 0F B6 54 1A FF 8A 92 ?? ?? ?? ?? 88 55 F4 43 8B 55 F8 0F B6 54 1A FF 8A 92 ?? ?? ?? ?? 88 55 F3 43 C1 E0 02 33 D2 8A 55 F4 C1 EA 04 0A C2 88 45 F7 8D 55 F7 B9 01 00 00 00 8B 86 88 00 00 00 8B 38 FF 57 08 8B 45 F8 80 7C 18 FE 3D 74 63 8A 45 F4 C1 E0 04 33 D2 8A 55 F3 C1 EA 02 0A C2 88 45 F7 8D 55 F7 B9 01 00 00 00 8B 86 88 00 00 00 8B 38 FF 57 08 8B 45 F8 80 7C 18 FF 3D 74 2D 8A 45 F3 C1 E0 06 8B 55 F8 0F B6 54 1A FF 0A 82 ?? ?? ?? ?? 88 45 F7 8D 55 F7 B9 01 00 00 00 8B 86 88 00 00 00 8B 38 FF 57 08 43 EB 0A C6 45 F6 00 EB 04 C6 45 F6 00 3B 5D FC 7D 0A 80 7D F5 00 0F 84 F5 FE FF FF 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 3B D8 75 04 C6 45 F6 00 80 7D F6 01 0F 84 15 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 04 00 00 00 3D 3D 3D 3D 00 00 00 00 }
	condition:
		$1
}

rule function_13797_0 {
	meta:
		name = "TNMUUProcessor.StdDecode"
		size = 632
		refs = "0017 TNMUUProcessor.StdDecode 0031 TNMUUProcessor.ReadLnFromStream 0039 @LStrLen 004e TNMUUProcessor.UuDEC 01f3 CompareStr 01ff sUUE_Cons_Msg_NoLnEnd 0204 LoadResString 020c ShowMessage 0217 TStream.GetPosition 0224 TStream.GetSize 024b @LStrClr 0259 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F6 01 8D 4D F8 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 02 0F 8E CA 01 00 00 8B 45 F8 8A 10 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 FC BE 02 00 00 00 83 7D FC 00 0F 8E 71 01 00 00 83 7D FC 00 0F 8E 9D 01 00 00 83 7D FC 03 0F 8C BE 00 00 00 8B 45 F8 8A 54 30 FF 8B C3 E8 ?? ?? ?? ?? C1 E0 02 50 8B 45 F8 8A 14 30 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 C1 E8 04 5A 0A D0 88 55 F7 8D 55 F7 B9 01 00 00 00 8B 83 88 00 00 00 8B 38 FF 57 08 8B 45 F8 8A 14 30 8B C3 E8 ?? ?? ?? ?? C1 E0 04 50 8B 45 F8 8A 54 30 01 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 C1 E8 02 5A 0A D0 88 55 F7 8D 55 F7 B9 01 00 00 00 8B 83 88 00 00 00 8B 38 FF 57 08 8B 45 F8 8A 54 30 01 8B C3 E8 ?? ?? ?? ?? C1 E0 06 50 8B 45 F8 8A 54 30 02 8B C3 E8 ?? ?? ?? ?? 5A 0A D0 88 55 F7 8D 55 F7 B9 01 00 00 00 8B 83 88 00 00 00 8B 38 FF 57 08 E9 8C 00 00 00 83 7D FC 01 7C 40 8B 45 F8 8A 54 30 FF 8B C3 E8 ?? ?? ?? ?? C1 E0 02 50 8B 45 F8 8A 14 30 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 C1 E8 04 5A 0A D0 88 55 F7 8D 55 F7 B9 01 00 00 00 8B 83 88 00 00 00 8B 38 FF 57 08 83 7D FC 02 7C 40 8B 45 F8 8A 14 30 8B C3 E8 ?? ?? ?? ?? C1 E0 04 50 8B 45 F8 8A 54 30 01 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 C1 E8 02 5A 0A D0 88 55 F7 8D 55 F7 B9 01 00 00 00 8B 83 88 00 00 00 8B 38 FF 57 08 83 6D FC 03 83 C6 04 83 7D FC 00 0F 8F 9B FE FF FF EB 36 8D 4D F8 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 3B F0 75 04 C6 45 F6 00 80 7D F6 01 0F 84 EB FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 05 00 00 00 65 6E 64 0D 0A 00 00 00 }
	condition:
		$1
}

rule function_13798_0 {
	meta:
		name = "TNMUUProcessor.ReadLnFromStream"
		size = 108
		refs = "000b TStream.GetPosition 001a @LStrSetLength 0021 UniqueString 0036 TNMUUProcessor.ReadLnFromStream 003b @LStrPos 0049 TStream.SetPosition"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F2 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B C3 BA C8 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 B9 C8 00 00 00 8B C6 8B 38 FF 57 04 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 14 24 03 D7 8B C6 E8 ?? ?? ?? ?? 8B D7 83 EA 02 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_13801_0 {
	meta:
		name = "pblock_remove"
		size = 13
		refs = "0005 _pblock_fr"
	strings:
		$1 = { 6A FF 52 50 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_13802_0 {
	meta:
		name = "session_dns"
		size = 12
		refs = "0004 session_dns_lookup"
	strings:
		$1 = { 6A 00 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_13803_0 {
	meta:
		name = "NSstr2String"
		size = 25
		refs = "000b @LStrFromPChar 0011 system_free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 59 5E 5B C3 }
	condition:
		$1
}

rule function_13837_0 {
	meta:
		name = "server_fasttrack"
		size = 52
		refs = "0001 MAGNUS_VERSION_STRING 0006 server_fasttrack 000b StrComp"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C0 C3 00 00 00 4E 65 74 73 63 61 70 65 2D 46 61 73 74 54 72 61 63 6B 2F 32 2E 30 62 34 00 00 00 00 }
	condition:
		$1
}

rule function_13838_0 {
	meta:
		name = "server_enterprise"
		size = 52
		refs = "0001 MAGNUS_VERSION_STRING 0006 server_enterprise 000b StrComp"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C0 C3 00 00 00 4E 65 74 73 63 61 70 65 2D 45 6E 74 65 72 70 72 69 73 65 2F 32 2E 30 62 34 00 00 00 }
	condition:
		$1
}

rule function_13839_0 {
	meta:
		name = "CONVERT_TO_PRINTABLE_FORMAT"
		size = 22
	strings:
		$1 = { 85 C0 75 11 EB 09 80 FA 5C 75 03 C6 00 2F 40 8A 10 84 D2 75 F1 C3 }
	condition:
		$1
}

rule function_13840_0 {
	meta:
		name = "CONVERT_TO_NATIVE_FS"
		size = 22
	strings:
		$1 = { 85 C0 75 11 EB 09 80 FA 2F 75 03 C6 00 5C 40 8A 10 84 D2 75 F1 C3 }
	condition:
		$1
}

rule function_13841_0 {
	meta:
		name = "system_rename"
		size = 8
		refs = "0003 MoveFile"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13842_0 {
	meta:
		name = "system_unlink"
		size = 81
		refs = "000c system_unlink 001c @LStrFromPChar 0024 DeleteFile 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? F6 D8 1B C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_13843_0 {
	meta:
		name = "system_lseek"
		size = 13
		refs = "0008 SetFilePointer"
	strings:
		$1 = { 51 6A 00 52 8B 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13844_0 {
	meta:
		name = "system_flock"
		size = 11
		refs = "0005 sem_grab"
	strings:
		$1 = { 8B 40 08 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_13845_0 {
	meta:
		name = "system_ulock"
		size = 11
		refs = "0005 sem_release"
	strings:
		$1 = { 8B 40 08 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_13846_0 {
	meta:
		name = "dir_create"
		size = 24
		refs = "0007 CreateDirectory"
	strings:
		$1 = { 53 8B D8 6A 00 53 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_13847_0 {
	meta:
		name = "dir_remove"
		size = 22
		refs = "0005 RemoveDirectory"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_13848_0 {
	meta:
		name = "pblock_find"
		size = 13
		refs = "0005 _pblock_fr"
	strings:
		$1 = { 6A 00 52 50 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_13850_0 {
	meta:
		name = "netbuf_getc"
		size = 33
		refs = "0019 netbuf_next"
	strings:
		$1 = { 8B D0 8B 4A 04 3B 4A 08 74 0B 8B 42 54 0F B6 04 08 FF 42 04 C3 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_13851_0 {
	meta:
		name = "filebuf_getc"
		size = 26
	strings:
		$1 = { 8B 50 18 3B 50 0C 75 05 33 D2 8B C2 C3 8B 48 08 0F B6 14 11 FF 40 18 8B C2 C3 }
	condition:
		$1
}

rule function_13852_0 {
	meta:
		name = "pipebuf_getc"
		size = 33
		refs = "0019 pipebuf_next"
	strings:
		$1 = { 8B D0 8B 4A 18 3B 4A 14 74 0B 8B 42 10 0F B6 04 08 FF 42 18 C3 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_13854_0 {
	meta:
		name = "session_maxdns"
		size = 12
		refs = "0004 session_dns_lookup"
	strings:
		$1 = { 6A FF 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_13855_0 {
	meta:
		name = "CINFO_HASH"
		size = 33
		refs = "0007 IsCharAlpha 0015 CharLower"
	strings:
		$1 = { 53 8B D8 8A 03 50 E8 ?? ?? ?? ?? 85 C0 74 0E 33 C0 8A 03 50 E8 ?? ?? ?? ?? 2C 61 5B C3 B0 1A 5B C3 }
	condition:
		$1
}

rule function_13857_0 {
	meta:
		name = "userpw"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 08 C3 }
	condition:
		$1
}

rule function_13858_0 {
	meta:
		name = "pool_max"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 14 C3 }
	condition:
		$1
}

rule function_13859_0 {
	meta:
		name = "pool_min"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 18 C3 }
	condition:
		$1
}

rule function_13860_0 {
	meta:
		name = "pool_life"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 1C C3 }
	condition:
		$1
}

rule function_13861_0 {
	meta:
		name = "pool_maxthreads"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 20 C3 }
	condition:
		$1
}

rule function_13862_0 {
	meta:
		name = "pool_minthreads"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 24 C3 }
	condition:
		$1
}

rule function_13863_0 {
	meta:
		name = "server_hostname"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 28 C3 }
	condition:
		$1
}

rule function_13864_0 {
	meta:
		name = "root_object"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 2C C3 }
	condition:
		$1
}

rule function_13865_0 {
	meta:
		name = "std_os"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 30 C3 }
	condition:
		$1
}

rule function_13866_0 {
	meta:
		name = "acl_root"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 34 C3 }
	condition:
		$1
}

rule function_13867_0 {
	meta:
		name = "master_error_log"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 38 C3 }
	condition:
		$1
}

rule function_13868_0 {
	meta:
		name = "server_root"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 3C C3 }
	condition:
		$1
}

rule function_13869_0 {
	meta:
		name = "server_id"
		size = 9
		refs = "0001 conf_getglobals"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 40 C3 }
	condition:
		$1
}

rule function_14114_0 {
	meta:
		name = "TServerItem.Create"
		size = 95
		refs = "000e @ClassCreate 0024 TCollectionItem.Create 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 18 D3 00 00 00 8B 45 FC C6 40 14 00 8B 45 FC C6 40 0C 01 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_14115_0 {
	meta:
		name = "TServerItem.GetDisplayName"
		size = 49
		refs = "0016 @LStrLAsg 0029 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 75 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14116_0 {
	meta:
		name = "TServerCollection.Create"
		size = 77
		refs = "000e @ClassCreate 001c _DV_TServerItem 002a TOwnedCollection.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC A1 ?? ?? ?? ?? 50 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_14117_0 {
	meta:
		name = "TServerCollection.FindServer"
		size = 96
		refs = "0015 TCollection.GetCount 0030 TServerCollection.GetItem 003b @LStrCmp"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3B 40 89 45 EC C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 40 10 8B 55 F8 E8 ?? ?? ?? ?? 75 10 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 EB 08 FF 45 F0 FF 4D EC 75 D0 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_14118_0 {
	meta:
		name = "TDependencies.GetItem"
		size = 33
		refs = "0013 TCollection.GetItem"
		altNames = "TServerCollection.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_14119_0 {
	meta:
		name = "TServerCollection.GetNextName"
		size = 203
		refs = "0015 TServerCollection.GetNextName 0023 @LStrClr 002b TCollection.GetCount 0046 TServerCollection.GetItem 0073 @LStrLAsg 008d SNoServers 0092 LoadResString 009c _DV_EBrokerException 00a1 Exception.Create 00a6 @RaiseExcept 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 4D 40 89 45 F0 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 80 78 14 00 75 29 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 80 78 0C 00 74 18 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 50 10 8B 45 F8 E8 ?? ?? ?? ?? EB 08 FF 45 F4 FF 4D F0 75 BE 8B 45 F8 83 38 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_14120_0 {
	meta:
		name = "TServerCollection.GetBalancedName"
		size = 275
		refs = "0018 TServerCollection.GetBalancedName 002b TCollection.GetCount 003a _DT_6 003f @DynArraySetLength 0065 TServerCollection.GetItem 00a9 SNoServers 00ae LoadResString 00b8 _DV_EBrokerException 00bd Exception.Create 00c2 @RaiseExcept 00c7 Randomize 00cf @RandInt 00e0 @LStrLAsg 00f5 @LStrClr 0103 @DynArrayClear 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 33 C9 89 4D E4 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 4C 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 80 78 14 00 75 28 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 80 78 0C 00 74 17 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 4D F0 89 04 8A FF 45 F0 FF 45 F4 FF 4D E8 75 BF 83 7D F0 00 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B 04 82 8B 50 10 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B E5 5D C3 }
	condition:
		$1
}

rule function_14121_0 {
	meta:
		name = "TDependencies.SetItem"
		size = 33
		refs = "0019 TCollection.SetItem"
		altNames = "TServerCollection.SetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_14122_0 {
	meta:
		name = "TSimpleObjectBroker.Create"
		size = 99
		refs = "000e @ClassCreate 0024 TComponent.Create 0035 _DV_TServerCollection 003a TServerCollection.Create 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 28 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_14123_0 {
	meta:
		name = "TSimpleObjectBroker.Destroy"
		size = 60
		refs = "0007 @BeforeDestruction 0018 TObject.Free 0026 TComponent.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14124_0 {
	meta:
		name = "TSimpleObjectBroker.GetServerData"
		size = 269
		refs = "001e TSimpleObjectBroker.GetServerData 002b _Dn_TMemoryStream 0030 TObject.Create 004c TSimpleObjectBroker.SaveToStream 005d TStream.GetSize 0072 VarArrayCreate 007d @OleVarFromVar 0085 VarArrayLock 00ae Move 00c3 VarArrayUnlock 00c9 @HandleFinally 00e0 TObject.Free 00fd @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 50 33 C0 89 45 D8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 DC 8D 45 D8 B9 11 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_14125_0 {
	meta:
		name = "TSimpleObjectBroker.SetServerData"
		size = 234
		refs = "0011 VarIsNull 001d VarIsEmpty 002c TCollection.Clear 0038 _Dn_TMemoryStream 003d TObject.Create 0048 TSimpleObjectBroker.SetServerData 005b VarArrayHighBound 006c VarArrayLock 0085 TStream.GetSize 00a7 VarArrayUnlock 00ad @HandleFinally 00b9 TStream.SetPosition 00c4 TSimpleObjectBroker.LoadFromStream 00d9 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? E9 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 11 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 F4 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14126_0 {
	meta:
		name = "TSimpleObjectBroker.SaveToStream"
		size = 96
		refs = "0017 _Dn_TWriter 001c TFiler.Create 0027 TSimpleObjectBroker.SaveToStream 003b TWriter.WriteCollection 0050 TObject.Free 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 68 00 04 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 24 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_14127_0 {
	meta:
		name = "TSimpleObjectBroker.LoadFromStream"
		size = 115
		refs = "0013 TCollection.Clear 0022 _Dn_TReader 0027 TFiler.Create 0032 TSimpleObjectBroker.LoadFromStream 0040 TReader.ReadValue 004e TReader.ReadCollection 0063 TObject.Free 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 68 00 04 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_14128_0 {
	meta:
		name = "TSimpleObjectBroker.GetNextComputer"
		size = 55
		refs = "001f TServerCollection.GetBalancedName 002f TServerCollection.GetNextName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 28 00 74 10 8B 55 F8 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? EB 0E 8B 55 F8 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14129_0 {
	meta:
		name = "TSimpleObjectBroker.GetComputerForGUID"
		size = 45
		refs = "0023 TSimpleObjectBroker.GetNextComputer"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_14130_0 {
	meta:
		name = "TSimpleObjectBroker.GetComputerForProgID"
		size = 30
		refs = "0016 TSimpleObjectBroker.GetNextComputer"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 F4 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_14131_0 {
	meta:
		name = "TSimpleObjectBroker.GetPortForComputer"
		size = 45
		refs = "0016 TServerCollection.FindServer"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 40 18 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_14132_0 {
	meta:
		name = "TSimpleObjectBroker.IsServersStored"
		size = 33
		refs = "0010 TCollection.GetCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 85 C0 0F 9F 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_14133_0 {
	meta:
		name = "TSimpleObjectBroker.SetConnectStatus"
		size = 93
		refs = "0013 @LStrAddRef 001b TSimpleObjectBroker.SetConnectStatus 002f TServerCollection.FindServer 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8A 55 F7 80 F2 01 88 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_14134_0 {
	meta:
		name = "TSimpleObjectBroker.SetServers"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 24 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_14137_0 {
	meta:
		name = "GetOleObjectClassRec"
		size = 240
		refs = "0023 @VarAddRef 002b GetOleObjectClassRec 0039 VarType 0049 @VarToIntf 0059 @IntfCast 0064 OleObjectClassList 0075 @IntfClear 00b9 @VarClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 56 57 33 D2 89 55 E0 89 55 F8 89 55 F4 8B F0 8D 7D E4 B9 04 00 00 00 F3 A5 8D 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 E8 ?? ?? ?? ?? 83 F8 09 75 59 8D 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 38 A1 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 2A 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 83 C0 04 50 8B 45 F8 50 8B 00 FF 10 85 C0 74 13 8B 45 FC 8B 00 89 45 FC 83 7D FC 00 75 D6 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 FC 5F 5E 8B E5 5D C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14138_0 {
	meta:
		name = "TOleControlEditor.Create"
		size = 146
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TOleControlEditor.Create 003e TComponentEditor.Create 0045 _Dn_TStringList 004a TObject.Create 0065 @IntfClear 006b @HandleFinally 007b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14139_0 {
	meta:
		name = "TOleControlEditor.Destroy"
		size = 60
		refs = "0007 @BeforeDestruction 0018 TObject.Free 0026 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14140_0 {
	meta:
		name = "TOleControlEditor.DoVerb"
		size = 214
		refs = "0018 TOleControlEditor.DoVerb 0040 TOleControl.ShowAboutBox 0050 TOleControl.DoObjectVerb 005f @HandleAnyException 007a SNoAboutBoxAvailable 007f LoadResString 0089 SNoPropertyPageAvailable 0095 @RaiseAgain 009f _Dn_Exception 00a4 Exception.Create 00a9 @RaiseExcept 00ae @DoneExcept 00c3 @LStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D F8 00 00 FF FF 75 0D 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 40 0C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 54 E9 ?? ?? ?? ?? 8B 45 F8 2D 00 00 FF FF 74 09 2D F9 FF 00 00 74 11 EB 1E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14141_0 {
	meta:
		name = "TOleControlEditor.Edit"
		size = 23
	strings:
		$1 = { 55 8B EC 51 89 45 FC BA F9 FF FF FF 8B 45 FC 8B 08 FF 51 1C 59 5D C3 }
	condition:
		$1
}

rule function_14142_0 {
	meta:
		name = "TOleControlEditor.ExecuteVerb"
		size = 40
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 28 8B 08 FF 51 18 8B D0 8B 45 FC 8B 08 FF 51 1C 59 59 5D C3 }
	condition:
		$1
}

rule function_14143_0 {
	meta:
		name = "TOleControlEditor.GetVerb"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 28 8B 18 FF 53 0C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14144_0 {
	meta:
		name = "TOleControlEditor.GetVerbCount"
		size = 336
		refs = "0017 TOleControlEditor.GetVerbCount 002e TOleControl.GetObjectVerbs 0036 @IntfClear 0049 TOleControl.GetOleObject 0054 @VarToIntf 0064 @IntfCast 0095 SAboutVerb 009a LoadResString 00bb TStrings.IndexOfObject 0101 @LStrClr 0109 @VarClr 0121 @WStrClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 28 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 55 D4 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 85 C0 75 6D 8D 45 EC 50 6A 01 8D 45 F0 50 68 D8 FD FF FF 8B 45 F4 50 8B 00 FF 50 1C 85 C0 75 51 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC 8B 40 28 8B 08 FF 51 50 40 75 33 BA 00 00 FF FF 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 40 75 20 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 B9 00 00 FF FF 8B 45 FC 8B 40 28 8B 18 FF 53 38 8B 45 FC 8B 40 28 8B 10 FF 52 14 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 F8 5B 8B E5 5D C3 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14145_0 {
	meta:
		name = "MapOleCustomProperty"
		size = 108
		refs = "0022 _Dn_TOleControl 0027 @IsClass 0039 TOleControl.IsPropPageProperty 0042 _DV_TOlePropPageProperty 0055 TOleControl.IsCustomProperty 005e _DV_TOleCustomProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 F8 81 78 10 00 00 00 80 74 48 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 F8 8B 50 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 F4 EB 1A 8B 45 F8 8B 50 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 A1 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_14146_0 {
	meta:
		name = "TOleCustomProperty.GetAttributes"
		size = 28
		refs = "000a TOleCustomProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_14147_0 {
	meta:
		name = "TOleCustomProperty.GetValue"
		size = 47
		refs = "0012 TPropertyEditor.GetComponent 001b TPropertyEditor.GetPropInfo 0027 TOleControl.GetPropDisplayString"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 50 10 8B 4D F8 58 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14149_0 {
	meta:
		name = "TOleCustomProperty.SetValue"
		size = 47
		refs = "0012 TPropertyEditor.GetComponent 001b TPropertyEditor.GetPropInfo 0027 TOleControl.SetPropDisplayString"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 50 10 8B 4D F8 58 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14148_0 {
	meta:
		name = "TOleCustomProperty.GetValues"
		size = 209
		refs = "0013 TOleCustomProperty.GetValues 0020 _Dn_TStringList 0025 TObject.Create 0040 TPropertyEditor.GetComponent 0049 TPropertyEditor.GetPropInfo 0055 TOleControl.GetPropDisplayStrings 00a1 TObject.Free 00a7 @HandleFinally 00be @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 50 10 8B 4D F8 58 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 48 85 C0 7C 2A 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D EC 8B 55 F4 8B 45 F8 8B 18 FF 53 0C 8B 55 EC 8B 45 0C FF 55 08 FF 45 F4 FF 4D F0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14150_0 {
	meta:
		name = "TOlePropPageProperty.GetAttributes"
		size = 28
		refs = "000a TOlePropPageProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 0C 00 00 00 }
	condition:
		$1
}

rule function_14151_0 {
	meta:
		name = "TOlePropPageProperty.Edit"
		size = 440
		refs = "001b TOlePropPageProperty.Edit 0036 _DT_9 003b @DynArraySetLength 005e TPropertyEditor.GetComponent 0066 TOleControl.GetDefaultDispatch 0077 @IntfCopy 0081 @WStrCmp 0090 @WStrCat 00a5 @WStrFromLStr 00dd TPropertyEditor.GetPropInfo 00ff GUID_NULL 0109 IsEqualCLSID 0119 GetActiveWindow 0132 @WStrToPWChar 0156 GetUserDefaultLCID 0168 OleCreatePropertyFrameIndirect 017d @WStrClr 0185 @IntfClear 019b @DynArrayClear 01a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 33 D2 89 55 A0 89 55 A4 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 0C 48 85 C0 7C 6F 40 89 45 E4 C7 45 EC 00 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 55 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 F4 8B 4D EC 8D 04 88 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 74 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8D 45 A0 E8 ?? ?? ?? ?? 8B 55 A0 8D 45 F0 E8 ?? ?? ?? ?? FF 45 EC FF 4D E4 75 9C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 B8 0C 02 00 00 00 0F 84 93 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 40 10 89 45 E8 8D 45 D4 50 8B 45 E8 50 8B 45 F8 8B 80 0C 02 00 00 50 8B 00 FF 50 10 A1 ?? ?? ?? ?? 50 8D 45 D4 50 E8 ?? ?? ?? ?? 84 C0 75 5B C7 45 A8 2C 00 00 00 E8 ?? ?? ?? ?? 89 45 AC C7 45 B0 10 00 00 00 C7 45 B4 10 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 B8 8B 45 FC 8B 40 0C 89 45 BC 8B 45 F4 89 45 C0 C7 45 C4 01 00 00 00 8D 45 D4 89 45 C8 E8 ?? ?? ?? ?? 89 45 CC 8B 45 E8 89 45 D0 8D 45 A8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B E5 5D C3 00 04 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_14152_0 {
	meta:
		name = "TOleEnumProperty.GetAttributes"
		size = 28
		refs = "000a TOleEnumProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 09 00 00 00 }
	condition:
		$1
}

rule function_14153_0 {
	meta:
		name = "TOleEnumProperty.GetValue"
		size = 67
		refs = "0019 TPropertyEditor.GetOrdValue 0029 TEnumPropDesc.ValueToString 003b IntToStr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 10 00 74 1A 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? EB 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14154_0 {
	meta:
		name = "TOleEnumProperty.GetValues"
		size = 38
		refs = "001d TEnumPropDesc.GetStrings"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 10 00 74 11 FF 75 0C FF 75 08 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14155_0 {
	meta:
		name = "TOleEnumProperty.Initialize"
		size = 44
		refs = "000d TPropertyEditor.GetComponent 0016 TPropertyEditor.GetPropInfo 001f TOleControl.GetEnumPropDesc"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 50 10 58 E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 59 5D C3 }
	condition:
		$1
}

rule function_14156_0 {
	meta:
		name = "TOleEnumProperty.SetValue"
		size = 69
		refs = "001f TEnumPropDesc.StringToValue 0029 TPropertyEditor.SetOrdValue 0033 StrToInt"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 10 00 74 1A 8B 55 F8 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 12 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_14157_0 {
	meta:
		name = "TOleObjectEditor.Create"
		size = 67
		refs = "000e @ClassCreate 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 8B 55 FC 89 42 04 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_14158_0 {
	meta:
		name = "TOleObjectEditor.Edit"
		size = 93
		refs = "0020 @VarAddRef 0028 TOleObjectEditor.Edit 0036 @VarClear 004b @VarClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F2 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 45 FC 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_14159_0 {
	meta:
		name = "TOleFontEditor.Edit"
		size = 224
		refs = "0020 @VarAddRef 0028 TOleFontEditor.Edit 0036 @VarClear 003c Application 0045 _Dn_TFontDialog 004a TFontDialog.Create 0069 OleFontToFont 0098 FontToOleFont 00ad TObject.Free 00b3 @HandleFinally 00ca @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 56 57 8B F2 8D 7D E4 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 45 FC 8D 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 50 4C 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 F4 66 8B 40 51 66 0B 05 ?? ?? ?? ?? 8B 55 F4 66 89 42 51 8B 45 F4 8B 10 FF 52 3C 84 C0 74 0E 8B 55 F8 8B 45 F4 8B 40 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 8B E5 5D C3 10 00 00 00 }
	condition:
		$1
}

rule function_14160_0 {
	meta:
		name = "_NF__14D"
		size = 188
	strings:
		$1 = { FF FF FF FF 0A 00 00 00 55 6E 61 73 73 69 67 6E 65 64 00 00 FF FF FF FF 04 00 00 00 4E 75 6C 6C 00 00 00 00 FF FF FF FF 08 00 00 00 53 6D 61 6C 6C 69 6E 74 00 00 00 00 FF FF FF FF 07 00 00 00 49 6E 74 65 67 65 72 00 FF FF FF FF 06 00 00 00 53 69 6E 67 6C 65 00 00 FF FF FF FF 06 00 00 00 44 6F 75 62 6C 65 00 00 FF FF FF FF 08 00 00 00 43 75 72 72 65 6E 63 79 00 00 00 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 FF FF FF FF 06 00 00 00 4F 6C 65 53 74 72 00 00 FF FF FF FF 07 00 00 00 42 6F 6F 6C 65 61 6E 00 FF FF FF FF 04 00 00 00 42 79 74 65 00 00 00 00 }
	condition:
		$1
}

rule function_14161_0 {
	meta:
		name = "TVariantTypeProperty.AllEqual"
		size = 174
		refs = "0017 TVariantTypeProperty.AllEqual 0035 TPropertyEditor.GetVarValue 0058 TPropertyEditor.GetVarValueAt 0060 VarType 0090 Variant 009a @FinalizeArray 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 83 78 0C 01 7E 4C 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 48 85 C0 7E 36 89 45 F0 C7 45 F4 01 00 00 00 8D 4D D0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B D8 8D 45 D0 E8 ?? ?? ?? ?? 3B D8 75 0C FF 45 F4 FF 4D F0 75 D4 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8A 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14162_0 {
	meta:
		name = "TVariantTypeProperty.GetAttributes"
		size = 28
		refs = "000a TVariantTypeProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 29 00 00 00 }
	condition:
		$1
}

rule function_14163_0 {
	meta:
		name = "TVariantTypeProperty.GetName"
		size = 48
		refs = "0010 TVariantTypeProperty.GetName 0015 @LStrLAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 54 79 70 65 00 00 00 00 }
	condition:
		$1
}

rule function_14164_0 {
	meta:
		name = "TVariantTypeProperty.GetValue"
		size = 204
		refs = "0015 TVariantTypeProperty.GetValue 0026 TPropertyEditor.GetVarValue 002e VarType 005b VarTypeNames 0063 @LStrLAsg 0096 @VarClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 25 FF 0F 00 00 83 E8 12 72 09 2D EE 00 00 00 74 26 EB 33 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 1C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 FF FF FF FF 06 00 00 00 53 74 72 69 6E 67 00 00 FF FF FF FF 09 00 00 00 28 55 6E 6B 6E 6F 77 6E 29 00 00 00 }
	condition:
		$1
}

rule function_14165_0 {
	meta:
		name = "TVariantTypeProperty.GetValues"
		size = 88
		refs = "0014 VarTypeNames 0035 TVariantTypeProperty.GetValues"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 33 C0 89 45 F8 8B 45 F8 83 3C 85 ?? ?? ?? ?? 00 74 10 8B 45 F8 8B 14 85 ?? ?? ?? ?? 8B 45 0C FF 55 08 FF 45 F8 83 7D F8 12 75 DA BA ?? ?? ?? ?? 8B 45 0C FF 55 08 59 59 5D C2 08 00 00 00 00 FF FF FF FF 06 00 00 00 53 74 72 69 6E 67 00 00 }
	condition:
		$1
}

rule function_14166_0 {
	meta:
		name = "GetSelectedType"
		size = 112
		refs = "0018 VarTypeNames 0023 @LStrCmp 0047 GetSelectedType"
	strings:
		$1 = { 55 8B EC 83 C4 F8 C7 45 FC FF FF FF FF 33 C0 89 45 F8 8B 45 F8 8B 04 85 ?? ?? ?? ?? 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 75 08 8B 45 F8 89 45 FC EB 09 FF 45 F8 83 7D F8 12 75 D8 83 7D FC FF 75 19 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C7 45 FC 00 01 00 00 8B 45 FC 59 59 5D C3 FF FF FF FF 06 00 00 00 53 74 72 69 6E 67 00 00 }
	condition:
		$1
}

rule function_14167_0 {
	meta:
		name = "TVariantTypeProperty.SetValue"
		size = 259
		refs = "001a TVariantTypeProperty.SetValue 002b TPropertyEditor.GetVarValue 0031 GetSelectedType 004d @VarClear 0058 Null 005d @VarCopy 0067 SUnknownType 006c LoadResString 0076 _Dn_Exception 007b Exception.Create 0080 @RaiseExcept 009e @VarCast 00ad @HandleAnyException 00c8 @DoneExcept 00d3 TPropertyEditor.SetVarValue 00e8 @LStrClr 00f0 @VarClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 89 45 F4 8B 45 F4 83 E8 FF 74 22 48 74 05 48 74 0C EB 3D 8D 45 E4 E8 ?? ?? ?? ?? EB 79 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8D 55 E4 8D 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 4D F4 8D 55 E4 8D 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14168_0 {
	meta:
		name = "TOleObjectProperty.Edit"
		size = 215
		refs = "0018 TOleObjectProperty.Edit 0029 TPropertyEditor.GetVarValue 0031 GetOleObjectClassRec 0071 @VarCopy 0086 TObject.Free 008c @HandleFinally 0096 VarType 00a6 TPropertyEditor.SetVarValue 00bc Variant 00c6 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 6C 8B 45 F8 8B 40 18 8B 4D FC B2 01 FF 10 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D4 8D 55 E4 8B 45 F4 8B 18 FF 53 04 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 E4 E8 ?? ?? ?? ?? 83 F8 09 75 0B 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14169_0 {
	meta:
		name = "TOleObjectProperty.GetAttributes"
		size = 168
		refs = "0015 TOleObjectProperty.GetAttributes 0034 TPropertyEditor.GetVarValue 0043 @HandleAnyException 004c Null 0051 @VarCopy 0056 @DoneExcept 005e GetOleObjectClassRec 0089 @VarClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 85 C0 74 0A A0 ?? ?? ?? ?? 88 45 FB EB 08 A0 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C3 00 4C 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_14170_0 {
	meta:
		name = "GetVariantStr"
		size = 172
		refs = "0010 VarType 002b @LStrClr 0035 GetVariantStr 003a @LStrLAsg 0044 @VarToBool 0051 BooleanIdents 0075 @VarToCurr 0084 CurrToStr 0091 @VarToLStr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 83 E8 01 72 0E 74 16 83 E8 05 74 51 83 E8 05 74 1B EB 63 8B 45 F8 E8 ?? ?? ?? ?? EB 64 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 52 04 E8 ?? ?? ?? ?? EB 36 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 24 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 FF FF FF FF 06 00 00 00 28 4E 75 6C 6C 29 00 00 }
	condition:
		$1
}

rule function_14171_0 {
	meta:
		name = "TOleObjectProperty.GetValue"
		size = 232
		refs = "0017 TOleObjectProperty.GetValue 0028 TPropertyEditor.GetVarValue 0030 VarType 0041 GetVariantStr 004d @LStrLAsg 0057 GetOleObjectClassRec 007d @LStrCatN 00a1 @LStrClr 00a9 @VarClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 83 F8 09 74 1A 55 8D 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 59 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? EB 3D 8D 45 E4 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 1F 68 ?? ?? ?? ?? 8B 45 F4 FF 70 14 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 0B 00 00 00 28 4F 6C 65 4F 62 6A 65 63 74 29 00 }
	condition:
		$1
}

rule function_14172_0 {
	meta:
		name = "Cast"
		size = 228
		refs = "001a Cast 0035 @VarToLStr 003d CurrencyString 0044 AnsiPos 006c @VarCast 007d @VarCmp 0099 @VarCopy 00a8 @HandleAnyException 00b1 @DoneExcept 00c6 @LStrClr 00ce @VarClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 83 7D F8 06 75 20 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 85 C0 0F 9F 45 F7 80 7D F7 00 74 61 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 4D F8 8D 45 E4 E8 ?? ?? ?? ?? 83 7D F8 07 74 11 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 74 0B 8B 45 FC 8D 55 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F7 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14173_0 {
	meta:
		name = "TOleObjectProperty.SetValue"
		size = 416
		refs = "001a TOleObjectProperty.SetValue 002b TPropertyEditor.GetVarValue 0033 VarType 0044 @VarClear 0056 CompareText 0063 Null 0068 @VarCopy 0076 BooleanIdents 007e @LStrCmp 008a @VarFromBool 00bb @VarFromLStr 00c9 Cast 0152 @VarCast 015d TPropertyEditor.SetVarValue 0173 Variant 017d @FinalizeArray 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 89 45 F4 83 7D F8 00 75 0D 8D 45 E4 E8 ?? ?? ?? ?? E9 09 01 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 13 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E5 00 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 52 04 E8 ?? ?? ?? ?? 75 0F 8D 45 E4 B2 01 E8 ?? ?? ?? ?? E9 C3 00 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0F 8D 45 E4 33 D2 E8 ?? ?? ?? ?? E9 A2 00 00 00 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 55 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 80 00 00 00 55 8D 45 E4 BA 11 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 6D 55 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 5A 55 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 47 55 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 34 55 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 21 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F4 08 75 10 B9 08 00 00 00 8D 55 E4 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B E5 5D C3 00 00 00 FF FF FF FF 06 00 00 00 28 4E 75 6C 6C 29 00 00 }
	condition:
		$1
}

rule function_14174_0 {
	meta:
		name = "TOleObjectProperty.GetProperties"
		size = 35
		refs = "000d _DV_TVariantTypeProperty 0012 TNestedProperty.Create"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14175_0 {
	meta:
		name = "RegisterOleObjectEditor"
		size = 101
		refs = "0013 TOleObjectClassRec 001d @New 0025 OleObjectClassList 004a @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 89 4D F4 89 55 F8 89 45 FC 8B 15 ?? ?? ?? ?? B8 1C 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 8B 55 F0 89 02 8B 45 FC 8B 55 F0 8B F0 8D 7A 04 B9 04 00 00 00 F3 A5 8B 45 F0 83 C0 14 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F0 89 42 18 8B 45 F0 A3 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_14176_0 {
	meta:
		name = "Register"
		size = 168
		refs = "0002 _DV_TOleControlEditor 0007 _Dn_TOleControl 000c RegisterComponentEditor 0011 MapOleCustomProperty 0016 RegisterPropertyMapper 001b _DV_TOleEnumProperty 0029 TOleEnum 002e RegisterPropertyEditor 0033 _DV_TOleObjectProperty 003d Variant 0047 _Dn_TCursorProperty 004d Register 0058 Smallint 0068 _DV_TOleFontEditor 0072 RegisterOleObjectEditor"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 FF FF FF FF 06 00 00 00 43 75 72 73 6F 72 00 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB FF FF FF FF 07 00 00 00 4F 6C 65 46 6F 6E 74 00 }
	condition:
		$1
}

rule function_14177_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_8 001a VarTypeNames 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14181_0 {
	meta:
		name = "_NF__23F"
		size = 943
		refs = "000a TOleContainer.GetObjectInfo 0017 TOleContainer.GetConvertInfo 0024 TOleContainer.ConvertObject 0031 TOleContainer.GetViewInfo 003e TOleContainer.SetViewInfo 005c TOleContainer._AddRef 0069 TOleContainer._Release 0076 TOleContainer.ActivateMe 00ae TOleContainer.OnDataChange 00bb TOleContainer.OnViewChange 00c8 TOleContainer.OnRename 00d5 TOleContainer.OnSave 00e2 TOleContainer.OnClose 011a TOleContainer.CanInPlaceActivate 0127 TOleContainer.OnInPlaceActivate 0134 TOleContainer.OnUIActivate 0141 TOleContainer.GetWindowContext 014e TOleContainer.Scroll 015b TOleContainer.OnUIDeactivate 0168 TOleContainer.OnInPlaceDeactivate 0175 TOleContainer.DiscardUndoState 0182 TOleContainer.DeactivateAndUndo 018f TOleContainer.OnPosRectChange 019c TOleContainer.GetWindow 01a9 TOleContainer.ContextSensitiveHelp 01e1 TOleContainer.SaveObject 01ee TOleContainer.GetMoniker 01fb TOleContainer.GetContainer 0208 TOleContainer.ShowObject 0215 TOleContainer.OnShowWindow 0222 TOleContainer.RequestNewObjectLayout 0253 _NF__23F"
	strings:
		$1 = { CC 81 44 24 04 98 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 98 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 98 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 98 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 98 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 98 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 98 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 98 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 94 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 94 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 94 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 94 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 90 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 90 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 90 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 90 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 90 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 90 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 90 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 90 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 8C FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 88 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 88 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 88 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 88 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 88 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 88 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 88 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 88 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 88 FD FF FF E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 06 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 68 02 00 00 00 00 00 00 C7 BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 ?? ?? ?? ?? 6C 02 00 00 00 00 00 00 0F 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 70 02 00 00 00 00 00 00 19 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 74 02 00 00 00 00 00 00 18 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 78 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 68 02 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14182_0 {
	meta:
		name = "_NF__242"
		size = 470
		refs = "0005 TOleForm.AddContainer 000d TOleForm.RemoveContainer 0015 TOleForm.ClearBorderSpace 001d TOleForm.Form 0027 TOleForm.InsertMenus 0031 TOleForm.SetMenu 003b TOleForm.RemoveMenus 0045 TOleForm.SetStatusText 004f TOleForm.EnableModeless 0059 TOleForm.TranslateAccelerator 0063 TOleForm.GetBorder 006d TOleForm.RequestBorderSpace 0077 TOleForm.SetBorderSpace 0081 TOleForm.SetActiveObject 008b TOleForm.GetWindow 0095 TOleForm.ContextSensitiveHelp 009f TInterfacedObject.QueryInterface 00a9 TInterfacedObject._AddRef 00b3 TInterfacedObject._Release 00bb TOleForm.OnDestroy 00c3 TOleForm.OnResize 00e6 _NF__242"
	strings:
		$1 = { CC 83 C0 CC E9 ?? ?? ?? ?? 83 C0 CC E9 ?? ?? ?? ?? 83 C0 CC E9 ?? ?? ?? ?? 83 C0 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 44 24 04 CC E9 ?? ?? ?? ?? 83 C0 C8 E9 ?? ?? ?? ?? 83 C0 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 05 00 00 00 C0 E1 02 CD DA 52 D0 11 9E A6 00 20 AF 3D 82 DA ?? ?? ?? ?? 34 00 00 00 00 00 00 00 16 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 34 00 00 00 00 00 00 00 15 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 34 00 00 00 00 00 00 00 14 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 34 00 00 00 00 00 00 00 C1 E1 02 CD DA 52 D0 11 9E A6 00 20 AF 3D 82 DA ?? ?? ?? ?? 38 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14183_0 {
	meta:
		name = "WStrLen"
		size = 15
	strings:
		$1 = { 33 D2 EB 01 42 66 83 3C 50 00 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_14184_0 {
	meta:
		name = "PixelsToHimetric"
		size = 53
		refs = "0007 PixPerInch 0015 MulDiv"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 50 68 EC 09 00 00 8B 03 50 E8 ?? ?? ?? ?? 89 06 A1 ?? ?? ?? ?? 50 68 EC 09 00 00 8B 43 04 50 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_14185_0 {
	meta:
		name = "HimetricToPixels"
		size = 53
		refs = "000c PixPerInch 0015 MulDiv"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 03 50 E8 ?? ?? ?? ?? 89 06 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_14186_0 {
	meta:
		name = "CenterWindow"
		size = 79
		refs = "0009 GetWindowRect 0016 GetSystemMetrics 0046 SetWindowPos"
	strings:
		$1 = { 53 83 C4 F0 8B D8 54 53 E8 ?? ?? ?? ?? 6A 15 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 B9 03 00 00 00 99 F7 F9 50 6A 00 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 D1 F8 79 03 83 D0 00 50 6A 00 53 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14187_0 {
	meta:
		name = "OleDialogHook"
		size = 60
		refs = "0016 GetWindowLong 002e CenterWindow"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 33 C0 81 7D 0C 10 01 00 00 75 25 6A F0 53 E8 ?? ?? ?? ?? A9 00 00 00 40 74 0A 6A F8 53 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? B8 01 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_14188_0 {
	meta:
		name = "DestroyMetaPict"
		size = 36
		refs = "0009 GlobalLock 0012 DeleteMetaFile 0018 GlobalUnlock 001e GlobalFree"
	strings:
		$1 = { 53 8B D8 85 DB 74 1B 53 E8 ?? ?? ?? ?? 8B 40 0C 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14189_0 {
	meta:
		name = "ShadeRect"
		size = 150
		refs = "000c HatchBits 0019 CreateBitmap 0021 CreatePatternBrush 0028 SelectObject 0035 SetTextColor 0040 SetBkColor 0063 PatBlt 0085 DeleteObject"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 68 ?? ?? ?? ?? 6A 01 6A 01 6A 08 6A 08 E8 ?? ?? ?? ?? 8B F8 57 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B E8 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 89 04 24 6A 00 53 E8 ?? ?? ?? ?? 89 44 24 04 68 C9 00 A0 00 8B 56 0C 2B 56 04 52 8B 56 08 8B 06 2B D0 52 8B 56 04 52 50 53 E8 ?? ?? ?? ?? 8B 44 24 04 50 53 E8 ?? ?? ?? ?? 8B 04 24 50 53 E8 ?? ?? ?? ?? 55 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14190_0 {
	meta:
		name = "OleStdGetFirstMoniker"
		size = 150
		refs = "0015 OleStdGetFirstMoniker 0022 @IntfClear 006f @IntfCopy 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 DB 74 49 8D 45 FC 50 53 8B 03 FF 50 58 85 C0 75 32 83 7D FC 01 75 2C 8D 45 F8 E8 ?? ?? ?? ?? 50 6A FF 53 8B 03 FF 50 30 85 C0 75 20 6A 00 8B C6 E8 ?? ?? ?? ?? 50 6A 01 8B 45 F8 50 8B 00 FF 50 0C EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14191_0 {
	meta:
		name = "OleStdGetLenFilePrefixOfMoniker"
		size = 190
		refs = "0016 OleStdGetLenFilePrefixOfMoniker 002c OleStdGetFirstMoniker 0051 @IntfClear 0059 CreateBindCtx 0082 WStrLen 008d CoTaskMemFree 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 DB 74 6B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 5B 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 58 85 C0 75 4A 83 7D F4 02 75 44 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 85 C0 75 30 8D 45 F0 50 6A 00 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 50 85 C0 75 19 83 7D F0 00 74 13 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14192_0 {
	meta:
		name = "CoAllocCStr"
		size = 35
		refs = "0006 @LStrLen 000d CoTaskMemAlloc 0015 @LStrToPChar 001d StrCopy"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 40 50 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14193_0 {
	meta:
		name = "GetFullNameStr"
		size = 35
		refs = "0013 @LStrFromPWChar 001c CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 6A 01 50 8B 00 FF 50 40 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14194_0 {
	meta:
		name = "GetShortNameStr"
		size = 35
		refs = "0013 @LStrFromPWChar 001c CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 6A 02 50 8B 00 FF 50 40 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14195_0 {
	meta:
		name = "GetDisplayNameStr"
		size = 33
		refs = "0011 @LStrFromPWChar 001a CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 50 8B 00 FF 50 20 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14196_0 {
	meta:
		name = "GetVCLFrameForm"
		size = 68
		refs = "0014 _DV_TOleForm 0019 TOleForm.Create 0026 GetVCLFrameForm 002b @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 44 02 00 00 00 75 0E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 93 44 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 C0 E1 02 CD DA 52 D0 11 9E A6 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_14197_0 {
	meta:
		name = "IsFormMDIChild"
		size = 37
		refs = "0007 _Dn_TForm 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BB 0F 02 00 00 01 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_14199_0 {
	meta:
		name = "LinkError"
		size = 101
		refs = "000c LinkError 001c SLinkProperties 0021 LoadResString 0029 @LStrToPChar 0038 Application 0040 TApplication.MessageBox 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 10 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14200_0 {
	meta:
		name = "TOleUILinkInfo.Create"
		size = 112
		refs = "000f @ClassCreate 001f TObject.Create 002c @IntfClear 0032 TOleUILinkInfo.Create 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8D 43 10 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 86 FC 01 00 00 50 8B 00 FF 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14201_0 {
	meta:
		name = "TOleUILinkInfo.GetNextLink"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 83 7D 0C 00 75 05 8B 40 0C EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_14202_0 {
	meta:
		name = "TOleUILinkInfo.SetLinkUpdateOptions"
		size = 54
		refs = "001a Succeeded 002a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 45 10 50 8B 43 10 50 8B 00 FF 50 0C 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 43 0C 66 BB B8 FF E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_14203_0 {
	meta:
		name = "TOleUILinkInfo.GetLinkUpdateOptions"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 40 10 50 8B 00 FF 50 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_14204_0 {
	meta:
		name = "TOleUILinkInfo.SetLinkSource"
		size = 262
		refs = "001b TOleUILinkInfo.SetLinkSource 003b @LStrFromPChar 004e StringToWideChar 0060 Succeeded 006c @LStrLen 008a TOleContainer.UpdateObject 0099 @HandleAnyException 00a4 Application 00ab TApplication.HandleException 00b0 @DoneExcept 00bf SInvalidLinkSource 00c4 LoadResString 00cf LinkError 00e7 @LStrClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 57 33 C0 89 85 F8 FD FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 05 40 00 80 83 7D 1C 00 0F 84 84 00 00 00 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8D 95 FC FD FF FF B9 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 10 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 84 C0 74 6B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 18 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 1B 8D 95 F8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FD FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_14205_0 {
	meta:
		name = "TOleUILinkInfo.GetLinkSource"
		size = 224
		refs = "0014 TOleUILinkInfo.GetLinkSource 002f GetDisplayNameStr 0037 CoAllocCStr 004c @IntfClear 0064 OleStdGetLenFilePrefixOfMoniker 007b GetFullNameStr 009d GetShortNameStr 00c1 @LStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 7D 14 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 0C 8B 45 10 85 C0 74 18 8D 55 F8 8B 43 10 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 10 89 02 85 FF 74 26 33 C0 89 07 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 10 50 8B 00 FF 50 18 83 7D FC 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? 89 07 8B 45 18 85 C0 74 1B 8D 55 F8 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 18 89 02 8B 45 1C 85 C0 74 1B 8D 55 F8 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 1C 89 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C2 20 00 }
	condition:
		$1
}

rule function_14206_0 {
	meta:
		name = "TOleUILinkInfo.OpenLinkSource"
		size = 81
		refs = "000a TOleUILinkInfo.OpenLinkSource 001e TOleContainer.DoVerb 002d @HandleAnyException 0038 Application 003f TApplication.HandleException 0044 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C 83 CA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14207_0 {
	meta:
		name = "TOleUILinkInfo.UpdateLink"
		size = 78
		refs = "000a TOleUILinkInfo.UpdateLink 001b TOleContainer.UpdateObject 002a @HandleAnyException 0035 Application 003c TApplication.HandleException 0041 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_14208_0 {
	meta:
		name = "TOleUILinkInfo.CancelLink"
		size = 83
		refs = "000a TOleUILinkInfo.CancelLink 0018 SCannotBreakLink 001d LoadResString 0025 LinkError 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BB 01 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14210_0 {
	meta:
		name = "_NF__2CD"
		size = 132
		refs = "0007 TEnumFormatEtc.Next 0011 TEnumFormatEtc.Skip 001b TEnumFormatEtc.Reset 0025 TEnumFormatEtc.Clone 002f TInterfacedObject.QueryInterface 0039 TInterfacedObject._AddRef 0043 TInterfacedObject._Release 0048 _NF__2CD"
	strings:
		$1 = { CC 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 03 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 18 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14211_0 {
	meta:
		name = "TEnumFormatEtc.Create"
		size = 78
		refs = "000e @ClassCreate 001d TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 0C 89 47 10 8B 45 08 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14212_0 {
	meta:
		name = "TEnumFormatEtc.Next"
		size = 97
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 45 08 33 D2 EB 26 8B 48 14 8D 0C 89 8B 70 0C 8D 0C 8E 51 8D 0C 92 8B 75 10 5F 8D 0C 8E 8B F7 8B F9 B9 05 00 00 00 F3 A5 FF 40 14 42 3B DA 7E 08 8B 48 14 3B 48 10 7C CE 83 7D 14 00 74 05 8B 45 14 89 10 3B DA 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_14213_0 {
	meta:
		name = "TEnumFormatEtc.Skip"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B 55 0C 8B 45 08 8B 48 10 8B D9 2B 58 14 3B D3 7F 07 01 50 14 33 C0 EB 08 89 48 14 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14214_0 {
	meta:
		name = "TEnumFormatEtc.Reset"
		size = 17
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 14 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_14215_0 {
	meta:
		name = "TEnumFormatEtc.Clone"
		size = 65
		refs = "0020 _DV_TEnumFormatEtc 0025 TEnumFormatEtc.Create 0036 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 43 10 50 8B 43 14 50 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14216_0 {
	meta:
		name = "_NF__2E8"
		size = 201
		refs = "0007 TDataObject.GetData 0011 TDataObject.GetDataHere 001b TDataObject.QueryGetData 0025 TDataObject.GetCanonicalFormatEtc 002f TDataObject.SetData 0039 TDataObject.EnumFormatEtc 0043 TDataObject.DAdvise 004d TDataObject.DUnadvise 0057 TDataObject.EnumDAdvise 0061 TInterfacedObject.QueryInterface 006b TInterfacedObject._AddRef 0075 TInterfacedObject._Release 0079 _NF__2E8"
	strings:
		$1 = { CC 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? 83 44 24 04 F0 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14217_0 {
	meta:
		name = "TDataObject.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @IntfCopy 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14218_0 {
	meta:
		name = "TDataObject.GetObjectDescriptor"
		size = 528
		refs = "0020 TDataObject.GetObjectDescriptor 0031 GetFullNameStr 003c @LStrLAsg 0044 @IntfClear 0064 SLinkedObject 0069 LoadResString 0082 Format 0098 GetDisplayNameStr 00a4 @LStrLen 00ad @LStrToPChar 00b7 MultiByteToWideChar 00f5 GlobalAlloc 010b GlobalLock 011d @FillChar 01b8 GlobalUnlock 01d2 @LStrArrayClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 E0 89 55 DC 89 55 EC 89 55 E8 89 55 E4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 46 0C E8 ?? ?? ?? ?? 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 0C 50 8B 00 FF 10 83 7D E4 00 74 40 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 EC 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 EC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 40 89 45 F4 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 E8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F8 47 8B 45 F4 03 C7 03 C0 83 C0 34 89 45 F8 8B 45 F8 50 6A 02 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 B6 00 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F0 8B 5D F0 8B C3 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 03 8D 43 04 50 8B 46 0C 50 8B 00 FF 50 3C C7 43 14 01 00 00 00 8D 43 28 50 6A 01 8B 46 0C 50 8B 00 FF 50 58 B8 34 00 00 00 89 43 2C 8B 75 F0 03 F0 8B 45 F4 50 56 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B 45 F4 66 C7 44 46 FE 00 00 8B C7 03 C0 03 43 2C 89 43 30 8B 75 F0 03 F0 57 56 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 E8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 66 C7 44 7E FE 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14219_0 {
	meta:
		name = "TDataObject.GetData"
		size = 86
		refs = "0026 CFObjectDescriptor 003b TDataObject.GetObjectDescriptor"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 10 8B 45 0C 8B 55 08 BE 64 00 04 80 33 C9 89 0B 33 C9 89 4B 04 33 C9 89 4B 08 0F B7 08 3B 0D ?? ?? ?? ?? 75 22 83 78 08 01 75 1C 83 78 10 01 75 16 8B C2 E8 ?? ?? ?? ?? 85 C0 74 0B C7 03 01 00 00 00 89 43 04 33 F6 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_14220_0 {
	meta:
		name = "TDataObject.GetDataHere"
		size = 176
		refs = "0011 TDataObject.GetDataHere 0025 CFEmbeddedObject 0043 @IntfClear 0069 OleSave 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 45 0C 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BE 64 00 04 80 0F B7 10 3B 15 ?? ?? ?? ?? 75 4F 83 78 08 01 75 49 83 78 10 08 75 43 8B 45 10 33 D2 89 50 08 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 10 83 7D FC 00 74 1F 6A 00 8B 45 10 8B 40 04 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 6A 00 8B 45 FC 50 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 0C 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14221_0 {
	meta:
		name = "TDataObject.QueryGetData"
		size = 59
		refs = "0016 CFEmbeddedObject 0027 CFObjectDescriptor"
	strings:
		$1 = { 55 8B EC 8B 45 0C BA 64 00 04 80 83 78 08 01 75 24 0F B7 08 3B 0D ?? ?? ?? ?? 75 06 83 78 10 08 74 11 0F B7 08 3B 0D ?? ?? ?? ?? 75 08 83 78 10 01 75 02 33 D2 8B C2 5D C2 08 00 }
	condition:
		$1
}

rule function_14222_0 {
	meta:
		name = "TDataObject.GetCanonicalFormatEtc"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 10 33 D2 89 50 04 B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_14224_0 {
	meta:
		name = "TDataObject.EnumFormatEtc"
		size = 79
		refs = "001a DataFormats 0021 _DV_TEnumFormatEtc 0026 TEnumFormatEtc.Create 0036 @IntfCopy 0041 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 85 DB 74 04 33 C0 89 03 83 7D 0C 01 75 29 6A 02 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C3 E8 ?? ?? ?? ?? 33 C0 EB 0C 8B C3 E8 ?? ?? ?? ?? B8 01 40 00 80 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_14225_0 {
	meta:
		name = "TDataObject.DAdvise"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 04 80 5D C2 14 00 }
	condition:
		$1
}

rule function_14226_0 {
	meta:
		name = "TDataObject.DUnadvise"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_14227_0 {
	meta:
		name = "TDataObject.EnumDAdvise"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 03 00 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_14228_0 {
	meta:
		name = "TOleContainer.GetObjectInfo"
		size = 222
		refs = "0017 TOleContainer.GetObjectInfo 0028 TOleContainer.GetObjectDataSize 003c GetFullNameStr 0044 CoAllocCStr 007d GetShortNameStr 009b TControl.GetText 00bf @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 7D 14 8B 75 10 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? 89 06 85 FF 74 18 8D 55 FC 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 07 8B 45 18 85 C0 74 1B 8D 55 FC 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 18 89 02 8B 45 1C 85 C0 74 1B 8D 55 FC 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 1C 89 02 8B 45 20 85 C0 74 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 20 89 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_14229_0 {
	meta:
		name = "TOleContainer.GetConvertInfo"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 80 FC 01 00 00 50 8B 00 FF 50 3C 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_14231_0 {
	meta:
		name = "TOleContainer.GetViewInfo"
		size = 63
		refs = "0016 TOleContainer.GetIconMetaPict"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 14 8B 75 10 8B 5D 08 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? 89 06 85 FF 74 08 8B 83 00 02 00 00 89 07 8B 45 18 85 C0 74 07 8B 45 18 33 D2 89 10 33 C0 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_14232_0 {
	meta:
		name = "TOleContainer.SetViewInfo"
		size = 54
		refs = "001f TOleContainer.GetIconic 002b TOleContainer.SetDrawAspect"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 14 48 74 07 83 E8 03 74 06 EB 08 33 C0 EB 0B B0 01 EB 07 8B C3 E8 ?? ?? ?? ?? 8B 4D 10 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_14233_0 {
	meta:
		name = "TOleContainer.GetMoniker"
		size = 31
		refs = "0012 @IntfClear"
	strings:
		$1 = { 55 8B EC 8B 45 14 85 C0 74 04 33 D2 89 10 8B 45 14 E8 ?? ?? ?? ?? B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_14234_0 {
	meta:
		name = "TOleContainer.GetContainer"
		size = 31
		refs = "0012 @IntfClear"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? B8 02 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_14236_0 {
	meta:
		name = "TOleContainer.OnShowWindow"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 55 0C 8B 45 08 3A 90 38 02 00 00 74 11 F7 DA 1B D2 F7 DA 88 90 38 02 00 00 8B 10 FF 52 78 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_14238_0 {
	meta:
		name = "TOleContainer.GetWindow"
		size = 49
		refs = "0017 TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 80 BB 64 02 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 89 06 EB 0A 8B 43 24 E8 ?? ?? ?? ?? 89 06 33 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14240_0 {
	meta:
		name = "TOleContainer.CanInPlaceActivate"
		size = 55
		refs = "0025 TOleContainer.GetIconic"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 BE 01 00 00 00 F6 43 20 10 75 1C 80 7B 47 00 74 16 80 BB 30 02 00 00 00 74 0D 8B C3 E8 ?? ?? ?? ?? 84 C0 75 02 33 F6 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14241_0 {
	meta:
		name = "TOleContainer.OnInPlaceActivate"
		size = 104
		refs = "000e @IntfClear 0014 TOleContainer.OnInPlaceActivate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 1C 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 8D 83 20 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 33 C0 5B 5D C2 04 00 00 00 13 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14242_0 {
	meta:
		name = "TOleContainer.OnUIActivate"
		size = 19
		refs = "0009 TOleContainer.SetUIActive"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_14508_0 {
	meta:
		name = "TOleControl.OnUIActivate"
		size = 19
		refs = "0009 TOleControl.SetUIActive"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_14243_0 {
	meta:
		name = "TOleContainer.GetWindowContext"
		size = 269
		refs = "0032 @IntfCopy 003a @IntfClear 0057 Rect 008f TControl.ScreenToClient 0096 TControl.GetClientHeight 00a1 TControl.GetClientWidth 00b3 SetRect 00d7 TOleContainer.CreateAccelTable"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 1C 8B 7D 14 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 93 18 02 00 00 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 80 BB 64 02 00 00 00 74 34 8B 43 3C 50 8D 45 E8 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D 75 E8 B9 04 00 00 00 F3 A5 5F 5E 8B 45 18 56 8B F7 8B F8 B9 04 00 00 00 F3 A5 5E EB 59 8D 55 E0 8B C3 8B 08 FF 51 40 8D 55 E0 8D 4D F8 8B 43 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 45 FC 50 8B C3 E8 ?? ?? ?? ?? 03 45 F8 50 8B 45 FC 50 8B 45 F8 50 57 E8 ?? ?? ?? ?? 68 FF 3F 00 00 68 FF 3F 00 00 68 00 C0 FF FF 68 00 C0 FF FF 8B 45 18 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 04 8D 46 08 50 8B 83 18 02 00 00 50 8B 00 FF 50 0C 8B 83 24 02 00 00 89 46 0C 8B 83 28 02 00 00 89 46 10 33 C0 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_14245_0 {
	meta:
		name = "TOleContainer.OnUIDeactivate"
		size = 52
		refs = "0029 TOleContainer.SetUIActive"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 6A 00 6A 00 6A 00 8B 83 18 02 00 00 50 8B 00 FF 50 28 8B 83 18 02 00 00 8B 10 FF 52 44 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14246_0 {
	meta:
		name = "TOleContainer.OnInPlaceDeactivate"
		size = 36
		refs = "000e @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 20 02 00 00 E8 ?? ?? ?? ?? 8D 83 1C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14248_0 {
	meta:
		name = "TOleContainer.DeactivateAndUndo"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 80 1C 02 00 00 50 8B 00 FF 50 18 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_14249_0 {
	meta:
		name = "TOleContainer.OnPosRectChange"
		size = 83
		refs = "000a TOleContainer.OnPosRectChange 001b TOleContainer.ObjectMoved 0023 TOleContainer.UpdateObjectRect 0032 @HandleAnyException 0037 Application 0041 TApplication.HandleException 0046 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14250_0 {
	meta:
		name = "TOleContainer.OnDataChange"
		size = 21
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 66 BB B8 FF E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_14251_0 {
	meta:
		name = "TOleContainer.OnViewChange"
		size = 26
		refs = "0012 TOleContainer.UpdateView"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 3B 90 00 02 00 00 75 05 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_14255_0 {
	meta:
		name = "TOleContainer.ActivateMe"
		size = 256
		refs = "000e @IntfAddRef 0016 TOleContainer.ActivateMe 002f @IntfClear 009e @IntfCopy 00b0 TOleContainer.UpdateObjectRect 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 05 40 00 80 83 7D 0C 00 75 4D 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 85 C0 75 79 83 7D FC 00 74 73 8D 45 0C E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B C3 85 C0 74 05 2D 8C FD FF FF 50 8B 45 FC 50 8B 00 FF 50 0C 8B F0 85 F6 75 4B EB 15 8B C3 85 C0 74 05 2D 8C FD FF FF 50 8B 45 0C 50 8B 00 FF 50 0C C6 83 64 02 00 00 01 8D 83 60 02 00 00 8B 55 0C E8 ?? ?? ?? ?? 6A FF 8B 45 0C 50 8B 00 FF 50 28 8B C3 E8 ?? ?? ?? ?? 6A FF 8B 45 0C 50 8B 00 FF 50 24 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 59 5D C2 08 00 00 C5 BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_14256_0 {
	meta:
		name = "TOleContainer.Create"
		size = 196
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0026 NewStyleControls 0030 TOleContainer.Create 0049 TControl.SetWidth 0055 TControl.SetHeight 005e TWinControl.SetTabStop 0067 TControl.SetParentColor 00a6 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 F0 01 00 00 01 00 00 00 A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 46 40 EB 08 A1 ?? ?? ?? ?? 89 46 40 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 30 02 00 00 01 C6 86 31 02 00 00 01 C6 86 32 02 00 00 02 C6 86 33 02 00 00 01 C6 86 34 02 00 00 01 C6 86 35 02 00 00 01 C7 86 00 02 00 00 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 E8 00 00 00 F8 00 00 00 }
	condition:
		$1
}

rule function_14258_0 {
	meta:
		name = "TOleContainer._AddRef"
		size = 22
		altNames = "TOleControl._AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 80 F0 01 00 00 8B 80 F0 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_14259_0 {
	meta:
		name = "TOleContainer.AdjustBounds"
		size = 87
		refs = "0028 HimetricToPixels 002f TOleContainer.GetBorderWidth"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 F6 43 20 02 75 45 80 BB 37 02 00 00 04 75 3C 83 BB FC 01 00 00 00 74 33 8B D4 8D 83 04 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 03 F6 8B 04 24 03 C6 50 03 74 24 08 56 8B 4B 34 8B 53 30 8B C3 8B 18 FF 93 80 00 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14260_0 {
	meta:
		name = "TOleContainer.ChangeIconDialog"
		size = 212
		refs = "000f TOleContainer.CheckObject 0025 @FillChar 003e Application 0053 OleDialogHook 006b OleCheck 0072 TOleContainer.GetIconMetaPict 0080 TOleContainer.ChangeIconDialog 0092 OleUIChangeIcon 00a4 TOleContainer.SetDrawAspect 00c0 DestroyMetaPict 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 BC FE FF FF 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 45 FF 00 8D 85 BC FE FF FF 33 C9 BA 40 01 00 00 E8 ?? ?? ?? ?? C7 85 BC FE FF FF 40 01 00 00 C7 85 C0 FE FF FF 02 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 85 C4 FE FF FF C7 85 CC FE FF FF ?? ?? ?? ?? 8D 85 E4 FE FF FF 50 8B 83 FC 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 85 E0 FE FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 BC FE FF FF 50 E8 ?? ?? ?? ?? 48 75 13 8B 8D E0 FE FF FF B2 01 8B C3 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 E0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14261_0 {
	meta:
		name = "TOleContainer.CheckObject"
		size = 93
		refs = "0009 TOleContainer.CheckObject 0020 SEmptyContainer 0025 LoadResString 002f _Dn_EOleError 0034 Exception.Create 0039 @RaiseExcept 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 B8 FC 01 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_14262_0 {
	meta:
		name = "TOleContainer.Close"
		size = 31
		refs = "0006 TOleContainer.CheckObject 0019 OleCheck"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 FC 01 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14263_0 {
	meta:
		name = "TOleContainer.Copy"
		size = 132
		refs = "000c TOleContainer.Copy 0019 TOleContainer.Close 0026 _DV_TDataObject 002b TDataObject.Create 0041 @IntfCast 004a OleSetClipboard 004f OleCheck 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 8B FC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14264_0 {
	meta:
		name = "TOleContainer.CreateAccelTable"
		size = 82
		refs = "0049 TMainMenu.GetOle2AcceleratorTable"
	strings:
		$1 = { 53 83 C4 F4 8B D8 83 BB 24 02 00 00 00 75 3E 8B 83 18 02 00 00 8B 10 FF 52 48 8B 80 28 02 00 00 85 C0 74 29 33 D2 89 14 24 C7 44 24 04 02 00 00 00 C7 44 24 08 04 00 00 00 54 6A 02 8D 8B 28 02 00 00 8D 93 24 02 00 00 E8 ?? ?? ?? ?? 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_14265_0 {
	meta:
		name = "TOleContainer.CreateLinkToFile"
		size = 117
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateLinkToFile 003d @WStrFromLStr 0047 TOleContainer.CreateObjectFromInfo 0062 @FinalizeRecord 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 02 88 5D E1 33 C0 89 45 E4 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14266_0 {
	meta:
		name = "TOleContainer.CreateObject"
		size = 132
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateObject 003d ProgIDToClassID 0056 TOleContainer.CreateObjectFromInfo 0071 @FinalizeRecord 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 00 88 5D E1 33 C0 89 45 E4 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 57 8D 75 D0 8D 7D E8 B9 04 00 00 00 F3 A5 5F 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14267_0 {
	meta:
		name = "TOleContainer.CreateObjectFromFile"
		size = 117
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateObjectFromFile 003d @WStrFromLStr 0047 TOleContainer.CreateObjectFromInfo 0062 @FinalizeRecord 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 01 88 5D E1 33 C0 89 45 E4 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14268_0 {
	meta:
		name = "TOleContainer.CreateObjectFromInfo"
		size = 572
		refs = "0012 TOleContainer.DestroyObject 001a TOleContainer.CreateObjectFromInfo 0028 TOleContainer.CreateStorage 005d @IntfClear 0087 OleCreate 008c OleCheck 00c7 @WStrToPWChar 00cd GUID_NULL 00d3 OleCreateFromFile 0119 OleCreateLinkToFile 0157 OleCreateFromData 0195 OleCreateLinkFromData 01af TOleContainer.InitObject 01b7 TControl.GetClientHeight 01c0 TControl.GetClientWidth 01c9 Point 01d4 PixelsToHimetric 01f7 TOleContainer.SetDrawAspect 01ff TOleContainer.UpdateView 020e @HandleAnyException 021b @RaiseAgain 0220 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 8A 03 83 F8 04 0F 87 65 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 F8 01 00 00 50 8B 45 FC 85 C0 74 05 2D 88 FD FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8D 43 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 09 01 00 00 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 F8 01 00 00 50 8B 45 FC 85 C0 74 05 2D 88 FD FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 00 00 00 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 F8 01 00 00 50 8B 45 FC 85 C0 74 05 2D 88 FD FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 F8 01 00 00 50 8B 45 FC 85 C0 74 05 2D 88 FD FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 1C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 F8 01 00 00 50 8B 45 FC 85 C0 74 05 2D 88 FD FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 1C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 80 00 02 00 00 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? 8D 45 EC 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 6A 01 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 50 44 8B 4B 04 8A 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14270_0 {
	meta:
		name = "TOleContainer.CreateStorage"
		size = 67
		refs = "000a @IntfClear 0014 CreateILockBytesOnHGlobal 0019 OleCheck 0038 StgCreateDocfileOnILockBytes"
	strings:
		$1 = { 53 8B D8 8D 83 F4 01 00 00 E8 ?? ?? ?? ?? 50 6A FF 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 F8 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8B 83 F4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14271_0 {
	meta:
		name = "TOleContainer.DblClick"
		size = 26
		refs = "000f TOleContainer.DoVerb 0015 TControl.DblClick"
	strings:
		$1 = { 80 B8 32 02 00 00 02 75 0B BA 00 00 FF FF E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14272_0 {
	meta:
		name = "TOleContainer.DefineProperties"
		size = 68
		refs = "000b TControl.DefineProperties 0011 TOleContainer.LoadFromStream 0017 TOleContainer.SaveToStream 0026 TOleContainer.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB FC 01 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 FF FF FF FF 04 00 00 00 44 61 74 61 00 00 00 00 }
	condition:
		$1
}

rule function_14273_0 {
	meta:
		name = "TOleContainer.DesignModified"
		size = 30
		refs = "0001 GetParentForm"
		altNames = "TOleControl.DesignModified"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 30 02 00 00 00 74 0B 8B 80 30 02 00 00 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_14274_0 {
	meta:
		name = "TOleContainer.DestroyAccelTable"
		size = 37
		refs = "000f DestroyAcceleratorTable"
	strings:
		$1 = { 53 8B D8 8B 83 24 02 00 00 85 C0 74 16 50 E8 ?? ?? ?? ?? 33 C0 89 83 24 02 00 00 33 C0 89 83 28 02 00 00 5B C3 }
	condition:
		$1
}

rule function_14275_0 {
	meta:
		name = "TOleContainer.DestroyObject"
		size = 324
		refs = "000d TOleContainer.DestroyObject 0025 TOleContainer.SetViewAdviseSink 0036 @IntfClear 008d @CallDynaInst 00c0 TOleContainer.DestroyVerbs 00c7 TOleContainer.DestroyAccelTable 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE FC 01 00 00 00 74 71 33 D2 8B C6 E8 ?? ?? ?? ?? 83 BE 10 02 00 00 00 74 3F 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 86 FC 01 00 00 50 8B 00 FF 10 83 7D FC 00 74 18 8B 86 10 02 00 00 50 8B 45 FC 50 8B 00 FF 50 28 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 86 10 02 00 00 6A 01 8B 86 FC 01 00 00 50 8B 00 FF 50 18 8B C6 8B 10 FF 52 78 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 8D 86 60 02 00 00 E8 ?? ?? ?? ?? 8D 86 FC 01 00 00 E8 ?? ?? ?? ?? 8D 86 F8 01 00 00 E8 ?? ?? ?? ?? 8D 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 BE 14 02 00 00 00 74 3E 8B 86 18 02 00 00 3B 86 14 02 00 00 74 0D 8B D6 8B 86 18 02 00 00 8B 08 FF 51 40 8B D6 8B 86 14 02 00 00 8B 08 FF 51 40 8D 86 18 02 00 00 E8 ?? ?? ?? ?? 8D 86 14 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14276_0 {
	meta:
		name = "TOleContainer.DestroyVerbs"
		size = 43
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 2C 02 00 00 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 0C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_14277_0 {
	meta:
		name = "TOleContainer.DoEnter"
		size = 31
		refs = "0012 TOleContainer.DoVerb 0019 TWinControl.DoEnter"
	strings:
		$1 = { 53 8B D8 80 BB 32 02 00 00 01 75 0A 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14278_0 {
	meta:
		name = "TOleContainer.DoVerb"
		size = 266
		refs = "0016 TOleContainer.DoVerb 0023 TOleContainer.CheckObject 0037 TOleContainer.UpdateVerbs 004e SInvalidVerb 0053 LoadResString 005d _Dn_EOleError 0062 Exception.Create 0067 @RaiseExcept 00a3 TWinControl.GetHandle 00b1 TControl.GetBoundsRect 00e2 OleCheck 00f7 @LStrClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 7E 58 83 BB 0C 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 8B 10 FF 52 14 3B F0 7C 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 0C 02 00 00 8B 08 FF 51 18 66 83 E0 FF 0F BF C0 8B F0 EB 0A 81 FE 00 00 FF FF 75 02 33 F6 80 BB 64 02 00 00 00 74 15 8D 55 F0 8B C3 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 14 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B F8 8D 45 F0 50 57 6A 00 8B C3 85 C0 74 05 2D 88 FD FF FF 50 6A 00 56 8B 83 FC 01 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14279_0 {
	meta:
		name = "TOleContainer.GetBorderWidth"
		size = 45
		refs = "000e NewStyleControls"
	strings:
		$1 = { 80 B8 34 02 00 00 00 75 03 33 C0 C3 8B 15 ?? ?? ?? ?? 80 3A 00 74 10 80 B8 2C 01 00 00 00 74 07 B8 02 00 00 00 EB 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_14280_0 {
	meta:
		name = "TOleContainer.GetCanPaste"
		size = 110
		refs = "000a TOleContainer.GetCanPaste 0018 @IntfClear 001e OleGetClipboard 0023 Succeeded 0030 OleQueryCreateFromData 003d OleQueryLinkFromData 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_14281_0 {
	meta:
		name = "TOleContainer.GetIconic"
		size = 11
	strings:
		$1 = { 83 B8 00 02 00 00 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_14282_0 {
	meta:
		name = "TOleContainer.GetIconMetaPict"
		size = 232
		refs = "0013 TOleContainer.GetIconMetaPict 0020 TOleContainer.CheckObject 0033 @IntfClear 0080 Succeeded 00a0 OleCheck 00ad OleGetIconOfClass 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 F6 83 BB 00 02 00 00 04 75 5C 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 83 7D FC 00 74 3D 66 C7 45 E8 03 00 33 C0 89 45 EC C7 45 F0 04 00 00 00 C7 45 F4 FF FF FF FF C7 45 F8 20 00 00 00 8D 45 DC 50 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 84 C0 74 03 8B 75 E0 85 F6 75 24 8D 45 CC 50 8B 83 FC 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 CC 50 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14283_0 {
	meta:
		name = "TOleContainer.GetLinked"
		size = 112
		refs = "000c TOleContainer.GetLinked 0019 TOleContainer.CheckObject 0021 @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 83 7D FC 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14284_0 {
	meta:
		name = "TOleContainer.GetObjectDataSize"
		size = 43
		refs = "000d GetHGlobalFromILockBytes 0012 Succeeded 001f GlobalSize"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 F4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_14285_0 {
	meta:
		name = "TOleContainer.GetObjectVerbs"
		size = 27
		refs = "000f TOleContainer.UpdateVerbs"
	strings:
		$1 = { 53 8B D8 83 BB 0C 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_14286_0 {
	meta:
		name = "TOleContainer.GetOleClassName"
		size = 49
		refs = "000c TOleContainer.CheckObject 001e OleCheck 0027 ClassIDToProgID"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 54 8B 83 FC 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B D6 8B C4 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_14287_0 {
	meta:
		name = "TOleContainer.GetOleObject"
		size = 112
		refs = "000f TOleContainer.GetOleObject 001c TOleContainer.CheckObject 002f @IntfCast 0039 @VarFromDisp 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14418_0 {
	meta:
		name = "TOleControl.GetOleObject"
		size = 112
		refs = "000f TOleControl.GetOleObject 001c TOleControl.CreateControl 002f @IntfCast 0039 @VarFromDisp 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14288_0 {
	meta:
		name = "TOleContainer.GetPopupMenu"
		size = 276
		refs = "0014 TOleContainer.GetPopupMenu 003b TOleContainer.GetObjectVerbs 005e _Dn_TPopupMenu 0063 TPopupMenu.Create 008e _Dn_TMenuItem 0093 TMenuItem.Create 00b1 TMenuItem.SetCaption 00c1 TOleContainer.PopupVerbMenuClick 00d1 TMenuItem.Add 00e8 TControl.GetPopupMenu 00ff @LStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 33 02 00 00 00 0F 84 BA 00 00 00 83 BB FC 01 00 00 00 0F 84 AD 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 8E 99 00 00 00 83 BB 2C 02 00 00 00 0F 85 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 2C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 5F 40 89 45 F8 C7 45 FC 00 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 38 FF 57 0C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 46 0C 89 5E 78 C7 46 74 ?? ?? ?? ?? 8B 83 2C 02 00 00 8B 40 28 8B D6 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 75 AC 8B 9B 2C 02 00 00 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14289_0 {
	meta:
		name = "TOleContainer.GetPrimaryVerb"
		size = 74
		refs = "0011 TOleContainer.UpdateVerbs"
	strings:
		$1 = { 53 56 57 8B F8 83 BF 0C 02 00 00 00 75 07 8B C7 E8 ?? ?? ?? ?? 8B 87 0C 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1B 43 33 F6 8B 87 0C 02 00 00 8B D6 8B 08 FF 51 18 A9 FF FF 00 00 74 06 46 4B 75 E8 33 F6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14290_0 {
	meta:
		name = "TOleContainer.GetSourceDoc"
		size = 132
		refs = "000f TOleContainer.GetSourceDoc 001c TOleContainer.CheckObject 0023 @LStrClr 002b @IntfClear 004c GetDisplayNameStr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 83 7D FC 00 74 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14291_0 {
	meta:
		name = "TOleContainer.GetState"
		size = 66
		refs = "0032 OleIsRunning"
	strings:
		$1 = { 53 8B D8 83 BB FC 01 00 00 00 75 04 33 C0 5B C3 80 BB 38 02 00 00 00 74 04 B0 03 EB 23 80 BB 39 02 00 00 00 74 04 B0 05 EB 16 8B 83 FC 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 04 B0 02 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_14292_0 {
	meta:
		name = "TOleContainer.InitObject"
		size = 444
		refs = "0017 TOleContainer.InitObject 0024 ValidParentForm 002c GetVCLFrameForm 003a @IntfCopy 0068 IsFormMDIChild 0074 Application 00a2 TOleContainer.SetViewAdviseSink 00ac TControl.GetText 00b7 @WStrFromLStr 00bf @WStrToPWChar 00cf TApplication.GetTitle 00fd OleSetContainedObject 0105 @IntfClear 0172 @LStrClr 017a @WStrClr 01a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 14 02 00 00 E8 ?? ?? ?? ?? 8D 83 18 02 00 00 8B 93 14 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 14 02 00 00 8B 08 FF 51 3C 8B 83 14 02 00 00 8B 10 FF 52 48 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 E4 A1 ?? ?? ?? ?? 8B 00 8B 40 30 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 18 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 18 02 00 00 8B 08 FF 51 3C B2 01 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 50 8D 55 D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 50 8B 83 FC 01 00 00 50 8B 00 FF 50 14 6A FF 8B 83 FC 01 00 00 50 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 83 7D FC 00 74 41 66 C7 45 E8 00 00 33 C0 89 45 EC C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF C7 45 F8 FF FF FF FF 8D 83 10 02 00 00 50 85 DB 74 06 81 EB 90 FD FF FF 53 6A 01 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5B 8B E5 5D C3 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14293_0 {
	meta:
		name = "TOleContainer.InsertObjectDialog"
		size = 415
		refs = "0013 tagOLEUIINSERTOBJECTA 0018 @InitializeRecord 0024 TCreateInfo 0031 TOleContainer.InsertObjectDialog 0051 @FillChar 0076 Application 0085 OleDialogHook 00ac OleUIInsertObject 0107 @WStrFromArray 012c TOleContainer.CreateObjectFromInfo 0155 DestroyMetaPict 015b @HandleFinally 017b @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 6C FE FF FF 53 56 57 8B D8 8D 45 8C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 6C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 C6 83 3D 02 00 00 00 8D 45 8C 33 C9 BA 70 00 00 00 E8 ?? ?? ?? ?? 8D 85 8C FE FF FF 33 C9 BA 00 01 00 00 E8 ?? ?? ?? ?? C7 45 8C 70 00 00 00 C7 45 90 02 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 94 C7 45 9C ?? ?? ?? ?? 8D 85 8C FE FF FF 89 45 C0 C7 45 C4 00 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 8C 50 E8 ?? ?? ?? ?? 48 0F 85 8D 00 00 00 8B 75 90 F7 C6 02 00 00 00 74 1B C6 85 6C FE FF FF 00 56 8D 75 B0 8D BD 74 FE FF FF B9 04 00 00 00 F3 A5 5E EB 2E F7 C6 08 00 00 00 75 09 C6 85 6C FE FF FF 01 EB 07 C6 85 6C FE FF FF 02 8D 85 84 FE FF FF 8D 95 8C FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? F7 C6 10 00 00 00 0F 95 C0 88 85 6D FE FF FF 8B 45 F8 89 85 70 FE FF FF 8D 95 6C FE FF FF 8B C3 E8 ?? ?? ?? ?? 80 BD 6C FE FF FF 00 75 07 C6 83 3D 02 00 00 01 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14294_0 {
	meta:
		name = "TOleContainer.KeyDown"
		size = 76
		refs = "0012 TWinControl.KeyDown 0031 TOleContainer.DoVerb"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 80 BB 32 02 00 00 00 74 29 66 83 3E 0D 75 23 F6 04 24 04 74 0C 83 CA FF 8B C3 E8 ?? ?? ?? ?? EB 0C BA 00 00 FF FF 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14296_0 {
	meta:
		name = "TOleContainer.LoadFromStream"
		size = 472
		refs = "0017 TOleContainer.LoadFromStream 0025 TOleContainer.DestroyObject 0034 TStream.ReadBuffer 0051 SInvalidStreamFormat 0056 LoadResString 0060 _Dn_EOleError 0065 Exception.Create 006a @RaiseExcept 0075 GlobalAlloc 0083 OutOfMemoryError 009a GlobalLock 00ca GlobalUnlock 00d0 @HandleFinally 00df @IntfClear 00eb CreateILockBytesOnHGlobal 00f0 OleCheck 011a StgOpenStorageOnILockBytes 014e OleLoad 0167 TOleContainer.InitObject 016f TOleContainer.UpdateView 017e @HandleAnyException 018d GlobalFree 019a @RaiseAgain 019f @DoneExcept 01b4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC B9 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 7D EC 42 44 4F 43 74 2D 8B 45 FC 80 B8 36 02 00 00 00 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 6A 02 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D F4 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 05 F4 01 00 00 E8 ?? ?? ?? ?? 50 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 45 FC 05 F8 01 00 00 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 12 6A 00 8B 45 FC 8B 80 F4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 85 C0 74 05 2D 88 FD FF FF 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 00 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14297_0 {
	meta:
		name = "TOleContainer.MouseDown"
		size = 54
		refs = "002b TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 84 DB 75 0A 8B C6 8B 10 FF 92 B4 00 00 00 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14298_0 {
	meta:
		name = "TOleContainer.Changed"
		size = 26
		refs = "0015 TOleContainer.DesignModified"
	strings:
		$1 = { F6 40 20 02 75 13 C6 80 3A 02 00 00 01 C6 80 3B 02 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14299_0 {
	meta:
		name = "TOleContainer.ObjectMoved"
		size = 71
		refs = "0020 TOleContainer.GetBorderWidth 002c InflateRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 66 83 BB 52 02 00 00 00 74 2E 8B F2 8B FC B9 04 00 00 00 F3 A5 8B C3 E8 ?? ?? ?? ?? 50 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B CC 8B D3 8B 83 54 02 00 00 FF 93 50 02 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14300_0 {
	meta:
		name = "TOleContainer.ObjectPropertiesDialog"
		size = 520
		refs = "0023 tagOLEUIOBJECTPROPSA 0028 @InitializeRecord 0030 TOleContainer.ObjectPropertiesDialog 003d TOleContainer.CheckObject 004e @FillChar 00bb @IntfCopy 00c2 TOleContainer.GetLinked 00d3 _DV_TOleUILinkInfo 00d8 TOleUILinkInfo.Create 0110 Application 011d MainInstance 0137 GetFullNameStr 015c SPropDlgCaption 0161 LoadResString 016f Format 0177 @LStrToPChar 018b OleDialogHook 01bc OleUIObjectProperties 01de @LStrArrayClr 01ec @FinalizeRecord 01f4 @LStrClr 01fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 10 FF FF FF 53 56 33 D2 89 95 14 FF FF FF 89 95 10 FF FF FF 89 55 FC 8B F0 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 DB 8D 45 D4 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 33 C9 BA 34 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C7 45 D4 28 00 00 00 C7 45 D8 08 00 00 00 8D 45 A0 89 45 DC 8D 45 E4 8B D6 85 D2 74 06 81 EA 98 FD FF FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 83 4D D8 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 EC E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 89 45 F0 8D 85 48 FF FF FF 89 45 F4 8D 85 20 FF FF FF 89 45 F8 C7 45 A0 34 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 A8 A1 ?? ?? ?? ?? 8B 00 89 45 AC 8D 45 FC 50 8D 95 14 FF FF FF 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 89 85 18 FF FF FF C6 85 1C FF FF FF 0B 8D 85 18 FF FF FF 50 8D 95 10 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 B4 C7 85 78 FF FF FF 28 00 00 00 C7 45 88 ?? ?? ?? ?? C7 85 48 FF FF FF 30 00 00 00 C7 85 4C FF FF FF 04 00 00 00 C7 85 20 FF FF FF 28 00 00 00 C7 85 24 FF FF FF 10 00 00 00 8D 45 D4 50 E8 ?? ?? ?? ?? 48 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14301_0 {
	meta:
		name = "TOleContainer.Paint"
		size = 552
		refs = "0030 Rect 003e NewStyleControls 006f TBrush.SetStyle 0080 TBrush.SetColor 0099 TCanvas.GetHandle 009f DrawEdge 00c9 HimetricToPixels 0186 SetRect 01ab IntersectClipRect 01e7 OleDraw 0204 ShadeRect 021c TCanvas.DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B D8 80 BB 64 02 00 00 00 74 0D 80 BB 39 02 00 00 00 0F 85 01 02 00 00 8B 43 3C 50 8D 44 24 1C 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB 34 02 00 00 01 75 21 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB 2C 01 00 00 00 74 07 BE 0F 20 00 00 EB 0C BE 0F A0 00 00 EB 05 BE 00 40 00 00 8B 83 EC 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 14 8B 53 64 E8 ?? ?? ?? ?? 81 CE 00 08 00 00 56 6A 0A 8D 44 24 20 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB FC 01 00 00 00 0F 84 58 01 00 00 8B 74 24 20 2B 74 24 18 8B 7C 24 24 2B 7C 24 1C 8B D4 8D 83 04 02 00 00 E8 ?? ?? ?? ?? 83 BB 00 02 00 00 01 75 3B 80 BB 37 02 00 00 02 75 32 8B C6 8B 6C 24 04 F7 ED 8B D7 8B 0C 24 0F AF D1 3B C2 7E 10 8B C1 F7 EF 99 F7 FD 89 04 24 89 7C 24 04 EB 0E 8B C5 F7 EE 99 F7 F9 89 44 24 04 89 34 24 83 BB 00 02 00 00 04 74 12 80 BB 37 02 00 00 01 74 09 80 BB 37 02 00 00 02 75 37 8B 04 24 2B F0 D1 FE 79 03 83 D6 00 89 74 24 08 8B 54 24 04 2B FA D1 FF 79 03 83 D7 00 89 7C 24 0C 8B 4C 24 08 03 C8 89 4C 24 10 8B 44 24 0C 03 C2 89 44 24 14 EB 64 80 BB 37 02 00 00 00 75 45 8B 44 24 04 50 8B 44 24 04 50 8B 44 24 24 50 8B 44 24 24 50 8D 44 24 18 50 E8 ?? ?? ?? ?? 8B 44 24 24 50 8B 44 24 24 50 8B 44 24 24 50 8B 44 24 24 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 57 56 8B 44 24 24 50 8B 44 24 24 50 8D 44 24 18 50 E8 ?? ?? ?? ?? 8D 44 24 08 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 00 02 00 00 50 8B 83 FC 01 00 00 50 E8 ?? ?? ?? ?? 80 BB 38 02 00 00 00 74 14 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8D 54 24 18 E8 ?? ?? ?? ?? 80 BB 3C 02 00 00 00 74 0F 8D 54 24 18 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14302_0 {
	meta:
		name = "TOleContainer.Paste"
		size = 370
		refs = "0013 TCreateInfo 0018 @InitializeRecord 0020 TOleContainer.Paste 002d TOleContainer.GetCanPaste 003d @IntfClear 0043 OleGetClipboard 0048 OleCheck 006e @IntfCopy 0074 CFObjectDescriptor 00a8 Succeeded 00b5 GlobalLock 00c8 GlobalUnlock 00d1 ReleaseStgMedium 0121 TOleContainer.CreateObjectFromInfo 0136 DestroyMetaPict 013c @HandleFinally 0159 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 33 D2 89 55 FC 8B D8 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 09 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 BC 03 C6 45 BD 00 33 C0 89 45 C0 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 45 E8 33 C0 89 45 EC C7 45 F0 01 00 00 00 C7 45 F4 FF FF FF FF C7 45 F8 01 00 00 00 8D 45 DC 50 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 E0 50 E8 ?? ?? ?? ?? 83 78 14 04 75 04 C6 45 BD 01 8B 45 E0 50 E8 ?? ?? ?? ?? 8D 45 DC 50 E8 ?? ?? ?? ?? 80 7D BD 00 74 40 66 C7 45 E8 03 00 33 C0 89 45 EC C7 45 F0 04 00 00 00 C7 45 F4 FF FF FF FF C7 45 F8 20 00 00 00 8D 45 DC 50 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 E0 89 45 C0 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14303_0 {
	meta:
		name = "TOleContainer.PasteSpecialDialog"
		size = 468
		refs = "0012 tagOLEUIPASTESPECIALA 0017 @InitializeRecord 0023 TCreateInfo 0036 TOleContainer.PasteSpecialDialog 0047 TOleContainer.GetCanPaste 005e @FillChar 0078 Application 0087 OleDialogHook 0098 CFLinkSource 00a5 CFEmbeddedObject 0121 OleUIPasteSpecial 015e @IntfCopy 016b TOleContainer.CreateObjectFromInfo 0184 DestroyMetaPict 018a @HandleFinally 01aa @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 8B D8 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D B5 60 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 3D 01 00 00 8D 45 A8 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8B C6 33 C9 BA 48 00 00 00 E8 ?? ?? ?? ?? C7 45 A8 54 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 45 B0 C7 45 B8 ?? ?? ?? ?? 89 75 D0 C7 45 D4 02 00 00 00 C7 45 D8 ?? ?? ?? ?? C7 45 DC 01 00 00 00 66 A1 ?? ?? ?? ?? 66 89 06 C7 46 08 01 00 00 00 C7 46 0C FF FF FF FF C7 46 10 08 00 00 00 B8 ?? ?? ?? ?? 89 46 14 B8 ?? ?? ?? ?? 89 46 18 C7 46 1C 00 0A 00 00 66 A1 ?? ?? ?? ?? 66 89 46 24 C7 46 2C 01 00 00 00 C7 46 30 FF FF FF FF C7 46 34 04 00 00 00 B8 ?? ?? ?? ?? 89 46 38 B8 ?? ?? ?? ?? 89 46 3C C7 46 40 01 08 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 50 E8 ?? ?? ?? ?? 48 75 4B 83 7D EC 00 74 09 C6 85 40 FF FF FF 04 EB 07 C6 85 40 FF FF FF 03 F6 45 AC 08 0F 95 C0 88 85 41 FF FF FF 8B 45 F0 89 85 44 FF FF FF 8D 85 5C FF FF FF 8B 55 CC E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B C3 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 8A 45 FF 5E 5B 8B E5 5D C3 00 00 00 25 73 00 00 }
	condition:
		$1
}

rule function_14304_0 {
	meta:
		name = "TOleContainer.PopupVerbMenuClick"
		size = 32
		refs = "000a _Dn_TMenuItem 000f @AsClass 0019 TOleContainer.DoVerb"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14305_0 {
	meta:
		name = "TOleContainer.QueryInterface"
		size = 104
		refs = "001c TOleContainer.QueryInterface 0022 IsEqualIID 0040 TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 07 C7 45 FC 02 40 00 80 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 84 C0 74 0F 80 BB 31 02 00 00 00 74 1A F6 43 20 10 75 14 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 C7 BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_14306_0 {
	meta:
		name = "TOleContainer._Release"
		size = 22
		altNames = "TOleControl._Release"
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 88 F0 01 00 00 8B 80 F0 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_14307_0 {
	meta:
		name = "TOleContainer.Run"
		size = 29
		refs = "0006 TOleContainer.CheckObject 0012 OleRun 0017 OleCheck"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14308_0 {
	meta:
		name = "TOleContainer.SaveObject"
		size = 176
		refs = "000e TOleContainer.SaveObject 0032 @IntfCast 0044 OleSave 0049 OleCheck 005c @IntfClear 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 BB FC 01 00 00 00 74 57 8D 45 FC 8B 93 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 83 F8 01 00 00 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 00 FF 50 20 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8B 83 F8 01 00 00 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? C6 83 3B 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 04 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14309_0 {
	meta:
		name = "TOleContainer.SaveAsDocument"
		size = 228
		refs = "0013 TOleContainer.SaveAsDocument 0020 TOleContainer.CheckObject 002f TOleContainer.SaveObject 0037 @IntfClear 0068 @WStrFromLStr 0070 @WStrToPWChar 0076 StgCreateDocfile 007b OleCheck 008a OleSave 00af @WStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 3B 02 00 00 00 74 06 53 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 83 7D F8 00 74 4C 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14311_0 {
	meta:
		name = "TOleContainer.SaveToStream"
		size = 406
		refs = "0018 TOleContainer.SaveToStream 0025 TOleContainer.CheckObject 0034 TOleContainer.SaveObject 0045 @IntfClear 004f CreateILockBytesOnHGlobal 0054 OleCheck 006d StgCreateDocfileOnILockBytes 00aa GetHGlobalFromILockBytes 00d9 TControl.GetBoundsRect 0114 GlobalSize 0126 TStream.WriteBuffer 012f GlobalLock 015f GlobalUnlock 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 3B 02 00 00 00 74 06 53 E8 ?? ?? ?? ?? 80 BB 35 02 00 00 00 74 74 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 6A 00 8B 83 F8 01 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8D 45 F4 50 8B 83 F4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 36 02 00 00 00 74 2C 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 66 8B 45 D8 66 89 45 E8 66 8B 45 DC 66 89 45 EA 66 8B 45 E0 66 89 45 EC 66 8B 45 E4 66 89 45 EE EB 10 C7 45 E8 42 44 4F 43 8B 83 00 02 00 00 89 45 EC 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 8D 55 E8 B9 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14312_0 {
	meta:
		name = "TOleContainer.SetBorderStyle"
		size = 33
		refs = "0014 TOleContainer.AdjustBounds"
	strings:
		$1 = { 53 8B D8 3A 93 34 02 00 00 74 14 88 93 34 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_14313_0 {
	meta:
		name = "TOleContainer.SetDrawAspect"
		size = 556
		refs = "001b TOleContainer.SetDrawAspect 0080 @IntfCast 0090 @IntfClear 009f OleCheck 00dd @FillChar 0111 TOleContainer.SetViewAdviseSink 0151 OleGetIconOfClass 01c7 DestroyMetaPict 01cd @HandleFinally 01e3 TOleContainer.UpdateObject 01eb TOleContainer.UpdateView"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 00 02 00 00 84 D2 74 14 8B 45 FC C7 80 00 02 00 00 04 00 00 00 BF 01 00 00 00 EB 12 8B 45 FC C7 80 00 02 00 00 01 00 00 00 BF 02 00 00 00 8B 45 FC 8B B0 00 02 00 00 3B DE 75 09 83 FE 04 0F 85 81 01 00 00 8D 45 F4 8B 55 FC 8B 92 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B DE 0F 84 89 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 83 7D F0 00 74 29 EB 12 3B 5D A0 75 0D 8B 45 B4 50 8B 45 F4 50 8B 00 FF 50 10 6A 00 8D 45 98 50 6A 01 8B 45 F0 50 8B 00 FF 50 0C 85 C0 74 D9 8D 45 D4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 00 02 00 00 89 45 DC C7 45 E0 FF FF FF FF 8D 45 EC 50 57 8D 45 D4 50 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 00 02 00 00 04 0F 85 AE 00 00 00 33 C0 89 45 E8 83 7D F8 00 75 2E 8D 45 B8 50 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 B8 50 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 D4 03 00 33 C0 89 45 D8 C7 45 DC 04 00 00 00 C7 45 E0 FF FF FF FF C7 45 E4 20 00 00 00 C7 45 C8 20 00 00 00 8B 45 F8 89 45 CC 33 C0 89 45 D0 6A 00 8D 45 C8 50 8D 45 D4 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 B8 00 02 00 00 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 1E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14314_0 {
	meta:
		name = "TOleContainer.SetFocused"
		size = 107
		refs = "001b TWinControl.GetHandle 0021 GetUpdateRect 003e TOleContainer.GetBorderWidth 0055 InflateRect 0062 TCanvas.DrawFocusRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 3A 93 3C 02 00 00 74 58 88 93 3C 02 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 09 8B C3 8B 10 FF 52 78 EB 34 8B D4 8B C3 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? F7 D8 50 8B C3 E8 ?? ?? ?? ?? F7 D8 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B D4 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14315_0 {
	meta:
		name = "TOleContainer.SetIconic"
		size = 38
		refs = "0009 TOleContainer.GetIconic 0014 TOleContainer.CheckObject 001f TOleContainer.SetDrawAspect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 12 8B C6 E8 ?? ?? ?? ?? 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14316_0 {
	meta:
		name = "TOleContainer.SetSizeMode"
		size = 33
		refs = "0014 TOleContainer.AdjustBounds"
	strings:
		$1 = { 53 8B D8 3A 93 37 02 00 00 74 14 88 93 37 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_14317_0 {
	meta:
		name = "TOleContainer.SetUIActive"
		size = 263
		refs = "0010 TOleContainer.SetUIActive 0027 GetParentForm 0052 TControl.Perform 00ad TWinControl.GetHandle 00b3 SetFocus 00bb TOleContainer.DestroyAccelTable 00e9 @HandleAnyException 00ee Application 00f8 TApplication.HandleException 00fd @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 88 98 39 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 A9 00 00 00 84 DB 74 52 8B 86 5C 02 00 00 85 C0 74 13 3B 45 FC 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 86 5C 02 00 00 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B 45 FC 66 83 B8 42 02 00 00 00 74 67 8B 5D FC 8B 55 FC 8B 83 44 02 00 00 FF 93 40 02 00 00 EB 53 8B 86 5C 02 00 00 3B 45 FC 75 08 33 C0 89 86 5C 02 00 00 8B 86 00 02 00 00 3B 45 FC 75 0E 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 4A 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 4C 02 00 00 FF 93 48 02 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14318_0 {
	meta:
		name = "TOleContainer.SetViewAdviseSink"
		size = 172
		refs = "0011 TOleContainer.SetViewAdviseSink 001f @IntfClear 004c @IntfCopy 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 86 FC 01 00 00 50 8B 00 FF 10 85 C0 75 38 84 DB 74 16 8D 45 F8 8B D6 85 D2 74 06 81 EA 90 FD FF FF E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 8B 86 00 02 00 00 50 8B 45 FC 50 8B 00 FF 50 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14319_0 {
	meta:
		name = "TOleContainer.UpdateObject"
		size = 42
		refs = "0019 OleCheck 0024 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 83 BB FC 01 00 00 00 74 1C 8B 83 FC 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14320_0 {
	meta:
		name = "TOleContainer.UpdateObjectRect"
		size = 191
		refs = "004e TControl.ScreenToClient 0055 TControl.GetClientHeight 0066 TControl.GetClientWidth 0079 Rect"
	strings:
		$1 = { 53 83 C4 D0 8B D8 80 BB 64 02 00 00 00 74 2A 83 BB 60 02 00 00 00 74 21 8D 54 24 18 8B C3 8B 08 FF 51 44 8D 44 24 18 50 8B 83 60 02 00 00 50 8B 00 FF 50 18 E9 81 00 00 00 8D 54 24 28 8B C3 8B 08 FF 51 40 8D 54 24 28 8B CC 8B 43 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 44 24 04 50 8D 44 24 0C 50 8B C3 E8 ?? ?? ?? ?? 8B C8 03 4C 24 08 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 83 BB 1C 02 00 00 00 74 34 68 FF 3F 00 00 8D 44 24 1C 50 B9 FF 3F 00 00 BA 00 C0 FF FF B8 00 C0 FF FF E8 ?? ?? ?? ?? 8D 44 24 18 50 8D 44 24 0C 50 8B 83 1C 02 00 00 50 8B 00 FF 50 1C 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_14321_0 {
	meta:
		name = "TOleContainer.UpdateVerbs"
		size = 211
		refs = "001a TOleContainer.UpdateVerbs 0027 TOleContainer.CheckObject 002e TOleContainer.DestroyVerbs 0035 _Dn_TStringList 003a TObject.Create 0048 @IntfClear 0075 @LStrFromPWChar 00b8 @LStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 FC 8B D8 8D 75 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 FC 01 00 00 50 8B 00 FF 50 30 85 C0 75 4A EB 2B 66 8B 06 66 89 45 F8 66 8B 46 08 66 89 45 FA 8D 45 E4 8B 56 04 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F8 8B 83 0C 02 00 00 8B 38 FF 57 38 6A 00 56 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 75 0B 83 3E 00 7C 06 F6 46 0C 02 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14322_0 {
	meta:
		name = "TOleContainer.UpdateView"
		size = 160
		refs = "000c TOleContainer.UpdateView 001a @IntfClear 0030 Succeeded 0056 TOleContainer.AdjustBounds 0068 @CallDynaInst 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 84 C0 74 22 8D 83 04 02 00 00 50 6A 00 6A FF 8B 83 00 02 00 00 50 8B 45 FC 50 8B 00 FF 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 27 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14323_0 {
	meta:
		name = "TOleContainer.CMCtl3DChanged"
		size = 51
		refs = "0007 NewStyleControls 001c TOleContainer.AdjustBounds 002c TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB 34 02 00 00 01 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14324_0 {
	meta:
		name = "TOleContainer.CMDocWindowActivate"
		size = 89
		refs = "001b IsFormMDIChild"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 14 02 00 00 00 74 47 8B 83 14 02 00 00 8B 10 FF 52 48 E8 ?? ?? ?? ?? 84 C0 74 33 8B 46 04 50 8B 83 20 02 00 00 50 8B 00 FF 50 1C 83 7E 04 00 75 1D 6A 00 6A 00 6A 00 8B 83 18 02 00 00 50 8B 00 FF 50 28 8B 83 18 02 00 00 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_14325_0 {
	meta:
		name = "TOleContainer.CMUIDeactivate"
		size = 41
		refs = "0006 GetParentForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 98 5C 02 00 00 75 15 83 BB 1C 02 00 00 00 74 0C 8B 83 1C 02 00 00 50 8B 00 FF 50 18 5B C3 }
	condition:
		$1
}

rule function_14327_0 {
	meta:
		name = "TOleContainer.WMSetFocus"
		size = 61
		refs = "0007 TWinControl.WMSetFocus 002a SetFocus 0036 TOleContainer.SetFocused"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 39 02 00 00 00 74 1D 54 8B 83 1C 02 00 00 50 8B 00 FF 50 0C 85 C0 75 0C 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14328_0 {
	meta:
		name = "TOleContainer.WMSize"
		size = 67
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 46 20 01 75 18 66 83 BE 5A 02 00 00 00 74 0E 8B D6 8B 86 5C 02 00 00 FF 96 58 02 00 00 80 BE 64 02 00 00 00 74 09 80 BE 39 02 00 00 00 75 07 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_14329_0 {
	meta:
		name = "TOleContainer.WMWindowPosChanged"
		size = 75
		refs = "000e TControl.GetBoundsRect 0017 TWinControl.WMWindowPosChanged 0036 EqualRect 0041 TOleContainer.UpdateObjectRect"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 39 02 00 00 00 74 21 54 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_14330_0 {
	meta:
		name = "TOleForm.OnDestroy"
		size = 40
		refs = "0016 TList.Get 001b TOleContainer.DestroyObject"
	strings:
		$1 = { 53 56 8B F0 8B 46 10 8B 58 08 4B 83 FB 00 7C 15 8B D3 8B 46 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EB 5E 5B C3 }
	condition:
		$1
}

rule function_14331_0 {
	meta:
		name = "TOleForm.OnResize"
		size = 110
		refs = "001c TControl.GetClientWidth 0029 TControl.GetClientHeight 0035 TOleForm.GetBorder"
	strings:
		$1 = { 53 83 C4 F0 8B D8 83 7B 14 00 74 5D 8B 43 0C 80 B8 0B 02 00 00 01 74 51 8B 43 0C E8 ?? ?? ?? ?? 3B 43 18 75 0D 8B 43 0C E8 ?? ?? ?? ?? 3B 43 1C 74 37 54 53 E8 ?? ?? ?? ?? 6A FF 8B C3 85 C0 74 03 83 E8 CC 50 8D 44 24 08 50 8B 43 14 50 8B 00 FF 50 20 8B 43 0C E8 ?? ?? ?? ?? 89 43 18 8B 43 0C E8 ?? ?? ?? ?? 89 43 1C 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14332_0 {
	meta:
		name = "TOleForm.GetWindow"
		size = 27
		refs = "000b TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 43 0C E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14334_0 {
	meta:
		name = "TOleForm.GetBorder"
		size = 193
		refs = "0031 TWinControl.GetControlCount 004b TWinControl.GetControl 005c TOleForm.IsSpacer 0069 TOleForm.IsToolControl"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 08 33 C0 89 45 FC 8D 55 E8 8B 46 0C 8B 08 FF 51 44 8B 45 0C 56 8D 75 E8 8B F8 B9 04 00 00 00 F3 A5 5E 8B 46 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 79 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B D8 80 7B 47 00 74 58 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 4B 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 3E 8A 43 4B FE C8 74 23 FE C8 74 2A FE C8 74 06 FE C8 74 0C EB 29 8B 45 0C 8B 53 38 01 10 EB 1F 8B 45 0C 8B 53 38 29 50 08 EB 14 8B 45 0C 8B 53 3C 01 50 04 EB 09 8B 45 0C 8B 53 3C 29 50 0C FF 45 F8 4F 75 8F 8B 45 FC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14335_0 {
	meta:
		name = "TOleForm.RequestBorderSpace"
		size = 105
		refs = "0016 _Dn_TForm 001b @IsClass 002f TWinControl.GetControlCount 0043 TWinControl.GetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 33 C0 89 45 FC 8B 5E 0C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BB 0F 02 00 00 02 74 32 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 C3 33 FF 8B 46 0C 8B D7 E8 ?? ?? ?? ?? 80 78 47 00 74 06 80 78 4B 05 74 0B 47 4B 75 E6 C7 45 FC A1 01 04 80 8B 45 FC 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14336_0 {
	meta:
		name = "TOleForm.SetBorderSpace"
		size = 296
		refs = "001e TOleForm.RequestBorderSpace 002e TWinControl.DisableAlign 0036 TWinControl.GetControlCount 004b TWinControl.GetControl 0056 TOleForm.IsToolControl 0063 TControl.SetVisible 006d TList.Add 007a Alignments 009e _Dn_TControl 00a3 TControl.Create 00c4 TControl.SetTop 00cf TControl.SetLeft 00db TControl.SetAlign 00f8 TControl.SetHeight 0104 TControl.SetWidth 0119 TWinControl.EnableAlign"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 08 33 C0 83 7D 0C 00 0F 84 07 01 00 00 8B 45 0C 50 56 E8 ?? ?? ?? ?? 85 C0 0F 85 F5 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 48 85 C0 7C 38 40 89 45 F8 33 DB 8B D3 8B 46 0C E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 46 20 E8 ?? ?? ?? ?? 43 FF 4D F8 75 CE 33 DB B8 ?? ?? ?? ?? 89 45 F4 8B 45 0C 8B 04 98 89 45 FC 83 7D FC 00 7E 78 8B 7C 9E 24 85 FF 75 55 8B 4E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 FB 02 7D 07 B8 10 27 00 00 EB 05 B8 F0 D8 FF FF F6 C3 01 74 0B 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8A 10 8B C7 E8 ?? ?? ?? ?? 8B 56 0C 8B C7 8B 08 FF 51 64 89 7C 9E 24 F6 C3 01 74 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 FF 45 F4 83 FB 04 0F 85 6C FF FF FF 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14337_0 {
	meta:
		name = "TOleForm.SetActiveObject"
		size = 132
		refs = "0013 @IntfCopy 0033 GetParent 0040 FindControl 0059 SetWindowPos 0068 TControl.GetClientWidth 0073 TControl.GetClientHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 33 FF 8D 46 14 8B 55 0C E8 ?? ?? ?? ?? 83 7E 14 00 74 5D 8D 45 FC 50 8B 46 14 50 8B 00 FF 50 0C 85 C0 75 36 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 27 8B C3 E8 ?? ?? ?? ?? 85 C0 74 17 6A 13 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? EB 05 89 5D FC EB CA 8B 46 0C E8 ?? ?? ?? ?? 89 46 18 8B 46 0C E8 ?? ?? ?? ?? 89 46 1C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_14338_0 {
	meta:
		name = "TOleForm.InsertMenus"
		size = 68
		refs = "0038 TMainMenu.PopulateOle2Menu"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 8B 40 0C 8B 80 28 02 00 00 85 C0 74 26 6A 02 8B 55 10 52 6A 05 33 D2 89 55 F4 C7 45 F8 02 00 00 00 C7 45 FC 04 00 00 00 8D 4D F4 8B 55 0C E8 ?? ?? ?? ?? 33 C0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14339_0 {
	meta:
		name = "TOleForm.SetMenu"
		size = 58
		refs = "001c TMainMenu.SetOle2MenuHandle 0031 OleSetMenuDescriptor"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 0C 8B 98 28 02 00 00 33 C0 85 DB 74 1F 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 14 50 8B 43 2C 50 8B 45 10 50 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_14340_0 {
	meta:
		name = "TOleControl.RemoveMenus"
		size = 39
		refs = "0012 RemoveMenu 0018 GetMenuItemCount"
		altNames = "TOleForm.RemoveMenus"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C EB 0D 68 00 04 00 00 6A 00 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 7F E9 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14341_0 {
	meta:
		name = "TOleForm.SetStatusText"
		size = 85
		refs = "000a TOleForm.SetStatusText 001b @LStrFromPWChar 0023 Application 002a TApplication.SetHint 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14343_0 {
	meta:
		name = "TOleForm.TranslateAccelerator"
		size = 49
		refs = "001b TMenu.DispatchCommand"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 0C 8B 98 28 02 00 00 85 DB 74 13 66 8B 55 10 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_14344_0 {
	meta:
		name = "TOleForm.Create"
		size = 112
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TList 0051 @IntfCopy 005c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 8B 47 0C 05 44 02 00 00 8B D7 85 D2 74 03 83 EA C8 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14345_0 {
	meta:
		name = "TOleForm.Destroy"
		size = 73
		refs = "0004 @BeforeDestruction 001a @IntfClear 0022 TObject.Free 0036 TObject.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 77 0C 85 F6 74 0B 8D 86 44 02 00 00 E8 ?? ?? ?? ?? 8B 47 20 E8 ?? ?? ?? ?? 8B 47 10 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14346_0 {
	meta:
		name = "TOleForm.ClearBorderSpace"
		size = 95
		refs = "0009 TWinControl.DisableAlign 0014 TObject.Free 0038 TList.Get 003f TControl.SetVisible 004f @CallDynaInst 0057 TWinControl.EnableAlign"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 0C E8 ?? ?? ?? ?? 33 DB 8B 44 9E 24 E8 ?? ?? ?? ?? 33 C0 89 44 9E 24 43 83 FB 04 75 EB 8B 46 20 8B 78 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B 46 20 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 43 4F 75 EB 8B 46 20 66 BB FF FF E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14347_0 {
	meta:
		name = "TOleForm.IsSpacer"
		size = 20
	strings:
		$1 = { 33 C9 3B 54 88 24 75 03 B0 01 C3 41 83 F9 04 75 F1 33 C0 C3 }
	condition:
		$1
}

rule function_14348_0 {
	meta:
		name = "TOleForm.IsToolControl"
		size = 45
		refs = "001d TControl.Perform"
	strings:
		$1 = { 53 8B DA 80 7B 47 00 74 1C 8A 43 4B 48 2C 04 73 14 6A 00 33 C9 BA 32 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_14352_0 {
	meta:
		name = "Initialize"
		size = 208
		refs = "0003 DataFormats 000a GetDC 0014 GetDeviceCaps 0019 PixPerInch 002e ReleaseDC 0033 Initialize 0038 RegisterClipboardFormat 003d CFObjectDescriptor 004c CFEmbeddedObject 005b CFLinkSource"
	strings:
		$1 = { 53 56 BE ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 58 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 5A 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 66 89 06 C7 46 08 01 00 00 00 C7 46 0C FF FF FF FF C7 46 10 08 00 00 00 66 A1 ?? ?? ?? ?? 66 89 46 14 C7 46 1C 01 00 00 00 C7 46 20 FF FF FF FF C7 46 24 01 00 00 00 5E 5B C3 00 4F 62 6A 65 63 74 20 44 65 73 63 72 69 70 74 6F 72 00 00 00 45 6D 62 65 64 64 65 64 20 4F 62 6A 65 63 74 00 4C 69 6E 6B 20 53 6F 75 72 63 65 00 }
	condition:
		$1
}

rule function_14354_0 {
	meta:
		name = "OleCtnrs"
		size = 22
		refs = "0002 _DV_3 000c OleInitialize 0011 Initialize"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0C 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14355_0 {
	meta:
		name = "_NF__1E9"
		size = 160
		refs = "0007 TEventDispatch.GetTypeInfoCount 0011 TEventDispatch.GetTypeInfo 001b TEventDispatch.GetIDsOfNames 0025 TEventDispatch.Invoke 002f TEventDispatch.QueryInterface 0039 TEventDispatch._AddRef 0043 TEventDispatch._Release 0048 _NF__1E9"
	strings:
		$1 = { CC 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14356_0 {
	meta:
		name = "_NF__1F4"
		size = 1395
		refs = "000a TOleControl.PreMessageFilter 0017 TOleControl.PostMessageFilter 0035 TOleControl._AddRef 0042 TOleControl._Release 00a2 TOleControl.GetTypeInfoCount 00af TOleControl.GetTypeInfo 00bc TOleControl.GetIDsOfNames 00c9 TOleControl.Invoke 0101 TOleControl.InsertMenus 010e TOleControl.SetMenu 011b TOleControl.RemoveMenus 0128 TOleControl.SetStatusText 0135 TOleControl.EnableModeless 0142 TOleControl.OleInPlaceFrame_TranslateAccelerator 014f TOleControl.GetBorder 015c TOleControl.RequestBorderSpace 0169 TOleControl.SetBorderSpace 0176 TOleControl.SetActiveObject 0183 TOleControl.OleInPlaceFrame_GetWindow 0190 TOleControl.ContextSensitiveHelp 01c8 TOleControl.CanInPlaceActivate 01d5 TOleControl.OnInPlaceActivate 01e2 TOleControl.OnUIActivate 01ef TOleControl.GetWindowContext 01fc TOleControl.Scroll 0209 TOleControl.OnUIDeactivate 0216 TOleControl.OnInPlaceDeactivate 0223 TOleControl.DiscardUndoState 0230 TOleControl.DeactivateAndUndo 023d TOleControl.OnPosRectChange 024a TOleControl.OleInPlaceSite_GetWindow 028f TOleControl.OnControlInfoChanged 029c TOleControl.LockInPlaceActive 02a9 TOleControl.GetExtendedControl 02b6 TOleControl.TransformCoords 02c3 TOleControl.OleControlSite_TranslateAccelerator 02d0 TOleControl.OnFocus 02dd TOleControl.ShowPropertyFrame 0315 TOleControl.SaveObject 0322 TOleControl.GetMoniker 032f TOleControl.GetContainer 033c TOleControl.ShowObject 0349 TOleControl.OnShowWindow 0356 TOleControl.RequestNewObjectLayout 0387 _NF__1F4"
	strings:
		$1 = { CC 81 44 24 04 CC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 CC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 CC FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 CC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 CC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C8 FD FF FF 8B 44 24 04 8B 00 FF A0 C0 00 00 00 81 44 24 04 C8 FD FF FF 8B 44 24 04 8B 00 FF A0 C4 00 00 00 81 44 24 04 C8 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 C8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C4 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 C4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 C0 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 BC FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B8 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B4 FD FF FF 8B 44 24 04 8B 00 FF 60 28 81 44 24 04 B4 FD FF FF E9 ?? ?? ?? ?? 81 44 24 04 B4 FD FF FF E9 ?? ?? ?? ?? CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 08 00 00 00 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB ?? ?? ?? ?? 34 02 00 00 00 00 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 ?? ?? ?? ?? 38 02 00 00 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 3C 02 00 00 00 00 00 00 16 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 40 02 00 00 00 00 00 00 19 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 44 02 00 00 00 00 00 00 89 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 ?? ?? ?? ?? 48 02 00 00 00 00 00 00 18 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 4C 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 34 02 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14358_0 {
	meta:
		name = "FontToOleFont"
		size = 73
		refs = "000c FontToOleFont 001a GetOleFont 0024 @VarFromDisp 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14359_0 {
	meta:
		name = "OleFontToFont"
		size = 124
		refs = "0011 OleFontToFont 0021 @VarToIntf 0031 @IntfCast 003b SetOleFont 0050 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_14360_0 {
	meta:
		name = "StringToVarOleStr"
		size = 31
		refs = "0009 @VarClear 0010 StringToOleStr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 08 66 C7 03 08 00 5E 5B C3 }
	condition:
		$1
}

rule function_14362_0 {
	meta:
		name = "TEventDispatch.QueryInterface"
		size = 104
		refs = "0016 TObject.GetInterface 0031 IsEqualIID 003c TEventDispatch.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 2E 8B 43 04 8B 80 EC 01 00 00 83 C0 10 50 56 E8 ?? ?? ?? ?? 84 C0 74 12 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 EB 05 B8 02 40 00 80 5F 5E 5B 5D C2 0C 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14363_0 {
	meta:
		name = "TEventDispatch._AddRef"
		size = 19
		refs = "000b TOleControl._AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_14364_0 {
	meta:
		name = "TEventDispatch._Release"
		size = 19
		refs = "000b TOleControl._Release"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_14365_0 {
	meta:
		name = "TEventDispatch.GetTypeInfoCount"
		size = 16
		altNames = "TOleControl.GetTypeInfoCount"
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 D2 89 10 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_14366_0 {
	meta:
		name = "TEventDispatch.GetTypeInfo"
		size = 19
		altNames = "TOleControl.GetTypeInfo"
	strings:
		$1 = { 55 8B EC 8B 45 14 33 D2 89 10 B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_14368_0 {
	meta:
		name = "TEventDispatch.Invoke"
		size = 52
		refs = "001f TOleControl.StandardEvent 002a TOleControl.InvokeEvent"
	strings:
		$1 = { 55 8B EC 8B 4D 1C 8B 45 0C 8B 55 08 3D A1 FD FF FF 7C 12 3D A8 FD FF FF 7F 0B 8B 52 04 92 E8 ?? ?? ?? ?? EB 09 8B 52 04 92 E8 ?? ?? ?? ?? 33 C0 5D C2 24 00 }
	condition:
		$1
}

rule function_14369_0 {
	meta:
		name = "TEnumPropDesc.Create"
		size = 343
		refs = "0014 @ClassCreate 0025 TEnumPropDesc.Create 0041 AllocMem 0071 OleCheck 00bf @LStrFromWStr 00d3 @LStrDelete 00db @LStrLen 0106 @HandleFinally 0129 @WStrClr 013f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 48 04 8B 45 FC 89 58 08 8B C3 C1 E0 03 E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 4B 85 DB 0F 8C C4 00 00 00 43 89 5D E8 C7 45 F4 00 00 00 00 8D 45 F0 50 8B 45 F4 50 8B 45 08 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 EC 50 8B 45 F0 8B 00 50 8B 45 08 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 55 F4 8D 1C D0 8B 45 F0 8B 40 08 8B 40 08 89 03 8D 43 04 8B 55 EC E8 ?? ?? ?? ?? EB 12 8D 43 04 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 48 7E 08 8B 43 04 80 38 5F 74 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 08 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D E8 0F 85 47 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14370_0 {
	meta:
		name = "TEnumPropDesc.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0017 TEnumValue 001c @FinalizeArray 002a @FreeMem 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 1C 8B 4E 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 C1 E2 03 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14371_0 {
	meta:
		name = "TEnumPropDesc.GetStrings"
		size = 172
		refs = "0014 TEnumPropDesc.GetStrings 0062 Format 0086 @LStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 08 4E 85 F6 7C 4C 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 0C 8B 55 F8 8D 1C D0 8D 45 F4 50 8B 03 89 45 E4 C6 45 E8 00 8B 43 04 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 0C FF 55 08 FF 45 F8 4E 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 07 00 00 00 25 64 20 2D 20 25 73 00 }
	condition:
		$1
}

rule function_14372_0 {
	meta:
		name = "TEnumPropDesc.StringToValue"
		size = 277
		refs = "0017 TEnumPropDesc.StringToValue 002c @LStrLen 0056 @LStrCopy 005e StrToInt 00aa AnsiCompareText 00d1 SBadPropValue 00d6 LoadResString 00e0 _Dn_EOleError 00e5 Exception.CreateFmt 00ea @RaiseExcept 00ff @LStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 0E 8A 44 1E FF 2C 2D 74 EC 04 FD 2C 0A 72 E6 83 FB 01 7E 40 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 78 08 4F 85 FF 7C 50 47 33 DB 8B 45 FC 8B 40 0C 8B 04 D8 3B 45 F8 74 6D 43 4F 75 EE EB 39 8B 45 FC 8B 78 08 4F 85 FF 7C 2E 47 33 DB 8B 45 FC 8B 40 0C 8D 04 D8 89 45 F4 8B 45 F4 8B 50 04 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 F4 8B 00 89 45 F8 EB 32 43 4F 75 D5 89 75 E8 C6 45 EC 0B 8D 45 E8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14373_0 {
	meta:
		name = "TEnumPropDesc.ValueToString"
		size = 120
		refs = "0045 TEnumPropDesc.ValueToString 004a Format 005a IntToStr"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 0C 24 8B FA 8B 50 08 4A 85 D2 7C 41 42 33 F6 8B 48 0C 8D 1C F1 3B 3B 75 30 8B 04 24 50 8B 03 89 44 24 08 C6 44 24 0C 00 8B 43 04 89 44 24 10 C6 44 24 14 0B 8D 54 24 08 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 46 4A 75 C2 8B 14 24 8B C7 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 00 00 00 FF FF FF FF 07 00 00 00 25 64 20 2D 20 25 73 00 }
	condition:
		$1
}

rule function_14374_0 {
	meta:
		name = "TOleControl.Create"
		size = 564
		refs = "000f @ClassCreate 001d TWinControl.Create 0047 _Dn_TList 004c TObject.Create 0064 TList.SetCount 007c _Dn_TFont 0081 TFont.Create 0090 TList.Put 00dc _Dn_TPicture 00e1 TPicture.Create 00fd TList.Get 0107 TOleControl.PictureChanged 0114 _DV_TEventDispatch 0119 TEventDispatch.Create 0126 TOleControl.CreateInstance 0150 OleCheck 0199 @IntfClear 019f TOleControl.Create 01c1 TControl.SetVisible 01ed TWinControl.SetTabStop 01f3 TOleControl.RequestNewObjectLayout 0205 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 4B 21 02 8B C3 8B 10 FF 92 B8 00 00 00 8B 83 EC 01 00 00 FF 40 48 8B 83 EC 01 00 00 83 78 34 00 7E 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 02 00 00 8B 83 EC 01 00 00 8B 50 34 8B C6 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 8B 78 08 4F 85 FF 7C 22 47 33 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 24 02 00 00 E8 ?? ?? ?? ?? 46 4F 75 E1 8B 83 EC 01 00 00 83 78 3C 00 7E 6B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 28 02 00 00 8B 83 EC 01 00 00 8B 50 3C 8B C6 E8 ?? ?? ?? ?? 8B 83 28 02 00 00 8B 78 08 4F 85 FF 7C 39 47 33 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 89 58 0C C7 40 08 ?? ?? ?? ?? 46 4F 75 CA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 FC 01 00 00 8B C3 8B 08 FF 91 BC 00 00 00 8D 83 20 02 00 00 50 6A 01 8B 83 FC 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 F6 40 44 02 75 32 F6 83 22 02 00 00 02 75 0C 8B 83 EC 01 00 00 F6 40 44 01 74 1D 8B C3 85 C0 74 05 2D B4 FD FF FF 50 8B 83 FC 01 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 83 00 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? F6 83 21 02 00 00 04 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 83 22 02 00 00 01 74 0A A1 ?? ?? ?? ?? 89 43 40 EB 08 A1 ?? ?? ?? ?? 89 43 40 F6 83 21 02 00 00 60 0F 94 C2 8B C3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 81 10 00 00 80 10 00 00 }
	condition:
		$1
}

rule function_14375_0 {
	meta:
		name = "FreeList"
		size = 56
		refs = "001c TList.Get 0021 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 83 3E 00 74 2A 8B 06 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B 06 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14376_0 {
	meta:
		name = "TOleControl.Destroy"
		size = 189
		refs = "0003 @BeforeDestruction 0010 TOleControl.SetUIActive 002e TOleControl.DestroyControl 0035 TOleControl.DestroyStorage 0040 @IntfClear 006d TObject.Free 0078 FreeList 009f TOleControl.DestroyEnumPropDescs 00ab TWinControl.Destroy 00b6 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 83 BE FC 01 00 00 00 74 0E 6A 01 8B 86 FC 01 00 00 50 8B 00 FF 50 18 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 00 02 00 00 E8 ?? ?? ?? ?? 83 BE FC 01 00 00 00 74 0E 6A 00 8B 86 FC 01 00 00 50 8B 00 FF 50 0C 8D 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8D 86 24 02 00 00 E8 ?? ?? ?? ?? 8D 86 28 02 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 FF 48 48 8B 86 EC 01 00 00 83 78 48 00 75 07 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14377_0 {
	meta:
		name = "TOleControl.BrowseProperties"
		size = 11
		refs = "0006 TOleControl.DoObjectVerb"
	strings:
		$1 = { BA F9 FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14378_0 {
	meta:
		name = "TOleControl.CreateControl"
		size = 752
		refs = "0013 TOleControl.CreateControl 004d @IntfClear 006e @HandleAnyException 0076 @DoneExcept 00a1 OleCheck 00d5 CreateStreamOnHGlobal 00fa TOleControl.DestroyStorage 0190 InterfaceConnect 025d TOleControl.RequestNewObjectLayout 0274 TOleControl.DestroyControl 0279 @RaiseAgain 02a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 04 02 00 00 00 0F 85 55 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 50 10 8B D8 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? 83 CB FF E8 ?? ?? ?? ?? 85 DB 75 06 83 7D F4 00 75 21 8B 45 FC 85 C0 74 05 2D B4 FD FF FF 50 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 98 F8 01 00 00 85 DB 75 16 8B 45 FC 8B 80 00 02 00 00 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? EB 36 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 80 00 02 00 00 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 10 8B 45 FC 05 18 02 00 00 50 8B 4D FC 85 C9 74 06 81 E9 CC FD FF FF BA ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 50 8B 45 FC 8B 88 F4 01 00 00 85 C9 74 03 83 E9 F8 8B 45 FC 8B 80 EC 01 00 00 8D 50 10 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 01 74 11 68 0B FE FF FF 8B 45 FC 50 8B 00 FF 90 C0 00 00 00 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 08 74 11 68 FE FD FF FF 8B 45 FC 50 8B 00 FF 90 C0 00 00 00 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 04 74 11 68 00 FE FF FF 8B 45 FC 50 8B 00 FF 90 C0 00 00 00 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 02 74 11 68 FF FD FF FF 8B 45 FC 50 8B 00 FF 90 C0 00 00 00 6A FF 8B 45 FC 8B 80 04 02 00 00 50 8B 00 FF 50 14 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 88 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 AA D3 6B 37 45 38 1B 10 84 ED 08 00 2B 2E C7 13 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_14379_0 {
	meta:
		name = "FindMember"
		size = 58
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 92 EC 01 00 00 8B 52 4C 8B 52 08 4A 85 D2 7C 1C 42 8B 4D 08 8B 49 FC 8B 89 EC 01 00 00 8B 49 4C 3B 41 04 75 04 B0 01 5D C3 4A 75 E5 33 C0 5D C3 }
	condition:
		$1
}

rule function_14380_0 {
	meta:
		name = "CreateEnum"
		size = 238
		refs = "001d CreateEnum 0036 @IntfClear 0046 OleCheck 0084 _DV_TEnumPropDesc 0089 TEnumPropDesc.Create 009e TList.Expand 00a4 TList.Add 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 8B F0 8D 7D F8 A5 A5 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7D FC 1D 0F 85 98 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 53 8B 03 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 83 78 28 00 75 35 8B 45 F0 0F B7 40 2E 50 8B 45 F4 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 8B 40 4C E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14381_0 {
	meta:
		name = "ProcessTypeInfo"
		size = 656
		refs = "0012 ProcessTypeInfo 002a OleCheck 0046 IsEqualGUID 004f @TryFinallyExit 008b @IntfClear 00fd CreateEnum 011e @HandleFinally 0175 FindMember"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? E9 05 02 00 00 8B 45 F0 83 78 28 03 74 09 8B 45 F0 F6 40 36 40 74 45 8B 45 F0 F6 40 36 80 74 3C 8D 45 E4 50 6A 00 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 F0 0F B7 40 2E 48 85 C0 7C 71 40 89 45 E0 C7 45 F8 00 00 00 00 8D 45 EC 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 EC 8B 08 8B 45 EC 83 C0 0C 8B 55 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 F8 FF 4D E0 75 9A 8B 45 F0 0F B7 40 2C 48 85 C0 0F 8C FF 00 00 00 40 89 45 E0 C7 45 F8 00 00 00 00 8D 45 E8 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 8B 00 00 00 8B 45 E8 8B 40 10 83 E8 02 74 0C 83 E8 02 74 21 83 E8 04 74 43 EB 74 8B 45 08 50 8B 45 E8 8B 08 8B 45 E8 83 C0 20 8B 55 FC E8 ?? ?? ?? ?? 59 EB 5A 8B 45 08 50 8B 45 E8 0F BF 40 18 03 C0 8B 55 E8 8B 52 08 8D 44 C2 F0 8B 55 E8 8B 0A 8B 55 FC E8 ?? ?? ?? ?? 59 EB 33 8B 45 E8 0F BF 40 18 03 C0 8B 55 E8 8B 52 08 66 83 7C C2 F4 1A 75 1C 8B 55 08 52 8B 55 E8 8B 52 08 8B 44 C2 F0 8B 55 E8 8B 0A 8B 55 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 F8 FF 4D E0 0F 85 0C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14382_0 {
	meta:
		name = "TOleControl.CreateEnumPropDescs"
		size = 189
		refs = "0015 TOleControl.CreateEnumPropDescs 0023 TOleControl.CreateControl 002a _Dn_TList 002f TObject.Create 0051 @IntfClear 006a OleCheck 0073 ProcessTypeInfo 0083 @HandleAnyException 008b TOleControl.DestroyEnumPropDescs 0090 @RaiseAgain 0095 @DoneExcept 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 EC 01 00 00 89 42 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC 8B 80 08 02 00 00 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 55 8B 45 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14383_0 {
	meta:
		name = "LicenseCheck"
		size = 86
		refs = "0022 TObject.ClassName 003e _Dn_EOleError 0043 Exception.CreateFmt 0048 @RaiseExcept 004d OleCheck"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 8B DA 3D 12 01 04 80 75 39 8D 95 F8 FE FF FF 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 89 45 F8 C6 45 FC 04 8D 45 F8 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14384_0 {
	meta:
		name = "TOleControl.CreateInstance"
		size = 320
		refs = "0010 TOleControl.CreateInstance 003a @IntfClear 0053 CoGetClassObject 0058 OleCheck 006c @WStrFromPWChar 0075 SInvalidLicense 007a LoadResString 00a8 LicenseCheck 00b4 SNotLicensed 00e3 CoCreateInstance 00ff @LStrClr 0107 @WStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 20 10 0F 85 88 00 00 00 8B 45 FC 8B 80 EC 01 00 00 83 78 28 00 74 79 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 6A 05 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 EC 01 00 00 8B 52 28 E8 ?? ?? ?? ?? 55 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 F4 50 68 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 50 8B 00 FF 50 1C 5A E8 ?? ?? ?? ?? 59 EB 3F 55 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 05 FC 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 8B 45 FC 8B 80 EC 01 00 00 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 00 8F B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14385_0 {
	meta:
		name = "TOleControl.CreateStorage"
		size = 208
		refs = "0015 TOleControl.CreateStorage 0023 TOleControl.DestroyStorage 002c GlobalAlloc 0040 OutOfMemoryError 0056 @IntfClear 0068 CreateStreamOnHGlobal 006d OleCheck 0096 @HandleAnyException 00a3 @RaiseAgain 00a8 @DoneExcept 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 02 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 F8 01 00 00 85 DB 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 8B 80 F8 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 45 F8 50 8B 45 FC 8B 80 00 02 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14386_0 {
	meta:
		name = "TOleControl.CreateWnd"
		size = 230
		refs = "0012 TOleControl.CreateWnd 001f TOleControl.CreateControl 0036 TControl.GetBoundsRect 0041 TWinControl.GetParentHandle 0071 SCannotActivate 0076 LoadResString 0080 _Dn_EOleError 0085 Exception.Create 008a @RaiseExcept 0091 TOleControl.HookControlWndProc 009e TWinControl.GetHandle 00a4 IsWindowVisible 00b7 ShowWindow 00c0 TWinControl.CreateWnd 00d5 @LStrClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? F6 83 21 02 00 00 04 0F 85 8D 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 85 C0 74 05 2D B4 FD FF FF 50 6A 00 6A FB 8B 83 FC 01 00 00 50 8B 00 FF 50 2C 83 BB 10 02 00 00 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 47 00 75 29 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 18 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14387_0 {
	meta:
		name = "TOleControl.DefaultHandler"
		size = 97
		refs = "0009 TWinControl.HandleAllocated 003e TWinControl.GetHandle 004b CallWindowProc 005a TWinControl.DefaultHandler"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8B 06 3D 00 BC 00 00 72 0D 3D 00 C0 00 00 73 06 81 2E 00 9C 00 00 F6 83 22 02 00 00 01 75 25 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14388_0 {
	meta:
		name = "TOleControl.DefineProperties"
		size = 72
		refs = "000b TControl.DefineProperties 0011 TOleControl.ReadData 0017 TOleControl.WriteData 0026 TOleControl.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB FC 01 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 FF FF FF FF 0B 00 00 00 43 6F 6E 74 72 6F 6C 44 61 74 61 00 }
	condition:
		$1
}

rule function_14390_0 {
	meta:
		name = "TOleControl.DestroyControl"
		size = 104
		refs = "0019 InterfaceDisconnect 0024 TOleControl.DestroyControl 003a @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 8B 1C 02 00 00 8B 83 EC 01 00 00 8D 50 10 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8D 8B 18 02 00 00 BA ?? ?? ?? ?? 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8D 83 0C 02 00 00 E8 ?? ?? ?? ?? 8D 83 08 02 00 00 E8 ?? ?? ?? ?? 8D 83 04 02 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_14391_0 {
	meta:
		name = "TOleControl.DestroyEnumPropDescs"
		size = 63
		refs = "0021 TList.Get 0026 TObject.Free"
	strings:
		$1 = { 53 56 57 8B 98 EC 01 00 00 8B 43 4C 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 4C E8 ?? ?? ?? ?? 33 C0 89 43 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14392_0 {
	meta:
		name = "TOleControl.DestroyStorage"
		size = 29
		refs = "000f GlobalFree"
	strings:
		$1 = { 53 8B D8 8B 83 F8 01 00 00 85 C0 74 0E 50 E8 ?? ?? ?? ?? 33 C0 89 83 F8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_14393_0 {
	meta:
		name = "TOleControl.DestroyWindowHandle"
		size = 75
		refs = "001d SetWindowLong 0045 TWinControl.DestroyWindowHandle"
	strings:
		$1 = { 53 8B D8 F6 83 21 02 00 00 04 75 36 8B 83 30 01 00 00 50 6A FC 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 83 BB FC 01 00 00 00 74 0E 6A 01 8B 83 FC 01 00 00 50 8B 00 FF 50 18 33 C0 89 83 40 01 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14394_0 {
	meta:
		name = "TOleControl.DoObjectVerb"
		size = 194
		refs = "0010 TOleControl.CreateControl 0015 GetActiveWindow 001f DisableTaskWindows 002a TOleControl.DoObjectVerb 003b TControl.GetBoundsRect 0047 TWinControl.GetParentHandle 006e OleCheck 0083 EnableTaskWindows 008c SetActiveWindow 0095 SetFocus 009b @HandleFinally 00b9 TOleControl.DesignModified"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 85 C0 74 05 2D B4 FD FF FF 50 6A 00 53 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 8B 80 00 02 00 00 50 8B 00 FF 50 10 83 F8 01 74 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14398_0 {
	meta:
		name = "TOleControl.GetCompProp"
		size = 30
		refs = "000e TOleControl.GetDoubleProp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14399_0 {
	meta:
		name = "TOleControl.GetCurrencyProp"
		size = 34
		refs = "0008 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 E8 8D 4C 24 08 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DF 2C 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_14400_0 {
	meta:
		name = "TOleControl.GetDoubleProp"
		size = 34
		refs = "0008 TOleControl.GetProperty"
		altNames = "TOleControl.GetOleDateProp TOleControl.GetTDateTimeProp"
	strings:
		$1 = { 83 C4 E8 8D 4C 24 08 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_14401_0 {
	meta:
		name = "TOleControl.GetEnumPropDesc"
		size = 63
		refs = "0013 TOleControl.CreateEnumPropDescs 002b TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B B8 EC 01 00 00 83 7F 4C 00 75 05 E8 ?? ?? ?? ?? 8B 47 4C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 4C 8B D6 E8 ?? ?? ?? ?? 3B 68 04 74 06 46 4B 75 ED 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14402_0 {
	meta:
		name = "TOleControl.GetEventMethod"
		size = 69
		refs = "0029 TObject.ClassParent 002e TObject.InstanceSize"
	strings:
		$1 = { 53 56 57 89 C3 8B B3 EC 01 00 00 8B 7E 20 8B 76 24 31 C0 EB 06 3B 14 86 74 0B 40 39 F8 75 F6 31 C0 31 D2 EB 17 50 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 01 C3 58 8B 54 C3 04 8B 04 C3 89 01 89 51 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14403_0 {
	meta:
		name = "Exchange"
		size = 7
	strings:
		$1 = { 8B 0A 87 08 89 0A C3 }
	condition:
		$1
}

rule function_14404_0 {
	meta:
		name = "Find"
		size = 266
		refs = "0013 Find 0028 StringToOleStr 0055 OleCheck 0075 @IntfClear 00b3 Exchange 00d8 SysFreeString 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 8B 45 08 3B 58 F4 7D 7F 8D 45 F8 50 53 8B 06 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 45 F8 03 74 5E 8D 45 F4 50 53 8B 06 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 06 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 08 83 C0 FC 50 6A 01 8D 45 F0 50 8B 45 EC 50 8B 00 FF 50 28 3D 06 00 02 80 74 15 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 EB 09 43 8B 45 08 3B 58 F4 7C 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14405_0 {
	meta:
		name = "TOleControl.GetHelpContext"
		size = 440
		refs = "001f @LStrAddRef 0027 TOleControl.GetHelpContext 0038 @LStrClr 003f TOleControl.CreateControl 0047 @IntfClear 005b @IntfCast 0069 OleCheck 0078 @LStrLen 00b5 Find 00e6 @LStrDelete 0106 @LStrPos 0153 OleStrToString 015c SysFreeString 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F0 8B F1 89 55 F8 8B D8 8B 7D 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 93 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E AE 00 00 00 8D 45 E8 50 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E8 0F B7 40 30 89 45 F4 8B 45 E8 50 8B 45 F0 50 8B 00 FF 50 4C 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 39 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 80 7C 02 FF 5F 75 27 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A 8D 45 F8 B9 01 00 00 00 E8 ?? ?? ?? ?? 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 31 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 21 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 74 30 8D 45 EC 50 56 6A 00 6A 00 8B 45 FC 50 8B 45 F0 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B D7 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 83 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 FF FF FF FF 02 00 00 00 4F 6E 00 00 }
	condition:
		$1
}

rule function_14406_0 {
	meta:
		name = "TOleControl.GetIDispatchProp"
		size = 29
		refs = "0009 TOleControl.GetProperty 0014 @IntfCopy"
		altNames = "TOleControl.GetIUnknownProp"
	strings:
		$1 = { 53 83 C4 F0 8B D9 8B CC E8 ?? ?? ?? ?? 8B C3 8B 54 24 08 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14407_0 {
	meta:
		name = "TOleControl.GetIntegerProp"
		size = 18
		refs = "0006 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 F0 8B CC E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 10 C3 }
	condition:
		$1
}

rule function_14409_0 {
	meta:
		name = "TOleControl.GetMainMenu"
		size = 80
		refs = "0005 GetParentForm 0013 _Dn_TForm 0018 @IsClass 0032 Application"
	strings:
		$1 = { 53 56 33 F6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 3C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 80 BB 0F 02 00 00 01 74 08 8B B3 28 02 00 00 EB 1A A1 ?? ?? ?? ?? 8B 00 8B 40 30 85 C0 74 0C 8B 15 ?? ?? ?? ?? 8B B0 28 02 00 00 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14410_0 {
	meta:
		name = "TOleControl.GetObjectVerbs"
		size = 217
		refs = "001b TOleControl.GetObjectVerbs 0028 TOleControl.CreateControl 0038 @IntfClear 0061 OleRegEnumVerbs 0078 @LStrFromPWChar 0083 StripHotKey 00c0 @LStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D E4 89 4D E0 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 40 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 83 FC 01 00 00 50 8B 00 FF 50 30 3D 00 00 04 00 75 15 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 41 EB 2A F6 45 F4 02 74 24 8D 45 E0 8B 55 EC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D E8 8B 45 FC 8B 18 FF 53 38 6A 00 8D 45 E8 50 6A 01 8B 45 F8 50 8B 00 FF 50 0C 85 C0 74 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14411_0 {
	meta:
		name = "TOleControl.GetOleBoolProp"
		size = 19
		refs = "0006 TOleControl.GetProperty"
		altNames = "TOleControl.GetSmallintProp TOleControl.GetWordBoolProp"
	strings:
		$1 = { 83 C4 F0 8B CC E8 ?? ?? ?? ?? 66 8B 44 24 08 83 C4 10 C3 }
	condition:
		$1
}

rule function_14413_0 {
	meta:
		name = "TOleControl.GetTFontProp"
		size = 208
		refs = "001a TOleControl.GetTFontProp 0054 TList.Get 006d TOleControl.GetIDispatchProp 007d @IntfCast 0088 SetOleFont 00a1 @IntfClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 87 24 02 00 00 8B 70 08 4E 85 F6 7C 59 46 33 DB 8B 87 EC 01 00 00 8B 40 38 8B 04 98 3B 45 FC 75 41 8B 87 24 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 78 1C 00 75 28 8D 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_14419_0 {
	meta:
		name = "TOleControl.GetDefaultDispatch"
		size = 52
		refs = "0009 TOleControl.CreateControl 0016 TOleControl.GetDefaultDispatch 001b @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 93 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14420_0 {
	meta:
		name = "TOleControl.GetOleVariantProp"
		size = 31
		refs = "000c @VarClear 0017 TOleControl.GetProperty"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14421_0 {
	meta:
		name = "TOleControl.GetTPictureProp"
		size = 208
		refs = "001a TOleControl.GetTPictureProp 0054 TList.Get 006d TOleControl.GetIDispatchProp 007d @IntfCast 0088 SetOlePicture 00a1 @IntfClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 87 28 02 00 00 8B 70 08 4E 85 F6 7C 59 46 33 DB 8B 87 EC 01 00 00 8B 40 40 8B 04 98 3B 45 FC 75 41 8B 87 28 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 78 10 00 75 28 8D 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 81 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_14422_0 {
	meta:
		name = "TOleControl.GetPropDisplayString"
		size = 128
		refs = "0012 TOleControl.GetPropDisplayString 001f TOleControl.CreateControl 0030 @WStrClr 004c @LStrFromWStr 0059 TOleControl.GetStringProp 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB 0C 02 00 00 00 74 26 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 83 0C 02 00 00 50 8B 00 FF 50 0C 85 C0 75 0C 8B C7 8B 55 FC E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14423_0 {
	meta:
		name = "TOleControl.GetPropDisplayStrings"
		size = 250
		refs = "0019 TOleControl.GetPropDisplayStrings 0026 TOleControl.CreateControl 007b @LStrFromPWChar 00b4 CoTaskMemFree 00d0 @HandleFinally 00e7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 40 83 BB 0C 02 00 00 00 0F 84 97 00 00 00 8D 45 EC 50 8D 45 F4 50 56 8B 83 0C 02 00 00 50 8B 00 FF 50 14 85 C0 75 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F4 4E 85 F6 7C 26 46 33 DB 8D 45 E8 8B 55 F8 8B 14 9A E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 8B 0C 98 8B 45 FC 8B 38 FF 57 38 43 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 13 46 33 DB 8B 45 F8 8B 04 98 50 E8 ?? ?? ?? ?? 43 4E 75 F0 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14424_0 {
	meta:
		name = "TOleControl.GetProperty"
		size = 144
		refs = "0014 tagEXCEPINFO 0019 @InitializeRecord 0021 TOleControl.GetProperty 002e TOleControl.CreateControl 003f DispParams 0048 GUID_NULL 0062 DispatchInvokeError 007d @FinalizeRecord 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 6A 00 8D 45 E0 50 56 68 ?? ?? ?? ?? 6A 02 6A 00 A1 ?? ?? ?? ?? 50 57 8B 83 08 02 00 00 50 8B 00 FF 50 18 85 C0 74 08 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14426_0 {
	meta:
		name = "TOleControl.GetSingleProp"
		size = 26
		refs = "0008 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 EC 8D 4C 24 04 E8 ?? ?? ?? ?? 8B 44 24 0C 89 04 24 D9 04 24 83 C4 14 C3 }
	condition:
		$1
}

rule function_14428_0 {
	meta:
		name = "TOleControl.GetStringProp"
		size = 92
		refs = "0018 TOleControl.GetStringProp 002a TOleControl.GetVariantProp 0034 @VarToLStr 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14429_0 {
	meta:
		name = "TOleControl.GetVariantProp"
		size = 24
		refs = "0010 TOleControl.GetOleVariantProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14430_0 {
	meta:
		name = "TOleControl.GetWideStringProp"
		size = 43
		refs = "000f @WStrClr 001a TOleControl.GetProperty"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 06 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14432_0 {
	meta:
		name = "TOleControl.HookControlWndProc"
		size = 213
		refs = "0013 TOleControl.HookControlWndProc 0052 SNoWindowHandle 0057 LoadResString 0061 _Dn_EOleError 0066 Exception.Create 006b @RaiseExcept 007c GetWindowLong 0087 CreationControl 008e InitWndProc 009c SetWindowLong 00ae SendMessage 00c3 @LStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 10 02 00 00 00 0F 84 88 00 00 00 83 BB 40 01 00 00 00 75 7F 33 C0 89 45 FC 8D 45 FC 50 8B 83 10 02 00 00 50 8B 00 FF 50 0C 83 7D FC 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 FC 89 B3 40 01 00 00 6A FC 56 E8 ?? ?? ?? ?? 89 83 30 01 00 00 A1 ?? ?? ?? ?? 89 18 68 ?? ?? ?? ?? 6A FC 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14433_0 {
	meta:
		name = "CallEventMethod"
		size = 65
	strings:
		$1 = { 53 56 55 89 E5 89 C3 8B 53 0C 85 D2 74 25 31 C0 8D 73 10 8A 06 80 F8 01 77 0D 74 0E 84 E4 75 0A 8B 4E 04 B4 01 EB 06 FF 76 08 FF 76 04 83 C6 0C 4A 75 E0 8B 53 08 8B 43 04 FF 13 89 EC 5D 5E 5B C3 }
	condition:
		$1
}

rule function_14434_0 {
	meta:
		name = "TOleControl.D2InvokeEvent"
		size = 415
		refs = "001b TOleControl.GetEventMethod 0038 TOleControl.D2InvokeEvent 00a7 OleStrToStrVar 0134 CallEventMethod 0150 StringToOleStr 0168 @HandleAnyException 016d Application 0177 TApplication.HandleException 017c @DoneExcept 0190 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 64 FD FF FF 53 56 57 8B D9 89 45 FC 8D 8D 64 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 81 BD 64 FD FF FF 00 00 01 00 0F 8C 69 01 00 00 33 C0 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 53 08 8B 45 FC 89 85 6C FD FF FF 8B C2 89 85 70 FD FF FF 85 D2 0F 84 CF 00 00 00 03 C0 8B 13 8D 04 C2 8B D8 8D B5 74 FD FF FF 33 C0 89 45 F8 83 EB 10 8B 03 25 FF FF 00 00 8B D0 81 E2 FF 0F 00 00 83 FA 08 75 46 C6 06 00 8B 55 F4 8D BC D5 F4 FE FF FF 33 D2 89 17 F6 C4 40 74 17 8B D7 8B 43 08 8B 00 E8 ?? ?? ?? ?? 8B 43 08 89 47 04 89 7E 04 EB 14 8B D7 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 47 04 8B 07 89 46 04 FF 45 F4 EB 49 8B D0 83 EA 04 74 0B 4A 83 EA 03 72 10 4A 74 1E EB 24 C6 06 01 8B 43 08 89 46 04 EB 2C C6 06 02 8B 43 08 89 46 04 8B 43 0C 89 46 08 EB 1B C6 06 00 89 5E 04 EB 13 C6 06 00 F6 C4 20 74 05 89 5E 04 EB 06 8B 43 08 89 46 04 83 C6 0C FF 45 F8 8B 45 F8 3B 85 70 FD FF FF 0F 85 45 FF FF FF 8D 85 64 FD FF FF E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 1E 4B 8D B4 DD F4 FE FF FF 83 7E 04 00 74 0C 8B 06 E8 ?? ?? ?? ?? 8B 56 04 89 02 85 DB 75 E2 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 11 4B 8D 84 DD F4 FE FF FF E8 ?? ?? ?? ?? 85 DB 75 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14435_0 {
	meta:
		name = "TOleControl.InvokeEvent"
		size = 221
		refs = "0028 TOleControl.D2InvokeEvent 0038 TOleControl.GetEventMethod 004d TOleControl.InvokeEvent 00be @HandleAnyException 00c3 Application 00cd TApplication.HandleException 00d2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 89 45 F8 8B 45 F8 8B 80 EC 01 00 00 81 78 30 2C 01 00 00 7D 10 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 4D F0 8B 45 F8 E8 ?? ?? ?? ?? 81 7D F0 00 00 01 00 0F 8C 8D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 56 8B 75 FC 8B 5E 08 85 DB 74 45 8B 36 89 D8 C1 E0 04 31 D2 01 C6 83 EE 10 8B 06 66 83 F8 04 77 20 74 24 84 D2 75 10 89 F1 FE C2 A9 00 20 00 00 75 1B 8B 4E 08 EB 16 A9 00 20 00 00 74 0C 56 EB 0C 66 83 F8 07 77 DC FF 76 0C FF 76 08 4B 75 C6 8B 55 F8 8B 45 F4 FF 55 F0 5E 5B 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14436_0 {
	meta:
		name = "GetStringResult"
		size = 62
		refs = "000b GetStringResult 0019 OleStrToStrVar 002f SysFreeString 0035 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 }
	condition:
		$1
}

rule function_14438_0 {
	meta:
		name = "TOleControl.InvokeMethod"
		size = 185
		refs = "000a TOleControl.CreateControl 0038 DispatchInvoke 0044 TOleControl.InvokeMethod 008d GetStringResult 0096 @VarClear"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF E8 ?? ?? ?? ?? FF 36 89 E1 31 C0 50 50 50 50 89 E2 8D 45 10 80 7E 04 08 74 09 80 7E 04 0C 74 03 8D 45 0C 50 52 8D 56 05 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 31 C0 8A 46 04 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 44 24 08 66 89 07 EB 2C 8B 44 24 08 89 FA E8 ?? ?? ?? ?? EB 1F 89 F8 E8 ?? ?? ?? ?? 89 E6 B9 04 00 00 00 F3 A5 EB 0D 8B 44 24 0C 89 47 04 8B 44 24 08 89 07 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14439_0 {
	meta:
		name = "TOleControl.IsCustomProperty"
		size = 104
		refs = "000f TOleControl.IsCustomProperty 0026 @WStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 0C 02 00 00 00 74 1A 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 83 0C 02 00 00 50 8B 00 FF 50 0C 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14440_0 {
	meta:
		name = "TOleControl.IsPropPageProperty"
		size = 69
		refs = "0026 GUID_NULL 0031 IsEqualCLSID"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 83 BB 0C 02 00 00 00 74 27 54 56 8B 83 0C 02 00 00 50 8B 00 FF 50 10 83 F8 01 75 14 A1 ?? ?? ?? ?? 50 8D 44 24 04 50 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_14441_0 {
	meta:
		name = "TOleControl.PaletteChanged"
		size = 78
		refs = "000d TWinControl.HandleAllocated 0022 TWinControl.GetHandle 002f CallWindowProc 0042 TWinControl.PaletteChanged"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 22 04 24 74 22 6A 00 6A 00 68 0F 03 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B 86 30 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 0C 8A 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14442_0 {
	meta:
		name = "TOleControl.PictureChanged"
		size = 105
		refs = "0016 _Dn_TPicture 001b @IsClass 0039 TList.Get 005a TOleControl.SetTPictureProp"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 9E 28 02 00 00 85 DB 74 52 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B 43 08 48 85 C0 7C 39 40 89 C3 33 FF 8B D7 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 3B E8 75 1F 8B C5 83 78 10 00 74 1B 8B 96 EC 01 00 00 8B 52 40 8B 14 BA 8B C8 8B C6 E8 ?? ?? ?? ?? EB 04 47 4B 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14443_0 {
	meta:
		name = "TOleControl.ReadData"
		size = 188
		refs = "0010 TOleControl.DestroyStorage 0018 TOleControl.ReadData 0025 TStream.GetSize 002d GlobalAlloc 0041 OutOfMemoryError 0050 GlobalLock 008e GlobalUnlock 0094 @HandleFinally 00a5 @HandleAnyException 00b2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 6A 02 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 F8 01 00 00 85 F6 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14444_0 {
	meta:
		name = "TOleControl.SetBounds"
		size = 165
		refs = "0034 Screen 0048 MulDiv 0068 Point 0099 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 43 38 3B F0 74 04 85 C0 7F 0C 8B 53 3C 3B 55 08 74 65 85 D2 7E 61 F6 83 21 02 00 00 04 75 4F A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 68 EC 09 00 00 56 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 45 F0 50 6A 01 8B 83 FC 01 00 00 50 8B 00 FF 50 44 85 C0 74 09 8B 73 38 8B 43 3C 89 45 08 56 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14445_0 {
	meta:
		name = "TOleControl.SetByteProp"
		size = 12
		refs = "0007 TOleControl.SetIntegerProp"
	strings:
		$1 = { 81 E1 FF 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22005_0 {
	meta:
		name = "FillMemory"
		size = 12
		refs = "0007 @FillChar"
	strings:
		$1 = { 81 E1 FF 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14448_0 {
	meta:
		name = "TOleControl.SetCompProp"
		size = 33
		refs = "0017 TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 14 00 DF 6D 08 DD 5D F8 9B 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14449_0 {
	meta:
		name = "TOleControl.SetCurrencyProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 06 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14450_0 {
	meta:
		name = "TOleControl.SetDoubleProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 05 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14451_0 {
	meta:
		name = "TOleControl.SetIDispatchProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 09 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_14452_0 {
	meta:
		name = "TOleControl.SetIntegerProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 03 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_14453_0 {
	meta:
		name = "TOleControl.SetIUnknownProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 0D 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_14454_0 {
	meta:
		name = "TOleControl.SetName"
		size = 180
		refs = "0012 TOleControl.SetName 0023 @LStrLAsg 002c TControl.SetName 006f TOleControl.GetStringProp 007a @LStrCmp 0087 TOleControl.SetStringProp 00a1 @LStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 04 02 00 00 00 74 52 68 42 FD FF FF 8B 83 04 02 00 00 50 8B 00 FF 50 14 8B 83 EC 01 00 00 8B 40 2C A8 30 74 34 A8 10 74 07 BF FA FD FF FF EB 05 BF FB FD FF FF 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 75 0B 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14455_0 {
	meta:
		name = "TOleControl.SetOleBoolProp"
		size = 41
		refs = "0021 TOleControl.SetProperty"
		altNames = "TOleControl.SetWordBoolProp"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 0B 00 66 85 C9 74 09 66 C7 44 24 08 FF FF EB 07 66 C7 44 24 08 00 00 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_14456_0 {
	meta:
		name = "TOleControl.SetOleDateProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
		altNames = "TOleControl.SetTDateTimeProp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 07 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14457_0 {
	meta:
		name = "TOleControl.SetTFontProp"
		size = 170
		refs = "001a TOleControl.SetTFontProp 004f TList.Get 0071 GetOleFont 007e TOleControl.SetIDispatchProp 0097 @IntfClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 24 02 00 00 8B 70 08 4E 85 F6 7C 54 46 33 DB 8B 87 EC 01 00 00 8B 40 38 8B 04 98 3B 45 FC 75 3C 8B 87 24 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 8B 08 FF 51 08 8B 45 F4 83 78 1C 00 75 18 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 4E 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14463_0 {
	meta:
		name = "TOleControl.SetParent"
		size = 222
		refs = "0017 TOleControl.SetParent 0027 TControl.SetParent 0045 @IntfClear 0066 @HandleAnyException 006e @DoneExcept 0099 OleCheck 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 DB 0F 84 87 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 50 10 8B D8 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? 83 CB FF E8 ?? ?? ?? ?? 85 DB 75 06 83 7D F8 00 75 21 8B 45 FC 85 C0 74 05 2D B4 FD FF FF 50 8B 45 FC 8B 80 FC 01 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 FC 83 B8 04 02 00 00 00 74 11 6A FF 8B 45 FC 8B 80 04 02 00 00 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14464_0 {
	meta:
		name = "TOleControl.SetTPictureProp"
		size = 240
		refs = "001b TOleControl.SetTPictureProp 0081 TList.Get 0097 GetOlePicture 00a5 TOleControl.SetIDispatchProp 00c6 @HandleFinally 00dd @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 2C 02 00 00 00 0F 85 97 00 00 00 8B 45 FC C6 80 2C 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 28 02 00 00 8B 70 08 4E 85 F6 7C 4F 46 33 DB 8B 45 FC 8B 80 EC 01 00 00 8B 40 40 8B 04 98 3B 45 F8 75 34 8B 45 FC 8B 80 28 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 8B 55 F4 8B C7 8B 08 FF 51 08 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 2C 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14465_0 {
	meta:
		name = "TOleControl.SetPropDisplayString"
		size = 290
		refs = "0023 TOleControl.SetPropDisplayString 0030 _Dn_TStringList 0035 TObject.Create 0054 TOleControl.GetPropDisplayStrings 007e AnsiCompareText 008a @VarClr 00ae OleCheck 00bc TOleControl.SetProperty 00c1 @TryFinallyExit 00dc TObject.Free 00e2 @HandleFinally 00f2 TOleControl.SetStringProp 0107 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 64 46 33 DB 8D 4D DC 8B D3 8B 45 E0 8B 38 FF 57 0C 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 75 41 8D 45 F0 E8 ?? ?? ?? ?? 50 8B D3 8B 45 E0 8B 08 FF 51 18 50 8B 45 E8 50 8B 45 EC 8B 80 0C 02 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 43 4E 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14466_0 {
	meta:
		name = "TOleControl.SetProperty"
		size = 181
		refs = "0014 tagEXCEPINFO 0019 @InitializeRecord 0021 TOleControl.SetProperty 002e TOleControl.CreateControl 0036 DispIDArgs 006d GUID_NULL 0087 DispatchInvokeError 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8B FA 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 75 F0 B8 ?? ?? ?? ?? 89 45 F4 C7 45 F8 01 00 00 00 C7 45 FC 01 00 00 00 66 83 3E 09 74 07 B8 04 00 00 00 EB 05 B8 08 00 00 00 6A 00 8D 55 D0 52 6A 00 8D 55 F0 52 50 6A 00 A1 ?? ?? ?? ?? 50 57 8B 83 08 02 00 00 50 8B 00 FF 50 18 85 C0 74 08 8D 55 D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14467_0 {
	meta:
		name = "TOleControl.SetShortIntProp"
		size = 9
		refs = "0004 TOleControl.SetIntegerProp"
	strings:
		$1 = { 0F BE C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14468_0 {
	meta:
		name = "TOleControl.SetSingleProp"
		size = 32
		refs = "0016 TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 04 00 8B 4D 08 89 4D F8 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14469_0 {
	meta:
		name = "TOleControl.SetSmallintProp"
		size = 25
		refs = "0011 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 02 00 66 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_14470_0 {
	meta:
		name = "TOleControl.SetStringProp"
		size = 94
		refs = "0018 StringToOleStr 0023 TOleControl.SetStringProp 0035 TOleControl.SetProperty 004b SysFreeString 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 66 C7 45 F0 08 00 8B C7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14471_0 {
	meta:
		name = "TOleControl.SetUIActive"
		size = 80
		refs = "000a GetParentForm 0030 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 38 84 DB 74 24 8B 87 5C 02 00 00 85 C0 74 12 3B F0 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 89 B7 5C 02 00 00 EB 10 3B B7 5C 02 00 00 75 08 33 C0 89 87 5C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14472_0 {
	meta:
		name = "TOleControl.SetVariantProp"
		size = 92
		refs = "0018 TOleControl.SetVariantProp 0028 @OleVarFromVar 0034 TOleControl.SetOleVariantProp 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14473_0 {
	meta:
		name = "TOleControl.SetWideStringProp"
		size = 66
		refs = "0017 @WStrCmp 0020 @WStrToPWChar 0037 TOleControl.SetProperty"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B FA 8B D8 66 C7 04 24 08 00 8B C6 33 D2 E8 ?? ?? ?? ?? 74 0D 8B C6 E8 ?? ?? ?? ?? 89 44 24 08 EB 06 33 C0 89 44 24 08 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14474_0 {
	meta:
		name = "TOleControl.SetWordProp"
		size = 9
		refs = "0004 TOleControl.SetIntegerProp"
	strings:
		$1 = { 0F B7 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14475_0 {
	meta:
		name = "TOleControl.ShowAboutBox"
		size = 13
		refs = "0001 DispInfo 0008 TOleControl.InvokeMethod"
	strings:
		$1 = { BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14476_0 {
	meta:
		name = "TOleControl.StandardEvent"
		size = 507
		refs = "0014 TOleControl.StandardEvent 005d @CallDynaInst 0085 @VarToInt 00a8 ShiftMap 014f ButtonMap 0158 MouseMap 01dc @HandleAnyException 01e1 Application 01eb TApplication.HandleException 01f0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 89 45 FC 8B 31 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 05 5F 02 00 00 83 F8 07 0F 87 A3 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 66 BB EC FF E8 ?? ?? ?? ?? E9 6B 01 00 00 8B 45 FC 66 BB EB FF E8 ?? ?? ?? ?? E9 5A 01 00 00 83 79 08 02 0F 8C 50 01 00 00 8D 46 10 E8 ?? ?? ?? ?? 66 89 45 F2 8B C6 E8 ?? ?? ?? ?? 8B F8 81 EB A4 FD FF FF 74 1F 83 EB 02 75 32 83 E7 07 8A 8F ?? ?? ?? ?? 8D 55 F2 8B 45 FC 66 BB C1 FF E8 ?? ?? ?? ?? EB 18 83 E7 07 8A 8F ?? ?? ?? ?? 8D 55 F2 8B 45 FC 66 BB C0 FF E8 ?? ?? ?? ?? F6 46 11 40 0F 84 F2 00 00 00 8B 46 18 66 8B 55 F2 66 89 10 E9 E3 00 00 00 83 79 08 00 0F 8E D9 00 00 00 8B C6 E8 ?? ?? ?? ?? 88 45 F1 8D 55 F1 8B 45 FC 66 BB BF FF E8 ?? ?? ?? ?? F6 46 01 40 0F 84 B6 00 00 00 8B 46 08 8A 55 F1 88 10 E9 A9 00 00 00 83 79 08 04 0F 8C 9F 00 00 00 8D 46 30 E8 ?? ?? ?? ?? 8B F8 83 E7 07 8D 46 20 E8 ?? ?? ?? ?? 83 E0 07 89 45 F4 8A 87 ?? ?? ?? ?? 88 45 FA 8A 87 ?? ?? ?? ?? 8B 55 F4 0A 82 ?? ?? ?? ?? 88 45 FB 8D 46 10 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 89 45 F4 81 EB A1 FD FF FF 74 36 4B 74 1C 4B 75 47 57 8B 45 F4 50 8A 4D FB 8A 55 FA 8B 45 FC 66 BB DB FF E8 ?? ?? ?? ?? EB 2E 8B 45 F4 50 8B CF 8A 55 FB 8B 45 FC 66 BB DA FF E8 ?? ?? ?? ?? EB 17 57 8B 45 F4 50 8A 4D FB 8A 55 FA 8B 45 FC 66 BB D9 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14477_0 {
	meta:
		name = "TOleControl.WndProc"
		size = 232
		refs = "0025 TWinControl.GetHandle 0046 GetMessageTime 00de TWinControl.WndProc"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 8B 06 3D 00 BD 00 00 72 66 3D 08 BD 00 00 77 5F 83 BB 14 02 00 00 00 74 56 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 06 2D 00 BC 00 00 89 44 24 04 8B 46 04 89 44 24 08 8B 46 08 89 44 24 0C E8 ?? ?? ?? ?? 89 44 24 10 C7 44 24 14 F1 E1 5D 11 C7 44 24 18 F1 E1 5D 11 54 8B 83 14 02 00 00 50 8B 00 FF 50 14 85 C0 75 09 C7 46 0C 01 00 00 00 EB 6A 8B 06 2D 08 B0 00 00 74 05 48 74 35 EB 53 80 7B 49 00 74 4D 83 BB 04 02 00 00 00 74 44 68 41 FD FF FF 8B 83 04 02 00 00 50 8B 00 FF 50 14 68 40 FD FF FF 8B 83 04 02 00 00 50 8B 00 FF 50 14 EB 20 80 7B 4A 00 74 1A 83 BB 04 02 00 00 00 74 11 68 43 FD FF FF 8B 83 04 02 00 00 50 8B 00 FF 50 14 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_14478_0 {
	meta:
		name = "TOleControl.WriteData"
		size = 189
		refs = "0025 TOleControl.CreateStorage 002d TOleControl.WriteData 0042 GlobalLock 0061 GlobalSize 0088 GlobalUnlock 008e @HandleFinally 00ab TOleControl.DestroyStorage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 8B 45 FC 83 B8 F8 01 00 00 00 0F 95 45 FB 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 01 00 00 50 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14479_0 {
	meta:
		name = "TOleControl.WMEraseBkgnd"
		size = 30
		refs = "0018 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 56 8B F0 F6 86 21 02 00 00 04 75 09 8B C6 8B 08 FF 51 F0 5E C3 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_14480_0 {
	meta:
		name = "TOleControl.WMPaint"
		size = 111
		refs = "001e TWinControl.GetHandle 0024 BeginPaint 0045 OleDraw 0059 EndPaint 0064 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 57 83 C4 B0 8B FA 8B D8 F6 83 21 02 00 00 04 74 4C 8B 77 04 85 F6 75 10 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8D 54 24 40 8B C3 8B 08 FF 51 44 8D 44 24 40 50 56 6A 01 8B 83 FC 01 00 00 50 E8 ?? ?? ?? ?? 83 7F 04 00 75 19 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14481_0 {
	meta:
		name = "TOleControl.CMDocWindowActivate"
		size = 90
		refs = "000b GetParentForm 0017 _Dn_TForm 001c @IsClass 0051 TOleControl.SetMenu"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 33 DB 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 8B DF 85 DB 74 2B 80 BB 0F 02 00 00 01 75 22 8B 45 04 50 8B 86 14 02 00 00 50 8B 00 FF 50 1C 83 7D 04 00 75 0C 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14482_0 {
	meta:
		name = "TOleControl.CMColorChanged"
		size = 131
		refs = "000b TWinControl.CMColorChanged 002e TWinControl.HandleAllocated 0044 TOleControl.CMColorChanged 005d TOleControl.SetColorProp 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 01 74 62 8B 45 FC 80 B8 2D 02 00 00 00 75 56 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 FC C6 80 2D 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 64 BA 0B FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 2D 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_14483_0 {
	meta:
		name = "TOleControl.CMEnabledChanged"
		size = 137
		refs = "000b TWinControl.CMEnabledChanged 002e TWinControl.HandleAllocated 0044 TOleControl.CMEnabledChanged 0063 TOleControl.SetWordBoolProp 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 08 74 68 8B 45 FC 80 B8 2F 02 00 00 00 75 5C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 50 8B 45 FC C6 80 2F 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 50 F6 D8 1B C9 BA FE FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 2F 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_14484_0 {
	meta:
		name = "TOleControl.CMFontChanged"
		size = 256
		refs = "0011 TOleControl.CMFontChanged 001f TWinControl.CMFontChanged 004a TWinControl.HandleAllocated 008f TOleControl.SetIntegerProp 00ac FontToOleFont 00bc TOleControl.SetVariantProp 00d9 @HandleFinally 00f0 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 06 0F 84 A9 00 00 00 8B 45 FC 80 B8 2E 02 00 00 00 0F 85 99 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 8B 45 FC C6 80 2E 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 02 74 16 8B 45 FC 8B 40 58 8B 48 14 BA FF FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 F6 40 2C 04 74 1E 8D 55 EC 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8D 4D EC BA 00 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 2E 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_14485_0 {
	meta:
		name = "TOleControl.CMDialogKey"
		size = 177
		refs = "000c TWinControl.CanFocus 0049 @FillChar 0050 TWinControl.GetHandle 0080 IsAccelerator 00a7 TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 83 C4 D0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 C7 44 24 04 10 00 00 00 8D 44 24 04 50 8B 83 04 02 00 00 50 8B 00 FF 50 0C 85 C0 75 6D 66 83 7C 24 0C 00 74 65 8D 44 24 14 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 44 24 14 C7 44 24 18 00 01 00 00 8B 46 04 89 44 24 1C 8B 46 08 89 44 24 20 54 8D 44 24 18 50 0F B7 44 24 14 50 8B 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 74 1A 8D 44 24 14 50 8B 83 04 02 00 00 50 8B 00 FF 50 10 C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5E 5B C3 }
	condition:
		$1
}

rule function_14486_0 {
	meta:
		name = "TOleControl.CMUIActivate"
		size = 78
		refs = "0009 GetParentForm 001e TControl.GetBoundsRect 0026 TWinControl.GetParentHandle"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 3B 98 5C 02 00 00 74 30 8B D4 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 85 C0 74 05 2D B4 FD FF FF 50 6A 00 6A FC 8B 83 FC 01 00 00 50 8B 00 FF 50 2C 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14487_0 {
	meta:
		name = "TOleControl.CMUIDeactivate"
		size = 69
		refs = "0007 GetParentForm 003e TOleControl.OnUIDeactivate"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 08 3B 9E 5C 02 00 00 75 29 83 BB 10 02 00 00 00 74 0C 8B 83 10 02 00 00 50 8B 00 FF 50 18 85 F6 74 10 3B 9E 00 02 00 00 75 08 6A 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14493_0 {
	meta:
		name = "TOleControl.GetContainer"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 02 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_14494_0 {
	meta:
		name = "TOleControl.ShowObject"
		size = 17
		refs = "0007 TOleControl.HookControlWndProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_14496_0 {
	meta:
		name = "TOleControl.RequestNewObjectLayout"
		size = 161
		refs = "002d Screen 003c MulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 5D 08 8D 45 F4 50 6A 01 8B 83 FC 01 00 00 50 8B 00 FF 50 48 89 45 FC 83 7D FC 00 75 6E 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 F6 83 21 02 00 00 04 74 1D 83 BB 04 02 00 00 00 75 14 83 FE 20 7E 05 BE 20 00 00 00 83 FF 20 7E 05 BF 20 00 00 00 56 57 8B 4B 34 8B 53 30 8B C3 8B 18 FF 93 80 00 00 00 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14500_0 {
	meta:
		name = "TOleControl.TransformCoords"
		size = 160
		refs = "0018 Screen 0026 MulDiv 005c TOleControl.TransformCoords 006d @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 10 8B 5D 0C F6 45 14 04 74 46 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 03 50 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC D9 1E 9B 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 50 8B 43 04 50 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC D9 5E 04 9B EB 38 D9 06 D8 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 E8 ?? ?? ?? ?? 89 03 D9 46 04 D8 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 E8 ?? ?? ?? ?? 89 43 04 33 C0 5E 5B 59 5D C2 10 00 00 00 00 00 C0 1E 45 }
	condition:
		$1
}

rule function_14505_0 {
	meta:
		name = "TOleControl.OleInPlaceSite_GetWindow"
		size = 42
		refs = "0011 TWinControl.GetParentHandle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 33 FF 8B C3 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 05 BF 05 40 00 80 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14507_0 {
	meta:
		name = "TOleControl.OnInPlaceActivate"
		size = 104
		refs = "000e @IntfClear 0014 TOleControl.OnInPlaceActivate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 10 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 8D 83 14 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 FC 01 00 00 50 8B 00 FF 10 33 C0 5B 5D C2 04 00 00 00 13 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14509_0 {
	meta:
		name = "TOleControl.GetWindowContext"
		size = 151
		refs = "0035 @IntfCopy 003d @IntfClear 0047 TControl.GetBoundsRect 006f SetRect 007b TWinControl.GetTopParentHandle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 1C 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 8B D3 85 D2 74 06 81 EA C0 FD FF FF E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 14 56 8D 75 F0 8B F8 B9 04 00 00 00 F3 A5 5E 68 FF 7F 00 00 68 FF 7F 00 00 6A 00 6A 00 8B 45 18 50 E8 ?? ?? ?? ?? 33 C0 89 46 04 8B C3 E8 ?? ?? ?? ?? 89 46 08 33 C0 89 46 0C 33 C0 89 46 10 33 C0 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_14511_0 {
	meta:
		name = "TOleControl.OnUIDeactivate"
		size = 35
		refs = "000f TOleControl.SetMenu 0018 TOleControl.SetUIActive"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14512_0 {
	meta:
		name = "TOleControl.OnInPlaceDeactivate"
		size = 36
		refs = "000e @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 14 02 00 00 E8 ?? ?? ?? ?? 8D 83 10 02 00 00 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14514_0 {
	meta:
		name = "TOleControl.DeactivateAndUndo"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 80 10 02 00 00 50 8B 00 FF 50 18 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_14515_0 {
	meta:
		name = "TOleControl.OnPosRectChange"
		size = 62
		refs = "001d Rect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B 5D 08 68 FF 7F 00 00 8D 45 F0 50 B9 FF 7F 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 0C 50 8B 83 10 02 00 00 50 8B 00 FF 50 1C 33 C0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14516_0 {
	meta:
		name = "TOleControl.GetBorder"
		size = 12
		altNames = "TOleControl.RequestBorderSpace"
	strings:
		$1 = { 55 8B EC B8 A1 01 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_14520_0 {
	meta:
		name = "TOleControl.OleInPlaceFrame_GetWindow"
		size = 26
		refs = "000a TWinControl.GetTopParentHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14521_0 {
	meta:
		name = "TOleControl.InsertMenus"
		size = 64
		refs = "000a TOleControl.GetMainMenu 0034 TMainMenu.PopulateOle2Menu"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 E8 ?? ?? ?? ?? 85 C0 74 26 6A 02 8B 55 10 52 6A 05 33 D2 89 55 F4 C7 45 F8 02 00 00 00 C7 45 FC 04 00 00 00 8D 4D F4 8B 55 0C E8 ?? ?? ?? ?? 33 C0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14522_0 {
	meta:
		name = "TOleControl.SetMenu"
		size = 56
		refs = "0008 TOleControl.GetMainMenu 001a TMainMenu.SetOle2MenuHandle 002f OleSetMenuDescriptor"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 E8 ?? ?? ?? ?? 8B D8 33 C0 85 DB 74 1F 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 14 50 8B 43 2C 50 8B 45 10 50 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_14526_0 {
	meta:
		name = "TOleControl.OleInPlaceFrame_TranslateAccelerator"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_14530_0 {
	meta:
		name = "TOleControl.Invoke"
		size = 396
		refs = "0016 TOleControl.Invoke 008e @VarFromInt 009e StringToVarOleStr 00a8 @VarCopy 00cc FontToOleFont 00ef GetUserDefaultLCID 0103 @VarFromBool 0175 @VarClr 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 20 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 18 02 0F 84 35 01 00 00 85 DB 0F 84 2D 01 00 00 33 FF 8B 45 0C 05 CB 02 00 00 83 F8 0E 0F 87 13 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 56 64 E8 ?? ?? ?? ?? E9 CD 00 00 00 8D 55 F0 8B 46 08 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? E9 B3 00 00 00 8B 46 24 85 C0 74 0B 80 7E 49 00 74 05 8B 70 58 EB 03 8B 76 58 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? E9 85 00 00 00 8B C3 8B 56 58 8B 52 14 E8 ?? ?? ?? ?? EB 76 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 66 8B C3 B2 01 E8 ?? ?? ?? ?? EB 5B 8B C3 F6 46 20 10 0F 95 C2 80 F2 01 E8 ?? ?? ?? ?? EB 48 8B C3 F6 46 20 10 0F 95 C2 E8 ?? ?? ?? ?? EB 38 8B C3 33 D2 E8 ?? ?? ?? ?? EB 2D 8B C3 33 D2 E8 ?? ?? ?? ?? EB 22 8B C3 B2 01 E8 ?? ?? ?? ?? EB 17 8B C3 B2 01 E8 ?? ?? ?? ?? EB 0C BF 03 00 02 80 EB 05 BF 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_14531_0 {
	meta:
		name = "TOleControl.OnChanged"
		size = 534
		refs = "0010 TOleControl.OnChanged 007a TOleControl.GetIntegerProp 0084 TControl.SetColor 00a1 @HandleFinally 00d8 TOleControl.GetWordBoolProp 013e TOleControl.GetVariantProp 014c OleFontToFont 01a9 TFont.SetColor 01d7 @HandleOnException 01df _Dn_EOleError 01e8 @DoneExcept 01ff @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 2D FE FD FF FF 74 75 48 0F 84 36 01 00 00 48 0F 84 CA 00 00 00 83 E8 0B 0F 85 83 01 00 00 8B 45 08 80 B8 2D 02 00 00 00 0F 85 73 01 00 00 8B 45 08 C6 80 2D 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 0B FE FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 2D 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 2F 02 00 00 00 0F 85 15 01 00 00 8B 45 08 C6 80 2F 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA FE FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 66 F7 D8 1B D2 F7 DA 8B 45 08 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 2F 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 2E 02 00 00 00 0F 85 B2 00 00 00 8B 45 08 C6 80 2E 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA 00 FE FF FF 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 08 8B 52 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 2E 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 2E 02 00 00 00 75 51 8B 45 08 C6 80 2E 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA FF FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 2E 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14533_0 {
	meta:
		name = "TOleControl.PostMessageFilter"
		size = 9
		altNames = "TOleControl.PreMessageFilter"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_14904_0 {
	meta:
		name = "Opengl"
		size = 19
		refs = "0002 _DV_1 000e Set8087CW"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 09 66 B8 3F 13 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14905_0 {
	meta:
		name = "PascalClearVariantImpl"
		size = 21
		refs = "0008 Unassigned 000d @VarCopy"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_15407_0 {
	meta:
		name = "TCustomProvider.GetRecords"
		size = 21
		refs = "0008 Null 000d @OleVarFromVar"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_14906_0 {
	meta:
		name = "PascalChangeTypeImpl"
		size = 68
		refs = "000d PascalChangeTypeImpl 0021 VarAsType 0030 @HandleAnyException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 83 CB FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 45 0C 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_14907_0 {
	meta:
		name = "LoadOrbProcs"
		size = 560
		refs = "000f OrbDll 0017 LoadOrbProcs 0030 LoadLibrary 003c GetLastError 0044 SysErrorMessage 006c _Dn_Exception 0071 Exception.CreateFmt 0076 @RaiseExcept 0083 GetProcAddress 0088 InitOrbProc 009a CorbaStringFreeProc 00ac CorbaWStringFreeProc 00be CorbaDuplicateAnyProc 00d0 CorbaReleaseAnyProc 00e2 CreateSkeletonProc 00f4 BindStubProc 0106 VariantToAnyProc 0118 AnyToVariantProc 0132 PascalChangeTypeImpl 0137 PascalClearVariantImpl 014e @LStrClr 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C0 89 45 EC BB ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 20 0F 87 13 01 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 83 3B 20 77 3F E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 0B B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 0B 8D 45 F0 50 6A 01 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? 8B F8 89 FE 85 FF 74 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 6F 72 62 70 61 73 2E 64 6C 6C 00 00 FF FF FF FF 0A 00 00 00 6F 72 62 70 61 73 2E 64 6C 6C 00 00 FF FF FF FF 06 00 00 00 25 73 3A 20 25 73 00 00 4F 52 42 5F 69 6E 69 74 00 00 00 00 53 74 72 69 6E 67 5F 46 72 65 65 00 57 53 74 72 69 6E 67 5F 46 72 65 65 00 00 00 00 44 75 70 6C 69 63 61 74 65 41 6E 79 00 00 00 00 52 65 6C 65 61 73 65 41 6E 79 00 00 44 65 6C 70 68 69 53 65 72 76 61 6E 74 5F 43 72 65 61 74 65 00 00 00 00 44 65 6C 70 68 69 53 74 75 62 5F 42 69 6E 64 00 56 61 72 69 61 6E 74 54 6F 41 6E 79 00 00 00 00 41 6E 79 32 56 61 72 69 61 6E 74 00 49 6E 69 74 41 6E 79 43 61 6C 6C 62 61 63 6B 73 00 00 00 00 }
	condition:
		$1
}

rule function_14908_0 {
	meta:
		name = "ValidateProc"
		size = 89
		refs = "0009 ValidateProc 001c SCorbaNotInitialized 0021 LoadResString 002b _Dn_Exception 0030 Exception.Create 0035 @RaiseExcept 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 38 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_14909_0 {
	meta:
		name = "InitORB"
		size = 59
		refs = "0012 LoadOrbProcs 0017 InitOrbProc 001c ValidateProc 0023 @IntfClear 002c @DynArrayHigh"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 74 04 33 C0 89 06 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 53 8B C3 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14910_0 {
	meta:
		name = "CorbaStringFree"
		size = 22
		refs = "0004 CorbaStringFreeProc 0009 ValidateProc"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14912_0 {
	meta:
		name = "CorbaDuplicateAny"
		size = 22
		refs = "0004 CorbaDuplicateAnyProc 0009 ValidateProc"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14913_0 {
	meta:
		name = "CorbaReleaseAny"
		size = 22
		refs = "0004 CorbaReleaseAnyProc 0009 ValidateProc"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14911_0 {
	meta:
		name = "CorbaWStringFree"
		size = 22
		refs = "0004 CorbaWStringFreeProc 0009 ValidateProc"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14916_0 {
	meta:
		name = "VariantToAny"
		size = 22
		refs = "0004 VariantToAnyProc 0009 ValidateProc"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14914_0 {
	meta:
		name = "CreateSkeleton"
		size = 70
		refs = "0018 CreateSkeletonProc 001d ValidateProc 0025 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 08 85 C0 74 04 33 D2 89 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8A 45 0C 50 8B 45 10 50 8B 45 14 50 53 56 57 FF 15 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_14915_0 {
	meta:
		name = "BindStub"
		size = 66
		refs = "0018 BindStubProc 001d ValidateProc 0025 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 85 C0 74 04 33 D2 89 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8A 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_14917_0 {
	meta:
		name = "AnyToVariant"
		size = 34
		refs = "0007 AnyToVariantProc 000c ValidateProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 53 FF 15 ?? ?? ?? ?? 66 F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_14918_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_1 001b OrbDll 0029 FreeLibrary 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 83 3D ?? ?? ?? ?? 20 76 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14920_0 {
	meta:
		name = "GetBufStart"
		size = 22
	strings:
		$1 = { 33 C9 89 0A EB 03 40 FF 02 8A 08 80 E9 09 74 F6 80 E9 17 74 F1 C3 }
	condition:
		$1
}

rule function_14921_0 {
	meta:
		name = "PutString"
		size = 46
		refs = "0009 @LStrLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 10 BA 01 00 00 00 8A 4C 16 FF 88 0B 43 42 48 75 F5 66 C7 03 0D 0A 83 C3 02 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_14923_0 {
	meta:
		name = "TOutlineNode.Destroy"
		size = 334
		refs = "0009 @BeforeDestruction 002f TOutlineNode.Destroy 0051 TOutlineNode.GetIndex 0064 TOutlineNode.Clear 007a TCustomOutline.ResetSelectedItem 008b TOutlineNode.GetList 0090 TList.Last 00a6 TOutlineNode.Remove 00c8 TCustomOutline.SetRowFromNode 00fb TCustomOutline.DeleteNode 0126 @HandleFinally 0136 TPersistent.Destroy 0144 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 1C 8B 90 78 02 00 00 3B 55 FC 75 07 C6 80 C6 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 F6 8B 45 FC 83 78 10 00 74 13 8B 45 FC 8B 40 1C 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 83 78 04 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 90 C8 02 00 00 3B 55 FC 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 10 85 DB 74 77 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 0F 94 C0 8B D8 8B 45 FC 8B 40 10 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 83 78 08 00 75 13 8B 45 FC 8B 50 10 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? EB 21 84 DB 74 1D 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 90 78 02 00 00 3B 55 FC 75 07 C6 80 C6 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14924_0 {
	meta:
		name = "TOutlineNode.Clear"
		size = 62
		refs = "0019 TList.Get 0031 TObject.Free"
	strings:
		$1 = { 56 57 55 8B F8 8B 47 04 8B 70 08 4E 85 F6 7C 1D 46 33 ED 8B 47 04 8B D5 E8 ?? ?? ?? ?? 33 D2 89 50 10 B2 01 8B 08 FF 51 FC 45 4E 75 E6 8B 47 04 E8 ?? ?? ?? ?? 33 C0 89 47 04 5D 5F 5E C3 }
	condition:
		$1
}

rule function_14925_0 {
	meta:
		name = "TOutlineNode.SetHorzScrollBar"
		size = 22
		refs = "0011 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 8B 50 10 85 D2 74 0E 80 7A 18 00 74 08 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14926_0 {
	meta:
		name = "TOutlineNode.GetList"
		size = 29
		refs = "000c _Dn_TList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_14928_0 {
	meta:
		name = "TOutlineNode.GetLastIndex"
		size = 44
		refs = "0006 TOutlineNode.GetList 0018 TList.Last 001d TOutlineNode.GetLastIndex 0026 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 13 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14929_0 {
	meta:
		name = "TOutlineNode.SetText"
		size = 79
		refs = "000d @LStrAsg 0031 TOutlineNode.GetRowOfNode 0040 TCustomGrid.InvalidateCell 0047 TOutlineNode.SetHorzScrollBar"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B 43 10 85 C0 74 33 80 78 18 00 74 26 33 C0 89 04 24 8B 73 1C 8B CC 8B 86 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 0C 24 83 E9 02 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14930_0 {
	meta:
		name = "TOutlineNode.ChangeExpandedCount"
		size = 24
		refs = "0013 TOutlineNode.ChangeExpandedCount"
	strings:
		$1 = { 80 78 18 00 74 11 01 50 20 8B 48 10 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14931_0 {
	meta:
		name = "TOutlineNode.GetIndex"
		size = 29
		refs = "0009 TCustomOutline.BadIndex 0014 TOutlineNode.SetGoodIndex"
	strings:
		$1 = { 53 8B D8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_14932_0 {
	meta:
		name = "TOutlineNode.GetLevel"
		size = 20
	strings:
		$1 = { 33 D2 8B 40 10 85 C0 74 08 42 8B 40 10 85 C0 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_14933_0 {
	meta:
		name = "TOutlineNode.SetLevel"
		size = 33
		refs = "0009 TOutlineNode.GetLevel 001a TCustomOutline.SetLevel"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B C6 74 0D 56 8B C8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14934_0 {
	meta:
		name = "TOutlineNode.ChangeLevelBy"
		size = 30
		refs = "0009 TOutlineNode.GetLevel 0017 TOutlineNode.SetLevel"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 0F BE C3 03 D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14935_0 {
	meta:
		name = "TOutlineNode.GetDisplayWidth"
		size = 11
		refs = "0006 TCustomOutline.GetNodeDisplayWidth"
	strings:
		$1 = { 8B D0 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14936_0 {
	meta:
		name = "TOutlineNode.HasVisibleParent"
		size = 19
	strings:
		$1 = { 8B 50 10 85 D2 74 06 80 7A 18 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14937_0 {
	meta:
		name = "TOutlineNode.GetVisibleParent"
		size = 18
	strings:
		$1 = { EB 02 8B C2 8B 50 10 85 D2 74 06 80 7A 18 00 74 F1 C3 }
	condition:
		$1
}

rule function_14938_0 {
	meta:
		name = "TOutlineNode.GetFullPath"
		size = 140
		refs = "0010 TOutlineNode.GetFullPath 0048 @LStrCatN 0054 @LStrLAsg 005e EmptyStr 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 74 39 83 7E 10 00 74 27 8D 55 FC 8B C6 E8 ?? ?? ?? ?? FF 75 FC 8B 43 1C FF B0 88 02 00 00 FF 73 08 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1B 8B C7 8B 53 08 E8 ?? ?? ?? ?? EB 0F 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14939_0 {
	meta:
		name = "TOutlineNode.HasAsParent"
		size = 26
		refs = "0011 TOutlineNode.HasAsParent"
	strings:
		$1 = { 3B D0 75 03 B0 01 C3 8B 48 10 85 C9 74 09 8B C1 E8 ?? ?? ?? ?? EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_14940_0 {
	meta:
		name = "TOutlineNode.GetTopItem"
		size = 31
	strings:
		$1 = { 33 C9 83 78 10 00 74 14 EB 0B 83 7A 10 00 75 03 8B 48 14 8B C2 8B 50 10 85 D2 75 EE 8B C1 C3 }
	condition:
		$1
}

rule function_14941_0 {
	meta:
		name = "TOutlineNode.getFirstChild"
		size = 37
		refs = "0006 TOutlineNode.GetList 0015 TOutlineNode.GetNode 001a TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 10 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_14942_0 {
	meta:
		name = "TOutlineNode.GetLastChild"
		size = 46
		refs = "0006 TOutlineNode.GetList 001e TOutlineNode.GetNode 0023 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 19 8B C3 E8 ?? ?? ?? ?? 8B 50 08 4A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_14943_0 {
	meta:
		name = "TOutlineNode.GetNextChild"
		size = 100
		refs = "0013 TOutlineNode.GetList 0027 TOutlineNode.GetNode 002c TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 75 23 8B C7 E8 ?? ?? ?? ?? 8B 40 08 48 3B D8 7D 18 8D 53 01 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 EB 04 43 4E 75 C7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14944_0 {
	meta:
		name = "TOutlineNode.GetPrevChild"
		size = 81
		refs = "000e TOutlineNode.GetList 0020 TOutlineNode.GetNode 0025 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 83 CD FF 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 2F 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F8 75 17 85 DB 7E 19 8B D3 4A 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 EB 06 4B 83 FB FF 75 D1 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14945_0 {
	meta:
		name = "TOutlineNode.MoveTo"
		size = 33
		refs = "000d TOutlineNode.GetIndex 0019 TCustomOutline.Move"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 53 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 47 1C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14946_0 {
	meta:
		name = "TOutlineNode.FullExpand"
		size = 65
		refs = "0008 TOutlineNode.HasChildren 0015 TOutlineNode.SetExpandedState 001c TOutlineNode.GetList 0030 TOutlineNode.GetNode 0035 TOutlineNode.FullExpand"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14947_0 {
	meta:
		name = "TOutlineNode.GetRowOfNode"
		size = 97
		refs = "002a TOutlineNode.GetList 003e TOutlineNode.GetNode 004a TOutlineNode.GetRowOfNode"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B 44 24 04 FF 00 3B 3C 24 75 04 B3 01 EB 39 33 DB 80 7F 18 00 74 31 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 22 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? 8B D8 84 DB 75 04 45 4E 75 E1 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14948_0 {
	meta:
		name = "TOutlineNode.GetVisibleNode"
		size = 344
		refs = "0017 TOutlineNode.GetVisibleNode 0037 TOutlineNode.GetList 0055 TOutlineNode.GetNode 011e SOutlineIndexError 0123 LoadResString 012d TOutlineNode.Error 0142 @LStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 08 89 7D F8 E9 02 01 00 00 33 C0 89 45 F8 8B C7 E8 ?? ?? ?? ?? 8B 40 08 89 45 EC 33 C0 89 45 F0 8B 47 20 3B 45 EC 75 13 8B 55 FC 4A 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 D0 00 00 00 33 C0 89 45 F4 E9 9C 00 00 00 8B 5D F4 8B F0 2B F3 7C 14 46 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 18 00 75 04 43 4E 75 ED 3B 5D F4 7E 20 8B C3 2B 45 F4 3B 45 FC 7C 13 8B 55 F4 03 55 FC 4A 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 6A 29 45 FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 42 20 40 8D 0C 03 2B 4D F4 01 4D F0 3B 45 FC 7C 0F 8B 45 FC 48 92 E8 ?? ?? ?? ?? 89 45 F8 EB 3B 8D 53 01 8B 4D EC 2B CA 8B 57 20 2B 55 F0 3B CA 75 13 8B 55 FC 2B D0 03 D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 33 29 45 FC 89 5D F4 FF 45 F4 8B 45 EC 48 3B 45 F4 0F 8D 57 FF FF FF 83 7D F8 00 75 17 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14949_0 {
	meta:
		name = "RecurseNode"
		size = 49
		refs = "000a TOutlineNode.GetIndex 002b TOutlineNode.GetNodeAtIndex"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 75 08 8B 45 08 8B 40 FC 5D C3 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_14950_0 {
	meta:
		name = "TOutlineNode.GetNodeAtIndex"
		size = 211
		refs = "0013 TOutlineNode.GetIndex 002d TOutlineNode.GetList 004e TOutlineNode.GetNode 005b RecurseNode 00bb _DV_OutlineError 00c0 TObject.Create 00c5 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 F8 75 0B 8B 45 F4 89 45 F0 E9 A2 00 00 00 33 F6 8B 45 F4 E8 ?? ?? ?? ?? 8B 58 08 4B 33 C0 89 45 F0 3B F3 7F 74 8D 3C 33 D1 FF 79 03 83 D7 00 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 3B DE 75 0C 55 E8 ?? ?? ?? ?? 59 89 45 F0 EB 4D 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7E 05 8B DF 4B EB 37 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7D 1E 3B DF 7E 1A 8D 57 01 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 7F 05 8D 77 01 EB 0C 55 E8 ?? ?? ?? ?? 59 89 45 F0 EB 04 3B F3 7E 8C 83 7D F0 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14951_0 {
	meta:
		name = "TOutlineNode.GetDataItem"
		size = 84
		refs = "0015 TOutlineNode.GetIndex 0022 TOutlineNode.GetList 0036 TOutlineNode.GetNode 003e TOutlineNode.GetDataItem"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 0C 3B 04 24 75 0B 8B C5 E8 ?? ?? ?? ?? 8B F0 EB 2F 33 F6 8B C5 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 47 4B 75 E5 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14952_0 {
	meta:
		name = "TOutlineNode.GetTextItem"
		size = 89
		refs = "0011 @LStrCmp 001a TOutlineNode.GetIndex 0027 TOutlineNode.GetList 003b TOutlineNode.GetNode 0043 TOutlineNode.GetTextItem"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 04 24 8B 55 08 E8 ?? ?? ?? ?? 75 0B 8B C5 E8 ?? ?? ?? ?? 8B F0 EB 2F 33 F6 8B C5 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 47 4B 75 E5 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14955_0 {
	meta:
		name = "TOutlineNode.SetExpandedState"
		size = 255
		refs = "000d TOutlineNode.SetExpandedState 0035 SOutlineExpandError 003a LoadResString 0044 TOutlineNode.Error 0052 TOutlineNode.GetIndex 0060 @CallDynaInst 006b TOutlineNode.GetList 0075 TOutlineNode.ChangeExpandedCount 007e TOutlineNode.CloseNode 00a6 TCustomOutline.ResizeGrid 00d2 TOutlineNode.SetHorzScrollBar 00d9 TOutlineNode.Repaint 00ee @LStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 56 18 0F 84 BD 00 00 00 84 D2 74 57 8B 5E 10 85 DB 74 24 80 7B 18 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 DC 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 46 1C 66 BB A3 FF E8 ?? ?? ?? ?? C6 46 18 01 8B C6 E8 ?? ?? ?? ?? 8B 50 08 8B C6 E8 ?? ?? ?? ?? EB 54 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 78 08 00 7E 13 8B C6 E8 ?? ?? ?? ?? 8B 50 08 F7 DA 8B C6 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 1C 8B 10 FF 52 78 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 46 1C 66 BB A2 FF E8 ?? ?? ?? ?? C6 46 18 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14956_0 {
	meta:
		name = "TOutlineNode.CloseNode"
		size = 81
		refs = "0008 TOutlineNode.GetList 001c TOutlineNode.GetNode 0021 TOutlineNode.CloseNode 0045 TOutlineNode.ChangeExpandedCount"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B C6 E8 ?? ?? ?? ?? 83 78 08 00 7E 13 8B C6 E8 ?? ?? ?? ?? 8B 50 08 F7 DA 8B C6 E8 ?? ?? ?? ?? C6 46 18 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14957_0 {
	meta:
		name = "TOutlineNode.Repaint"
		size = 33
		refs = "000e TCustomOutline.ResizeGrid"
	strings:
		$1 = { 53 56 8B D8 8B 73 1C 85 F6 74 13 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_14958_0 {
	meta:
		name = "TOutlineNode.SetGoodIndex"
		size = 65
		refs = "0009 TCustomOutline.SetGoodIndex 001e TOutlineNode.ReIndex"
	strings:
		$1 = { 53 8B D8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 8B 50 10 85 D2 74 10 8B 48 14 51 6A 01 8B CB 92 E8 ?? ?? ?? ?? EB 12 8B 53 1C 3B 9A 78 02 00 00 74 07 8B 40 14 40 89 43 14 8B 43 1C 89 98 7C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_14959_0 {
	meta:
		name = "TOutlineNode.AddNode"
		size = 68
		refs = "0009 TOutlineNode.GetList 0010 TList.Add 001e TOutlineNode.ChangeExpandedCount 0031 TOutlineNode.SetGoodIndex 003b TOutlineNode.SetHorzScrollBar"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 73 10 8B 53 20 42 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 80 B8 74 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 73 14 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14960_0 {
	meta:
		name = "TOutlineNode.InsertNode"
		size = 120
		refs = "000f TOutlineNode.GetList 0023 TOutlineNode.GetNode 003b TList.Insert 004f TOutlineNode.ChangeExpandedCount 0062 TOutlineNode.SetGoodIndex 006c TOutlineNode.SetHorzScrollBar"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 7C 2D 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 3B 04 24 75 15 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D6 E8 ?? ?? ?? ?? 89 5D 10 EB 04 46 4F 75 D6 8B 55 20 42 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 80 B8 74 02 00 00 00 75 07 8B C5 E8 ?? ?? ?? ?? 8B 5D 14 8B C5 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14961_0 {
	meta:
		name = "TOutlineNode.InternalRemove"
		size = 111
		refs = "0013 TOutlineNode.GetNode 001d TCustomOutline.SetGoodIndex 0030 TOutlineNode.GetList 0037 TList.Delete 0044 TOutlineNode.ChangeExpandedCount 0060 TOutlineNode.SetExpandedState 0067 TOutlineNode.SetHorzScrollBar"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 16 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 1C E8 ?? ?? ?? ?? EB 0A 8B D3 8B 43 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 57 20 42 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 75 0F 83 7B 10 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14962_0 {
	meta:
		name = "TOutlineNode.Remove"
		size = 34
		refs = "0009 TOutlineNode.GetList 0010 TList.IndexOf 001b TOutlineNode.InternalRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14963_0 {
	meta:
		name = "TOutlineNode.ReIndex"
		size = 125
		refs = "0016 TOutlineNode.GetList 001d TList.IndexOf 0040 TOutlineNode.GetNode 004b TOutlineNode.Resync 0070 TOutlineNode.ReIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B 78 08 4F 58 2B F8 7C 2B 47 89 45 F8 84 DB 74 1B 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 0C 8B 4D FC E8 ?? ?? ?? ?? 84 C0 75 21 EB 02 B3 01 FF 45 F8 4F 75 D9 8B 46 10 85 C0 74 10 8B 55 0C 52 6A 00 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14964_0 {
	meta:
		name = "TOutlineNode.Resync"
		size = 99
		refs = "002c TOutlineNode.GetList 0040 TOutlineNode.GetNode 004c TOutlineNode.Resync"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B 04 24 8B 00 89 47 14 3B 7C 24 04 75 04 B3 01 EB 38 33 DB 8B 04 24 FF 00 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 22 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 14 24 8B 4C 24 04 E8 ?? ?? ?? ?? 8B D8 84 DB 75 04 45 4E 75 E1 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14965_0 {
	meta:
		name = "TOutlineNode.GetExpandedNodeCount"
		size = 62
		refs = "0014 TOutlineNode.GetList 0028 TOutlineNode.GetNode 002d TOutlineNode.GetExpandedNodeCount"
	strings:
		$1 = { 53 56 57 55 8B F0 BD 01 00 00 00 80 7E 18 00 74 26 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 17 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 E8 47 4B 75 EC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14966_0 {
	meta:
		name = "TOutlineNode.GetMaxDisplayWidth"
		size = 74
		refs = "000b TOutlineNode.GetDisplayWidth 001e TOutlineNode.GetList 0032 TOutlineNode.GetNode 0039 TOutlineNode.GetMaxDisplayWidth"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 73 02 8B F0 80 7B 18 00 74 28 8B C3 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 7C 19 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F0 45 4F 75 EA 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14967_0 {
	meta:
		name = "TCustomOutline.Error"
		size = 24
		refs = "0008 _DV_EOutlineError 000d Exception.Create 0012 @RaiseExcept"
		altNames = "TOutlineNode.Error"
	strings:
		$1 = { 53 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14968_0 {
	meta:
		name = "TOutlineNode.HasChildren"
		size = 19
		refs = "0006 TOutlineNode.GetList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_14969_0 {
	meta:
		name = "TOutlineNode.WriteNode"
		size = 117
		refs = "0017 TOutlineNode.GetLevel 0032 PutString 0042 TStream.WriteBuffer 0049 TOutlineNode.GetList 005d TOutlineNode.GetNode 0067 TOutlineNode.WriteNode"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 83 7E 10 00 74 34 8B DD 8B C6 E8 ?? ?? ?? ?? 66 83 F8 01 76 0B C6 03 09 48 43 66 83 F8 01 77 F5 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D8 8B CB 2B CD 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1A 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 0C 24 8B D5 E8 ?? ?? ?? ?? 47 4B 75 E9 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14970_0 {
	meta:
		name = "TOutlineNode.IsEqual"
		size = 45
		refs = "000d @LStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B 56 08 E8 ?? ?? ?? ?? 75 10 8B 43 0C 3B 46 0C 75 08 8B 43 20 3B 46 20 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_14971_0 {
	meta:
		name = "TOutlineStrings.Get"
		size = 96
		refs = "000a TCustomOutline.Get 0013 TOutlineNode.GetLevel 001d EmptyStr 0024 @LStrLAsg 0038 TOutlineStrings.Get 003d @LStrCat"
	strings:
		$1 = { 53 56 57 8B D9 8B 40 0C 42 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F B7 C6 83 E8 02 85 C0 7C 12 40 89 C6 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F1 8B C3 8B 57 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_14974_0 {
	meta:
		name = "WriteNodes"
		size = 166
		refs = "0018 TCustomOutline.GetItemCount 005f TCustomOutline.Get 0076 TOutlineNode.IsEqual"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 70 1C 85 F6 74 77 8B 46 0C E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 8B 40 0C E8 ?? ?? ?? ?? 3B D8 75 5B 8B 46 0C E8 ?? ?? ?? ?? 85 C0 7E 4F 33 DB 8B 45 08 8B 40 F8 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 7E 4D 89 45 FC BF 01 00 00 00 8B D7 8B 46 0C E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 1B 47 FF 4D FC 75 D0 EB 13 8B 45 08 8B 40 F8 8B 40 0C E8 ?? ?? ?? ?? 85 C0 0F 9F C3 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14975_0 {
	meta:
		name = "TOutlineStrings.DefineProperties"
		size = 76
		refs = "0012 TOutlineStrings.ReadData 001b TOutlineStrings.WriteData 0021 WriteNodes 0029 TOutlineStrings.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 13 5B 59 59 5D C3 00 00 00 FF FF FF FF 05 00 00 00 4E 6F 64 65 73 00 00 00 }
	condition:
		$1
}

rule function_14976_0 {
	meta:
		name = "TOutlineStrings.ReadData"
		size = 265
		refs = "0015 TOutlineStrings.ReadData 0023 TReader.ReadListBegin 002a _Dn_TStringList 002f TObject.Create 004d TReader.ReadString 0060 TReader.EndOfList 006b _Dn_TMemoryStream 0096 TStream.SetPosition 00a1 TCustomOutline.LoadFromStream 00b6 TObject.Free 00bc @HandleFinally 00e3 TReader.ReadListEnd 00f8 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 34 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 DE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 8B 08 FF 51 68 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 43 0C 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14977_0 {
	meta:
		name = "TOutlineStrings.WriteData"
		size = 279
		refs = "0017 TOutlineStrings.WriteData 0025 TWriter.WriteListBegin 002c _Dn_TMemoryStream 0031 TObject.Create 004d TCustomOutline.SaveToStream 0057 TStream.SetPosition 005e _Dn_TStringList 00a9 TWriter.WriteString 00c2 TObject.Free 00c8 @HandleFinally 00ef TWriter.WriteListEnd 0104 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 8B 08 FF 51 5C 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14978_0 {
	meta:
		name = "TOutlineStrings.Add"
		size = 267
		refs = "0014 TOutlineStrings.Add 0021 @LStrToPChar 0029 GetBufStart 0033 @LStrFromPChar 003b TCustomOutline.GetItemCount 0052 TCustomOutline.Get 0066 TOutlineNode.GetLevel 0088 SOutlineFileLoad 008d LoadResString 0098 TCustomOutline.Error 00cc TOutlineNode.GetIndex 00d9 TCustomOutline.AddChild 00f6 @LStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 85 C0 7E 17 8B 5E 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 09 8B 46 0C 8B 98 78 02 00 00 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 72 0B 8B 56 0C 3B 9A 78 02 00 00 75 24 8B 55 FC 2B D0 83 FA 01 76 45 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 0C E8 ?? ?? ?? ?? EB 2B 8B 7D FC 47 2B F8 77 23 4F 8B 5B 10 85 DB 75 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 0C E8 ?? ?? ?? ?? 47 75 DE 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 46 0C E8 ?? ?? ?? ?? 48 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14979_0 {
	meta:
		name = "TOutlineStrings.Delete"
		size = 10
		refs = "0005 TCustomOutline.Delete"
	strings:
		$1 = { 42 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14980_0 {
	meta:
		name = "TOutlineStrings.Insert"
		size = 10
		refs = "0005 TCustomOutline.Insert"
	strings:
		$1 = { 42 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14981_0 {
	meta:
		name = "TOutlineStrings.PutObject"
		size = 17
		refs = "0008 TCustomOutline.Get"
	strings:
		$1 = { 53 8B D9 42 8B 40 0C E8 ?? ?? ?? ?? 89 58 0C 5B C3 }
	condition:
		$1
}

rule function_14982_0 {
	meta:
		name = "TOutlineStrings.GetObject"
		size = 23
		refs = "000d TCustomOutline.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 56 01 8B 43 0C E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_14983_0 {
	meta:
		name = "_NF__2A4"
		size = 40
	strings:
		$1 = { 50 4C 55 53 00 00 00 00 4D 49 4E 55 53 00 00 00 4F 50 45 4E 00 00 00 00 43 4C 4F 53 45 44 00 00 4C 45 41 46 00 00 00 00 }
	condition:
		$1
}

rule function_14984_0 {
	meta:
		name = "TCustomOutline.Create"
		size = 268
		refs = "000e @ClassCreate 001c TCustomGrid.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 0040 TControl.SetColor 0049 TControl.SetParentColor 0050 TCustomOutline.SetRowHeight 0059 TCustomGrid.SetRowCount 0065 TCustomGrid.SetColCount 006e TCustomGrid.SetFixedCols 0077 TCustomGrid.SetFixedRows 0085 TCustomOutline.Init 008c _DV_TOutlineStrings 0091 TObject.Create 00a3 TCustomOutline.Create 00aa TCustomGrid.SetOptions 00b7 TCustomOutline.SetOutlineOptions 00c7 @LStrAsg 00d5 TCustomOutline.CreateGlyph 00e2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 80 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 6C 02 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 90 02 00 00 89 5E 0C 66 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 BC 02 00 00 05 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 00 03 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_14985_0 {
	meta:
		name = "TCustomOutline.Destroy"
		size = 81
		refs = "0004 @BeforeDestruction 0013 TObject.Free 003e TCustomGrid.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 33 FF 8B 84 BE 98 02 00 00 E8 ?? ?? ?? ?? 47 83 FF 05 75 EE 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14986_0 {
	meta:
		name = "TCustomOutline.Init"
		size = 97
		refs = "0011 _DV_TOutlineNode 0016 TOutlineNode.Create 002d TCustomOutline.ResetSelectedItem 005b TCustomOutline.ResizeGrid"
	strings:
		$1 = { 53 8B D8 83 BB 78 02 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 78 02 00 00 8B 83 78 02 00 00 C6 40 18 01 8B C3 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 89 83 7C 02 00 00 8B 83 78 02 00 00 89 83 84 02 00 00 C6 83 74 02 00 00 00 33 C0 89 83 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14987_0 {
	meta:
		name = "TCustomOutline.CreateGlyph"
		size = 100
		refs = "0007 TCustomOutline.CreateGlyph 001f Images 0026 _Dn_TBitmap 002b TBitmap.Create 003c HInstance 0044 LoadBitmap 004d TBitmap.SetHandle"
	strings:
		$1 = { 53 56 57 55 8B F8 A0 ?? ?? ?? ?? 88 87 94 02 00 00 A0 ?? ?? ?? ?? 88 87 95 02 00 00 33 DB BE ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 89 AC 9F 98 02 00 00 8B 06 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 43 83 C6 04 83 FB 05 75 C9 5D 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_14988_0 {
	meta:
		name = "TCustomOutline.SetRowHeight"
		size = 145
		refs = "0014 GetDC 001f TCustomOutline.SetRowHeight 0032 GetDeviceCaps 003b TFont.GetSize 0041 MulDiv 005c TCustomGrid.SetDefaultRowHeight 0080 ReleaseDC 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 80 BB C4 02 00 00 01 74 7B 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 48 6A 5A 8B 45 FC 50 E8 ?? ?? ?? ?? 50 8B 43 58 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 B3 8C 02 00 00 6A 64 6A 78 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 89 83 C0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14989_0 {
	meta:
		name = "TCustomOutline.Clear"
		size = 33
		refs = "001b TCustomOutline.Init"
	strings:
		$1 = { 53 8B D8 B2 01 8B 83 78 02 00 00 8B 08 FF 51 FC 33 C0 89 83 78 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14990_0 {
	meta:
		name = "WriteOutline"
		size = 100
		refs = "0012 WriteOutline"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 1C 85 DB 74 34 A0 ?? ?? ?? ?? 3A 83 94 02 00 00 74 1E 8B 45 08 8B 40 F8 8A 80 94 02 00 00 F7 D0 22 83 94 02 00 00 8A 15 ?? ?? ?? ?? 3A D0 75 04 33 C0 EB 1A B0 01 5B 5D C3 8B 45 08 8B 40 F8 8A 15 ?? ?? ?? ?? 3A 90 94 02 00 00 0F 95 C0 5B 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14992_0 {
	meta:
		name = "TCustomOutline.ReadBinaryData"
		size = 17
		refs = "000c TStream.ReadBuffer"
	strings:
		$1 = { 05 95 02 00 00 B9 01 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14993_0 {
	meta:
		name = "TCustomOutline.WriteBinaryData"
		size = 17
		refs = "000c TStream.WriteBuffer"
	strings:
		$1 = { 05 94 02 00 00 B9 01 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14994_0 {
	meta:
		name = "TCustomOutline.IsCurItem"
		size = 25
		refs = "000d TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_14995_0 {
	meta:
		name = "TCustomOutline.GetItemCount"
		size = 12
		refs = "0007 TOutlineNode.GetLastIndex"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15021_0 {
	meta:
		name = "TCustomOutline.FullExpand"
		size = 12
		refs = "0007 TOutlineNode.FullExpand"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15033_0 {
	meta:
		name = "TCustomOutline.GetDataItem"
		size = 12
		refs = "0007 TOutlineNode.GetDataItem"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15035_0 {
	meta:
		name = "TCustomOutline.GetTextItem"
		size = 12
		refs = "0007 TOutlineNode.GetTextItem"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14996_0 {
	meta:
		name = "TCustomOutline.MoveNode"
		size = 670
		refs = "001a TCustomOutline.MoveNode 003f TCustomOutline.IsCurItem 0061 TOutlineNode.GetNodeAtIndex 0073 @HandleOnException 007b _DV_OutlineError 0087 SOutlineIndexError 008c LoadResString 0097 TCustomOutline.Error 009c @DoneExcept 011c TOutlineNode.HasAsParent 012c TOutlineNode.GetLevel 013b SOutlineMaxLevels 0166 TOutlineNode.GetList 017c TOutlineNode.GetNode 0181 TOutlineNode.SetGoodIndex 01ae TList.IndexOf 01d1 TOutlineNode.GetIndex 01e1 TOutlineNode.InsertNode 01ee TOutlineNode.AddNode 020f TOutlineNode.InternalRemove 021b TOutlineNode.Remove 022e TOutlineNode.SetExpandedState 026c TCustomOutline.ResizeGrid 0289 @LStrClr 028f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 5D F8 0F 84 4B 02 00 00 8B 45 FC 8B 80 84 02 00 00 89 45 F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 5A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 50 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 76 18 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 78 02 00 00 8B 45 FC 3B 98 7C 02 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 70 10 83 CB FF 8A 45 08 2C 01 72 5F 74 50 FE C8 75 67 8B 45 F0 3B 70 10 75 2A 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 3B D8 7E 03 43 EB 03 83 CB FF 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 10 8B 4D F4 E8 ?? ?? ?? ?? EB 1B 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? EB 0E 8B 45 F0 8B 40 10 8B 55 F4 E8 ?? ?? ?? ?? 83 FB FF 74 0E 8B CB 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 80 78 18 00 75 0A 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 78 02 00 00 8B 45 FC 3B 98 7C 02 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14997_0 {
	meta:
		name = "TCustomOutline.AttachNode"
		size = 482
		refs = "001a @LStrAddRef 0022 TCustomOutline.AttachNode 0037 _DV_TOutlineNode 003c TOutlineNode.Create 004a TOutlineNode.SetText 0081 TCustomOutline.IsCurItem 00a3 TOutlineNode.GetNodeAtIndex 00b5 @HandleOnException 00bd _DV_OutlineError 00c9 SOutlineIndexError 00ce LoadResString 00d9 TCustomOutline.Error 00de @DoneExcept 00fb SOutlineError 0122 TOutlineNode.GetIndex 0132 TOutlineNode.InsertNode 013f TOutlineNode.GetLevel 014e SOutlineMaxLevels 015e TOutlineNode.Error 0169 TOutlineNode.AddNode 0174 TCustomOutline.ResizeGrid 018f @HandleAnyException 019e Application 01a8 TApplication.HandleException 01c2 @LStrClr 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 8B DA 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 0C 89 50 0C 8B 45 F0 C7 40 14 FF FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 84 02 00 00 89 45 EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 08 00 75 2B 8B 45 EC 8B 40 10 89 45 EC 83 7D EC 00 75 18 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? C6 45 08 01 8A 45 08 FE C8 74 21 FE C8 75 52 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 10 8B 4D F0 E8 ?? ?? ?? ?? 89 45 F4 EB 35 8B 45 EC E8 ?? ?? ?? ?? 3D FF 00 00 00 76 18 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 51 FC A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14998_0 {
	meta:
		name = "TCustomOutline.Get"
		size = 225
		refs = "0017 TCustomOutline.Get 0033 TCustomOutline.IsCurItem 0055 TOutlineNode.GetNodeAtIndex 0067 @HandleOnException 006f _DV_OutlineError 007b SOutlineIndexError 0080 LoadResString 008b TCustomOutline.Error 0090 @DoneExcept 00a6 SOutlineError 00cb @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 84 02 00 00 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 3B 45 F8 75 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14999_0 {
	meta:
		name = "TCustomOutline.GetSelectedItem"
		size = 103
		refs = "0018 TOutlineNode.HasVisibleParent 0027 TOutlineNode.GetVisibleParent 0036 TOutlineNode.GetList 004e TOutlineNode.GetVisibleNode 005f TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 8B D8 8B BB 78 02 00 00 8B B3 C8 02 00 00 3B FE 74 1E 8B C6 E8 ?? ?? ?? ?? 84 C0 75 38 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 89 83 C8 02 00 00 EB 25 8B C7 E8 ?? ?? ?? ?? 83 78 08 00 7E 18 8B 93 0C 02 00 00 42 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 89 83 C8 02 00 00 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15000_0 {
	meta:
		name = "TCustomOutline.ResetSelectedItem"
		size = 13
	strings:
		$1 = { 8B 90 78 02 00 00 89 90 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_15001_0 {
	meta:
		name = "TCustomOutline.SetRowFromNode"
		size = 46
		refs = "001a TOutlineNode.GetRowOfNode 0027 TCustomGrid.SetRow"
	strings:
		$1 = { 53 51 8B D8 3B 93 78 02 00 00 74 1F 33 C0 89 04 24 8B CC 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 14 24 83 EA 02 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_15002_0 {
	meta:
		name = "TCustomOutline.SetSelectedItem"
		size = 306
		refs = "0017 TCustomOutline.SetSelectedItem 003f TOutlineNode.GetList 0065 TOutlineNode.GetIndex 0087 TOutlineNode.GetNodeAtIndex 0099 @HandleOnException 00a1 _DV_OutlineError 00ad SOutlineIndexError 00b2 LoadResString 00bd TCustomOutline.Error 00c2 @DoneExcept 00ca TOutlineNode.HasVisibleParent 00d6 TOutlineNode.GetVisibleParent 00f0 TCustomOutline.SetRowFromNode 00fa SOutlineSelection 011f @LStrClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 74 02 00 00 00 0F 85 DD 00 00 00 85 DB 75 19 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 05 BB 01 00 00 00 85 DB 0F 8E A0 00 00 00 8B 45 FC 8B B0 C8 02 00 00 89 75 F8 8B C6 E8 ?? ?? ?? ?? 3B D8 74 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 55 F8 89 90 C8 02 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15004_0 {
	meta:
		name = "TCustomOutline.InsertObject"
		size = 144
		refs = "0010 TCustomOutline.InsertObject 002c TCustomOutline.AttachNode 0041 TCustomOutline.AddChildObject 004d SOutlineError 0052 LoadResString 005c TCustomOutline.Error 0065 TCustomOutline.SetCurItem 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 DB 7E 13 8B 45 08 50 6A 02 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 2C 85 DB 75 11 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15006_0 {
	meta:
		name = "TCustomOutline.AddObject"
		size = 144
		refs = "0010 TCustomOutline.AddObject 002c TCustomOutline.AttachNode 0041 TCustomOutline.AddChildObject 004d SOutlineError 0052 LoadResString 005c TCustomOutline.Error 0065 TCustomOutline.SetCurItem 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 DB 7E 13 8B 45 08 50 6A 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 2C 85 DB 75 11 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15008_0 {
	meta:
		name = "TCustomOutline.AddChildObject"
		size = 123
		refs = "0010 TCustomOutline.AddChildObject 002c TCustomOutline.AttachNode 0038 SOutlineError 003d LoadResString 0047 TCustomOutline.Error 0050 TCustomOutline.SetCurItem 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 F6 7C 13 8B 45 08 50 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15009_0 {
	meta:
		name = "TCustomOutline.Delete"
		size = 190
		refs = "0017 TCustomOutline.Delete 003f TOutlineNode.GetNodeAtIndex 0044 TObject.Free 0053 @HandleOnException 005b _DV_OutlineError 0067 SOutlineIndexError 006c LoadResString 0077 TCustomOutline.Error 007c @DoneExcept 0086 SOutlineError 00ab @LStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 5D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 48 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15010_0 {
	meta:
		name = "TCustomOutline.Move"
		size = 107
		refs = "0012 TCustomOutline.Move 002a TCustomOutline.MoveNode 0034 SOutlineError 0039 LoadResString 0043 TCustomOutline.Error 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3C 01 74 04 85 D2 7E 0C 50 8B CE 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15011_0 {
	meta:
		name = "TCustomOutline.DeleteNode"
		size = 220
		refs = "0028 TOutlineNode.GetList 003e TOutlineNode.GetNode 0043 TOutlineNode.SetGoodIndex 004b TCustomOutline.DeleteNode 0061 TOutlineNode.GetNodeAtIndex 0079 @HandleOnException 0081 _DV_OutlineError 009c @DoneExcept 00bd TCustomOutline.GetSelectedItem 00c5 TCustomOutline.ResizeGrid"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 FC 8B 98 78 02 00 00 8B 45 FC 3B 98 7C 02 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 02 00 00 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 55 FC 89 82 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 55 FC 3B 82 C8 02 00 00 75 0D 3B 45 F8 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 78 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15012_0 {
	meta:
		name = "MoveUp"
		size = 79
		refs = "0018 TOutlineNode.GetIndex 0022 TOutlineNode.GetNextChild 003a TOutlineNode.MoveTo"
	strings:
		$1 = { 53 56 8B F0 8B DE 8B C2 83 F8 01 72 08 8B 5B 10 48 85 C0 75 F8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 10 E8 ?? ?? ?? ?? 83 F8 FF 75 16 8B 43 10 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 B1 02 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15013_0 {
	meta:
		name = "MoveDown"
		size = 199
		refs = "0017 MoveDown 002d TOutlineNode.GetList 003f TOutlineNode.GetNode 0044 TOutlineNode.GetIndex 0079 TOutlineNode.MoveTo 0083 SOutlineBadLevel 0088 LoadResString 0096 TCustomOutline.Error 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 76 7C 8B 77 10 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 72 21 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3B D0 74 06 4B 83 FB FF 75 DF 85 DB 76 20 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? FF 4D FC 83 7D FC 00 77 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15014_0 {
	meta:
		name = "TCustomOutline.SetLevel"
		size = 135
		refs = "0018 TCustomOutline.SetLevel 0031 MoveUp 0044 MoveDown 004f SOutlineBadLevel 0054 LoadResString 005f TCustomOutline.Error 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B DA 89 45 FC 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 2B C8 85 C0 76 23 85 C9 7E 0B 8B D1 8B C3 E8 ?? ?? ?? ?? EB 2C 55 8B C1 99 33 C2 2B C2 8B D0 8B C3 E8 ?? ?? ?? ?? 59 EB 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15015_0 {
	meta:
		name = "TCustomOutline.Click"
		size = 61
		refs = "000a TOutlineNode.GetList 0022 TOutlineNode.GetVisibleNode 0027 TOutlineNode.GetIndex 0030 TCustomOutline.SetSelectedItem 0037 TControl.Click"
	strings:
		$1 = { 53 8B D8 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 20 8B 93 0C 02 00 00 42 8B 83 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15016_0 {
	meta:
		name = "TCustomOutline.WMSize"
		size = 88
		refs = "0006 TCustomGrid.WMSize 0040 TControl.GetClientWidth 0049 TCustomGrid.SetDefaultColWidth 0052 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB D4 02 00 00 00 75 43 80 BB D5 02 00 00 00 75 3A 8A 83 34 02 00 00 84 C0 74 17 2C 02 74 13 80 BB C4 02 00 00 01 75 1C 66 83 BB CE 02 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15017_0 {
	meta:
		name = "TCustomOutline.KeyPress"
		size = 73
		refs = "000b TCustomGrid.KeyPress 0032 TOutlineNode.SetExpandedState 0042 TOutlineNode.FullExpand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 3B 83 78 02 00 00 74 29 8A 16 80 EA 2A 74 1D FE CA 74 07 80 EA 02 74 0B EB 17 B2 01 E8 ?? ?? ?? ?? EB 0E 33 D2 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15018_0 {
	meta:
		name = "TCustomOutline.KeyDown"
		size = 571
		refs = "0013 TCustomGrid.KeyDown 001e TOutlineNode.GetList 003a TOutlineNode.GetVisibleNode 0095 TList.First 009a TOutlineNode.GetIndex 00a3 TCustomOutline.SetSelectedItem 00b8 TList.Last 00d7 TOutlineNode.HasChildren 00fd TOutlineNode.SetExpandedState 0113 TCustomOutline.FullExpand 0130 MessageBeep 013c TCustomOutline.GetSelectedItem 01ae TList.IndexOf 01b8 TOutlineNode.GetNode"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B D8 8B D7 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 78 08 00 0F 84 0A 02 00 00 8B 93 0C 02 00 00 42 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F0 0F B7 07 83 F8 26 7F 23 0F 84 2D 01 00 00 83 E8 0D 0F 84 9D 00 00 00 83 E8 16 74 50 48 74 2A 48 0F 84 E9 00 00 00 E9 AB 01 00 00 83 E8 27 0F 84 A8 00 00 00 48 0F 84 51 01 00 00 83 E8 42 0F 84 82 00 00 00 E9 8D 01 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 8A 01 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 0E 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7E 18 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 E1 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 42 01 00 00 8A 56 18 80 F2 01 8B C6 E8 ?? ?? ?? ?? E9 30 01 00 00 F6 04 24 04 0F 84 06 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 1A 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 80 7E 18 00 75 0C 6A 00 E8 ?? ?? ?? ?? E9 FD 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 42 8B C3 E8 ?? ?? ?? ?? E9 E7 00 00 00 8B 7E 10 3B BB 78 02 00 00 75 0C 6A 00 E8 ?? ?? ?? ?? E9 D0 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 BB 00 00 00 F6 04 24 04 0F 84 91 00 00 00 8B 7E 10 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 0C 6A 00 E8 ?? ?? ?? ?? E9 92 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D0 4A 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 6A F6 04 24 04 74 44 8B 7E 10 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 09 6A 00 E8 ?? ?? ?? ?? EB 48 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D0 42 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 20 8B 93 0C 02 00 00 42 8B 83 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15019_0 {
	meta:
		name = "TCustomOutline.DblClick"
		size = 35
		refs = "0006 TControl.DblClick 001d TCustomOutline.DoExpand"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 3B 83 78 02 00 00 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15020_0 {
	meta:
		name = "TCustomOutline.MouseDown"
		size = 48
		refs = "0018 TCustomGrid.MouseDown 001f TCustomOutline.ResetSelectedItem 0026 TCustomOutline.GetSelectedItem"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15022_0 {
	meta:
		name = "TCustomOutline.FullCollapse"
		size = 55
		refs = "000c TOutlineNode.GetList 0024 TOutlineNode.GetNode 002b TOutlineNode.SetExpandedState"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B 87 78 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 4B 75 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15023_0 {
	meta:
		name = "TCustomOutline.SetHorzScrollBar"
		size = 78
		refs = "003f TOutlineNode.GetMaxDisplayWidth 0048 TCustomOutline.SetDisplayWidth"
	strings:
		$1 = { 53 8B D8 8A 83 34 02 00 00 2C 01 74 04 2C 02 75 3B 83 BB 80 02 00 00 00 7F 32 80 BB C6 02 00 00 00 75 29 80 BB C4 02 00 00 01 75 0A 66 83 BB CE 02 00 00 00 75 16 33 D2 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15024_0 {
	meta:
		name = "TCustomOutline.DoExpand"
		size = 12
		refs = "0007 TOutlineNode.SetExpandedState"
	strings:
		$1 = { 8A 42 18 34 01 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15025_0 {
	meta:
		name = "TCustomOutline.BeginUpdate"
		size = 29
		refs = "0011 TCustomOutline.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 BB 80 02 00 00 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 83 80 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15026_0 {
	meta:
		name = "TCustomOutline.EndUpdate"
		size = 23
		refs = "0012 TCustomOutline.SetUpdateState"
	strings:
		$1 = { FF 88 80 02 00 00 83 B8 80 02 00 00 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15027_0 {
	meta:
		name = "TCustomOutline.SetUpdateState"
		size = 101
		refs = "001a TCustomOutline.ResizeGrid 0030 TOutlineNode.GetList 0046 TList.First 004b TOutlineNode.SetGoodIndex 005f TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 8B D8 3A 93 74 02 00 00 74 58 8B C2 88 83 74 02 00 00 84 C0 75 4C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 8B 10 FF 52 78 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 17 8B 83 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15028_0 {
	meta:
		name = "TCustomOutline.ResizeGrid"
		size = 176
		refs = "0037 TCustomOutline.ResizeGrid 0051 TCustomGrid.SetRowCount 006e @HandleFinally 009a TOutlineNode.GetIndex 00a4 TCustomOutline.SetSelectedItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 33 DB 8B 45 FC 80 B8 74 02 00 00 00 0F 85 8B 00 00 00 8B 45 FC 8B 80 2C 02 00 00 89 45 F8 8B 45 FC C6 80 D5 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B 50 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D5 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 2C 02 00 00 3B 45 F8 0F 95 C3 8B 45 FC 8B B0 C8 02 00 00 8B 45 FC 3B B0 78 02 00 00 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15029_0 {
	meta:
		name = "TCustomOutline.BadIndex"
		size = 29
		refs = "0011 TCustomOutline.CompareNodes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 8B 7C 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 3C 02 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_15030_0 {
	meta:
		name = "TCustomOutline.SetGoodIndex"
		size = 103
		refs = "0012 TCustomOutline.CompareNodes 0030 TOutlineNode.GetList 0037 TList.IndexOf 0045 TOutlineNode.GetNode"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B CE 8B 93 7C 02 00 00 8B C3 E8 ?? ?? ?? ?? 2C 02 72 08 74 0E FE C8 74 2F EB 35 8B 83 7C 02 00 00 EB 33 8B 7E 10 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0C 8B D0 4A 8B C7 E8 ?? ?? ?? ?? EB 12 8B C7 EB 0E 8B 83 78 02 00 00 EB 06 8B 83 78 02 00 00 89 83 7C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15031_0 {
	meta:
		name = "GetParentNodeAtLevel"
		size = 13
	strings:
		$1 = { 85 D2 7E 08 8B 40 10 4A 85 D2 7F F8 C3 }
	condition:
		$1
}

rule function_15032_0 {
	meta:
		name = "TCustomOutline.CompareNodes"
		size = 209
		refs = "0020 TOutlineNode.GetLevel 0041 GetParentNodeAtLevel 0082 TOutlineNode.GetList 0089 TList.IndexOf"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B EA 3B 2C 24 75 07 B0 01 E9 B1 00 00 00 8B DD 8B 34 24 8B C5 E8 ?? ?? ?? ?? 8B F8 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 3B 7C 24 04 7E 11 8B D7 2B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B D8 EB 1C 3B 7C 24 04 7D 16 8B 54 24 04 2B D7 8B 04 24 E8 ?? ?? ?? ?? 8B F0 EB 04 8B D8 8B F2 8B 56 10 8B 43 10 3B D0 75 F2 8B 43 10 89 44 24 08 83 7C 24 08 00 74 4A 8B 44 24 08 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 8B 44 24 08 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 3B C3 7E 04 33 C0 EB 22 3B D8 7E 04 B0 02 EB 1A 3B 7C 24 04 7E 04 B0 02 EB 10 3B 7C 24 04 75 04 B0 01 EB 06 33 C0 EB 02 B0 03 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15034_0 {
	meta:
		name = "TCustomOutline.GetItem"
		size = 83
		refs = "0018 TCustomGrid.MouseCoord 002b TOutlineNode.GetList 003f TOutlineNode.GetVisibleNode 0044 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B D8 83 CE FF 54 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 04 85 FF 7F 11 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 15 8B D7 42 8B 83 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15036_0 {
	meta:
		name = "TCustomOutline.SetCurItem"
		size = 206
		refs = "0017 TCustomOutline.SetCurItem 0029 SInvalidCurrentItem 002e LoadResString 0039 TCustomOutline.Error 0043 TCustomOutline.IsCurItem 0065 TOutlineNode.GetNodeAtIndex 007d @HandleOnException 0085 _DV_OutlineError 0091 SOutlineIndexError 00a6 @DoneExcept 00bb @LStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7D 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 5F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 02 00 00 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15037_0 {
	meta:
		name = "TCustomOutline.SetOutlineStyle"
		size = 33
		refs = "0014 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 8B D8 3A 93 BC 02 00 00 74 14 88 93 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_15039_0 {
	meta:
		name = "TCustomOutline.SetDisplayWidth"
		size = 84
		refs = "0015 TCustomOutline.SetDisplayWidth 002e TCustomGrid.SetDefaultColWidth 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 D4 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 3B 90 10 02 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D4 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_15040_0 {
	meta:
		name = "TCustomOutline.GetNodeDisplayWidth"
		size = 248
		refs = "002d TCanvas.SetFont 0037 TCanvas.TextWidth 0052 TCustomOutline.GetNodeDisplayWidth 0071 TOutlineNode.GetLevel"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 F6 8B 83 14 02 00 00 2B 83 8C 02 00 00 D1 F8 79 03 83 D0 00 89 04 24 8B BB EC 01 00 00 8B 53 58 8B C7 E8 ?? ?? ?? ?? 8B 55 08 8B C7 E8 ?? ?? ?? ?? 40 8B F8 33 C0 8A 83 BC 02 00 00 83 F8 05 0F 87 99 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 48 F7 AB 14 02 00 00 03 F0 EB 68 8B C5 E8 ?? ?? ?? ?? 40 F7 AB 14 02 00 00 03 F0 EB 56 8B C5 E8 ?? ?? ?? ?? F7 AB 14 02 00 00 03 F0 EB 45 8B C5 E8 ?? ?? ?? ?? 48 F7 AB 14 02 00 00 2B 04 24 03 F0 F6 83 C5 02 00 00 01 74 29 03 B3 14 02 00 00 EB 21 8B C5 E8 ?? ?? ?? ?? F7 AB 14 02 00 00 2B 04 24 03 F0 F6 83 C5 02 00 00 01 74 06 03 B3 14 02 00 00 03 F7 85 F6 7D 02 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15041_0 {
	meta:
		name = "TCustomOutline.GetVisibleNode"
		size = 13
		refs = "0008 TOutlineNode.GetVisibleNode"
	strings:
		$1 = { 42 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15042_0 {
	meta:
		name = "GetBitmap"
		size = 21
	strings:
		$1 = { 55 8B EC 83 E0 7F 8B 55 08 8B 52 FC 8B 84 82 98 02 00 00 5D C3 }
	condition:
		$1
}

rule function_15043_0 {
	meta:
		name = "DrawFocusCell"
		size = 72
		refs = "0042 TCanvas.FillRect"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 55 08 01 42 F0 8B 45 08 8B 40 FC 8B 80 0C 02 00 00 8B 55 08 3B 42 E4 75 23 8B 45 08 8B 40 E0 83 78 08 00 74 17 8B 45 08 8D 50 E8 8B 45 08 8B 40 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_15044_0 {
	meta:
		name = "DrawTheText"
		size = 78
		refs = "0030 DrawFocusCell 0048 TCustomOutline.DrawText"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 14 02 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 8B 55 08 01 42 E8 8B 45 08 8B 40 E8 8B 55 08 89 42 F0 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8D 48 E8 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_15045_0 {
	meta:
		name = "DrawPlusMinusPicture"
		size = 266
		refs = "003e GetBitmap 00b7 DrawFocusCell 00cb TCustomOutline.DrawText 0101 TCustomOutline.DrawPictures"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 5D 08 83 C3 E8 8B 45 08 8B 40 FC 8B 80 14 02 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 01 03 8B 45 08 80 78 DD 00 74 55 8B 45 08 80 78 DC 00 74 26 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 50 B0 02 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 EB 40 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 50 B0 03 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 EB 1A 8B 45 08 33 D2 89 50 D8 8B 45 08 50 B0 04 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 8B 45 08 8B 40 FC 8B 80 14 02 00 00 03 C0 01 03 8B 03 89 43 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CB 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 02 00 00 03 C0 29 03 53 8B 45 08 8B 40 D8 89 45 F8 8B 45 08 8B 40 D4 89 45 FC 8D 55 F8 8B 45 08 8B 40 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15046_0 {
	meta:
		name = "DrawPictureText"
		size = 175
		refs = "0047 GetBitmap 006a DrawFocusCell 007e TCustomOutline.DrawText 00a6 TCustomOutline.DrawPictures"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 E8 8B 45 08 8B 40 FC 8B 80 14 02 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 01 06 8B 45 08 80 78 DD 00 74 11 8B 45 08 80 78 DC 00 74 04 B3 02 EB 06 B3 03 EB 02 B3 04 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 8B 40 FC 8B 80 14 02 00 00 01 06 8B 06 89 46 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CE 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 02 00 00 29 06 56 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15047_0 {
	meta:
		name = "DrawPlusMinusText"
		size = 173
		refs = "0031 DrawFocusCell 0049 TCustomOutline.DrawText 006c GetBitmap 00a5 TCustomOutline.DrawPictures"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC 8B 80 14 02 00 00 8B 55 08 0F B7 52 DE F7 EA 8B 55 08 01 42 E8 8B 45 08 8B 40 E8 8B 55 08 89 42 F0 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8D 48 E8 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 80 78 DD 00 74 53 8B 45 08 80 78 DC 00 74 04 B3 01 EB 02 33 DB 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 8B 40 FC 8B 80 14 02 00 00 8B 55 08 29 42 E8 8B 45 08 83 C0 E8 50 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_15048_0 {
	meta:
		name = "DrawTheTree"
		size = 133
		refs = "0019 TCustomOutline.DrawTree 0062 DrawFocusCell 007e TCustomOutline.DrawText"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 E8 8B 45 08 8B 48 E0 8B D3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 02 00 00 8B D0 8B 4D 08 0F B7 49 DE 49 0F AF D1 8B 4D 08 2B 51 D0 01 13 8B 55 08 8B 52 FC F6 82 C5 02 00 00 01 74 05 8B 55 08 01 03 8B 03 8B 55 08 03 42 D0 89 43 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 D0 01 03 8B CB 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_15049_0 {
	meta:
		name = "DrawTreePicture"
		size = 226
		refs = "001b TCustomOutline.DrawTree 0069 DrawFocusCell 007d TCustomOutline.DrawText 00b8 GetBitmap 00d9 TCustomOutline.DrawPictures"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 E8 8B 45 08 8B 48 E0 8B D6 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 02 00 00 8B D0 8B 4D 08 0F B7 49 DE 49 0F AF D1 8B 4D 08 2B 51 D0 01 16 8B 55 08 8B 52 FC F6 82 C5 02 00 00 01 74 05 8B 55 08 01 06 8B 55 08 01 06 8B 06 8B 55 08 03 42 D0 89 46 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CE 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 02 00 00 8B 55 08 2B 42 D0 29 06 8B 45 08 80 78 DD 00 74 11 8B 45 08 80 78 DC 00 74 04 B3 02 EB 06 B3 03 EB 02 B3 04 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 56 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15050_0 {
	meta:
		name = "TCustomOutline.DrawCell"
		size = 760
		refs = "002a TOutlineNode.GetList 0045 TBrush.SetColor 004f TCanvas.FillRect 0087 TWinControl.GetHandle 008e GetFocus 009b TCustomOutline.DrawCell 00cf TCanvas.GetHandle 00d5 DrawFocusRect 012b TCustomOutline.GetVisibleNode 015a TCanvas.SetFont 017e TCanvas.TextWidth 01a9 TFont.SetColor 01ba TOutlineNode.HasChildren 01c5 TOutlineNode.GetLevel 01fc DrawTheText 0205 DrawPlusMinusText 020e DrawPlusMinusPicture 0217 DrawPictureText 0220 DrawTheTree 0229 DrawTreePicture"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 0C 8D 7D E8 51 B9 04 00 00 00 F3 A5 59 89 4D E4 89 45 FC 8D 75 FC 8B 06 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 83 78 08 00 75 24 8B 06 8B 98 EC 01 00 00 8B 06 8B 50 64 8B 43 14 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? E9 88 02 00 00 8B 06 80 B8 C4 02 00 00 01 0F 85 BB 00 00 00 8B 06 66 83 B8 CE 02 00 00 00 0F 84 AB 00 00 00 8B 06 8B 80 0C 02 00 00 3B 45 E4 75 7C 8B 06 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 48 8D 45 E8 50 A0 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 D0 02 00 00 FF 93 CC 02 00 00 8B 06 F6 80 C5 02 00 00 02 0F 84 1E 02 00 00 8D 45 E8 50 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 02 02 00 00 8D 45 E8 50 A0 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 D0 02 00 00 FF 93 CC 02 00 00 E9 E0 01 00 00 8D 45 E8 50 A0 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 D0 02 00 00 FF 93 CC 02 00 00 E9 BE 01 00 00 8B 7D E8 8B 55 E4 8B 06 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F4 2B 45 EC 8B 16 2B 82 8C 02 00 00 D1 F8 79 03 83 D0 00 89 45 D0 8B 06 8B 98 EC 01 00 00 8B 06 8B 50 58 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 50 64 8B 43 14 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8B 50 08 8B C3 E8 ?? ?? ?? ?? 40 89 45 F8 8B 06 8B 80 0C 02 00 00 3B 45 E4 75 1A BA 0D 00 00 80 8B 43 14 E8 ?? ?? ?? ?? BA 0E 00 00 80 8B 43 0C E8 ?? ?? ?? ?? 8B 45 E0 8A 40 18 88 45 DC 8B 45 E0 E8 ?? ?? ?? ?? 88 45 DD 8B 45 E0 E8 ?? ?? ?? ?? 66 89 45 DE 8B 06 0F B6 80 BC 02 00 00 83 F8 05 77 53 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 2B 55 E8 ?? ?? ?? ?? 59 EB 22 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 06 8B 80 0C 02 00 00 3B 45 E4 0F 85 A1 00 00 00 8B 45 E0 83 78 08 00 0F 84 94 00 00 00 8B 06 8B 80 14 02 00 00 8B D0 0F B7 4D DE 49 0F AF D1 03 FA 89 7D E8 8B 16 80 BA BC 02 00 00 04 72 14 8B 55 D0 29 55 E8 8B 16 F6 82 C5 02 00 00 01 74 03 01 45 E8 8B 06 8A 80 BC 02 00 00 84 C0 74 0F 3C 04 74 0B 8B 16 8B 92 14 02 00 00 01 55 E8 3C 03 75 0B 8B 06 8B 80 14 02 00 00 01 45 E8 8B 06 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 22 8B 06 F6 80 C5 02 00 00 02 74 17 8D 45 E8 50 8B 06 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 11 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15051_0 {
	meta:
		name = "TCustomOutline.DrawTree"
		size = 581
		refs = "0039 TOutlineNode.GetLevel 0058 _Dn_TPen 005d TPen.Create 0068 TCustomOutline.DrawTree 0095 TPen.SetColor 00a5 TPen.SetWidth 00c5 TOutlineNode.GetList 00cc TList.IndexOf 00fe TCanvas.MoveTo 011c TCanvas.LineTo 0219 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 8D 7D D8 51 B9 04 00 00 00 F3 A5 59 89 4D FC 8B F0 8B 86 14 02 00 00 D1 F8 79 03 83 D0 00 66 89 45 FA 66 8B 45 E4 66 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 E8 03 89 45 F0 F6 86 C5 02 00 00 01 74 03 FF 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 86 EC 01 00 00 8B 50 10 8B 45 F4 8B 08 FF 51 08 8B 86 EC 01 00 00 89 45 E8 8B 45 E8 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 10 EB 67 8B 7B 10 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B 40 08 48 5A 3B D0 7D 3F 8B 96 14 02 00 00 0F AF 55 F0 03 55 D8 0F B7 7D FA 03 D7 8B 86 EC 01 00 00 8B 4D DC E8 ?? ?? ?? ?? 8B 96 14 02 00 00 0F AF 55 F0 03 55 D8 03 D7 0F B7 4D F8 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 5B 10 FF 4D F0 83 7B 10 00 74 12 F6 86 C5 02 00 00 01 75 8A 8B 43 10 83 78 10 00 75 81 8B 45 FC 8B 58 10 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B 40 08 48 3B F8 75 0C 66 8B 45 DC 66 03 45 FA 66 89 45 F8 F6 86 C5 02 00 00 01 0F 95 C0 84 C0 75 06 83 7D EC 01 7E 78 F6 86 C5 02 00 00 01 0F 95 C2 84 C0 75 03 FF 4D EC 8B 86 14 02 00 00 8B 55 EC 4A F7 EA 01 45 D8 0F B7 5D FA 8B D3 03 55 D8 8B 4D DC 8B 45 E8 E8 ?? ?? ?? ?? 0F B7 4D F8 8B D3 03 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8B CB 03 4D DC 8B D3 03 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8B D3 03 55 D8 8B 86 8C 02 00 00 D1 F8 79 03 83 D0 00 03 D0 8B CB 03 4D DC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 8B 40 10 8B 55 F4 8B 08 FF 51 08 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15052_0 {
	meta:
		name = "TCustomOutline.DrawPictures"
		size = 460
		refs = "0037 TBrush.GetColor 004b TBrush.SetColor 0143 Bounds 014e TBitmap.GetTransparentColor 015f TCanvas.BrushCopy"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B 75 08 8D 7D E4 51 B9 04 00 00 00 F3 A5 59 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 8B 83 EC 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 89 45 F8 8B 83 EC 01 00 00 8B 40 14 8B 53 64 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 8B 93 8C 02 00 00 2B C2 D1 F8 79 03 83 D0 00 66 89 45 FE 0F B7 45 FE 03 45 E8 89 45 D8 03 C2 89 45 E0 66 85 FF 0F 82 2C 01 00 00 47 66 89 7D F6 8B 3E 0F B7 45 FE 03 45 E4 48 89 45 D4 03 83 8C 02 00 00 89 45 DC 8B 83 14 02 00 00 01 45 E4 85 FF 0F 84 F3 00 00 00 F6 83 C5 02 00 00 04 0F 85 AC 00 00 00 8B C7 8B 10 FF 52 20 03 45 D8 3B 45 E0 7D 0D 8B C7 8B 10 FF 52 20 03 45 D8 89 45 E0 8B C7 8B 10 FF 52 2C 03 45 D4 3B 45 DC 7D 0D 8B C7 8B 10 FF 52 2C 03 45 D4 89 45 DC 8B 45 E0 2B 45 D8 8B 93 8C 02 00 00 2B D0 D1 FA 79 03 83 D2 00 85 D2 7E 23 8B 93 14 02 00 00 2B D0 D1 FA 79 03 83 D2 00 8B 45 D8 03 55 E8 89 55 D8 8B 55 E0 2B D0 03 55 D8 89 55 E0 8B 45 E0 2B 45 D8 50 8D 45 C4 50 8B 4D DC 2B 4D D4 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 C4 50 8B C7 E8 ?? ?? ?? ?? 50 8D 55 D4 8B CF 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? EB 3A 8B C7 8B 10 FF 52 20 50 8D 45 C4 50 8B C7 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 C4 50 8B C7 E8 ?? ?? ?? ?? 50 8D 55 D4 8B CF 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 83 C6 04 66 FF 4D F6 0F 85 D9 FE FF FF 8B 83 EC 01 00 00 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B 7D B8 8B 75 BC 8B 5D C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15053_0 {
	meta:
		name = "TCustomOutline.DrawText"
		size = 74
		refs = "0024 @LStrLen 002d @LStrToPChar 0039 TCanvas.GetHandle 003f DrawText"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 3C 24 B9 04 00 00 00 F3 A5 8B F2 8B D8 68 24 08 00 00 8D 44 24 04 50 8B 46 08 E8 ?? ?? ?? ?? 50 8B 46 08 E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15054_0 {
	meta:
		name = "TCustomOutline.StoreBitmap"
		size = 19
	strings:
		$1 = { 80 FA 07 77 0A 83 E2 7F 0F A3 90 94 02 00 00 0F 92 C0 C3 }
	condition:
		$1
}

rule function_15055_0 {
	meta:
		name = "TCustomOutline.ClearBitmap"
		size = 21
		refs = "000b TObject.Free"
	strings:
		$1 = { 53 8B DA 83 3B 00 74 0B 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_15056_0 {
	meta:
		name = "TCustomOutline.ChangeBitmap"
		size = 75
		refs = "0030 TCustomOutline.ClearBitmap"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 33 C0 8A C3 8D BC 86 98 02 00 00 8B C3 3C 07 77 0A 83 E0 7F 0F AB 86 94 02 00 00 85 ED 75 0D 8B D7 8B CB 8B C6 E8 ?? ?? ?? ?? EB 09 8B 07 8B D5 8B 08 FF 51 08 8B C6 8B 10 FF 52 78 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15057_0 {
	meta:
		name = "TCustomOutline.SetPicture"
		size = 8
		refs = "0003 TCustomOutline.ChangeBitmap"
	strings:
		$1 = { 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15058_0 {
	meta:
		name = "TCustomOutline.GetPicture"
		size = 38
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 20 01 74 10 8B C6 3C 07 77 0A 83 E0 7F 0F AB 83 94 02 00 00 8B 84 B3 98 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15060_0 {
	meta:
		name = "TCustomOutline.SetItemHeight"
		size = 69
		refs = "0017 TCustomOutline.SetRowHeight 0022 TCustomGrid.SetDefaultRowHeight 0032 MulDiv"
	strings:
		$1 = { 53 8B D8 8B C2 89 83 C0 02 00 00 80 BB C4 02 00 00 01 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 78 6A 64 8B 83 C0 02 00 00 50 E8 ?? ?? ?? ?? 89 83 8C 02 00 00 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_15061_0 {
	meta:
		name = "TCustomOutline.SetStyle"
		size = 24
		refs = "0013 TCustomOutline.SetRowHeight"
	strings:
		$1 = { 3A 90 C4 02 00 00 74 0F 88 90 C4 02 00 00 84 D2 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15062_0 {
	meta:
		name = "TCustomOutline.SetOutlineOptions"
		size = 37
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 83 C5 02 00 00 3A 04 24 74 10 8A 04 24 88 83 C5 02 00 00 8B C3 8B 10 FF 52 78 5A 5B C3 }
	condition:
		$1
}

rule function_15063_0 {
	meta:
		name = "LineStart"
		size = 40
	strings:
		$1 = { 8B CA 2B C8 83 E9 02 85 C9 7E 1C 83 EA 02 EB 01 4A 80 3A 0D 74 04 3B C2 72 F6 3B C2 73 07 42 80 3A 0A 75 01 42 8B C2 C3 }
	condition:
		$1
}

rule function_15064_0 {
	meta:
		name = "GetString"
		size = 49
		refs = "001c @LStrFromPCharLen"
	strings:
		$1 = { 53 56 8B D8 8B F3 EB 01 43 8A 03 2C 0D 74 04 2C 0D 75 F5 8B CB 2B CE 8B C2 8B D6 E8 ?? ?? ?? ?? 80 3B 0D 75 01 43 80 3B 0A 75 01 43 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_15065_0 {
	meta:
		name = "TCustomOutline.LoadFromStream"
		size = 575
		refs = "001b TCustomOutline.LoadFromStream 002b @GetMem 0049 TCustomOutline.Clear 007a Move 00af LineStart 00c2 SOutlineLongLine 00c7 LoadResString 00d2 TCustomOutline.Error 00e4 GetBufStart 00f0 GetString 00fc _DV_TOutlineNode 0101 TOutlineNode.Create 011d TOutlineNode.SetText 0143 SOutlineFileLoad 0189 TOutlineNode.GetList 0191 TList.Add 01af @HandleAnyException 01b7 TObject.Free 01bc @RaiseAgain 01c1 @DoneExcept 01f6 @FreeMem 020d @HandleFinally 0224 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 00 10 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 78 02 00 00 8B 45 F4 05 00 10 00 00 89 45 F0 8B 45 F0 89 45 EC 8B 75 F0 2B 75 EC 85 F6 74 0D 8B 55 F4 8B 45 EC 8B CE E8 ?? ?? ?? ?? 03 75 F4 89 75 EC 8B 4D F0 2B 4D EC 8B 55 EC 8B 45 F8 8B 30 FF 56 04 01 45 EC 8B 45 EC 3B 45 F0 73 08 8B 45 EC C6 00 1A EB 2E 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 3B 45 F4 75 18 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 75 F4 E9 E7 00 00 00 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 77 0B 8B 45 FC 3B 98 78 02 00 00 75 25 8B 45 E0 2B 45 DC 83 F8 01 76 47 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? EB 2D 8B 45 DC 8B 7D E0 2B F8 7F 23 4F 8B 5B 10 85 DB 75 18 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 47 75 DE 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 58 10 8B 5D E8 8B 45 E0 89 45 DC 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 75 EC 73 09 80 3E 1A 0F 85 0B FF FF FF 3B 75 F0 0F 83 8B FE FF FF 80 3E 1A 0F 85 82 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 75 08 8B 45 FC 8B 10 FF 52 0C C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15066_0 {
	meta:
		name = "TCustomOutline.Loaded"
		size = 208
		refs = "0007 TControl.Loaded 0014 TOutlineNode.GetList 0023 TCustomGrid.SetRow 002a TCustomOutline.ResetSelectedItem 0031 TCustomOutline.ResizeGrid 0055 TList.First 005a TOutlineNode.SetGoodIndex 0079 TOutlineNode.FullExpand 00aa TCustomOutline.ChangeBitmap 00b5 TCustomOutline.Loaded 00c2 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E 78 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 89 43 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 78 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C8 02 00 00 F6 46 20 10 74 07 8B C3 E8 ?? ?? ?? ?? 33 DB 8B C3 3C 07 77 0A 83 E0 7F 0F A3 86 95 02 00 00 73 1D 8B C3 3C 07 77 0A 83 E0 7F 0F A3 86 94 02 00 00 72 0B 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 43 80 FB 05 75 CB A0 ?? ?? ?? ?? 88 86 95 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15068_0 {
	meta:
		name = "TCustomOutline.SaveToStream"
		size = 87
		refs = "0010 @GetMem 001b TCustomOutline.SaveToStream 0031 TOutlineNode.WriteNode 0046 @FreeMem 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B8 00 10 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 78 02 00 00 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15069_0 {
	meta:
		name = "TCustomOutline.SetStrings"
		size = 40
		refs = "001b TOutlineNode.FullExpand 0022 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 56 8B F0 8B 86 90 02 00 00 8B 08 FF 51 08 F6 46 20 10 74 0B 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_15070_0 {
	meta:
		name = "TCustomOutline.GetStrings"
		size = 7
	strings:
		$1 = { 8B 80 90 02 00 00 C3 }
	condition:
		$1
}

rule function_15072_0 {
	meta:
		name = "TCustomOutline.Expand"
		size = 31
	strings:
		$1 = { 53 66 83 B8 AE 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 B0 02 00 00 FF 93 AC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15073_0 {
	meta:
		name = "TCustomOutline.Collapse"
		size = 31
	strings:
		$1 = { 53 66 83 B8 B6 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 B8 02 00 00 FF 93 B4 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15076_0 {
	meta:
		name = "EditColor"
		size = 106
		refs = "000e _Dn_TColorDialog 0013 TColorDialog.Create 001e EditColor 0057 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 50 4C 8B 45 F8 8B 10 FF 52 3C 84 C0 74 09 8B 45 F8 8B 40 4C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_15077_0 {
	meta:
		name = "EditChartPen"
		size = 91
		refs = "000c _DV_TPenDialog 0011 TCustomForm.Create 001c EditChartPen 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 F4 02 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15078_0 {
	meta:
		name = "EditPen"
		size = 91
		refs = "000c _DV_TPenDialog 0011 TCustomForm.Create 001c EditPen 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 F4 02 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15079_0 {
	meta:
		name = "TPenDialog.FormShow"
		size = 226
		refs = "0005 Screen 000e TScreen.SetCursor 0015 _Dn_TChartPen 001a TChartPen.Create 0042 @IsClass 0072 TChartPen.SetVisible 0081 TControl.SetVisible 008c TPen.GetWidth 0099 TCustomUpDown.SetPosition 00a4 TPen.GetStyle 00b3 TCustomRadioGroup.SetItemIndex 00d4 TPenDialog.RefreshShape"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 02 00 00 8B 93 F4 02 00 00 8B C6 8B 08 FF 51 08 8B B3 F4 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8A 56 18 8B 83 C4 02 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C4 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 48 0F 94 C2 8B 83 D0 02 00 00 8B 08 FF 51 60 8B C3 E8 ?? ?? ?? ?? C6 83 EC 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15080_0 {
	meta:
		name = "TPenDialog.RGStyleClick"
		size = 24
		refs = "0013 TPen.SetStyle"
	strings:
		$1 = { 8B 90 D0 02 00 00 8A 92 F8 01 00 00 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15081_0 {
	meta:
		name = "TPenDialog.SEWidthChange"
		size = 65
		refs = "0013 TCustomUpDown.GetPosition 0021 TPen.SetWidth 002c TPen.GetWidth"
	strings:
		$1 = { 53 8B D8 80 BB EC 02 00 00 00 75 33 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 48 0F 94 C2 8B 83 D0 02 00 00 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_15082_0 {
	meta:
		name = "TPenDialog.CBVisibleClick"
		size = 32
		refs = "001a TChartPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 C4 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15083_0 {
	meta:
		name = "TPenDialog.BColorClick"
		size = 45
		refs = "000d TPen.GetColor 0016 EditColor 001f TPen.SetColor 0026 TPenDialog.RefreshShape"
	strings:
		$1 = { 53 56 8B D8 8B B3 F4 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15084_0 {
	meta:
		name = "TPenDialog.RefreshShape"
		size = 55
		refs = "001e TPen.GetColor 0031 TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 DC 02 00 00 8A 50 47 8B 83 E0 02 00 00 8B 08 FF 51 60 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 DC 02 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15086_0 {
	meta:
		name = "TPenDialog.Button3Click"
		size = 87
		refs = "001f _Dn_TChartPen 0024 @IsClass 0038 TChartPen.SetVisible"
	strings:
		$1 = { 53 56 8B D8 8B 93 F0 02 00 00 8B 83 F4 02 00 00 8B 08 FF 51 08 8B B3 F4 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 F0 02 00 00 8A 50 18 8B C6 E8 ?? ?? ?? ?? 8B B3 F4 02 00 00 8B D3 8B 46 08 FF 56 04 C7 83 2C 02 00 00 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15087_0 {
	meta:
		name = "TPenDialog.FormClose"
		size = 12
		refs = "0007 TObject.Free"
		altNames = "TPictureEditorDlg.FormDestroy"
	strings:
		$1 = { 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15088_0 {
	meta:
		name = "TPenDialog.FormCreate"
		size = 8
	strings:
		$1 = { C6 80 EC 02 00 00 01 C3 }
	condition:
		$1
}

rule function_15191_0 {
	meta:
		name = "FPenUpX"
		size = 11
	strings:
		$1 = { F6 C4 80 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_15193_0 {
	meta:
		name = "MpAlcB"
		size = 19
	strings:
		$1 = { 66 81 E2 FF 00 0F B7 D2 C1 EA 03 8D 84 10 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_15194_0 {
	meta:
		name = "MpIbf"
		size = 11
	strings:
		$1 = { 8B C8 66 83 E1 07 B0 01 D2 E0 C3 }
	condition:
		$1
}

rule function_15195_0 {
	meta:
		name = "SetAlcBitAnsi"
		size = 25
		refs = "0007 MpAlcB 0010 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 08 06 5E 5B C3 }
	condition:
		$1
}

rule function_15196_0 {
	meta:
		name = "ResetAlcBitAnsi"
		size = 27
		refs = "0007 MpAlcB 0010 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? F6 D0 20 06 5E 5B C3 }
	condition:
		$1
}

rule function_15197_0 {
	meta:
		name = "IsAlcBitAnsi"
		size = 34
		refs = "000b MpAlcB 0015 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8A 00 50 8B C3 E8 ?? ?? ?? ?? 5A 22 D0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_15198_0 {
	meta:
		name = "DrawPenDataFmt"
		size = 29
		refs = "0018 DrawPenDataEx"
	strings:
		$1 = { 6A 00 6A 00 6A 00 68 FF FF 00 00 6A 00 68 FF FF 00 00 6A 00 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15199_0 {
	meta:
		name = "dwDiffAT"
		size = 49
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 44 24 08 2B 04 24 69 C0 E8 03 00 00 8B 54 24 04 03 54 24 0C 2B C2 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_15200_0 {
	meta:
		name = "FLTAbsTime"
		size = 60
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 72 17 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 72 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_15201_0 {
	meta:
		name = "FLTEAbsTime"
		size = 60
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 72 17 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 76 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_15202_0 {
	meta:
		name = "FEQAbsTime"
		size = 51
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 74 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_15203_0 {
	meta:
		name = "FAbsTimeInInterval"
		size = 54
		refs = "0014 FLTEAbsTime"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B DA 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8D 53 08 8B C4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15204_0 {
	meta:
		name = "FIntervalInInterval"
		size = 44
		refs = "000b FLTEAbsTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 56 08 8D 43 08 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_15205_0 {
	meta:
		name = "FIntervalXInterval"
		size = 44
		refs = "000c FLTAbsTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 43 08 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8D 46 08 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_15206_0 {
	meta:
		name = "dwDurInterval"
		size = 9
		refs = "0004 dwDiffAT"
	strings:
		$1 = { 8D 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15207_0 {
	meta:
		name = "MakeAbsTime"
		size = 38
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C1 BF E8 03 00 00 99 F7 FF 03 F0 89 33 8B C1 B9 E8 03 00 00 99 F7 F9 89 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15208_0 {
	meta:
		name = "FIsSpecial"
		size = 18
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15209_0 {
	meta:
		name = "FIsAnsi"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15210_0 {
	meta:
		name = "FIsGesture"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 02 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15211_0 {
	meta:
		name = "FIsKanji"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 03 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15212_0 {
	meta:
		name = "FIsShape"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 04 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15213_0 {
	meta:
		name = "FIsUniCode"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 05 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15214_0 {
	meta:
		name = "FIsVKey"
		size = 19
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 F8 06 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15217_0 {
	meta:
		name = "SyvCharacterToSymbol"
		size = 11
	strings:
		$1 = { 25 FF 00 00 00 0D 00 00 01 00 C3 }
	condition:
		$1
}

rule function_15218_0 {
	meta:
		name = "SyvKanjiToSymbol"
		size = 11
	strings:
		$1 = { 25 FF 00 00 00 0D 00 00 03 00 C3 }
	condition:
		$1
}

rule function_15219_0 {
	meta:
		name = "FIsSelectGesture"
		size = 20
	strings:
		$1 = { 3D C0 FF 02 00 72 07 3D CF FF 02 00 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_15220_0 {
	meta:
		name = "FIsStdGesture"
		size = 110
		refs = "0006 FIsSelectGesture"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5C 81 FB D5 FF 02 00 74 54 81 FB D3 FF 02 00 74 4C 81 FB D8 FF 02 00 74 44 81 FB D9 FF 02 00 74 3C 81 FB DA FF 02 00 74 34 81 FB DB FF 02 00 74 2C 81 FB DC FF 02 00 74 24 81 FB DD FF 02 00 74 1C 81 FB D4 FF 02 00 74 14 81 FB DE FF 02 00 74 0C 81 FB DF FF 02 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_15221_0 {
	meta:
		name = "FIsAnsiGesture"
		size = 34
	strings:
		$1 = { 3D 08 00 02 00 74 18 3D 09 00 02 00 74 11 3D 0D 00 02 00 74 0A 3D 20 00 02 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_15224_0 {
	meta:
		name = "TerminationFromWpLp"
		size = 15
		refs = "0006 HiWord"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 5B C3 }
	condition:
		$1
}

rule function_15230_0 {
	meta:
		name = "TPictureEditorDlg.FormCreate"
		size = 46
		refs = "0010 _Dn_TPicture 0015 TPicture.Create"
	strings:
		$1 = { 53 8B D8 C7 83 44 01 00 00 AE 65 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F0 02 00 00 33 D2 8B 83 E4 02 00 00 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_15232_0 {
	meta:
		name = "TPictureEditorDlg.LoadClick"
		size = 212
		refs = "000d TPictureEditorDlg.LoadClick 0021 SLoadPictureTitle 0026 LoadResString 0043 TOpenDialog.GetFileName 0051 TPicture.LoadFromFile 00c3 @LStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C4 02 00 00 8D 50 64 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 8B 10 FF 52 3C 84 C0 74 79 8D 55 FC 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8B 83 EC 02 00 00 8B 10 FF 52 78 8B 83 F0 02 00 00 8B 70 04 85 F6 74 0B 8B C6 8B 10 FF 52 1C 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 E4 02 00 00 8B 08 FF 51 60 8B 83 F0 02 00 00 8B 70 04 85 F6 74 0B 8B C6 8B 10 FF 52 1C 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 E8 02 00 00 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15233_0 {
	meta:
		name = "TPictureEditorDlg.SaveClick"
		size = 206
		refs = "000f TPictureEditorDlg.SaveClick 002f SSavePictureTitle 0034 LoadResString 0048 TObject.ClassType 0050 GraphicExtension 005b @LStrAsg 0071 GraphicFilter 0091 TOpenDialog.GetFileName 009f TPicture.SaveToFile 00b4 @LStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 02 00 00 83 78 04 00 74 7E 8B 83 C8 02 00 00 8D 50 64 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 C8 02 00 00 8B 83 F0 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 46 68 E8 ?? ?? ?? ?? 8B 83 F0 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 46 54 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 3C 84 C0 74 18 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15234_0 {
	meta:
		name = "TPictureEditorDlg.ImagePaintBoxPaint"
		size = 472
		refs = "0016 TPictureEditorDlg.ImagePaintBoxPaint 002f TBrush.SetColor 0044 TPicture.GetWidth 006c TPicture.GetHeight 00b4 MulDiv 00fd TCanvas.StretchDraw 0154 TCanvas.Draw 0164 srNone 0169 LoadResString 0177 TCanvas.TextHeight 0195 TCanvas.TextWidth 01b0 TCanvas.TextOut 01c5 @LStrClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 8B 57 64 8B 87 14 01 00 00 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C7 8B 08 FF 51 44 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 0A 01 00 00 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8B 7D F4 2B 7D EC 3B C7 7F 19 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 2B 55 F0 3B C2 0F 8E 88 00 00 00 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 7E 26 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 50 57 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 45 F0 89 45 F8 EB 2A 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 F8 2B 45 F0 50 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 45 EC 89 45 F4 8B 83 F0 02 00 00 8B 48 04 8D 55 EC 8B 86 14 01 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 83 F0 02 00 00 8B 40 04 50 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 EC 2B D0 D1 FA 79 03 83 D2 00 03 55 EC 8B 86 14 01 00 00 59 E8 ?? ?? ?? ?? EB 5A 8B 9E 14 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 7D F0 2B D7 2B D0 D1 FA 79 03 83 D2 00 03 D7 52 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 75 EC 2B D6 2B D0 D1 FA 79 03 83 D2 00 03 D6 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15235_0 {
	meta:
		name = "TPictureEditorDlg.ClearClick"
		size = 55
		refs = "000c TPicture.SetGraphic"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8B 83 EC 02 00 00 8B 10 FF 52 78 33 D2 8B 83 E4 02 00 00 8B 08 FF 51 60 33 D2 8B 83 E8 02 00 00 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_15236_0 {
	meta:
		name = "TPictureEditor.Create"
		size = 93
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TPicture 0023 TPicture.Create 002f _DV_TPictureEditorDlg 0034 TCustomForm.Create 003c _Dn_TGraphic 004a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C A1 ?? ?? ?? ?? 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15237_0 {
	meta:
		name = "TPictureEditor.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15238_0 {
	meta:
		name = "TPictureEditor.Execute"
		size = 336
		refs = "000e TPictureEditor.Execute 0041 GraphicExtension 004c @LStrAsg 0057 GraphicFilter 0138 @LStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 2C 8B 80 F0 02 00 00 8B 57 28 8B 08 FF 51 08 8B 47 2C 8B B0 C4 02 00 00 A1 ?? ?? ?? ?? 89 46 50 8D 55 FC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 68 E8 ?? ?? ?? ?? 8D 55 FC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 54 E8 ?? ?? ?? ?? C7 46 2C 78 69 00 00 8B 47 2C 8B B0 C8 02 00 00 A1 ?? ?? ?? ?? 89 46 50 8D 55 FC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 68 E8 ?? ?? ?? ?? 8D 55 FC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 54 E8 ?? ?? ?? ?? C7 46 2C 82 69 00 00 8B 47 28 8B 58 04 85 DB 74 0B 8B C3 8B 10 FF 52 1C 84 C0 74 04 33 D2 EB 02 B2 01 8B 47 2C 8B 80 E4 02 00 00 8B 08 FF 51 60 8B 47 28 8B 58 04 85 DB 74 0B 8B C3 8B 10 FF 52 1C 84 C0 74 04 33 D2 EB 02 B2 01 8B 47 2C 8B 80 E8 02 00 00 8B 08 FF 51 60 8B 47 2C 8B 10 FF 92 CC 00 00 00 48 0F 94 C3 84 DB 74 11 8B 47 2C 8B 90 F0 02 00 00 8B 47 28 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 14 02 00 00 }
	condition:
		$1
}

rule function_15240_0 {
	meta:
		name = "TPictureProperty.Edit"
		size = 113
		refs = "000c _DV_TPictureEditor 0011 TPictureEditor.Create 001c TPictureProperty.Edit 0029 TPropertyEditor.GetOrdValue 0033 TPictureEditor.SetPicture 003b TPictureEditor.Execute 004c TPropertyEditor.SetOrdValue 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 50 28 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15241_0 {
	meta:
		name = "TPictureProperty.GetAttributes"
		size = 12
		refs = "0001 TPictureProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_15245_0 {
	meta:
		name = "TGraphicProperty.GetAttributes"
		size = 12
		refs = "0001 TGraphicProperty.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_15597_0 {
	meta:
		name = "TNMPropEd.GetAttributes"
		size = 12
		refs = "0001 TNMPropEd.GetAttributes"
	strings:
		$1 = { A0 ?? ?? ?? ?? C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_15242_0 {
	meta:
		name = "TPictureProperty.GetValue"
		size = 124
		refs = "0010 TPropertyEditor.GetOrdValue 0020 srNone 0025 LoadResString 002c TPictureProperty.GetValue 0033 @PStrCpy 0041 TObject.ClassName 004f @PStrCat 0064 @LStrFromString"
	strings:
		$1 = { 53 56 57 81 C4 00 FE FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 7B 04 85 FF 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8D 94 24 00 01 00 00 8B 07 E8 ?? ?? ?? ?? 8D 94 24 00 01 00 00 8B C4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5F 5E 5B C3 00 00 01 28 00 00 01 29 00 00 }
	condition:
		$1
}

rule function_15243_0 {
	meta:
		name = "TGraphicProperty.SetValue"
		size = 22
		refs = "000f TPropertyEditor.SetOrdValue"
		altNames = "TPictureProperty.SetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15244_0 {
	meta:
		name = "TGraphicProperty.Edit"
		size = 253
		refs = "0014 TGraphicProperty.Edit 0023 _DV_TPictureEditor 0028 TPictureEditor.Create 0040 TPropertyEditor.GetPropType 0045 GetTypeData 0054 TPropertyEditor.GetOrdValue 0061 TPicture.SetGraphic 0069 TPictureEditor.Execute 0087 @IsClass 0095 TPropertyEditor.SetOrdValue 009f SInvalidFormat 00a4 LoadResString 00ae _Dn_Exception 00b3 Exception.Create 00b8 @RaiseExcept 00cd TObject.Free 00d3 @HandleFinally 00ea @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8B 55 FC 89 42 24 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 FC 8B 78 28 8B 77 04 85 F6 74 11 8B C6 8B 55 FC 8B 52 24 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 57 04 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15246_0 {
	meta:
		name = "TGraphicProperty.GetValue"
		size = 128
		refs = "000f TPropertyEditor.GetOrdValue 0027 srNone 002c LoadResString 0033 TGraphicProperty.GetValue 003a @PStrCpy 0048 TObject.ClassName 0056 @PStrCat 006b @LStrFromString"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 8B 10 FF 52 1C 84 C0 74 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8D 94 24 00 01 00 00 8B 03 E8 ?? ?? ?? ?? 8D 94 24 00 01 00 00 8B C4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5E 5B C3 01 28 00 00 01 29 00 00 }
	condition:
		$1
}

rule function_15248_0 {
	meta:
		name = "TGraphicEditor.EditProperty"
		size = 148
		refs = "000f TGraphicEditor.EditProperty 002c CompareText 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 18 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 11 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0A 8B C3 8B 10 FF 52 0C C6 06 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 00 FF FF FF FF 07 00 00 00 50 49 43 54 55 52 45 00 FF FF FF FF 05 00 00 00 49 4D 41 47 45 00 00 00 }
	condition:
		$1
}

rule function_15252_0 {
	meta:
		name = "TPieSeriesEditor.FormShow"
		size = 384
		refs = "000d TPieSeriesEditor.FormShow 0018 Screen 0021 TScreen.SetCursor 007c TCustomUpDown.SetPosition 00ff TControl.SetText 0111 FloatToStr 012f TCustomComboBox.SetItemIndex 016f @LStrClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 89 83 38 03 00 00 8B F0 8A 96 E0 00 00 00 8B 83 C4 02 00 00 8B 08 FF 91 BC 00 00 00 8B 46 54 85 C0 74 16 8A 90 4C 02 00 00 8B 83 C8 02 00 00 8B 08 FF 91 BC 00 00 00 EB 0D 33 D2 8B 83 C8 02 00 00 8B 08 FF 51 60 66 8B 96 2C 01 00 00 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 66 8B 96 E4 00 00 00 8B 83 30 03 00 00 E8 ?? ?? ?? ?? 8A 96 24 01 00 00 8B 83 FC 02 00 00 8B 08 FF 91 BC 00 00 00 8A 96 38 01 00 00 8B 83 D8 02 00 00 8B 08 FF 91 BC 00 00 00 8A 96 38 01 00 00 8B 83 DC 02 00 00 8B 08 FF 51 60 66 8B 96 E8 00 00 00 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 66 8B 96 EC 00 00 00 8B 83 24 03 00 00 E8 ?? ?? ?? ?? 8B B6 34 01 00 00 8B 56 08 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? DD 46 0C 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 33 D2 8A 56 04 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 80 7E 04 00 0F 95 C2 8B 83 1C 03 00 00 8B 08 FF 51 60 80 7E 04 00 0F 95 C2 8B 83 14 03 00 00 8B 08 FF 51 60 C6 83 34 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15253_0 {
	meta:
		name = "TPieSeriesEditor.CBCircledClick"
		size = 32
		refs = "001a TCircledSeries.SetCircled"
	strings:
		$1 = { 53 8B D8 8B 83 C4 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15254_0 {
	meta:
		name = "TPieSeriesEditor.CB3DClick"
		size = 43
		refs = "0024 TCustomTeePanel.SetView3D"
	strings:
		$1 = { 53 56 8B D8 8B 83 38 03 00 00 8B 70 54 85 F6 74 17 8B 83 C8 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15255_0 {
	meta:
		name = "TPieSeriesEditor.SERotationChange"
		size = 39
		refs = "0013 TCustomUpDown.GetPosition 0021 TCircledSeries.SetRotationAngle"
	strings:
		$1 = { 53 8B D8 80 BB 34 03 00 00 00 75 19 8B 83 30 03 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15256_0 {
	meta:
		name = "TPieSeriesEditor.BPiePenClick"
		size = 18
		refs = "000d EditChartPen"
	strings:
		$1 = { 8B 90 38 03 00 00 8B 92 30 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15257_0 {
	meta:
		name = "TPieSeriesEditor.CBDark3dClick"
		size = 41
		refs = "0023 TPieSeries.SetDark3d"
	strings:
		$1 = { 53 8B D8 80 BB 34 03 00 00 00 75 1B 8B 83 FC 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15258_0 {
	meta:
		name = "TPieSeriesEditor.SEXRadiusChange"
		size = 70
		refs = "0013 TCustomUpDown.GetPosition 0021 TCircledSeries.SetCustomXRadius"
	strings:
		$1 = { 53 8B D8 80 BB 34 03 00 00 00 75 38 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C2 8B 83 EC 02 00 00 8B 08 FF 91 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_15259_0 {
	meta:
		name = "TPieSeriesEditor.SEYRadiusChange"
		size = 70
		refs = "0013 TCustomUpDown.GetPosition 0021 TCircledSeries.SetCustomYRadius"
	strings:
		$1 = { 53 8B D8 80 BB 34 03 00 00 00 75 38 8B 83 24 03 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 8B 83 24 03 00 00 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C2 8B 83 F8 02 00 00 8B 08 FF 91 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_15260_0 {
	meta:
		name = "TPieSeriesEditor.CBPatternsClick"
		size = 55
		refs = "001a TPieSeries.SetUsePatterns"
	strings:
		$1 = { 53 8B D8 8B 83 D8 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 8B 83 38 03 00 00 8A 90 38 01 00 00 8B 83 DC 02 00 00 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_15261_0 {
	meta:
		name = "TPieSeriesEditor.BBackPieColorClick"
		size = 35
		refs = "0013 EditColor 001c TCircledSeries.SetCircleBackColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 38 03 00 00 8B 96 F8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15262_0 {
	meta:
		name = "TPieSeriesEditor.CBAutoXRClick"
		size = 36
		refs = "001e TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 83 EC 02 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 0D 33 D2 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15263_0 {
	meta:
		name = "TPieSeriesEditor.CBAutoYRClick"
		size = 36
		refs = "001e TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 83 F8 02 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 0D 33 D2 8B 83 24 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15264_0 {
	meta:
		name = "TPieSeriesEditor.CBOtherChange"
		size = 75
		refs = "0017 TCustomComboBox.GetItemIndex 0020 TPieOtherSlice.SetStyle"
	strings:
		$1 = { 53 56 8B D8 8B 83 38 03 00 00 8B B0 34 01 00 00 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 80 7E 04 00 0F 95 C2 8B 83 1C 03 00 00 8B 08 FF 51 60 80 7E 04 00 0F 95 C2 8B 83 14 03 00 00 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_15265_0 {
	meta:
		name = "TPieSeriesEditor.EOtherValueChange"
		size = 121
		refs = "000c TPieSeriesEditor.EOtherValueChange 0020 TControl.GetText 003c StrToFloat 0054 TPieOtherSlice.SetValue 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 2E 8D 55 FC 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 38 03 00 00 8B 80 34 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15266_0 {
	meta:
		name = "TPieSeriesEditor.EOtherLabelChange"
		size = 89
		refs = "000c TPieSeriesEditor.EOtherLabelChange 0020 TControl.GetText 0034 TPieOtherSlice.SetText 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 38 03 00 00 8B 80 34 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15267_0 {
	meta:
		name = "TPieSeriesEditor.SEExpBigChange"
		size = 39
		refs = "0013 TCustomUpDown.GetPosition 0021 TPieSeries.SetExplodeBiggest"
	strings:
		$1 = { 53 8B D8 80 BB 34 03 00 00 00 75 19 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 0F BF D0 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15268_0 {
	meta:
		name = "TPieSeriesEditor.FormCreate"
		size = 8
	strings:
		$1 = { C6 80 34 03 00 00 01 C3 }
	condition:
		$1
}

rule function_15271_0 {
	meta:
		name = "FetchStr"
		size = 49
	strings:
		$1 = { 56 8B 30 83 38 00 74 25 8B 10 EB 01 42 80 3A 20 74 FA 8B F2 EB 01 42 8A 0A 84 C9 74 05 80 F9 2C 75 F4 80 3A 2C 75 04 C6 02 00 42 89 10 8B C6 5E C3 }
	condition:
		$1
}

rule function_15273_0 {
	meta:
		name = "AbortProc"
		size = 33
		refs = "0004 Application 000b TApplication.ProcessMessages 0010 FPrinter"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8A 40 1D 34 01 F6 D8 1B C0 5D C2 08 00 }
	condition:
		$1
}

rule function_15274_0 {
	meta:
		name = "NewPage"
		size = 20
		refs = "000a FPrinter 000f TPrinter.NewPage"
	strings:
		$1 = { 33 D2 89 10 33 D2 89 50 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15275_0 {
	meta:
		name = "CharHeight"
		size = 39
		refs = "000b FPrinter 0010 TPrinter.GetCanvas 0015 TCanvas.GetHandle 001b GetTextMetrics"
	strings:
		$1 = { 55 8B EC 83 C4 C8 8D 45 C8 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule function_15276_0 {
	meta:
		name = "NewLine"
		size = 59
		refs = "000f CharHeight 0030 NewPage"
	strings:
		$1 = { 53 8B D8 33 C0 89 03 8B 43 10 85 C0 75 0D E8 ?? ?? ?? ?? 0F B7 C0 01 43 04 EB 03 01 43 04 8B 43 0C 8B 53 10 03 D2 2B C2 3B 43 04 7D 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_15277_0 {
	meta:
		name = "PrnOutStr"
		size = 192
		refs = "000f FPrinter 0014 TPrinter.GetCanvas 0031 TCanvas.GetHandle 0037 GetTextExtentPoint 0042 CharPrev 0090 TextOut 00a2 NewLine"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B F2 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 83 3C 24 00 0F 8E 94 00 00 00 8B 1C 24 8D 44 24 04 50 53 56 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 21 03 DE 53 56 E8 ?? ?? ?? ?? 2B C6 8B D8 8D 44 24 04 50 53 56 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 DB 7E 0B 8B 07 03 44 24 04 3B 47 08 7F D0 8B 57 10 8B 44 24 08 3B D0 7D 06 83 C0 02 89 47 10 53 56 8B 47 04 50 8B 07 50 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 29 1C 24 03 F3 83 3C 24 00 7E 09 8B C7 E8 ?? ?? ?? ?? EB 06 8B 44 24 04 01 07 83 3C 24 00 0F 8F 6C FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15278_0 {
	meta:
		name = "Flush"
		size = 67
		refs = "001f PrnOutStr"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 48 FC 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 40 8B 55 08 01 42 F4 8B 55 08 8B 55 08 29 42 F0 8B 45 08 33 D2 89 50 FC 5D C3 }
	condition:
		$1
}

rule function_15279_0 {
	meta:
		name = "AvgCharWidth"
		size = 39
		refs = "000b FPrinter 0010 TPrinter.GetCanvas 0015 TCanvas.GetHandle 001b GetTextMetrics"
	strings:
		$1 = { 55 8B EC 83 C4 C8 8D 45 C8 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule function_15280_0 {
	meta:
		name = "PrnString"
		size = 192
		refs = "003e Flush 0044 AvgCharWidth 0074 NewLine 009f NewPage"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F0 89 55 F4 89 45 F8 33 C0 89 45 FC 8B 45 FC 3B 45 F0 0F 8D 93 00 00 00 8B 45 F4 8B 55 FC 8A 04 10 2C 09 74 0E FE C8 74 51 2C 02 74 5E FE C8 74 40 EB 69 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B C8 C1 E1 03 8B 45 F8 8B 00 0F B7 D9 03 C3 40 99 F7 FB 2B DA 43 8B 45 F8 01 18 8B 45 F8 8B 00 8B 55 F8 3B 42 08 7E 38 8B 45 F8 E8 ?? ?? ?? ?? EB 2E 55 E8 ?? ?? ?? ?? 59 EB 25 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? EB 14 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? EB 03 FF 45 FC 8B 45 FC 3B 45 F0 0F 8C 6D FF FF FF 55 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15281_0 {
	meta:
		name = "PrnInput"
		size = 13
	strings:
		$1 = { 33 D2 89 50 0C 33 D2 89 50 10 33 C0 C3 }
	condition:
		$1
}

rule function_15282_0 {
	meta:
		name = "PrnOutput"
		size = 26
		refs = "000d PrnString"
	strings:
		$1 = { 53 8B D8 8B 4B 0C 8B 53 14 8D 43 28 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 C0 5B C3 }
	condition:
		$1
}

rule function_15284_0 {
	meta:
		name = "PrnClose"
		size = 13
		refs = "0001 FPrinter 0006 TPrinter.EndDoc"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_15285_0 {
	meta:
		name = "PrnOpen"
		size = 118
		refs = "000f PrnInput 0016 PrnIgnore 002d PrnOutput 003b PrnClose 0040 FPrinter 0045 TPrinter.BeginDoc 0059 TPrinter.GetPageWidth 0066 TPrinter.GetPageHeight"
	strings:
		$1 = { 53 8B D8 81 7B 04 B1 D7 00 00 75 17 C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? EB 4F C7 43 04 B2 D7 00 00 C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 28 33 C0 89 43 2C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 33 C0 89 43 38 33 C0 5B C3 }
	condition:
		$1
}

rule function_15286_0 {
	meta:
		name = "AssignPrn"
		size = 54
		refs = "0004 Printer 0012 @FillChar 0030 PrnOpen"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 33 C9 BA CC 01 00 00 E8 ?? ?? ?? ?? C7 43 04 B0 D7 00 00 C7 43 08 80 00 00 00 8D 83 4C 01 00 00 89 43 14 C7 43 18 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15287_0 {
	meta:
		name = "TPrinterDevice.Create"
		size = 95
		refs = "000e @ClassCreate 001d TObject.Create 0027 @LStrFromPChar 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 0C E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15288_0 {
	meta:
		name = "TPrinterDevice.IsEqual"
		size = 124
		refs = "000f TPrinterDevice.IsEqual 001f @LStrFromPChar 002a @LStrCmp 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 75 1E 83 7B 0C 00 74 1C 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15290_0 {
	meta:
		name = "TPrinterCanvas.CreateHandle"
		size = 35
		refs = "0009 TPrinter.SetState 0010 TPrinterCanvas.UpdateFont 001d TCanvas.SetHandle"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 54 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 54 8B 50 20 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15291_0 {
	meta:
		name = "TPrinterCanvas.Changing"
		size = 29
		refs = "0009 TPrinter.CheckPrinting 0010 TCanvas.Changing 0017 TPrinterCanvas.UpdateFont"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 54 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15292_0 {
	meta:
		name = "TPrinterCanvas.UpdateFont"
		size = 69
		refs = "000f GetDeviceCaps 001e TFont.GetSize 003d TFont.SetSize"
	strings:
		$1 = { 53 56 57 8B D8 6A 5A 8B 43 54 8B 40 20 50 E8 ?? ?? ?? ?? 8B 73 0C 3B 46 18 74 26 8B C6 E8 ?? ?? ?? ?? 8B F0 6A 5A 8B 43 54 8B 40 20 50 E8 ?? ?? ?? ?? 8B 7B 0C 89 47 18 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15293_0 {
	meta:
		name = "TPrinter.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15294_0 {
	meta:
		name = "TPrinter.Destroy"
		size = 121
		refs = "0003 @BeforeDestruction 0014 TPrinter.EndDoc 001d TPrinter.SetState 0024 TPrinter.FreePrinters 002b TPrinter.FreeFonts 0033 TObject.Free 0040 ClosePrinter 004d GlobalUnlock 0056 GlobalFree 0067 TObject.Destroy 0072 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 1C 00 74 07 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 28 85 C0 74 14 50 E8 ?? ?? ?? ?? 8B 46 28 50 E8 ?? ?? ?? ?? 33 C0 89 46 28 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15295_0 {
	meta:
		name = "TPrinter.SetState"
		size = 300
		refs = "0016 TPrinter.SetState 0041 TPrinter.CheckPrinting 004f TCanvas.SetHandle 0058 DeleteDC 006c CreateIC 008e CreateDC 0099 TPrinter.GetPrinterIndex 00a1 TPrinter.GetPrinters 00b9 @LStrToPChar 00e5 SInvalidPrinter 00ea LoadResString 00f2 RaiseError 0119 @LStrClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 46 1F 3A D8 0F 84 DD 00 00 00 33 FF 8B D3 80 EA 01 72 08 74 2D FE CA 74 38 EB 56 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B 46 20 50 E8 ?? ?? ?? ?? 33 C0 89 46 20 EB 2F 3C 02 0F 84 9D 00 00 00 BF ?? ?? ?? ?? EB 20 8B 46 04 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B 46 20 85 C0 74 06 50 E8 ?? ?? ?? ?? BF ?? ?? ?? ?? 85 FF 74 6F 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 89 45 FC 8B 46 24 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 FF D7 89 46 20 83 7E 20 00 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 08 8B 56 20 E8 ?? ?? ?? ?? 88 5E 1F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15296_0 {
	meta:
		name = "TPrinter.CheckPrinting"
		size = 104
		refs = "0009 TPrinter.CheckPrinting 0020 SNotPrinting 0025 LoadResString 002d RaiseError 0037 SPrinting 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3A 50 1C 74 30 84 D2 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_15297_0 {
	meta:
		name = "TPrinter.Abort"
		size = 43
		refs = "0008 TPrinter.CheckPrinting 000f TPrinter.GetCanvas 0014 TCanvas.GetHandle 001a AbortDoc 0025 TPrinter.EndDoc"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 1D 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15298_0 {
	meta:
		name = "TPrinter.BeginDoc"
		size = 156
		refs = "000b TPrinter.CheckPrinting 0014 TPrinter.SetState 001b TPrinter.GetCanvas 0020 TCanvas.Refresh 002c TPrinterCanvas.UpdateFont 004a StrPLCopy 005a @FillChar 0073 AbortProc 007c SetAbortProc 008a StartDoc 0093 StartPage"
	strings:
		$1 = { 53 83 C4 CC 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 1C 01 C6 43 1D 00 C7 43 0C 01 00 00 00 8B C4 B9 1F 00 00 00 8B 53 18 E8 ?? ?? ?? ?? 8D 44 24 20 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? C7 44 24 20 14 00 00 00 8B C4 89 44 24 24 33 C0 89 44 24 28 68 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 8D 44 24 20 50 8B 43 20 50 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 83 C4 34 5B C3 }
	condition:
		$1
}

rule function_15299_0 {
	meta:
		name = "TPrinter.EndDoc"
		size = 51
		refs = "0008 TPrinter.CheckPrinting 0011 EndPage 0020 EndDoc"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 80 7B 1D 00 75 09 8B 43 20 50 E8 ?? ?? ?? ?? C6 43 1C 00 C6 43 1D 00 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_15300_0 {
	meta:
		name = "TPrinter.NewPage"
		size = 47
		refs = "0008 TPrinter.CheckPrinting 0011 EndPage 001a StartPage 0024 TPrinter.GetCanvas 0029 TCanvas.Refresh"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? FF 43 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15301_0 {
	meta:
		name = "TPrinter.GetPrinter"
		size = 106
		refs = "0011 TPrinter.GetPrinterIndex 0019 TPrinter.GetPrinters 0029 @LStrToPChar 0032 StrCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D0 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 8B 53 28 89 10 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15302_0 {
	meta:
		name = "TPrinter.SetPrinterCapabilities"
		size = 60
		refs = "0007 TPrinter.SetPrinterCapabilities"
	strings:
		$1 = { 53 56 8B F2 8B D8 A0 ?? ?? ?? ?? 88 43 1E F7 C6 01 00 00 00 74 04 80 4B 1E 02 F7 C6 00 01 00 00 74 04 80 4B 1E 01 F7 C6 00 80 00 00 74 04 80 4B 1E 04 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15303_0 {
	meta:
		name = "TPrinter.SetPrinter"
		size = 562
		refs = "0029 TPrinter.SetPrinter 0038 TPrinter.CheckPrinting 0049 GlobalUnlock 0052 GlobalFree 0062 GlobalLock 0071 TPrinter.SetPrinterCapabilities 0078 TPrinter.FreeFonts 0085 ClosePrinter 0093 TPrinter.SetState 00a1 TPrinter.GetPrinters 00cf TPrinterDevice.IsEqual 00ff _DV_TPrinterDevice 0104 TPrinterDevice.Create 0117 SDeviceOnPort 011c LoadResString 0152 Format 0176 OpenPrinter 01a3 DocumentProperties 01ab GlobalAlloc 021d @LStrArrayClr 0223 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 3C FF FF FF 53 56 57 33 DB 89 9D 50 FF FF FF 89 9D 4C FF FF FF 89 4D F8 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 28 3B F0 74 16 85 C0 74 0F 50 E8 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 89 73 28 8B 73 28 85 F6 74 15 56 E8 ?? ?? ?? ?? 8B F8 89 7B 24 8B 57 28 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 43 2C 33 D2 8B C3 E8 ?? ?? ?? ?? C7 45 F4 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 10 FF 52 14 8B F8 4F 85 FF 7C 29 47 33 F6 8B 45 0C 50 8B D6 8B 45 F0 8B 08 FF 51 18 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 05 89 75 F4 EB 04 46 4F 75 DA 83 7D F4 FF 75 7F 8B 43 10 8B 10 FF 52 14 89 45 F4 8B 45 FC 50 8B 45 0C 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 85 50 FF FF FF 50 8D 95 4C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 8B 55 FC 89 95 3C FF FF FF C6 85 40 FF FF FF 06 8B 55 0C 89 95 44 FF FF FF C6 85 48 FF FF FF 06 8D 95 3C FF FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B 43 10 59 8B 30 FF 56 38 8B 45 F4 89 43 14 6A 00 8D 43 2C 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 0F 84 82 00 00 00 83 7B 28 00 75 69 6A 00 8D 85 54 FF FF FF 50 8D 85 54 FF FF FF 50 8B 45 FC 50 8B 43 2C 50 6A 00 E8 ?? ?? ?? ?? 50 6A 42 E8 ?? ?? ?? ?? 8B F0 89 73 28 85 F6 74 39 56 E8 ?? ?? ?? ?? 8B F8 89 7B 24 6A 02 57 57 8B 45 FC 50 8B 43 2C 50 6A 00 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 43 28 50 E8 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 33 C0 89 43 28 83 7B 28 00 74 0D 8B 43 24 8B 50 28 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15304_0 {
	meta:
		name = "TPrinter.GetCanvas"
		size = 31
		refs = "000e _DV_TPrinterCanvas 0013 TPrinterCanvas.Create"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_15305_0 {
	meta:
		name = "EnumFontsProc"
		size = 92
		refs = "000a EnumFontsProc 0023 @LStrFromArray 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 83 C2 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 8B 08 FF 51 34 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_16172_0 {
	meta:
		name = "QREnumFontsProc"
		size = 92
		refs = "000a QREnumFontsProc 0023 @LStrFromArray 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 83 C2 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 8B 08 FF 51 34 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15306_0 {
	meta:
		name = "TPrinter.GetFonts"
		size = 143
		refs = "0017 TPrinter.GetFonts 0027 TPrinter.SetState 002e _Dn_TStringList 0033 TObject.Create 0045 EnumFontsProc 0053 EnumFonts 0062 @HandleAnyException 006d TObject.Free 007a @RaiseAgain 007f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 83 78 08 00 75 70 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8B 45 FC 8B 40 08 50 68 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 20 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15307_0 {
	meta:
		name = "TPrinter.GetHandle"
		size = 17
		refs = "0008 TPrinter.SetState"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_15308_0 {
	meta:
		name = "TPrinter.GetNumCopies"
		size = 100
		refs = "000c TPrinter.GetNumCopies 0019 TPrinter.GetPrinterIndex 0027 SInvalidPrinterOp 002c LoadResString 0034 RaiseError 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 28 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 24 0F BF 40 36 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_15309_0 {
	meta:
		name = "TPrinter.SetNumCopies"
		size = 118
		refs = "000f TPrinter.SetNumCopies 001e TPrinter.CheckPrinting 0025 TPrinter.GetPrinterIndex 0033 SInvalidPrinterOp 0038 LoadResString 0040 RaiseError 0049 TPrinter.SetState 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 28 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 24 66 89 70 36 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15310_0 {
	meta:
		name = "TPrinter.GetOrientation"
		size = 107
		refs = "000c TPrinter.GetOrientation 0019 TPrinter.GetPrinterIndex 0027 SInvalidPrinterOp 002c LoadResString 0034 RaiseError 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 28 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 24 66 83 78 2C 01 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_15311_0 {
	meta:
		name = "TPrinter.SetOrientation"
		size = 130
		refs = "000f TPrinter.SetOrientation 001e TPrinter.CheckPrinting 0025 TPrinter.GetPrinterIndex 0033 SInvalidPrinterOp 0038 LoadResString 0040 RaiseError 0049 TPrinter.SetState 0055 Orientations 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7E 28 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 66 8B 04 85 ?? ?? ?? ?? 8B 56 24 66 89 42 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15312_0 {
	meta:
		name = "TPrinter.GetPageHeight"
		size = 25
		refs = "0008 TPrinter.SetState 0013 GetDeviceCaps"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 0A 8B 43 20 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15313_0 {
	meta:
		name = "TPrinter.GetPageWidth"
		size = 25
		refs = "0008 TPrinter.SetState 0013 GetDeviceCaps"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 08 8B 43 20 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15314_0 {
	meta:
		name = "TPrinter.GetPrinterIndex"
		size = 21
		refs = "000c TPrinter.SetToDefaultPrinter"
	strings:
		$1 = { 53 8B D8 83 7B 14 FF 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_15315_0 {
	meta:
		name = "TPrinter.SetPrinterIndex"
		size = 152
		refs = "000f TPrinter.SetPrinterIndex 001e TPrinter.CheckPrinting 002a TPrinter.GetPrinterIndex 0034 TPrinter.SetToDefaultPrinter 0041 TPrinter.GetPrinters 0052 SPrinterIndexError 0057 LoadResString 005f RaiseError 0069 TPrinter.FreeFonts 0072 TPrinter.SetState 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 83 FE FF 74 0A 8B C3 E8 ?? ?? ?? ?? 40 75 09 8B C3 E8 ?? ?? ?? ?? EB 29 85 F6 7C 10 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B F0 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 73 14 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15316_0 {
	meta:
		name = "TPrinter.GetPrinters"
		size = 572
		refs = "0018 TPrinter.GetPrinters 0032 _Dn_TStringList 0037 TObject.Create 0054 Win32Platform 0087 EnumPrinters 00a2 @GetMem 00d9 @TryFinallyExit 0112 _DV_TPrinterDevice 0117 TPrinterDevice.Create 0122 @LStrFromPChar 0148 FetchStr 016b SDeviceOnPort 0170 LoadResString 0190 Format 01d3 @FreeMem 01d9 @HandleFinally 01ea @HandleAnyException 01f5 TObject.Free 0202 @RaiseAgain 0207 @DoneExcept 0227 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 E0 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 10 00 0F 85 DC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 10 8B FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 83 38 02 75 09 BE 06 00 00 00 B3 04 EB 07 BE 02 00 00 00 B3 05 33 C0 89 45 EC 8D 45 E8 50 8D 45 EC 50 6A 00 6A 00 33 C0 8A C3 50 6A 00 56 E8 ?? ?? ?? ?? 83 7D EC 00 75 0D 33 C0 5A 59 59 64 89 10 E9 73 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E8 50 8D 45 EC 50 8B 45 EC 50 8B 45 F4 50 33 C0 8A C3 50 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 27 01 00 00 8B 45 F4 89 45 F0 8B 45 E8 48 85 C0 0F 8C C3 00 00 00 40 89 45 E4 80 FB 04 75 36 8B 75 F0 8B 3E 57 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 E0 8B D7 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 40 10 59 8B 30 FF 56 38 83 45 F0 0C EB 7B 8B 75 F0 8B 46 04 89 45 F8 8D 45 F8 E8 ?? ?? ?? ?? 8B F8 EB 5D 8B 06 50 57 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 16 89 55 CC C6 45 D0 06 89 7D D4 C6 45 D8 06 8D 55 CC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 40 10 59 8B 38 FF 57 38 8D 45 F8 E8 ?? ?? ?? ?? 8B F8 80 3F 00 75 9E 83 45 F0 14 FF 4D E4 0F 85 41 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 78 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15317_0 {
	meta:
		name = "TPrinter.SetToDefaultPrinter"
		size = 424
		refs = "0015 TPrinter.SetToDefaultPrinter 003c EnumPrinters 0045 GetLastError 004f RaiseLastWin32Error 0057 AllocMem 00ad GetProfileString 00bb FetchStr 00c6 TPrinter.GetPrinters 00f1 @LStrFromPChar 00fa @LStrCmp 010f @LStrToPChar 012e TPrinter.SetPrinter 0133 @TryFinallyExit 014e @FreeMem 0154 @HandleFinally 015e SNoDefaultPrinter 0163 LoadResString 016b RaiseError 0180 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 D2 89 55 94 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 C0 89 45 F4 8D 45 F4 50 8D 45 F8 50 6A 00 6A 00 6A 05 6A 00 6A 01 E8 ?? ?? ?? ?? 85 C0 75 0F E8 ?? ?? ?? ?? 83 F8 7A 74 05 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F8 50 8B 45 F8 50 8B 45 E8 50 6A 05 6A 00 6A 01 E8 ?? ?? ?? ?? 83 7D F4 00 76 0A 8B 45 E8 8B 00 89 45 EC EB 2B 6A 4F 8D 45 98 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 89 45 F0 8D 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 63 46 33 DB 8B D3 8B C7 8B 08 FF 51 18 8B 40 08 50 8D 45 94 8B 55 EC E8 ?? ?? ?? ?? 8B 55 94 58 E8 ?? ?? ?? ?? 75 39 8B D3 8B C7 8B 08 FF 51 18 8B D8 8B 43 0C E8 ?? ?? ?? ?? 50 6A 00 8B 43 04 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 43 4E 75 A0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 64 65 76 69 63 65 00 00 77 69 6E 64 6F 77 73 00 }
	condition:
		$1
}

rule function_15318_0 {
	meta:
		name = "TPrinter.FreePrinters"
		size = 65
		refs = "0028 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 10 85 F6 74 31 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B D7 8B 43 10 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15319_0 {
	meta:
		name = "TPrinter.FreeFonts"
		size = 18
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_15324_0 {
	meta:
		name = "_NF__275"
		size = 260
		refs = "0007 TProviderObject.Get_Data 0011 TProviderObject.ApplyUpdates 001b TProviderObject.GetMetaData 0025 TProviderObject.GetRecords 002f TProviderObject.DataRequest 0039 TProviderObject.Get_Constraints 0043 TProviderObject.Set_Constraints 004d TProviderObject.Reset 0057 TProviderObject.SetParams 0061 TAutoIntfObject.GetTypeInfoCount 006b TAutoIntfObject.GetTypeInfo 0075 TAutoIntfObject.GetIDsOfNames 007f TAutoIntfObject.Invoke 0089 TInterfacedObject.QueryInterface 0093 TInterfacedObject._AddRef 009d TInterfacedObject._Release 00a4 _NF__275"
	strings:
		$1 = { CC 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? 83 44 24 04 D0 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A ?? ?? ?? ?? 30 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15330_0 {
	meta:
		name = "_NF__2C6"
		size = 232
	strings:
		$1 = { FF FF FF FF 09 00 00 00 41 6C 69 67 6E 6D 65 6E 74 00 00 00 FF FF FF FF 0C 00 00 00 44 69 73 70 6C 61 79 4C 61 62 65 6C 00 00 00 00 FF FF FF FF 0C 00 00 00 44 69 73 70 6C 61 79 57 69 64 74 68 00 00 00 00 FF FF FF FF 07 00 00 00 56 69 73 69 62 6C 65 00 FF FF FF FF 08 00 00 00 45 64 69 74 4D 61 73 6B 00 00 00 00 FF FF FF FF 0D 00 00 00 44 69 73 70 6C 61 79 46 6F 72 6D 61 74 00 00 00 FF FF FF FF 0A 00 00 00 45 64 69 74 46 6F 72 6D 61 74 00 00 FF FF FF FF 08 00 00 00 4D 69 6E 56 61 6C 75 65 00 00 00 00 FF FF FF FF 08 00 00 00 4D 61 78 56 61 6C 75 65 00 00 00 00 FF FF FF FF 08 00 00 00 63 75 72 72 65 6E 63 79 00 00 00 00 FF FF FF FF 0D 00 00 00 44 69 73 70 6C 61 79 56 61 6C 75 65 73 00 00 00 }
	condition:
		$1
}

rule function_15331_0 {
	meta:
		name = "GetObjectProperty"
		size = 55
		refs = "000c TObject.ClassInfo 0013 GetPropInfo 002b GetOrdProp"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 FF 8B 06 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 14 8B 03 8B 00 80 38 07 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15332_0 {
	meta:
		name = "GetStringProperty"
		size = 67
		refs = "000c @LStrClr 0013 TObject.ClassInfo 001a GetPropInfo 003b GetStrProp"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1B 8B 03 8B 00 8A 00 2C 05 74 06 04 FB 2C 02 73 0B 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15333_0 {
	meta:
		name = "TProviderObject.Create"
		size = 188
		refs = "0015 @ClassCreate 0024 TProviderObject.Create 0032 @IntfClear 003e LIBID_StdVCL 0044 LoadRegTypeLib 0049 OleCheck 005a TAutoIntfObject.Create 006a TCustomProvider.AddProvider 0085 @HandleFinally 0094 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 04 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 2C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 00 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_15334_0 {
	meta:
		name = "TProviderObject.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0015 TCustomProvider.RemoveProvider 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15335_0 {
	meta:
		name = "TProviderObject.CheckProvider"
		size = 90
		refs = "0009 TProviderObject.CheckProvider 001d SProviderInvalid 0022 LoadResString 002c _Dn_EOleError 0031 Exception.Create 0036 @RaiseExcept 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 2C 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_15336_0 {
	meta:
		name = "TProviderObject.ApplyUpdates"
		size = 119
		refs = "000d @VarAddRef 002d TProviderObject.ApplyUpdates 003a TProviderObject.CheckProvider 0062 @HandleAutoException 006a @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 24 8B 55 24 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 20 50 8B 45 24 50 8D 55 0C 8B 4D 1C 8B 43 2C 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_15337_0 {
	meta:
		name = "TProviderObject.Get_Data"
		size = 92
		refs = "0025 TProviderObject.Get_Data 0032 TProviderObject.CheckProvider 004f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8B 43 2C 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15338_0 {
	meta:
		name = "TProviderObject.GetMetaData"
		size = 92
		refs = "0025 TProviderObject.GetMetaData 0032 TProviderObject.CheckProvider 004f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8B 43 2C 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15339_0 {
	meta:
		name = "TProviderObject.GetRecords"
		size = 99
		refs = "0025 TProviderObject.GetRecords 0032 TProviderObject.CheckProvider 0056 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 8B 55 0C 8B 43 2C 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_15340_0 {
	meta:
		name = "TProviderObject.DataRequest"
		size = 406
		refs = "0019 @VarAddRef 0039 TProviderObject.DataRequest 0046 TProviderObject.CheckProvider 004e VarIsArray 0063 VarArrayHighBound 007b @VarArrayGet 0086 VarType 00d9 @VarFromInt 00e2 @VarCmp 0100 @VarToInt 0134 @OleVarFromVar 0164 @HandleAutoException 016c @VarClr 0175 Variant 017f @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 84 C0 0F 84 EE 00 00 00 8D 45 0C BA 01 00 00 00 E8 ?? ?? ?? ?? 48 0F 8C DA 00 00 00 6A 00 6A 01 8D 45 0C 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 F0 E8 ?? ?? ?? ?? 83 F8 03 0F 85 B5 00 00 00 6A 01 6A 01 8D 45 0C 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 F0 E8 ?? ?? ?? ?? 83 F8 03 0F 85 90 00 00 00 6A 00 6A 01 8D 45 0C 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 F0 50 8D 45 E0 BA DB CD 00 00 E8 ?? ?? ?? ?? 8D 55 E0 58 E8 ?? ?? ?? ?? 75 60 6A 01 6A 01 8D 45 0C 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 F0 E8 ?? ?? ?? ?? 48 74 05 48 74 0F EB 4A 8B 55 1C 8B 43 2C 8B 08 FF 51 30 EB 3D 6A 02 6A 01 8D 45 0C 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 D0 8B 4D 1C 8B 43 2C 8B 18 FF 53 34 EB 0E 8B 4D 1C 8D 55 0C 8B 43 2C 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_15341_0 {
	meta:
		name = "TProviderObject.Get_Constraints"
		size = 71
		refs = "000e TProviderObject.Get_Constraints 001b TProviderObject.CheckProvider 003a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 2C 66 8B 40 28 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15342_0 {
	meta:
		name = "TProviderObject.Set_Constraints"
		size = 69
		refs = "000e TProviderObject.Set_Constraints 001b TProviderObject.CheckProvider 0038 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 2C 66 8B 55 0C 66 89 50 28 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15343_0 {
	meta:
		name = "TProviderObject.Reset"
		size = 70
		refs = "000e TProviderObject.Reset 001b TProviderObject.CheckProvider 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 8B 55 0C 8B 43 2C 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15344_0 {
	meta:
		name = "TProviderObject.SetParams"
		size = 85
		refs = "000d @VarAddRef 0016 TProviderObject.SetParams 0023 TProviderObject.CheckProvider 0040 @HandleAutoException 0048 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 0C 8B 43 2C 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_15345_0 {
	meta:
		name = "EDSWriter.Create"
		size = 124
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 EDSWriter.Create 003d Exception.Create 0052 @LStrClr 0058 @HandleFinally 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 46 0C 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15346_0 {
	meta:
		name = "TCustomPacketWriter.Create"
		size = 71
		refs = "000a @ClassCreate 0021 _DT_4 0026 @DynArraySetLength 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 00 20 00 00 8D 46 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15347_0 {
	meta:
		name = "TCustomPacketWriter.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000f @IntfClear 0018 _DT_4 001d @DynArrayClear 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 E8 ?? ?? ?? ?? 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15348_0 {
	meta:
		name = "TCustomPacketWriter.Check"
		size = 138
		refs = "0018 TCustomPacketWriter.Check 004a @LStrFromArray 0057 _DV_EDSWriter 005c EDSWriter.Create 0061 @RaiseExcept 0079 @LStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 F7 FF FF 53 33 C9 89 8D F8 F7 FF FF 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 3F 8D 95 FF F7 FF FF 52 53 8B 40 04 50 8B 00 FF 50 34 53 8D 85 F8 F7 FF FF 8D 95 FF F7 FF FF B9 01 08 00 00 E8 ?? ?? ?? ?? 8B 8D F8 F7 FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 F7 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15349_0 {
	meta:
		name = "TCustomPacketWriter.AddAttribute"
		size = 572
		refs = "0019 TCustomPacketWriter.AddAttribute 0027 VarType 0056 ParamTypeMap 006d ParamTypeSize 0088 @VarToLStr 0090 @LStrLen 00c1 StrPCopy 00ce VarIsArray 00e6 SInvalidOptParamType 00eb LoadResString 00f5 _DV_EDSWriter 00fa EDSWriter.Create 00ff @RaiseExcept 010c VarArrayHighBound 0133 VarArrayLock 0152 Move 016b VarArrayUnlock 0171 @HandleFinally 01d3 @LStrToPChar 01ef TCustomPacketWriter.Check 0229 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 25 FF 0F 00 00 83 C0 FE 83 E8 07 72 0E 83 E8 02 74 09 83 E8 06 0F 85 AF 01 00 00 8B 45 0C E8 ?? ?? ?? ?? 25 FF 0F 00 00 8B 04 85 ?? ?? ?? ?? 89 45 F0 8B 45 0C E8 ?? ?? ?? ?? 25 FF 0F 00 00 8B 04 85 ?? ?? ?? ?? 89 45 EC 83 7D F0 09 75 50 C7 45 F0 02 00 49 00 8D 45 E8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 40 89 45 EC 8B 45 FC 8B 40 08 66 8B 55 EC 66 89 10 83 45 EC 02 8D 45 E8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 40 08 83 C0 02 E8 ?? ?? ?? ?? E9 E9 00 00 00 8B 45 0C E8 ?? ?? ?? ?? 84 C0 0F 84 9D 00 00 00 83 7D EC 00 75 23 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 42 8B 45 EC 8B C8 81 C9 00 00 82 00 89 4D F0 8B 4D FC 8B 49 08 89 11 0F AF D0 89 55 EC 8B 45 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 52 08 83 C2 04 8B 4D EC E8 ?? ?? ?? ?? 83 45 EC 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 0C E8 ?? ?? ?? ?? 25 00 40 00 00 3D 00 40 00 00 75 08 8B 45 0C 8B 40 08 EB 06 8B 45 0C 83 C0 08 8B 55 FC 8B 52 08 8B 4D EC E8 ?? ?? ?? ?? 8B 45 F0 C1 E0 10 0B 45 EC 89 45 F0 80 7D 08 00 74 07 81 4D F0 00 00 00 80 8B 45 FC 8B 40 08 50 8B 45 EC 50 8B 45 F0 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 8B 40 04 50 8B 00 FF 50 14 0F B7 D0 8B 45 FC E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15350_0 {
	meta:
		name = "TDataPacketWriter.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 0011 TDataPacketWriter.FreeInfoRecords 001a TInfoArray 001f @DynArrayClear 002b TCustomPacketWriter.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 56 0C 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15351_0 {
	meta:
		name = "TDataPacketWriter.FreeInfoRecords"
		size = 79
		refs = "000d @DynArrayHigh 0030 TDataPacketWriter.FreeInfoRecords 003c TInfoArray 0041 @DynArrayClear"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 07 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 32 46 33 DB 8D 2C 9B 8B 07 83 7C E8 20 00 74 1F 8B 07 8D 54 E8 20 8B 04 24 E8 ?? ?? ?? ?? 8B 07 8D 44 E8 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 D1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15352_0 {
	meta:
		name = "TDataPacketWriter.PutBlobField"
		size = 142
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 10 01 75 69 8D 4B 08 8B 16 8B 46 08 8B 38 FF 97 C8 01 00 00 8B F8 89 7E 0C 85 FF 74 3F 8B 43 08 C6 04 38 00 8B 46 04 80 B8 D0 00 00 00 00 74 17 6A 00 8B 7B 08 8B CF 8B D7 8B 46 08 8B 38 FF 97 EC 01 00 00 89 46 0C 8B 43 08 50 8B 46 0C 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 25 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 EB 14 8D 46 0C 50 68 01 00 00 80 6A 00 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15353_0 {
	meta:
		name = "TDataPacketWriter.PutCalcField"
		size = 133
		refs = "0023 _Dn_TStringField 0028 @IsClass 0056 StrLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 4B 08 8B 56 04 8B 46 08 8B 38 FF 97 CC 01 00 00 84 C0 74 56 8B 7E 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 80 BF C9 00 00 00 00 74 19 6A 00 8B 7B 08 8B CF 8B D7 8B 46 08 8B 38 FF 97 EC 01 00 00 89 46 0C EB 0B 8B 43 08 E8 ?? ?? ?? ?? 89 46 0C 8B 43 08 50 8B 46 0C 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15354_0 {
	meta:
		name = "TDataPacketWriter.PutField"
		size = 67
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 4B 08 8B 16 8B 46 08 8B 38 FF 97 D0 01 00 00 84 C0 74 15 8B 43 08 50 8B 46 0C 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15355_0 {
	meta:
		name = "TDataPacketWriter.PutStringField"
		size = 115
		refs = "0044 StrLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 4B 08 8B 16 8B 46 08 8B 38 FF 97 D0 01 00 00 84 C0 74 45 8B 46 04 80 B8 C9 00 00 00 00 74 19 6A 00 8B 7B 08 8B CF 8B D7 8B 46 08 8B 38 FF 97 EC 01 00 00 89 46 0C EB 0B 8B 43 08 E8 ?? ?? ?? ?? 89 46 0C 8B 43 08 50 8B 46 0C 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15356_0 {
	meta:
		name = "TDataPacketWriter.PutVarBytesField"
		size = 72
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4B 08 8B 16 8B 46 08 8B 30 FF 96 D0 01 00 00 84 C0 74 1C 8B 43 08 83 C0 02 50 8B 43 08 0F B7 00 50 6A 00 8B 43 04 50 8B 00 FF 50 20 5E 5B C3 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5E 5B C3 }
	condition:
		$1
}

rule function_15357_0 {
	meta:
		name = "TDataPacketWriter.PutADTField"
		size = 101
		refs = "0038 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 46 04 8B 10 FF 52 74 84 C0 74 11 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 00 8B 43 04 50 8B 00 FF 50 20 8B 46 20 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 1E 47 33 DB 8D 14 9B 8B 46 20 8D 04 D0 8B 4E 20 8D 14 D1 8B E8 8B 45 18 FF 55 14 43 4F 75 E5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15358_0 {
	meta:
		name = "RefreshInfos"
		size = 262
		refs = "001a RefreshInfos 0040 _Dn_TADTField 0045 @IsClass 0056 TObject.ClassName 0074 SArrayElementError 0079 LoadResString 0086 _DV_EDSWriter 008b Exception.CreateFmt 0090 @RaiseExcept 009d @AsClass 00a8 TObjectField.GetFieldCount 00c8 TFields.GetField 00f3 @LStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 C9 89 8D F0 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F2 89 5E 04 8B C3 8B 10 FF 52 6C 89 06 83 7E 20 00 0F 84 A3 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 47 8D 95 F4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 89 45 F4 C6 45 F8 04 8D 45 F4 50 6A 00 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2C 47 33 DB 8B 45 08 50 8B 45 FC 8B 10 FF 92 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8D 14 9B 8B 4E 20 8D 14 D1 E8 ?? ?? ?? ?? 59 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15359_0 {
	meta:
		name = "TDataPacketWriter.PutArrayField"
		size = 121
		refs = "003a TObjectField.GetFieldCount 005a TFields.GetField 0062 RefreshInfos"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F0 8B 43 04 8B 10 FF 52 74 84 C0 74 11 6A 00 6A 00 6A 01 8B 46 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 00 8B 46 04 50 8B 00 FF 50 20 8B 43 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 FF 8B 6B 20 55 8B 43 04 8B 10 FF 92 C8 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 53 20 E8 ?? ?? ?? ?? 59 8B 53 20 8B 45 18 FF 55 14 47 4E 75 D4 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_15360_0 {
	meta:
		name = "TDataPacketWriter.PutDataSetField"
		size = 152
		refs = "002f TDataSetField.GetNestedDataSet 0061 TDataSet.UpdateCursorPos 0074 TDataSet.First 0086 TDataPacketWriter.WriteDataSet"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 7E 04 85 FF 74 28 8B C7 8B 10 FF 52 74 84 C0 74 11 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 EB 68 8B 46 04 E8 ?? ?? ?? ?? 8B F8 EB 03 8B 7E 08 F6 43 10 02 74 09 C7 04 24 00 00 00 80 EB 07 C7 04 24 FF FF FF FF 54 6A 04 6A 00 8B 43 04 50 8B 00 FF 50 20 8B C7 E8 ?? ?? ?? ?? F6 43 10 02 75 28 83 3C 24 FF 75 22 8B C7 E8 ?? ?? ?? ?? 6A FF 8A 46 24 50 8D 4E 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 04 50 8B 00 FF 50 38 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15361_0 {
	meta:
		name = "TDataPacketWriter.WriteDataSet"
		size = 271
		refs = "0042 TDataPacketWriter.WriteDataSet 0062 TDataPacketWriter.RefreshPutProcs 0069 B 0083 @DynArrayHigh 00c9 TDataSet.Next 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 83 7D 0C FF 75 07 C7 45 0C FF FF FF 7F 80 7D 08 00 74 14 83 7D 0C 01 7E 0E 8B 55 0C 8B 45 F8 8B 08 FF 91 28 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 80 B8 96 00 00 00 00 74 75 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 65 68 ?? ?? ?? ?? 6A 01 6A 00 8B 45 FC 8B 40 04 50 8B 00 FF 50 20 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 20 46 33 DB 8D 04 9B 8B 55 F4 8B 12 8D 7C C2 14 8B 55 F4 8B 12 8D 14 C2 8B 47 04 FF 17 43 4E 75 E3 FF 45 F0 8B 45 F0 3B 45 0C 7C 0D 33 D2 8B 45 F8 8B 08 FF 91 28 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 91 00 00 00 00 75 08 8B 45 F0 3B 45 0C 7C 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 91 28 01 00 00 C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15362_0 {
	meta:
		name = "TDataPacketWriter.AddDataSetAttributes"
		size = 177
		refs = "001e _Dn_TList 0023 TObject.Create 002e TDataPacketWriter.AddDataSetAttributes 005a TList.Get 0071 TCustomPacketWriter.AddAttribute 0081 TPacketAttribute 0086 @Dispose 009f TObject.Free 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 FC 66 83 78 16 00 0F 84 90 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 FC 8B 4D F8 8B D3 8B 46 18 FF 56 14 8B 45 F8 8B 70 08 4E 85 F6 7C 3D 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 50 04 52 8A 50 14 52 8B 08 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15363_0 {
	meta:
		name = "TDataPacketWriter.GetFieldIdx"
		size = 91
		refs = "0017 @DynArrayHigh 0039 @LStrCmp"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 89 14 24 C7 44 24 04 FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 2F 47 33 DB 8D 04 9B 8B 6C C6 04 85 ED 74 1D 8D 04 9B 8B 45 28 8B 14 24 E8 ?? ?? ?? ?? 75 0D 8D 04 9B 8B 44 C6 1C 89 44 24 04 EB 04 43 4F 75 D4 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15364_0 {
	meta:
		name = "WriteProp"
		size = 57
		refs = "000c TObject.ClassInfo 0013 GetPropInfo 0022 IsStoredProp 0031 TWriter.WriteProperty"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B 06 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15365_0 {
	meta:
		name = "TDataPacketWriter.AddExtraFieldProps"
		size = 324
		refs = "0011 _Dn_TMemoryStream 0016 TObject.Create 0021 TDataPacketWriter.AddExtraFieldProps 0036 _DV_TPropWriter 003b TFiler.Create 0054 TWriter.WriteListBegin 005e ExtraFieldProps 006a WriteProp 0078 TWriter.WriteListEnd 0088 TStream.GetSize 00c0 Move 00f2 TCustomPacketWriter.Check 0107 TObject.Free 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? BE 0B 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 4D F8 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 EE 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 08 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 02 7E 65 BB 01 00 8B 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 08 89 02 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 08 8D 50 04 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 50 8B 45 F4 E8 ?? ?? ?? ?? 83 C0 04 50 53 68 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 04 50 8B 00 FF 50 14 0F B7 D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 46 49 45 4C 44 50 52 4F 50 53 00 00 }
	condition:
		$1
}

rule function_15366_0 {
	meta:
		name = "AddFieldDesc"
		size = 204
		refs = "0018 AddFieldDesc 0025 @LStrLen 0043 SFieldNameTooLong 0048 LoadResString 0052 _DV_EDSWriter 0057 Exception.CreateFmt 005c @RaiseExcept 006b @FillChar 0072 @LStrToPChar 007c StrCopy 00a4 TCustomPacketWriter.Check 00b9 @LStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 F8 20 7E 32 C7 45 D0 1F 00 00 00 C6 45 D4 00 8D 45 D0 50 6A 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DA 33 C9 BA 26 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 DA E8 ?? ?? ?? ?? 89 75 FA 66 89 7D FE 8D 45 DA 50 8B 45 08 8B 40 FC 8B 40 04 50 8B 00 FF 50 24 0F B7 D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15367_0 {
	meta:
		name = "ComputeInfoCount"
		size = 146
		refs = "0010 @DynArrayAddRef 0018 ComputeInfoCount 0026 @DynArrayLength 0031 @DynArrayHigh 0077 TInfoArray 007c @DynArrayClear 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7C 2A 46 33 DB 8D 04 9B 8B 55 FC 8B 7C C2 20 85 FF 74 15 8B 45 08 50 8D 04 9B 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 59 01 45 F8 43 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15368_0 {
	meta:
		name = "TDataPacketWriter.AddColumn"
		size = 1692
		refs = "0019 TDataPacketWriter.AddColumn 0034 ComputeInfoCount 0053 AddFieldDesc 0064 TDataPacketWriter.WriteMetaData 00bc PacketTypeMap 0176 TObjectField.GetFieldCount 01f7 @VarFromBool 020c TCustomPacketWriter.AddAttribute 022c @VarFromInt 0258 @OleVarFromLStr 029e _Dn_TBCDField 02a3 @IsClass 0357 @LStrLAsg 0437 @LStrClr 0472 _Dn_TObjectField 04b2 TDataPacketWriter.AddExtraFieldProps 04cc @DynArrayHigh 04ff TDataSetField.GetNestedDataSet 0521 @VarClr 052f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 74 44 83 7B 04 00 75 3E 55 8B 43 20 E8 ?? ?? ?? ?? 59 8B F0 81 CE 00 00 0E 00 81 CE 00 00 00 01 55 8B 43 08 8B 40 08 33 C9 8B D6 E8 ?? ?? ?? ?? 59 6A 00 8B 4B 20 8B 53 08 8B 45 FC E8 ?? ?? ?? ?? E9 A3 04 00 00 33 C0 89 45 F4 33 C0 89 45 F8 8B 43 04 80 78 31 00 75 06 80 78 32 00 74 04 83 4D F8 02 8B 7B 04 80 7F 35 00 74 0A 80 7F 30 0E 74 04 83 4D F8 04 F6 87 80 00 00 00 08 74 0C 8B 45 F8 83 C8 01 83 C8 02 89 45 F8 8A 47 30 33 D2 8A D0 8B 34 95 ?? ?? ?? ?? 83 E0 7F 83 F8 1D 0F 87 DC 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 00 00 00 00 02 00 00 00 00 01 00 00 00 00 00 00 00 00 00 01 00 00 04 03 05 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C1 E6 10 81 CE 00 00 40 00 8B 43 0C 3D FF 00 00 00 7D 05 83 CE 01 EB 03 83 CE 02 89 45 F4 E9 A4 00 00 00 8B 87 E4 00 00 00 89 45 F4 8B 45 F4 D1 E8 8B D0 83 E2 01 03 C2 C1 E6 10 83 C0 02 0B F0 E9 82 00 00 00 8B C7 8B 10 FF 52 78 0F B7 C0 C1 E6 10 81 CE 00 00 00 01 81 CE 00 00 00 02 0B C6 8B F0 EB 63 8B C7 E8 ?? ?? ?? ?? C1 E6 10 81 CE 00 00 00 01 0B C6 8B F0 EB 4D 55 8B 43 20 E8 ?? ?? ?? ?? 59 C1 E6 10 81 CE 00 00 00 01 81 CE 00 00 00 04 0B C6 8B F0 EB 2E 8B 07 FF 90 BC 00 00 00 84 C0 74 1C C1 E6 10 81 CE 00 00 40 00 83 CE 04 8B 43 04 8B 10 FF 52 78 0F B7 C0 89 45 F4 EB 06 C1 E6 10 0B 73 0C 55 8B 43 04 8B 40 28 8B 4D F8 8B D6 E8 ?? ?? ?? ?? 59 8B 43 04 80 78 32 00 74 1F 8D 45 E0 B2 01 E8 ?? ?? ?? ?? 8D 45 E0 50 6A 01 B9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 73 04 A0 ?? ?? ?? ?? 3A 86 80 00 00 00 74 25 8D 45 E0 33 D2 8A 96 80 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 50 6A 01 B9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 43 04 83 78 7C 00 74 23 8D 45 E0 8B 53 04 8B 52 7C E8 ?? ?? ?? ?? 8D 45 E0 50 6A 01 B9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 7E 20 8D 45 E0 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B C6 8B 10 FF 52 78 66 85 C0 74 28 8B 43 04 8B 10 FF 52 78 0F B7 D0 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 43 04 33 D2 8A 50 30 83 FA 1C 0F 87 4D 01 00 00 8A 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 0C 00 00 00 00 00 01 00 00 00 00 00 03 02 00 04 07 05 06 08 09 00 00 00 00 0A 00 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E5 00 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 00 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C1 00 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9D 00 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 00 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 8B 43 04 8B 80 84 00 00 00 85 C0 74 51 8A 40 30 04 E4 2C 02 73 48 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 80 B8 C8 00 00 00 00 74 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8D 45 F0 E8 ?? ?? ?? ?? EB 08 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 74 20 8D 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 45 E0 8B 96 D0 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 10 04 74 0B 8B 53 04 8B 45 FC E8 ?? ?? ?? ?? 8B 43 04 8A 40 30 04 E6 2C 02 72 06 2C 02 72 2A EB 48 8B 43 20 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 3A 46 33 FF 8D 04 BF 8B 53 20 8D 14 C2 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 EB EB 20 8B 43 04 80 78 30 1C 0F 94 C0 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8B 4B 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 FF FF FF FF 0B 00 00 00 53 45 52 56 45 52 5F 43 41 4C 43 00 03 00 00 00 FF FF FF FF 09 00 00 00 50 52 4F 56 46 4C 41 47 53 00 00 00 FF FF FF FF 06 00 00 00 4F 52 49 47 49 4E 00 00 FF FF FF FF 05 00 00 00 57 49 44 54 48 00 00 00 FF FF FF FF 08 00 00 00 44 45 43 49 4D 41 4C 53 00 00 00 00 FF FF FF FF 05 00 00 00 4D 6F 6E 65 79 00 00 00 FF FF FF FF 07 00 00 00 41 75 74 6F 69 6E 63 00 FF FF FF FF 06 00 00 00 42 69 6E 61 72 79 00 00 FF FF FF FF 04 00 00 00 54 65 78 74 00 00 00 00 FF FF FF FF 09 00 00 00 46 6F 72 6D 61 74 74 65 64 00 00 00 FF FF FF FF 03 00 00 00 4F 6C 65 00 FF FF FF FF 08 00 00 00 47 72 61 70 68 69 63 73 00 00 00 00 FF FF FF FF 08 00 00 00 64 42 41 53 45 4F 6C 65 00 00 00 00 FF FF FF FF 0B 00 00 00 54 79 70 65 64 42 69 6E 61 72 79 00 FF FF FF FF 0E 00 00 00 41 44 54 4E 65 73 74 65 64 54 61 62 6C 65 00 00 FF FF FF FF 09 00 00 00 52 65 66 65 72 65 6E 63 65 00 00 00 FF FF FF FF 09 00 00 00 46 69 78 65 64 43 68 61 72 00 00 00 FF FF FF FF 07 00 00 00 53 55 42 54 59 50 45 00 FF FF FF FF 08 00 00 00 54 59 50 45 4E 41 4D 45 00 00 00 00 }
	condition:
		$1
}

rule function_15369_0 {
	meta:
		name = "_NF__379"
		size = 40
	strings:
		$1 = { 42 44 45 44 4F 4D 41 49 4E 5F 58 00 42 44 45 52 45 43 4F 52 44 5F 58 00 42 44 45 44 45 46 41 55 4C 54 5F 58 00 00 00 00 }
	condition:
		$1
}

rule function_15370_0 {
	meta:
		name = "AddSQLExprAttr"
		size = 580
		refs = "0022 AddSQLExprAttr 0059 SConstraintFailed 005e LoadResString 0070 SField 00a5 Format 00ea @LStrLAsg 00f2 @LStrLen 014f TExprParser.SetExprParams 016a Move 018b @LStrToPChar 019e StrCopy 01a9 TypeStr 01bc Attr 01dd TCustomPacketWriter.Check 01f7 @LStrArrayClr 01ff @LStrClr 0205 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D D0 89 5D CC 89 5D F8 8B F1 89 55 FC 8B F8 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 AB 01 00 00 80 FB 02 0F 84 A5 00 00 00 85 F6 0F 85 9D 00 00 00 84 DB 75 60 83 7D 14 00 74 5A 8D 45 F8 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 89 45 DC C6 45 E0 0B 8B 45 14 89 45 E4 C6 45 E8 0B 8B 45 FC 89 45 EC C6 45 F0 0B 8D 55 D4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8D 45 F8 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 89 45 BC C6 45 C0 0B 8B 45 FC 89 45 C4 C6 45 C8 0B 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 01 46 8B 45 18 8B 40 FC 8B 40 08 83 C0 04 89 30 8B 55 10 89 50 04 8A 55 08 88 50 08 A0 ?? ?? ?? ?? 88 45 F7 80 FB 02 75 04 80 4D F7 04 80 FB 01 75 04 80 4D F7 08 83 7D 14 00 74 04 80 4D F7 10 8A 45 F7 50 8B 45 14 50 8A 0D ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 46 09 8B 55 18 8B 52 FC 8B 52 08 8D 54 02 04 8B 4F 2C 8B 47 24 E8 ?? ?? ?? ?? 8B 47 2C 83 C0 09 03 C6 8B F8 8B 45 18 8B 40 FC 8B 40 08 89 38 85 F6 7E 1B 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 18 8B 40 FC 8B 40 08 83 C0 0D E8 ?? ?? ?? ?? 33 C0 8A C3 8B 1C 85 ?? ?? ?? ?? 8B 45 18 8B 40 FC 8B 40 08 50 83 C7 04 57 A1 ?? ?? ?? ?? 50 53 6A 01 8B 45 18 8B 40 FC 8B 40 04 50 8B 00 FF 50 14 0F B7 D0 8B 45 18 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 10 00 FF FF FF FF 0C 00 00 00 25 73 20 25 73 3A 20 25 73 20 25 73 00 00 00 00 FF FF FF FF 05 00 00 00 25 73 20 25 73 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15371_0 {
	meta:
		name = "TDataPacketWriter.AddConstraints"
		size = 1364
		refs = "001e TDataPacketWriter.AddConstraints 0040 _Dn_TExprParser 0045 TExprParser.Create 0063 GetObjectProperty 0075 _Dn_TCheckConstraints 007a @IsClass 008f @AsClass 00a8 TCollection.GetCount 00bc TCheckConstraints.GetItem 00d5 AddSQLExprAttr 0104 @HandleOnException 010c _Dn_Exception 0134 SRecConstFail 0139 LoadResString 0155 Format 017e _DV_EDSWriter 0183 Exception.CreateFmt 0188 @RaiseExcept 018d @DoneExcept 01b3 TFieldList.GetField 01d0 TField.GetFullName 022f SDefExprFail 03c7 SFieldConstFail 04d5 TObject.Free 04db @HandleFinally 04f2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 C9 89 4D D4 89 4D B0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 A0 ?? ?? ?? ?? 50 A0 ?? ?? ?? ?? 50 6A 00 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 20 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 0B 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 43 46 33 DB 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 55 6A 00 6A 00 6A 01 6A 00 8B 4F 14 8B 57 0C 8B 45 F4 E8 ?? ?? ?? ?? 59 55 6A 00 6A 00 6A 01 6A 00 8B 4F 14 8B 57 10 8B 45 F4 E8 ?? ?? ?? ?? 59 43 4E 75 C0 33 C0 5A 59 59 64 89 10 E9 8E 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 83 78 08 00 74 3C 8D 45 EC 50 8B 45 F8 8B 40 08 89 45 D8 C6 45 DC 0B 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 89 45 CC C6 45 D0 0B 8D 45 CC 50 6A 00 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 34 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 1D 03 00 00 46 33 DB 8B 45 F8 8B 40 34 8B D3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 43 01 50 6A 02 6A 00 8B 45 E8 8B 50 78 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 E9 26 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 E8 83 78 08 00 74 3F 8D 45 EC 50 8B 45 E8 8B 40 08 89 45 D8 C6 45 DC 0B 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 45 E8 8B 40 24 83 78 08 00 74 54 8D 45 EC 50 8B 45 E8 8B 40 24 8B 40 08 89 45 B4 C6 45 B8 0B 8D 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D4 89 45 BC C6 45 C0 0B 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 C4 C6 45 C8 0B 8D 55 B4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 8D 45 EC 50 8D 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 0B 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 89 45 CC C6 45 D0 0B 8D 45 CC 50 6A 00 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 7B 01 57 6A 00 6A 00 8B 45 E8 8B 48 74 8B 45 E8 8B 50 70 8B 45 F4 E8 ?? ?? ?? ?? 59 55 8D 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D4 50 57 6A 00 6A 00 8B 45 E8 8B 48 74 8B 45 E8 8B 50 6C 8B 45 F4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 E9 26 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 E8 83 78 08 00 74 3F 8D 45 EC 50 8B 45 E8 8B 40 08 89 45 D8 C6 45 DC 0B 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 45 E8 8B 40 24 83 78 08 00 74 54 8D 45 EC 50 8B 45 E8 8B 40 24 8B 40 08 89 45 B4 C6 45 B8 0B 8D 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D4 89 45 BC C6 45 C0 0B 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 C4 C6 45 C8 0B 8D 55 B4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 8D 45 EC 50 8D 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 0B 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 89 45 CC C6 45 D0 0B 8D 45 CC 50 6A 00 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 0F 85 E6 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 FF FF FF FF 0B 00 00 00 43 6F 6E 73 74 72 61 69 6E 74 73 00 FF FF FF FF 06 00 00 00 25 73 3A 20 25 73 00 00 FF FF FF FF 09 00 00 00 25 73 2E 25 73 3A 20 25 73 00 00 00 }
	condition:
		$1
}

rule function_15372_0 {
	meta:
		name = "TDataPacketWriter.AddIndexDefs"
		size = 1416
		refs = "0024 TDataPacketWriter.AddIndexDefs 0037 GetObjectProperty 0049 _Dn_TIndexDefs 004e @IsClass 0063 @AsClass 006e TIndexDefs.Update 0083 GetStringProperty 0094 TIndexDefs.Find 00be TIndexDefs.FindIndexForFields 00cf TCollection.GetCount 00ea TIndexDefs.GetIndexDef 0156 _Dn_TList 015b TObject.Create 0207 TIndexDef.GetFields 0215 TDataSet.GetFieldList 0240 @HandleAnyException 0245 @DoneExcept 0274 VarArrayCreate 027f @OleVarFromVar 029e TList.Get 02ac TDataPacketWriter.GetFieldIdx 02b6 @VarFromInt 02c3 @VarArrayPut 02da TList.IndexOf 02f0 @VarArrayGet 030d @VarOr 0452 TCustomPacketWriter.AddAttribute 0491 TObject.Free 0497 @HandleFinally 04e8 @VarClr 04f8 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 92 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 7D 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 33 C0 89 45 E0 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D D8 00 74 0E 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 24 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D D8 00 74 0E 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 41 8B 45 DC E8 ?? ?? ?? ?? 48 85 C0 7C 34 40 89 45 D4 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? F6 40 20 01 74 10 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 89 45 E0 EB 08 FF 45 F0 FF 4D D4 75 D7 83 7D E0 00 75 41 8B 45 DC E8 ?? ?? ?? ?? 48 85 C0 7C 34 40 89 45 D4 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? F6 40 20 02 74 10 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 89 45 E0 EB 08 FF 45 F0 FF 4D D4 75 D7 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC E8 ?? ?? ?? ?? 48 85 C0 0F 8C C5 02 00 00 40 89 45 D4 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 8B F0 F6 46 20 02 75 1A 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 3B 45 E0 74 0A F6 46 20 01 0F 84 81 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 4D C0 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4E 1C 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 4E 18 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 02 00 00 E8 ?? ?? ?? ?? 8D 45 B0 50 33 C0 89 45 A8 8B 45 EC 8B 40 08 48 89 45 AC 8D 45 A8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 B0 8D 45 C4 E8 ?? ?? ?? ?? 8B 45 EC 8B 78 08 4F 85 FF 0F 8C EE 00 00 00 47 33 DB 53 6A 01 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 50 28 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 40 74 40 53 6A 01 53 6A 01 8D 45 C4 50 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 B0 50 8D 45 98 BA 00 40 00 00 E8 ?? ?? ?? ?? 8D 55 98 58 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 E4 E8 ?? ?? ?? ?? 40 74 40 53 6A 01 53 6A 01 8D 45 C4 50 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 B0 50 8D 45 98 BA 00 80 00 00 E8 ?? ?? ?? ?? 8D 55 98 58 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 43 4F 0F 85 15 FF FF FF F6 46 20 04 74 4B 8B 45 EC 83 78 08 01 75 42 6A 00 6A 01 6A 00 6A 01 8D 45 C4 50 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 B0 50 8D 45 98 BA 00 80 00 00 E8 ?? ?? ?? ?? 8D 55 98 58 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 F6 46 20 08 74 4B 8B 45 EC 83 78 08 01 75 42 6A 00 6A 01 6A 00 6A 01 8D 45 C4 50 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 B0 50 8D 45 98 BA 00 40 00 00 E8 ?? ?? ?? ?? 8D 55 98 58 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 3B 45 E0 74 0C 83 7D E0 00 75 1E F6 46 20 02 74 18 8D 45 C4 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? F6 46 20 02 74 18 8D 45 C4 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 45 F0 FF 4D D4 0F 85 46 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 09 00 00 00 49 6E 64 65 78 44 65 66 73 00 00 00 FF FF FF FF 09 00 00 00 49 6E 64 65 78 4E 61 6D 65 00 00 00 FF FF FF FF 0F 00 00 00 49 6E 64 65 78 46 69 65 6C 64 4E 61 6D 65 73 00 FF FF FF FF 0D 00 00 00 44 45 46 41 55 4C 54 5F 4F 52 44 45 52 00 00 00 FF FF FF FF 0A 00 00 00 55 4E 49 51 55 45 5F 4B 45 59 00 00 }
	condition:
		$1
}

rule function_15373_0 {
	meta:
		name = "TDataPacketWriter.AddFieldLinks"
		size = 596
		refs = "001c TDataPacketWriter.AddFieldLinks 0029 _Dn_TList 002e TObject.Create 0063 @DynArrayHigh 00e0 VarArrayCreate 00f6 @VarFromInt 0103 @VarArrayPut 012a TList.Get 0137 TDataPacketWriter.GetFieldIdx 01a3 @OleVarFromVar 01bb TCustomPacketWriter.AddAttribute 01dc TObject.Free 01e2 @HandleFinally 0216 @VarClr"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8C 5C 01 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 F0 8D 04 80 80 7C C6 10 00 0F 84 34 01 00 00 83 7C C6 04 00 0F 85 29 01 00 00 8B 44 C6 08 8B 4D F4 8B 55 F8 8B 18 FF 93 C4 01 00 00 8B 45 F8 8B 58 08 85 DB 0F 8E 09 01 00 00 8B 45 F4 3B 58 08 0F 8F FD 00 00 00 8D 45 DC 50 33 C0 89 45 D4 8B C3 03 C0 89 45 D8 8D 45 D4 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C4 8B 55 F0 8D 14 92 8B 54 D6 1C E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F8 8B 78 08 4F 85 FF 0F 8C 83 00 00 00 47 33 DB 8B C3 03 C0 40 50 6A 01 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 28 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8B C3 03 C0 83 C0 02 50 6A 01 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 28 8B 45 F0 8D 04 80 8B 4C C6 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 43 4F 75 80 8D 45 B4 8D 55 DC E8 ?? ?? ?? ?? 8D 45 B4 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 45 F0 FF 4D EC 0F 85 AF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 0D 00 00 00 4D 44 5F 46 49 45 4C 44 4C 49 4E 4B 53 00 00 00 }
	condition:
		$1
}

rule function_15374_0 {
	meta:
		name = "TDataPacketWriter.CheckFastScan"
		size = 68
		refs = "0014 TDataSet.GetFieldCount 0028 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B FA 83 7F 78 00 0F 94 C3 84 DB 74 2C 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 1E 45 33 F6 8B 47 24 8B D6 E8 ?? ?? ?? ?? 8A 40 30 04 E4 2C 02 73 04 33 DB EB 04 46 4D 75 E5 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15375_0 {
	meta:
		name = "TDataPacketWriter.WriteMetaData"
		size = 408
		refs = "001d TDataPacketWriter.WriteMetaData 002a @DynArrayHigh 0048 TDataPacketWriter.AddColumn 0064 @VarFromBool 007b TCustomPacketWriter.AddAttribute 0089 @VarFromInt 00b0 TDataPacketWriter.AddConstraints 00bc TDataPacketWriter.AddIndexDefs 00c5 TDataPacketWriter.AddFieldLinks 010a TDataPacketWriter.AddDataSetAttributes 012c TCustomPacketWriter.Check 0141 @VarClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1E 46 C7 45 F8 00 00 00 00 8B 45 F8 8D 04 80 8D 14 C7 8B C3 E8 ?? ?? ?? ?? FF 45 F8 4E 75 EA F6 43 10 20 0F 95 C0 0A 45 08 74 21 8D 45 E8 B2 01 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8A 53 1C 0F BE D2 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 01 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7B 12 00 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 F6 F6 43 10 08 74 05 BE 01 00 00 00 F6 43 10 10 74 03 83 CE 02 85 F6 74 21 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 01 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 7B 0C 74 1D 6A 00 6A 00 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 14 0F B7 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 09 00 00 00 52 45 41 44 20 4F 4E 4C 59 00 00 00 FF FF FF FF 0A 00 00 00 55 50 44 41 54 45 4D 4F 44 45 00 00 FF FF FF FF 0C 00 00 00 4D 44 5F 53 45 4D 41 4E 54 49 43 53 00 00 00 00 }
	condition:
		$1
}

rule function_15376_0 {
	meta:
		name = "RefreshInfo"
		size = 18
	strings:
		$1 = { 89 51 04 85 D2 75 04 89 41 08 C3 8B 42 24 89 41 08 C3 }
	condition:
		$1
}

rule function_15377_0 {
	meta:
		name = "TDataPacketWriter.RefreshPutProcs"
		size = 197
		refs = "0011 _Dn_TList 0016 TObject.Create 0021 TDataPacketWriter.RefreshPutProcs 0031 TDataSet.GetDetailDataSets 0038 TDataSet.GetFieldCount 004c TFields.GetField 0060 RefreshInfo 0091 TList.Get 00b2 TObject.Free 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 DB 8B 47 24 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 04 9B 8B 4D FC 8B 09 8D 0C C1 8B C7 E8 ?? ?? ?? ?? 43 4E 75 DE 8B 45 F8 8B 70 08 4E 85 F6 7C 2E 46 33 DB 8B C7 E8 ?? ?? ?? ?? 03 C3 8D 04 80 8B 55 FC 8B 12 8D 04 C2 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 43 4E 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15378_0 {
	meta:
		name = "InitInfoStruct"
		size = 101
		refs = "001b @FillChar"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 85 F6 0F 94 C0 88 43 10 89 73 04 8B 45 FC FF 00 8B 07 89 43 1C FF 07 8B 73 04 85 F6 74 20 8B C6 8B 10 FF 52 6C 89 03 8B 43 04 8B 10 FF 52 64 0F B7 C0 89 43 0C 8B 43 04 8B 40 24 89 43 08 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15379_0 {
	meta:
		name = "InitFieldProc"
		size = 853
		refs = "001f InitFieldProc 0034 InitInfoStruct 0040 TDataSet.GetActive 0053 TDataSet.Open 0069 TDataPacketWriter.PutDataSetField 0077 TDataPacketWriter.CheckFastScan 008e TDataPacketWriter.InitPutProcs 009a TInfoArray 009f @DynArrayAsg 010f TDataPacketWriter.PutStringField 0127 TDataPacketWriter.PutVarBytesField 0140 TDataPacketWriter.PutADTField 0148 TObjectField.GetFieldCount 015c @DynArraySetLength 0191 TFields.GetField 01c0 TDataPacketWriter.PutArrayField 022e TDataSetField.GetNestedDataSet 0250 TDataSet.GetFieldCount 02c5 TDataPacketWriter.PutField 02d7 TDataPacketWriter.PutBlobField 02e3 SUnknownFieldType 02e8 LoadResString 0304 DatabaseErrorFmt 031d TDataPacketWriter.PutCalcField 0332 @LStrClr 0340 @DynArrayClear 0346 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D EC 8B D9 8B FA 89 45 FC 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B C3 8B D7 E8 ?? ?? ?? ?? 85 FF 75 6C 8B 45 FC E8 ?? ?? ?? ?? 34 01 88 43 11 80 7B 11 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 43 08 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? 8B 53 08 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 88 43 24 8D 45 EC 50 8B CE 8B 53 08 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 43 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 79 02 00 00 8B 43 04 0F B6 40 30 83 F8 1D 0F 87 25 02 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 06 06 06 06 06 06 06 06 06 06 06 02 06 07 07 07 07 07 07 07 00 01 00 06 03 04 05 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? FF 4B 0C E9 ED 01 00 00 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? 83 6B 0C 02 E9 D4 01 00 00 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 50 8D 43 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 94 01 00 00 40 89 45 F4 33 FF 8B 45 10 50 56 8B 45 08 50 8B 43 04 8B 10 FF 92 C8 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B D0 8D 04 BF 8B 4B 20 8D 0C C1 8B 45 FC E8 ?? ?? ?? ?? 59 47 FF 4D F4 75 CB E9 54 01 00 00 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? 6A 01 8D 43 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 00 89 45 F8 8B 45 10 50 56 8B 45 08 50 8B 43 04 8B 10 FF 92 C8 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 4B 20 8B 45 FC E8 ?? ?? ?? ?? 59 8B 43 04 E8 ?? ?? ?? ?? 48 8B 55 08 8B 12 2B 55 F8 F7 EA 8B 55 08 01 02 E9 DE 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 89 45 F0 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? C7 45 F8 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 43 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 8C 00 00 00 40 89 45 F4 33 FF 8B 45 10 50 56 8D 45 F8 50 8B 45 F0 8B 40 24 8B D7 E8 ?? ?? ?? ?? 50 8B 43 04 E8 ?? ?? ?? ?? 8D 14 BF 8B 4B 20 8D 0C D1 5A E8 ?? ?? ?? ?? 59 47 FF 4D F4 75 CB EB 4F 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? EB 3D 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? EB 2B 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 43 04 8B 40 28 89 45 E0 C6 45 E4 0B 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 43 04 80 78 32 00 74 10 8B 45 10 8B 40 FC 89 43 18 C7 43 14 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15380_0 {
	meta:
		name = "TDataPacketWriter.InitPutProcs"
		size = 265
		refs = "001b _Dn_TList 0020 TObject.Create 002b TDataPacketWriter.InitPutProcs 003b TDataSet.GetDetailDataSets 0042 TDataSet.GetFieldCount 0057 TInfoArray 005c @DynArraySetLength 0083 TFields.GetField 0097 InitFieldProc 00d2 TList.Get 00f4 TObject.Free 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 8B FA 89 45 FC C7 45 F4 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 03 42 08 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 55 8B 45 F8 50 8D 45 F4 50 8B 47 24 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 04 9B 8B 4D 08 8B 09 8D 0C C1 8B C7 E8 ?? ?? ?? ?? 59 43 4E 75 D4 8B 45 F0 8B 70 08 4E 85 F6 7C 38 46 33 DB 55 8B 45 F8 50 8D 45 F4 50 8B C7 E8 ?? ?? ?? ?? 03 C3 8D 04 80 8B 55 08 8B 12 8D 04 C2 50 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 59 43 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15381_0 {
	meta:
		name = "CheckMetaData"
		size = 364
		refs = "001d CheckMetaData 0046 CLSID_DSWriter 004b CreateComObject 005d @IntfCast 0071 TDataPacketWriter.FreeInfoRecords 007c TInfoArray 0081 @DynArrayClear 0091 TDataPacketWriter.InitPutProcs 00a4 @DynArrayAsg 00d4 TCustomPacketWriter.Check 00e4 TDataPacketWriter.WriteMetaData 0104 SafeArrayDestroy 0149 @IntfClear 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 8B F8 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 8B 03 83 78 0C 00 74 0C 8B 03 80 78 11 00 0F 84 CB 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 03 83 C0 04 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 78 0C 00 74 1C 8B 03 8D 50 0C 8B 03 E8 ?? ?? ?? ?? 8B 03 83 C0 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 4D FC 8B 03 8B D7 E8 ?? ?? ?? ?? 8B 55 F0 8B 03 83 C0 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 F6 40 10 01 74 07 BE 02 00 00 00 EB 05 BE 01 00 00 00 66 8B 45 FC 48 50 56 8B 03 8B 40 04 50 8B 00 FF 50 0C 0F B7 D0 8B 03 E8 ?? ?? ?? ?? 6A 00 8B 03 8B 48 0C 8B 03 8B D7 E8 ?? ?? ?? ?? 8B 03 80 78 11 00 75 1D 8D 45 F8 50 8B 03 8B 40 04 50 8B 00 FF 50 18 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 03 80 78 11 00 75 15 8B 03 8B 40 04 50 8B 00 FF 50 28 0F B7 D0 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 86 2F 8D 9E 1C 59 D0 11 BF 52 00 20 AF 32 BD 64 }
	condition:
		$1
}

rule function_15382_0 {
	meta:
		name = "TDataPacketWriter.GetDataPacket"
		size = 114
		refs = "002a CheckMetaData 0038 TDataPacketWriter.CheckFastScan 0049 TDataPacketWriter.WriteDataSet 0066 DataPacketToVariant"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B 45 08 8B 55 08 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 55 8B C3 E8 ?? ?? ?? ?? 59 8B 06 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8D 48 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 06 8D 45 F8 50 8B 45 FC 8B 40 04 50 8B 00 FF 50 18 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15383_0 {
	meta:
		name = "TPacketDataSet.CreateFromDelta"
		size = 114
		refs = "000f TPacketDataSet.CreateFromDelta 0037 TClientDataSet.Check 0045 @IntfCopy 004c TDataSet.Open 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 6A 00 6A FF 6A 02 8B 86 70 01 00 00 50 8B 00 FF 90 84 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 83 70 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15384_0 {
	meta:
		name = "TPacketDataSet.InternalInitRecord"
		size = 62
		refs = "000d TClientDataSet.InternalInitRecord 0014 TDataSet.GetFieldCount"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B D5 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1B BE 01 00 00 00 6A 02 56 6A 00 55 8B 87 70 01 00 00 50 8B 00 FF 50 38 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15385_0 {
	meta:
		name = "TPacketDataSet.InternalOpen"
		size = 83
		refs = "0007 TClientDataSet.InternalOpen"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 50 01 00 00 89 83 60 02 00 00 8B C3 8B 10 FF 92 50 01 00 00 89 83 64 02 00 00 54 6A 0C 8B 83 70 01 00 00 50 8B 00 FF 50 4C 83 24 24 08 8B 04 24 50 6A 0C 8B 83 70 01 00 00 50 8B 00 FF 50 50 5A 5B C3 }
	condition:
		$1
}

rule function_15386_0 {
	meta:
		name = "TPacketDataSet.InternalClose"
		size = 44
		refs = "0006 TClientDataSet.InternalClose"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 93 60 02 00 00 8B C3 8B 08 FF 91 54 01 00 00 8D 93 64 02 00 00 8B C3 8B 08 FF 91 54 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15387_0 {
	meta:
		name = "TPacketDataSet.GetStateFieldValue"
		size = 87
		refs = "0022 TPacketDataSet.HasCurValues 0033 TClientDataSet.GetStateFieldValue 003a VarIsEmpty"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F8 8B 75 08 80 BF 6C 02 00 00 00 74 28 80 FB 08 75 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 18 56 8B 4D FC B2 09 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 56 8B 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15388_0 {
	meta:
		name = "TPacketDataSet.GetStreamMetaData"
		size = 25
	strings:
		$1 = { 51 54 6A 08 8B 80 70 01 00 00 50 8B 00 FF 50 4C 83 3C 24 00 0F 95 C0 5A C3 }
	condition:
		$1
}

rule function_15389_0 {
	meta:
		name = "TPacketDataSet.SetStreamMetaData"
		size = 22
	strings:
		$1 = { 80 F2 01 83 E2 7F 52 6A 08 8B 80 70 01 00 00 50 8B 00 FF 50 50 C3 }
	condition:
		$1
}

rule function_15390_0 {
	meta:
		name = "TPacketDataSet.UpdateKind"
		size = 27
	strings:
		$1 = { 8B 10 FF 92 F0 01 00 00 2C 02 74 06 FE C8 74 05 EB 06 B0 01 C3 B0 02 C3 33 C0 C3 }
	condition:
		$1
}

rule function_15391_0 {
	meta:
		name = "TPacketDataSet.DataEvent"
		size = 35
		refs = "001d TClientDataSet.DataEvent"
	strings:
		$1 = { 56 8B F0 8B C2 04 FE 2C 02 73 0F C6 86 6E 02 00 00 00 33 C0 89 86 68 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_15392_0 {
	meta:
		name = "TPacketDataSet.HasCurValues"
		size = 11
	strings:
		$1 = { 83 B8 68 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_15393_0 {
	meta:
		name = "TPacketDataSet.InitAltRecBuffers"
		size = 184
		refs = "0049 TDataSet.Next 007f TDataSet.ActiveBuffer 0091 TClientDataSet.SetAltRecBuffers"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 F0 01 00 00 84 C0 74 04 2C 03 75 10 8B 96 60 02 00 00 8B C6 8B 08 FF 91 C0 01 00 00 84 DB 74 3B 8B C6 8B 10 FF 92 F0 01 00 00 84 C0 75 2D 8B C6 8B 10 FF 92 F8 00 00 00 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 F0 01 00 00 3C 01 74 0C 8B D3 8B C6 8B 08 FF 91 44 01 00 00 8B C6 8B 10 FF 92 F0 01 00 00 3C 02 75 23 8B 86 64 02 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5E 5B C3 8B 86 64 02 00 00 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 96 60 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15394_0 {
	meta:
		name = "TPacketDataSet.SetFieldData"
		size = 88
		refs = "0043 TClientDataSet.Check 0050 TClientDataSet.SetFieldData"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB 8D 00 00 00 07 75 07 C6 83 6E 02 00 00 01 80 BB 6D 02 00 00 00 74 27 57 8B C6 8B 10 FF 52 6C 50 8B 83 64 02 00 00 50 8B 83 74 01 00 00 50 8B 00 FF 50 60 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15395_0 {
	meta:
		name = "TPacketDataSet.SetWritingCurValues"
		size = 54
		refs = "0029 TPacketDataSet.InitAltRecBuffers"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 1A 8B 86 64 02 00 00 89 86 68 02 00 00 8B D0 8B C6 8B 08 FF 91 00 01 00 00 EB 09 B2 01 8B C6 E8 ?? ?? ?? ?? 88 9E 6D 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15396_0 {
	meta:
		name = "TPacketDataSet.AssignCurValues"
		size = 331
		refs = "001b TPacketDataSet.AssignCurValues 002b TPacketDataSet.SetWritingCurValues 0041 TDataSet.GetFieldCount 0063 TFields.GetField 0070 TDataSet.FindField 0095 TField.GetOldValue 00ac @VarCmp 00b8 TField.GetNewValue 00ca VarIsEmpty 0117 @HandleFinally 012f Variant 0139 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C B0 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 24 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 8B 56 28 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 74 78 8B 06 FF 90 BC 00 00 00 84 C0 75 6C 8A 46 30 04 F4 2C 02 72 63 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 55 C0 8B C7 8B 08 FF 51 5C 8D 55 C0 58 E8 ?? ?? ?? ?? 74 40 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 D0 8B C7 8B 08 FF 51 5C 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 74 09 8B D7 8B C6 8B 08 FF 51 08 FF 45 F4 FF 4D F0 0F 85 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_15397_0 {
	meta:
		name = "TPacketDataSet.AssignCurValues"
		size = 447
		refs = "001c TPacketDataSet.AssignCurValues 002c TPacketDataSet.SetWritingCurValues 0041 VarIsNull 0061 VarArrayLowBound 006f VarArrayHighBound 0087 @VarArrayGet 0092 VarIsArray 00e9 @VarToLStr 00f4 TDataSet.FieldByName 0116 TFields.GetField 0121 VarIsEmpty 0130 TField.GetOldValue 013b @VarCmp 017a @HandleFinally 0191 @VarClr 0199 @LStrClr 01a2 Variant 01ac @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 33 D2 89 90 68 02 00 00 E9 08 01 00 00 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 2B FB 0F 8C E4 00 00 00 47 53 6A 01 56 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 63 6A 01 6A 01 53 6A 01 56 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 6A 01 53 6A 01 56 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C4 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D8 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 EB 20 53 6A 01 56 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 30 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 74 18 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 91 9C 00 00 00 43 4F 0F 85 1D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15398_0 {
	meta:
		name = "TPacketDataSet.HasMergeConflicts"
		size = 189
		refs = "0019 TPacketDataSet.HasMergeConflicts 002b TDataSet.GetFieldCount 0042 TFields.GetField 004e TField.GetCurValue 0056 VarIsEmpty 0064 TField.GetNewValue 007b @VarCmp 009d Variant 00a7 @FinalizeArray 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 55 46 33 FF 8B 45 FC 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 29 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 13 8D 45 E8 8D 55 D8 E8 ?? ?? ?? ?? 74 06 C6 45 FB 01 EB 04 47 4E 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8A 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15399_0 {
	meta:
		name = "TCustomProvider.Destroy"
		size = 91
		refs = "0005 @BeforeDestruction 0025 TList.Get 0036 TObject.Free 0047 TComponent.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 24 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 24 E8 ?? ?? ?? ?? 33 D2 89 50 2C 47 4E 75 ED 8B 45 24 E8 ?? ?? ?? ?? 33 C0 89 45 24 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15400_0 {
	meta:
		name = "TCustomProvider.AddProvider"
		size = 40
		refs = "000f _Dn_TList 0014 TObject.Create 0021 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 24 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15401_0 {
	meta:
		name = "TCustomProvider.RemoveProvider"
		size = 36
		refs = "000b TList.Remove 0019 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 18 E8 ?? ?? ?? ?? 8B 43 24 83 78 08 00 75 0A E8 ?? ?? ?? ?? 33 C0 89 43 24 5B C3 }
	condition:
		$1
}

rule function_15402_0 {
	meta:
		name = "TCustomProvider.GetProvider"
		size = 60
		refs = "000b _DV_TProviderObject 0010 TProviderObject.Create 0020 TCustomProvider.GetProvider 0025 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 35 49 64 6E F7 51 D0 11 8D 41 00 A0 24 8E 4B 9A }
	condition:
		$1
}

rule function_15405_0 {
	meta:
		name = "TCustomProvider.GetMetaData"
		size = 25
	strings:
		$1 = { 53 56 51 8B F2 8B D8 56 8D 4C 24 04 33 D2 8B C3 8B 18 FF 53 44 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15406_0 {
	meta:
		name = "TCustomProvider.Get_Data"
		size = 36
	strings:
		$1 = { 53 56 51 8B F2 8B D8 83 CA FF 8B C3 8B 08 FF 51 50 56 8D 4C 24 04 83 CA FF 8B C3 8B 18 FF 53 44 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15408_0 {
	meta:
		name = "TCustomProvider.DataRequest"
		size = 119
		refs = "001f @VarAddRef 0027 TCustomProvider.DataRequest 004a Null 004f @OleVarFromVar 0064 @VarClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2E 00 74 0E 56 8D 4D F0 8B D3 8B 43 30 FF 53 2C EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15411_0 {
	meta:
		name = "EUpdateError.Create"
		size = 163
		refs = "000e @ClassCreate 001d @LStrAddRef 002d EUpdateError.Create 003e @LStrAsg 005c Exception.Create 0071 @LStrClr 007f @HandleFinally 008c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 14 8B 55 14 E8 ?? ?? ?? ?? 8B 45 10 89 46 0C 8B 45 0C 89 46 10 8B 45 08 89 46 18 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15413_0 {
	meta:
		name = "TBaseProvider.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TComponent.Create 002b TBaseProvider.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 46 28 00 00 C6 46 64 01 33 C0 89 46 68 A0 ?? ?? ?? ?? 88 46 65 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_15414_0 {
	meta:
		name = "TBaseProvider.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TCustomProvider.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15415_0 {
	meta:
		name = "TBaseProvider.FreeResolver"
		size = 18
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 38 E8 ?? ?? ?? ?? 33 C0 89 43 38 5B C3 }
	condition:
		$1
}

rule function_15416_0 {
	meta:
		name = "TBaseProvider.GetUpdateException"
		size = 33
		refs = "0015 _DV_EUpdateError 001c EUpdateError.Create"
	strings:
		$1 = { 85 C9 74 05 8B 41 0C EB 02 33 C0 6A 00 6A 00 50 52 8B 4A 04 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15418_0 {
	meta:
		name = "TBaseProvider.ApplyUpdates"
		size = 137
		refs = "0018 TBaseProvider.ApplyUpdates 002c SReadOnlyProvider 0031 LoadResString 003b DatabaseError 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 65 20 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 83 7B 38 00 75 0A 8B C3 8B 10 FF 52 60 89 43 38 8B 45 0C 50 8B 45 08 50 8B D6 8B 4D FC 8B 43 38 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15419_0 {
	meta:
		name = "TBaseProvider.FetchData"
		size = 41
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 7B 38 00 75 0A 8B C3 8B 10 FF 52 60 89 43 38 8B CF 8B D6 8B 43 38 8B 18 FF 53 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15420_0 {
	meta:
		name = "TBaseProvider.GetRecords"
		size = 169
		refs = "0012 TBaseProvider.GetRecords 0079 TBaseProvider.DoOnGetData 0088 @HandleAnyException 0098 @RaiseAgain 009d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 33 8B 45 FC 8A 40 65 50 53 8B 45 08 50 8B 45 FC 66 8B 40 28 66 F7 D8 1B C9 F7 D9 8B 45 FC 80 78 64 00 75 08 85 F6 74 04 33 D2 EB 02 B2 01 8B 45 FC 8B 38 FF 57 64 8B 03 8B 55 FC 01 42 68 3B 33 74 0C 33 D2 8B 45 FC 8B 08 FF 51 50 EB 07 8B 45 FC C6 40 64 00 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 83 CA FF 8B 45 FC 8B 08 FF 51 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15421_0 {
	meta:
		name = "TBaseProvider.Reset"
		size = 11
	strings:
		$1 = { 66 F7 DA 1B D2 F7 DA 88 50 64 C3 }
	condition:
		$1
}

rule function_15422_0 {
	meta:
		name = "TBaseProvider.SetParams"
		size = 457
		refs = "0025 @VarAddRef 002d TBaseProvider.SetParams 003b VarIsNull 004b VarIsArray 0069 VarArrayOf 0074 @OleVarFromVar 0081 VarArrayHighBound 00b7 @VarArrayGet 012e @VarToLStr 018e @VarClr 0196 @LStrClr 01bc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8D 7D EC B9 04 00 00 00 F3 A5 89 45 FC 8D 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 36 01 00 00 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 25 8D 75 EC 8D 7D CC B9 04 00 00 00 F3 A5 8D 45 CC 8D 4D DC 33 D2 E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 10 FF 52 74 3B D8 7C 0B 8B 45 FC 8B 10 FF 52 74 8B D8 4B 8B F3 85 F6 0F 8C CB 00 00 00 46 33 DB 53 6A 01 8D 45 EC 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 DC E8 ?? ?? ?? ?? 84 C0 74 76 6A 01 6A 01 53 6A 01 8D 45 EC 50 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 AC 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 DC 8D 45 BC E8 ?? ?? ?? ?? 8D 45 BC 50 6A 00 6A 01 53 6A 01 8D 45 EC 50 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 98 50 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 AC 8D 45 A8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 59 8B 38 FF 57 68 EB 2B 53 6A 01 8D 45 EC 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 DC 8D 45 BC E8 ?? ?? ?? ?? 8D 4D BC 8B D3 8B 45 FC 8B 38 FF 57 6C 43 4E 0F 85 38 FF FF FF 33 D2 8B 45 FC 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15423_0 {
	meta:
		name = "TBaseProvider.DoOnGetData"
		size = 176
		refs = "0013 TBaseProvider.DoOnGetData 0030 _DV_TPacketDataSet 0035 TClientDataSet.Create 0041 TPacketDataSet.SetStreamMetaData 004d TClientDataSet.AppendData 0060 TClientDataSet.GetChangeCount 006c TClientDataSet.MergeChangeLog 0077 TClientDataSet.GetData 0081 @VarCopy 0089 TClientDataSet.EmptyDataSet 009e @VarClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 3E 00 74 69 8B 43 34 85 C0 75 13 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 EB 07 33 D2 E8 ?? ?? ?? ?? 8B D6 33 C9 8B 43 34 E8 ?? ?? ?? ?? 8B 4B 34 8B D3 8B 43 40 FF 53 3C 8B 43 34 E8 ?? ?? ?? ?? 85 C0 7E 1D 8B 43 34 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 34 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15424_0 {
	meta:
		name = "TBaseProvider.DoOnUpdateData"
		size = 35
		refs = "0012 TClientDataSet.SetLogChanges"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 7B 46 00 74 13 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 43 48 FF 53 44 5E 5B C3 }
	condition:
		$1
}

rule function_15426_0 {
	meta:
		name = "TBaseProvider.CreateDataPacket"
		size = 7
	strings:
		$1 = { 55 8B EC 5D C2 0C 00 }
	condition:
		$1
}

rule function_15432_0 {
	meta:
		name = "TDataSetProvider.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TBaseProvider.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 71 00 33 C0 89 46 74 66 C7 46 28 FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15433_0 {
	meta:
		name = "TDataSetProvider.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TBaseProvider.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 74 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15434_0 {
	meta:
		name = "TDataSetProvider.FetchData"
		size = 233
		refs = "0018 TDataSetProvider.FetchData 0068 TUpdateTree.InitData 0074 TBaseProvider.FetchData 0089 @LStrLen 0095 UniqueString 00c0 @HandleFinally 00d7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 40 6C 8B 08 FF 91 C4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 75 0E 8B 45 FC 8B 10 FF 52 60 8B 55 FC 89 42 38 8B 45 FC 8B 50 6C 8B 45 FC 8B 40 38 8B 40 34 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 2D 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 6C 8B 08 FF 91 A8 01 00 00 84 C0 74 11 8B 45 FC 8B 40 6C 8B 55 F8 8B 08 FF 91 24 01 00 00 C3 E9 ?? ?? ?? ?? EB BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15435_0 {
	meta:
		name = "TDataSetProvider.ApplyUpdates"
		size = 68
		refs = "0026 TUpdateTree.InitData 0039 TBaseProvider.ApplyUpdates"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 83 7B 38 00 75 0A 8B C3 8B 10 FF 52 60 89 43 38 8B 43 38 8B 40 34 8B 53 6C E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15436_0 {
	meta:
		name = "TDataSetProvider.DoGetDataSet"
		size = 19
		refs = "000c TComponent.FindComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16078_0 {
	meta:
		name = "TQRLabelEditor.GetValue"
		size = 19
		refs = "000c TQRCustomLabel.GetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15437_0 {
	meta:
		name = "TDataSetProvider.GetDataSet"
		size = 4
	strings:
		$1 = { 8B 40 6C C3 }
	condition:
		$1
}

rule function_15438_0 {
	meta:
		name = "TDataSetProvider.SetDataSet"
		size = 4
	strings:
		$1 = { 89 50 6C C3 }
	condition:
		$1
}

rule function_15440_0 {
	meta:
		name = "TDataSetProvider.GetRecords"
		size = 164
		refs = "0012 TDataSetProvider.GetRecords 0026 SMissingDataSet 002b LoadResString 0035 DatabaseError 003d TDataSet.GetActive 0049 TDataSet.Open 0059 TDataSet.CheckBrowseMode 006c TDataSet.First 007b TBaseProvider.GetRecords 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 6C 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 43 6C E8 ?? ?? ?? ?? 84 C0 75 10 8B 43 6C E8 ?? ?? ?? ?? C6 43 70 01 C6 43 64 01 8B 43 6C E8 ?? ?? ?? ?? 83 FE FF 75 0E 83 7B 68 00 75 08 8B 43 6C E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15441_0 {
	meta:
		name = "TDataSetProvider.DoGetParams"
		size = 545
		refs = "0021 TDataSetProvider.DoGetParams 0047 @VarClr 005a VarIsArray 006f VarArrayLowBound 007e VarArrayHighBound 0099 @VarArrayGet 0121 TPacketAttribute 012b @New 0139 TList.Add 0170 @VarToLStr 01a7 @OleVarFromVar 01d8 @VarToBool 01fc Variant 0206 @FinalizeArray 0214 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 91 D4 01 00 00 66 83 7B 7A 00 0F 84 A7 01 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8B CE 8B D3 8B 43 7C FF 53 78 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 84 01 00 00 8D 45 E4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 E4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 2B F3 0F 8C 5E 01 00 00 46 53 6A 01 8D 45 E4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D4 E8 ?? ?? ?? ?? 84 C0 0F 84 32 01 00 00 53 6A 01 8D 45 E4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 53 6A 01 8D 45 E4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D4 BA 01 00 00 00 E8 ?? ?? ?? ?? 2B F8 83 FF 02 0F 85 E5 00 00 00 53 6A 01 8D 45 E4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 57 6A 01 53 6A 01 8D 45 E4 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8D 47 01 50 6A 01 53 6A 01 8D 45 E4 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D4 8B 45 F4 83 C0 04 E8 ?? ?? ?? ?? 83 C7 02 57 6A 01 53 6A 01 8D 45 E4 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 F4 88 42 14 43 4E 0F 85 A3 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15442_0 {
	meta:
		name = "TDataSetProvider.CreateDataPacket"
		size = 103
		refs = "0013 _DV_TDataPacketWriter 0018 TCustomPacketWriter.Create 004e @VarClr 005c TDataPacketWriter.GetDataPacket"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F8 83 7F 74 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 74 8B 77 74 89 7E 18 8B 07 8B 40 7C 89 46 14 8A 47 71 88 46 1C 88 5E 11 66 8B 47 28 66 F7 D8 1B C0 F7 D8 88 46 12 8A 45 10 88 46 10 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B 57 6C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_15443_0 {
	meta:
		name = "TDataSetProvider.Reset"
		size = 83
		refs = "0014 TDataSet.Close 0020 TDataSet.GetActive 002c TDataSet.First 0035 TBaseProvider.Reset 0047 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 6C 85 C0 74 23 80 7B 70 00 74 09 E8 ?? ?? ?? ?? C6 43 70 00 8B 43 6C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 6C E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 68 66 85 F6 74 0D 8B 43 34 E8 ?? ?? ?? ?? 33 C0 89 43 34 5E 5B C3 }
	condition:
		$1
}

rule function_15444_0 {
	meta:
		name = "TDataSetProvider.Notification"
		size = 45
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 83 7F 6C 00 74 0A 3B 77 6C 75 05 33 C0 89 47 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15445_0 {
	meta:
		name = "GetFieldList"
		size = 320
		refs = "0021 GetFieldList 002f TDataSet.GetFieldCount 004a TFields.GetField 007c _Dn_TObjectField 0081 @IsClass 00b6 TList.Add 00ed TField.GetNewValue 00f5 VarIsEmpty 012d @VarClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C DE 00 00 00 47 33 F6 8B 45 FC 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B D8 8A 43 30 04 F4 2C 02 0F 82 B7 00 00 00 8B 03 FF 90 BC 00 00 00 84 C0 0F 85 A7 00 00 00 8B 43 24 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 8A 45 FB 2C 01 72 28 74 48 FE C8 75 7A F6 83 80 00 00 00 04 74 71 8B 43 24 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? EB 58 F6 83 80 00 00 00 02 74 4F 8B 43 24 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? EB 36 F6 83 80 00 00 00 04 75 16 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 17 8B 43 24 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 46 4F 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15446_0 {
	meta:
		name = "TDataSetProvider.FindRecord"
		size = 544
		refs = "0020 TDataSetProvider.FindRecord 0043 _Dn_TList 0048 TObject.Create 0066 GetFieldList 0094 VarArrayCreate 009c @LStrClr 00b4 TList.Get 00c9 TField.GetOldValue 00d6 @VarArrayPut 010b @LStrCat 019f SNoKeySpecified 01a4 LoadResString 01ae DatabaseError 01c3 TObject.Free 01c9 @HandleFinally 01e8 @VarClr"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8D 45 EC 50 6A 07 8B 83 70 01 00 00 50 8B 00 FF 50 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8A 55 08 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 58 08 83 FB 01 0F 8E C1 00 00 00 8D 45 DC 50 33 C0 89 45 D4 4B 89 5D D8 8D 45 D4 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 8B 78 08 4F 85 FF 7C 73 47 33 DB 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 83 7D EC 00 74 1F 53 6A 01 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 EB 1D 53 6A 01 8D 55 C4 8B C6 8B 08 FF 51 5C 8D 45 C4 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 83 7D F4 00 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 56 28 E8 ?? ?? ?? ?? 43 4F 75 90 A0 ?? ?? ?? ?? 50 8D 4D DC 8B 55 F4 8B 45 FC 8B 18 FF 93 DC 01 00 00 88 45 FB EB 78 4B 75 5E 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 83 7D EC 00 74 26 A0 ?? ?? ?? ?? 50 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 4D C4 8B 53 28 8B 45 FC 8B 18 FF 93 DC 01 00 00 88 45 FB EB 3D A0 ?? ?? ?? ?? 50 8D 55 C4 8B C3 8B 08 FF 51 5C 8D 4D C4 8B 53 28 8B 45 FC 8B 18 FF 93 DC 01 00 00 88 45 FB EB 17 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8A 45 FB 5F 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 01 00 00 00 3B 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15447_0 {
	meta:
		name = "TDataSetProvider.LocateRecord"
		size = 105
		refs = "0012 TDataSetProvider.LocateRecord 0027 TDataSetProvider.FindRecord 0033 SRecordChanged 0038 LoadResString 0042 DatabaseError 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 43 71 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15448_0 {
	meta:
		name = "TDataSetProvider.UpdateRecord"
		size = 425
		refs = "0022 TDataSetProvider.UpdateRecord 0043 TDataSet.First 004d TDataSet.Insert 0055 TDataSet.GetFieldCount 006d TFields.GetField 0078 TDataSet.FindField 00ab TDataSet.Next 00cb TDataSetProvider.FindRecord 00d7 SRecordChanged 00dc LoadResString 00e6 DatabaseError 00ee TDataSet.Edit 0146 TField.GetNewValue 014e VarIsNull 018c @VarClr 0194 @LStrClr 019a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 92 F4 00 00 00 85 C0 0F 85 81 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 66 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F4 33 FF 8B 45 F8 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B 50 28 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 14 8B 45 F8 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 47 FF 4D F4 75 C8 8B 45 F8 8B 10 FF 92 E4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 91 00 00 00 00 74 8E E9 BB 00 00 00 6A 02 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 71 40 89 45 F4 33 FF 8B 45 F8 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B 50 28 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 80 7D 08 00 74 2D 8B 06 FF 90 BC 00 00 00 84 C0 74 35 8B 45 F8 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F8 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 47 FF 4D F4 75 95 8B 45 F8 8B 10 FF 92 E4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15449_0 {
	meta:
		name = "TUpdateTree.Create"
		size = 120
		refs = "000e @ClassCreate 0025 _DV_TPacketDataSet 002a TClientDataSet.Create 0038 TDataSet.SetObjectView 0045 TFieldDefs.SetHiddenFields 004c _Dn_TList 0051 TObject.Create 0061 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 08 89 43 1C 89 4B 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 40 2C B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15450_0 {
	meta:
		name = "TUpdateTree.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 001c TUpdateTree.Clear 002a TObject.Free 0036 TObject.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C 85 C0 74 07 8B D6 8B 08 FF 51 40 8B C6 E8 ?? ?? ?? ?? 83 7E 10 00 75 08 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15451_0 {
	meta:
		name = "TUpdateTree.Clear"
		size = 155
		refs = "0012 TUpdateTree.Clear 001f TUpdateTree.GetDetailCount 0032 TUpdateTree.GetDetail 0037 TObject.Free 0047 @CallDynaInst 0050 Null 0055 @OleVarFromVar 0060 TClientDataSet.SetData 0088 @VarClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B 46 14 66 BB FF FF E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 46 04 E8 ?? ?? ?? ?? 83 7E 10 00 75 0D 8B 46 08 E8 ?? ?? ?? ?? 33 C0 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15452_0 {
	meta:
		name = "TUpdateTree.GetTree"
		size = 110
		refs = "000b TUpdateTree.GetDetailCount 001e TUpdateTree.GetDetail 0028 @LStrCmp 0048 _DV_TUpdateTree 004d TUpdateTree.Create 0059 @LStrAsg 0063 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 24 8B D5 E8 ?? ?? ?? ?? 75 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 2C 46 4F 75 DA 8B 43 1C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 24 8B D5 E8 ?? ?? ?? ?? 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15453_0 {
	meta:
		name = "TUpdateTree.InitData"
		size = 260
		refs = "0011 TDataSet.Open 0019 TDataSet.GetFieldCount 0030 TFields.GetField 005e TUpdateTree.GetTree 0069 TDataSetField.GetNestedDataSet 0073 TUpdateTree.InitData 007e _Dn_TList 0083 TObject.Create 009f TDataSet.GetDetailDataSets 00b7 TList.Get 00f1 TObject.Free 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F8 8B C2 89 47 0C E8 ?? ?? ?? ?? 8B 47 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 57 46 33 DB 8B 47 0C 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8A 40 30 2C 1D 75 3C 8B 47 0C 8B 40 24 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B 47 0C 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B 50 28 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 70 08 4E 85 F6 7C 32 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 08 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15454_0 {
	meta:
		name = "TUpdateTree.InitDelta"
		size = 836
		refs = "004d TUpdateTree.InitDelta 005f TClientDataSet.SetLogChanges 0076 TClientDataSet.GetOptionalParam 0084 @VarToLStr 008c TDataSet.GetFieldCount 00ab TFields.GetField 00bf TClientDataSet.InternalGetOptionalParam 00c7 VarIsNull 00d3 VarIsEmpty 00f2 @VarToInt 018f VarType 019c @VarToBool 01c9 @LStrToPChar 01d6 StrCopy 01e4 GetFieldSource 0208 @LStrFromArray 0231 @LStrAsg 0285 TUpdateTree.GetTree 0290 TDataSetField.GetNestedDataSet 02c5 TCustomResolver.InitKeyFields 02dd @VarClr 02eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 81 C4 68 FD FF FF 53 56 57 33 C9 89 8D 64 BD FF FF 89 8D 68 BD FF FF 89 8D 6C BD FF FF 89 8D 70 BD FF FF 89 4D E4 89 4D E8 89 4D EC 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 89 43 04 33 D2 E8 ?? ?? ?? ?? C6 45 FF 00 8D 8D 64 BD FF FF BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 95 64 BD FF FF 8D 43 20 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 0B 02 00 00 47 33 F6 8D 45 E4 50 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 6C 8B C8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 2A 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 05 80 00 00 00 50 8D 45 E4 E8 ?? ?? ?? ?? 5A 88 02 8D 45 E4 50 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 6C 8B C8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 24 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 18 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 83 C0 7C 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 6C 8B C8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 39 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 2D 8D 45 E4 E8 ?? ?? ?? ?? 83 F8 0B 75 20 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? C7 40 0C 01 00 00 00 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 40 28 E8 ?? ?? ?? ?? 8B D0 8D 85 9E BE FF FF E8 ?? ?? ?? ?? 8D 95 77 BD FF FF 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 22 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 83 C0 7C 8D 95 BE BE FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? EB 27 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 83 C0 7C 50 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 50 28 58 E8 ?? ?? ?? ?? 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? F6 80 80 00 00 00 04 74 04 C6 45 FF 01 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 80 78 30 1D 75 3C 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 89 45 F4 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 50 28 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 46 4F 0F 85 F8 FD FF FF 8B D3 8B 43 1C 8B 08 FF 51 3C 83 7B 20 00 74 13 80 7D FF 00 75 0D 8B 4B 04 8B D3 8B 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 BD FF FF E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 FF FF FF FF 0A 00 00 00 54 41 42 4C 45 5F 4E 41 4D 45 00 00 FF FF FF FF 09 00 00 00 50 52 4F 56 46 4C 41 47 53 00 00 00 FF FF FF FF 06 00 00 00 4F 52 49 47 49 4E 00 00 FF FF FF FF 0B 00 00 00 53 45 52 56 45 52 5F 43 41 4C 43 00 }
	condition:
		$1
}

rule function_15455_0 {
	meta:
		name = "TUpdateTree.InitDelta"
		size = 188
		refs = "0013 TUpdateTree.InitDelta 0021 TDataSet.GetActive 002c TUpdateTree.Clear 0036 TClientDataSet.SetData 0046 TClientDataSet.GetOptionalParam 004e VarIsNull 005a VarIsEmpty 006f @VarToInt 0094 @VarClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0C 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 8B 43 1C C6 40 29 00 EB 0E 8D 45 F0 E8 ?? ?? ?? ?? 8B 53 1C 88 42 29 8B 53 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0A 00 00 00 55 50 44 41 54 45 4D 4F 44 45 00 00 }
	condition:
		$1
}

rule function_15457_0 {
	meta:
		name = "TUpdateTree.GetDetail"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15458_0 {
	meta:
		name = "TUpdateTree.RefreshData"
		size = 370
		refs = "0014 TUpdateTree.RefreshData 0039 TDataSet.GetFieldCount 0050 TFields.GetField 0067 TField.GetNewValue 006f VarIsNull 00fc _Dn_TDataSetField 0101 @IsClass 013d TUpdateTree.GetTree 015f @VarClr 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 C6 45 FE 00 8B 43 04 8B 10 FF 92 F4 00 00 00 85 C0 7E 78 8B 43 04 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 69 47 33 F6 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 78 30 1D 75 1D 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 00 EB 30 8B 45 F8 8B 00 FF 90 BC 00 00 00 84 C0 74 1D 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FE 01 EB 04 46 4F 75 9A 80 7D FF 00 74 17 8A 45 FE 50 8B 43 1C 8B 40 24 8B 4B 04 8B 53 0C 8B 30 FF 56 5C EB 11 8B 43 1C 8B 40 24 8B 4B 04 8B 53 0C 8B 30 FF 56 58 8B 43 04 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 64 47 33 F6 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 20 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 50 28 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15459_0 {
	meta:
		name = "TUpdateTree.DoUpdates"
		size = 228
		refs = "000c TDataSet.First 0018 TPacketDataSet.InitAltRecBuffers 003b TCustomResolver.InternalUpdateRecord 004c TUpdateTree.GetDetailCount 005f TUpdateTree.GetDetail 0064 TUpdateTree.DoUpdates 00c9 TDataSet.Next"
	strings:
		$1 = { 53 56 57 55 8B F0 B3 01 8B 46 04 E8 ?? ?? ?? ?? E9 B8 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 46 1C 8B 08 FF 51 30 8B 46 04 8B 10 FF 92 F0 01 00 00 3C 02 75 14 8B D6 8B 46 1C E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1B 47 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 6F 45 4F 75 E8 8B 46 04 8B 10 FF 92 F0 01 00 00 84 C0 75 0A B2 01 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 92 F0 01 00 00 3C 01 75 0C 8B D6 8B 46 1C E8 ?? ?? ?? ?? 8B D8 8B 46 04 8B 10 FF 92 F0 01 00 00 3C 03 75 0C 8B D6 8B 46 1C E8 ?? ?? ?? ?? 8B D8 84 DB 74 18 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 80 B8 91 00 00 00 00 0F 84 38 FF FF FF 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15460_0 {
	meta:
		name = "TUpdateTree.GetErrorDS"
		size = 152
		refs = "001a _DV_TPacketDataSet 001f TClientDataSet.Create 002d TDataSet.SetObjectView 0038 TPacketDataSet.CreateFromDelta 0041 TUpdateTree.GetErrorDS 004f TDataSet.FieldByName 0059 _Dn_TDataSetField 005e @AsClass 0063 TDataSetField.GetNestedDataSet 007b TClientDataSet.SetLogChanges"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 0F 85 84 00 00 00 8B 73 10 85 F6 75 29 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? EB 37 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B 52 78 8B 52 28 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 33 D2 8B 43 08 E8 ?? ?? ?? ?? 6A 01 6A 06 8B 43 08 8B 80 70 01 00 00 50 8B 00 FF 50 50 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_15461_0 {
	meta:
		name = "TUpdateTree.GetHasErrors"
		size = 8
	strings:
		$1 = { 83 78 08 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_15462_0 {
	meta:
		name = "TUpdateTree.InitErrorPacket"
		size = 340
		refs = "0022 TUpdateTree.InitErrorPacket 002f TUpdateTree.GetErrorDS 0049 TDataSet.UpdateCursorPos 0070 @VarFromInt 008d TDataSet.Append 0096 TDataSet.Edit 00b2 TDataSet.SetFields 0124 @VarClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 89 5D F4 8B D9 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 47 10 85 C0 74 09 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 47 04 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 47 04 8B 80 74 01 00 00 50 8B 00 FF 90 D8 00 00 00 A0 ?? ?? ?? ?? 50 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 DC 01 00 00 84 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 22 8B 45 F8 89 45 E0 C6 45 E4 00 8D 55 E0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E4 01 00 00 EB 51 8B 45 F8 89 45 B0 C6 45 B4 00 33 C0 8A C3 40 89 45 B8 C6 45 BC 00 8B 45 FC 8B 40 04 89 45 C0 C6 45 C4 0B 33 C0 89 45 C8 C6 45 CC 0B C7 45 D0 01 00 00 00 C6 45 D4 00 C7 45 D8 01 00 00 00 C6 45 DC 00 8D 55 B0 B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 FF FF FF FF 0E 00 00 00 45 52 52 4F 52 5F 52 45 43 4F 52 44 4E 4F 00 00 }
	condition:
		$1
}

rule function_15463_0 {
	meta:
		name = "TCustomResolver.Create"
		size = 65
		refs = "000a @ClassCreate 001b _DV_TUpdateTree 0020 TUpdateTree.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 24 56 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15467_0 {
	meta:
		name = "TCustomResolver.InitKeyFields"
		size = 236
		refs = "001b TCustomResolver.InitKeyFields 004a ExtractFieldName 0052 TDataSet.GetFieldCount 0069 TFields.GetField 0074 AnsiCompareText 00b4 @LStrLen 00d3 @LStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 56 20 8B 43 24 8B 4D FC 8B 18 FF 53 70 C7 45 F8 01 00 00 00 EB 70 8D 4D F0 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 53 46 33 DB 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B 50 7C 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 30 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8A 80 80 00 00 00 0A 05 ?? ?? ?? ?? 50 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 5A 88 90 80 00 00 00 EB 04 43 4E 75 B0 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 F8 7D 83 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_15471_0 {
	meta:
		name = "TCustomResolver.InternalUpdateRecord"
		size = 618
		refs = "0018 TCustomResolver.InternalUpdateRecord 004e TPacketDataSet.UpdateKind 0077 TPacketDataSet.HasMergeConflicts 0083 SInvalidResponse 0088 LoadResString 0092 DatabaseError 0118 @HandleFinally 0196 @HandleAnyException 019b RaiseList 01b9 TObject.Free 01ee TCustomResolver.HandleUpdateError 0204 @DoneExcept 0255 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C0 89 45 E8 8B 45 F8 8B 40 04 C6 80 6C 02 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 88 45 F2 80 7D F2 01 75 0C 8B 45 FC 8A 40 28 04 FE 2C 02 72 18 8B 45 FC 80 78 28 02 75 26 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? C6 45 F3 00 8B 45 F8 8B 40 04 8B 10 FF 92 F8 00 00 00 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 24 66 83 78 56 00 74 1F 8B 55 F8 8B 52 04 52 8A 55 F2 52 8D 55 F3 52 8B D8 8B 55 F8 8B 4A 0C 8B D0 8B 43 58 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 10 FF 92 F8 00 00 00 3B 45 F4 74 11 8B 45 F8 8B 40 04 8B 55 F4 8B 08 FF 91 44 01 00 00 C3 E9 ?? ?? ?? ?? EB D4 80 7D F3 00 75 34 8A 45 F2 2C 01 72 08 74 20 FE C8 74 0F EB 25 8B 55 F8 8B 45 FC 8B 08 FF 51 48 EB 18 8B 55 F8 8B 45 FC 8B 08 FF 51 4C EB 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 50 8B 45 FC 8B 40 24 66 83 78 5E 00 74 1B 8B 55 F8 8B 52 04 52 8A 55 F2 52 8B D8 8B 55 F8 8B 4A 0C 8B D0 8B 43 60 FF 53 5C 33 C0 5A 59 59 64 89 10 E9 91 00 00 00 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 71 E8 ?? ?? ?? ?? 8B 58 08 E8 ?? ?? ?? ?? 33 D2 89 50 08 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC 8B 45 FC 8B 40 24 8B 4D EC 8B D3 8B 18 FF 53 78 89 45 E8 8B 45 FC 83 C0 30 50 8B 45 FC 83 C0 2C 50 8B 4D E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 F8 8B 40 04 C6 80 6C 02 00 00 01 E8 ?? ?? ?? ?? E9 2C FE FF FF E8 ?? ?? ?? ?? EB 0A E8 ?? ?? ?? ?? E9 1B FE FF FF 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC C6 40 28 00 8B 45 FC 8B 40 2C 8B 55 FC 3B 42 30 0F 9E C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15472_0 {
	meta:
		name = "TCustomResolver.FetchData"
		size = 98
		refs = "0011 TUpdateTree.InitDelta 0019 TCustomResolver.FetchData 002a TUpdateTree.RefreshData 003a TClientDataSet.GetData 0052 TUpdateTree.Clear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 45 FC 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 40 34 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_15473_0 {
	meta:
		name = "TCustomResolver.ApplyUpdates"
		size = 256
		refs = "001d TCustomResolver.ApplyUpdates 0030 TUpdateTree.InitDelta 0052 TBaseProvider.DoOnUpdateData 007c TUpdateTree.DoUpdates 0092 TUpdateTree.GetHasErrors 00a1 TUpdateTree.GetErrorDS 00a8 TClientDataSet.GetData 00b2 Null 00b7 @OleVarFromVar 00cf TUpdateTree.Clear 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B FA 89 45 FC 8B 75 08 8B 45 FC 8B 10 FF 52 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 8B 50 04 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC C6 40 28 00 83 FB FF 75 05 BB FF FF FF 7F 8B 45 FC 89 58 30 8B 45 FC 33 D2 89 50 2C 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 8B 55 0C 89 02 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15474_0 {
	meta:
		name = "TCustomResolver.HandleUpdateError"
		size = 186
		refs = "0014 TPacketDataSet.UpdateKind 009d TCustomResolver.LogUpdateError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B D8 8B 46 04 E8 ?? ?? ?? ?? 88 45 FA 8B 45 08 8B 00 8B 55 0C 3B 02 7D 06 C6 45 FB 00 EB 04 C6 45 FB 01 8B D6 8B C3 8B 08 FF 51 44 8B 43 24 66 83 78 4E 00 74 19 8B 55 FC 52 8A 55 FA 52 8D 55 FB 52 8B F8 8B 4E 04 8B D0 8B 47 50 FF 57 4C 8A 45 FB 2C 02 73 3D 8B 45 08 FF 00 8B 45 08 8B 00 8B 55 0C 3B 02 7E 04 C6 45 FB 01 80 7D FB 01 75 0B 8B 45 08 8B 00 48 8B 55 0C 89 02 8A 45 FB 2C 02 73 10 8A 45 FB 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 45 FB 88 43 28 8A 45 FB 04 FE 2C 02 0F 92 C0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15475_0 {
	meta:
		name = "TCustomResolver.LogUpdateError"
		size = 260
		refs = "0016 TCustomResolver.LogUpdateError 0028 TUpdateTree.InitErrorPacket 0030 TPacketDataSet.HasCurValues 0040 TDataSet.GetFieldCount 005b TFields.GetField 0092 TField.GetCurValue 009a VarIsEmpty 00b6 TUpdateTree.GetErrorDS 00bc TDataSet.FieldByName 00ef @VarClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 0F 84 93 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 80 00 00 00 47 33 F6 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 00 FF 90 BC 00 00 00 84 C0 75 60 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8A 40 30 04 F4 2C 02 72 4A 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 29 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 40 28 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 91 9C 00 00 00 46 4F 75 83 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 E4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15477_0 {
	meta:
		name = "TDataSetResolver.BeginUpdate"
		size = 85
		refs = "000d TDataSetResolver.BeginUpdate 002f @LStrAsg 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 8D 55 FC 8B 46 6C 8B 08 FF 91 C4 00 00 00 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15478_0 {
	meta:
		name = "TDataSetResolver.EndUpdate"
		size = 62
		refs = "000e @LStrLen 001a UniqueString"
	strings:
		$1 = { 53 56 8B D8 8B 43 24 8B 70 6C 8B 43 38 E8 ?? ?? ?? ?? 85 C0 7E 25 8D 43 38 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 A8 01 00 00 84 C0 74 0D 8B 53 38 8B C6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15479_0 {
	meta:
		name = "TDataSetResolver.InitializeConflictBuffer"
		size = 40
		refs = "0012 TDataSetProvider.FindRecord 0021 TPacketDataSet.AssignCurValues"
	strings:
		$1 = { 53 56 8B DA 8B 70 24 6A 02 8B 4B 04 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 53 0C 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15480_0 {
	meta:
		name = "TDataSetResolver.InternalBeforeResolve"
		size = 39
		refs = "000e TDataSet.Open 0020 TDataSetProvider.FindRecord"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 0C 85 C0 74 05 E8 ?? ?? ?? ?? 8A 46 29 50 8B 4B 04 8B 53 0C 8B 46 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15481_0 {
	meta:
		name = "PutObjectField"
		size = 237
		refs = "0016 PutObjectField 0026 TField.GetNewValue 002e VarIsNull 0049 TObjectField.GetFieldCount 0064 TFields.GetField 0074 VarIsEmpty 00c0 PutField 00da @VarClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 10 FF 92 B8 00 00 00 E9 83 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 75 47 33 DB 8B C6 8B 10 FF 92 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 49 8B C6 8B 10 FF 92 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? F6 80 80 00 00 00 01 74 2F 8B 45 08 50 8B 45 FC 8B 10 FF 92 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? 50 8B C6 8B 10 FF 92 C8 00 00 00 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 59 43 4F 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15482_0 {
	meta:
		name = "PutField"
		size = 183
		refs = "0014 PutField 0034 PutObjectField 0045 SNoDataSets 004a LoadResString 0054 _Dn_Exception 0059 Exception.Create 005e @RaiseExcept 006a TField.GetNewValue 0072 VarIsEmpty 009d @VarClr 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 46 30 8B D0 80 C2 E6 80 EA 02 73 10 8B 45 08 50 8B D7 8B C6 E8 ?? ?? ?? ?? 59 EB 51 04 E4 2C 02 73 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 12 F6 86 80 00 00 00 01 74 09 8B D6 8B C7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_15483_0 {
	meta:
		name = "TDataSetResolver.PutRecord"
		size = 169
		refs = "000e TDataSetResolver.PutRecord 001f TDataSet.GetFieldCount 0039 TFields.GetField 0047 TDataSet.FindField 0065 PutField 0087 @HandleAnyException 009a @RaiseAgain 009f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 44 47 33 DB 8B 45 FC 8B 40 04 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B 50 28 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 85 F6 74 19 55 8B 45 FC 8B 40 04 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 59 43 4F 75 BF 8B 45 FC 8B 40 0C 8B 10 FF 92 E4 01 00 00 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 92 AC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15484_0 {
	meta:
		name = "TDataSetResolver.DoUpdate"
		size = 125
		refs = "0010 TDataSetResolver.DoUpdate 002a TDataSetProvider.FindRecord 0036 SRecordChanged 003b LoadResString 0045 DatabaseError 004d TDataSet.Edit 0056 TDataSetResolver.PutRecord 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 24 8A 47 71 50 8B 4B 04 8B 53 0C 8B C7 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15485_0 {
	meta:
		name = "TDataSetResolver.DoDelete"
		size = 114
		refs = "000d TDataSetResolver.DoDelete 0027 TDataSetProvider.FindRecord 0033 TDataSet.Delete 003d SRecordChanged 0042 LoadResString 004c DatabaseError 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 58 24 8A 43 71 50 8B 4E 04 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 46 0C E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15486_0 {
	meta:
		name = "TDataSetResolver.DoInsert"
		size = 26
		refs = "000a TDataSet.Append 0013 TDataSetResolver.PutRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 0C E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15487_0 {
	meta:
		name = "TSQLResolver.Create"
		size = 137
		refs = "0011 @ClassCreate 002d TCustomResolver.Create 0034 _Dn_TStringList 0039 TObject.Create 0045 _Dn_TParams 004a TParams.Create 0070 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B 45 F8 89 46 40 8B 45 FC 89 46 44 8B 45 F0 89 46 48 8B 45 F4 89 46 4C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15489_0 {
	meta:
		name = "TSQLResolver.GetQuotedTableName"
		size = 136
		refs = "001a @LStrLAsg 0021 TSQLResolver.GetQuotedTableName 0026 @LStrPos 0039 @LStrInsert 0059 @LStrCatN"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B 75 08 8B 42 18 8B D8 80 3B 00 74 4A 8B C6 8B D7 E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 19 8D 4F 01 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B D6 8B CF 8B 43 04 E8 ?? ?? ?? ?? FF 73 04 FF 36 FF 73 04 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 13 FF 73 04 57 FF 73 04 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_15490_0 {
	meta:
		name = "TSQLResolver.InitTreeData"
		size = 424
		refs = "0016 TSQLResolver.InitTreeData 0022 TSQLInfo 002c @New 0041 TClientDataSet.GetOptionalParam 0049 VarIsNull 0055 VarIsEmpty 0061 VarType 006e @VarToBool 00a8 @VarToLStr 00b2 @LStrClr 00c2 TSQLResolver.GetQuotedTableName 00cd @LStrAsg 00ec @LStrCat3 00f8 TDataSet.GetFieldCount 0110 TFields.GetField 0116 _Dn_TObjectField 011b @IsClass 015e @VarClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 14 00 00 00 E8 ?? ?? ?? ?? 8B F8 89 7B 18 8D 4D EC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 25 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 19 8D 45 EC E8 ?? ?? ?? ?? 83 F8 0B 75 0C 8D 45 EC E8 ?? ?? ?? ?? 88 07 EB 03 C6 07 01 8D 4D EC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 19 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 0D 8D 47 04 8D 55 EC E8 ?? ?? ?? ?? EB 08 8D 47 04 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4B 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8D 47 08 E8 ?? ?? ?? ?? 80 3F 00 74 0A 8D 47 0C E8 ?? ?? ?? ?? EB 10 8B 57 08 8D 47 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 11 00 8B 43 04 E8 ?? ?? ?? ?? 48 85 C0 7C 44 40 89 45 FC 33 F6 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B 43 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 83 B8 D0 00 00 00 00 74 06 C6 47 11 01 EB 06 46 FF 4D FC 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 09 00 00 00 53 51 4C 5F 42 41 53 45 44 00 00 00 FF FF FF FF 0A 00 00 00 51 55 4F 54 45 5F 43 48 41 52 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_15491_0 {
	meta:
		name = "TSQLResolver.FreeTreeData"
		size = 24
		refs = "0005 TSQLInfo 000d @Dispose"
	strings:
		$1 = { 53 8B DA 8B 15 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 33 C0 89 43 18 5B C3 }
	condition:
		$1
}

rule function_15493_0 {
	meta:
		name = "TSQLResolver.DoGetValues"
		size = 33
	strings:
		$1 = { 55 8B EC 53 66 83 78 4A 00 74 11 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15494_0 {
	meta:
		name = "TSQLResolver.InitializeConflictBuffer"
		size = 156
		refs = "000f TSQLResolver.InitializeConflictBuffer 002b @LStrLAsg 0035 @LStrClr 0045 TCollection.Clear 0059 TSQLResolver.GenSelectSQL 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 18 80 78 11 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 43 38 8B 10 FF 52 40 8B 43 3C E8 ?? ?? ?? ?? 8B 43 3C 50 8B 45 FC 50 8B 4B 38 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 50 8B 4B 3C 8B 53 38 8B C3 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_15495_0 {
	meta:
		name = "TSQLResolver.InternalDoUpdate"
		size = 212
		refs = "0012 TSQLResolver.InternalDoUpdate 002e @LStrLAsg 0038 @LStrClr 0048 TCollection.Clear 0069 TSQLResolver.GenUpdateSQL 007b TSQLResolver.GenInsertSQL 0091 TSQLResolver.GenDeleteSQL 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 18 80 78 11 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 47 38 8B 10 FF 52 40 8B 47 3C E8 ?? ?? ?? ?? 80 EB 01 72 08 74 1C FE CB 74 2A EB 3C 8B 47 3C 50 8B 45 FC 50 8B 4F 38 8B D6 8B C7 E8 ?? ?? ?? ?? EB 26 8B 47 3C 50 8B 4F 38 8B D6 8B C7 E8 ?? ?? ?? ?? EB 14 8B 47 3C 50 8B 45 FC 50 8B 4F 38 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 4F 3C 8B 57 38 8B C7 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_15497_0 {
	meta:
		name = "TSQLResolver.DoDelete"
		size = 8
		refs = "0003 TSQLResolver.InternalDoUpdate"
	strings:
		$1 = { B1 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15499_0 {
	meta:
		name = "QuoteFullName"
		size = 128
		refs = "0029 QuoteFullName 002e Format 0035 @LStrLen 0051 @LStrInsert"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B FA 8B D8 56 89 7C 24 04 C6 44 24 08 0B 89 5C 24 0C C6 44 24 10 0B 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7C 25 8B 06 80 7C 18 FF 2E 75 17 8D 4B 01 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B CB 8B C7 E8 ?? ?? ?? ?? 4B 85 DB 75 DB 83 C4 10 5F 5E 5B C3 FF FF FF FF 08 00 00 00 25 73 25 73 25 30 3A 73 00 00 00 00 }
	condition:
		$1
}

rule function_15500_0 {
	meta:
		name = "TSQLResolver.UseFieldInUpdate"
		size = 149
		refs = "0010 TSQLResolver.UseFieldInUpdate 0053 TField.GetNewValue 005b VarIsEmpty 0082 @VarClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 80 00 00 00 01 74 46 8A 43 30 84 C0 74 3F 2C 0E 74 3B 2C 08 74 37 04 FC 2C 04 72 31 80 7B 31 00 75 2B 80 7B 32 00 75 25 F6 83 80 00 00 00 08 75 1C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 06 83 7B 0C 01 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15501_0 {
	meta:
		name = "TSQLResolver.UseFieldInWhere"
		size = 207
		refs = "0018 TSQLResolver.UseFieldInWhere 007f TField.GetNewValue 0087 VarIsEmpty 00bb @VarClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 88 4D FF 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 46 30 84 C0 74 22 2C 16 74 1E 04 FC 2C 04 72 18 8B 06 FF 90 BC 00 00 00 84 C0 75 0C 80 7E 32 00 75 06 83 7E 0C 01 75 04 33 DB EB 02 B3 01 84 DB 74 55 8A 45 FF 2C 01 72 08 74 12 FE C8 74 3E EB 46 F6 86 80 00 00 00 02 0F 95 C3 EB 3A F6 86 80 00 00 00 02 74 16 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 74 0D F6 86 80 00 00 00 04 75 04 33 DB EB 0E B3 01 EB 0A F6 86 80 00 00 00 04 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15502_0 {
	meta:
		name = "AddField"
		size = 776
		refs = "0029 AddField 0047 TObjectField.GetFieldCount 006a TFields.GetField 008e TSQLResolver.UseFieldInWhere 00aa TField.GetOldValue 00b2 VarIsNull 00d1 TField.GetFullName 00df QuoteFullName 00fb Format 015e TCollection.Add 0166 TParam.AssignFieldValue 01a1 @VarToLStr 01a9 @LStrLen 0272 @LStrArrayClr 027a @VarClr 0282 @LStrClr 0288 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D F0 89 4D F4 89 4D D4 89 4D D0 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 18 8B F0 80 7B 30 1A 75 3B 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 06 02 00 00 46 33 FF 8B 45 08 50 8B C3 8B 10 FF 92 C8 00 00 00 8B D7 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 59 47 4E 75 DF E9 DD 01 00 00 8B 45 08 8A 48 0C 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 C2 01 00 00 80 7D FF 00 0F 84 CB 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 4A 8D 45 F8 50 8B 45 08 8B 40 08 89 45 D8 C6 45 DC 0B 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 8D 4D D4 8B 56 04 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4A 01 00 00 8D 45 F8 50 8B 45 08 8B 40 08 89 45 D8 C6 45 DC 0B 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 8D 4D D4 8B 56 04 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 08 8B 40 10 E8 ?? ?? ?? ?? 8B D3 59 E8 ?? ?? ?? ?? E9 DF 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 2C 80 3E 00 75 66 80 7B 30 01 75 60 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 75 3F 8D 45 F8 50 8B 45 08 8B 40 FC 8B 40 18 8B 40 0C 89 45 B8 C6 45 BC 0B 8B 46 04 89 45 C0 C6 45 C4 0B 8B 43 7C 89 45 C8 C6 45 CC 0B 8D 55 B8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 8D 45 F8 50 8B 45 08 8B 40 FC 8B 40 18 8B 40 0C 89 45 B8 C6 45 BC 0B 8B 46 04 89 45 C0 C6 45 C4 0B 8B 43 7C 89 45 C8 C6 45 CC 0B 8D 55 B8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 08 8B 40 10 E8 ?? ?? ?? ?? 8B D3 59 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 F8 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 12 00 00 00 20 25 73 2E 25 73 20 69 73 20 6E 75 6C 6C 20 61 6E 64 00 00 FF FF FF FF 0E 00 00 00 20 25 73 2E 25 73 20 3D 20 3F 20 61 6E 64 00 00 FF FF FF FF 17 00 00 00 20 25 73 25 73 25 73 25 31 3A 73 20 69 73 20 6E 75 6C 6C 20 61 6E 64 00 FF FF FF FF 13 00 00 00 20 25 73 25 73 25 73 25 31 3A 73 20 3D 20 3F 20 61 6E 64 00 }
	condition:
		$1
}

rule function_15503_0 {
	meta:
		name = "TSQLResolver.GenWhereSQL"
		size = 280
		refs = "001d @LStrAddRef 0025 TSQLResolver.GenWhereSQL 0043 TDataSet.GetFieldCount 005e TFields.GetField 006c @LStrCmp 0075 AddField 009c @LStrLen 00ae @LStrCopy 00e0 @LStrArrayClr 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D F0 89 4D F4 89 55 FC 89 45 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 34 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 30 43 33 F6 55 8B 45 FC 8B 40 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 50 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 58 E8 ?? ?? ?? ?? 59 46 4B 75 D3 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8D 4D F0 8B 45 F4 8B 18 FF 53 0C 8D 45 EC 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 83 E9 04 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8B 45 F4 59 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 0C 00 FF FF FF FF 05 00 00 00 77 68 65 72 65 00 00 00 FF FF FF FF 01 00 00 00 42 00 00 00 }
	condition:
		$1
}

rule function_15504_0 {
	meta:
		name = "AddField"
		size = 796
		refs = "0028 AddField 008f Format 009a @LStrAsg 00d9 TObjectField.GetFieldCount 00fe TFields.GetField 011a @LStrLen 012b @LStrCopy 013a @LStrCat3 01f2 TSQLResolver.UseFieldInUpdate 025a @LStrCat 0264 TField.GetNewValue 026c VarIsEmpty 027a TField.GetOldValue 0285 TCollection.Add 028f TParam.AssignFieldValue 02a4 @LStrClr 02ac @VarClr 02ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D E0 89 5D F4 89 5D E4 89 5D E8 89 5D EC 89 5D F0 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 18 8B F8 8A 43 30 04 E6 2C 02 0F 83 F9 00 00 00 8D 45 E0 50 8B 45 FC 8B 00 89 45 C0 C6 45 C4 0B 8B 45 08 8B 40 FC 8B 40 18 8B 40 0C 89 45 C8 C6 45 CC 0B 8B 47 04 89 45 D0 C6 45 D4 0B 8B 43 7C 89 45 D8 C6 45 DC 0B 8D 55 C0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 50 8B 06 89 45 B0 C6 45 B4 0B 8B FB 8B 87 D0 00 00 00 89 45 B8 C6 45 BC 0B 8D 55 B0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 31 40 89 C7 C7 45 F8 00 00 00 00 8B 45 08 50 8B C3 8B 10 FF 92 C8 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B CE 8D 55 F4 E8 ?? ?? ?? ?? 59 FF 45 F8 4F 75 D9 8D 45 E0 50 8B 06 E8 ?? ?? ?? ?? 8B C8 83 E9 02 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 50 01 00 00 80 7B 30 1D 0F 85 9C 00 00 00 83 BB D0 00 00 00 00 0F 84 8F 00 00 00 8D 45 E0 50 8B 45 FC 8B 00 89 45 C0 C6 45 C4 0B 8B 45 08 8B 40 FC 8B 40 18 8B 40 0C 89 45 C8 C6 45 CC 0B 8B 47 04 89 45 D0 C6 45 D4 0B 8B 43 7C 89 45 D8 C6 45 DC 0B 8D 55 C0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 50 8B 06 89 45 B0 C6 45 B4 0B 8B 83 D0 00 00 00 89 45 B8 C6 45 BC 0B 8D 55 B0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? E9 AA 00 00 00 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 95 00 00 00 8D 45 E0 50 8B 45 FC 8B 00 89 45 C0 C6 45 C4 0B 8B 45 08 8B 40 FC 8B 40 18 8B 40 0C 89 45 C8 C6 45 CC 0B 8B 47 04 89 45 D0 C6 45 D4 0B 8B 43 7C 89 45 D8 C6 45 DC 0B 8D 55 C0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8D 4D E4 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 0E 00 00 00 25 73 25 73 25 73 25 73 25 32 3A 73 2C 20 00 00 FF FF FF FF 05 00 00 00 25 73 25 73 28 00 00 00 FF FF FF FF 03 00 00 00 29 2C 20 00 FF FF FF FF 08 00 00 00 25 73 25 73 28 29 2C 20 00 00 00 00 FF FF FF FF 03 00 00 00 3F 2C 20 00 }
	condition:
		$1
}

rule function_15505_0 {
	meta:
		name = "TSQLResolver.GenInsertSQL"
		size = 628
		refs = "0023 TSQLResolver.GenInsertSQL 005b QuoteFullName 0092 Format 00b9 TSQLResolver.GenWhereSQL 00fd @LStrLAsg 0113 TDataSet.GetFieldCount 012e TFields.GetField 0139 AddField 0153 @LStrLen 0165 @LStrCopy 0172 @LStrCat 01d5 @LStrClr 01e2 @LStrArrayClr 01e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 DB 89 5D E8 89 5D CC 89 5D F0 89 5D EC 89 4D F4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 8B D8 8B 45 F4 8B 10 FF 52 40 8B 45 FC 83 78 20 00 0F 85 82 00 00 00 8D 45 E8 50 8D 4D CC 8B 53 04 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 0B 8B 45 FC 8B 40 10 8B 40 18 8B 40 08 89 45 D8 C6 45 DC 0B C6 45 E0 41 C6 45 E4 02 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 34 8B 45 08 50 6A 02 68 ?? ?? ?? ?? 8B 45 FC 8B 50 10 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 34 EB 28 8D 45 E8 50 8B 43 08 89 45 C4 C6 45 C8 0B 8D 55 C4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 34 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 55 8B 45 FC 8B 40 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8D 4D EC 8D 55 F0 E8 ?? ?? ?? ?? 59 46 4B 75 DF 8B 45 FC 83 78 20 00 74 36 8D 45 E8 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 34 8D 45 E8 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 00 FF FF FF FF 25 00 00 00 69 6E 73 65 72 74 20 69 6E 74 6F 20 74 68 65 20 28 73 65 6C 65 63 74 20 25 73 20 46 52 4F 4D 20 25 73 20 25 73 00 00 00 FF FF FF FF 01 00 00 00 41 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 0E 00 00 00 69 6E 73 65 72 74 20 69 6E 74 6F 20 25 73 00 00 FF FF FF FF 03 00 00 00 20 20 28 00 FF FF FF FF 06 00 00 00 76 61 6C 75 65 73 00 00 }
	condition:
		$1
}

rule function_15506_0 {
	meta:
		name = "TSQLResolver.GenDeleteSQL"
		size = 472
		refs = "001c @LStrAddRef 0024 TSQLResolver.GenDeleteSQL 004d @LStrLAsg 005f QuoteFullName 0093 Format 00b5 TSQLResolver.GenWhereSQL 0142 @LStrClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D F8 89 5D DC 8B F1 8B DA 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B F8 8B C6 8B 10 FF 52 40 83 7B 20 00 0F 85 9E 00 00 00 8D 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 4D DC 8B 57 04 8B 43 24 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 0B 8B 43 10 8B 40 18 8B 40 08 89 45 E8 C6 45 EC 0B C6 45 F0 41 C6 45 F4 02 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 34 8B 45 0C 50 6A 02 68 ?? ?? ?? ?? 8B CE 8B 53 10 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 08 89 45 D4 C6 45 D8 0B 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 34 EB 34 8D 45 F8 50 8B 47 08 89 45 C4 C6 45 C8 0B 8B 45 08 89 45 CC C6 45 D0 0B 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 34 8B 45 0C 50 8B 45 FC 8A 40 29 50 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 01 00 00 00 42 00 00 00 FF FF FF FF 20 00 00 00 64 65 6C 65 74 65 20 74 68 65 20 28 73 65 6C 65 63 74 20 25 73 20 46 52 4F 4D 20 25 73 20 25 73 00 00 00 00 FF FF FF FF 01 00 00 00 41 00 00 00 FF FF FF FF 04 00 00 00 29 20 25 73 00 00 00 00 FF FF FF FF 11 00 00 00 64 65 6C 65 74 65 20 66 72 6F 6D 20 25 73 20 25 73 00 00 00 }
	condition:
		$1
}

rule function_15507_0 {
	meta:
		name = "AddField"
		size = 1060
		refs = "002f AddField 0070 Format 0085 TObjectField.GetFieldCount 00a4 TFields.GetField 00e5 @LStrLen 00f5 @LStrCopy 0140 TField.GetFullName 0239 TField.GetNewValue 0241 VarIsEmpty 024f TField.GetOldValue 025a TCollection.Add 0264 TParam.AssignFieldValue 0276 TSQLResolver.UseFieldInUpdate 02ad QuoteFullName 0382 @LStrClr 039a @VarClr 03a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D E4 89 5D C8 89 5D AC 89 5D F8 89 5D E8 89 5D EC 89 5D F0 89 5D F4 88 4D FE 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 18 8B D8 80 7E 30 1A 0F 85 DE 00 00 00 80 7D FE 00 74 2E 8D 45 E4 50 8B 86 D0 00 00 00 89 45 DC C6 45 E0 0B 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 F8 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 27 43 33 FF 8B 45 08 50 8B C6 8B 10 FF 92 C8 00 00 00 8B D7 E8 ?? ?? ?? ?? 8A 4D FE B2 01 E8 ?? ?? ?? ?? 59 47 4B 75 DC 80 7D FE 00 0F 84 B0 02 00 00 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B 45 08 8B 40 F8 8B 18 FF 53 0C 8D 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D0 4A 8B 45 08 8B 40 F8 59 8B 18 FF 53 20 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? 8B 08 FF 51 34 E9 45 02 00 00 80 7E 30 1B 0F 85 E7 00 00 00 8D 45 E4 50 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 0B 8B DE 8B 83 D0 00 00 00 89 45 D4 C6 45 D8 0B 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 F8 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 29 40 89 C3 33 FF 8B 45 08 50 8B C6 8B 10 FF 92 C8 00 00 00 8B D7 E8 ?? ?? ?? ?? B1 01 8A 55 FF E8 ?? ?? ?? ?? 59 47 4B 75 DC 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B 45 08 8B 40 F8 8B 18 FF 53 0C 8D 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D0 4A 8B 45 08 8B 40 F8 59 8B 18 FF 53 20 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? 8B 08 FF 51 34 E9 54 01 00 00 80 7D FE 00 74 4A 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? 8B 08 FF 51 34 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? E9 04 01 00 00 8B 45 08 8B 40 F4 8B D6 E8 ?? ?? ?? ?? 84 C0 0F 84 EF 00 00 00 80 7D FF 00 74 69 8D 45 E4 50 8B 45 08 8B 40 08 89 45 B0 C6 45 B4 0B 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D C8 8B 53 04 E8 ?? ?? ?? ?? 8B 45 C8 89 45 B8 C6 45 BC 0B 8D 55 AC 8B C6 E8 ?? ?? ?? ?? 8B 45 AC 89 45 C0 C6 45 C4 0B 8D 55 B0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 F8 8B 08 FF 51 34 EB 4B 8D 45 E4 50 8B 45 08 8B 40 FC 8B 40 18 8B 40 0C 89 45 B0 C6 45 B4 0B 8B 43 04 89 45 B8 C6 45 BC 0B 8B 46 7C 89 45 C0 C6 45 C4 0B 8D 55 B0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 F8 8B 08 FF 51 34 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 20 25 73 28 00 00 00 00 FF FF FF FF 02 00 00 00 29 2C 00 00 FF FF FF FF 08 00 00 00 25 73 20 3D 20 25 73 28 00 00 00 00 FF FF FF FF 03 00 00 00 20 3F 2C 00 FF FF FF FF 0B 00 00 00 20 25 73 2E 25 73 20 3D 20 3F 2C 00 FF FF FF FF 10 00 00 00 20 25 73 25 73 25 73 25 31 3A 73 20 3D 20 3F 2C 00 00 00 00 }
	condition:
		$1
}

rule function_15508_0 {
	meta:
		name = "TSQLResolver.GenUpdateSQL"
		size = 640
		refs = "0020 @LStrAddRef 0028 TSQLResolver.GenUpdateSQL 0050 @LStrLAsg 0065 QuoteFullName 009c Format 00c3 TSQLResolver.GenWhereSQL 012d TDataSet.GetFieldCount 0148 TFields.GetField 0156 @LStrCmp 0161 AddField 0188 @LStrLen 0198 @LStrCopy 01e2 @LStrClr 01ef @LStrArrayClr 01fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 33 DB 89 5D EC 89 5D D0 89 5D F0 89 4D F8 89 55 FC 89 45 F4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 8B D8 8B 45 FC 83 78 20 00 0F 85 AA 00 00 00 8D 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D D0 8B 53 04 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8B 45 FC 8B 40 10 8B 40 18 8B 40 08 89 45 DC C6 45 E0 0B C6 45 E4 41 C6 45 E8 02 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 34 8B 45 0C 50 6A 02 68 ?? ?? ?? ?? 8B 45 FC 8B 50 10 8B 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 08 89 45 C8 C6 45 CC 0B 8D 55 C8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 34 EB 35 8D 45 EC 50 8B 43 08 89 45 B8 C6 45 BC 0B 8B 45 08 89 45 C0 C6 45 C4 0B 8D 55 B8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 34 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 32 43 33 F6 55 8B 45 FC 8B 40 04 8B 40 24 8B D6 E8 ?? ?? ?? ?? 50 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 33 C9 58 E8 ?? ?? ?? ?? 59 46 4B 75 D1 8B 45 F8 8B 10 FF 52 14 8B D0 4A 8D 4D F0 8B 45 F8 8B 18 FF 53 0C 8D 45 EC 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 8B 10 FF 52 14 8B D0 4A 8B 45 F8 59 8B 18 FF 53 20 8B 45 0C 50 8B 45 F4 8A 40 29 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 08 00 00 FF FF FF FF 01 00 00 00 42 00 00 00 FF FF FF FF 20 00 00 00 75 70 64 61 74 65 20 74 68 65 20 28 73 65 6C 65 63 74 20 25 73 20 46 52 4F 4D 20 25 73 20 25 73 00 00 00 00 FF FF FF FF 01 00 00 00 41 00 00 00 FF FF FF FF 08 00 00 00 29 20 25 73 20 73 65 74 00 00 00 00 FF FF FF FF 10 00 00 00 75 70 64 61 74 65 20 25 73 20 25 73 20 73 65 74 00 00 00 00 }
	condition:
		$1
}

rule function_15509_0 {
	meta:
		name = "TSQLResolver.GenSelectSQL"
		size = 468
		refs = "001d @LStrAddRef 0025 TSQLResolver.GenSelectSQL 004c TDataSet.GetFieldCount 006c TFields.GetField 00b1 Format 00e4 @LStrLen 00f4 @LStrCopy 015c TSQLResolver.GenWhereSQL 0171 @LStrClr 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 33 DB 89 5D E4 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 18 89 45 E8 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 34 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6F 46 C7 45 F0 00 00 00 00 8B 45 F8 8B 40 04 8B 40 24 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8A 43 30 04 E4 2C 02 72 45 8D 45 E4 50 8B 45 E8 8B 40 0C 89 45 CC C6 45 D0 0B 8B 45 E8 8B 40 04 89 45 D4 C6 45 D8 0B 8B 43 7C 89 45 DC C6 45 E0 0B 8D 55 CC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 8B 08 FF 51 34 FF 45 F0 4E 75 99 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8D 4D EC 8B 45 F4 8B 18 FF 53 0C 8D 45 E4 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8B 45 F4 59 8B 18 FF 53 20 8D 45 E4 50 8B 45 E8 8B 40 08 89 45 BC C6 45 C0 0B 8B 45 08 89 45 C4 C6 45 C8 0B 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 8B 08 FF 51 34 8B 45 0C 50 6A 02 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 08 00 00 00 00 FF FF FF FF 06 00 00 00 73 65 6C 65 63 74 00 00 FF FF FF FF 0C 00 00 00 20 25 73 25 73 25 73 25 31 3A 73 2C 00 00 00 00 FF FF FF FF 0B 00 00 00 20 66 72 6F 6D 20 25 73 20 25 73 00 }
	condition:
		$1
}

rule function_15510_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_51 001a ExtraFieldProps 0025 String 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15513_0 {
	meta:
		name = "RemoveProxy"
		size = 66
		refs = "0002 ProxyList 0011 TList.IndexOf 0021 TList.Delete 0036 TObject.Free"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 38 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7C 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 78 08 00 75 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15514_0 {
	meta:
		name = "RenameProxyClass"
		size = 98
		refs = "0013 @PStrCpy 002a GetTypeData"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B F7 83 EE 58 8B 46 2C 8B D5 E8 ?? ?? ?? ?? 8B 5E 1C C6 03 07 8D 43 01 8B D5 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 89 3B 8B 46 34 8B 00 83 E8 58 8B 78 1C 83 EF 04 89 7B 04 8B 07 E8 ?? ?? ?? ?? 66 8B 40 08 66 89 43 08 C6 43 0A 00 8D 43 0B 33 D2 89 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15515_0 {
	meta:
		name = "CreateProxyClass"
		size = 120
		refs = "001b AllocMem 005a Move 006c RenameProxyClass"
	strings:
		$1 = { 53 56 57 55 51 8B EA 89 04 24 8B FD 83 EF 58 8B 77 2C 2B F7 8D 86 14 02 00 00 E8 ?? ?? ?? ?? 8B D8 C7 43 08 02 00 00 00 8B C3 03 C6 05 00 01 00 00 83 C0 04 89 43 1C 8B 43 1C 8B D0 83 EA 04 89 02 8B C3 03 C6 89 43 2C 83 C5 B4 89 6B 34 8B CE 83 E9 38 8D 53 38 8D 47 38 E8 ?? ?? ?? ?? 8B F3 83 C6 58 89 73 0C 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15516_0 {
	meta:
		name = "DestroyProxyClass"
		size = 37
		refs = "0013 @FreeMem"
	strings:
		$1 = { 53 85 C0 74 1E 8B D8 83 EB 58 BA 02 00 00 00 8B 43 24 E8 ?? ?? ?? ?? BA 58 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15517_0 {
	meta:
		name = "CreateProxyMethod"
		size = 99
		refs = "0029 @ReallocMem 0056 @PStrCpy"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 83 E8 58 8B D8 0F B6 7D 00 47 81 C7 06 01 00 00 81 EF 00 01 00 00 8B 53 08 03 D7 8D 43 24 E8 ?? ?? ?? ?? 83 7B 08 02 75 08 8B 43 24 66 C7 00 00 00 8B 43 24 66 FF 00 8B 73 24 03 73 08 66 89 3E 8B 04 24 89 46 02 8D 46 06 8B D5 E8 ?? ?? ?? ?? 01 7B 08 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15518_0 {
	meta:
		name = "FindProxyMethod"
		size = 40
	strings:
		$1 = { 53 83 E8 58 8B 58 24 85 DB 74 19 0F B7 0B 8D 43 02 85 C9 7E 0F 3B 50 02 74 0C 0F B7 18 01 D8 49 85 C9 7F F1 33 C0 5B C3 }
	condition:
		$1
}

rule function_15519_0 {
	meta:
		name = "DestroyProxyMethod"
		size = 74
		refs = "0008 FindProxyMethod 0026 Move 0042 @ReallocMem"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 36 83 EB 58 0F B7 30 8B D0 03 D6 8B 7B 24 03 7B 08 8B CF 2B CA 92 E8 ?? ?? ?? ?? 8B 43 24 66 FF 08 29 73 08 8B 43 08 83 F8 02 75 02 33 C0 8D 53 24 92 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15520_0 {
	meta:
		name = "AllocMethod"
		size = 33
		refs = "0002 MethodNumbers 0007 TBits.OpenBit 0019 TBits.SetBit"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 43 8B D3 4A B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_15521_0 {
	meta:
		name = "FreeMethod"
		size = 16
		refs = "0006 MethodNumbers 000b TBits.SetBit"
	strings:
		$1 = { 8B D0 4A 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15522_0 {
	meta:
		name = "FreeMethods"
		size = 40
		refs = "0017 FreeMethod"
	strings:
		$1 = { 53 56 8B 50 24 85 D2 74 1C 0F B7 32 8D 5A 02 85 F6 7E 12 8B 43 02 E8 ?? ?? ?? ?? 0F B7 03 01 C3 4E 85 F6 7F EE 5E 5B C3 }
	condition:
		$1
}

rule function_15523_0 {
	meta:
		name = "DestroyHook"
		size = 21
		refs = "0006 DestroySubClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 FC 5B C3 }
	condition:
		$1
}

rule function_15524_0 {
	meta:
		name = "NotificationHook"
		size = 113
		refs = "0024 NotificationHook 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC 8B 55 FC 8B 02 89 45 F8 8B 45 F8 83 E8 58 8B 00 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 78 04 85 FF 74 0B 8B C7 8B D6 8B 18 FF 53 10 EB 0A 8B D6 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 10 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15525_0 {
	meta:
		name = "CreateSubClass"
		size = 90
		refs = "0019 @LStrToString 0022 CreateProxyClass 0030 AddProxy 0040 DestroyHook 004a NotificationHook"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B F9 8B DA 8B F0 8B C4 8B D3 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B C4 8B D7 E8 ?? ?? ?? ?? 8B F8 8B DF 83 EB 58 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 89 13 89 73 04 C7 43 54 ?? ?? ?? ?? 8D 53 58 C7 42 10 ?? ?? ?? ?? 89 38 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15526_0 {
	meta:
		name = "DestroySubClass"
		size = 99
		refs = "0014 FreeMethods 001b RemoveProxy 0021 ProxyList 0040 TList.Get 005a DestroyProxyClass"
	strings:
		$1 = { 53 56 57 55 8B D0 8B 32 8B FE 83 EF 58 8B 0F 89 0A 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2F A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 22 43 33 ED 8B D5 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 34 3B 32 75 08 8B 17 83 C2 B4 89 50 34 45 4B 75 E1 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15527_0 {
	meta:
		name = "RenameSubClass"
		size = 44
		refs = "0016 @LStrToString 001f RenameProxyClass"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 8B C4 8B D6 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B 03 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15528_0 {
	meta:
		name = "GetSubClassInstance"
		size = 7
	strings:
		$1 = { 83 E8 58 8B 40 04 C3 }
	condition:
		$1
}

rule function_15529_0 {
	meta:
		name = "CreateSubClassMethod"
		size = 86
		refs = "0017 @LStrToString 0020 TObject.MethodAddress 002b AllocMethod 0046 CreateProxyMethod"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B FA 8B F0 8B C4 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B 06 E8 ?? ?? ?? ?? 8B D8 85 DB 75 20 E8 ?? ?? ?? ?? 8B D8 8B C4 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 8B 06 8B D3 E8 ?? ?? ?? ?? 8B C3 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15530_0 {
	meta:
		name = "RenameSubClassMethod"
		size = 63
		refs = "0017 DestroyProxyMethod 0025 @LStrToString 0030 CreateProxyMethod"
	strings:
		$1 = { 53 56 57 55 81 C4 00 FF FF FF 8B E9 8B F2 8B D8 8B FB 8B 07 8B D6 E8 ?? ?? ?? ?? 8B C4 8B D5 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 8B 07 8B D6 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15531_0 {
	meta:
		name = "DestroySubClassMethod"
		size = 8
		refs = "0003 DestroyProxyMethod"
	strings:
		$1 = { 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15533_0 {
	meta:
		name = "Proxies"
		size = 27
		refs = "0002 _DV_1 000c _Dn_TBits 0011 TObject.Create 0016 MethodNumbers"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15534_0 {
	meta:
		name = "Register"
		size = 125
		refs = "000f Register 001a _DV_TNMPropEd 0024 TNMReg 0029 RegisterPropertyEditor 0031 Cons_Palette_Inet 0036 LoadResString 003f _DV_TPowersock 0048 _DV_TNMGeneralServer 0058 RegisterComponents 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 55 F4 8B 15 ?? ?? ?? ?? 89 55 F8 8D 55 F4 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_15535_0 {
	meta:
		name = "TNMShow.Label8Click"
		size = 76
		refs = "0007 TNMShow.Label8Click 0011 Application 001c ShellExecute"
	strings:
		$1 = { 6A 05 6A 00 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 50 E8 ?? ?? ?? ?? C3 00 00 00 68 74 74 70 3A 2F 2F 77 77 77 2E 6E 65 74 6D 61 73 74 65 72 73 6C 6C 63 2E 63 6F 6D 00 00 00 00 6F 70 65 6E 00 00 00 00 }
	condition:
		$1
}

rule function_15536_0 {
	meta:
		name = "TPowersock.Create"
		size = 357
		refs = "0010 @ClassCreate 001e TPowersock.Create 002c sPSk_Cons_msg_create 0031 LoadResString 003d TPowersock.StatusMessage 0048 TComponent.Create 004f PsockAllocateHWnd 0060 @LStrClr 006a @GetMem 0089 _DV_TThreadTimer 008e TThreadTimer.Create 009f TThreadTimer.SetEnabled 00a5 TPowersock.TimerFired 00b0 TThreadTimer.SetOnTimer 00b7 _Dn_TStringList 00bc TObject.Create 00df _Dn_TMemoryStream 0127 TPowersock.InitWinsock 0142 @HandleFinally 014f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C7 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 87 98 02 00 00 8D 87 9C 00 00 00 E8 ?? ?? ?? ?? B8 00 04 00 00 E8 ?? ?? ?? ?? 89 87 7C 02 00 00 B8 01 40 00 00 E8 ?? ?? ?? ?? 89 87 98 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 A4 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8B 87 A4 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 7C C6 87 84 00 00 00 00 C6 47 78 00 C6 87 85 00 00 00 00 C6 87 A0 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 9C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 A8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 AC 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15537_0 {
	meta:
		name = "TPowersock.Destroy"
		size = 345
		refs = "000c @BeforeDestruction 001a TPowersock.Destroy 0028 sPSk_Cons_msg_Dest 002d LoadResString 003a TPowersock.StatusMessage 0058 TPowersock.Cancel 0063 TObject.Free 007f @FreeMem 009c DestroyWindow 00ef TPowersock.RequestCloseSocket 00f5 WCount 0103 WSACleanup 011e TComponent.Destroy 0124 @HandleFinally 013b @LStrClr 0151 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 7C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 85 00 00 00 01 8B 45 FC F6 40 20 10 75 1C 8B 45 FC E8 ?? ?? ?? ?? FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_15538_0 {
	meta:
		name = "TPowersock.Connect"
		size = 869
		refs = "0015 TPowersock.Connect 0023 sPSk_Cons_msg_Conning 0028 LoadResString 0035 TPowersock.StatusMessage 0053 sPSk_Cons_msg_Conn 0062 _DV_ESockError 0067 Exception.Create 006c @RaiseExcept 0087 TPowersock.ResolveRemoteHost 0096 @HandleOnException 00ac sPSk_Cons_msg_host_to 00bc @LStrCmp 00c6 sPSk_Cons_msg_host_Can 00dd @RaiseAgain 00e2 @DoneExcept 0100 sPSk_Cons_msg_add_null 01ba htons 0213 connect 0225 TPowersock.ErrorManager 022d TPowersock.TimerOn 0234 Sleep 0239 Application 0240 TApplication.ProcessMessages 0278 TPowersock.TimerOff 02ca Cons_Msg_ConnectionTimedOut 02f7 sPSk_Cons_msg_Conn_can 0324 sPSk_Cons_msg_Conn_fai 0352 @LStrClr 0358 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 84 00 00 00 00 8B 45 FC 80 B8 A0 02 00 00 00 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 51 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 43 04 E8 ?? ?? ?? ?? 74 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 43 04 E8 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 6C 02 00 00 00 0F 85 90 00 00 00 83 7D F8 00 7E 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B 45 FC 66 83 78 52 00 75 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A C6 45 F7 00 8D 55 F7 8B 5D FC 8B 43 54 FF 53 50 80 7D F7 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 8B 45 FC 83 B8 6C 02 00 00 00 0F 84 DF FE FF FF 8B 45 FC 66 C7 80 68 02 00 00 02 00 8B 45 FC 83 B8 9C 00 00 00 00 75 1C 8B 45 FC 66 8B 80 B8 00 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 6A 02 00 00 EB 1A 8B 45 FC 66 8B 80 A0 00 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 82 6A 02 00 00 8B 45 FC C6 80 D4 00 00 00 00 B8 10 00 00 00 8B 55 FC C6 82 B4 00 00 00 01 50 8B 45 FC 05 68 02 00 00 50 8B 45 FC 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 40 75 0F 8D 4D F0 66 BA 33 27 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 75 24 8B 45 FC 80 B8 B5 00 00 00 00 75 18 8B 45 FC 80 B8 84 00 00 00 00 75 0C 8B 45 FC 80 B8 B4 00 00 00 00 75 BD 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B5 00 00 00 00 75 1C 8B 45 FC 80 B8 84 00 00 00 00 75 10 8B 45 FC 80 B8 B4 00 00 00 00 0F 85 9D 00 00 00 8B 45 FC 66 83 78 72 00 74 0C 8B 5D FC 8B 55 FC 8B 43 74 FF 53 70 8B 45 FC 80 B8 B5 00 00 00 00 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B4 00 00 00 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15539_0 {
	meta:
		name = "TPowersock.Disconnect"
		size = 87
		refs = "000c TPowersock.Disconnect 001a sPSk_Cons_msg_Disconn 001f LoadResString 002b TPowersock.StatusMessage 0032 TPowersock.RequestCloseSocket 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15540_0 {
	meta:
		name = "TPowersock.CertifyConnect"
		size = 218
		refs = "0013 TPowersock.CertifyConnect 002c sPSk_Cons_err_NotConn 0031 LoadResString 003b _Dn_Exception 0040 Exception.Create 0045 @RaiseExcept 00c8 @LStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 E9 86 00 00 00 85 F6 7E 23 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5F 66 83 7B 62 00 75 23 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 C6 45 FF 00 8D 55 FF 8B 43 64 FF 53 60 80 7D FF 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 80 BB A0 02 00 00 00 0F 84 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15541_0 {
	meta:
		name = "TPowersock.Cancel"
		size = 87
		refs = "000c TPowersock.Cancel 001a sPSk_Cons_msg_Cancel 001f LoadResString 002b TPowersock.StatusMessage 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? C6 83 84 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15542_0 {
	meta:
		name = "TPowersock.SendBuffer"
		size = 315
		refs = "0019 TPowersock.SendBuffer 0027 sPSk_Cons_msg_SBuff 002c LoadResString 0038 TPowersock.StatusMessage 0052 StrLen 0061 @BoundErr 006e TStream.GetSize 0077 TStream.SetPosition 00a3 PostMessage 00ac Sleep 00b1 Application 00b8 TApplication.ProcessMessages 00e2 sPSk_Cons_msg_send_a 00f1 _DV_EAbortError 00f6 Exception.Create 00fb @RaiseExcept 0128 @LStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 04 8B C3 E8 ?? ?? ?? ?? 80 BB 84 00 00 00 00 0F 85 CE 00 00 00 66 85 F6 75 17 8B 45 FC E8 ?? ?? ?? ?? 8B F0 81 FE FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B BB A8 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 0F B7 CE 8B 55 FC 8B 83 A8 00 00 00 8B 30 FF 56 08 C6 83 86 02 00 00 00 53 6A 00 68 67 04 00 00 8B 83 98 02 00 00 50 E8 ?? ?? ?? ?? EB 13 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB 86 02 00 00 00 75 09 80 BB 84 00 00 00 00 74 DB 80 BB 84 00 00 00 00 74 40 C6 83 84 00 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 8E 02 00 00 00 74 0E 8B D3 8B 83 90 02 00 00 FF 93 8C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15543_0 {
	meta:
		name = "TPowersock.Write"
		size = 137
		refs = "0015 @LStrAddRef 001d TPowersock.Write 002b sPSk_Cons_msg_write 0030 LoadResString 003c TPowersock.StatusMessage 004f StrPLCopy 005e TPowersock.SendBuffer 0078 @LStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? B9 01 40 00 00 8B 55 FC 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 33 C9 8B 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15544_0 {
	meta:
		name = "TPowersock.Writeln"
		size = 140
		refs = "0015 @LStrAddRef 001d TPowersock.Writeln 002b sPSk_Cons_msg_writeln 0030 LoadResString 003c TPowersock.StatusMessage 0049 @LStrCat 0053 TPowersock.Write 006d @LStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_15545_0 {
	meta:
		name = "TPowersock.Read"
		size = 528
		refs = "0016 TPowersock.Read 0024 sPSk_Cons_msg_read 0029 LoadResString 0037 IntToStr 004c @LStrCatN 0058 TPowersock.StatusMessage 0061 Sleep 0066 Application 006d TApplication.ProcessMessages 007d TStream.GetSize 00b9 @BoundErr 00c3 @LStrSetLength 00d0 TStream.SetPosition 00d7 UniqueString 0105 TStream.GetPosition 0121 TMemoryStream.Clear 0157 TStream.CopyFrom 01a3 sPSk_Cons_msg_send_a 01b2 _DV_EAbortError 01b7 Exception.Create 01bc @RaiseExcept 01ee @LStrArrayClr 01f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 0F B7 C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? EB 13 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 66 85 F6 76 1B 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 0F B7 D6 3B C2 7D 09 80 BB 84 00 00 00 00 74 CD 80 BB 84 00 00 00 00 0F 85 F1 00 00 00 66 85 F6 75 1A 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B F0 81 FE FF FF 00 00 76 05 E8 ?? ?? ?? ?? 0F B7 D6 8B C7 E8 ?? ?? ?? ?? 33 D2 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? BA 01 00 00 00 4A 3B 50 FC 72 05 E8 ?? ?? ?? ?? 42 8D 54 10 FF 0F B7 CE 8B 83 9C 02 00 00 8B 30 FF 56 04 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 3B F0 75 0D 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? EB 68 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B B3 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 59 2B C8 8B D6 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B B3 B0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 80 BB 84 00 00 00 00 74 40 C6 83 84 00 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 8E 02 00 00 00 74 0E 8B D3 8B 83 90 02 00 00 FF 93 8C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 02 00 00 00 20 29 00 00 }
	condition:
		$1
}

rule function_15546_0 {
	meta:
		name = "TPowersock.ReadLn"
		size = 504
		refs = "0017 TPowersock.ReadLn 0025 sPSk_Cons_msg_readln 002a LoadResString 0036 TPowersock.StatusMessage 0043 TStream.GetPosition 005a StrPos 006d TStream.GetSize 007b Sleep 0080 Application 0087 TApplication.ProcessMessages 00bf TStream.SetPosition 00d5 @LStrSetLength 00dd UniqueString 00ed @BoundErr 012f TMemoryStream.Clear 0165 TStream.CopyFrom 0199 sPSk_Cons_msg_readln_a 01a8 _DV_EAbortError 01ad Exception.Create 01b2 @RaiseExcept 01df @LStrClr 01e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? 33 F6 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 42 BA ?? ?? ?? ?? 8B 83 9C 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 14 8B BB 9C 02 00 00 8B C7 E8 ?? ?? ?? ?? 03 47 04 3B C6 7F 31 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 13 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB 84 00 00 00 00 74 93 80 BB 84 00 00 00 00 0F 85 D6 00 00 00 33 D2 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B FE 47 8B D7 8B 83 9C 02 00 00 2B 50 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA 01 00 00 00 4A 3B 50 FC 72 05 E8 ?? ?? ?? ?? 42 8D 54 10 FF 8B CF 8B 83 9C 02 00 00 2B 48 04 8B 83 9C 02 00 00 8B 30 FF 56 04 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 3B F0 75 0D 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? EB 57 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B B3 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 59 2B C8 8B D6 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 8B 93 9C 02 00 00 89 93 B0 00 00 00 89 83 9C 02 00 00 80 BB 84 00 00 00 00 74 39 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 8E 02 00 00 00 74 0E 8B D3 8B 83 90 02 00 00 FF 93 8C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_15547_0 {
	meta:
		name = "TPowersock.Transaction"
		size = 340
		refs = "0014 TPowersock.Transaction 0022 sPSk_Cons_msg_transa 0027 LoadResString 0033 TPowersock.StatusMessage 0045 TPowersock.Writeln 004f TPowersock.ReadLn 005d @LStrAsg 0068 @LStrLen 0087 @LStrClr 009d @BoundErr 00dc @LStrFromChar 00e7 @LStrCat 00fd StrToIntDef 0127 @LStrLAsg 0141 @LStrArrayClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? 66 C7 83 84 02 00 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E AA 00 00 00 8B 8B 80 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? BE 01 00 00 00 8B 83 80 02 00 00 4E 3B 70 FC 72 05 E8 ?? ?? ?? ?? 46 80 7C 30 FF 30 72 48 8B 83 80 02 00 00 4E 3B 70 FC 72 05 E8 ?? ?? ?? ?? 46 80 7C 30 FF 39 77 2F 8D 45 F8 8B 93 80 02 00 00 4E 3B 72 FC 72 05 E8 ?? ?? ?? ?? 46 8A 54 32 FF E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 46 83 FE 0B 75 9F 83 7D FC 00 74 27 33 D2 8B 45 FC E8 ?? ?? ?? ?? 05 00 80 00 00 3D FF FF 00 00 76 05 E8 ?? ?? ?? ?? 05 00 80 FF FF 66 89 83 84 02 00 00 8B C7 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15548_0 {
	meta:
		name = "TPowersock.SendFile"
		size = 459
		refs = "0016 @LStrAddRef 001e TPowersock.SendFile 002c sPSk_Cons_msg_sendf 0031 LoadResString 003e TPowersock.StatusMessage 0067 _Dn_TFileStream 006c TFileStream.Create 00a6 TStream.GetSize 00c9 PostMessage 00d2 Sleep 00d7 Application 00de TApplication.ProcessMessages 015a sPSk_Cons_msg_send_a 0169 _DV_EAbortError 016e Exception.Create 0173 @RaiseExcept 0198 @HandleFinally 01b2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 00 00 00 89 45 F4 8B 45 FC C6 40 78 01 8B 45 FC C6 80 88 02 00 00 01 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 86 02 00 00 00 8B 45 FC 33 D2 89 90 80 00 00 00 8B 45 FC 8B 80 A8 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 8B 45 FC 50 6A 00 68 67 04 00 00 8B 45 FC 8B 80 98 02 00 00 50 E8 ?? ?? ?? ?? EB 13 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 86 02 00 00 00 75 18 8B 45 FC 80 B8 84 00 00 00 00 75 0C 8B 45 FC 83 B8 BC 00 00 00 00 7F C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 00 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 8B 55 F4 89 90 A8 00 00 00 8B 45 FC C6 40 78 00 8B 45 FC C6 80 88 02 00 00 00 8B 45 FC 80 B8 84 00 00 00 00 74 4A 8B 45 FC C6 80 84 00 00 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 8E 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 90 02 00 00 FF 93 8C 02 00 00 C3 E9 ?? ?? ?? ?? E9 72 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15549_0 {
	meta:
		name = "TPowersock.SendStream"
		size = 403
		refs = "0015 TPowersock.SendStream 0038 sPSk_Cons_msg_sendstrm 003d LoadResString 004a TPowersock.StatusMessage 0063 TStream.SetPosition 006b sPSk_Cons_msg_sendf 008f TStream.GetSize 00aa TStream.CopyFrom 00ce PostMessage 00d7 Sleep 00dc Application 00e3 TApplication.ProcessMessages 012d sPSk_Cons_msg_send_a 013c _DV_EAbortError 0141 Exception.Create 0146 @RaiseExcept 016b @HandleFinally 0182 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 78 01 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 84 00 00 00 00 0F 85 A1 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 8B 45 FC 8B 80 A8 00 00 00 33 C9 8B D3 E8 ?? ?? ?? ?? 8B 45 FC C6 80 86 02 00 00 00 8B 45 FC 50 6A 00 68 67 04 00 00 8B 45 FC 8B 80 98 02 00 00 50 E8 ?? ?? ?? ?? EB 13 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 86 02 00 00 00 75 0C 8B 45 FC 80 B8 84 00 00 00 00 74 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 78 00 8B 45 FC 80 B8 84 00 00 00 00 74 4A 8B 45 FC C6 80 84 00 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 8E 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 90 02 00 00 FF 93 8C 02 00 00 C3 E9 ?? ?? ?? ?? EB 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15550_0 {
	meta:
		name = "TPowersock.CaptureFile"
		size = 478
		refs = "0016 @LStrAddRef 001e TPowersock.CaptureFile 0049 sPSk_Cons_msg_cap_fil 004e LoadResString 005b TPowersock.StatusMessage 006a _Dn_TFileStream 006f TFileStream.Create 008b TStream.GetSize 0099 TStream.SetPosition 00b4 TStream.CopyFrom 00cd TMemoryStream.Clear 00f1 Sleep 00f6 Application 00fd TApplication.ProcessMessages 016d sPSk_Cons_msg_send_a 017c _DV_EAbortError 0181 Exception.Create 0186 @RaiseExcept 01ab @HandleFinally 01c5 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 9C 02 00 00 89 45 F4 8B 45 FC C6 40 78 01 8B 45 FC C6 80 88 02 00 00 01 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 08 8B 45 FC E8 ?? ?? ?? ?? 68 FF FF 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 02 00 00 8B 45 FC 33 D2 89 90 C0 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 40 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 80 9C 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 45 FC 33 D2 89 90 C0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 74 0C 8B 45 FC 80 B8 84 00 00 00 00 74 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 8B 55 F4 89 90 9C 02 00 00 8B 45 FC C6 40 78 00 8B 45 FC C6 80 88 02 00 00 00 8B 45 FC 80 B8 84 00 00 00 00 74 4A 8B 45 FC C6 80 84 00 00 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 8E 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 90 02 00 00 FF 93 8C 02 00 00 C3 E9 ?? ?? ?? ?? E9 72 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15551_0 {
	meta:
		name = "TPowersock.CaptureStream"
		size = 439
		refs = "0019 TPowersock.CaptureStream 0042 TStream.GetSize 0053 sPSk_Cons_msg_cap_strm 0058 LoadResString 0065 TPowersock.StatusMessage 0080 Sleep 0085 Application 008c TApplication.ProcessMessages 00ae TStream.SetPosition 00c0 TStream.CopyFrom 00ce TMemoryStream.Clear 014f sPSk_Cons_msg_cap_a 015e _DV_EAbortError 0163 Exception.Create 0168 @RaiseExcept 018d @HandleFinally 01a4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 78 01 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B 45 FC E8 ?? ?? ?? ?? EB 67 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 40 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 9C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 9C 02 00 00 8B CF 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 83 FB FF 75 1E 8B 45 FC 80 B8 A0 02 00 00 00 75 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7F 10 83 FB FF 7E 27 8B C6 E8 ?? ?? ?? ?? 3B D8 7E 1C 8B 45 FC 80 B8 84 00 00 00 00 75 10 8B 45 FC 80 B8 A0 02 00 00 00 0F 85 4A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 78 00 8B 45 FC 80 B8 84 00 00 00 00 74 4A 8B 45 FC C6 80 84 00 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 8E 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 90 02 00 00 FF 93 8C 02 00 00 C3 E9 ?? ?? ?? ?? EB 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15552_0 {
	meta:
		name = "TPowersock.CaptureString"
		size = 472
		refs = "0019 TPowersock.CaptureString 0034 @LStrClr 0043 sPSk_Cons_msg_string 0048 LoadResString 0055 TPowersock.StatusMessage 0073 TStream.GetSize 007e Sleep 0083 Application 008a TApplication.ProcessMessages 00ac TStream.SetPosition 00b3 @LStrLen 00c2 @LStrSetLength 00c9 UniqueString 00d8 @BoundErr 00fb TMemoryStream.Clear 0170 sPSk_Cons_msg_cap_a 017f _DV_EAbortError 0184 Exception.Create 0189 @RaiseExcept 01ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC C6 40 78 01 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C0 00 00 00 E9 96 00 00 00 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 6F 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 9C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 03 D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 42 4A 3B 50 FC 72 05 E8 ?? ?? ?? ?? 42 8D 54 10 FF 8B 45 FC 8B 80 9C 02 00 00 8B CF 8B 38 FF 57 04 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 83 FB FF 75 1E 8B 45 FC 80 B8 A0 02 00 00 00 75 22 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7F 10 83 FB FF 7E 1B 8B 06 E8 ?? ?? ?? ?? 3B D8 7E 10 8B 45 FC 80 B8 84 00 00 00 00 0F 84 27 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 78 00 8B 45 FC 80 B8 84 00 00 00 00 74 4A 8B 45 FC C6 80 84 00 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 8E 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 90 02 00 00 FF 93 8C 02 00 00 C3 E9 ?? ?? ?? ?? EB 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15553_0 {
	meta:
		name = "TPowersock.FilterHeader"
		size = 212
		refs = "0011 TPowersock.FilterHeader 001f sPSk_Cons_msg_filthead 0024 LoadResString 0030 TPowersock.StatusMessage 003a TPowersock.ReadLn 0042 UniqueString 0052 @BoundErr 0060 @LStrLen 006a TStream.WriteBuffer 0077 @LStrCmp 00a8 @LStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? BA 01 00 00 00 4A 3B 50 FC 72 05 E8 ?? ?? ?? ?? 42 8D 44 10 FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 5A E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 15 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 06 83 7D FC 00 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_15554_0 {
	meta:
		name = "TPowersock.Listen"
		size = 276
		refs = "0015 TPowersock.Listen 0023 sPSk_Cons_msg_Listen 0028 LoadResString 0034 TPowersock.StatusMessage 0041 StrPCopy 0047 inet_addr 0068 @BoundErr 006e htons 0092 bind 00b1 WSAAsyncSelect 00dd listen 00f2 @LStrClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 08 8B C6 E8 ?? ?? ?? ?? 8D 45 EE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 86 6C 02 00 00 66 C7 86 68 02 00 00 02 00 8B 86 B8 00 00 00 3D FF FF 00 00 76 05 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 89 86 6A 02 00 00 C6 86 D4 00 00 00 00 6A 10 8D 86 68 02 00 00 50 0F B7 86 94 02 00 00 50 E8 ?? ?? ?? ?? 84 DB 74 1D 6A 08 68 66 04 00 00 8B 86 98 02 00 00 50 0F B7 86 94 02 00 00 50 E8 ?? ?? ?? ?? EB 1B 6A 08 68 65 04 00 00 8B 86 98 02 00 00 50 0F B7 86 94 02 00 00 50 E8 ?? ?? ?? ?? 6A 01 0F B7 86 94 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 FF FF FF FF 07 00 00 00 30 2E 30 2E 30 2E 30 00 }
	condition:
		$1
}

rule function_15555_0 {
	meta:
		name = "TPowersock.Accept"
		size = 349
		refs = "0014 TPowersock.Accept 0023 Sleep 0028 Application 002f TApplication.ProcessMessages 0052 sPSk_Cons_msg_acc_can 0057 LoadResString 0061 _DV_ESockError 0066 Exception.Create 006b @RaiseExcept 007c sPSk_Cons_err_data_conn 00a4 sPSk_Cons_msg_accept 00b5 TPowersock.StatusMessage 00ca accept 00d6 @BoundErr 0102 sPSk_Cons_msg_send_a 0111 _DV_EAbortError 0148 @LStrClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB D4 00 00 00 00 75 09 80 BB 84 00 00 00 00 74 DB 80 BB 84 00 00 00 00 74 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB B4 00 00 00 00 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC 10 00 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 04 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 EC 50 0F B7 83 94 02 00 00 50 E8 ?? ?? ?? ?? 3D FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B F0 56 8D 75 EC 8D BB 68 02 00 00 B9 04 00 00 00 F3 A5 5E 80 BB 84 00 00 00 00 74 40 C6 83 84 00 00 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 8E 02 00 00 00 74 0E 8B D3 8B 83 90 02 00 00 FF 93 8C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15556_0 {
	meta:
		name = "TPowersock.SocketErrorStr"
		size = 252
		refs = "0018 TPowersock.SocketErrorStr 0025 @LStrClr 002d sPSk_Cons_msg_elookup 0032 LoadResString 003c @LStrCat 0048 TPowersock.StatusMessage 0059 WinsockMessage 006b IntToStr 007e @LStrFromString 008d @LStrCatN 00b0 sPSk_Cons_msg_unknown 00c0 @LStrCat3 00da @LStrArrayClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 66 89 55 FE 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 17 E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? 66 83 7D FE 00 74 71 BE 33 00 00 00 BB ?? ?? ?? ?? 0F B7 45 FE 3B 03 75 2C 8D 55 F8 8B 03 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 8D 53 04 E8 ?? ?? ?? ?? FF 75 F4 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 38 4E 75 C6 83 3F 00 75 28 8D 55 F8 0F B7 45 FE E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_15557_0 {
	meta:
		name = "TPowersock.TimerFired"
		size = 101
		refs = "000c TPowersock.TimerFired 001a sPSk_Cons_msg_ttrig 001f LoadResString 002b TPowersock.StatusMessage 0032 TPowersock.TimerOff 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 B5 00 00 00 01 8B C3 8B 10 FF 52 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15558_0 {
	meta:
		name = "TPowersock.TimerOn"
		size = 126
		refs = "000c TPowersock.TimerOn 001a sPSk_Cons_msg_TimerOn 001f LoadResString 002b TPowersock.StatusMessage 0041 @BoundErr 004c TThreadTimer.SetInterval 0059 TThreadTimer.SetEnabled 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? C6 83 B5 00 00 00 00 8B 93 8C 00 00 00 85 D2 79 05 E8 ?? ?? ?? ?? 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15559_0 {
	meta:
		name = "TPowersock.TimerOff"
		size = 93
		refs = "000c TPowersock.TimerOff 001a sPSk_Cons_msg_TimerOff 001f LoadResString 002b TPowersock.StatusMessage 0038 TThreadTimer.SetEnabled 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15560_0 {
	meta:
		name = "TPowersock.InitWinsock"
		size = 804
		refs = "0013 TPowersock.InitWinsock 0021 sPSk_Cons_msg_InitSock 0026 LoadResString 0032 TPowersock.StatusMessage 0050 WCount 006e WSAStartup 0076 sPSk_Cons_winfo_ver 008a HiByte 0097 IntToStr 00bf @LStrCatN 00d2 sPSk_Cons_winfo_Hiver 012e sPSk_Cons_winfo_Descr 014a @LStrFromArray 0153 @LStrCat 0166 sPSk_Cons_winfo_Sys 019e sPSk_Cons_winfo_MaxSoc 01d2 sPSk_Cons_winfo_MaxUdp 0217 socket 0226 @BoundErr 0252 setsockopt 026b TPowersock.ErrorManager 0286 WSAAsyncSelect 0295 @HandleAnyException 02a9 WSACleanup 02ae @RaiseAgain 02b3 @DoneExcept 02ca sPSk_Cons_err_werr 02d9 _DV_ESockError 02de Exception.Create 02e3 @RaiseExcept 0302 @LStrArrayClr 0308 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 0F 85 AC 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 01 0F 85 A1 01 00 00 8D 83 D8 00 00 00 50 68 01 01 00 00 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 66 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 25 FF 00 00 00 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 33 C0 8A 83 D8 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 7C 8B 08 FF 51 34 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 66 8B 83 DA 00 00 00 E8 ?? ?? ?? ?? 25 FF 00 00 00 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 33 C0 8A 83 DA 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 7C 8B 08 FF 51 34 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 F4 8D 93 DC 00 00 00 B9 01 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 7C 8B 08 FF 51 34 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 F4 8D 93 DD 01 00 00 B9 81 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 7C 8B 08 FF 51 34 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 0F B7 83 5E 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 7C 8B 08 FF 51 34 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 0F B7 83 60 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 7C 8B 08 FF 51 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 06 6A 01 6A 02 E8 ?? ?? ?? ?? 8B F0 81 FE FF FF 00 00 76 05 E8 ?? ?? ?? ?? 66 89 B3 94 02 00 00 66 C7 45 FC 01 00 66 C7 45 FE 00 00 6A 04 8D 45 FC 50 68 80 00 00 00 68 FF FF 00 00 0F B7 C6 50 E8 ?? ?? ?? ?? 66 81 BB 94 02 00 00 FF FF 75 0E 8D 4D F8 66 BA 33 27 8B C3 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 83 98 02 00 00 50 0F B7 83 94 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_15561_0 {
	meta:
		name = "TPowersock.Wndproc"
		size = 404
		refs = "0022 TPowersock.Wndproc 00da recv 00f3 TStream.WriteBuffer 010d TPowersock.RequestCloseSocket 0116 TPowersock.ReadToStream 011f TPowersock.WriteFromStream 0184 @HandleAnyException 0189 @DoneExcept"
	strings:
		$1 = { 55 8B EC 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 04 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7A 0A 00 76 09 C6 83 B4 00 00 00 00 EB 07 C6 83 B4 00 00 00 01 8B 02 2D 65 04 00 00 74 1A 48 0F 84 EA 00 00 00 48 0F 84 0F 01 00 00 48 0F 84 11 01 00 00 E9 13 01 00 00 0F B7 42 08 83 F8 08 7F 19 0F 84 B0 00 00 00 48 0F 84 97 00 00 00 48 0F 84 99 00 00 00 E9 F1 00 00 00 83 E8 10 74 0A 83 E8 10 74 31 E9 E2 00 00 00 80 BB B4 00 00 00 00 0F 84 D5 00 00 00 C6 83 A0 02 00 00 01 66 83 7B 3A 00 0F 84 C3 00 00 00 8B D3 8B 43 3C FF 53 38 E9 B6 00 00 00 6A 00 68 FF 3F 00 00 8D 85 00 C0 FF FF 50 0F B7 83 94 02 00 00 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 13 8D 95 00 C0 FF FF 8B 83 9C 02 00 00 8B CE E8 ?? ?? ?? ?? 4E 7C 09 80 BB 84 00 00 00 00 74 C0 C6 83 A0 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 66 8B C3 E8 ?? ?? ?? ?? EB 5D 8B C3 E8 ?? ?? ?? ?? EB 54 C6 83 A0 02 00 00 01 66 83 7B 32 00 74 46 8B D3 8B 43 34 FF 53 30 EB 3C C6 83 D4 00 00 00 01 66 83 7A 08 08 75 2E C6 83 A0 02 00 00 01 F6 43 20 08 75 21 66 83 7B 42 00 74 1A 8B D3 8B 43 44 FF 53 40 EB 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15562_0 {
	meta:
		name = "TPowersock.ReadToStream"
		size = 563
		refs = "002d TPowersock.ReadToStream 0061 WSAAsyncSelect 00ad sPSk_Cons_msg_ReadToStr 00b2 LoadResString 00c2 TPowersock.StatusMessage 00d2 TStream.GetSize 00db TStream.SetPosition 00f9 recv 0116 TStream.WriteBuffer 016d PostMessage 0174 WSAGetLastError 0191 @BoundErr 0199 TPowersock.SocketErrorStr 01ff @HandleFinally 0219 @LStrClr"
	strings:
		$1 = { 55 8B EC 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 F4 53 56 33 C9 89 8D F0 BF FF FF 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 80 B8 84 00 00 00 00 74 3D 6A 00 6A 00 8B 45 FC 8B 80 98 02 00 00 50 8B 45 FC 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 8E 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 90 02 00 00 FF 93 8C 02 00 00 8B 45 FC 80 78 79 00 0F 85 74 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 79 01 8D 95 F0 BF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F0 BF FF FF B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 9C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 00 68 FF 3F 00 00 8D 85 F7 BF FF FF 50 8B 45 FC 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 6F 8D 95 F7 BF FF FF 8B 45 FC 8B 80 9C 02 00 00 8B CB E8 ?? ?? ?? ?? 8B 45 FC 80 78 78 00 74 28 8B 45 FC 01 98 C0 00 00 00 8B 45 FC 66 83 B8 C6 00 00 00 00 74 12 8B 75 FC 8B 55 FC 8B 86 C8 00 00 00 FF 96 C4 00 00 00 C6 45 F7 01 81 FB FF 3F 00 00 75 76 8B 45 FC 50 6A 00 68 68 04 00 00 8B 45 FC 8B 80 98 02 00 00 50 E8 ?? ?? ?? ?? EB 5A E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 88 00 00 00 8D 4D F8 8B D3 81 FA FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 4A 00 74 26 8B 45 F8 50 8B 45 FC 8B 88 88 00 00 00 81 F9 FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B 5D FC 8B 55 FC 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 79 00 80 7D F7 00 74 16 8B 45 FC 66 83 78 2A 00 74 0C 8B 5D FC 8B 55 FC 8B 43 2C FF 53 28 C3 E9 ?? ?? ?? ?? EB D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 BF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15563_0 {
	meta:
		name = "TPowersock.WriteFromStream"
		size = 611
		refs = "0027 TPowersock.WriteFromStream 0046 sPSk_Cons_msg_WriteFrSt 004b LoadResString 005a TPowersock.StatusMessage 006e TStream.GetPosition 007b TStream.GetSize 00c2 TStream.SetPosition 0104 send 0143 TMemoryStream.Clear 018e TStream.CopyFrom 01f2 PostMessage 021d WSAGetLastError 0250 @LStrClr 0256 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 53 56 57 33 C9 89 8D FC BF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 79 00 0F 85 01 02 00 00 C6 43 79 01 8D 95 FC BF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D FC BF FF FF B2 08 8B C3 E8 ?? ?? ?? ?? 80 BB 88 02 00 00 00 74 1C 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 3B F0 7C 20 80 BB 88 02 00 00 00 0F 85 A8 01 00 00 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 95 01 00 00 80 BB 84 00 00 00 00 0F 85 88 01 00 00 80 BB 88 02 00 00 00 75 0F 33 D2 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? EB 11 8B 93 80 00 00 00 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8D 95 00 C0 FF FF B9 FF 3F 00 00 8B 83 A8 00 00 00 8B 30 FF 56 04 8B F8 6A 00 57 8D 85 00 C0 FF FF 50 0F B7 83 94 02 00 00 50 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 8E 09 01 00 00 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 2B C7 03 C6 50 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 5A 3B D0 7C 20 80 BB 88 02 00 00 00 75 0B 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? C6 83 86 02 00 00 01 E9 A3 00 00 00 80 BB 88 02 00 00 00 75 6A 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B BB A8 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 2B CE 8B D7 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8B 93 A8 00 00 00 89 93 AC 00 00 00 8B D0 89 93 A8 00 00 00 8B C2 33 D2 E8 ?? ?? ?? ?? C6 43 79 00 EB 1C 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B D0 2B D7 03 D6 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 53 6A 00 68 67 04 00 00 8B 83 98 02 00 00 50 E8 ?? ?? ?? ?? 01 B3 80 00 00 00 80 7B 78 00 74 36 66 83 BB CE 00 00 00 00 74 2C 8B D3 8B 83 D0 00 00 00 FF 93 CC 00 00 00 EB 1C E8 ?? ?? ?? ?? 89 83 88 00 00 00 33 D2 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? C6 43 79 00 C6 43 79 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC BF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15564_0 {
	meta:
		name = "TPowersock.RequestCloseSocket"
		size = 218
		refs = "000d TPowersock.RequestCloseSocket 001b sPSk_Cons_msg_CloseSock 0020 LoadResString 002c TPowersock.StatusMessage 004a closesocket 0077 socket 0086 @BoundErr 00a4 WSAAsyncSelect 00b4 TPowersock.ErrorManager 00c9 @LStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 04 8B C3 E8 ?? ?? ?? ?? C6 83 A0 02 00 00 00 66 8B B3 94 02 00 00 66 81 FE FF FF 74 73 0F B7 C6 50 E8 ?? ?? ?? ?? 85 C0 75 58 F6 43 20 08 75 0F 66 83 7B 42 00 74 08 8B D3 8B 43 44 FF 53 40 80 BB 85 00 00 00 00 75 48 6A 00 6A 01 6A 02 E8 ?? ?? ?? ?? 8B F0 81 FE FF FF 00 00 76 05 E8 ?? ?? ?? ?? 66 89 B3 94 02 00 00 6A 3F 68 65 04 00 00 8B 83 98 02 00 00 50 0F B7 C6 50 E8 ?? ?? ?? ?? EB 0E 8D 4D FC 66 BA 33 27 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15565_0 {
	meta:
		name = "TPowersock.GetLastErrorNo"
		size = 88
		refs = "000c TPowersock.GetLastErrorNo 001a sPSk_Cons_msg_getLastE 001f LoadResString 002b TPowersock.StatusMessage 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? 8B 9B 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_15566_0 {
	meta:
		name = "TPowersock.SetLastErrorNo"
		size = 90
		refs = "000f TPowersock.SetLastErrorNo 001d sPSk_Cons_msg_setLastE 0022 LoadResString 002e TPowersock.StatusMessage 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 08 8B C3 E8 ?? ?? ?? ?? 89 B3 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15567_0 {
	meta:
		name = "TPowersock.ErrorManager"
		size = 217
		refs = "0017 TPowersock.ErrorManager 0025 sPSk_Cons_msg_CheckE 002a LoadResString 0036 TPowersock.StatusMessage 003b WSAGetLastError 0060 @BoundErr 0067 TPowersock.SocketErrorStr 0097 _DV_ESockError 009c Exception.Create 00a1 @RaiseExcept 00ac @LStrLAsg 00c6 @LStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 00 00 00 0F B7 C7 8B D0 23 D6 3B C2 74 53 8D 4D F8 8B D6 81 FA FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 7B 4A 00 74 1F 8B 45 F8 50 8B 8B 88 00 00 00 81 F9 FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B D3 8B 43 4C FF 53 48 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15568_0 {
	meta:
		name = "TPowersock.SetWSAError"
		size = 186
		refs = "0019 @LStrAddRef 0021 TPowersock.SetWSAError 002f sPSk_Cons_msg_SetSockE 0034 LoadResString 0040 TPowersock.StatusMessage 0051 @LStrLen 0061 TPowersock.SocketErrorStr 0067 WSASetLastError 0085 @BoundErr 00a7 @LStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? 0F B7 FE 89 BB 88 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0C 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 66 83 7B 4A 00 74 1F 8B 45 FC 50 8B 8B 88 00 00 00 81 F9 FF FF 00 00 76 05 E8 ?? ?? ?? ?? 8B D3 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15569_0 {
	meta:
		name = "TPowersock.StatusMessage"
		size = 122
		refs = "0011 @LStrAddRef 0019 TPowersock.StatusMessage 0039 @LStrAsg 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A C3 3B 86 90 00 00 00 7F 29 8D 86 94 00 00 00 8B 55 FC E8 ?? ?? ?? ?? F6 46 20 08 75 15 66 83 7E 6A 00 74 0E 8B 8E 94 00 00 00 8B D6 8B 46 6C FF 56 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15570_0 {
	meta:
		name = "TPowersock.ResolveRemoteHost"
		size = 517
		refs = "0018 TPowersock.ResolveRemoteHost 0029 sPSk_Cons_msg_ResolvHos 002e LoadResString 003d TPowersock.StatusMessage 0054 StrPCopy 005a inet_addr 0098 TPowersock.TimerOn 00c0 WSAAsyncGetHostByName 00c7 Sleep 00cc Application 00d3 TApplication.ProcessMessages 00f5 TPowersock.TimerOff 0109 sPSk_Cons_msg_host_to 011b _DV_ESockError 0120 Exception.Create 0125 @RaiseExcept 0139 sPSk_Cons_msg_host_Can 0169 sPSk_Cons_msg_host_Fail 01f4 @LStrClr 01fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 33 D2 89 95 7C FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 08 8B C3 E8 ?? ?? ?? ?? 83 BB 9C 00 00 00 00 75 1C 8D 45 80 8B 93 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 6C 02 00 00 EB 1A 8D 45 80 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 6C 02 00 00 83 BB 6C 02 00 00 FF 0F 85 53 01 00 00 33 C0 89 83 6C 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 D4 00 00 00 00 68 00 04 00 00 8B 83 7C 02 00 00 50 8D 45 80 50 68 66 04 00 00 8B 83 98 02 00 00 50 E8 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB D4 00 00 00 00 75 12 80 BB B5 00 00 00 00 75 09 80 BB 84 00 00 00 00 74 D2 8B C3 E8 ?? ?? ?? ?? 80 BB B5 00 00 00 00 74 27 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 84 00 00 00 00 74 27 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB B4 00 00 00 00 75 27 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 6C 02 00 00 8B 93 7C 02 00 00 8B 52 0C 8B 12 8A 12 88 10 8B 93 7C 02 00 00 8B 52 0C 8B 12 8A 52 01 88 50 01 8B 93 7C 02 00 00 8B 52 0C 8B 12 8A 52 02 88 50 02 8B 93 7C 02 00 00 8B 52 0C 8B 12 8A 52 03 88 50 03 66 83 7B 5A 00 74 08 8B D3 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15572_0 {
	meta:
		name = "TPowersock.Close"
		size = 16
		refs = "0005 @BoundErr 000b closesocket"
	strings:
		$1 = { 85 D2 79 05 E8 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15573_0 {
	meta:
		name = "TPowersock.GetRemoteIP"
		size = 29
		refs = "000d inet_ntoa 0016 @LStrFromPChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF B3 6C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15574_0 {
	meta:
		name = "TPowersock.GetLocalIP"
		size = 192
		refs = "0011 AllocMem 001c TPowersock.GetLocalIP 0030 gethostname 0039 gethostbyname 0082 Format 0097 @FreeMem 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B FA B8 C8 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 C8 00 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 57 8B 43 0C 8B 30 33 C0 8A 06 89 45 DC C6 45 E0 00 33 C0 8A 46 01 89 45 E4 C6 45 E8 00 33 C0 8A 46 02 89 45 EC C6 45 F0 00 33 C0 8A 46 03 89 45 F4 C6 45 F8 00 8D 55 DC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 0B 00 00 00 25 64 2E 25 64 2E 25 64 2E 25 64 00 }
	condition:
		$1
}

rule function_15575_0 {
	meta:
		name = "TPowersock.GetLocalAddress"
		size = 91
		refs = "001f getsockname 0028 inet_ntoa 0050 StrPas"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F4 C7 06 10 00 00 00 56 8D 54 24 08 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? FF 74 24 08 E8 ?? ?? ?? ?? 8B D8 33 C0 89 06 EB 0E 8B 16 3C 2E 75 06 8B 06 C6 04 03 2C FF 06 8B 06 8A 04 03 84 C0 75 E9 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15576_0 {
	meta:
		name = "TPowersock.GetPortString"
		size = 116
		refs = "001d getsockname 0053 TPowersock.GetPortString 0058 Format"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 C7 04 24 10 00 00 00 54 8D 54 24 08 52 0F B7 80 94 02 00 00 50 E8 ?? ?? ?? ?? 56 66 8B 5C 24 0A 8B C3 66 25 FF 00 0F B7 C0 89 44 24 18 C6 44 24 1C 00 66 C1 EB 08 0F B7 C3 89 44 24 20 C6 44 24 24 00 8D 54 24 18 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 24 5E 5B C3 00 00 FF FF FF FF 06 00 00 00 2C 25 64 2C 25 64 00 00 }
	condition:
		$1
}

rule function_15577_0 {
	meta:
		name = "TThreadTimer.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TComponent.Create 0029 TmrAllocateHWnd 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 34 01 C7 46 24 E8 03 00 00 8B C6 E8 ?? ?? ?? ?? 89 46 28 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15578_0 {
	meta:
		name = "TThreadTimer.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 0012 TThreadTimer.UpdateTimer 001b DestroyWindow 0027 TComponent.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 34 00 8B C6 E8 ?? ?? ?? ?? 8B 46 28 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15579_0 {
	meta:
		name = "TThreadTimer.Wndproc"
		size = 110
		refs = "001a TThreadTimer.Wndproc 002c @CallDynaInst 003b @HandleAnyException 0040 Application 004a TApplication.HandleException 004f @DoneExcept 0061 DefWindowProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 33 81 FE 13 01 00 00 75 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 43 08 50 8B 43 04 50 56 6A 00 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15585_0 {
	meta:
		name = "TNMGeneralServer.Create"
		size = 120
		refs = "000e @ClassCreate 0020 TPowersock.Create 0027 TObject.ClassType 0035 _DV_TNMGeneralServer 003c TObject.ClassParent 004b _Dn_TThreadList 0050 TThreadList.Create 0063 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 89 93 A4 02 00 00 3B 05 ?? ?? ?? ?? 74 09 E8 ?? ?? ?? ?? 85 C0 75 EF 85 C0 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15586_0 {
	meta:
		name = "TNMGeneralServer.Destroy"
		size = 156
		refs = "0007 @BeforeDestruction 0015 TNMGeneralServer.Destroy 0050 TObject.Free 0061 @HandleFinally 007e TPowersock.Destroy 0094 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 A4 02 00 00 C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_15588_0 {
	meta:
		name = "TNMGeneralServer.Loaded"
		size = 47
		refs = "0006 TComponent.Loaded 0011 CounterLock 0016 InitializeCriticalSection 0020 TNMGeneralServer.ServerAccept 0029 TPowersock.Listen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 75 1D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5B 34 C7 43 30 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15589_0 {
	meta:
		name = "TNMGeneralServer.Abort"
		size = 114
		refs = "0018 TThreadList.LockList 0022 TNMGeneralServer.Abort 003c TList.Get 0041 TPowersock.Cancel 0060 TThreadList.UnlockList 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 A4 02 00 00 85 C0 74 55 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15590_0 {
	meta:
		name = "TNMGeneralServer.ServerAccept"
		size = 135
		refs = "000b CounterLock 0010 EnterCriticalSection 0018 TNMGeneralServer.ServerAccept 003b _DV_InstantiateServethread 0040 InstantiateServethread.Create 004f @HandleAnyException 0054 @DoneExcept 005e LeaveCriticalSection"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 D4 00 00 00 01 8B 45 FC 8B 10 FF 52 30 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 AA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 AC 02 00 00 FF 93 A8 02 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15592_0 {
	meta:
		name = "InstantiateServethread.Create"
		size = 375
		refs = "0011 @ClassCreate 0021 InstantiateServethread.Create 0033 TThread.Create 0048 TObject.ClassType 008d closesocket 00ab TThreadList.Add 00c9 WSAAsyncSelect 00d4 TStream.GetSize 00e5 TStream.SetPosition 0107 TStream.CopyFrom 0112 TMemoryStream.Clear 0133 TThread.Resume 0139 @HandleFinally 014a @HandleAnyException 014f @DoneExcept 015d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 2C 8B F8 8B 45 FC 89 78 28 C6 87 A0 02 00 00 01 8B F3 56 57 81 C6 68 02 00 00 81 C7 68 02 00 00 B9 04 00 00 00 F3 A5 5F 5E 8B 45 FC 89 87 B4 02 00 00 0F B7 87 94 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 66 8B 55 08 66 89 90 94 02 00 00 8B D0 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 6A 3F 68 65 04 00 00 8B 45 FC 8B 40 28 8B 80 98 02 00 00 50 0F B7 45 08 50 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 3A 8B 86 9C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B BB 9C 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 FC 8B 40 28 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 89 B0 B0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15593_0 {
	meta:
		name = "InstantiateServethread.Destroy"
		size = 190
		refs = "000a @BeforeDestruction 0018 InstantiateServethread.Destroy 0031 CounterLock 0036 EnterCriticalSection 004f TThreadList.Remove 006e LeaveCriticalSection 0089 TThread.Destroy 008f @HandleFinally 00a0 @HandleAnyException 00a5 @DoneExcept 00b3 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B D0 8B 80 B0 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 50 28 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15594_0 {
	meta:
		name = "InstantiateServethread.Execute"
		size = 57
		refs = "000a InstantiateServethread.Execute 002b @HandleAnyException 0030 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 40 0E 01 8B 40 28 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_15595_0 {
	meta:
		name = "TNMPropEd.Edit"
		size = 84
		refs = "0006 Application 000f _DV_TNMShow 0014 TCustomForm.Create 001f TNMPropEd.Edit 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_15596_0 {
	meta:
		name = "TNMPropEd.GetValue"
		size = 40
		refs = "0006 TNMPropEd.GetValue 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 09 00 00 00 43 6F 6D 70 6F 6E 65 6E 74 00 00 00 }
	condition:
		$1
}

rule function_15598_0 {
	meta:
		name = "NthWord"
		size = 218
		refs = "001d @LStrAddRef 0025 NthWord 003a @LStrLen 0046 @LStrClr 0054 @BoundErr 0083 @LStrFromChar 008e @LStrCat 00a3 @LStrLAsg 00bd @LStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 8B F9 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 BB 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 89 45 F4 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 4B 3B 58 FC 72 05 E8 ?? ?? ?? ?? 43 8A 44 18 FF 3A 45 FB 75 03 46 EB 2D 8B C7 48 3B F0 75 26 8D 45 EC 8B 55 FC 4B 3B 5A FC 72 05 E8 ?? ?? ?? ?? 43 8A 54 1A FF E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 43 3B FE 74 05 3B 5D F4 75 AE 8B 45 08 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15599_0 {
	meta:
		name = "NthPos"
		size = 136
		refs = "0015 @LStrAddRef 001d NthPos 0032 @LStrLen 0041 @BoundErr 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 BF 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 8B 55 FC 4F 3B 7A FC 72 05 E8 ?? ?? ?? ?? 47 3A 5C 3A FF 75 01 46 47 3B 75 F8 74 04 3B C7 75 E0 3B C7 74 05 8B DF 4B EB 02 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15600_0 {
	meta:
		name = "StreamLn"
		size = 156
		refs = "0015 @LStrAddRef 001d StreamLn 0033 @LStrCat3 003b UniqueString 004b @BoundErr 0059 @LStrLen 0063 TStream.WriteBuffer 007d @LStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? BA 01 00 00 00 4A 3B 50 FC 72 05 E8 ?? ?? ?? ?? 42 8D 44 10 FF 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_15601_0 {
	meta:
		name = "PsockWindowProc"
		size = 110
		refs = "0016 GetWindowLong 0028 @BoundErr 002f DefWindowProc 005e TPowersock.Wndproc"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 7D 10 8B 5D 0C 8B 75 08 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 14 50 57 85 DB 79 05 E8 ?? ?? ?? ?? 53 56 E8 ?? ?? ?? ?? EB 30 85 DB 79 05 E8 ?? ?? ?? ?? 89 5D F0 89 7D F4 8B 55 14 89 55 F8 81 FB 64 04 00 00 7E 10 81 FB 69 04 00 00 7D 08 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_15602_0 {
	meta:
		name = "_NF__2BA"
		size = 20
	strings:
		$1 = { 50 73 6F 63 6B 57 69 6E 64 6F 77 43 6C 61 73 73 00 00 00 00 }
	condition:
		$1
}

rule function_15603_0 {
	meta:
		name = "PsockAllocateHWnd"
		size = 156
		refs = "0009 PsockWindowClass 0011 HInstance 002c GetClassInfo 0040 RegisterClass 0067 PsockAllocateHWnd 0077 CreateWindowEx 008a SetWindowLong"
	strings:
		$1 = { 53 56 83 C4 D8 8B F0 83 3D ?? ?? ?? ?? 00 75 0C A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 54 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 75 11 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D8 85 DB 74 43 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 68 00 00 00 80 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 80 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 85 F6 74 09 56 6A 00 53 E8 ?? ?? ?? ?? 8B C3 83 C4 28 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15606_0 {
	meta:
		name = "TmrAllocateHWnd"
		size = 156
		refs = "0009 TmrWindowClass 0011 HInstance 002c GetClassInfo 0040 RegisterClass 0067 TmrAllocateHWnd 0077 CreateWindowEx 008a SetWindowLong"
	strings:
		$1 = { 53 56 83 C4 D8 8B F0 83 3D ?? ?? ?? ?? 00 75 0C A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 54 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 75 11 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D8 85 DB 74 43 6A 00 A1 ?? ?? ?? ?? 8B 00 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 68 00 00 00 80 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 80 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 85 F6 74 09 56 6A 00 53 E8 ?? ?? ?? ?? 8B C3 83 C4 28 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15604_0 {
	meta:
		name = "TmrWindowProc"
		size = 99
		refs = "0016 GetWindowLong 0028 @BoundErr 002f DefWindowProc 0053 TThreadTimer.Wndproc"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 7D 10 8B 5D 0C 8B 75 08 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 14 50 57 85 DB 79 05 E8 ?? ?? ?? ?? 53 56 E8 ?? ?? ?? ?? EB 25 85 DB 79 05 E8 ?? ?? ?? ?? 89 5D F0 89 7D F4 8B 55 14 89 55 F8 83 FB 1C 74 08 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_15605_0 {
	meta:
		name = "_NF__2C9"
		size = 16
	strings:
		$1 = { 54 6D 72 57 69 6E 64 6F 77 43 6C 61 73 73 00 00 }
	condition:
		$1
}

rule function_15612_0 {
	meta:
		name = "TQRAboutBox.FormCreate"
		size = 110
		refs = "000c TQRAboutBox.FormCreate 001a SqrAboutInfo 001f LoadResString 002d TControl.SetText 0049 TControl.SetCursor 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 66 BA EB FF 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15613_0 {
	meta:
		name = "TQRAboutBox.Label3Click"
		size = 60
		refs = "000a TQRAboutBox.Label3Click 0016 TWinControl.GetHandle 001c ShellExecute"
	strings:
		$1 = { 53 8B D8 6A 05 6A 00 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 00 00 77 77 77 2E 71 75 73 6F 66 74 2E 63 6F 6D 00 00 6F 70 65 6E 00 00 00 00 }
	condition:
		$1
}

rule function_15616_0 {
	meta:
		name = "TQRCompEd.GetValues"
		size = 1764
		refs = "000f TQRCompEd.GetValues 0026 TQRPage.GetPaperSize 002e QRPaperName 004b TCustomComboBox.SetItemIndex 0061 TQRPage.GetValue 0075 FormatFloat 0083 TControl.SetText 0218 IntToStr 0237 TFont.GetName 025f PopulateFontSizeCombo 026d TFont.GetSize 028e TQRBasePanel.GetFrame 0312 TBrush.SetColor 031d TCustomQuickRep.GetUnits 0342 TQuickRepBands.GetHasBand 0464 TQuickRepBands.GetBand 0469 TQRCustomBand.GetBandSize 0470 TQRBandSize.GetValue 06b9 @LStrClr 06c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C0 03 00 00 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B B3 E4 02 00 00 8B 86 EC 01 00 00 8B 08 FF 51 50 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 8C 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 8C 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 8C 02 00 00 80 78 44 00 75 0F 33 D2 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? EB 10 BA 01 00 00 00 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 8C 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 8C 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 8C 02 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 8C 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 C0 03 00 00 8B 80 8C 02 00 00 8B 40 2C E8 ?? ?? ?? ?? 8B 55 FC 8B 83 40 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 C0 03 00 00 8B 40 58 E8 ?? ?? ?? ?? 8B 55 F8 8B B3 34 03 00 00 8B 86 EC 01 00 00 8B 08 FF 51 50 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 40 58 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8A 50 12 8B 83 54 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8A 50 08 8B 83 58 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8A 50 09 8B 83 5C 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8A 50 11 8B 83 60 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 50 04 8B 83 4C 03 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 30 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 7C 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 78 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 80 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 84 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 A0 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 9C 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 40 14 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 C0 03 00 00 8B 80 30 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 F6 80 88 02 00 00 01 0F 95 C2 8B 83 A8 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 C0 03 00 00 F6 80 88 02 00 00 02 0F 95 C2 8B 83 AC 03 00 00 8B 08 FF 91 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 FF FF FF FF 06 00 00 00 23 23 30 2E 30 30 00 00 }
	condition:
		$1
}

rule function_15617_0 {
	meta:
		name = "TQRCompEd.SetValues"
		size = 1872
		refs = "000f TQRCompEd.SetValues 0021 QRPaperName 0033 TControl.GetText 003c @LStrCmp 0051 TQRPage.SetPaperSize 006a TQRPage.GetPaperSize 0084 StrToFloat 00a1 TQRPage.SetValue 00df TCustomComboBox.GetItemIndex 00f6 TQRPage.SetOrientation 021d StrToInt 0230 TQRPage.SetColumns 024f TFont.SetName 0275 TFont.SetSize 028f TQRBasePanel.GetFrame 029a TQRFrame.SetValue 0317 TBrush.GetColor 0329 TQRFrame.SetColor 0351 TQRFrame.SetWidth 0377 TQuickRepBands.SetHasBand 03d0 TQuickRepBands.GetBand 03d5 TQRCustomBand.GetBandSize 03dc TQRBandSize.SetValue 0729 @LStrClr 0737 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B 86 E4 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 15 8B 86 C0 03 00 00 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? EB 06 43 80 FB 1C 75 BE 8B 86 C0 03 00 00 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 3C 1B 75 66 8D 55 F8 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 8C 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 8C 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 86 F0 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 8B 86 C0 03 00 00 8B 80 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? EB 13 8B 86 C0 03 00 00 8B 80 8C 02 00 00 B2 01 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 0C 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 8C 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 14 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 8C 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 18 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 8C 02 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 1C 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 8C 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 40 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 03 00 00 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 34 03 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 C0 03 00 00 8B 40 58 E8 ?? ?? ?? ?? 8D 55 F8 8B 86 38 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 03 00 00 8B 40 58 E8 ?? ?? ?? ?? 8B 86 5C 03 00 00 8B 10 FF 92 B8 00 00 00 50 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 59 E8 ?? ?? ?? ?? 8B 86 60 03 00 00 8B 10 FF 92 B8 00 00 00 50 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 59 E8 ?? ?? ?? ?? 8B 86 54 03 00 00 8B 10 FF 92 B8 00 00 00 50 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 8B 86 58 03 00 00 8B 10 FF 92 B8 00 00 00 50 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 59 E8 ?? ?? ?? ?? 8B 86 4C 03 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 50 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 55 F8 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 86 7C 03 00 00 8B 10 FF 92 B8 00 00 00 8B C8 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 86 7C 03 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 53 8D 55 F8 8B 86 88 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 88 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 78 03 00 00 8B 10 FF 92 B8 00 00 00 8B C8 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 86 78 03 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 53 8D 55 F8 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 80 03 00 00 8B 10 FF 92 B8 00 00 00 8B C8 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 86 80 03 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 53 8D 55 F8 8B 86 90 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 90 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 84 03 00 00 8B 10 FF 92 B8 00 00 00 8B C8 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 86 84 03 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 53 8D 55 F8 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 A0 03 00 00 8B 10 FF 92 B8 00 00 00 8B C8 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 86 A0 03 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 53 8D 55 F8 8B 86 98 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 98 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 9C 03 00 00 8B 10 FF 92 B8 00 00 00 8B C8 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 86 9C 03 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 53 8D 55 F8 8B 86 A4 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 3F 8D 55 F8 8B 86 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 86 C0 03 00 00 8B 80 30 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 30 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 C0 03 00 00 8B 08 FF 91 C4 00 00 00 8B 86 C0 03 00 00 8A 15 ?? ?? ?? ?? 88 90 88 02 00 00 8B 86 A8 03 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 18 8B 9E C0 03 00 00 8A 83 88 02 00 00 0A 05 ?? ?? ?? ?? 88 83 88 02 00 00 8B 86 AC 03 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 18 8B 9E C0 03 00 00 8A 83 88 02 00 00 0A 05 ?? ?? ?? ?? 88 83 88 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 00 00 01 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_15618_0 {
	meta:
		name = "TQRCompEd.SetQuickRep"
		size = 16
		refs = "000b TQRCompEd.GetValues"
	strings:
		$1 = { 89 90 C0 03 00 00 85 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15619_0 {
	meta:
		name = "TQRCompEd.FormCreate"
		size = 157
		refs = "000d TQRCompEd.FormCreate 001f QRPaperName 0040 _Dn_TStringList 0045 TObject.Create 0058 TCustomComboBox.SetSorted 005d GetFonts 006a TCustomComboBox.SetItems 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 E4 02 00 00 8B 80 EC 01 00 00 8B 08 FF 51 34 43 80 FB 1C 75 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 03 00 00 B2 01 8B 86 E4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 86 34 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 34 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15620_0 {
	meta:
		name = "TQRCompEd.SetAvailableDataSets"
		size = 26
		refs = "000d TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 89 B3 C4 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15625_0 {
	meta:
		name = "TQRCompEd.FloatKeyPress"
		size = 108
		refs = "000d TQRCompEd.PageWidthExit 0015 TQRCompEd.FloatKeyPress 0026 DecimalSeparator"
	strings:
		$1 = { 56 57 83 C4 E0 8B F1 80 3E 0D 75 07 E8 ?? ?? ?? ?? EB 32 56 BE ?? ?? ?? ?? 8D 7C 24 04 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 8A 00 25 FF 00 00 00 0F AB 04 24 8A 06 25 FF 00 00 00 0F A3 04 24 72 03 C6 06 00 83 C4 20 5F 5E C3 00 00 01 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15626_0 {
	meta:
		name = "TQRCompEd.PageWidthExit"
		size = 152
		refs = "000f TQRCompEd.PageWidthExit 0021 TControl.GetText 0039 StrToFloat 004d FormatFloat 0057 TControl.SetText 006c @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B F3 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 30 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 FF FF FF FF 06 00 00 00 23 23 30 2E 30 30 00 00 }
	condition:
		$1
}

rule function_15627_0 {
	meta:
		name = "TQRCompEd.AboutClick"
		size = 101
		refs = "000d TCustomForm.Hide 0017 _Dn_TQRAboutBox 001c TCustomForm.Create 0027 TQRCompEd.AboutClick 004d TObject.Free 0053 @HandleFinally 005d TCustomForm.Show"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_15628_0 {
	meta:
		name = "TQRCompEd.PreviewClick"
		size = 12
		refs = "0007 TCustomQuickRep.Preview"
	strings:
		$1 = { 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15629_0 {
	meta:
		name = "TQRCompEd.ColorButtonClick"
		size = 129
		refs = "000c _Dn_TColorDialog 0011 TColorDialog.Create 001c TQRCompEd.ColorButtonClick 0033 TBrush.GetColor 005c TBrush.SetColor 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 4C 03 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 8B 45 FC 8B 10 FF 52 3C 84 C0 74 17 8B 45 FC 8B 50 4C 8B 83 4C 03 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15630_0 {
	meta:
		name = "TQRCompEd.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15631_0 {
	meta:
		name = "TQRCompEd.SpeedButton1Click"
		size = 19
		refs = "000e TQRCompEd.ChangeValue"
	strings:
		$1 = { 6A 01 B9 01 00 00 00 8B 90 40 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15632_0 {
	meta:
		name = "TQRCompEd.ChangeValue"
		size = 135
		refs = "0011 TQRCompEd.ChangeValue 0021 TControl.GetText 0029 StrToInt 004c IntToStr 0056 TControl.SetText 006b @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 03 C6 3B 45 08 7C 26 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 03 C6 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15633_0 {
	meta:
		name = "TQRCompEd.SpeedButton2Click"
		size = 17
		refs = "000c TQRCompEd.ChangeValue"
	strings:
		$1 = { 6A 01 83 C9 FF 8B 90 40 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15634_0 {
	meta:
		name = "TQRCompEd.SpeedButton3Click"
		size = 19
		refs = "000e TQRCompEd.ChangeValue"
	strings:
		$1 = { 6A 00 B9 01 00 00 00 8B 90 68 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15635_0 {
	meta:
		name = "TQRCompEd.SpeedButton4Click"
		size = 17
		refs = "000c TQRCompEd.ChangeValue"
	strings:
		$1 = { 6A 00 83 C9 FF 8B 90 68 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15640_0 {
	meta:
		name = "TQRCustomLabel.Create"
		size = 157
		refs = "000a @ClassCreate 0017 TQRPrintable.Create 0033 _Dn_TStringList 0038 TObject.Create 0060 TQRCustomLabel.SetCaption 0069 TQRPrintable.SetTransparent 008a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 1E 02 00 00 01 C6 86 1F 02 00 00 00 C6 86 40 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 34 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 30 02 00 00 C6 86 1D 02 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 41 02 00 00 00 33 C0 89 86 2C 02 00 00 C6 86 1C 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15641_0 {
	meta:
		name = "TQRCustomLabel.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TQRPrintable.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 34 02 00 00 E8 ?? ?? ?? ?? 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15642_0 {
	meta:
		name = "TQRCustomLabel.GetControlsAlignment"
		size = 7
		altNames = "TRadioButton.GetChecked"
	strings:
		$1 = { 8A 80 F1 01 00 00 C3 }
	condition:
		$1
}

rule function_15643_0 {
	meta:
		name = "TQRCustomLabel.GetCaption"
		size = 22
		refs = "000f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 20 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15644_0 {
	meta:
		name = "TQRCustomLabel.GetCaptionBased"
		size = 7
	strings:
		$1 = { 8A 80 1C 02 00 00 C3 }
	condition:
		$1
}

rule function_15645_0 {
	meta:
		name = "TQRCustomLabel.DefineProperties"
		size = 76
		refs = "001e TQRCustomLabel.DefineProperties 002d TControl.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 80 E0 00 00 00 50 53 8B 03 8B 80 E4 00 00 00 50 B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 08 00 00 00 46 6F 6E 74 53 69 7A 65 00 00 00 00 }
	condition:
		$1
}

rule function_15646_0 {
	meta:
		name = "TQRCustomLabel.ReadFontSize"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 2C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15647_0 {
	meta:
		name = "TQRCustomLabel.WriteFontSize"
		size = 26
		refs = "000a TFont.GetSize 0013 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 58 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15648_0 {
	meta:
		name = "TQRCustomLabel.Loaded"
		size = 32
		refs = "0006 TQRPrintable.Loaded 001a TFont.SetSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 85 C0 7E 0A 8B D0 8B 43 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15649_0 {
	meta:
		name = "TQRCustomLabel.CMFontChanged"
		size = 29
		refs = "0006 TWinControl.CMFontChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? C6 86 1D 02 00 00 00 8B C6 8B 10 FF 92 DC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_15650_0 {
	meta:
		name = "TQRCustomLabel.Prepare"
		size = 127
		refs = "000e TQRCustomLabel.Prepare 001b TQRPrintable.Prepare 0029 TQRCustomLabel.GetCaption 0031 @LStrLen 004a @LStrCopy 0054 TQRCustomLabel.SetCaption 006e @LStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA 01 00 00 00 59 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15652_0 {
	meta:
		name = "aLineWidth"
		size = 149
		refs = "000c @LStrAddRef 0014 aLineWidth 0030 TQRPrintable.GetZoom 004e TCustomQuickRep.TextWidth 0054 MulDiv 006c TCanvas.TextWidth 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 35 6A 64 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B 50 58 8B 45 08 8B 40 F8 8B 80 FC 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 EB 16 8B 45 08 8B 40 F8 8B 80 EC 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_15653_0 {
	meta:
		name = "FlushLine"
		size = 39
		refs = "0021 @LStrClr"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 80 30 02 00 00 8B 08 FF 51 34 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_15654_0 {
	meta:
		name = "AddWord"
		size = 646
		refs = "0012 @LStrAddRef 0020 AddWord 0037 @LStrCat3 003f aLineWidth 005d SysLocale 0072 LeadBytes 0084 @LStrLen 009d @LStrCopy 00e8 @LStrCat 00ff @LStrDelete 0179 @LStrClr 0182 FlushLine 01c9 ByteType 0220 @LStrLAsg 0274 @LStrArrayClr 027a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 5D 08 83 C3 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 13 8D 45 F4 8B 4D FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 08 8B 52 F8 3B 42 38 0F 8E 01 02 00 00 83 3B 00 0F 85 21 01 00 00 A1 ?? ?? ?? ?? 80 78 08 00 0F 84 CF 00 00 00 8B 45 FC 8A 00 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 23 8B 45 FC E8 ?? ?? ?? ?? 48 7E 18 8D 45 F8 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 16 8D 45 F8 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 8B 13 8D 45 F4 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 08 8B 52 F8 3B 42 38 0F 8D 93 00 00 00 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? E9 63 FF FF FF 8D 45 F4 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8D 45 F0 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8B 13 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 08 8B 52 F8 3B 42 38 7C 93 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B 55 08 8B 52 F8 8B 72 38 3B C6 0F 8E 91 00 00 00 83 3B 00 75 70 8B 45 08 85 F6 75 51 8D 45 FC E8 ?? ?? ?? ?? EB 5F 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 3C 02 75 1A 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 8D 45 FC B9 02 00 00 00 E8 ?? ?? ?? ?? EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B 55 08 8B 52 F8 3B 42 38 7F A1 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 80 B8 40 02 00 00 00 75 0F 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 C6 40 F3 01 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15655_0 {
	meta:
		name = "AddLine"
		size = 500
		refs = "0014 @LStrAddRef 0022 AddLine 0037 @LStrPos 0046 @LStrDelete 0082 @LStrCopy 00ce @LStrClr 00f6 @LStrLAsg 00ff FlushLine 011d LeadBytes 0140 BreakChars 014a @LStrLen 016d AddWord 01ca @LStrArrayClr 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 75 08 83 C6 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F D3 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 55 8B 45 08 50 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 BD 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 E9 F1 00 00 00 33 C0 89 06 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 8B 45 08 C6 40 F3 00 8B 45 08 8B 40 F8 80 B8 1E 02 00 00 00 0F 84 99 00 00 00 8B 45 08 83 C0 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 C6 40 F3 01 E9 A4 00 00 00 FF 06 8B 06 8B 55 FC 8A 44 02 FF 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 73 04 FF 06 EB 23 8B 06 8B 55 FC 8A 44 02 FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 72 0C 8B 45 FC E8 ?? ?? ?? ?? 3B 06 7F BE 8B 45 08 50 8D 45 F8 50 8B 0E BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 0E 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 06 8B 45 FC E8 ?? ?? ?? ?? 3B 06 7E 10 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8F 6F FF FF FF 8B 45 08 80 78 F3 00 75 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 FF FF FF FF 01 00 00 00 0A 00 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_15656_0 {
	meta:
		name = "FormatFromCaption"
		size = 196
		refs = "0018 AddLine 004c FormatFromCaption 0051 TCustomQuickRep.TextHeight 005a TQRPrintable.GetZoom 00a6 TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 F8 8B 45 08 50 8B 03 8B 80 28 02 00 00 E8 ?? ?? ?? ?? 59 8B 03 80 B8 41 02 00 00 00 0F 85 87 00 00 00 8B 45 08 80 78 FF 00 74 7E 8B 03 C6 80 41 02 00 00 01 8B 03 8B 50 58 8B 03 8B 80 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 0F AF F0 8B C6 B9 64 00 00 00 99 F7 F9 40 8B 13 3B 42 3C 7E 37 8B 03 8B 50 58 8B 03 8B 80 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 0F AF F0 8B C6 B9 64 00 00 00 99 F7 F9 8B D0 42 8B 03 E8 ?? ?? ?? ?? 8B 03 C6 80 41 02 00 00 00 5E 5B 5D C3 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_15657_0 {
	meta:
		name = "FormatFromStringList"
		size = 258
		refs = "000c FormatFromStringList 0095 AddLine 00c1 @LStrAsg 00ca FormatFromCaption 00db @LStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 8B 80 34 02 00 00 8B 10 FF 52 14 85 C0 74 75 8B 45 08 8B 40 F8 80 B8 1E 02 00 00 00 74 22 8B 45 08 8B 40 F8 8B 90 34 02 00 00 8B 45 08 8B 40 F8 8B 80 30 02 00 00 8B 08 FF 51 08 E9 83 00 00 00 8B 45 08 8B 40 F8 8B 80 34 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 6B 43 33 F6 8B 45 08 50 8D 4D FC 8B 45 08 8B 40 F8 8B 80 34 02 00 00 8B D6 8B 38 FF 57 0C 8B 45 FC E8 ?? ?? ?? ?? 59 46 4B 75 D9 EB 3F 8B 45 08 8B 40 F8 F6 40 20 10 74 33 8B 45 08 8B 40 F8 05 20 02 00 00 8B 55 08 8B 52 F8 8B 52 08 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 05 20 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15658_0 {
	meta:
		name = "TQRCustomLabel.FormatLines"
		size = 716
		refs = "0018 TQRCustomLabel.FormatLines 0046 _Dn_TStringList 004b TObject.Create 007b FormatFromCaption 0084 FormatFromStringList 00e8 aLineWidth 0155 @CallDynaInst 0161 ChangeBiDiModeAlignment 018c TControl.SetLeft 01b0 TControl.SetWidth 01e4 TCustomQuickRep.TextHeight 01ee TQRPrintable.GetZoom 0206 TControl.SetHeight 02a3 @LStrClr 02b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 24 00 0F 84 59 02 00 00 8B 45 F8 8B 80 30 02 00 00 85 C0 74 07 8B 10 FF 52 40 EB 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 30 02 00 00 8B 45 F8 83 B8 FC 01 00 00 00 0F 95 45 FF C6 45 F3 00 8B 45 F8 8B 10 FF 92 D8 00 00 00 84 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 80 B8 1E 02 00 00 00 0F 84 EF 01 00 00 8B 45 F8 80 B8 41 02 00 00 00 0F 85 DF 01 00 00 80 7D FF 00 0F 84 D5 01 00 00 33 C0 89 45 E8 8B 45 F8 8B 80 30 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 49 46 33 DB 55 8D 4D E0 8B 45 F8 8B 80 30 02 00 00 8B D3 8B 38 FF 57 0C 8B 45 E0 E8 ?? ?? ?? ?? 59 3B 45 E8 7E 20 55 8D 4D E0 8B 45 F8 8B 80 30 02 00 00 8B D3 8B 38 FF 57 0C 8B 45 E0 E8 ?? ?? ?? ?? 59 89 45 E8 43 4E 75 BA 8B 45 F8 8B 80 F4 01 00 00 80 78 09 00 74 06 8B 50 14 01 55 E8 80 78 11 00 74 06 8B 40 14 01 45 E8 8B 45 F8 C6 80 41 02 00 00 01 8B 45 F8 8A 80 F1 01 00 00 88 45 E7 8B 45 F8 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 E7 E8 ?? ?? ?? ?? 8A 45 E7 FE C8 74 26 FE C8 75 39 8B 45 F8 8B 50 30 8B 45 F8 8B 40 38 2B 45 E8 D1 F8 79 03 83 D0 00 03 D0 8B 45 F8 E8 ?? ?? ?? ?? EB 17 8B 45 F8 8B 50 30 8B 45 F8 03 50 38 2B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 30 02 00 00 8B 10 FF 52 14 85 C0 75 44 8B 45 F8 F6 40 20 10 74 3B 8B 45 F8 8B 50 58 8B 45 F8 8B 80 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 0F AF D8 8B C3 B9 64 00 00 00 99 F7 F9 8B D0 42 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 58 8B 45 F8 8B 80 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 0F AF D8 8B C3 B9 64 00 00 00 99 F7 F9 40 8B 55 F8 3B 42 3C 7E 3B 8B 45 F8 8B 50 58 8B 45 F8 8B 80 FC 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 0F AF D8 8B C3 B9 64 00 00 00 99 F7 F9 8B D0 42 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 41 02 00 00 00 8B 45 F8 C6 80 1D 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_15659_0 {
	meta:
		name = "TQRCustomLabel.SetLines"
		size = 30
	strings:
		$1 = { 56 8B F0 8B 86 34 02 00 00 8B 08 FF 51 08 C6 86 1D 02 00 00 00 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_15660_0 {
	meta:
		name = "TQRCustomLabel.PaintToCanvas"
		size = 592
		refs = "0023 TQRCustomLabel.PaintToCanvas 003f TQRPrintable.GetTransparent 0051 TBrush.SetColor 005e TBrush.SetStyle 0069 TCanvas.FillRect 0080 TQRFrame.AnyFrame 00a1 TQRPrintable.GetZoom 00b5 Screen 00c9 @ROUND 012a TCanvas.GetHandle 0130 SetBkMode 0144 @CallDynaInst 0150 ChangeBiDiModeAlignment 016f SetTextAlign 01e2 @LStrLen 01f9 UniqueString 0218 ExtTextOut 0233 @LStrClr 0239 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D F0 8B F1 8D 7D D0 B9 04 00 00 00 F3 A5 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 DC 00 00 00 33 C0 89 45 E8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 26 8B 45 FC 8B 40 14 8B 56 64 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 89 45 F4 8B 45 D0 89 45 F8 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B 9E F4 01 00 00 80 7B 12 00 74 38 83 7B 14 00 7E 32 8B C6 E8 ?? ?? ?? ?? 89 45 CC DB 45 CC DB 43 14 D8 35 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE C9 DE C9 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 01 45 F4 8B 9E F4 01 00 00 80 7B 09 00 74 32 8B C6 E8 ?? ?? ?? ?? 89 45 CC DB 45 CC DB 43 14 D8 35 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE C9 DE C9 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 01 45 F8 8B 45 D0 29 45 D8 33 C0 89 45 D0 8B 45 D4 29 45 DC 33 C0 89 45 D4 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8A 86 F1 01 00 00 88 45 E7 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 E7 E8 ?? ?? ?? ?? 8A 45 E7 2C 01 72 08 74 18 FE C8 74 2C EB 4A 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 38 6A 02 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 D8 01 45 F8 EB 20 6A 06 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 D8 2B 45 D0 D1 F8 79 03 83 D0 00 01 45 F8 8B 86 30 02 00 00 8B 10 FF 52 14 48 85 C0 7C 65 40 89 45 E0 33 DB 8B C3 F7 6D 08 03 45 F4 89 45 EC 8D 4D F0 8B D3 8B 86 30 02 00 00 8B 38 FF 57 0C 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 32 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 D0 50 8B 45 E8 50 8B 45 EC 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 43 FF 4D E0 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 90 42 00 00 C8 42 }
	condition:
		$1
}

rule function_15661_0 {
	meta:
		name = "CanPrint"
		size = 152
		refs = "003c TQRCustomBand.CanExpand 0065 TQRCustomBand.ExpandBand 0079 CanPrint"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 B3 01 8B 45 08 DB 68 F4 8B 45 08 DB 68 08 DE C1 8B 45 08 DB 68 EA DE D9 DF E0 9E 73 69 8B 45 08 66 8B 50 10 52 FF 70 0C FF 70 08 8B 45 08 8B 40 E4 8B 40 24 E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 08 66 8B 50 10 52 FF 70 0C FF 70 08 8B 45 08 8D 48 FF 8D 55 F6 8B 45 08 8B 40 E4 8B 40 24 E8 ?? ?? ?? ?? 8B 45 08 DB 68 2C 8B 45 08 DB 68 14 DE C1 D8 05 ?? ?? ?? ?? DB 6D F6 DE C1 8B 45 08 DB 78 EA 9B EB 02 33 DB 8B C3 5B 8B E5 5D C3 00 00 80 3F }
	condition:
		$1
}

rule function_15662_0 {
	meta:
		name = "PrintLine"
		size = 414
		refs = "000d PrintLine 004a @LStrLen 0091 @LStrToPChar 00bf TQRPrinter.YPos 00df TQRPrinter.XPos 00eb TCanvas.GetHandle 00f1 ExtTextOut 018d @LStrClr 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 E4 8B 80 FC 01 00 00 80 B8 61 02 00 00 00 0F 84 C5 00 00 00 8D 4D FC 8B 45 08 8B 40 E4 8B 80 30 02 00 00 8B D3 8B 30 FF 56 0C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 9F 00 00 00 6A 00 8D 4D FC 8B 45 08 8B 40 E4 8B 80 30 02 00 00 8B D3 8B 30 FF 56 0C 8B 45 FC E8 ?? ?? ?? ?? 50 8D 4D FC 8B 45 08 8B 40 E4 8B 80 30 02 00 00 8B D3 8B 30 FF 56 0C 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 83 C0 D4 50 8B 45 08 8B 40 C0 50 8B 45 08 66 8B 50 FC 52 FF 70 F8 FF 70 F4 8B 45 08 8B 40 E4 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 08 66 8B 50 CE 52 FF 70 CA FF 70 C6 8B 45 08 8B 40 E4 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B B0 FC 01 00 00 80 BE 60 02 00 00 00 74 5D 8B 45 08 66 8B 50 CE 52 FF 70 CA FF 70 C6 8B 45 08 66 8B 50 FC 52 FF 70 F8 FF 70 F4 8B 45 08 8A 40 BF 50 8D 4D FC 8B 45 08 8B 40 E4 8B 80 30 02 00 00 8B D3 8B 18 FF 53 0C 8B 45 FC 50 8B 45 08 8B 40 E4 8B 48 64 8B 45 08 8B 40 E4 8B 50 58 8B 45 08 8B 86 5C 02 00 00 8B 18 FF 53 24 8B 45 08 DB 68 F4 8B 45 08 DB 68 08 DE C1 8B 45 08 DB 78 F4 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15663_0 {
	meta:
		name = "TQRCustomLabel.PrintToCanvas"
		size = 1200
		refs = "001e TQRCustomLabel.PrintToCanvas 005c @LStrLAsg 0096 TCanvas.SetFont 00a5 TQRPrintableSize.GetValue 00b6 TCanvas.TextHeight 00e0 @LStrCmp 00f1 @LStrAsg 013d TQRPrintable.GetTransparent 0152 TPen.SetWidth 0162 TBrush.SetColor 016f TBrush.SetStyle 018b TQRPrinter.YPos 01ac TQRPrinter.XPos 01e5 Rect 01f0 TCanvas.FillRect 021d TQRFrame.AnyFrame 0243 @ROUND 02a1 TQRPrinter.YSize 02be TQRPrinter.XSize 030d TCanvas.GetHandle 0313 SetBkMode 032b @CallDynaInst 0337 ChangeBiDiModeAlignment 033e TControl.UseRightToLeftReading 036d SetTextAlign 03dc PrintLine 0403 CanPrint 0443 TQRPrinter.GetCanvas 044e SelectClipRgn 047d @LStrArrayClr 0483 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D B8 89 5D B4 89 55 D0 89 45 E4 8D 75 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 C0 C6 45 B3 00 8B 06 83 B8 28 02 00 00 00 0F 84 C5 00 00 00 8B 06 66 83 B8 3A 02 00 00 00 0F 84 B5 00 00 00 8D 45 B8 8B 16 8B 92 28 02 00 00 E8 ?? ?? ?? ?? 8D 45 B4 8B 16 8B 92 28 02 00 00 E8 ?? ?? ?? ?? 8D 4D B4 8B 1E 8B 16 8B 83 3C 02 00 00 FF 93 38 02 00 00 8B 06 8B 40 58 8B 55 D0 3B 42 0C 74 44 8B D0 8B 45 D0 E8 ?? ?? ?? ?? 8B 06 8B 80 08 02 00 00 33 D2 E8 ?? ?? ?? ?? DB 7D 14 9B BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 89 45 AC DB 45 AC 8B 06 8B 80 04 02 00 00 DB A8 8C 00 00 00 DE F9 DB 7D 08 9B 8B 45 B4 8B 16 8B 92 28 02 00 00 E8 ?? ?? ?? ?? 74 29 8B 06 05 28 02 00 00 8B 55 B4 E8 ?? ?? ?? ?? 8B 06 8B 10 FF 92 DC 00 00 00 C6 45 B3 01 EB 0A 8B 06 8B 10 FF 92 DC 00 00 00 8B 06 8B 80 08 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? DB 7D 20 9B 8B 06 8B 80 FC 01 00 00 80 B8 61 02 00 00 00 0F 84 BA 00 00 00 8B 06 E8 ?? ?? ?? ?? 84 C0 0F 85 AB 00 00 00 8B 45 D0 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 06 8B 50 64 8B 45 D0 8B 40 14 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 14 33 D2 E8 ?? ?? ?? ?? DB 6D 2C DB 6D 14 DE C1 83 C4 F4 DB 3C 24 9B 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 9C 50 DB 6D 38 DB 6D 20 DE C1 83 C4 F4 DB 3C 24 9B 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 50 66 8B 45 34 50 FF 75 30 FF 75 2C 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 50 66 8B 45 40 50 FF 75 3C FF 75 38 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 55 9C 8B 45 D0 E8 ?? ?? ?? ?? 8B 06 8B 80 FC 01 00 00 80 B8 61 02 00 00 00 0F 84 84 00 00 00 8B 06 80 B8 1E 02 00 00 00 75 79 8B 06 8B 80 F4 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 68 8B 06 8B 98 F4 01 00 00 80 7B 12 00 74 26 DB 43 14 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 94 89 55 98 DF 6D 94 DB 6D 2C DE C1 DB 7D 2C 9B 8B 06 8B 98 F4 01 00 00 80 7B 09 00 74 26 DB 43 14 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 94 89 55 98 DF 6D 94 DB 6D 38 DE C1 DB 7D 38 9B 66 8B 45 10 50 FF 75 0C FF 75 08 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 D4 50 66 8B 45 28 50 FF 75 24 FF 75 20 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? DB 6D 2C DB 6D 14 DE C1 D8 05 ?? ?? ?? ?? DB 7D EA 9B 8B 45 38 89 45 C6 8B 45 3C 89 45 CA 66 8B 45 40 66 89 45 CE 8B 45 2C 89 45 F4 8B 45 30 89 45 F8 66 8B 45 34 66 89 45 FC 6A 01 8B 45 D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 FF 8B 06 8A 80 F1 01 00 00 88 45 BF 8B 06 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 BF E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 74 0D 81 4D C0 80 00 00 00 81 C7 00 01 00 00 8A 45 BF 2C 01 72 08 74 17 FE C8 74 33 EB 55 57 8B 45 D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 44 83 C7 02 57 8B 45 D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DB 6D C6 DB 6D 20 DE C1 DB 7D C6 9B EB 24 83 C7 06 57 8B 45 D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DB 6D 20 D8 35 ?? ?? ?? ?? DB 6D C6 DE C1 DB 7D C6 9B C6 45 FF 00 8B 06 80 B8 00 02 00 00 00 74 23 8B 06 33 D2 89 90 24 02 00 00 EB 17 55 8B 06 8B 80 24 02 00 00 E8 ?? ?? ?? ?? 59 8B 06 FF 80 24 02 00 00 8B 06 8B 80 30 02 00 00 8B 10 FF 52 14 48 8B 16 3B 82 24 02 00 00 7C 0B 55 E8 ?? ?? ?? ?? 59 84 C0 75 C6 8B 06 8B 80 30 02 00 00 8B 10 FF 52 14 48 8B 16 3B 82 24 02 00 00 7E 0B 8B 06 C6 80 00 02 00 00 00 EB 09 8B 06 C6 80 00 02 00 00 01 6A 00 8B 06 8B 80 04 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D B3 00 74 0F 8B 06 05 28 02 00 00 8B 55 B8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 3C 00 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 00 00 90 42 00 00 7E 43 00 00 80 3F 00 00 00 40 }
	condition:
		$1
}

rule function_15664_0 {
	meta:
		name = "TQRCustomLabel.Paint"
		size = 264
		refs = "0029 TFont.GetSize 0032 TQRPrintable.GetZoom 0041 TQRCustomLabel.Paint 0046 @ROUND 0099 TFont.SetSize 00a0 TQRPrintable.Paint 00b2 TCanvas.TextHeight 00d5 Rect 00e6 TQRCustomLabel.PaintToCanvas 00ed TQRPrintable.PaintCorners"
	strings:
		$1 = { 53 56 83 C4 EC 8B D8 80 BB F8 01 00 00 00 0F 85 DD 00 00 00 8B 83 EC 01 00 00 8B 40 0C 8B 53 58 8B 08 FF 51 08 8B 43 58 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 89 34 24 DB 04 24 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B 83 EC 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 99 3B 54 24 04 75 03 3B 04 24 5A 58 74 35 8B 43 58 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 89 34 24 DB 04 24 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 EC 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 BA ?? ?? ?? ?? 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 89 44 24 04 DB 44 24 04 E8 ?? ?? ?? ?? 50 8B 43 3C 50 8D 44 24 10 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4C 24 0C 8B 93 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 00 00 00 C8 42 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_15665_0 {
	meta:
		name = "TQRCustomLabel.Print"
		size = 256
		refs = "0023 TQRPrinter.GetCanvas 002f TCanvas.SetFont 003f TQRPrintableSize.GetValue 009f TQRCustomLabel.Print 00a6 TCanvas.TextHeight 00dd TQRCustomLabel.PrintToCanvas 00e8 TQRPrintable.Print"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 8B FA 8B D8 8B C3 8B 10 FF 52 50 84 C0 0F 84 D0 00 00 00 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 53 58 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 3C 24 DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 10 DB 44 24 10 DE C1 83 C4 F4 DB 3C 24 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 44 24 38 DB 44 24 38 8B 83 04 02 00 00 DB A8 8C 00 00 00 DE F9 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B D0 8A 8B 1F 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_15666_0 {
	meta:
		name = "TQRCustomLabel.SetAutoStretch"
		size = 12
	strings:
		$1 = { 88 90 1F 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_15667_0 {
	meta:
		name = "TQRCustomLabel.SetCaption"
		size = 117
		refs = "000e @LStrAddRef 0016 TQRCustomLabel.SetCaption 002a @LStrAsg 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 20 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 28 02 00 00 8B 55 FC E8 ?? ?? ?? ?? C6 83 1D 02 00 00 00 8B C3 8B 10 FF 92 DC 00 00 00 8B C3 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15668_0 {
	meta:
		name = "TQRCustomLabel.SetName"
		size = 124
		refs = "0011 TQRCustomLabel.SetName 0021 TQRCustomLabel.GetCaption 003c @LStrCmp 0047 TQRCustomLabel.SetCaption 0050 TControl.SetName 006a @LStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 53 08 E8 ?? ?? ?? ?? 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15669_0 {
	meta:
		name = "TQRCustomLabel.SetParent"
		size = 22
		refs = "0006 TQRPrintable.SetParent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 DC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_15671_0 {
	meta:
		name = "TQRCustomLabel.SetWordWrap"
		size = 12
	strings:
		$1 = { 88 90 40 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_15674_0 {
	meta:
		name = "TQRMemo.Paint"
		size = 102
		refs = "000c TQRMemo.Paint 002b TQRCustomLabel.GetCaption 003a TQRCustomLabel.SetCaption 0041 TQRCustomLabel.Paint 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 34 02 00 00 8B 10 FF 52 14 85 C0 7E 19 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 76 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15770_0 {
	meta:
		name = "TQRExprMemo.Paint"
		size = 102
		refs = "000c TQRExprMemo.Paint 002b TQRCustomLabel.GetCaption 003a TQRCustomLabel.SetCaption 0041 TQRCustomLabel.Paint 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 34 02 00 00 8B 10 FF 52 14 85 C0 7E 19 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 76 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15675_0 {
	meta:
		name = "TQRMemo.Print"
		size = 43
		refs = "000e TQRCustomLabel.SetCaption 0019 TQRCustomLabel.Print"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15676_0 {
	meta:
		name = "TQRDBText.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TQRCustomLabel.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 51 02 00 00 00 33 C0 89 86 44 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15677_0 {
	meta:
		name = "TQRDBText.SetDataSet"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 70 02 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15678_0 {
	meta:
		name = "TQRDBText.SetDataField"
		size = 89
		refs = "000e @LStrAddRef 0016 TQRDBText.SetDataField 002a @LStrAsg 0034 TQRCustomLabel.SetCaption 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 74 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15679_0 {
	meta:
		name = "TQRDBText.Loaded"
		size = 131
		refs = "000d TQRDBText.Loaded 001a TQRCustomLabel.Loaded 0031 @LStrFromString 003c TComponent.FindComponent 004a _Dn_TDataSource 004f @IsClass 005d TQRDBText.SetDataSet 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 51 02 00 00 00 74 3A 8D 45 FC 8D 93 51 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 56 24 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15680_0 {
	meta:
		name = "TQRDBText.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B BE 70 02 00 00 75 08 33 C0 89 86 70 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15681_0 {
	meta:
		name = "TQRDBText.SetMask"
		size = 79
		refs = "000e @LStrAddRef 0016 TQRDBText.SetMask 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 78 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15682_0 {
	meta:
		name = "TQRDBText.Prepare"
		size = 139
		refs = "0008 TQRCustomLabel.Prepare 001f TDataSet.FindField 0032 TField.GetIndex 004d _Dn_TMemoField 0052 @IsClass 005e _Dn_TBlobField 0072 @LStrClr"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B BB 70 02 00 00 85 FF 74 62 8B 93 74 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 48 02 00 00 85 F6 74 58 8B C6 E8 ?? ?? ?? ?? 89 83 4C 02 00 00 C6 83 50 02 00 00 01 8B B3 48 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 83 28 02 00 00 E8 ?? ?? ?? ?? EB 0F 33 C0 89 83 48 02 00 00 C6 83 50 02 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15683_0 {
	meta:
		name = "TQRDBText.Print"
		size = 804
		refs = "001b TQRDBText.Print 0060 TFields.GetField 00a5 _Dn_TMemoField 00aa @IsClass 00b6 _Dn_TBlobField 00fa _Dn_TStringField 0127 TField.GetDisplayText 0137 @LStrAsg 016c _Dn_TIntegerField 017d _Dn_TSmallintField 018e _Dn_TWordField 01c2 FormatFloat 01e8 _Dn_TFloatField 01f9 _Dn_TCurrencyField 020a _Dn_TBCDField 0255 _Dn_TDateTimeField 0266 _Dn_TDateField 0277 _Dn_TTimeField 029f FormatDateTime 02be @HandleAnyException 02cb @LStrClr 02d0 @DoneExcept 02f7 TQRCustomLabel.Print 0312 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 50 84 C0 0F 84 C6 02 00 00 8B 45 FC 80 B8 50 02 00 00 00 74 2E 8B 45 FC 8B 98 70 02 00 00 80 BB 96 00 00 00 00 74 27 8B 45 FC 8B 90 4C 02 00 00 8B 43 24 E8 ?? ?? ?? ?? 8B 55 FC 89 82 48 02 00 00 EB 0B 8B 45 FC 33 D2 89 90 48 02 00 00 8B 45 FC 83 B8 48 02 00 00 00 0F 84 4C 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 48 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 F0 8B C3 8B 08 FF 51 58 8B 55 F0 8B 45 FC 8B 80 34 02 00 00 8B 08 FF 51 2C E9 D0 01 00 00 8B 45 FC 83 B8 78 02 00 00 00 74 18 8B 45 FC 8B 80 48 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B 45 FC 8B 98 48 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1F 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 05 28 02 00 00 E8 ?? ?? ?? ?? E9 73 01 00 00 8D 55 F0 8B C3 8B 08 FF 51 58 8B 55 F0 8B 45 FC 05 28 02 00 00 E8 ?? ?? ?? ?? E9 54 01 00 00 8B 45 FC 8B 98 48 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B C3 8B 10 FF 52 54 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 F0 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 05 28 02 00 00 E8 ?? ?? ?? ?? E9 D8 00 00 00 8B 45 FC 8B 98 48 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B C3 8B 10 FF 52 50 83 C4 F4 DB 3C 24 9B 8D 55 F0 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 05 28 02 00 00 E8 ?? ?? ?? ?? EB 6B 8B 45 FC 8B 98 48 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8B C3 8B 10 FF 52 4C 83 C4 F8 DD 1C 24 9B 8D 55 F0 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 05 28 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 FC 05 28 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 1D 02 00 00 00 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 80 3F }
	condition:
		$1
}

rule function_15684_0 {
	meta:
		name = "TQRDBText.Unprepare"
		size = 54
		refs = "000e TQRCustomLabel.Unprepare 0024 TQRDBText.SetDataField"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 48 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 74 02 00 00 00 74 0F 8B 93 74 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15685_0 {
	meta:
		name = "TQRDBText.UseRightToLeftAlignment"
		size = 12
		refs = "0007 QRDBUseRightToLeftAlignment"
	strings:
		$1 = { 8B 90 48 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15686_0 {
	meta:
		name = "TQRExpr.Create"
		size = 93
		refs = "000a @ClassCreate 0017 TQRCustomLabel.Create 001e _Dn_TQREvaluator 0023 TQREvaluator.Create 0034 @LStrClr 004a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 44 02 00 00 8D 86 48 02 00 00 E8 ?? ?? ?? ?? 8D 86 4C 02 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15687_0 {
	meta:
		name = "TQRExpr.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TQRCustomLabel.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15688_0 {
	meta:
		name = "TQRExpr.GetValue"
		size = 37
		refs = "0018 TQREvaluator.Value"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 44 02 00 00 80 7F 10 00 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 03 C6 06 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15689_0 {
	meta:
		name = "TQRExpr.Reset"
		size = 12
		refs = "0007 TQREvaluator.Reset"
	strings:
		$1 = { 8B 80 44 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15690_0 {
	meta:
		name = "TQRCustomBand.SetBandSize"
		size = 7
		altNames = "TQRExpr.SetMaster"
	strings:
		$1 = { 89 90 50 02 00 00 C3 }
	condition:
		$1
}

rule function_15691_0 {
	meta:
		name = "TQRExpr.QRNotification"
		size = 34
		refs = "000b TQRPrintable.QRNotification 001b TQREvaluator.DoAggregate"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B CB 8B C6 E8 ?? ?? ?? ?? 80 EB 01 73 0B 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15692_0 {
	meta:
		name = "TQRExpr.Prepare"
		size = 176
		refs = "0007 TQRCustomLabel.Prepare 001e TQREvaluator.SetDatasets 003e TQREvaluator.Prepare 0050 _Dn_TQuickRep 0055 @IsClass 006f _Dn_TQRSubDetail 0081 TQRSubDetail.AddNotifyClient 008e TQREvaluator.GetIsAggreg 00a9 TQRExpr.Reset"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 8B 90 14 02 00 00 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B 93 FC 01 00 00 8B 92 58 02 00 00 8B 83 44 02 00 00 89 50 14 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 8B B3 50 02 00 00 85 F6 74 3B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C6 8B 08 FF 91 E8 00 00 00 EB 3B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B D3 8B C6 E8 ?? ?? ?? ?? EB 1F 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 83 FC 01 00 00 8B 08 FF 91 E8 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15693_0 {
	meta:
		name = "TQRExpr.Unprepare"
		size = 49
		refs = "000c TQREvaluator.SetDatasets 0017 TQREvaluator.UnPrepare 001e TQRCustomLabel.Unprepare 002b TQRExpr.SetExpression"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 48 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15694_0 {
	meta:
		name = "TQRExpr.Print"
		size = 408
		refs = "001e TQRExpr.Print 0044 TQREvaluator.Value 0094 FormatFloat 00a5 @LStrAsg 00bb @LStrFromString 0137 TQRCustomLabel.Print 0147 TQRExpr.Reset 015f @LStrClr 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 DB 89 9D F8 FE FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 84 C0 0F 84 14 01 00 00 8D 95 FC FE FF FF 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 33 C0 8A 85 FC FE FF FF 83 F8 04 0F 87 D7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 85 00 FF FF FF D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 95 F8 FE FF FF 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 83 28 02 00 00 E8 ?? ?? ?? ?? E9 82 00 00 00 8D 83 28 02 00 00 8D 95 FD FE FF FF E8 ?? ?? ?? ?? EB 6F DD 85 00 FF FF FF 83 C4 F4 DB 3C 24 9B 8D 95 F8 FE FF FF 8B 83 4C 02 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 83 28 02 00 00 E8 ?? ?? ?? ?? EB 3E 80 BD FD FE FF FF 00 74 12 8D 83 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 8D 83 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8D 83 28 02 00 00 8D 95 FD FE FF FF E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 54 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 00 00 00 80 3F FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 }
	condition:
		$1
}

rule function_15695_0 {
	meta:
		name = "TQRExpr.SetExpression"
		size = 188
		refs = "0013 @LStrAddRef 001b TQRExpr.SetExpression 002f @LStrAsg 0042 SqrNone 0047 LoadResString 005c @LStrCatN 0066 TQRCustomLabel.SetCaption 0093 @LStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 48 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 33 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_15696_0 {
	meta:
		name = "TQRExpr.SetMask"
		size = 92
		refs = "000e @LStrAddRef 0016 TQRExpr.SetMask 002a @LStrAsg 0037 TQRExpr.SetExpression 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 4C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 93 48 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15697_0 {
	meta:
		name = "TQRSysData.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TQRCustomLabel.Create 0022 @LStrClr 0029 TQRSysData.CreateCaption 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 48 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15698_0 {
	meta:
		name = "TQRSysData.Print"
		size = 404
		refs = "0014 TQRSysData.Print 004b Time 005f FormatDateTime 0070 @LStrCat3 007a TQRCustomLabel.SetCaption 0084 Date 00bd Now 0102 IntToStr 014e TQRCustomLabel.Print 0168 @LStrArrayClr 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 83 44 02 00 00 83 F8 04 0F 87 18 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 C4 00 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 8B 00 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 55 8D 55 F8 8B 83 FC 01 00 00 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8B 83 FC 01 00 00 8B 88 A8 02 00 00 8D 45 FC 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 74 00 00 00 FF FF FF FF 01 00 00 00 63 00 00 00 }
	condition:
		$1
}

rule function_15699_0 {
	meta:
		name = "TQRSysData.CreateCaption"
		size = 556
		refs = "000e TQRSysData.CreateCaption 005b SqrTime 0060 LoadResString 0075 @LStrCatN 007f TQRCustomLabel.SetCaption 0097 SqrDate 00d3 SqrDateTime 010f SqrPageNum 014b SqrReportTitle 0184 SqrDetailCount 01bd SqrDetailNo 0202 @LStrArrayClr 0208 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 83 44 02 00 00 83 F8 06 0F 87 BC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF B3 48 02 00 00 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 5D 01 00 00 FF B3 48 02 00 00 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 21 01 00 00 FF B3 48 02 00 00 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 E5 00 00 00 FF B3 48 02 00 00 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 A9 00 00 00 FF B3 48 02 00 00 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 70 FF B3 48 02 00 00 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 37 FF B3 48 02 00 00 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_15700_0 {
	meta:
		name = "TQRSysData.SetData"
		size = 12
		refs = "0007 TQRSysData.CreateCaption"
	strings:
		$1 = { 88 90 44 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15701_0 {
	meta:
		name = "TQRSysData.SetText"
		size = 86
		refs = "000e @LStrAddRef 0016 TQRSysData.SetText 002a @LStrAsg 0031 TQRSysData.CreateCaption 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 48 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15702_0 {
	meta:
		name = "TQRShape.Create"
		size = 150
		refs = "000e @ClassCreate 001c TQRPrintable.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 003b _Dn_TPen 0040 TPen.Create 004d _Dn_TBrush 0052 TBrush.Create 0064 TQRShape.StyleChanged 0081 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 24 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 02 00 00 89 5E 08 C7 46 04 ?? ?? ?? ?? 8B 83 24 02 00 00 89 58 08 C7 40 04 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15704_0 {
	meta:
		name = "TQRShape.SetShape"
		size = 20
	strings:
		$1 = { 3A 90 1C 02 00 00 74 0B 88 90 1C 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_15706_0 {
	meta:
		name = "TQRShape.SetPen"
		size = 12
	strings:
		$1 = { 8B 80 24 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_15707_0 {
	meta:
		name = "TQRShape.Paint"
		size = 325
		refs = "0007 TQRPrintable.Paint 001a TCanvas.SetPen 0027 TCanvas.SetBrush 003f TQRShape.Paint 006a TCanvas.Rectangle 0080 TCanvas.Ellipse 0096 TCanvas.MoveTo 00aa TCanvas.LineTo"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 EC 01 00 00 8B 93 24 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 20 02 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 8A 83 1C 02 00 00 83 F8 05 0F 87 06 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 4B 3C D1 F9 79 03 83 D1 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C D1 F9 79 03 83 D1 00 8B 53 38 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 53 38 D1 FA 79 03 83 D2 00 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 53 38 D1 FA 79 03 83 D2 00 8B 4B 3C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 53 38 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 8B 53 38 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 53 38 4A 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 53 38 4A 8B 4B 3C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15708_0 {
	meta:
		name = "TQRShape.Print"
		size = 2040
		refs = "0037 TQRPrinter.GetCanvas 0042 TCanvas.SetBrush 0058 TCanvas.SetPen 007f TQRShape.Print 00a7 TQRPrintableSize.GetValue 00da TQRPrinter.XPos 0117 TQRPrinter.YPos 016f TCanvas.Rectangle 024c TCanvas.Ellipse 02c5 TCanvas.MoveTo 0354 TCanvas.LineTo"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B EA 8B D8 8B 83 FC 01 00 00 80 B8 61 02 00 00 00 0F 84 C8 07 00 00 8B C3 8B 10 FF 52 50 84 C0 0F 84 B9 07 00 00 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 93 20 02 00 00 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 93 24 02 00 00 E8 ?? ?? ?? ?? 8B B3 04 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 33 C0 8A 83 1C 02 00 00 83 F8 05 0F 87 6D 07 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 04 DB 44 24 04 DE C1 DB 7C 24 08 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 44 24 04 DE C1 DB 7C 24 0C 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 10 DB 44 24 10 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 71 06 00 00 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 04 DB 44 24 04 DE C1 DB 7C 24 08 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 44 24 04 DE C1 DB 7C 24 0C 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 10 DB 44 24 10 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 94 05 00 00 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 8C 04 00 00 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 81 03 00 00 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 BE 01 00 00 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 04 24 DE C1 DB 7C 24 08 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 08 DB 44 24 08 DE C1 DB 7C 24 0C 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 00 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_15709_0 {
	meta:
		name = "TQRShape.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TQRPrintable.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 24 02 00 00 E8 ?? ?? ?? ?? 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15710_0 {
	meta:
		name = "PrintBitmap"
		size = 285
		refs = "002a GetDIBSizes 0032 AllocMem 003d PrintBitmap 007a GetDIB 0081 TBitmap.GetMonochrome 008f TCanvas.GetHandle 0095 SetStretchBltMode 00d2 StretchDIBits 00ea @FreeMem 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 8D 7D DC 51 B9 04 00 00 00 F3 A5 59 8B D9 89 45 FC 8B C3 8B 10 FF 52 60 8D 4D EC 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 60 8B 75 F8 8B CE 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B DE 68 20 00 CC 00 6A 00 56 8B 45 F0 50 8B 43 08 50 8B 43 04 50 6A 00 6A 00 8B 45 E8 2B 45 E0 50 8B 45 E4 8B 7D DC 2B C7 50 8B 45 E0 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15711_0 {
	meta:
		name = "TQRImage.Create"
		size = 116
		refs = "000e @ClassCreate 001c TQRPrintable.Create 0023 _Dn_TPicture 0028 TPicture.Create 003a TQRImage.PictureChanged 0046 TControl.SetHeight 0052 TControl.SetWidth 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15712_0 {
	meta:
		name = "TQRImage.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TQRPrintable.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15713_0 {
	meta:
		name = "TQRImage.GetPalette"
		size = 48
		refs = "0014 _Dn_TBitmap 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 83 1C 02 00 00 8B 78 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 8B 10 FF 52 24 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15714_0 {
	meta:
		name = "TQRImage.Paint"
		size = 328
		refs = "0019 TPen.SetStyle 0023 TBrush.SetStyle 0036 TCanvas.Rectangle 0061 TPicture.GetHeight 008a TPicture.GetWidth 00ab Bounds 00d4 Rect 00db TQRPrintable.GetZoom 0137 TCanvas.StretchDraw 013e TQRPrintable.Paint"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 F6 43 20 10 74 2D 8B B3 EC 01 00 00 B2 01 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 14 E8 ?? ?? ?? ?? 8B 43 38 50 8B 43 3C 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BB 21 02 00 00 00 74 0E 8B D4 8B C3 8B 08 FF 51 44 E9 87 00 00 00 80 BB 22 02 00 00 00 74 57 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 53 3C 2B D0 D1 FA 79 03 83 D2 00 52 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B 53 38 2B D0 D1 FA 79 03 83 D2 00 52 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B C8 58 5A E8 ?? ?? ?? ?? EB 27 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 F8 64 74 41 8B C3 E8 ?? ?? ?? ?? 8B 54 24 08 8B 34 24 2B D6 F7 EA B9 64 00 00 00 99 F7 F9 03 C6 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 74 24 04 2B D6 F7 EA B9 64 00 00 00 99 F7 F9 03 C6 89 44 24 0C 8B 83 EC 01 00 00 8B 93 1C 02 00 00 8B 4A 04 8B D4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_15715_0 {
	meta:
		name = "TQRImage.Print"
		size = 972
		refs = "0019 TQRPrintableSize.GetValue 0035 TQRPrinter.YPos 0065 TQRPrinter.XPos 0114 _Dn_TBitmap 0119 @IsClass 0128 TQRPrinter.GetCanvas 013a PrintBitmap 015c TCanvas.StretchDraw 0185 TCanvas.GetHandle 018b IntersectClipRect 01a1 GetDC 01a9 SaveDC 01b7 TPicture.GetWidth 01c4 Screen 01d1 TQRImage.Print 01ea @ROUND 01fd TPicture.GetHeight 0268 TQRPrinter.YSize 02b7 @_lldiv 02de TQRPrinter.XSize 0338 OffsetRect 0396 RestoreDC 03ae SelectClipRgn 03b9 TQRPrintable.Print"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F9 8B F2 8B D8 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 7C 24 14 DB 44 24 14 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 89 44 24 08 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 74 24 14 DB 44 24 14 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 89 44 24 04 BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 74 24 14 DB 44 24 14 DE C1 DB 7C 24 18 9B BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 18 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 89 44 24 0C 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 7C 24 14 DB 44 24 14 DE C1 DB 7C 24 18 9B BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 18 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 89 44 24 10 80 BB 21 02 00 00 00 74 5C 8B 83 1C 02 00 00 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 93 1C 02 00 00 8B 4A 04 8D 54 24 04 E8 ?? ?? ?? ?? E9 6F 02 00 00 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 93 1C 02 00 00 8B 4A 04 8D 54 24 04 E8 ?? ?? ?? ?? E9 4D 02 00 00 8B 44 24 10 50 8B 44 24 10 50 8B 44 24 10 50 8B 44 24 10 50 8B 83 04 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 04 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E8 55 E8 ?? ?? ?? ?? 89 04 24 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 89 44 24 14 DB 44 24 14 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 D8 0D ?? ?? ?? ?? 8B 83 FC 01 00 00 8B 80 B4 02 00 00 DB A8 82 00 00 00 DE C9 E8 ?? ?? ?? ?? 03 44 24 04 89 44 24 0C 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 89 44 24 14 DB 44 24 14 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 D8 0D ?? ?? ?? ?? 8B 83 FC 01 00 00 8B 80 B4 02 00 00 DB A8 8C 00 00 00 DE C9 E8 ?? ?? ?? ?? 03 44 24 08 89 44 24 10 80 BB 22 02 00 00 00 0F 84 F3 00 00 00 6A 00 6A 02 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 99 52 50 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 89 44 24 24 DB 44 24 24 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 D8 0D ?? ?? ?? ?? 8B 83 FC 01 00 00 8B 80 B4 02 00 00 DB A8 8C 00 00 00 DE C9 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A E8 ?? ?? ?? ?? 50 6A 00 6A 02 BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 99 52 50 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 89 44 24 38 DB 44 24 38 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 D8 0D ?? ?? ?? ?? 8B 83 FC 01 00 00 8B 80 B4 02 00 00 DB A8 82 00 00 00 DE C9 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A E8 ?? ?? ?? ?? 50 8D 44 24 0C 50 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 93 1C 02 00 00 8B 4A 04 8D 54 24 04 E8 ?? ?? ?? ?? EB 1D 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 8B 93 1C 02 00 00 8B 4A 04 8D 54 24 04 E8 ?? ?? ?? ?? 8B 04 24 50 55 E8 ?? ?? ?? ?? 6A 00 8B 83 04 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 00 00 00 00 00 7E 43 }
	condition:
		$1
}

rule function_15716_0 {
	meta:
		name = "TQRImage.GetCanvas"
		size = 173
		refs = "001c _Dn_TBitmap 0021 TBitmap.Create 002c TQRImage.GetCanvas 005f TPicture.SetGraphic 0074 TObject.Free 007a @HandleFinally 0095 @IsClass 00a0 TBitmap.GetCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 80 1C 02 00 00 83 78 04 00 75 67 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 38 8B 45 F8 8B 08 FF 51 40 8B 45 FC 8B 50 3C 8B 45 F8 8B 08 FF 51 34 8B 45 FC 8B 80 1C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 1C 02 00 00 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15717_0 {
	meta:
		name = "TQRImage.SetAutoSize"
		size = 14
		refs = "0009 TQRImage.PictureChanged"
	strings:
		$1 = { 88 90 20 02 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15718_0 {
	meta:
		name = "TQRImage.SetCenter"
		size = 22
		refs = "0011 TQRImage.PictureChanged"
	strings:
		$1 = { 3A 90 22 02 00 00 74 0D 88 90 22 02 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15720_0 {
	meta:
		name = "TQRImage.SetStretch"
		size = 22
		refs = "0011 TQRImage.PictureChanged"
	strings:
		$1 = { 3A 90 21 02 00 00 74 0D 88 90 21 02 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15721_0 {
	meta:
		name = "TQRImage.PictureChanged"
		size = 176
		refs = "0014 TPicture.GetWidth 0023 TPicture.GetHeight 005e _Dn_TBitmap 0063 @IsClass 0088 TQRImage.PictureChanged"
	strings:
		$1 = { 53 56 8B D8 80 BB 20 02 00 00 00 74 46 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 37 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 28 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 96 80 00 00 00 8B B3 1C 02 00 00 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B C6 E8 ?? ?? ?? ?? 3B 43 38 7C 1D 8B 83 1C 02 00 00 E8 ?? ?? ?? ?? 3B 43 3C 7C 0D A1 ?? ?? ?? ?? 0B 43 40 89 43 40 EB 0D A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 8B C3 8B 10 FF 52 78 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_15722_0 {
	meta:
		name = "TQRDBImage.Create"
		size = 140
		refs = "000e @ClassCreate 001c TQRPrintable.Create 0021 TQRDBImage.Create 0033 TControl.SetWidth 003f TControl.SetHeight 0046 _Dn_TPicture 004b TPicture.Create 005d TQRDBImage.PictureChanged 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 43 40 89 43 40 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 28 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 83 2D 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_15723_0 {
	meta:
		name = "TQRCustomRichText.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TQRPrintable.Destroy 0029 @ClassDestroy"
		altNames = "TQRDBImage.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 28 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15724_0 {
	meta:
		name = "TQRDBImage.Prepare"
		size = 83
		refs = "0008 TQRPrintable.Prepare 001f TDataSet.FindField 002f _Dn_TBlobField 0034 @IsClass 0041 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 20 02 00 00 85 F6 74 31 8B 93 24 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 1C 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 33 D2 8B C3 E8 ?? ?? ?? ?? EB 08 33 C0 89 83 1C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15725_0 {
	meta:
		name = "TQRDBImage.Print"
		size = 1108
		refs = "001a TQRPrinter.GetCanvas 002a TBrush.SetStyle 003b TBrush.SetColor 0042 _Dn_TPicture 0047 TPicture.Create 0057 TQRDBImage.Print 0076 _Dn_TBlobField 007b @IsClass 0099 _Dn_TBitmap 00aa TPicture.GetBitmap 00cb TCanvas.GetHandle 00d1 SelectPalette 00e2 RealizePalette 00f5 TQRPrintableSize.GetValue 010f TQRPrinter.XPos 013f TQRPrinter.YPos 0203 TCanvas.FillRect 0224 TCanvas.StretchDraw 0247 IntersectClipRect 024f TPicture.GetWidth 025a Screen 0283 @ROUND 0291 TPicture.GetHeight 0304 TQRPrinter.YSize 0351 @_lldiv 037e TQRPrinter.XSize 03d5 OffsetRect 0401 SelectClipRgn 0430 TObject.Free 0436 @HandleFinally 0446 TQRPrintable.Print"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 45 E8 8B 40 14 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 98 1C 02 00 00 85 DB 0F 84 93 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 7E 03 00 00 8B D3 8B 45 EC 8B 08 FF 51 08 8B 45 EC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B 45 EC E8 ?? ?? ?? ?? 8B 10 FF 52 24 85 C0 74 2F 6A 00 8B 45 EC E8 ?? ?? ?? ?? 8B 10 FF 52 24 50 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 08 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? DB 45 F8 DE C1 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC 8B 80 08 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 45 F4 DE C1 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 FC 8B 80 08 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? DB 45 F8 DE C1 DB 7D CC 9B 8B 45 FC 8B 80 08 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? DB 6D CC DE C1 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 8B 80 08 02 00 00 33 D2 E8 ?? ?? ?? ?? DB 45 F4 DE C1 DB 7D CC 9B 8B 45 FC 8B 80 08 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 6D CC DE C1 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC 80 B8 2C 02 00 00 00 74 46 8B 45 EC 8B 58 04 85 DB 74 0B 8B C3 8B 10 FF 52 1C 84 C0 74 10 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? E9 F9 01 00 00 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 4A 04 8D 55 D8 E8 ?? ?? ?? ?? E9 D8 01 00 00 8B 45 E4 50 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 C8 DB 45 C8 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 D8 0D ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 8B 80 B4 02 00 00 DB A8 82 00 00 00 DE C9 E8 ?? ?? ?? ?? 03 45 D8 89 45 E0 8B 45 EC E8 ?? ?? ?? ?? 89 45 C8 DB 45 C8 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 D8 0D ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 8B 80 B4 02 00 00 DB A8 8C 00 00 00 DE C9 E8 ?? ?? ?? ?? 03 45 DC 89 45 E4 8B 45 FC 80 B8 2D 02 00 00 00 0F 84 FA 00 00 00 6A 00 6A 02 8B 45 FC 8B 80 08 02 00 00 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 99 52 50 8B 45 EC E8 ?? ?? ?? ?? 89 45 C8 DB 45 C8 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 D8 0D ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 8B 80 B4 02 00 00 DB A8 8C 00 00 00 DE C9 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A E8 ?? ?? ?? ?? 50 6A 00 6A 02 8B 45 FC 8B 80 08 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 99 52 50 8B 45 EC E8 ?? ?? ?? ?? 89 45 C4 DB 45 C4 A1 ?? ?? ?? ?? 8B 00 DB 40 34 DE F9 D8 0D ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 8B 80 B4 02 00 00 DB A8 82 00 00 00 DE C9 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A E8 ?? ?? ?? ?? 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 04 02 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 4A 04 8D 55 D8 E8 ?? ?? ?? ?? 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 14 6A FF 8B 45 F0 50 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 00 00 00 7E 43 }
	condition:
		$1
}

rule function_15726_0 {
	meta:
		name = "TQRDBImage.UnPrepare"
		size = 14
		refs = "0009 TQRPrintable.UnPrepare"
	strings:
		$1 = { 33 D2 89 90 1C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15727_0 {
	meta:
		name = "TQRDBImage.SetDataSet"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 20 02 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15728_0 {
	meta:
		name = "TQRDBImage.SetDataField"
		size = 22
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 24 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15729_0 {
	meta:
		name = "TQRDBImage.GetPalette"
		size = 48
		refs = "0014 _Dn_TBitmap 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 83 28 02 00 00 8B 78 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 8B 10 FF 52 24 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15731_0 {
	meta:
		name = "TQRDBImage.SetPicture"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 28 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15732_0 {
	meta:
		name = "TQRDBImage.SetStretch"
		size = 20
	strings:
		$1 = { 3A 90 2C 02 00 00 74 0B 88 90 2C 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_15733_0 {
	meta:
		name = "TQRDBImage.Paint"
		size = 268
		refs = "0014 TQRDBImage.Paint 002a TBrush.SetStyle 0035 TBrush.SetColor 003f TCanvas.SetFont 0053 TField.GetDisplayLabel 0060 @LStrLAsg 007a @LStrCatN 0084 TCanvas.TextWidth 0090 TCanvas.TextHeight 00c5 TCanvas.TextRect 00cc TQRPrintable.Paint 00e1 @LStrClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 EC 01 00 00 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8B 53 64 8B 46 14 E8 ?? ?? ?? ?? 8B 53 58 8B C6 E8 ?? ?? ?? ?? 8B BB 1C 02 00 00 85 FF 74 0C 8D 55 F8 8B C7 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 53 08 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8D 55 E8 8B C3 8B 08 FF 51 44 8B 45 F4 2B 45 FC D1 F8 79 03 83 D0 00 50 8B 45 F8 50 8B 4D F0 2B CF D1 F9 79 03 83 D1 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_15734_0 {
	meta:
		name = "TQRDBImage.PictureChanged"
		size = 13
	strings:
		$1 = { C6 80 2E 02 00 00 01 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_15735_0 {
	meta:
		name = "TQRDBImage.Notification"
		size = 46
		refs = "0010 TControl.Notification 0026 TQRDBImage.SetDataSet"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 20 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15736_0 {
	meta:
		name = "TQRDBImage.LoadPicture"
		size = 52
		refs = "0014 _Dn_TBlobField 0019 @IsClass"
	strings:
		$1 = { 53 8B D8 80 BB 2E 02 00 00 00 75 26 8B 83 1C 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 93 1C 02 00 00 8B 83 28 02 00 00 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_15737_0 {
	meta:
		name = "TQRCustomRichText.Create"
		size = 152
		refs = "000e @ClassCreate 0024 TQRPrintable.Create 002d _DV_TQRRichEdit 0032 TCustomRichEdit.Create 0050 TCustomEdit.SetBorderStyle 006a TControl.SetWidth 0076 TControl.SetHeight 0083 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 89 83 28 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 28 02 00 00 8B D3 8B C6 8B 08 FF 51 64 33 D2 8B 83 28 02 00 00 E8 ?? ?? ?? ?? C6 83 20 02 00 00 00 C6 83 00 02 00 00 01 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15739_0 {
	meta:
		name = "TQRCustomRichText.GetAlignment"
		size = 13
		altNames = "TQRCustomRichText.GetControlsAlignment"
	strings:
		$1 = { 8B 80 28 02 00 00 8A 80 08 02 00 00 C3 }
	condition:
		$1
}

rule function_15741_0 {
	meta:
		name = "TQRCustomRichText.GetColor"
		size = 10
	strings:
		$1 = { 8B 80 28 02 00 00 8B 40 64 C3 }
	condition:
		$1
}

rule function_15742_0 {
	meta:
		name = "TQRCustomRichText.GetFont"
		size = 10
	strings:
		$1 = { 8B 80 28 02 00 00 8B 40 58 C3 }
	condition:
		$1
}

rule function_15743_0 {
	meta:
		name = "TQRCustomRichText.GetLines"
		size = 13
	strings:
		$1 = { 8B 80 28 02 00 00 8B 80 2C 02 00 00 C3 }
	condition:
		$1
}

rule function_15744_0 {
	meta:
		name = "Render"
		size = 73
		refs = "001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 55 8B EC 84 C0 74 21 8B 45 08 83 C0 D0 50 6A 00 68 39 04 00 00 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C3 8B 45 08 83 C0 D0 50 6A 01 68 39 04 00 00 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_15745_0 {
	meta:
		name = "TQRCustomRichText.Print"
		size = 957
		refs = "0034 @FillChar 0045 TQRPrinter.GetCanvas 004a TCanvas.GetHandle 005d GetDeviceCaps 007c TQRPrintableSize.GetValue 00a9 TQRPrinter.YPos 00f7 TQRPrinter.XPos 0169 Rect 0185 TQRPrinter.GetPaperLength 019d TQRPrinter.YSize 01b6 TQRPrinter.GetPaperWidth 01ce TQRPrinter.XSize 021a TControl.GetTextLen 0237 SetMapMode 0242 Render 026b _Dn_TQRCustomBand 0270 @IsClass 02a3 TQRCustomBand.ExpandBand 031c TQRCustomBand.CanExpand 0372 TQRPrintable.Print 03ac TWinControl.GetHandle 03b2 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 89 4D C4 89 55 C8 8B D8 8B 83 24 02 00 00 85 C0 74 05 89 45 CC EB 09 8B 83 28 02 00 00 89 45 CC 8D 45 D0 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 75 D0 89 75 D4 6A 58 8B 45 D0 50 E8 ?? ?? ?? ?? 8B F8 6A 5A 8B 45 D0 50 E8 ?? ?? ?? ?? 8B F0 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 45 C4 DE C1 DB 7D 94 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6D 94 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FE 50 8D 45 A0 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 45 C8 DE C1 DB 7D 94 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6D 94 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 50 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 45 C4 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FE 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 45 C8 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 5A 59 E8 ?? ?? ?? ?? 56 57 8D 75 A0 8D 7D D8 B9 04 00 00 00 F3 A5 5F 5E 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 89 45 90 DB 45 90 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FE 50 8D 45 A0 50 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 89 45 90 DB 45 90 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 56 8D 75 A0 8D 7D E8 B9 04 00 00 00 F3 A5 5E 80 BB 00 02 00 00 00 74 08 33 C0 89 83 1C 02 00 00 C6 45 C3 00 33 C0 89 45 B2 89 45 B6 66 89 45 BA 8B 45 CC E8 ?? ?? ?? ?? 8B F8 C7 45 FC FF FF FF FF 8B 83 1C 02 00 00 89 45 F8 6A 01 8B 45 D0 50 E8 ?? ?? ?? ?? 89 45 BC 55 33 C0 E8 ?? ?? ?? ?? 59 89 83 1C 02 00 00 3B BB 1C 02 00 00 0F 8E FA 00 00 00 80 BB 20 02 00 00 00 0F 84 ED 00 00 00 8B 43 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 85 FF 0F 8E CF 00 00 00 C6 83 00 02 00 00 00 EB 77 68 04 40 00 00 68 00 00 00 C8 6A 00 8D 4D C3 8D 55 B2 8B 43 24 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 45 C4 DE C1 DB 7D 94 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6D 94 DE C1 DB 6D B2 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FE 89 45 E4 55 33 C0 E8 ?? ?? ?? ?? 59 89 83 1C 02 00 00 3B BB 1C 02 00 00 7C 1C 68 04 40 00 00 68 00 00 00 C8 6A 00 8B 43 24 E8 ?? ?? ?? ?? 84 C0 0F 85 65 FF FF FF 55 B0 01 E8 ?? ?? ?? ?? 59 89 83 1C 02 00 00 8B 83 1C 02 00 00 3B F8 7E 03 40 75 32 89 BB 1C 02 00 00 C6 83 00 02 00 00 01 EB 23 55 B0 01 E8 ?? ?? ?? ?? 59 89 83 1C 02 00 00 C6 83 00 02 00 00 01 8B 4D C4 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 83 FC 01 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 00 02 00 00 00 74 17 6A 00 6A 00 68 39 04 00 00 8B 45 CC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15746_0 {
	meta:
		name = "TQRCustomRichText.SetAlignment"
		size = 12
		refs = "0007 TCustomMemo.SetAlignment"
	strings:
		$1 = { 8B 80 28 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15747_0 {
	meta:
		name = "TQRCustomRichText.SetColor"
		size = 12
		refs = "0007 TControl.SetColor"
	strings:
		$1 = { 8B 80 28 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15748_0 {
	meta:
		name = "TQRCustomRichText.SetFont"
		size = 12
		refs = "0007 TControl.SetFont"
	strings:
		$1 = { 8B 80 28 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15749_0 {
	meta:
		name = "TQRCustomRichText.SetBounds"
		size = 88
		refs = "0022 TQRPrintable.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 8B 7D 0C 57 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 83 BE 28 02 00 00 00 74 20 83 EF 02 57 83 EB 02 53 B9 01 00 00 00 BA 01 00 00 00 8B 86 28 02 00 00 8B 18 FF 93 80 00 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15750_0 {
	meta:
		name = "TQRCustomRichText.SetLines"
		size = 39
		refs = "000f TCustomRichEdit.SetRichEditStrings"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 28 02 00 00 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15751_0 {
	meta:
		name = "TQRCustomRichText.SetParentRichEdit"
		size = 28
		refs = "0017 TCustomRichEdit.SetRichEditStrings"
	strings:
		$1 = { 89 90 24 02 00 00 85 D2 74 11 8B 80 28 02 00 00 8B 92 2C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15752_0 {
	meta:
		name = "TQRDBRichText.SetDataSet"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 34 02 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15753_0 {
	meta:
		name = "TQRDBRichText.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B BE 34 02 00 00 75 08 33 C0 89 86 34 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15754_0 {
	meta:
		name = "TQRDBRichText.Prepare"
		size = 103
		refs = "0007 TQRPrintable.Prepare 001e TDataSet.FindField 0032 _Dn_TBlobField 0037 @IsClass 0043 _Dn_TMemoField 0055 TControl.SetText"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 34 02 00 00 85 F6 74 47 8B 93 30 02 00 00 8B C6 E8 ?? ?? ?? ?? 89 83 2C 02 00 00 8B B3 2C 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 89 83 2C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15755_0 {
	meta:
		name = "TQRDBRichText.Print"
		size = 93
		refs = "001d _Dn_TMemoField 0022 @IsClass 002e _Dn_TBlobField 003e TQRCustomRichText.GetLines 0054 TQRCustomRichText.Print"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 83 BB 2C 02 00 00 00 74 3A 8B B3 2C 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 93 2C 02 00 00 8B 08 FF 51 08 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15756_0 {
	meta:
		name = "TQRDBRichText.Unprepare"
		size = 14
		refs = "0009 TQRPrintable.UnPrepare"
	strings:
		$1 = { 33 D2 89 90 2C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15757_0 {
	meta:
		name = "TQRMerger.Create"
		size = 92
		refs = "000a @ClassCreate 0015 _Dn_TStringList 001a TObject.Create 0036 _Dn_TList 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 C0 89 46 0C C6 46 10 00 C6 46 11 00 33 C0 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15758_0 {
	meta:
		name = "TQRMerger.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0014 TQRMerger.Unprepare 0020 TObject.Free 0038 TObject.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 11 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15760_0 {
	meta:
		name = "TQRMerger.GetMergedLines"
		size = 13
	strings:
		$1 = { 80 78 10 00 74 04 8B 40 0C C3 33 C0 C3 }
	condition:
		$1
}

rule function_15761_0 {
	meta:
		name = "TQRMerger.SetOrgLines"
		size = 24
		refs = "000e TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 85 C0 74 05 E8 ?? ?? ?? ?? 89 73 04 5E 5B C3 }
	condition:
		$1
}

rule function_15762_0 {
	meta:
		name = "TQRMerger.Prepare"
		size = 464
		refs = "0017 TQRMerger.Prepare 002e TQRMerger.Unprepare 0035 _Dn_TList 003a TObject.Create 0047 _Dn_TStringList 005a TQRMerger.GetOrgLines 00c6 AnsiPos 00f7 @LStrCopy 0104 @LStrDelete 010b _DV_TMemoEvaluator 0110 TQREvaluator.Create 011f TQREvaluator.SetDatasets 0129 TQREvaluator.Prepare 013f TList.Add 018a @HandleFinally 01a6 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 11 00 74 08 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 8E 25 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 0F 8C D3 00 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8D 4D F0 8B 45 FC 8B 40 04 8B 55 F8 8B 18 FF 53 0C 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 86 00 00 00 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 2B F3 4E 85 F6 7E 59 8D 45 F4 50 8D 53 01 8B CE 8B 45 F0 E8 ?? ?? ?? ?? 8D 4E 02 8D 45 F0 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 50 18 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 46 18 89 5E 1C 8B 45 FC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8F 7A FF FF FF 8B 45 FC 8B 40 08 8B 55 F0 8B 08 FF 51 34 FF 45 F8 FF 4D EC 0F 85 38 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 11 01 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 7B 00 00 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_15763_0 {
	meta:
		name = "TQRMerger.Unprepare"
		size = 144
		refs = "0016 TQRMerger.Unprepare 003a TList.Get 003f TObject.Free 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 80 78 11 00 74 63 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 14 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 11 00 8B 45 FC C6 40 10 00 C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15764_0 {
	meta:
		name = "TQRMerger.Merge"
		size = 323
		refs = "001a TQRMerger.Merge 0064 TList.Get 0073 TQREvaluator.Value 0097 IntToStr 00ae FloatToStr 00be @LStrFromString 00c8 @LStrClr 00e4 @LStrInsert 0130 @LStrArrayClr 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 D2 89 55 F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 83 78 08 00 0F 8E D4 00 00 00 80 7B 10 00 74 08 8B 43 0C 8B 10 FF 52 40 8B 53 08 8B 43 0C 8B 08 FF 51 08 8B 43 14 8B 40 08 48 83 F8 00 0F 8C BC 00 00 00 89 45 FC 8B 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B F0 8D 95 F0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8A 85 F0 FE FF FF 2C 01 72 0C 74 1A FE C8 74 2D 2C 02 74 39 EB 3F 8D 55 F8 8B 85 F4 FE FF FF E8 ?? ?? ?? ?? EB 2F DD 85 F4 FE FF FF 83 C4 F4 DB 3C 24 9B 8D 45 F8 E8 ?? ?? ?? ?? EB 18 8D 45 F8 8D 95 F1 FE FF FF E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 8B 56 18 8B 43 0C 8B 38 FF 57 0C 8D 55 F4 8B 4E 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 56 18 8B 43 0C 8B 30 FF 56 20 FF 4D FC 83 7D FC FF 0F 85 5A FF FF FF EB 11 80 7B 10 00 75 0B 8B 53 04 8B 43 0C 8B 08 FF 51 08 C6 43 10 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15765_0 {
	meta:
		name = "TQRExprMemo.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TQRCustomLabel.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 48 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15767_0 {
	meta:
		name = "TQRExprMemo.Prepare"
		size = 92
		refs = "0007 _DV_TQRMerger 000c TQRMerger.Create 001b TQRMerger.GetOrgLines 0034 TObject.Free 004e TQRMerger.Prepare 0055 TQRCustomLabel.Prepare"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 44 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 34 02 00 00 8B 08 FF 51 08 8B 83 44 02 00 00 8B 40 18 E8 ?? ?? ?? ?? 8B 93 FC 01 00 00 8B 92 14 02 00 00 8B 83 44 02 00 00 89 50 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15768_0 {
	meta:
		name = "TQRExprMemo.Unprepare"
		size = 63
		refs = "000a TQRMerger.GetOrgLines 0027 TQRMerger.Unprepare 0032 TObject.Free 0039 TQRCustomLabel.Unprepare"
	strings:
		$1 = { 53 8B D8 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 34 02 00 00 8B 08 FF 51 08 8B 83 44 02 00 00 33 D2 89 50 18 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15769_0 {
	meta:
		name = "TQRExprMemo.Print"
		size = 268
		refs = "001a TQRExprMemo.Print 0029 TQRCustomLabel.SetCaption 0034 TQRMerger.Merge 004b TQRMerger.GetMergedLines 00a5 TQRCustomLabel.SetLines 00be TQRCustomLabel.GetCaption 00da TQRCustomLabel.Print 00f9 @LStrClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B B3 44 02 00 00 80 7E 11 00 0F 84 89 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 89 45 F4 33 F6 3B 75 F4 7F 36 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 38 FF 57 0C 83 7D F0 00 75 15 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 44 FF 4D F4 46 3B 75 F4 7E CA 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 34 02 00 00 8B 10 FF 52 14 85 C0 7E 19 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 76 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15771_0 {
	meta:
		name = "TQRDBCalc.GetPrintMask"
		size = 22
		refs = "000f @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 4C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15772_0 {
	meta:
		name = "TQRDBCalc.SetDataField"
		size = 92
		refs = "000e @LStrAddRef 0016 TQRDBCalc.SetDataField 002a @LStrAsg 0037 TQRDBCalc.SetOperation 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 58 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8A 93 60 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15773_0 {
	meta:
		name = "TQRDBCalc.SetOperation"
		size = 380
		refs = "000c TQRDBCalc.SetOperation 005e @LStrCatN 0068 TQRExpr.SetExpression 0109 @LStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 88 83 60 02 00 00 83 E0 7F 83 F8 04 0F 87 CE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 ?? ?? ?? ?? FF B3 58 02 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 87 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 79 68 ?? ?? ?? ?? FF B3 58 02 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 50 68 ?? ?? ?? ?? FF B3 58 02 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 27 68 ?? ?? ?? ?? FF B3 58 02 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FF FF FF FF 04 00 00 00 53 75 6D 28 00 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 FF FF FF FF 05 00 00 00 43 6F 75 6E 74 00 00 00 FF FF FF FF 04 00 00 00 4D 61 78 28 00 00 00 00 FF FF FF FF 04 00 00 00 4D 69 6E 28 00 00 00 00 FF FF FF FF 08 00 00 00 41 76 65 72 61 67 65 28 00 00 00 00 }
	condition:
		$1
}

rule function_15774_0 {
	meta:
		name = "TQRDBCalc.SetPrintMask"
		size = 75
		refs = "000e @LStrAddRef 0016 TQRDBCalc.SetPrintMask 0026 TQRExpr.SetMask 003b @LStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15777_0 {
	meta:
		name = "TQREnvironmentEditor.WorkEnvironment"
		size = 36
		refs = "001e QRGlobalEnvironment"
	strings:
		$1 = { 53 8B D8 8B 83 DC 02 00 00 8B 10 FF 92 B8 00 00 00 84 C0 74 08 8B 83 0C 03 00 00 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15778_0 {
	meta:
		name = "TQREnvironmentEditor.PopulateGrid"
		size = 218
		refs = "0014 TQREnvironmentEditor.PopulateGrid 0021 TQREnvironmentEditor.WorkEnvironment 0043 TCustomGrid.SetRowCount 007f TStringGrid.SetCells 0095 TQREvEmbeddedFunction.Expression 00c7 @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B D0 42 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 5E 40 89 45 FC 33 F6 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 38 FF 57 0C 8B 45 F8 50 8D 4E 01 33 D2 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 18 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4E 01 BA 01 00 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 46 FF 4D FC 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15779_0 {
	meta:
		name = "TQREnvironmentEditor.FormCreate"
		size = 130
		refs = "000c TQREnvironmentEditor.FormCreate 001a SqrName 001f LoadResString 0032 TStringGrid.SetCells 003a SqrExpression 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 33 D2 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 BA 01 00 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 0C 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15780_0 {
	meta:
		name = "TQREnvironmentEditor.UDFGridSetEditText"
		size = 217
		refs = "0011 TQREnvironmentEditor.UDFGridSetEditText 0026 AnsiUpperCase 0031 TQREnvironmentEditor.WorkEnvironment 0048 TQREvEnvironment.Prepared 0062 TObject.Free 006c _Dn_TQREvEmbeddedFunction 0071 TQREvEmbeddedFunction.Create 009a TQREvEmbeddedFunction.Expression 00b0 TStringGrid.SetCells 00c5 @LStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 C9 75 21 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B D6 4A 59 8B 18 FF 53 20 EB 74 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 37 8B C3 E8 ?? ?? ?? ?? 8B FE 4F 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D7 59 8B 18 FF 53 24 EB 2D 8B C3 E8 ?? ?? ?? ?? 8B D6 4A 8B 08 FF 51 18 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE BA 01 00 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15781_0 {
	meta:
		name = "TQREnvironmentEditor.EditBtnClick"
		size = 189
		refs = "000f TQREnvironmentEditor.EditBtnClick 002e TStringGrid.GetCells 0035 TQREnvironmentEditor.WorkEnvironment 0049 TQREvEmbeddedFunction.Expression 005e GetExpression 0078 TStringGrid.SetCells 0091 TQREnvironmentEditor.UDFGridSetEditText 00ab @LStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 CC 02 00 00 8D 45 F8 50 8B 8E 0C 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 96 0C 02 00 00 4A 8B 08 FF 51 18 8D 55 FC E8 ?? ?? ?? ?? 53 8B 83 0C 03 00 00 50 8D 55 FC 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 45 FC 50 8B 8E 0C 02 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 50 8B 45 FC 50 B9 01 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15783_0 {
	meta:
		name = "EditEnvironment"
		size = 267
		refs = "000f Application 0018 _DV_TQREnvironmentEditor 001d TCustomForm.Create 0028 EditEnvironment 0046 TCustomForm.SetBorderStyle 0050 TControl.SetTop 005a TControl.SetLeft 0064 TCustomForm.SetPosition 006c TControl.BringToFront 00ba TQREnvironmentEditor.PopulateGrid 00cc TCustomForm.Show 00d8 TApplication.HandleMessage 00f9 TObject.Free 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 3A 8B D6 8B 45 FC 8B 08 FF 51 64 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 DB 75 10 8B 45 FC 8B 80 E0 02 00 00 33 D2 8B 08 FF 51 60 85 FF 75 25 8B 45 FC 8B 80 DC 02 00 00 33 D2 8B 08 FF 51 60 8B 45 FC 8B 80 E0 02 00 00 B2 01 8B 08 FF 91 BC 00 00 00 EB 09 8B 45 FC 89 B8 0C 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 04 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 04 03 00 00 00 74 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15784_0 {
	meta:
		name = "TQREnvironmentEditor.VariableOKBtnClick"
		size = 8
	strings:
		$1 = { C6 80 04 03 00 00 01 C3 }
	condition:
		$1
}

rule function_15785_0 {
	meta:
		name = "TQREnvironmentEditor.GetNew"
		size = 278
		refs = "0012 TQREnvironmentEditor.GetNew 0025 TControl.SetVisible 0057 TControl.BringToFront 0064 Application 006b TApplication.HandleMessage 0086 TControl.GetText 0090 @LStrAsg 0102 @LStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B 86 E4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 08 03 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 86 08 03 00 00 85 C0 74 EA 48 75 34 8D 55 FC 8B 86 F0 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 86 F4 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? B3 01 EB 02 33 DB B2 01 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15786_0 {
	meta:
		name = "TQREnvironmentEditor.NewOKBtnClick"
		size = 11
	strings:
		$1 = { C7 80 08 03 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_15787_0 {
	meta:
		name = "TQREnvironmentEditor.NewCancelBtnClick"
		size = 11
	strings:
		$1 = { C7 80 08 03 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_15788_0 {
	meta:
		name = "TQREnvironmentEditor.AddBtnClick"
		size = 105
		refs = "000e TQREnvironmentEditor.AddBtnClick 0021 TQREnvironmentEditor.GetNew 002c TQREnvironmentEditor.WorkEnvironment 0037 TQREvEnvironment.AddFunction 003e TQREnvironmentEditor.PopulateGrid 0058 @LStrArrayClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15789_0 {
	meta:
		name = "TQREnvironmentEditor.SpeedButton1Click"
		size = 130
		refs = "000e TQREnvironmentEditor.SpeedButton1Click 0022 TControl.GetText 0045 GetExpression 0057 TControl.SetText 0071 @LStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F0 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 53 8B 83 0C 03 00 00 50 8D 55 F8 8B CB 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 55 F8 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15792_0 {
	meta:
		name = "TrimExpr"
		size = 136
		refs = "000e @LStrAddRef 0016 TrimExpr 002b @LStrPos 003a @LStrDelete 0055 @LStrLAsg 006a @LStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 45 FC B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F D3 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_15793_0 {
	meta:
		name = "GetExpression"
		size = 493
		refs = "001f @LStrAddRef 0027 GetExpression 0033 Application 003c _DV_TQRExpressionBuilder 0041 TCustomForm.Create 007f TControl.SetTop 0089 TControl.SetLeft 0093 TCustomForm.SetBorderStyle 009b TQRExpressionBuilder.PickDataSets 00a3 TQRExpressionBuilder.PickVariables 00ad TCustomForm.SetPosition 00c4 TControl.SetText 00ee @LStrLen 011a TControl.BringToFront 0138 TCustomForm.Show 0144 TApplication.HandleMessage 0175 TControl.GetText 0180 TrimExpr 018a @LStrAsg 0193 @LStrClr 01a8 TObject.Free 01ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 8B F9 8B DA 89 45 FC 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 89 B8 CC 03 00 00 8B 45 F4 8B 55 08 89 90 D4 03 00 00 85 F6 74 42 8B D6 8B 45 F4 8B 08 FF 51 64 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 11 8B 45 F4 8B 80 D4 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 13 8B 45 F4 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 B8 03 00 00 33 D2 8B 08 FF 91 CC 00 00 00 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 B8 03 00 00 8B 08 FF 91 C8 00 00 00 8B 45 F4 33 D2 89 90 C8 03 00 00 8B 45 F4 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 83 78 24 00 75 0D 8B 45 F4 8B 10 FF 92 CC 00 00 00 EB 20 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 C8 03 00 00 00 74 E8 8B 45 F4 83 B8 C8 03 00 00 01 0F 94 45 FB 80 7D FB 00 74 28 8D 55 EC 8B 45 F4 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8A 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15794_0 {
	meta:
		name = "TWordWrapEdit.CreateParams"
		size = 31
		refs = "0006 TCustomEdit.CreateParams 000f WordWraps"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? F7 D2 23 C2 83 C8 04 89 43 04 5B C3 }
	condition:
		$1
}

rule function_15795_0 {
	meta:
		name = "TQRExpressionBuilder.InsertDataFieldBtnClick"
		size = 104
		refs = "000c TQRExpressionBuilder.InsertDataFieldBtnClick 001c TQRExpressionBuilder.GetDatafield 002a TQRExpressionBuilder.InsertText 0035 TControl.BringToFront 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 8B 10 FF 92 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15807_0 {
	meta:
		name = "TQRExpressionBuilder.InsertFunctionBtnClick"
		size = 104
		refs = "000c TQRExpressionBuilder.InsertFunctionBtnClick 001c TQRExpressionBuilder.GetFunc 002a TQRExpressionBuilder.InsertText 0035 TControl.BringToFront 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 8B 10 FF 92 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15796_0 {
	meta:
		name = "TQRExpressionBuilder.DataFieldCancelBtnClick"
		size = 11
	strings:
		$1 = { C7 80 C4 03 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_15797_0 {
	meta:
		name = "TQRExpressionBuilder.DataFieldOKBtnClick"
		size = 11
	strings:
		$1 = { C7 80 C4 03 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_15798_0 {
	meta:
		name = "TQRExpressionBuilder.FunctionOKBtnClick"
		size = 11
	strings:
		$1 = { C7 80 C0 03 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_15799_0 {
	meta:
		name = "TQRExpressionBuilder.CategoriesClick"
		size = 25
		refs = "000a TCustomListBox.GetItemIndex 0013 TQRExpressionBuilder.GetFunctionsCat"
	strings:
		$1 = { 53 8B D8 8B 83 64 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15800_0 {
	meta:
		name = "TQRExpressionBuilder.GetFunctionsCat"
		size = 224
		refs = "0017 TQRExpressionBuilder.GetFunctionsCat 0036 QRFunctionLibrary 0076 @LStrCopy 007e StrToInt 00b9 TQRExpressionBuilder.SelectFunc 00ce @LStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 6C 03 00 00 8B 80 EC 01 00 00 8B 10 FF 52 40 A1 ?? ?? ?? ?? 8B 00 8B 40 04 8B 10 FF 52 14 48 85 C0 7C 6A 40 89 45 F4 33 DB A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 11 8B F0 83 7D F8 00 74 23 8D 45 F0 50 B9 01 00 00 00 BA 01 00 00 00 8B 46 08 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 3B 45 F8 75 26 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 11 8B C8 8B 45 FC 8B 80 6C 03 00 00 8B 80 EC 01 00 00 8B 56 10 8B 30 FF 56 38 43 FF 4D F4 75 9C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15801_0 {
	meta:
		name = "TQRExpressionBuilder.SelectFunc"
		size = 264
		refs = "0011 TQRExpressionBuilder.SelectFunc 004e @LStrLAsg 005f AnsiPos 006f @LStrCopy 007d TControl.SetText 0098 @LStrLen 00e7 @LStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 6C 03 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 3B F0 0F 8D 83 00 00 00 8B 83 6C 03 00 00 8B 80 EC 01 00 00 8B D6 8B 08 FF 51 18 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 55 F8 8B 83 78 03 00 00 E8 ?? ?? ?? ?? EB 1A 33 D2 8B 83 78 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_15802_0 {
	meta:
		name = "TQRExpressionBuilder.AvailableFuncClick"
		size = 25
		refs = "000a TCustomListBox.GetItemIndex 0013 TQRExpressionBuilder.SelectFunc"
	strings:
		$1 = { 53 8B D8 8B 83 6C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15803_0 {
	meta:
		name = "TQRExpressionBuilder.FormCreate"
		size = 108
		refs = "0009 TQRExpressionBuilder.GetFunctionsCat 0012 _DV_TWordWrapEdit 0017 TCustomEdit.Create 0028 TCustomEdit.SetAutoSize 0041 TControl.SetTop 004d TControl.SetLeft 0059 TControl.SetWidth 0065 TControl.SetHeight"
	strings:
		$1 = { 53 56 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E B8 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 96 C4 02 00 00 8B C3 8B 08 FF 51 64 BA 24 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 55 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 5B 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15804_0 {
	meta:
		name = "TQRExpressionBuilder.GetFunc"
		size = 368
		refs = "0015 TQRExpressionBuilder.GetFunc 0026 TControl.BringToFront 0033 Application 003a TApplication.HandleMessage 0058 TCustomListBox.GetItemIndex 00a6 @LStrAsg 00b1 @LStrLAsg 00b9 @LStrLen 00d7 @LStrCopy 00e4 TQRExpressionBuilder.GetParams 0107 @LStrCatN 0126 @LStrClr 0140 @LStrArrayClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 C0 03 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 85 C0 74 EA 48 0F 85 CD 00 00 00 B3 01 8B 86 6C 03 00 00 E8 ?? ?? ?? ?? 85 C0 7C 55 8B 86 6C 03 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 8B F8 4F 8B 86 6C 03 00 00 E8 ?? ?? ?? ?? 3B F8 7C 32 8B BE 6C 03 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 87 EC 01 00 00 8B 08 FF 51 18 8B F8 8B 45 FC 8B 57 10 E8 ?? ?? ?? ?? 8D 45 F4 8B 57 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 48 7E 4F 8D 45 F0 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 21 8B 45 FC FF 30 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 84 DB 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_15805_0 {
	meta:
		name = "TQRExpressionBuilder.GetParams"
		size = 908
		refs = "001d @LStrAddRef 0025 TQRExpressionBuilder.GetParams 0036 TControl.BringToFront 0044 TControl.GetText 0052 TControl.SetText 0076 @LStrLen 008e _Dn_TLabel 0093 TCustomLabel.Create 00ae TControl.SetLeft 00bd TControl.SetTop 00e4 SqrExpBldNumeric 00e9 LoadResString 00fd SqrExpBldLogical 0116 SqrExpBldText 012f SqrExpBldValue 0163 Format 0176 _Dn_TEdit 017b TCustomEdit.Create 01b8 TControl.SetWidth 01c4 _Dn_TSpeedButton 01c9 TSpeedButton.Create 0200 TControl.SetHeight 0231 TQRExpressionBuilder.GetParamExprClick 0252 TControlScrollBar.SetRange 027b Application 0282 TApplication.HandleMessage 02a3 @LStrClr 02ae TWinControl.GetControlCount 02c6 TWinControl.GetControl 02d1 @IsClass 02ea @LStrCat 032a TObject.Free 0364 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 83 80 03 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 83 78 03 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 83 84 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C EF 01 00 00 40 89 45 F0 33 FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 93 88 03 00 00 8B C6 8B 08 FF 51 64 BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D7 C1 E2 03 8D 14 92 8B C6 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 8B 45 FC 8A 04 38 2C 42 74 27 2C 0C 74 0A 2C 05 74 38 2C 03 74 4D EB 62 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? EB 49 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? EB 30 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? EB 17 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8D 57 01 89 55 E0 C6 45 E4 00 8D 55 E0 33 C9 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 93 88 03 00 00 8B C6 8B 08 FF 51 64 BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D7 C1 E2 03 8D 14 92 83 C2 0F 8B C6 E8 ?? ?? ?? ?? 8B 46 24 8B 50 38 83 EA 3C 8B C6 E8 ?? ?? ?? ?? 89 7E 0C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 93 88 03 00 00 8B C6 8B 08 FF 51 64 8B 46 24 8B 50 38 83 EA 28 8B C6 E8 ?? ?? ?? ?? BA 14 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 14 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D7 C1 E2 03 8D 14 92 83 C2 0F 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 7E 0C 89 9E 08 01 00 00 C7 86 04 01 00 00 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 C1 E2 03 8D 14 92 8B 83 88 03 00 00 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B 83 88 03 00 00 8B 80 F0 01 00 00 66 C7 40 08 28 00 47 FF 4D F0 0F 85 17 FE FF FF 33 C0 89 83 BC 03 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 85 C0 74 EA 48 0F 94 45 F7 80 7D F7 00 0F 84 8F 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 77 40 89 45 F0 33 FF 8B D7 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B 45 F8 83 38 00 74 10 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D7 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 47 FF 4D F0 75 A3 EB 12 33 D2 8B 83 88 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 85 C0 7F DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8A 45 F7 5F 5E 5B 8B E5 5D C3 FF FF FF FF 03 00 00 00 2E 2E 2E 00 FF FF FF FF 02 00 00 00 2C 20 00 00 }
	condition:
		$1
}

rule function_15806_0 {
	meta:
		name = "TQRExpressionBuilder.GetParamExprClick"
		size = 391
		refs = "0020 TQRExpressionBuilder.GetParamExprClick 0031 TWinControl.GetControlCount 004c TWinControl.GetControl 0052 _Dn_TEdit 0057 @IsClass 0094 TControl.GetText 00cf SqrExpBldEnterParam 00d4 LoadResString 00e2 Format 00f3 GetExpression 0101 TControl.SetText 010c TControl.BringToFront 0134 @LStrLen 015f @LStrClr 0174 @LStrArrayClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D E0 89 4D F4 89 4D DC 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 0E 01 00 00 47 33 F6 8B D6 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 8B D6 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B 40 0C 8B 55 FC 3B 42 0C 0F 85 C7 00 00 00 8B D6 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 53 8B 83 D4 03 00 00 50 8D 45 F4 50 8B 46 0C 40 89 45 E4 C6 45 E8 00 8D 55 E0 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 0B 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 8B 8B CC 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 00 00 00 33 D2 8B C6 8B 08 FF 91 CC 00 00 00 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 C8 00 00 00 EB 08 46 4F 0F 85 F5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15808_0 {
	meta:
		name = "TQRExpressionBuilder.FuncParamOkBtnClick"
		size = 11
	strings:
		$1 = { C7 80 BC 03 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_15809_0 {
	meta:
		name = "TQRExpressionBuilder.FuncArgCancelBtnClick"
		size = 11
	strings:
		$1 = { C7 80 BC 03 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_15810_0 {
	meta:
		name = "TQRExpressionBuilder.FunctionCancelBtnClick"
		size = 11
	strings:
		$1 = { C7 80 C0 03 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_15811_0 {
	meta:
		name = "TQRExpressionBuilder.FormCloseQuery"
		size = 63
	strings:
		$1 = { C7 80 C0 03 00 00 02 00 00 00 C7 80 BC 03 00 00 02 00 00 00 C7 80 C4 03 00 00 02 00 00 00 83 B8 C8 03 00 00 01 74 0A C7 80 C8 03 00 00 02 00 00 00 C7 80 D0 03 00 00 02 00 00 00 C6 01 01 C3 }
	condition:
		$1
}

rule function_15812_0 {
	meta:
		name = "TQRExpressionBuilder.GetDatafield"
		size = 264
		refs = "0015 TQRExpressionBuilder.GetDatafield 002e TControl.BringToFront 0033 Application 003a TApplication.HandleMessage 0057 TCustomListBox.GetItemIndex 00c2 @LStrCatN 00cc @LStrClr 00e6 @LStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 86 C4 03 00 00 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 86 C4 03 00 00 85 C0 74 EA 48 0F 94 C3 84 DB 74 78 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 40 7E 6A 8B 86 5C 03 00 00 E8 ?? ?? ?? ?? 40 7E 5C 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D F8 8B 86 94 03 00 00 8B 80 EC 01 00 00 8B 38 FF 57 0C FF 75 F8 68 ?? ?? ?? ?? 8B 86 5C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B 86 5C 03 00 00 8B 80 EC 01 00 00 8B 30 FF 56 0C FF 75 F4 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_15813_0 {
	meta:
		name = "TQRExpressionBuilder.GetVariable"
		size = 172
		refs = "0016 TQRExpressionBuilder.GetVariable 002f TControl.BringToFront 0034 Application 003b TApplication.HandleMessage 0058 TCustomListBox.GetItemIndex 0079 @LStrAsg 0083 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 86 D0 03 00 00 8B 86 98 03 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 86 D0 03 00 00 85 C0 74 EA 48 0F 94 C3 84 DB 74 2E 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D F8 8B 86 A8 03 00 00 8B 80 EC 01 00 00 8B 30 FF 56 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15814_0 {
	meta:
		name = "TQRExpressionBuilder.InsertText"
		size = 159
		refs = "0010 @LStrAddRef 0018 TQRExpressionBuilder.InsertText 002c TCustomEdit.SetSelText 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 86 B8 03 00 00 E8 ?? ?? ?? ?? 8B 9E B8 03 00 00 8B C3 8B 10 FF 92 C0 00 00 00 8B F8 8B 86 B8 03 00 00 8B 10 FF 92 BC 00 00 00 03 F8 8B D7 8B C3 8B 08 FF 91 CC 00 00 00 33 D2 8B 86 B8 03 00 00 8B 08 FF 91 C8 00 00 00 8B 86 B8 03 00 00 8B 10 FF 92 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15815_0 {
	meta:
		name = "TQRExpressionBuilder.AddSomeClick"
		size = 128
		refs = "0011 TQRExpressionBuilder.AddSomeClick 0026 TControl.GetText 003b @LStrCatN 0045 TQRExpressionBuilder.InsertText 005a @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_15816_0 {
	meta:
		name = "TQRExpressionBuilder.PickDataSets"
		size = 53
		refs = "000c AllDataSets 0019 TCustomListBox.SetItems 0026 TCustomListBox.SetItemIndex 002f TQRExpressionBuilder.AvailableDatasetsClick"
	strings:
		$1 = { 53 8B D8 B2 01 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15817_0 {
	meta:
		name = "TQRExpressionBuilder.PickVariables"
		size = 247
		refs = "0014 TQRExpressionBuilder.PickVariables 007b QRGlobalEnvironment 00c6 TCustomListBox.SetItemIndex 00cf TQRExpressionBuilder.AvailableVariablesClick 00e4 @LStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 A8 03 00 00 8B 80 EC 01 00 00 8B 10 FF 52 40 8B 9E D4 03 00 00 85 DB 74 41 8B C3 8B 10 FF 52 14 48 85 C0 7C 35 40 89 C3 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 86 D4 03 00 00 8B 38 FF 57 0C 8B 55 F8 8B 86 A8 03 00 00 8B 80 EC 01 00 00 8B 08 FF 51 34 FF 45 FC 4B 75 D5 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 38 FF 57 0C 8B 55 F8 8B 86 A8 03 00 00 8B 80 EC 01 00 00 8B 08 FF 51 34 FF 45 FC 4B 75 D6 33 D2 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15818_0 {
	meta:
		name = "TQRExpressionBuilder.FormActivate"
		size = 33
		refs = "0006 TQRExpressionBuilder.PickDataSets 000d TQRExpressionBuilder.PickVariables"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 8B 10 FF 92 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_15819_0 {
	meta:
		name = "TQRExpressionBuilder.AvailableDatasetsClick"
		size = 128
		refs = "0035 TCustomListBox.GetItemIndex 004b TDataSet.GetFieldCount 005f TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 5C 03 00 00 8B 80 EC 01 00 00 8B 10 FF 52 40 8B 83 94 03 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 85 C0 7E 4F 8B B3 94 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 EC 01 00 00 8B 08 FF 51 18 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 FF 8B 45 24 8B D7 E8 ?? ?? ?? ?? 8B 50 28 8B 83 5C 03 00 00 8B 80 EC 01 00 00 8B 08 FF 51 34 47 4E 75 DE 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15820_0 {
	meta:
		name = "TQRExpressionBuilder.OKClick"
		size = 11
	strings:
		$1 = { C7 80 C8 03 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_15821_0 {
	meta:
		name = "TQRExpressionBuilder.CancelClick"
		size = 11
	strings:
		$1 = { C7 80 C8 03 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_15822_0 {
	meta:
		name = "TQRExpressionBuilder.ClearClick"
		size = 14
		refs = "0009 TControl.SetText"
	strings:
		$1 = { 33 D2 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15823_0 {
	meta:
		name = "TQRExpressionBuilder.ValidateBtnClick"
		size = 680
		refs = "0029 TQRExpressionBuilder.ValidateBtnClick 0034 QRGlobalEnvironment 0039 TQREvEnvironment.Prepare 0052 _Dn_TQREvaluator 0057 TQREvaluator.Create 006f _Dn_TList 0074 TObject.Create 007e TQREvaluator.SetDatasets 00ca TQREvaluator.GetDatasets 00d0 TList.Add 00e8 TControl.GetText 00f9 TrimExpr 010d TQREvaluator.Calculate 0115 @LStrClr 0139 IntToStr 0150 FloatToStr 0160 @LStrFromString 0178 @LStrLAsg 0198 SqrExpBldError 019d LoadResString 01c1 @LStrCat 01cc ShowMessage 01d9 SqrExpBldNoError 0204 TObject.Free 021f @HandleFinally 0233 TQREvEnvironment.Unprepare"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FE FF FF 53 56 33 C9 89 8D EC FE FF FF 89 8D E4 FE FF FF 89 8D E8 FE FF FF 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D4 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D4 03 00 00 8B 55 F4 89 42 14 8B 45 FC 8B 80 94 03 00 00 8B 80 EC 01 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2C 43 33 F6 8B 45 FC 8B 80 94 03 00 00 8B 80 EC 01 00 00 8B D6 8B 08 FF 51 18 50 8B 45 F4 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4B 75 D7 8D 95 E8 FE FF FF 8B 45 FC 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 8D 95 EC FE FF FF E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8D 8D F0 FE FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8A 85 F0 FE FF FF 2C 01 72 0C 74 1A FE C8 74 2D FE C8 74 39 EB 5C 8D 55 F8 8B 85 F4 FE FF FF E8 ?? ?? ?? ?? EB 4C DD 85 F4 FE FF FF 83 C4 F4 DB 3C 24 9B 8D 45 F8 E8 ?? ?? ?? ?? EB 35 8D 45 F8 8D 95 F1 FE FF FF E8 ?? ?? ?? ?? EB 25 80 BD F1 FE FF FF 00 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 41 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 50 8D 85 E4 FE FF FF 8D 95 F1 FE FF FF E8 ?? ?? ?? ?? 8B 95 E4 FE FF FF 58 E8 ?? ?? ?? ?? 8B 85 EC FE FF FF E8 ?? ?? ?? ?? EB 29 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 EC FE FF FF E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 D4 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 }
	condition:
		$1
}

rule function_15824_0 {
	meta:
		name = "TQRExpressionBuilder.InsertVariableBtnClick"
		size = 90
		refs = "000c TQRExpressionBuilder.InsertVariableBtnClick 001c TQRExpressionBuilder.GetVariable 002a TQRExpressionBuilder.InsertText 0035 TControl.BringToFront 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15825_0 {
	meta:
		name = "TQRExpressionBuilder.VariableOKBtnClick"
		size = 11
	strings:
		$1 = { C7 80 D0 03 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_15826_0 {
	meta:
		name = "TQRExpressionBuilder.VariableCancelBtnClick"
		size = 11
	strings:
		$1 = { C7 80 D0 03 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_15827_0 {
	meta:
		name = "TQRExpressionBuilder.AvailableVariablesClick"
		size = 201
		refs = "000f TQRExpressionBuilder.AvailableVariablesClick 0022 TCustomListBox.GetItemIndex 0058 TQREvEnvironment.Element 0065 TQREvEmbeddedFunction.Expression 0073 TControl.SetText 007a QRGlobalEnvironment 00b7 @LStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 A8 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 86 EC 01 00 00 8B 30 FF 56 0C 8B B3 D4 03 00 00 85 F6 74 39 8B 55 FC 8B C6 8B 08 FF 51 50 85 C0 7C 2B 8B 55 FC 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B 70 08 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? EB 28 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 70 08 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15828_0 {
	meta:
		name = "TQRExpressionBuilder.ModifyVariablesClick"
		size = 16
		refs = "000b EditEnvironment"
	strings:
		$1 = { 8B C8 B2 01 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15831_0 {
	meta:
		name = "ColorToHTMLColor"
		size = 167
		refs = "0013 ColorToHTMLColor 0027 IntToHex 003c @LStrCopy 007b @LStrCatN 0095 @LStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 03 B9 02 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8D 45 F8 50 8B 03 B9 02 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 45 F4 50 8B 03 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15832_0 {
	meta:
		name = "TQRPositionEntry.Create"
		size = 74
		refs = "000b @ClassCreate 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 C9 89 48 10 C7 40 14 01 00 00 00 8B 4D 08 89 48 04 8B 4D 0C 89 48 08 66 8B 4D 10 66 89 48 0C C6 40 18 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 0C 00 }
	condition:
		$1
}

rule function_15833_0 {
	meta:
		name = "TQRPositions.Create"
		size = 67
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 C6 46 08 00 C6 46 09 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15834_0 {
	meta:
		name = "TQRPositions.Destroy"
		size = 82
		refs = "0004 @BeforeDestruction 0013 TList.Get 0018 TObject.Free 0022 TList.Delete 003f TObject.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 EB 18 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 47 04 E8 ?? ?? ?? ?? 8B 77 04 83 7E 08 00 7F DF 8B 47 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15835_0 {
	meta:
		name = "TQRPositions.BeginUpdate"
		size = 5
	strings:
		$1 = { C6 40 08 01 C3 }
	condition:
		$1
}

rule function_15836_0 {
	meta:
		name = "TQRPositions.EndUpdate"
		size = 200
		refs = "0053 TList.Get 005e TQRPositions.EndUpdate"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F8 C6 47 08 00 33 ED 8B 47 04 8B 40 08 48 85 C0 0F 8C 9C 00 00 00 40 89 44 24 10 C7 04 24 00 00 00 00 33 C0 89 44 24 04 C7 44 24 08 00 7F 96 98 66 C7 44 24 0C 16 40 8B 47 04 8B 70 08 4E 85 F6 7C 4E 46 33 DB 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8B D0 DB 6A 04 D8 1D ?? ?? ?? ?? DF E0 9E 76 2D DB 6A 04 DB 6C 24 04 DE D9 DF E0 9E 76 1F 80 7A 18 00 75 19 8B 42 04 89 44 24 04 8B 42 08 89 44 24 08 66 8B 42 0C 66 89 44 24 0C 8B EB 43 4E 75 B5 8B 47 04 8B D5 E8 ?? ?? ?? ?? 8B 14 24 42 89 50 10 C6 40 18 01 FF 04 24 FF 4C 24 10 0F 85 70 FF FF FF 83 C4 14 5D 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15837_0 {
	meta:
		name = "TQRPositions.NewPosition"
		size = 84
		refs = "0022 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 C0 89 45 FC 8B 47 04 8B 70 08 4E 85 F6 7C 30 46 33 DB 8B 47 04 8B D3 E8 ?? ?? ?? ?? DB 68 04 DB 6D 08 DE D9 DF E0 9E 75 12 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8B 40 10 89 45 FC EB 04 43 4E 75 D3 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_15838_0 {
	meta:
		name = "TQRPositions.Add"
		size = 128
		refs = "0022 TList.Get 002a @ROUND 0066 _DV_TQRPositionEntry 006b TQRPositionEntry.Create 0075 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 80 7B 08 00 74 6B 8B 43 04 8B 78 08 4F 85 FF 7C 3F 47 33 F6 8B D6 8B 43 04 E8 ?? ?? ?? ?? DB 68 04 E8 ?? ?? ?? ?? 52 50 DB 6D 08 E8 ?? ?? ?? ?? 3B 54 24 04 75 03 3B 04 24 5A 58 75 0F 8B D6 8B 43 04 E8 ?? ?? ?? ?? FF 40 14 EB 25 46 4F 75 C4 66 8B 45 10 50 FF 75 0C FF 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_15839_0 {
	meta:
		name = "TQRAbstractExportFilter.GetFilterName"
		size = 40
		refs = "0006 TQRAbstractExportFilter.GetFilterName 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 0A 00 00 00 51 52 41 62 73 74 72 61 63 74 00 00 }
	condition:
		$1
}

rule function_15842_0 {
	meta:
		name = "TQRAbstractExportFilter.Start"
		size = 208
		refs = "0020 _Dn_TList 0025 TObject.Create 002f _Dn_TFont 0034 TFont.Create 0057 TFont.GetSize 0063 TQRAbstractExportFilter.Start 00a3 @ROUND 00b7 TQRExportFilter.Start"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 53 04 8B C3 8B 08 FF 51 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 8B D6 8B 43 48 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 DB 2D ?? ?? ?? ?? DE C9 DB 7B 1E 9B 8B C6 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 DB 2D ?? ?? ?? ?? DE C9 DB 7B 14 9B 89 7D F8 DB 45 F8 DB 7B 32 9B DB 45 FC DB 7B 28 9B 89 7D F8 DB 45 F8 DB 6B 1E DE F9 E8 ?? ?? ?? ?? 89 43 3C C6 43 44 00 56 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 C7 71 1C C7 71 1C C7 E1 00 40 00 00 }
	condition:
		$1
}

rule function_15843_0 {
	meta:
		name = "TQRAbstractExportFilter.CreateStream"
		size = 88
		refs = "000e @LStrAddRef 0016 TQRAbstractExportFilter.CreateStream 002b _Dn_TFileStream 0030 TFileStream.Create 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15845_0 {
	meta:
		name = "TQRAbstractExportFilter.WriteToStream"
		size = 35
		refs = "0009 @LStrLen 0011 @LStrToPChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 10 59 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_15846_0 {
	meta:
		name = "TQRAbstractExportFilter.WriteLnToStream"
		size = 120
		refs = "000f TQRAbstractExportFilter.WriteLnToStream 002d @LStrCatN 0037 TQRAbstractExportFilter.WriteToStream 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 FF FF FF FF 01 00 00 00 0D 00 00 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_15847_0 {
	meta:
		name = "TQRAbstractExportFilter.Finish"
		size = 50
		refs = "0006 TQRAbstractExportFilter.ClearEntries 000e TObject.Free 002c TQRExportFilter.Finish"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15848_0 {
	meta:
		name = "TQRAbstractExportFilter.ClearEntries"
		size = 54
		refs = "000b TList.Get 0017 TList.Delete 001f TObject.Free"
	strings:
		$1 = { 53 56 8B D8 EB 24 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F0 33 D2 8B 43 0C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 73 0C 83 7E 08 00 7F D3 5E 5B C3 }
	condition:
		$1
}

rule function_15849_0 {
	meta:
		name = "TQRAbstractExportFilter.NewPage"
		size = 55
		refs = "000f TQRAbstractExportFilter.ClearEntries 001b TObject.Free 0022 _Dn_TFont 0027 TFont.Create 0031 TQRExportFilter.NewPage"
	strings:
		$1 = { 53 8B D8 8B 43 0C 83 78 08 00 7E 07 8B C3 E8 ?? ?? ?? ?? C6 43 44 00 8B 43 4C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15850_0 {
	meta:
		name = "TQRAbstractExportFilter.EndPage"
		size = 26
		refs = "000d TQRAbstractExportFilter.ClearEntries 0014 TQRExportFilter.EndPage"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 30 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15851_0 {
	meta:
		name = "TQRAbstractExportFilter.ConvertToColumns"
		size = 290
		refs = "000e _DV_TQRPositions 0013 TQRPositions.Create 001e TQRAbstractExportFilter.ConvertToColumns 002c TQRPositions.BeginUpdate 0044 TList.Get 004a _DV_TTextEntry 004f @IsClass 0070 TQRPositions.Add 007c TQRPositions.EndUpdate 00cb TQRPositions.NewPosition 00f3 @ROUND 010f TObject.Free 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 47 0C 8B 70 08 4E 85 F6 7C 3D 46 33 DB 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 66 8B 50 10 52 FF 70 0C FF 70 08 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 C6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 47 40 8B 47 0C 8B 70 08 4E 85 F6 7C 6E 46 33 DB 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 66 8B 50 10 52 FF 70 0C FF 70 08 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 DB 45 F4 8B 45 F8 DB 78 08 9B DB 47 40 8B 45 F8 DB 68 08 DE D9 DF E0 9E 76 0E 8B 45 F8 DB 68 08 E8 ?? ?? ?? ?? 89 47 40 43 4E 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15852_0 {
	meta:
		name = "TQRAbstractExportFilter.ConvertToLines"
		size = 297
		refs = "000e _DV_TQRPositions 0013 TQRPositions.Create 001e TQRAbstractExportFilter.ConvertToLines 0033 TQRPositions.BeginUpdate 004b TList.Get 0051 _DV_TTextEntry 0056 @IsClass 0077 TQRPositions.Add 0083 TQRPositions.EndUpdate 00d2 TQRPositions.NewPosition 00fa @ROUND 0116 TObject.Free 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC C6 40 09 01 8B 45 FC E8 ?? ?? ?? ?? 8B 47 0C 8B 70 08 4E 85 F6 7C 3D 46 33 DB 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 66 8B 50 1A 52 FF 70 16 FF 70 12 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 C6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 47 3C 8B 47 0C 8B 70 08 4E 85 F6 7C 6E 46 33 DB 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 66 8B 50 1A 52 FF 70 16 FF 70 12 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 DB 45 F4 8B 45 F8 DB 78 12 9B DB 47 3C 8B 45 F8 DB 68 12 DE D9 DF E0 9E 76 0E 8B 45 F8 DB 68 12 E8 ?? ?? ?? ?? 89 47 3C 43 4E 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15853_0 {
	meta:
		name = "TQRAbstractExportFilter.ProcessPage"
		size = 30
		refs = "000a TQRAbstractExportFilter.ConvertToColumns 0011 TQRAbstractExportFilter.ConvertToLines"
	strings:
		$1 = { 53 8B D8 C6 43 44 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 5B C3 }
	condition:
		$1
}

rule function_15855_0 {
	meta:
		name = "TQRAbstractExportFilter.TextOut"
		size = 179
		refs = "0010 @LStrAddRef 0018 TQRAbstractExportFilter.TextOut 0025 _DV_TTextEntry 002a TObject.Create 005f @LStrAsg 006c _Dn_TFont 0071 TFont.Create 008a TList.Add 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 1C 89 43 08 8B 45 20 89 43 0C 66 8B 45 24 66 89 43 10 8B 45 10 89 43 12 8B 45 14 89 43 16 66 8B 45 18 66 89 43 1A 8D 43 04 8B 55 08 E8 ?? ?? ?? ?? 8A 45 0C 88 43 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 20 8B 55 FC 8B C7 8B 08 FF 51 08 8B D3 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_15856_0 {
	meta:
		name = "TQRAbstractExportFilter.GetText"
		size = 146
		refs = "0016 @LStrClr 0034 TList.Get 003a _DV_TTextEntry 003f @IsClass 0077 @LStrLAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 70 08 4E 85 F6 7C 61 46 33 DB 8B 45 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B 45 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B F8 DB 6D 14 DB 6F 08 DE D9 DF E0 9E 75 22 DB 6D 08 DB 6F 12 DE D9 DF E0 9E 75 15 8B 45 F4 8B 57 04 E8 ?? ?? ?? ?? 8B 47 20 8B 55 F8 89 02 EB 04 43 4E 75 A2 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_15859_0 {
	meta:
		name = "TQRCommaSeparatedFilter.GetExtension"
		size = 32
		refs = "0006 TQRCommaSeparatedFilter.GetExtension 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 03 00 00 00 43 53 56 00 }
	condition:
		$1
}

rule function_15860_0 {
	meta:
		name = "TQRCommaSeparatedFilter.StorePage"
		size = 248
		refs = "0017 TQRCommaSeparatedFilter.StorePage 0067 TQRAbstractExportFilter.GetText 007c @LStrCatN 0086 TQRAbstractExportFilter.WriteToStream 0094 TQRAbstractExportFilter.WriteLnToStream 009f CSV_Separator 00a4 @LStrFromChar 00d8 @LStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F0 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 85 C0 0F 8E 96 00 00 00 89 45 F4 C7 45 FC 01 00 00 00 8B 7B 40 85 FF 7E 79 BE 01 00 00 00 68 ?? ?? ?? ?? 89 75 E8 DB 45 E8 83 C4 F4 DB 3C 24 9B DB 45 FC 83 C4 F4 DB 3C 24 9B 8D 4D EC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 3B 73 40 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 18 8D 45 F0 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 8C FF 45 FC FF 4D F4 0F 85 74 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_15861_0 {
	meta:
		name = "TQRCSVFilter.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TComponent.Create 001c QRExportFilterLibrary 0024 _DV_TQRCommaSeparatedFilter 0029 TQRExportFilterLibrary.AddFilter 0032 TQRCSVFilter.SetSeparator 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 2C 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15862_0 {
	meta:
		name = "TQRCSVFilter.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000c QRExportFilterLibrary 0014 _DV_TQRCommaSeparatedFilter 0019 TQRExportFilterLibrary.RemoveFilter 0025 TComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15886_0 {
	meta:
		name = "TQRExcelFilter.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000c QRExportFilterLibrary 0014 _DV_TQRXLSFilter 0019 TQRExportFilterLibrary.RemoveFilter 0025 TComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15875_0 {
	meta:
		name = "TQRHTMLFilter.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000c QRExportFilterLibrary 0014 _DV_TQRHTMLDocumentFilter 0019 TQRExportFilterLibrary.RemoveFilter 0025 TComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15897_0 {
	meta:
		name = "TQRTextFilter.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000c QRExportFilterLibrary 0014 _DV_TQRAsciiExportFilter 0019 TQRExportFilterLibrary.RemoveFilter 0025 TComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15867_0 {
	meta:
		name = "TQRHTMLDocumentFilter.GetExtension"
		size = 32
		refs = "0006 TQRHTMLDocumentFilter.GetExtension 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 03 00 00 00 48 54 4D 00 }
	condition:
		$1
}

rule function_15869_0 {
	meta:
		name = "FontValue"
		size = 74
	strings:
		$1 = { 83 F8 08 7F 03 33 C0 C3 83 F8 0A 7F 07 B8 01 00 00 00 EB 35 83 F8 0C 7F 07 B8 02 00 00 00 EB 29 83 F8 0E 7F 07 B8 03 00 00 00 EB 1D 83 F8 12 7F 07 B8 04 00 00 00 EB 11 83 F8 18 7F 07 B8 05 00 00 00 EB 05 B8 07 00 00 00 C3 }
	condition:
		$1
}

rule function_15870_0 {
	meta:
		name = "HTMLFontSizeAdjust"
		size = 136
		refs = "0012 HTMLFontSizeAdjust 001f FontValue 003a IntToStr 0049 @LStrCat3 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 2B D0 8B DA 85 DB 7C 1B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_15871_0 {
	meta:
		name = "TQRHTMLDocumentFilter.CreateStream"
		size = 102
		refs = "000e @LStrAddRef 0016 TQRHTMLDocumentFilter.CreateStream 0029 _Dn_TMemoryStream 002e TObject.Create 0041 TQRAbstractExportFilter.CreateStream 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 C6 43 50 00 EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15872_0 {
	meta:
		name = "TQRHTMLDocumentFilter.CloseStream"
		size = 12
		refs = "0007 TQRAbstractExportFilter.CloseStream"
	strings:
		$1 = { 80 78 50 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15873_0 {
	meta:
		name = "TQRHTMLDocumentFilter.StorePage"
		size = 676
		refs = "001a TQRHTMLDocumentFilter.StorePage 002c TQRAbstractExportFilter.WriteToStream 0081 TQRAbstractExportFilter.GetText 0093 @LStrClr 00b4 ColorToHTMLColor 00c9 @LStrCatN 00d1 TFont.GetSize 0101 HTMLFontSizeAdjust 0171 TQRAbstractExportFilter.WriteLnToStream 01ab @LStrArrayClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 0F 8E 46 01 00 00 89 45 EC C7 45 FC 01 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 73 40 85 F6 0F 8E 0D 01 00 00 BF 01 00 00 00 89 7D E8 DB 45 E8 83 C4 F4 DB 3C 24 9B DB 45 FC 83 C4 F4 DB 3C 24 9B 8D 4D F4 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 AE 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 53 48 3B 42 14 74 28 68 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 43 48 E8 ?? ?? ?? ?? 5A 3B D0 74 32 FF 75 F0 68 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? FF 75 E4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 22 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 47 4E 0F 85 F8 FE FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 45 FC FF 4D EC 0F 85 C4 FE FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 29 00 00 00 3C 54 41 42 4C 45 20 57 49 44 54 48 3D 31 30 30 25 20 43 45 4C 4C 50 41 44 44 49 4E 47 3D 32 20 42 4F 52 44 45 52 3D 30 3E 00 00 00 FF FF FF FF 04 00 00 00 3C 54 52 3E 00 00 00 00 FF FF FF FF 08 00 00 00 43 4F 4C 4F 52 3D 22 23 00 00 00 00 FF FF FF FF 01 00 00 00 22 00 00 00 FF FF FF FF 06 00 00 00 20 53 49 5A 45 3D 00 00 FF FF FF FF 06 00 00 00 3C 46 4F 4E 54 20 00 00 FF FF FF FF 01 00 00 00 3E 00 00 00 FF FF FF FF 07 00 00 00 3C 2F 46 4F 4E 54 3E 00 FF FF FF FF 04 00 00 00 3C 54 44 3E 00 00 00 00 FF FF FF FF 05 00 00 00 3C 2F 54 44 3E 00 00 00 FF FF FF FF 05 00 00 00 3C 2F 54 52 3E 00 00 00 FF FF FF FF 08 00 00 00 3C 2F 54 41 42 4C 45 3E 00 00 00 00 }
	condition:
		$1
}

rule function_15874_0 {
	meta:
		name = "TQRHTMLFilter.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TComponent.Create 001c QRExportFilterLibrary 0024 _DV_TQRHTMLDocumentFilter 0029 TQRExportFilterLibrary.AddFilter 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15885_0 {
	meta:
		name = "TQRExcelFilter.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TComponent.Create 001c QRExportFilterLibrary 0024 _DV_TQRXLSFilter 0029 TQRExportFilterLibrary.AddFilter 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15896_0 {
	meta:
		name = "TQRTextFilter.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TComponent.Create 001c QRExportFilterLibrary 0024 _DV_TQRAsciiExportFilter 0029 TQRExportFilterLibrary.AddFilter 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15878_0 {
	meta:
		name = "TQRXLSFilter.GetExtension"
		size = 32
		refs = "0006 TQRXLSFilter.GetExtension 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 03 00 00 00 58 4C 53 00 }
	condition:
		$1
}

rule function_15880_0 {
	meta:
		name = "TQRXLSFilter.CreateStream"
		size = 198
		refs = "0011 @LStrAddRef 0019 TQRXLSFilter.CreateStream 0029 TQRAbstractExportFilter.CreateStream 004c TQRXLSFilter.WriteRecordHeader 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 66 C7 45 F2 00 00 66 C7 45 F4 10 00 66 C7 45 F6 00 00 B9 06 00 00 00 BA 09 08 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F2 B9 06 00 00 00 8B 43 10 8B 30 FF 56 08 66 C7 45 F2 00 00 66 8B 43 3C 66 89 45 F4 66 C7 45 F6 00 00 66 8B 43 40 66 89 45 F8 66 C7 45 FA 00 00 B9 0A 00 00 00 BA 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F2 B9 0A 00 00 00 8B 43 10 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15881_0 {
	meta:
		name = "TQRXLSFilter.CloseStream"
		size = 26
		refs = "000d TQRXLSFilter.WriteRecordHeader 0014 TQRAbstractExportFilter.CloseStream"
	strings:
		$1 = { 53 8B D8 33 C9 BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15882_0 {
	meta:
		name = "TQRXLSFilter.StorePage"
		size = 186
		refs = "0015 TQRXLSFilter.StorePage 006e TQRAbstractExportFilter.GetText 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 48 85 C0 7C 6C 40 89 45 EC C7 45 F8 00 00 00 00 8B 45 FC 8B 70 40 4E 85 F6 7C 4E 46 33 DB 8D 43 01 89 45 E8 DB 45 E8 83 C4 F4 DB 3C 24 9B 8B 45 F8 40 89 45 E4 DB 45 E4 83 C4 F4 DB 3C 24 9B 8D 4D F4 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 74 12 53 8B 45 F4 50 8B 4D F8 B2 03 8B 45 FC 8B 38 FF 57 38 43 4E 75 B5 FF 45 F8 FF 4D EC 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15883_0 {
	meta:
		name = "TQRXLSFilter.WriteRecordHeader"
		size = 29
	strings:
		$1 = { 53 51 66 89 14 24 66 89 4C 24 02 8B D4 B9 04 00 00 00 8B 40 10 8B 18 FF 53 08 5A 5B C3 }
	condition:
		$1
}

rule function_15884_0 {
	meta:
		name = "TQRXLSFilter.WriteData"
		size = 201
		refs = "0016 @LStrAddRef 001e TQRXLSFilter.WriteData 0043 @LStrToString 0056 @LStrLen 0067 TQRXLSFilter.WriteRecordHeader 007c Attribute 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 8B F1 88 55 FF 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 89 75 FA 66 8B 45 0C 66 89 45 FC 8D 85 FA FE FF FF 8B 55 08 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8A 45 FF 2C 03 75 56 66 BE 04 00 8B 45 08 E8 ?? ?? ?? ?? 66 83 C0 08 0F B7 C8 0F B7 D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FA B9 04 00 00 00 8B 43 10 8B 30 FF 56 08 BA ?? ?? ?? ?? B9 03 00 00 00 8B 43 10 8B 30 FF 56 08 33 C9 8A 8D FA FE FF FF 41 8D 95 FA FE FF FF 8B 43 10 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15887_0 {
	meta:
		name = "dup"
		size = 97
		refs = "0012 dup 001f @LStrClr 002d @LStrFromChar 0037 @LStrCat 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 FF 7E 17 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 4F 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15891_0 {
	meta:
		name = "TQRAsciiExportFilter.Start"
		size = 144
		refs = "0018 @Assign 0023 @RewritText 0028 @_IOTest 002f TFont.GetSize 003b TQRAsciiExportFilter.Start 0073 @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B D8 8B 75 08 8B 53 04 8D 83 34 03 00 00 E8 ?? ?? ?? ?? 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 DB BB 0A 05 00 00 9B 8B C6 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 DB BB 00 05 00 00 9B 89 7D FC DB 45 FC DB AB 0A 05 00 00 DE F9 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 5D C2 04 00 00 00 C7 71 1C C7 71 1C C7 E1 00 40 00 00 }
	condition:
		$1
}

rule function_15892_0 {
	meta:
		name = "TQRAsciiExportFilter.EndPage"
		size = 62
		refs = "0015 @LStrLen 0028 @Write0LString 002d @WriteLn 0032 @_IOTest"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 0C 4F 85 FF 7C 2D 47 33 F6 8B 44 B3 10 E8 ?? ?? ?? ?? 85 C0 7E 19 8B 54 B3 10 8D 83 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15893_0 {
	meta:
		name = "TQRAsciiExportFilter.Finish"
		size = 16
		refs = "0006 @Close 000b @_IOTest"
	strings:
		$1 = { 05 34 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15894_0 {
	meta:
		name = "TQRAsciiExportFilter.NewPage"
		size = 27
		refs = "000b @LStrClr"
	strings:
		$1 = { 53 56 8B F0 33 DB 8D 44 9E 10 E8 ?? ?? ?? ?? 43 81 FB C9 00 00 00 75 EE 5E 5B C3 }
	condition:
		$1
}

rule function_15895_0 {
	meta:
		name = "TQRAsciiExportFilter.TextOut"
		size = 332
		refs = "0012 @LStrAddRef 001a TQRAsciiExportFilter.TextOut 0054 @LStrLen 006b @ROUND 0079 @LStrLAsg 00b1 dup 00bc @LStrCat 00da @LStrDelete 00ef @LStrInsert 0103 @LStrAsg 0118 @LStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DB 6D 1C DB AB 00 05 00 00 DE F9 DB 2D ?? ?? ?? ?? DE C9 DB 7D 1C 9B DB 6D 10 DB AB 0A 05 00 00 DE F9 DB 7D 10 9B 80 7D 0C 01 75 17 8B 45 08 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 DB 6D 1C DE E1 DB 7D 1C 9B DB 6D 10 E8 ?? ?? ?? ?? 8B F8 8B 54 BB 10 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 DB 6D 1C DE D9 DF E0 9E 76 2B 8B 45 FC E8 ?? ?? ?? ?? 50 DB 6D 1C E8 ?? ?? ?? ?? 8B D0 58 2B D0 8D 4D F4 B0 20 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 DB 6D 1C E8 ?? ?? ?? ?? 8B F0 8B D6 8D 45 FC 59 E8 ?? ?? ?? ?? DB 6D 1C E8 ?? ?? ?? ?? 8B CE 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? DB 6D 10 E8 ?? ?? ?? ?? 8D 44 BB 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 20 00 00 00 00 9A 99 99 99 99 99 99 D9 FF 3F 00 00 }
	condition:
		$1
}

rule function_15900_0 {
	meta:
		name = "QREvResultToString"
		size = 231
		refs = "0018 QREvResultToString 003a @LStrFromString 0046 IntToStr 0059 FloatToStr 0068 SqrTrue 006d LoadResString 0076 SqrFalse 0089 SqrExpError 00a7 Format 00b1 _Dn_Exception 00b6 Exception.Create 00bb @RaiseExcept 00d5 @LStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 03 2C 01 72 18 74 22 FE C8 74 06 FE C8 74 2D EB 4D 8B C6 8D 53 01 E8 ?? ?? ?? ?? EB 7F 8B D6 8B 43 04 E8 ?? ?? ?? ?? EB 73 DD 43 04 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 60 80 7B 01 00 74 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 43 01 89 45 F0 C6 45 F4 04 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15901_0 {
	meta:
		name = "QREvResultToInt"
		size = 178
		refs = "0011 QREvResultToInt 002e @ROUND 003e SqrExpNumeric 0043 LoadResString 0059 SqrNotValue 0069 Format 0073 _Dn_Exception 0078 Exception.Create 007d @RaiseExcept 0097 @LStrArrayClr 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 03 2C 01 72 04 74 07 EB 11 8B 5B 04 EB 57 DD 43 04 E8 ?? ?? ?? ?? 8B D8 EB 4B 8D 45 FC 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15902_0 {
	meta:
		name = "QREvResultToFloat"
		size = 184
		refs = "0015 QREvResultToFloat 0044 SqrExpNumeric 0049 LoadResString 005f SqrNotValue 006f Format 0079 _Dn_Exception 007e Exception.Create 0083 @RaiseExcept 009d @LStrArrayClr 00a5 @LStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 F0 89 55 E4 89 55 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8A 10 80 EA 01 72 04 74 0B EB 12 DB 40 04 DB 7D F6 9B EB 54 DD 40 04 DB 7D F6 9B EB 4B 8D 45 F0 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 0B 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DB 6D F6 8B E5 5D C3 }
	condition:
		$1
}

rule function_15903_0 {
	meta:
		name = "QREvResultToBoolean"
		size = 372
		refs = "0011 QREvResultToBoolean 0038 @LStrFromString 0043 AnsiUpperCase 0050 @LStrCmp 0091 SqrExpBoolean 0096 LoadResString 00ac SqrNotValue 00bc Format 00c6 _Dn_Exception 00cb Exception.Create 00d0 @RaiseExcept 0132 @LStrClr 013f @LStrArrayClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 03 2C 02 74 10 FE C8 0F 85 AD 00 00 00 8A 5B 01 E9 F0 00 00 00 8D 45 F8 8D 53 01 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 01 E9 C4 00 00 00 8D 45 F8 8D 53 01 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 33 DB E9 98 00 00 00 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4B 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 0B 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 54 52 55 45 00 00 00 00 FF FF FF FF 05 00 00 00 46 41 4C 53 45 00 00 00 }
	condition:
		$1
}

rule function_15904_0 {
	meta:
		name = "QREvResultToVariant"
		size = 202
		refs = "0018 QREvResultToVariant 003a @VarFromPStr 0046 @VarFromInt 0052 @VarFromReal 005e @VarFromBool 006c SqrExpError 0071 LoadResString 008a Format 0094 _Dn_Exception 0099 Exception.Create 009e @RaiseExcept 00b8 @LStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 03 2C 01 72 18 74 22 FE C8 74 06 FE C8 74 26 EB 30 8B C6 8D 53 01 E8 ?? ?? ?? ?? EB 62 8B C6 8B 53 04 E8 ?? ?? ?? ?? EB 56 DD 43 04 8B C6 E8 ?? ?? ?? ?? EB 4A 8B C6 8A 53 01 E8 ?? ?? ?? ?? EB 3E 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 43 01 89 45 F0 C6 45 F4 04 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15907_0 {
	meta:
		name = "TQRLibrary.Destroy"
		size = 86
		refs = "0005 @BeforeDestruction 002a TObject.Free 0042 TObject.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B 10 FF 52 14 8B E8 4D 85 ED 7C 16 45 33 FF 8B D7 8B 46 04 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15908_0 {
	meta:
		name = "TQRLibrary.Add"
		size = 184
		refs = "0012 @LStrAddRef 0032 TQRLibrary.Add 003f _DV_TQRLibraryEntry 0044 TObject.Create 0051 @LStrAsg 0097 @LStrClr 00a4 @LStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 8D 43 04 8B 55 10 E8 ?? ?? ?? ?? 8D 43 14 8B 55 0C E8 ?? ?? ?? ?? 8D 43 08 8B 55 08 E8 ?? ?? ?? ?? 89 7B 0C 8B CB 8B 55 FC 8B 46 04 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_15909_0 {
	meta:
		name = "TQRLibrary.GetEntry"
		size = 36
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 14 3B F0 7F 0D 8B D6 8B 43 04 8B 08 FF 51 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_15910_0 {
	meta:
		name = "TQRFunctionLibrary.GetFunction"
		size = 180
		refs = "0019 @LStrAddRef 0021 TQRFunctionLibrary.GetFunction 0057 SqrExpUnknownFunction 005c LoadResString 0075 Format 007f _DV_TQREvElementError 0084 TQREvElementError.Create 00a0 @LStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 04 8B 08 FF 51 50 8B F0 85 F6 7C 13 8B D6 8B C3 8B 08 FF 11 8B 40 0C B2 01 FF 10 8B D8 EB 3B 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15911_0 {
	meta:
		name = "TQRFiFo.Create"
		size = 68
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 C6 46 04 00 33 C0 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15912_0 {
	meta:
		name = "TQRFiFo.Destroy"
		size = 82
		refs = "0005 @BeforeDestruction 0021 TList.Get 0026 TObject.Free 003e TObject.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 8B 68 08 4D 85 ED 7C 16 45 33 FF 8B D7 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15915_0 {
	meta:
		name = "TQRFiFo.GetAndFree"
		size = 43
		refs = "0012 TList.Get 001e TList.Delete"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 83 7E 08 00 7E 17 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F0 33 D2 8B 43 08 E8 ?? ?? ?? ?? EB 02 33 F6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15916_0 {
	meta:
		name = "TQRFiFo.Get"
		size = 38
		refs = "0017 TList.Get"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 08 8B 46 08 8B 7B 0C 3B C7 7E 0E 8B D7 8B C6 E8 ?? ?? ?? ?? FF 43 0C EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15917_0 {
	meta:
		name = "TQREvElement.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TObject.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15920_0 {
	meta:
		name = "ErrorCreate"
		size = 84
		refs = "000e @LStrAddRef 0016 ErrorCreate 002f @LStrToString 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 03 04 8D 43 01 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15921_0 {
	meta:
		name = "TQREvElementOperator.CreateOperator"
		size = 67
		refs = "000e @ClassCreate 001e TQREvElement.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 08 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15922_0 {
	meta:
		name = "TQREvElementOperator.ConverTQREvResults"
		size = 176
		refs = "000f TQREvElementOperator.ConverTQREvResults 005a QREvResultToString 006a @LStrToString 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 03 3C 04 74 6F 80 3E 04 74 6A 3A 06 74 66 80 3B 00 75 11 80 3E 01 75 0C C6 03 01 DB 43 04 DD 5B 04 9B EB 50 80 3B 01 75 11 80 3E 00 75 0C C6 06 01 DB 46 04 DD 5E 04 9B EB 3A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? C6 03 02 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? C6 06 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15923_0 {
	meta:
		name = "TQREvElementOperator.Value"
		size = 3532
		refs = "0031 TQREvElementOperator.Value 003e TQRFiFo.Get 0073 TQREvElementOperator.ConverTQREvResults 0125 @PStrCpy 0136 @PStrCat 015b SqrExpAdd 0160 LoadResString 017e SqrExpBoolean 01a8 SqrExpCannotOperator 01be Format 01cb ErrorCreate 0222 SqrExpSubtract 0245 SqrExpString 0370 SqrExpMultiply 04bc SqrExpDivideByZero 052d SqrExpDivide 0687 @PStrCmp 06dc SqrExpOperatorNotCompatible 0a00 @AStrCmp 0b08 SqrExpNumeric 0d79 @LStrArrayClr 0d84 @LStrClr 0d8a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D0 FC FF FF 53 56 57 33 DB 89 9D F0 FC FF FF 89 9D DC FC FF FF 89 9D D8 FC FF FF 89 9D D4 FC FF FF 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 8D F8 FE FF FF 8B D6 8B 38 FF 57 04 8B C6 E8 ?? ?? ?? ?? 8D 8D F4 FD FF FF 8B D6 8B 30 FF 56 04 8D 8D F4 FD FF FF 8D 95 F8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8A 85 F8 FE FF FF 88 03 8A 85 F4 FD FF FF 3C 04 75 02 88 03 8A 03 3C 04 0F 84 A2 0C 00 00 8B 55 FC 0F B6 52 08 83 FA 0B 0F 87 BB 0C 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2C 01 72 0F 74 21 FE C8 74 32 FE C8 74 63 E9 71 0C 00 00 8B 85 FC FE FF FF 03 85 F8 FD FF FF 89 43 04 E9 5D 0C 00 00 DD 85 FC FE FF FF DC 85 F8 FD FF FF DD 5B 04 9B E9 48 0C 00 00 8D 95 F9 FE FF FF 8D 85 F4 FC FF FF E8 ?? ?? ?? ?? 8D 95 F5 FD FF FF 8D 85 F4 FC FF FF E8 ?? ?? ?? ?? 8D 95 F4 FC FF FF 8D 43 01 E8 ?? ?? ?? ?? E9 13 0C 00 00 8D 85 F0 FC FF FF 50 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 8C 0B 00 00 2C 01 72 13 74 25 FE C8 74 36 FE C8 0F 84 B5 00 00 00 E9 75 0B 00 00 8B 85 FC FE FF FF 2B 85 F8 FD FF FF 89 43 04 E9 61 0B 00 00 DD 85 FC FE FF FF DC A5 F8 FD FF FF DD 5B 04 9B E9 4C 0B 00 00 8D 85 F0 FC FF FF 50 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 C5 0A 00 00 8D 85 F0 FC FF FF 50 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 3E 0A 00 00 2C 01 72 13 74 25 FE C8 74 36 FE C8 0F 84 B5 00 00 00 E9 27 0A 00 00 8B 85 FC FE FF FF F7 AD F8 FD FF FF 89 43 04 E9 13 0A 00 00 DD 85 FC FE FF FF DC 8D F8 FD FF FF DD 5B 04 9B E9 FE 09 00 00 8D 85 F0 FC FF FF 50 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 77 09 00 00 8D 85 F0 FC FF FF 50 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 F0 08 00 00 2C 01 72 17 74 61 FE C8 0F 84 A1 00 00 00 FE C8 0F 84 20 01 00 00 E9 D5 08 00 00 8B 85 F8 FD FF FF 85 C0 74 20 DB 85 FC FE FF FF 89 85 D0 FC FF FF DB 85 D0 FC FF FF DE F9 DD 5B 04 9B C6 03 01 E9 AB 08 00 00 8D 95 F0 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 89 08 00 00 DD 85 F8 FD FF FF D8 1D ?? ?? ?? ?? DF E0 9E 74 15 DD 85 FC FE FF FF DC B5 F8 FD FF FF DD 5B 04 9B E9 63 08 00 00 8D 95 F0 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 41 08 00 00 8D 85 F0 FC FF FF 50 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 BA 07 00 00 8D 85 F0 FC FF FF 50 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 33 07 00 00 C6 03 03 8A 85 F8 FE FF FF 2C 01 72 0F 74 24 FE C8 74 3A FE C8 74 52 E9 17 07 00 00 8B 85 FC FE FF FF 3B 85 F8 FD FF FF 0F 9F C0 88 43 01 E9 00 07 00 00 DD 85 FC FE FF FF DC 9D F8 FD FF FF DF E0 9E 0F 97 C0 88 43 01 E9 E6 06 00 00 8D 85 F9 FE FF FF 8D 95 F5 FD FF FF E8 ?? ?? ?? ?? 0F 97 C0 88 43 01 E9 CA 06 00 00 8D 85 F0 FC FF FF 50 C6 85 E0 FC FF FF 3E C6 85 E4 FC FF FF 02 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 58 06 00 00 C6 03 03 8A 85 F8 FE FF FF 2C 01 72 0F 74 24 FE C8 74 3A FE C8 74 52 E9 3C 06 00 00 8B 85 FC FE FF FF 3B 85 F8 FD FF FF 0F 9D C0 88 43 01 E9 25 06 00 00 DD 85 FC FE FF FF DC 9D F8 FD FF FF DF E0 9E 0F 93 C0 88 43 01 E9 0B 06 00 00 8D 85 F9 FE FF FF 8D 95 F5 FD FF FF E8 ?? ?? ?? ?? 0F 93 C0 88 43 01 E9 EF 05 00 00 8D 85 F0 FC FF FF 50 B8 ?? ?? ?? ?? 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 79 05 00 00 C6 03 03 8A 85 F8 FE FF FF 2C 01 72 0F 74 24 FE C8 74 3A FE C8 74 52 E9 5D 05 00 00 8B 85 FC FE FF FF 3B 85 F8 FD FF FF 0F 9C C0 88 43 01 E9 46 05 00 00 DD 85 FC FE FF FF DC 9D F8 FD FF FF DF E0 9E 0F 92 C0 88 43 01 E9 2C 05 00 00 8D 85 F9 FE FF FF 8D 95 F5 FD FF FF E8 ?? ?? ?? ?? 0F 92 C0 88 43 01 E9 10 05 00 00 8D 85 F0 FC FF FF 50 C6 85 E0 FC FF FF 3C C6 85 E4 FC FF FF 02 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 9E 04 00 00 C6 03 03 8A 85 F8 FE FF FF 2C 01 72 0F 74 24 FE C8 74 3A FE C8 74 52 E9 82 04 00 00 8B 85 FC FE FF FF 3B 85 F8 FD FF FF 0F 9E C0 88 43 01 E9 6B 04 00 00 DD 85 FC FE FF FF DC 9D F8 FD FF FF DF E0 9E 0F 96 C0 88 43 01 E9 51 04 00 00 8D 85 F9 FE FF FF 8D 95 F5 FD FF FF E8 ?? ?? ?? ?? 0F 96 C0 88 43 01 E9 35 04 00 00 8D 85 F0 FC FF FF 50 B8 ?? ?? ?? ?? 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 BF 03 00 00 C6 03 03 8A 85 F8 FE FF FF 2C 01 72 0F 74 24 FE C8 74 3A FE C8 74 57 E9 A3 03 00 00 8B 85 FC FE FF FF 3B 85 F8 FD FF FF 0F 94 C0 88 43 01 E9 8C 03 00 00 DD 85 FC FE FF FF DC 9D F8 FD FF FF DF E0 9E 0F 94 C0 88 43 01 E9 72 03 00 00 8D 85 F9 FE FF FF 8D 95 F5 FD FF FF 33 C9 8A 08 41 E8 ?? ?? ?? ?? 0F 94 C0 88 43 01 E9 51 03 00 00 8A 85 F9 FE FF FF 3A 85 F5 FD FF FF 0F 94 C0 88 43 01 E9 3A 03 00 00 C6 03 03 8A 85 F8 FE FF FF 2C 01 72 0F 74 24 FE C8 74 3A FE C8 74 57 E9 1E 03 00 00 8B 85 FC FE FF FF 3B 85 F8 FD FF FF 0F 95 C0 88 43 01 E9 07 03 00 00 DD 85 FC FE FF FF DC 9D F8 FD FF FF DF E0 9E 0F 95 C0 88 43 01 E9 ED 02 00 00 8D 85 F9 FE FF FF 8D 95 F5 FD FF FF 33 C9 8A 08 41 E8 ?? ?? ?? ?? 0F 95 C0 88 43 01 E9 CC 02 00 00 8A 85 F9 FE FF FF 3A 85 F5 FD FF FF 0F 95 C0 88 43 01 E9 B5 02 00 00 8A 85 F8 FE FF FF 88 03 8A 85 F8 FE FF FF 2C 01 72 17 74 29 FE C8 0F 84 97 00 00 00 FE C8 0F 84 05 01 00 00 E9 8C 02 00 00 8B 85 FC FE FF FF 0B 85 F8 FD FF FF 89 43 04 E9 78 02 00 00 8D 85 F0 FC FF FF 50 B8 ?? ?? ?? ?? 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 02 02 00 00 8D 85 F0 FC FF FF 50 B8 ?? ?? ?? ?? 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 8C 01 00 00 80 BD F9 FE FF FF 00 75 0D 80 BD F5 FD FF FF 00 75 04 33 C0 EB 02 B0 01 88 43 01 E9 6C 01 00 00 8A 85 F8 FE FF FF 88 03 8A 85 F8 FE FF FF 2C 01 72 17 74 29 FE C8 0F 84 97 00 00 00 FE C8 0F 84 02 01 00 00 E9 43 01 00 00 8B 85 FC FE FF FF 23 85 F8 FD FF FF 89 43 04 E9 2F 01 00 00 8D 85 F0 FC FF FF 50 B8 ?? ?? ?? ?? 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? E9 B9 00 00 00 8D 85 F0 FC FF FF 50 B8 ?? ?? ?? ?? 89 85 E0 FC FF FF C6 85 E4 FC FF FF 0B 8D 95 DC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FC FF FF 89 85 E8 FC FF FF C6 85 EC FC FF FF 0B 8D 85 E0 FC FF FF 50 8D 95 D8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 8B D3 E8 ?? ?? ?? ?? EB 46 80 BD F9 FE FF FF 00 74 09 80 BD F5 FD FF FF 00 75 04 33 C0 EB 02 B0 01 88 43 01 EB 29 80 BD F8 FE FF FF 04 75 11 8B FB 8D B5 F8 FE FF FF B9 41 00 00 00 F3 A5 EB 0F 8B FB 8D B5 F4 FD FF FF B9 41 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FC FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 F0 FC FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 FF FF FF FF 02 00 00 00 3E 3D 00 00 FF FF FF FF 02 00 00 00 3C 3D 00 00 FF FF FF FF 02 00 00 00 4F 52 00 00 FF FF FF FF 03 00 00 00 41 4E 44 00 }
	condition:
		$1
}

rule function_15924_0 {
	meta:
		name = "TQREvElementConstant.CreateConstant"
		size = 100
		refs = "0014 @ClassCreate 0030 TQREvElement.Create 004d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D BD FC FE FF FF B9 41 00 00 00 F3 A5 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 8D 7E 08 8D B5 FC FE FF FF B9 41 00 00 00 F3 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15925_0 {
	meta:
		name = "TQREvElementConstant.Value"
		size = 21
	strings:
		$1 = { 53 56 57 8B D9 8B FB 8D 70 08 B9 41 00 00 00 F3 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15926_0 {
	meta:
		name = "TQREvElementString.CreateString"
		size = 124
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TQREvElementString.CreateString 0034 TQREvElement.Create 003f @LStrAsg 0054 @LStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15927_0 {
	meta:
		name = "TQREvElementString.Value"
		size = 28
		refs = "0015 @LStrToString"
	strings:
		$1 = { 53 56 8B F1 8B D8 C6 06 02 8D 46 01 8B 53 08 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15930_0 {
	meta:
		name = "TQREvElementFunction.GetArguments"
		size = 135
		refs = "0016 TQRFiFo.Get 0020 _DV_TQREvElementArgumentEnd 0025 @IsClass 0032 _DV_TQREvResultClass 0037 TObject.Create 0067 TList.Add"
	strings:
		$1 = { 53 56 57 55 81 C4 F4 FE FF FF 89 54 24 04 89 04 24 8B 44 24 04 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 75 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 4C 24 08 8B 54 24 04 8B C6 8B 28 FF 55 04 56 57 8D 74 24 10 83 C7 04 B9 41 00 00 00 F3 A5 5F 5E 8B 04 24 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 95 81 C4 0C 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15931_0 {
	meta:
		name = "TQREvElementFunction.FreeArguments"
		size = 54
		refs = "0019 TList.Get 001e TObject.Free 002e @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 08 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 08 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15932_0 {
	meta:
		name = "TQREvElementFunction.Argument"
		size = 44
		refs = "0017 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B 7B 08 3B 77 08 7F 15 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 70 04 8B FD B9 41 00 00 00 F3 A5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15933_0 {
	meta:
		name = "TQREvElementFunction.Value"
		size = 51
		refs = "000e TQREvElementFunction.GetArguments 002b TQREvElementFunction.FreeArguments"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7E 04 00 74 07 8B C3 8B 10 FF 52 0C 8B D7 8B C3 8B 08 FF 51 10 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15934_0 {
	meta:
		name = "TQREvElementFunction.ArgumentOK"
		size = 45
		refs = "0007 _DV_TQREvElementArgumentEnd 000c @IsClass 0018 _DV_TQREvElementError"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_15936_0 {
	meta:
		name = "TQRCustomController.LocalVarValue"
		size = 4
		altNames = "TQREvElementFunction.Calculate"
	strings:
		$1 = { C6 02 04 C3 }
	condition:
		$1
}

rule function_15937_0 {
	meta:
		name = "TQREvElementDataField.CreateField"
		size = 76
		refs = "000b @ClassCreate 001a TQREvElement.Create 0027 TField.GetIndex 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 46 24 89 47 08 8B C6 E8 ?? ?? ?? ?? 89 47 0C 89 77 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15938_0 {
	meta:
		name = "TQREvElementDataField.Value"
		size = 491
		refs = "0019 TQREvElementDataField.Value 0036 TFields.GetField 0042 _Dn_TStringField 0047 @IsClass 0069 @LStrToString 0079 _Dn_TIntegerField 008a _Dn_TSmallintField 009b _Dn_TWordField 00c2 _Dn_TFloatField 00d3 _Dn_TCurrencyField 00e4 _Dn_TBCDField 0109 _Dn_TBooleanField 012d _Dn_TDateField 015e _Dn_TDateTimeField 0193 SqrExpUnknownFieldType 0198 LoadResString 01b4 Format 01be ErrorCreate 01d8 @LStrArrayClr 01de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 08 80 BF 96 00 00 00 00 74 0E 8B 47 24 8B 53 0C E8 ?? ?? ?? ?? 89 43 10 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 C6 06 02 8D 55 FC 8B 43 10 8B 08 FF 51 58 8B 55 FC 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 50 01 00 00 8B 7B 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 C6 06 00 8B 43 10 8B 10 FF 52 54 89 46 04 E9 07 01 00 00 8B 7B 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 C6 06 01 8B 43 10 8B 10 FF 52 50 DD 5E 04 9B E9 BD 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 C6 06 03 8B 43 10 8B 10 FF 52 40 88 46 01 E9 99 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 C6 06 02 8D 55 FC 8B 43 10 8B 08 FF 51 58 8B 55 FC 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 68 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 C6 06 02 8D 55 FC 8B 43 10 8B 08 FF 51 58 8B 55 FC 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 37 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 10 8B 40 28 89 45 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15939_0 {
	meta:
		name = "TQREvElementError.Create"
		size = 115
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TQREvElementError.Create 0036 @LStrAsg 004b @LStrClr 0051 @HandleFinally 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15940_0 {
	meta:
		name = "TQREvElementError.Value"
		size = 28
		refs = "0015 @LStrToString"
	strings:
		$1 = { 53 56 8B F1 8B D8 C6 06 04 8D 46 01 8B 53 08 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15941_0 {
	meta:
		name = "Flip"
		size = 336
		refs = "001e @LStrAddRef 0026 Flip 0049 @LStrFromChar 0056 @LStrCmp 00a9 UniqueString 00e2 @LStrLen 00f5 @LStrLAsg 010f @LStrArrayClr 0117 @LStrClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 88 4D FA 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 DB BE 01 00 00 00 E9 A0 00 00 00 8D 45 F4 8B 55 FC 8A 54 32 FF E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 05 80 F3 01 EB 7C 84 DB 75 78 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 03 47 EB 66 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 03 4F EB 54 85 FF 75 50 8D 45 F0 8A 55 FB E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 75 11 8D 45 FC E8 ?? ?? ?? ?? 8A 55 FA 88 54 30 FF EB 27 8D 45 F0 8A 55 FA E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 75 0F 8D 45 FC E8 ?? ?? ?? ?? 8A 55 FB 88 54 30 FF 46 8B 45 FC E8 ?? ?? ?? ?? 3B F0 0F 8E 50 FF FF FF 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 FF FF FF FF 01 00 00 00 27 00 00 00 FF FF FF FF 01 00 00 00 28 00 00 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_15942_0 {
	meta:
		name = "TQREvaluator.Create"
		size = 51
		refs = "0008 @ClassCreate 0024 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 10 00 33 C9 89 48 14 33 C9 89 48 08 33 C9 89 48 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_15943_0 {
	meta:
		name = "TQREvaluator.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0014 TQREvaluator.UnPrepare 0025 TObject.Free 0031 TObject.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 10 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 08 85 C0 74 0A 3B 46 04 75 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15944_0 {
	meta:
		name = "TQREvaluator.SetDatasets"
		size = 33
		refs = "0017 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 85 C0 74 0E 3B F0 74 0A 3B 43 04 75 05 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_15945_0 {
	meta:
		name = "TQREvaluator.GetDatasets"
		size = 36
		refs = "000d _Dn_TList 0012 TObject.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 89 73 04 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_15946_0 {
	meta:
		name = "TQREvaluator.TrimString"
		size = 70
		refs = "000d @LStrLen 003e @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA BB 01 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B F0 EB 01 43 8B 07 80 7C 18 FF 20 75 07 3B F3 7F F2 EB 01 4E 8B 07 80 7C 30 FF 20 75 04 3B DE 7C F2 57 8B CE 2B CB 41 8B 07 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15947_0 {
	meta:
		name = "TQREvaluator.FindDelimiter"
		size = 209
		refs = "0013 @LStrAddRef 001b TQREvaluator.FindDelimiter 007a ArgSeparator 008b @LStrLen 00be @LStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 09 8B 45 F8 33 D2 89 10 EB 79 C6 45 F7 00 33 DB 33 FF BE 01 00 00 00 EB 44 8B 45 FC 8A 44 30 FF 2C 27 74 18 FE C8 74 06 FE C8 74 09 EB 11 84 DB 75 0D 47 EB 0A 84 DB 75 06 4F EB 03 80 F3 01 85 FF 75 19 84 DB 75 15 8B 45 FC 8A 44 30 FF 3A 05 ?? ?? ?? ?? 75 06 C6 45 F7 01 EB 13 46 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 06 80 7D F7 00 74 AA 80 7D F7 00 74 07 8B 45 F8 89 30 EB 07 8B 45 F8 33 D2 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15948_0 {
	meta:
		name = "TQREvaluator.EvalEnvironment"
		size = 150
		refs = "000f @LStrAddRef 0017 TQREvaluator.EvalEnvironment 002c TQREvEnvironment.Element 0036 _DV_TQREvElementError 003b @IsClass 0046 TObject.Free 004e FGlobalEnvironment 0070 TQRFiFo.Put 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 85 C0 74 33 8B 55 FC E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C6 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 0F 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15949_0 {
	meta:
		name = "TQREvaluator.EvalVariable"
		size = 428
		refs = "0020 @LStrAddRef 0028 TQREvaluator.EvalVariable 0045 AnsiPos 005b @LStrCopy 0066 AnsiUpperCase 0072 @LStrLen 00ba TList.Get 00d0 @LStrCmp 00f6 TDataSet.FindField 0138 _DV_TQREvElementDataField 013d TQREvElementDataField.CreateField 0147 TQRFiFo.Put 0159 TQREvaluator.EvalEnvironment 0180 @LStrClr 018d @LStrArrayClr 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FE FF FF 53 56 57 33 DB 89 5D E8 89 5D F8 89 5D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 0F 84 23 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 E8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 2B CE 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F4 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 59 8B 43 08 8B 70 08 4E 85 F6 7C 38 46 33 FF 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B 40 08 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 75 0F 8B D7 8B 43 08 E8 ?? ?? ?? ?? 89 45 F0 EB 04 47 4E 75 CB 83 7D F0 00 74 3D 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC EB 2D 8B 43 08 8B 70 08 4E 85 F6 7C 22 46 33 FF 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 04 47 4E 75 E1 83 7D EC 00 74 1B 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? EB 22 8D 8D E4 FE FF FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 10 8D 8D E4 FE FF FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_15950_0 {
	meta:
		name = "TQREvaluator.EvalString"
		size = 117
		refs = "0012 TQREvaluator.EvalString 002a @LStrToString 0035 @LStrFromString 003f _DV_TQREvElementString 0044 TQREvElementString.CreateString 004e TQRFiFo.Put 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 03 02 8D 43 01 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8D 53 01 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15951_0 {
	meta:
		name = "TQREvaluator.EvalFunction"
		size = 395
		refs = "0023 @LStrAddRef 002b TQREvaluator.EvalFunction 003f AnsiUpperCase 004d @LStrLAsg 0055 QRFunctionLibrary 005a TQRFunctionLibrary.GetFunction 0064 _DV_TQREvElementError 0069 @IsClass 007c TObject.Free 009b TQRFiFo.Put 00d3 TQREvaluator.FindDelimiter 00f1 @LStrCopy 0104 TQREvaluator.Evaluate 010e @LStrLen 0132 @LStrDelete 013f _DV_TQREvElementArgumentEnd 0144 TQREvElement.Create 0166 @LStrClr 017c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FD FF FF 53 56 57 33 DB 89 9D E8 FE FF FF 89 5D F0 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 E8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 31 83 7D F8 00 75 1C 8B C6 E8 ?? ?? ?? ?? 8D 8D E4 FD FF FF 8B 55 FC 8B C7 8B 18 FF 53 04 E9 BD 00 00 00 8B D6 8B 47 0C E8 ?? ?? ?? ?? E9 AE 00 00 00 8B D6 8B 47 0C E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 75 7D 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 83 7D F4 00 7E 2D 8D 85 E8 FE FF FF 50 8B 4D F4 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8D 8D EC FE FF FF 8B C7 E8 ?? ?? ?? ?? EB 1C 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 10 8D 8D EC FE FF FF 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 45 F0 8B 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 8E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15952_0 {
	meta:
		name = "TQREvaluator.EvalConstant"
		size = 652
		refs = "0026 TQREvaluator.EvalConstant 0043 @LStrToString 00b7 SqrExpIllegalCharInNumeric 00bc LoadResString 00e4 Format 00f2 ErrorCreate 0111 @LStrFromString 011c StrToInt 0137 DecimalSeparator 014e @Pos 019b StrToFloat 01b1 @HandleAnyException 0203 @DoneExcept 0227 _DV_TQREvElementError 022c TQREvElementError.Create 0239 TQRFiFo.Put 0245 _DV_TQREvElementConstant 024a TQREvElementConstant.CreateConstant 0274 @LStrArrayClr 027a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 DB 89 9D F4 FE FF FF 89 9D F0 FE FF FF 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8D 85 F8 FE FF FF 8B D6 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 01 43 33 C0 8A 85 F8 FE FF FF 3B D8 7F 0D 8A 84 1D F8 FE FF FF 04 D0 2C 0A 72 E6 8B 45 F8 C6 00 00 EB 07 43 8B 45 F8 C6 00 01 33 C0 8A 85 F8 FE FF FF 3B D8 7F 1E 8A 84 1D F8 FE FF FF 2C 2B 74 E2 04 FE 2C 02 72 DC 48 2C 0A 72 D7 2C 0B 74 D3 2C 20 74 CF 4B 33 C0 8A 85 F8 FE FF FF 3B D8 74 52 8D 85 F4 FE FF FF 50 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8D 85 F8 FE FF FF 89 85 E8 FE FF FF C6 85 EC FE FF FF 04 8D 95 E8 FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? E9 0C 01 00 00 8B 45 F8 8A 00 84 C0 75 27 8D 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 55 F8 89 42 04 E9 DC 00 00 00 8B 55 F8 3C 01 0F 85 D1 00 00 00 A1 ?? ?? ?? ?? 80 38 2E 74 35 EB 1F 8D 95 F8 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8A 12 88 94 05 F8 FE FF FF 8D 95 F8 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F CD 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 45 F8 DD 58 04 9B 33 C0 5A 59 59 64 89 10 EB 57 E9 ?? ?? ?? ?? 8D 85 F4 FE FF FF 50 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8D 85 F8 FE FF FF 89 85 E8 FE FF FF C6 85 EC FE FF FF 04 8D 95 E8 FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 38 04 75 30 8D 85 F4 FE FF FF 8B 55 F8 42 E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? EB 1C 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 01 2E 00 00 }
	condition:
		$1
}

rule function_15953_0 {
	meta:
		name = "TQREvaluator.EvalFunctionExpr"
		size = 252
		refs = "0025 TQREvaluator.EvalFunctionExpr 0037 AnsiPos 0044 @LStrLen 006c @LStrCopy 00dd @LStrArrayClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 DB 89 9D F0 FE FF FF 89 9D EC FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 6D 8B C3 E8 ?? ?? ?? ?? 80 7C 03 FF 29 75 4E 8B 45 F8 50 8D 85 F0 FE FF FF 50 8B C3 E8 ?? ?? ?? ?? 8B C8 2B CE 49 8D 56 01 8B C3 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8D 85 EC FE FF FF 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B 45 FC 59 8B 18 FF 13 EB 27 8B 45 F8 50 33 C9 33 D2 8B 45 FC 8B 18 FF 13 EB 16 C6 85 F4 FE FF FF 04 8B 45 F8 50 33 C9 8B D3 8B 45 FC 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 28 00 00 00 }
	condition:
		$1
}

rule function_15954_0 {
	meta:
		name = "TQREvaluator.EvalFactor"
		size = 1200
		refs = "0024 @LStrAddRef 002c TQREvaluator.EvalFactor 003c TQREvaluator.TrimString 004f @LStrToString 0068 @LStrCopy 0079 AnsiLowerCase 0089 @LStrCmp 009a @LStrLen 00bf @LStrCat3 00ce TQREvaluator.EvalSimpleExpr 0174 TQREvaluator.Evaluate 018b SqrExpMissing 0190 LoadResString 01b1 Format 01be ErrorCreate 01cc @LStrFromString 01d9 _DV_TQREvElementError 01de TQREvElementError.Create 01e8 TQRFiFo.Put 0273 TQREvaluator.EvalConstant 02ba TQREvaluator.EvalString 0357 ByteType 03e6 TQREvaluator.EvalFunctionExpr 03fa SqrExpError 047b @LStrArrayClr 0483 @LStrClr 0489 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 DB 89 9D F8 FE FF FF 89 9D F4 FE FF FF 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 48 8D 85 F4 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF 8D 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 8B 03 00 00 33 C0 8A 85 FD FE FF FF 83 F8 30 7D 23 83 E8 27 0F 84 8F 01 00 00 48 74 46 83 E8 03 0F 84 40 01 00 00 83 E8 02 0F 84 EF 00 00 00 E9 E5 02 00 00 83 C0 D0 83 E8 0A 0F 82 58 01 00 00 83 C0 F9 83 E8 1A 0F 82 BF 02 00 00 0F 84 12 02 00 00 83 C0 FA 83 E8 1A 0F 82 AD 02 00 00 E9 B6 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 80 7C 02 FF 29 75 35 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 E5 02 00 00 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF C6 85 EC FE FF FF 29 C6 85 F0 FE FF FF 02 8D 95 EC FE FF FF 33 C9 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 8D 56 01 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? E9 71 02 00 00 8D 85 F4 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 8D F4 FE FF FF 8D 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 29 02 00 00 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 F7 01 00 00 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 E6 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 BC 05 FC FE FF FF 27 75 35 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? E9 9F 01 00 00 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF C6 85 EC FE FF FF 29 C6 85 F0 FE FF FF 02 8D 95 EC FE FF FF 33 C9 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 8D 56 01 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? E9 2B 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 BC 05 FC FE FF FF 5D 75 4B 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 35 8D 85 F8 FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B CE 8B C3 8B 18 FF 53 04 E9 CE 00 00 00 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF C6 85 EC FE FF FF 5D C6 85 F0 FE FF FF 02 8D 95 EC FE FF FF 33 C9 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? E9 84 00 00 00 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 76 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8D 85 FC FE FF FF 89 85 EC FE FF FF C6 85 F0 FE FF FF 04 8D 95 EC FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 8D 56 01 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 6E 6F 74 00 FF FF FF FF 02 00 00 00 30 2D 00 00 }
	condition:
		$1
}

rule function_15955_0 {
	meta:
		name = "TQREvaluator.EvalSimpleExpr"
		size = 564
		refs = "0026 TQREvaluator.EvalSimpleExpr 00bf @LStrCopy 00d0 AnsiLowerCase 00e0 @LStrCmp 0102 @LStrLen 012c _DV_TQREvElementOperator 0131 TQREvElementOperator.CreateOperator 013e TQRFiFo.Put 0168 TQREvaluator.EvalTerm 01a0 Flip 0212 @LStrArrayClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FD FF FF 53 56 57 33 DB 89 9D DC FD FF FF 89 9D D8 FD FF FF 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 33 C0 89 45 EC 33 DB C6 45 EB 00 C7 45 F0 01 00 00 00 E9 B3 00 00 00 B3 01 8A 44 37 FF 2C 27 74 20 FE C8 74 06 FE C8 74 0D EB 1E 80 7D EB 00 75 18 FF 45 EC EB 13 80 7D EB 00 75 0D FF 4D EC EB 08 8A 45 EB 34 01 88 45 EB 83 7D EC 00 75 78 80 7D EB 00 75 72 83 FE 01 7E 6D 8A 44 37 FF 2C 20 74 16 2C 0B 74 06 2C 02 74 08 EB 57 C6 45 F7 06 EB 57 C6 45 F7 07 EB 51 8D 85 D8 FD FF FF 50 8D 56 01 B9 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 85 D8 FD FF FF 8D 95 DC FD FF FF E8 ?? ?? ?? ?? 8B 85 DC FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E C6 45 F7 08 C7 45 F0 02 00 00 00 46 EB 0A 33 DB EB 06 33 DB EB 02 33 DB 46 8B C7 E8 ?? ?? ?? ?? 3B F0 7D 08 84 DB 0F 84 3A FF FF FF 84 DB 74 05 8B DE 4B EB 03 83 CB FF 85 DB 0F 8E C6 00 00 00 8A 4D F7 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8D 85 DC FD FF FF 50 8B CB 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8D 8D E4 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 07 75 48 8D 85 DC FD FF FF 50 8D 85 D8 FD FF FF 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 03 D3 8B C7 E8 ?? ?? ?? ?? 8B 85 D8 FD FF FF B1 2D B2 2B E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8D 8D E0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? EB 3F 8D 85 DC FD FF FF 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 03 D3 8B C7 E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8D 8D E0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8B 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 6F 72 20 00 }
	condition:
		$1
}

rule function_15956_0 {
	meta:
		name = "TQREvaluator.EvalTerm"
		size = 568
		refs = "0026 TQREvaluator.EvalTerm 00bf @LStrCopy 00d0 AnsiLowerCase 00e0 @LStrCmp 0102 @LStrLen 012c _DV_TQREvElementOperator 0131 TQREvElementOperator.CreateOperator 013e TQRFiFo.Put 0168 TQREvaluator.EvalFactor 01a0 Flip 0212 @LStrArrayClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FD FF FF 53 56 57 33 DB 89 9D DC FD FF FF 89 9D D8 FD FF FF 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 33 C0 89 45 E8 33 DB C6 45 EF 00 C7 45 F0 01 00 00 00 E9 B3 00 00 00 B3 01 8A 44 37 FF 2C 27 74 20 FE C8 74 06 FE C8 74 0D EB 1E 80 7D EF 00 75 18 FF 45 E8 EB 13 80 7D EF 00 75 0D FF 4D E8 EB 08 8A 45 EF 34 01 88 45 EF 83 7D E8 00 75 78 80 7D EF 00 75 72 83 FE 01 7E 6D 8A 44 37 FF 2C 20 74 16 2C 0A 74 06 2C 05 74 08 EB 57 C6 45 F7 09 EB 57 C6 45 F7 0A EB 51 8D 85 D8 FD FF FF 50 8D 56 01 B9 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 85 D8 FD FF FF 8D 95 DC FD FF FF E8 ?? ?? ?? ?? 8B 85 DC FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E C6 45 F7 0B C7 45 F0 03 00 00 00 46 EB 0A 33 DB EB 06 33 DB EB 02 33 DB 46 8B C7 E8 ?? ?? ?? ?? 3B F0 7D 08 84 DB 0F 84 3A FF FF FF 84 DB 74 05 8B DE 4B EB 03 83 CB FF 85 DB 0F 8E C6 00 00 00 8A 4D F7 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8D 85 DC FD FF FF 50 8B CB 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8D 8D E4 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 0A 75 48 8D 85 DC FD FF FF 50 8D 85 D8 FD FF FF 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 03 D3 8B C7 E8 ?? ?? ?? ?? 8B 85 D8 FD FF FF B1 2F B2 2A E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8D 8D E0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? EB 3F 8D 85 DC FD FF FF 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 03 D3 8B C7 E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8D 8D E0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8B 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 61 6E 64 20 00 00 00 00 }
	condition:
		$1
}

rule function_15957_0 {
	meta:
		name = "TQREvaluator.Evaluate"
		size = 447
		refs = "0020 TQREvaluator.Evaluate 00f3 @LStrLen 0119 _DV_TQREvElementOperator 011e TQREvElementOperator.CreateOperator 012b TQRFiFo.Put 0141 @LStrCopy 0155 TQREvaluator.EvalSimpleExpr 01ac @LStrClr 01b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FD FF FF 53 56 57 33 DB 89 9D E0 FD FF FF 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F2 04 BF 01 00 00 00 33 C0 89 45 F4 33 DB C7 45 EC 01 00 00 00 C6 45 F3 00 E9 A6 00 00 00 B3 01 8A 44 3E FF 2C 27 74 20 FE C8 74 06 FE C8 74 0D EB 1E 80 7D F3 00 75 18 FF 45 F4 EB 13 80 7D F3 00 75 0D FF 4D F4 EB 08 8A 45 F3 34 01 88 45 F3 83 7D F4 00 75 6B 83 FF 01 7E 66 80 7D F3 00 75 60 8A 44 3E FF 2C 3C 74 0A FE C8 74 4A FE C8 74 2D EB 4A 8A 04 3E 3C 3E 75 0D C6 45 F2 05 C7 45 EC 02 00 00 00 EB 3C 3C 3D 75 0D C6 45 F2 01 C7 45 EC 02 00 00 00 EB 2B C6 45 F2 00 EB 25 80 3C 3E 3D 75 0D C6 45 F2 03 C7 45 EC 02 00 00 00 EB 12 C6 45 F2 02 EB 0C C6 45 F2 04 EB 06 33 DB EB 02 33 DB 47 8B C6 E8 ?? ?? ?? ?? 3B F8 7D 08 84 DB 0F 84 47 FF FF FF 84 DB 74 05 8B DF 4B EB 03 83 CB FF 85 DB 7E 78 8A 4D F2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8D 85 E0 FD FF FF 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 95 E0 FD FF FF 8D 8D E8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 85 E0 FD FF FF 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 EC 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 95 E0 FD FF FF 8D 8D E4 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15958_0 {
	meta:
		name = "TQREvaluator.Prepare"
		size = 108
		refs = "0015 TQREvaluator.UnPrepare 001a QRGlobalEnvironment 001f TQREvEnvironment.Prepare 0026 _DV_TQRFiFo 002b TQRFiFo.Create 0039 TQREvaluator.Prepare 0040 TQREvaluator.Evaluate"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 80 7B 10 00 74 07 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 85 F6 75 10 8B CC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 10 01 81 C4 04 01 00 00 5E 5B C3 00 00 FF FF FF FF 03 00 00 00 27 20 27 00 }
	condition:
		$1
}

rule function_15959_0 {
	meta:
		name = "TQREvaluator.UnPrepare"
		size = 27
		refs = "0007 TObject.Free 000c QRGlobalEnvironment 0011 TQREvEnvironment.Unprepare"
	strings:
		$1 = { 53 8B D8 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 10 00 5B C3 }
	condition:
		$1
}

rule function_15960_0 {
	meta:
		name = "TQREvaluator.Reset"
		size = 48
		refs = "001f TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 0C 8B 40 08 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 47 0C 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 08 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15961_0 {
	meta:
		name = "TQREvaluator.Value"
		size = 149
		refs = "0016 TQREvaluator.Value 002a SqrEvalNotPrepared 002f LoadResString 0039 _Dn_Exception 003e Exception.Create 0043 @RaiseExcept 004b TQRFiFo.Start 0053 TQRFiFo.Get 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B F0 85 F6 75 08 8B 45 FC C6 00 04 EB 0D 8B 4D FC 8B 53 0C 8B C6 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15962_0 {
	meta:
		name = "TQREvaluator.DoAggregate"
		size = 44
		refs = "000e TQREvaluator.SetAggregate 0017 TQREvaluator.Value"
	strings:
		$1 = { 53 81 C4 FC FE FF FF 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15963_0 {
	meta:
		name = "TQREvaluator.AsString"
		size = 302
		refs = "0021 TQREvaluator.AsString 0034 TQREvaluator.Value 0057 @LStrFromString 0069 IntToStr 0082 FloatToStr 0094 SqrTrue 0099 LoadResString 00a2 SqrFalse 00bb SqrExpError 00e8 Format 00f5 _Dn_Exception 00fa Exception.Create 00ff @RaiseExcept 011c @LStrArrayClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8A 85 FC FE FF FF 2C 01 72 1E 74 2E FE C8 74 06 FE C8 74 3C EB 5F 8B C6 8D 95 FD FE FF FF E8 ?? ?? ?? ?? E9 A3 00 00 00 8B D6 8B 85 00 FF FF FF E8 ?? ?? ?? ?? E9 91 00 00 00 DD 85 00 FF FF FF 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 7B 80 BD FD FE FF FF 00 74 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 64 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8D 85 FD FE FF FF 89 85 EC FE FF FF C6 85 F0 FE FF FF 04 8D 95 EC FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15964_0 {
	meta:
		name = "TQREvaluator.AsInteger"
		size = 253
		refs = "0024 TQREvaluator.AsInteger 0037 TQREvaluator.Value 0058 @ROUND 006e SqrExpNumeric 0073 LoadResString 0098 SqrNotValue 00ab Format 00b8 _Dn_Exception 00bd Exception.Create 00c2 @RaiseExcept 00df @LStrArrayClr 00ea @LStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 33 D2 89 95 F8 FE FF FF 89 95 EC FE FF FF 89 95 E8 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8A 85 FC FE FF FF 2C 01 72 04 74 0A EB 17 8B 9D 00 FF FF FF EB 75 DD 85 00 FF FF FF E8 ?? ?? ?? ?? 8B D8 EB 66 8D 85 F8 FE FF FF 50 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 89 85 F0 FE FF FF C6 85 F4 FE FF FF 0B 8D 85 F0 FE FF FF 50 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15965_0 {
	meta:
		name = "TQREvaluator.AsFloat"
		size = 255
		refs = "0024 TQREvaluator.AsFloat 0037 TQREvaluator.Value 006f SqrExpNumeric 0074 LoadResString 0099 SqrNotValue 00ac Format 00b9 _Dn_Exception 00be Exception.Create 00c3 @RaiseExcept 00e0 @LStrArrayClr 00eb @LStrClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 DC FE FF FF 53 33 D2 89 95 EC FE FF FF 89 95 E0 FE FF FF 89 95 DC FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8A 85 F0 FE FF FF 2C 01 72 04 74 0E EB 18 DB 85 F4 FE FF FF DB 7D F6 9B EB 72 DD 85 F4 FE FF FF DB 7D F6 9B EB 66 8D 85 EC FE FF FF 50 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF 89 85 E4 FE FF FF C6 85 E8 FE FF FF 0B 8D 85 E4 FE FF FF 50 8D 95 DC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD DB 6D F6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15966_0 {
	meta:
		name = "TQREvaluator.AsBoolean"
		size = 500
		refs = "0024 TQREvaluator.AsBoolean 0037 TQREvaluator.Value 0065 @LStrFromString 0076 AnsiUpperCase 0086 @LStrCmp 00dc SqrExpBoolean 00e1 LoadResString 0106 SqrNotValue 0119 Format 0126 _Dn_Exception 012b Exception.Create 0130 @RaiseExcept 01b0 @LStrClr 01c0 @LStrArrayClr 01c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 33 D2 89 95 F8 FE FF FF 89 95 F4 FE FF FF 89 95 E8 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8A 85 FC FE FF FF 2C 02 74 13 FE C8 0F 85 E9 00 00 00 8A 9D FD FE FF FF E9 44 01 00 00 8D 85 F4 FE FF FF 8D 95 FD FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 01 E9 09 01 00 00 8D 85 F4 FE FF FF 8D 95 FD FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 33 DB E9 CE 00 00 00 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 85 EC FE FF FF 50 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 66 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 85 EC FE FF FF 50 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 54 52 55 45 00 00 00 00 FF FF FF FF 05 00 00 00 46 41 4C 53 45 00 00 00 }
	condition:
		$1
}

rule function_15967_0 {
	meta:
		name = "TQREvaluator.AsVariant"
		size = 270
		refs = "0021 TQREvaluator.AsVariant 0034 TQREvaluator.Value 0057 @VarFromPStr 0069 @VarFromInt 0078 @VarFromReal 0087 @VarFromBool 009b SqrExpError 00a0 LoadResString 00c8 Format 00d5 _Dn_Exception 00da Exception.Create 00df @RaiseExcept 00fc @LStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8A 85 FC FE FF FF 2C 01 72 1E 74 2B FE C8 74 06 FE C8 74 32 EB 3F 8B C6 8D 95 FD FE FF FF E8 ?? ?? ?? ?? E9 83 00 00 00 8B C6 8B 95 00 FF FF FF E8 ?? ?? ?? ?? EB 74 DD 85 00 FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 65 8B C6 8A 95 FD FE FF FF E8 ?? ?? ?? ?? EB 56 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8D 85 FD FE FF FF 89 85 EC FE FF FF C6 85 F0 FE FF FF 04 8D 95 EC FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15968_0 {
	meta:
		name = "TQREvaluator.GetIsAggreg"
		size = 67
		refs = "0026 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B E8 33 DB 8B 45 0C 8B 40 08 8B 70 08 4E 85 F6 7C 26 46 33 FF 84 DB 75 17 8B 45 0C 8B 40 08 8B D7 E8 ?? ?? ?? ?? 80 78 04 00 75 04 33 C0 EB 02 B0 01 8B D8 47 4E 75 DD 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15969_0 {
	meta:
		name = "TQREvaluator.GetAggregate"
		size = 7
	strings:
		$1 = { 8B 40 0C 8A 40 04 C3 }
	condition:
		$1
}

rule function_15970_0 {
	meta:
		name = "TQREvaluator.SetAggregate"
		size = 7
	strings:
		$1 = { 8B 40 0C 88 50 04 C3 }
	condition:
		$1
}

rule function_15971_0 {
	meta:
		name = "TQREvaluator.Calculate"
		size = 32
		refs = "0009 TQREvaluator.Prepare 0012 TQREvaluator.Value 0019 TQREvaluator.UnPrepare"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15972_0 {
	meta:
		name = "TQREvTrue.Calculate"
		size = 96
		refs = "000c TQREvTrue.Calculate 002c SqrExpTooManyArgs 0031 LoadResString 003b ErrorCreate 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 83 78 08 00 75 09 C6 03 03 C6 43 01 01 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15973_0 {
	meta:
		name = "TQREvFalse.Calculate"
		size = 96
		refs = "000c TQREvFalse.Calculate 002c SqrExpTooManyArgs 0031 LoadResString 003b ErrorCreate 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 83 78 08 00 75 09 C6 03 03 C6 43 01 00 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15974_0 {
	meta:
		name = "TQREvIfFunction.Calculate"
		size = 264
		refs = "0021 TQREvIfFunction.Calculate 003f TQREvElementFunction.Argument 0092 SqrExpWrongArguments 0097 LoadResString 00be Format 00cb ErrorCreate 00e8 @LStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 03 75 50 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 03 75 38 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FD FE FF FF 00 74 10 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 5B 8B CE BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 4B 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 B8 ?? ?? ?? ?? 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 95 EC FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 02 00 00 00 49 46 00 00 }
	condition:
		$1
}

rule function_15975_0 {
	meta:
		name = "TQREvTypeOfFunction.Calculate"
		size = 396
		refs = "0022 TQREvTypeOfFunction.Calculate 0047 TQREvElementFunction.Argument 00c3 SqrExpUnknownType 00c8 LoadResString 00d5 ErrorCreate 00e9 SqrExpWrongArguments 0115 Format 013f @LStrArrayClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 02 8B 43 08 83 78 08 01 0F 85 9F 00 00 00 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 85 FC FE FF FF 83 F8 04 77 64 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 7E 01 BE ?? ?? ?? ?? A5 A5 E9 A4 00 00 00 8D 7E 01 BE ?? ?? ?? ?? A5 66 A5 E9 94 00 00 00 8D 7E 01 BE ?? ?? ?? ?? A5 66 A5 A4 E9 83 00 00 00 8D 7E 01 BE ?? ?? ?? ?? A5 A5 EB 77 8D 7E 01 BE ?? ?? ?? ?? A5 66 A5 EB 6A 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? EB 4B 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 B8 ?? ?? ?? ?? 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 95 EC FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 07 49 4E 54 45 47 45 52 05 46 4C 4F 41 54 00 00 06 53 54 52 49 4E 47 00 07 42 4F 4F 4C 45 41 4E 05 45 52 52 4F 52 00 00 FF FF FF FF 06 00 00 00 54 79 70 65 4F 66 00 00 }
	condition:
		$1
}

rule function_15976_0 {
	meta:
		name = "TQREvIntFunction.Calculate"
		size = 364
		refs = "0021 TQREvIntFunction.Calculate 0046 TQREvElementFunction.Argument 008b @INT 0090 @ROUND 00aa SqrExpWrongArguments 00af LoadResString 00d6 Format 00e3 ErrorCreate 014d @LStrArrayClr 0153 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 00 8B 43 08 83 78 08 01 0F 85 AE 00 00 00 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 85 FC FE FF FF 2C 01 72 04 74 1F EB 44 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 85 00 FF FF FF 89 46 04 E9 BF 00 00 00 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? DD 85 00 FF FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 E9 98 00 00 00 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 B8 ?? ?? ?? ?? 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 95 EC FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? EB 4B 8D 85 F8 FE FF FF 50 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 B8 ?? ?? ?? ?? 89 85 EC FE FF FF C6 85 F0 FE FF FF 0B 8D 95 EC FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 49 4E 54 00 }
	condition:
		$1
}

rule function_15977_0 {
	meta:
		name = "TQREvFracFunction.Calculate"
		size = 99
		refs = "001f TQREvElementFunction.Argument 0048 @FRAC"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 C6 06 01 8B 43 08 83 78 08 01 75 3F 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 04 24 2C 01 72 04 74 0C EB 24 33 C0 89 46 04 89 46 08 EB 22 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? DD 44 24 04 E8 ?? ?? ?? ?? DD 5E 04 9B EB 08 C6 06 04 EB 03 C6 06 04 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15978_0 {
	meta:
		name = "TQREvSQRTFunction.Calculate"
		size = 109
		refs = "001f TQREvElementFunction.Argument"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 C6 06 01 8B 43 08 83 78 08 01 75 49 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 04 24 2C 01 72 04 74 19 EB 2E 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? DB 44 24 04 D9 FA DD 5E 04 9B EB 1F 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? DD 44 24 04 D9 FA DD 5E 04 9B EB 08 C6 06 04 EB 03 C6 06 04 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15979_0 {
	meta:
		name = "TQREvDivFunction.Calculate"
		size = 291
		refs = "0021 TQREvElementFunction.Argument 00bc @ROUND"
	strings:
		$1 = { 53 56 57 81 C4 F0 FB FF FF 8B F2 8B D8 8B 43 08 83 78 08 02 0F 85 FC 00 00 00 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 74 1E 8D 8C 24 04 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BC 24 04 01 00 00 01 0F 85 CD 00 00 00 8D 8C 24 08 02 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BC 24 08 02 00 00 00 74 21 8D 8C 24 0C 03 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BC 24 0C 03 00 00 01 0F 85 8F 00 00 00 C6 06 00 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 75 11 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 04 EB 16 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? DD 44 24 04 E8 ?? ?? ?? ?? 8B F8 8B CC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 75 14 8B CC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 04 EB 19 8B CC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 44 24 04 E8 ?? ?? ?? ?? 8B C8 85 C9 74 0A 8B C7 99 F7 F9 89 46 04 EB 08 C6 06 04 EB 03 C6 06 04 81 C4 10 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15980_0 {
	meta:
		name = "TQREvStrFunction.Calculate"
		size = 268
		refs = "001c TQREvStrFunction.Calculate 003e TQREvElementFunction.Argument 0064 IntToStr 0077 @LStrToString 0091 FloatToStr 00e8 @LStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 8D F8 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 01 0F 85 9E 00 00 00 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? C6 06 02 8A 85 FC FE FF FF 2C 01 72 08 74 2C 2C 02 74 55 EB 75 8D 95 F8 FE FF FF 8B 85 00 FF FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 57 DD 85 00 FF FF FF 83 C4 F4 DB 3C 24 9B 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 2A 80 BD FD FE FF FF 00 74 0C 8D 7E 01 BE ?? ?? ?? ?? A5 A4 EB 15 8D 7E 01 BE ?? ?? ?? ?? A5 66 A5 EB 08 C6 06 04 EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 04 54 72 75 65 00 00 00 05 46 61 6C 73 65 00 00 }
	condition:
		$1
}

rule function_15981_0 {
	meta:
		name = "TQREvUpperFunction.Calculate"
		size = 195
		refs = "0021 TQREvUpperFunction.Calculate 003f TQREvElementFunction.Argument 006b @LStrFromString 007c AnsiUpperCase 008f @LStrToString 00b1 @LStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 01 75 61 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 02 75 49 C6 06 02 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 FD FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15982_0 {
	meta:
		name = "TQREvLowerFunction.Calculate"
		size = 195
		refs = "0021 TQREvLowerFunction.Calculate 003f TQREvElementFunction.Argument 006b @LStrFromString 007c AnsiLowerCase 008f @LStrToString 00b1 @LStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 C9 89 8D F8 FE FF FF 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 01 75 61 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 02 75 49 C6 06 02 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 FD FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15983_0 {
	meta:
		name = "TQREvPrettyFunction.Calculate"
		size = 650
		refs = "0027 TQREvPrettyFunction.Calculate 0049 TQREvElementFunction.Argument 0090 LeadBytes 00c9 @Copy 00da @LStrFromString 00eb AnsiUpperCase 0153 AnsiLowerCase 015f @LStrCat 0172 @LStrToString 0268 @LStrClr 0278 @LStrArrayClr 027e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FC FF FF 53 56 33 C9 89 8D F4 FD FF FF 89 8D F0 FD FF FF 89 8D EC FC FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 01 0F 85 13 02 00 00 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 02 0F 85 F7 01 00 00 C6 06 02 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD FD FE FF FF 00 0F 86 02 01 00 00 8D 8D F8 FD FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 85 FA FD FF FF 8B 15 ?? ?? ?? ?? 25 FF 00 00 00 0F A3 02 0F 83 D9 00 00 00 8D 85 F0 FC FF FF 50 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 85 FD FE FF FF B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 95 F0 FC FF FF 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? 8B 85 F0 FD FF FF 8D 95 F4 FD FF FF E8 ?? ?? ?? ?? 8D 85 F4 FD FF FF 50 8D 85 F0 FC FF FF 50 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 85 FD FE FF FF 50 8D 8D F8 FD FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 85 F9 FD FF FF BA 03 00 00 00 59 E8 ?? ?? ?? ?? 8D 95 F0 FC FF FF 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 8D 95 F0 FD FF FF E8 ?? ?? ?? ?? 8B 95 F0 FD FF FF 58 E8 ?? ?? ?? ?? 8B 95 F4 FD FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 D9 00 00 00 8D 85 F0 FC FF FF 50 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 85 FD FE FF FF B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 95 F0 FC FF FF 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? 8B 85 F0 FD FF FF 8D 95 F4 FD FF FF E8 ?? ?? ?? ?? 8D 85 F4 FD FF FF 50 8D 85 F0 FC FF FF 50 8D 8D FC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 85 FD FE FF FF 50 8D 8D F8 FD FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 85 F9 FD FF FF BA 02 00 00 00 59 E8 ?? ?? ?? ?? 8D 95 F0 FC FF FF 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 8D 95 F0 FD FF FF E8 ?? ?? ?? ?? 8B 95 F0 FD FF FF 58 E8 ?? ?? ?? ?? 8B 95 F4 FD FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8D 85 F0 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15984_0 {
	meta:
		name = "TQREvTimeFunction.Calculate"
		size = 108
		refs = "000c TQREvTimeFunction.Calculate 0023 Now 0032 TimeToStr 0042 @LStrToString 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 83 78 08 00 75 29 C6 03 02 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 03 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15985_0 {
	meta:
		name = "TQREvDateFunction.Calculate"
		size = 108
		refs = "000c TQREvDateFunction.Calculate 0023 Date 0032 DateToStr 0042 @LStrToString 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 83 78 08 00 75 29 C6 03 02 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 03 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15986_0 {
	meta:
		name = "TQREvCopyFunction.Calculate"
		size = 398
		refs = "001d TQREvCopyFunction.Calculate 003f TQREvElementFunction.Argument 00e3 @LStrFromString 00f0 ByteType 0155 @Copy 017b @LStrClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FC FF FF 53 56 57 33 C9 89 8D EC FC FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 03 0F 85 2D 01 00 00 8D 8D F8 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD F8 FE FF FF 02 0F 85 11 01 00 00 8D 8D F4 FD FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BD F4 FD FF FF 00 0F 85 F2 00 00 00 8D 8D F0 FC FF FF BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BD F0 FC FF FF 00 0F 85 D3 00 00 00 8D 8D F8 FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B B5 FC FE FF FF 8D 8D F8 FE FF FF BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B BD FC FE FF FF 85 F6 75 05 BE 01 00 00 00 8D 8D F8 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 F9 FE FF FF 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 8B D6 E8 ?? ?? ?? ?? 3C 02 75 06 85 FF 7E 02 46 4F 8D 8D F8 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 F9 FE FF FF 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 8D 14 37 4A E8 ?? ?? ?? ?? 3C 01 75 05 85 FF 7E 01 4F 8B 45 FC 40 50 8D 8D F8 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 85 F9 FE FF FF 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 45 FC C6 00 02 EB 06 8B 45 FC C6 00 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FC FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15987_0 {
	meta:
		name = "TQREvFormatNumericFunction.Calculate"
		size = 432
		refs = "0021 TQREvFormatNumericFunction.Calculate 0046 TQREvElementFunction.Argument 00ed @LStrFromString 00fe FormatFloat 0111 @LStrToString 0198 @LStrArrayClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FC FF FF 53 56 33 C9 89 8D F0 FC FF FF 89 8D EC FC FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 78 08 02 0F 85 44 01 00 00 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 00 74 1F 8D 8D F8 FD FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BD F8 FD FF FF 01 0F 85 0A 01 00 00 8D 8D F4 FC FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BD F4 FC FF FF 02 0F 85 EE 00 00 00 C6 06 02 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BD FC FE FF FF 00 75 6B 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 85 00 FF FF FF D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 8D F8 FD FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 F9 FD FF FF 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 8D 95 F0 FC FF FF E8 ?? ?? ?? ?? 8B 95 F0 FC FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 68 8D 8D FC FE FF FF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 85 00 FF FF FF 83 C4 F4 DB 3C 24 9B 8D 8D F8 FD FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 F9 FD FF FF 8D 85 EC FC FF FF E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 8D 95 F0 FC FF FF E8 ?? ?? ?? ?? 8B 95 F0 FC FF FF 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 03 C6 06 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FC FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_15988_0 {
	meta:
		name = "TQREvMaxFunction.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TQREvElementFunction.Create 002d @AfterConstruction"
		altNames = "TQREvMinFunction.Create TQREvSumFunction.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 10 01 00 00 00 C6 46 04 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15989_0 {
	meta:
		name = "TQREvMaxFunction.Reset"
		size = 8
		altNames = "TQREvMinFunction.Reset TQREvSumFunction.Reset"
	strings:
		$1 = { C6 80 10 01 00 00 00 C3 }
	condition:
		$1
}

rule function_15990_0 {
	meta:
		name = "TQREvSumFunction.Aggregate"
		size = 145
		refs = "0019 TQREvElementFunction.Argument"
	strings:
		$1 = { 53 81 C4 FC FE FF FF 8B D8 8B 43 08 83 78 08 01 75 73 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 10 01 00 00 00 74 2B 8A 04 24 2C 01 72 08 74 0F FE C8 74 18 EB 47 8B 44 24 04 01 43 10 EB 3E DD 43 10 DC 44 24 04 DD 5B 10 9B EB 31 C6 43 0C 04 EB 2B 8A 04 24 88 43 0C 2C 01 72 04 74 0B EB 19 8B 44 24 04 89 43 10 EB 14 8B 44 24 04 89 43 10 8B 44 24 08 89 43 14 EB 04 C6 43 0C 04 C6 83 10 01 00 00 01 EB 04 C6 43 0C 04 81 C4 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15991_0 {
	meta:
		name = "TQREvMaxFunction.Calculate"
		size = 37
		altNames = "TQREvMinFunction.Calculate TQREvSumFunction.Calculate"
	strings:
		$1 = { 56 57 80 B8 10 01 00 00 00 74 0F 8B FA 8D 70 0C B9 41 00 00 00 F3 A5 5F 5E C3 C6 02 00 33 C0 89 42 04 5F 5E C3 }
	condition:
		$1
}

rule function_15992_0 {
	meta:
		name = "TQREvAverageFunction.Reset"
		size = 45
		refs = "0006 TQREvSumFunction.Reset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 18 01 00 00 01 33 C0 89 83 1C 01 00 00 89 83 20 01 00 00 33 C0 89 83 14 01 00 00 C6 43 04 01 5B C3 }
	condition:
		$1
}

rule function_15993_0 {
	meta:
		name = "TQREvAverageFunction.Aggregate"
		size = 104
		refs = "000c TQREvSumFunction.Aggregate 001b TQREvSumFunction.Calculate"
	strings:
		$1 = { 53 81 C4 FC FE FF FF 8B D8 8B C3 E8 ?? ?? ?? ?? FF 83 14 01 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? C6 83 18 01 00 00 01 8A 04 24 2C 01 72 04 74 17 EB 28 DB 44 24 04 DB 83 14 01 00 00 DE F9 DD 9B 1C 01 00 00 9B EB 1A DB 83 14 01 00 00 DC 7C 24 04 DD 9B 1C 01 00 00 9B EB 07 C6 83 18 01 00 00 04 81 C4 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15994_0 {
	meta:
		name = "TQREvAverageFunction.Calculate"
		size = 20
	strings:
		$1 = { 56 57 8B FA 8D B0 18 01 00 00 B9 41 00 00 00 F3 A5 5F 5E C3 }
	condition:
		$1
}

rule function_15997_0 {
	meta:
		name = "TQREvMaxFunction.Aggregate"
		size = 188
		refs = "001f TQREvElementFunction.Argument 0071 @PStrCmp 007f @PStrCpy"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B D8 8B 43 08 83 78 08 01 0F 85 96 00 00 00 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 10 01 00 00 00 74 6D 8A 43 0C 2C 01 72 0C 74 18 FE C8 74 30 FE C8 74 48 EB 54 8B 44 24 04 3B 43 10 7E 6A 89 43 10 EB 65 DD 44 24 04 DC 5B 10 DF E0 9E 76 59 8B 44 24 04 89 43 10 8B 44 24 08 89 43 14 EB 49 8D 44 24 01 8D 53 0D E8 ?? ?? ?? ?? 76 3B 8D 43 0D 8D 54 24 01 E8 ?? ?? ?? ?? EB 2D 8A 44 24 01 3A 43 0D 76 24 88 43 0D EB 1F C6 43 0C 04 EB 19 8B F4 8D 7B 0C B9 41 00 00 00 F3 A5 C6 83 10 01 00 00 01 EB 04 C6 43 0C 04 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16001_0 {
	meta:
		name = "TQREvMinFunction.Aggregate"
		size = 188
		refs = "001f TQREvElementFunction.Argument 0071 @PStrCmp 007f @PStrCpy"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B D8 8B 43 08 83 78 08 01 0F 85 96 00 00 00 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 10 01 00 00 00 74 6D 8A 43 0C 2C 01 72 0C 74 18 FE C8 74 30 FE C8 74 48 EB 54 8B 44 24 04 3B 43 10 7D 6A 89 43 10 EB 65 DD 44 24 04 DC 5B 10 DF E0 9E 73 59 8B 44 24 04 89 43 10 8B 44 24 08 89 43 14 EB 49 8D 44 24 01 8D 53 0D E8 ?? ?? ?? ?? 73 3B 8D 43 0D 8D 54 24 01 E8 ?? ?? ?? ?? EB 2D 8A 44 24 01 3A 43 0D 76 24 88 43 0D EB 1F C6 43 0C 04 EB 19 8B F4 8D 7B 0C B9 41 00 00 00 F3 A5 C6 83 10 01 00 00 01 EB 04 C6 43 0C 04 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16003_0 {
	meta:
		name = "TQREvCountFunction.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TQREvElementFunction.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C C6 46 04 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16004_0 {
	meta:
		name = "TQREvCountFunction.Value"
		size = 176
		refs = "0014 TQREvCountFunction.Value 0023 TQREvElementFunction.GetArguments 0048 SqrExpTooManyArgs 004d LoadResString 005d @LStrCat3 0067 ErrorCreate 006e TQREvElementFunction.FreeArguments 0088 @LStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 08 83 78 08 00 75 14 80 7F 04 00 74 03 FF 43 0C C6 06 00 8B 43 0C 89 46 04 EB 27 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 FF FF FF FF 08 00 00 00 43 4F 55 4E 54 20 2D 20 00 00 00 00 }
	condition:
		$1
}

rule function_16006_0 {
	meta:
		name = "TQREvElementWrapper.Create"
		size = 60
		refs = "000b @ClassCreate 001a TQREvElement.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16007_0 {
	meta:
		name = "TQREvElementWrapper.Value"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 08 8B 18 FF 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16008_0 {
	meta:
		name = "TQREvEmbeddedFunction.Create"
		size = 143
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TQREvEmbeddedFunction.Create 0034 TQREvElement.Create 003f @LStrAsg 0046 _DV_TQREvaluator 004b TQREvaluator.Create 0067 @LStrClr 006d @HandleFinally 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 C6 46 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16010_0 {
	meta:
		name = "TQREvEmbeddedFunction.Value"
		size = 108
		refs = "000f TQREvEmbeddedFunction.Value 0029 TQREvaluator.Value 0037 SqrExpRecursive 003c LoadResString 0046 ErrorCreate 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 75 14 C6 43 10 01 8B D6 8B 43 08 E8 ?? ?? ?? ?? C6 43 10 00 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16013_0 {
	meta:
		name = "TQREvEmbeddedFunction.Peek"
		size = 48
		refs = "0024 TList.Get"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 80 7E 10 00 74 1A 8B 46 0C 8B 40 08 3B 78 08 7F 0F 8B 46 0C 8B 40 08 8B D7 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16014_0 {
	meta:
		name = "TQREvEnvironment.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 2C 33 C0 89 46 34 33 C0 89 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16015_0 {
	meta:
		name = "TQREvEnvironment.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 0018 TObject.Free 0024 TStringList.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 85 C0 74 0A 3B 46 30 75 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16016_0 {
	meta:
		name = "TQREvEnvironment.DefineProperties"
		size = 60
		refs = "000b TStrings.DefineProperties 0011 TQREvEnvironment.ReadProperties 0017 TQREvEnvironment.WriteProperties 001e TQREvEnvironment.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5E 5B C3 00 FF FF FF FF 04 00 00 00 44 41 54 41 00 00 00 00 }
	condition:
		$1
}

rule function_16017_0 {
	meta:
		name = "TQREvEnvironment.WriteProperties"
		size = 134
		refs = "0017 TQREvEnvironment.WriteProperties 0025 TWriter.WriteListBegin 0047 TQREvEmbeddedFunction.Expression 0052 TWriter.WriteString 005e TWriter.WriteListEnd 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 23 43 33 F6 8B D6 8B C7 8B 08 FF 51 18 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16018_0 {
	meta:
		name = "TQREvEnvironment.ReadProperties"
		size = 136
		refs = "0017 TQREvEnvironment.ReadProperties 0026 TReader.ReadListBegin 0032 TReader.ReadString 003c _DV_TQREvEmbeddedFunction 0041 TQREvEmbeddedFunction.Create 0055 TReader.EndOfList 0060 TReader.ReadListEnd 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 E8 ?? ?? ?? ?? EB 26 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 FC 8B 38 FF 57 24 46 8B C3 E8 ?? ?? ?? ?? 84 C0 74 CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16019_0 {
	meta:
		name = "TQREvEnvironment.Prepare"
		size = 159
		refs = "0014 TQREvEnvironment.Prepare 004c TQREvEnvironment.GetDatasets 0056 TQREvaluator.SetDatasets 0066 TQREvEmbeddedFunction.Expression 0071 TQREvaluator.Prepare 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 46 2C 83 7E 2C 01 75 54 8B C6 8B 10 FF 52 14 8B F8 4F 85 FF 7C 46 47 C7 45 FC 00 00 00 00 8B 55 FC 8B C6 8B 08 FF 51 18 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 89 70 14 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? FF 45 FC 4F 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16020_0 {
	meta:
		name = "TQREvEnvironment.SetDatasets"
		size = 33
		refs = "0017 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 34 85 C0 74 0E 3B F0 74 0A 3B 43 30 75 05 E8 ?? ?? ?? ?? 89 73 34 5E 5B C3 }
	condition:
		$1
}

rule function_16021_0 {
	meta:
		name = "TQREvEnvironment.GetDatasets"
		size = 36
		refs = "000d _Dn_TList 0012 TObject.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 34 00 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 34 89 73 30 8B 43 34 5E 5B C3 }
	condition:
		$1
}

rule function_16022_0 {
	meta:
		name = "TQREvEnvironment.Unprepare"
		size = 56
		refs = "002c TQREvaluator.UnPrepare"
	strings:
		$1 = { 53 56 57 8B D8 FF 4B 2C 83 7B 2C 00 75 26 8B C3 8B 10 FF 52 14 8B F0 4E 85 F6 7C 18 46 33 FF 8B D7 8B C3 8B 08 FF 51 18 8B 40 08 E8 ?? ?? ?? ?? 47 4E 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16023_0 {
	meta:
		name = "TQREvEnvironment.Prepared"
		size = 8
	strings:
		$1 = { 83 78 2C 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_16024_0 {
	meta:
		name = "TQREvEnvironment.AddFunction"
		size = 151
		refs = "0018 @LStrAddRef 0028 TQREvEnvironment.AddFunction 0039 AnsiUpperCase 0044 @LStrLAsg 005b _DV_TQREvEmbeddedFunction 0060 TQREvEmbeddedFunction.Create 0086 @LStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 50 40 75 1B 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16025_0 {
	meta:
		name = "TQREvEnvironment.GetConstant"
		size = 168
		refs = "0010 @LStrAddRef 0018 TQREvEnvironment.GetConstant 0028 TQREvEnvironment.Element 0042 _DV_TQREvElementError 0047 @IsClass 005f TQREvEmbeddedFunction.Peek 0077 TObject.Free 007d @HandleFinally 0094 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 F8 EB 10 8B 45 F4 8B 40 08 33 D2 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16026_0 {
	meta:
		name = "TQREvEnvironment.UpdateConstant"
		size = 115
		refs = "0024 @LStrAddRef 002c TQREvEnvironment.UpdateConstant 003c TQREvEnvironment.GetConstant 004b TQREvEnvironment.SetConstant 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 8B F1 8D BD F8 FE FF FF B9 41 00 00 00 F3 A5 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 8D F8 FE FF FF 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16027_0 {
	meta:
		name = "TQREvEnvironment.SetStringConstant"
		size = 93
		refs = "000e @LStrAddRef 0016 TQREvEnvironment.SetStringConstant 0024 _DV_TQREvElementString 0029 @IsClass 0038 @LStrAsg 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8D 43 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16028_0 {
	meta:
		name = "TQREvEnvironment.SetIntegerConstant"
		size = 60
		refs = "0011 _DV_TQREvElementConstant 0016 @IsClass"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 C6 04 24 00 89 74 24 04 8D 7B 08 8B F4 B9 41 00 00 00 F3 A5 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16029_0 {
	meta:
		name = "TQREvEnvironment.SetFloatConstant"
		size = 81
		refs = "0012 _DV_TQREvElementConstant 0017 @IsClass"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 C6 85 FC FE FF FF 01 8B 45 08 89 85 00 FF FF FF 8B 45 0C 89 85 04 FF FF FF 8D 7B 08 8D B5 FC FE FF FF B9 41 00 00 00 F3 A5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16030_0 {
	meta:
		name = "TQREvEnvironment.SetBooleanConstant"
		size = 60
		refs = "0011 _DV_TQREvElementConstant 0016 @IsClass"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B D9 8B F2 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 C6 04 24 03 88 5C 24 01 8D 7E 08 8B F4 B9 41 00 00 00 F3 A5 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16031_0 {
	meta:
		name = "TQREvEnvironment.SetConstant"
		size = 99
		refs = "001b _DV_TQREvElementConstant 0020 @IsClass 003a _DV_TQREvElementString 0055 @LStrFromString"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B F1 8D 3C 24 B9 41 00 00 00 F3 A5 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8D 7B 08 8B F4 B9 41 00 00 00 F3 A5 EB 23 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 80 3C 24 02 75 0C 8D 43 08 8D 54 24 01 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16032_0 {
	meta:
		name = "TQREvEnvironment.DeleteFunction"
		size = 97
		refs = "000e @LStrAddRef 0016 TQREvEnvironment.DeleteFunction 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 50 40 74 13 8B 55 FC 8B C3 8B 08 FF 51 50 8B D0 8B C3 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16034_0 {
	meta:
		name = "TQREvEnvironment.Value"
		size = 141
		refs = "0019 @LStrAddRef 0021 TQREvEnvironment.Value 0032 AnsiUpperCase 0073 @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 50 8B F0 83 FE FF 74 15 8B D6 8B C3 8B 08 FF 51 18 8B 4D F8 33 D2 8B 18 FF 53 04 EB 06 8B 45 F8 C6 00 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16035_0 {
	meta:
		name = "TQREvEnvironment.Element"
		size = 199
		refs = "0019 @LStrAddRef 0021 TQREvEnvironment.Element 0032 AnsiUpperCase 0055 _DV_TQREvElementWrapper 005a TQREvElementWrapper.Create 006a SqrExpUnknownFunction 006f LoadResString 0088 Format 0092 _DV_TQREvElementError 0097 TQREvElementError.Create 00b3 @LStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 50 8B F0 83 FE FF 74 1B 8B D6 8B C3 8B 08 FF 51 18 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 3B 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16036_0 {
	meta:
		name = "UpdateConstant"
		size = 99
		refs = "001b _DV_TQREvElementConstant 0020 @IsClass 003a _DV_TQREvElementString 0055 @LStrFromString"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B F2 8D 3C 24 B9 41 00 00 00 F3 A5 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8D 7B 08 8B F4 B9 41 00 00 00 F3 A5 EB 23 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 80 3C 24 02 75 0C 8D 43 08 8D 54 24 01 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16037_0 {
	meta:
		name = "RegisterQRFunction"
		size = 142
		refs = "0013 @LStrAddRef 0033 RegisterQRFunction 004f QRFunctionLibrary 0054 TQRLibrary.Add 006e @LStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16039_0 {
	meta:
		name = "QRExpr"
		size = 2736
		refs = "000d QRExpr 0019 _DV_51 0026 ArgSeparator 002e _DV_TQRFunctionLibrary 0033 TQRLibrary.Create 0038 QRFunctionLibrary 0040 SqrQuSoft 0045 LoadResString 0056 SqrIfDesc 006b @LStrCat3 0078 _DV_TQREvIfFunction 007d RegisterQRFunction 009b SqrStrDesc 00bd _DV_TQREvStrFunction 00e0 SqrUpperDesc 0102 _DV_TQREvUpperFunction 0125 SqrLowerDesc 0147 _DV_TQREvLowerFunction 016a SqrPrettyDesc 018c _DV_TQREvPrettyFunction 01af SqrTimeDesc 01d1 _DV_TQREvTimeFunction 01f4 SqrDateDesc 0216 _DV_TQREvDateFunction 0239 SqrCopyDesc 025b _DV_TQREvCopyFunction 027e SqrSumDesc 02a0 _DV_TQREvSumFunction 02c3 SqrCountDesc 02e5 _DV_TQREvCountFunction 0308 SqrMaxDesc 032a _DV_TQREvMaxFunction 034d SqrMinDesc 036f _DV_TQREvMinFunction 0392 SqrAverageDesc 03b4 _DV_TQREvAverageFunction 03d7 SqrBoolDesc 03f9 _DV_TQREvTrue 043e _DV_TQREvFalse 0461 SqrIntDesc 0483 _DV_TQREvIntFunction 04a6 SqrFracDesc 04c8 _DV_TQREvFracFunction 04eb SqrSqrtDesc 050d _DV_TQREvSQRTFunction 0537 _DV_TQREvDivFunction 055a SqrTypeofDesc 057c _DV_TQREvTypeOfFunction 059f SqrFormatNumericDesc 05c1 _DV_TQREvFormatNumericFunction 05cd _DV_TQREvEnvironment 05d2 TQREvEnvironment.Create 05d7 FGlobalEnvironment 05e1 Time 05f0 TimeToStr 0605 @LStrCatN 0617 TQREvEnvironment.AddFunction 0621 Date 0630 DateToStr 0664 Application 066b TApplication.GetTitle 06ac @LStrArrayClr 06b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 72 06 00 00 C6 05 ?? ?? ?? ?? 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 FF FF FF FF 04 00 00 00 35 42 56 56 00 00 00 00 FF FF FF FF 14 00 00 00 49 46 28 3C 45 78 70 3E 2C 20 3C 58 3E 2C 20 3C 59 3E 29 7C 00 00 00 00 FF FF FF FF 02 00 00 00 49 46 00 00 FF FF FF FF 02 00 00 00 37 4E 00 00 FF FF FF FF 09 00 00 00 53 54 52 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 53 54 52 00 FF FF FF FF 02 00 00 00 37 53 00 00 FF FF FF FF 0B 00 00 00 55 50 50 45 52 28 3C 58 3E 29 7C 00 FF FF FF FF 05 00 00 00 55 50 50 45 52 00 00 00 FF FF FF FF 0B 00 00 00 4C 4F 57 45 52 28 3C 58 3E 29 7C 00 FF FF FF FF 05 00 00 00 4C 4F 57 45 52 00 00 00 FF FF FF FF 0C 00 00 00 50 52 45 54 54 59 28 3C 58 3E 29 7C 00 00 00 00 FF FF FF FF 06 00 00 00 50 52 45 54 54 59 00 00 FF FF FF FF 01 00 00 00 31 00 00 00 FF FF FF FF 05 00 00 00 54 49 4D 45 7C 00 00 00 FF FF FF FF 04 00 00 00 54 49 4D 45 00 00 00 00 FF FF FF FF 05 00 00 00 44 41 54 45 7C 00 00 00 FF FF FF FF 04 00 00 00 44 41 54 45 00 00 00 00 FF FF FF FF 04 00 00 00 37 53 4E 4E 00 00 00 00 FF FF FF FF 16 00 00 00 43 4F 50 59 28 3C 58 3E 2C 20 3C 53 74 3E 2C 3C 4C 65 6E 3E 29 7C 00 00 FF FF FF FF 04 00 00 00 43 4F 50 59 00 00 00 00 FF FF FF FF 02 00 00 00 33 4E 00 00 FF FF FF FF 09 00 00 00 53 55 4D 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 53 55 4D 00 FF FF FF FF 01 00 00 00 33 00 00 00 FF FF FF FF 06 00 00 00 43 4F 55 4E 54 7C 00 00 FF FF FF FF 05 00 00 00 43 4F 55 4E 54 00 00 00 FF FF FF FF 02 00 00 00 33 56 00 00 FF FF FF FF 09 00 00 00 4D 41 58 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 4D 41 58 00 FF FF FF FF 09 00 00 00 4D 49 4E 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 4D 49 4E 00 FF FF FF FF 0D 00 00 00 41 56 45 52 41 47 45 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 07 00 00 00 41 56 45 52 41 47 45 00 FF FF FF FF 01 00 00 00 35 00 00 00 FF FF FF FF 05 00 00 00 54 52 55 45 7C 00 00 00 FF FF FF FF 04 00 00 00 54 52 55 45 00 00 00 00 FF FF FF FF 06 00 00 00 46 41 4C 53 45 7C 00 00 FF FF FF FF 05 00 00 00 46 41 4C 53 45 00 00 00 FF FF FF FF 02 00 00 00 32 4E 00 00 FF FF FF FF 09 00 00 00 49 4E 54 28 3C 58 3E 29 7C 00 00 00 FF FF FF FF 03 00 00 00 49 4E 54 00 FF FF FF FF 0A 00 00 00 46 52 41 43 28 3C 58 3E 29 7C 00 00 FF FF FF FF 04 00 00 00 46 52 41 43 00 00 00 00 FF FF FF FF 0A 00 00 00 53 51 52 54 28 3C 58 3E 29 7C 00 00 FF FF FF FF 04 00 00 00 53 51 52 54 00 00 00 00 FF FF FF FF 03 00 00 00 32 4E 4E 00 FF FF FF FF 10 00 00 00 44 49 56 28 3C 58 3E 2C 20 3C 59 3E 29 20 7C 20 00 00 00 00 FF FF FF FF 03 00 00 00 44 49 56 00 FF FF FF FF 02 00 00 00 36 4E 00 00 FF FF FF FF 0E 00 00 00 54 59 50 45 4F 46 28 3C 45 78 70 3E 29 7C 00 00 FF FF FF FF 06 00 00 00 54 59 50 45 4F 46 00 00 FF FF FF FF 03 00 00 00 37 53 4E 00 FF FF FF FF 17 00 00 00 46 4F 52 4D 41 54 4E 55 4D 45 52 49 43 28 3C 46 3E 2C 3C 4E 3E 29 7C 00 FF FF FF FF 0D 00 00 00 46 4F 52 4D 41 54 4E 55 4D 45 52 49 43 00 00 00 FF FF FF FF 01 00 00 00 27 00 00 00 FF FF FF FF 0C 00 00 00 41 70 70 53 74 61 72 74 54 69 6D 65 00 00 00 00 FF FF FF FF 0C 00 00 00 41 70 70 53 74 61 72 74 44 61 74 65 00 00 00 00 FF FF FF FF 07 00 00 00 41 70 70 4E 61 6D 65 00 }
	condition:
		$1
}

rule function_16040_0 {
	meta:
		name = "PopulateFontSizeCombo"
		size = 110
		refs = "000e PopulateFontSizeCombo 0029 cQRFontSizes 0033 IntToStr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 EC 01 00 00 8B 10 FF 52 40 BE 10 00 00 00 BB ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B 87 EC 01 00 00 8B 08 FF 51 34 83 C3 04 4E 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16041_0 {
	meta:
		name = "AddDM"
		size = 99
		refs = "000e TComponent.GetComponentCount 0022 TComponent.GetComponent 0028 _Dn_TDataSet 002d @IsClass"
		altNames = "AddForm"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 50 08 8B 45 08 8B 40 FC 59 8B 38 FF 57 38 43 4E 75 BF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16043_0 {
	meta:
		name = "AllDataSets"
		size = 97
		refs = "000d _Dn_TStringList 0012 TObject.Create 0021 AddForm 002b Screen 0032 TScreen.GetDataModuleCount 004b TScreen.GetDataModule 0050 AddDM"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 85 F6 74 09 55 8B C6 E8 ?? ?? ?? ?? 59 84 DB 74 2F A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 55 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E7 8B 45 FC 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16045_0 {
	meta:
		name = "QRLoadReport"
		size = 225
		refs = "0015 @LStrAddRef 001d QRLoadReport 003c Application 0045 _Dn_TForm 004a TCustomForm.Create 0056 ReadComponentResFile 005d TComponent.GetComponentCount 006a TComponent.GetComponent 0070 _Dn_TQuickRep 0075 @IsClass 0094 @HandleAnyException 009c SqrErrorLoading 00a1 LoadResString 00a9 ShowMessage 00ae @DoneExcept 00c3 @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 24 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16048_0 {
	meta:
		name = "TQRPrintJob.Preview"
		size = 132
		refs = "000a _Dn_TQRPrinter 000f TQRPrinter.Create 001a TQRPrintJob.Preview 002a TQRPrinter.SetDestination 0032 TQRPrinter.Preview 0037 Application 003e TApplication.ProcessMessages 0074 TObject.Free 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 11 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 80 00 00 00 00 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16049_0 {
	meta:
		name = "TQRPrintJob.Print"
		size = 88
		refs = "000a _Dn_TQRPrinter 000f TQRPrinter.Create 001a TQRPrintJob.Print 002a TQRPrinter.SetDestination 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16050_0 {
	meta:
		name = "TQRPHandler.Create"
		size = 57
		refs = "000a @ClassCreate 0016 @LStrClr 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16051_0 {
	meta:
		name = "TQRPHandler.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 0013 TObject.Free 001f TObject.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16052_0 {
	meta:
		name = "TQRPHandler.SetFilename"
		size = 127
		refs = "000e @LStrAddRef 0016 TQRPHandler.SetFilename 0027 @LStrCmp 0035 TObject.Free 003c _Dn_TQRPrinter 0041 TQRPrinter.Create 004f @LStrAsg 005a TQRPrinter.Load 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 74 31 8B 43 08 85 C0 74 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8D 43 04 8B 55 FC E8 ?? ?? ?? ?? 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16053_0 {
	meta:
		name = "TQRPHandler.Preview"
		size = 79
		refs = "000e Application 0017 _Dn_TQRStandardPreview 001c TQRStandardPreview.CreatePreview 0025 TQRStandardPreview.Show 0030 TQRPreview.ZoomToWidth 003c TApplication.ProcessMessages"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 85 C0 74 41 50 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 43 08 80 B8 80 00 00 00 00 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_16054_0 {
	meta:
		name = "TQRPHandler.Print"
		size = 15
		refs = "000a TQRPrinter.Print"
	strings:
		$1 = { 8B 50 08 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16055_0 {
	meta:
		name = "TQRBuilder.Create"
		size = 232
		refs = "0015 @ClassCreate 0022 TQRBuilder.Create 0031 TComponent.Create 0041 _Dn_TFont 0046 TFont.Create 0050 SysLocale 0060 DefFontData 0068 @LStrFromString 0072 TFont.SetName 0090 _Dn_TStringList 0095 TObject.Create 00ad @LStrClr 00b3 @HandleFinally 00c2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 24 00 33 C0 89 43 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 A1 ?? ?? ?? ?? 66 83 78 04 11 75 1D 8D 45 F8 8B 15 ?? ?? ?? ?? 83 C2 0B E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 }
	condition:
		$1
}

rule function_16056_0 {
	meta:
		name = "TQRBuilder.Destroy"
		size = 103
		refs = "0005 @BeforeDestruction 0011 TObject.Free 0053 TComponent.Destroy 005e @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 28 E8 ?? ?? ?? ?? 33 D2 8B C5 8B 08 FF 51 34 8B 45 38 8B 10 FF 52 14 8B F0 4E 85 F6 7C 16 46 33 FF 8B D7 8B 45 38 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 38 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16057_0 {
	meta:
		name = "TQRBuilder.FetchReport"
		size = 26
	strings:
		$1 = { 80 78 24 00 74 0F 8B 50 30 33 C9 89 48 30 C6 40 24 00 8B C2 C3 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_16058_0 {
	meta:
		name = "TQRBuilder.NewName"
		size = 243
		refs = "001a @LStrAddRef 0022 TQRBuilder.NewName 003a @LStrDelete 0084 _DV_TNameCount 0089 TObject.Create 00b5 IntToStr 00c3 @LStrCat3 00d8 @LStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 38 8B 08 FF 51 50 8B F0 85 F6 7C 1C 8B D6 8B 43 38 8B 08 FF 51 18 FF 40 04 8B D6 8B 43 38 8B 08 FF 51 18 8B 58 04 EB 44 8B 55 FC 8B 43 38 8B 08 FF 51 34 8B 43 38 8B 10 FF 52 14 8B F0 4E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 38 8B 38 FF 57 24 8B D6 8B 43 38 8B 08 FF 51 18 C7 40 04 01 00 00 00 BB 01 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16059_0 {
	meta:
		name = "TQRBuilder.RenameObjects"
		size = 244
		refs = "001a TQRBuilder.RenameObjects 0037 TComponent.GetComponentCount 004f TComponent.GetComponent 005a @LStrLAsg 0076 TObject.ClassName 0084 @LStrFromString 0096 @LStrDelete 00a6 UniqueName 00da @LStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 33 D2 89 95 F4 FE FF FF 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 30 8B 4A 04 85 C9 75 04 8B DA EB 02 8B D9 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 82 00 00 00 40 89 45 F8 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 5C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 00 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 8D F4 FE FF FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 46 FF 4D F8 75 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16060_0 {
	meta:
		name = "TQRBuilder.SetOrientation"
		size = 29
		refs = "0018 TQRPage.SetOrientation"
	strings:
		$1 = { 8B CA 88 48 2C 80 78 24 00 74 11 8B 50 30 8B 92 8C 02 00 00 8B C1 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16061_0 {
	meta:
		name = "TQRBuilder.SetTitle"
		size = 98
		refs = "000e @LStrAddRef 0016 TQRBuilder.SetTitle 0027 @LStrAsg 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 34 8B 55 FC E8 ?? ?? ?? ?? 80 7B 24 00 74 10 8B 43 30 05 A8 02 00 00 8B 53 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16062_0 {
	meta:
		name = "TQRBuilder.BuildFramework"
		size = 552
		refs = "000e TQRBuilder.BuildFramework 0028 _Dn_TQuickRep 002d TCustomQuickRep.Create 0048 TControl.SetVisible 0056 TQRPage.SetOrientation 0060 TControl.SetFont 007a TQuickRepBands.GetHasBand 0090 TQuickRepBands.SetHasBand 00a0 TQuickRepBands.GetBand 00a6 _Dn_TQRLabel 00ab TQRCustomBand.AddPrintable 00c9 TQRPrintable.SetAlignToBand 00ce SysLocale 00de DefFontData 00e6 @LStrFromString 00f1 TFont.SetName 010d TFont.SetSize 011b TFont.SetStyle 0125 TQRCustomLabel.SetCaption 0167 _Dn_TQRSysData 018c TQRSysData.SetData 0194 SqrPage 0199 LoadResString 01a6 @LStrCat 01b0 TQRSysData.SetText 01d3 @ROUND 01db TControl.SetHeight 01f0 @LStrClr 01f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 30 00 0F 85 BD 01 00 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 8B 53 04 8B C6 8B 08 FF 51 64 8B 73 30 33 D2 8B C6 E8 ?? ?? ?? ?? 8A 53 2C 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 53 28 8B C6 E8 ?? ?? ?? ?? 83 7B 34 00 0F 84 BB 00 00 00 BA 01 00 00 00 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 12 B1 01 BA 01 00 00 00 8B 86 30 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 C6 87 1E 02 00 00 01 B2 02 8B C7 8B 08 FF 91 D0 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 04 11 75 1E 8D 45 FC 8B 15 ?? ?? ?? ?? 83 C2 0B E8 ?? ?? ?? ?? 8B 55 FC 8B 47 58 E8 ?? ?? ?? ?? EB 0D 8B 47 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 58 BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B 47 58 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 34 8B C7 E8 ?? ?? ?? ?? BA 06 00 00 00 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 16 B1 01 BA 06 00 00 00 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 33 DB EB 02 B3 01 BA 06 00 00 00 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B2 01 8B C7 8B 08 FF 91 D0 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 75 27 BA 06 00 00 00 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 50 DB 47 3C D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 01 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 00 00 C0 3F }
	condition:
		$1
}

rule function_16063_0 {
	meta:
		name = "TQRBuilder.SetActive"
		size = 38
		refs = "001c TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 24 74 18 84 DB 74 09 8B C6 8B 10 FF 52 30 EB 08 8B 46 30 E8 ?? ?? ?? ?? 88 5E 24 5E 5B C3 }
	condition:
		$1
}

rule function_16064_0 {
	meta:
		name = "TQRListBuilder.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TQRBuilder.Create 001e _Dn_TStringList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16066_0 {
	meta:
		name = "TQRListBuilder.SetActive"
		size = 47
		refs = "0017 TQRBuilder.SetActive"
	strings:
		$1 = { 53 8B D8 3A 53 24 74 25 84 D2 74 18 83 7B 3C 00 74 12 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16067_0 {
	meta:
		name = "TQRListBuilder.SetFields"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 40 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_16068_0 {
	meta:
		name = "AddField"
		size = 740
		refs = "000c AddField 001f @LStrPos 0049 AnsiPos 00a9 TQuickRepBands.GetBand 00af _Dn_TQRLabel 00b4 TQRCustomBand.AddPrintable 00dd TField.GetDisplayWidth 00e9 dup 00f7 TQRCustomLabel.SetCaption 010e TField.GetDisplayName 0134 TQRFrame.SetValue 0153 _Dn_TQRExpr 0185 @LStrCatN 0193 TQRExpr.SetExpression 01a7 TControl.SetLeft 01bb TControl.SetWidth 0254 TObject.Free 0274 @LStrClr 027a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 38 02 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 23 02 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 0E 02 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 F9 01 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 E4 01 00 00 8B 53 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 CF 01 00 00 8B 45 08 8B 40 FC 8B 40 30 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 8B 40 F8 8B 40 3C 8B 55 08 89 42 F4 8B 45 08 8B 40 F8 C6 80 1E 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC B0 58 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 C6 80 1E 02 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 F4 01 00 00 B1 01 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 30 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 8B 40 F0 C6 80 1E 02 00 00 00 68 ?? ?? ?? ?? FF 73 28 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 50 30 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 50 38 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8A 53 33 8B 08 FF 91 D0 00 00 00 8B 45 08 8B 40 FC 8B 40 30 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 40 38 8B 55 08 8B 52 F0 8B 52 30 8B 4D 08 8B 49 F0 03 51 38 3B C2 7D 19 8B 45 08 8B 40 FC 80 78 2C 00 75 0D 8B 45 08 8B 40 FC B2 01 8B 08 FF 51 38 8B 45 08 8B 40 FC 8B 40 30 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 40 38 8B 55 08 8B 52 F0 8B 52 30 8B 4D 08 8B 49 F0 03 51 38 3B C2 7D 16 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF FF FF FF 01 00 00 00 5C 00 00 00 FF FF FF FF 01 00 00 00 26 00 00 00 FF FF FF FF 01 00 00 00 25 00 00 00 FF FF FF FF 01 00 00 00 2D 00 00 00 FF FF FF FF 01 00 00 00 5B 00 00 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_16069_0 {
	meta:
		name = "TQRListBuilder.BuildList"
		size = 532
		refs = "0014 TQRListBuilder.BuildList 0030 TQuickRepBands.GetHasBand 006a TQuickRepBands.SetHasBand 009e TQuickRepBands.GetBand 00ac @ROUND 00bd _Dn_TQuickRep 00c2 @IsClass 00d3 TQuickRep.SetDataSet 0128 TDataSet.FieldByName 0132 AddField 0146 TDataSet.GetFieldCount 0166 TFields.GetField 01ac TControl.SetHeight 01e7 TQRBuilder.RenameObjects 01fc @LStrClr 0202 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 EB 8B 45 FC 8B 40 30 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 88 45 EA 80 7D EA 00 75 18 8B 45 FC 8B 40 30 8B 80 30 02 00 00 B1 01 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7D EB 00 75 18 8B 45 FC 8B 40 30 8B 80 30 02 00 00 B1 01 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? DB 40 3C D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 58 30 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 50 3C 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 78 3C 00 0F 84 99 00 00 00 8B 45 FC 8B 40 40 8B 10 FF 52 14 85 C0 7E 4C 8B 45 FC 8B 40 40 8B 10 FF 52 14 8B D8 4B 85 DB 7C 78 43 C7 45 EC 00 00 00 00 8D 4D E4 8B 45 FC 8B 40 40 8B 55 EC 8B 30 FF 56 0C 8B 55 E4 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 85 C0 74 07 55 E8 ?? ?? ?? ?? 59 FF 45 EC 4B 75 D0 EB 3E 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2C 43 C7 45 EC 00 00 00 00 8B 45 FC 8B 40 3C 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 80 78 34 00 74 07 55 E8 ?? ?? ?? ?? 59 FF 45 EC 4B 75 DC 80 7D EB 00 75 2D 8B 45 FC 8B 40 30 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 50 DB 45 F4 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 80 7D EA 00 75 2D 8B 45 FC 8B 40 30 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 50 DB 45 F4 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 00 C0 3F }
	condition:
		$1
}

rule function_16070_0 {
	meta:
		name = "TQRListBuilder.AddAllFields"
		size = 63
		refs = "0011 TDataSet.GetFieldCount 0028 TFields.GetField"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 40 8B 10 FF 52 40 8B 43 3C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1F 46 33 FF 8B 43 3C 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B 50 08 8B 43 40 8B 08 FF 51 34 47 4E 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16071_0 {
	meta:
		name = "QRCreateList"
		size = 210
		refs = "0017 @LStrAddRef 001f QRCreateList 002e _DV_TQRListBuilder 0033 TQRListBuilder.Create 006e TQRListBuilder.SetFields 0089 TQRBuilder.FetchReport 00a0 TObject.Free 00a6 @HandleFinally 00bd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 50 3C 8B 55 0C 8B 45 F8 8B 08 FF 51 3C 8B 03 8B 55 F8 89 42 30 85 F6 74 0A 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 34 8B 45 F8 80 78 24 00 74 0A 8B 45 F8 E8 ?? ?? ?? ?? 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16073_0 {
	meta:
		name = "qrextra"
		size = 104
		refs = "0008 _DV_5 0010 _Dn_TQuickRep 0018 _Dn_TQRBand 0020 _Dn_TQRGroup 0028 _Dn_TQRSubDetail 0030 _Dn_TQRExpr 0038 _Dn_TQRShape 0040 _Dn_TTable 0048 _Dn_TQuery 0050 _Dn_TQRChildBand 0060 RegisterClasses"
	strings:
		$1 = { 55 8B EC 83 C4 DC 83 2D ?? ?? ?? ?? 01 73 55 A1 ?? ?? ?? ?? 89 45 DC A1 ?? ?? ?? ?? 89 45 E0 A1 ?? ?? ?? ?? 89 45 E4 A1 ?? ?? ?? ?? 89 45 E8 A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_16074_0 {
	meta:
		name = "TQRLabelEditor.GetColor"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 64 C3 }
	condition:
		$1
}

rule function_16075_0 {
	meta:
		name = "TQRLabelEditor.GetFont"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 58 C3 }
	condition:
		$1
}

rule function_16077_0 {
	meta:
		name = "TQRLabelEditor.GetGlyphResName"
		size = 40
		refs = "0006 TQRLabelEditor.GetGlyphResName 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 08 00 00 00 54 51 52 4C 41 42 45 4C 00 00 00 00 }
	condition:
		$1
}

rule function_16079_0 {
	meta:
		name = "TQRLabelEditor.GetControlName"
		size = 44
		refs = "0006 TQRLabelEditor.GetControlName 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 0C 00 00 00 54 65 78 74 20 43 6F 6E 74 72 6F 6C 00 00 00 00 }
	condition:
		$1
}

rule function_16082_0 {
	meta:
		name = "TQRLabelEditor.SetValue"
		size = 76
		refs = "000e @LStrAddRef 0016 TQRLabelEditor.SetValue 0027 TQRCustomLabel.SetCaption 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16083_0 {
	meta:
		name = "TQRLabelEditor.ShowEditor"
		size = 595
		refs = "0016 TQRLabelEditor.ShowEditor 0022 Application 002b _DV_TQRLabelEditorForm 0030 TCustomForm.Create 005c TControl.SetText 006f TQRPrintableSize.GetValue 007e FloatToStr 008f TCustomMaskEdit.SetText 00fb TQRPrintable.GetTransparent 013a TControl.GetText 0155 TCustomMaskEdit.GetText 015d StrToFloat 0177 TQRPrintableSize.SetValue 01db TQRCustomLabel.SetAutoStretch 01f6 TQRPrintable.SetTransparent 0219 TObject.Free 021f @HandleFinally 0236 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 0C 8B 55 F4 8B 45 F8 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 80 08 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 80 08 02 00 00 33 D2 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 43 04 8A 90 1E 02 00 00 8B 45 F8 8B 80 D8 02 00 00 8B 08 FF 91 BC 00 00 00 8B 43 04 8A 90 1F 02 00 00 8B 45 F8 8B 80 DC 02 00 00 8B 08 FF 91 BC 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 80 EC 02 00 00 8B 08 FF 91 BC 00 00 00 8B 45 F8 8B 10 FF 92 CC 00 00 00 8B 45 F8 83 B8 2C 02 00 00 01 0F 85 CD 00 00 00 8D 55 F0 8B 45 F8 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 8B 08 FF 51 20 8D 55 F4 8B 45 F8 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 43 04 8B 80 08 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 43 04 8B 80 08 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 D8 02 00 00 8B 10 FF 92 B8 00 00 00 8B 73 04 88 86 1E 02 00 00 8B 45 F8 8B 80 DC 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 EC 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 2C 02 00 00 01 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16086_0 {
	meta:
		name = "TQRStandardPreview.CreatePreview"
		size = 216
		refs = "000e @ClassCreate 001f TCustomForm.Create 002e TCustomForm.SetWindowState 003b TQRPreview.SetQRPrinter 0055 TControl.SetText 005e _Dn_TProgressBar 0063 TProgressBar.Create 0077 TControl.SetTop 0087 TControl.SetLeft 0097 TControl.SetHeight 00a7 TControl.SetWidth 00b4 TToolButton.SetDown 00c1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 89 B3 18 03 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B B3 18 03 00 00 85 F6 74 10 83 7E 78 00 74 0A 8B 56 78 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 03 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? BA 64 00 00 00 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16087_0 {
	meta:
		name = "TQRStandardPreview.FormClose"
		size = 14
		refs = "0009 TQRPrinter.ClosePreview"
	strings:
		$1 = { 8B D0 8B 80 18 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16088_0 {
	meta:
		name = "TQRStandardPreview.UpdateInfo"
		size = 220
		refs = "0011 TQRStandardPreview.UpdateInfo 001f SqrPage 0024 LoadResString 0040 IntToStr 0050 SqrOf 0084 @LStrCatN 009e TStatusPanels.GetItem 00a4 TStatusPanel.SetText 00be @LStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 83 C4 02 00 00 8B 80 18 02 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B 83 C4 02 00 00 8B 80 1C 02 00 00 8B 40 68 E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 C8 02 00 00 8B 80 EC 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_16089_0 {
	meta:
		name = "TQRStandardPreview.ZoomToFitClick"
		size = 28
		refs = "0004 Application 000b TApplication.ProcessMessages 0016 TQRPreview.ZoomToFit"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16091_0 {
	meta:
		name = "TQRStandardPreview.ZoomToWidthClick"
		size = 28
		refs = "0004 Application 000b TApplication.ProcessMessages 0016 TQRPreview.ZoomToWidth"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16090_0 {
	meta:
		name = "TQRStandardPreview.ZoomTo100Click"
		size = 33
		refs = "0004 Application 000b TApplication.ProcessMessages 001b TQRPreview.SetZoom"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? BA 64 00 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16092_0 {
	meta:
		name = "TQRStandardPreview.FirstPageClick"
		size = 28
		refs = "000f TQRPreview.SetPageNumber 0016 TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16093_0 {
	meta:
		name = "TQRStandardPreview.PrevPageClick"
		size = 30
		refs = "0011 TQRPreview.SetPageNumber 0018 TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 8B 83 C4 02 00 00 8B 90 18 02 00 00 4A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16094_0 {
	meta:
		name = "TQRStandardPreview.NextPageClick"
		size = 30
		refs = "0011 TQRPreview.SetPageNumber 0018 TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 8B 83 C4 02 00 00 8B 90 18 02 00 00 42 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16095_0 {
	meta:
		name = "TQRStandardPreview.LastPageClick"
		size = 32
		refs = "0013 TQRPreview.SetPageNumber 001a TQRStandardPreview.UpdateInfo"
	strings:
		$1 = { 53 8B D8 8B 83 18 03 00 00 8B 50 68 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16096_0 {
	meta:
		name = "TQRStandardPreview.PrintClick"
		size = 12
		refs = "0007 TQRPrinter.Print"
		altNames = "TQRStandardPreview.PrintSetupClick"
	strings:
		$1 = { 8B 80 18 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16100_0 {
	meta:
		name = "TQRStandardPreview.FormKeyDown"
		size = 128
		refs = "0021 TQRStandardPreview.FormKeyDown 002f TQRStandardPreview.LastPageClick 003a TQRStandardPreview.NextPageClick 004f TQRStandardPreview.FirstPageClick 005a TQRStandardPreview.PrevPageClick"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 8B 01 66 83 E8 21 74 31 66 FF C8 74 0C 66 FF C8 74 52 66 FF C8 74 42 EB 54 A0 ?? ?? ?? ?? 3A 45 08 75 0B 8B D3 8B C3 E8 ?? ?? ?? ?? EB 3F 8B D3 8B C3 E8 ?? ?? ?? ?? EB 34 A0 ?? ?? ?? ?? 3A 45 08 75 0B 8B D3 8B C3 E8 ?? ?? ?? ?? EB 1F 8B D3 8B C3 E8 ?? ?? ?? ?? EB 14 8B D3 8B C3 E8 ?? ?? ?? ?? EB 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_16101_0 {
	meta:
		name = "TQRStandardPreview.SaveClick"
		size = 388
		refs = "0015 TQRStandardPreview.SaveClick 0026 Application 002f _Dn_TSaveDialog 0034 TOpenDialog.Create 0050 SqrSaveReport 0055 LoadResString 005d QRExportFilterLibrary 0064 TQRExportFilterLibrary.GetSaveDialogFilter 0072 @LStrAsg 009a TOpenDialog.GetFilterIndex 00a8 TOpenDialog.GetFileName 00b6 TQRPrinter.Save 00f1 TList.Get 00fc TQRExportFilter.Create 010d TQRPrinter.ExportToFilter 0122 TObject.Free 0128 @HandleFinally 015c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8D 50 64 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 54 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 3C 84 C0 0F 84 98 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 48 75 1B 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 83 18 03 00 00 E8 ?? ?? ?? ?? EB 72 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 EA 02 A1 ?? ?? ?? ?? 8B 00 8B 40 04 E8 ?? ?? ?? ?? 8B 40 04 B2 01 59 E8 ?? ?? ?? ?? 89 45 FC 8B 83 18 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 00 FF FF FF FF 03 00 00 00 51 52 50 00 }
	condition:
		$1
}

rule function_16103_0 {
	meta:
		name = "TQRStandardPreview.LoadClick"
		size = 392
		refs = "0010 TQRStandardPreview.LoadClick 001c Application 0025 _Dn_TOpenDialog 002a TOpenDialog.Create 0046 SqrLoadReport 004b LoadResString 0053 SqrQRFile 007f @LStrCatN 009a TOpenDialog.GetFileName 00a2 FileExists 00bf TQRPrinter.Load 00cf TQRPreview.SetPageNumber 00e5 TQRPreviewImage.SetPageNumber 00ec TQRStandardPreview.UpdateInfo 0103 SqrFileNotExist 0110 ShowMessage 0125 TObject.Free 012b @HandleFinally 0142 @LStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8D 50 64 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 84 C0 0F 84 81 00 00 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 55 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 8B 80 14 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 33 D2 8B 08 FF 51 60 EB 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 20 28 2A 2E 00 00 00 00 FF FF FF FF 03 00 00 00 51 52 50 00 FF FF FF FF 04 00 00 00 29 7C 2A 2E 00 00 00 00 }
	condition:
		$1
}

rule function_16105_0 {
	meta:
		name = "TQRStandardPreview.QRPreviewProgressUpdate"
		size = 66
		refs = "000c TProgressBar.SetPosition 0017 TProgressBar.GetPosition 003c TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B D1 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 10 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 83 F8 64 7C 04 33 D2 EB 02 B2 01 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16106_0 {
	meta:
		name = "TQRStandardPreview.FormCreate"
		size = 21
	strings:
		$1 = { 8B 90 EC 01 00 00 C6 42 1D 01 8B 80 F0 01 00 00 C6 40 1D 01 C3 }
	condition:
		$1
}

rule function_16109_0 {
	meta:
		name = "TQRProgressForm.CMQRPROGRESSUPDATE"
		size = 196
		refs = "0011 TQRProgressForm.CMQRPROGRESSUPDATE 003b TProgressBar.SetPosition 004c IntToStr 005c SqrCompleted 0061 LoadResString 0071 @LStrCatN 007f TControl.SetText 0084 Application 008b TApplication.ProcessMessages 00a5 @LStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D0 02 00 00 8B 48 74 8B C1 BE 05 00 00 00 99 F7 FE 85 D2 75 5D 8B D1 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 D0 02 00 00 8B 40 74 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 25 20 00 00 }
	condition:
		$1
}

rule function_16110_0 {
	meta:
		name = "TQRProgressForm.CancelButtonClick"
		size = 12
		refs = "0007 TQRPrinter.Cancel"
	strings:
		$1 = { 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16116_0 {
	meta:
		name = "TQRCommonDialog.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TComponent.Create 0027 MakeObjectInstance 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 24 01 56 8B 06 8B 40 30 50 E8 ?? ?? ?? ?? 89 46 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16124_0 {
	meta:
		name = "TQRCommonDialog.TaskModalDialog"
		size = 187
		refs = "0010 GetActiveWindow 001a DisableTaskWindows 0025 TQRCommonDialog.TaskModalDialog 003a Application 0041 TApplication.HookMainWindow 0057 CreationControl 0080 TApplication.UnhookMainWindow 0086 @HandleFinally 009d EnableTaskWindows 00a6 SetActiveWindow"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 00 8B 40 34 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC A3 ?? ?? ?? ?? 56 FF D3 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 34 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16127_0 {
	meta:
		name = "TQRBasePrintDialog.GetPrinter"
		size = 256
		refs = "0025 TPrinter.GetPrinter 0036 StrLen 0060 GlobalAlloc 0070 GlobalLock 007a TQRBasePrintDialog.GetPrinter 00a0 StrECopy 00d5 StrCopy 00ed GlobalUnlock 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B D8 8D 83 F0 00 00 00 50 56 8D 8B A0 00 00 00 8D 53 50 8B 43 4C E8 ?? ?? ?? ?? 83 3E 00 0F 84 C7 00 00 00 8D 43 50 E8 ?? ?? ?? ?? 8B F0 83 C6 08 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? 03 F0 8D 83 F0 00 00 00 E8 ?? ?? ?? ?? 03 F0 83 C6 03 56 6A 42 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F7 83 C6 08 89 7D F8 8B C6 66 2B C7 8B 55 F8 66 89 02 8D 93 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 40 8B F0 8B C6 66 2B C7 8B 55 F8 66 89 42 02 8D 53 50 8B C6 E8 ?? ?? ?? ?? 40 8B F0 8B C6 66 2B C7 8B 55 F8 66 89 42 04 8D 93 F0 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16128_0 {
	meta:
		name = "TQRBasePrintDialog.SetPrinter"
		size = 159
		refs = "0013 GlobalLock 001b TQRBasePrintDialog.SetPrinter 0029 Win32Platform 004c TPrinter.SetPrinter 0084 GlobalUnlock 008d GlobalFree 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B D0 8B 0D ?? ?? ?? ?? 83 39 02 75 20 8D 8B F0 00 00 00 51 56 8D 8B A0 00 00 00 8B 5B 4C 0F B7 52 02 03 D0 8B C3 E8 ?? ?? ?? ?? EB 20 0F B7 4A 04 8B F8 03 CF 51 56 8D 8B A0 00 00 00 8B 5B 4C 0F B7 52 02 03 D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16129_0 {
	meta:
		name = "TQRBasePrintDialog.CopyData"
		size = 151
		refs = "0016 GlobalSize 0020 GlobalAlloc 0031 TQRBasePrintDialog.CopyData 0040 GlobalLock 005e Move 0074 GlobalUnlock 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 83 7D FC 00 74 78 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 53 6A 42 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 61 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 50 E8 ?? ?? ?? ?? 85 F6 74 0F 85 C0 74 0B 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 89 45 F8 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16130_0 {
	meta:
		name = "TQRBasePrintDialog.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TQRCommonDialog.Create 001c Printer 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16131_0 {
	meta:
		name = "TQRPrinterSetupDialog.Execute"
		size = 186
		refs = "0013 @FillChar 0020 HInstance 0033 TQRBasePrintDialog.GetPrinter 003d TQRBasePrintDialog.CopyData 0051 HookCtl3D 0059 DialogHook 005e Application 0070 PrintDlg 0090 TQRBasePrintDialog.SetPrinter 00a0 GlobalFree"
	strings:
		$1 = { 53 56 83 C4 B8 8B F0 8D 44 24 04 33 C9 BA 42 00 00 00 E8 ?? ?? ?? ?? C7 44 24 04 42 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 44 24 26 8D 4C 24 10 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B C6 E8 ?? ?? ?? ?? 89 44 24 0C C7 44 24 18 40 20 00 00 8A 46 24 A2 ?? ?? ?? ?? C7 44 24 32 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 44 24 08 8D 4C 24 04 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 38 F7 D8 1B DB F7 DB 84 DB 74 11 8B 4C 24 10 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? EB 1C 8B 44 24 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 44 24 10 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C3 83 C4 48 5E 5B C3 }
	condition:
		$1
}

rule function_16132_0 {
	meta:
		name = "TQRPrintDialog.SetNumCopies"
		size = 15
		refs = "000a TPrinter.SetNumCopies"
	strings:
		$1 = { 89 90 54 01 00 00 8B 40 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16133_0 {
	meta:
		name = "TQRPrintDialog.Execute"
		size = 484
		refs = "0016 @FillChar 0021 HInstance 0032 TQRBasePrintDialog.GetPrinter 003c TQRBasePrintDialog.CopyData 004e PrintRanges 00fe HookCtl3D 0105 DialogHook 0111 Application 0120 PrintDlg 0142 TQRBasePrintDialog.SetPrinter 01a6 TPrinter.GetNumCopies 01af TQRPrintDialog.SetNumCopies 01ca GlobalFree"
	strings:
		$1 = { 53 56 57 83 C4 B8 8B F8 8D 74 24 04 8B C6 33 C9 BA 42 00 00 00 E8 ?? ?? ?? ?? C7 06 42 00 00 00 A1 ?? ?? ?? ?? 8B 00 89 46 22 8D 4E 0C 8B D4 8B C7 E8 ?? ?? ?? ?? 8B 14 24 8B C7 E8 ?? ?? ?? ?? 89 46 08 33 C0 8A 87 4B 01 00 00 8B 04 85 ?? ?? ?? ?? 0D 00 30 00 00 89 46 14 80 BF 48 01 00 00 00 74 04 83 46 14 10 F6 87 49 01 00 00 01 75 07 81 46 14 00 00 10 00 F6 87 49 01 00 00 02 75 04 83 46 14 08 F6 87 49 01 00 00 04 75 04 83 46 14 04 F6 87 49 01 00 00 20 74 07 81 46 14 00 00 08 00 80 BF 4A 01 00 00 00 74 04 83 46 14 20 F6 87 49 01 00 00 10 74 07 81 46 14 00 08 00 00 F6 87 49 01 00 00 08 75 07 81 46 14 80 00 00 00 66 8B 87 40 01 00 00 66 89 46 18 66 8B 87 44 01 00 00 66 89 46 1A 66 8B 87 4C 01 00 00 66 89 46 1C 66 8B 87 50 01 00 00 66 89 46 1E 8A 47 24 A2 ?? ?? ?? ?? C7 46 2A ?? ?? ?? ?? C7 46 2E ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 46 04 8B CE BA ?? ?? ?? ?? 8B C7 8B 18 FF 53 38 F7 D8 1B DB F7 DB 84 DB 0F 84 88 00 00 00 8B 4E 0C 8B 56 08 8B C7 E8 ?? ?? ?? ?? F6 46 14 10 0F 95 C0 88 87 48 01 00 00 F6 46 14 20 0F 95 C0 88 87 4A 01 00 00 8B 46 14 A8 01 74 09 C6 87 4B 01 00 00 01 EB 14 A8 02 74 09 C6 87 4B 01 00 00 02 EB 07 C6 87 4B 01 00 00 00 0F B7 46 18 89 87 40 01 00 00 0F B7 46 1A 89 87 44 01 00 00 66 8B 46 20 66 83 F8 01 75 13 8B 47 4C E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 26 0F B7 D0 8B C7 E8 ?? ?? ?? ?? EB 1A 8B 46 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C3 83 C4 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16135_0 {
	meta:
		name = "Finalization"
		size = 70
		refs = "0007 Finalization 0013 _DV_5 001c WndProcPtrAtom 002b GlobalDeleteAtom 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 16 66 83 3D ?? ?? ?? ?? 00 74 0C 66 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16137_0 {
	meta:
		name = "QRPaperName"
		size = 27
		refs = "000f Names 0014 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 8A D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16138_0 {
	meta:
		name = "TempFilename"
		size = 60
		refs = "0011 GetTempPath 0019 TempFilename 0023 GetTempFileName 002c StrPas"
	strings:
		$1 = { 53 81 C4 5C FF FF FF 8B D8 8D 44 24 51 50 6A 1E E8 ?? ?? ?? ?? 54 6A 00 68 ?? ?? ?? ?? 8D 44 24 5D 50 E8 ?? ?? ?? ?? 8B D3 8B C4 E8 ?? ?? ?? ?? 81 C4 A4 00 00 00 5B C3 51 52 50 00 }
	condition:
		$1
}

rule function_16139_0 {
	meta:
		name = "TQRStream.Create"
		size = 88
		refs = "000b @ClassCreate 001a TObject.Create 0025 _Dn_TMemoryStream 0039 InitializeCriticalSection 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 28 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C 89 77 2C 8D 47 04 50 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16140_0 {
	meta:
		name = "TQRStream.CreateFromFile"
		size = 151
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TQRStream.CreateFromFile 0034 TObject.Create 0044 _Dn_TFileStream 0049 TFileStream.Create 005a InitializeCriticalSection 006f @LStrClr 0075 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 28 00 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 33 C0 89 46 2C 8D 46 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16141_0 {
	meta:
		name = "TQRStream.Destroy"
		size = 156
		refs = "0007 @BeforeDestruction 0015 TQRStream.LockStream 001d TQRStream.Destroy 0037 TObject.Free 004f DeleteFile 0064 TQRStream.UnlockStream 0070 DeleteCriticalSection 0076 @HandleFinally 0086 TObject.Destroy 0094 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 28 00 74 0D 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? EB 16 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16142_0 {
	meta:
		name = "TQRPageList.LockList"
		size = 10
		refs = "0005 EnterCriticalSection"
		altNames = "TQRStream.LockStream"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16159_0 {
	meta:
		name = "TQRPageList.UnlockList"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16143_0 {
	meta:
		name = "TQRStream.UnlockStream"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16144_0 {
	meta:
		name = "TQRStream.Write"
		size = 194
		refs = "0012 TQRStream.Write 001f TQRStream.LockStream 003b TStream.GetSize 0048 TempFilename 0053 @LStrAsg 0062 _Dn_TFileStream 0067 TFileStream.Create 0076 TCustomMemoryStream.SaveToStream 007e TObject.Free 0099 TQRStream.UnlockStream 00ae @LStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 28 00 74 5F 8B D6 8B CF 8B 43 1C 8B 30 FF 56 08 8B F0 8B 43 1C E8 ?? ?? ?? ?? 3B 43 2C 7E 52 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 20 E8 ?? ?? ?? ?? 68 FF FF 00 00 8B 4B 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 24 8B D7 8B 43 1C E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? C6 43 28 00 EB 0E 8B D6 8B CF 8B 43 24 8B 30 FF 56 08 8B F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16145_0 {
	meta:
		name = "TQRStream.Read"
		size = 65
		refs = "000c TQRStream.LockStream 0037 TQRStream.UnlockStream"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 28 00 74 10 8B D6 8B CF 8B 43 1C 8B 30 FF 56 04 8B F0 EB 0E 8B D6 8B CF 8B 43 24 8B 30 FF 56 04 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16146_0 {
	meta:
		name = "TQRStream.Seek"
		size = 65
		refs = "000c TQRStream.LockStream 0037 TQRStream.UnlockStream"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 28 00 74 10 8B CF 8B D6 8B 43 1C 8B 30 FF 56 0C 8B F0 EB 0E 8B CF 8B D6 8B 43 24 8B 30 FF 56 0C 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16147_0 {
	meta:
		name = "TQRStream.SaveToStream"
		size = 102
		refs = "0028 TQRStream.LockStream 0031 TStream.SetPosition 0057 TQRStream.UnlockStream"
	strings:
		$1 = { 53 56 57 55 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 81 C4 00 F8 FF FF 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 00 28 00 00 8B C6 8B 18 FF 53 04 8B D8 8B D4 8B CB 8B C7 8B 28 FF 55 08 85 DB 75 E1 8B C6 E8 ?? ?? ?? ?? 81 C4 04 28 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16148_0 {
	meta:
		name = "TQRCompress.Create"
		size = 97
		refs = "000e @ClassCreate 0023 TQRCompress.InitializeSplay 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 89 8E 0C 04 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 C6 46 04 00 EB 04 C6 46 04 07 66 C7 86 08 04 00 00 00 00 88 5E 05 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16149_0 {
	meta:
		name = "TQRCompress.Destroy"
		size = 73
		refs = "0004 @BeforeDestruction 0036 TObject.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 05 00 74 1C 80 7E 04 00 74 16 8D 96 08 04 00 00 B9 01 00 00 00 8B 86 0C 04 00 00 8B 38 FF 57 08 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16150_0 {
	meta:
		name = "TQRCompress.InitializeSplay"
		size = 67
	strings:
		$1 = { 53 56 66 BA 01 00 0F B7 CA 0F B7 DA 4B D1 EB 88 9C 08 10 04 00 00 42 66 81 FA 01 02 75 E8 33 D2 33 C9 8A CA 41 03 C9 33 DB 8A DA 8B F1 4E 66 89 74 58 08 66 89 8C 58 08 02 00 00 42 84 D2 75 E0 5E 5B C3 }
	condition:
		$1
}

rule function_16151_0 {
	meta:
		name = "TQRCompress.Splay"
		size = 176
	strings:
		$1 = { 53 56 57 8D B2 00 01 00 00 0F B7 D6 8A 94 10 10 04 00 00 84 D2 0F 84 80 00 00 00 33 C9 8A CA 8A 8C 08 10 04 00 00 33 DB 8A D9 66 8B 7C 58 08 33 DB 8A DA 66 3B FB 75 1A 33 DB 8A D9 66 8B BC 58 08 02 00 00 33 DB 8A D9 66 89 B4 58 08 02 00 00 EB 09 33 DB 8A D9 66 89 74 58 08 33 DB 8A DA 66 3B 74 58 08 75 0B 33 DB 8A DA 66 89 7C 58 08 EB 0C 33 DB 8A DA 66 89 BC 58 08 02 00 00 0F B7 DE 88 8C 18 10 04 00 00 0F B7 DF 88 94 18 10 04 00 00 8B F1 81 E6 FF 00 00 00 EB 08 8B F2 81 E6 FF 00 00 00 66 85 F6 0F 85 5D FF FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16152_0 {
	meta:
		name = "TQRCompress.Compress"
		size = 169
		refs = "0056 BitMask 009b TQRCompress.Splay"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 66 89 14 24 8B D8 66 8B 04 24 66 05 00 01 33 F6 0F B7 D0 8A 94 13 10 04 00 00 33 C9 8A CA 66 3B 84 4B 08 02 00 00 0F 94 C0 0F B7 CE 88 44 0C 02 46 33 C0 8A C2 66 85 C0 75 D6 4E 0F B7 C6 80 7C 04 02 00 74 13 33 C0 8A 43 04 0F B6 80 ?? ?? ?? ?? 66 09 83 08 04 00 00 80 7B 04 07 75 25 8D 93 08 04 00 00 B9 01 00 00 00 8B 83 0C 04 00 00 8B 38 FF 57 08 C6 43 04 00 66 C7 83 08 04 00 00 00 00 EB 03 FE 43 04 66 85 F6 75 AF 66 8B 14 24 8B C3 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16153_0 {
	meta:
		name = "TQRCompress.GetByte"
		size = 26
	strings:
		$1 = { 53 51 8B D4 B9 01 00 00 00 8B 80 0C 04 00 00 8B 18 FF 53 04 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_16154_0 {
	meta:
		name = "TQRCompress.Expand"
		size = 108
		refs = "0012 TQRCompress.GetByte 0030 BitMask 0060 TQRCompress.Splay"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 F6 80 7B 04 07 75 16 8B C3 E8 ?? ?? ?? ?? 25 FF 00 00 00 66 89 43 06 C6 43 04 00 EB 03 FE 43 04 33 C0 8A 43 04 0F B6 80 ?? ?? ?? ?? 66 23 43 06 75 0A 0F B7 C6 66 8B 74 43 08 EB 0B 0F B7 C6 66 8B B4 43 08 02 00 00 66 81 FE FF 00 76 B3 66 81 EE 00 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 88 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16155_0 {
	meta:
		name = "TQRPageList.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TObject.Create 002e InitializeCriticalSection 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 24 C6 46 20 00 33 C0 89 46 28 8D 46 04 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16156_0 {
	meta:
		name = "TQRPageList.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 0010 DeleteCriticalSection 001c TObject.Free 002d TObject.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 50 E8 ?? ?? ?? ?? 8B 46 28 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 46 28 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16161_0 {
	meta:
		name = "TQRPageList.LoadFromFile"
		size = 102
		refs = "000e @LStrAddRef 0016 TQRPageList.LoadFromFile 0028 TObject.Free 0032 _DV_TQRStream 0037 TQRStream.CreateFromFile 0041 TQRPageList.ReadFileHeader 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 85 C0 74 05 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16162_0 {
	meta:
		name = "TQRPageList.SaveToFile"
		size = 106
		refs = "000f @LStrAddRef 0017 TQRPageList.SaveToFile 002c _Dn_TFileStream 0031 TFileStream.Create 003d TQRStream.SaveToStream 0044 TObject.Free 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 46 28 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16163_0 {
	meta:
		name = "TQRPageList.SeekToFirst"
		size = 14
		refs = "0009 TStream.SetPosition"
	strings:
		$1 = { BA 7C 00 00 00 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16164_0 {
	meta:
		name = "TQRPageList.SeekToLast"
		size = 52
		refs = "002c TStream.SetPosition"
	strings:
		$1 = { 53 56 51 8B D8 66 B9 02 00 BA FC FF FF FF 8B 43 28 8B 30 FF 56 0C 8B D4 B9 04 00 00 00 8B 43 28 8B 30 FF 56 04 8B 14 24 8B 43 28 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_16165_0 {
	meta:
		name = "TQRPageList.SeekToPage"
		size = 291
		refs = "0012 TQRPageList.SeekToFirst 0023 TQRPageList.SeekToLast 0030 TStream.GetPosition 003a TStream.GetSize 009b TStream.SetPosition"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F2 8B D8 83 FE 01 75 0C 8B C3 E8 ?? ?? ?? ?? E9 01 01 00 00 3B 73 24 75 0C 8B C3 E8 ?? ?? ?? ?? E9 F0 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 8B F8 8B 43 28 E8 ?? ?? ?? ?? 3B F8 75 07 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 66 B9 01 00 BA FC FF FF FF 8B 43 28 8B 38 FF 57 0C 3B 34 24 7E 49 8B D4 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 3B 34 24 74 1D 8D 54 24 04 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 8B 54 24 04 8B 43 28 E8 ?? ?? ?? ?? 3B 34 24 75 CA 66 B9 01 00 BA FC FF FF FF 8B 43 28 8B 18 FF 53 0C EB 65 3B 34 24 7D 60 8B D4 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 3B 34 24 74 36 8B 7B 28 8B C7 E8 ?? ?? ?? ?? 8B D0 83 EA 04 83 EA 04 8B C7 E8 ?? ?? ?? ?? 8D 54 24 08 B9 04 00 00 00 8B 43 28 8B 38 FF 57 04 8B 54 24 08 8B 43 28 E8 ?? ?? ?? ?? 3B 34 24 75 B1 66 B9 01 00 BA FC FF FF FF 8B 43 28 8B 18 FF 53 0C 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16166_0 {
	meta:
		name = "TQRPageList.GetPage"
		size = 353
		refs = "0024 TQRPageList.GetPage 0032 TQRPageList.LockList 003c TQRPageList.SeekToPage 006d TStream.GetPosition 0077 _Dn_TMetafile 007c TMetafile.Create 00a6 _Dn_TMemoryStream 00ab TObject.Create 00bc _DV_TQRCompress 00c1 TQRCompress.Create 00dc TQRCompress.Expand 00f9 TObject.Free 0102 TStream.SetPosition 014b TQRPageList.UnlockList 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 45 FC 3B 58 24 7E 0A 33 C0 89 45 F8 E9 37 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 40 28 B9 04 00 00 00 8B 18 FF 53 04 8D 55 F4 8B 45 FC 8B 40 28 B9 04 00 00 00 8B 18 FF 53 04 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 29 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 80 78 20 00 0F 84 89 00 00 00 8D 55 EC 8B 45 FC 8B 40 28 B9 04 00 00 00 8B 18 FF 53 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 8B 45 FC 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8B 5D EC 85 DB 7E 20 8D 55 F3 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8D 55 F3 B9 01 00 00 00 8B C6 8B 38 FF 57 08 4B 75 E0 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 8B 08 FF 51 50 8B C6 E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 50 28 8B 45 F8 8B 08 FF 51 50 8D 55 F4 8B 45 FC 8B 40 28 B9 04 00 00 00 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16167_0 {
	meta:
		name = "TQRPageList.ReadFileHeader"
		size = 45
		refs = "000d TStream.SetPosition"
	strings:
		$1 = { 53 56 83 C4 84 8B D8 33 D2 8B 43 28 E8 ?? ?? ?? ?? 8B D4 B9 7C 00 00 00 8B 43 28 8B 30 FF 56 04 8B 44 24 08 89 43 24 83 C4 7C 5E 5B C3 }
	condition:
		$1
}

rule function_16168_0 {
	meta:
		name = "TQRPageList.WriteFileHeader"
		size = 84
		refs = "000c TStream.SetPosition 0025 Now"
	strings:
		$1 = { 53 83 C4 84 8B D8 33 D2 8B 43 28 E8 ?? ?? ?? ?? 66 C7 04 24 03 00 66 C7 44 24 02 22 01 8B 43 24 89 44 24 08 E8 ?? ?? ?? ?? DD 5C 24 0C 9B 80 7B 20 00 74 07 C6 44 24 15 01 EB 05 C6 44 24 15 00 8B D4 B9 7C 00 00 00 8B 43 28 8B 18 FF 53 08 83 C4 7C 5B C3 }
	condition:
		$1
}

rule function_16169_0 {
	meta:
		name = "SavePreInfo"
		size = 117
		refs = "001c TStream.GetSize 0025 TStream.SetPosition 002f TStream.GetPosition"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 F8 8B 06 8B 40 24 89 45 FC 8B 06 8B 58 28 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 40 28 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8D 55 FC 8B 06 8B 40 28 B9 04 00 00 00 8B 18 FF 53 08 8B 06 8B 40 28 E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8D 50 FC 8B 06 8B 40 28 B9 04 00 00 00 8B 18 FF 53 08 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16170_0 {
	meta:
		name = "SavePostInfo"
		size = 117
		refs = "0027 TStream.GetPosition 0041 TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8D 50 F4 8B 45 08 8B 40 F8 8B 40 28 B9 04 00 00 00 8B 18 FF 53 08 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 8B 45 08 8D 50 F0 8B 45 08 8B 40 F8 8B 40 28 B9 04 00 00 00 8B 18 FF 53 08 8B 45 08 8B 50 F0 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_16171_0 {
	meta:
		name = "TQRPageList.AddPage"
		size = 315
		refs = "0012 TQRPageList.AddPage 0020 TQRPageList.LockList 0037 TQRPageList.WriteFileHeader 004b _Dn_TMemoryStream 0050 TObject.Create 0061 SavePreInfo 0071 _DV_TQRCompress 0076 TQRCompress.Create 0085 TStream.SetPosition 008c TStream.GetSize 00d7 TQRCompress.Compress 00e8 TObject.Free 00f5 SavePostInfo 0128 TQRPageList.UnlockList 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 FF 40 24 8B 45 F8 83 78 24 01 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 20 00 0F 84 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 8B 08 FF 51 54 55 E8 ?? ?? ?? ?? 59 6A 01 8B 45 F8 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8D 55 EC 8B 45 F8 8B 40 28 B9 04 00 00 00 8B 30 FF 56 08 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 C7 45 EC 00 00 00 00 8D 55 EB B9 01 00 00 00 8B C3 8B 38 FF 57 04 33 D2 8A 55 EB 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? FF 45 EC 4E 75 DB 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 1B 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 50 28 8B C6 8B 08 FF 51 54 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16173_0 {
	meta:
		name = "GetFonts"
		size = 41
		refs = "0001 Printer 0006 TPrinter.GetPrinters 0014 Screen 0024 TPrinter.GetFonts"
	strings:
		$1 = { E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 0B A1 ?? ?? ?? ?? 8B 00 8B 40 24 C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16176_0 {
	meta:
		name = "TQRStandardPreviewInterface.Show"
		size = 31
		refs = "0006 Application 000f _Dn_TQRStandardPreview 0014 TQRStandardPreview.CreatePreview 0019 TQRStandardPreview.Show"
	strings:
		$1 = { 53 8B DA 53 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16177_0 {
	meta:
		name = "TQRStandardPreviewInterface.ShowModal"
		size = 34
		refs = "0006 Application 000f _Dn_TQRStandardPreview 0014 TQRStandardPreview.CreatePreview"
	strings:
		$1 = { 53 8B DA 53 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 CC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16178_0 {
	meta:
		name = "TQRPreviewImage.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 0023 TControl.SetHeight 002f TControl.SetWidth 005d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 28 01 00 00 64 00 00 00 33 C0 89 86 18 01 00 00 C6 86 24 01 00 00 00 C7 86 1C 01 00 00 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16179_0 {
	meta:
		name = "TQRPreviewImage.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 001b TObject.Free 0027 TGraphicControl.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 BE 24 01 00 00 00 74 0B 8B 86 20 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16180_0 {
	meta:
		name = "TQRPreviewImage.PaintPage"
		size = 325
		refs = "0025 TBrush.SetColor 0032 TPen.SetColor 0053 TCanvas.Rectangle 0071 Rect 0084 TCanvas.StretchDraw 00b4 TPen.SetWidth 00bf TCanvas.MoveTo 00cf TCanvas.LineTo"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 80 BB 24 01 00 00 00 75 06 F6 43 20 10 74 41 8B B3 14 01 00 00 8B 46 14 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 46 10 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 43 38 48 83 E8 02 50 8B 43 3C 48 83 E8 02 50 B9 01 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 BB 24 01 00 00 00 74 28 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D4 8B 8B 20 01 00 00 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 80 BB 24 01 00 00 00 75 0A F6 43 20 10 0F 84 A4 00 00 00 8B B3 14 01 00 00 33 D2 8B 46 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 83 E9 02 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 83 E9 02 8B 53 38 4A 83 EA 02 8B C6 E8 ?? ?? ?? ?? 8B 53 38 4A 83 EA 02 33 C9 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 46 14 E8 ?? ?? ?? ?? 8B 43 38 50 8B 53 3C 52 8B D0 83 EA 02 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 53 38 52 8B 43 3C 50 8B C8 83 E9 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_16182_0 {
	meta:
		name = "TQRPreviewImage.SetPageNumber"
		size = 88
		refs = "0018 TObject.Free 0033 TQRPrinter.GetPage 0050 TQRPreviewImage.PaintPage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 B3 1C 01 00 00 8B 83 20 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 83 20 01 00 00 8B BB 18 01 00 00 85 FF 74 0F 8B D6 8B C7 E8 ?? ?? ?? ?? 89 83 20 01 00 00 83 BB 20 01 00 00 00 0F 95 C0 88 83 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16183_0 {
	meta:
		name = "TQRPreview.Create"
		size = 240
		refs = "000e @ClassCreate 001c TScrollBox.Create 0025 _DV_TQRPreviewImage 002a TQRPreviewImage.Create 004a TControl.SetTop 0053 TControl.SetLeft 0090 TQRPreview.Fixvalues 009c TControl.SetHeight 00a8 TControl.SetWidth 00db @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 02 00 00 8B D3 8B C6 8B 08 FF 51 64 8B B3 14 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 C6 40 1D 01 8B 83 F0 01 00 00 C6 40 1D 01 C7 83 20 02 00 00 64 00 00 00 33 C0 89 83 1C 02 00 00 C6 83 24 02 00 00 02 89 9B E0 00 00 00 C7 83 DC 00 00 00 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 18 02 00 00 01 00 00 00 33 C0 89 83 04 02 00 00 89 83 08 02 00 00 33 C0 89 83 0C 02 00 00 89 83 10 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16184_0 {
	meta:
		name = "TQRPreview.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0019 TQRPreview.SetQRPrinter 0025 TScrollingWinControl.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE 1C 02 00 00 00 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16185_0 {
	meta:
		name = "TQRPreview.SetQRPrinter"
		size = 313
		refs = "0018 TQRPrinter.SetShowingPreview 0055 TQRPreview.SetPageNumber 0065 TQRPreviewImage.SetPageNumber"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 1C 02 00 00 85 C0 74 17 3B 58 40 75 12 33 D2 E8 ?? ?? ?? ?? 8B 83 1C 02 00 00 33 D2 89 50 40 89 B3 1C 02 00 00 8B 83 14 02 00 00 89 B0 18 01 00 00 8B 83 1C 02 00 00 85 C0 74 0A 89 58 40 B2 01 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 8B 83 14 02 00 00 8B 93 04 01 00 00 89 90 04 01 00 00 8B 93 08 01 00 00 89 90 08 01 00 00 8B 93 0C 01 00 00 89 90 0C 01 00 00 8B 93 10 01 00 00 89 90 10 01 00 00 8B 93 CC 00 00 00 89 90 CC 00 00 00 8B 93 D0 00 00 00 89 90 D0 00 00 00 8B 93 D4 00 00 00 89 90 D4 00 00 00 8B 93 D8 00 00 00 89 90 D8 00 00 00 8B 93 FC 00 00 00 89 90 FC 00 00 00 8B 93 00 01 00 00 89 90 00 01 00 00 8B 93 B4 00 00 00 89 90 B4 00 00 00 8B 93 B8 00 00 00 89 90 B8 00 00 00 8B 93 BC 00 00 00 89 90 BC 00 00 00 8B 93 C0 00 00 00 89 90 C0 00 00 00 8B 93 C4 00 00 00 89 90 C4 00 00 00 8B 93 C8 00 00 00 89 90 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_16186_0 {
	meta:
		name = "TQRPreview.CMPageAvailable"
		size = 95
		refs = "0018 TQRPreview.UpdateImage 002a TQRPreview.CMPageAvailable 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 0F B7 46 04 3B 83 18 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 66 83 BB 06 02 00 00 00 74 35 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 4E 04 8B D3 8B 83 08 02 00 00 FF 93 04 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_16187_0 {
	meta:
		name = "TQRPreview.CMProgressUpdate"
		size = 72
		refs = "0012 TQRPreview.CMProgressUpdate 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 0E 02 00 00 00 74 37 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B7 4A 04 8B D8 8B D0 8B 83 10 02 00 00 FF 93 0C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_16188_0 {
	meta:
		name = "TQRPreview.SetPageNumber"
		size = 101
		refs = "003e TQRPreviewImage.SetPageNumber 0051 TControlScrollBar.SetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 18 02 00 00 75 0F 8B 83 14 02 00 00 80 B8 24 01 00 00 00 75 45 85 F6 7E 41 83 BB 1C 02 00 00 00 74 38 8B 83 1C 02 00 00 3B 70 68 7F 2D 8B D6 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 89 B3 18 02 00 00 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16189_0 {
	meta:
		name = "TQRPreview.UpdateImage"
		size = 65
		refs = "002a TQRPreview.ZoomToWidth 003b TQRPreviewImage.SetPageNumber"
	strings:
		$1 = { 53 8B D8 8B 83 14 02 00 00 85 C0 74 32 80 B8 24 01 00 00 00 75 29 8B 80 1C 01 00 00 8B 93 1C 02 00 00 3B 42 20 7F 18 8B C3 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 8B 90 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16190_0 {
	meta:
		name = "TQRPreview.UpdateZoom"
		size = 392
		refs = "0022 TQRPrinter.PaperWidthValue 002e TQRPreview.UpdateZoom 0044 TQRPrinter.XSize 004f @ROUND 005e TControl.SetWidth 006b TQRPrinter.PaperLengthValue 008d TQRPrinter.YSize 00a7 TControl.SetHeight 00b5 cQRPaperSizeMetrics 011d TControl.SetLeft 0144 TControl.SetTop 015a TControlScrollBar.SetPosition"
	strings:
		$1 = { 53 56 57 51 8B D8 83 BB 1C 02 00 00 00 0F 84 9A 00 00 00 8B B3 14 02 00 00 8B BE 18 01 00 00 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 D8 35 ?? ?? ?? ?? DB 83 20 02 00 00 DE C9 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 E8 ?? ?? ?? ?? 8B D0 83 C2 02 83 C2 02 8B C6 E8 ?? ?? ?? ?? 8B BE 18 01 00 00 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 D8 35 ?? ?? ?? ?? DB 83 20 02 00 00 DE C9 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 E8 ?? ?? ?? ?? 8B D0 83 C2 02 83 C2 02 8B C6 E8 ?? ?? ?? ?? EB 56 8B B3 14 02 00 00 DB 2D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 83 20 02 00 00 DE C9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 83 C2 02 8B C6 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 83 20 02 00 00 DE C9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 83 C2 02 8B C6 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 8B 70 38 8B 53 38 3B F2 7D 10 2B D6 D1 FA 79 03 83 D2 00 E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 8B 70 3C 8B 53 3C 3B F2 7D 10 2B D6 D1 FA 79 03 83 D2 00 E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 8B 93 20 02 00 00 89 90 28 01 00 00 5A 5F 5E 5B C3 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_16191_0 {
	meta:
		name = "TQRPreview.Fixvalues"
		size = 42
		refs = "0010 TQRPreview.ZoomToFit 001d TQRPreview.ZoomToWidth 0024 TQRPreview.UpdateZoom"
	strings:
		$1 = { 53 8B D8 8A 83 24 02 00 00 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 0B 3C 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16192_0 {
	meta:
		name = "TQRPreview.SetZoom"
		size = 32
		refs = "001b TQRPreview.UpdateZoom"
	strings:
		$1 = { 83 FA 02 7C 1A 81 FA D0 07 00 00 7F 12 C6 80 24 02 00 00 02 89 90 20 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16193_0 {
	meta:
		name = "TQRPreview.ZoomToFit"
		size = 212
		refs = "0013 TQRPrinter.PaperWidthValue 0027 TQRPrinter.XSize 0038 TQRPreview.ZoomToFit 003d @ROUND 004c TQRPrinter.PaperLengthValue 0060 TQRPrinter.YSize 0081 cQRPaperSizeMetrics 00b3 TQRPreview.SetZoom"
	strings:
		$1 = { 53 56 57 51 8B D8 8B B3 1C 02 00 00 85 F6 74 6C 8B C6 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 43 38 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B BB 1C 02 00 00 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 43 3C DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E DB 43 38 DB 2D ?? ?? ?? ?? DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 DB 43 3C DB 2D ?? ?? ?? ?? DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B C6 7E 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 24 02 00 00 00 5A 5F 5E 5B C3 00 00 00 00 BE 42 }
	condition:
		$1
}

rule function_16194_0 {
	meta:
		name = "TQRPreview.ZoomToWidth"
		size = 132
		refs = "0012 TQRPrinter.PaperWidthValue 0026 TQRPrinter.XSize 0037 TQRPreview.ZoomToWidth 003c @ROUND 0045 TQRPreview.SetZoom 0050 cQRPaperSizeMetrics 006d TQRPreview.UpdateZoom"
	strings:
		$1 = { 53 56 51 8B D8 8B B3 1C 02 00 00 85 F6 74 3C 8B C6 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 43 38 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1F DB 43 38 DB 2D ?? ?? ?? ?? DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 24 02 00 00 01 5A 5E 5B C3 00 00 B4 42 00 00 BE 42 }
	condition:
		$1
}

rule function_16195_0 {
	meta:
		name = "TQRExportFilter.Create"
		size = 129
		refs = "000e @ClassCreate 001d @LStrAddRef 0025 TQRExportFilter.Create 0034 TObject.Create 003f @LStrAsg 0059 @LStrClr 005f @HandleFinally 006c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16205_0 {
	meta:
		name = "TQRExportFilter.TextOut"
		size = 58
		refs = "0007 @LStrAddRef 000f TQRExportFilter.TextOut 002a @LStrClr 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5D C2 20 00 }
	condition:
		$1
}

rule function_16207_0 {
	meta:
		name = "TQRExportFilterLibrary.Destroy"
		size = 82
		refs = "0005 @BeforeDestruction 0021 TList.Get 0026 TObject.Free 003e TObject.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B 68 08 4D 85 ED 7C 16 45 33 FF 8B D7 8B 46 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 04 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16208_0 {
	meta:
		name = "TQRExportFilterLibrary.AddFilter"
		size = 162
		refs = "0017 TQRExportFilterLibrary.AddFilter 0029 TQRExportFilter.Create 0032 _DV_TQRExportFilterLibraryEntry 0037 TObject.Create 0054 @LStrAsg 0070 TObject.Free 007a TList.Add 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 43 04 8D 55 F8 8B C6 8B 08 FF 51 08 8B 55 F8 8D 43 08 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 8B 08 FF 51 04 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 47 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16209_0 {
	meta:
		name = "TQRExportFilterLibrary.RemoveFilter"
		size = 173
		refs = "0014 TQRExportFilterLibrary.RemoveFilter 0025 TQRExportFilter.Create 0040 TList.Get 0058 @LStrCmp 0070 TList.Delete 0078 TObject.Free 009a @LStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B C2 B2 01 E8 ?? ?? ?? ?? 89 45 FC 8B 46 04 8B 78 08 4F 85 FF 7C 52 47 33 DB 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B 40 08 50 8D 55 F8 8B 45 FC 8B 08 FF 51 08 8B 55 F8 58 E8 ?? ?? ?? ?? 75 27 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B F8 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 04 43 4F 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16210_0 {
	meta:
		name = "TQRExportFilterLibrary.GetSaveDialogFilter"
		size = 268
		refs = "0017 TQRExportFilterLibrary.GetSaveDialogFilter 0025 SqrQRFile 002a LoadResString 004d @LStrCatN 0071 TList.Get 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 44 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 FF 37 68 ?? ?? ?? ?? FF 73 08 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? FF 73 0C 8B C7 BA 07 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 28 2A 2E 00 FF FF FF FF 03 00 00 00 51 52 50 00 FF FF FF FF 04 00 00 00 29 7C 2A 2E 00 00 00 00 FF FF FF FF 01 00 00 00 7C 00 00 00 FF FF FF FF 04 00 00 00 20 28 2A 2E 00 00 00 00 }
	condition:
		$1
}

rule function_16211_0 {
	meta:
		name = "TPrinterSettings.Create"
		size = 101
		refs = "000a @ClassCreate 0017 TObject.Create 0021 @GetMem 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 80 00 00 00 E8 ?? ?? ?? ?? 89 46 04 B8 80 00 00 00 E8 ?? ?? ?? ?? 89 46 08 B8 80 00 00 00 E8 ?? ?? ?? ?? 89 46 0C C6 46 32 09 33 C0 89 46 68 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16215_0 {
	meta:
		name = "TPrinterSettings.GetDuplex"
		size = 4
	strings:
		$1 = { 8A 40 1C C3 }
	condition:
		$1
}

rule function_16222_0 {
	meta:
		name = "TPrinterSettings.GetPaperSize"
		size = 4
	strings:
		$1 = { 8A 40 32 C3 }
	condition:
		$1
}

rule function_16223_0 {
	meta:
		name = "TPrinterSettings.GetPaperSizeSupported"
		size = 8
	strings:
		$1 = { 83 E2 7F 8A 44 10 32 C3 }
	condition:
		$1
}

rule function_16224_0 {
	meta:
		name = "TPrinterSettings.GetPaperWidth"
		size = 68
		refs = "0006 TPrinterSettings.GetPaperSize 0029 cQRPaperSizeMetrics 002f TPrinterSettings.GetPaperWidth 0034 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 43 50 5B C3 00 00 00 20 41 }
	condition:
		$1
}

rule function_16225_0 {
	meta:
		name = "TPrinterSettings.GetPaperLength"
		size = 68
		refs = "0006 TPrinterSettings.GetPaperSize 0029 cQRPaperSizeMetrics 002f TPrinterSettings.GetPaperLength 0034 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 43 54 5B C3 00 00 00 20 41 }
	condition:
		$1
}

rule function_16226_0 {
	meta:
		name = "TPrinterSettings.GetPixelsPerX"
		size = 4
	strings:
		$1 = { 8B 40 58 C3 }
	condition:
		$1
}

rule function_16227_0 {
	meta:
		name = "TPrinterSettings.GetPixelsPerY"
		size = 4
	strings:
		$1 = { 8B 40 5C C3 }
	condition:
		$1
}

rule function_16229_0 {
	meta:
		name = "TPrinterSettings.GetTopOffset"
		size = 4
	strings:
		$1 = { 8B 40 60 C3 }
	condition:
		$1
}

rule function_16230_0 {
	meta:
		name = "TPrinterSettings.GetLeftOffset"
		size = 4
	strings:
		$1 = { 8B 40 64 C3 }
	condition:
		$1
}

rule function_16231_0 {
	meta:
		name = "TPrinterSettings.GetPrinter"
		size = 4
	strings:
		$1 = { 8B 40 68 C3 }
	condition:
		$1
}

rule function_16232_0 {
	meta:
		name = "TPrinterSettings.GetTitle"
		size = 19
		refs = "000c @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 6C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16233_0 {
	meta:
		name = "TPrinterSettings.Supported"
		size = 47
	strings:
		$1 = { 53 8B DA 8B C8 83 79 68 00 74 20 8B 41 14 8B 40 28 23 C3 33 D2 52 50 8B C3 99 3B 54 24 04 75 03 3B 04 24 0F 94 C0 83 C4 08 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_16234_0 {
	meta:
		name = "TPrinterSettings.SetField"
		size = 7
	strings:
		$1 = { 8B 40 14 09 50 28 C3 }
	condition:
		$1
}

rule function_16235_0 {
	meta:
		name = "GPrinter"
		size = 296
		refs = "001a GPrinter 0040 TPrinter.GetPrinter 0079 OpenPrinter 0083 @GetMem 009c GetPrinterDriver 00a7 StrPas 00b2 ExtractFileName 00bf @LStrCat 00c7 @LStrToPChar 00d8 StrLCopy 00df @FreeMem 00ea GlobalLock 0109 @LStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C0 89 45 F4 89 45 F0 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 40 0C 50 8B 06 83 C0 10 50 8B 06 8B 48 08 8B 06 8B 50 04 8B 06 8B 40 68 E8 ?? ?? ?? ?? 8B 06 83 78 10 00 75 20 8B 06 8B 40 0C 50 8B 06 83 C0 10 50 8B 06 8B 48 08 8B 06 8B 50 04 8B 06 8B 40 68 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 50 8B 06 8B 40 04 50 E8 ?? ?? ?? ?? B8 FF 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 68 FF 00 00 00 53 6A 02 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 40 08 B9 3F 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 40 10 50 E8 ?? ?? ?? ?? 8B 16 89 42 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16236_0 {
	meta:
		name = "GCopies"
		size = 62
		refs = "000f TPrinterSettings.Supported"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC BA 00 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 8B 40 FC 8B 40 14 0F BF 40 36 8B 55 08 8B 52 FC 89 42 18 5D C3 8B 45 08 8B 40 FC C7 40 18 01 00 00 00 5D C3 }
	condition:
		$1
}

rule function_16237_0 {
	meta:
		name = "GBin"
		size = 82
		refs = "001a TPrinterSettings.Supported 0032 cQRBinTranslate"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 40 FC C6 40 31 00 8B 45 08 8B 40 FC BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 08 8B 40 FC 8B 40 14 0F BF 70 38 33 D2 B8 ?? ?? ?? ?? 3B 30 75 0C 8B 45 08 8B 40 FC 88 50 31 5E 5D C3 42 83 C0 04 80 FA 0E 75 E7 5E 5D C3 }
	condition:
		$1
}

rule function_16238_0 {
	meta:
		name = "GDuplex"
		size = 63
		refs = "000f TPrinterSettings.Supported"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC BA 00 10 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 08 8B 40 FC 8B 40 14 66 83 78 3E 01 74 0C 8B 45 08 8B 40 FC C6 40 1C 01 5D C3 8B 45 08 8B 40 FC C6 40 1C 00 5D C3 }
	condition:
		$1
}

rule function_16239_0 {
	meta:
		name = "GPixelsPer"
		size = 67
		refs = "000f TPrinter.GetHandle 0015 GetDeviceCaps"
	strings:
		$1 = { 55 8B EC 6A 58 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 58 6A 5A 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 5C 5D C3 }
	condition:
		$1
}

rule function_16240_0 {
	meta:
		name = "GOffset"
		size = 192
		refs = "0020 TPrinter.GetHandle 0026 Escape 0053 TPrinterSettings.GetPixelsPerX 0064 GOffset 0069 @ROUND 007d TPrinterSettings.GetPixelsPerY"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F6 0D 00 6A 00 8D 45 F6 50 6A 02 6A 08 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 74 8D 45 F8 50 6A 00 6A 00 6A 0D 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 45 F8 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 64 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 45 FC DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 60 EB 16 8B 45 08 8B 40 FC 33 D2 89 50 64 8B 45 08 8B 40 FC 33 D2 89 50 60 8B E5 5D C3 00 00 7E 43 }
	condition:
		$1
}

rule function_16241_0 {
	meta:
		name = "GPaperSize"
		size = 82
		refs = "001a TPrinterSettings.Supported 0032 cQRPaperTranslate"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 40 FC C6 40 32 00 8B 45 08 8B 40 FC BA 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 08 8B 40 FC 8B 40 14 0F BF 70 2E 33 D2 B8 ?? ?? ?? ?? 3B 30 75 0C 8B 45 08 8B 40 FC 88 50 32 5E 5D C3 42 83 C0 04 80 FA 1C 75 E7 5E 5D C3 }
	condition:
		$1
}

rule function_16242_0 {
	meta:
		name = "GPaperDim"
		size = 192
		refs = "0020 TPrinter.GetHandle 0026 Escape 0053 TPrinterSettings.GetPixelsPerX 0064 GPaperDim 0069 @ROUND 007d TPrinterSettings.GetPixelsPerY"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F6 0C 00 6A 00 8D 45 F6 50 6A 02 6A 08 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 74 8D 45 F8 50 6A 00 6A 00 6A 0C 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 45 F8 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 45 FC DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 54 EB 16 8B 45 08 8B 40 FC 33 D2 89 50 50 8B 45 08 8B 40 FC 33 D2 89 50 54 8B E5 5D C3 00 00 7E 43 }
	condition:
		$1
}

rule function_16243_0 {
	meta:
		name = "GPaperSizes"
		size = 263
		refs = "000c GPaperSizes 0039 DeviceCapabilities 004a _DT_71 004f @DynArraySetLength 0060 @FillChar 00b1 cQRPaperTranslate 00f5 @DynArrayClear 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 14 50 6A 00 6A 02 8B 45 08 8B 40 FC 8B 40 0C 50 8B 45 08 8B 40 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 03 D2 8B 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 C0 33 33 C9 BA 1B 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 14 50 8B 45 FC 50 6A 02 8B 45 08 8B 40 FC 8B 40 0C 50 8B 45 08 8B 40 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B D8 8B FB 4F 85 FF 7C 33 47 33 F6 33 D2 B8 ?? ?? ?? ?? 8B 4D FC 0F B7 0C 71 3B 08 75 11 33 C0 8A C2 8B 55 08 8B 52 FC C6 44 02 32 01 EB 09 42 83 C0 04 80 FA 1C 75 DB 46 4F 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16244_0 {
	meta:
		name = "TPrinterSettings.GetPrinterSettings"
		size = 94
		refs = "0012 GPrinter 0019 GPixelsPer 0020 GCopies 0027 GBin 002e GDuplex 0035 GOffset 003c GPaperSize 0043 GPaperDim 004a GPaperSizes 0057 GlobalUnlock"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 68 00 74 4B 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16245_0 {
	meta:
		name = "TPrinterSettings.ApplySettings"
		size = 368
		refs = "0015 TPrinter.GetPrinter 001e GlobalLock 0028 TPrinterSettings.GetPaperSize 0038 TPrinterSettings.Supported 0048 TPrinterSettings.SetField 004f TPrinterSettings.GetPaperLength 0079 TPrinterSettings.GetPaperWidth 00ce cQRPaperTranslate 00ff TPrinterSettings.GetOutputBin 010a cQRBinTranslate 0133 TPrinterSettings.GetOrientation 0161 TPrinter.SetPrinter 016a GlobalUnlock"
	strings:
		$1 = { 53 8B D8 8B 43 0C 50 8D 43 10 50 8B 4B 08 8B 53 04 8B 43 68 E8 ?? ?? ?? ?? 8B 43 10 50 E8 ?? ?? ?? ?? 89 43 14 8B C3 E8 ?? ?? ?? ?? 3C 1B 75 54 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 14 66 89 42 30 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 14 66 89 42 32 BA 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 14 66 C7 40 3E 03 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 66 8B 04 85 ?? ?? ?? ?? 8B 53 14 66 89 42 2E BA 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 14 66 8B 53 18 66 89 50 36 BA 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 66 8B 04 85 ?? ?? ?? ?? 8B 53 14 66 8B 52 38 66 81 E2 00 01 66 0B C2 8B 53 14 66 89 42 38 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 43 14 66 C7 40 2C 01 00 EB 09 8B 43 14 66 C7 40 2C 02 00 8B 43 0C 50 8B 43 10 50 8B 4B 08 8B 53 04 8B 43 68 E8 ?? ?? ?? ?? 8B 43 10 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16246_0 {
	meta:
		name = "TPrinterSettings.SetCopies"
		size = 28
		refs = "000e TPrinterSettings.Supported"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 89 73 18 5E 5B C3 }
	condition:
		$1
}

rule function_16247_0 {
	meta:
		name = "TPrinterSettings.SetDuplex"
		size = 28
		refs = "000e TPrinterSettings.Supported"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 00 10 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 88 5E 1C 5E 5B C3 }
	condition:
		$1
}

rule function_16248_0 {
	meta:
		name = "TPrinterSettings.SetOrientation"
		size = 28
		refs = "000e TPrinterSettings.Supported"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 88 5E 30 5E 5B C3 }
	condition:
		$1
}

rule function_16249_0 {
	meta:
		name = "TPrinterSettings.SetOutputBin"
		size = 28
		refs = "000e TPrinterSettings.Supported"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 00 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 88 5E 31 5E 5B C3 }
	condition:
		$1
}

rule function_16250_0 {
	meta:
		name = "TPrinterSettings.SetPaperSize"
		size = 36
		refs = "000b TPrinterSettings.GetPaperSizeSupported"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 88 5E 32 5E 5B C3 84 DB 75 04 C6 46 32 00 5E 5B C3 }
	condition:
		$1
}

rule function_16251_0 {
	meta:
		name = "TPrinterSettings.SetPaperLength"
		size = 23
		refs = "0009 TPrinterSettings.GetPaperSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1B 75 03 89 73 54 5E 5B C3 }
	condition:
		$1
}

rule function_16252_0 {
	meta:
		name = "TPrinterSettings.SetPaperWidth"
		size = 23
		refs = "0009 TPrinterSettings.GetPaperSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1B 75 03 89 73 50 5E 5B C3 }
	condition:
		$1
}

rule function_16253_0 {
	meta:
		name = "TPrinterSettings.SetPrinter"
		size = 40
		refs = "0011 TPrinter.GetPrinters 0021 TPrinterSettings.GetPrinterSettings"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 68 85 F6 74 18 8B 43 68 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16254_0 {
	meta:
		name = "TPrinterSettings.SetTitle"
		size = 76
		refs = "000e @LStrAddRef 0016 TPrinterSettings.SetTitle 0027 @LStrAsg 003c @LStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 6C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16255_0 {
	meta:
		name = "TQRPrinterSettings.Create"
		size = 88
		refs = "000a @ClassCreate 0025 @LStrClr 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 0B 01 C7 46 04 01 00 00 00 C6 46 08 00 8D 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 14 33 C0 89 46 18 C7 46 0C FF FF FF FF C6 46 0A 07 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16256_0 {
	meta:
		name = "TQRPrinterSettings.ApplySettings"
		size = 80
		refs = "000c TQRPrinter.SetPrinterIndex 0016 TQRPrinter.SetPaperSize 0020 TQRPrinter.SetCopies 002a TQRPrinter.SetDuplex 0034 TQRPrinter.SetOrientation 003e TQRPrinter.SetBin 0049 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8A 53 0B 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8A 53 08 8B C6 E8 ?? ?? ?? ?? 8A 53 09 8B C6 E8 ?? ?? ?? ?? 8A 53 0A 8B C6 E8 ?? ?? ?? ?? 8D 46 78 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16257_0 {
	meta:
		name = "ResetDriver"
		size = 76
		refs = "0024 TPrinter.GetPrinter 0040 TPrinter.SetPrinter"
	strings:
		$1 = { 53 81 C4 FC FC FF FF 8B D8 8D 84 24 04 02 00 00 50 8D 44 24 04 50 8D 8C 24 0C 01 00 00 8D 54 24 0C 8B C3 E8 ?? ?? ?? ?? 8D 84 24 04 02 00 00 50 6A 00 8D 8C 24 0C 01 00 00 8D 54 24 0C 8B C3 E8 ?? ?? ?? ?? 81 C4 04 03 00 00 5B C3 }
	condition:
		$1
}

rule function_16258_0 {
	meta:
		name = "TQRPrinter.Create"
		size = 319
		refs = "000b @ClassCreate 0014 Printer 0019 TPrinter.GetPrinters 002d _Dn_TPrinter 0032 TPrinter.Create 003c _DV_TPrinterSettings 0041 TPrinterSettings.Create 0056 TPrinterSettings.SetPrinter 006f TPrinter.GetPrinterIndex 0087 TPrinter.SetPrinterIndex 008f TPrinterSettings.GetTopOffset 009a TPrinterSettings.GetLeftOffset 00b4 _DV_TQRPageList 00b9 TQRPageList.Create 012b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 9F C0 88 47 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 80 7F 70 00 74 3B 8B 57 04 8B C6 E8 ?? ?? ?? ?? 8B 47 04 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 7D 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 47 04 E8 ?? ?? ?? ?? 8B 47 08 E8 ?? ?? ?? ?? 89 47 7C 8B 47 08 E8 ?? ?? ?? ?? 89 47 3C C6 47 30 00 C6 87 81 00 00 00 00 33 C0 89 47 6C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 98 00 00 00 33 C0 89 47 20 33 C0 89 87 82 00 00 00 C7 87 86 00 00 00 00 00 00 80 66 C7 87 8A 00 00 00 FF 3F 33 C0 89 87 8C 00 00 00 C7 87 90 00 00 00 00 00 00 80 66 C7 87 94 00 00 00 FF 3F 33 C0 89 47 40 33 C0 89 47 44 33 C0 89 47 18 89 47 1C 33 C0 89 47 10 89 47 14 33 C0 89 47 2C C6 87 80 00 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16259_0 {
	meta:
		name = "TQRPrinter.Destroy"
		size = 92
		refs = "0003 @BeforeDestruction 0017 TQRPrinter.Cleanup 0023 TObject.Free 004a TPersistent.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 BE 81 00 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16260_0 {
	meta:
		name = "TQRPrinter.Cleanup"
		size = 67
		refs = "000f TQRPrinter.Cancel 001b TObject.Free 0036 TQRPageList.Clear"
	strings:
		$1 = { 53 8B D8 80 BB 81 00 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 15 E8 ?? ?? ?? ?? 33 C0 89 43 0C 8B 83 98 00 00 00 33 D2 89 50 28 8B 83 98 00 00 00 E8 ?? ?? ?? ?? C6 83 81 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16261_0 {
	meta:
		name = "TQRPrinter.ClosePreview"
		size = 62
		refs = "0019 TWinControl.GetHandle 001f SendMessage 0036 PostMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 44 85 FF 74 15 53 6A 00 68 04 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 74 13 6A 00 6A 00 6A 02 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16262_0 {
	meta:
		name = "TQRPrinter.XPos"
		size = 32
		refs = "0017 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 43 3C DB 6D 08 DE E1 DB AB 82 00 00 00 DE C9 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16263_0 {
	meta:
		name = "TQRPrinter.XSize"
		size = 27
		refs = "0012 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 6D 08 DB AB 82 00 00 00 DE C9 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16264_0 {
	meta:
		name = "TQRPrinter.YPos"
		size = 32
		refs = "0017 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 43 7C DB 6D 08 DE E1 DB AB 8C 00 00 00 DE C9 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16265_0 {
	meta:
		name = "TQRPrinter.YSize"
		size = 27
		refs = "0012 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 6D 08 DB AB 8C 00 00 00 DE C9 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16266_0 {
	meta:
		name = "TQRPrinter.GetCompression"
		size = 10
	strings:
		$1 = { 8B 80 98 00 00 00 8A 40 20 C3 }
	condition:
		$1
}

rule function_16267_0 {
	meta:
		name = "TQRPrinter.SetCompression"
		size = 10
	strings:
		$1 = { 8B 80 98 00 00 00 88 50 20 C3 }
	condition:
		$1
}

rule function_16271_0 {
	meta:
		name = "TQRPrinter.GetLeftWaste"
		size = 18
		refs = "000a TPrinterSettings.GetLeftOffset"
	strings:
		$1 = { 80 78 30 01 75 09 8B 40 08 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_16280_0 {
	meta:
		name = "TQRPrinter.GetTopWaste"
		size = 18
		refs = "000a TPrinterSettings.GetTopOffset"
	strings:
		$1 = { 80 78 30 01 75 09 8B 40 08 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_16274_0 {
	meta:
		name = "TQRPrinter.PaperLengthValue"
		size = 136
		refs = "0006 TQRPrinter.GetOrientation 0011 TQRPrinter.GetPaperSize 0034 cQRPaperSizeMetrics 003a TQRPrinter.PaperLengthValue 003f @ROUND 0048 TQRPrinter.GetPaperLength 0052 TPrinterSettings.GetPaperSize 007e TQRPrinter.GetPaperWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 40 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 43 08 E8 ?? ?? ?? ?? 3C 1B 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 20 41 }
	condition:
		$1
}

rule function_16275_0 {
	meta:
		name = "TQRPrinter.PaperWidthValue"
		size = 136
		refs = "0006 TQRPrinter.GetOrientation 0011 TQRPrinter.GetPaperSize 0034 cQRPaperSizeMetrics 003a TQRPrinter.PaperWidthValue 003f @ROUND 0048 TQRPrinter.GetPaperWidth 007d TQRPrinter.GetPaperLength"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 40 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 3C 1B 74 21 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 80 DB 2C 85 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 20 41 }
	condition:
		$1
}

rule function_16287_0 {
	meta:
		name = "TQRPrinter.GetPage"
		size = 36
		refs = "001c TQRPageList.GetPage"
	strings:
		$1 = { 8A 88 81 00 00 00 49 80 E9 02 73 15 85 D2 7E 11 3B 50 68 7F 0C 8B 80 98 00 00 00 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_16288_0 {
	meta:
		name = "TQRPrinter.SetPageNumber"
		size = 36
		refs = "0017 TQRPrinter.GetPage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 6C 85 C0 7E 14 3B 43 68 7F 0F 8B D6 8B C3 E8 ?? ?? ?? ?? 89 43 64 89 73 6C 5E 5B C3 }
	condition:
		$1
}

rule function_16291_0 {
	meta:
		name = "TQRPrinter.SetPrinterIndex"
		size = 35
		refs = "000d TPrinter.SetPrinterIndex 0015 ResetDriver 001d TPrinterSettings.GetPrinterSettings"
	strings:
		$1 = { 53 8B D8 80 7B 70 00 74 18 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16293_0 {
	meta:
		name = "TQRPrinter.CreateMetafileCanvas"
		size = 119
		refs = "0008 _Dn_TMetafile 000d TMetafile.Create 0019 TQRPrinter.PaperWidthValue 002d TQRPrinter.XSize 003d TQRPrinter.PaperLengthValue 0051 TQRPrinter.YSize 0067 _Dn_TMetafileCanvas 006c TMetafileCanvas.Create"
	strings:
		$1 = { 53 56 51 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 40 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 48 8B 08 FF 51 34 6A 00 8B 4B 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 5A 5E 5B C3 }
	condition:
		$1
}

rule function_16294_0 {
	meta:
		name = "TQRPrinter.CurrentPageOK"
		size = 33
	strings:
		$1 = { B2 01 8B 48 34 85 C9 7E 07 3B 48 68 7E 02 33 D2 8B 48 38 85 C9 7E 07 3B 48 68 7D 02 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_16295_0 {
	meta:
		name = "TQRPrinter.CreatePrinterCanvas"
		size = 85
		refs = "0014 @LStrAsg 001c TPrinter.BeginDoc 0024 TPrinter.GetCanvas 0031 TPrinter.GetHandle 0037 StartPage 0049 TQRPrinter.GetCanvas 004e TCanvas.Refresh"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 80 7E 1C 00 75 21 8D 46 18 8B 53 78 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 43 28 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 43 28 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16297_0 {
	meta:
		name = "TQRPrinter.EndPrinterCanvas"
		size = 25
		refs = "0014 TPrinter.NewPage"
	strings:
		$1 = { 8B 50 04 80 7A 1C 00 74 0F 8B 48 68 3B 48 38 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16298_0 {
	meta:
		name = "TQRPrinter.NewPage"
		size = 244
		refs = "000c TQRPrinter.NewPage 0023 SqrIllegalNewPage 0028 LoadResString 0032 _DV_EQRError 0037 Exception.Create 003c @RaiseExcept 0054 TQRPrinter.EndMetafileCanvas 0062 TQRPageList.AddPage 006a TObject.Free 0073 TQRPrinter.CurrentPageOK 007e TQRPrinter.EndPrinterCanvas 009a TQRPrinter.SetAvailablePages 00b2 TQRPrinter.CreateMetafileCanvas 00c6 TQRPrinter.CreatePrinterCanvas 00e4 @LStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 81 00 00 00 01 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 6C 00 7E 58 8A 43 30 2C 01 72 04 74 21 EB 42 8B C3 E8 ?? ?? ?? ?? 8B 53 48 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? EB 23 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0F 8B C3 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 8B 53 20 42 8B C3 E8 ?? ?? ?? ?? FF 43 68 FF 43 6C 8A 43 30 2C 01 72 04 74 0B EB 24 8B C3 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16299_0 {
	meta:
		name = "TQRPrinter.Cancel"
		size = 5
	strings:
		$1 = { C6 40 24 01 C3 }
	condition:
		$1
}

rule function_16300_0 {
	meta:
		name = "TQRPrinter.BeginDoc"
		size = 360
		refs = "0013 TQRPrinter.BeginDoc 0035 TPrinterSettings.ApplySettings 003c TQRPrinter.GetTopWaste 0046 TQRPrinter.GetLeftWaste 005a SqrQRPrinterNotReady 005f LoadResString 0069 _DV_EQRError 006e Exception.Create 0073 @RaiseExcept 00a3 _DV_TQRStream 00a8 TQRStream.Create 00bb Screen 00ff TPrinter.GetHandle 0105 GetDeviceCaps 0150 @LStrClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 48 33 C0 89 43 20 C6 43 24 00 80 7B 30 01 75 08 8B 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 7C 8B C3 E8 ?? ?? ?? ?? 89 43 3C 80 BB 81 00 00 00 00 74 26 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 00 00 00 33 C0 89 43 6C 33 C0 89 43 68 C6 83 81 00 00 00 01 8A 43 30 2C 01 72 07 74 63 E9 A4 00 00 00 B9 A0 86 01 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B 83 98 00 00 00 89 70 28 A1 ?? ?? ?? ?? 8B 00 DB 40 34 D8 35 ?? ?? ?? ?? DB BB 8C 00 00 00 9B 8B 83 8C 00 00 00 89 83 82 00 00 00 8B 83 90 00 00 00 89 83 86 00 00 00 66 8B 83 94 00 00 00 66 89 83 8A 00 00 00 EB 46 6A 58 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 D8 35 ?? ?? ?? ?? DB BB 82 00 00 00 9B 6A 5A 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 D8 35 ?? ?? ?? ?? DB BB 8C 00 00 00 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 00 7E 43 }
	condition:
		$1
}

rule function_16301_0 {
	meta:
		name = "TQRPrinter.SetAvailablePages"
		size = 42
		refs = "001c TWinControl.GetHandle 0022 PostMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 73 20 8B 7B 40 85 FF 74 15 6A 00 56 68 01 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16302_0 {
	meta:
		name = "TQRPrinter.SetProgress"
		size = 42
		refs = "001c TWinControl.GetHandle 0022 PostMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 73 74 8B 7B 40 85 FF 74 15 6A 00 56 68 00 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16303_0 {
	meta:
		name = "TQRPrinter.SetShowingPreview"
		size = 137
		refs = "0023 TQRPrinter.SetShowingPreview 003d TQRPrinter.Cancel 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 80 B8 80 00 00 00 00 74 5F 80 7D FB 00 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 81 00 00 00 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 1A 00 74 0C 8B 5D FC 8B 55 FC 8B 43 1C FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 FB 88 90 80 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8A 55 FB 88 90 80 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16304_0 {
	meta:
		name = "TQRPrinter.EndDoc"
		size = 169
		refs = "0026 TPrinter.EndDoc 0035 TQRPrinter.EndMetafileCanvas 0043 TQRPageList.AddPage 004b TObject.Free 0056 TQRPrinter.SetAvailablePages 006e TQRPageList.Finish 007f TQRPrinter.EndDoc 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB 81 00 00 00 01 0F 85 93 00 00 00 8A 43 30 2C 01 72 12 75 33 8B 43 04 80 78 1C 00 74 2A E8 ?? ?? ?? ?? EB 23 83 7B 68 00 7E 1D 8B C3 E8 ?? ?? ?? ?? 8B 53 48 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 8B 53 20 42 8B C3 E8 ?? ?? ?? ?? C6 83 81 00 00 00 02 80 7B 30 00 75 0D 8B 83 98 00 00 00 E8 ?? ?? ?? ?? EB 32 66 83 7B 12 00 74 2B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 43 14 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_16305_0 {
	meta:
		name = "TQRPrinter.AbortDoc"
		size = 66
		refs = "0010 TPrinter.Abort 001f TQRPrinter.EndMetafileCanvas 002d TQRPageList.AddPage 0035 TObject.Free"
	strings:
		$1 = { 53 8B D8 8A 43 30 2C 01 72 0C 75 2D 8B 43 04 E8 ?? ?? ?? ?? EB 23 83 7B 48 00 74 1D 8B C3 E8 ?? ?? ?? ?? 8B 53 48 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? C6 83 81 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_16306_0 {
	meta:
		name = "TQRPrinter.Load"
		size = 652
		refs = "0012 @LStrAddRef 001a TQRPrinter.Load 0034 TQRPrinter.Cleanup 003b _DV_TQRPageList 0040 TQRPageList.Create 0055 TQRPageList.LoadFromFile 006c Screen 00cd TQRPageList.GetPage 0102 @INT 0107 @ROUND 014b TObject.Free 0151 @HandleFinally 015a cQRPaperSizeMetrics 01af TQRPrinter.SetPaperSize 01b9 TQRPrinter.SetOrientation 026c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 81 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 98 00 00 00 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 40 24 8B 55 FC 89 42 68 A1 ?? ?? ?? ?? 8B 00 DB 40 34 D8 35 ?? ?? ?? ?? 8B 45 FC DB B8 82 00 00 00 9B 8B 45 FC 8B 55 FC 8B 8A 82 00 00 00 89 88 8C 00 00 00 8B 8A 86 00 00 00 89 88 90 00 00 00 66 8B 8A 8A 00 00 00 66 89 88 94 00 00 00 8B 45 FC 83 78 68 00 0F 8E 6B 01 00 00 8B 45 FC 8B 80 98 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 2C 89 45 E8 DB 45 E8 8B 45 FC DB A8 82 00 00 00 DE F9 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 EC 8B 10 FF 52 20 89 45 E8 DB 45 E8 8B 45 FC DB A8 82 00 00 00 DE F9 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B3 01 BE ?? ?? ?? ?? DB 2E D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B 45 F4 99 3B 54 24 04 75 03 3B 04 24 5A 58 75 3A DB 6E 0A D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B 45 F0 99 3B 54 24 04 75 03 3B 04 24 5A 58 75 14 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? DB 2E D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B 45 F0 99 3B 54 24 04 75 03 3B 04 24 5A 58 75 3A DB 6E 0A D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B 45 F4 99 3B 54 24 04 75 03 3B 04 24 5A 58 75 14 8B D3 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 43 83 C6 14 80 FB 1B 0F 85 35 FF FF FF 8B 45 FC 8B 80 98 00 00 00 8B 40 28 8B 55 FC 89 42 0C 8B 45 FC C6 80 81 00 00 00 02 8B 45 FC 33 D2 89 50 5C 89 50 60 8B 45 FC 33 D2 89 50 4C 89 50 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 00 7E 43 00 00 20 42 00 00 80 40 }
	condition:
		$1
}

rule function_16307_0 {
	meta:
		name = "TQRPrinter.Save"
		size = 88
		refs = "000e @LStrAddRef 0016 TQRPrinter.Save 0033 TQRPageList.SaveToFile 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 81 00 00 00 02 75 0E 8B 55 FC 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16308_0 {
	meta:
		name = "TQRPrinter.ExportToFilter"
		size = 18
	strings:
		$1 = { 53 66 83 78 4E 00 74 08 8B D8 8B 43 50 FF 53 4C 5B C3 }
	condition:
		$1
}

rule function_16309_0 {
	meta:
		name = "TQRPrinter.Preview"
		size = 129
		refs = "0012 TQRPrinter.Preview 0033 @HandleFinally 003e GlobalPreviewInterface 0071 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 66 83 7B 56 00 74 2B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 43 58 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C9 B2 01 A1 ?? ?? ?? ?? FF 50 2C 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16310_0 {
	meta:
		name = "TQRPrinter.PreviewModal"
		size = 129
		refs = "0012 TQRPrinter.PreviewModal 0033 @HandleFinally 003e GlobalPreviewInterface 0071 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 66 83 7B 56 00 74 2B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 43 58 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C9 B2 01 A1 ?? ?? ?? ?? FF 50 2C 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16311_0 {
	meta:
		name = "TQRPrinter.Print"
		size = 475
		refs = "0022 TWinControl.GetHandle 0028 PostMessage 0052 TQRPrinter.Print 006c @LStrAsg 007d TPrinter.Abort 0088 TPrinter.BeginDoc 00a2 Application 00a9 TApplication.ProcessMessages 00b3 TQRPrinter.SetPageNumber 00ce TPrinter.GetHandle 00d4 Escape 013f TPrinter.GetPageHeight 014f TPrinter.GetPageWidth 015a Rect 0168 TQRPrinter.GetPage 0174 TPrinter.GetCanvas 017b TCanvas.StretchDraw 018e TPrinter.NewPage 01c8 TPrinter.EndDoc 01ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 45 FC 8B 45 FC 8B 58 44 85 DB 74 1B 6A 00 6A 00 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 A3 01 00 00 8B 45 FC 80 B8 81 00 00 00 02 0F 85 93 01 00 00 8B 45 FC 80 78 70 00 0F 84 86 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 83 C0 18 8B 55 FC 8B 52 78 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 80 78 1C 00 74 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 FF 8B 45 FC 8B 70 68 85 F6 0F 8E 12 01 00 00 BB 01 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 66 C7 45 EA 0C 00 6A 00 8D 45 EA 50 6A 02 6A 08 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1B 8D 45 EC 50 6A 00 6A 00 6A 0C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 C7 45 EA 0D 00 6A 00 8D 45 EA 50 6A 02 6A 08 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 F4 50 8D 45 F4 50 57 6A 0D 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 8D 45 D8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D8 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? 8B 45 FC 3B 58 68 7D 0B 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 80 78 24 00 74 0B 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 43 4E 0F 85 F3 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 80 78 1C 00 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16316_0 {
	meta:
		name = "Finalization"
		size = 98
		refs = "0007 Finalization 0013 _DV_51 001b FQRPrinter 0028 TObject.Free 002d QRExportFilterLibrary 0037 Names 0042 String 0047 @FinalizeArray 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 32 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16317_0 {
	meta:
		name = "QRPrntr"
		size = 54
		refs = "0002 _DV_51 000a _NF__447 000f @InitResStringImports 0016 FQRPrinter 001b _DV_TQRStandardPreviewInterface 0020 GlobalPreviewInterface 0027 _DV_TQRExportFilterLibrary 002c TQRExportFilterLibrary.Create 0031 QRExportFilterLibrary"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16318_0 {
	meta:
		name = "TQRDBChart.Create"
		size = 119
		refs = "000e @ClassCreate 001c TCustomDBChart.Create 0028 TControl.SetColor 0031 TCustomPanel.SetBevelOuter 003a TCustomTeePanel.SetBufferedDisplay 0055 TControl.Hide 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 01 83 C9 FF 83 CA FF 8B C3 8B 30 FF 96 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16319_0 {
	meta:
		name = "TQRDBChart.GetRectangle"
		size = 128
		refs = "0022 TQRDBChart.GetRectangle 003c TControl.GetClientHeight 004c @ROUND 0055 TControl.GetClientWidth 0071 Rect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B 50 24 85 D2 74 67 8B DA 8B 83 FC 01 00 00 85 C0 74 12 DB 80 04 02 00 00 D8 3D ?? ?? ?? ?? DD 1C 24 9B EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F0 3F 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 DC 0C 24 E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 89 44 24 14 DB 44 24 14 DC 4C 24 08 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 00 C8 42 }
	condition:
		$1
}

rule function_16320_0 {
	meta:
		name = "TQRDBChart.Paint"
		size = 226
		refs = "003c TCustomTeePanel.TeeCreateMetafile 0047 TQRDBChart.Paint 0068 TCanvas.StretchDraw 007d TObject.Free 0083 @HandleFinally 008c TCustomTeePanel.TeeCreateBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 8B 43 24 85 C0 0F 84 C7 00 00 00 8B F0 8A 86 24 02 00 00 2C 01 72 68 0F 85 B5 00 00 00 8D 55 E8 8B C3 8B 08 FF 91 CC 00 00 00 8D 4D E8 B2 01 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C6 8B 08 FF 51 44 8D 55 E8 8B 86 EC 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5B 24 8D 55 E8 8B C3 8B 08 FF 51 44 8D 55 E8 8B 83 EC 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16321_0 {
	meta:
		name = "TQRDBChart.Invalidate"
		size = 15
	strings:
		$1 = { 8B 50 24 85 D2 74 07 8B C2 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_16322_0 {
	meta:
		name = "TQRChart.Create"
		size = 296
		refs = "0019 @ClassCreate 0028 TQRChart.Create 0039 TQRPrintable.Create 004c TControl.SetWidth 0058 TControl.SetHeight 0070 _DV_TQRDBChart 0075 TQRDBChart.Create 008f TeeGetUniqueName 00b4 TObject.ClassName 00c2 @LStrFromString 00e8 @LStrClr 00ee @HandleFinally 00fd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 24 02 00 00 01 BA 5E 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 43 20 10 74 75 8B 43 04 F6 40 20 01 75 6C 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 64 8D 4D F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 18 8B 86 80 03 00 00 8B 40 18 8B 10 FF 52 40 8D 95 F8 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 86 80 03 00 00 8B 40 18 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 FF FF FF FF 09 00 00 00 51 52 44 42 43 68 61 72 74 00 00 00 }
	condition:
		$1
}

rule function_16323_0 {
	meta:
		name = "TQRChart.ReadState"
		size = 46
		refs = "0009 TQRChart.GetChart 001e TObject.Free 0027 TWinControl.ReadState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 F6 40 20 01 75 0B F6 40 20 20 75 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16324_0 {
	meta:
		name = "TQRChart.SetPrintMethod"
		size = 20
	strings:
		$1 = { 3A 90 24 02 00 00 74 0B 88 90 24 02 00 00 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_16325_0 {
	meta:
		name = "TQRChart.Print"
		size = 462
		refs = "0016 TQRChart.GetChart 0027 TCustomDBChart.RefreshData 0049 TQRPrintableSize.GetValue 0075 TQRPrinter.YPos 00bc TQRPrinter.XPos 0111 Rect 015f TCustomTeePanel.TeeCreateMetafile 016a TQRChart.Print 0177 TQRPrinter.GetCanvas 0182 TCanvas.StretchDraw 0197 TObject.Free 019d @HandleFinally 01c3 TQRPrintable.Print"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 95 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 8B B8 B4 02 00 00 8B 45 FC 8B 80 08 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 45 F4 DE C1 DB 7D C4 9B 8B 45 FC 8B 80 08 02 00 00 33 D2 E8 ?? ?? ?? ?? DB 6D C4 DE C1 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8B 45 FC 8B 80 08 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? DB 45 F8 DE C1 DB 7D C4 9B 8B 45 FC 8B 80 08 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? DB 6D C4 DE C1 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 08 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 45 F4 DE C1 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 08 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? DB 45 F8 DE C1 83 C4 F4 DB 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 8B 08 FF 91 CC 00 00 00 8B 45 FC 66 83 B8 1E 02 00 00 00 74 19 8D 45 D0 50 8D 4D E0 8B 5D FC 8B 55 FC 8B 83 20 02 00 00 FF 93 1C 02 00 00 8B 45 FC 8A 80 24 02 00 00 2C 01 72 4E 75 62 8D 4D D0 B2 01 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 55 E0 8B 4D F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C6 8B 18 FF 93 C4 00 00 00 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16326_0 {
	meta:
		name = "TQRChart.Paint"
		size = 38
		refs = "0006 TQRChart.GetChart 0020 TQRPrintable.Paint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16327_0 {
	meta:
		name = "TQRChart.GetChart"
		size = 29
		refs = "0006 TWinControl.GetControlCount 0013 TWinControl.GetControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0B 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_16334_0 {
	meta:
		name = "UniqueName"
		size = 151
		refs = "0017 @LStrAddRef 001f UniqueName 0037 IntToStr 0045 @LStrCat3 004f TComponent.FindComponent 0084 @LStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 EB 01 43 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 85 C0 75 D9 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16335_0 {
	meta:
		name = "DataSetOK"
		size = 26
		refs = "000a TDataSet.GetActive"
	strings:
		$1 = { 53 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_16336_0 {
	meta:
		name = "CharWidth"
		size = 52
		refs = "000d CharWidth"
	strings:
		$1 = { 83 C4 F0 89 44 24 0C DB 44 24 0C D8 3D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 C3 00 00 A0 42 5C 8F C2 F5 28 5C 8F A2 00 40 00 00 }
	condition:
		$1
}

rule function_16337_0 {
	meta:
		name = "CharHeight"
		size = 64
		refs = "000d CharHeight"
	strings:
		$1 = { 83 C4 F0 89 44 24 0C DB 44 24 0C DB 2D ?? ?? ?? ?? DE F1 DB 2D ?? ?? ?? ?? DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 C3 00 00 CD CC CC CC CC CC 4C 91 06 40 00 00 5C 8F C2 F5 28 5C 8F A2 00 40 00 00 }
	condition:
		$1
}

rule function_16338_0 {
	meta:
		name = "SnapToUnit"
		size = 108
		refs = "0012 @ROUND 0041 SnapToUnit"
	strings:
		$1 = { 55 8B EC 83 C4 EC 2C 01 72 1B 2C 02 75 2E DB 6D 08 E8 ?? ?? ?? ?? 89 45 EC 89 55 F0 DF 6D EC DB 7D F6 9B EB 38 DB 6D 08 E8 ?? ?? ?? ?? 89 45 EC 89 55 F0 DF 6D EC DB 7D F6 9B EB 21 DB 6D 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 89 55 F0 DF 6D EC D8 35 ?? ?? ?? ?? DB 7D F6 9B DB 6D F6 8B E5 5D C2 0C 00 00 00 00 00 20 42 }
	condition:
		$1
}

rule function_16339_0 {
	meta:
		name = "TQRCustomController.Create"
		size = 147
		refs = "000b @ClassCreate 001c TComponent.Create 0026 _Dn_TList 002b TObject.Create 0055 TQRCustomController.SetMaster 007f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 34 33 D2 8B C7 E8 ?? ?? ?? ?? 89 7F 3C 33 D2 8B C7 8B 08 FF 51 58 C6 47 38 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 48 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16340_0 {
	meta:
		name = "TQRCustomController.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 000f TObject.Free 0033 TComponent.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16343_0 {
	meta:
		name = "TQRCustomController.CheckGroups"
		size = 173
		refs = "0028 TList.Get 002d TQRGroup.Check 006e TQREvaluator.Value"
	strings:
		$1 = { 53 56 57 55 81 C4 F8 FE FF FF 8B F8 C6 04 24 00 8B 47 34 8B 70 08 4E 85 F6 0F 8C 80 00 00 00 46 33 DB 8B 47 34 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 34 8B D3 E8 ?? ?? ?? ?? 80 B8 64 02 00 00 00 74 57 C6 04 24 01 8D 6B 01 8B 47 34 8B 70 08 4E 2B F5 7C 49 46 8B 47 34 8B D5 E8 ?? ?? ?? ?? 8B D8 8D 54 24 04 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 56 57 8D 74 24 0C 8D BB 68 02 00 00 B9 41 00 00 00 F3 A5 5F 5E C6 83 64 02 00 00 01 C6 83 6C 03 00 00 01 45 4E 75 BE EB 04 43 4E 75 83 8A 04 24 81 C4 08 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16344_0 {
	meta:
		name = "TQRCustomController.NewPageCheckGroups"
		size = 249
		refs = "0020 TList.Get 0025 TQRCustomController.NewPageCheckGroups 004e TQRGroup.NewPageCheck 008f TQREvaluator.Value 00c9 TQRCustomController.PrintGroupHeaders"
	strings:
		$1 = { 53 56 57 55 81 C4 F8 FE FF FF 8B F0 8B 46 30 8B 78 08 4F 85 FF 7C 16 47 33 DB 8B D3 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 ED C6 04 24 00 8B 46 34 8B 78 08 4F 85 FF 0F 8C 80 00 00 00 47 33 DB 8B D3 8B 46 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 34 E8 ?? ?? ?? ?? 80 B8 64 02 00 00 00 74 57 C6 04 24 01 8D 6B 01 8B 46 34 8B 78 08 4F 2B FD 7C 49 47 8B D5 8B 46 34 E8 ?? ?? ?? ?? 8B D8 8D 54 24 04 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 56 57 8D 74 24 0C 8D BB 68 02 00 00 B9 41 00 00 00 F3 A5 5F 5E C6 83 64 02 00 00 01 C6 83 6C 03 00 00 01 45 4F 75 BE EB 04 43 4F 75 83 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 2C 8B 78 08 4F 85 FF 7C 16 47 33 DB 8B D3 8B 46 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 ED 81 C4 08 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16345_0 {
	meta:
		name = "TQRCustomController.PrintGroupHeaders"
		size = 61
		refs = "0019 TList.Get 0031 TQRGroup.PrintGroupHeader"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 34 8B 70 08 4E 85 F6 7C 29 46 33 DB 8B 47 34 8B D3 E8 ?? ?? ?? ?? 80 B8 64 02 00 00 00 74 0F 8B 47 34 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 DA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16346_0 {
	meta:
		name = "TQRCustomController.PrintGroupFooters"
		size = 59
		refs = "0016 TList.Get 002e TQRGroup.PrintGroupFooter"
	strings:
		$1 = { 53 56 8B F0 8B 46 34 8B 58 08 4B 83 FB 00 7C 28 8B D3 8B 46 34 E8 ?? ?? ?? ?? 80 B8 64 02 00 00 00 74 0F 8B D3 8B 46 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 D8 5E 5B C3 }
	condition:
		$1
}

rule function_16347_0 {
	meta:
		name = "TQRCustomController.SetMaster"
		size = 80
		refs = "000e _DV_TCustomQuickRep 0013 @IsClass 001f _DV_TQRCustomController 0030 _DV_TQRControllerBand 0049 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B DE 74 43 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 89 5E 28 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16348_0 {
	meta:
		name = "TQRCustomController.SetPrintBefore"
		size = 4
	strings:
		$1 = { 88 50 44 C3 }
	condition:
		$1
}

rule function_16349_0 {
	meta:
		name = "TQRCustomController.CheckLastGroupFooters"
		size = 63
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 34 8B 78 08 4F 85 FF 7C 2B 47 33 DB 8B D3 8B 46 34 E8 ?? ?? ?? ?? 8A 80 64 02 00 00 34 01 50 8B D3 8B 46 34 E8 ?? ?? ?? ?? 5A 88 90 64 02 00 00 43 4F 75 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16351_0 {
	meta:
		name = "BuildTreeFrom"
		size = 387
		refs = "0013 TComponent.GetComponentCount 002a TComponent.GetComponent 0030 _DV_TQRCustomController 0035 @IsClass 0048 _DV_TQRControllerBand 00df TQRCustomController.AddBefore 00f2 TQRCustomController.AddAfter 010c _DV_TQRGroup 015b TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 85 F6 0F 84 6E 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 5C 01 00 00 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 80 58 02 00 00 8B 55 08 89 42 FC EB 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 83 78 FC 00 74 61 8B 45 08 8B 40 FC 8B 40 28 8B 55 08 8B 52 F8 3B 42 3C 75 4D 8B 45 08 8B 40 F8 8B 40 40 8B 55 08 8B 52 FC 89 42 40 8B 45 08 8B 40 FC 80 78 44 00 74 13 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 11 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 52 34 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 8B 40 F4 8B 80 60 02 00 00 8B 55 08 8B 52 F8 3B 42 3C 75 37 8B 45 08 8B 40 F4 F6 40 20 08 75 2B 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 40 34 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 50 40 8B 45 08 8B 40 F4 8B 08 FF 91 CC 00 00 00 43 4F 0F 85 A7 FE FF FF 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_16352_0 {
	meta:
		name = "TQRCustomController.BuildTree"
		size = 135
		refs = "001e @CallDynaInst 004a _DV_TQRCustomController 004f @IsClass 005c BuildTreeFrom"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 F8 8B 45 F8 F6 40 20 08 75 6F 8B 45 F8 8B 40 30 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 F8 8B 40 2C 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 F8 8B 40 34 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 F8 8B 58 3C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 55 8B 43 24 E8 ?? ?? ?? ?? 59 EB 0A 55 8B 43 04 E8 ?? ?? ?? ?? 59 55 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 54 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16354_0 {
	meta:
		name = "TQRCustomController.PrintBeforeControllers"
		size = 42
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 30 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 30 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 38 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16355_0 {
	meta:
		name = "TQRCustomController.PrintAfterControllers"
		size = 42
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 2C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 2C 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 38 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16356_0 {
	meta:
		name = "TQRCustomController.PrintEmptyController"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 48 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_16357_0 {
	meta:
		name = "TQRCustomController.Prepare"
		size = 143
		refs = "000d @CallDynaInst 0025 TList.Get 006c TQRGroup.Prepare 0084 TQREvEnvironment.GetConstant"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 48 66 BB FF FF E8 ?? ?? ?? ?? 8B 47 30 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 30 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 3C 46 4B 75 ED 8B 47 2C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 2C 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 3C 46 4B 75 ED 8B 47 34 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 34 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 24 8B 50 08 8B 47 40 8B 80 58 02 00 00 E8 ?? ?? ?? ?? 89 47 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16359_0 {
	meta:
		name = "TQRCustomController.UpdateLocalVar"
		size = 45
		refs = "0021 TQREvEnvironment.SetConstant"
	strings:
		$1 = { 53 81 C4 FC FE FF FF 8B D8 8B D4 8B C3 8B 08 FF 51 30 8B CC 8B 43 40 8B 80 58 02 00 00 8B 53 4C E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_16360_0 {
	meta:
		name = "TQRCustomController.Unprepare"
		size = 108
		refs = "0019 TList.Get 0060 TQRGroup.Unprepare"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 30 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 30 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 40 46 4B 75 ED 8B 47 2C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 2C 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 40 46 4B 75 ED 8B 47 34 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 34 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16361_0 {
	meta:
		name = "TQRCustomController.Execute"
		size = 12
	strings:
		$1 = { 80 78 38 00 74 05 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_16363_0 {
	meta:
		name = "TQRCustomController.NotifyClients"
		size = 57
		refs = "001e TList.Get"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 8B 43 48 8B 70 08 4E 85 F6 7C 1E 46 33 FF 8B D7 8B 43 48 E8 ?? ?? ?? ?? 8A 0C 24 8B D3 8B 28 FF 95 CC 00 00 00 47 4E 75 E5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16364_0 {
	meta:
		name = "TQRController.RegisterBands"
		size = 232
		refs = "0008 TQRCustomController.RegisterBands 0019 TCustomQuickRep.RegisterBand 0031 TList.Get"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 5C 85 C0 74 0A 8B D0 8B 46 40 E8 ?? ?? ?? ?? 8B 46 34 8B 78 08 4F 85 FF 7C 1B 47 33 DB 8B D3 8B 46 34 E8 ?? ?? ?? ?? 8B D0 8B 46 40 E8 ?? ?? ?? ?? 43 4F 75 E8 8B 46 30 8B 78 08 4F 85 FF 7C 16 47 33 DB 8B D3 8B 46 30 E8 ?? ?? ?? ?? 8B 10 FF 52 50 43 4F 75 ED 8B 46 54 85 C0 74 0A 8B D0 8B 46 40 E8 ?? ?? ?? ?? 8B 46 2C 8B 78 08 4F 85 FF 7C 16 47 33 DB 8B D3 8B 46 2C E8 ?? ?? ?? ?? 8B 10 FF 52 50 43 4F 75 ED 8B 46 34 8B 58 08 4B 83 FB 00 7C 31 8B D3 8B 46 34 E8 ?? ?? ?? ?? 83 B8 5C 02 00 00 00 74 18 8B D3 8B 46 34 E8 ?? ?? ?? ?? 8B 90 5C 02 00 00 8B 46 40 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CF 8B 46 58 85 C0 74 0A 8B D0 8B 46 40 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16365_0 {
	meta:
		name = "TQRController.RegisterDatasets"
		size = 46
		refs = "0007 DataSetOK 0028 TList.Add"
	strings:
		$1 = { 53 8B D8 8B 43 50 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 43 40 83 B8 14 02 00 00 00 74 11 8B 43 40 8B 80 14 02 00 00 8B 53 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16366_0 {
	meta:
		name = "TQRController.Notification"
		size = 87
		refs = "0010 TComponent.Notification 0041 TQRController.SetDataSet 004f TQRCustomController.SetMaster"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 3A 3B 77 5C 75 05 33 C0 89 47 5C 3B 77 54 75 05 33 C0 89 47 54 3B 77 58 75 05 33 C0 89 47 58 3B 77 50 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B 77 28 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16367_0 {
	meta:
		name = "TQRController.PrintEmptyController"
		size = 88
		refs = "000b TQRCustomBand.MakeSpace 0016 TCustomQuickRep.PrintBand"
	strings:
		$1 = { 53 8B D8 8B 43 5C 85 C0 74 10 E8 ?? ?? ?? ?? 8B 53 5C 8B 43 40 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 8B 43 54 85 C0 74 10 E8 ?? ?? ?? ?? 8B 53 54 8B 43 40 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B 43 58 85 C0 74 10 E8 ?? ?? ?? ?? 8B 53 58 8B 43 40 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16368_0 {
	meta:
		name = "TQRController.Prepare"
		size = 192
		refs = "000e TQRController.Prepare 001b TQRCustomController.Prepare 002e _Dn_TQuery 0033 @IsClass 003e TQuery.GetParamsCount 006c TParams.GetItem 0077 AnsiUpperCase 00ae @LStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? C6 43 6C 00 8B 73 50 85 F6 74 73 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 62 8B C6 E8 ?? ?? ?? ?? 66 85 C0 76 56 8B 43 50 E8 ?? ?? ?? ?? 0F B7 F0 4E 85 F6 7C 46 46 33 FF 80 7B 6C 00 75 34 8B 43 50 8B 80 20 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 24 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 40 8B 80 58 02 00 00 8B 08 FF 51 50 85 C0 7D 04 33 C0 EB 02 B0 01 88 43 6C 47 4E 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16369_0 {
	meta:
		name = "TQRController.Execute"
		size = 616
		refs = "000a DataSetOK 004c PerformSQLParamsUpdate 0054 TDataSet.First 009b TQRCustomController.CheckGroups 00aa Application 00b1 TApplication.ProcessMessages 00cd TQRCustomBand.MakeSpace 00d8 TCustomQuickRep.PrintBand 00f1 _DV_TCustomQuickRep 00f6 @IsClass 010e TQuickRepBands.GetBand 0191 TQRCustomController.PrintGroupHeaders 01ad TQRCustomController.NotifyClients 01cb TDataSet.Next 020e TDataSet.Prior 0215 TQRCustomController.PrintGroupFooters 0232 TQRCustomController.CheckLastGroupFooters"
	strings:
		$1 = { 53 56 57 51 8B F0 8B 46 50 E8 ?? ?? ?? ?? 84 C0 75 0B 66 83 7E 62 00 0F 84 39 02 00 00 83 7E 40 00 0F 84 2F 02 00 00 C6 04 24 01 8B 46 50 E8 ?? ?? ?? ?? 8B D8 84 DB 74 42 80 7E 6C 00 74 11 8B 46 40 8B 90 58 02 00 00 8B 46 50 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 46 50 8A 80 91 00 00 00 34 01 88 04 24 80 3C 24 00 75 27 80 7E 38 00 74 21 8B C6 8B 10 FF 52 4C EB 18 66 83 7E 62 00 74 11 F6 46 20 10 75 0B 8B CC 8B 56 3C 8B 46 64 FF 56 60 33 C0 89 46 68 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 0F 84 BA 01 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 46 40 80 B8 3C 02 00 00 00 0F 85 9E 01 00 00 8B 46 5C 85 C0 74 10 E8 ?? ?? ?? ?? 8B 56 5C 8B 46 40 E8 ?? ?? ?? ?? 8B 7E 40 83 BF 94 02 00 00 01 0F 8F 39 01 00 00 8B 46 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 23 01 00 00 8B 87 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 0B 01 00 00 8B 46 40 8B 80 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7E 40 8B 87 30 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? E9 D2 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 46 40 8B 80 B4 02 00 00 80 78 24 00 0F 85 F1 00 00 00 8B 46 40 80 B8 C0 02 00 00 00 74 0D 83 B8 94 02 00 00 01 0F 8F D8 00 00 00 FF 46 68 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 8B 46 54 85 C0 74 05 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 56 54 8B 46 40 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 84 DB 74 18 8B 46 50 E8 ?? ?? ?? ?? 8B 46 50 8A 80 91 00 00 00 34 01 88 04 24 EB 1C C6 04 24 00 66 83 7E 62 00 74 11 F6 46 20 10 75 0B 8B CC 8B 56 3C 8B 46 64 FF 56 60 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 84 DB 74 08 8B 46 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 08 8B 46 50 E8 ?? ?? ?? ?? 80 3C 24 00 0F 85 24 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 58 85 C0 74 1F E8 ?? ?? ?? ?? 8B 56 58 8B 46 40 E8 ?? ?? ?? ?? EB 0D 80 7E 38 00 74 07 8B C6 8B 10 FF 52 4C 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16370_0 {
	meta:
		name = "TQRController.SetDataSet"
		size = 19
		refs = "000e TComponent.FreeNotification"
	strings:
		$1 = { 8B CA 89 48 50 85 D2 74 09 8B D0 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16371_0 {
	meta:
		name = "TQRGroup.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TQRCustomBand.Create 001e _Dn_TQREvaluator 0023 TQREvaluator.Create 0032 TQRCustomBand.SetBandType 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 54 02 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? C6 86 6D 03 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16373_0 {
	meta:
		name = "TQRGroup.Notification"
		size = 61
		refs = "0010 TQRCustomBand.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 20 3B B7 5C 02 00 00 75 08 33 C0 89 87 5C 02 00 00 3B B7 60 02 00 00 75 08 33 C0 89 87 60 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16374_0 {
	meta:
		name = "TQRGroup.SetExpression"
		size = 79
		refs = "000e @LStrAddRef 0016 TQRGroup.SetExpression 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 58 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16375_0 {
	meta:
		name = "TQRGroup.PrintGroupHeader"
		size = 50
		refs = "0006 TQRCustomBand.MakeSpace 0013 TCustomQuickRep.PrintBand"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 83 44 02 00 00 E8 ?? ?? ?? ?? C6 83 6D 03 00 00 01 8B 83 44 02 00 00 8B 80 94 02 00 00 89 83 70 03 00 00 5B C3 }
	condition:
		$1
}

rule function_16376_0 {
	meta:
		name = "TQRGroup.PrintGroupFooter"
		size = 44
		refs = "000e TQRCustomBand.MakeSpace 001f TCustomQuickRep.PrintBand"
	strings:
		$1 = { 53 8B D8 8B 83 5C 02 00 00 85 C0 74 16 E8 ?? ?? ?? ?? 8B 93 5C 02 00 00 8B 83 44 02 00 00 E8 ?? ?? ?? ?? C6 83 6D 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16377_0 {
	meta:
		name = "TQRGroup.NewPageCheck"
		size = 63
	strings:
		$1 = { 80 B8 6D 03 00 00 00 74 2E 8B 90 44 02 00 00 8B 92 94 02 00 00 3B 90 70 03 00 00 74 1A C6 80 64 02 00 00 01 8B 90 44 02 00 00 8B 92 94 02 00 00 89 90 70 03 00 00 C3 C6 80 64 02 00 00 00 C3 }
	condition:
		$1
}

rule function_16378_0 {
	meta:
		name = "TQRGroup.Check"
		size = 262
		refs = "0029 TQREvaluator.Value 0095 @AStrCmp"
	strings:
		$1 = { 53 56 57 81 C4 F8 FD FF FF 8B D8 C6 83 64 02 00 00 00 80 BB 6C 03 00 00 00 75 39 8D 94 24 04 01 00 00 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8D B4 24 04 01 00 00 8D BB 68 02 00 00 B9 41 00 00 00 F3 A5 C6 83 64 02 00 00 01 C6 83 6C 03 00 00 01 E9 A8 00 00 00 8B D4 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8A 04 24 3A 83 68 02 00 00 74 09 C6 83 64 02 00 00 01 EB 6F 2C 01 72 2B 74 3E FE C8 74 06 FE C8 74 4E EB 5F 8D 44 24 01 8D 93 69 02 00 00 33 C9 8A 08 41 E8 ?? ?? ?? ?? 0F 95 C0 88 83 64 02 00 00 EB 40 8B 44 24 04 3B 83 6C 02 00 00 0F 95 C0 88 83 64 02 00 00 EB 2B DD 44 24 04 DC 9B 6C 02 00 00 DF E0 9E 0F 95 C0 88 83 64 02 00 00 EB 13 8A 44 24 01 3A 83 69 02 00 00 0F 95 C0 88 83 64 02 00 00 80 BB 64 02 00 00 00 74 0F 8B F4 8D BB 68 02 00 00 B9 41 00 00 00 F3 A5 81 C4 08 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16379_0 {
	meta:
		name = "TQRGroup.SetFooterBand"
		size = 37
		refs = "0012 TQRCustomBand.SetBandType 001f TComponent.FreeNotification"
	strings:
		$1 = { 53 8B D8 8B C2 89 83 5C 02 00 00 85 C0 74 14 B2 06 E8 ?? ?? ?? ?? 8B D3 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16380_0 {
	meta:
		name = "TQRGroup.SetMaster"
		size = 84
		refs = "000a _DV_TQRControllerBand 000f @IsClass 001b _DV_TCustomQuickRep 0035 TCustomQuickRep.RebuildBandList 0040 TCustomQuickRep.SetBandValues 004d TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 89 B3 60 02 00 00 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 60 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16381_0 {
	meta:
		name = "TQRGroup.SetParent"
		size = 53
		refs = "000b TQRCustomBand.SetParent 001c _DV_TCustomQuickRep 0021 @IsClass 002e TQRGroup.SetMaster"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 60 02 00 00 00 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16382_0 {
	meta:
		name = "TQRGroup.Prepare"
		size = 62
		refs = "0016 TQREvaluator.SetDatasets 0027 TQREvaluator.Prepare"
	strings:
		$1 = { 53 8B D8 8B 83 44 02 00 00 8B 90 14 02 00 00 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B 93 58 02 00 00 8B 83 54 02 00 00 E8 ?? ?? ?? ?? C6 83 6C 03 00 00 00 C7 83 70 03 00 00 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16383_0 {
	meta:
		name = "TQRGroup.Unprepare"
		size = 12
		refs = "0007 TQREvaluator.UnPrepare"
	strings:
		$1 = { 8B 80 54 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16384_0 {
	meta:
		name = "TQRFrame.Create"
		size = 59
		refs = "0008 @ClassCreate 002c @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C7 40 14 01 00 00 00 C6 40 12 00 C6 40 08 00 C6 40 09 00 C6 40 11 00 C6 40 10 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_16385_0 {
	meta:
		name = "TQRFrame.PaintIt"
		size = 428
		refs = "001f TQRFrame.PaintIt 0032 @ROUND 009c TBrush.SetStyle 00aa TBrush.SetColor 00b5 TQRFrame.SetPen 00d8 TCanvas.MoveTo 00e7 TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 8D 7D E4 B9 04 00 00 00 F3 A5 8B FA 89 45 FC DB 6D 14 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? 8B 45 FC DB 40 14 DE C9 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 01 7D 09 8B 45 FC 83 78 14 01 7D 09 8B 45 FC 83 78 14 FF 75 07 C7 45 F8 01 00 00 00 DB 6D 08 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? 8B 45 FC DB 40 14 DE C9 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 01 7D 09 8B 45 FC 83 78 14 01 7D 09 8B 45 FC 83 78 14 FF 75 07 C7 45 F4 01 00 00 00 8B 47 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 47 14 E8 ?? ?? ?? ?? 8B 57 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 12 00 74 2D 8B 75 F4 4E 85 F6 7C 25 46 33 DB 8B 4D E8 03 CB 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 4D E8 03 CB 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 43 4E 75 DE 8B 45 FC 80 78 08 00 74 2D 8B 75 F4 4E 85 F6 7C 25 46 33 DB 8B 4D F0 2B CB 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 2B CB 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 43 4E 75 DE 8B 45 FC 80 78 09 00 74 2D 8B 75 F8 4E 85 F6 7C 25 46 33 DB 8B 55 E4 03 D3 8B 4D E8 8B C7 E8 ?? ?? ?? ?? 8B 55 E4 03 D3 8B 4D F0 8B C7 E8 ?? ?? ?? ?? 43 4E 75 DE 8B 45 FC 80 78 11 00 74 2D 8B 75 F8 4E 85 F6 7C 25 46 33 DB 8B 55 EC 2B D3 8B 4D E8 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 2B D3 8B 4D F0 8B C7 E8 ?? ?? ?? ?? 43 4E 75 DE 8B 47 14 B2 01 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 18 00 00 00 90 42 00 00 7E 43 }
	condition:
		$1
}

rule function_16386_0 {
	meta:
		name = "TQRFrame.AnyFrame"
		size = 30
	strings:
		$1 = { 80 78 12 00 75 15 80 78 08 00 75 0F 80 78 09 00 75 09 80 78 11 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_16387_0 {
	meta:
		name = "TQRFrame.SetColor"
		size = 12
	strings:
		$1 = { 89 50 04 8B 40 0C 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_16388_0 {
	meta:
		name = "TQRFrame.SetParent"
		size = 4
		altNames = "TSeriesPointer.ChangeHorizSize"
	strings:
		$1 = { 89 50 0C C3 }
	condition:
		$1
}

rule function_16389_0 {
	meta:
		name = "TQRFrame.SetStyle"
		size = 12
	strings:
		$1 = { 88 50 10 8B 40 0C 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_16390_0 {
	meta:
		name = "TQRFrame.SetValue"
		size = 42
	strings:
		$1 = { 83 EA 01 72 0A 74 0D 4A 74 0F 4A 74 11 EB 12 88 48 12 EB 0D 88 48 08 EB 08 88 48 09 EB 03 88 48 11 8B 40 0C 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_16391_0 {
	meta:
		name = "TQRFrame.SetWidth"
		size = 12
	strings:
		$1 = { 89 50 14 8B 40 0C 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_16392_0 {
	meta:
		name = "TQRFrame.SetPen"
		size = 41
		refs = "000e TPen.SetWidth 0018 TPen.SetStyle 0022 TPen.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8A 53 10 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16393_0 {
	meta:
		name = "TQRUnitBase.Create"
		size = 107
		refs = "000a @ClassCreate 0014 LocalMeasureInches 003a Screen 0058 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 80 3D ?? ?? ?? ?? 00 74 0B B2 01 8B C6 8B 08 FF 51 24 EB 09 33 D2 8B C6 8B 08 FF 51 24 8B C6 8B 10 FF 52 14 88 46 09 A1 ?? ?? ?? ?? 8B 00 8B 40 34 89 46 04 C6 46 10 00 C7 46 14 64 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16394_0 {
	meta:
		name = "TQRUnitBase.GetUnits"
		size = 4
	strings:
		$1 = { 8A 40 08 C3 }
	condition:
		$1
}

rule function_16395_0 {
	meta:
		name = "TQRUnitBase.SetUnits"
		size = 4
	strings:
		$1 = { 88 50 08 C3 }
	condition:
		$1
}

rule function_16396_0 {
	meta:
		name = "TQRUnitBase.LoadUnit"
		size = 220
		refs = "0022 TQRUnitBase.LoadUnit 006b TFont.GetSize 0075 CharWidth 009b CharHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 80 EA 01 72 0F 74 1F FE CA 74 2D FE CA 74 48 E9 93 00 00 00 DB 6D 08 D8 35 ?? ?? ?? ?? DB 7D F6 9B E9 95 00 00 00 DB 6D 08 D8 35 ?? ?? ?? ?? DB 7D F6 9B E9 83 00 00 00 DB 43 04 D8 3D ?? ?? ?? ?? DB 6D 08 DE F1 DB 43 14 DE C9 D8 35 ?? ?? ?? ?? DB 7D F6 9B EB 64 84 C9 74 26 8B 43 0C 8B 40 58 E8 ?? ?? ?? ?? 99 33 C2 2B C2 E8 ?? ?? ?? ?? DB 6D 08 DE F1 D8 35 ?? ?? ?? ?? DB 7D F6 9B EB 3A 8B 43 0C 8B 40 58 E8 ?? ?? ?? ?? 99 33 C2 2B C2 E8 ?? ?? ?? ?? DB 6D 08 DE F1 D8 35 ?? ?? ?? ?? DB 7D F6 9B EB 14 8B 45 08 89 45 F6 8B 45 0C 89 45 FA 66 8B 45 10 66 89 45 FE DB 6D F6 5B 8B E5 5D C2 0C 00 00 00 00 00 20 41 00 00 7E 43 00 00 C8 42 }
	condition:
		$1
}

rule function_16397_0 {
	meta:
		name = "TQRUnitBase.SaveUnit"
		size = 220
		refs = "0022 TQRUnitBase.SaveUnit 006b TFont.GetSize 0075 CharWidth 009b CharHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 80 EA 01 72 0F 74 1F FE CA 74 2D FE CA 74 48 E9 93 00 00 00 DB 6D 08 D8 0D ?? ?? ?? ?? DB 7D F6 9B E9 95 00 00 00 DB 6D 08 D8 0D ?? ?? ?? ?? DB 7D F6 9B E9 83 00 00 00 DB 43 04 D8 3D ?? ?? ?? ?? DB 6D 08 DE C9 DB 43 14 DE F9 D8 0D ?? ?? ?? ?? DB 7D F6 9B EB 64 84 C9 74 26 8B 43 0C 8B 40 58 E8 ?? ?? ?? ?? 99 33 C2 2B C2 E8 ?? ?? ?? ?? DB 6D 08 DE C9 D8 0D ?? ?? ?? ?? DB 7D F6 9B EB 3A 8B 43 0C 8B 40 58 E8 ?? ?? ?? ?? 99 33 C2 2B C2 E8 ?? ?? ?? ?? DB 6D 08 DE C9 D8 0D ?? ?? ?? ?? DB 7D F6 9B EB 14 8B 45 08 89 45 F6 8B 45 0C 89 45 FA 66 8B 45 10 66 89 45 FE DB 6D F6 5B 8B E5 5D C2 0C 00 00 00 00 00 20 41 00 00 7E 43 00 00 C8 42 }
	condition:
		$1
}

rule function_16398_0 {
	meta:
		name = "TQRUnitBase.DefineProperties"
		size = 64
		refs = "0018 TQRUnitBase.DefineProperties 0027 TPersistent.DefineProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 8B 03 8B 40 1C 50 53 8B 03 8B 40 28 50 B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 06 00 00 00 56 61 6C 75 65 73 00 00 }
	condition:
		$1
}

rule function_16399_0 {
	meta:
		name = "TQRUnitBase.SetPixels"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 14 88 43 09 C6 43 08 02 5B C3 }
	condition:
		$1
}

rule function_16400_0 {
	meta:
		name = "TQRBandSize.FixZoom"
		size = 6
		altNames = "TQRPage.FixZoom TQRPrintableSize.FixZoom TQRUnitBase.Loaded"
	strings:
		$1 = { 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_16404_0 {
	meta:
		name = "TQRUnitBase.RestoreUnit"
		size = 7
	strings:
		$1 = { 8A 50 09 88 50 08 C3 }
	condition:
		$1
}

rule function_16405_0 {
	meta:
		name = "TQRBandSize.Create"
		size = 96
		refs = "000b @ClassCreate 001a TQRUnitBase.Create 004c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 33 C0 89 47 18 C7 47 1C 00 00 00 A0 66 C7 47 20 04 40 33 C0 89 47 22 C7 47 26 00 00 00 A0 66 C7 47 2A 03 40 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16407_0 {
	meta:
		name = "TQRBandSize.GetValue"
		size = 86
	strings:
		$1 = { 53 83 C4 F4 8B D8 85 D2 75 23 66 8B 43 2A 50 FF 73 26 FF 73 22 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 18 FF 53 0C DB 3C 24 9B EB 21 66 8B 43 20 50 FF 73 1C FF 73 18 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B DB 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_16408_0 {
	meta:
		name = "TQRBandSize.ReadValues"
		size = 45
		refs = "0009 TReader.ReadListBegin 0010 TReader.ReadFloat 0026 TReader.ReadListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DB 7E 22 9B 8B C3 E8 ?? ?? ?? ?? DB 7E 18 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16409_0 {
	meta:
		name = "TQRBandSize.SetParentSizes"
		size = 98
		refs = "0026 @ROUND"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 2C 00 74 53 C6 43 10 01 66 8B 43 20 50 FF 73 1C FF 73 18 B1 01 B2 02 8B C3 8B 38 FF 57 0C E8 ?? ?? ?? ?? 50 66 8B 43 2A 50 FF 73 26 FF 73 22 33 C9 B2 02 8B C3 8B 38 FF 57 0C E8 ?? ?? ?? ?? 50 8B 73 2C 8B 4E 34 8B 56 30 8B C6 8B 30 FF 96 80 00 00 00 C6 43 10 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16410_0 {
	meta:
		name = "TQRBandSize.SetValue"
		size = 97
	strings:
		$1 = { 55 8B EC 53 56 8B D8 83 EA 01 72 04 74 25 EB 44 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 10 DB 7B 22 9B EB 21 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 10 DB 7B 18 9B 8B C3 8B 10 FF 52 20 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16411_0 {
	meta:
		name = "TQRBandSize.WriteValues"
		size = 59
		refs = "0009 TWriter.WriteListBegin 001b TWriter.WriteFloat 0034 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 66 8B 46 2A 50 FF 76 26 FF 76 22 8B C3 E8 ?? ?? ?? ?? 66 8B 46 20 50 FF 76 1C FF 76 18 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16412_0 {
	meta:
		name = "TQRPage.Create"
		size = 323
		refs = "000b @ClassCreate 001a TQRUnitBase.Create 002c TQRPage.SetValue 0032 LocalMeasureInches 0047 TQRPage.SetPaperSize 012f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 68 6A 00 6A 00 6A 00 33 D2 8B C7 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 71 B2 01 8B C7 8B 08 FF 51 24 B2 01 8B C7 E8 ?? ?? ?? ?? 68 FE 3F 00 00 68 00 00 00 80 6A 00 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 68 FE 3F 00 00 68 00 00 00 80 6A 00 33 D2 8B C7 E8 ?? ?? ?? ?? 68 FE 3F 00 00 68 00 00 00 80 6A 00 BA 05 00 00 00 8B C7 E8 ?? ?? ?? ?? 68 FE 3F 00 00 68 00 00 00 80 6A 00 BA 04 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 6F 33 D2 8B C7 8B 08 FF 51 24 B2 09 8B C7 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 33 D2 8B C7 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 BA 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 BA 05 00 00 00 8B C7 E8 ?? ?? ?? ?? C6 47 52 01 C7 47 2C 01 00 00 00 C6 47 46 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16413_0 {
	meta:
		name = "TQRPage.GetValue"
		size = 306
		refs = "0012 TQRPage.GetValue"
	strings:
		$1 = { 53 83 C4 F4 8B D8 83 FA 05 0F 87 FA 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 43 20 50 FF 73 1C FF 73 18 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 18 FF 53 0C DB 3C 24 9B E9 D6 00 00 00 66 8B 43 42 50 FF 73 3E FF 73 3A 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 18 FF 53 0C DB 3C 24 9B E9 B0 00 00 00 66 8B 43 5C 50 FF 73 58 FF 73 54 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 18 FF 53 0C DB 3C 24 9B E9 8A 00 00 00 66 8B 43 66 50 FF 73 62 FF 73 5E 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B EB 67 66 8B 43 38 50 FF 73 34 FF 73 30 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B EB 44 66 8B 43 50 50 FF 73 4C FF 73 48 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B EB 21 66 8B 43 2A 50 FF 73 26 FF 73 22 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 18 FF 53 0C DB 3C 24 9B DB 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_16415_0 {
	meta:
		name = "TQRPage.ReadValues"
		size = 107
		refs = "0009 TReader.ReadListBegin 0010 TReader.ReadFloat 005d TReader.ReadListEnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DB 7B 18 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 3A 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 54 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 5E 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 30 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 48 9B 8B C6 E8 ?? ?? ?? ?? DB 7B 22 9B 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 5E 5B C3 }
	condition:
		$1
}

rule function_16416_0 {
	meta:
		name = "TQRPage.SetColumns"
		size = 37
		refs = "0017 TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 3B 53 2C 74 1B 85 D2 7E 17 89 53 2C 8B 43 68 85 C0 74 0D E8 ?? ?? ?? ?? 8B 43 68 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_16417_0 {
	meta:
		name = "TQRPage.WriteValues"
		size = 149
		refs = "0009 TWriter.WriteListBegin 001b TWriter.WriteFloat 008e TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 66 8B 46 20 50 FF 76 1C FF 76 18 8B C3 E8 ?? ?? ?? ?? 66 8B 46 42 50 FF 76 3E FF 76 3A 8B C3 E8 ?? ?? ?? ?? 66 8B 46 5C 50 FF 76 58 FF 76 54 8B C3 E8 ?? ?? ?? ?? 66 8B 46 66 50 FF 76 62 FF 76 5E 8B C3 E8 ?? ?? ?? ?? 66 8B 46 38 50 FF 76 34 FF 76 30 8B C3 E8 ?? ?? ?? ?? 66 8B 46 50 50 FF 76 4C FF 76 48 8B C3 E8 ?? ?? ?? ?? 66 8B 46 2A 50 FF 76 26 FF 76 22 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16418_0 {
	meta:
		name = "TQRPage.GetPaperSize"
		size = 4
	strings:
		$1 = { 8A 40 45 C3 }
	condition:
		$1
}

rule function_16419_0 {
	meta:
		name = "TQRPage.GetRuler"
		size = 4
	strings:
		$1 = { 8A 40 52 C3 }
	condition:
		$1
}

rule function_16420_0 {
	meta:
		name = "TQRPage.SetOrientation"
		size = 24
		refs = "0009 TQRPage.GetPaperSize 0012 TQRPage.SetPaperSize"
	strings:
		$1 = { 53 8B D8 88 53 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16421_0 {
	meta:
		name = "TQRPage.SetParentSizes"
		size = 101
		refs = "002b @ROUND 0035 TControl.SetWidth 005a TControl.SetHeight"
	strings:
		$1 = { 53 56 8B D8 80 7B 10 00 75 58 83 7B 68 00 74 52 C6 43 10 01 66 8B 43 66 50 FF 73 62 FF 73 5E B1 01 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 8B D0 8B 43 68 E8 ?? ?? ?? ?? 66 8B 43 42 50 FF 73 3E FF 73 3A 33 C9 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 8B D0 8B 43 68 E8 ?? ?? ?? ?? C6 43 10 00 5E 5B C3 }
	condition:
		$1
}

rule function_16422_0 {
	meta:
		name = "TQRPage.SetValue"
		size = 451
		refs = "0013 TQRPage.SetValue 005f TCustomQuickRep.SetBandValues 006b TQRPage.GetPaperSize"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 83 FA 06 0F 87 AD 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 33 C9 8B C6 8B 18 FF 53 10 DB 7E 18 9B 8B C6 8B 10 FF 52 20 8B 46 68 E8 ?? ?? ?? ?? E9 55 01 00 00 8B C6 E8 ?? ?? ?? ?? 3C 1B 0F 85 46 01 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 33 C9 8B C6 8B 18 FF 53 10 DB 7E 3A 9B 8B C6 8B 10 FF 52 20 8B 46 68 E8 ?? ?? ?? ?? E9 11 01 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 33 C9 8B C6 8B 18 FF 53 10 DB 7E 54 9B 8B 46 68 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 78 E9 DB 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 1B 0F 85 CC 00 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 B1 01 8B C6 8B 18 FF 53 10 DB 7E 5E 9B 8B C6 8B 10 FF 52 20 8B 46 68 E8 ?? ?? ?? ?? E9 97 00 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 B1 01 8B C6 8B 18 FF 53 10 DB 7E 30 9B 8B 46 68 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 78 EB 64 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 B1 01 8B C6 8B 18 FF 53 10 DB 7E 48 9B 8B 46 68 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 78 EB 31 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 8B D0 B1 01 8B C6 8B 18 FF 53 10 DB 7E 22 9B 8B 46 68 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 78 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16423_0 {
	meta:
		name = "TQRPage.SetRuler"
		size = 49
		refs = "001e TCustomQuickRep.GetUnits"
	strings:
		$1 = { 53 56 8B F0 3A 56 52 74 25 88 56 52 8B 46 68 85 C0 74 1B 8B 10 FF 52 78 8B 5E 68 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 C4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_16424_0 {
	meta:
		name = "TQRPage.SetUnits"
		size = 24
		refs = "0006 TQRUnitBase.SetUnits"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 68 85 C0 74 05 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_16425_0 {
	meta:
		name = "TQRPage.SetPaperSize"
		size = 217
		refs = "001b TQRUnitBase.SetPixels 002d TQRPage.SetPaperSize 003f cQRPaperSizeMetrics 0059 TQRPage.SetValue 00c6 TQRUnitBase.RestoreUnit 00ce TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 84 DB 0F 84 C3 00 00 00 80 FB 1B 0F 84 BA 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 24 B2 1B 8B C6 E8 ?? ?? ?? ?? 80 7E 44 00 75 47 33 C0 8A C3 8D 3C 80 A1 ?? ?? ?? ?? 66 8B 54 B8 F4 52 FF 74 B8 F0 FF 74 B8 EC BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 8B 54 B8 FE 52 FF 74 B8 FA FF 74 B8 F6 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 45 33 C0 8A C3 8D 3C 80 A1 ?? ?? ?? ?? 66 8B 54 B8 FE 52 FF 74 B8 FA FF 74 B8 F6 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 8B 54 B8 F4 52 FF 74 B8 F0 FF 74 B8 EC BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 88 5E 45 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16426_0 {
	meta:
		name = "TQRPage.SetPrintOrder"
		size = 12
		refs = "0007 TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 88 50 46 8B 40 68 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16427_0 {
	meta:
		name = "TQRBasePanel.Create"
		size = 111
		refs = "000e @ClassCreate 001c TCustomPanel.Create 0023 _DV_TQRFrame 0028 TQRFrame.Create 0039 TQRFrame.SetParent 005a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 08 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? C7 83 00 02 00 00 0C 00 00 00 C7 83 04 02 00 00 64 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16428_0 {
	meta:
		name = "TQRBasePanel.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TCustomControl.Destroy 0029 @ClassDestroy"
		altNames = "TScroller.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16429_0 {
	meta:
		name = "TQRBasePanel.GetFrame"
		size = 7
	strings:
		$1 = { 8B 80 08 02 00 00 C3 }
	condition:
		$1
}

rule function_16430_0 {
	meta:
		name = "TQRBasePanel.SetFrame"
		size = 12
	strings:
		$1 = { 89 90 08 02 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_16431_0 {
	meta:
		name = "TQRBasePanel.SetZoom"
		size = 129
		refs = "0015 TWinControl.GetControlCount 0028 TWinControl.GetControl 002e _DV_TQRPrintable 0033 @IsClass 0047 TQRPrintable.SetZoom 0058 _DV_TQRBasePanel"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 85 ED 74 70 89 AE 04 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? EB 2B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 91 BC 00 00 00 43 4F 75 A7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16432_0 {
	meta:
		name = "PaintInches"
		size = 792
		refs = "0012 PaintInches 0089 @ROUND 00ba cqrRulerMajorColor 00c2 TPen.SetColor 00c8 cqrRulerMajorStyle 00d0 TPen.SetStyle 00da cqrRulerMinorColor 00e8 cqrRulerMinorStyle 011c TCanvas.MoveTo 0141 TCanvas.LineTo 0170 IntToStr 0198 TCanvas.TextOut 02f6 @LStrClr 02fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 B8 04 02 00 00 31 8B 45 08 0F 9F 40 FB 8B 45 08 8B 40 FC 8B B0 EC 01 00 00 8B 45 08 DB 40 F4 D8 35 ?? ?? ?? ?? 8B 45 08 8B 40 FC DB 80 04 02 00 00 DE C9 D8 35 ?? ?? ?? ?? 8B 45 08 DB 78 EA 9B 8B 45 08 8B 40 FC DB 40 38 8B 45 08 DB 40 F4 DE F9 8B 45 08 8B 40 FC DB 80 04 02 00 00 DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E 03 01 00 00 BB 01 00 00 00 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 20 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B0 01 EB 1E 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 33 C0 8B 55 08 0A 42 FB 0F 84 9A 00 00 00 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 48 3C 8B C6 E8 ?? ?? ?? ?? 8B 45 08 80 78 E3 00 74 4E 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 3C 8D 55 F8 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 02 FF FF FF 8B 45 08 8B 40 FC DB 40 3C 8B 45 08 DB 40 F4 DE F9 8B 45 08 8B 40 FC DB 80 04 02 00 00 DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E 03 01 00 00 BB 01 00 00 00 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 20 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B0 01 EB 1E 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 33 C0 8B 55 08 0A 42 FB 0F 84 9A 00 00 00 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC 8B 50 38 8B C6 E8 ?? ?? ?? ?? 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 45 8B 45 08 80 78 E3 00 74 3C 8D 55 F8 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D FC DB 45 FC 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B C8 83 C1 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 02 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 00 00 80 40 00 00 C8 42 00 00 C8 43 }
	condition:
		$1
}

rule function_16433_0 {
	meta:
		name = "PaintMM"
		size = 748
		refs = "0012 PaintMM 007d @ROUND 00ad cqrRulerMinorStyle 00b5 TPen.SetStyle 00bb cqrRulerMinorColor 00c3 TPen.SetColor 00cf cqrRulerMajorColor 00dd cqrRulerMajorStyle 010c IntToStr 0134 TCanvas.TextOut 015d TCanvas.MoveTo 0182 TCanvas.LineTo 02c2 @LStrClr 02c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 B8 04 02 00 00 3B 8B 45 08 0F 9F 40 FB 8B 45 08 8B 40 FC 8B B0 EC 01 00 00 8B 45 08 DB 40 F4 D8 3D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 8B 45 08 8B 40 FC DB 80 04 02 00 00 DE F9 D8 0D ?? ?? ?? ?? 8B 45 08 DB 78 EA 9B 8B 45 08 8B 40 FC DB 40 38 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E F9 00 00 00 BB 01 00 00 00 8B C3 25 01 00 00 80 79 05 48 83 C8 FE 40 48 75 22 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? C6 45 FF 00 EB 6B 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? C6 45 FF 01 8B 45 08 80 78 E3 00 74 42 8B 45 08 80 78 FB 00 74 39 8D 55 F8 8B C3 D1 F8 79 03 83 D0 00 E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8A 40 FB 0A 45 FF 74 43 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 48 3C 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 0C FF FF FF 8B 45 08 8B 40 FC DB 40 3C 8B 45 08 DB 68 EA DE C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E F9 00 00 00 BB 01 00 00 00 8B C3 25 01 00 00 80 79 05 48 83 C8 FE 40 48 75 22 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? C6 45 FF 00 EB 6B 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? C6 45 FF 01 8B 45 08 80 78 E3 00 74 42 8B 45 08 80 78 FB 00 74 39 8D 55 F8 8B C3 D1 F8 79 03 83 D0 00 E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B C8 83 C1 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8A 40 FB 0A 45 FF 74 43 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 89 5D F4 DB 45 F4 8B 45 08 DB 68 EA DE F9 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC 8B 50 38 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 0C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 80 3F 5C 8F C2 F5 28 5C 8F A2 01 40 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_16434_0 {
	meta:
		name = "PaintCharacters"
		size = 704
		refs = "0012 PaintCharacters 002e TPen.SetStyle 003f CharWidth 0065 @ROUND 00b7 TCanvas.MoveTo 00f7 TCanvas.LineTo 010f IntToStr 0152 TCanvas.TextOut 016b CharHeight 0290 @LStrClr 0296 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B B0 EC 01 00 00 B2 02 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC DB 40 38 8B 45 08 DB 40 F4 DE F9 DB 2D ?? ?? ?? ?? DE C9 DE F1 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E E1 00 00 00 BB 01 00 00 00 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 48 3C 8B C6 E8 ?? ?? ?? ?? 8B 45 08 80 78 E3 00 74 52 8D 55 F8 8B C3 03 C0 8D 04 80 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B D0 83 C2 02 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 24 FF FF FF 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC DB 40 3C 8B 45 08 DB 40 F4 DE F9 DB 2D ?? ?? ?? ?? DE C9 DE F1 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 78 E4 85 FF 0F 8E DC 00 00 00 BB 01 00 00 00 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC 8B 50 38 8B C6 E8 ?? ?? ?? ?? 8B 45 08 80 78 E3 00 74 4D 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 89 5D FC DB 45 FC DE C9 8B 45 08 DB 40 F4 DE C9 DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B C8 83 C1 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 29 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 33 33 33 33 33 33 33 CB 03 40 00 00 00 00 20 41 5C 8F C2 F5 28 5C 8F A2 00 40 00 00 }
	condition:
		$1
}

rule function_16435_0 {
	meta:
		name = "TQRBasePanel.PaintRuler"
		size = 242
		refs = "0016 TQRBasePanel.PaintRuler 002a Screen 003a cqrRulerFontName 003f @LStrFromString 004a TFont.SetName 0050 cqrRulerFontSize 0058 TFont.SetSize 005e cqrRulerFontColor 0066 TFont.SetColor 007c TPen.SetColor 0089 TPen.SetWidth 0092 _DV_TCustomQuickRep 0097 @IsClass 00a5 PaintInches 00b2 PaintMM 00c0 PaintCharacters 00cb TPen.SetStyle 00e0 @LStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D DC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B B0 EC 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 34 89 45 F4 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 01 00 00 8B 40 10 BA C0 C0 C0 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 E3 80 FB 01 75 09 55 E8 ?? ?? ?? ?? 59 EB 19 84 DB 75 09 55 E8 ?? ?? ?? ?? 59 EB 0C 80 FB 03 75 07 55 E8 ?? ?? ?? ?? 59 33 D2 8B 46 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16436_0 {
	meta:
		name = "TQRBasePanel.Paint"
		size = 94
		refs = "001f TBrush.SetColor 0038 TBrush.SetStyle 004a TCanvas.FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 8B 9E EC 01 00 00 8B C6 8B 10 FF 52 50 84 C0 74 0D 8B 56 64 8B 43 14 E8 ?? ?? ?? ?? EB 0D BA C0 C0 C0 00 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 51 44 8B D4 8B C3 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_16437_0 {
	meta:
		name = "TQRBasePanel.PrepareComponents"
		size = 111
		refs = "0008 TWinControl.GetControlCount 001b TWinControl.GetControl 0021 _DV_TQRPrintable 0026 @IsClass 004c _DV_TQRBasePanel 0063 TQRBasePanel.PrepareComponents"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 58 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 C4 00 00 00 EB 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 AB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16438_0 {
	meta:
		name = "TQRBasePanel.UnprepareComponents"
		size = 111
		refs = "0008 TWinControl.GetControlCount 001b TWinControl.GetControl 0021 _DV_TQRPrintable 0026 @IsClass 004c _DV_TQRBasePanel 0063 TQRBasePanel.UnprepareComponents"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 58 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 D4 00 00 00 EB 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 AB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16439_0 {
	meta:
		name = "TQRBasePanel.CreateParams"
		size = 31
		refs = "0006 TCustomPanel.CreateParams 0011 Application"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 7B 1C 00 75 0D A1 ?? ?? ?? ?? 8B 00 8B 40 24 89 43 1C 5B C3 }
	condition:
		$1
}

rule function_16440_0 {
	meta:
		name = "TQRCustomBand.Create"
		size = 184
		refs = "000b @ClassCreate 001a _DV_TQRBandSize 001f TQRBandSize.Create 0043 TQRBasePanel.Create 004c TControl.SetAlign 0055 TControl.SetText 0061 TControl.SetColor 006a TCustomPanel.SetBevelOuter 0073 TCustomPanel.SetBevelInner 007c TQRCustomBand.SetEnabled 008f TControl.SetHeight 00a4 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 50 02 00 00 C6 87 48 02 00 00 00 33 D2 8B C7 8B 08 FF 91 CC 00 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? C6 87 1C 02 00 00 00 BA 28 00 00 00 8B C7 E8 ?? ?? ?? ?? C7 87 4C 02 00 00 28 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16441_0 {
	meta:
		name = "TQRCustomBand.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 0018 TCustomQuickRep.RemoveBand 0023 TObject.Free 002f TQRBasePanel.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 44 02 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16442_0 {
	meta:
		name = "TQRCustomBand.GetBandSize"
		size = 7
	strings:
		$1 = { 8B 80 50 02 00 00 C3 }
	condition:
		$1
}

rule function_16444_0 {
	meta:
		name = "TQRCustomBand.Loaded"
		size = 50
		refs = "0006 TControl.Loaded 000d TQRCustomBand.GetBandSize 002c TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 18 8B 83 4C 02 00 00 83 F8 28 74 0F 83 7B 3C 28 75 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16445_0 {
	meta:
		name = "TQRCustomBand.GetChild"
		size = 124
		refs = "0032 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B D8 33 ED 8B 83 44 02 00 00 85 C0 74 63 8B 80 2C 02 00 00 8B 78 08 4F 85 FF 7C 55 47 33 F6 8B 83 44 02 00 00 8B 80 2C 02 00 00 8B D6 E8 ?? ?? ?? ?? 80 B8 49 02 00 00 0A 75 32 8B 83 44 02 00 00 8B 80 2C 02 00 00 8B D6 E8 ?? ?? ?? ?? 3B 98 54 02 00 00 75 17 8B 83 44 02 00 00 8B 80 2C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B E8 EB 04 46 4F 75 AE 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16446_0 {
	meta:
		name = "TQRCustomBand.BandTypeName"
		size = 31
		refs = "0013 cQRBandTypeName 0018 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 8A 93 49 02 00 00 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16447_0 {
	meta:
		name = "TQRCustomBand.BandComponentName"
		size = 31
		refs = "0013 cQRBandComponentName 0018 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 8A 93 49 02 00 00 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16448_0 {
	meta:
		name = "TQRCustomBand.GetHasChild"
		size = 17
		refs = "0006 TQRCustomBand.GetChild"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_16449_0 {
	meta:
		name = "TQRCustomBand.SetEnabled"
		size = 25
	strings:
		$1 = { 53 8B D8 88 93 3C 02 00 00 8B C3 8B 08 FF 51 60 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_16450_0 {
	meta:
		name = "TQRCustomBand.SetZoom"
		size = 40
		refs = "0006 TQRBasePanel.SetZoom 000d TQRCustomBand.GetBandSize 0022 TQRBandSize.FixZoom"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 04 02 00 00 89 50 14 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16451_0 {
	meta:
		name = "TQRCustomBand.SetHasChild"
		size = 292
		refs = "0014 TQRCustomBand.SetHasChild 0021 TQRCustomBand.GetHasChild 004a _Dn_TCustomForm 004f @IsClass 006e @IntfCast 0077 cQRBandComponentName 0089 @LStrClr 0093 _DV_TQRChildBand 0098 TQRChildBand.Create 00b7 TQRChildBand.SetParentBand 00c0 TQRCustomBand.GetChild 00e2 TObject.Free 00f7 @IntfClear 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3A 45 FF 0F 84 B8 00 00 00 80 7D FF 00 0F 84 85 00 00 00 F6 43 20 10 74 47 8B 73 04 EB 03 8B 76 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 85 F6 75 E8 85 F6 74 2E 8D 45 F4 8B 96 30 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 58 EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F8 8B C6 8B 08 FF 51 18 8B 53 24 8B C6 8B 08 FF 51 64 8B D3 8B C6 E8 ?? ?? ?? ?? EB 29 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 55 72 BE AB 95 54 D1 11 9F B5 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_16452_0 {
	meta:
		name = "TQRCustomBand.GetUnits"
		size = 21
	strings:
		$1 = { 8B 90 50 02 00 00 85 D2 74 08 8B C2 8B 10 FF 52 14 C3 B0 04 C3 }
	condition:
		$1
}

rule function_16453_0 {
	meta:
		name = "TQRCustomBand.SetBandType"
		size = 37
		refs = "0014 TCustomQuickRep.RebuildBandList 001f TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 88 93 49 02 00 00 8B 83 44 02 00 00 85 C0 74 10 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16455_0 {
	meta:
		name = "TQRCustomBand.SetParent"
		size = 164
		refs = "0012 _DV_TCustomQuickRep 0017 @IsClass 0024 TCustomQuickRep.RemoveBand 0030 _DV_TQRCustomBand 0045 TControl.SetParent 0076 TCustomQuickRep.AddBand 007d TQRCustomBand.GetBandSize"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 24 85 FF 74 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 85 F6 74 14 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 76 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7B 24 85 FF 74 50 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B D6 8B C3 8B 08 FF 91 CC 00 00 00 8B D3 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 89 50 0C 8B 83 44 02 00 00 8B 90 04 02 00 00 8B C3 8B 08 FF 91 BC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16456_0 {
	meta:
		name = "TQRCustomBand.SetParentReport"
		size = 7
	strings:
		$1 = { 89 90 44 02 00 00 C3 }
	condition:
		$1
}

rule function_16457_0 {
	meta:
		name = "TQRCustomBand.SetUnits"
		size = 104
		refs = "0023 TWinControl.GetControlCount 0036 TWinControl.GetControl 003c _DV_TQRPrintable 0041 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 85 50 02 00 00 85 C0 74 07 8B D3 8B 08 FF 51 24 8B C5 8B 10 FF 52 78 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 35 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 80 08 02 00 00 8B D3 8B 08 FF 51 24 46 4F 75 CE 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16458_0 {
	meta:
		name = "TQRCustomBand.Paint"
		size = 496
		refs = "0013 TQRCustomBand.Paint 0020 TQRBasePanel.Paint 0035 TQRPage.GetRuler 0044 TCustomQuickRep.GetUnits 005c cqrBandFrameColor 0064 TPen.SetColor 0071 TPen.SetWidth 0077 cqrBandFrameStyle 007f TPen.SetStyle 008a TCanvas.MoveTo 0096 TCanvas.LineTo 00fb Screen 012b TQRBasePanel.GetFrame 0139 TQRFrame.PaintIt 0141 cqrRulerFontName 0146 @LStrFromString 0151 TFont.SetName 0157 cqrRulerFontSize 015f TFont.SetSize 016e cqrRulerFontColor 0176 TFont.SetColor 01a3 TCanvas.TextHeight 01b7 TCanvas.TextOut 01cc @LStrClr 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 44 02 00 00 85 F6 74 26 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 17 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 C0 00 00 00 8B B3 EC 01 00 00 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 53 38 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 8B 53 38 4A 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 53 38 4A 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 49 8B 53 38 4A 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 44 FF 4D F8 FF 4D FC A1 ?? ?? ?? ?? 8B 00 DB 40 34 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B A1 ?? ?? ?? ?? 8B 00 DB 40 34 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B 93 EC 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 80 BB 49 02 00 00 0A 75 10 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? EB 0E 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 C4 00 00 00 8B 45 EC 50 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4B 3C 2B C8 83 E9 04 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 00 7E 43 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_16459_0 {
	meta:
		name = "TQRCustomBand.PaintRuler"
		size = 49
		refs = "0015 TFont.GetSize 0029 TQRBasePanel.PaintRuler"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B B7 44 02 00 00 85 F6 74 13 8B 46 58 E8 ?? ?? ?? ?? 99 33 C2 2B C2 89 87 00 02 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16460_0 {
	meta:
		name = "TQRCustomBand.AdvancePaper"
		size = 44
		refs = "0006 TQRCustomBand.GetBandSize 000d TQRBandSize.GetValue 001a @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB AB 1E 02 00 00 DE C1 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 01 82 50 02 00 00 5B C3 }
	condition:
		$1
}

rule function_16461_0 {
	meta:
		name = "TQRCustomBand.CanExpand"
		size = 77
		refs = "0009 TQRCustomBand.GetBandSize 0010 TQRBandSize.GetValue 0022 @ROUND 002f TCustomQuickRep.AvailableSpace"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB AB 1E 02 00 00 DE C1 DB 6D 08 DE C1 E8 ?? ?? ?? ?? 52 50 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 99 3B 54 24 04 75 08 3B 04 24 0F 93 C0 EB 03 0F 9D C0 83 C4 08 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16462_0 {
	meta:
		name = "TQRCustomBand.ExpandBand"
		size = 159
		refs = "001e TQRCustomBand.CanExpand"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 33 DB 66 8B 45 10 50 FF 75 0C FF 75 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 6F 80 3F 00 75 36 DB AE 1E 02 00 00 DB 6D 08 DE D9 DF E0 9E 73 26 8B 45 FC 8B 96 1E 02 00 00 89 10 8B 96 22 02 00 00 89 50 04 66 8B 96 26 02 00 00 66 89 50 08 B3 01 C6 07 01 EB 34 DB AE 1E 02 00 00 DB 6D 08 DE C1 DB BE 1E 02 00 00 9B 8B 45 FC 8B 96 1E 02 00 00 89 10 8B 96 22 02 00 00 89 50 04 66 8B 96 26 02 00 00 66 89 50 08 C6 07 01 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16463_0 {
	meta:
		name = "TQRCustomBand.AddPrintable"
		size = 156
		refs = "0026 TWinControl.GetControlCount 0039 TWinControl.GetControl 003f _DV_TQRPrintable 0044 @IsClass 008f TControl.SetLeft"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 4B 04 8B C2 B2 01 FF 50 2C 89 04 24 8B D3 8B 04 24 8B 08 FF 51 64 BD 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 58 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 30 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 03 50 38 3B EA 7D 1B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 68 30 8B D6 8B C3 E8 ?? ?? ?? ?? 03 68 38 83 C5 0A 46 4F 75 AB 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16464_0 {
	meta:
		name = "TQRCustomBand.MakeSpace"
		size = 105
		refs = "0029 TQRCustomBand.StretchHeight 002e @ROUND 003b TCustomQuickRep.AvailableSpace 0063 TCustomQuickRep.NewColumn"
	strings:
		$1 = { 53 8B D8 8B 83 44 02 00 00 8B 80 8C 02 00 00 80 78 46 00 74 06 83 78 2C 01 75 4C 80 BB 49 02 00 00 03 74 43 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 99 3B 54 24 04 75 09 3B 04 24 5A 58 73 1A EB 04 5A 58 7D 14 80 BB 3E 02 00 00 00 75 0B 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16465_0 {
	meta:
		name = "TQRCustomBand.Print"
		size = 960
		refs = "006b TCustomQuickRep.ForceNewPage 0093 TCustomQuickRep.ForceNewColumn 009a TQRCustomBand.GetBandSize 00a1 TQRBandSize.GetValue 00b5 TQRCustomBand.Print 00cd TQRPrinter.YPos 0104 TQRPrinter.XPos 0149 Rect 0174 TQRPrinter.GetCanvas 0181 TBrush.SetColor 018b TBrush.SetStyle 0198 TCanvas.FillRect 01d0 TWinControl.GetControlCount 01e7 TWinControl.GetControl 01ed _DV_TQRPrintable 01f2 @IsClass 02cb TQRBasePanel.GetFrame 02d7 TQRFrame.PaintIt 02e9 TCustomQuickRep.NewColumn 0303 TQRBandSize.SetValue 032f TQRCustomBand.AdvancePaper 0374 TQRCustomBand.GetHasChild 037f TQRCustomBand.GetChild 0393 TQRCustomBand.SetBandType 039a TQRCustomBand.MakeSpace 03a7 TCustomQuickRep.PrintBand"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B D8 8A 83 3C 02 00 00 88 44 24 0A 80 BB 3C 02 00 00 00 74 22 66 83 BB 36 02 00 00 00 74 18 F6 43 20 10 75 12 8D 4C 24 0A 8B D3 8B 83 38 02 00 00 FF 93 34 02 00 00 80 7C 24 0A 00 0F 84 06 03 00 00 80 BB 3E 02 00 00 00 74 1F 8A 83 49 02 00 00 2C 02 72 15 2C 01 74 11 2C 06 74 0D 8B 83 44 02 00 00 E8 ?? ?? ?? ?? EB 26 80 BB 3D 02 00 00 00 74 1D 8A 83 49 02 00 00 2C 02 72 13 2C 01 74 0F 2C 06 74 0B 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 DB 80 50 02 00 00 DE C1 D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 44 02 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 14 50 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B AB 44 02 00 00 DB 85 4C 02 00 00 DE C1 83 C4 F4 DB 3C 24 9B 8B 85 B4 02 00 00 E8 ?? ?? ?? ?? 50 8B BB 44 02 00 00 DB 87 50 02 00 00 83 C4 F4 DB 3C 24 9B 8B 87 B4 02 00 00 E8 ?? ?? ?? ?? 50 8B B3 44 02 00 00 DB 86 4C 02 00 00 83 C4 F4 DB 3C 24 9B 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 74 24 10 8D BB 0C 02 00 00 B9 04 00 00 00 F3 A5 8B 83 44 02 00 00 80 B8 61 02 00 00 00 74 2F 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 46 14 8B 53 64 E8 ?? ?? ?? ?? 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8D 93 0C 02 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 89 83 1E 02 00 00 89 83 22 02 00 00 66 89 83 26 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 3C 24 9B C6 44 24 0C 01 C6 44 24 0B 01 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 94 00 00 00 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 71 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 50 84 C0 74 5F 80 7C 24 0C 00 75 12 8B D6 8B C3 E8 ?? ?? ?? ?? 80 B8 00 02 00 00 00 75 23 8B D6 8B C3 E8 ?? ?? ?? ?? 8B AB 44 02 00 00 8B 8D 50 02 00 00 8B 95 4C 02 00 00 8B 28 FF 95 C8 00 00 00 80 7C 24 0B 00 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 80 B8 00 02 00 00 00 75 04 33 C0 EB 02 B0 01 88 44 24 0B 46 4F 0F 85 6F FF FF FF 8B 83 44 02 00 00 80 B8 61 02 00 00 00 74 59 8B 83 44 02 00 00 8B B0 B4 02 00 00 66 8B 86 8A 00 00 00 50 FF B6 86 00 00 00 FF B6 82 00 00 00 66 8B 86 94 00 00 00 50 FF B6 90 00 00 00 FF B6 8C 00 00 00 8B 83 44 02 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 8B 0C 02 00 00 5A E8 ?? ?? ?? ?? 80 7C 24 0B 00 75 3A 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 68 05 40 00 00 68 00 00 00 C8 6A 00 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 33 C0 89 83 1E 02 00 00 89 83 22 02 00 00 66 89 83 26 02 00 00 C6 44 24 0C 00 80 7C 24 0B 00 0F 84 9C FE FF FF 8B C3 E8 ?? ?? ?? ?? 66 8B 44 24 08 50 FF 74 24 08 FF 74 24 08 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 66 83 BB 2A 02 00 00 00 74 18 F6 43 20 10 75 12 8A 4C 24 0A 8B D3 8B 83 2C 02 00 00 FF 93 28 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB 49 02 00 00 03 75 09 B2 03 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 83 44 02 00 00 E8 ?? ?? ?? ?? B2 0A 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 00 00 80 3F }
	condition:
		$1
}

rule function_16466_0 {
	meta:
		name = "TQRCustomBand.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 40 02 00 00 75 08 33 C0 89 87 40 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16467_0 {
	meta:
		name = "TQRCustomBand.SetBounds"
		size = 410
		refs = "0056 TWinControl.SetBounds 005d TQRCustomBand.GetBandSize 0095 TCustomQuickRep.SetBandValues 009c TWinControl.GetControlCount 00b4 TWinControl.GetControl 00ba _DV_TQRPrintable 00bf @IsClass 011b TQRBandSize.GetValue 0143 TQRBandSize.SetValue 018d TCustomQuickRep.Modify"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 83 BB 50 02 00 00 00 74 06 F6 43 20 01 74 1E F6 43 20 01 0F 84 65 01 00 00 83 FE 28 0F 84 5C 01 00 00 89 B3 4C 02 00 00 E9 51 01 00 00 83 BB 44 02 00 00 00 75 11 8B 45 0C 50 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 10 00 0F 84 89 00 00 00 8B 45 0C 50 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB 48 02 00 00 00 75 14 83 BB 44 02 00 00 00 74 0B 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C E8 00 00 00 40 89 45 F4 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 80 BF F2 01 00 00 00 74 0E B1 02 8B D3 8B C7 8B 38 FF 97 CC 00 00 00 46 FF 4D F4 75 C0 E9 9D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 88 45 FB 8B C3 E8 ?? ?? ?? ?? B2 02 8B 08 FF 51 24 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 75 F0 DB 45 F0 DE D9 DF E0 9E 74 1B 89 75 F0 DB 45 F0 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 3B 43 34 75 05 3B 7B 30 74 1F 8B 43 38 50 8B 43 3C 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8A 55 FB 8B 08 FF 51 24 8B 83 44 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16468_0 {
	meta:
		name = "TQRCustomBand.StretchHeight"
		size = 82
		refs = "000d TQRCustomBand.GetBandSize 0014 TQRBandSize.GetValue 0030 TQRCustomBand.StretchHeight"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 3C 24 9B 8B B7 40 02 00 00 85 F6 0F 95 C0 84 D8 74 1D B2 01 8B C6 E8 ?? ?? ?? ?? DB 2C 24 DE C1 8B 87 40 02 00 00 DB 40 3C DE C1 DB 3C 24 9B DB 2C 24 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16469_0 {
	meta:
		name = "TQRCustomBand.SetLinkBand"
		size = 108
		refs = "0009 TQRCustomBand.SetLinkBand 003b SqrNoCircular 0040 LoadResString 0048 ShowMessage 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B CA EB 06 8B 89 40 02 00 00 3B C1 74 04 85 C9 75 F2 85 C9 75 08 89 90 40 02 00 00 EB 1B F6 40 20 10 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16471_0 {
	meta:
		name = "TQRChildBand.SetParentBand"
		size = 170
		refs = "0010 TQRChildBand.SetParentBand 0022 _DV_TQRChildBand 0027 @IsClass 005b TCustomQuickRep.RebuildBandList 0066 TCustomQuickRep.SetBandValues 0076 SqrNoCircular 007b LoadResString 0083 ShowMessage 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF EB 1B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 9B 54 02 00 00 EB 02 33 DB 3B F3 74 04 85 DB 75 DD 85 DB 75 27 83 BE 44 02 00 00 00 74 39 89 BE 54 02 00 00 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 E8 ?? ?? ?? ?? EB 1B F6 46 20 10 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16472_0 {
	meta:
		name = "TQRControllerBand.Create"
		size = 94
		refs = "000b @ClassCreate 0034 TQRControllerBand.SetPrintBefore 003f TQRCustomBand.Create 004a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B C7 8B 10 FF 92 D4 00 00 00 8B 87 58 02 00 00 89 78 3C C6 87 54 02 00 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16473_0 {
	meta:
		name = "TQRControllerBand.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0026 TQRCustomBand.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 58 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16474_0 {
	meta:
		name = "TQRControllerBand.CreateController"
		size = 42
		refs = "0009 _DV_TQRController 000e TQRCustomController.Create"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 02 00 00 89 5E 54 33 C0 89 46 5C 33 C0 89 46 58 5E 5B C3 }
	condition:
		$1
}

rule function_16475_0 {
	meta:
		name = "TQRControllerBand.SetPrintBefore"
		size = 59
		refs = "0009 TQRControllerBand.GetPrintBefore 0029 TCustomQuickRep.RebuildBandList 0034 TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 27 8B D3 8B 86 58 02 00 00 8B 08 FF 51 58 8B 86 44 02 00 00 85 C0 74 10 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16476_0 {
	meta:
		name = "TQRControllerBand.GetPrintBefore"
		size = 10
	strings:
		$1 = { 8B 80 58 02 00 00 8A 40 44 C3 }
	condition:
		$1
}

rule function_16477_0 {
	meta:
		name = "TQRControllerBand.SetName"
		size = 56
		refs = "001e TControl.SetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 54 02 00 00 00 74 0A 8B C3 8B 10 FF 92 E4 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 44 02 00 00 00 74 0A 8B C3 8B 10 FF 92 E0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_16478_0 {
	meta:
		name = "TQRControllerBand.SetParentReport"
		size = 40
		refs = "0006 TQRCustomBand.SetParentReport"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 44 02 00 00 00 74 13 80 BB 54 02 00 00 00 75 0A 8B C3 8B 10 FF 92 E0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16479_0 {
	meta:
		name = "TQRControllerBand.CreateLocalVar"
		size = 117
		refs = "000c TQRControllerBand.CreateLocalVar 0049 TQREvEnvironment.AddFunction 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 E8 00 00 00 83 7D FC 00 74 2B 8D 55 FC 8B C3 8B 08 FF 91 E8 00 00 00 8B 4D FC 8B 83 44 02 00 00 8B 80 58 02 00 00 8B 53 08 E8 ?? ?? ?? ?? C6 83 54 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16480_0 {
	meta:
		name = "TQRControllerBand.RemoveLocalVar"
		size = 32
		refs = "0013 TQREvEnvironment.DeleteFunction"
	strings:
		$1 = { 53 8B D8 8B 83 44 02 00 00 8B 80 58 02 00 00 8B 53 08 E8 ?? ?? ?? ?? C6 83 54 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16482_0 {
	meta:
		name = "TQRControllerBand.RegisterBands"
		size = 14
		refs = "0009 TCustomQuickRep.RegisterBand"
	strings:
		$1 = { 8B D0 8B 80 44 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16483_0 {
	meta:
		name = "TQRControllerBand.SetMaster"
		size = 205
		refs = "0010 TQRControllerBand.SetMaster 002a _DV_TQRControllerBand 002f @IsClass 005c TQRCustomController.SetMaster 0071 TCustomQuickRep.RebuildBandList 007c TCustomQuickRep.SetBandValues 0089 TComponent.FreeNotification 0099 SqrNoCircular 009e LoadResString 00a6 ShowMessage 00bb @LStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B FE 0F 84 88 00 00 00 8B DF EB 1B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 9B 5C 02 00 00 EB 02 33 DB 3B F3 74 04 85 DB 75 DD 85 DB 75 42 89 BE 5C 02 00 00 8B D7 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 85 C0 74 16 F6 40 20 08 75 10 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 85 FF 74 26 8B D6 8B C7 E8 ?? ?? ?? ?? EB 1B F6 46 20 10 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16484_0 {
	meta:
		name = "TQRControllerBand.SetParent"
		size = 56
		refs = "000b TQRCustomBand.SetParent 001c _DV_TCustomQuickRep 0021 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 5C 02 00 00 00 75 1D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 8B 08 FF 91 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_16485_0 {
	meta:
		name = "TQRControllerBand.GetPrintIfEmpty"
		size = 10
	strings:
		$1 = { 8B 80 58 02 00 00 8A 40 38 C3 }
	condition:
		$1
}

rule function_16486_0 {
	meta:
		name = "TQRControllerBand.SetPrintIfEmpty"
		size = 10
	strings:
		$1 = { 8B 80 58 02 00 00 88 50 38 C3 }
	condition:
		$1
}

rule function_16488_0 {
	meta:
		name = "TQRSubDetailGroupBands.GetHasFooter"
		size = 18
		refs = "0007 TQRSubDetail.GetFooterBand"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_16489_0 {
	meta:
		name = "TQRSubDetailGroupBands.GetHasHeader"
		size = 18
		refs = "0007 TQRSubDetail.GetHeaderBand"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_16492_0 {
	meta:
		name = "TQRSubDetailGroupBands.SetHasHeader"
		size = 83
		refs = "000b TQRSubDetailGroupBands.GetHasHeader 001f TCustomQuickRep.CreateBand 0028 TQRSubDetail.SetHeaderBand 003d TQRSubDetailGroupBands.GetHeaderBand 0042 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 27 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 73 04 8B 86 44 02 00 00 B2 05 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16493_0 {
	meta:
		name = "TQRSubDetailGroupBands.SetHasFooter"
		size = 83
		refs = "000b TQRSubDetailGroupBands.GetHasFooter 001f TCustomQuickRep.CreateBand 0028 TQRSubDetail.SetFooterBand 003d TQRSubDetailGroupBands.GetFooterBand 0042 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 27 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 73 04 8B 86 44 02 00 00 B2 06 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16494_0 {
	meta:
		name = "TQRSubDetail.Create"
		size = 82
		refs = "000a @ClassCreate 0017 TQRControllerBand.Create 0020 TQRCustomBand.SetBandType 0029 _DV_TQRSubDetailGroupBands 002e TQRSubDetailGroupBands.Create 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 07 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 60 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16495_0 {
	meta:
		name = "TQRSubDetail.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TQRControllerBand.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 60 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16496_0 {
	meta:
		name = "TQRSubDetail.AddNotifyClient"
		size = 12
		refs = "0007 TQRCustomController.AddNotifyClient"
	strings:
		$1 = { 8B 80 58 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16499_0 {
	meta:
		name = "TQRSubDetail.SetDataSet"
		size = 12
		refs = "0007 TQRController.SetDataSet"
	strings:
		$1 = { 8B 80 58 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16497_0 {
	meta:
		name = "TQRSubDetail.GetDataSet"
		size = 17
	strings:
		$1 = { 8B 90 58 02 00 00 85 D2 74 04 8B 42 50 C3 33 C0 C3 }
	condition:
		$1
}

rule function_16498_0 {
	meta:
		name = "TQRSubDetail.GetOnNeedData"
		size = 18
	strings:
		$1 = { 8B 80 58 02 00 00 8B 48 60 89 0A 8B 48 64 89 4A 04 C3 }
	condition:
		$1
}

rule function_16500_0 {
	meta:
		name = "TQRSubDetail.SetOnNeedData"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 58 02 00 00 8B 55 08 89 50 60 8B 55 0C 89 50 64 5D C2 08 00 }
	condition:
		$1
}

rule function_16501_0 {
	meta:
		name = "TQRSubDetail.GetFooterBand"
		size = 17
	strings:
		$1 = { 8B 90 58 02 00 00 85 D2 74 04 8B 42 58 C3 33 C0 C3 }
	condition:
		$1
}

rule function_16502_0 {
	meta:
		name = "TQRSubDetail.GetHeaderBand"
		size = 17
	strings:
		$1 = { 8B 90 58 02 00 00 85 D2 74 04 8B 42 5C C3 33 C0 C3 }
	condition:
		$1
}

rule function_16503_0 {
	meta:
		name = "TQRSubDetail.RegisterBands"
		size = 86
		refs = "000c TQRSubDetail.GetHeaderBand 0024 TCustomQuickRep.RegisterBand 0038 TQRSubDetail.GetFooterBand"
	strings:
		$1 = { 53 8B D8 F6 43 20 08 75 4B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16504_0 {
	meta:
		name = "TQRSubDetail.SetFooterBand"
		size = 39
		refs = "0016 TQRCustomBand.SetBandType 0020 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F0 8B 9E 58 02 00 00 8B C2 89 43 58 85 C0 74 11 B2 06 E8 ?? ?? ?? ?? 8B D6 8B 43 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16505_0 {
	meta:
		name = "TQRSubDetail.SetHeaderBand"
		size = 39
		refs = "0016 TQRCustomBand.SetBandType 0020 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F0 8B 9E 58 02 00 00 8B C2 89 43 5C 85 C0 74 11 B2 05 E8 ?? ?? ?? ?? 8B D6 8B 43 5C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16506_0 {
	meta:
		name = "TQRSubDetail.Notification"
		size = 109
		refs = "0010 TQRCustomBand.Notification 001c TQRSubDetail.GetFooterBand 0029 TQRSubDetail.SetFooterBand 0030 TQRSubDetail.GetHeaderBand 003d TQRSubDetail.SetHeaderBand 0044 TQRSubDetail.GetDataSet 0051 TQRSubDetail.SetDataSet"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 50 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 5C 02 00 00 75 0C 33 D2 8B C7 8B 08 FF 91 DC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16507_0 {
	meta:
		name = "TQRLoopController.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TQRCustomController.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 50 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16508_0 {
	meta:
		name = "TQRLoopController.RegisterBands"
		size = 86
		refs = "0019 TList.Get 002d TCustomQuickRep.RegisterBand"
		altNames = "TQRStringsController.RegisterBands"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 30 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 30 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 50 46 4B 75 ED 8B 57 58 8B 47 40 E8 ?? ?? ?? ?? 8B 47 2C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 2C 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 50 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16509_0 {
	meta:
		name = "TQRLoopController.LocalVarValue"
		size = 10
	strings:
		$1 = { C6 02 00 8B 40 50 89 42 04 C3 }
	condition:
		$1
}

rule function_16510_0 {
	meta:
		name = "TQRLoopController.Execute"
		size = 72
		refs = "0025 TQRCustomBand.MakeSpace 0030 TCustomQuickRep.PrintBand"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 54 4E 85 F6 7C 32 46 33 FF 89 7B 50 8B C3 8B 10 FF 52 5C 8B C3 8B 10 FF 52 48 8B 43 58 E8 ?? ?? ?? ?? 8B 53 58 8B 43 40 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 47 4E 75 D1 33 C0 89 43 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16511_0 {
	meta:
		name = "TQRLoopBand.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TQRControllerBand.Create 0020 TQRCustomBand.SetBandType 002b @AfterConstruction"
		altNames = "TQRStringsBand.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 07 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16515_0 {
	meta:
		name = "TQRLoopBand.CreateController"
		size = 32
		refs = "0009 _DV_TQRLoopController 000e TQRLoopController.Create"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 02 00 00 89 5E 58 5E 5B C3 }
	condition:
		$1
}

rule function_16529_0 {
	meta:
		name = "TQRStringsBand.CreateController"
		size = 32
		refs = "0009 _DV_TQRStringsController 000e TQRStringsController.Create"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 02 00 00 89 5E 58 5E 5B C3 }
	condition:
		$1
}

rule function_16516_0 {
	meta:
		name = "TQRLoopBand.GetPrintCount"
		size = 10
		altNames = "TQRStringsBand.GetIndex"
	strings:
		$1 = { 8B 80 58 02 00 00 8B 40 54 C3 }
	condition:
		$1
}

rule function_16517_0 {
	meta:
		name = "TQRLoopBand.SetPrintCount"
		size = 10
	strings:
		$1 = { 8B 80 58 02 00 00 89 50 54 C3 }
	condition:
		$1
}

rule function_16518_0 {
	meta:
		name = "TQRLoopBand.GetCount"
		size = 10
		altNames = "TQRStringsBand.GetItems"
	strings:
		$1 = { 8B 80 58 02 00 00 8B 40 50 C3 }
	condition:
		$1
}

rule function_16519_0 {
	meta:
		name = "TQRLoopBand.Notification"
		size = 49
		refs = "0010 TQRCustomBand.Notification"
		altNames = "TQRStringsBand.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 14 3B BE 5C 02 00 00 75 0C 33 D2 8B C6 8B 08 FF 91 DC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16520_0 {
	meta:
		name = "TQRStringsController.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TQRCustomController.Create 0025 _Dn_TStringList 002a TObject.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 54 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16521_0 {
	meta:
		name = "TQRStringsController.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 001b TQRCustomController.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 50 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16523_0 {
	meta:
		name = "TQRStringsController.LocalVarValue"
		size = 92
		refs = "000f TQRStringsController.LocalVarValue 0036 @LStrToString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 02 8D 4D FC 8B 53 54 8B 43 50 8B 18 FF 53 0C 8B 55 FC 8D 46 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16524_0 {
	meta:
		name = "TQRStringsController.Execute"
		size = 81
		refs = "002c TQRCustomBand.MakeSpace 0037 TCustomQuickRep.PrintBand"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 50 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 33 FF 89 7B 54 8B C3 8B 10 FF 52 5C 8B C3 8B 10 FF 52 48 8B 43 58 E8 ?? ?? ?? ?? 8B 53 58 8B 43 40 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 47 4E 75 D1 C7 43 54 FF FF FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16527_0 {
	meta:
		name = "TQRStringsBand.LocalVarExpression"
		size = 32
		refs = "0006 TQRStringsBand.LocalVarExpression 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 02 00 00 00 27 27 00 00 }
	condition:
		$1
}

rule function_16531_0 {
	meta:
		name = "TQRStringsBand.GetItem"
		size = 53
		refs = "0009 TQRStringsBand.GetIndex 001c TQRStringsBand.GetItems 002e @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1A 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CE 5A 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16533_0 {
	meta:
		name = "TQRStringsBand.SetItems"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 86 58 02 00 00 8B 40 50 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_16536_0 {
	meta:
		name = "TQuickRepBands.BandInList"
		size = 105
		refs = "003b TList.Get"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B E8 33 C0 89 04 24 8B 45 04 85 C0 74 4B 83 B8 2C 02 00 00 00 74 42 8B 80 2C 02 00 00 8B 78 08 4F 85 FF 7C 34 47 33 F6 8B 45 04 8B 80 2C 02 00 00 8B D6 E8 ?? ?? ?? ?? 3A 98 49 02 00 00 75 15 8B 45 04 8B 80 2C 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 CF 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16537_0 {
	meta:
		name = "TQuickRepBands.GetHasBand"
		size = 143
		refs = "000b TQuickRepBands.GetHasBand 0030 TQuickRepBands.BandInList"
	strings:
		$1 = { 53 8B D8 83 FA 06 77 77 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 B2 08 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 B2 02 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 33 C0 5B C3 B2 03 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 B2 04 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_16538_0 {
	meta:
		name = "TQuickRepBands.GetBand"
		size = 91
		refs = "0008 TQuickRepBands.GetBand 002b TQuickRepBands.BandInList"
	strings:
		$1 = { 83 FA 06 77 4E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 B2 08 E8 ?? ?? ?? ?? C3 B2 02 E8 ?? ?? ?? ?? C3 33 C0 C3 B2 03 E8 ?? ?? ?? ?? C3 B2 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16539_0 {
	meta:
		name = "TQuickRepBands.SetBand"
		size = 65
		refs = "000f TQuickRepBands.BandInList 0029 TCustomQuickRep.CreateBand 0039 TObject.Free"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 3A 04 24 74 20 80 3C 24 00 74 0C 8B D3 8B 46 04 E8 ?? ?? ?? ?? EB 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_16540_0 {
	meta:
		name = "TQuickRepBands.SetHasBand"
		size = 92
		refs = "0008 TQuickRepBands.SetHasBand 002f TQuickRepBands.SetBand"
	strings:
		$1 = { 83 FA 07 77 56 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 B2 08 E8 ?? ?? ?? ?? C3 B2 02 E8 ?? ?? ?? ?? C3 B2 03 E8 ?? ?? ?? ?? C3 B2 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16541_0 {
	meta:
		name = "TQRCreateReportThread.Create"
		size = 71
		refs = "000a @ClassCreate 0029 TThread.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 2C C6 46 0E 01 8B 81 B4 02 00 00 89 46 28 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16542_0 {
	meta:
		name = "TQRCreateReportThread.Execute"
		size = 28
	strings:
		$1 = { 53 8B D8 33 D2 8B 43 2C 8B 08 FF 91 CC 00 00 00 8B 43 2C C6 80 C0 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16543_0 {
	meta:
		name = "TCustomQuickRep.Create"
		size = 101
		refs = "000e @ClassCreate 0028 TObject.ClassType 002e _DV_TCustomQuickRep 0043 InitInheritedComponent 0050 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 6A 01 33 D2 8B C3 8B 30 FF 96 E4 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 13 F6 43 20 10 75 0D 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16544_0 {
	meta:
		name = "TCustomQuickRep.CreateNew"
		size = 708
		refs = "000e @ClassCreate 001c TQRBasePanel.Create 0025 _DV_TQRCustomController 002a TQRCustomController.Create 003f _Dn_TList 0044 TObject.Create 0063 _Dn_TQREvEnvironment 0068 TQREvEnvironment.Create 0075 TCustomQuickRep.CreateNew 0081 TQREvEnvironment.AddFunction 00aa _Dn_TStringList 00be _DV_TQuickRepBands 00c3 TQuickRepBands.Create 00d2 _DV_TQRPage 00d7 TQRPage.Create 00e4 _DV_TQuickRepPrinterSettings 00e9 TQRPrinterSettings.Create 00fb TControl.SetColor 0104 TControl.SetTop 010d TControl.SetLeft 012f @LStrClr 0196 SysLocale 01aa TFont.SetName 01b7 TFont.SetSize 01c6 CreateCompatibleDC 01d3 _Dn_TQRPrinter 01d8 TQRPrinter.Create 01e7 TQRPrinter.GetPaperSize 01f4 TQRPage.SetPaperSize 01ff TObject.Free 0212 _Dn_TCustomForm 0217 @IsClass 0224 TCustomForm.SetScaled 023f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 40 02 00 00 89 5E 40 89 5E 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 2C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 10 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 54 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 02 00 00 BA FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 89 58 0C C6 83 B1 02 00 00 01 C6 83 B2 02 00 00 00 8D 83 A8 02 00 00 E8 ?? ?? ?? ?? C6 83 28 02 00 00 01 C6 83 60 02 00 00 00 C6 83 61 02 00 00 01 33 C0 89 83 5C 02 00 00 33 C0 89 83 20 02 00 00 89 83 24 02 00 00 33 C0 89 83 18 02 00 00 89 83 1C 02 00 00 33 C0 89 83 14 02 00 00 C6 83 B0 02 00 00 01 C6 83 62 02 00 00 00 33 C0 89 83 AC 02 00 00 A0 ?? ?? ?? ?? 88 83 88 02 00 00 A1 ?? ?? ?? ?? 66 83 78 04 11 74 1A BA ?? ?? ?? ?? 8B 43 58 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 43 58 E8 ?? ?? ?? ?? 33 C0 89 83 90 02 00 00 6A 00 E8 ?? ?? ?? ?? 89 83 BC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 B4 02 00 00 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? C6 83 C0 02 00 00 00 C6 83 64 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 FF FF FF FF 0A 00 00 00 50 41 47 45 4E 55 4D 42 45 52 00 00 FF FF FF FF 0C 00 00 00 43 4F 4C 55 4D 4E 4E 55 4D 42 45 52 00 00 00 00 FF FF FF FF 02 00 00 00 27 27 00 00 FF FF FF FF 0B 00 00 00 52 45 50 4F 52 54 54 49 54 4C 45 00 03 00 00 00 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 }
	condition:
		$1
}

rule function_16545_0 {
	meta:
		name = "TCustomQuickRep.Destroy"
		size = 156
		refs = "0003 @BeforeDestruction 0013 DeleteDC 0022 TObject.Free 008a TQRBasePanel.Destroy 0095 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 BC 02 00 00 50 E8 ?? ?? ?? ?? 8B 86 5C 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 86 58 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 86 10 02 00 00 E8 ?? ?? ?? ?? 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B 86 40 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16546_0 {
	meta:
		name = "TCustomQuickRep.SetController"
		size = 30
		refs = "0011 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 40 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 89 B3 40 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_16547_0 {
	meta:
		name = "TCustomQuickRep.Modify"
		size = 60
		refs = "0027 TObject.Free"
	strings:
		$1 = { 53 8B D8 80 BB 64 02 00 00 00 75 2E 80 BB C0 02 00 00 00 75 25 C6 83 64 02 00 00 01 8B 83 90 02 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 90 02 00 00 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_16548_0 {
	meta:
		name = "TCustomQuickRep.Cancel"
		size = 28
		refs = "0017 TQRPrinter.Cancel"
	strings:
		$1 = { 80 B8 28 02 00 00 00 75 12 C6 80 3C 02 00 00 01 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16549_0 {
	meta:
		name = "FindDesigner"
		size = 100
		refs = "000a @IntfClear 002c _Dn_TCustomForm 0031 @IsClass 0046 FindDesigner 004b @IntfCast"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 40 20 10 74 35 8B 45 08 8B 40 FC 8B 58 04 EB 03 8B 5B 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 85 DB 75 E8 8B C6 8B 93 30 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C3 00 55 72 BE AB 95 54 D1 11 9F B5 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_16550_0 {
	meta:
		name = "TCustomQuickRep.CreateBand"
		size = 352
		refs = "0018 TCustomQuickRep.CreateBand 0027 FindDesigner 0033 @IntfCopy 0062 _DV_TQRBand 0067 TQRCustomBand.Create 007d TQRCustomBand.SetBandType 00a6 @LStrCopy 00b3 @LStrCmp 00c5 @LStrCat3 0101 UniqueName 0125 @LStrArrayClr 012d @IntfClear 0135 @LStrClr 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 33 DB 83 7D F4 00 74 0D 8B 45 F4 8B 10 FF 92 84 00 00 00 8B D8 85 DB 75 06 8B 45 FC 8B 58 04 85 DB 75 03 8B 5D FC 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B C6 8B 08 FF 51 64 8A 55 FB 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 74 64 8D 55 F0 8B C6 8B 08 FF 91 C8 00 00 00 8D 45 E8 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 8D 45 F0 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F0 8B 45 F4 8B 18 FF 53 58 8B 55 E8 8B C6 8B 08 FF 51 18 8B 45 F4 8B 10 FF 52 0C EB 24 8D 55 E4 8B C6 8B 08 FF 91 C8 00 00 00 8B 55 E4 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B C6 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_16551_0 {
	meta:
		name = "TCustomQuickRep.GetUnits"
		size = 12
	strings:
		$1 = { 8B 80 8C 02 00 00 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_16552_0 {
	meta:
		name = "TCustomQuickRep.TextHeight"
		size = 156
		refs = "0014 @LStrAddRef 001c TCustomQuickRep.TextHeight 0029 TFont.GetHandle 0036 SelectObject 0044 @LStrLen 0056 GetTextExtentPoint 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B 83 BC 02 00 00 50 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 BC 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 05 8B 7D F8 EB 02 33 FF 56 8B 83 BC 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 41 00 00 00 }
	condition:
		$1
}

rule function_16553_0 {
	meta:
		name = "TCustomQuickRep.TextWidth"
		size = 157
		refs = "0014 @LStrAddRef 001c TCustomQuickRep.TextWidth 0029 TFont.GetHandle 0036 SelectObject 0044 @LStrLen 004d @LStrToPChar 005a GetTextExtentPoint 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B 83 BC 02 00 00 50 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 BC 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 06 8B 7D F4 47 EB 02 33 FF 56 8B 83 BC 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16555_0 {
	meta:
		name = "TCustomQuickRep.GetPrintIfEmpty"
		size = 10
	strings:
		$1 = { 8B 80 40 02 00 00 8A 40 38 C3 }
	condition:
		$1
}

rule function_16556_0 {
	meta:
		name = "TCustomQuickRep.SetPrintIfEmpty"
		size = 10
	strings:
		$1 = { 8B 80 40 02 00 00 88 50 38 C3 }
	condition:
		$1
}

rule function_16557_0 {
	meta:
		name = "TCustomQuickRep.AddNotifyClient"
		size = 12
		refs = "0007 TQRCustomController.AddNotifyClient"
	strings:
		$1 = { 8B 80 40 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16612_0 {
	meta:
		name = "TQuickRep.SetDataSet"
		size = 12
		refs = "0007 TQRController.SetDataSet"
	strings:
		$1 = { 8B 80 40 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16558_0 {
	meta:
		name = "TCustomQuickRep.SetHideBands"
		size = 20
		refs = "000f TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 3A 90 62 02 00 00 74 0B 88 90 62 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16559_0 {
	meta:
		name = "TCustomQuickRep.SetRotateBands"
		size = 33
		refs = "0014 TCustomQuickRep.RebuildBandList 001b TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 3B 93 AC 02 00 00 74 14 89 93 AC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16560_0 {
	meta:
		name = "TCustomQuickRep.SetZoom"
		size = 51
		refs = "0012 TQRBasePanel.SetZoom 0026 TQRPage.FixZoom 002d TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 85 D2 7E 2A 81 FA 2C 01 00 00 7F 22 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 93 04 02 00 00 89 50 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16561_0 {
	meta:
		name = "TCustomQuickRep.AddBand"
		size = 53
		refs = "000f TList.IndexOf 0020 TList.Add 0027 TCustomQuickRep.RebuildBandList 002e TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7D 1B 8B D6 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16562_0 {
	meta:
		name = "TCustomQuickRep.ResetPageFooterSize"
		size = 205
		refs = "001e TWinControl.GetControlCount 0035 TWinControl.GetControl 003b _DV_TQRCustomBand 0040 @IsClass 0068 TQRCustomBand.GetBandSize 006f TQRBandSize.GetValue 0092 TQRCustomBand.GetChild 00b8 TQRCustomBand.GetHasChild"
	strings:
		$1 = { 53 56 57 55 8B D8 33 C0 89 83 98 02 00 00 89 83 9C 02 00 00 66 89 83 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C 9B 00 00 00 45 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BE 49 02 00 00 03 75 64 80 BE 3C 02 00 00 00 74 5B 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB AB 98 02 00 00 DE C1 DB BB 98 02 00 00 9B 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 26 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB AB 98 02 00 00 DE C1 DB BB 98 02 00 00 9B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 CF 47 4D 0F 85 68 FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16563_0 {
	meta:
		name = "TCustomQuickRep.PrintBand"
		size = 227
		refs = "0033 TQRPage.GetValue 0042 TQRPrinter.GetPaperLength 005b TQRCustomBand.GetBandSize 0062 TQRBandSize.GetValue 0075 @ROUND 0099 TQRPrinter.GetPaperWidth 00d9 TQRCustomBand.Print"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 85 F6 0F 84 CC 00 00 00 80 BE 30 02 00 00 00 0F 84 B8 00 00 00 8B 83 8C 02 00 00 80 78 44 00 75 57 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 2C 24 DE E9 DB 7C 24 10 9B 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DB AB 98 02 00 00 DE E9 E8 ?? ?? ?? ?? 89 83 50 02 00 00 EB 55 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 2C 24 DE E9 DB 7C 24 10 9B 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DB AB 98 02 00 00 DE E9 E8 ?? ?? ?? ?? 89 83 50 02 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_16564_0 {
	meta:
		name = "TCustomQuickRep.ForceNewColumn"
		size = 42
		refs = "001c TCustomQuickRep.NewColumn"
	strings:
		$1 = { 80 B8 28 02 00 00 00 75 20 80 B8 B8 02 00 00 00 75 09 83 B8 48 02 00 00 01 7E 07 E8 ?? ?? ?? ?? EB 07 C6 80 B8 02 00 00 01 C3 }
	condition:
		$1
}

rule function_16565_0 {
	meta:
		name = "TCustomQuickRep.ForceNewPage"
		size = 57
		refs = "0021 TCustomQuickRep.NewColumn"
	strings:
		$1 = { 53 8B D8 80 BB 28 02 00 00 00 75 2B 80 BB B9 02 00 00 00 75 09 83 BB 94 02 00 00 01 7E 12 8B C3 E8 ?? ?? ?? ?? 83 BB 48 02 00 00 01 75 F0 EB 07 C6 83 B9 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_16566_0 {
	meta:
		name = "TCustomQuickRep.Execute"
		size = 12
	strings:
		$1 = { 8B 80 40 02 00 00 8B 10 FF 52 38 C3 }
	condition:
		$1
}

rule function_16567_0 {
	meta:
		name = "AddLocalDataSets"
		size = 125
		refs = "0012 _Dn_TCustomForm 0017 @IsClass 0025 TComponent.GetComponentCount 003f TComponent.GetComponent 0045 _Dn_TDataSet 0071 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 58 24 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 8B 45 08 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 49 46 33 DB 8B 45 08 8B 40 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 08 8B 40 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 14 02 00 00 E8 ?? ?? ?? ?? 43 4E 75 BA 5E 5B 5D C3 }
	condition:
		$1
}

rule function_16568_0 {
	meta:
		name = "UpdateChildren"
		size = 124
		refs = "000f TWinControl.GetControlCount 0022 TWinControl.GetControl 0028 _DV_TQRCustomBand 002d @IsClass 0055 _DV_TQRPrintable"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5D 46 33 DB 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 17 8B 08 FF 91 CC 00 00 00 EB 29 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 17 89 90 FC 01 00 00 43 4E 75 A6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_16569_0 {
	meta:
		name = "TCustomQuickRep.CreateReport"
		size = 1104
		refs = "0032 TControl.SetVisible 007a _Dn_TList 007f TObject.Create 0090 TCustomQuickRep.CreateReport 009c AddLocalDataSets 00e8 TCustomQuickRep.GetUnits 010e TCustomQuickRep.SetPrinterValues 0128 @LStrAsg 0143 TQRPrinter.SetCompression 0151 TQRPrinter.BeginDoc 01a4 TQRPage.GetValue 01a9 @ROUND 01ea TCustomQuickRep.ResetPageFooterSize 01f0 UpdateChildren 0225 QRGlobalEnvironment 022a TQREvEnvironment.Prepare 0241 TQREvEnvironment.SetDatasets 025d TQREvEnvironment.GetConstant 02a4 TQREvEnvironment.SetStringConstant 02ba TQRBasePanel.PrepareComponents 0308 TCustomQuickRep.EndPage 0338 TQRBasePanel.UnprepareComponents 0354 TQREvEnvironment.Unprepare 0397 TQRPrinter.EndDoc 03a7 TQRPrinter.AbortDoc 03bd @HandleFinally 03da TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC 80 B8 28 02 00 00 00 0F 84 E7 03 00 00 8B 45 FC 8A 40 47 88 45 F8 84 C0 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 90 02 00 00 8B 45 FC C6 80 28 02 00 00 00 8B 45 FC C6 80 3C 02 00 00 00 8B 45 FC C6 80 63 02 00 00 00 8B 45 FC C6 80 B8 02 00 00 00 8B 45 FC C6 80 B9 02 00 00 00 C6 45 FA 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 14 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 45 FC 66 83 B8 36 02 00 00 00 74 1E 8B 45 FC F6 40 20 10 75 15 8D 4D FA 8B 5D FC 8B 55 FC 8B 83 38 02 00 00 FF 93 34 02 00 00 80 7D FA 00 0F 84 ED 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 F9 B2 04 8B 45 FC 8B 08 FF 91 C4 00 00 00 8A 5D FB 80 F3 01 84 DB 0F 84 CF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 02 00 00 83 C0 78 8B 55 FC 8B 92 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC F6 80 88 02 00 00 04 0F 95 C2 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C7 80 50 02 00 00 FF FF FF FF 8B 45 FC 33 D2 89 90 94 02 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 2C 8B 55 FC 89 82 48 02 00 00 8B 45 FC 80 B8 60 02 00 00 00 74 58 8B 45 FC 8B 40 58 50 8B 45 FC 8B 80 8C 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 8C 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 5C 02 00 00 59 8B 30 FF 56 14 EB 0D 8B 45 FC C7 80 48 02 00 00 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 8C 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 4C 02 00 00 8B 45 FC 8B 80 40 02 00 00 8B 10 FF 52 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 90 14 02 00 00 8B 45 FC 8B 80 58 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 58 02 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C4 02 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 B8 CC 02 00 00 8B 45 FC 8B 88 A8 02 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 02 00 00 8B 10 FF 52 3C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 C8 00 00 00 84 DB 74 59 8B 45 FC 8B 80 8C 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 4C 02 00 00 8B 45 FC C6 80 63 02 00 00 01 8B 45 FC 80 B8 3C 02 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 60 02 00 00 00 74 0E 8B 45 FC 8B 80 5C 02 00 00 8B 10 FF 52 1C 8A 55 F9 8B 45 FC 8B 08 FF 91 C4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 02 00 00 8B 10 FF 52 40 8B 45 FC 8B 80 58 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 3C 02 00 00 00 75 32 80 7D FB 00 75 3A 8B 45 FC 80 B8 61 02 00 00 00 74 10 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? EB 1E 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 14 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 14 02 00 00 C3 E9 ?? ?? ?? ?? EB DF 8A 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 28 02 00 00 01 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 0A 00 00 00 50 41 47 45 4E 55 4D 42 45 52 00 00 FF FF FF FF 0C 00 00 00 43 4F 4C 55 4D 4E 4E 55 4D 42 45 52 00 00 00 00 FF FF FF FF 0B 00 00 00 52 45 50 4F 52 54 54 49 54 4C 45 00 }
	condition:
		$1
}

rule function_16570_0 {
	meta:
		name = "TCustomQuickRep.SetPrinterValues"
		size = 222
		refs = "0013 TQRPrinter.SetPrinterIndex 001e TQRPage.GetPaperSize 002b TQRPrinter.SetPaperSize 0036 TQRPrinter.GetPaperSize 004a TQRPage.GetValue 004f @ROUND 005c TQRPrinter.SetPaperWidth 007e TQRPrinter.SetPaperLength 0092 TQRPrinter.SetOrientation 00a6 TQRPrinter.SetCopies 00ba TQRPrinter.SetBin"
	strings:
		$1 = { 53 8B D8 8B 83 A4 02 00 00 8B 50 0C 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 3C 1B 75 44 BA 03 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8A 50 44 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 8B 50 04 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 8A 50 0A 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 93 A4 02 00 00 8B 52 14 8B 83 B4 02 00 00 89 50 34 8B 93 A4 02 00 00 8B 52 18 89 50 38 5B C3 }
	condition:
		$1
}

rule function_16571_0 {
	meta:
		name = "TCustomQuickRep.Print"
		size = 211
		refs = "0012 TCustomQuickRep.PrepareQRPrinter 0035 TCustomQuickRep.Print 004b TQRPrinter.SetDestination 0051 Application 005a _Dn_TQRProgressForm 005f TCustomForm.Create 0088 TCustomForm.Show 00b0 TObject.Free 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 B1 00 00 00 8B 45 FC 8B 80 B4 02 00 00 80 78 70 00 0F 84 9E 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B4 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 B4 02 00 00 8B 55 F8 89 82 D0 02 00 00 8B 45 FC 80 B8 B0 02 00 00 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 B4 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 59 59 5D C3 }
	condition:
		$1
}

rule function_16572_0 {
	meta:
		name = "TCustomQuickRep.PreviewFinished"
		size = 29
	strings:
		$1 = { 53 66 83 B8 22 02 00 00 00 74 10 8B D8 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 5B C3 }
	condition:
		$1
}

rule function_16574_0 {
	meta:
		name = "TCustomQuickRep.PrepareQRPrinter"
		size = 83
		refs = "0024 _Dn_TQRPrinter 0029 TQRPrinter.Create 003e TCustomQuickRep.PreviewFinished 0048 TCustomQuickRep.PrintFinished"
	strings:
		$1 = { 53 56 57 55 8B F8 8A 9F 28 02 00 00 84 DB 74 3C 8B 87 B4 02 00 00 85 C0 74 05 8B 68 40 EB 02 33 ED B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 B4 02 00 00 89 6E 40 89 7E 1C C7 46 18 ?? ?? ?? ?? 89 7E 14 C7 46 10 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16575_0 {
	meta:
		name = "TCustomQuickRep.PrintBackground"
		size = 61
		refs = "0006 TCustomQuickRep.PrepareQRPrinter 0023 TQRPrinter.SetDestination 002c _DV_TQRCreateReportThread 0031 TQRCreateReportThread.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 83 B4 02 00 00 80 78 70 00 74 21 B2 01 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_16576_0 {
	meta:
		name = "TCustomQuickRep.CMPageAvailable"
		size = 41
		refs = "0016 TQRPrinter.GetPage"
	strings:
		$1 = { 53 8B D8 66 83 7A 04 01 75 1D BA 01 00 00 00 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 89 83 90 02 00 00 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_16577_0 {
	meta:
		name = "TCustomQuickRep.CMPreviewClose"
		size = 73
		refs = "0012 TCustomQuickRep.Cancel 0017 Application 001e TApplication.HandleMessage 002f TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 28 02 00 00 00 75 1C 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 BB 28 02 00 00 00 74 EB 8B 46 08 E8 ?? ?? ?? ?? 8B 46 08 3B 83 B4 02 00 00 75 08 33 C0 89 83 B4 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_16579_0 {
	meta:
		name = "TCustomQuickRep.Prepare"
		size = 108
		refs = "0006 TCustomQuickRep.PrepareQRPrinter 0026 TQRPrinter.SetDestination 0036 TCustomQuickRep.ExportToFilter 005b _DV_TQRCreateReportThread 0060 TQRCreateReportThread.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5C 8B 83 B4 02 00 00 80 B8 80 00 00 00 00 75 4D 33 D2 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 89 58 50 C7 40 4C ?? ?? ?? ?? 66 83 BB 7A 02 00 00 00 74 12 8B 93 78 02 00 00 89 50 54 8B 93 7C 02 00 00 89 50 58 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_16580_0 {
	meta:
		name = "TCustomQuickRep.PrepareDesignTimePreview"
		size = 96
		refs = "002e TObject.Free 0035 _Dn_TQRPrinter 003a TQRPrinter.Create 004e _DV_TQRCreateReportThread 0053 TQRCreateReportThread.Create"
	strings:
		$1 = { 53 56 8B D8 80 7B 47 00 74 53 80 BB 28 02 00 00 00 74 4A 80 BB C0 02 00 00 00 75 41 C6 83 C0 02 00 00 01 8B 83 B4 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 02 00 00 89 5E 40 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_16584_0 {
	meta:
		name = "TCustomQuickRep.PreviewIt"
		size = 183
		refs = "000a TCustomQuickRep.PrepareQRPrinter 0032 TQRPrinter.SetDestination 0045 TCustomQuickRep.PrinterSetup 004f TCustomQuickRep.ExportToFilter 005d @LStrAsg 0088 _DV_TQRCreateReportThread 008d TQRCreateReportThread.Create 00a2 TQRPrinter.PreviewModal 00af TQRPrinter.Preview"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 9D 00 00 00 8B 87 B4 02 00 00 80 B8 80 00 00 00 00 0F 85 8A 00 00 00 33 D2 8B 87 B4 02 00 00 E8 ?? ?? ?? ?? 8B B7 B4 02 00 00 89 7E 44 89 7E 60 C7 46 5C ?? ?? ?? ?? 89 7E 50 C7 46 4C ?? ?? ?? ?? 8D 46 78 8B 97 A8 02 00 00 E8 ?? ?? ?? ?? 66 83 BF 7A 02 00 00 00 74 18 8B 87 B4 02 00 00 8B 97 78 02 00 00 89 50 54 8B 97 7C 02 00 00 89 50 58 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 0C 02 00 00 84 DB 74 0D 8B 87 B4 02 00 00 E8 ?? ?? ?? ?? EB 0B 8B 87 B4 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16585_0 {
	meta:
		name = "TCustomQuickRep.PrinterSetup"
		size = 476
		refs = "000a Application 0013 _Dn_TQRPrintDialog 0018 TQRCommonDialog.Create 0022 _Dn_TPrinter 0027 TPrinter.Create 003f TPrinter.SetPrinterIndex 0047 TCustomQuickRep.PrinterSetup 00bd TCustomQuickRep.PrepareQRPrinter 00f8 TPrinter.SetOrientation 0109 TQRPrintDialog.SetNumCopies 0136 TPrinter.GetPrinterIndex 014a TPrinter.GetOrientation 0157 TQRPage.SetOrientation 01b1 TObject.Free 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 70 4C 8B 83 A4 02 00 00 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 33 D2 89 90 4C 01 00 00 8B 45 FC C7 80 50 01 00 00 0F 27 00 00 8B 83 B4 02 00 00 85 C0 74 47 80 B8 81 00 00 00 02 75 3E 8B 45 FC C7 80 4C 01 00 00 01 00 00 00 8B 83 B4 02 00 00 8B 40 68 8B 55 FC 89 82 50 01 00 00 8B 45 FC C7 80 40 01 00 00 01 00 00 00 8B 45 FC 8B 80 50 01 00 00 8B 55 FC 89 82 44 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 EC 00 00 00 8B 83 B4 02 00 00 80 78 70 00 0F 84 DC 00 00 00 8B 45 FC 8A 15 ?? ?? ?? ?? 88 90 49 01 00 00 8B 83 8C 02 00 00 8A 50 44 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 8B 50 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 84 C0 0F 84 86 00 00 00 8B 45 FC 8B 80 54 01 00 00 8B 93 A4 02 00 00 89 42 04 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B 93 A4 02 00 00 89 42 0C 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B D0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8A 80 4B 01 00 00 2C 02 72 04 74 14 EB 30 8B 83 A4 02 00 00 33 D2 89 50 14 33 D2 89 50 18 EB 1E 8B 55 FC 8B 92 40 01 00 00 8B 83 A4 02 00 00 89 50 14 8B 55 FC 8B 92 44 01 00 00 89 50 18 33 C0 89 43 0C EB 07 C7 43 0C 01 00 00 00 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 0E 00 00 00 }
	condition:
		$1
}

rule function_16586_0 {
	meta:
		name = "TCustomQuickRep.ExportToFilter"
		size = 247
		refs = "0012 TCustomQuickRep.SetExportFilter 0030 TCustomQuickRep.ExportToFilter 003d _Dn_TQRPrinter 0042 TQRPrinter.Create 0051 Application 005a _Dn_TQRProgressForm 005f TCustomForm.Create 0088 TCustomForm.Show 00bf TObject.Free 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 61 02 00 00 00 8B 45 FC 8B 80 B4 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B4 02 00 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 B4 02 00 00 8B 55 F4 89 82 D0 02 00 00 8B 45 FC 80 B8 B0 02 00 00 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 02 00 00 8B 55 F4 89 50 40 33 D2 8B 45 FC 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 61 02 00 00 01 8B 45 FC 8B 55 F8 89 90 B4 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_16587_0 {
	meta:
		name = "TCustomQuickRep.AvailableSpace"
		size = 233
		refs = "0042 TQRPrinter.GetPaperLength 004d @ROUND 006b TQRPage.GetValue 00bb TQRPrinter.GetPaperWidth"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB 28 02 00 00 00 0F 85 CF 00 00 00 83 BB 50 02 00 00 FF 75 07 33 C0 E9 C1 00 00 00 80 BB 60 02 00 00 00 74 2A 8B 83 5C 02 00 00 8B 10 FF 52 10 84 C0 74 1B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 E8 ?? ?? ?? ?? E9 8E 00 00 00 8B 83 8C 02 00 00 80 78 44 00 75 40 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 6C 24 04 DE E9 DB AB 98 02 00 00 DE E9 DB 83 50 02 00 00 DE E9 E8 ?? ?? ?? ?? EB 42 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 6C 24 04 DE E9 DB AB 98 02 00 00 DE E9 DB 83 50 02 00 00 DE E9 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_16588_0 {
	meta:
		name = "TCustomQuickRep.NewColumn"
		size = 250
		refs = "0012 TQuickRepBands.GetBand 001b TCustomQuickRep.PrintBand 0046 TQRPage.GetValue 004b @ROUND 0058 TCustomQuickRep.NewPage 006f TQRCustomBand.GetBandSize 0079 TQRBandSize.GetValue 00c6 TQREvEnvironment.SetIntegerConstant"
	strings:
		$1 = { 53 83 C4 F4 8B D8 BA 05 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 40 2C 3B 83 48 02 00 00 75 2E C7 83 48 02 00 00 01 00 00 00 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 55 BA 04 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B BA 06 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE C1 E8 ?? ?? ?? ?? 01 83 4C 02 00 00 8B 83 44 02 00 00 89 83 50 02 00 00 FF 83 48 02 00 00 8B 8B 48 02 00 00 8B 93 C8 02 00 00 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 83 BB 48 02 00 00 01 75 09 83 BB 94 02 00 00 01 74 19 BA 03 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_16589_0 {
	meta:
		name = "TCustomQuickRep.NewPage"
		size = 290
		refs = "0006 TCustomQuickRep.EndPage 0037 TQREvEnvironment.SetIntegerConstant 0054 TQRPrinter.NewPage 0064 TQRPage.GetValue 0069 @ROUND 00b8 TQuickRepBands.GetBand 00c1 TCustomQuickRep.PrintBand 00e6 TQuickRepBands.GetHasBand 00ff TQRCustomBand.GetBandSize 0106 TQRBandSize.GetValue 011c TQRCustomController.NewPageCheckGroups"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 60 02 00 00 00 74 0B 8B 83 5C 02 00 00 8B 10 FF 52 20 FF 83 94 02 00 00 8B 8B 94 02 00 00 8B 93 C4 02 00 00 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 80 BB 61 02 00 00 00 75 09 83 BB 94 02 00 00 01 75 0B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 50 02 00 00 66 83 BB 82 02 00 00 00 74 14 F6 43 20 10 75 0E 8B D3 8B 83 84 02 00 00 FF 93 80 02 00 00 83 BB 94 02 00 00 01 7F 12 83 BB 94 02 00 00 01 75 22 F6 83 88 02 00 00 01 74 19 BA 02 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 50 02 00 00 89 83 44 02 00 00 83 BB 94 02 00 00 01 75 3B BA 01 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 27 BA 01 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 01 83 44 02 00 00 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16590_0 {
	meta:
		name = "TCustomQuickRep.PrintPageBackground"
		size = 375
		refs = "000c TWinControl.GetControlCount 001f TWinControl.GetControl 0025 _DV_TQRPrintable 002a @IsClass 0092 TQRPage.GetValue 00bc TQRPrinter.YPos 00ff TQRPrinter.XPos 014c Rect 015c TQRPrinter.GetCanvas 0164 TQRBasePanel.GetFrame 016b TQRFrame.PaintIt"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 28 FF 95 C8 00 00 00 46 4F 75 CF 80 BB 61 02 00 00 00 0F 84 17 01 00 00 8B B3 B4 02 00 00 66 8B 86 8A 00 00 00 50 FF B6 86 00 00 00 FF B6 82 00 00 00 66 8B 86 94 00 00 00 50 FF B6 90 00 00 00 FF B6 8C 00 00 00 BA 01 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 28 9B 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 28 DE E1 83 C4 F4 DB 3C 24 9B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 1C 50 BA 03 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 30 9B BA 05 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 30 DE E1 83 C4 F4 DB 3C 24 9B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 44 24 18 50 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16591_0 {
	meta:
		name = "TCustomQuickRep.EndPage"
		size = 190
		refs = "003d TQRPage.GetValue 0060 @ROUND 0091 TQuickRepBands.GetBand 009a TCustomQuickRep.PrintBand 00a1 TCustomQuickRep.PrintPageBackground"
	strings:
		$1 = { 53 83 C4 F4 8B D8 83 BB 94 02 00 00 00 0F 8E 92 00 00 00 66 83 BB 6A 02 00 00 00 74 14 F6 43 20 10 75 0E 8B D3 8B 83 6C 02 00 00 FF 93 68 02 00 00 BA 01 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 DB AB 98 02 00 00 DE E9 E8 ?? ?? ?? ?? 89 83 50 02 00 00 83 BB 94 02 00 00 00 7E 2B 80 BB 63 02 00 00 00 74 09 F6 83 88 02 00 00 02 74 19 BA 06 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 60 02 00 00 00 74 0B 8B 83 5C 02 00 00 8B 10 FF 52 18 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_16592_0 {
	meta:
		name = "TCustomQuickRep.RegisterBand"
		size = 88
		refs = "0019 TList.IndexOf 002a TList.Add 0033 TQRCustomBand.GetChild 004d TQRCustomBand.GetHasChild"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 4B F6 43 20 08 75 45 8B D3 8B 86 10 02 00 00 E8 ?? ?? ?? ?? 85 C0 7D 34 8B D3 8B 86 10 02 00 00 E8 ?? ?? ?? ?? EB 16 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 86 10 02 00 00 E8 ?? ?? ?? ?? 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 DB 5E 5B C3 }
	condition:
		$1
}

rule function_16594_0 {
	meta:
		name = "AddBandsToList"
		size = 109
		refs = "002e TList.Get 0060 TCustomQuickRep.RegisterBand"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 8B 40 FC 8B 80 2C 02 00 00 8B 70 08 4E 85 F6 7C 4C 46 33 FF 8B 45 08 8B 40 FC 8B 80 2C 02 00 00 8B D7 E8 ?? ?? ?? ?? 3A 98 49 02 00 00 75 2A 8B 45 08 8B 40 FC 8B 80 2C 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 47 4E 75 B7 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_16595_0 {
	meta:
		name = "TCustomQuickRep.RebuildBandList"
		size = 335
		refs = "003f @CallDynaInst 0047 AddBandsToList 005b TQuickRepBands.GetHasBand 00ac TList.Get 00bc TList.IndexOf 00d9 TCustomQuickRep.RegisterBand 00eb TObject.Free 0104 _Dn_TList 0109 TObject.Create 0142 TList.Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC F6 40 20 01 0F 85 FE 00 00 00 8B 45 FC 8B 10 FF 92 DC 00 00 00 8B 45 FC 8B 80 40 02 00 00 8B 10 FF 52 34 8B 45 FC 8B 80 10 02 00 00 66 BB FF FF E8 ?? ?? ?? ?? 55 B0 01 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 30 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 55 33 C0 E8 ?? ?? ?? ?? 59 55 B0 08 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 40 02 00 00 8B 10 FF 52 50 55 B0 03 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 2C 02 00 00 8B 58 08 4B 85 DB 7C 44 43 33 F6 8B 45 FC 8B 80 2C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 10 02 00 00 E8 ?? ?? ?? ?? 40 75 1A 8B 45 FC 8B 80 2C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 BF 8B 45 FC 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 10 02 00 00 8B 55 FC 89 82 2C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 10 02 00 00 8B 45 FC 8B 80 2C 02 00 00 83 78 08 00 7E 24 8B 45 FC 8B 98 AC 02 00 00 85 DB 7E 17 8B 45 FC 8B 80 2C 02 00 00 8B 48 08 49 33 D2 E8 ?? ?? ?? ?? 4B 75 E9 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16596_0 {
	meta:
		name = "TCustomQuickRep.SetBandValues"
		size = 610
		refs = "003a TCustomQuickRep.GetUnits 005a TQRPage.GetValue 005f @ROUND 00d1 @_llmul 00df @_lldiv 010f TList.Get 0148 TControl.SetLeft 016f TControl.SetTop 0195 _DV_TQRChildBand 019a @IsClass 020c TQRCustomBand.GetBandSize 0216 TQRBandSize.SetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F0 83 BE 8C 02 00 00 00 0F 84 44 02 00 00 83 BE 2C 02 00 00 00 0F 84 37 02 00 00 F6 46 20 08 0F 85 2D 02 00 00 F6 46 20 01 0F 85 23 02 00 00 8B C6 E8 ?? ?? ?? ?? 88 44 24 10 B2 02 8B C6 8B 08 FF 91 C4 00 00 00 BA 02 00 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 BA 04 00 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 18 9B BA 05 00 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 18 DE C1 E8 ?? ?? ?? ?? 8B 56 38 2B D0 89 54 24 08 8B 86 8C 02 00 00 8B 58 2C 8B C3 99 52 50 8B 44 24 10 99 52 50 8B C3 48 99 52 50 BA 06 00 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A E8 ?? ?? ?? ?? 89 44 24 0C 8B 86 2C 02 00 00 8B 40 08 48 85 C0 0F 8C 53 01 00 00 40 89 44 24 14 C7 04 24 00 00 00 00 8B 14 24 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 22 01 00 00 F6 43 20 08 0F 85 18 01 00 00 C6 83 48 02 00 00 01 BA 04 00 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 80 BE 62 02 00 00 00 74 20 BA 01 00 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0B 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 01 44 24 04 8A 83 49 02 00 00 88 44 24 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B FB EB 02 8B FD 8B AF 54 02 00 00 85 ED 74 11 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 E3 8B 87 54 02 00 00 85 C0 74 0A 8A 80 49 02 00 00 88 44 24 11 8A 44 24 11 2C 02 72 1F 48 2C 02 72 1A 2C 04 74 16 8A 44 24 11 04 FB 2C 02 73 2A 8B 86 8C 02 00 00 80 78 46 01 75 1E DB 44 24 08 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? EB 1C DB 44 24 0C 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? C6 83 48 02 00 00 00 FF 04 24 FF 4C 24 14 0F 85 B9 FE FF FF 8A 54 24 10 8B C6 8B 08 FF 91 C4 00 00 00 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16599_0 {
	meta:
		name = "TCustomQuickRep.Notification"
		size = 27
		refs = "000b TControl.Notification"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B CB 8B C6 E8 ?? ?? ?? ?? F6 46 20 08 75 03 80 FB 01 5E 5B C3 }
	condition:
		$1
}

rule function_16600_0 {
	meta:
		name = "TCustomQuickRep.RemoveBand"
		size = 53
		refs = "0010 TList.IndexOf 0021 TList.Delete 0028 TCustomQuickRep.RebuildBandList 002f TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 53 8B D8 F6 43 20 08 75 2A 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 85 C0 7C 1B 8B D0 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16601_0 {
	meta:
		name = "TCustomQuickRep.Paint"
		size = 147
		refs = "0009 TQRBasePanel.Paint 0037 Rect 004a TCanvas.StretchDraw 0055 TQRPage.GetRuler 0060 TCustomQuickRep.GetUnits"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 64 02 00 00 00 74 07 C6 83 64 02 00 00 00 83 BB 90 02 00 00 00 74 28 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D4 8B 8B 90 02 00 00 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 C0 00 00 00 8B C3 8B 10 FF 92 D4 00 00 00 8B C3 8B 10 FF 92 D8 00 00 00 8B C3 8B 10 FF 92 D0 00 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_16602_0 {
	meta:
		name = "TCustomQuickRep.PaintColumns"
		size = 656
		refs = "0028 TPen.SetWidth 0031 cqrMarginStyle 0036 TPen.SetStyle 003f cqrMarginColor 0044 TPen.SetColor 004f TQRUnitBase.SetPixels 005f TQRPage.GetValue 00d5 @ROUND 0147 TCanvas.MoveTo 01b2 TCanvas.LineTo 027a TQRUnitBase.RestoreUnit"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B D8 8B 83 8C 02 00 00 83 78 2C 01 0F 8E 6F 02 00 00 8B BB EC 01 00 00 8B 47 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 47 10 8A 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 04 DE E1 DB 7C 24 10 9B BA 05 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DB 7C 24 1C 9B BA 06 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 70 2C 8B C6 48 89 44 24 28 DB 44 24 28 DE C9 DB 6C 24 1C DE E1 89 74 24 2C DB 44 24 2C DE F9 E8 ?? ?? ?? ?? 8B E8 8B 83 8C 02 00 00 8B 40 2C 48 85 C0 0F 8E 86 01 00 00 89 04 24 BE 01 00 00 00 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B C6 F7 ED 89 44 24 28 DB 44 24 28 DE C1 DB 7C 24 04 9B BA 06 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B C6 48 89 44 24 2C DB 44 24 2C DE C9 DB 6C 24 04 DE C1 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C7 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B C6 F7 ED 89 44 24 2C DB 44 24 2C DE C1 DB 7C 24 08 9B BA 06 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B C6 48 89 44 24 30 DB 44 24 30 DE C9 DB 6C 24 08 DE C1 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B BA 06 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 28 DB 44 24 28 DE C1 89 74 24 2C DB 44 24 2C DE C9 DB 6C 24 04 DE C1 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C7 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 08 9B BA 06 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 89 6C 24 2C DB 44 24 2C DE C1 89 74 24 30 DB 44 24 30 DE C9 DB 6C 24 08 DE C1 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 46 FF 0C 24 0F 85 82 FE FF FF 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 47 10 33 D2 E8 ?? ?? ?? ?? 83 C4 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16603_0 {
	meta:
		name = "TCustomQuickRep.PaintMargins"
		size = 177
		refs = "000c cqrMarginStyle 0014 TPen.SetStyle 001a cqrMarginColor 0022 TPen.SetColor 002d TQRUnitBase.SetPixels 003d TQRPage.GetValue 0042 @ROUND 0095 TCanvas.Rectangle 00aa TQRUnitBase.RestoreUnit"
	strings:
		$1 = { 53 56 8B D8 8B B3 EC 01 00 00 8A 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? BA 05 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 38 2B D0 52 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 3C 2B D0 52 BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 33 D2 8B 46 10 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16604_0 {
	meta:
		name = "TCustomQuickRep.PaintFrame"
		size = 752
		refs = "0010 TQRBasePanel.GetFrame 0018 TQRFrame.SetPen 0023 TQRUnitBase.SetPixels 0044 TQRPage.GetValue 0049 @ROUND 0069 TCanvas.MoveTo 00ba TCanvas.LineTo 02e6 TQRUnitBase.RestoreUnit"
	strings:
		$1 = { 53 56 83 C4 E8 8B D8 8B B3 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 12 00 0F 84 86 00 00 00 BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B BA 05 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 04 DE E1 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 08 00 0F 84 B4 00 00 00 BA 01 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 E8 ?? ?? ?? ?? 48 50 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 E8 ?? ?? ?? ?? 48 50 BA 03 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 10 9B BA 05 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 09 00 0F 84 81 00 00 00 BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 E8 ?? ?? ?? ?? 48 50 BA 04 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 11 00 0F 84 B9 00 00 00 BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 04 9B BA 05 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 04 DE E1 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 59 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B 33 D2 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 2C 24 DE E1 E8 ?? ?? ?? ?? 48 50 BA 03 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 7C 24 10 9B BA 05 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 59 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_16605_0 {
	meta:
		name = "TCustomQuickRep.PaintRuler"
		size = 37
		refs = "000a TFont.GetSize 001e TQRBasePanel.PaintRuler"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 58 E8 ?? ?? ?? ?? 99 33 C2 2B C2 89 86 00 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16606_0 {
	meta:
		name = "TCustomQuickRep.SetBounds"
		size = 183
		refs = "002c TWinControl.SetBounds 0049 TQRPage.GetPaperSize 005c TQRUnitBase.SetPixels 0076 TQRPage.SetValue 009b TQRUnitBase.RestoreUnit 00ac TCustomQuickRep.SetBandValues"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8B 45 0C 3B 46 38 75 0C 8B 45 08 3B 46 3C 75 04 33 C0 EB 02 B0 01 88 45 FF 8B 45 0C 50 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B 9E 8C 02 00 00 85 DB 74 6F 80 7B 10 00 75 69 80 7D FF 00 74 63 8B C3 E8 ?? ?? ?? ?? 3C 1B 75 58 8B 86 8C 02 00 00 C6 40 10 01 E8 ?? ?? ?? ?? DB 45 0C 83 C4 F4 DB 3C 24 9B BA 03 00 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? DB 45 08 83 C4 F4 DB 3C 24 9B BA 01 00 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 C6 40 10 00 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16607_0 {
	meta:
		name = "TCustomQuickRep.SetExportFilter"
		size = 26
	strings:
		$1 = { 89 90 5C 02 00 00 85 D2 74 08 C6 80 60 02 00 00 01 C3 C6 80 60 02 00 00 00 C3 }
	condition:
		$1
}

rule function_16608_0 {
	meta:
		name = "TCustomQuickRep.SetUnits"
		size = 146
		refs = "002a TList.Get 0032 TCustomQuickRep.GetUnits 003a TQRCustomBand.SetUnits 0045 TWinControl.GetControlCount 0058 TWinControl.GetControl 005e _DV_TQRPrintable 0063 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 8C 02 00 00 8B 08 FF 51 24 8B 83 2C 02 00 00 8B 70 08 4E 85 F6 7C 24 46 33 FF 8B D7 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 47 4E 75 DF 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3E 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 80 08 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 24 47 4E 75 C5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16609_0 {
	meta:
		name = "TQuickRep.CreateNew"
		size = 99
		refs = "000d @ClassCreate 001d TCustomQuickRep.CreateNew 0026 _DV_TQRController 002b TQRCustomController.Create 0034 TCustomQuickRep.SetController 004d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 6A 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 40 02 00 00 89 58 40 89 58 3C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16611_0 {
	meta:
		name = "TQuickRep.GetDataSet"
		size = 10
	strings:
		$1 = { 8B 80 40 02 00 00 8B 40 50 C3 }
	condition:
		$1
}

rule function_16613_0 {
	meta:
		name = "TQuickRep.GetRecordNumber"
		size = 10
	strings:
		$1 = { 8B 80 40 02 00 00 8B 40 68 C3 }
	condition:
		$1
}

rule function_16614_0 {
	meta:
		name = "TQuickRep.GetRecordCount"
		size = 92
		refs = "0010 TQuickRep.GetDataSet 0015 DataSetOK 0021 TQuickRep.GetRecordCount 0047 @HandleAnyException 0051 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 BE 01 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 8B F0 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE 01 00 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_16615_0 {
	meta:
		name = "TQuickRep.Execute"
		size = 44
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 DC 00 00 00 8B 83 40 02 00 00 8B 93 70 02 00 00 89 50 60 8B 93 74 02 00 00 89 50 64 8B 10 FF 52 38 5B C3 }
	condition:
		$1
}

rule function_16616_0 {
	meta:
		name = "TQuickRep.SetControllerBands"
		size = 70
		refs = "0016 TQuickRepBands.GetBand"
	strings:
		$1 = { 53 56 8B D8 8B B3 40 02 00 00 BA 04 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 89 46 54 BA 01 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 89 46 5C BA 07 00 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 89 46 58 5E 5B C3 }
	condition:
		$1
}

rule function_16617_0 {
	meta:
		name = "TQuickRep.Notification"
		size = 72
		refs = "0010 TCustomQuickRep.Notification 0023 _Dn_TDataSet 0028 @IsClass 0033 TQuickRep.GetDataSet 0040 TQuickRep.SetDataSet"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? F6 47 20 08 75 2A 80 FB 01 75 25 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16618_0 {
	meta:
		name = "TQRLabelSetup.Create"
		size = 60
		refs = "000b @ClassCreate 001a TQRUnitBase.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 5C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16619_0 {
	meta:
		name = "TQRLabelSetup.GetValue"
		size = 366
		refs = "0012 TQRLabelSetup.GetValue 003d TQRPage.GetValue 0075 TQuickRepBands.GetBand 007a TQRCustomBand.GetBandSize 0081 TQRBandSize.GetValue 009d TQRCustomBand.GetHasChild 00bd TQRCustomBand.GetChild"
	strings:
		$1 = { 53 83 C4 E8 8B D8 83 FA 05 0F 87 49 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 5C 8B 80 8C 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B E9 1C 01 00 00 8B 43 5C 8B 80 8C 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B E9 00 01 00 00 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 3C 24 9B 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BD 00 00 00 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 2C 24 DE C1 DB 3C 24 9B E9 8B 00 00 00 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? DB 3C 24 9B EB 63 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? DB 3C 24 9B EB 3E BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 7C 24 0C 9B 8B 43 5C 8B 80 8C 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? DB 6C 24 0C DE C1 DB 3C 24 9B EB 0E 33 C0 89 04 24 89 44 24 04 66 89 44 24 08 DB 2C 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_16620_0 {
	meta:
		name = "TQRLabelSetup.GetInteger"
		size = 29
	strings:
		$1 = { 83 EA 01 72 04 74 06 EB 11 8B 40 54 C3 8B 40 5C 8B 80 8C 02 00 00 8B 40 2C C3 33 C0 C3 }
	condition:
		$1
}

rule function_16621_0 {
	meta:
		name = "TQRLabelSetup.SetValue"
		size = 916
		refs = "0016 TQRLabelSetup.SetValue 004c TQRPage.SetValue 009e TQRLabelSetup.GetValue 00bb TQuickRepBands.GetBand 00c2 TQRCustomBand.SetHasChild 00e5 TQRCustomBand.GetBandSize 00ec TQRBandSize.SetValue 013b TQRCustomBand.GetChild 015f TQRPage.GetValue 016f TQRLabelSetup.GetInteger"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 8B D8 83 FA 05 0F 87 75 03 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 8B 43 5C 8B 80 8C 02 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? E9 33 03 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B 43 5C 8B 80 8C 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 8B 43 5C 8B 80 8C 02 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 F2 02 00 00 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 6D 08 DE D9 DF E0 9E 75 49 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 66 8B 45 10 50 FF 75 0C FF 75 08 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 93 02 00 00 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 6D 08 DE E1 83 C4 F4 DB 3C 24 9B 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 38 02 00 00 8B 43 5C 8B 80 8C 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? DB 7D E8 9B BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 DB 6D 08 DE C9 DB 6D E8 DE E1 DB 7D D8 9B BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 89 45 D4 DB 45 D4 DB 7D C8 9B 8B 43 5C 8B 80 8C 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? DB 6D C8 DE C9 DB 6D D8 DE C1 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 AF 01 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 7D F6 9B 66 8B 45 10 50 FF 75 0C FF 75 08 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 6D 08 DE D9 DF E0 9E 75 1F 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 40 01 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 6D 08 DE D9 DF E0 9E 76 1C 66 8B 45 10 50 FF 75 0C FF 75 08 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 0E 01 00 00 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? DB 6D F6 DB 6D 08 DE E9 83 C4 F4 DB 3C 24 9B 8B 43 5C 8B 80 30 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 BC 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 75 1E 6A 00 6A 00 6A 00 8B 43 5C 8B 80 8C 02 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 8F 00 00 00 8B 43 5C 8B B0 8C 02 00 00 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? DB 7D E8 9B BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 6D E8 DE E1 DB 7D D8 9B BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 7D C8 9B BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 DB 6D C8 DE C9 DB 6D D8 DE E1 DB 7D BC 9B BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 89 45 D4 DB 45 D4 DB 6D BC DE F1 83 C4 F4 DB 3C 24 9B 8B C6 BA 06 00 00 00 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 0C 00 00 00 00 40 }
	condition:
		$1
}

rule function_16622_0 {
	meta:
		name = "TQRLabelSetup.SetInteger"
		size = 20
		refs = "000f TQRPage.SetColumns"
	strings:
		$1 = { 4A 75 10 8B 40 5C 8B 80 8C 02 00 00 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16623_0 {
	meta:
		name = "TQuickLabelReport.CreateNew"
		size = 99
		refs = "000d @ClassCreate 001c TCustomQuickRep.CreateNew 0025 _DV_TQRLabelSetup 002a TQRLabelSetup.Create 0042 TQuickRepBands.SetHasBand 004d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D0 02 00 00 B1 01 BA 04 00 00 00 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16624_0 {
	meta:
		name = "TQuickLabelReport.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TCustomQuickRep.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16625_0 {
	meta:
		name = "TQRPrintableSize.Create"
		size = 132
		refs = "000b @ClassCreate 001a TQRUnitBase.Create 0070 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 40 33 C0 89 47 18 C7 47 1C 00 00 00 A0 66 C7 47 20 03 40 33 C0 89 47 36 C7 47 3A 00 00 00 A0 66 C7 47 3E 03 40 33 C0 89 47 2C C7 47 30 00 00 00 A0 66 C7 47 34 03 40 33 C0 89 47 22 C7 47 26 00 00 00 A0 66 C7 47 2A 03 40 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16626_0 {
	meta:
		name = "TQRPrintableSize.GetValue"
		size = 228
		refs = "00b2 _DV_TQRBasePanel 00b7 @IsClass 00cc TQRPrintableSize.GetValue"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 83 EA 01 72 07 74 28 4A 74 48 EB 69 66 8B 43 20 50 FF 73 1C FF 73 18 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 0C DB 3C 24 9B EB 67 66 8B 43 2A 50 FF 73 26 FF 73 22 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 0C DB 3C 24 9B EB 44 66 8B 43 34 50 FF 73 30 FF 73 2C 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 0C DB 3C 24 9B EB 21 66 8B 43 3E 50 FF 73 3A FF 73 36 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 0C DB 3C 24 9B 8B C3 8B 10 FF 52 14 3C 02 75 2C 8B 43 40 8B 70 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 DB 86 04 02 00 00 DB 2C 24 DE C9 D8 35 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_16627_0 {
	meta:
		name = "TQRPrintableSize.ReadValues"
		size = 67
		refs = "0009 TReader.ReadListBegin 0010 TReader.ReadFloat 003c TReader.ReadListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DB 7E 18 9B 8B C3 E8 ?? ?? ?? ?? DB 7E 22 9B 8B C3 E8 ?? ?? ?? ?? DB 7E 2C 9B 8B C3 E8 ?? ?? ?? ?? DB 7E 36 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16629_0 {
	meta:
		name = "TQRPrintableSize.SetParentSizes"
		size = 150
		refs = "0029 @ROUND"
	strings:
		$1 = { 53 56 8B D8 83 7B 40 00 0F 84 85 00 00 00 C6 43 10 01 66 8B 43 3E 50 FF 73 3A FF 73 36 B1 01 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 50 66 8B 43 20 50 FF 73 1C FF 73 18 33 C9 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 50 66 8B 43 34 50 FF 73 30 FF 73 2C 33 C9 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 50 66 8B 43 2A 50 FF 73 26 FF 73 22 B1 01 B2 02 8B C3 8B 30 FF 56 0C E8 ?? ?? ?? ?? 8B D0 8B 43 40 59 8B 30 FF 96 80 00 00 00 C6 43 10 00 5E 5B C3 }
	condition:
		$1
}

rule function_16630_0 {
	meta:
		name = "TQRPrintableSize.SetValue"
		size = 176
	strings:
		$1 = { 55 8B EC 53 56 8B D8 83 EA 01 72 0D 74 2E 4A 74 4E 4A 74 6E E9 8A 00 00 00 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 10 DB 7B 18 9B EB 67 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 10 DB 7B 22 9B EB 44 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 33 C9 8B C3 8B 30 FF 56 10 DB 7B 2C 9B EB 21 66 8B 45 10 50 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 B1 01 8B C3 8B 30 FF 56 10 DB 7B 36 9B 8B C3 8B 10 FF 52 20 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16631_0 {
	meta:
		name = "TQRPrintableSize.WriteValues"
		size = 95
		refs = "0009 TWriter.WriteListBegin 001b TWriter.WriteFloat 0058 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 66 8B 46 20 50 FF 76 1C FF 76 18 8B C3 E8 ?? ?? ?? ?? 66 8B 46 2A 50 FF 76 26 FF 76 22 8B C3 E8 ?? ?? ?? ?? 66 8B 46 34 50 FF 76 30 FF 76 2C 8B C3 E8 ?? ?? ?? ?? 66 8B 46 3E 50 FF 76 3A FF 76 36 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16639_0 {
	meta:
		name = "TQRPrintable.Create"
		size = 221
		refs = "000e @ClassCreate 001c TCustomControl.Create 0025 _DV_TQRPrintableSize 002a TQRPrintableSize.Create 0037 _DV_TQRFrame 003c TQRFrame.Create 004d TQRFrame.SetParent 0059 TControl.SetColor 006c TControl.SetHeight 0078 TControl.SetWidth 00c8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C3 E8 ?? ?? ?? ?? C6 83 F3 01 00 00 00 BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 F1 01 00 00 00 C6 83 F2 01 00 00 00 C6 83 F0 01 00 00 00 C6 83 00 02 00 00 01 C6 83 F8 01 00 00 00 33 C0 89 83 0C 02 00 00 33 C0 89 83 18 02 00 00 33 C0 89 83 10 02 00 00 33 C0 89 83 14 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16640_0 {
	meta:
		name = "TQRPrintable.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TCustomControl.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16641_0 {
	meta:
		name = "TQRPrintable.Loaded"
		size = 135
		refs = "0006 TControl.Loaded 002d TControl.SetLeft 0049 TControl.SetTop 0065 TControl.SetWidth 0081 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 08 02 00 00 8B 10 FF 52 18 83 7B 30 00 75 16 83 BB 18 02 00 00 00 74 0D 8B 93 18 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 34 00 75 16 83 BB 0C 02 00 00 00 74 0D 8B 93 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 38 00 75 16 83 BB 10 02 00 00 00 74 0D 8B 93 10 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 3C 00 75 16 83 BB 14 02 00 00 00 74 0D 8B 93 14 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16643_0 {
	meta:
		name = "TQRPrintable.GetZoom"
		size = 10
	strings:
		$1 = { 8B 80 08 02 00 00 8B 40 14 C3 }
	condition:
		$1
}

rule function_16644_0 {
	meta:
		name = "TQRPrintable.SetZoom"
		size = 17
		refs = "000c TQRPrintableSize.FixZoom"
	strings:
		$1 = { 8B 88 08 02 00 00 89 51 14 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16645_0 {
	meta:
		name = "TQRPrintable.AlignIt"
		size = 134
		refs = "002b TControl.SetLeft 0038 _DV_TQRCustomBand 003d @IsClass"
	strings:
		$1 = { 53 56 8B D8 80 BB F2 01 00 00 00 74 76 C6 83 F0 01 00 00 01 8A 83 F1 01 00 00 2C 01 72 08 74 11 FE C8 74 30 EB 56 33 D2 8B C3 E8 ?? ?? ?? ?? EB 4B 8B 73 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B 56 38 2B 53 38 8B C3 E8 ?? ?? ?? ?? EB 28 8B 73 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 56 38 2B 53 38 D1 FA 79 03 83 D2 00 8B C3 E8 ?? ?? ?? ?? C6 83 F0 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_16646_0 {
	meta:
		name = "TQRPrintable.Prepare"
		size = 26
	strings:
		$1 = { C6 80 F8 01 00 00 01 8B 90 FC 01 00 00 8B 92 B4 02 00 00 89 90 04 02 00 00 C3 }
	condition:
		$1
}

rule function_16647_0 {
	meta:
		name = "TQRPrintable.SetAlignment"
		size = 37
	strings:
		$1 = { 53 8B D8 88 93 F1 01 00 00 80 BB F2 01 00 00 00 74 0A 8B C3 8B 10 FF 92 C0 00 00 00 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_16648_0 {
	meta:
		name = "TQRPrintable.SetAlignToBand"
		size = 15
	strings:
		$1 = { 88 90 F2 01 00 00 8B 10 FF 92 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_16649_0 {
	meta:
		name = "TQRPrintable.SetFrame"
		size = 12
	strings:
		$1 = { 89 90 F4 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_16650_0 {
	meta:
		name = "TQRPrintable.QRNotification"
		size = 14
	strings:
		$1 = { 80 E9 02 75 08 8B 10 FF 92 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_16651_0 {
	meta:
		name = "TQRPrintable.Paint"
		size = 244
		refs = "0016 TQRPrintable.GetTransparent 002d TBrush.SetColor 003d TBrush.SetStyle 0057 TCanvas.FillRect 005e TQRPrintable.PaintCorners 0076 TQRPrintable.GetZoom 0083 Screen 008e TQRPrintable.Paint 00e0 TQRFrame.PaintIt"
	strings:
		$1 = { 53 83 C4 D8 8B D8 80 BB F8 01 00 00 00 0F 85 D1 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 83 EC 01 00 00 8B 40 14 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 8B 08 FF 51 44 8D 54 24 10 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 44 FF 4C 24 0C FF 4C 24 08 8B C3 E8 ?? ?? ?? ?? 89 44 24 20 DB 44 24 20 A1 ?? ?? ?? ?? 8B 00 DB 40 34 D8 35 ?? ?? ?? ?? DE C9 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 89 44 24 30 DB 44 24 30 A1 ?? ?? ?? ?? 8B 00 DB 40 34 D8 35 ?? ?? ?? ?? DE C9 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 4C 24 18 8B 93 EC 01 00 00 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 83 C4 28 5B C3 00 00 00 00 00 7E 43 00 00 C8 42 }
	condition:
		$1
}

rule function_16652_0 {
	meta:
		name = "TQRPrintable.Print"
		size = 413
		refs = "0027 TQRFrame.AnyFrame 0073 TQRPrintableSize.GetValue 00ad TQRPrinter.YPos 0100 TQRPrinter.XPos 016d Rect 0183 TQRPrinter.GetCanvas 0191 TQRFrame.PaintIt"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F9 8B F2 8B D8 8B 83 FC 01 00 00 80 B8 61 02 00 00 00 0F 84 75 01 00 00 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 62 01 00 00 8B 83 FC 01 00 00 8B A8 B4 02 00 00 66 8B 85 8A 00 00 00 50 FF B5 86 00 00 00 FF B5 82 00 00 00 66 8B 85 94 00 00 00 50 FF B5 90 00 00 00 FF B5 8C 00 00 00 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 7C 24 28 DB 44 24 28 DE C1 DB 7C 24 2C 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 2C DE C1 83 C4 F4 DB 3C 24 9B 8B 83 FC 01 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 1C 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 74 24 30 DB 44 24 30 DE C1 DB 7C 24 34 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 6C 24 34 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 FC 01 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 7C 24 34 DB 44 24 34 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 FC 01 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 74 24 38 DB 44 24 38 DE C1 83 C4 F4 DB 3C 24 9B 8B 83 FC 01 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 44 24 18 50 8B 83 FC 01 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 F4 01 00 00 59 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16653_0 {
	meta:
		name = "TQRPrintable.PaintCorners"
		size = 216
		refs = "0010 TPen.SetColor 001d TPen.SetWidth 002b TCanvas.MoveTo 0036 TCanvas.LineTo"
	strings:
		$1 = { 53 56 8B F0 8B 9E EC 01 00 00 33 D2 8B 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? B9 04 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 83 E9 04 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 49 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 38 83 EA 04 4A 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 56 38 4A 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 56 38 4A B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 49 8B 56 38 83 EA 04 4A 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 49 8B 56 38 4A 8B C3 E8 ?? ?? ?? ?? 8B 4E 3C 83 E9 04 49 8B 56 38 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16654_0 {
	meta:
		name = "TQRPrintable.SetBounds"
		size = 447
		refs = "002a TWinControl.SetBounds 003d TCustomQuickRep.Modify 008b TQRPrintableSize.GetValue 00ac TQRPrintableSize.SetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 83 08 02 00 00 80 78 10 00 74 2B 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 85 C0 0F 84 5E 01 00 00 E8 ?? ?? ?? ?? E9 54 01 00 00 F6 43 20 01 0F 85 18 01 00 00 8B 83 FC 01 00 00 85 C0 74 0D 80 B8 C0 02 00 00 00 0F 85 01 01 00 00 8B 83 08 02 00 00 8B 10 FF 52 14 88 45 FF B2 02 8B 83 08 02 00 00 8B 08 FF 51 24 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 45 08 DE D9 DF E0 9E 74 17 DB 45 08 83 C4 F4 DB 3C 24 9B 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? DB 45 0C DE D9 DF E0 9E 74 1A DB 45 0C 83 C4 F4 DB 3C 24 9B BA 03 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 7D F8 DB 45 F8 DE D9 DF E0 9E 74 1D 89 7D F8 DB 45 F8 83 C4 F4 DB 3C 24 9B BA 02 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 89 75 F8 DB 45 F8 DE D9 DF E0 9E 74 1D 89 75 F8 DB 45 F8 83 C4 F4 DB 3C 24 9B BA 01 00 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8A 55 FF 8B 83 08 02 00 00 8B 08 FF 51 24 EB 32 85 F6 74 06 89 B3 18 02 00 00 85 FF 74 06 89 BB 0C 02 00 00 83 7D 0C 00 74 09 8B 45 0C 89 83 10 02 00 00 83 7D 08 00 74 09 8B 45 08 89 83 14 02 00 00 80 BB F2 01 00 00 00 74 13 80 BB F0 01 00 00 00 75 0A 8B C3 8B 10 FF 92 C0 00 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16655_0 {
	meta:
		name = "TQRPrintable.SetParent"
		size = 230
		refs = "000c TControl.SetParent 0014 _DV_TQuickRep 0019 @IsClass 0026 TCustomQuickRep.GetUnits 005d TQRPrintable.SetZoom 0066 TControl.SetTop 006f TControl.SetLeft 0079 _DV_TQRCustomBand 008b TQRCustomBand.GetUnits"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B FE 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 8B 08 FF 51 24 8B C7 89 83 FC 01 00 00 8B 93 08 02 00 00 89 42 0C 8B 73 34 8B 7B 30 8B 83 FC 01 00 00 8B 90 04 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? EB 6D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5C 8B FE 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 8B 08 FF 51 24 8B 97 44 02 00 00 85 D2 74 24 8B C2 89 83 FC 01 00 00 8B 93 08 02 00 00 89 42 0C 8B 83 FC 01 00 00 8B 90 04 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 73 34 8B 7B 30 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16656_0 {
	meta:
		name = "TCustomLabel.GetTransparent"
		size = 10
		altNames = "TQRPrintable.GetTransparent"
	strings:
		$1 = { F6 40 40 40 0F 95 C0 34 01 C3 }
	condition:
		$1
}

rule function_16657_0 {
	meta:
		name = "TQRPrintable.SetTransparent"
		size = 64
		refs = "0009 TQRPrintable.GetTransparent 0016 TQRPrintable.SetTransparent"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 25 84 DB 74 0F A1 ?? ?? ?? ?? F7 D0 23 46 40 89 46 40 EB 0B A1 ?? ?? ?? ?? 0B 46 40 89 46 40 8B C6 8B 10 FF 52 78 5E 5B C3 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_17428_0 {
	meta:
		name = "TCustomLabel.SetTransparent"
		size = 64
		refs = "0009 TCustomLabel.GetTransparent 0016 TCustomLabel.SetTransparent"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 25 84 DB 74 0F A1 ?? ?? ?? ?? F7 D0 23 46 40 89 46 40 EB 0B A1 ?? ?? ?? ?? 0B 46 40 89 46 40 8B C6 8B 10 FF 52 78 5E 5B C3 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_16658_0 {
	meta:
		name = "TQRPrintable.UnPrepare"
		size = 8
	strings:
		$1 = { C6 80 F8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_16659_0 {
	meta:
		name = "TQRCompositeReport.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 002d _DV_TQuickRepPrinterSettings 0032 TQRPrinterSettings.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16661_0 {
	meta:
		name = "TQRCompositeReport.CreateComposite"
		size = 345
		refs = "0011 @CallDynaInst 001f TQRPrinter.SetPrinterIndex 0043 TQRPrinter.BeginDoc 004b TQRPrinter.NewPage 0055 TList.Get 0073 TQRPage.GetValue 0078 @ROUND 0134 TQRPrinter.AbortDoc 013e TQRPrinter.EndDoc"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F0 8B 46 40 66 BB FF FF E8 ?? ?? ?? ?? 8B 46 38 8B 50 0C 8B 46 3C E8 ?? ?? ?? ?? 66 83 7E 26 00 74 08 8B D6 8B 46 28 FF 56 24 8B 46 40 83 78 08 00 0F 8E 03 01 00 00 8B 46 3C E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 33 D2 8B 46 40 E8 ?? ?? ?? ?? 8B D8 B2 04 8B C3 8B 08 FF 91 C4 00 00 00 BA 02 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 33 C0 89 04 24 C7 44 24 04 01 00 00 00 8B 46 40 8B 40 08 48 85 C0 0F 8C 8F 00 00 00 40 89 44 24 0C 33 FF 8B D7 8B 46 40 E8 ?? ?? ?? ?? 8B D8 8B 46 3C 89 83 B4 02 00 00 89 AB 50 02 00 00 8B 04 24 89 83 94 02 00 00 8B 44 24 04 89 83 48 02 00 00 B2 01 8B C3 8B 08 FF 91 CC 00 00 00 8A 83 3C 02 00 00 88 44 24 08 80 7C 24 08 00 75 3D 66 83 7E 2E 00 74 12 8B D7 8B 46 40 E8 ?? ?? ?? ?? 8B D0 8B 46 30 FF 56 2C 8B AB 50 02 00 00 8B 83 94 02 00 00 89 04 24 8B 83 48 02 00 00 89 44 24 04 47 FF 4C 24 0C 0F 85 78 FF FF FF 80 7C 24 08 00 74 0A 8B 46 3C E8 ?? ?? ?? ?? EB 08 8B 46 3C E8 ?? ?? ?? ?? 66 83 7E 2E 00 74 08 8B D6 8B 46 30 FF 56 2C 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16662_0 {
	meta:
		name = "TQRCompositeReport.Print"
		size = 40
		refs = "0007 _Dn_TQRPrinter 000c TQRPrinter.Create 001a TQRPrinter.SetDestination 0021 TQRCompositeReport.CreateComposite"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16663_0 {
	meta:
		name = "TQRCompositeReport.Preview"
		size = 38
		refs = "0007 _Dn_TQRPrinter 000c TQRPrinter.Create 0018 TQRPrinter.Preview 001f TQRCompositeReport.CreateComposite"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16664_0 {
	meta:
		name = "TQRCompositeReport.Prepare"
		size = 27
		refs = "0006 _Dn_TQRPrinter 000b TQRPrinter.Create 0015 TQRCompositeReport.CreateComposite"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16665_0 {
	meta:
		name = "PerformSQLParamsUpdate"
		size = 590
		refs = "001d PerformSQLParamsUpdate 0036 TQuery.GetParamsCount 0052 TParams.GetItem 0089 TQREvEnvironment.Value 0091 TParam.GetDataType 00f2 @LStrFromString 0100 TParam.SetAsString 0120 TParam.SetAsInteger 0140 TParam.SetAsBoolean 0166 TParam.SetAsFloat 0194 StrToDate 01a3 TParam.SetAsDate 01ca StrToTime 01d9 TParam.SetAsTime 0200 StrToDateTime 020f TParam.SetAsDateTime 023b @LStrClr 0241 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 C9 89 8D F0 FE FF FF 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 8B 08 FF 91 20 01 00 00 8B C7 E8 ?? ?? ?? ?? 0F B7 F0 4E 85 F6 0F 8C D5 01 00 00 46 33 DB 8B 87 20 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 50 24 8B 45 FC 8B 08 FF 51 50 85 C0 0F 8C AA 01 00 00 8B 87 20 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8D 8D F4 FE FF FF 8B 45 F8 8B 50 24 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0B 0F 87 72 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 BD F4 FE FF FF 02 0F 85 2E 01 00 00 8D 85 F0 FE FF FF 8D 95 F5 FE FF FF E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? E9 0A 01 00 00 80 BD F4 FE FF FF 00 0F 85 FD 00 00 00 8B 95 F8 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? E9 EA 00 00 00 80 BD F4 FE FF FF 03 0F 85 DD 00 00 00 8A 95 F5 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? E9 CA 00 00 00 80 BD F4 FE FF FF 01 0F 85 BD 00 00 00 FF B5 FC FE FF FF FF B5 F8 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? E9 A4 00 00 00 80 BD F4 FE FF FF 02 0F 85 97 00 00 00 8D 85 F0 FE FF FF 8D 95 F5 FE FF FF E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F8 E8 ?? ?? ?? ?? EB 6A 80 BD F4 FE FF FF 02 75 61 8D 85 F0 FE FF FF 8D 95 F5 FE FF FF E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F8 E8 ?? ?? ?? ?? EB 34 80 BD F4 FE FF FF 02 75 2B 8D 85 F0 FE FF FF 8D 95 F5 FE FF FF E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 0F 85 2E FE FF FF B2 01 8B C7 8B 08 FF 91 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16666_0 {
	meta:
		name = "SetQRHiColor"
		size = 120
		refs = "0004 cqrRulerMinorStyle 000b cqrRulerMajorStyle 0012 cqrRulerMinorColor 001c cqrRulerMajorColor 0025 SetQRHiColor 002a cqrRulerFontName 0033 cqrRulerFontColor 003d cqrRulerFontSize 0047 cqrMarginStyle 004e cqrMarginColor 0058 cqrBandFrameStyle 005f cqrBandFrameColor"
	strings:
		$1 = { 56 57 C6 05 ?? ?? ?? ?? 00 C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? F9 F9 F9 00 C7 05 ?? ?? ?? ?? F0 F0 F0 00 BE ?? ?? ?? ?? BF ?? ?? ?? ?? A5 A5 A5 C7 05 ?? ?? ?? ?? 70 70 70 00 C7 05 ?? ?? ?? ?? 06 00 00 00 C6 05 ?? ?? ?? ?? 02 C7 05 ?? ?? ?? ?? 80 80 FF 00 C6 05 ?? ?? ?? ?? 02 C7 05 ?? ?? ?? ?? 60 60 60 00 5F 5E C3 00 00 0B 53 6D 61 6C 6C 20 46 6F 6E 74 73 }
	condition:
		$1
}

rule function_16667_0 {
	meta:
		name = "SetQRLoColor"
		size = 120
		refs = "0004 cqrRulerMinorStyle 000b cqrRulerMajorStyle 0012 cqrRulerMinorColor 001c cqrRulerMajorColor 0025 SetQRLoColor 002a cqrRulerFontName 0033 cqrRulerFontColor 003d cqrRulerFontSize 0047 cqrMarginStyle 004e cqrMarginColor 0058 cqrBandFrameStyle 005f cqrBandFrameColor"
	strings:
		$1 = { 56 57 C6 05 ?? ?? ?? ?? 02 C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? C0 C0 C0 00 C7 05 ?? ?? ?? ?? C0 C0 C0 00 BE ?? ?? ?? ?? BF ?? ?? ?? ?? A5 A5 A5 C7 05 ?? ?? ?? ?? C0 C0 C0 00 C7 05 ?? ?? ?? ?? 06 00 00 00 C6 05 ?? ?? ?? ?? 01 C7 05 ?? ?? ?? ?? 80 80 80 00 C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 80 80 80 00 5F 5E C3 00 00 0B 53 6D 61 6C 6C 20 46 6F 6E 74 73 }
	condition:
		$1
}

rule function_16668_0 {
	meta:
		name = "SetQRColorScheme"
		size = 51
		refs = "0004 GetDC 000e GetDeviceCaps 001e SetQRHiColor 0025 SetQRLoColor 002d ReleaseDC"
	strings:
		$1 = { 53 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 18 53 E8 ?? ?? ?? ?? 3D 00 01 00 00 7F 04 85 C0 7D 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16670_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_13 001a cQRBandComponentName 0025 String 002a @FinalizeArray 002f cQRBandTypeName 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_16671_0 {
	meta:
		name = "QuickRpt"
		size = 57
		refs = "0003 _DV_13 000b _NF__6B3 0010 @InitResStringImports 0015 SetQRColorScheme 001a GetSystemDefaultLCID 002a GetLocaleChar 0033 LocalMeasureInches"
	strings:
		$1 = { 53 83 2D ?? ?? ?? ?? 01 73 2D B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B1 20 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 31 0F 94 05 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16672_0 {
	meta:
		name = "ReadError"
		size = 108
		refs = "0012 ReadError 002d SInvalidRegType 0032 LoadResString 003c _DV_ERegistryException 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16673_0 {
	meta:
		name = "IsRelative"
		size = 20
	strings:
		$1 = { 53 8B D8 85 DB 74 09 80 3B 5C 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_16674_0 {
	meta:
		name = "RegDataToDataType"
		size = 45
	strings:
		$1 = { FE C8 74 0E FE C8 74 10 FE C8 74 12 FE C8 74 14 EB 18 B8 01 00 00 00 C3 B8 02 00 00 00 C3 B8 04 00 00 00 C3 B8 03 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_16675_0 {
	meta:
		name = "DataTypeToRegData"
		size = 38
	strings:
		$1 = { 83 F8 01 75 03 B0 01 C3 83 F8 02 75 04 B0 02 EB 14 83 F8 04 75 04 B0 03 EB 0B 83 F8 03 75 04 B0 04 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_16676_0 {
	meta:
		name = "TRegistry.Create"
		size = 60
		refs = "000a @ClassCreate 001a TRegistry.SetRootKey 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 BA 01 00 00 80 8B C6 E8 ?? ?? ?? ?? C6 46 0C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16678_0 {
	meta:
		name = "TRegistry.CloseKey"
		size = 45
		refs = "0012 RegCloseKey 001a RegFlushKey 0027 @LStrClr"
	strings:
		$1 = { 53 8B D8 8B 43 04 85 C0 74 21 80 7B 0C 00 74 08 50 E8 ?? ?? ?? ?? EB 06 50 E8 ?? ?? ?? ?? 33 C0 89 43 04 8D 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16679_0 {
	meta:
		name = "TRegistry.SetRootKey"
		size = 42
		refs = "0015 RegCloseKey 0023 TRegistry.CloseKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 3B F0 74 1A 80 7B 14 00 74 0A 50 E8 ?? ?? ?? ?? C6 43 14 00 89 73 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16680_0 {
	meta:
		name = "TRegistry.ChangeKey"
		size = 33
		refs = "000c TRegistry.CloseKey 0019 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 73 04 8D 43 10 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16681_0 {
	meta:
		name = "TRegistry.GetBaseKey"
		size = 18
	strings:
		$1 = { 8B 48 04 85 C9 74 04 84 D2 75 04 8B 40 08 C3 8B C1 C3 }
	condition:
		$1
}

rule function_16682_0 {
	meta:
		name = "TRegistry.SetCurrentKey"
		size = 4
	strings:
		$1 = { 89 50 04 C3 }
	condition:
		$1
}

rule function_16683_0 {
	meta:
		name = "TRegistry.CreateKey"
		size = 241
		refs = "0019 TRegistry.CreateKey 002e @LStrLAsg 0036 IsRelative 004e @LStrDelete 006b @LStrToPChar 0075 TRegistry.GetBaseKey 007b RegCreateKeyEx 008f RegCloseKey 00a6 SRegCreateFailed 00ab LoadResString 00b5 _DV_ERegistryException 00ba Exception.CreateFmt 00bf @RaiseExcept 00d4 @LStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 FC 50 6A 00 68 3F 00 0F 00 6A 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 84 DB 74 0B 8B 45 FC 50 E8 ?? ?? ?? ?? EB 2E 89 7D EC C6 45 F0 0B 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16684_0 {
	meta:
		name = "TRegistry.OpenKey"
		size = 292
		refs = "0018 TRegistry.OpenKey 0028 @LStrLAsg 0030 IsRelative 0048 @LStrDelete 006c @LStrToPChar 0076 TRegistry.GetBaseKey 007c RegOpenKeyEx 00b1 RegCreateKeyEx 00e0 @LStrCatN 00ed TRegistry.ChangeKey 0102 @LStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 88 4D FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 80 7D FF 00 74 06 83 7D F4 00 75 2B 8D 45 F8 50 68 3F 00 0F 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FE EB 33 8D 45 F0 50 8D 45 F8 50 6A 00 68 3F 00 0F 00 6A 00 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FE 80 7D FE 00 74 30 83 7E 04 00 0F 95 C0 84 D8 74 18 FF 76 10 68 ?? ?? ?? ?? FF 75 F4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FE 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_16685_0 {
	meta:
		name = "TRegistry.OpenKeyReadOnly"
		size = 224
		refs = "0015 TRegistry.OpenKeyReadOnly 0025 @LStrLAsg 002d IsRelative 0045 @LStrDelete 005d @LStrToPChar 0067 TRegistry.GetBaseKey 006d RegOpenKeyEx 009c @LStrCatN 00a9 TRegistry.ChangeKey 00be @LStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8D 45 F8 50 68 19 00 02 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FF 80 7D FF 00 74 30 83 7E 04 00 0F 95 C0 84 D8 74 18 FF 76 10 68 ?? ?? ?? ?? FF 75 F4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5E 5B 8B E5 5D C3 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_16686_0 {
	meta:
		name = "TRegistry.DeleteKey"
		size = 375
		refs = "001b TRegistry.DeleteKey 002b @LStrLAsg 0033 IsRelative 004e @LStrDelete 0061 TRegistry.GetKey 0087 TRegistry.SetCurrentKey 0092 TRegistry.GetKeyInfo 00a4 @LStrFromPCharLen 00c8 @LStrToPChar 00d3 RegEnumKeyEx 00e9 @LStrFromPChar 011b RegCloseKey 0121 @HandleFinally 0137 TRegistry.GetBaseKey 013d RegDeleteKey 0157 @LStrClr 0164 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 33 C9 89 4D C4 89 4D F0 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 75 12 8D 45 F0 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 89 45 E8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 0F 84 B5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 64 8B 4D CC 41 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 5D C8 4B 83 FB 00 7C 4D 8B 45 CC 40 89 45 F8 6A 00 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 EC E8 ?? ?? ?? ?? 50 53 8B 45 E4 50 E8 ?? ?? ?? ?? 85 C0 75 1D 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC E8 ?? ?? ?? ?? 4B 83 FB FF 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 F0 E8 ?? ?? ?? ?? 50 8A 55 F7 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16687_0 {
	meta:
		name = "TRegistry.DeleteValue"
		size = 31
		refs = "0009 @LStrToPChar 0013 RegDeleteValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_16688_0 {
	meta:
		name = "TRegistry.GetKeyInfo"
		size = 103
		refs = "0010 @FillChar 0038 RegQueryInfoKey 0043 SysLocale 004f Win32Platform"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8D 43 14 50 6A 00 8D 43 10 50 8D 43 0C 50 8D 43 08 50 6A 00 8D 43 04 50 53 6A 00 6A 00 6A 00 8B 46 04 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B 15 ?? ?? ?? ?? 80 7A 08 00 74 17 8B 15 ?? ?? ?? ?? 83 3A 02 75 0C 8B 53 04 01 53 04 8B 53 0C 01 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_16689_0 {
	meta:
		name = "TRegistry.GetKeyNames"
		size = 198
		refs = "001a TRegistry.GetKeyNames 0032 TRegistry.GetKeyInfo 0044 @LStrFromPCharLen 006a @LStrToPChar 0075 RegEnumKeyEx 0087 @LStrFromPChar 00ab @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 60 8B 4D DC 41 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 5D D8 4B 85 DB 7C 4A 43 33 F6 8B 45 DC 40 89 45 F8 6A 00 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 F4 E8 ?? ?? ?? ?? 50 56 8B 47 04 50 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 51 34 46 4B 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16690_0 {
	meta:
		name = "TRegistry.GetValueNames"
		size = 198
		refs = "001a TRegistry.GetValueNames 0032 TRegistry.GetKeyInfo 0044 @LStrFromPCharLen 006a @LStrToPChar 0075 RegEnumValue 0087 @LStrFromPChar 00ab @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 60 8B 4D E4 41 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 5D E0 4B 85 DB 7C 4A 43 33 F6 8B 45 E4 40 89 45 F8 6A 00 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 F4 E8 ?? ?? ?? ?? 50 56 8B 47 04 50 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 51 34 46 4B 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16691_0 {
	meta:
		name = "TRegistry.GetDataInfo"
		size = 79
		refs = "0015 @FillChar 0029 @LStrToPChar 0033 RegQueryValueEx 0040 DataTypeToRegData"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 8B C5 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 04 50 6A 00 8D 44 24 08 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 8B 04 24 E8 ?? ?? ?? ?? 88 45 00 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16692_0 {
	meta:
		name = "TRegistry.GetDataSize"
		size = 38
		refs = "0010 TRegistry.GetDataInfo"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 8B 44 24 04 EB 03 83 C8 FF 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_16693_0 {
	meta:
		name = "TRegistry.GetDataType"
		size = 36
		refs = "0010 TRegistry.GetDataInfo"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8A 04 24 EB 02 33 C0 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_16694_0 {
	meta:
		name = "TRegistry.WriteString"
		size = 42
		refs = "000c @LStrLen 0017 @LStrToPChar 0022 TRegistry.PutData"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 40 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16695_0 {
	meta:
		name = "TRegistry.WriteExpandString"
		size = 42
		refs = "000c @LStrLen 0017 @LStrToPChar 0022 TRegistry.PutData"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 40 50 6A 02 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16696_0 {
	meta:
		name = "TRegistry.ReadString"
		size = 118
		refs = "0010 TRegistry.GetDataSize 0021 @LStrFromPCharLen 002e @LStrToPChar 0039 TRegistry.GetData 0051 StrLen 005a @LStrSetLength 0063 ReadError 006c @LStrClr"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B EA 8B F0 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4F 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 53 8D 44 24 04 50 8B 07 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C6 E8 ?? ?? ?? ?? 80 3C 24 01 74 06 80 3C 24 02 75 17 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 10 8B C5 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16697_0 {
	meta:
		name = "TRegistry.WriteInteger"
		size = 19
		refs = "000d TRegistry.PutData"
	strings:
		$1 = { 51 89 0C 24 6A 04 6A 03 8D 4C 24 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_16698_0 {
	meta:
		name = "TRegistry.ReadInteger"
		size = 45
		refs = "0014 TRegistry.GetData 0022 ReadError"
	strings:
		$1 = { 53 83 C4 F8 8B DA 6A 04 8D 54 24 08 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 04 03 74 07 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_16699_0 {
	meta:
		name = "TRegistry.WriteBool"
		size = 9
		refs = "0004 TRegistry.WriteInteger"
	strings:
		$1 = { 83 E1 7F E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16701_0 {
	meta:
		name = "TRegistry.WriteCurrency"
		size = 19
		refs = "000b TRegistry.PutData"
		altNames = "TRegistry.WriteDateTime TRegistry.WriteFloat"
	strings:
		$1 = { 55 8B EC 6A 08 6A 04 8D 4D 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_16702_0 {
	meta:
		name = "TRegistry.ReadDateTime"
		size = 51
		refs = "0014 TRegistry.GetData 0027 ReadError"
		altNames = "TRegistry.ReadFloat"
	strings:
		$1 = { 53 83 C4 F4 8B DA 6A 08 8D 54 24 0C 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 08 04 75 05 83 F8 08 74 07 8B C3 E8 ?? ?? ?? ?? DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_16704_0 {
	meta:
		name = "TRegistry.ReadCurrency"
		size = 51
		refs = "0014 TRegistry.GetData 0027 ReadError"
	strings:
		$1 = { 53 83 C4 F4 8B DA 6A 08 8D 54 24 0C 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 08 04 75 05 83 F8 08 74 07 8B C3 E8 ?? ?? ?? ?? DF 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_16708_0 {
	meta:
		name = "TRegistry.ReadDate"
		size = 18
		refs = "0004 TRegistry.ReadDateTime"
		altNames = "TRegistry.ReadTime"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_16711_0 {
	meta:
		name = "TRegistry.WriteBinaryData"
		size = 20
		refs = "000b TRegistry.PutData"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16712_0 {
	meta:
		name = "TRegistry.ReadBinaryData"
		size = 99
		refs = "0018 TRegistry.GetDataInfo 0047 TRegistry.GetData 0050 ReadError"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 8B 75 F4 8A 45 F0 88 45 FB 80 7D FB 04 74 06 80 7D FB 00 75 18 3B 75 08 7F 13 56 8D 45 FB 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0B 8B C7 E8 ?? ?? ?? ?? EB 02 33 F6 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16713_0 {
	meta:
		name = "TRegistry.PutData"
		size = 161
		refs = "0019 TRegistry.PutData 0027 RegDataToDataType 003b @LStrToPChar 0045 RegSetValueEx 005e SRegSetDataFailed 0063 LoadResString 006d _DV_ERegistryException 0072 Exception.CreateFmt 0077 @RaiseExcept 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 08 E8 ?? ?? ?? ?? 8B F0 8B 45 0C 50 8B 45 FC 50 56 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 2E 89 7D F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16714_0 {
	meta:
		name = "TRegistry.GetData"
		size = 173
		refs = "0018 TRegistry.GetData 0035 @LStrToPChar 003f RegQueryValueEx 0058 SRegGetDataFailed 005d LoadResString 0067 _DV_ERegistryException 006c Exception.CreateFmt 0071 @RaiseExcept 007c DataTypeToRegData 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 0C 50 57 8D 45 FC 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 2E 89 75 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16715_0 {
	meta:
		name = "TRegistry.HasSubKeys"
		size = 36
		refs = "000b TRegistry.GetKeyInfo"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 83 3C 24 00 7F 04 33 C0 EB 02 B0 01 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_16716_0 {
	meta:
		name = "TRegistry.ValueExists"
		size = 13
		refs = "0006 TRegistry.GetDataInfo"
	strings:
		$1 = { 83 C4 F8 8B CC E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_16717_0 {
	meta:
		name = "TRegistry.GetKey"
		size = 151
		refs = "0015 TRegistry.GetKey 0025 @LStrLAsg 002d IsRelative 0045 @LStrDelete 005d @LStrToPChar 0067 TRegistry.GetBaseKey 006d RegOpenKeyEx 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 FC 8D 45 FC 50 68 3F 00 0F 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16718_0 {
	meta:
		name = "TRegistry.RegistryConnect"
		size = 56
		refs = "000f @LStrToPChar 0015 RegConnectRegistry 002a TRegistry.SetRootKey"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 54 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 84 DB 74 0E 8B 14 24 8B C6 E8 ?? ?? ?? ?? C6 46 14 01 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_16719_0 {
	meta:
		name = "TRegistry.LoadKey"
		size = 138
		refs = "0012 TRegistry.LoadKey 0022 @LStrLAsg 002a IsRelative 0040 @LStrDelete 0047 @LStrToPChar 005a RegLoadKey 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 08 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16720_0 {
	meta:
		name = "TRegistry.UnLoadKey"
		size = 126
		refs = "000f TRegistry.UnLoadKey 001f @LStrLAsg 0027 IsRelative 003d @LStrDelete 0045 @LStrToPChar 004f RegUnLoadKey 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 08 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16721_0 {
	meta:
		name = "TRegistry.RestoreKey"
		size = 104
		refs = "000e TRegistry.GetKey 001f TRegistry.RestoreKey 002e @LStrToPChar 0038 RegRestoreKey 0054 RegCloseKey 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 C6 45 FF 00 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16723_0 {
	meta:
		name = "TRegistry.SaveKey"
		size = 104
		refs = "000e TRegistry.GetKey 001f TRegistry.SaveKey 002e @LStrToPChar 0038 RegSaveKey 0054 RegCloseKey 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 C6 45 FF 00 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8A 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16722_0 {
	meta:
		name = "TRegistry.ReplaceKey"
		size = 157
		refs = "0012 TRegistry.ReplaceKey 0022 @LStrLAsg 002a IsRelative 0042 @LStrDelete 004a @LStrToPChar 0065 TRegistry.GetBaseKey 006b RegReplaceKey 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16724_0 {
	meta:
		name = "TRegistry.KeyExists"
		size = 25
		refs = "0002 TRegistry.GetKey 000e RegCloseKey"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 06 53 E8 ?? ?? ?? ?? 85 DB 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_16725_0 {
	meta:
		name = "TRegistry.RenameValue"
		size = 168
		refs = "0015 TRegistry.ValueExists 0034 TRegistry.GetDataSize 0041 AllocMem 004c TRegistry.RenameValue 0063 TRegistry.GetData 006e TRegistry.DeleteValue 0080 TRegistry.PutData 0095 @FreeMem 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 72 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 63 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FB 50 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? 56 8A 45 FB 50 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16726_0 {
	meta:
		name = "MoveValue"
		size = 287
		refs = "0021 TRegistry.SetCurrentKey 0029 MoveValue 003c TRegistry.GetDataSize 004d AllocMem 0073 TRegistry.GetData 00b2 TRegistry.PutData 00d3 @HandleFinally 00ea @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 89 55 FC 8B 55 08 8B 52 FC 8B 52 04 89 55 F8 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E AC 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 EF 50 8B 45 08 8B 40 FC 8B 4D F0 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 04 89 45 F4 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8A 45 EF 50 8B 45 08 8B 40 FC 8B 4D F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16727_0 {
	meta:
		name = "CopyValues"
		size = 293
		refs = "001a CopyValues 0039 TRegistry.SetCurrentKey 0055 TRegistry.GetKeyInfo 0069 MoveValue 0078 @LStrFromPCharLen 009e @LStrToPChar 00a6 RegEnumValue 00c0 @LStrFromPChar 00f3 @HandleFinally 010a @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 F0 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 79 8B 45 08 50 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 59 8B 4D E0 41 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 5D DC 4B 85 DB 7C 52 43 33 FF 8B 45 E0 40 89 45 F8 6A 00 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 F4 E8 ?? ?? ?? ?? 50 57 56 E8 ?? ?? ?? ?? 85 C0 75 24 8B 45 08 50 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 45 D0 E8 ?? ?? ?? ?? 8B 4D D0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 59 47 4B 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16728_0 {
	meta:
		name = "CopyKeys"
		size = 577
		refs = "0018 CopyKeys 0038 TRegistry.SetCurrentKey 0054 TRegistry.GetKeyInfo 006a @LStrFromPCharLen 009c @LStrToPChar 00aa RegEnumKeyEx 00c4 @LStrFromPChar 00d2 TRegistry.GetKey 0135 TRegistry.CreateKey 0175 CopyValues 019c RegCloseKey 01a2 @HandleFinally 0229 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 33 C9 89 4D B8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 E8 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 0F 84 95 01 00 00 8B 4D C0 41 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 BC 48 85 C0 0F 8C 7B 01 00 00 40 89 45 D8 C7 45 F0 00 00 00 00 8B 45 C0 40 89 45 F4 6A 00 6A 00 6A 00 6A 00 8D 45 F4 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 0F 85 33 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 0F 84 06 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 E4 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF FF 45 F0 FF 4D D8 0F 85 90 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_16729_0 {
	meta:
		name = "TRegistry.MoveKey"
		size = 241
		refs = "0015 TRegistry.KeyExists 0039 TRegistry.GetKey 004e TRegistry.MoveKey 005e TRegistry.CreateKey 008b CopyValues 0098 CopyKeys 00a9 TRegistry.DeleteKey 00bf RegCloseKey 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 B6 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 9F 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 80 7D 08 00 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16730_0 {
	meta:
		name = "TRegIniFile.Create"
		size = 78
		refs = "000b @ClassCreate 001a TRegistry.Create 0024 @LStrAsg 002f TRegistry.OpenKey 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 18 8B D6 E8 ?? ?? ?? ?? B1 01 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16731_0 {
	meta:
		name = "TRegIniFile.ReadString"
		size = 203
		refs = "0014 TRegistry.GetKey 0029 TRegIniFile.ReadString 0043 TRegistry.SetCurrentKey 005b TRegistry.ValueExists 006b TRegistry.ReadString 0077 @LStrLAsg 0095 @HandleFinally 00ad RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B C3 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B C3 8B 55 0C E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16732_0 {
	meta:
		name = "TRegIniFile.WriteString"
		size = 175
		refs = "0015 TRegistry.CreateKey 001f TRegistry.GetKey 0030 TRegIniFile.WriteString 004a TRegistry.SetCurrentKey 0065 TRegistry.WriteString 0083 @HandleFinally 009b RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 7B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16733_0 {
	meta:
		name = "TRegIniFile.ReadInteger"
		size = 254
		refs = "0019 TRegIniFile.ReadInteger 0027 TRegistry.GetKey 0056 TRegistry.SetCurrentKey 006e TRegistry.ValueExists 007f TRegistry.ReadString 0089 StrToIntDef 00af @HandleFinally 00c7 RegCloseKey 00e7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 8B F1 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 9B 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1C 8D 4D EC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 EB 03 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16734_0 {
	meta:
		name = "TRegIniFile.WriteInteger"
		size = 238
		refs = "0018 TRegIniFile.WriteInteger 0028 TRegistry.CreateKey 0032 TRegistry.GetKey 0061 TRegistry.SetCurrentKey 007a IntToStr 0087 TRegistry.WriteString 00a5 @HandleFinally 00bd RegCloseKey 00da @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 86 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16735_0 {
	meta:
		name = "TRegIniFile.ReadBool"
		size = 41
		refs = "0019 TRegIniFile.ReadInteger"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 33 C0 8A 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16737_0 {
	meta:
		name = "TRegIniFile.WriteBool"
		size = 188
		refs = "0015 TRegistry.CreateKey 001f TRegistry.GetKey 0034 TRegIniFile.WriteBool 004e TRegistry.SetCurrentKey 0068 Values 0072 TRegistry.WriteString 0090 @HandleFinally 00a8 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 8A 45 08 8B 0C 85 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16738_0 {
	meta:
		name = "TRegIniFile.ReadSection"
		size = 154
		refs = "0010 TRegistry.GetKey 0021 TRegIniFile.ReadSection 003b TRegistry.SetCurrentKey 0053 TRegistry.GetValueNames 0071 @HandleFinally 0089 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16742_0 {
	meta:
		name = "TRegIniFile.DeleteKey"
		size = 154
		refs = "0010 TRegistry.GetKey 0021 TRegIniFile.DeleteKey 003b TRegistry.SetCurrentKey 0053 TRegistry.DeleteValue 0071 @HandleFinally 0089 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16740_0 {
	meta:
		name = "TRegIniFile.ReadSectionValues"
		size = 288
		refs = "001e TRegIniFile.ReadSectionValues 002b _Dn_TStringList 0030 TObject.Create 004f TRegIniFile.ReadSection 0057 TStrings.BeginUpdate 0098 TRegIniFile.ReadString 00b5 TStrings.SetValue 00ce TStrings.EndUpdate 00d4 @HandleFinally 00eb TObject.Free 010d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 45 46 33 DB 6A 00 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 4D E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 55 E8 8B 45 F4 59 E8 ?? ?? ?? ?? 43 4E 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16743_0 {
	meta:
		name = "TRegistryIniFile.Create"
		size = 76
		refs = "000b @ClassCreate 001c TCustomIniFile.Create 0025 _DV_TRegIniFile 002a TRegIniFile.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16745_0 {
	meta:
		name = "TRegistryIniFile.ReadString"
		size = 39
		refs = "001c TRegIniFile.ReadString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16746_0 {
	meta:
		name = "TRegistryIniFile.ReadDate"
		size = 210
		refs = "0013 TRegistry.GetKey 0028 TRegistryIniFile.ReadDate 0042 TRegistry.SetCurrentKey 005a TRegistry.ValueExists 0068 TRegistry.ReadDate 0098 @HandleFinally 00b0 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 8B 40 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16747_0 {
	meta:
		name = "TRegistryIniFile.ReadDateTime"
		size = 210
		refs = "0013 TRegistry.GetKey 0028 TRegistryIniFile.ReadDateTime 0042 TRegistry.SetCurrentKey 005a TRegistry.ValueExists 0068 TRegistry.ReadDateTime 0098 @HandleFinally 00b0 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 8B 40 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16748_0 {
	meta:
		name = "TRegistryIniFile.ReadFloat"
		size = 210
		refs = "0013 TRegistry.GetKey 0028 TRegistryIniFile.ReadFloat 0042 TRegistry.SetCurrentKey 005a TRegistry.ValueExists 0068 TRegistry.ReadFloat 0098 @HandleFinally 00b0 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 8B 40 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16750_0 {
	meta:
		name = "TRegistryIniFile.ReadTime"
		size = 210
		refs = "0013 TRegistry.GetKey 0028 TRegistryIniFile.ReadTime 0042 TRegistry.SetCurrentKey 005a TRegistry.ValueExists 0068 TRegistry.ReadTime 0098 @HandleFinally 00b0 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 8B 40 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16749_0 {
	meta:
		name = "TRegistryIniFile.ReadInteger"
		size = 290
		refs = "0019 TRegistryIniFile.ReadInteger 0030 TRegistry.GetKey 005f TRegistry.SetCurrentKey 007a TRegistry.ValueExists 0088 TRegistry.GetDataType 0099 TRegistry.ReadString 00a3 StrToIntDef 00b2 TRegistry.ReadInteger 00d3 @HandleFinally 00eb RegCloseKey 010b @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 8B F1 89 55 FC 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 EC 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 B6 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 8B D6 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 37 8B D6 8B 45 EC E8 ?? ?? ?? ?? 3C 01 75 1C 8D 4D E8 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 8B D3 E8 ?? ?? ?? ?? 89 45 F8 EB 0D 8B D6 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16751_0 {
	meta:
		name = "TRegistryIniFile.WriteDate"
		size = 181
		refs = "0018 TRegistry.CreateKey 0022 TRegistry.GetKey 0033 TRegistryIniFile.WriteDate 004d TRegistry.SetCurrentKey 006b TRegistry.WriteDate 0089 @HandleFinally 00a1 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16752_0 {
	meta:
		name = "TRegistryIniFile.WriteDateTime"
		size = 181
		refs = "0018 TRegistry.CreateKey 0022 TRegistry.GetKey 0033 TRegistryIniFile.WriteDateTime 004d TRegistry.SetCurrentKey 006b TRegistry.WriteDateTime 0089 @HandleFinally 00a1 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16753_0 {
	meta:
		name = "TRegistryIniFile.WriteFloat"
		size = 181
		refs = "0018 TRegistry.CreateKey 0022 TRegistry.GetKey 0033 TRegistryIniFile.WriteFloat 004d TRegistry.SetCurrentKey 006b TRegistry.WriteFloat 0089 @HandleFinally 00a1 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16755_0 {
	meta:
		name = "TRegistryIniFile.WriteTime"
		size = 181
		refs = "0018 TRegistry.CreateKey 0022 TRegistry.GetKey 0033 TRegistryIniFile.WriteTime 004d TRegistry.SetCurrentKey 006b TRegistry.WriteTime 0089 @HandleFinally 00a1 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16754_0 {
	meta:
		name = "TRegistryIniFile.WriteInteger"
		size = 284
		refs = "0015 TRegistryIniFile.WriteInteger 002b TRegistry.CreateKey 0035 TRegistry.GetKey 0064 TRegistry.SetCurrentKey 007c TRegistry.ValueExists 008a TRegistry.GetDataType 0099 IntToStr 00a6 TRegistry.WriteString 00b5 TRegistry.WriteInteger 00d3 @HandleFinally 00eb RegCloseKey 0108 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 B1 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 28 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 3C 01 75 1A 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 45 F4 E8 ?? ?? ?? ?? EB 0D 8B 4D 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16756_0 {
	meta:
		name = "TRegistryIniFile.WriteString"
		size = 21
		refs = "000c TRegIniFile.WriteString"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 40 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16772_0 {
	meta:
		name = "SetErrorProc"
		size = 44
		refs = "000a @GetTls 0010 SocketErrorProc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 89 90 ?? ?? ?? ?? 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_16773_0 {
	meta:
		name = "CheckSocketResult"
		size = 223
		refs = "0019 CheckSocketResult 002e WSAGetLastError 003f @GetTls 0045 SocketErrorProc 0065 SysErrorMessage 0091 sWindowsSocketError 0096 LoadResString 00a0 _DV_ESocketError 00a5 Exception.CreateFmt 00aa @RaiseExcept 00cb @LStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 C9 89 4D D8 89 4D D4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 83 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 81 7D F4 33 27 00 00 74 77 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 12 E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? 8B 45 F4 FF D3 EB 57 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 0B 8B 45 F4 89 45 E4 C6 45 E8 00 8B 45 F8 89 45 EC C6 45 F0 0B 8D 45 DC 50 6A 02 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16774_0 {
	meta:
		name = "Startup"
		size = 192
		refs = "0012 Startup 001d WSAData 0027 WSAStartup 003b SysErrorMessage 0069 sWindowsSocketError 006e LoadResString 0078 _DV_ESocketError 007d Exception.CreateFmt 0082 @RaiseExcept 009c @LStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 C0 89 45 E0 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 68 01 01 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 52 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 0B 8B 45 FC 89 45 EC C6 45 F0 00 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 0B 8D 45 E4 50 6A 02 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 FF FF FF FF 0A 00 00 00 57 53 41 53 74 61 72 74 75 70 00 00 }
	condition:
		$1
}

rule function_16775_0 {
	meta:
		name = "Cleanup"
		size = 184
		refs = "0012 Cleanup 001d WSACleanup 0031 SysErrorMessage 005f sWindowsSocketError 0064 LoadResString 006e _DV_ESocketError 0073 Exception.CreateFmt 0078 @RaiseExcept 0092 @LStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 C0 89 45 E0 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 52 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 0B 8B 45 FC 89 45 EC C6 45 F0 00 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 0B 8D 45 E4 50 6A 02 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 FF FF FF FF 0A 00 00 00 57 53 41 43 6C 65 61 6E 75 70 00 00 }
	condition:
		$1
}

rule function_16776_0 {
	meta:
		name = "TCustomWinSocket.Create"
		size = 160
		refs = "000e @ClassCreate 0021 TObject.Create 0026 Startup 002d _Dn_TCriticalSection 0032 TCriticalSection.Create 0041 TCustomWinSocket.Create 0085 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 8B 45 FC 8A 15 ?? ?? ?? ?? 88 50 28 8B 45 F4 8B 55 FC 89 42 04 8B 45 FC 66 C7 40 18 02 00 8B 45 FC 33 D2 89 50 1C 8B 45 FC 66 C7 40 1A 00 00 8B 45 FC 83 78 04 FF 0F 95 C0 8B 55 FC 88 42 08 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 00 00 33 00 00 00 }
	condition:
		$1
}

rule function_16777_0 {
	meta:
		name = "TCustomWinSocket.Destroy"
		size = 128
		refs = "0007 @BeforeDestruction 004c DeallocateHWnd 0057 TObject.Free 005c Cleanup 006a TObject.Destroy 0078 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 33 D2 89 50 2C 89 50 30 8B 45 FC 80 78 08 00 74 17 8B 45 FC 83 78 04 FF 74 0E 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 8B 45 FC 83 78 14 00 74 0B 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16778_0 {
	meta:
		name = "TCustomWinSocket.Accept"
		size = 16
		altNames = "TCustomWinSocket.Connect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_16779_0 {
	meta:
		name = "TCustomWinSocket.Close"
		size = 24
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 59 5D C3 }
	condition:
		$1
}

rule function_16781_0 {
	meta:
		name = "TCustomWinSocket.Lock"
		size = 21
		refs = "000e TCriticalSection.Enter"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16782_0 {
	meta:
		name = "TCustomWinSocket.Unlock"
		size = 21
		refs = "000e TCriticalSection.Leave"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16783_0 {
	meta:
		name = "CheckError"
		size = 257
		refs = "0010 CheckError 009b @CallDynaInst 00b9 sAsyncSocketError 00be LoadResString 00c8 _DV_ESocketError 00cd Exception.CreateFmt 00d2 @RaiseExcept 00ed @LStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 66 83 78 0A 00 0F 84 AD 00 00 00 C6 45 FF 00 8B 45 08 8B 40 FC 0F B7 40 0A 89 45 F8 8B 45 08 8B 40 FC 0F B7 40 08 83 F8 08 7F 0A 74 2C 48 74 1D 48 74 20 EB 2A 83 E8 10 74 07 83 E8 10 74 08 EB 1E C6 45 FE 03 EB 1C C6 45 FE 04 EB 16 C6 45 FE 02 EB 10 C6 45 FE 01 EB 0A C6 45 FE 05 EB 04 C6 45 FE 00 8D 45 F8 50 8B 45 08 8B 50 F8 8B 45 08 8B 40 F8 8A 4D FE 66 BB FE FF E8 ?? ?? ?? ?? 83 7D F8 00 74 37 8B 45 F8 89 45 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16784_0 {
	meta:
		name = "TCustomWinSocket.CMSocketMessage"
		size = 138
		refs = "000e CheckError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 55 E8 ?? ?? ?? ?? 59 84 C0 74 6F 8B 45 FC 0F B7 40 08 83 F8 08 7F 0A 74 54 48 74 31 48 74 3E EB 59 83 E8 10 74 07 83 E8 10 74 12 EB 4D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 04 EB 3D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 08 EB 2D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 0C EB 1D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 10 EB 0D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 11 59 59 5D C3 }
	condition:
		$1
}

rule function_16785_0 {
	meta:
		name = "TCustomWinSocket.CMDeferFree"
		size = 24
		refs = "0010 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16786_0 {
	meta:
		name = "TCustomWinSocket.DeferFree"
		size = 40
		refs = "0021 PostMessage"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 14 00 74 15 6A 00 6A 00 68 02 04 00 00 8B 45 FC 8B 40 14 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16787_0 {
	meta:
		name = "TCustomWinSocket.DoSetAsyncStyles"
		size = 128
		refs = "0014 TCustomWinSocket.DoSetAsyncStyles 002b TCustomWinSocket.GetHandle 004a WSAAsyncSelect 0071 ioctlsocket"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F4 A0 ?? ?? ?? ?? 8B 55 FC 3A 42 28 74 12 C7 45 F8 01 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 0F B6 40 28 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 8B 55 FC 3A 42 28 75 1A 33 C0 89 45 F0 8D 45 F0 50 68 7E 66 04 80 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16788_0 {
	meta:
		name = "TCustomWinSocket.GetHandle"
		size = 54
		refs = "0017 TCustomWinSocket.WndProc 001c AllocateHWnd"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 14 00 75 14 8B 45 FC 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B 45 FC 8B 40 14 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_16789_0 {
	meta:
		name = "TCustomWinSocket.GetLocalAddress"
		size = 140
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetLocalAddress 0026 @LStrClr 0034 @TryFinallyExit 0051 getsockname 005d inet_ntoa 0067 @LStrFromPChar 007c TCustomWinSocket.Unlock 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 4E C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 12 FF 75 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16790_0 {
	meta:
		name = "TCustomWinSocket.GetLocalHost"
		size = 134
		refs = "0013 TCustomWinSocket.Lock 001b TCustomWinSocket.GetLocalHost 0029 @LStrClr 0037 @TryFinallyExit 004a gethostname 0061 @LStrFromArray 0076 TCustomWinSocket.Unlock 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 45 68 00 01 00 00 8D 85 F8 FE FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 13 8B 45 F8 8D 95 F8 FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16791_0 {
	meta:
		name = "TCustomWinSocket.GetLocalPort"
		size = 137
		refs = "000d TCustomWinSocket.Lock 0015 TCustomWinSocket.GetLocalPort 0030 @TryFinallyExit 004d getsockname 005b ntohs 0076 TCustomWinSocket.Unlock 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 4C C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 10 66 8B 45 E6 50 E8 ?? ?? ?? ?? 0F B7 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_16792_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteHost"
		size = 184
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetRemoteHost 0026 @LStrClr 0034 @TryFinallyExit 0051 getpeername 005b CheckSocketResult 0068 gethostbyaddr 007e @LStrFromPChar 0093 TCustomWinSocket.Unlock 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 65 C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E0 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 6A 04 8D 45 E4 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 0D 8B 45 F8 8B 55 F0 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 FF FF FF FF 0B 00 00 00 67 65 74 70 65 65 72 6E 61 6D 65 00 }
	condition:
		$1
}

rule function_16793_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteAddress"
		size = 168
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetRemoteAddress 0026 @LStrClr 0034 @TryFinallyExit 0051 getpeername 005b CheckSocketResult 0063 inet_ntoa 006d @LStrFromPChar 0082 TCustomWinSocket.Unlock 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 54 C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 FF FF FF FF 0B 00 00 00 67 65 74 70 65 65 72 6E 61 6D 65 00 }
	condition:
		$1
}

rule function_16794_0 {
	meta:
		name = "TCustomWinSocket.GetRemotePort"
		size = 164
		refs = "000d TCustomWinSocket.Lock 0015 TCustomWinSocket.GetRemotePort 002e @TryFinallyExit 004b getpeername 0055 CheckSocketResult 005f ntohs 007a TCustomWinSocket.Unlock 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 52 C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 E6 50 E8 ?? ?? ?? ?? 0F B7 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B E5 5D C3 00 00 00 FF FF FF FF 0B 00 00 00 67 65 74 70 65 65 72 6E 61 6D 65 00 }
	condition:
		$1
}

rule function_16795_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteAddr"
		size = 144
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetRemoteAddr 002d @FillChar 003b @TryFinallyExit 0058 getpeername 0080 TCustomWinSocket.Unlock 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 4B C7 45 F4 10 00 00 00 8D 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 45 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16796_0 {
	meta:
		name = "TCustomWinSocket.LookupName"
		size = 124
		refs = "0010 @LStrToPChar 0016 gethostbyname 0028 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 8D 45 EC 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 3D 8B 45 F0 89 45 E8 8B 45 E8 8B 40 0C 8B 00 8A 00 88 45 EC 8B 45 E8 8B 40 0C 8B 00 8A 40 01 88 45 ED 8B 45 E8 8B 40 0C 8B 00 8A 40 02 88 45 EE 8B 45 E8 8B 40 0C 8B 00 8A 40 03 88 45 EF 8B 45 EC 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_16797_0 {
	meta:
		name = "TCustomWinSocket.LookupService"
		size = 80
		refs = "000d TCustomWinSocket.LookupService 0015 @LStrToPChar 001b getservbyname 0031 ntohs"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 15 8B 45 F0 66 8B 40 08 50 E8 ?? ?? ?? ?? 0F B7 C0 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 F4 8B E5 5D C3 00 00 00 74 63 70 00 }
	condition:
		$1
}

rule function_16798_0 {
	meta:
		name = "TCustomWinSocket.InitSocket"
		size = 230
		refs = "0019 TCustomWinSocket.InitSocket 0038 TCustomWinSocket.LookupName 004e @LStrToPChar 0054 inet_addr 0074 sNoAddress 0079 LoadResString 0083 _DV_ESocketError 0088 Exception.Create 008d @RaiseExcept 009e TCustomWinSocket.LookupService 00a4 htons 00d3 @LStrClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 66 C7 00 02 00 83 7D F8 00 74 13 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 04 EB 4D 83 7D F4 00 74 16 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 08 89 42 04 EB 31 80 7D 0C 00 75 0A 8B 45 08 33 D2 89 50 04 EB 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 14 00 74 1A 8B 55 14 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 08 66 89 42 02 EB 11 66 8B 45 10 50 E8 ?? ?? ?? ?? 8B 55 08 66 89 42 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_16799_0 {
	meta:
		name = "TCustomWinSocket.Listen"
		size = 392
		refs = "001b TCustomWinSocket.Listen 0032 sCannotListenOnOpen 0037 LoadResString 0041 _DV_ESocketError 0046 Exception.Create 004b @RaiseExcept 0056 socket 006d sCannotCreateSocket 00b1 TCustomWinSocket.InitSocket 00c3 bind 00cd CheckSocketResult 00d5 TCustomWinSocket.DoSetAsyncStyles 00f3 @CallDynaInst 0103 listen 0123 @HandleAnyException 0136 @RaiseAgain 013b @DoneExcept 0150 @LStrClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 08 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 6A 02 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 83 78 04 FF 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 66 8B 45 0C 50 6A 00 8D 45 E4 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 6A 10 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 7D 08 05 7E 07 C7 45 08 05 00 00 00 B1 04 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 08 01 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 FF FF FF FF 04 00 00 00 62 69 6E 64 00 00 00 00 FF FF FF FF 06 00 00 00 6C 69 73 74 65 6E 00 00 }
	condition:
		$1
}

rule function_16800_0 {
	meta:
		name = "TCustomWinSocket.Open"
		size = 388
		refs = "001b TCustomWinSocket.Open 0032 sSocketAlreadyOpen 0037 LoadResString 0041 _DV_ESocketError 0046 Exception.Create 004b @RaiseExcept 0056 socket 006d sCannotCreateSocket 00a5 @CallDynaInst 00c2 TCustomWinSocket.InitSocket 00ca TCustomWinSocket.DoSetAsyncStyles 00ed connect 00f7 CheckSocketResult 0130 @HandleAnyException 0143 @RaiseAgain 0148 @DoneExcept 015d @LStrClr 0163 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 08 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 6A 02 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 83 78 04 FF 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 0C 50 66 8B 45 08 50 6A 01 8D 45 E4 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 6A 10 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 40 28 10 75 21 8B 45 FC 83 78 04 FF 0F 95 C0 8B 55 FC 88 42 08 B1 02 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 FF FF FF FF 07 00 00 00 63 6F 6E 6E 65 63 74 00 }
	condition:
		$1
}

rule function_16801_0 {
	meta:
		name = "TCustomWinSocket.Disconnect"
		size = 188
		refs = "0011 TCustomWinSocket.Lock 0019 TCustomWinSocket.Disconnect 0035 @TryFinallyExit 0048 @CallDynaInst 0054 closesocket 005e CheckSocketResult 007a TObject.Free 0097 TCustomWinSocket.Unlock 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 FF 74 0B 8B 45 FC 8B 40 04 3B 45 F8 74 07 E8 ?? ?? ?? ?? EB 68 B1 03 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 04 FF FF FF FF 8B 45 FC C6 40 08 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 FF FF FF FF 0B 00 00 00 63 6C 6F 73 65 73 6F 63 6B 65 74 00 }
	condition:
		$1
}

rule function_16802_0 {
	meta:
		name = "TCustomWinSocket.DefaultHandler"
		size = 68
		refs = "0031 DefWindowProc 0036 CallWindowProc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 14 00 74 2B 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 8B 45 FC 8B 40 14 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 59 59 5D C3 }
	condition:
		$1
}

rule function_16803_0 {
	meta:
		name = "TCustomWinSocket.Event"
		size = 50
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 FC 66 83 78 2E 00 74 13 8A 45 F7 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 30 FF 53 2C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16804_0 {
	meta:
		name = "TCustomWinSocket.Error"
		size = 56
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 FC 66 83 78 36 00 74 17 8A 45 F7 50 8B 45 08 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 38 FF 53 34 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16805_0 {
	meta:
		name = "TCustomWinSocket.SendText"
		size = 37
		refs = "0010 @LStrLen 001d TCustomWinSocket.SendBuf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16806_0 {
	meta:
		name = "DropStream"
		size = 72
		refs = "0037 TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 78 10 00 74 14 8B 45 08 8B 40 FC 8B 50 04 8B 45 08 8B 40 FC 8B 08 FF 51 08 8B 45 08 8B 40 FC C6 40 10 00 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 89 50 0C 5D C3 }
	condition:
		$1
}

rule function_16807_0 {
	meta:
		name = "TCustomWinSocket.SendStreamPiece"
		size = 388
		refs = "0015 TCustomWinSocket.Lock 001d TCustomWinSocket.SendStreamPiece 004b @TryFinallyExit 005b TStream.GetPosition 009a send 00a8 WSAGetLastError 00c9 @CallDynaInst 00dd DropStream 00f1 Abort 0101 TStream.SetPosition 0139 TStream.GetSize 016a TCustomWinSocket.Unlock 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 E8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 83 78 0C 00 0F 84 21 01 00 00 8B 45 FC 83 78 04 FF 74 09 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 22 01 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 8D 95 E8 EF FF FF 8B 45 FC 8B 40 0C B9 00 10 00 00 8B 18 FF 53 04 89 45 F0 83 7D F0 00 0F 8E C9 00 00 00 6A 00 8B 45 F0 50 8D 85 E8 EF FF FF 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC FF 75 60 E8 ?? ?? ?? ?? 89 45 E8 81 7D E8 33 27 00 00 74 3F 8D 45 E8 50 B1 01 8B 55 FC 8B 45 FC 66 BB FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8A 15 ?? ?? ?? ?? 3A 50 28 74 65 E8 ?? ?? ?? ?? EB 5E 8B 45 FC 8B 40 0C 8B 55 F4 E8 ?? ?? ?? ?? EB 4E 8B 45 F0 3B 45 EC 7E 16 8B 55 F4 03 55 EC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? E9 2F FF FF FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 3B D8 0F 85 0F FF FF FF 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16808_0 {
	meta:
		name = "TCustomWinSocket.SendStream"
		size = 52
		refs = "0026 TCustomWinSocket.SendStreamPiece"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC C6 45 F7 00 8B 45 FC 83 78 0C 00 75 14 8B 45 F8 8B 55 FC 89 42 0C 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_16809_0 {
	meta:
		name = "TCustomWinSocket.SendStreamThenDrop"
		size = 53
		refs = "001a TCustomWinSocket.SendStream"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC C6 40 10 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 75 07 8B 45 FC C6 40 10 00 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_16810_0 {
	meta:
		name = "TCustomWinSocket.SendBuf"
		size = 348
		refs = "001c TCustomWinSocket.SendBuf 002a TCustomWinSocket.Lock 004b @TryFinallyExit 0066 send 0078 WSAGetLastError 0099 @CallDynaInst 00b8 SysErrorMessage 00e6 sWindowsSocketError 00eb LoadResString 00f5 _DV_ESocketError 00fa Exception.CreateFmt 00ff @RaiseExcept 0114 TCustomWinSocket.Unlock 011a @HandleFinally 0136 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 DB 89 5D D0 89 5D CC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 CC 00 00 00 6A 00 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 0F 85 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 81 7D EC 33 27 00 00 74 7B 8D 45 EC 50 B1 01 8B 55 FC 8B 45 FC 66 BB FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 83 7D EC 00 74 52 8D 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8B 45 EC 89 45 DC C6 45 E0 00 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 0B 8D 45 D4 50 6A 02 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5B 8B E5 5D C3 00 00 FF FF FF FF 04 00 00 00 73 65 6E 64 00 00 00 00 }
	condition:
		$1
}

rule function_16811_0 {
	meta:
		name = "TCustomWinSocket.SetAsyncStyles"
		size = 53
		refs = "002d TCustomWinSocket.DoSetAsyncStyles"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8A 40 28 3A 45 FB 74 1A 8A 45 FB 8B 55 FC 88 42 28 8B 45 FC 83 78 04 FF 74 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16812_0 {
	meta:
		name = "TCustomWinSocket.Read"
		size = 55
		refs = "002e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 83 78 04 FF 74 1C 8B 45 F8 8B 55 FC 3B 42 04 75 11 B1 07 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16813_0 {
	meta:
		name = "TCustomWinSocket.ReceiveBuf"
		size = 388
		refs = "001c TCustomWinSocket.ReceiveBuf 002a TCustomWinSocket.Lock 0061 ioctlsocket 0074 @TryFinallyExit 008f recv 00a1 WSAGetLastError 00c2 @CallDynaInst 00e1 SysErrorMessage 010f sWindowsSocketError 0114 LoadResString 011e _DV_ESocketError 0123 Exception.CreateFmt 0128 @RaiseExcept 013d TCustomWinSocket.Unlock 0143 @HandleFinally 015f @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 DB 89 5D D0 89 5D CC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 83 7D F4 FF 75 23 8B 45 FC 80 78 08 00 74 1A 8D 45 F0 50 68 7F 66 04 40 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? E9 C2 00 00 00 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 CC 00 00 00 6A 00 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 0F 85 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 81 7D EC 33 27 00 00 74 7B 8D 45 EC 50 B1 02 8B 55 FC 8B 45 FC 66 BB FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 83 7D EC 00 74 52 8D 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 0B 8B 45 EC 89 45 DC C6 45 E0 00 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 0B 8D 45 D4 50 6A 02 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5B 8B E5 5D C3 00 FF FF FF FF 04 00 00 00 72 65 63 76 00 00 00 00 }
	condition:
		$1
}

rule function_16814_0 {
	meta:
		name = "TCustomWinSocket.ReceiveLength"
		size = 32
		refs = "0012 TCustomWinSocket.ReceiveBuf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_16815_0 {
	meta:
		name = "TCustomWinSocket.ReceiveText"
		size = 64
		refs = "0015 TCustomWinSocket.ReceiveBuf 001f @LStrSetLength 0029 @LStrLen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 12 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16816_0 {
	meta:
		name = "TCustomWinSocket.WndProc"
		size = 82
		refs = "0013 TCustomWinSocket.WndProc 0033 @HandleAnyException 0038 Application 0042 TApplication.HandleException 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 EC 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16970_0 {
	meta:
		name = "TStreamedConnection.WndProc"
		size = 82
		refs = "0013 TStreamedConnection.WndProc 0033 @HandleAnyException 0038 Application 0042 TApplication.HandleException 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 EC 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16817_0 {
	meta:
		name = "TCustomWinSocket.Write"
		size = 67
		refs = "0025 TCustomWinSocket.SendStreamPiece 003a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 83 78 04 FF 74 28 8B 45 F8 8B 55 FC 3B 42 04 75 1D 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 11 B1 06 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16818_0 {
	meta:
		name = "TClientWinSocket.Connect"
		size = 42
		refs = "0021 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC C6 40 08 01 B1 02 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16819_0 {
	meta:
		name = "TClientWinSocket.SetClientType"
		size = 176
		refs = "0015 TClientWinSocket.SetClientType 004f TCustomWinSocket.SetAsyncStyles 0069 sCantChangeWhileActive 006e LoadResString 0078 _DV_ESocketError 007d Exception.Create 0082 @RaiseExcept 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 FB 8B 55 FC 3A 42 44 74 5C 8B 45 FC 80 78 08 00 75 32 8A 45 FB 8B 55 FC 88 42 44 8B 45 FC 80 78 44 01 75 10 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 31 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 00 00 33 00 00 00 }
	condition:
		$1
}

rule function_16820_0 {
	meta:
		name = "TServerClientWinSocket.Create"
		size = 220
		refs = "000f @ClassCreate 0038 TServerWinSocket.AddClient 0044 TServerClientWinSocket.Create 005c TServerWinSocket.ClientEvent 006f TServerWinSocket.ClientError 007c TCustomWinSocket.Create 0095 TCustomWinSocket.DoSetAsyncStyles 00af @CallDynaInst 00bd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 08 8B 55 FC 89 42 44 8B 45 FC 83 78 44 00 74 45 8B 55 FC 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8A 15 ?? ?? ?? ?? 3A 50 28 74 26 8B 45 FC 8B 40 44 8B 55 FC 89 42 30 C7 42 2C ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 55 FC 89 42 38 C7 42 34 ?? ?? ?? ?? 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8A 15 ?? ?? ?? ?? 3A 50 28 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 74 11 B1 02 8B 55 FC 8B 45 FC 66 BB FF FF E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16821_0 {
	meta:
		name = "TServerClientWinSocket.Destroy"
		size = 72
		refs = "0007 @BeforeDestruction 0024 TServerWinSocket.RemoveClient 0032 TCustomWinSocket.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 44 00 74 0E 8B 55 FC 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16822_0 {
	meta:
		name = "TServerWinSocket.Create"
		size = 144
		refs = "000e @ClassCreate 001e _Dn_TList 0023 TObject.Create 0042 _Dn_TCriticalSection 0047 TCriticalSection.Create 005a TCustomWinSocket.Create 0063 TServerWinSocket.Create 0074 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 15 ?? ?? ?? ?? 88 50 28 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_16823_0 {
	meta:
		name = "TServerWinSocket.Destroy"
		size = 82
		refs = "0007 @BeforeDestruction 001b TCustomWinSocket.Destroy 0026 TObject.Free 004a @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16824_0 {
	meta:
		name = "TServerWinSocket.AddClient"
		size = 105
		refs = "0013 TCriticalSection.Enter 001b TServerWinSocket.AddClient 002f TList.IndexOf 0041 TList.Add 0059 TCriticalSection.Leave 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 7D 0E 8B 45 FC 8B 40 4C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 59 59 5D C3 }
	condition:
		$1
}

rule function_16825_0 {
	meta:
		name = "TServerWinSocket.RemoveClient"
		size = 87
		refs = "0013 TCriticalSection.Enter 001b TServerWinSocket.RemoveClient 002f TList.Remove 0047 TCriticalSection.Leave 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 59 59 5D C3 }
	condition:
		$1
}

rule function_16826_0 {
	meta:
		name = "TServerWinSocket.AddThread"
		size = 129
		refs = "0013 TCriticalSection.Enter 001b TServerWinSocket.AddThread 002f TList.IndexOf 0041 TList.Add 0071 TCriticalSection.Leave 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 7D 26 8B 45 FC 8B 40 50 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 8B 55 FC 3B 42 48 7F 07 8B 45 F8 C6 40 38 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 59 59 5D C3 }
	condition:
		$1
}

rule function_16827_0 {
	meta:
		name = "TServerWinSocket.RemoveThread"
		size = 87
		refs = "0013 TCriticalSection.Enter 001b TServerWinSocket.RemoveThread 002f TList.Remove 0047 TCriticalSection.Leave 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 59 59 5D C3 }
	condition:
		$1
}

rule function_16828_0 {
	meta:
		name = "TServerWinSocket.ClientEvent"
		size = 110
		refs = "0030 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 F4 89 45 FC 8A 45 08 2C 02 74 0E FE C8 74 1B 2C 03 74 39 FE C8 74 24 EB 42 8B 55 F8 8B 45 FC 66 BB F7 FF E8 ?? ?? ?? ?? EB 31 8B 55 F8 8B 45 FC 66 BB F6 FF E8 ?? ?? ?? ?? EB 20 8B 55 F8 8B 45 FC 66 BB F9 FF E8 ?? ?? ?? ?? EB 0F 8B 55 F8 8B 45 FC 66 BB F8 FF E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16829_0 {
	meta:
		name = "TServerWinSocket.ClientError"
		size = 45
		refs = "0022 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 F4 89 45 FC 8B 45 08 50 8A 4D 0C 8B 55 F8 8B 45 FC 66 BB F5 FF E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16830_0 {
	meta:
		name = "TServerWinSocket.GetActiveConnections"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 4C 8B 40 08 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_16831_0 {
	meta:
		name = "TServerWinSocket.GetConnections"
		size = 36
		refs = "0016 TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_16832_0 {
	meta:
		name = "TServerWinSocket.GetActiveThreads"
		size = 134
		refs = "0010 TCriticalSection.Enter 0018 TServerWinSocket.GetActiveThreads 004a TList.Get 0073 TCriticalSection.Leave 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 50 8B 40 08 48 85 C0 7C 2A 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 50 8B 55 F4 E8 ?? ?? ?? ?? 83 78 28 00 74 03 FF 45 F8 FF 45 F4 FF 4D F0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_16833_0 {
	meta:
		name = "TServerWinSocket.GetIdleThreads"
		size = 134
		refs = "0010 TCriticalSection.Enter 0018 TServerWinSocket.GetIdleThreads 004a TList.Get 0073 TCriticalSection.Leave 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 50 8B 40 08 48 85 C0 7C 2A 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 50 8B 55 F4 E8 ?? ?? ?? ?? 83 78 28 00 75 03 FF 45 F8 FF 45 F4 FF 4D F0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_16834_0 {
	meta:
		name = "TServerWinSocket.Accept"
		size = 288
		refs = "0029 getsockopt 0039 TServerWinSocket.Accept 0068 setsockopt 0080 accept 0098 @CallDynaInst 00cd TCustomWinSocket.SetAsyncStyles 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 89 55 F8 89 45 FC C7 45 EC 04 00 00 00 8D 45 EC 50 8D 45 E8 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? 85 C0 0F 85 E0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 44 01 75 20 C7 45 E4 20 00 00 00 8B 45 EC 50 8D 45 E4 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? C7 45 EC 10 00 00 00 8D 45 EC 50 8D 45 D4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 74 53 8B 55 F0 8B 45 FC 66 BB FB FF E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 66 83 78 2E 00 74 11 6A 05 8B 5D FC 8B 4D F4 8B 55 FC 8B 43 30 FF 53 2C 8B 45 FC 80 78 44 01 75 1D 8A 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 66 BB FA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C7 45 EC 04 00 00 00 8B 45 EC 50 8D 45 E8 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16835_0 {
	meta:
		name = "TServerWinSocket.Disconnect"
		size = 314
		refs = "0010 TCustomWinSocket.Lock 0018 TServerWinSocket.Disconnect 003f TServerWinSocket.SetThreadCacheSize 004c TList.Last 005e TThread.Terminate 0069 TEvent.SetEvent 0089 TCustomWinSocket.Close 0091 TThread.WaitFor 0099 TObject.Free 00e2 TCustomWinSocket.Disconnect 0113 @HandleFinally 012a TCustomWinSocket.Unlock"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 58 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 C6 40 0E 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 34 E8 ?? ?? ?? ?? 8B 45 F0 83 78 28 00 74 17 8B 45 F0 8B 40 28 80 78 08 00 74 0B 8B 45 F0 8B 40 28 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 83 78 08 00 7F 9C EB 10 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 83 78 08 00 7F E4 8B 45 FC 83 78 58 00 74 0B 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16836_0 {
	meta:
		name = "TServerWinSocket.DoCreateThread"
		size = 40
		refs = "0015 _DV_TServerClientThread 001a TServerClientThread.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_16837_0 {
	meta:
		name = "TServerWinSocket.Listen"
		size = 96
		refs = "002c TCustomWinSocket.Listen 004b _DV_TServerAcceptThread 0050 TServerAcceptThread.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 10 8B 00 50 66 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 09 8B 55 F8 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 74 21 8B 45 FC 80 78 44 01 75 18 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_16838_0 {
	meta:
		name = "TServerWinSocket.SetServerType"
		size = 176
		refs = "0015 TServerWinSocket.SetServerType 004f TCustomWinSocket.SetAsyncStyles 0069 sCantChangeWhileActive 006e LoadResString 0078 _DV_ESocketError 007d Exception.Create 0082 @RaiseExcept 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8A 45 FB 8B 55 FC 3A 42 44 74 5C 8B 45 FC 80 78 08 00 75 32 8A 45 FB 8B 55 FC 88 42 44 8B 45 FC 80 78 44 01 75 10 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 31 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_16839_0 {
	meta:
		name = "TServerWinSocket.SetThreadCacheSize"
		size = 190
		refs = "0047 TCriticalSection.Enter 004f TServerWinSocket.SetThreadCacheSize 007c TList.Get 00ae TCriticalSection.Leave 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 FC 8B 40 48 3B 45 F8 0F 84 9F 00 00 00 8B 45 FC 8B 40 48 3B 45 F8 7E 08 8B 45 F8 89 45 F4 EB 09 8B 45 FC 8B 40 48 89 45 F4 8B 45 FC 8B 55 F8 89 50 48 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B 40 08 48 85 C0 7C 33 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 FC 8B 40 50 8B 55 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F0 3B 45 F4 0F 9C C0 8B 55 E8 88 42 38 FF 45 F0 FF 4D EC 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_16840_0 {
	meta:
		name = "TServerWinSocket.GetClientSocket"
		size = 83
		refs = "003f _DV_TServerClientWinSocket 0044 TServerClientWinSocket.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 66 83 78 5E 00 74 13 8D 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 60 FF 53 5C 83 7D F4 00 75 16 8B 45 FC 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16841_0 {
	meta:
		name = "TServerWinSocket.ThreadEnd"
		size = 43
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 66 83 78 76 00 74 0F 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 78 FF 53 74 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16842_0 {
	meta:
		name = "TServerWinSocket.ThreadStart"
		size = 43
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 66 83 78 6E 00 74 0F 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 70 FF 53 6C 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16843_0 {
	meta:
		name = "TServerWinSocket.GetServerThread"
		size = 221
		refs = "0019 TCriticalSection.Enter 0021 TServerWinSocket.GetServerThread 004e TList.Get 0070 TServerClientThread.ReActivate 0092 TCriticalSection.Leave 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B 40 08 48 85 C0 7C 45 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 FC 8B 40 50 8B 55 F0 E8 ?? ?? ?? ?? 83 78 28 00 75 1E 8B 45 FC 8B 40 50 8B 55 F0 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? EB 08 FF 45 F0 FF 4D EC 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 7D F4 00 75 31 8B 45 FC 66 83 78 66 00 74 13 8D 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 68 FF 53 64 83 7D F4 00 75 0E 8B 55 F8 8B 45 FC 8B 08 FF 51 14 89 45 F4 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16844_0 {
	meta:
		name = "TServerWinSocket.GetClientThread"
		size = 155
		refs = "0018 TCriticalSection.Enter 0020 TServerWinSocket.GetClientThread 004d TList.Get 0088 TCriticalSection.Leave 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 8B 40 08 48 85 C0 7C 3C 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 FC 8B 40 50 8B 55 F0 E8 ?? ?? ?? ?? 8B 40 28 3B 45 F8 75 13 8B 45 FC 8B 40 50 8B 55 F0 E8 ?? ?? ?? ?? 89 45 F4 EB 08 FF 45 F0 FF 4D EC 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_16845_0 {
	meta:
		name = "TServerWinSocket.ClientConnect"
		size = 46
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 66 83 78 7E 00 74 12 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 80 00 00 00 FF 53 7C 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16846_0 {
	meta:
		name = "TServerWinSocket.ClientDisconnect"
		size = 69
		refs = "003c TCustomWinSocket.DeferFree"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 86 00 00 00 00 74 15 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 88 00 00 00 FF 93 84 00 00 00 8B 45 FC 80 78 44 00 75 08 8B 45 F8 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16847_0 {
	meta:
		name = "TServerWinSocket.ClientRead"
		size = 52
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 8E 00 00 00 00 74 15 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 90 00 00 00 FF 93 8C 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16848_0 {
	meta:
		name = "TServerWinSocket.ClientWrite"
		size = 52
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 96 00 00 00 00 74 15 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 98 00 00 00 FF 93 94 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16849_0 {
	meta:
		name = "TServerWinSocket.ClientErrorEvent"
		size = 65
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 9E 00 00 00 00 74 1D 8A 45 F7 50 8B 45 08 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 A0 00 00 00 FF 93 9C 00 00 00 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16850_0 {
	meta:
		name = "TServerAcceptThread.Create"
		size = 82
		refs = "000e @ClassCreate 002d TThread.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8B 45 08 8B 55 FC 89 42 28 8A 4D FA 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16851_0 {
	meta:
		name = "TServerAcceptThread.Execute"
		size = 40
	strings:
		$1 = { 55 8B EC 51 89 45 FC EB 13 8B 45 FC 8B 40 28 8B 50 04 8B 45 FC 8B 40 28 8B 08 FF 11 8B 45 FC 80 78 0C 00 74 E4 59 5D C3 }
	condition:
		$1
}

rule function_16852_0 {
	meta:
		name = "TServerClientThread.Create"
		size = 132
		refs = "000e @ClassCreate 0025 _Dn_TSimpleEvent 002a TSimpleEvent.Create 003c TThread.Create 0046 TThread.SetPriority 0051 TServerClientThread.ReActivate 005f TThread.Resume 006d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8B 45 FC C6 40 0E 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 80 7D FA 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16853_0 {
	meta:
		name = "TServerClientThread.Destroy"
		size = 71
		refs = "0007 @BeforeDestruction 0018 TObject.Free 0031 TThread.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16854_0 {
	meta:
		name = "TServerClientThread.ReActivate"
		size = 112
		refs = "0037 TServerWinSocket.AddThread 004a TServerClientThread.HandleEvent 005d TServerClientThread.HandleError 0068 TEvent.SetEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 42 28 8B 45 FC 83 78 28 00 74 4E 8B 45 FC 8B 40 28 8B 40 44 8B 55 FC 89 42 2C 8B 55 FC 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B 55 FC 89 50 30 C7 40 2C ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B 55 FC 89 50 38 C7 40 34 ?? ?? ?? ?? 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16855_0 {
	meta:
		name = "TServerClientThread.DoHandleException"
		size = 79
		refs = "0008 GetCapture 001d SendMessage 002b Application 0038 TApplication.ShowException 0048 ShowException"
	strings:
		$1 = { 55 8B EC 51 89 45 FC E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 83 78 30 00 74 15 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 8B 52 30 E8 ?? ?? ?? ?? 59 5D C3 33 D2 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16856_0 {
	meta:
		name = "TServerClientThread.DoRead"
		size = 38
		refs = "001e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 28 8B 40 44 B1 07 8B 55 FC 8B 52 28 66 BB FF FF E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_16857_0 {
	meta:
		name = "TServerClientThread.DoTerminate"
		size = 33
		refs = "001a TServerWinSocket.RemoveThread"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 2C 00 74 0E 8B 55 FC 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16858_0 {
	meta:
		name = "TServerClientThread.DoWrite"
		size = 35
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC B1 06 8B 45 FC 8B 50 28 8B 45 FC 8B 40 2C 66 BB FF FF E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_16859_0 {
	meta:
		name = "TServerClientThread.HandleEvent"
		size = 32
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8A 55 08 8B 45 FC 8B 08 FF 51 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16860_0 {
	meta:
		name = "TServerClientThread.HandleError"
		size = 37
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 4D 08 8A 55 0C 8B 45 FC 8B 18 FF 53 10 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16861_0 {
	meta:
		name = "TServerClientThread.Event"
		size = 40
		refs = "0020 TServerWinSocket.ClientEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 50 8B 45 FC 8B 48 28 8B 55 FC 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16862_0 {
	meta:
		name = "TServerClientThread.Error"
		size = 47
		refs = "0027 TServerWinSocket.ClientError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 88 55 FB 89 45 FC 8A 45 FB 50 8B 45 F4 50 8B 45 FC 8B 48 28 8B 55 FC 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_16863_0 {
	meta:
		name = "TServerClientThread.HandleException"
		size = 102
		refs = "0008 ExceptObject 0016 TServerClientThread.HandleException 0028 _Dn_EAbort 002d @IsClass 003a TServerClientThread.DoHandleException 0042 TThread.Synchronize 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 30 C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16864_0 {
	meta:
		name = "TServerClientThread.Execute"
		size = 168
		refs = "0018 @CallDynaInst 0020 TServerClientThread.Execute 003c TServerClientThread.StartConnect 0050 TServerClientThread.EndConnect 0063 @HandleAnyException 0077 @DoneExcept 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 2C 8B 55 FC 66 BB FC FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 E0 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B 45 FC C6 40 38 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 8B 55 FC 66 BB FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16865_0 {
	meta:
		name = "TServerClientThread.ClientExecute"
		size = 217
		refs = "0018 FD_ZERO 002c FD_SET 004e select 006f TCustomWinSocket.ReceiveBuf 007c TServerClientThread.DoRead 0084 TThread.Synchronize 00b0 TServerClientThread.DoWrite"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 89 45 FC E9 AB 00 00 00 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B 45 FC 8B 40 28 8B 40 04 E8 ?? ?? ?? ?? 33 C0 89 45 F4 C7 45 F8 F4 01 00 00 8D 45 F4 50 6A 00 6A 00 8D 85 F0 FE FF FF 50 6A 00 E8 ?? ?? ?? ?? 85 C0 7E 32 8B 45 FC 80 78 0C 00 75 29 8D 95 F0 FE FF FF 83 C9 FF 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 85 C0 74 5E 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 6A 00 8D 85 F0 FE FF FF 50 6A 00 6A 00 E8 ?? ?? ?? ?? 85 C0 7E 1A 8B 45 FC 80 78 0C 00 75 11 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 75 10 8B 45 FC 8B 40 28 80 78 08 00 0F 85 3C FF FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule function_16866_0 {
	meta:
		name = "TServerClientThread.StartConnect"
		size = 56
		refs = "0013 TEvent.WaitFor 0022 TEvent.ResetEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 83 CA FF 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 0C 34 01 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_16867_0 {
	meta:
		name = "TServerClientThread.EndConnect"
		size = 62
		refs = "0010 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 28 8B 45 FC 80 78 0C 00 75 0D 8B 45 FC 80 78 38 00 74 04 33 C0 EB 02 B0 01 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_16868_0 {
	meta:
		name = "TAbstractSocket.DoEvent"
		size = 37
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 F4 89 45 FC 8A 4D 08 8B 55 F8 8B 45 FC 8B 18 FF 53 30 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16869_0 {
	meta:
		name = "TAbstractSocket.DoError"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 F4 89 45 FC 8B 45 08 50 8A 4D 0C 8B 55 F8 8B 45 FC 8B 18 FF 53 34 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16870_0 {
	meta:
		name = "TAbstractSocket.SetActive"
		size = 74
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 3A 42 24 74 2F 8B 45 FC F6 40 20 10 75 09 8B 45 FC F6 40 20 01 74 09 8A 45 FB 8B 55 FC 88 42 24 8B 45 FC F6 40 20 01 75 0B 8A 55 FB 8B 45 FC 8B 08 FF 51 38 59 59 5D C3 }
	condition:
		$1
}

rule function_16871_0 {
	meta:
		name = "TAbstractSocket.InitSocket"
		size = 48
		refs = "0018 TAbstractSocket.DoEvent 0028 TAbstractSocket.DoError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 55 F8 89 42 30 C7 42 2C ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 42 38 C7 42 34 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16872_0 {
	meta:
		name = "TAbstractSocket.Loaded"
		size = 32
		refs = "000b TComponent.Loaded"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 50 24 8B 45 FC 8B 08 FF 51 38 59 5D C3 }
	condition:
		$1
}

rule function_16873_0 {
	meta:
		name = "TAbstractSocket.SetAddress"
		size = 160
		refs = "0015 @LStrAddRef 001d TAbstractSocket.SetAddress 0031 CompareText 004f sCantChangeWhileActive 0054 LoadResString 005e _DV_ESocketError 0063 Exception.Create 0068 @RaiseExcept 0076 @LStrAsg 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 2C 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 41 8B 45 FC F6 40 20 01 75 2A 8B 45 FC 80 78 24 00 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_16874_0 {
	meta:
		name = "TAbstractSocket.SetHost"
		size = 160
		refs = "0015 @LStrAddRef 001d TAbstractSocket.SetHost 0031 CompareText 004f sCantChangeWhileActive 0054 LoadResString 005e _DV_ESocketError 0063 Exception.Create 0068 @RaiseExcept 0076 @LStrAsg 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 30 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 41 8B 45 FC F6 40 20 01 75 2A 8B 45 FC 80 78 24 00 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_16875_0 {
	meta:
		name = "TAbstractSocket.SetPort"
		size = 135
		refs = "0015 TAbstractSocket.SetPort 0040 sCantChangeWhileActive 0045 LoadResString 004f _DV_ESocketError 0054 Exception.Create 0059 @RaiseExcept 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 3B 45 F8 74 3C 8B 45 FC F6 40 20 01 75 2A 8B 45 FC 80 78 24 00 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 42 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16876_0 {
	meta:
		name = "TAbstractSocket.SetService"
		size = 160
		refs = "0015 @LStrAddRef 001d TAbstractSocket.SetService 0031 CompareText 004f sCantChangeWhileActive 0054 LoadResString 005e _DV_ESocketError 0063 Exception.Create 0068 @RaiseExcept 0076 @LStrAsg 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 34 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 41 8B 45 FC F6 40 20 01 75 2A 8B 45 FC 80 78 24 00 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_16877_0 {
	meta:
		name = "TAbstractSocket.Open"
		size = 20
		refs = "000d TAbstractSocket.SetActive"
	strings:
		$1 = { 55 8B EC 51 89 45 FC B2 01 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16878_0 {
	meta:
		name = "TAbstractSocket.Close"
		size = 20
		refs = "000d TAbstractSocket.SetActive"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16879_0 {
	meta:
		name = "TCustomSocket.Event"
		size = 334
		refs = "0021 TCustomSocket.Event"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 33 C0 8A 45 F7 83 F8 07 0F 87 2B 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 66 83 78 3A 00 0F 84 F6 00 00 00 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 3C FF 53 38 E9 E2 00 00 00 8B 45 FC 66 83 78 4A 00 0F 84 D4 00 00 00 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 4C FF 53 48 E9 C0 00 00 00 8B 45 FC C6 40 24 01 8B 45 FC 66 83 78 42 00 0F 84 AB 00 00 00 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 44 FF 53 40 E9 97 00 00 00 8B 45 FC C6 40 24 01 8B 45 FC 66 83 78 5A 00 0F 84 82 00 00 00 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 5C FF 53 58 EB 71 8B 45 FC C6 40 24 00 8B 45 FC 66 83 78 52 00 74 60 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 54 FF 53 50 EB 4F 8B 45 FC 66 83 78 62 00 74 45 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 64 FF 53 60 EB 34 8B 45 FC 66 83 78 6A 00 74 2A 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 6C FF 53 68 EB 19 8B 45 FC 66 83 78 72 00 74 0F 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 74 FF 53 70 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16880_0 {
	meta:
		name = "TCustomSocket.Error"
		size = 56
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 FC 66 83 78 7A 00 74 17 8A 45 F7 50 8B 45 08 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 7C FF 53 78 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16881_0 {
	meta:
		name = "TWinSocketStream.Create"
		size = 208
		refs = "0014 @ClassCreate 0025 TWinSocketStream.Create 0040 sSocketMustBeBlocking 0045 LoadResString 004f _DV_ESocketError 0054 Exception.Create 0059 @RaiseExcept 0072 _Dn_TSimpleEvent 0077 TSimpleEvent.Create 0087 TObject.Create 009c @LStrClr 00a2 @HandleFinally 00b2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A0 ?? ?? ?? ?? 8B 55 F4 3A 42 28 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 89 42 04 8B 45 08 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16882_0 {
	meta:
		name = "TDataBlock.Destroy"
		size = 60
		refs = "0007 @BeforeDestruction 0018 TObject.Free 0026 TObject.Destroy 0034 @ClassDestroy"
		altNames = "TWinSocketStream.Destroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16883_0 {
	meta:
		name = "TWinSocketStream.WaitForData"
		size = 115
		refs = "0038 FD_ZERO 004c FD_SET 0062 select"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 89 55 F8 89 45 FC 8B 45 F8 B9 E8 03 00 00 99 F7 F9 89 45 EC 8B 45 F8 B9 E8 03 00 00 99 F7 F9 69 C2 E8 03 00 00 89 45 F0 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF 8B 45 FC 8B 40 04 8B 40 04 E8 ?? ?? ?? ?? 8D 45 EC 50 6A 00 6A 00 8D 85 E8 FE FF FF 50 6A 00 E8 ?? ?? ?? ?? 85 C0 0F 9F 45 F7 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_16884_0 {
	meta:
		name = "TWinSocketStream.Read"
		size = 379
		refs = "001f TWinSocketStream.Read 0030 TCustomWinSocket.Lock 004d @FillChar 0078 ReadFile 0081 GetLastError 0098 sSocketRead 009d LoadResString 00bc SysErrorMessage 00d4 sSocketIOError 00e3 _DV_ESocketError 00e8 Exception.CreateFmt 00ed @RaiseExcept 00fe TEvent.WaitFor 0122 GetOverlappedResult 012d TEvent.ResetEvent 0145 TCustomWinSocket.Unlock 014b @HandleFinally 0167 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 33 DB 89 5D BC 89 5D B8 89 5D B4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 04 89 45 E8 8D 45 D8 50 8D 45 F0 50 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 71 E8 ?? ?? ?? ?? 3D E5 03 00 00 74 65 E8 ?? ?? ?? ?? 89 45 EC 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 0B 8B 45 EC 89 45 C8 C6 45 CC 00 8D 55 B8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B8 89 45 D0 C6 45 D4 0B 8D 45 C0 50 6A 02 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 F0 EB 24 6A 00 8D 45 F0 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16885_0 {
	meta:
		name = "TWinSocketStream.Write"
		size = 368
		refs = "001f TWinSocketStream.Write 0030 TCustomWinSocket.Lock 004d @FillChar 0078 WriteFile 0081 GetLastError 0098 sSocketWrite 009d LoadResString 00bc SysErrorMessage 00d4 sSocketIOError 00e3 _DV_ESocketError 00e8 Exception.CreateFmt 00ed @RaiseExcept 00fe TEvent.WaitFor 0122 GetOverlappedResult 013a TCustomWinSocket.Unlock 0140 @HandleFinally 015c @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 33 DB 89 5D BC 89 5D B8 89 5D B4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 04 89 45 E8 8D 45 D8 50 8D 45 F0 50 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 71 E8 ?? ?? ?? ?? 3D E5 03 00 00 74 65 E8 ?? ?? ?? ?? 89 45 EC 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 0B 8B 45 EC 89 45 C8 C6 45 CC 00 8D 55 B8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B8 89 45 D0 C6 45 D4 0B 8D 45 C0 50 6A 02 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 F0 EB 19 6A 00 8D 45 F0 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16886_0 {
	meta:
		name = "TWinSocketStream.Seek"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 89 4D F2 89 55 F4 89 45 FC 33 C0 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_16887_0 {
	meta:
		name = "TClientSocket.Create"
		size = 117
		refs = "000e @ClassCreate 001c RPR 0029 TComponent.Create 0033 _DV_TClientWinSocket 0038 TCustomWinSocket.Create 0052 TAbstractSocket.InitSocket 0060 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC E8 ?? ?? ?? ?? 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 C9 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 00 00 00 8B 45 FC 8B 90 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_16888_0 {
	meta:
		name = "TClientSocket.Destroy"
		size = 63
		refs = "0007 @BeforeDestruction 001b TObject.Free 0029 TComponent.Destroy 0037 @ClassDestroy"
		altNames = "TCustomServerSocket.Destroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16889_0 {
	meta:
		name = "TClientSocket.DoActivate"
		size = 126
		refs = "0076 TCustomWinSocket.Open"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8A 40 08 3A 45 FB 74 5D 8B 45 FC F6 40 20 10 75 54 8B 45 FC 8B 80 80 00 00 00 80 78 08 00 74 1C 8B 45 FC 8B 80 80 00 00 00 8B 50 04 8B 45 FC 8B 80 80 00 00 00 8B 08 FF 51 08 EB 29 8B 45 FC 8B 40 34 50 8B 45 FC 66 8B 40 28 50 8B 45 FC 8B 48 2C 8B 45 FC 8B 50 30 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16890_0 {
	meta:
		name = "TClientSocket.GetClientType"
		size = 31
		altNames = "TCustomServerSocket.GetServerType"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8A 40 44 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_16891_0 {
	meta:
		name = "TClientSocket.SetClientType"
		size = 33
		refs = "0019 TClientWinSocket.SetClientType"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 55 FB 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16895_0 {
	meta:
		name = "TCustomServerSocket.SetServerType"
		size = 33
		refs = "0019 TServerWinSocket.SetServerType"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 55 FB 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16893_0 {
	meta:
		name = "TCustomServerSocket.DoActivate"
		size = 128
		refs = "0078 TServerWinSocket.Listen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8A 40 08 3A 45 FB 74 5F 8B 45 FC F6 40 20 10 75 56 8B 45 FC 8B 80 80 00 00 00 80 78 08 00 74 1C 8B 45 FC 8B 80 80 00 00 00 8B 50 04 8B 45 FC 8B 80 80 00 00 00 8B 08 FF 51 08 EB 2B 8B 45 FC 83 C0 34 50 8B 45 FC 66 8B 40 28 50 6A 05 8B 45 FC 8D 48 2C 8B 45 FC 8D 50 30 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16896_0 {
	meta:
		name = "TCustomServerSocket.GetGetThreadEvent"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 80 00 00 00 8B 4A 64 89 08 8B 4A 68 89 48 04 59 59 5D C3 }
	condition:
		$1
}

rule function_16897_0 {
	meta:
		name = "TCustomServerSocket.SetGetThreadEvent"
		size = 33
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 50 64 8B 55 0C 89 50 68 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16898_0 {
	meta:
		name = "TCustomServerSocket.GetGetSocketEvent"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 80 00 00 00 8B 4A 5C 89 08 8B 4A 60 89 48 04 59 59 5D C3 }
	condition:
		$1
}

rule function_16899_0 {
	meta:
		name = "TCustomServerSocket.SetGetSocketEvent"
		size = 33
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 50 5C 8B 55 0C 89 50 60 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16900_0 {
	meta:
		name = "TCustomServerSocket.GetThreadCacheSize"
		size = 31
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8B 40 48 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_16901_0 {
	meta:
		name = "TCustomServerSocket.SetThreadCacheSize"
		size = 33
		refs = "0019 TServerWinSocket.SetThreadCacheSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16902_0 {
	meta:
		name = "TCustomServerSocket.GetOnThreadStart"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 80 00 00 00 8B 4A 6C 89 08 8B 4A 70 89 48 04 59 59 5D C3 }
	condition:
		$1
}

rule function_16903_0 {
	meta:
		name = "TCustomServerSocket.GetOnThreadEnd"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 80 00 00 00 8B 4A 74 89 08 8B 4A 78 89 48 04 59 59 5D C3 }
	condition:
		$1
}

rule function_16904_0 {
	meta:
		name = "TCustomServerSocket.SetOnThreadStart"
		size = 33
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 50 6C 8B 55 0C 89 50 70 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16905_0 {
	meta:
		name = "TCustomServerSocket.SetOnThreadEnd"
		size = 33
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 50 74 8B 55 0C 89 50 78 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16906_0 {
	meta:
		name = "TCustomServerSocket.GetOnClientEvent"
		size = 156
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 83 E8 01 72 0A 74 27 48 74 43 48 74 5C EB 77 8B 45 F4 8B 55 FC 8B 92 80 00 00 00 8B 8A 8C 00 00 00 89 08 8B 8A 90 00 00 00 89 48 04 EB 58 8B 45 F4 8B 55 FC 8B 92 80 00 00 00 8B 8A 94 00 00 00 89 08 8B 8A 98 00 00 00 89 48 04 EB 39 8B 45 F4 8B 55 FC 8B 92 80 00 00 00 8B 4A 7C 89 08 8B 8A 80 00 00 00 89 48 04 EB 1D 8B 45 F4 8B 55 FC 8B 92 80 00 00 00 8B 8A 84 00 00 00 89 08 8B 8A 88 00 00 00 89 48 04 8B E5 5D C3 }
	condition:
		$1
}

rule function_16907_0 {
	meta:
		name = "TCustomServerSocket.SetOnClientEvent"
		size = 147
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 83 E8 01 72 0A 74 25 48 74 3F 48 74 56 EB 6F 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 90 8C 00 00 00 8B 55 0C 89 90 90 00 00 00 EB 52 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 90 94 00 00 00 8B 55 0C 89 90 98 00 00 00 EB 35 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 50 7C 8B 55 0C 89 90 80 00 00 00 EB 1B 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 90 84 00 00 00 8B 55 0C 89 90 88 00 00 00 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16908_0 {
	meta:
		name = "TCustomServerSocket.GetOnClientError"
		size = 45
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 80 00 00 00 8B 8A 9C 00 00 00 89 08 8B 8A A0 00 00 00 89 48 04 59 59 5D C3 }
	condition:
		$1
}

rule function_16909_0 {
	meta:
		name = "TCustomServerSocket.SetOnClientError"
		size = 39
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 80 00 00 00 8B 55 08 89 90 9C 00 00 00 8B 55 0C 89 90 A0 00 00 00 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16910_0 {
	meta:
		name = "TServerSocket.Create"
		size = 136
		refs = "000e @ClassCreate 001c RPR 0029 TComponent.Create 0033 _DV_TServerWinSocket 0038 TServerWinSocket.Create 0052 TAbstractSocket.InitSocket 0065 TServerWinSocket.SetThreadCacheSize 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC E8 ?? ?? ?? ?? 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 C9 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 00 00 00 8B 45 FC 8B 90 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_16913_0 {
	meta:
		name = "_NF__135"
		size = 204
		refs = "0007 TDataBlock.GetBytesReserved 0011 TDataBlock.GetMemory 001b TDataBlock.GetSize 0025 TDataBlock.SetSize 002f TDataBlock.GetSignature 0039 TDataBlock.SetSignature 0043 TDataBlock.Clear 004d TDataBlock.Write 0057 TDataBlock.Read 0061 TInterfacedObject.QueryInterface 006b TInterfacedObject._AddRef 0075 TInterfacedObject._Release 007c _NF__135"
	strings:
		$1 = { CC 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? 83 44 24 04 E8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 ?? ?? ?? ?? 18 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16914_0 {
	meta:
		name = "_NF__14E"
		size = 134
		refs = "0007 TDataDispatch.GetTypeInfoCount 0011 TDataDispatch.GetTypeInfo 001b TDataDispatch.GetIDsOfNames 0025 TDataDispatch.Invoke 002f TInterfacedObject.QueryInterface 0039 TInterfacedObject._AddRef 0043 TInterfacedObject._Release 004a _NF__14E"
	strings:
		$1 = { CC 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? 83 44 24 04 EC E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16915_0 {
	meta:
		name = "_NF__158"
		size = 104
		refs = "000a TStreamedConnection.Send 0017 TStreamedConnection.QueryInterface 0024 TStreamedConnection._AddRef 0031 TStreamedConnection._Release 0038 _NF__158"
	strings:
		$1 = { CC 81 44 24 08 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? 81 44 24 04 68 FF FF FF E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 43 10 AD 87 0E 47 D1 11 88 D5 00 A0 24 8E 50 91 ?? ?? ?? ?? 98 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16916_0 {
	meta:
		name = "_NF__15D"
		size = 132
		refs = "0007 TSocketTransport.GetConnected 0011 TSocketTransport.SetConnected 001b TSocketTransport.Receive 0025 TSocketTransport.Send 002f TInterfacedObject.QueryInterface 0039 TInterfacedObject._AddRef 0043 TInterfacedObject._Release 0048 _NF__15D"
	strings:
		$1 = { CC 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 08 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? 83 44 24 04 D4 E9 ?? ?? ?? ?? CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 C1 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 ?? ?? ?? ?? 2C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16917_0 {
	meta:
		name = "OpenRegKey"
		size = 50
		refs = "0014 @LStrToPChar 001e RegOpenKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8D 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 05 33 C0 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_16918_0 {
	meta:
		name = "EnumRegKey"
		size = 81
		refs = "002b RegEnumKey 0042 @LStrFromArray"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 89 4D F4 89 55 F8 89 45 FC C6 45 F3 00 68 00 01 00 00 8D 85 F3 FE FF FF 50 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 F4 8D 95 F3 FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? C6 45 F3 01 8A 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule function_16919_0 {
	meta:
		name = "QueryRegKey"
		size = 92
		refs = "002c @LStrToPChar 0036 RegQueryValue 004d @LStrFromArray"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 89 4D F4 89 55 F8 89 45 FC C6 45 F3 00 C7 45 EC 00 01 00 00 8D 45 EC 50 8D 85 EC FE FF FF 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 F4 8D 95 EC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? C6 45 F3 01 8A 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule function_16920_0 {
	meta:
		name = "CloseRegKey"
		size = 19
		refs = "000c RegCloseKey"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16921_0 {
	meta:
		name = "GetDataBrokerList"
		size = 536
		refs = "0018 GetDataBrokerList 0036 OpenRegKey 006d @LStrCat3 007b QueryRegKey 0123 StringToGUID 012e ClassIDToProgID 014b EnumRegKey 016a CloseRegKey 0171 @HandleFinally 018d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 33 D2 89 55 E8 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 55 BA ?? ?? ?? ?? B8 00 00 00 80 E8 ?? ?? ?? ?? 59 89 45 F4 83 7D F4 00 0F 84 2F 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 E9 E0 00 00 00 55 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 0F 85 B5 00 00 00 55 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 0F 84 8D 00 00 00 55 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 74 69 55 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 74 45 55 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 74 21 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 08 FF 51 34 FF 45 F8 55 8D 4D F0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 0F 85 08 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 55 8B 45 F4 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 FF FF FF FF 05 00 00 00 43 4C 53 49 44 00 00 00 FF FF FF FF 08 00 00 00 5C 43 6F 6E 74 72 6F 6C 00 00 00 00 FF FF FF FF 07 00 00 00 5C 50 72 6F 67 49 44 00 FF FF FF FF 08 00 00 00 5C 54 79 70 65 4C 69 62 00 00 00 00 FF FF FF FF 08 00 00 00 5C 56 65 72 73 69 6F 6E 00 00 00 00 FF FF FF FF 13 00 00 00 5C 42 6F 72 6C 61 6E 64 20 44 61 74 61 42 72 6F 6B 65 72 00 }
	condition:
		$1
}

rule function_16922_0 {
	meta:
		name = "TDataBlock.Create"
		size = 82
		refs = "000e @ClassCreate 001b _Dn_TMemoryStream 0020 TObject.Create 002f TDataBlock.Clear 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_16924_0 {
	meta:
		name = "TDataBlock.GetBytesReserved"
		size = 19
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 08 00 00 00 8B 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16925_0 {
	meta:
		name = "TDataBlock.GetMemory"
		size = 91
		refs = "0013 TStream.SetPosition 001e TStream.GetSize 0029 TDataBlock.GetBytesReserved"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 BA 04 00 00 00 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 2B D8 89 5D F8 8D 55 F8 B9 04 00 00 00 8B 45 08 8B 40 0C 8B 18 FF 53 08 8B 45 08 8B 40 0C 8B 40 04 89 45 FC 8B 45 FC 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16926_0 {
	meta:
		name = "TDataBlock.GetSize"
		size = 41
		refs = "000c TStream.GetSize 0017 TDataBlock.GetBytesReserved"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 2B D8 89 5D FC 8B 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16927_0 {
	meta:
		name = "TDataBlock.SetSize"
		size = 31
		refs = "0008 TDataBlock.GetBytesReserved"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 8B D0 03 55 0C 8B 45 08 8B 40 0C 8B 08 FF 11 5D C2 08 00 }
	condition:
		$1
}

rule function_16928_0 {
	meta:
		name = "TDataBlock.GetSignature"
		size = 46
		refs = "000e TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 51 53 33 D2 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 55 FC B9 04 00 00 00 8B 45 08 8B 40 0C 8B 18 FF 53 04 8B 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16929_0 {
	meta:
		name = "TDataBlock.SetSignature"
		size = 41
		refs = "000d TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 53 33 D2 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 55 0C B9 04 00 00 00 8B 45 08 8B 40 0C 8B 18 FF 53 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16930_0 {
	meta:
		name = "TDataBlock.Clear"
		size = 58
		refs = "0008 TDataBlock.GetBytesReserved"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 0C 8B 08 FF 11 8B 45 08 50 E8 ?? ?? ?? ?? 8B 55 08 89 42 10 8B 45 08 50 E8 ?? ?? ?? ?? 8B 55 08 89 42 14 5D C2 04 00 }
	condition:
		$1
}

rule function_16931_0 {
	meta:
		name = "TDataBlock.Write"
		size = 68
		refs = "0012 TStream.SetPosition 0031 TStream.GetPosition"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 50 14 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B 55 0C 8B 4D 10 8B 45 08 8B 40 0C 8B 18 FF 53 08 89 45 FC 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B 55 08 89 42 14 8B 45 FC 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16932_0 {
	meta:
		name = "TDataBlock.Read"
		size = 68
		refs = "0012 TStream.SetPosition 0031 TStream.GetPosition"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 50 10 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B 55 0C 8B 4D 10 8B 45 08 8B 40 0C 8B 18 FF 53 04 89 45 FC 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B 55 08 89 42 10 8B 45 FC 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16933_0 {
	meta:
		name = "TDataBlockInterpreter.Create"
		size = 151
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TDataBlockInterpreter.Create 0037 TObject.Create 0045 @IntfCopy 004c _Dn_TList 006c @IntfClear 0072 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 8B 55 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_16934_0 {
	meta:
		name = "TDataBlockInterpreter.Destroy"
		size = 117
		refs = "0007 @BeforeDestruction 002d TList.Get 0046 TObject.Free 0051 @IntfClear 005f TObject.Destroy 006d @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 04 8B 40 08 48 83 F8 00 7C 1F 89 45 F4 8B 55 F4 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 D2 89 50 10 FF 4D F4 83 7D F4 FF 75 E4 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_16935_0 {
	meta:
		name = "TDataBlockInterpreter.AddDispatch"
		size = 47
		refs = "0016 TList.IndexOf 0027 TList.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 40 75 0E 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16936_0 {
	meta:
		name = "TDataBlockInterpreter.RemoveDispatch"
		size = 30
		refs = "0016 TList.Remove"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16937_0 {
	meta:
		name = "TDataBlockInterpreter.GetVariantPointer"
		size = 93
		refs = "0010 VarType"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 02 72 0F 83 E8 07 74 11 83 E8 03 74 17 48 74 1C EB 25 33 C0 89 45 F4 EB 27 8B 45 F8 8B 40 08 89 45 F4 EB 1C 8B 45 F8 89 45 F4 EB 14 8B 45 F8 8B 40 08 89 45 F4 EB 09 8B 45 F8 83 C0 08 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_16938_0 {
	meta:
		name = "TDataBlockInterpreter.CopyDataByRef"
		size = 383
		refs = "0035 @VarClear 0045 SafeArrayCopy 0064 TDataBlockInterpreter.CopyDataByRef 00af SysAllocString 00ca SysReAllocString 010e @VarCopy 013a VariantSize 0148 Move"
	strings:
		$1 = { 55 8B EC 83 C4 E4 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 89 4D E8 89 45 EC 0F B7 45 F0 89 45 E4 66 8B 45 F0 66 25 00 20 66 3D 00 20 75 1D 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 83 C0 08 50 8B 45 F8 50 E8 ?? ?? ?? ?? E9 21 01 00 00 66 8B 45 F0 66 25 FF 0F 0F B7 C0 83 F8 0D 0F 87 9C 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 00 00 00 00 00 02 03 00 00 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 D5 00 00 00 8B 45 E8 66 8B 00 66 25 FF 0F 66 83 F8 08 74 14 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 55 E8 89 42 08 E9 B1 00 00 00 8B 45 F8 50 8B 45 E8 8B 40 08 50 E8 ?? ?? ?? ?? E9 9C 00 00 00 8B 45 E8 8B 55 F8 89 50 08 E9 8E 00 00 00 8B 4D E8 8B 45 F8 8B D0 8B 45 EC E8 ?? ?? ?? ?? EB 7C 8B 45 E8 8B 55 F8 89 50 08 EB 71 8B 45 E8 66 83 38 00 75 0D 8B 45 E8 8D 55 F0 E8 ?? ?? ?? ?? EB 5B 8B 45 E8 66 8B 00 66 25 00 40 66 3D 00 40 75 2A 81 4D E4 00 40 00 00 66 8B 45 F0 66 25 FF 0F 0F B7 C0 0F B7 0C 45 ?? ?? ?? ?? 8B 55 E8 8B 52 08 8D 45 F8 E8 ?? ?? ?? ?? EB 21 66 8B 45 F0 66 25 FF 0F 0F B7 C0 0F B7 0C 45 ?? ?? ?? ?? 8B 55 E8 83 C2 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 66 8B 55 E4 66 89 10 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_16939_0 {
	meta:
		name = "TDataBlockInterpreter.ReadArray"
		size = 878
		refs = "002e TDataBlockInterpreter.ReadArray 003c @VarClear 005c @GetMem 0122 VarArrayCreate 012d @OleVarFromVar 0142 @FreeMem 0148 @HandleFinally 0184 VarArrayLock 01bb VarArrayUnlock 01e9 @FillChar 0228 TDataBlockInterpreter.ReadVariant 0246 SafeArrayPutElement 024b OleCheck 02ae @TryFinallyExit 0353 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 33 DB 89 5D A8 89 5D AC 89 5D B0 89 5D B4 89 5D F0 89 5D F4 89 5D F8 89 5D FC 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 6A 04 8D 45 CC 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 CC C1 E0 02 89 45 C8 8B 45 C8 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 50 8B 45 DC 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 C8 50 8B 45 D8 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 C8 03 C0 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 CC 48 85 C0 7C 3C 40 89 45 B8 C7 45 C4 00 00 00 00 8B 45 DC 8B 55 C4 8B 04 90 8B 55 C4 03 D2 8B 4D D0 89 04 91 8B 45 D8 8B 55 C4 8B 04 90 8B 55 C4 03 D2 8B 4D D0 89 44 91 04 FF 45 C4 FF 4D B8 75 CF 8D 45 A8 50 8B 4D E8 81 E1 FF 0F 00 00 8B 55 CC 03 D2 4A 8B 45 D0 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 08 89 45 BC 8B 45 E8 25 FF 0F 00 00 83 C0 FE 83 E8 06 72 0A 83 E8 03 74 05 83 E8 06 75 56 6A 04 8D 45 C8 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 08 E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 50 8B 45 C0 50 8B 45 E4 50 8B 00 FF 50 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 C8 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 33 C9 8B 55 C8 E8 ?? ?? ?? ?? 8B 45 CC 48 85 C0 7C 25 40 89 45 B8 C7 45 C4 00 00 00 00 8B 45 DC 8B 55 C4 8B 04 90 8B 55 D4 8B 4D C4 89 04 8A FF 45 C4 FF 4D B8 75 E6 8D 45 F0 50 8D 55 E3 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 25 FF 0F 00 00 83 F8 0C 75 18 8D 45 F0 50 8B 45 D4 50 8B 45 BC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 45 F8 50 8B 45 D4 50 8B 45 BC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8B 55 CC FF 44 90 FC 8B 45 D4 8B 55 CC 8B 44 90 FC 8B 55 D8 8B 4D CC 3B 44 8A FC 7E 93 8B 45 CC 48 83 F8 00 7C 8A 89 45 C4 8B 45 D4 8B 55 C4 8B 04 90 8B 55 D8 8B 4D C4 3B 04 8A 7E 36 83 7D C4 00 75 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 00 00 00 8B 45 D4 8B 55 C4 FF 44 90 FC 8B 45 DC 8B 55 C4 8B 04 90 8B 55 D4 8B 4D C4 89 04 8A FF 4D C4 83 7D C4 FF 75 AD E9 2F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16940_0 {
	meta:
		name = "TDataBlockInterpreter.WriteArray"
		size = 913
		refs = "002e TDataBlockInterpreter.WriteArray 003c VarType 0056 VarArrayDimCount 0082 @GetMem 00c8 VarArrayLowBound 00dd VarArrayHighBound 0138 SafeArrayGetElemsize 0187 VarArrayLock 01cd VarArrayUnlock 01d3 @HandleFinally 0239 SafeArrayGetElement 023e OleCheck 0254 @VarClr 0272 @OleVarFromVar 0280 TDataBlockInterpreter.WriteVariant 02d3 @TryFinallyExit 0321 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 33 DB 89 5D A8 89 5D AC 89 5D B0 89 5D B4 89 5D F0 89 5D F4 89 5D F8 89 5D FC 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 6A 04 8D 45 E0 50 8B 45 E4 50 8B 00 FF 50 28 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D4 6A 04 8D 45 D4 50 8B 45 E4 50 8B 00 FF 50 28 8B 45 E8 8B 40 08 89 45 CC 8B 45 D4 C1 E0 02 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 85 C0 7E 3C 89 45 B8 C7 45 D8 01 00 00 00 8B 45 E8 8B 55 D8 E8 ?? ?? ?? ?? 8B 55 C8 8B 4D D8 89 44 8A FC 8B 45 E8 8B 55 D8 E8 ?? ?? ?? ?? 8B 55 C4 8B 4D D8 89 44 8A FC FF 45 D8 FF 4D B8 75 CE 8B 45 DC 50 8B 45 C8 50 8B 45 E4 50 8B 00 FF 50 28 8B 45 DC 50 8B 45 C4 50 8B 45 E4 50 8B 00 FF 50 28 8B 45 E0 25 FF 0F 00 00 83 C0 FE 83 E8 06 72 0E 83 E8 03 74 09 83 E8 06 0F 85 A6 00 00 00 8B 45 CC 50 E8 ?? ?? ?? ?? 89 45 D0 C7 45 DC 01 00 00 00 8B 45 D4 48 85 C0 7C 2C 40 89 45 B8 C7 45 D8 00 00 00 00 8B 45 C4 8B 55 D8 8B 04 90 8B 55 C8 8B 4D D8 2B 04 8A 40 F7 6D DC 89 45 DC FF 45 D8 FF 4D B8 75 DF 8B 45 DC F7 6D D0 89 45 DC 8B 45 E8 E8 ?? ?? ?? ?? 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 DC 50 8B 45 E4 50 8B 00 FF 50 28 8B 45 DC 50 8B 45 BC 50 8B 45 E4 50 8B 00 FF 50 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 DC E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 48 85 C0 7C 25 40 89 45 B8 C7 45 D8 00 00 00 00 8B 45 C8 8B 55 D8 8B 04 90 8B 55 C0 8B 4D D8 89 04 8A FF 45 D8 FF 4D B8 75 E6 8B 45 E0 25 FF 0F 00 00 83 F8 0C 74 24 8D 45 F8 50 8B 45 C0 50 8B 45 CC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 8B 45 E0 66 25 FF 0F 66 89 45 F0 EB 1B 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 C0 50 8B 45 CC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 A8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C0 8B 55 D4 FF 44 90 FC 8B 45 C0 8B 55 D4 8B 44 90 FC 8B 55 C4 8B 4D D4 3B 44 8A FC 0F 8E 77 FF FF FF 8B 45 D4 48 83 F8 00 0F 8C 6A FF FF FF 89 45 D8 8B 45 C0 8B 55 D8 8B 04 90 8B 55 C4 8B 4D D8 3B 04 8A 7E 36 83 7D D8 00 75 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 00 00 00 8B 45 C0 8B 55 D8 FF 44 90 FC 8B 45 C8 8B 55 D8 8B 04 90 8B 55 C0 8B 4D D8 89 04 8A FF 4D D8 83 7D D8 FF 75 AD E9 0F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16941_0 {
	meta:
		name = "TDataBlockInterpreter.ReadVariant"
		size = 612
		refs = "0022 TDataBlockInterpreter.ReadVariant 0030 @VarClear 00b5 TDataBlockInterpreter.ReadArray 0114 Null 0119 @OleVarFromVar 0138 @WStrSetLength 0146 @WStrToPWChar 015b @VarFromWStr 017d _DV_TDataDispatch 0182 TDataDispatch.Create 0198 @IntfCast 01a3 @VarFromDisp 01b5 IntToHex 01cd SBadVariantType 01d2 LoadResString 01dc _DV_EInterpreterError 01e1 Exception.CreateFmt 01e6 @RaiseExcept 0202 VariantSize 022d @LStrArrayClr 0235 @IntfClear 023d @WStrClr 0243 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 DB 89 5D D4 89 5D D0 89 5D E0 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 8A 15 ?? ?? ?? ?? 88 10 6A 04 8D 45 EC 50 8B 45 F4 50 8B 00 FF 50 2C 8B 45 EC 25 00 40 00 00 3D 00 40 00 00 75 06 8B 45 F8 80 08 01 81 7D EC 00 40 00 00 75 1D 8B 45 F8 80 08 02 8B 45 08 50 8D 55 E7 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? E9 8E 01 00 00 8B 45 F8 F6 00 01 74 07 81 75 EC 00 40 00 00 8B 45 EC 25 00 20 00 00 3D 00 20 00 00 75 17 8B 45 08 50 8B 4D F4 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? E9 59 01 00 00 8B 45 EC 25 FF 0F 00 00 83 F8 0D 0F 87 1D 01 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 00 00 00 00 00 00 03 04 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 08 01 00 00 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F5 00 00 00 6A 04 8D 45 F0 50 8B 45 F4 50 8B 00 FF 50 2C 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 03 C0 50 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 2C 8B 45 08 8B 55 E8 E8 ?? ?? ?? ?? E9 B3 00 00 00 6A 04 8D 45 F0 50 8B 45 F4 50 8B 00 FF 50 2C 8B 45 F0 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 E8 ?? ?? ?? ?? EB 6E 8D 4D D4 BA 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 0B 8D 45 D8 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 45 08 66 8B 55 EC 66 89 10 8B 45 EC 25 FF 0F 00 00 0F B7 04 45 ?? ?? ?? ?? 50 8B 45 08 83 C0 08 50 8B 45 F4 50 8B 00 FF 50 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C2 04 00 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_16942_0 {
	meta:
		name = "TDataBlockInterpreter.WriteVariant"
		size = 847
		refs = "0022 TDataBlockInterpreter.WriteVariant 0030 VarType 003b VarIsArray 004d TDataBlockInterpreter.WriteArray 00b5 @VarToWStr 00bd @WStrLen 00ec @WStrToPWChar 012c VarArrayCreate 013a @OleVarFromVar 0157 @VarArrayGet 0162 VarIsEmpty 0179 VarArrayHighBound 01a4 @VarArrayRedim 01ba @VarArrayPut 01ff IntToHex 0217 SBadVariantType 021c LoadResString 0226 _DV_EInterpreterError 022b Exception.CreateFmt 0230 @RaiseExcept 02d8 VariantSize 0321 @VarClr 032e @LStrArrayClr 033e @WStrClr 0344 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 13 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? E9 BA 02 00 00 8B 45 EC 25 FF 0F 00 00 83 F8 0D 0F 87 47 02 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 00 00 00 00 00 02 03 00 00 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 04 8D 45 EC 50 8B 45 F4 50 8B 00 FF 50 28 E9 62 02 00 00 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F0 6A 04 8D 45 EC 50 8B 45 F4 50 8B 00 FF 50 28 6A 04 8D 45 F0 50 8B 45 F4 50 8B 00 FF 50 28 8B 45 F0 03 C0 50 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 28 E9 11 02 00 00 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 84 C0 75 30 8D 45 D8 50 33 C0 89 45 D0 C7 45 D4 0A 00 00 00 8D 45 D0 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 33 C0 89 45 F0 EB 28 8B 45 F0 50 6A 01 8B 45 FC 83 C0 08 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 18 FF 45 F0 8B 45 FC 83 C0 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 3B 45 F0 7D C3 8B 45 FC 83 C0 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 3B 45 F0 7D 11 8B 55 F0 83 C2 0A 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 45 F0 50 6A 01 8B 45 F8 50 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 45 EC 50 8B 45 F4 50 8B 00 FF 50 28 6A 04 8D 45 F0 50 8B 45 F4 50 8B 00 FF 50 28 E9 2C 01 00 00 8B 45 EC 25 00 40 00 00 3D 00 40 00 00 74 41 8D 4D CC BA 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 0B 8D 45 D0 50 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F0 00 40 00 00 6A 04 8D 45 F0 50 8B 45 F4 50 8B 00 FF 50 28 8D 45 B8 8B 55 F8 8B 52 08 E8 ?? ?? ?? ?? 8D 55 B8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 4D CC BA 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 0B 8D 45 D0 50 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 62 6A 04 8D 45 EC 50 8B 45 F4 50 8B 00 FF 50 28 8B 45 EC 25 00 40 00 00 3D 00 40 00 00 75 23 8B 45 EC 25 FF 0F 00 00 0F B7 04 45 ?? ?? ?? ?? 50 8B 45 F8 8B 40 08 50 8B 45 F4 50 8B 00 FF 50 28 EB 21 8B 45 EC 25 FF 0F 00 00 0F B7 04 45 ?? ?? ?? ?? 50 8B 45 F8 83 C0 08 50 8B 45 F4 50 8B 00 FF 50 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16943_0 {
	meta:
		name = "TDataBlockInterpreter.CallGetServerList"
		size = 196
		refs = "0018 TDataBlockInterpreter.CallGetServerList 0025 _DV_TDataBlock 002a TDataBlock.Create 0040 @IntfCast 006f @IntfCopy 0081 TDataBlockInterpreter.ReadVariant 0097 IDataBlock 00a1 @FinalizeArray 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D EC 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 10 DA 00 00 8B 45 F0 50 8B 00 FF 50 20 6A 01 8B 45 F0 50 8B 45 FC 8B 40 18 50 8D 55 EC 52 8B 00 FF 50 0C 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F7 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B E5 5D C3 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_16944_0 {
	meta:
		name = "TDataBlockInterpreter.CreateObject"
		size = 252
		refs = "0022 @LStrAddRef 002a TDataBlockInterpreter.CreateObject 0037 _DV_TDataBlock 003c TDataBlock.Create 0052 @IntfCast 005d @OleVarFromLStr 006b TDataBlockInterpreter.WriteVariant 009a @IntfCopy 00ac TDataBlockInterpreter.ReadVariant 00c1 @IntfClear 00c9 @VarClr 00d9 @LStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 DC 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 68 04 DA 00 00 8B 45 EC 50 8B 00 FF 50 20 6A 01 8B 45 EC 50 8B 45 FC 8B 40 18 50 8D 55 D8 52 8B 00 FF 50 0C 8B 55 D8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F3 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_16945_0 {
	meta:
		name = "TDataBlockInterpreter.CallFreeObject"
		size = 196
		refs = "0017 TDataBlockInterpreter.CallFreeObject 0024 _DV_TDataBlock 0029 TDataBlock.Create 003f @IntfCast 004a @VarFromInt 0058 TDataBlockInterpreter.WriteVariant 0091 @IntfClear 0099 @VarClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 E4 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 68 05 DA 00 00 8B 45 F4 50 8B 00 FF 50 20 6A 00 8B 45 F4 50 8B 45 FC 8B 40 18 50 8D 55 E0 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_16946_0 {
	meta:
		name = "TDataBlockInterpreter.CallGetIDsOfNames"
		size = 336
		refs = "0014 TDataBlockInterpreter.CallGetIDsOfNames 0033 _DV_TDataBlock 0038 TDataBlock.Create 004e @IntfCast 0059 @VarFromInt 0067 TDataBlockInterpreter.WriteVariant 0074 @WStrFromPWChar 007f @VarFromWStr 00bc @IntfCopy 00ce TDataBlockInterpreter.ReadVariant 00d6 @VarToInt 0113 @IntfClear 011b @WStrClr 0123 @VarClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 18 01 74 0C C7 45 FC 01 40 00 80 E9 D2 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 55 0C E8 ?? ?? ?? ?? 8D 55 E4 8B 4D F4 8B 45 08 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 14 8B 12 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B 4D F4 8B 45 08 E8 ?? ?? ?? ?? 68 03 DA 00 00 8B 45 F4 50 8B 00 FF 50 20 6A 01 8B 45 F4 50 8B 45 08 8B 40 18 50 8D 55 DC 52 8B 00 FF 50 0C 8B 55 DC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 FB 8B 4D F4 8B 45 08 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 1F 8D 45 E4 50 8D 55 FB 8B 4D F4 8B 45 08 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 20 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 FC 8B E5 5D C2 1C 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_16947_0 {
	meta:
		name = "TDataBlockInterpreter.CallInvoke"
		size = 756
		refs = "001e TDataBlockInterpreter.CallInvoke 002b _DV_TDataBlock 0030 TDataBlock.Create 0046 @IntfCast 0051 @VarFromInt 005f TDataBlockInterpreter.WriteVariant 00a1 @VarFromBool 018c @IntfCopy 019e TDataBlockInterpreter.ReadVariant 01a6 @VarToInt 01f2 @VarToWStr 027f TDataBlockInterpreter.CopyDataByRef 02aa @VarCopy 02bf @IntfClear 02c7 @VarClr 02d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 33 C0 89 45 D4 89 45 D8 89 45 DC 89 45 E0 89 45 D0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 8B 55 0C E8 ?? ?? ?? ?? 8D 55 D4 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 10 E8 ?? ?? ?? ?? 8D 55 D4 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 45 D4 0F B7 55 1C E8 ?? ?? ?? ?? 8D 55 D4 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 45 D4 83 7D 24 00 0F 95 C2 E8 ?? ?? ?? ?? 8D 55 D4 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 20 8B 52 08 E8 ?? ?? ?? ?? 8D 55 D4 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 20 8B 52 0C E8 ?? ?? ?? ?? 8D 55 D4 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 20 8B 40 0C 48 85 C0 7C 35 40 89 45 E8 C7 45 F0 00 00 00 00 8D 45 D4 8B 55 20 8B 52 04 8B 4D F0 8B 14 8A E8 ?? ?? ?? ?? 8D 55 D4 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E8 75 D6 8B 45 20 8B 40 08 48 85 C0 7C 2B 40 89 45 E8 C7 45 F0 00 00 00 00 8B 45 F0 03 C0 8B 55 20 8B 12 8D 14 C2 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E8 75 E0 68 02 DA 00 00 8B 45 EC 50 8B 00 FF 50 20 6A 01 8B 45 EC 50 8B 45 08 8B 40 18 50 8D 55 D0 52 8B 00 FF 50 0C 8B 55 D0 8D 45 EC E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 FB 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 89 45 FC 81 7D FC 09 00 02 80 75 40 8D 45 D4 50 8D 55 FB 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 28 89 42 1C 8D 45 D4 50 8D 55 FB 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 28 83 C0 08 E8 ?? ?? ?? ?? 8B 45 20 8B 40 08 48 85 C0 0F 8C 86 00 00 00 40 89 45 E8 C7 45 F0 00 00 00 00 8B 45 20 89 45 E4 8B 45 F0 03 C0 8B 55 E4 8B 12 66 8B 04 C2 66 25 00 40 66 3D 00 40 75 55 8B 45 F0 03 C0 8B 55 E4 8B 12 66 81 3C C2 0C 40 75 13 8B 45 F0 03 C0 8B 55 E4 8B 12 8B 44 C2 08 89 45 F4 EB 10 8B 45 F0 03 C0 8B 55 E4 8B 12 8D 04 C2 89 45 F4 8D 45 D4 50 8D 55 FB 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 55 D4 8B 4D F4 8B 45 08 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E8 75 85 83 7D 24 00 74 1D 8D 45 D4 50 8D 55 FB 8B 4D EC 8B 45 08 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 8B E5 5D C2 28 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_16948_0 {
	meta:
		name = "TDataBlockInterpreter.InterpretData"
		size = 469
		refs = "0027 TDataBlockInterpreter.InterpretData 004f TDataBlockInterpreter.DoException 00ab TDataBlockInterpreter.DoInvoke 00bb TDataBlockInterpreter.DoGetIDsOfNames 00c8 TDataBlockInterpreter.DoCreateObject 00d5 TDataBlockInterpreter.DoFreeObject 00e2 TDataBlockInterpreter.DoGetServerList 0118 SInvalidAction 011d LoadResString 0127 _DV_EInterpreterError 012c Exception.CreateFmt 0131 @RaiseExcept 0140 @HandleOnException 0148 _Dn_Exception 0166 @OleVarFromLStr 0174 TDataBlockInterpreter.WriteVariant 019d @DoneExcept 01b2 @IntfClear 01ba @VarClr 01c2 @LStrClr 01c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D D4 89 4D D8 89 4D DC 89 4D E0 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 00 FF 50 1C 89 45 F4 8B 45 F4 25 FF 00 00 00 48 75 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 25 FF 00 00 00 83 F8 10 77 7A 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 02 03 04 00 00 00 00 00 00 00 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 81 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 74 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 67 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 5A 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 4D 8B 55 F4 81 E2 FF 00 00 00 8B 4D F8 8B 45 FC 8B 18 FF 13 84 C0 75 36 8B 45 F4 25 FF 00 00 00 89 45 E8 C6 45 EC 00 8D 45 E8 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 62 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 F0 8B 45 F8 50 8B 00 FF 50 24 8D 45 D4 8B 55 F0 8B 52 04 E8 ?? ?? ?? ?? 8D 55 D4 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 68 01 DB 00 00 8B 45 F8 50 8B 00 FF 50 20 6A 00 8B 45 F8 50 8B 45 FC 8B 40 18 50 8D 55 D0 52 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16949_0 {
	meta:
		name = "TDataBlockInterpreter.DoException"
		size = 123
		refs = "0017 TDataBlockInterpreter.DoException 002f TDataBlockInterpreter.ReadVariant 003a @VarToLStr 0044 _Dn_Exception 0049 Exception.Create 004e @RaiseExcept 0063 @VarClr 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 8D 55 F7 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_16950_0 {
	meta:
		name = "TDataBlockInterpreter.DoGetServerList"
		size = 381
		refs = "001b TDataBlockInterpreter.DoGetServerList 0031 _Dn_TStringList 0036 TObject.Create 004f GetDataBrokerList 0086 VarArrayCreate 0091 @OleVarFromVar 00c8 @VarFromLStr 00d5 @VarArrayPut 00eb Null 0105 TObject.Free 010b @HandleFinally 011b TDataBlockInterpreter.WriteVariant 0154 @IntfClear 015c @LStrClr 0164 @VarClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 00 FF 50 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 85 C0 0F 8E 83 00 00 00 8D 45 CC 50 33 C0 89 45 C4 8B 45 F4 8B 10 FF 52 14 48 89 45 C8 8D 45 C4 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 48 85 C0 7C 52 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 F0 50 6A 01 8D 4D C0 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 8B 55 C0 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 FF 45 F0 FF 4D EC 75 C9 EB 0E 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 DC 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 68 10 DB 00 00 8B 45 F8 50 8B 00 FF 50 20 6A 00 8B 45 F8 50 8B 45 FC 8B 40 18 50 8D 55 BC 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16951_0 {
	meta:
		name = "TDataBlockInterpreter.DoCreateObject"
		size = 356
		refs = "0019 TDataBlockInterpreter.DoCreateObject 0031 TDataBlockInterpreter.ReadVariant 003c @VarToWStr 0056 @WStrLen 006c @LStrFromWStr 0077 StringToGUID 0082 CreateComObject 0092 @IntfCast 009d @VarFromDisp 00b5 CreateOleObject 00cb @OleVarFromVar 00d9 TDataBlockInterpreter.WriteVariant 0112 @IntfClear 011a @LStrClr 0132 @VarClr 0142 @WStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 8D 55 F3 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 8B 45 F4 66 83 38 7B 75 51 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 66 83 7C 42 FE 7D 75 3E 8D 45 B4 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8D 45 B8 8D 55 C8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 E0 E8 ?? ?? ?? ?? EB 21 8D 45 B4 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 8D 55 E0 E8 ?? ?? ?? ?? 8D 55 D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 68 04 DB 00 00 8B 45 F8 50 8B 00 FF 50 20 6A 00 8B 45 F8 50 8B 45 FC 8B 40 18 50 8D 55 B0 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B E5 5D C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_16952_0 {
	meta:
		name = "TDataBlockInterpreter.DoFreeObject"
		size = 211
		refs = "0021 TDataBlockInterpreter.DoFreeObject 0047 TDataBlockInterpreter.ReadVariant 004f @VarToInt 0063 VarIsArray 0077 VarArrayHighBound 0087 Unassigned 0094 @VarArrayPut 00a6 @HandleAnyException 00ab @DoneExcept 00c0 @VarClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 8D 55 F3 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7C 3F 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 84 C0 74 30 8B 45 FC 83 C0 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 3B 45 F4 7E 1B 8B 45 F4 50 6A 01 A1 ?? ?? ?? ?? 50 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16953_0 {
	meta:
		name = "TDataBlockInterpreter.DoGetIDsOfNames"
		size = 326
		refs = "001a TDataBlockInterpreter.DoGetIDsOfNames 0032 TDataBlockInterpreter.ReadVariant 003a @VarToInt 005a @VarToWStr 0079 @VarArrayGet 0087 @VarToDisp 0098 GUID_NULL 00b0 @VarFromInt 00be TDataBlockInterpreter.WriteVariant 0116 @IntfClear 011e @VarClr 012e @WStrClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 8D 55 E3 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 89 45 F4 8D 45 D0 50 8D 55 E3 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 8B 45 F4 50 6A 01 8B 45 FC 83 C0 08 50 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 C0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 50 6A 00 6A 01 8D 45 E4 50 A1 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 14 89 45 F0 8D 45 D0 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 75 19 8D 45 D0 8B 55 EC E8 ?? ?? ?? ?? 8D 55 D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 68 03 DB 00 00 8B 45 F8 50 8B 00 FF 50 20 6A 00 8B 45 F8 50 8B 45 FC 8B 40 18 50 8D 55 BC 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16954_0 {
	meta:
		name = "TDataBlockInterpreter.DoInvoke"
		size = 1119
		refs = "001d tagEXCEPINFO 0022 @InitializeRecord 002a TDataBlockInterpreter.DoInvoke 0044 @FillChar 0065 TDataBlockInterpreter.ReadVariant 006d @VarToInt 00c4 @VarToBool 011a @VarArrayGet 012b @VarToDisp 014f @GetMem 01c2 TVariantArray 01c7 @InitializeArray 0203 @VarCopy 0246 VarType 0269 TDataBlockInterpreter.GetVariantPointer 02c3 GUID_NULL 02df @VarFromInt 02ed TDataBlockInterpreter.WriteVariant 031a @VarFromWStr 03cb @FreeMem 03e2 @FinalizeArray 03fe @HandleFinally 0418 @IntfClear 0423 @VarClr 042c OleVariant 0444 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D8 8D 45 B4 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 50 8D 55 E2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 89 45 F4 8D 45 84 50 8D 55 E2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 89 45 F0 8D 45 84 50 8D 55 E2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 89 45 EC 8D 45 84 50 8D 55 E2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 88 45 E3 8D 45 84 50 8D 55 E2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 89 45 AC 8D 45 84 50 8D 55 E2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 89 45 B0 8B 45 F4 50 6A 01 8B 45 FC 83 C0 08 50 8D 85 74 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 95 74 FF FF FF 8D 45 DC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 A8 83 7D B0 00 7E 4C 8B 45 B0 C1 E0 02 E8 ?? ?? ?? ?? 89 45 A8 8B 45 B0 48 85 C0 7C 36 40 89 45 D4 C7 45 E8 00 00 00 00 8D 45 84 50 8D 55 E2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8B 55 A8 8B 4D E8 89 04 8A FF 45 E8 FF 4D D4 75 D5 83 7D AC 00 0F 8E 06 01 00 00 8B 45 AC C1 E0 04 E8 ?? ?? ?? ?? 89 45 A4 8B 45 AC C1 E0 04 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 8B 4D AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 48 85 C0 0F 8C CD 00 00 00 40 89 45 D4 C7 45 E8 00 00 00 00 8D 45 84 50 8D 55 E2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 84 8B 45 E8 03 C0 8B 4D D8 8D 04 C1 E8 ?? ?? ?? ?? F6 45 E2 01 74 6E F6 45 E2 02 74 27 8B 45 E8 03 C0 8B 55 A4 66 C7 04 C2 0C 40 8B 45 E8 03 C0 8B 55 D8 8D 04 C2 8B 55 E8 03 D2 8B 4D A4 89 44 D1 08 EB 5E 8B 45 E8 03 C0 8B 55 D8 8D 04 C2 E8 ?? ?? ?? ?? 66 0D 00 40 8B 55 E8 03 D2 8B 4D A4 66 89 04 D1 8B 45 E8 03 C0 8B 55 D8 8D 14 C2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 03 D2 8B 4D A4 89 44 D1 08 EB 1D 8B 45 E8 03 C0 8B 55 D8 8B 4D E8 03 C9 8B 5D A4 8D 34 C2 8D 3C CB B9 04 00 00 00 F3 A5 FF 45 E8 FF 4D D4 0F 85 3E FF FF FF 8B 45 F8 50 8B 00 FF 50 24 6A 00 8D 45 B4 50 8D 45 94 50 8D 45 A4 50 66 8B 45 EC 50 6A 00 A1 ?? ?? ?? ?? 50 8B 45 F0 50 8B 45 DC 50 8B 00 FF 50 18 89 45 E4 8D 45 84 8B 55 E4 E8 ?? ?? ?? ?? 8D 55 84 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 81 7D E4 09 00 02 80 75 32 8D 45 84 8B 55 D0 E8 ?? ?? ?? ?? 8D 55 84 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 8B 55 BC E8 ?? ?? ?? ?? 8D 55 84 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D A4 00 74 47 8B 45 AC 48 85 C0 7C 3F 40 89 45 D4 C7 45 E8 00 00 00 00 8B 45 E8 03 C0 8B 55 A4 66 8B 04 C2 66 25 00 40 66 3D 00 40 75 16 8B 45 E8 03 C0 8B 55 A4 8D 14 C2 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? FF 45 E8 FF 4D D4 75 CC 80 7D E3 00 74 0E 8D 55 94 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 68 02 DB 00 00 8B 45 F8 50 8B 00 FF 50 20 6A 00 8B 45 F8 50 8B 45 FC 8B 40 18 50 8D 95 70 FF FF FF 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D A8 00 74 08 8B 45 A8 E8 ?? ?? ?? ?? 83 7D D8 00 74 19 8B 45 D8 8B 4D AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 83 7D A4 00 74 08 8B 45 A4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16955_0 {
	meta:
		name = "TDataBlockInterpreter.DoCustomAction"
		size = 26
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F0 89 55 F4 89 45 FC C6 45 FB 00 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule function_16956_0 {
	meta:
		name = "TDataDispatch.Create"
		size = 99
		refs = "000e @ClassCreate 0021 TObject.Create 003e TDataBlockInterpreter.AddDispatch 004c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC 89 42 0C 8B 45 F4 8B 55 FC 89 42 10 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16957_0 {
	meta:
		name = "TDataDispatch.Destroy"
		size = 89
		refs = "0007 @BeforeDestruction 0027 TDataBlockInterpreter.CallFreeObject 0035 TDataBlockInterpreter.RemoveDispatch 0043 TObject.Destroy 0051 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 10 00 74 1F 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16958_0 {
	meta:
		name = "TDataDispatch.GetTypeInfoCount"
		size = 24
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 33 D2 89 10 33 C0 89 45 FC 8B 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16959_0 {
	meta:
		name = "TDataDispatch.GetTypeInfo"
		size = 19
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 01 40 00 80 8B 45 FC 59 5D C2 10 00 }
	condition:
		$1
}

rule function_16960_0 {
	meta:
		name = "TDataDispatch.GetIDsOfNames"
		size = 54
		refs = "0027 TDataBlockInterpreter.CallGetIDsOfNames"
	strings:
		$1 = { 55 8B EC 51 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 10 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 59 5D C2 18 00 }
	condition:
		$1
}

rule function_16961_0 {
	meta:
		name = "TDataDispatch.Invoke"
		size = 67
		refs = "0034 TDataBlockInterpreter.CallInvoke"
	strings:
		$1 = { 55 8B EC 51 8B 45 28 50 8B 45 24 50 8B 45 20 50 8B 45 1C 50 66 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 10 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 59 5D C2 24 00 }
	condition:
		$1
}

rule function_16962_0 {
	meta:
		name = "TTransportThread.Create"
		size = 172
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TTransportThread.Create 0044 @IntfCopy 0058 CreateSemaphore 006a TThread.Create 007f @IntfClear 0085 @HandleFinally 0095 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 55 FC 89 42 28 8B 45 FC 83 C0 30 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC C6 40 0E 01 6A 00 6A 01 6A 00 6A 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16963_0 {
	meta:
		name = "TTransportThread.Destroy"
		size = 61
		refs = "0007 @BeforeDestruction 0019 CloseHandle 0027 TThread.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16964_0 {
	meta:
		name = "TTransportThread.Execute"
		size = 765
		refs = "0015 TTransportThread.Execute 0022 CoInitialize 0047 PeekMessage 0057 ReleaseSemaphore 00c6 @IntfCopy 0117 PostMessage 011f @IntfClear 015d DispatchMessage 01d0 @HandleAnyException 01d5 RaiseList 01f7 _DV_ESocketConnectionError 01fc @IsClass 022a @DoneExcept 0270 @HandleFinally 02cd CoUninitialize"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 00 04 00 00 68 00 04 00 00 6A 00 8D 45 D8 50 E8 ?? ?? ?? ?? 6A 00 6A 01 8B 45 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 45 FC 8B 40 30 50 8B 00 FF 50 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 A4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 CF 00 00 00 83 7D D8 00 0F 85 BC 00 00 00 8B 45 DC 2D 01 04 00 00 74 0E 83 E8 04 0F 84 82 00 00 00 E9 99 00 00 00 8D 45 F8 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 08 8B 45 F8 50 8B 45 FC 8B 40 30 50 8B 00 FF 50 18 83 7D E0 01 75 3C 6A 01 8B 45 FC 8B 40 30 50 8D 55 F8 52 8B 00 FF 50 14 8B 45 F8 50 8B 00 FF 50 04 8B 45 F8 50 6A 00 68 02 04 00 00 8B 45 FC 8B 40 28 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? EB 47 6A 00 6A 00 68 04 04 00 00 8B 45 FC 8B 40 28 50 E8 ?? ?? ?? ?? EB 30 8B 45 FC 83 C0 30 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 50 8B 00 FF 50 08 EB 14 8D 45 D8 50 E8 ?? ?? ?? ?? EB 09 8D 45 D8 50 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 6A 00 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 0F 85 18 FF FF FF 6A 00 8B 45 FC 8B 40 30 50 8D 55 F8 52 8B 00 FF 50 14 83 7D F8 00 74 28 8B 45 F8 50 8B 00 FF 50 04 8B 45 F8 50 6A 00 68 02 04 00 00 8B 45 FC 8B 40 28 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 4C E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 E8 ?? ?? ?? ?? 33 D2 89 50 08 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 6A 00 8B 45 FC 8B 40 30 50 8B 00 FF 50 10 8B 45 F4 50 6A 00 68 03 04 00 00 8B 45 FC 8B 40 28 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 75 14 8B 45 FC 8B 40 30 50 8B 00 FF 50 0C 84 C0 0F 85 3F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 30 50 8B 00 FF 50 10 C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 EB 3F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2C E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 E8 ?? ?? ?? ?? 33 D2 89 50 08 8B 45 F4 50 6A 00 68 03 04 00 00 8B 45 FC 8B 40 28 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16965_0 {
	meta:
		name = "TStreamedConnection.Create"
		size = 184
		refs = "0014 @ClassCreate 0025 TStreamedConnection.Create 0038 TDispatchConnection.Create 0040 @IntfClear 004f TObject.GetInterface 0059 _DV_TDataBlockInterpreter 005e TDataBlockInterpreter.Create 0082 @HandleFinally 0092 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 43 10 AD 87 0E 47 D1 11 88 D5 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_16966_0 {
	meta:
		name = "TStreamedConnection.Destroy"
		size = 128
		refs = "0007 @BeforeDestruction 0025 TObject.Free 003f DeallocateHWnd 006a TCustomRemoteServer.Destroy 0078 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 8C 00 00 00 00 74 0E 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 90 00 00 00 00 74 11 8B 45 FC 8B 80 90 00 00 00 33 D2 89 50 14 89 50 18 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16967_0 {
	meta:
		name = "TStreamedConnection.TransportTerminated"
		size = 37
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 33 D2 89 90 90 00 00 00 33 D2 8B 45 FC 8B 08 FF 51 48 59 59 5D C3 }
	condition:
		$1
}

rule function_16968_0 {
	meta:
		name = "TStreamedConnection.GetServerList"
		size = 186
		refs = "0015 TStreamedConnection.GetServerList 0045 TStreamedConnection.GetHandle 004e _DV_TTransportThread 0053 TTransportThread.Create 0070 WaitForSingleObject 0081 TDataBlockInterpreter.CallGetServerList 0095 TThread.Terminate 00aa @IntfClear 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 34 01 88 45 F7 80 7D F7 00 74 42 8D 55 F0 8B 45 FC 8B 08 FF 51 58 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 00 00 00 6A FF 8B 45 FC 8B 80 90 00 00 00 8B 40 2C 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 80 7D F7 00 74 0E 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16969_0 {
	meta:
		name = "TStreamedConnection.GetHandle"
		size = 63
		refs = "001a TStreamedConnection.WndProc 001f AllocateHWnd"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 B8 8C 00 00 00 00 75 17 8B 45 FC 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 8C 00 00 00 8B 45 FC 8B 80 8C 00 00 00 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_16971_0 {
	meta:
		name = "TStreamedConnection.ThreadReceivedStream"
		size = 104
		refs = "0015 TStreamedConnection.ThreadReceivedStream 0029 @IntfCopy 0043 TDataBlockInterpreter.InterpretData 0058 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 F8 8B 52 08 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 08 8B 55 F4 8B 45 FC 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16972_0 {
	meta:
		name = "TStreamedConnection.ThreadException"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 52 08 8B 45 FC 8B 08 FF 51 5C 59 59 5D C3 }
	condition:
		$1
}

rule function_16973_0 {
	meta:
		name = "TStreamedConnection.DoError"
		size = 24
		refs = "0010 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16976_0 {
	meta:
		name = "TStreamedConnection.CreateTransport"
		size = 24
		refs = "0010 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16974_0 {
	meta:
		name = "TStreamedConnection.DoConnect"
		size = 279
		refs = "0016 TStreamedConnection.DoConnect 0041 TStreamedConnection.GetHandle 004a _DV_TTransportThread 004f TTransportThread.Create 006e TStreamedConnection.TransportTerminated 0082 WaitForSingleObject 008d TDispatchConnection.GetServerGUID 00a1 TDataBlockInterpreter.CreateObject 00bb @HandleAnyException 00d5 TThread.Terminate 00da @RaiseAgain 00df @DoneExcept 00f4 @LStrClr 00fc @VarClr 0104 @IntfClear 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 58 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 00 00 00 8B 45 FC 8B 80 90 00 00 00 8B 55 FC 89 50 18 C7 40 14 ?? ?? ?? ?? 6A FF 8B 45 FC 8B 80 90 00 00 00 8B 40 2C 50 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 4D E8 8B 45 FC 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC 83 B8 90 00 00 00 00 74 0E 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16975_0 {
	meta:
		name = "TStreamedConnection.DoDisconnect"
		size = 44
		refs = "000b TDispatchConnection.DoDisconnect 0025 TThread.Terminate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 90 00 00 00 00 74 0E 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_16978_0 {
	meta:
		name = "TStreamedConnection._AddRef"
		size = 33
	strings:
		$1 = { 55 8B EC 51 8B 45 08 FF 80 88 00 00 00 8B 45 08 8B 80 88 00 00 00 89 45 FC 8B 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16979_0 {
	meta:
		name = "TStreamedConnection._Release"
		size = 33
	strings:
		$1 = { 55 8B EC 51 8B 45 08 FF 88 88 00 00 00 8B 45 08 8B 80 88 00 00 00 89 45 FC 8B 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16980_0 {
	meta:
		name = "TStreamedConnection.Send"
		size = 362
		refs = "000f TStreamedConnection.Send 004f PostThreadMessage 0076 GetMessage 008e @IntfCopy 00c3 TDataBlockInterpreter.InterpretData 00da SReturnError 00df LoadResString 00e9 _Dn_Exception 00ee Exception.Create 00f3 @RaiseExcept 0158 @LStrClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C0 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 83 B8 90 00 00 00 00 0F 84 1E 01 00 00 8B 45 10 50 8B 00 FF 50 04 8B 45 10 50 33 C0 8A 45 14 50 68 01 04 00 00 8B 45 0C 8B 80 90 00 00 00 8B 40 08 50 E8 ?? ?? ?? ?? 80 7D 14 00 0F 84 9F 00 00 00 68 03 04 00 00 68 02 04 00 00 8B 45 0C 8B 80 8C 00 00 00 50 8D 45 E4 50 E8 ?? ?? ?? ?? 85 C0 74 58 81 7D E8 02 04 00 00 75 42 8B 45 08 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 00 50 8B 00 FF 50 08 8B 45 08 8B 00 50 8B 00 FF 50 1C 25 00 DB 00 00 3D 00 DB 00 00 74 65 8B 55 08 8B 12 8B 45 0C 8B 80 94 00 00 00 E8 ?? ?? ?? ?? EB 94 8B 55 F0 8B 45 0C 8B 08 FF 51 5C EB 87 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 61 FF FF FF 68 04 04 00 00 68 04 04 00 00 8B 45 0C 8B 80 8C 00 00 00 50 8D 45 E4 50 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 74 26 8B 45 08 8B 00 50 8B 00 FF 50 1C 25 FF 00 00 00 48 75 13 8B 55 08 8B 12 8B 45 0C 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_16981_0 {
	meta:
		name = "TSocketTransport.Destroy"
		size = 71
		refs = "0007 @BeforeDestruction 0018 @IntfClear 0023 TObject.Free 0031 TObject.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_16982_0 {
	meta:
		name = "TSocketTransport.GetConnected"
		size = 42
	strings:
		$1 = { 55 8B EC 51 8B 45 08 83 78 1C 00 74 0C 8B 45 08 8B 40 1C 80 78 08 00 75 04 33 C0 EB 02 B0 01 88 45 FF 8A 45 FF 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16983_0 {
	meta:
		name = "TSocketTransport.SetConnected"
		size = 168
		refs = "0008 TSocketTransport.GetConnected 0020 _Dn_TClientSocket 0025 TClientSocket.Create 0038 TClientSocket.SetClientType 005b TAbstractSocket.SetPort 0075 TAbstractSocket.SetAddress 0088 TAbstractSocket.SetHost 0093 TAbstractSocket.Open 00a0 TCustomWinSocket.Close"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 3A 45 0C 0F 84 8F 00 00 00 80 7D 0C 00 74 7E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 18 B2 01 8B 45 08 8B 40 18 E8 ?? ?? ?? ?? 8B 45 08 8B 40 18 8B 80 80 00 00 00 8B 55 08 89 42 1C 8B 45 08 8B 50 14 8B 45 08 8B 40 18 E8 ?? ?? ?? ?? 8B 45 08 83 78 0C 00 74 13 8B 45 08 8B 50 0C 8B 45 08 8B 40 18 E8 ?? ?? ?? ?? EB 11 8B 45 08 8B 50 10 8B 45 08 8B 40 18 E8 ?? ?? ?? ?? 8B 45 08 8B 40 18 E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 40 1C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_16984_0 {
	meta:
		name = "TSocketTransport.Receive"
		size = 748
		refs = "0015 TSocketTransport.Receive 0023 @IntfClear 0033 FD_ZERO 0047 FD_SET 0057 @GetMem 0081 select 0092 @FreeMem 009d WSAGetLastError 00a8 SysErrorMessage 00b5 _DV_ESocketConnectionError 00ba Exception.Create 00bf @RaiseExcept 00dc TCustomWinSocket.ReceiveBuf 00f0 SSocketReadError 00f5 LoadResString 0135 SInvalidDataPacket 0147 _Dn_Exception 01c8 _DV_TDataBlock 01cd TDataBlock.Create 01e3 @IntfCast 02b0 TSocketTransport.InterceptIncoming 02c8 @LStrClr 02ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 33 C0 89 85 E0 FE FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 8D 95 E4 FE FF FF 8B 45 0C 8B 40 1C 8B 40 04 E8 ?? ?? ?? ?? 80 7D 10 00 75 1E B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 33 D2 89 10 8B 45 EC C7 40 04 F4 01 00 00 8B 45 EC 50 6A 00 6A 00 8D 85 E4 FE FF FF 50 6A 00 E8 ?? ?? ?? ?? 89 45 E8 83 7D EC 00 74 08 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 FF 75 27 E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 E7 01 00 00 8D 55 F8 8B 45 0C 8B 40 1C B9 04 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 04 74 27 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 25 00 DA 00 00 3D 00 DA 00 00 74 36 8B 45 F8 25 00 DB 00 00 3D 00 DB 00 00 74 27 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 0C 8B 40 1C B9 04 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 27 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 04 74 27 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 08 8B 00 50 8B 00 FF 50 18 8B 45 F8 50 8B 45 08 8B 00 50 8B 00 FF 50 20 8B 45 08 8B 00 50 8B 00 FF 50 10 89 45 F0 8B 45 08 8B 00 50 8B 00 FF 50 0C 01 45 F0 83 7D F4 00 7E 53 8B 55 F0 8B 45 0C 8B 40 1C 8B 4D F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 27 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 29 45 F4 8B 45 FC 01 45 F0 83 7D F4 00 7F AD 83 7D F4 00 74 27 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 12 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C2 0C 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_16985_0 {
	meta:
		name = "TSocketTransport.Send"
		size = 72
		refs = "000c TSocketTransport.InterceptOutgoing 003e TCustomWinSocket.SendBuf"
	strings:
		$1 = { 55 8B EC 51 53 8B 55 0C 8B 45 08 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 00 FF 50 10 89 45 FC 8B 45 0C 50 8B 00 FF 50 14 8B D8 8B 45 0C 50 8B 00 FF 50 0C 03 D8 8B CB 8B 55 FC 8B 45 08 8B 40 1C E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16986_0 {
	meta:
		name = "TSocketTransport.CheckInterceptor"
		size = 212
		refs = "0015 TSocketTransport.CheckInterceptor 0059 StringToGUID 0064 CreateComObject 0077 @IntfCast 0086 @HandleAnyException 008b @DoneExcept 00ab @IntfClear 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 24 00 75 67 8B 45 FC 83 78 20 00 74 5E 8B 45 FC 80 78 28 00 75 55 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 28 01 8D 55 E8 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 83 C0 24 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 78 24 00 0F 95 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 6B 77 49 B2 29 E4 D1 11 AA A4 00 C0 4F A3 5C FA }
	condition:
		$1
}

rule function_16987_0 {
	meta:
		name = "TSocketTransport.InterceptIncoming"
		size = 44
		refs = "0010 TSocketTransport.CheckInterceptor"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 F8 50 8B 45 FC 8B 40 24 50 8B 00 FF 50 0C 59 59 5D C3 }
	condition:
		$1
}

rule function_16988_0 {
	meta:
		name = "TSocketTransport.InterceptOutgoing"
		size = 44
		refs = "0010 TSocketTransport.CheckInterceptor"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 F8 50 8B 45 FC 8B 40 24 50 8B 00 FF 50 10 59 59 5D C3 }
	condition:
		$1
}

rule function_16989_0 {
	meta:
		name = "TSocketConnection.Create"
		size = 84
		refs = "000e @ClassCreate 0024 TStreamedConnection.Create 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 A4 00 00 00 D3 00 00 00 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_16990_0 {
	meta:
		name = "TSocketConnection.IsAddressStored"
		size = 46
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 74 00 75 0C 8B 45 FC 83 B8 9C 00 00 00 00 75 04 33 C0 EB 02 B0 01 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_16991_0 {
	meta:
		name = "TSocketConnection.SetAddress"
		size = 102
		refs = "0010 @LStrAddRef 0018 TSocketConnection.SetAddress 0031 @LStrClr 0041 @LStrAsg 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 0D 8B 45 FC 05 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_16992_0 {
	meta:
		name = "TSocketConnection.IsHostStored"
		size = 46
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 74 00 75 0C 8B 45 FC 83 B8 A0 00 00 00 00 75 04 33 C0 EB 02 B0 01 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_16993_0 {
	meta:
		name = "TSocketConnection.SetHost"
		size = 102
		refs = "0010 @LStrAddRef 0018 TSocketConnection.SetHost 0031 @LStrClr 0041 @LStrAsg 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 0D 8B 45 FC 05 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_16994_0 {
	meta:
		name = "TSocketConnection.CreateTransport"
		size = 148
		refs = "000f _DV_TSocketTransport 0014 TObject.Create 002b @LStrAsg 0074 TSocketConnection.CreateTransport 0079 @IntfCast"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 C0 10 8B 55 FC 8B 92 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 0C 8B 55 FC 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 00 00 00 8B 55 F4 89 42 14 8B 45 F4 83 C0 20 8B 55 FC 8B 92 A8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 00 C1 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_16995_0 {
	meta:
		name = "TSocketConnection.DoConnect"
		size = 461
		refs = "0018 TSocketConnection.DoConnect 004e TDispatchConnection.GetServerGUID 005f TDispatchConnection.GetServerCLSID 00c4 @LStrLen 0105 TSocketConnection.SetHost 012d TSocketConnection.SetAddress 0135 TStreamedConnection.DoConnect 0154 @HandleAnyException 0171 @LStrClr 0183 @DoneExcept 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 74 00 0F 84 6A 01 00 00 8B 45 FC 83 B8 9C 00 00 00 00 75 4F 8B 45 FC 83 B8 A0 00 00 00 00 75 43 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 83 7D E8 00 74 1E 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D8 8D 4D F8 8B 45 FC 8B 40 74 8B 18 FF 53 34 EB 14 8D 4D F8 8B 45 FC 8D 50 5C 8B 45 FC 8B 40 74 8B 18 FF 53 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 74 8B 55 F8 8B 08 FF 51 3C 89 45 F4 83 7D F4 00 7E 0C 8B 45 FC 8B 55 F4 89 90 A4 00 00 00 33 C0 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 47 89 45 EC C7 45 F0 01 00 00 00 8B 45 F8 8B 55 F0 8A 44 10 FF 2C 2E 74 27 04 FE 2C 0A 72 21 8B 45 F8 8B 55 F0 80 7C 10 FF 2E 0F 94 C0 83 E0 7F 01 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 08 FF 45 F0 FF 4D EC 75 C3 83 7D F4 03 74 0D 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 74 B1 01 8B 55 F8 8B 18 FF 53 30 33 C0 5A 59 59 64 89 10 EB 34 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 74 33 C9 8B 55 F8 8B 18 FF 53 30 8B 45 FC 05 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 84 C0 0F 84 98 FE FF FF EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17000_0 {
	meta:
		name = "TSeriesPointer.Create"
		size = 141
		refs = "000f @ClassCreate 001f TObject.Create 0048 TChartSeries.CreateChartPen 0052 _Dn_TChartBrush 0057 TChartBrush.Create 0077 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 14 C6 43 10 01 C6 43 24 01 C7 43 0C 04 00 00 00 C7 43 20 04 00 00 00 C6 43 04 01 C6 43 1C 00 8B 43 14 E8 ?? ?? ?? ?? 89 43 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 89 77 08 8B 06 8B 80 2C 01 00 00 89 47 04 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17001_0 {
	meta:
		name = "TSeriesPointer.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 TPersistent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17002_0 {
	meta:
		name = "TSeriesPointer.ChangeStyle"
		size = 4
	strings:
		$1 = { 88 50 1C C3 }
	condition:
		$1
}

rule function_17004_0 {
	meta:
		name = "TSeriesPointer.ChangeVertSize"
		size = 4
	strings:
		$1 = { 89 50 20 C3 }
	condition:
		$1
}

rule function_17005_0 {
	meta:
		name = "TSeriesPointer.SetIntegerProperty"
		size = 9
		refs = "0004 TChartSeries.SetIntegerProperty"
	strings:
		$1 = { 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17006_0 {
	meta:
		name = "TSeriesPointer.SetBooleanProperty"
		size = 9
		refs = "0004 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17007_0 {
	meta:
		name = "TSeriesPointer.CheckPointerSize"
		size = 87
		refs = "0009 TSeriesPointer.CheckPointerSize 001a TeeMsg_CheckPointerSize 001f LoadResString 0029 _Dn_ChartException 002e Exception.Create 0033 @RaiseExcept 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4A 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_17008_0 {
	meta:
		name = "TSeriesPointer.SetHorizSize"
		size = 30
		refs = "000b TSeriesPointer.CheckPointerSize 0017 TSeriesPointer.SetIntegerProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 53 0C 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17009_0 {
	meta:
		name = "TSeriesPointer.SetInflateMargins"
		size = 11
		refs = "0006 TSeriesPointer.SetBooleanProperty"
	strings:
		$1 = { 8D 48 10 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17010_0 {
	meta:
		name = "TSeriesPointer.SetVertSize"
		size = 30
		refs = "000b TSeriesPointer.CheckPointerSize 0017 TSeriesPointer.SetIntegerProperty"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 53 20 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17011_0 {
	meta:
		name = "TSeriesPointer.SetPen"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_17013_0 {
	meta:
		name = "TSeriesPointer.SetDraw3D"
		size = 11
		refs = "0006 TSeriesPointer.SetBooleanProperty"
	strings:
		$1 = { 8D 48 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17015_0 {
	meta:
		name = "TSeriesPointer.CalcHorizMargins"
		size = 51
		refs = "001c MaxLong"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 24 00 74 20 80 7B 10 00 74 1A 8B 53 0C 42 8B 06 E8 ?? ?? ?? ?? 89 06 8B 53 0C 42 8B 07 E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17016_0 {
	meta:
		name = "TSeriesPointer.CalcVerticalMargins"
		size = 51
		refs = "001c MaxLong"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 24 00 74 20 80 7B 10 00 74 1A 8B 53 20 42 8B 06 E8 ?? ?? ?? ?? 89 06 8B 53 20 42 8B 07 E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17017_0 {
	meta:
		name = "TSeriesPointer.SetVisible"
		size = 11
		refs = "0006 TSeriesPointer.SetBooleanProperty"
	strings:
		$1 = { 8D 48 24 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19166_0 {
	meta:
		name = "TChartSeries.SetActive"
		size = 11
		refs = "0006 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 24 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17018_0 {
	meta:
		name = "TSeriesPointer.SetStyle"
		size = 17
		refs = "000c TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 1C 74 0B 88 50 1C 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17019_0 {
	meta:
		name = "TSeriesPointer.PrepareCanvas"
		size = 104
		refs = "001a TTeeCanvas.AssignVisiblePen 002a TPen.GetColor 003b TPen.SetColor 004e TBrush.GetColor 005f TBrush.SetColor"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 14 8B 40 54 8B B0 5C 02 00 00 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B 7B 18 80 7F 18 00 74 18 8B C7 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0A 8B D5 8B 46 0C E8 ?? ?? ?? ?? 8B 53 08 8B 46 10 8B 08 FF 51 08 8B 46 10 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0A 8B D5 8B 46 10 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17020_0 {
	meta:
		name = "DrawDiagonalCross"
		size = 220
		refs = "0022 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 58 14 8B 43 54 8B B0 5C 02 00 00 8B 45 08 8B 50 0C 8B 46 0C E8 ?? ?? ?? ?? 8B 45 08 80 78 FB 00 74 5C 8B 45 08 8B 40 EC 40 50 8B 45 08 8B 40 E8 40 50 8B 83 D4 00 00 00 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C6 8B 38 FF 97 E4 00 00 00 8B 45 08 8B 40 F4 48 50 8B 45 08 8B 40 E8 40 50 8B 83 D4 00 00 00 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 EC 8B C6 8B 18 FF 93 E4 00 00 00 EB 4C 8B 45 08 8B 40 EC 40 50 8B 45 08 8B 40 E8 40 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C6 8B 18 FF 93 84 00 00 00 8B 45 08 8B 40 F4 48 50 8B 45 08 8B 40 E8 40 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 EC 8B C6 8B 18 FF 93 84 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_17021_0 {
	meta:
		name = "DrawCross"
		size = 182
		refs = "0022 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 70 14 8B 46 54 8B 98 5C 02 00 00 8B 45 08 8B 50 0C 8B 43 0C E8 ?? ?? ?? ?? 8B 45 08 80 78 FB 00 74 4C 8B 45 08 8B 40 E8 40 50 8B 86 D4 00 00 00 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 E4 8B C3 8B 38 FF 97 D0 00 00 00 8B 45 08 8B 40 18 50 8B 86 D4 00 00 00 50 8B 45 08 8B 48 EC 41 8B 45 08 8B 50 F4 8B C3 8B 18 FF 93 CC 00 00 00 EB 36 8B 45 08 8B 40 E8 40 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 E4 8B C3 8B 30 FF 56 74 8B 45 08 8B 40 18 50 8B 45 08 8B 48 EC 41 8B 45 08 8B 50 F4 8B C3 8B 18 FF 53 6C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_17022_0 {
	meta:
		name = "DoTriangle3D"
		size = 212
		refs = "007f Point"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F8 8B 45 08 8B 40 FC 8B 70 14 8B 46 54 8B 80 5C 02 00 00 89 45 FC 8B 45 08 8B 40 FC 80 78 04 00 74 41 8B 45 08 8B 40 18 2B C7 50 8B 45 08 8B 40 EC 50 8B 45 08 03 78 18 57 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8B 45 08 8A 40 E3 50 8B 45 08 8B 48 F4 B2 01 8B 45 FC 8B 18 FF 93 00 01 00 00 EB 60 8D 4D F4 8B 45 08 8B 50 18 2B D7 8B 45 08 8B 40 E4 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 86 D4 00 00 00 50 8D 4D EC 8B 45 08 8B 50 18 03 D7 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D E4 8B 45 08 8B 50 18 03 D7 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 59 8B 18 FF 93 18 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17023_0 {
	meta:
		name = "TSeriesPointer.DrawPointer"
		size = 1031
		refs = "0043 _DV_TCustomSeries 0048 @IsClass 0089 TSeriesPointer.DrawPointer 00fd Rect 0141 DoTriangle3D 015d DrawCross 0169 DrawDiagonalCross 0190 Point"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 89 4D E4 88 55 FB 89 45 FC 8B 75 10 8B 45 14 8B 55 E4 2B D0 89 55 F4 03 45 E4 89 45 EC 8B 45 18 2B C6 89 45 F0 8B 45 18 03 C6 89 45 E8 8B 45 FC 8B 58 14 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8A 83 ED 00 00 00 88 45 E3 EB 04 C6 45 E3 01 8B 45 FC 8B 58 14 8B 43 54 8B B8 5C 02 00 00 80 7D FB 00 0F 84 8C 01 00 00 33 C0 8A 45 08 83 F8 08 0F 87 78 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 80 78 04 00 74 2F 8B 45 F0 50 8B 45 E8 50 8B 83 D4 00 00 00 50 8B 83 DC 00 00 00 50 8A 45 E3 50 8B 4D EC 8B 55 F4 8B C7 8B 18 FF 93 C4 00 00 00 E9 15 03 00 00 8B 45 E8 40 50 8D 45 D0 50 8B 4D EC 41 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D0 8B 8B D4 00 00 00 8B C7 8B 18 FF 93 04 01 00 00 E9 E5 02 00 00 8B 45 EC 50 8B 45 E8 50 8B 83 D4 00 00 00 50 8B 4D F0 8B 55 F4 8B C7 8B 18 FF 93 D8 00 00 00 E9 C1 02 00 00 55 8B C6 E8 ?? ?? ?? ?? 59 E9 B3 02 00 00 55 8B C6 F7 D8 E8 ?? ?? ?? ?? 59 E9 A3 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 97 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 8B 02 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 E9 78 02 00 00 8D 4D C8 8B 55 18 8B 45 EC E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C0 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 83 D4 00 00 00 50 8D 4D B8 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 B8 50 8D 4D B0 8B 55 18 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 B0 8B C7 59 8B 18 FF 93 F8 00 00 00 E9 1A 02 00 00 8B 83 D4 00 00 00 50 8B 45 0C 50 8B 4D 18 8B 55 E4 8B C7 8B 18 FF 93 94 00 00 00 E9 FA 01 00 00 33 C0 8A 45 08 83 F8 08 0F 87 EC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 EC 40 50 8B 45 E8 40 50 8B 4D F0 8B 55 F4 8B C7 8B 18 FF 53 50 E9 A5 01 00 00 8B 45 EC 50 8B 45 E8 50 8B 4D F0 8B 55 F4 8B C7 8B 18 FF 53 38 E9 8B 01 00 00 8D 4D C8 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 89 45 98 8B 45 CC 89 45 9C 8D 4D C0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C0 89 45 A0 8B 45 C4 89 45 A4 8D 4D B8 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 B8 89 45 A8 8B 45 BC 89 45 AC 8D 55 98 B9 02 00 00 00 8B C7 8B 18 FF 93 88 00 00 00 E9 26 01 00 00 8D 4D C8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 89 45 98 8B 45 CC 89 45 9C 8D 4D C0 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C0 89 45 A0 8B 45 C4 89 45 A4 8D 4D B8 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 B8 89 45 A8 8B 45 BC 89 45 AC 8D 55 98 B9 02 00 00 00 8B C7 8B 18 FF 93 88 00 00 00 E9 C1 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 B5 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 A9 00 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 E9 96 00 00 00 8D 4D C8 8B 55 18 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 89 85 78 FF FF FF 8B 45 CC 89 85 7C FF FF FF 8D 4D C0 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 C0 89 45 80 8B 45 C4 89 45 84 8D 4D B8 8B 55 18 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B8 89 45 88 8B 45 BC 89 45 8C 8D 4D B0 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 B0 89 45 90 8B 45 B4 89 45 94 8D 95 78 FF FF FF B9 03 00 00 00 8B C7 8B 18 FF 93 88 00 00 00 EB 11 8B 45 0C 50 8B 4D 18 8B 55 E4 8B C7 8B 18 FF 53 24 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_17024_0 {
	meta:
		name = "TSeriesPointer.Draw"
		size = 43
		refs = "0023 TSeriesPointer.DrawPointer"
	strings:
		$1 = { 55 8B EC 51 8B 48 0C 51 8B 48 20 51 8B 4D 0C 51 8A 4D 08 51 8B 48 14 8B 49 54 8A 89 4C 02 00 00 87 CA E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_17025_0 {
	meta:
		name = "TSeriesPointer.Assign"
		size = 99
		refs = "000b _DV_TSeriesPointer 0010 @IsClass 005b TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B FE 8B 47 0C 89 43 0C 8B 47 20 89 43 20 8A 47 04 88 43 04 8A 47 1C 88 43 1C 8B 57 18 8B 43 18 8B 08 FF 51 08 8B 57 08 8B 43 08 8B 08 FF 51 08 8A 47 24 88 43 24 8A 47 10 88 43 10 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17026_0 {
	meta:
		name = "TSeriesPointer.DrawLegendShape"
		size = 171
		refs = "0016 TSeriesPointer.PrepareCanvas 0074 MinLong 009e TSeriesPointer.DrawPointer"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 80 7D 08 00 74 22 8B 43 08 2B 03 B9 03 00 00 00 99 F7 F9 8B F8 8B 43 0C 2B 43 04 B9 03 00 00 00 99 F7 F9 89 45 F8 EB 1E 8B 7B 08 2B 3B D1 FF 79 03 83 D7 00 47 8B 43 0C 2B 43 04 D1 F8 79 03 83 D0 00 40 89 45 F8 8B 43 04 03 43 0C D1 F8 79 03 83 D0 00 50 8B D7 8B 46 0C E8 ?? ?? ?? ?? 50 8B 55 F8 8B 46 20 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8A 46 1C 50 8B 0B 03 4B 08 D1 F9 79 03 83 D1 00 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17027_0 {
	meta:
		name = "TCustomSeries.Create"
		size = 130
		refs = "000a @ClassCreate 0017 TChartSeries.Create 002e _DV_TSeriesPointer 0033 TSeriesPointer.Create 0040 TChartSeries.CreateChartPen 006f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 EC 00 00 00 01 C6 86 D1 00 00 00 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F8 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 E8 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 F4 00 00 00 C7 86 E4 00 00 00 00 00 00 80 C6 86 ED 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17028_0 {
	meta:
		name = "TCustomSeries.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0034 TChartSeries.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F4 00 00 00 E8 ?? ?? ?? ?? 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17029_0 {
	meta:
		name = "TCustomSeries.DrawMark"
		size = 49
		refs = "0026 TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B 75 08 8B 48 50 8B 98 D4 00 00 00 89 59 2C 8B 59 08 29 5E 20 29 5E 10 56 8B 4D FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17030_0 {
	meta:
		name = "TCustomSeries.ClickedPointer"
		size = 56
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B C1 2B 45 0C 99 33 C2 2B C2 8B B3 F8 00 00 00 3B 46 0C 7D 10 8B 45 10 2B 45 08 99 33 C2 2B C2 3B 46 20 7C 04 33 C0 EB 02 B0 01 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_17031_0 {
	meta:
		name = "TCustomSeries.Assign"
		size = 202
		refs = "000b _DV_TCustomSeries 0010 @IsClass 00c2 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 8B FE 8A 87 FC 00 00 00 88 83 FC 00 00 00 8A 87 F0 00 00 00 88 83 F0 00 00 00 8A 87 EE 00 00 00 88 83 EE 00 00 00 8A 87 EF 00 00 00 88 83 EF 00 00 00 8B 97 F8 00 00 00 8B 83 F8 00 00 00 8B 08 FF 51 08 8B 97 E8 00 00 00 8B 83 E8 00 00 00 8B 08 FF 51 08 8B 97 F4 00 00 00 8B 83 F4 00 00 00 8B 08 FF 51 08 8B 87 E4 00 00 00 89 83 E4 00 00 00 8A 87 F1 00 00 00 88 83 F1 00 00 00 8A 87 E0 00 00 00 88 83 E0 00 00 00 8A 87 EC 00 00 00 88 83 EC 00 00 00 8A 87 ED 00 00 00 88 83 ED 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17032_0 {
	meta:
		name = "CheckPointInLine"
		size = 244
		refs = "002d Point 00c4 PointInPolygon 00eb PointInLine"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8B 45 08 8B 40 FC 8B 58 54 80 BB 4C 02 00 00 00 0F 84 AD 00 00 00 8D 4D D8 8B 45 08 8B 50 EC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 8B 45 DC 89 45 E4 8D 4D D0 8B 45 08 8B 50 EC 2B 93 E8 02 00 00 8B 45 08 8B 40 F0 03 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E8 8B 45 D4 89 45 EC 8D 4D C8 8B 45 08 8B 50 E4 2B 93 E8 02 00 00 8B 45 08 8B 40 E8 03 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 F0 8B 45 CC 89 45 F4 8D 4D C0 8B 45 08 8B 50 E4 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8B 45 C0 89 45 F8 8B 45 C4 89 45 FC 8D 55 E0 8B 45 08 83 C0 F4 B9 03 00 00 00 E8 ?? ?? ?? ?? EB 25 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 E4 50 8B 45 08 8B 48 EC 8B 45 08 8B 50 F0 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17033_0 {
	meta:
		name = "TCustomSeries.Clicked"
		size = 536
		refs = "001c TChartSeries.Clicked 0130 CheckPointInLine 0157 Point 01da PointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 89 4D DC 89 55 E0 89 45 FC 8B 4D DC 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 E8 33 C0 89 45 E4 8B 45 FC 33 D2 89 90 14 01 00 00 83 FE FF 0F 85 CF 01 00 00 8B 45 FC 8B 40 40 83 F8 FF 0F 8E C0 01 00 00 8B 55 FC 83 7A 48 FF 0F 8E B3 01 00 00 8B 55 E0 89 55 F4 8B 55 DC 89 55 F8 8B D8 8B 45 FC 8B 40 48 2B C3 0F 8C 97 01 00 00 40 89 45 D8 8B D3 8B 45 FC 8B 08 FF 91 D0 00 00 00 89 45 F0 8B D3 8B 45 FC 8B 08 FF 91 D4 00 00 00 89 45 EC 8B 45 FC 8B 80 F8 00 00 00 80 78 24 00 74 50 8B 45 EC 50 8B 45 E0 50 8B 45 DC 50 8B 4D F0 8B D3 8B 45 FC 8B 38 FF 97 34 01 00 00 84 C0 74 30 8B 45 FC 66 83 B8 02 01 00 00 00 74 1C 8B 45 E0 50 8B 45 DC 50 8B 75 FC 8B CB 8B 55 FC 8B 86 04 01 00 00 FF 96 00 01 00 00 8B F3 E9 14 01 00 00 8B 45 F0 3B 45 E0 75 0F 8B 45 EC 3B 45 DC 75 07 8B F3 E9 FD 00 00 00 8B 45 FC 3B 58 40 0F 8E C9 00 00 00 8B 45 FC 80 B8 EC 00 00 00 00 0F 84 B9 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 85 A5 00 00 00 8B 45 FC 80 B8 EE 00 00 00 00 0F 84 9A 00 00 00 8D 4D B0 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 B0 89 45 B8 8B 45 B4 89 45 BC 8D 4D A8 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A8 89 45 C0 8B 45 AC 89 45 C4 8B D3 8B 45 FC 8B 08 FF 91 3C 01 00 00 8B D0 8D 4D A0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 C8 8B 45 A4 89 45 CC 8B D3 4A 8B 45 FC 8B 08 FF 91 3C 01 00 00 8B D0 8D 4D 98 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 98 89 45 D0 8B 45 9C 89 45 D4 8D 55 B8 8D 45 F4 B9 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 05 8B F3 4E EB 28 8B 45 F0 89 45 E8 8B 45 EC 89 45 E4 8B 45 FC 8B 80 10 01 00 00 8B 55 FC 89 82 14 01 00 00 43 FF 4D D8 0F 85 6D FE FF FF 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17034_0 {
	meta:
		name = "TCustomSeries.SetDrawArea"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 EE 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17035_0 {
	meta:
		name = "TCustomSeries.SetPointer"
		size = 12
	strings:
		$1 = { 8B 80 F8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_17036_0 {
	meta:
		name = "TCustomBarSeries.SetBarPen"
		size = 12
		altNames = "TCustomSeries.SetAreaLinesPen"
	strings:
		$1 = { 8B 80 E8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_17037_0 {
	meta:
		name = "TCustomSeries.SetLinePen"
		size = 12
	strings:
		$1 = { 8B 80 F4 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_17038_0 {
	meta:
		name = "TCustomSeries.SetStairs"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 FC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17039_0 {
	meta:
		name = "TCustomSeries.SetInvertedStairs"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 F0 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17040_0 {
	meta:
		name = "TCustomSeries.SetAreaColor"
		size = 14
		refs = "0009 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 88 E4 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17041_0 {
	meta:
		name = "TChartSeries.SetBooleanProperty"
		size = 12
		refs = "0007 TChartSeries.Repaint"
		altNames = "TCustomSeries.SetBrushProperty"
	strings:
		$1 = { 3A 0A 74 07 88 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17042_0 {
	meta:
		name = "TCustomSeries.SetAreaBrush"
		size = 14
		refs = "0009 TCustomSeries.SetBrushProperty"
	strings:
		$1 = { 8D 88 E0 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17111_0 {
	meta:
		name = "TCustomBarSeries.SetAutoMarkPosition"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 E0 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17043_0 {
	meta:
		name = "TCustomSeries.SetLineBrush"
		size = 14
		refs = "0009 TCustomSeries.SetBrushProperty"
	strings:
		$1 = { 8D 88 F1 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17044_0 {
	meta:
		name = "DrawLine"
		size = 122
		refs = "0022 TCustomSeries.LinePrepareCanvas"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 8B 40 54 8B 90 5C 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 54 8B 80 5C 02 00 00 84 DB 74 0E 8B 55 08 8B 52 F4 8B 08 FF 51 70 5B 5D C3 8B 55 08 8B 52 F4 8B 52 04 8B 4D 08 8B 49 F4 03 51 0C D1 FA 79 03 83 D2 00 52 8B 55 08 8B 4A F4 8B 49 08 8B 55 08 8B 52 F4 8B 12 8B 18 FF 53 6C 5B 5D C3 }
	condition:
		$1
}

rule function_17045_0 {
	meta:
		name = "TCustomSeries.DrawLegendShape"
		size = 178
		refs = "004b DrawLine 006d TSeriesPointer.DrawLegendShape 00a9 TChartSeries.DrawLegendShape"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 8B DA 89 45 FC 83 FB FF 75 0B 8B 45 FC 8B 40 28 89 45 F8 EB 0D 8B D3 8B 45 FC 8B 08 FF 51 60 89 45 F8 8B 45 FC 8B 80 F8 00 00 00 80 78 24 00 74 38 8B 45 FC 80 B8 EF 00 00 00 00 74 09 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 F4 00 00 00 8A 40 18 50 8B 4D F4 8B 45 FC 8B 80 F8 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? EB 3A 8B 45 FC 80 B8 EF 00 00 00 00 74 21 8B 45 FC 80 B8 EE 00 00 00 00 75 15 55 8B 45 FC 8B 40 54 8A 80 4C 02 00 00 E8 ?? ?? ?? ?? 59 EB 0D 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17046_0 {
	meta:
		name = "TCustomSeries.LinePrepareCanvas"
		size = 95
		refs = "0012 TTeeCanvas.AssignVisiblePen 001d TCustomTeePanel.CheckPenWidth 0037 TBrush.SetStyle 0041 TBrush.SetColor 0057 TPen.SetColor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 93 F4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 56 0C 8B 43 54 E8 ?? ?? ?? ?? 8B 43 54 80 B8 4C 02 00 00 00 74 1A 8A 93 F1 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B D7 8B 46 10 E8 ?? ?? ?? ?? EB 14 B2 01 8B 46 10 E8 ?? ?? ?? ?? 8B D7 8B 46 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17047_0 {
	meta:
		name = "TCustomSeries.GetAreaBrushColor"
		size = 28
	strings:
		$1 = { 80 78 2C 00 75 0C 81 B8 E4 00 00 00 00 00 00 80 75 03 8B C2 C3 8B 80 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_17048_0 {
	meta:
		name = "CalcYPosLeftRight"
		size = 176
		refs = "0048 CalcYPosLeftRight 009b TChartSeries.CalcYPosValue"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8B 45 10 8B 40 FC 8B D3 8B 08 FF 51 68 DD 5D F8 9B 8B 45 10 8B 40 FC 8B D3 8B 08 FF 51 6C DD 5D F0 9B 8B 45 10 8B 50 F8 8B 45 10 8B 40 FC 8B 08 FF 51 68 DC 65 F8 DD 5D E8 9B DD 45 E8 D8 1D ?? ?? ?? ?? DF E0 9E 75 12 8B 45 10 8B 40 FC 8B D3 8B 08 FF 91 D4 00 00 00 EB 3C 8B 45 10 8B 50 F8 8B 45 10 8B 40 FC 8B 08 FF 51 6C DC 65 F0 DD 45 08 DC 65 F8 DE C9 DC 75 E8 D9 05 ?? ?? ?? ?? DC 4D F0 DE C1 83 C4 F8 DD 1C 24 9B 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_17049_0 {
	meta:
		name = "InternalDrawArea"
		size = 357
		refs = "0029 TCustomTeePanel.SetBrushCanvas 00bb Rect 00ed Point"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 55 F8 88 45 FF 8B 5D 08 83 C3 FC 8B 03 8B 70 54 8B 03 8B 40 28 50 8A 4D FF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 80 BE 4C 02 00 00 00 74 42 8B 45 08 8B 40 F8 8B 13 3B 42 48 75 35 8B 03 8B 80 10 01 00 00 50 8B 03 8B 80 D4 00 00 00 50 8B 03 8B 80 DC 00 00 00 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 86 5C 02 00 00 8B 38 FF 97 0C 01 00 00 8B 03 80 B8 FC 00 00 00 00 74 5A 8B 03 80 B8 F0 00 00 00 00 74 08 8B 45 08 8B 78 F0 EB 08 8B 03 8B B8 1C 01 00 00 57 8D 45 E8 50 8B 45 08 8B 48 F4 41 8B 03 8B 90 10 01 00 00 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 03 8B 88 D4 00 00 00 8B 86 5C 02 00 00 8B 18 FF 93 04 01 00 00 E9 81 00 00 00 8D 4D E0 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 4D D8 8B 03 8B 90 10 01 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 03 8B 80 D4 00 00 00 50 8D 4D D0 8B 03 8B 90 1C 01 00 00 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D C8 8B 03 8B 90 14 01 00 00 8B 03 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 8D 55 C8 8B 86 5C 02 00 00 59 8B 18 FF 93 F8 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17050_0 {
	meta:
		name = "InternalDrawLine"
		size = 201
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 40 54 8B B0 5C 02 00 00 8B 45 08 8B 40 FC 80 B8 FC 00 00 00 00 74 72 8B 45 08 8B 40 FC 80 B8 F0 00 00 00 00 74 28 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 FC 8B 88 1C 01 00 00 8B 45 08 8B 40 FC 8B 90 18 01 00 00 8B C6 8B 18 FF 53 74 EB 26 8B 45 08 8B 40 FC 8B 80 1C 01 00 00 50 8B 45 08 8B 48 F4 8B 45 08 8B 40 FC 8B 90 18 01 00 00 8B C6 8B 18 FF 53 6C 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C6 8B 18 FF 53 44 EB 30 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 FC 8B 88 1C 01 00 00 8B 45 08 8B 40 FC 8B 90 18 01 00 00 8B C6 8B 18 FF 93 84 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_17051_0 {
	meta:
		name = "DrawPointerLastValue"
		size = 79
		refs = "0020 TSeriesPointer.PrepareCanvas"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 80 F8 00 00 00 80 78 24 00 74 36 8B 55 08 8B 52 EC 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 50 8B 45 08 8B 40 F8 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 18 FF 93 38 01 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_17052_0 {
	meta:
		name = "DrawPoint"
		size = 1072
		refs = "00a6 TCustomSeries.GetAreaBrushColor 00b0 TBrush.SetColor 00c3 TTeeCanvas.AssignVisiblePen 00df TCustomTeePanel.CheckPenWidth 00f3 TBrush.SetStyle 0248 DrawPoint 027c TBrush.GetColor 0282 DarkColorQuantity 0289 ApplyDark 0306 TPen.GetColor 032d TPen.SetColor 034c InternalDrawArea 037e TCustomSeries.LinePrepareCanvas 0387 InternalDrawLine 03bf TSeriesPointer.PrepareCanvas 0420 DrawPointerLastValue"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 88 45 FF 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 3B 82 18 01 00 00 75 18 8B 45 08 8B 40 F0 8B 55 08 8B 52 FC 3B 82 1C 01 00 00 0F 84 54 03 00 00 8B 45 08 81 78 EC FF FF FF 1F 0F 84 44 03 00 00 8B 45 08 8B 40 FC 8B 78 54 8B B7 5C 02 00 00 80 BF 4C 02 00 00 00 0F 84 5C 02 00 00 8B 45 08 8B 40 FC 80 B8 EE 00 00 00 00 75 26 8B 45 08 8B 40 FC 80 B8 EF 00 00 00 00 0F 84 3A 02 00 00 8B 45 08 8B 40 FC 80 B8 F1 00 00 00 01 0F 84 27 02 00 00 8B 45 08 8B 50 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 F4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 F4 00 00 00 80 78 18 00 74 0A 8B 56 0C 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8A 90 F1 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 89 45 F4 8B 45 08 8B 40 F0 89 45 F8 8B 45 08 8B 40 FC 8B 80 18 01 00 00 89 45 EC 8B 45 08 8B 40 FC 8B 80 1C 01 00 00 89 45 F0 8B 55 08 8B 52 FC 80 BA FC 00 00 00 00 0F 84 E7 00 00 00 8B 55 08 8B 52 FC 80 BA F0 00 00 00 00 74 6C 8B 55 08 8B 52 F0 52 8B 55 08 8B 52 FC 8B 92 D4 00 00 00 52 8B 55 08 8B 52 FC 8B 92 DC 00 00 00 52 8B C8 8B 55 EC 8B C6 8B 18 FF 93 0C 01 00 00 8B 45 08 8B 40 FC 8B 80 18 01 00 00 50 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 50 8B 45 08 8B 40 FC 8B 80 DC 00 00 00 50 8B 4D F8 8B 55 F4 8B C6 8B 18 FF 93 08 01 00 00 E9 0B 01 00 00 8B 55 08 8B 52 F4 52 8B 55 08 8B 52 FC 8B 92 D4 00 00 00 52 8B 55 08 8B 52 FC 8B 92 DC 00 00 00 52 8B C8 8B 55 EC 8B C6 8B 18 FF 93 08 01 00 00 8B 45 08 8B 40 FC 8B 80 1C 01 00 00 50 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 50 8B 45 08 8B 40 FC 8B 80 DC 00 00 00 50 8B 4D F8 8B 55 F4 8B C6 8B 18 FF 93 0C 01 00 00 E9 9F 00 00 00 8B 45 08 8B 40 FC 80 B8 ED 00 00 00 00 74 66 8B 55 F4 2B 55 EC 85 D2 74 5C 8B 45 08 8B 40 FC DD 80 24 01 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 45 8B 45 F0 2B 45 F8 89 45 E8 DB 45 E8 89 55 E4 DB 45 E4 DE F9 8B 45 08 8B 40 FC DC 98 24 01 00 00 DF E0 9E 76 20 8B 5E 10 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8A 12 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 50 8B 45 08 8B 40 FC 8B 80 DC 00 00 00 50 8D 4D EC 8D 55 F4 8B C6 8B 18 FF 93 F4 00 00 00 8B 45 08 8B 40 FC 80 B8 EE 00 00 00 00 0F 84 80 00 00 00 8B 45 08 8B 50 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 E8 00 00 00 8B 46 0C 8B 08 FF 51 08 8B 46 0C E8 ?? ?? ?? ?? 3D 00 00 00 80 74 12 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 80 78 18 00 75 0E 8B 45 08 8B 50 EC 8B 46 0C E8 ?? ?? ?? ?? 8B 45 08 50 8B 46 10 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8A 80 E0 00 00 00 E8 ?? ?? ?? ?? 59 EB 39 80 BF 4C 02 00 00 00 75 30 8B 45 08 8B 40 FC 80 B8 EF 00 00 00 00 74 21 8B 45 08 8B 48 EC 8B 45 08 8B 40 FC 8B 97 5C 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 F8 00 00 00 8A 50 24 22 55 FF 0F 84 81 00 00 00 8B 55 08 8B 52 FC 8B 92 20 01 00 00 81 FA FF FF FF 1F 74 46 8B 4D 08 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 20 01 00 00 50 8B 45 08 8B 40 F8 48 50 8B 45 08 8B 40 FC 8B 88 1C 01 00 00 8B 45 08 8B 40 FC 8B 90 18 01 00 00 8B 45 08 8B 40 FC 8B 18 FF 93 38 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 3B 42 48 75 16 8B 45 08 81 78 EC FF FF FF 1F 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_17053_0 {
	meta:
		name = "TCustomSeries.DrawValue"
		size = 632
		refs = "0083 TPen.SetColor 008e TBrush.SetColor 0179 TChartSeries.GetHorizAxis 01e6 TChartSeries.XScreenToValue 01f6 CalcYPosLeftRight 021b DrawPoint 022d DrawPointerLastValue"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F8 89 45 FC 8B 45 FC 8B 40 54 8B 98 5C 02 00 00 8B 55 F8 8B 45 FC 8B 08 FF 91 D0 00 00 00 89 45 F4 8B 55 F8 8B 45 FC 8B 08 FF 91 D4 00 00 00 89 45 F0 81 7D F4 01 80 FF FF 0F 8E 2B 02 00 00 81 7D F4 FF 7F 00 00 0F 8D 1E 02 00 00 81 7D F0 01 80 FF FF 0F 8E 11 02 00 00 81 7D F0 FF 7F 00 00 0F 8D 04 02 00 00 8B 55 F8 8B 45 FC 8B 08 FF 51 60 89 45 EC 33 D2 8B 43 0C E8 ?? ?? ?? ?? 8B 55 EC 8B 43 10 E8 ?? ?? ?? ?? 8B 45 FC 81 B8 20 01 00 00 FF FF FF 1F 75 18 8B 45 FC 8B 55 F4 89 90 18 01 00 00 8B 45 FC 8B 55 F0 89 90 1C 01 00 00 8B 55 F8 8B 45 FC 8B 08 FF 91 3C 01 00 00 8B 55 FC 89 82 10 01 00 00 8B 45 FC 8B 40 40 3B 45 F8 0F 85 55 01 00 00 8B 45 FC 80 B8 ED 00 00 00 00 74 3F 8B 45 FC 8B 40 54 8B 90 E4 02 00 00 85 D2 74 1A DB 80 E8 02 00 00 89 55 E8 DB 45 E8 DE F9 8B 45 FC DD 98 24 01 00 00 9B EB 15 8B 45 FC 33 D2 89 90 24 01 00 00 C7 80 28 01 00 00 00 00 F0 3F 83 7D F8 00 0F 8E EC 00 00 00 8B 45 FC 80 B8 EE 00 00 00 00 74 35 8B 55 F8 4A 8B 45 FC 8B 08 FF 91 D0 00 00 00 8B 55 FC 89 82 18 01 00 00 8B 55 F8 4A 8B 45 FC 8B 08 FF 91 D4 00 00 00 8B 55 FC 89 82 1C 01 00 00 E9 8F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 B8 85 00 00 00 00 74 17 8B 45 FC 8B 40 54 8B 80 68 02 00 00 8B 55 FC 89 82 18 01 00 00 EB 15 8B 45 FC 8B 40 54 8B 80 60 02 00 00 8B 55 FC 89 82 18 01 00 00 8B 45 FC 80 B8 FC 00 00 00 00 74 1A 8B 55 F8 4A 8B 45 FC 8B 08 FF 91 D4 00 00 00 8B 55 FC 89 82 1C 01 00 00 EB 2C 55 8B 45 FC 8B 90 18 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F8 48 E8 ?? ?? ?? ?? 59 8B 55 FC 89 82 1C 01 00 00 8B 55 F8 4A 8B 45 FC 8B 08 FF 51 60 3D FF FF FF 1F 74 09 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 48 3B 45 F8 75 12 55 E8 ?? ?? ?? ?? 59 EB 09 55 B0 01 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 55 F4 89 90 18 01 00 00 8B 45 FC 8B 55 F0 89 90 1C 01 00 00 8B 45 FC 8B 80 10 01 00 00 8B 55 FC 89 82 14 01 00 00 8B 45 FC 8B 55 EC 89 90 20 01 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17054_0 {
	meta:
		name = "TCustomSeries.DrawPointer"
		size = 82
		refs = "0047 TSeriesPointer.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 66 83 BB 0A 01 00 00 00 74 13 8B 4D 08 8B D3 8B 83 0C 01 00 00 FF 93 08 01 00 00 EB 09 8B 83 F8 00 00 00 8A 40 1C 8B 55 0C 52 50 8B 4D F8 8B 55 FC 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17055_0 {
	meta:
		name = "TCustomSeries.GetEditorClass"
		size = 48
		refs = "0006 TCustomSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 13 00 00 00 54 43 75 73 74 6F 6D 53 65 72 69 65 73 45 64 69 74 6F 72 00 }
	condition:
		$1
}

rule function_17056_0 {
	meta:
		name = "TCustomSeries.CalcHorizMargins"
		size = 39
		refs = "0010 TChartSeries.CalcHorizMargins 001f TSeriesPointer.CalcHorizMargins"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17057_0 {
	meta:
		name = "TCustomSeries.CalcVerticalMargins"
		size = 39
		refs = "0010 TChartSeries.CalcVerticalMargins 001f TSeriesPointer.CalcVerticalMargins"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17058_0 {
	meta:
		name = "TCustomSeries.GetOriginPos"
		size = 10
	strings:
		$1 = { 8B 40 54 8B 80 6C 02 00 00 C3 }
	condition:
		$1
}

rule function_17059_0 {
	meta:
		name = "TCustomSeries.SetDark3D"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 ED 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17060_0 {
	meta:
		name = "TLineSeries.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 0032 TSeriesPointer.SetVisible 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 EF 00 00 00 01 C6 86 D2 00 00 00 00 33 D2 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17061_0 {
	meta:
		name = "TLineSeries.PrepareLegendCanvas"
		size = 42
		refs = "0016 TTeeCanvas.AssignVisiblePen"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 54 8B 80 5C 02 00 00 8B 93 F4 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8A 93 F1 00 00 00 88 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17062_0 {
	meta:
		name = "TLineSeries.Assign"
		size = 39
		refs = "0006 TCustomSeries.Assign 0013 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? C6 83 EE 00 00 00 00 C6 83 EF 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_17063_0 {
	meta:
		name = "TPointSeries.Create"
		size = 90
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 0028 TSeriesMarks.SetArrowLength 003c TSeriesPointer.SetVisible 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 EF 00 00 00 00 33 D2 8B 46 50 E8 ?? ?? ?? ?? C6 86 EC 00 00 00 00 B2 01 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17064_0 {
	meta:
		name = "TPointSeries.Assign"
		size = 46
		refs = "0006 TCustomSeries.Assign 0013 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? C6 83 EE 00 00 00 00 C6 83 EF 00 00 00 00 C6 83 EC 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_17065_0 {
	meta:
		name = "TPointSeries.SetColorEachPoint"
		size = 41
		refs = "000b TChartSeries.SetColorEachPoint 0022 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 13 8B 86 F8 00 00 00 8B 40 08 BA 00 00 00 80 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17066_0 {
	meta:
		name = "TPointSeries.PrepareForGallery"
		size = 88
		refs = "0007 TChartSeries.PrepareForGallery 0017 TSeriesPointer.SetHorizSize 0027 TSeriesPointer.SetVertSize 0031 TCustomAxisPanel.SeriesCount 0040 TCustomAxisPanel.GetSeries 0051 TSeriesPointer.SetStyle"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 00 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? BA 06 00 00 00 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 8B 73 54 8B C6 E8 ?? ?? ?? ?? 48 7E 1D BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B D8 75 0D B2 02 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17067_0 {
	meta:
		name = "TAreaSeries.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 0032 TSeriesPointer.SetVisible 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 EE 00 00 00 01 C6 86 D2 00 00 00 00 33 D2 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? C6 86 2C 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17068_0 {
	meta:
		name = "TAreaSeries.PrepareLegendCanvas"
		size = 74
		refs = "0016 TBrush.GetColor 001f TCustomSeries.GetAreaBrushColor 0035 TTeeCanvas.AssignVisiblePen"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 43 54 8B 80 5C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 06 8B 43 54 8B 80 5C 02 00 00 8B 93 E8 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8A 93 E0 00 00 00 88 10 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17069_0 {
	meta:
		name = "TAreaSeries.Assign"
		size = 74
		refs = "000a _DV_TAreaSeries 000f @IsClass 0028 TCustomSeries.Assign 0043 TSeriesPointer.SetVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8A 86 2C 01 00 00 88 83 2C 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? C6 83 EE 00 00 00 01 C6 83 EF 00 00 00 01 33 D2 8B 83 F8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17070_0 {
	meta:
		name = "TAreaSeries.CalcZOrder"
		size = 31
		refs = "000a TChartSeries.CalcZOrder"
	strings:
		$1 = { 80 B8 2C 01 00 00 00 75 06 E8 ?? ?? ?? ?? C3 8B 50 54 8B 92 E0 02 00 00 89 90 CC 00 00 00 C3 }
	condition:
		$1
}

rule function_17071_0 {
	meta:
		name = "TAreaSeries.GetEditorClass"
		size = 48
		refs = "0006 TAreaSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 11 00 00 00 54 41 72 65 61 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 00 }
	condition:
		$1
}

rule function_17072_0 {
	meta:
		name = "TAreaSeries.SetOtherMultiArea"
		size = 89
		refs = "0012 TCustomAxisPanel.SeriesCount 0025 TCustomAxisPanel.GetSeries 002a TObject.ClassType 0033 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 43 54 85 C0 74 47 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 37 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C5 E8 ?? ?? ?? ?? 8A 93 2C 01 00 00 88 90 2C 01 00 00 46 4F 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17073_0 {
	meta:
		name = "TAreaSeries.SetMultiArea"
		size = 33
		refs = "0014 TAreaSeries.SetOtherMultiArea 001b TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 3A 93 2C 01 00 00 74 14 88 93 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17074_0 {
	meta:
		name = "TAreaSeries.InternalCalcStackedYPos"
		size = 140
		refs = "0034 TChartSeries.CalcYPosValue 0051 TAreaSeries.InternalCalcStackedYPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B D8 33 C9 8B D6 8B C3 8B 38 FF 97 EC 00 00 00 DC 45 08 DD 5D 08 9B 80 BB 2C 01 00 00 01 75 0F FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? EB 3E B1 01 8B D6 8B C3 8B 30 FF 96 EC 00 00 00 DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? DF E0 9E 74 1C DD 45 08 D8 0D ?? ?? ?? ?? DC 75 F8 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 59 59 5D C2 08 00 00 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_17075_0 {
	meta:
		name = "TAreaSeries.GetOriginPos"
		size = 25
		refs = "000a TCustomSeries.GetOriginPos 0014 TAreaSeries.InternalCalcStackedYPos"
	strings:
		$1 = { 80 B8 2C 01 00 00 00 75 06 E8 ?? ?? ?? ?? C3 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17076_0 {
	meta:
		name = "TAreaSeries.MaxYValue"
		size = 141
		refs = "0024 TChartSeries.MaxYValue 0038 TChartSeries.Count 0076 MaxDouble"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 80 BB 2C 01 00 00 02 75 0F 33 C0 89 04 24 C7 44 24 04 00 00 59 40 EB 61 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB 2C 01 00 00 01 75 4D 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3F 47 33 F6 FF 74 24 04 FF 74 24 04 33 C9 8B D6 8B C3 8B 28 FF 95 EC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 6C DC 44 24 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B 46 4F 75 C4 DD 04 24 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17077_0 {
	meta:
		name = "TAreaSeries.MinYValue"
		size = 38
		refs = "0018 TChartSeries.MinYValue"
	strings:
		$1 = { 83 C4 F8 80 B8 2C 01 00 00 02 75 0B 33 C0 89 04 24 89 44 24 04 EB 09 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_17078_0 {
	meta:
		name = "TAreaSeries.CalcYPos"
		size = 55
		refs = "0014 TChartSeries.CalcYPos 0030 TAreaSeries.InternalCalcStackedYPos"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 2C 01 00 00 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 8B 08 FF 51 6C 83 C4 F8 DD 1C 24 9B 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17079_0 {
	meta:
		name = "TCustomBarSeries.Create"
		size = 184
		refs = "000e @ClassCreate 001c TChartSeries.Create 0023 TChartSeries.CreateChartPen 0030 _Dn_TChartBrush 0035 TChartBrush.Create 007b TSeriesMarks.SetVisible 0088 TSeriesMarks.SetArrowLength 00a3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 E8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 00 00 00 89 5E 08 8B 03 8B 80 2C 01 00 00 89 46 04 C7 83 F0 00 00 00 46 00 00 00 C6 83 EC 00 00 00 00 C6 83 01 01 00 00 01 C6 83 F9 00 00 00 01 C6 83 E0 00 00 00 01 B2 01 8B 43 50 E8 ?? ?? ?? ?? BA 14 00 00 00 8B 43 50 E8 ?? ?? ?? ?? C6 83 F8 00 00 00 01 C6 83 00 01 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17080_0 {
	meta:
		name = "TCustomBarSeries.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TBrush.GetBitmap 0039 TChartSeries.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17081_0 {
	meta:
		name = "TCustomBarSeries.CalcZOrder"
		size = 152
		refs = "0011 TChartSeries.CalcZOrder 0025 TCustomAxisPanel.SeriesCount 0039 TCustomAxisPanel.GetSeries 0060 TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 8B D8 80 BB F9 00 00 00 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 7D C7 83 CC 00 00 00 FF FF FF FF 8B 43 54 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 54 47 33 F6 8B D6 8B 43 54 E8 ?? ?? ?? ?? 80 78 24 00 74 3D 8B D6 8B 43 54 E8 ?? ?? ?? ?? 3B D8 74 33 8B D6 8B 43 54 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 43 54 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 89 83 CC 00 00 00 EB 04 46 4F 75 AF 83 BB CC 00 00 00 FF 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17082_0 {
	meta:
		name = "TCustomBarSeries.NumSampleValues"
		size = 6
	strings:
		$1 = { B8 06 00 00 00 C3 }
	condition:
		$1
}

rule function_17083_0 {
	meta:
		name = "TCustomBarSeries.SetBarWidthPercent"
		size = 109
		refs = "0009 TCustomBarSeries.SetBarWidthPercent 0021 TeeMsg_BarWidthPercent 0026 LoadResString 0030 _DV_BarException 0035 Exception.Create 003a @RaiseExcept 0049 TChartSeries.SetIntegerProperty 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 FA 01 7C 05 83 FA 64 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 88 F0 00 00 00 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_17084_0 {
	meta:
		name = "TCustomBarSeries.SetOffsetPercent"
		size = 109
		refs = "0009 TCustomBarSeries.SetOffsetPercent 0021 TeeMsg_BarOffsetPercent 0026 LoadResString 0030 _DV_BarException 0035 Exception.Create 003a @RaiseExcept 0049 TChartSeries.SetIntegerProperty 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 FA 9C 7C 05 83 FA 64 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 88 FC 00 00 00 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_17085_0 {
	meta:
		name = "TCustomBarSeries.SetCustomBarSize"
		size = 14
		refs = "0009 TChartSeries.SetIntegerProperty"
	strings:
		$1 = { 8D 88 F4 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19614_0 {
	meta:
		name = "TChartShape.SetRoundRectangle"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 F4 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17086_0 {
	meta:
		name = "TCustomBarSeries.SetBarStyle"
		size = 20
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 3A 90 EC 00 00 00 74 0B 88 90 EC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17087_0 {
	meta:
		name = "TCustomBarSeries.BarOrderPos"
		size = 100
		refs = "0014 TCustomAxisPanel.SeriesCount 0027 TCustomAxisPanel.GetSeries 004c TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 51 8B E8 C7 04 24 01 00 00 00 8B 7D 54 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 24 00 74 26 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 74 1D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 74 03 FF 04 24 43 4E 75 C7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17089_0 {
	meta:
		name = "TCustomBarSeries.CalcBarWidth"
		size = 320
		refs = "0028 TChartSeries.Count 004f TCustomAxisPanel.SeriesCount 0064 TCustomAxisPanel.GetSeries 007c TChartSeries.SameClass 00f1 TCustomBarSeries.CalcBarWidth 00fa @ROUND 00ff @_lldiv"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D8 8B 83 F4 00 00 00 85 C0 74 0B 89 83 14 01 00 00 E9 0D 01 00 00 C7 04 24 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 54 85 C0 0F 84 88 00 00 00 8B F8 80 BB F9 00 00 00 01 75 71 33 C0 89 04 24 83 CE FF 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 5D 40 89 44 24 04 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 80 78 24 00 74 40 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A FF 04 24 83 FE FF 74 12 8B D5 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 7D 10 8B D5 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 45 FF 4C 24 04 75 AA 8B 87 D8 02 00 00 85 C0 7E 02 8B F0 85 F6 7E 5E 80 BB 00 01 00 00 00 74 01 46 8B 04 24 99 52 50 8B D6 8B C3 8B 08 FF 91 38 01 00 00 89 44 24 10 DB 44 24 10 DB 83 F0 00 00 00 DB 2D ?? ?? ?? ?? DE C9 DE C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB 14 01 00 00 81 E7 01 00 00 80 79 05 4F 83 CF FE 47 4F 75 10 FF 83 14 01 00 00 EB 08 33 C0 89 83 14 01 00 00 83 C4 0C 5D 5F 5E 5B C3 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_17090_0 {
	meta:
		name = "TCustomBarSeries.CalcMarkLength"
		size = 97
		refs = "000a TChartSeries.Count 004f TPen.GetWidth"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 47 8B 43 50 80 78 28 00 74 3E 8B 43 50 8B 50 18 8B 43 54 8B 08 FF 91 C8 00 00 00 8B D6 8B C3 8B 08 FF 91 34 01 00 00 8B 53 50 03 42 08 8B F0 8B 43 50 8B 78 14 80 7F 18 00 74 0F 8B C7 E8 ?? ?? ?? ?? 03 C0 03 F0 EB 02 33 F6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17091_0 {
	meta:
		name = "TCustomBarSeries.SetUseYOrigin"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 01 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17092_0 {
	meta:
		name = "TCustomBarSeries.SetSideMargins"
		size = 113
		refs = "0012 TChartSeries.SetBooleanProperty 0022 TCustomAxisPanel.SeriesCount 0035 TCustomAxisPanel.GetSeries 004b TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8D 83 00 01 00 00 8B CA 8B D3 92 E8 ?? ?? ?? ?? 8B 43 54 85 C0 74 4F 8B F8 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 3F 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B D8 74 2B 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C7 E8 ?? ?? ?? ?? 8A 93 00 01 00 00 88 90 00 01 00 00 46 4D 75 C4 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17093_0 {
	meta:
		name = "TCustomBarSeries.SetDark3d"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 F8 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17166_0 {
	meta:
		name = "TCircledSeries.SetCircleBackColor"
		size = 14
		refs = "0009 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 88 F8 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17094_0 {
	meta:
		name = "TCustomBarSeries.PrepareForGallery"
		size = 33
		refs = "0006 TChartSeries.PrepareForGallery 0012 TCustomBarSeries.SetBarWidthPercent 001b TCustomBarSeries.SetMultiBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 55 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17095_0 {
	meta:
		name = "TCustomBarSeries.SetYOrigin"
		size = 24
		refs = "0010 TChartSeries.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 90 04 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_17096_0 {
	meta:
		name = "TCustomBarSeries.BarSeriesCount"
		size = 103
		refs = "001b TCustomAxisPanel.SeriesCount 002e TCustomAxisPanel.GetSeries 0046 TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 51 8B E8 80 BD F9 00 00 00 01 75 47 33 C0 89 04 24 8B 75 54 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 38 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 24 00 74 19 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 74 03 FF 04 24 43 4F 75 D4 EB 07 C7 04 24 01 00 00 00 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17097_0 {
	meta:
		name = "TCustomBarSeries.Clicked"
		size = 120
		refs = "0014 TChartSeries.Clicked 0036 Point 0048 TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 FF 75 4C 83 7B 40 FF 7E 46 83 7B 48 FF 7E 40 8D 4C 24 04 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 73 40 8B 7B 48 2B FE 7C 29 47 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 19 8D 4C 24 04 8B D6 8B C3 8B 28 FF 95 3C 01 00 00 84 C0 74 05 89 34 24 EB 04 46 4F 75 D8 8B 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17098_0 {
	meta:
		name = "TCustomBarSeries.SetOtherMultiBar"
		size = 84
		refs = "0012 TCustomAxisPanel.SeriesCount 0025 TCustomAxisPanel.GetSeries 002e TChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 43 54 85 C0 74 42 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 32 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C5 E8 ?? ?? ?? ?? 8A 93 F9 00 00 00 88 90 F9 00 00 00 46 4F 75 D1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17099_0 {
	meta:
		name = "TCustomBarSeries.SetMultiBar"
		size = 33
		refs = "0014 TCustomBarSeries.SetOtherMultiBar 001b TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 3A 93 F9 00 00 00 74 14 88 93 F9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17100_0 {
	meta:
		name = "TCustomBarSeries.InternalGetOriginPos"
		size = 176
		refs = "003b TChartSeries.CalcPosValue 0058 TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B F2 8B D8 33 C9 8B D6 8B C3 8B 28 FF 95 EC 00 00 00 DD 5C 24 08 9B 8A 83 F9 00 00 00 2C 02 74 06 FE C8 74 13 EB 52 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 5D B1 01 8B D6 8B C3 8B 30 FF 96 EC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 20 33 C0 EB 1C 80 BB 01 01 00 00 00 74 11 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 02 8B C7 83 C4 10 5D 5F 5E 5B C3 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_17101_0 {
	meta:
		name = "TCustomBarSeries.PointOrigin"
		size = 65
		refs = "001a TChartSeries.PointOrigin"
	strings:
		$1 = { 83 C4 F4 88 0C 24 8A 88 F9 00 00 00 80 F9 02 74 05 80 F9 03 75 0F 8A 0C 24 E8 ?? ?? ?? ?? DD 5C 24 04 9B EB 14 8B 90 04 01 00 00 89 54 24 04 8B 90 08 01 00 00 89 54 24 08 DD 44 24 04 83 C4 0C C3 }
	condition:
		$1
}

rule function_17102_0 {
	meta:
		name = "TCustomBarSeries.PrepareLegendCanvas"
		size = 137
		refs = "0019 TTeeCanvas.AssignVisiblePen 0024 TBrush.GetStyle 0034 TBrush.GetColor 005d TBrush.GetBitmap 007f TBrush.SetBitmap"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 43 54 8B 80 5C 02 00 00 8B 93 E8 00 00 00 E8 ?? ?? ?? ?? 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0A 8B 43 54 8B 40 64 89 06 EB 0D 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 89 06 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 1E 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 43 54 8B 80 5C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17103_0 {
	meta:
		name = "TCustomBarSeries.SetPenBrushBar"
		size = 136
		refs = "0018 TTeeCanvas.AssignVisiblePen 0023 TBrush.GetBitmap 0032 TBrush.GetColor 0057 TBrush.GetStyle 0062 TCustomTeePanel.SetBrushCanvas 007f TBrush.SetBitmap"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 73 54 8B 93 E8 00 00 00 8B 86 5C 02 00 00 E8 ?? ?? ?? ?? 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 3D 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 05 8B 7E 64 EB 0D 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B F8 57 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C6 E8 ?? ?? ?? ?? EB 1B 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 5C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17104_0 {
	meta:
		name = "TCustomBarSeries.BarRectangle"
		size = 249
		refs = "001b TBrush.GetStyle 003b TBrush.GetColor 0045 TPen.SetColor 004d TPen.GetStyle 005b TPen.SetStyle 007d TPen.GetWidth 00d9 TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 8B 46 54 8B 98 5C 02 00 00 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 B6 00 00 00 8B 45 0C 3B 45 FC 74 08 8B 45 10 3B 45 08 75 42 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 3C 05 75 0A 33 D2 8B 43 0C E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 FC 8B C3 8B 30 FF 96 84 00 00 00 EB 64 8B 43 0C E8 ?? ?? ?? ?? 8B C8 8B 45 0C 2B 45 FC 99 33 C2 2B C2 3B C8 7F 19 8B 43 0C E8 ?? ?? ?? ?? 8B C8 8B 45 08 2B 45 10 99 33 C2 2B C2 3B C8 7E 32 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 3C 05 75 0A 33 D2 8B 43 0C E8 ?? ?? ?? ?? B2 01 8B 43 10 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 FC 8B C3 8B 18 FF 53 50 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_17106_0 {
	meta:
		name = "TCustomBarSeries.GetBarStyle"
		size = 46
	strings:
		$1 = { 53 51 8A 88 EC 00 00 00 88 0C 24 66 83 B8 0E 01 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 10 01 00 00 FF 93 0C 01 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_17107_0 {
	meta:
		name = "TCustomBarSeries.SetBarBrush"
		size = 12
	strings:
		$1 = { 8B 80 E4 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_17108_0 {
	meta:
		name = "TCustomBarSeries.GetEditorClass"
		size = 48
		refs = "0006 TCustomBarSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 10 00 00 00 54 42 61 72 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 00 00 }
	condition:
		$1
}

rule function_17109_0 {
	meta:
		name = "TCustomBarSeries.BarMargin"
		size = 29
		refs = "0006 TCustomBarSeries.BarSeriesCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F7 AB 14 01 00 00 80 BB 00 01 00 00 00 75 02 D1 E8 5B C3 }
	condition:
		$1
}

rule function_17110_0 {
	meta:
		name = "TCustomBarSeries.ApplyBarOffset"
		size = 56
		refs = "0021 TCustomBarSeries.ApplyBarOffset 0026 @ROUND"
	strings:
		$1 = { 53 56 57 51 8B D8 8B F2 8B BB FC 00 00 00 85 FF 74 1A 0F AF BB 14 01 00 00 89 3C 24 DB 04 24 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F0 8B C6 5A 5F 5E 5B C3 00 00 00 C8 42 }
	condition:
		$1
}

rule function_17112_0 {
	meta:
		name = "TCustomBarSeries.Assign"
		size = 209
		refs = "000b _DV_TCustomBarSeries 0010 @IsClass 00c9 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 8B FE 8B 87 F0 00 00 00 89 83 F0 00 00 00 8A 87 EC 00 00 00 88 83 EC 00 00 00 8A 87 01 01 00 00 88 83 01 01 00 00 8B 87 04 01 00 00 89 83 04 01 00 00 8B 87 08 01 00 00 89 83 08 01 00 00 8B 97 E8 00 00 00 8B 83 E8 00 00 00 8B 08 FF 51 08 8B 97 E4 00 00 00 8B 83 E4 00 00 00 8B 08 FF 51 08 8A 87 F9 00 00 00 88 83 F9 00 00 00 8B 87 F4 00 00 00 89 83 F4 00 00 00 8A 87 00 01 00 00 88 83 00 01 00 00 8A 87 F8 00 00 00 88 83 F8 00 00 00 8B 87 FC 00 00 00 89 83 FC 00 00 00 8A 87 E0 00 00 00 88 83 E0 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17113_0 {
	meta:
		name = "TCustomBarSeries.AddBar"
		size = 29
		altNames = "TPieSeries.AddPie"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 FF 75 0C FF 75 08 8B C6 8B 18 FF 93 84 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_17114_0 {
	meta:
		name = "TBarSeries.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TCustomBarSeries.Create 0022 TeeMsg_ValuesBar 0027 LoadResString 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 78 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17115_0 {
	meta:
		name = "TBarSeries.CalcXPos"
		size = 132
		refs = "000a TChartSeries.CalcXPos 001c TCustomBarSeries.BarOrderPos 002e TCustomBarSeries.BarSeriesCount 003c TBarSeries.CalcXPos 0055 @ROUND 006c TCustomBarSeries.ApplyBarOffset"
	strings:
		$1 = { 53 56 83 C4 EC 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB F9 00 00 00 01 75 44 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 7C 24 04 9B 8B C3 E8 ?? ?? ?? ?? 89 44 24 10 DB 44 24 10 D8 0D ?? ?? ?? ?? DB 6C 24 04 DE E1 D8 25 ?? ?? ?? ?? DB 83 14 01 00 00 DE C9 E8 ?? ?? ?? ?? 03 F0 EB 0A 8B 83 14 01 00 00 D1 E8 2B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C4 14 5E 5B C3 00 00 00 00 00 3F 00 00 80 3F }
	condition:
		$1
}

rule function_17116_0 {
	meta:
		name = "TBarSeries.MaxYValue"
		size = 194
		refs = "0027 TChartSeries.MaxYValue 003b TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B D8 80 BB F9 00 00 00 03 75 12 33 C0 89 04 24 C7 44 24 04 00 00 59 40 E9 93 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB F9 00 00 00 02 75 55 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 47 47 33 F6 33 C9 8B D6 8B C3 8B 28 FF 95 EC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 6C DC 44 24 10 DD 5C 24 08 9B DD 44 24 08 DC 1C 24 DF E0 9E 76 0F 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 46 4F 75 BC 80 BB 01 01 00 00 00 74 21 DD 04 24 DC 9B 04 01 00 00 DF E0 9E 73 13 8B 83 04 01 00 00 89 04 24 8B 83 08 01 00 00 89 44 24 04 DD 04 24 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17117_0 {
	meta:
		name = "TBarSeries.MinYValue"
		size = 86
		refs = "001d TChartSeries.MinYValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB F9 00 00 00 03 75 0B 33 C0 89 04 24 89 44 24 04 EB 35 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB 01 01 00 00 00 74 21 DD 04 24 DC 9B 04 01 00 00 DF E0 9E 76 13 8B 83 04 01 00 00 89 04 24 8B 83 08 01 00 00 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_17141_0 {
	meta:
		name = "THorizBarSeries.MinXValue"
		size = 86
		refs = "001d TChartSeries.MinXValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB F9 00 00 00 03 75 0B 33 C0 89 04 24 89 44 24 04 EB 35 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB 01 01 00 00 00 74 21 DD 04 24 DC 9B 04 01 00 00 DF E0 9E 76 13 8B 83 04 01 00 00 89 04 24 8B 83 08 01 00 00 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_17118_0 {
	meta:
		name = "TBarSeries.CalcHorizMargins"
		size = 42
		refs = "0010 TChartSeries.CalcHorizMargins 0017 TCustomBarSeries.CalcBarWidth 001e TCustomBarSeries.BarMargin"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 01 06 01 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17134_0 {
	meta:
		name = "THorizBarSeries.CalcVerticalMargins"
		size = 42
		refs = "0010 TChartSeries.CalcVerticalMargins 0017 TCustomBarSeries.CalcBarWidth 001e TCustomBarSeries.BarMargin"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 01 06 01 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17119_0 {
	meta:
		name = "TBarSeries.CalcVerticalMargins"
		size = 132
		refs = "0011 TChartSeries.CalcVerticalMargins 001a TCustomBarSeries.CalcMarkLength 0031 TChartSeries.MaxYValue 0043 TChartSeries.GetVertAxis 006e TChartSeries.MinYValue"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B CF 8B D5 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 01 46 80 BB 01 01 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? DC 9B 04 01 00 00 DF E0 9E 76 22 8B C3 E8 ?? ?? ?? ?? 80 B8 85 00 00 00 00 74 0F 8B 43 54 8B 80 E8 02 00 00 03 C6 01 07 EB 03 01 75 00 80 BB 01 01 00 00 00 74 14 8B C3 E8 ?? ?? ?? ?? DC 9B 04 01 00 00 DF E0 9E 73 02 01 37 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17120_0 {
	meta:
		name = "TBarSeries.InternalCalcMarkLength"
		size = 15
		refs = "000a TTeeCanvas.FontHeight"
	strings:
		$1 = { 8B 40 54 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17121_0 {
	meta:
		name = "TBarSeries.DrawMark"
		size = 109
		refs = "0030 TBarSeries.GetOriginPos 0060 TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 8B 86 14 01 00 00 D1 F8 79 03 83 D0 00 89 45 F4 8B 46 50 8B 78 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 3B 43 08 7D 05 F7 DF 2B 7B 18 8B 45 F4 01 43 1C 29 7B 20 8B 45 F4 01 43 0C 29 7B 10 8B 45 F4 01 43 04 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17122_0 {
	meta:
		name = "TBarSeries.DrawBar"
		size = 1039
		refs = "0019 TCustomBarSeries.SetPenBrushBar 004b TCustomBarSeries.GetBarStyle 005e TBarSeries.DrawBar 017d Point 02bc TCustomBarSeries.BarRectangle"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D FC 8B DA 8B F0 8B 96 28 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 54 8B 90 5C 02 00 00 89 55 F4 8D BE 18 01 00 00 8B 17 03 57 08 D1 EA 89 55 F8 80 B8 4C 02 00 00 00 0F 84 27 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 06 0F 87 AB 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 4F 08 8B 17 8B 45 F4 8B 18 FF 93 C4 00 00 00 E9 56 03 00 00 8B 45 FC 50 8B 47 08 50 8B 45 08 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 0F B2 01 8B 45 F4 8B 18 FF 93 00 01 00 00 E9 21 03 00 00 8B 45 08 50 8B 47 08 50 8B 45 FC 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 0F B2 01 8B 45 F4 8B 18 FF 93 00 01 00 00 E9 EC 02 00 00 8B 47 04 50 8B 47 08 50 8B 47 0C 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 0F B2 01 8B 45 F4 8B 18 FF 93 C8 00 00 00 E9 B7 02 00 00 8B 47 08 50 8B 47 0C 50 8B 86 D8 00 00 00 50 8B 4F 04 8B 17 8B 45 F4 8B 18 FF 93 D8 00 00 00 E9 93 02 00 00 8D 4D DC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 5F 08 2B 1F 53 D1 FB 79 03 83 D3 00 53 8B 86 D8 00 00 00 50 8D 4D D4 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D D4 B2 01 8B 45 F4 8B 18 FF 93 BC 00 00 00 E9 49 02 00 00 8B 45 FC 50 8B 45 08 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 4F 08 8B 17 8B 45 F4 8B 18 FF 93 C4 00 00 00 8B 45 F4 8B 40 18 80 78 0C 00 0F 84 0C 02 00 00 8D 9E 18 01 00 00 8B 86 D4 00 00 00 50 8D 45 DC 50 8B 4B 04 8B 13 8B 45 F4 8B 38 FF 97 A4 00 00 00 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8B 86 D4 00 00 00 50 8D 45 DC 50 8B 4B 0C 8B 53 08 8B 45 F4 8B 18 FF 93 A4 00 00 00 8B 45 DC 89 45 EC 8B 45 E0 89 45 F0 8B 86 28 01 00 00 50 6A 01 8D 55 E4 B9 FF FF FF 00 8B 45 F4 8B 18 FF 53 7C E9 99 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 06 0F 87 84 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 47 04 50 8B 47 08 50 8B 47 0C 50 8B 0F 8B 96 28 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 41 01 00 00 8D 4D DC 8B 55 08 8B 07 E8 ?? ?? ?? ?? 8B 45 DC 89 45 BC 8B 45 E0 89 45 C0 8D 4D D4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 89 45 C4 8B 45 D8 89 45 C8 8D 4D B4 8B 55 08 8B 47 08 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC 8B 45 B8 89 45 D0 8D 55 BC B9 02 00 00 00 8B 45 F4 8B 18 FF 93 88 00 00 00 E9 DC 00 00 00 8D 4D DC 8B 55 FC 8B 07 E8 ?? ?? ?? ?? 8B 45 DC 89 45 BC 8B 45 E0 89 45 C0 8D 4D D4 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 89 45 C4 8B 45 D8 89 45 C8 8D 4D B4 8B 55 FC 8B 47 08 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC 8B 45 B8 89 45 D0 8D 55 BC B9 02 00 00 00 8B 45 F4 8B 18 FF 93 88 00 00 00 EB 7A 8B 47 08 50 8B 47 0C 50 8B 4F 04 8B 17 8B 45 F4 8B 18 FF 53 38 EB 63 8D 4D DC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 5F 08 2B 1F 53 D1 FB 79 03 83 D3 00 53 8B 86 D8 00 00 00 50 8D 4D D4 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D D4 B2 01 8B 45 F4 8B 18 FF 93 BC 00 00 00 EB 1C 8B 86 28 01 00 00 50 6A 01 8D 96 18 01 00 00 B9 FF FF FF 00 8B 45 F4 8B 18 FF 53 7C 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17123_0 {
	meta:
		name = "TBarSeries.DrawValue"
		size = 146
		refs = "000d TChartSeries.DrawValue 005d TBarSeries.GetOriginPos"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 60 8B F0 89 B3 28 01 00 00 81 FE FF FF FF 1F 74 63 8D B3 18 01 00 00 8B D7 8B C3 8B 08 FF 91 D0 00 00 00 8B E8 89 2E 03 AB 14 01 00 00 89 6E 08 8B D7 8B C3 8B 08 FF 91 D4 00 00 00 89 46 04 8B D7 8B C3 E8 ?? ?? ?? ?? 8B E8 89 6E 0C 8B 46 04 3B E8 7E 11 55 8B C8 8B D7 8B C3 8B 18 FF 93 40 01 00 00 EB 0F 50 8B CD 8B D7 8B C3 8B 18 FF 93 40 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17124_0 {
	meta:
		name = "TBarSeries.InternalCalcBarSize"
		size = 17
	strings:
		$1 = { 53 8B DA 8B 48 54 8B 81 14 02 00 00 99 F7 FB 5B C3 }
	condition:
		$1
}

rule function_17125_0 {
	meta:
		name = "TBarSeries.CalcYPos"
		size = 176
		refs = "001d TChartSeries.CalcYPos 005c TChartSeries.CalcYPosValue 0079 TBarSeries.CalcYPos"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 8A 83 F9 00 00 00 84 C0 74 04 3C 01 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 7E 33 C9 8B D6 8B C3 8B 38 FF 97 EC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 6C DC 44 24 10 DD 5C 24 08 9B 80 BB F9 00 00 00 02 75 11 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 3F B1 01 8B D6 8B C3 8B 30 FF 96 EC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 18 5F 5E 5B C3 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_17126_0 {
	meta:
		name = "TBarSeries.GetOriginPos"
		size = 15
		refs = "000a TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 8B 48 54 8B 89 6C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17127_0 {
	meta:
		name = "TBarSeries.InternalClicked"
		size = 262
		refs = "0051 TBarSeries.GetOriginPos 0090 PointInTriangle 00ce Rect 00d9 PointInEllipse"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B F9 89 14 24 8B D8 C6 44 24 04 00 8B 14 24 8B C3 8B 08 FF 91 D0 00 00 00 8B F0 8B 07 3B F0 0F 8F CE 00 00 00 8B 93 14 01 00 00 03 D6 3B C2 0F 8F BE 00 00 00 8B 14 24 8B C3 8B 08 FF 91 D4 00 00 00 8B E8 8B 14 24 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 3B 6C 24 08 7E 0A 8B 44 24 08 89 6C 24 08 8B E8 8A 83 EC 00 00 00 FE C8 74 27 FE C8 74 06 2C 02 74 3C EB 66 55 8B 44 24 0C 50 8B 8B 14 01 00 00 03 CE 8B C7 8B D6 E8 ?? ?? ?? ?? 88 44 24 04 EB 60 8B 44 24 08 50 55 8B 8B 14 01 00 00 03 CE 8B C7 8B D6 E8 ?? ?? ?? ?? 88 44 24 04 EB 43 8B 44 24 08 50 8D 44 24 10 50 8B 8B 14 01 00 00 03 CE 8B D5 8B C6 E8 ?? ?? ?? ?? 8D 54 24 0C 8B C7 E8 ?? ?? ?? ?? 88 44 24 04 EB 17 8B 47 04 3B E8 7F 06 3B 44 24 08 7E 04 33 C0 EB 02 B0 01 88 44 24 04 8A 44 24 04 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17128_0 {
	meta:
		name = "TBarSeries.DrawValuesForward"
		size = 20
		refs = "0006 TChartSeries.GetHorizAxis"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 80 85 00 00 00 34 01 5B C3 }
	condition:
		$1
}

rule function_17147_0 {
	meta:
		name = "THorizBarSeries.DrawValuesForward"
		size = 20
		refs = "0006 TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 80 85 00 00 00 34 01 5B C3 }
	condition:
		$1
}

rule function_17129_0 {
	meta:
		name = "TBarSeries.DrawSeriesForward"
		size = 72
		refs = "001c TChartSeries.GetVertAxis 0031 TBarSeries.DrawSeriesForward"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8A 86 F9 00 00 00 84 C0 74 04 3C 01 75 04 B3 01 EB 24 8B C6 E8 ?? ?? ?? ?? 8A 98 85 00 00 00 8B D7 8B C6 8B 08 FF 51 6C D8 1D ?? ?? ?? ?? DF E0 9E 72 03 80 F3 01 8B C3 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_17130_0 {
	meta:
		name = "THorizBarSeries.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TCustomBarSeries.Create 0022 TeeMsg_ValuesBar 0027 LoadResString 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 70 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 70 C6 40 28 00 C6 86 00 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17132_0 {
	meta:
		name = "THorizBarSeries.InternalCalcBarSize"
		size = 17
	strings:
		$1 = { 53 8B DA 8B 48 54 8B 81 18 02 00 00 99 F7 FB 5B C3 }
	condition:
		$1
}

rule function_17133_0 {
	meta:
		name = "THorizBarSeries.CalcHorizMargins"
		size = 122
		refs = "0011 TChartSeries.CalcHorizMargins 001b TCustomBarSeries.CalcMarkLength 0032 TChartSeries.MinXValue 004f TChartSeries.MaxXValue 0061 TChartSeries.GetHorizAxis"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 01 46 80 BB 01 01 00 00 00 74 14 8B C3 E8 ?? ?? ?? ?? DC 9B 04 01 00 00 DF E0 9E 73 02 01 37 80 BB 01 01 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? DC 9B 04 01 00 00 DF E0 9E 76 17 8B C3 E8 ?? ?? ?? ?? 80 B8 85 00 00 00 00 74 04 01 37 EB 03 01 75 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17135_0 {
	meta:
		name = "THorizBarSeries.CalcXPos"
		size = 176
		refs = "001d TChartSeries.CalcXPos 005c TChartSeries.CalcXPosValue 0079 THorizBarSeries.CalcXPos"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 8A 83 F9 00 00 00 84 C0 74 04 3C 01 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 7E 33 C9 8B D6 8B C3 8B 38 FF 97 EC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 68 DC 44 24 10 DD 5C 24 08 9B 80 BB F9 00 00 00 02 75 11 FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? EB 3F B1 01 8B D6 8B C3 8B 30 FF 96 EC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 18 5F 5E 5B C3 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_17136_0 {
	meta:
		name = "THorizBarSeries.GetOriginPos"
		size = 15
		refs = "000a TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 8B 48 54 8B 89 60 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17137_0 {
	meta:
		name = "THorizBarSeries.CalcYPos"
		size = 120
		refs = "000a TChartSeries.CalcYPos 001c TCustomBarSeries.BarSeriesCount 0028 THorizBarSeries.CalcYPos 0034 TCustomBarSeries.BarOrderPos 004f @ROUND 0066 TCustomBarSeries.ApplyBarOffset"
	strings:
		$1 = { 53 56 83 C4 EC 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB F9 00 00 00 01 75 3E 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 D8 0D ?? ?? ?? ?? DB 7C 24 04 9B 8B C3 E8 ?? ?? ?? ?? 89 44 24 10 DB 44 24 10 DB 6C 24 04 DE E1 DB 83 14 01 00 00 DE C9 E8 ?? ?? ?? ?? 03 F0 EB 0A 8B 83 14 01 00 00 D1 E8 2B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C4 14 5E 5B C3 00 00 00 3F }
	condition:
		$1
}

rule function_17138_0 {
	meta:
		name = "THorizBarSeries.GetMarkValue"
		size = 18
	strings:
		$1 = { 83 C4 F8 8B 08 FF 51 68 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_17139_0 {
	meta:
		name = "THorizBarSeries.InternalClicked"
		size = 273
		refs = "004f THorizBarSeries.GetOriginPos 006a SwapLongint 0099 PointInHorizTriangle 00db Rect 00e6 PointInEllipse"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B F9 8B EA 8B D8 C6 04 24 00 8B D5 8B C3 8B 08 FF 91 D4 00 00 00 8B F0 8B 47 04 3B F0 0F 8F DC 00 00 00 8B 93 14 01 00 00 03 D6 3B C2 0F 8F CC 00 00 00 8B D5 8B C3 8B 08 FF 91 D0 00 00 00 89 44 24 04 8B D5 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 3B 44 24 04 7D 0D 8D 54 24 08 8D 44 24 04 E8 ?? ?? ?? ?? 8A 83 EC 00 00 00 FE C8 74 2A FE C8 74 06 2C 02 74 42 EB 6D 8B 44 24 08 50 8B 44 24 08 50 8B 8B 14 01 00 00 03 CE 8B C7 8B D6 E8 ?? ?? ?? ?? 88 04 24 EB 64 8B 44 24 04 50 8B 44 24 0C 50 8B 8B 14 01 00 00 03 CE 8B C7 8B D6 E8 ?? ?? ?? ?? 88 04 24 EB 44 8B 83 14 01 00 00 03 C6 50 8D 44 24 10 50 8B 4C 24 10 8B D6 8B 44 24 0C E8 ?? ?? ?? ?? 8D 54 24 0C 8B C7 E8 ?? ?? ?? ?? 88 04 24 EB 17 8B 07 3B 44 24 04 7C 06 3B 44 24 08 7E 04 33 C0 EB 02 B0 01 88 04 24 8A 04 24 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17140_0 {
	meta:
		name = "THorizBarSeries.MaxXValue"
		size = 194
		refs = "0027 TChartSeries.MaxXValue 003b TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B D8 80 BB F9 00 00 00 03 75 12 33 C0 89 04 24 C7 44 24 04 00 00 59 40 E9 93 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB F9 00 00 00 02 75 55 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 47 47 33 F6 33 C9 8B D6 8B C3 8B 28 FF 95 EC 00 00 00 DD 5C 24 10 9B 8B D6 8B C3 8B 08 FF 51 68 DC 44 24 10 DD 5C 24 08 9B DD 44 24 08 DC 1C 24 DF E0 9E 76 0F 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 46 4F 75 BC 80 BB 01 01 00 00 00 74 21 DD 04 24 DC 9B 04 01 00 00 DF E0 9E 73 13 8B 83 04 01 00 00 89 04 24 8B 83 08 01 00 00 89 44 24 04 DD 04 24 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17142_0 {
	meta:
		name = "THorizBarSeries.InternalCalcMarkLength"
		size = 108
		refs = "000f THorizBarSeries.InternalCalcMarkLength 0026 TChartSeries.GetMarkText 0042 TChartSeries.MaxMarkWidth 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE FF 74 21 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 54 8B 80 5C 02 00 00 8B 08 FF 51 60 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17143_0 {
	meta:
		name = "THorizBarSeries.DrawMark"
		size = 141
		refs = "0030 THorizBarSeries.GetOriginPos 0080 TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 8B 86 14 01 00 00 D1 F8 79 03 83 D0 00 89 45 F4 8B 46 50 8B 78 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 3B 43 04 7E 05 F7 DF 2B 7B 24 8B 43 1C 03 C7 8B 53 24 D1 FA 79 03 83 D2 00 03 C2 89 43 1C 8B 43 20 03 45 F4 8B 53 18 D1 FA 79 03 83 D2 00 03 C2 89 43 20 01 7B 0C 8B 45 F4 01 43 10 8B 45 F4 01 43 08 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17144_0 {
	meta:
		name = "THorizBarSeries.DrawBar"
		size = 1048
		refs = "0019 TCustomBarSeries.SetPenBrushBar 004c TCustomBarSeries.GetBarStyle 005f THorizBarSeries.DrawBar 0181 Point 02c2 TCustomBarSeries.BarRectangle"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D FC 8B DA 8B F0 8B 96 28 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 54 8B 90 5C 02 00 00 89 55 F4 8D BE 18 01 00 00 8B 57 04 03 57 0C D1 EA 89 55 F8 80 B8 4C 02 00 00 00 0F 84 2C 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 06 0F 87 B3 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 47 04 50 8B 47 0C 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 4D 08 8B 55 FC 8B 45 F4 8B 18 FF 93 C4 00 00 00 E9 5D 03 00 00 8B 47 04 50 8B 45 08 50 8B 47 0C 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 4D FC 33 D2 8B 45 F4 8B 18 FF 93 00 01 00 00 E9 27 03 00 00 8B 47 04 50 8B 45 FC 50 8B 47 0C 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 4D 08 33 D2 8B 45 F4 8B 18 FF 93 00 01 00 00 E9 F1 02 00 00 8B 47 04 50 8B 47 08 50 8B 47 0C 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 0F 33 D2 8B 45 F4 8B 18 FF 93 C8 00 00 00 E9 BC 02 00 00 8B 47 08 50 8B 47 0C 50 8B 86 D8 00 00 00 50 8B 4F 04 8B 17 8B 45 F4 8B 18 FF 93 D8 00 00 00 E9 98 02 00 00 8D 4D DC 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 5F 0C 2B 5F 04 53 D1 FB 79 03 83 D3 00 53 8B 86 D8 00 00 00 50 8D 4D D4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D D4 B2 01 8B 45 F4 8B 18 FF 93 BC 00 00 00 E9 4D 02 00 00 8B 47 04 50 8B 47 0C 50 8B 86 D4 00 00 00 50 8B 86 DC 00 00 00 50 8A 86 F8 00 00 00 50 8B 4D 08 8B 55 FC 8B 45 F4 8B 18 FF 93 C4 00 00 00 8B 45 F4 8B 40 18 80 78 0C 00 0F 84 0F 02 00 00 8D 9E 18 01 00 00 8B 86 D4 00 00 00 50 8D 45 DC 50 8B 4B 04 8B 13 8B 45 F4 8B 38 FF 97 A4 00 00 00 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8B 86 D4 00 00 00 50 8D 45 DC 50 8B 4B 0C 8B 53 08 8B 45 F4 8B 18 FF 93 A4 00 00 00 8B 45 DC 89 45 EC 8B 45 E0 89 45 F0 8B 86 28 01 00 00 50 6A 02 8D 55 E4 B9 FF FF FF 00 8B 45 F4 8B 18 FF 53 7C E9 9C 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 06 0F 87 87 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 47 04 50 8B 47 08 50 8B 47 0C 50 8B 0F 8B 96 28 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 44 01 00 00 8D 4D DC 8B 57 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 89 45 BC 8B 45 E0 89 45 C0 8D 4D D4 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 D4 89 45 C4 8B 45 D8 89 45 C8 8D 4D B4 8B 57 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC 8B 45 B8 89 45 D0 8D 55 BC B9 02 00 00 00 8B 45 F4 8B 18 FF 93 88 00 00 00 E9 DE 00 00 00 8D 4D DC 8B 57 04 8B 45 08 E8 ?? ?? ?? ?? 8B 45 DC 89 45 BC 8B 45 E0 89 45 C0 8D 4D D4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 89 45 C4 8B 45 D8 89 45 C8 8D 4D B4 8B 57 0C 8B 45 08 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC 8B 45 B8 89 45 D0 8D 55 BC B9 02 00 00 00 8B 45 F4 8B 18 FF 93 88 00 00 00 EB 7B 8B 47 08 50 8B 47 0C 50 8B 4F 04 8B 17 8B 45 F4 8B 18 FF 53 38 EB 64 8D 4D DC 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 5F 0C 2B 5F 04 53 D1 FB 79 03 83 D3 00 53 8B 86 D8 00 00 00 50 8D 4D D4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D D4 B2 01 8B 45 F4 8B 18 FF 93 BC 00 00 00 EB 1C 8B 86 28 01 00 00 50 6A 02 8D 96 18 01 00 00 B9 FF FF FF 00 8B 45 F4 8B 18 FF 53 7C 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17145_0 {
	meta:
		name = "THorizBarSeries.DrawValue"
		size = 146
		refs = "000d TChartSeries.DrawValue 005e THorizBarSeries.GetOriginPos"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 60 8B F0 89 B3 28 01 00 00 81 FE FF FF FF 1F 74 63 8D B3 18 01 00 00 8B D7 8B C3 8B 08 FF 91 D4 00 00 00 8B E8 89 6E 04 03 AB 14 01 00 00 89 6E 0C 8B D7 8B C3 8B 08 FF 91 D0 00 00 00 89 46 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B E8 89 2E 8B 46 08 3B E8 7D 11 50 8B CD 8B D7 8B C3 8B 18 FF 93 40 01 00 00 EB 0F 55 8B C8 8B D7 8B C3 8B 18 FF 93 40 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17146_0 {
	meta:
		name = "THorizBarSeries.FillSampleValues"
		size = 307
		refs = "0016 THorizBarSeries.FillSampleValues 0028 TeeMsg_FillSample 002d LoadResString 0037 _DV_BarException 003c Exception.Create 0041 @RaiseExcept 0052 TChartSeries.GetVertAxis 0072 @ROUND 0077 @RandInt 00a5 @_lldiv 010b TChartSeries.RefreshSeries 0120 @LStrClr 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D DC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7F 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 90 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 50 18 89 55 F0 8B 50 1C 89 55 F4 33 C0 89 45 E8 C7 45 EC 00 40 8F 40 DD 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 DB 45 D8 DC 45 E8 DD 5D F8 9B 33 C0 89 45 E0 C7 45 E4 00 00 F0 3F 85 DB 7E 70 6A 00 6A 02 DD 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 DB 45 D8 DC 45 F8 DB 7D CC 9B 6A 00 6A 04 DD 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 DF 6D C4 DB 6D CC DE E1 DD 5D F8 9B FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 B9 00 00 00 80 33 D2 8B C6 8B 38 FF 97 8C 00 00 00 DD 45 F0 DC 45 E0 DD 5D F0 9B 4B 75 90 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17148_0 {
	meta:
		name = "THorizBarSeries.DrawSeriesForward"
		size = 72
		refs = "001c TChartSeries.GetHorizAxis 0031 THorizBarSeries.DrawSeriesForward"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8A 86 F9 00 00 00 84 C0 74 04 3C 01 75 04 B3 01 EB 24 8B C6 E8 ?? ?? ?? ?? 8A 98 85 00 00 00 8B D7 8B C6 8B 08 FF 51 68 D8 1D ?? ?? ?? ?? DF E0 9E 72 03 80 F3 01 8B C3 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_17149_0 {
	meta:
		name = "TCircledSeries.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TChartSeries.Create 0029 TeeMsg_ValuesAngle 002e LoadResString 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 D0 00 00 00 00 8B 46 70 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 86 F8 00 00 00 00 00 00 80 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17150_0 {
	meta:
		name = "TCircledSeries.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0010 TCircledSeries.SetParentProperties 001c TChartSeries.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17152_0 {
	meta:
		name = "TCircledSeries.SetCircled"
		size = 107
		refs = "0016 TChartSeries.SetBooleanProperty 0026 TCustomAxisPanel.SeriesCount 0039 TCustomAxisPanel.GetSeries 003e TObject.ClassType 0047 @IsClass"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B E8 8D 95 E0 00 00 00 8A 0C 24 8B C5 E8 ?? ?? ?? ?? 8B 45 54 85 C0 74 44 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 14 24 88 90 E0 00 00 00 46 4F 75 CF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17153_0 {
	meta:
		name = "TCircledSeries.SetRotationAngle"
		size = 182
		refs = "0017 TCircledSeries.SetRotationAngle 0029 TeeMsg_Rotation 002e LoadResString 0046 TeeMsg_Angle 0055 _DV_PieException 005a Exception.CreateFmt 005f @RaiseExcept 0078 TChartSeries.SetIntegerProperty 0084 PiDegree 00a5 @LStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B CA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 C9 7D 3E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C1 B9 68 01 00 00 99 F7 F9 8B CA 8D 93 E4 00 00 00 8B C3 E8 ?? ?? ?? ?? DB 83 E4 00 00 00 DC 0D ?? ?? ?? ?? DD 9B FC 00 00 00 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17154_0 {
	meta:
		name = "TCircledSeries.SetOtherCustomRadius"
		size = 119
		refs = "0020 TCustomAxisPanel.SeriesCount 0035 TCustomAxisPanel.GetSeries 003e TObject.ClassType 0047 @IsClass"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 88 14 24 8B F8 8B 47 54 85 C0 74 58 89 44 24 08 8B 44 24 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 ED 8B D5 8B 44 24 08 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1C 80 3C 24 00 74 0C 8B 44 24 04 89 83 E8 00 00 00 EB 0A 8B 44 24 04 89 83 EC 00 00 00 45 4E 75 BF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17155_0 {
	meta:
		name = "TCircledSeries.SetCustomXRadius"
		size = 35
		refs = "0011 TChartSeries.SetLongintProperty 001c TCircledSeries.SetOtherCustomRadius"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 93 E8 00 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17156_0 {
	meta:
		name = "TCircledSeries.SetCustomYRadius"
		size = 35
		refs = "0011 TChartSeries.SetLongintProperty 001c TCircledSeries.SetOtherCustomRadius"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 93 EC 00 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17157_0 {
	meta:
		name = "TCircledSeries.SetParentProperties"
		size = 246
		refs = "0024 TCustomAxisPanel.SetAxisVisible 002d TCustomAxisPanel.SetClipPoints 0036 TCustomAxisPanel.SetView3DWalls 0041 _Dn_TCustomChart 0046 @IsClass 0053 TCustomChart.GetFrame 0065 TChartPen.SetVisible 007d TBrush.SetStyle 00cc TView3DOptions.SetOrthogonal 00d8 TView3DOptions.SetRotation 00e4 TView3DOptions.SetElevation 00ed TView3DOptions.SetTilt"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 47 54 85 C0 0F 84 DE 00 00 00 8B F0 F6 46 20 08 0F 85 D2 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 6F 54 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B FD 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 87 14 03 00 00 85 C0 74 1A 84 DB 74 0C 8B 40 08 33 D2 E8 ?? ?? ?? ?? EB 0A 8B 40 08 B2 01 E8 ?? ?? ?? ?? 8B C3 88 87 09 03 00 00 84 C0 74 09 C6 87 0A 03 00 00 03 EB 07 C6 87 0A 03 00 00 00 8B 86 5C 02 00 00 8B 10 FF 92 98 00 00 00 84 C0 75 36 8B 86 50 02 00 00 85 C0 74 2C 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 68 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 3B 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17158_0 {
	meta:
		name = "TCircledSeries.SetParentChart"
		size = 51
		refs = "000f TCircledSeries.SetParentProperties 001d TChartSeries.SetParentChart"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 3B 73 54 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 54 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17159_0 {
	meta:
		name = "TCircledSeries.Rotate"
		size = 169
		refs = "0017 TCircledSeries.Rotate 0031 TeeMsg_Rotation 0036 LoadResString 004e TeeMsg_Angle 005d _DV_PieException 0062 Exception.CreateFmt 0067 @RaiseExcept 007e TCircledSeries.SetRotationAngle 0098 @LStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B DA 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 08 81 FB 68 01 00 00 7E 3E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 81 E4 00 00 00 03 C3 BB 68 01 00 00 99 F7 FB 8B C1 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17161_0 {
	meta:
		name = "TCircledSeries.AdjustCircleRect"
		size = 123
	strings:
		$1 = { 53 8D 90 14 01 00 00 8B 4A 08 2B 0A F6 C1 01 74 03 FF 4A 08 8B 4A 0C 2B 4A 04 F6 C1 01 74 03 FF 4A 0C 8B 5A 08 8B 0A 2B D9 83 FB 04 7D 06 83 C1 04 89 4A 08 8B 5A 0C 8B 4A 04 2B D9 83 FB 04 7D 06 83 C1 04 89 4A 0C 8B 4A 08 2B 0A 89 88 04 01 00 00 8B 4A 0C 2B 4A 04 89 88 08 01 00 00 8B 0A 03 4A 08 D1 E9 89 88 0C 01 00 00 8B 4A 04 03 4A 0C D1 E9 89 88 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_17162_0 {
	meta:
		name = "CalcCircledRatio"
		size = 320
		refs = "0012 GetSystemMetrics 001e CalcCircledRatio 0052 GetDeviceCaps 009d TCircledSeries.CalcRadius 00b3 @ROUND 012c TCircledSeries.AdjustCircleRect"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 75 08 83 C6 FC 6A 00 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? DB 7D E0 9B 6A 01 E8 ?? ?? ?? ?? 89 45 DC DB 45 DC DB 6D E0 DE F1 DD 5D F0 9B 8B 06 8B 40 54 8B 80 5C 02 00 00 8B 10 FF 52 08 8B D8 6A 04 53 E8 ?? ?? ?? ?? 8B F8 6A 06 53 E8 ?? ?? ?? ?? 85 C0 74 36 89 7D EC DB 45 EC D8 0D ?? ?? ?? ?? 89 45 DC DB 45 DC DE F9 DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? DF E0 9E 74 10 D9 05 ?? ?? ?? ?? DC 4D F0 DC 75 F8 DD 5D F0 9B 8B 06 E8 ?? ?? ?? ?? 8B 06 8B B8 F4 00 00 00 89 7D EC DB 45 EC DC 4D F0 E8 ?? ?? ?? ?? 52 50 8B 06 8B 98 F0 00 00 00 8B C3 99 3B 54 24 04 75 09 3B 04 24 5A 58 76 2E EB 04 5A 58 7E 28 8B 06 DB 80 F4 00 00 00 DC 4D F0 E8 ?? ?? ?? ?? 50 8B C3 5A 2B C2 8B 16 01 82 14 01 00 00 8B 16 29 82 1C 01 00 00 EB 2A 89 5D EC DB 45 EC D8 0D ?? ?? ?? ?? DC 75 F0 E8 ?? ?? ?? ?? 50 8B C7 5A 2B C2 8B 16 01 82 18 01 00 00 8B 16 29 82 20 01 00 00 8B 06 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_17163_0 {
	meta:
		name = "AdjustCircleMarks"
		size = 208
		refs = "002a TTeeCanvas.FontHeight 004f TPen.GetWidth 0068 AdjustCircleMarks 007b TCustomAxisPanel.MaxMarkWidth 00b9 TCircledSeries.AdjustCircleRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 58 54 8B 07 8B 40 50 8B 50 18 8B C3 8B 08 FF 91 C8 00 00 00 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 07 8B 40 50 03 70 08 8B 07 8B 40 50 8B 40 14 80 78 18 00 74 11 8B 07 8B 40 50 8B 40 14 E8 ?? ?? ?? ?? 03 C0 03 F0 8B 07 01 B0 18 01 00 00 8B 07 29 B0 20 01 00 00 BA ?? ?? ?? ?? 8B 83 5C 02 00 00 8B 08 FF 51 60 50 8B C3 E8 ?? ?? ?? ?? 5A 03 D0 8B 07 8B 70 50 03 56 08 8B DA 8B 46 14 80 78 18 00 74 11 8B 07 8B 40 50 8B 40 14 E8 ?? ?? ?? ?? 03 C0 03 D8 8B 07 01 98 14 01 00 00 8B 07 29 98 1C 01 00 00 8B 07 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_17164_0 {
	meta:
		name = "TCircledSeries.DoBeforeDrawValues"
		size = 104
		refs = "000d TChartSeries.DoBeforeDrawValues 0031 TCircledSeries.AdjustCircleRect 0043 AdjustCircleMarks 0056 CalcCircledRatio 005f TCircledSeries.CalcRadius"
	strings:
		$1 = { 55 8B EC 51 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 8B 55 FC 8D B0 60 02 00 00 8D BA 14 01 00 00 B9 04 00 00 00 F3 A5 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 80 78 28 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 E0 00 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_17165_0 {
	meta:
		name = "TCircledSeries.CalcRadius"
		size = 154
	strings:
		$1 = { 8B 90 E8 00 00 00 85 D2 74 14 8B CA 89 88 F0 00 00 00 8B D1 03 D2 89 90 04 01 00 00 EB 0E 8B 90 04 01 00 00 D1 EA 89 90 F0 00 00 00 8B 90 EC 00 00 00 85 D2 74 14 8B CA 89 88 F4 00 00 00 8B D1 03 D2 89 90 08 01 00 00 EB 0E 8B 90 08 01 00 00 D1 EA 89 90 F4 00 00 00 8D 90 14 01 00 00 8B 88 0C 01 00 00 2B 88 F0 00 00 00 89 0A 8B 88 0C 01 00 00 03 88 F0 00 00 00 89 4A 08 8B 88 10 01 00 00 2B 88 F4 00 00 00 89 4A 04 8B 88 10 01 00 00 03 88 F4 00 00 00 89 4A 0C C3 }
	condition:
		$1
}

rule function_17167_0 {
	meta:
		name = "TCircledSeries.AngleToPos"
		size = 91
		refs = "0026 SinCos 0031 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 DD 83 FC 00 00 00 DC 45 18 83 C4 F4 DB 3C 24 9B 8D 55 EC 8D 45 F6 E8 ?? ?? ?? ?? DB 6D EC DC 4D 10 E8 ?? ?? ?? ?? 03 83 0C 01 00 00 89 06 DB 6D F6 DC 4D 08 E8 ?? ?? ?? ?? 8B 93 10 01 00 00 2B D0 89 17 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_17168_0 {
	meta:
		name = "TCircledSeries.CalcCircleBackColor"
		size = 50
		refs = "0015 _Dn_TCustomChart 001a @AsClass 001f TCustomChart.GetBackColor"
	strings:
		$1 = { 53 8B D8 8B 83 F8 00 00 00 3D 00 00 00 80 75 13 8B 43 54 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 00 00 00 80 75 06 8B 43 54 8B 40 64 5B C3 }
	condition:
		$1
}

rule function_17169_0 {
	meta:
		name = "TCircledSeries.PrepareLegendCanvas"
		size = 24
		refs = "000c TCircledSeries.CalcCircleBackColor"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 89 06 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17170_0 {
	meta:
		name = "TCircledSeries.PointToAngle"
		size = 216
		refs = "0023 HalfPi 007b ArcTan2 0088 TCircledSeries.PointToAngle 0093 TwoPi"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B F2 8B D8 8B EE 2B AB 0C 01 00 00 85 ED 75 2B 3B BB 10 01 00 00 7E 0E DD 05 ?? ?? ?? ?? D9 E0 DD 1C 24 9B EB 54 8B 05 ?? ?? ?? ?? 89 04 24 8B 05 ?? ?? ?? ?? 89 44 24 04 EB 3F 8B 83 10 01 00 00 2B C7 89 44 24 08 DB 44 24 08 DB 83 F4 00 00 00 DE F9 83 C4 F4 DB 3C 24 9B 89 6C 24 18 DB 44 24 18 DB 83 F0 00 00 00 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 0D DD 05 ?? ?? ?? ?? DC 04 24 DD 1C 24 9B DD 04 24 DC A3 FC 00 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 0D DD 05 ?? ?? ?? ?? DC 04 24 DD 1C 24 9B DD 04 24 83 C4 10 5D 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_17171_0 {
	meta:
		name = "TCircledSeries.Assign"
		size = 97
		refs = "000a _DV_TCircledSeries 000f @IsClass 005a TChartSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B C6 8A 90 E0 00 00 00 88 93 E0 00 00 00 8B 90 E4 00 00 00 89 93 E4 00 00 00 8B 90 E8 00 00 00 89 93 E8 00 00 00 8B 90 EC 00 00 00 89 93 EC 00 00 00 8B 80 F8 00 00 00 89 83 F8 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17172_0 {
	meta:
		name = "TCircledSeries.SetActive"
		size = 25
		refs = "0006 TChartSeries.SetActive 0013 TCircledSeries.SetParentProperties"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 53 24 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17174_0 {
	meta:
		name = "TExplodedSlices.GetValue"
		size = 41
		refs = "0010 TList.Get"
		altNames = "TSeriesMarksPositions.GetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 19 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_17175_0 {
	meta:
		name = "TExplodedSlices.SetValue"
		size = 61
		refs = "0010 TList.Add 001e TExplodedSlices.GetValue 002d TList.Put 0035 TChartSeries.Repaint"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 73 08 7D F2 8B D6 8B C3 E8 ?? ?? ?? ?? 3B F8 74 13 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17176_0 {
	meta:
		name = "TPieOtherSlice.Create"
		size = 85
		refs = "000b @ClassCreate 001a TObject.Create 0025 TeeMsg_PieOther 002a LoadResString 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 8D 57 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 04 00 33 C0 89 47 0C 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17177_0 {
	meta:
		name = "TPieOtherSlice.Assign"
		size = 59
		refs = "000b _DV_TPieOtherSlice 0010 @IsClass 0027 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B FE 8A 47 04 88 43 04 8D 43 08 8B 57 08 E8 ?? ?? ?? ?? 8B 47 0C 89 43 0C 8B 47 10 89 43 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17178_0 {
	meta:
		name = "TPieOtherSlice.SetStyle"
		size = 17
		refs = "000c TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 04 74 0B 88 50 04 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17179_0 {
	meta:
		name = "TPieOtherSlice.SetText"
		size = 14
		refs = "0009 TChartSeries.SetStringProperty"
	strings:
		$1 = { 8D 48 08 8B 40 14 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17180_0 {
	meta:
		name = "TPieOtherSlice.SetValue"
		size = 24
		refs = "0010 TChartSeries.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 0C 8B 40 14 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_17181_0 {
	meta:
		name = "TPieSeries.Create"
		size = 202
		refs = "000e @ClassCreate 001c TCircledSeries.Create 0023 _DV_TPieAngles 0028 TObject.Create 0035 TChartSeries.CreateChartPen 0042 _DV_TExplodedSlices 005b _DV_TPieOtherSlice 0060 TPieOtherSlice.Create 0071 @LStrClr 007c TeeMsg_ValuesPie 0081 LoadResString 008b TSeriesMarks.SetVisible 0098 TSeriesMarks.SetArrowLength 00b5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 30 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 28 01 00 00 89 5E 10 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 34 01 00 00 8B 43 70 83 C0 24 E8 ?? ?? ?? ?? 8B 43 78 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 43 50 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 43 50 E8 ?? ?? ?? ?? C6 83 24 01 00 00 01 B2 01 8B C3 8B 08 FF 51 78 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17182_0 {
	meta:
		name = "TPieSeries.FreePieAngles"
		size = 53
		refs = "0019 TPieAngles.GetAngle 001e TObject.Free 002d @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B B8 3C 01 00 00 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17183_0 {
	meta:
		name = "TPieSeries.Destroy"
		size = 85
		refs = "0003 @BeforeDestruction 000e TPieSeries.FreePieAngles 0019 TObject.Free 0043 TCircledSeries.Destroy 004e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 8B 86 28 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 28 01 00 00 8B 86 34 01 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17184_0 {
	meta:
		name = "TPieSeries.NumSampleValues"
		size = 6
	strings:
		$1 = { B8 08 00 00 00 C3 }
	condition:
		$1
}

rule function_17185_0 {
	meta:
		name = "TPieSeries.ClearLists"
		size = 31
		refs = "0006 TChartSeries.ClearLists 0019 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 28 01 00 00 85 C0 74 09 66 BB FF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17186_0 {
	meta:
		name = "TPieSeries.PrepareLegendCanvas"
		size = 56
		refs = "001a TCircledSeries.PrepareLegendCanvas 002a GetDefaultPattern"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 38 01 00 00 00 74 09 8B C6 E8 ?? ?? ?? ?? 88 07 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17187_0 {
	meta:
		name = "PieSampleStr"
		size = 159
		refs = "000f PieSampleStr 0032 TeeMsg_PieSample1 0037 LoadResString 0040 TeeMsg_PieSample2 004e TeeMsg_PieSample3 005c TeeMsg_PieSample4 006a TeeMsg_PieSample5 0078 TeeMsg_PieSample6 0086 TeeMsg_PieSample7 0094 TeeMsg_PieSample8"
	strings:
		$1 = { 53 8B DA 83 F8 06 0F 87 85 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17188_0 {
	meta:
		name = "TPieSeries.FillSampleValues"
		size = 165
		refs = "0017 TPieSeries.FillSampleValues 003a @RandInt 005e PieSampleStr 007d TChartSeries.RefreshSeries 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 90 00 00 00 4B 85 DB 7C 48 43 33 F6 B8 E8 03 00 00 E8 ?? ?? ?? ?? 40 89 45 F8 DB 45 F8 83 C4 F8 DD 1C 24 9B 8D 55 F4 8B C6 25 07 00 00 80 79 05 48 83 C8 F8 40 E8 ?? ?? ?? ?? 8B 55 F4 B9 00 00 00 80 8B 45 FC 8B 38 FF 97 84 00 00 00 46 4B 75 BB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17189_0 {
	meta:
		name = "TPieSeries.CalcClickedPie"
		size = 164
		refs = "003d TCircledSeries.PointToAngle 004a TPieSeries.CalcClickedPie 005a TChartSeries.Count 0071 TPieAngles.GetAngle"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B D8 83 CE FF 8B C7 2B 83 0C 01 00 00 99 33 C2 2B C2 3B 83 F0 00 00 00 7D 72 8B C1 2B 83 10 01 00 00 99 33 C2 2B C2 3B 83 F4 00 00 00 7D 5D 8B D7 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 33 F6 EB 3E 8B C3 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 30 45 33 FF 8B D7 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 8B D0 DD 04 24 DC 5A 04 DF E0 9E 72 0F DD 04 24 DC 5A 14 DF E0 9E 77 04 8B F7 EB 04 47 4D 75 D3 8B C6 59 5A 5D 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_17190_0 {
	meta:
		name = "TPieSeries.Clicked"
		size = 40
		refs = "0010 TChartSeries.Clicked 0020 TPieSeries.CalcClickedPie"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 75 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17191_0 {
	meta:
		name = "TPieSeries.CountLegendItems"
		size = 57
		refs = "0009 TChartSeries.Count 0025 TPieSeries.BelongsToOtherSlice"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 E8 ?? ?? ?? ?? 8B E8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 01 4D 46 4B 75 EE 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17192_0 {
	meta:
		name = "TPieSeries.LegendToValueIndex"
		size = 79
		refs = "0019 TChartSeries.Count 002c TPieSeries.BelongsToOtherSlice"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B 04 24 89 44 24 04 83 CD FF 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0C 45 3B 2C 24 75 06 89 74 24 04 EB 04 46 4B 75 E3 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17193_0 {
	meta:
		name = "TPieSeries.BelongsToOtherSlice"
		size = 36
		refs = "000c TChartValueList.GetValue 0012 TPieSeries.BelongsToOtherSlice"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 70 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? DF E0 9E 0F 94 C0 5E 5B C3 00 00 00 80 BF }
	condition:
		$1
}

rule function_17194_0 {
	meta:
		name = "TPieSeries.CalcAngles"
		size = 364
		refs = "0028 TPieSeries.CalcAngles 0033 TwoPi 004e TPieSeries.FreePieAngles 0055 TChartSeries.Count 006a _DV_TPieAngle 006f TObject.Create 007c TList.Add 0089 TPieAngles.GetAngle 00ca TPieSeries.BelongsToOtherSlice"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F0 33 C0 89 44 24 08 89 44 24 0C 8B 46 78 8B 50 40 89 14 24 8B 50 44 89 54 24 04 DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 10 DD 05 ?? ?? ?? ?? DC 34 24 DD 5C 24 10 9B EB 0A 33 C0 89 44 24 10 89 44 24 14 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C F8 00 00 00 45 33 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 FF 75 0A 33 C0 89 43 04 89 43 08 EB 1A 8B D7 4A 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 8B 50 14 89 53 04 8B 50 18 89 53 08 DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 74 6D 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 14 8B D7 8B C6 8B 08 FF 51 6C D9 E1 DC 44 24 08 DD 5C 24 08 9B DD 44 24 08 DC 1C 24 DF E0 9E 75 14 8B 05 ?? ?? ?? ?? 89 43 14 8B 05 ?? ?? ?? ?? 89 43 18 EB 0C DD 44 24 08 DC 4C 24 10 DD 5B 14 9B DD 43 14 DC 63 04 DC 1D ?? ?? ?? ?? DF E0 9E 76 21 DD 43 04 DC 05 ?? ?? ?? ?? DD 5B 14 9B EB 12 8B 05 ?? ?? ?? ?? 89 43 14 8B 05 ?? ?? ?? ?? 89 43 18 DD 43 04 DC 43 14 D8 0D ?? ?? ?? ?? DD 5B 0C 9B 47 4D 0F 85 0B FF FF FF 83 C4 18 5D 5F 5E 5B C3 00 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_17195_0 {
	meta:
		name = "TPieSeries.CalcExplodedRadius"
		size = 108
		refs = "0018 TExplodedSlices.GetValue 0024 TPieSeries.CalcExplodedRadius 003c @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 DB 45 F4 D8 35 ?? ?? ?? ?? DD 5D F8 9B 8B B3 F0 00 00 00 89 75 F4 DB 45 F4 DC 4D F8 E8 ?? ?? ?? ?? 03 C6 89 07 8B B3 F4 00 00 00 89 75 F4 DB 45 F4 DC 4D F8 E8 ?? ?? ?? ?? 03 C6 8B 55 08 89 02 5F 5E 5B 8B E5 5D C2 04 00 00 00 C8 42 }
	condition:
		$1
}

rule function_17196_0 {
	meta:
		name = "TPieSeries.DrawMark"
		size = 316
		refs = "001a TPieSeries.BelongsToOtherSlice 0033 TPieAngles.GetAngle 0047 TPieSeries.CalcExplodedRadius 005b TPieSeries.DrawMark 007b TTeeCanvas.FontHeight 0098 TCircledSeries.AngleToPos 0120 TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 FE 00 00 00 8B 7B 54 8B 55 FC 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 8D 45 F0 50 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC FF 70 10 FF 70 0C 8B 87 5C 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 60 03 45 F4 89 45 E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 8B 87 5C 02 00 00 E8 ?? ?? ?? ?? 03 45 F0 89 45 E4 DB 45 E4 83 C4 F8 DD 1C 24 9B 8D 4E 10 8D 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 EC FF 72 10 FF 72 0C 8B 43 50 8B 40 08 8B 55 F4 2B D0 89 55 E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 8B 55 F0 2B D0 89 55 E4 DB 45 E4 83 C4 F8 DD 1C 24 9B 8D 4E 08 8D 56 04 8B C3 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 3B 93 0C 01 00 00 7E 05 89 56 1C EB 06 2B 56 24 89 56 1C 8B 50 04 3B 93 10 01 00 00 7E 05 89 56 20 EB 06 2B 56 18 89 56 20 8B 43 50 8B 93 DC 00 00 00 89 50 2C 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_17197_0 {
	meta:
		name = "GetAngleSlice"
		size = 172
		refs = "001b TPieAngles.GetAngle 003a TwoPi 0055 HalfPi 006d GetAngleSlice"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 45 08 8B 40 08 8B 40 FC 8B 80 3C 01 00 00 8B D3 E8 ?? ?? ?? ?? DD 40 0C 8B 45 08 8B 40 08 8B 40 FC DC 80 FC 00 00 00 DD 5D F8 9B DD 45 F8 DC 1D ?? ?? ?? ?? DF E0 9E 76 0D DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 DC 1D ?? ?? ?? ?? DF E0 9E 76 2A DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 9B DB 2D ?? ?? ?? ?? DC 5D F8 DF E0 9E 73 1C DD 05 ?? ?? ?? ?? DC 65 F8 DD 5D F8 9B EB 0D DD 05 ?? ?? ?? ?? DC 65 F8 DD 5D F8 9B DD 45 F8 5B 59 59 5D C3 00 00 00 35 C2 68 21 A2 DA 0F C9 00 40 00 00 }
	condition:
		$1
}

rule function_17198_0 {
	meta:
		name = "CompareSliceAngle"
		size = 92
		refs = "0015 GetAngleSlice"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 55 8B 55 08 8B 84 82 F8 EF FF FF E8 ?? ?? ?? ?? 59 DD 5D F8 9B 55 8B 45 08 8B 84 98 F8 EF FF FF E8 ?? ?? ?? ?? 59 DD 5D F0 9B DD 45 F8 DC 5D F0 DF E0 9E 73 05 83 C8 FF EB 14 DD 45 F8 DC 5D F0 DF E0 9E 76 07 B8 01 00 00 00 EB 02 33 C0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17199_0 {
	meta:
		name = "SortSlices"
		size = 205
		refs = "0041 CompareSliceAngle 007b SwapInteger 00ad SortSlices"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 75 08 81 C6 F4 EF FF FF 8B 7D 08 81 C7 F0 EF FF FF 8B 5D FC 8B 45 F8 89 06 8B 06 03 C3 D1 E8 89 07 3B 1E 7D 67 EB 01 43 8B 45 08 50 8B 17 8B C3 E8 ?? ?? ?? ?? 59 85 C0 7C ED EB 02 FF 0E 8B 45 08 50 8B 16 8B 07 E8 ?? ?? ?? ?? 59 85 C0 7C EC 3B 1E 7D 2D 8B 06 8B 55 08 8D 94 82 F8 EF FF FF 8B 45 08 8D 84 98 F8 EF FF FF E8 ?? ?? ?? ?? 3B 1F 75 06 8B 06 89 07 EB 08 8B 06 3B 07 75 02 89 1F 3B 1E 7F 03 43 FF 0E 3B 1E 7C 9C 8B 06 3B 45 FC 7E 0F 8B 45 08 50 8B 16 8B 45 FC E8 ?? ?? ?? ?? 59 3B 5D F8 7D 0F 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17200_0 {
	meta:
		name = "TPieSeries.DrawAllValues"
		size = 548
		refs = "0023 TPieSeries.CalcExplodeBiggest 0037 TChartSeries.Count 005b TExplodedSlices.GetValue 0083 TPieSeries.CalcAngles 00b2 TPieAngles.GetAngle 00cd SinCos 00f8 TPieSeries.DrawAllValues 00fd @ROUND 0109 @_lldiv 0155 InflateRect 015d TCircledSeries.AdjustCircleRect 0165 TCircledSeries.CalcRadius 01a3 TCircledSeries.AngleToPos 01e8 SortSlices 0214 TChartSeries.DrawAllValues"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 CC 53 56 57 89 45 FC 8B 45 FC 83 B8 2C 01 00 00 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? C7 85 E8 EF FF FF FF FF FF FF 33 FF 8B 45 FC E8 ?? ?? ?? ?? 48 89 85 EC EF FF FF 8B 9D EC EF FF FF 85 DB 7C 33 43 33 F6 8B 45 FC 8B 80 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 3B F8 7D 18 8B 45 FC 8B 80 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 89 B5 E8 EF FF FF 46 4B 75 D0 8B 45 FC E8 ?? ?? ?? ?? 83 BD E8 EF FF FF FF 0F 95 C0 8B 55 FC 88 82 50 01 00 00 84 C0 0F 84 C7 00 00 00 8B 45 FC 8B 80 3C 01 00 00 8B 95 E8 EF FF FF E8 ?? ?? ?? ?? DD 40 0C 83 C4 F4 DB 3C 24 9B 8D 95 D4 EF FF FF 8D 85 DE EF FF FF E8 ?? ?? ?? ?? 6A 00 6A 02 DB AD D4 EF FF FF D9 E1 8B 45 FC DB 80 F4 00 00 00 DE C9 89 BD D0 EF FF FF DB 85 D0 EF FF FF DE C9 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 50 6A 00 6A 02 DB AD DE EF FF FF D9 E1 8B 45 FC DB 80 F0 00 00 00 DE C9 89 BD CC EF FF FF DB 85 CC EF FF FF DE C9 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 50 8B 45 FC 05 14 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC DB 80 F0 00 00 00 83 C4 F8 DD 1C 24 9B 8B 45 FC DB 80 F4 00 00 00 83 C4 F8 DD 1C 24 9B 8B 45 FC 8D 88 44 01 00 00 8B 45 FC 8D 90 40 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 80 B8 4C 02 00 00 00 74 5A 8B 45 FC 80 B8 50 01 00 00 00 74 4E 8B 9D EC EF FF FF 85 DB 7C 12 43 33 F6 8D 85 F8 EF FF FF 89 30 46 83 C0 04 4B 75 F7 55 8B 95 EC EF FF FF 33 C0 E8 ?? ?? ?? ?? 59 8B 9D EC EF FF FF 85 DB 7C 21 43 8D B5 F8 EF FF FF 8B 16 8B 45 FC 8B 08 FF 51 5C 83 C6 04 4B 75 F0 EB 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 C8 42 }
	condition:
		$1
}

rule function_17201_0 {
	meta:
		name = "DrawPieSlice"
		size = 376
		refs = "00fe TCircledSeries.AngleToPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 8B 5D 18 83 C3 FC 8B 03 8B 40 54 8B 90 5C 02 00 00 89 55 F8 8B 13 8D BA 14 01 00 00 80 B8 4C 02 00 00 00 0F 84 90 00 00 00 8B 45 F8 8B 10 FF 92 98 00 00 00 84 C0 74 02 F7 DE 8B 03 8B 80 F0 00 00 00 50 8B 03 8B 80 F4 00 00 00 50 8B 03 8B 80 D4 00 00 00 50 8B 03 8B 80 DC 00 00 00 50 DD 45 10 8B 03 DC 80 FC 00 00 00 83 C4 F8 DD 1C 24 9B DD 45 08 8B 03 DC 80 FC 00 00 00 83 C4 F8 DD 1C 24 9B 8B 03 8A 80 24 01 00 00 50 8B 03 8A 80 50 01 00 00 50 8B 03 8B 88 10 01 00 00 2B 4D FC 8B 03 8B 90 0C 01 00 00 03 D6 8B 45 F8 8B 18 FF 93 F0 00 00 00 E9 A8 00 00 00 FF 75 0C FF 75 08 8B 03 DB 80 F0 00 00 00 83 C4 F8 DD 1C 24 9B 8B 03 DB 80 F4 00 00 00 83 C4 F8 DD 1C 24 9B 8B 03 8D 88 4C 01 00 00 8B 03 8D 90 48 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B 47 08 03 C6 50 8B 47 0C 2B 45 FC 50 8B 03 8B 80 40 01 00 00 03 C6 50 8B 03 8B 80 44 01 00 00 2B 45 FC 50 8B 03 8B 80 48 01 00 00 03 C6 50 8B 03 8B 80 4C 01 00 00 2B 45 FC 50 8B 4F 04 2B 4D FC 8B 17 03 D6 8B 45 F8 8B 30 FF 56 4C 8B 03 8B 80 48 01 00 00 8B 13 89 82 40 01 00 00 8B 03 8B 80 4C 01 00 00 8B 13 89 82 44 01 00 00 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_17202_0 {
	meta:
		name = "TPieSeries.DrawPie"
		size = 260
		refs = "0023 TTeeCanvas.AssignVisiblePen 0033 TPieAngles.GetAngle 0055 TExplodedSlices.GetValue 007b SinCos 0097 TPieSeries.DrawPie 00be @ROUND 00db DrawPieSlice"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 89 45 FC 8B 45 FC 8B 90 30 01 00 00 8B 45 FC 8B 40 54 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 80 B8 50 01 00 00 00 0F 84 99 00 00 00 8B 45 FC 8B 80 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 8E 81 00 00 00 DD 43 0C 8B 45 FC DC 80 FC 00 00 00 83 C4 F4 DB 3C 24 9B 8D 55 E8 8D 45 F2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 28 01 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 DC DB 45 DC D8 35 ?? ?? ?? ?? DD 5D E0 9B 55 FF 73 08 FF 73 04 FF 73 18 FF 73 14 8B 45 FC DB 80 F4 00 00 00 DC 4D E0 DB 6D F2 DE C9 E8 ?? ?? ?? ?? 50 8B 45 FC DB 80 F0 00 00 00 DC 4D E0 DB 6D E8 DE C9 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 59 EB 17 55 FF 73 08 FF 73 04 FF 73 18 FF 73 14 33 D2 33 C0 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 00 00 00 C8 42 }
	condition:
		$1
}

rule function_17203_0 {
	meta:
		name = "TPieSeries.CalcExplodeBiggest"
		size = 43
		refs = "000d TChartValueList.Locate 0025 TExplodedSlices.SetValue"
	strings:
		$1 = { 53 8B D8 8B 43 78 FF 70 10 FF 70 0C E8 ?? ?? ?? ?? 83 F8 FF 74 13 8B 8B 2C 01 00 00 8B D0 8B 83 28 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17204_0 {
	meta:
		name = "TPieSeries.SetExplodeBiggest"
		size = 28
		refs = "000f TChartSeries.SetIntegerProperty 0016 TPieSeries.CalcExplodeBiggest"
	strings:
		$1 = { 53 8B D8 8D 83 2C 01 00 00 8B CA 8B D3 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17205_0 {
	meta:
		name = "TPieSeries.SetPiePen"
		size = 12
	strings:
		$1 = { 8B 80 30 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_17207_0 {
	meta:
		name = "TPieSeries.DrawValue"
		size = 178
		refs = "0028 TPieSeries.BelongsToOtherSlice 0047 GetDefaultPattern 0057 TCircledSeries.CalcCircleBackColor 0068 TCustomTeePanel.SetBrushCanvas"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 83 BB 04 01 00 00 04 0F 8E 96 00 00 00 83 BB 08 01 00 00 04 0F 8E 89 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 7C 8B D6 8B C3 8B 08 FF 51 60 8B F8 80 BB 38 01 00 00 00 74 0C 8B C6 E8 ?? ?? ?? ?? 88 04 24 EB 04 C6 04 24 00 8B C3 E8 ?? ?? ?? ?? 8B E8 55 8A 4C 24 04 8B D7 8B 43 54 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 34 01 00 00 83 FE 10 7C 2F 81 FF 00 00 00 80 75 27 57 B1 07 8B D5 8B 43 54 E8 ?? ?? ?? ?? 80 BB 38 01 00 00 00 75 11 83 FE 10 7C 0C 8B D6 8B C3 8B 08 FF 91 34 01 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17208_0 {
	meta:
		name = "TPieSeries.SetUsePatterns"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 38 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17209_0 {
	meta:
		name = "TPieSeries.GetEditorClass"
		size = 48
		refs = "0006 TPieSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 10 00 00 00 54 50 69 65 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 00 00 }
	condition:
		$1
}

rule function_17212_0 {
	meta:
		name = "TPieSeries.SetDark3d"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 24 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17213_0 {
	meta:
		name = "TPieSeries.MaxXValue"
		size = 33
		refs = "0009 TChartSeries.GetHorizAxis"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 10 89 14 24 8B 50 14 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_17215_0 {
	meta:
		name = "TPieSeries.MaxYValue"
		size = 33
		refs = "0009 TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 10 89 14 24 8B 50 14 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_17214_0 {
	meta:
		name = "TPieSeries.MinXValue"
		size = 33
		refs = "0009 TChartSeries.GetHorizAxis"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 18 89 14 24 8B 50 1C 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_17216_0 {
	meta:
		name = "TPieSeries.MinYValue"
		size = 33
		refs = "0009 TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 18 89 14 24 8B 50 1C 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_17217_0 {
	meta:
		name = "TPieSeries.PrepareForGallery"
		size = 115
		refs = "000c TChartSeries.PrepareForGallery 0028 TCustomAxisPanel.SetChart3DPercent 003b TCircledSeries.SetCircled 004d TView3DOptions.SetOrthogonal 0056 TView3DOptions.SetRotation 0062 TView3DOptions.SetElevation"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C7 8B 08 FF 91 9C 00 00 00 BA 4B 00 00 00 8B 47 54 E8 ?? ?? ?? ?? 8B 47 54 8A 90 4C 02 00 00 80 F2 01 8B C7 E8 ?? ?? ?? ?? 8B 47 54 8B B0 50 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? BA 31 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C7 8B 08 FF 51 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17218_0 {
	meta:
		name = "TPieSeries.Assign"
		size = 118
		refs = "000b _DV_TPieSeries 0010 @IsClass 0065 TCircledSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 48 8B FE 8A 87 24 01 00 00 88 83 24 01 00 00 8A 87 38 01 00 00 88 83 38 01 00 00 8B 97 30 01 00 00 8B 83 30 01 00 00 8B 08 FF 51 08 8B 87 2C 01 00 00 89 83 2C 01 00 00 8B 97 34 01 00 00 8B 83 34 01 00 00 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17220_0 {
	meta:
		name = "TPieSeries.DoBeforeDrawChart"
		size = 400
		refs = "000b TChartSeries.Count 001f TChartValueList.GetValue 0025 TPieSeries.DoBeforeDrawChart 0072 TChartValueList.SetValue 009f TChartValueList.RecalcMinMax"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2C 43 33 F6 8B D6 8B 47 70 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 75 0E 8B D6 8B C7 8B 08 FF 91 98 00 00 00 EB 04 46 4B 75 D7 33 C0 89 44 24 08 89 44 24 0C 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 33 43 33 F6 89 74 24 10 DB 44 24 10 83 C4 F8 DD 1C 24 9B 8B D6 8B 47 70 E8 ?? ?? ?? ?? 8B D6 8B 47 78 E8 ?? ?? ?? ?? DC 44 24 08 DD 5C 24 08 9B 46 4B 75 D0 8B 47 78 8B 54 24 08 89 50 40 8B 54 24 0C 89 50 44 E8 ?? ?? ?? ?? 8B 87 34 01 00 00 80 78 04 00 0F 84 C2 00 00 00 33 C0 89 44 24 08 89 44 24 0C 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 63 43 33 F6 8B D6 8B 47 78 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 97 34 01 00 00 80 7A 04 01 75 13 DD 04 24 D8 0D ?? ?? ?? ?? 8B 47 78 DC 70 40 DD 1C 24 9B DD 04 24 DC 5A 0C DF E0 9E 73 24 8B D6 8B 47 78 E8 ?? ?? ?? ?? DC 44 24 08 DD 5C 24 08 9B 68 00 00 F0 BF 6A 00 8B D6 8B 47 70 E8 ?? ?? ?? ?? 46 4B 75 A0 DD 44 24 08 D8 1D ?? ?? ?? ?? DF E0 9E 74 38 68 FF FF DF 41 68 00 00 C0 FF FF 74 24 14 FF 74 24 14 8B 87 34 01 00 00 8B 50 08 B9 00 00 00 80 8B C7 8B 18 FF 93 8C 00 00 00 8B 47 78 DD 40 40 DC 64 24 08 DD 58 40 9B 83 C4 14 5F 5E 5B C3 00 00 00 00 FE FF FF FF 1D 40 00 00 00 00 C8 42 00 00 00 00 }
	condition:
		$1
}

rule function_17221_0 {
	meta:
		name = "TFastLineSeries.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TChartSeries.Create 001e TChartSeries.CreateChartPen 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 86 E4 00 00 00 C6 86 D2 00 00 00 00 C6 86 D1 00 00 00 01 C6 86 E0 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17222_0 {
	meta:
		name = "TFastLineSeries.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TChartSeries.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17223_0 {
	meta:
		name = "TFastLineSeries.SetLinePen"
		size = 39
		refs = "0015 TPen.GetColor"
	strings:
		$1 = { 56 8B F0 8B 86 E4 00 00 00 8B 08 FF 51 08 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 80 00 00 00 5E C3 }
	condition:
		$1
}

rule function_17224_0 {
	meta:
		name = "TFastLineSeries.NotifyNewValue"
		size = 181
		refs = "0017 TChartSeries.NotifyNewValue"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F0 80 BE E0 00 00 00 00 74 0E 8B CF 8B C6 E8 ?? ?? ?? ?? E9 8F 00 00 00 8B 46 54 89 04 24 8B 04 24 8B A8 5C 02 00 00 8B 45 0C 8B 96 E4 00 00 00 8B 08 FF 51 08 85 FF 75 04 33 DB EB 03 8B DF 4B 8B 04 24 80 B8 4C 02 00 00 00 74 2F 8B 86 D8 00 00 00 50 8B D3 8B C6 8B 08 FF 91 D4 00 00 00 50 8B D3 8B C6 8B 08 FF 91 D0 00 00 00 8B D0 8B C5 59 8B 18 FF 93 E8 00 00 00 EB 23 8B D3 8B C6 8B 08 FF 91 D4 00 00 00 50 8B D3 8B C6 8B 08 FF 91 D0 00 00 00 8B D0 8B C5 59 8B 18 FF 53 48 8B D7 8B C6 8B 08 FF 51 5C 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17225_0 {
	meta:
		name = "TFastLineSeries.GetEditorClass"
		size = 52
		refs = "0006 TFastLineSeries.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 15 00 00 00 54 46 61 73 74 4C 69 6E 65 53 65 72 69 65 73 45 64 69 74 6F 72 00 00 00 }
	condition:
		$1
}

rule function_17226_0 {
	meta:
		name = "TFastLineSeries.PrepareCanvas"
		size = 63
		refs = "0022 TCustomTeePanel.CheckPenWidth 002d TPen.SetColor 0037 TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 8B F0 8B 7E 54 8B 9F 5C 02 00 00 8B 96 E4 00 00 00 8B 43 0C 8B 08 FF 51 08 8B 53 0C 8B C7 E8 ?? ?? ?? ?? 8B 56 28 8B 43 0C E8 ?? ?? ?? ?? B2 01 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17228_0 {
	meta:
		name = "TFastLineSeries.DrawValue"
		size = 321
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 D0 00 00 00 8B E8 8B D7 8B C6 8B 08 FF 91 D4 00 00 00 89 04 24 8B 46 54 8B 90 5C 02 00 00 89 54 24 04 8A 80 4C 02 00 00 3B 7E 40 0F 85 A7 00 00 00 85 FF 7E 74 84 C0 74 3D 55 8B 44 24 04 50 8B 86 D8 00 00 00 50 8B DF 4B 8B D3 8B C6 8B 08 FF 91 D4 00 00 00 50 8B D3 8B C6 8B 08 FF 91 D0 00 00 00 8B D0 8B 44 24 14 59 8B 18 FF 93 E4 00 00 00 E9 A2 00 00 00 55 8B 44 24 04 50 8B DF 4B 8B D3 8B C6 8B 08 FF 91 D4 00 00 00 50 8B D3 8B C6 8B 08 FF 91 D0 00 00 00 8B D0 8B 44 24 10 59 8B 18 FF 93 84 00 00 00 EB 6F 84 C0 74 1B 8B 86 D8 00 00 00 50 8B 4C 24 04 8B D5 8B 44 24 08 8B 18 FF 93 E8 00 00 00 EB 50 8B 0C 24 8B D5 8B 44 24 04 8B 18 FF 53 48 EB 40 3B AE E8 00 00 00 75 0B 8B 14 24 3B 96 EC 00 00 00 74 3C 84 C0 74 1B 8B 86 D8 00 00 00 50 8B 4C 24 04 8B D5 8B 44 24 08 8B 18 FF 93 EC 00 00 00 EB 0E 8B 0C 24 8B D5 8B 44 24 04 8B 18 FF 53 44 89 AE E8 00 00 00 8B 04 24 89 86 EC 00 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17229_0 {
	meta:
		name = "TFastLineSeries.SetSeriesColor"
		size = 31
		refs = "000b TChartSeries.SetSeriesColor 0018 TPen.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17230_0 {
	meta:
		name = "TFastLineSeries.DrawLegendShape"
		size = 44
		refs = "0009 TFastLineSeries.PrepareCanvas"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 43 04 03 43 0C D1 E8 50 8B 4B 08 8B 13 8B 46 54 8B 80 5C 02 00 00 8B 18 FF 53 6C 5E 5B C3 }
	condition:
		$1
}

rule function_17231_0 {
	meta:
		name = "TFastLineSeries.Assign"
		size = 68
		refs = "000b _DV_TFastLineSeries 0010 @IsClass 003c TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B FE 8B 97 E4 00 00 00 8B 83 E4 00 00 00 8B 08 FF 51 08 8A 87 E0 00 00 00 88 83 E0 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17232_0 {
	meta:
		name = "TFastLineSeries.Clicked"
		size = 198
		refs = "009c PointInLine"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 89 4C 24 04 89 14 24 8B D8 C7 44 24 08 FF FF FF FF 8B 43 40 83 F8 FF 0F 8E 96 00 00 00 83 7B 48 FF 0F 8E 8C 00 00 00 33 D2 89 54 24 0C 33 D2 89 54 24 10 8B 14 24 89 54 24 14 8B 54 24 04 89 54 24 18 8B F0 8B 43 48 2B C6 7C 68 40 89 44 24 1C 8B D6 8B C3 8B 08 FF 91 D0 00 00 00 8B F8 8B D6 8B C3 8B 08 FF 91 D4 00 00 00 8B E8 3B 3C 24 75 0C 3B 6C 24 04 75 06 89 74 24 08 EB 36 3B 73 40 7E 22 8B 44 24 0C 50 8B 44 24 14 50 8D 44 24 1C 8B CD 8B D7 E8 ?? ?? ?? ?? 84 C0 74 07 4E 89 74 24 08 EB 0F 89 7C 24 0C 89 6C 24 10 46 FF 4C 24 1C 75 9D 8B 44 24 08 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17233_0 {
	meta:
		name = "TFastLineSeries.DrawMark"
		size = 32
		refs = "0016 TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 8B 58 50 8B 5B 08 29 5E 10 29 5E 20 56 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17234_0 {
	meta:
		name = "RegisterStandardSeries"
		size = 381
		refs = "000b RegisterStandardSeries 001b TeeMsg_GalleryStandard 0020 LoadResString 002c TeeMsg_GalleryLine 0039 _DV_TLineSeries 003f RegisterTeeSeries 005a TeeMsg_GalleryBar 0067 _DV_TBarSeries 0088 TeeMsg_GalleryHorizBar 0095 _DV_THorizBarSeries 00b6 TeeMsg_GalleryArea 00c3 _DV_TAreaSeries 00e4 TeeMsg_GalleryPoint 00f1 _DV_TPointSeries 0112 TeeMsg_GalleryPie 011f _DV_TPieSeries 0140 TeeMsg_GalleryFastLine 014d _DV_TFastLineSeries 016d @LStrArrayClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 02 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_17237_0 {
	meta:
		name = "TChartShapeEditor.BShapePenClick"
		size = 18
		refs = "000d EditPen"
	strings:
		$1 = { 8B 90 10 03 00 00 8B 92 F0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17238_0 {
	meta:
		name = "TChartShapeEditor.FormShow"
		size = 477
		refs = "000d TChartShapeEditor.FormShow 001f Screen 0028 TScreen.SetCursor 0046 TBrush.GetColor 0059 TBrush.SetColor 0072 TCustomComboBox.SetItemIndex 0097 TChartSeries.Count 00ad TChartShape.GetX0 00bc FloatToStr 00ca TControl.SetText 00d1 TChartShape.GetY0 00f5 TChartShape.GetX1 0119 TChartShape.GetY1 0167 TCustomMemo.SetLines 018c TCustomRadioGroup.SetItemIndex 01cc @LStrClr 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 14 03 00 00 01 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 83 7B 0C 00 0F 84 85 01 00 00 8B 73 0C 89 B3 10 03 00 00 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 02 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 8B 83 10 03 00 00 33 D2 8A 90 F5 00 00 00 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B 83 10 03 00 00 8A 90 F6 00 00 00 8B 83 00 03 00 00 8B 08 FF 91 BC 00 00 00 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 83 F8 02 0F 85 96 00 00 00 8B B3 10 03 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B 83 10 03 00 00 8B 90 E8 00 00 00 8B 83 FC 02 00 00 8B 40 58 8B 08 FF 51 08 8B 83 10 03 00 00 8B 90 EC 00 00 00 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 8B 83 10 03 00 00 8A 80 E0 00 00 00 2C 01 72 08 74 27 FE C8 74 11 EB 31 33 D2 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? EB 22 BA 01 00 00 00 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? EB 10 BA 02 00 00 00 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? C6 83 14 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17240_0 {
	meta:
		name = "TChartShapeEditor.SEX0Change"
		size = 104
		refs = "000c TChartShapeEditor.SEX0Change 0029 TControl.GetText 0031 StrToFloat 0043 TChartShape.SetX0 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 14 03 00 00 00 75 28 8D 55 FC 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17241_0 {
	meta:
		name = "TChartShapeEditor.SEY0Change"
		size = 104
		refs = "000c TChartShapeEditor.SEY0Change 0029 TControl.GetText 0031 StrToFloat 0043 TChartShape.SetY0 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 14 03 00 00 00 75 28 8D 55 FC 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17242_0 {
	meta:
		name = "TChartShapeEditor.SEX1Change"
		size = 104
		refs = "000c TChartShapeEditor.SEX1Change 0029 TControl.GetText 0031 StrToFloat 0043 TChartShape.SetX1 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 14 03 00 00 00 75 28 8D 55 FC 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17243_0 {
	meta:
		name = "TChartShapeEditor.SEY1Change"
		size = 104
		refs = "000c TChartShapeEditor.SEY1Change 0029 TControl.GetText 0031 StrToFloat 0043 TChartShape.SetY1 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 14 03 00 00 00 75 28 8D 55 FC 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17244_0 {
	meta:
		name = "TChartShapeEditor.BShapeBrushClick"
		size = 60
		refs = "0012 EditChartBrush 0023 TBrush.GetColor 0036 TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 10 03 00 00 8B 90 E4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 10 03 00 00 8B 80 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 02 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17245_0 {
	meta:
		name = "TChartShapeEditor.MemoTextChange"
		size = 36
	strings:
		$1 = { 80 B8 14 03 00 00 00 75 1A 8B 90 FC 02 00 00 8B 92 04 02 00 00 8B 80 10 03 00 00 8B 08 FF 91 38 01 00 00 C3 }
	condition:
		$1
}

rule function_17246_0 {
	meta:
		name = "TChartShapeEditor.RGAlignClick"
		size = 66
		refs = "0021 TChartShape.SetAlignment"
	strings:
		$1 = { 8B 90 F4 02 00 00 8B 92 F8 01 00 00 83 EA 01 72 07 74 13 4A 74 1E EB 29 33 D2 8B 80 10 03 00 00 E8 ?? ?? ?? ?? C3 B2 02 8B 80 10 03 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 10 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17247_0 {
	meta:
		name = "TChartShapeEditor.Button1Click"
		size = 18
		refs = "000d InternalEditFont"
	strings:
		$1 = { 8B 90 10 03 00 00 8B 92 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17248_0 {
	meta:
		name = "TChartShapeEditor.CBTransClick"
		size = 32
		refs = "001a TChartShape.SetTransparent"
	strings:
		$1 = { 53 8B D8 8B 83 00 03 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17249_0 {
	meta:
		name = "TChartShapeEditor.BShapeColorClick"
		size = 76
		refs = "0014 TBrush.GetColor 001d EditColor 0026 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 10 03 00 00 8B BE E4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 02 00 00 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17250_0 {
	meta:
		name = "TChartShapeEditor.CBStyleChange"
		size = 29
		refs = "000a TCustomComboBox.GetItemIndex 0017 TChartShape.SetStyle"
	strings:
		$1 = { 53 8B D8 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17261_0 {
	meta:
		name = "ShareMem"
		size = 29
		refs = "0002 _DV_1 000a IsMemoryManagerSet 0013 SharedMemoryManager 0018 SetMemoryManager"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 13 E8 ?? ?? ?? ?? 84 C0 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17334_0 {
	meta:
		name = "TSpinButton.Create"
		size = 160
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TSpinButton.Create 0031 TSpinButton.CreateButton 004d TSpinButton.SetUpGlyph 0056 TSpinButton.SetDownGlyph 0062 TControl.SetWidth 006e TControl.SetHeight 0085 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 46 40 0B 05 ?? ?? ?? ?? 89 46 40 8B C6 E8 ?? ?? ?? ?? 89 86 EC 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 F0 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? BA 14 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 89 86 F4 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 21 00 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_17335_0 {
	meta:
		name = "TSpinButton.CreateButton"
		size = 100
		refs = "0009 _DV_TTimerSpeedButton 000e TSpeedButton.Create 0020 TSpinButton.BtnClick 0030 TSpinButton.BtnMouseDown 0039 TControl.SetVisible 0047 TSpinButton.CreateButton"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 B3 08 01 00 00 C7 83 04 01 00 00 ?? ?? ?? ?? 89 B3 B8 00 00 00 C7 83 B4 00 00 00 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 60 A0 ?? ?? ?? ?? 88 83 38 01 00 00 8B D6 8B C3 8B 08 FF 51 64 8B C3 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_17336_0 {
	meta:
		name = "TSpinButton.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 F8 01 00 00 75 08 33 C0 89 87 F8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17337_0 {
	meta:
		name = "TSpinButton.AdjustSize"
		size = 104
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 83 EC 01 00 00 85 C0 74 4F F6 43 20 01 75 49 83 3E 0F 7D 06 C7 06 0F 00 00 00 8B 16 52 8B 17 D1 FA 79 03 83 D2 00 52 33 C9 33 D2 8B 28 FF 95 80 00 00 00 8B 16 52 8B 17 8B 83 EC 01 00 00 8B 40 3C 2B D0 42 52 8B C8 49 33 D2 8B 83 F0 01 00 00 8B 18 FF 93 80 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17338_0 {
	meta:
		name = "TSpinButton.SetBounds"
		size = 68
		refs = "0024 TSpinButton.AdjustSize 0037 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 08 89 45 F8 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17340_0 {
	meta:
		name = "TSpinButton.WMSetFocus"
		size = 44
		refs = "0012 TSpinButton.WMSetFocus"
	strings:
		$1 = { 53 56 8B D8 8B B3 F4 01 00 00 8A 86 38 01 00 00 0A 05 ?? ?? ?? ?? 88 86 38 01 00 00 8B C6 8B 10 FF 52 78 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_17341_0 {
	meta:
		name = "TSpinButton.WMKillFocus"
		size = 44
		refs = "000b TSpinButton.WMKillFocus"
	strings:
		$1 = { 53 56 8B D8 8B B3 F4 01 00 00 A0 ?? ?? ?? ?? F7 D0 22 86 38 01 00 00 88 86 38 01 00 00 8B C6 8B 10 FF 52 78 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_17342_0 {
	meta:
		name = "TSpinButton.KeyDown"
		size = 107
		refs = "0024 TSpinButton.SetFocusBtn 0033 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 66 8B 02 66 83 E8 20 74 4C 66 83 E8 06 74 08 66 83 E8 02 74 21 EB 4D 8B 96 EC 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B C3 8B 96 F0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B C3 8B 86 F4 01 00 00 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17343_0 {
	meta:
		name = "TSpinButton.BtnMouseDown"
		size = 140
		refs = "000e TSpinButton.SetFocusBtn 0028 TWinControl.CanFocus 0037 TWinControl.GetHandle 003e GetFocus"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 84 C9 75 7B 8B C6 E8 ?? ?? ?? ?? 8B 9E F8 01 00 00 85 DB 74 3A 80 BB 78 01 00 00 00 74 31 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 74 10 8B 86 F8 01 00 00 8B 10 FF 92 B4 00 00 00 EB 30 80 BE 78 01 00 00 00 74 27 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 74 15 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 B4 00 00 00 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_17344_0 {
	meta:
		name = "TSpinButton.BtnClick"
		size = 65
	strings:
		$1 = { 53 3B 90 EC 01 00 00 75 1C 66 83 B8 FE 01 00 00 00 74 2C 8B D8 8B D0 8B 83 00 02 00 00 FF 93 FC 01 00 00 5B C3 66 83 B8 06 02 00 00 00 74 10 8B D8 8B D0 8B 83 08 02 00 00 FF 93 04 02 00 00 5B C3 }
	condition:
		$1
}

rule function_17345_0 {
	meta:
		name = "TSpinButton.SetFocusBtn"
		size = 124
		refs = "0013 TWinControl.CanFocus 002a TSpinButton.SetFocusBtn 0045 TWinControl.GetHandle 004c GetFocus"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 BB 78 01 00 00 00 74 63 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 3B B3 F4 01 00 00 74 50 8B BB F4 01 00 00 A0 ?? ?? ?? ?? F7 D0 22 87 38 01 00 00 88 87 38 01 00 00 89 B3 F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 1F 8B B3 F4 01 00 00 8A 86 38 01 00 00 0A 05 ?? ?? ?? ?? 88 86 38 01 00 00 8B C3 8B 10 FF 52 78 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_17347_0 {
	meta:
		name = "TSpinButton.Loaded"
		size = 82
		refs = "0009 TControl.Loaded 0023 TSpinButton.AdjustSize 004a TWinControl.SetBounds"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 38 75 09 8B 44 24 04 3B 43 3C 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 34 8B 53 30 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_17348_0 {
	meta:
		name = "TSpinButton.GetUpGlyph"
		size = 12
		refs = "0007 TSpeedButton.GetGlyph"
	strings:
		$1 = { 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17350_0 {
	meta:
		name = "TSpinButton.GetUpNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.GetNumGlyphs"
	strings:
		$1 = { 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17351_0 {
	meta:
		name = "TSpinButton.SetUpNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17349_0 {
	meta:
		name = "TSpinButton.SetUpGlyph"
		size = 92
		refs = "000e TSpeedButton.SetGlyph 0015 TSpinButton.SetUpGlyph 001a HInstance 0022 LoadBitmap 002e TSpeedButton.GetGlyph 0034 TBitmap.SetHandle 0041 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 85 D2 74 0D 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 10 FF 52 78 5B C3 00 00 53 70 69 6E 55 70 00 00 }
	condition:
		$1
}

rule function_17353_0 {
	meta:
		name = "TSpinButton.SetDownGlyph"
		size = 96
		refs = "000e TSpeedButton.SetGlyph 0015 TSpinButton.SetDownGlyph 001a HInstance 0022 LoadBitmap 002e TSpeedButton.GetGlyph 0034 TBitmap.SetHandle 0041 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 85 D2 74 0D 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 10 FF 52 78 5B C3 00 00 53 70 69 6E 44 6F 77 6E 00 00 00 00 }
	condition:
		$1
}

rule function_17356_0 {
	meta:
		name = "TSpinEdit.Create"
		size = 248
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0025 _DV_TSpinButton 002a TSpinButton.Create 003e TControl.SetWidth 004e TControl.SetHeight 005b TControl.SetVisible 00a1 TSpinEdit.Create 00a8 TControl.SetText 00d3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 02 00 00 BA 0F 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B 83 10 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 10 02 00 00 8B 08 FF 51 64 8B 83 10 02 00 00 89 98 F8 01 00 00 89 98 00 02 00 00 8B 13 8B 92 DC 00 00 00 89 90 FC 01 00 00 89 98 08 02 00 00 8B 13 8B 92 E0 00 00 00 89 90 04 02 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 C7 83 0C 02 00 00 01 00 00 00 C6 83 14 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 FF FF FF FF 01 00 00 00 30 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_17357_0 {
	meta:
		name = "TSpinEdit.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 001b TWinControl.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 86 10 02 00 00 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17359_0 {
	meta:
		name = "TSpinEdit.KeyDown"
		size = 64
		refs = "0038 TWinControl.KeyDown"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 66 83 3E 26 75 0E 8B D3 8B C3 8B 08 FF 91 DC 00 00 00 EB 12 66 83 3E 28 75 0C 8B D3 8B C3 8B 08 FF 91 E0 00 00 00 8B D6 8A 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17360_0 {
	meta:
		name = "TSpinEdit.KeyPress"
		size = 49
		refs = "001c MessageBeep 002a TWinControl.KeyPress"
	strings:
		$1 = { 53 56 8B DA 8B F0 8A 13 8B C6 8B 08 FF 91 D8 00 00 00 84 C0 75 0A C6 03 00 6A 00 E8 ?? ?? ?? ?? 80 3B 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17361_0 {
	meta:
		name = "TSpinEdit.IsValidChar"
		size = 144
		refs = "000c TSpinEdit.IsValidChar 001d DecimalSeparator"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B DA 8B F0 56 BE ?? ?? ?? ?? 8D 7C 24 04 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 8A 00 25 FF 00 00 00 0F AB 04 24 8B C3 25 FF 00 00 00 0F A3 04 24 72 0E 80 FB 20 73 05 80 FB 0D 75 04 33 C0 EB 02 B0 01 8A 96 14 02 00 00 80 F2 01 84 C2 74 11 80 FB 20 73 0A 80 FB 08 74 05 80 FB 2E 75 02 33 C0 83 C4 20 5F 5E 5B C3 00 00 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_17364_0 {
	meta:
		name = "TSpinEdit.SetEditRect"
		size = 126
		refs = "0013 TWinControl.GetHandle 0019 SendMessage 0020 TControl.GetClientHeight 002c TControl.GetClientWidth"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C4 50 6A 00 68 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 8B C3 E8 ?? ?? ?? ?? 8B 93 10 02 00 00 2B 42 38 83 E8 02 89 44 24 08 33 C0 89 44 24 04 33 C0 89 04 24 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C4 50 6A 00 68 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_17365_0 {
	meta:
		name = "TSpinEdit.WMSize"
		size = 158
		refs = "0008 TWinControl.WMSize 000f TSpinEdit.GetMinHeight 001d TControl.SetHeight 002d NewStyleControls 0096 TSpinEdit.SetEditRect"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 46 3C 7E 0B 8B D0 8B C6 E8 ?? ?? ?? ?? EB 77 83 BE 10 02 00 00 00 74 6E A1 ?? ?? ?? ?? 80 38 00 74 34 80 BE 2C 01 00 00 00 74 2B 8B 96 10 02 00 00 8B 7A 38 57 8B 56 3C 83 EA 05 52 8B 86 10 02 00 00 8B 56 38 2B D7 83 EA 05 33 C9 8B 18 FF 93 80 00 00 00 EB 29 8B 96 10 02 00 00 8B 7A 38 57 8B 56 3C 83 EA 03 52 8B 86 10 02 00 00 8B 56 38 2B D7 B9 01 00 00 00 8B 18 FF 93 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17366_0 {
	meta:
		name = "TSpinEdit.GetMinHeight"
		size = 112
		refs = "000a GetDC 0013 GetTextMetrics 001b TFont.GetHandle 0022 SelectObject 003e ReleaseDC 0052 GetSystemMetrics"
	strings:
		$1 = { 53 56 83 C4 90 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 8D 44 24 38 50 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 1C 24 8B 74 24 38 3B DE 7E 02 8B DE 6A 06 E8 ?? ?? ?? ?? C1 E0 02 85 DB 79 03 83 C3 03 C1 FB 02 03 DE 03 C3 83 C0 02 83 C4 70 5E 5B C3 }
	condition:
		$1
}

rule function_17367_0 {
	meta:
		name = "TSpinEdit.UpClick"
		size = 45
		refs = "000f MessageBeep 0018 TSpinEdit.GetValue 0027 TSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 09 6A 00 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 03 93 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17368_0 {
	meta:
		name = "TSpinEdit.DownClick"
		size = 45
		refs = "000f MessageBeep 0018 TSpinEdit.GetValue 0027 TSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 09 6A 00 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 2B 93 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17369_0 {
	meta:
		name = "TSpinEdit.WMCut"
		size = 30
		altNames = "TSpinEdit.WMPaste"
	strings:
		$1 = { 56 8B F0 80 BE 14 02 00 00 00 74 10 80 BE F2 01 00 00 00 75 07 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_17371_0 {
	meta:
		name = "TSpinEdit.CMExit"
		size = 59
		refs = "0007 TWinControl.CMExit 000e TSpinEdit.GetValue 0017 TSpinEdit.CheckValue 0034 TSpinEdit.SetValue"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17372_0 {
	meta:
		name = "TSpinEdit.GetValue"
		size = 133
		refs = "0015 TSpinEdit.GetValue 0034 TControl.GetText 003c StrToInt 004d @HandleAnyException 005b @DoneExcept 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 8B 45 FC 8B 98 04 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17373_0 {
	meta:
		name = "TSpinEdit.SetValue"
		size = 86
		refs = "000f TSpinEdit.SetValue 001e TSpinEdit.CheckValue 0026 IntToStr 0030 TControl.SetText 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17374_0 {
	meta:
		name = "TSpinEdit.CheckValue"
		size = 39
	strings:
		$1 = { 56 57 8B CA 8B B0 04 02 00 00 8B B8 08 02 00 00 3B F7 74 0E 3B F2 7E 04 8B CE EB 06 3B FA 7D 02 8B CF 8B C1 5F 5E C3 }
	condition:
		$1
}

rule function_17375_0 {
	meta:
		name = "TSpinEdit.CMEnter"
		size = 40
		refs = "0018 TCustomEdit.SelectAll 0021 TCustomEdit.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB F4 01 00 00 00 74 0D F6 43 44 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17376_0 {
	meta:
		name = "TTimerSpeedButton.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0022 TSpeedButton.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 34 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17377_0 {
	meta:
		name = "TTimerSpeedButton.MouseDown"
		size = 118
		refs = "0018 TSpeedButton.MouseDown 0033 _Dn_TTimer 0038 TTimer.Create 0044 TTimerSpeedButton.TimerExpired 004f TTimer.SetOnTimer 005f TTimer.SetInterval 006c TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? F6 83 38 01 00 00 02 74 4B 83 BB 34 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 34 01 00 00 53 68 ?? ?? ?? ?? 8B 83 34 01 00 00 E8 ?? ?? ?? ?? BA 90 01 00 00 8B 83 34 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17378_0 {
	meta:
		name = "TTimerSpeedButton.MouseUp"
		size = 51
		refs = "0018 TSpeedButton.MouseUp 0029 TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? 8B 83 34 01 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17379_0 {
	meta:
		name = "TTimerSpeedButton.TimerExpired"
		size = 126
		refs = "0019 TTimer.SetInterval 002d TControl.GetMouseCapture 0039 TTimerSpeedButton.TimerExpired 004b @CallDynaInst 005a @HandleAnyException 006a TTimer.SetEnabled 006f @RaiseAgain 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 34 01 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 32 01 00 00 02 75 4F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BB EC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 80 34 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17380_0 {
	meta:
		name = "TTimerSpeedButton.Paint"
		size = 103
		refs = "0009 TSpeedButton.Paint 0027 Bounds 0035 InflateRect 004c OffsetRect 0058 TCanvas.GetHandle 005e DrawFocusRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? F6 83 38 01 00 00 01 74 4C 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 6A FD 6A FD 8D 44 24 08 50 E8 ?? ?? ?? ?? 80 BB 32 01 00 00 02 75 0E 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? 54 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_17385_0 {
	meta:
		name = "TEditAction.HandlesTarget"
		size = 68
		refs = "001d _Dn_TCustomEdit 0022 @IsClass 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 6E 74 85 ED 74 04 3B EF 74 17 83 7E 74 00 75 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C7 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17387_0 {
	meta:
		name = "TEditAction.UpdateTarget"
		size = 72
		refs = "000a _DV_TEditCut 000f @IsClass 001b _DV_TEditCopy 0041 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B D6 8B C3 8B 08 FF 51 48 8B 10 FF 92 BC 00 00 00 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17392_0 {
	meta:
		name = "TEditPaste.UpdateTarget"
		size = 28
		refs = "0004 Clipboard 000d TClipboard.HasFormat 0016 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 66 BA 01 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17394_0 {
	meta:
		name = "TWindowAction.HandlesTarget"
		size = 60
		refs = "001c _Dn_TForm 0021 @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 74 85 FF 74 04 3B FE 74 17 83 7B 74 00 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BE 0F 02 00 00 02 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17396_0 {
	meta:
		name = "TWindowAction.UpdateTarget"
		size = 35
		refs = "0010 TCustomForm.GetMDIChildCount 001c TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17398_0 {
	meta:
		name = "TWindowClose.ExecuteTarget"
		size = 33
		refs = "000b TCustomForm.GetActiveMDIChild 001b TCustomForm.Close"
	strings:
		$1 = { 53 8B 08 FF 51 48 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17399_0 {
	meta:
		name = "TWindowClose.UpdateTarget"
		size = 35
		refs = "0010 TCustomForm.GetActiveMDIChild 001c TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 E8 ?? ?? ?? ?? 85 C0 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17401_0 {
	meta:
		name = "DoTile"
		size = 50
		refs = "001b TileParams 002d SendMessage"
	strings:
		$1 = { 80 B8 0F 02 00 00 02 75 28 83 B8 34 02 00 00 00 74 1F 6A 00 83 E2 7F 0F B7 14 55 ?? ?? ?? ?? 52 68 26 02 00 00 8B 80 34 02 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17402_0 {
	meta:
		name = "TWindowTileHorizontal.ExecuteTarget"
		size = 25
		refs = "0012 DoTile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17403_0 {
	meta:
		name = "TWindowTileVertical.ExecuteTarget"
		size = 25
		refs = "0012 DoTile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 B2 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17404_0 {
	meta:
		name = "TWindowMinimizeAll.ExecuteTarget"
		size = 49
		refs = "000c TCustomForm.GetMDIChildCount 001d TCustomForm.GetMDIChildren 0024 TCustomForm.SetWindowState"
	strings:
		$1 = { 53 56 8B 08 FF 51 48 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 16 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 4B 83 FB FF 75 EA 5E 5B C3 }
	condition:
		$1
}

rule function_17408_0 {
	meta:
		name = "HasPopup"
		size = 24
	strings:
		$1 = { B2 01 85 C0 74 0D 83 78 70 00 75 09 8B 40 24 85 C0 75 F3 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_17409_0 {
	meta:
		name = "TCustomGroupBox.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001c TCustomGroupBox.Create 002b TControl.SetWidth 0037 TControl.SetHeight 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 AB 08 00 00 }
	condition:
		$1
}

rule function_17410_0 {
	meta:
		name = "TCustomGroupBox.AdjustClientRect"
		size = 92
		refs = "000b TWinControl.AdjustClientRect 0019 TCanvas.SetFont 001e TCustomGroupBox.AdjustClientRect 0029 TCanvas.TextHeight 0036 InflateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 58 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 01 46 04 6A FF 6A FF 56 E8 ?? ?? ?? ?? 80 BB 2C 01 00 00 00 74 0A 6A FF 6A FF 56 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_17412_0 {
	meta:
		name = "TCustomGroupBox.Paint"
		size = 500
		refs = "0014 TCustomGroupBox.Paint 002a TCanvas.SetFont 0036 TCanvas.TextHeight 0056 Rect 0072 TBrush.SetColor 007c TCanvas.FrameRect 0089 OffsetRect 00b9 TControl.GetText 00ce @CallDynaInst 010a TCanvas.TextWidth 013a TControl.DrawTextBiDiModeFlags 015a @LStrLen 016d @LStrToPChar 0175 TCanvas.GetHandle 017b DrawText 01d3 @LStrClr 01d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 E8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BE EC 01 00 00 8B 56 58 8B C7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8B 46 3C 50 8D 45 EC 50 8B 55 FC D1 FA 79 03 83 D2 00 4A 8B 4E 38 33 C0 E8 ?? ?? ?? ?? 80 BE 2C 01 00 00 00 74 39 FF 45 EC FF 45 F0 BA 14 00 00 80 8B 47 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 47 14 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 80 8B 47 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 FB 00 00 00 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 FC 50 8D 45 EC 50 33 C9 33 D2 B8 08 00 00 00 E8 ?? ?? ?? ?? EB 44 8B 45 FC 50 8D 45 D8 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 F4 5A 2B C2 83 E8 08 33 C9 33 D2 E8 ?? ?? ?? ?? 56 57 8D 75 D8 8D 7D EC B9 04 00 00 00 F3 A5 5F 5E BA 20 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 0D 00 04 00 00 50 8D 45 EC 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 56 64 8B 47 14 E8 ?? ?? ?? ?? 53 8D 45 EC 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_17413_0 {
	meta:
		name = "TCustomGroupBox.CMDialogChar"
		size = 121
		refs = "000f TCustomGroupBox.CMDialogChar 001f TControl.GetText 002b IsAccel 0036 TWinControl.CanFocus 0041 TWinControl.SelectFirst 0053 TWinControl.CMDialogChar 0068 @LStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17414_0 {
	meta:
		name = "TCustomGroupBox.CMTextChanged"
		size = 19
		refs = "000d TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 78 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17415_0 {
	meta:
		name = "TCustomGroupBox.CMCtl3DChanged"
		size = 26
		refs = "0006 TWinControl.CMCtl3DChanged 0014 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17417_0 {
	meta:
		name = "TCustomLabel.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001c TCustomLabel.Create 002e TControl.SetWidth 003a TControl.SetHeight 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 BA 41 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 1D 01 00 00 01 C6 86 20 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 40 08 00 00 }
	condition:
		$1
}

rule function_17419_0 {
	meta:
		name = "TCustomLabel.DoDrawText"
		size = 368
		refs = "0012 TCustomLabel.DoDrawText 005a @LStrCat 0072 TControl.DrawTextBiDiModeFlags 0082 TCanvas.SetFont 009b OffsetRect 00ae TFont.SetColor 00b8 @LStrLen 00c1 @LStrToPChar 00cd TCanvas.GetHandle 00d3 DrawText 0151 @LStrClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 8C 00 00 00 F7 C6 00 04 00 00 74 2D 83 7D FC 00 74 1A 80 BB 20 01 00 00 00 74 1E 8B 45 FC 80 38 26 75 16 8B 45 FC 80 78 01 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 20 01 00 00 00 75 06 81 CE 00 08 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 53 58 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 84 C0 0F 85 86 00 00 00 6A 01 6A 01 57 E8 ?? ?? ?? ?? 8B 83 14 01 00 00 8B 40 0C BA 14 00 00 80 E8 ?? ?? ?? ?? 56 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A FF 57 E8 ?? ?? ?? ?? 8B 83 14 01 00 00 8B 40 0C BA 10 00 00 80 E8 ?? ?? ?? ?? 56 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 25 56 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_17420_0 {
	meta:
		name = "TCustomLabel.Paint"
		size = 257
		refs = "0011 TCustomLabel.GetTransparent 0020 TBrush.SetColor 002a TBrush.SetStyle 0040 TCanvas.FillRect 0063 WordWraps 0077 Alignments 00ad @CallDynaInst 00ca OffsetRect"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B F0 8B 9E 14 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 56 64 8B 43 14 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8D 54 24 20 8B C6 8B 08 FF 51 44 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 51 44 33 C0 8A 86 1F 01 00 00 66 8B 3C 45 ?? ?? ?? ?? 66 83 CF 40 33 C0 8A 86 1C 01 00 00 66 0B 3C 45 ?? ?? ?? ?? 0F B7 FF 80 BE 1E 01 00 00 00 74 64 56 57 8D 74 24 08 8D 7C 24 18 B9 04 00 00 00 F3 A5 5F 5E 8B CF 81 C9 00 04 00 00 8D 54 24 10 8B C6 66 BB CD FF E8 ?? ?? ?? ?? 80 BE 1E 01 00 00 02 75 16 8B 46 3C 2B 44 24 1C 50 6A 00 8D 44 24 08 50 E8 ?? ?? ?? ?? EB 1B 8B 46 3C 2B 44 24 1C D1 F8 79 03 83 D0 00 50 6A 00 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B D4 8B CF 8B C6 66 BB CD FF E8 ?? ?? ?? ?? 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17421_0 {
	meta:
		name = "TCustomLabel.Loaded"
		size = 23
		refs = "0006 TControl.Loaded 0011 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB CE FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17422_0 {
	meta:
		name = "TCustomLabel.AdjustBounds"
		size = 205
		refs = "002d GetDC 003c TCanvas.SetHandle 004c WordWraps 0063 @CallDynaInst 0078 ReleaseDC 009a ChangeBiDiModeAlignment"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F0 F6 46 20 02 0F 85 B4 00 00 00 80 BE 1D 01 00 00 00 0F 84 A7 00 00 00 8D 54 24 04 8B C6 8B 08 FF 51 44 6A 00 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 86 14 01 00 00 E8 ?? ?? ?? ?? 33 C0 8A 86 1F 01 00 00 66 8B 0C 45 ?? ?? ?? ?? 66 81 C9 40 04 0F B7 C9 8D 54 24 04 8B C6 66 BB CD FF E8 ?? ?? ?? ?? 33 D2 8B 86 14 01 00 00 E8 ?? ?? ?? ?? 57 6A 00 E8 ?? ?? ?? ?? 8B 7E 30 8A 86 1C 01 00 00 88 04 24 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 74 07 8B C4 E8 ?? ?? ?? ?? 80 3C 24 01 75 09 8B 46 38 2B 44 24 0C 03 F8 8B 44 24 0C 50 8B 44 24 14 50 8B 4E 34 8B D7 8B C6 8B 18 FF 93 80 00 00 00 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17423_0 {
	meta:
		name = "TCustomLabel.SetAlignment"
		size = 20
	strings:
		$1 = { 3A 90 1C 01 00 00 74 0B 88 90 1C 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_17424_0 {
	meta:
		name = "TCustomLabel.SetAutoSize"
		size = 26
		refs = "0014 @CallDynaInst"
	strings:
		$1 = { 53 3A 90 1D 01 00 00 74 0F 88 90 1D 01 00 00 66 BB CE FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17426_0 {
	meta:
		name = "TCustomLabel.SetFocusControl"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 18 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17429_0 {
	meta:
		name = "TCustomLabel.SetLayout"
		size = 20
	strings:
		$1 = { 3A 90 1E 01 00 00 74 0B 88 90 1E 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_17430_0 {
	meta:
		name = "TCustomLabel.SetWordWrap"
		size = 39
		refs = "0019 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3A 96 1F 01 00 00 74 18 88 96 1F 01 00 00 8B C6 66 BB CE FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_17431_0 {
	meta:
		name = "TCustomLabel.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 18 01 00 00 75 08 33 C0 89 87 18 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17432_0 {
	meta:
		name = "TCustomLabel.CMTextChanged"
		size = 23
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 78 8B C3 66 BB CE FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17433_0 {
	meta:
		name = "TCustomLabel.CMFontChanged"
		size = 25
		refs = "0007 TControl.CMFontChanged 0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17434_0 {
	meta:
		name = "TCustomLabel.CMDialogChar"
		size = 148
		refs = "000f TCustomLabel.CMDialogChar 003c TControl.GetText 0048 IsAccel 0059 TWinControl.CanFocus 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 18 01 00 00 00 74 50 8B C3 8B 10 FF 52 50 84 C0 74 45 80 BB 20 01 00 00 00 74 3C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 22 8B 9B 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 8B 10 FF 92 B4 00 00 00 C7 46 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17435_0 {
	meta:
		name = "TCustomEdit.Create"
		size = 168
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c NewStyleControls 0026 TCustomEdit.Create 003f TControl.SetWidth 004b TControl.SetHeight 0054 TWinControl.SetTabStop 005d TControl.SetParentColor 0080 TCustomEdit.AdjustHeight 008b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 46 40 EB 08 A1 ?? ?? ?? ?? 89 46 40 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 F0 01 00 00 01 C6 86 F3 01 00 00 01 C6 86 F4 01 00 00 01 C6 86 F5 01 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 A8 02 00 00 B8 02 00 00 }
	condition:
		$1
}

rule function_17436_0 {
	meta:
		name = "TCustomEdit.DoSetMaxLength"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 C5 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17437_0 {
	meta:
		name = "TCustomEdit.SetAutoSize"
		size = 20
		refs = "000f TCustomEdit.UpdateHeight"
	strings:
		$1 = { 3A 90 F3 01 00 00 74 0B 88 90 F3 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17438_0 {
	meta:
		name = "TCustomEdit.SetBorderStyle"
		size = 33
		refs = "0014 TCustomEdit.UpdateHeight 001b TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 F0 01 00 00 74 14 88 93 F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17439_0 {
	meta:
		name = "TCustomEdit.SetCharCase"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F7 01 00 00 74 0B 88 90 F7 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17441_0 {
	meta:
		name = "TCustomEdit.SetMaxLength"
		size = 46
		refs = "0017 TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 EC 01 00 00 74 1D 89 B3 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 8B 08 FF 91 B8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17443_0 {
	meta:
		name = "TCustomEdit.GetModified"
		size = 53
		refs = "000d TWinControl.HandleAllocated 0021 TWinControl.GetHandle 0027 SendMessage"
	strings:
		$1 = { 53 56 8B F0 8A 9E F9 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 6A 00 68 B8 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_17444_0 {
	meta:
		name = "TCustomEdit.GetCanUndo"
		size = 49
		refs = "0009 TWinControl.HandleAllocated 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 6A 00 68 C6 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_17445_0 {
	meta:
		name = "TCustomEdit.SetModified"
		size = 54
		refs = "0009 TWinControl.HandleAllocated 0020 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 6A 00 33 C0 8A C3 50 68 B9 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 88 9E F9 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17446_0 {
	meta:
		name = "TCustomEdit.SetPasswordChar"
		size = 136
		refs = "000c TCustomEdit.SetPasswordChar 0027 TWinControl.HandleAllocated 0042 TWinControl.GetHandle 0048 SendMessage 0052 TControl.GetText 005a @LStrToPChar 0063 TControl.SetTextBuf 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 93 F1 01 00 00 74 49 88 93 F1 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 6A 00 33 C0 8A 83 F1 01 00 00 50 68 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17447_0 {
	meta:
		name = "TCustomEdit.SetReadOnly"
		size = 59
		refs = "0017 TWinControl.HandleAllocated 002e TWinControl.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E F2 01 00 00 74 2A 88 9E F2 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 33 C0 8A C3 50 68 CF 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17448_0 {
	meta:
		name = "TCustomEdit.GetSelStart"
		size = 35
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 51 8B D8 6A 00 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_17449_0 {
	meta:
		name = "TCustomEdit.SetSelStart"
		size = 29
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 56 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17450_0 {
	meta:
		name = "TCustomEdit.GetSelLength"
		size = 45
		refs = "0018 TWinControl.GetHandle 001e SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_17451_0 {
	meta:
		name = "TCustomEdit.SetSelLength"
		size = 99
		refs = "001b TWinControl.GetHandle 0021 SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 8B 44 24 04 50 8B 44 24 04 50 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17452_0 {
	meta:
		name = "TCustomEdit.Clear"
		size = 28
		refs = "0004 TCustomEdit.Clear 000b TWinControl.GetHandle 0011 SetWindowText"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_17453_0 {
	meta:
		name = "TCustomEdit.ClearSelection"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
		altNames = "TCustomEdit.ClearUndo"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 03 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17454_0 {
	meta:
		name = "TCustomEdit.CopyToClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 01 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17455_0 {
	meta:
		name = "TCustomEdit.CutToClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 00 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17456_0 {
	meta:
		name = "TCustomEdit.PasteFromClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 02 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17457_0 {
	meta:
		name = "TCustomEdit.Undo"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17459_0 {
	meta:
		name = "TCustomEdit.SelectAll"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A FF 6A 00 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17460_0 {
	meta:
		name = "TCustomEdit.GetSelTextBuf"
		size = 155
		refs = "002c TControl.GetTextLen 0032 StrAlloc 003d TCustomEdit.GetSelTextBuf 004b StrBufSize 0057 TControl.GetTextBuf 0070 StrLCopy 0085 StrDispose 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 89 55 FC 8B D8 8B C3 8B 10 FF 92 C0 00 00 00 8B F0 8B C3 8B 10 FF 92 BC 00 00 00 89 45 F8 8B C3 E8 ?? ?? ?? ?? 40 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 3B 7D F8 7F 04 4F 89 7D F8 8B 55 F4 03 D6 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17461_0 {
	meta:
		name = "TCustomEdit.SetSelTextBuf"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17462_0 {
	meta:
		name = "TCustomEdit.GetSelText"
		size = 156
		refs = "002d @LStrFromPCharLen 0038 TControl.GetTextLen 003e StrAlloc 0049 TCustomEdit.GetSelText 0057 StrBufSize 0063 TControl.GetTextBuf 0074 Move 0089 StrDispose 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 92 C0 00 00 00 89 45 F8 8B C3 8B 10 FF 92 BC 00 00 00 8B F0 8B C7 8B CE 33 D2 E8 ?? ?? ?? ?? 85 F6 74 60 8B C3 E8 ?? ?? ?? ?? 40 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 03 C2 8B 17 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17463_0 {
	meta:
		name = "TCustomEdit.SetSelText"
		size = 37
		refs = "0009 @LStrToPChar 0018 TWinControl.GetHandle 001e SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17464_0 {
	meta:
		name = "TCustomEdit.CreateParams"
		size = 188
		refs = "000b TWinControl.CreateParams 0010 TCustomEdit.CreateParams 0019 TWinControl.CreateSubClass 0030 BorderStyles 0044 Passwords 0053 ReadOnlys 0062 CharCases 0071 HideSelections 0080 OEMConverts 0088 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0D C0 00 00 00 33 D2 8A 93 F0 01 00 00 0B 04 95 ?? ?? ?? ?? 80 BB F1 01 00 00 00 0F 95 C2 83 E2 7F 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 F2 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 F7 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 F5 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 F6 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB 2C 01 00 00 00 74 17 80 BB F0 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 5E 5B C3 45 44 49 54 00 00 00 00 }
	condition:
		$1
}

rule function_17465_0 {
	meta:
		name = "TCustomEdit.CreateWindowHandle"
		size = 110
		refs = "000c SysLocale 0017 Win32Platform 003e TWinControl.CreateWindowHandle 0057 SendMessage"
	strings:
		$1 = { 53 56 57 81 C4 74 FF FF FF 8B D8 A1 ?? ?? ?? ?? 80 78 08 00 74 47 A1 ?? ?? ?? ?? 83 38 02 74 3D F6 42 05 08 74 37 8B F2 8B FC B9 23 00 00 00 F3 A5 81 64 24 04 FF F7 FF FF 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 85 C0 74 18 6A 00 6A 01 68 CF 00 00 00 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 81 C4 8C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17466_0 {
	meta:
		name = "TCustomEdit.CreateWnd"
		size = 162
		refs = "0015 TCustomEdit.CreateWnd 0023 TWinControl.CreateWnd 0040 @HandleFinally 0067 TCustomEdit.SetModified 008d TWinControl.GetHandle 0093 SendMessage 009b TCustomEdit.UpdateHeight"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 F8 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F8 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 90 EC 01 00 00 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B 45 FC 8A 90 F9 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F1 01 00 00 00 74 20 6A 00 8B 45 FC 0F B6 80 F1 01 00 00 50 68 CC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_17467_0 {
	meta:
		name = "TCustomEdit.DestroyWnd"
		size = 25
		refs = "0006 TCustomEdit.GetModified 0013 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 88 83 F9 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17468_0 {
	meta:
		name = "TCustomEdit.UpdateHeight"
		size = 60
		refs = "0016 TCustomEdit.UpdateHeight 0023 TCustomEdit.AdjustHeight"
	strings:
		$1 = { 53 8B D8 80 BB F3 01 00 00 00 74 1D 80 BB F0 01 00 00 01 75 14 A1 ?? ?? ?? ?? 0B 43 40 89 43 40 8B C3 E8 ?? ?? ?? ?? 5B C3 A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 5B C3 00 02 00 00 }
	condition:
		$1
}

rule function_17470_0 {
	meta:
		name = "TCustomEdit.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB FE 01 00 00 00 74 0E 8B D3 8B 83 00 02 00 00 FF 93 FC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_17471_0 {
	meta:
		name = "TCustomEdit.DefaultHandler"
		size = 73
		refs = "0017 HasPopup 0022 Win32Platform 0030 IsWindow 0042 TWinControl.DefaultHandler"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 83 E8 07 74 14 2D FE 01 00 00 75 29 8B C6 E8 ?? ?? ?? ?? 84 C0 75 27 EB 1C A1 ?? ?? ?? ?? 83 38 01 75 12 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 43 04 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17472_0 {
	meta:
		name = "TCustomEdit.WMSetFont"
		size = 63
		refs = "000b NewStyleControls 0019 TWinControl.GetHandle 001f GetWindowLong 0039 SendMessage"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 A1 ?? ?? ?? ?? 80 38 00 74 29 6A F0 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A8 04 75 16 6A 00 6A 03 68 D3 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_17473_0 {
	meta:
		name = "TCustomEdit.CMCtl3DChanged"
		size = 51
		refs = "0007 NewStyleControls 001c TCustomEdit.UpdateHeight 0023 TWinControl.RecreateWnd 002c TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB F0 01 00 00 01 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17474_0 {
	meta:
		name = "TCustomEdit.CMFontChanged"
		size = 37
		refs = "0006 TWinControl.CMFontChanged 001f TCustomEdit.AdjustHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 41 02 74 13 F6 43 20 10 74 06 F6 43 20 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17475_0 {
	meta:
		name = "TCustomEdit.CNCommand"
		size = 29
		refs = "0017 @CallDynaInst"
	strings:
		$1 = { 53 66 81 7A 06 00 03 75 12 80 B8 F8 01 00 00 00 75 09 66 BB B8 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17476_0 {
	meta:
		name = "TCustomEdit.CMEnter"
		size = 59
		refs = "001a TWinControl.GetHandle 0020 GetWindowLong 002b TCustomEdit.SelectAll 0034 TWinControl.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB F4 01 00 00 00 74 20 F6 43 44 01 75 1A 6A F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A8 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17477_0 {
	meta:
		name = "TCustomEdit.CMTextChanged"
		size = 55
		refs = "000e TWinControl.HandleAllocated 001b TWinControl.GetHandle 0021 GetWindowLong 0030 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 6A F0 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A8 04 74 0B 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17478_0 {
	meta:
		name = "TMemoStrings.GetCount"
		size = 100
		refs = "000a TWinControl.HandleAllocated 001f TWinControl.GetHandle 0025 SendMessage"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 4D 6A 00 6A 00 68 BA 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 00 8B C6 48 50 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17479_0 {
	meta:
		name = "TMemoStrings.Get"
		size = 67
		refs = "0024 TWinControl.GetHandle 002a SendMessage 0035 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 81 C4 04 F0 FF FF 50 8B F9 8B F2 8B D8 8B C4 66 C7 00 00 10 8B C4 50 56 68 C4 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C7 E8 ?? ?? ?? ?? 81 C4 00 10 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17480_0 {
	meta:
		name = "TMemoStrings.Put"
		size = 115
		refs = "0015 TWinControl.GetHandle 001b SendMessage 0055 @LStrToPChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 56 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 4A 6A 00 56 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 C6 50 56 68 B1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17481_0 {
	meta:
		name = "TMemoStrings.Insert"
		size = 264
		refs = "0019 TMemoStrings.Insert 0037 TWinControl.GetHandle 003d SendMessage 0053 @LStrCat3 00bb @LStrToPChar 00e6 @LStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 8C AA 00 00 00 6A 00 57 68 BB 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 12 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 49 6A 00 4F 57 68 BB 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 5F 6A 00 53 68 C1 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 45 03 D8 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 53 68 B1 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_17483_0 {
	meta:
		name = "TMemoStrings.Delete"
		size = 142
		refs = "0013 TWinControl.GetHandle 0019 SendMessage 0070 Empty"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 6A 00 57 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 67 6A 00 47 57 68 BB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7D 1A 6A 00 56 68 C1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 03 FE 57 56 68 B1 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17485_0 {
	meta:
		name = "TMemoStrings.SetUpdateState"
		size = 79
		refs = "000a TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0028 SendMessage 0040 TControl.Perform 0048 TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 84 C0 74 3A 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 19 6A 00 33 C9 BA 19 B0 00 00 8B 46 0C E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17487_0 {
	meta:
		name = "TMemoStrings.SetTextStr"
		size = 212
		refs = "0013 TMemoStrings.SetTextStr 0023 AdjustLineBreaks 002b @LStrLen 0035 TControl.GetTextLen 0044 TControl.GetText 004f @LStrCmp 0061 TWinControl.GetHandle 0067 SendMessage 0073 SInvalidMemoSize 0078 LoadResString 0082 _Dn_EInvalidOperation 0087 Exception.Create 008c @RaiseExcept 009d TControl.Perform 00b2 @LStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 43 0C E8 ?? ?? ?? ?? 3B F0 75 18 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 74 4C 8B 45 FC 50 6A 00 6A 0C 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 33 C9 BA 12 B0 00 00 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17488_0 {
	meta:
		name = "TCustomMemo.Create"
		size = 132
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 003d TCustomEdit.SetAutoSize 0052 _DV_TMemoStrings 0057 TObject.Create 006f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 0A 02 00 00 01 C6 83 0B 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 04 02 00 00 89 5E 0C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17489_0 {
	meta:
		name = "TCustomMemo.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001e TWinControl.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 04 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17490_0 {
	meta:
		name = "TCustomMemo.CreateParams"
		size = 100
		refs = "000c TCustomEdit.CreateParams 0017 @CallDynaInst 0024 Alignments 0041 WordWraps 0059 ScrollBar"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 33 D2 8A 96 08 02 00 00 8B 04 90 8B 57 04 33 C9 8A 8E 0A 02 00 00 8B 0C 8D ?? ?? ?? ?? F7 D1 23 D1 83 CA 04 0B C2 33 D2 8A 96 09 02 00 00 0B 04 95 ?? ?? ?? ?? 89 47 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17491_0 {
	meta:
		name = "TCustomMemo.CreateWindowHandle"
		size = 216
		refs = "0008 SysLocale 0013 Win32Platform 0027 HInstance 004e TCustomMemo.CreateWindowHandle 005b CreateWindowEx 0076 SendMessage"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 A1 ?? ?? ?? ?? 80 78 08 00 74 6A A1 ?? ?? ?? ?? 83 38 02 74 60 F6 43 05 08 74 5A 8B 43 20 50 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 43 1C 50 8B 43 18 50 8B 43 14 50 8B 43 10 50 8B 43 0C 50 8B 43 04 25 FF F7 FF FF 50 68 ?? ?? ?? ?? 8D 43 4C 50 8B 43 08 50 E8 ?? ?? ?? ?? 8B F8 89 BE 40 01 00 00 85 FF 74 4F 6A 00 6A 01 68 CF 00 00 00 57 E8 ?? ?? ?? ?? EB 3E 8B 43 20 50 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 43 1C 50 8B 43 18 50 8B 43 14 50 8B 43 10 50 8B 43 0C 50 8B 43 04 50 68 ?? ?? ?? ?? 8D 43 4C 50 8B 43 08 50 E8 ?? ?? ?? ?? 89 86 40 01 00 00 8B 03 50 6A 00 6A 0C 8B 86 40 01 00 00 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_17492_0 {
	meta:
		name = "TCustomMemo.GetCaretPos"
		size = 89
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C1 E8 10 0F B7 C0 89 06 6A 00 8B 06 50 68 C9 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 04 6A 00 6A FF 68 BB 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 29 06 5E 5B C3 }
	condition:
		$1
}

rule function_17493_0 {
	meta:
		name = "TCustomMemo.GetControlsAlignment"
		size = 7
	strings:
		$1 = { 8A 80 08 02 00 00 C3 }
	condition:
		$1
}

rule function_17496_0 {
	meta:
		name = "TCustomMemo.SetLines"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 04 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_17498_0 {
	meta:
		name = "TCustomMemo.SetWordWrap"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 0A 02 00 00 74 0B 88 90 0A 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17499_0 {
	meta:
		name = "TCustomMemo.WMGetDlgCode"
		size = 50
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 80 BB 0C 02 00 00 00 74 06 83 4E 0C 02 EB 04 83 66 0C FD 80 BB 0B 02 00 00 00 75 04 83 66 0C FB 5E 5B C3 }
	condition:
		$1
}

rule function_17501_0 {
	meta:
		name = "TCustomMemo.KeyPress"
		size = 35
		refs = "000b TWinControl.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 3E 0D 75 0C 80 BB 0B 02 00 00 00 75 03 C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_17502_0 {
	meta:
		name = "TComboBoxStrings.GetCount"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 46 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17503_0 {
	meta:
		name = "TComboBoxStrings.Get"
		size = 66
		refs = "001d TWinControl.GetHandle 0023 SendMessage 0034 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 81 C4 04 F0 FF FF 50 8B F9 8B F2 8B D8 8B C4 50 56 68 48 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 8B D4 8B CF 91 E8 ?? ?? ?? ?? 81 C4 00 10 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17504_0 {
	meta:
		name = "TComboBoxStrings.GetObject"
		size = 31
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 50 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17505_0 {
	meta:
		name = "TComboBoxStrings.PutObject"
		size = 34
		refs = "0014 TWinControl.GetHandle 001a SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 51 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17506_0 {
	meta:
		name = "TComboBoxStrings.Add"
		size = 129
		refs = "000f TComboBoxStrings.Add 001c @LStrToPChar 002c TWinControl.GetHandle 0032 SendMessage 0040 SInsertLineError 0045 LoadResString 004f _Dn_EOutOfResources 0054 Exception.Create 0059 @RaiseExcept 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 43 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17507_0 {
	meta:
		name = "TComboBoxStrings.Insert"
		size = 128
		refs = "0012 TComboBoxStrings.Insert 001f @LStrToPChar 002e TWinControl.GetHandle 0034 SendMessage 0040 SInsertLineError 0045 LoadResString 004f _Dn_EOutOfResources 0054 Exception.Create 0059 @RaiseExcept 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 68 4A 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17508_0 {
	meta:
		name = "TComboBoxStrings.Delete"
		size = 31
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 44 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17509_0 {
	meta:
		name = "TComboBoxStrings.Clear"
		size = 111
		refs = "000c TComboBoxStrings.Clear 001d TControl.GetText 002e TWinControl.GetHandle 0034 SendMessage 003f TControl.SetText 005f @LStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? 6A 00 6A 00 68 4B 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 92 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17510_0 {
	meta:
		name = "TComboBoxStrings.SetUpdateState"
		size = 50
		refs = "0016 TWinControl.GetHandle 001c SendMessage 002b TControl.Refresh"
		altNames = "TListBoxStrings.SetUpdateState"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17511_0 {
	meta:
		name = "TComboBoxStrings.IndexOf"
		size = 38
		refs = "0009 @LStrToPChar 0019 TWinControl.GetHandle 001f SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A FF 68 58 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17512_0 {
	meta:
		name = "TCustomComboBox.Create"
		size = 252
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 NewStyleControls 002b TCustomComboBox.Create 0044 TControl.SetWidth 0050 TControl.SetHeight 0059 TWinControl.SetTabStop 0062 TControl.SetParentColor 0069 _DV_TComboBoxStrings 006e TObject.Create 0080 _Dn_TControlCanvas 0085 TCanvas.Create 00a2 TCustomComboBox.EditWndProc 00a7 MakeObjectInstance 00b3 TCustomComboBox.ListWndProc 00df @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 43 40 EB 08 A1 ?? ?? ?? ?? 89 43 40 BA 91 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 89 5E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F0 01 00 00 C7 83 F8 01 00 00 10 00 00 00 C6 83 F6 01 00 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 10 02 00 00 C7 83 00 02 00 00 08 00 00 00 C7 83 24 02 00 00 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 A2 42 00 00 B2 42 00 00 }
	condition:
		$1
}

rule function_17513_0 {
	meta:
		name = "TCustomComboBox.Destroy"
		size = 113
		refs = "0003 @BeforeDestruction 000e TWinControl.HandleAllocated 0027 FreeObjectInstance 003d TObject.Free 005f TWinControl.Destroy 006a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 8B 86 10 02 00 00 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 86 20 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17514_0 {
	meta:
		name = "TCustomComboBox.Clear"
		size = 44
		refs = "0004 TCustomComboBox.Clear 000b TControl.SetTextBuf"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 10 FF 52 40 C7 83 24 02 00 00 FF FF FF FF 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_17515_0 {
	meta:
		name = "TCustomComboBox.SelectAll"
		size = 30
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 8B D8 68 00 00 FF FF 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17516_0 {
	meta:
		name = "TCustomComboBox.GetDroppedDown"
		size = 33
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 57 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_17517_0 {
	meta:
		name = "TCustomComboBox.SetDroppedDown"
		size = 34
		refs = "0015 TWinControl.GetHandle 001b SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 33 C0 8A C3 50 68 4F 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17518_0 {
	meta:
		name = "TCustomComboBox.GetItemIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 47 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17519_0 {
	meta:
		name = "TCustomComboBox.SetItemIndex"
		size = 41
		refs = "0009 TCustomComboBox.GetItemIndex 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 15 6A 00 56 68 4E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17520_0 {
	meta:
		name = "TCustomComboBox.GetSelStart"
		size = 35
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 51 8B D8 6A 00 8D 44 24 04 50 68 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_17521_0 {
	meta:
		name = "TCustomComboBox.SetSelStart"
		size = 52
		refs = "0017 MakeLParam 0026 TWinControl.GetHandle 002c SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 14 24 89 54 24 04 66 8B 54 24 04 66 8B 04 24 E8 ?? ?? ?? ?? 50 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_17522_0 {
	meta:
		name = "TCustomComboBox.GetSelLength"
		size = 45
		refs = "0018 TWinControl.GetHandle 001e SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_17523_0 {
	meta:
		name = "TCustomComboBox.SetSelLength"
		size = 84
		refs = "001b TWinControl.GetHandle 0021 SendMessage 0036 MakeLParam"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 40 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 66 8B 54 24 04 66 8B 04 24 E8 ?? ?? ?? ?? 50 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17524_0 {
	meta:
		name = "TCustomComboBox.GetSelText"
		size = 115
		refs = "000f TCustomComboBox.GetSelText 001c @LStrClr 0030 TControl.GetText 003b TCustomComboBox.GetSelLength 0043 TCustomComboBox.GetSelStart 004d @LStrCopy 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 80 BB F6 01 00 00 02 73 28 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 42 59 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17525_0 {
	meta:
		name = "TCustomComboBox.SetSelText"
		size = 52
		refs = "0012 TWinControl.HandleNeeded 0019 @LStrToPChar 002d SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB F6 01 00 00 02 73 22 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 83 04 02 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17526_0 {
	meta:
		name = "TCustomComboBox.SetMaxLength"
		size = 61
		refs = "001d TWinControl.HandleAllocated 0030 TWinControl.GetHandle 0036 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 02 33 F6 3B B3 FC 01 00 00 74 26 89 B3 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 56 68 41 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17528_0 {
	meta:
		name = "TCustomComboBox.SetStyle"
		size = 64
		refs = "0017 TCustomComboBox.SetStyle 0033 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 F6 01 00 00 74 2C 88 93 F6 01 00 00 80 FA 01 75 0F A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 EB 0B A1 ?? ?? ?? ?? 0B 43 40 89 43 40 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 02 00 00 }
	condition:
		$1
}

rule function_17529_0 {
	meta:
		name = "TCustomComboBox.GetItemHeight"
		size = 36
		refs = "001f TControl.Perform"
	strings:
		$1 = { 8A 90 F6 01 00 00 80 C2 FD 80 EA 02 73 07 8B 80 F8 01 00 00 C3 6A 00 33 C9 BA 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17530_0 {
	meta:
		name = "TCustomComboBox.SetItemHeight"
		size = 11
	strings:
		$1 = { 85 D2 7E 06 89 90 F8 01 00 00 C3 }
	condition:
		$1
}

rule function_17532_0 {
	meta:
		name = "TCustomComboBox.CreateParams"
		size = 100
		refs = "000b TWinControl.CreateParams 0010 TCustomComboBox.CreateParams 0019 TWinControl.CreateSubClass 0030 ComboBoxStyles 003f Sorts 004e CharCases"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0D 40 02 20 00 33 D2 8A 93 F6 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 F5 01 00 00 0B 04 95 ?? ?? ?? ?? 33 D2 8A 93 F4 01 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 5E 5B C3 43 4F 4D 42 4F 42 4F 58 00 00 00 00 }
	condition:
		$1
}

rule function_17533_0 {
	meta:
		name = "TCustomComboBox.CreateWnd"
		size = 356
		refs = "0008 TWinControl.CreateWnd 001d TWinControl.GetHandle 0023 SendMessage 0045 TObject.Free 00c5 GetWindow 00e4 GetWindowLong 00ff SetWindowLong 0139 NewStyleControls"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 FC 01 00 00 50 68 41 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B B3 20 02 00 00 85 F6 74 68 8B D6 8B 83 EC 01 00 00 8B 08 FF 51 08 8B 83 20 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 20 02 00 00 83 BB 24 02 00 00 FF 74 3F 8B 83 EC 01 00 00 8B 10 FF 52 14 3B 83 24 02 00 00 7D 11 8B 83 EC 01 00 00 8B 10 FF 52 14 89 83 24 02 00 00 6A 00 8B 83 24 02 00 00 50 68 4E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 83 04 02 00 00 33 C0 89 83 08 02 00 00 8A 83 F6 01 00 00 2C 02 0F 83 81 00 00 00 6A 05 8B C3 8B 10 FF 92 C0 00 00 00 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 69 80 BB F6 01 00 00 01 75 35 8B FE 89 BB 08 02 00 00 6A FC 57 E8 ?? ?? ?? ?? 89 83 18 02 00 00 8B 83 10 02 00 00 50 6A FC 8B 83 08 02 00 00 50 E8 ?? ?? ?? ?? 6A 02 56 E8 ?? ?? ?? ?? 8B F0 8B FE 89 BB 04 02 00 00 6A FC 57 E8 ?? ?? ?? ?? 89 83 14 02 00 00 8B 83 0C 02 00 00 50 6A FC 8B 83 04 02 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1E 83 BB 04 02 00 00 00 74 15 6A 00 6A 03 68 D3 00 00 00 8B 83 04 02 00 00 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17534_0 {
	meta:
		name = "TCustomComboBox.DestroyWnd"
		size = 75
		refs = "0016 TCustomComboBox.GetItemIndex 0023 _Dn_TStringList 0028 TObject.Create 0044 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 8B 83 EC 01 00 00 8B 10 FF 52 14 85 C0 7E 2E 8B C3 E8 ?? ?? ?? ?? 89 83 24 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 02 00 00 8B 93 EC 01 00 00 8B C6 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17535_0 {
	meta:
		name = "TCustomComboBox.WMCreate"
		size = 35
		refs = "0017 TWinControl.GetHandle 001d SetWindowText"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 83 7E 54 00 74 11 8B 46 54 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_17536_0 {
	meta:
		name = "TCustomComboBox.WMEraseBkgnd"
		size = 82
		refs = "001c TBrush.GetHandle 0036 FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 80 BB F6 01 00 00 01 75 31 8B 43 24 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C3 8B 08 FF 51 44 8D 44 24 04 50 8B 46 04 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_17540_0 {
	meta:
		name = "TCustomComboBox.WMGetDlgCode"
		size = 33
		refs = "0012 TCustomComboBox.GetDroppedDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 83 4E 0C 04 5E 5B C3 }
	condition:
		$1
}

rule function_17541_0 {
	meta:
		name = "TCustomComboBox.CMCancelMode"
		size = 20
		refs = "000f TControl.Perform"
	strings:
		$1 = { 3B 42 08 74 0E 6A 00 33 C9 BA 4F 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17542_0 {
	meta:
		name = "TCustomComboBox.CMCtl3DChanged"
		size = 35
		refs = "0007 NewStyleControls 0013 TWinControl.RecreateWnd 001c TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17543_0 {
	meta:
		name = "TCustomComboBox.CMParentColorChanged"
		size = 38
		refs = "0006 TControl.CMParentColorChanged 000b NewStyleControls"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 10 80 BE F6 01 00 00 02 73 07 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_17544_0 {
	meta:
		name = "TCustomComboBox.EditWndProc"
		size = 246
		refs = "0033 GetParentForm 0087 GetCursorPos 0094 TControl.ScreenToClient 00aa PointToSmallPoint 00be SendMessage 00ca TControl.BeginDrag 00d1 NewStyleControls"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 81 3F 12 01 00 00 75 0E 8B D7 8B C6 8B 08 FF 51 70 E9 CF 00 00 00 8B 07 3D 00 01 00 00 72 2A 3D 08 01 00 00 77 23 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 8B CF 8B D6 8B C3 8B 18 FF 93 D0 00 00 00 84 C0 0F 85 9C 00 00 00 8B 86 14 02 00 00 50 8B D7 8B 8E 04 02 00 00 8B C6 8B 18 FF 93 B8 00 00 00 8B 07 83 E8 30 74 5D 2D D1 01 00 00 74 05 83 E8 02 75 70 80 7E 4D 01 75 6A 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B C4 E8 ?? ?? ?? ?? 50 6A 00 68 02 02 00 00 8B 86 04 02 00 00 50 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 8B C6 E8 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? 80 38 00 74 15 6A 00 6A 03 68 D3 00 00 00 8B 86 04 02 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17545_0 {
	meta:
		name = "TCustomComboBox.ListWndProc"
		size = 36
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 86 18 02 00 00 50 8B D7 8B 8E 08 02 00 00 8B C6 8B 18 FF 93 B8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17548_0 {
	meta:
		name = "TCustomComboBox.ComboWndProc"
		size = 729
		refs = "0014 TCustomComboBox.ComboWndProc 00cd GetParentForm 012c TWinControl.DoKeyDown 014b TWinControl.DoKeyPress 0178 TCustomComboBox.GetDroppedDown 018a TCustomComboBox.SetDroppedDown 01a1 TWinControl.DoKeyUp 01bd Application 01c7 TApplication.HintMouseMessage 01d4 HasPopup 01f8 TWinControl.GetHandle 01ff MapWindowPoints 0289 CallWindowProc 02a9 @CallDynaInst 02b8 @HandleAnyException 02c7 TApplication.HandleException 02cc @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 3D 04 01 00 00 7F 4F 0F 84 EA 00 00 00 3D 87 00 00 00 7F 24 0F 84 F0 01 00 00 83 E8 07 0F 84 86 00 00 00 48 0F 84 B3 00 00 00 83 E8 7C 0F 84 F7 01 00 00 E9 20 02 00 00 2D 00 01 00 00 0F 84 B4 00 00 00 48 0F 84 31 01 00 00 48 0F 84 D4 00 00 00 E9 02 02 00 00 3D 00 BD 00 00 7F 2A 0F 84 E1 01 00 00 2D 05 01 00 00 0F 84 0D 01 00 00 2D FB 00 00 00 0F 84 21 01 00 00 83 E8 05 0F 84 2E 01 00 00 E9 D1 01 00 00 2D 02 BD 00 00 0F 84 B2 01 00 00 83 E8 02 0F 84 A9 01 00 00 83 E8 02 0F 84 A0 01 00 00 E9 AF 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 9D 01 00 00 8B 55 FC 8B C7 8B 08 FF 91 C8 00 00 00 84 C0 0F 85 88 01 00 00 33 C0 5A 59 59 64 89 10 E9 D3 01 00 00 8B 45 FC F6 40 44 20 0F 84 6E 01 00 00 33 C0 5A 59 59 64 89 10 E9 B9 01 00 00 8B 45 FC 3B 98 08 02 00 00 0F 84 52 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 40 01 00 00 33 C0 5A 59 59 64 89 10 E9 8B 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 70 01 00 00 66 8B 7E 04 66 83 FF 0D 74 0A 66 83 FF 1B 0F 85 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 F4 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 35 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 CB 00 00 00 33 C0 5A 59 59 64 89 10 E9 16 01 00 00 8B CE A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E9 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 98 00 00 00 0F BF 46 08 89 45 F4 0F BF 46 0A 89 45 F8 6A 01 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 66 8B 45 F4 66 89 46 08 66 8B 45 F8 66 89 46 0A 8B D6 8B 45 FC 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 E9 A6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 C7 46 0C 04 00 00 00 33 C0 5A 59 59 64 89 10 E9 86 00 00 00 8B 45 FC F6 40 20 10 74 25 C7 46 0C FF FF FF FF 33 C0 5A 59 59 64 89 10 EB 6C 8B D6 8B 45 FC 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 EB 58 8B 46 08 50 8B 46 04 50 8B 06 50 53 8B 45 08 50 E8 ?? ?? ?? ?? 89 46 0C 81 3E 03 02 00 00 75 15 8B 45 FC F6 40 40 80 74 0C 8B 45 FC 66 BB EB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17549_0 {
	meta:
		name = "TCustomComboBox.WndProc"
		size = 332
		refs = "0022 TControl.Dragging 0035 TWinControl.IsControlMouseMsg 0043 TCustomComboBox.WndProc 00a8 ColorToRGB 00b2 SetTextColor 00bd TBrush.GetColor 00cc SetBkColor 00d7 TBrush.GetHandle 00e1 NewStyleControls 010b TWinControl.DoKeyPress 0126 TCustomComboBox.GetDroppedDown 0133 TCustomComboBox.SetDroppedDown 013e TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 50 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 3E 8B C3 E8 ?? ?? ?? ?? 84 C0 75 33 80 7B 4D 01 75 2D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 01 01 00 00 66 A1 ?? ?? ?? ?? 66 0B 43 44 66 89 43 44 8B D6 8B C3 8B 08 FF 51 EC E9 E5 00 00 00 8B 06 83 E8 05 74 22 2D FD 00 00 00 0F 84 97 00 00 00 83 C0 D0 83 E8 07 72 2A 05 07 44 FF FF 83 E8 07 72 5F E9 B3 00 00 00 80 BB 28 02 00 00 00 0F 84 A6 00 00 00 8B D6 8B C3 8B 08 FF 51 F0 E9 A1 00 00 00 8B 43 58 8B 40 14 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 83 24 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 89 46 0C EB 62 A1 ?? ?? ?? ?? 80 38 00 75 4F 80 BB F6 01 00 00 02 73 46 8B 43 24 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 89 46 0C EB 3C 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2F 66 8B 7E 04 66 83 FF 0D 74 06 66 83 FF 1B 75 16 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_17550_0 {
	meta:
		name = "TCustomComboBox.AdjustDropDown"
		size = 186
		refs = "003f TCustomComboBox.AdjustDropDown 0052 TCustomComboBox.GetItemHeight 0073 TWinControl.GetHandle 0079 SetWindowPos 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 EC 01 00 00 8B 10 FF 52 14 8B D8 8B 45 FC 8B 80 00 02 00 00 3B D8 7E 02 8B D8 83 FB 01 7D 05 BB 01 00 00 00 8B 45 FC C6 80 28 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 9E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? F7 EB 8B 55 FC 03 42 3C 83 C0 02 50 8B 45 FC 8B 40 38 50 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 28 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 6A 5F 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_17551_0 {
	meta:
		name = "TCustomComboBox.CNCommand"
		size = 332
		refs = "000d TCustomComboBox.CNCommand 0052 @CallDynaInst 0080 TCustomComboBox.AdjustDropDown 009a TWinControl.GetHandle 00a0 PostMessage 00c8 TCustomComboBox.GetItemIndex 00e2 TControl.SetText 010f TWinControl.SetIme 0126 TWinControl.ResetIme 013b @LStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 42 06 83 F8 07 0F 87 06 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 66 BB EB FF E8 ?? ?? ?? ?? E9 CF 00 00 00 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? E9 BF 00 00 00 C6 86 1D 02 00 00 00 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE 1D 02 00 00 00 0F 84 99 00 00 00 6A 00 6A 00 6A 1F 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BE 1C 02 00 00 00 75 7D 6A 00 6A 00 68 4F 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 65 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 86 EC 01 00 00 8B 18 FF 53 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 8B C6 66 BB B8 FF E8 ?? ?? ?? ?? EB 2C C6 86 1C 02 00 00 01 C6 86 1D 02 00 00 01 8B C6 E8 ?? ?? ?? ?? EB 15 C6 86 1C 02 00 00 00 C6 86 1D 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17552_0 {
	meta:
		name = "TCustomComboBox.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 2E 02 00 00 00 74 0E 8B D3 8B 83 30 02 00 00 FF 93 2C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_17553_0 {
	meta:
		name = "TCustomComboBox.DrawItem"
		size = 183
		refs = "0022 TCustomComboBox.DrawItem 0033 TControlCanvas.UpdateTextFlags 0065 TCanvas.FillRect 008d TCanvas.TextOut 00a2 @LStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 66 83 BB 3E 02 00 00 00 74 1A 8D 45 F0 50 8A 45 08 50 8B CE 8B D3 8B 83 40 02 00 00 FF 93 3C 02 00 00 EB 36 8D 55 F0 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 83 EC 01 00 00 8B 30 FF 56 0C 8B 45 EC 50 8B 55 F0 83 C2 02 8B 4D F4 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17555_0 {
	meta:
		name = "TCustomComboBox.MeasureItem"
		size = 32
	strings:
		$1 = { 53 66 83 B8 46 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 48 02 00 00 FF 93 44 02 00 00 5B C3 }
	condition:
		$1
}

rule function_17556_0 {
	meta:
		name = "TCustomComboBox.CNDrawItem"
		size = 191
		refs = "001a TCanvas.SetHandle 0028 TCanvas.SetFont 0039 TCanvas.SetBrush 0058 TBrush.SetColor 006b TFont.SetColor 0095 TCanvas.FillRect 00a8 DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 7A 08 8A 47 10 88 04 24 8B 57 18 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 96 24 01 00 00 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 83 7F 08 00 7C 2C F6 04 24 01 74 26 8B 86 F0 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 6F 08 85 ED 7C 15 8A 04 24 50 8D 4F 1C 8B D5 8B C6 8B 18 FF 93 BC 00 00 00 EB 0E 8D 57 1C 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? F6 04 24 10 74 0D 8D 47 1C 50 8B 47 18 50 E8 ?? ?? ?? ?? 33 D2 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17557_0 {
	meta:
		name = "TCustomComboBox.CNMeasureItem"
		size = 46
	strings:
		$1 = { 53 56 57 8B F0 8B 7A 08 8B 86 F8 01 00 00 89 47 10 80 BE F6 01 00 00 04 75 10 8D 4F 10 8B 57 08 8B C6 8B 18 FF 93 C4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17558_0 {
	meta:
		name = "TCustomComboBox.WMLButtonDown"
		size = 117
		refs = "0018 GetSystemMetrics 003b TControl.BeginDrag 0047 TControl.WMLButtonDown 004e TControl.GetMouseCapture 0059 GetParentForm 006e TControl.SetMouseCapture"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 4D 01 75 36 80 BB F6 01 00 00 02 75 2D 6A 15 E8 ?? ?? ?? ?? 8B 53 38 2B D0 0F BF 46 08 3B D0 7E 19 8B C3 8B 10 FF 92 B4 00 00 00 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 3B 98 00 02 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17559_0 {
	meta:
		name = "TCustomComboBox.Focused"
		size = 49
		refs = "0009 TWinControl.HandleAllocated 0012 GetFocus"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B E8 ?? ?? ?? ?? 3B 86 04 02 00 00 74 0C 3B 86 08 02 00 00 74 04 33 DB EB 02 B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_17560_0 {
	meta:
		name = "TButtonActionLink.AssignClient"
		size = 34
		refs = "000b TWinControlActionLink.AssignClient 0013 _DV_TButtonControl 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_17561_0 {
	meta:
		name = "TButtonActionLink.IsCheckedLinked"
		size = 54
		refs = "0006 TActionLink.IsCheckedLinked 001f _Dn_TCustomAction 0024 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B 43 18 8B 10 FF 92 B8 00 00 00 50 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A 50 50 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_17562_0 {
	meta:
		name = "TButtonActionLink.SetChecked"
		size = 97
		refs = "0027 TButtonActionLink.SetChecked 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 20 84 C0 74 47 8B 45 FC 8B 40 18 C6 80 EC 01 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 08 FF 91 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 C6 80 EC 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C3 }
	condition:
		$1
}

rule function_17563_0 {
	meta:
		name = "TButtonControl.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TWinControl.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 48 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17564_0 {
	meta:
		name = "TButtonControl.ActionChange"
		size = 72
		refs = "0010 TWinControl.ActionChange 0018 _Dn_TCustomAction 001d @IsClass"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 84 DB 74 0E 8B C7 8B 10 FF 92 B8 00 00 00 84 C0 75 0D 8A 56 50 8B C7 8B 08 FF 91 BC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17569_0 {
	meta:
		name = "TButtonControl.WndProc"
		size = 117
		refs = "002b @CallDynaInst 003d TWinControl.GetHandle 0043 SetFocus 006d TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 07 2D 01 02 00 00 74 0E 83 E8 02 74 09 2D 0E BB 00 00 74 43 EB 4A F6 46 20 10 75 44 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 75 35 C6 86 EC 01 00 00 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 86 EC 01 00 00 00 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 14 EB 09 80 BE EC 01 00 00 00 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17570_0 {
	meta:
		name = "TButton.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TButtonControl.Create 001c TButton.Create 002b TControl.SetWidth 0037 TControl.SetHeight 0040 TWinControl.SetTabStop 004b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 BA 4B 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 E0 00 00 00 }
	condition:
		$1
}

rule function_17571_0 {
	meta:
		name = "TButton.Click"
		size = 35
		refs = "0006 GetParentForm 001d TControl.Click"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 93 F4 01 00 00 89 90 2C 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17573_0 {
	meta:
		name = "TButton.SetButtonStyle"
		size = 82
		refs = "000b TWinControl.HandleAllocated 0024 TWinControl.GetHandle 002a GetWindowLong 0049 SendMessage"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 74 3A 84 DB 74 06 66 BE 01 00 EB 02 33 F6 6A F0 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 E0 0F 0F B7 FE 3B C7 74 15 6A 01 57 68 F4 00 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17574_0 {
	meta:
		name = "TButton.SetDefault"
		size = 52
		refs = "000c TWinControl.HandleAllocated 0017 GetParentForm 002e TControl.Perform"
	strings:
		$1 = { 53 8B D8 88 93 F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 8B 90 00 02 00 00 52 33 C9 BA 07 B0 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17575_0 {
	meta:
		name = "TButton.CreateParams"
		size = 60
		refs = "000b TWinControl.CreateParams 0010 TButton.CreateParams 0019 TWinControl.CreateSubClass 0028 ButtonStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 8A 83 F0 01 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 5E 5B C3 00 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_17576_0 {
	meta:
		name = "TButton.CreateWnd"
		size = 24
		refs = "0006 TWinControl.CreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 83 F0 01 00 00 88 83 F2 01 00 00 5B C3 }
	condition:
		$1
}

rule function_17577_0 {
	meta:
		name = "TButton.CNCommand"
		size = 19
		refs = "000d @CallDynaInst"
	strings:
		$1 = { 53 66 83 7A 06 00 75 09 66 BB EC FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17578_0 {
	meta:
		name = "TButton.CMDialogKey"
		size = 104
		refs = "002a KeyDataToShiftState 0030 TButton.CMDialogKey 003b TWinControl.CanFocus 004a @CallDynaInst 005d TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 7E 04 0D 75 09 80 BB F2 01 00 00 00 75 10 66 83 7E 04 1B 75 3B 80 BB F1 01 00 00 00 74 32 8B 46 08 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 75 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B C3 66 BB EC FF E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_17579_0 {
	meta:
		name = "TButton.CMDialogChar"
		size = 125
		refs = "000f TButton.CMDialogChar 001f TControl.GetText 002b IsAccel 0036 TWinControl.CanFocus 0045 @CallDynaInst 0057 TWinControl.CMDialogChar 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 66 BB EC FF E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17580_0 {
	meta:
		name = "TButton.CMFocusChanged"
		size = 81
		refs = "000e _DV_TButton 0013 @IsClass 0049 TWinControl.CMFocusChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 3B DF 0F 94 C0 88 83 F2 01 00 00 EB 0C 8A 83 F0 01 00 00 88 83 F2 01 00 00 8A 93 F2 01 00 00 8B C3 8B 08 FF 91 C0 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17582_0 {
	meta:
		name = "TCustomCheckBox.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TButtonControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 003d TCustomCheckBox.Create 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 C6 86 F0 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 A0 00 00 00 }
	condition:
		$1
}

rule function_17583_0 {
	meta:
		name = "TCustomCheckBox.GetControlsAlignment"
		size = 42
		refs = "000b @CallDynaInst"
		altNames = "TRadioButton.GetControlsAlignment"
	strings:
		$1 = { 53 56 8B F0 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 05 B0 01 5E 5B C3 80 BE F0 01 00 00 01 75 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_17584_0 {
	meta:
		name = "TCustomCheckBox.Toggle"
		size = 61
		refs = "001f TCustomCheckBox.SetState"
	strings:
		$1 = { 8A 90 F2 01 00 00 80 EA 01 72 08 74 20 FE CA 74 24 EB 29 80 B8 F1 01 00 00 00 74 09 B2 02 E8 ?? ?? ?? ?? EB 17 B2 01 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17586_0 {
	meta:
		name = "TCustomCheckBox.GetChecked"
		size = 11
	strings:
		$1 = { 80 B8 F2 01 00 00 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_17588_0 {
	meta:
		name = "TCustomCheckBox.SetChecked"
		size = 20
		refs = "0007 TCustomCheckBox.SetState"
	strings:
		$1 = { 84 D2 74 08 B2 01 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17589_0 {
	meta:
		name = "TCustomCheckBox.SetState"
		size = 79
		refs = "0014 TWinControl.HandleAllocated 002f TWinControl.GetHandle 0035 SendMessage 0049 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 3A 93 F2 01 00 00 74 42 88 93 F2 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 6A 00 33 C0 8A 83 F2 01 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB EC 01 00 00 00 75 0B 8B C3 66 BB EC FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17590_0 {
	meta:
		name = "TCustomCheckBox.CreateParams"
		size = 92
		refs = "000c TWinControl.CreateParams 0011 TCustomCheckBox.CreateParams 001a TWinControl.CreateSubClass 0025 @CallDynaInst 002f Alignments"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 C5 ?? ?? ?? ?? 33 D2 8A 96 F0 01 00 00 8B 04 90 8B 57 04 83 CA 05 0B C2 89 47 04 83 67 24 FC 5F 5E 5B C3 00 00 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_17591_0 {
	meta:
		name = "TCustomCheckBox.CreateWnd"
		size = 41
		refs = "0006 TWinControl.CreateWnd 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C0 8A 83 F2 01 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17592_0 {
	meta:
		name = "TCustomCheckBox.CreateWindowHandle"
		size = 192
		refs = "0015 NewStyleControls 0027 HInstance 004c TCustomCheckBox.CreateWindowHandle 0055 CreateWindowEx 0064 Subclass3DWnd 0072 GetWindowLong 007d CreationControl 0084 InitWndProc 0092 SetWindowLong 00a4 SendMessage 00af TWinControl.CreateWindowHandle"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 BB 2C 01 00 00 00 0F 84 96 00 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 85 88 00 00 00 8B 46 20 50 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 46 1C 50 8B 46 18 50 8B 46 14 50 8B 46 10 50 8B 46 0C 50 8B 46 04 50 8B 06 50 68 ?? ?? ?? ?? 8B 46 08 50 E8 ?? ?? ?? ?? 8B F8 89 BB 40 01 00 00 8B C7 E8 ?? ?? ?? ?? 6A FC 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 89 83 30 01 00 00 A1 ?? ?? ?? ?? 89 18 68 ?? ?? ?? ?? 6A FC 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_17606_0 {
	meta:
		name = "TRadioButton.CreateWindowHandle"
		size = 192
		refs = "0015 NewStyleControls 0027 HInstance 004c TRadioButton.CreateWindowHandle 0055 CreateWindowEx 0064 Subclass3DWnd 0072 GetWindowLong 007d CreationControl 0084 InitWndProc 0092 SetWindowLong 00a4 SendMessage 00af TWinControl.CreateWindowHandle"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 BB 2C 01 00 00 00 0F 84 96 00 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 85 88 00 00 00 8B 46 20 50 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8B 46 1C 50 8B 46 18 50 8B 46 14 50 8B 46 10 50 8B 46 0C 50 8B 46 04 50 8B 06 50 68 ?? ?? ?? ?? 8B 46 08 50 E8 ?? ?? ?? ?? 8B F8 89 BB 40 01 00 00 8B C7 E8 ?? ?? ?? ?? 6A FC 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 89 83 30 01 00 00 A1 ?? ?? ?? ?? 89 18 68 ?? ?? ?? ?? 6A FC 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 40 01 00 00 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_17595_0 {
	meta:
		name = "TCustomCheckBox.CMDialogChar"
		size = 151
		refs = "0010 TCustomCheckBox.CMDialogChar 0020 TControl.GetText 002c IsAccel 0037 TWinControl.CanFocus 0050 @CallDynaInst 0070 TWinControl.CMDialogChar 0085 @LStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 47 04 E8 ?? ?? ?? ?? 84 C0 74 37 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2C 8B C6 8B 10 FF 92 B4 00 00 00 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 C0 00 00 00 C7 47 0C 01 00 00 00 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17596_0 {
	meta:
		name = "TCustomCheckBox.CNCommand"
		size = 16
	strings:
		$1 = { 66 83 7A 06 00 75 08 8B 10 FF 92 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_17597_0 {
	meta:
		name = "TCustomCheckBox.WMSetFocus"
		size = 50
		refs = "0010 NewStyleControls 001c TWinControl.GetHandle 0022 UpdateWindow 002b TWinControl.WMSetFocus"
		altNames = "TRadioButton.WMSetFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 2C 01 00 00 00 74 17 A1 ?? ?? ?? ?? 80 38 00 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17598_0 {
	meta:
		name = "TRadioButton.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TButtonControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0034 TRadioButton.Create 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 71 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 C6 86 F0 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 A0 00 00 00 }
	condition:
		$1
}

rule function_17602_0 {
	meta:
		name = "TurnSiblingsOff"
		size = 103
		refs = "001e TWinControl.GetControlCount 0032 TWinControl.GetControl 0044 _DV_TRadioButton 0049 @IsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 40 24 85 C0 74 4D 8B 55 08 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 38 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 3B 58 FC 74 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 33 D2 8B C3 8B 08 FF 91 BC 00 00 00 47 4E 75 CB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17603_0 {
	meta:
		name = "TRadioButton.SetChecked"
		size = 135
		refs = "0024 TWinControl.SetTabStop 002c TWinControl.HandleAllocated 004e TWinControl.GetHandle 0054 SendMessage 005e TurnSiblingsOff 0067 TControl.Changed 007f @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 3A 98 F1 01 00 00 74 6E 8B 45 FC 88 98 F1 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 24 6A 00 8B 45 FC 8B 10 FF 92 B8 00 00 00 83 E0 7F 50 68 F1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 27 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 EC 01 00 00 00 75 0C 8B 45 FC 66 BB EC FF E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_17604_0 {
	meta:
		name = "TRadioButton.CreateParams"
		size = 88
		refs = "000c TWinControl.CreateParams 0011 TRadioButton.CreateParams 001a TWinControl.CreateSubClass 0025 @CallDynaInst 002f Alignments"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 C5 ?? ?? ?? ?? 33 D2 8A 96 F0 01 00 00 8B 04 90 8B 57 04 83 CA 04 0B C2 89 47 04 5F 5E 5B C3 00 00 00 42 55 54 54 4F 4E 00 00 }
	condition:
		$1
}

rule function_17605_0 {
	meta:
		name = "TRadioButton.CreateWnd"
		size = 41
		refs = "0006 TWinControl.CreateWnd 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C0 8A 83 F1 01 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17608_0 {
	meta:
		name = "TRadioButton.CMDialogChar"
		size = 124
		refs = "000f TRadioButton.CMDialogChar 001f TControl.GetText 002b IsAccel 0036 TWinControl.CanFocus 0056 TWinControl.CMDialogChar 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 8B 10 FF 92 B4 00 00 00 C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17609_0 {
	meta:
		name = "TRadioButton.CNCommand"
		size = 51
		refs = "002c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 66 8B 42 06 66 83 E8 01 72 08 66 83 E8 04 74 11 EB 1A B2 01 8B C6 8B 08 FF 91 BC 00 00 00 5E 5B C3 8B C6 66 BB EB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17611_0 {
	meta:
		name = "TListBoxStrings.GetCount"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 8B 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17612_0 {
	meta:
		name = "TListBoxStrings.Get"
		size = 164
		refs = "0023 TListBoxStrings.Get 003e TWinControl.GetHandle 0044 SendMessage 0055 SListIndexError 005a LoadResString 0069 TStrings.Error 0079 @LStrFromPCharLen 0091 @LStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 9D F8 EF FF FF 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 FC EF FF FF 50 57 68 89 01 00 00 8B 46 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 1F 8D 95 F8 EF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 EF FF FF 8B CF 8B C6 E8 ?? ?? ?? ?? 8D 95 FC EF FF FF 8B 45 FC 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17613_0 {
	meta:
		name = "TListBoxStrings.GetObject"
		size = 109
		refs = "0010 TListBoxStrings.GetObject 0024 @CallDynaInst 0033 SListIndexError 0038 LoadResString 0044 TStrings.Error 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 46 0C 66 BB B8 FF E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17614_0 {
	meta:
		name = "TListBoxStrings.Put"
		size = 46
		refs = "000e TCustomListBox.GetItemIndex 001b TStrings.Put 0025 TCustomListBox.SetItemIndex"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B F0 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17615_0 {
	meta:
		name = "TListBoxStrings.PutObject"
		size = 25
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 46 0C 66 BB B7 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17616_0 {
	meta:
		name = "TListBoxStrings.Add"
		size = 129
		refs = "000f TListBoxStrings.Add 001c @LStrToPChar 002c TWinControl.GetHandle 0032 SendMessage 0040 SInsertLineError 0045 LoadResString 004f _Dn_EOutOfResources 0054 Exception.Create 0059 @RaiseExcept 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 80 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17617_0 {
	meta:
		name = "TListBoxStrings.Insert"
		size = 128
		refs = "0012 TListBoxStrings.Insert 001f @LStrToPChar 002e TWinControl.GetHandle 0034 SendMessage 0040 SInsertLineError 0045 LoadResString 004f _Dn_EOutOfResources 0054 Exception.Create 0059 @RaiseExcept 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 68 81 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17618_0 {
	meta:
		name = "TListBoxStrings.Delete"
		size = 19
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 8B 46 0C 66 BB B5 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17619_0 {
	meta:
		name = "TListBoxStrings.Clear"
		size = 15
		refs = "0009 @CallDynaInst"
	strings:
		$1 = { 53 8B 40 0C 66 BB B6 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17621_0 {
	meta:
		name = "TListBoxStrings.IndexOf"
		size = 38
		refs = "0009 @LStrToPChar 0019 TWinControl.GetHandle 001f SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A FF 68 A2 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17622_0 {
	meta:
		name = "TListBoxStrings.Move"
		size = 107
		refs = "0011 TStrings.BeginUpdate 0026 TListBoxStrings.Move 0038 TStrings.Move 005a TStrings.EndUpdate 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C C6 80 28 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C C6 80 28 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17623_0 {
	meta:
		name = "TCustomListBox.Create"
		size = 216
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 NewStyleControls 002b TCustomListBox.Create 0044 TControl.SetWidth 0050 TControl.SetHeight 0059 TWinControl.SetTabStop 0062 TControl.SetParentColor 0069 _DV_TListBoxStrings 006e TObject.Create 0080 _Dn_TControlCanvas 0085 TCanvas.Create 0096 TControlCanvas.SetControl 00bb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 43 40 EB 08 A1 ?? ?? ?? ?? 89 43 40 BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 89 5E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? C7 83 FC 01 00 00 10 00 00 00 C6 83 F0 01 00 00 01 C6 83 04 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 A0 00 00 00 B0 00 00 00 }
	condition:
		$1
}

rule function_17624_0 {
	meta:
		name = "TCustomListBox.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0013 TWinControl.Destroy 001e TObject.Free 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B 86 0C 02 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17625_0 {
	meta:
		name = "TCustomListBox.GetItemData"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 99 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17626_0 {
	meta:
		name = "TCustomListBox.SetItemData"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 9A 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17627_0 {
	meta:
		name = "TCustomListBox.DeleteString"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 82 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17628_0 {
	meta:
		name = "TCustomListBox.ResetContent"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 84 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17629_0 {
	meta:
		name = "TCustomListBox.Clear"
		size = 12
	strings:
		$1 = { 8B 80 EC 01 00 00 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_17630_0 {
	meta:
		name = "TCustomListBox.SetColumnWidth"
		size = 60
		refs = "002f TWinControl.GetHandle 0035 SendMessage"
	strings:
		$1 = { 53 56 8B D8 83 BB F8 01 00 00 00 7E 2C 83 7B 38 00 7E 26 6A 00 8B 43 38 8B B3 F8 01 00 00 03 C6 83 E8 03 99 F7 FE 50 68 95 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17631_0 {
	meta:
		name = "TCustomListBox.SetColumns"
		size = 65
		refs = "0021 TWinControl.RecreateWnd 0030 TWinControl.HandleAllocated 003b TCustomListBox.SetColumnWidth"
	strings:
		$1 = { 53 8B D8 3B 93 F8 01 00 00 74 34 83 BB F8 01 00 00 00 74 04 85 D2 75 0F 89 93 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 89 93 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17632_0 {
	meta:
		name = "TCustomListBox.GetItemIndex"
		size = 60
		refs = "0018 TWinControl.GetHandle 001e SendMessage"
	strings:
		$1 = { 53 8B D8 80 BB 02 02 00 00 00 75 18 6A 00 6A 00 68 9F 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 6A 00 6A 00 68 88 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17633_0 {
	meta:
		name = "TCustomListBox.GetSelCount"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17634_0 {
	meta:
		name = "TCustomListBox.SetItemIndex"
		size = 73
		refs = "0009 TCustomListBox.GetItemIndex 0025 TWinControl.GetHandle 002b SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 35 80 BB 02 02 00 00 00 74 17 6A 00 56 68 9E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 15 6A 00 56 68 86 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17637_0 {
	meta:
		name = "TCustomListBox.GetItemHeight"
		size = 66
		refs = "0010 TWinControl.HandleAllocated 002e TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B B3 FC 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 80 BB 00 02 00 00 00 75 19 8B C4 50 33 C9 BA 98 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 74 24 0C 2B 74 24 04 8B C6 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_17638_0 {
	meta:
		name = "TCustomListBox.SetItemHeight"
		size = 24
		refs = "0013 TWinControl.RecreateWnd"
	strings:
		$1 = { 3B 90 FC 01 00 00 74 0F 85 D2 7E 0B 89 90 FC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17639_0 {
	meta:
		name = "TCustomListBox.SetTabWidth"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 85 D2 7D 02 33 D2 3B 90 08 02 00 00 74 0B 89 90 08 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17641_0 {
	meta:
		name = "TCustomListBox.GetSelected"
		size = 146
		refs = "0015 TCustomListBox.GetSelected 002a TWinControl.GetHandle 0030 SendMessage 004a SListIndexError 004f LoadResString 0059 _Dn_EListError 005e Exception.CreateFmt 0063 @RaiseExcept 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 68 87 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 75 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B DB F7 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17642_0 {
	meta:
		name = "TCustomListBox.SetSelected"
		size = 143
		refs = "0018 TCustomListBox.SetSelected 0030 TWinControl.GetHandle 0036 SendMessage 004e SListIndexError 0053 LoadResString 005d _Dn_EListError 0062 Exception.CreateFmt 0067 @RaiseExcept 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 33 C0 8A C3 50 68 85 01 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 75 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17645_0 {
	meta:
		name = "TCustomListBox.GetTopIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 8E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17647_0 {
	meta:
		name = "TCustomListBox.SetTopIndex"
		size = 41
		refs = "0009 TCustomListBox.GetTopIndex 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 15 6A 00 56 68 97 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17649_0 {
	meta:
		name = "TCustomListBox.ItemAtPos"
		size = 140
		refs = "002b PtInRect 0036 TCustomListBox.GetTopIndex 005c TControl.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F2 8D 3C 24 A5 A5 8B D9 8B F0 FF 74 24 04 FF 74 24 04 8D 54 24 20 8B C6 8B 08 FF 51 44 8D 44 24 20 50 E8 ?? ?? ?? ?? 85 C0 74 4C 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 86 EC 01 00 00 8B 10 FF 52 14 8B F8 3B FD 7E 2E 8D 44 24 08 50 8B CD BA 98 01 00 00 8B C6 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 75 0C 45 3B FD 7F D2 84 DB 74 03 83 CD FF 8B C5 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17650_0 {
	meta:
		name = "TCustomListBox.ItemRect"
		size = 100
		refs = "0027 TControl.Perform 004c OffsetRect 005c @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B 86 EC 01 00 00 8B 10 FF 52 14 85 DB 74 04 3B C3 7E 11 57 8B CB BA 98 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 33 3B C3 75 21 57 8B CB 49 BA 98 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 47 0C 2B 47 04 50 6A 00 57 E8 ?? ?? ?? ?? EB 0E 8B C7 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17651_0 {
	meta:
		name = "TCustomListBox.CreateParams"
		size = 228
		refs = "000b TWinControl.CreateParams 0010 TCustomListBox.CreateParams 0019 TWinControl.CreateSubClass 001e MultiSelects 002c ExtendSelects 0044 Styles 0053 Sorteds 006d IntegralHeights 0081 MultiColumns 0090 BorderStyles 00a4 TabStops 00ac NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 80 BB 04 02 00 00 00 74 05 B8 ?? ?? ?? ?? 8B 56 04 81 CA 41 00 30 00 33 C9 8A 8B 00 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 03 02 00 00 0B 14 8D ?? ?? ?? ?? 33 C9 8A 8B 02 02 00 00 0B 14 88 33 C0 8A 83 01 02 00 00 0B 14 85 ?? ?? ?? ?? 83 BB F8 01 00 00 00 0F 95 C0 83 E0 7F 0B 14 85 ?? ?? ?? ?? 33 C0 8A 83 F0 01 00 00 0B 14 85 ?? ?? ?? ?? 83 BB 08 02 00 00 00 0F 95 C0 83 E0 7F 0B 14 85 ?? ?? ?? ?? 89 56 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB 2C 01 00 00 00 74 17 80 BB F0 01 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 4C 49 53 54 42 4F 58 00 }
	condition:
		$1
}

rule function_17652_0 {
	meta:
		name = "TCustomListBox.CreateWnd"
		size = 160
		refs = "000e TWinControl.CreateWnd 0023 TWinControl.GetHandle 0029 SetWindowPos 004d SendMessage 0054 TCustomListBox.SetColumnWidth 0078 TCustomListBox.SetTopIndex 0085 TCustomListBox.SetItemIndex 0090 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 38 8B 7B 3C 8B C3 E8 ?? ?? ?? ?? 6A 14 57 56 8B 43 34 50 8B 43 30 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 08 02 00 00 00 74 1B 8D 83 08 02 00 00 50 6A 01 68 92 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 0C 02 00 00 85 F6 74 3A 8B D6 8B 83 EC 01 00 00 8B 08 FF 51 08 8B 93 10 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 14 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 0C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17653_0 {
	meta:
		name = "TCustomListBox.DestroyWnd"
		size = 88
		refs = "0016 _Dn_TStringList 001b TObject.Create 0037 TCustomListBox.GetTopIndex 0044 TCustomListBox.GetItemIndex 0051 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 8B 83 EC 01 00 00 8B 10 FF 52 14 85 C0 7E 3B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 0C 02 00 00 8B 93 EC 01 00 00 8B C6 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 89 83 10 02 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 14 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17654_0 {
	meta:
		name = "TCustomListBox.WndProc"
		size = 104
		refs = "0022 TControl.Dragging 0035 TWinControl.IsControlMouseMsg 003f TCustomListBox.WndProc 005b TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 20 10 75 49 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 37 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2C 80 7B 4D 01 75 26 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 22 66 A1 ?? ?? ?? ?? 66 0B 43 44 66 89 43 44 8B D6 8B C3 8B 08 FF 51 EC EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_17655_0 {
	meta:
		name = "TCustomListBox.WMLButtonDown"
		size = 154
		refs = "0010 KeysToShiftState 0035 SmallPointToPoint 0040 TCustomListBox.ItemAtPos 004f TCustomListBox.GetSelected 005f TControl.BeginDrag 006a TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B F0 66 8B 47 04 E8 ?? ?? ?? ?? 8B D8 80 7E 4D 01 75 49 80 BE 02 02 00 00 00 74 40 F6 C3 01 74 05 F6 C3 04 74 36 8B D4 8B 47 08 E8 ?? ?? ?? ?? 8B D4 B1 01 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 7C 1B 8B D5 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 83 C9 FF 33 D2 8B C6 E8 ?? ?? ?? ?? EB 2E 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 4D 01 75 1F 80 BE 02 02 00 00 00 74 0A F6 C3 04 75 11 F6 C3 01 75 0C 83 C9 FF 33 D2 8B C6 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17656_0 {
	meta:
		name = "TCustomListBox.CNCommand"
		size = 55
		refs = "0017 TControl.Changed 0022 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 66 8B 42 06 66 FF C8 74 07 66 FF C8 74 17 EB 20 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 5E 5B C3 8B C6 66 BB EB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17657_0 {
	meta:
		name = "PaintListBox"
		size = 353
		refs = "0022 TWinControl.GetHandle 0089 TCustomListBox.GetTopIndex 009e GetClipBox 011a Rect"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 57 8B 7D 08 83 C7 FC C7 45 E8 2B BC 00 00 8D 45 A8 89 45 F0 8B 07 E8 ?? ?? ?? ?? 89 45 EC C7 45 A8 02 00 00 00 C7 45 B4 01 00 00 00 33 C0 89 45 B8 8B 45 08 8B 40 F8 8B 40 04 89 45 C0 8B 07 E8 ?? ?? ?? ?? 89 45 AC 8B 07 E8 ?? ?? ?? ?? 89 45 BC C7 45 D8 2C BC 00 00 8B 07 E8 ?? ?? ?? ?? 89 45 DC 8D 45 90 89 45 E0 C7 45 90 02 00 00 00 8B 07 E8 ?? ?? ?? ?? 89 45 94 33 F6 8B 07 E8 ?? ?? ?? ?? 8B D8 8D 45 80 50 8B 45 08 8B 40 F8 8B 40 04 50 E8 ?? ?? ?? ?? 8B 07 8B 40 3C 89 45 FC 8B 07 8B 40 38 89 45 F8 3B 75 FC 0F 8D 9F 00 00 00 89 5D 98 8B 07 8B 80 EC 01 00 00 8B 10 FF 52 14 3B D8 7D 12 8B 07 8B 80 EC 01 00 00 8B D3 8B 08 FF 51 18 89 45 A4 8B 45 F8 89 45 9C 8B 07 8B 80 FC 01 00 00 89 45 A0 8B 45 A4 89 45 D4 89 5D B0 8D 55 D8 8B 07 8B 08 FF 51 EC 8B 45 A0 03 C6 50 8D 85 70 FF FF FF 50 8B 4D 9C 8B D6 33 C0 E8 ?? ?? ?? ?? 56 57 8D B5 70 FF FF FF 8D 7D C4 B9 04 00 00 00 F3 A5 5F 5E 8D 55 E8 8B 07 8B 08 FF 51 EC 03 75 A0 43 8B 07 8B 80 EC 01 00 00 8B 10 FF 52 14 3B D8 7D 09 3B 75 FC 0F 8C 61 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17658_0 {
	meta:
		name = "TCustomListBox.WMPaint"
		size = 45
		refs = "0017 PaintListBox 0025 TWinControl.WMPaint"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 83 78 04 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17660_0 {
	meta:
		name = "TCustomListBox.DragCanceled"
		size = 93
		refs = "0010 GetCursorPos 001d TControl.ScreenToClient 0026 PointToSmallPoint"
	strings:
		$1 = { 53 83 C4 E0 8B D8 C7 44 24 08 01 02 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 18 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 E8 ?? ?? ?? ?? 89 44 24 10 33 C0 89 44 24 0C 33 C0 89 44 24 14 8D 54 24 08 8B C3 8B 08 FF 51 F0 C7 44 24 08 02 02 00 00 8D 54 24 08 8B C3 8B 08 FF 51 F0 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_17661_0 {
	meta:
		name = "TCustomListBox.DrawItem"
		size = 265
		refs = "0022 TCustomListBox.DrawItem 005d TCanvas.FillRect 0078 TControl.DrawTextBiDiModeFlags 0086 @CallDynaInst 00b4 @LStrLen 00cd @LStrToPChar 00d9 TCanvas.GetHandle 00df DrawText 00f4 @LStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F1 8D 7D EC B9 04 00 00 00 F3 A5 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BE 1A 02 00 00 00 74 1D 8D 45 EC 50 8A 45 08 50 8B CF 8B D6 8B 86 1C 02 00 00 FF 96 18 02 00 00 E9 90 00 00 00 8D 55 EC 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 10 FF 52 14 3B F8 7D 73 BA 24 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 06 83 45 EC 02 EB 04 83 6D F4 02 8B 45 FC 50 8D 45 EC 50 8D 4D E8 8B D7 8B 86 EC 01 00 00 8B 18 FF 53 0C 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 4D E8 8B D7 8B 86 EC 01 00 00 8B 18 FF 53 0C 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17662_0 {
	meta:
		name = "TCustomListBox.MeasureItem"
		size = 32
	strings:
		$1 = { 53 66 83 B8 22 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 5B C3 }
	condition:
		$1
}

rule function_17663_0 {
	meta:
		name = "TCustomListBox.CNDrawItem"
		size = 191
		refs = "001a TCanvas.SetHandle 0028 TCanvas.SetFont 0039 TCanvas.SetBrush 0058 TBrush.SetColor 006b TFont.SetColor 0095 TCanvas.FillRect 00a8 DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 7A 08 8A 47 10 88 04 24 8B 57 18 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B 56 58 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 8B 96 24 01 00 00 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 83 7F 08 00 7C 2C F6 04 24 01 74 26 8B 86 F4 01 00 00 8B 40 14 BA 0D 00 00 80 E8 ?? ?? ?? ?? 8B 86 F4 01 00 00 8B 40 0C BA 0E 00 00 80 E8 ?? ?? ?? ?? 8B 6F 08 85 ED 7C 15 8A 04 24 50 8D 4F 1C 8B D5 8B C6 8B 18 FF 93 B8 00 00 00 EB 0E 8D 57 1C 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? F6 04 24 10 74 0D 8D 47 1C 50 8B 47 18 50 E8 ?? ?? ?? ?? 33 D2 8B 86 F4 01 00 00 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17664_0 {
	meta:
		name = "TCustomListBox.CNMeasureItem"
		size = 44
	strings:
		$1 = { 53 56 8B F0 8B 42 08 8B 96 FC 01 00 00 89 50 10 80 BE 00 02 00 00 02 75 10 8D 48 10 8B 50 08 8B C6 8B 18 FF 93 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17665_0 {
	meta:
		name = "TCustomListBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB F0 01 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17666_0 {
	meta:
		name = "TScrollBar.Create"
		size = 160
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002a GetSystemMetrics 0033 TControl.SetHeight 003c TWinControl.SetTabStop 0041 TScrollBar.Create 0089 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? 6A 03 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 C6 86 EC 01 00 00 00 33 C0 89 86 F0 01 00 00 33 C0 89 86 F4 01 00 00 C7 86 F8 01 00 00 64 00 00 00 66 C7 86 04 02 00 00 01 00 66 C7 86 06 02 00 00 01 00 C6 86 48 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 D0 00 00 00 }
	condition:
		$1
}

rule function_17667_0 {
	meta:
		name = "TScrollBar.CreateParams"
		size = 132
		refs = "000c TWinControl.CreateParams 0011 TScrollBar.CreateParams 001a TWinControl.CreateSubClass 0029 Kinds 0040 @CallDynaInst 0055 TScrollBar.NotRightToLeft"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 8A 86 EC 01 00 00 8B 04 85 ?? ?? ?? ?? 09 47 04 80 BE EC 01 00 00 01 75 19 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 84 C0 75 06 83 4F 04 04 EB 04 83 4F 04 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C C7 86 00 02 00 00 01 00 00 00 EB 0A C7 86 00 02 00 00 FF FF FF FF 5F 5E 5B C3 00 53 43 52 4F 4C 4C 42 41 52 00 00 00 }
	condition:
		$1
}

rule function_17668_0 {
	meta:
		name = "TScrollBar.CreateWnd"
		size = 110
		refs = "0006 TWinControl.CreateWnd 001f TWinControl.GetHandle 0025 SetScrollRange 002c TScrollBar.NotRightToLeft 0048 SetScrollPos"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 F8 01 00 00 50 8B 83 F4 01 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 6A FF 8B 83 F0 01 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 6A FF 8B 83 F8 01 00 00 2B 83 F0 01 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17669_0 {
	meta:
		name = "TScrollBar.NotRightToLeft"
		size = 31
		refs = "0006 TControl.IsRightToLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 80 BB EC 01 00 00 01 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_17670_0 {
	meta:
		name = "TScrollBar.SetKind"
		size = 58
		refs = "0033 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 EC 01 00 00 74 2B 88 93 EC 01 00 00 F6 43 20 01 75 18 8B 43 3C 50 8B 43 38 50 8B 4B 34 8B 53 30 8B C3 8B 30 FF 96 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17671_0 {
	meta:
		name = "TScrollBar.SetParams"
		size = 299
		refs = "0012 TScrollBar.SetParams 0025 SScrollBarRange 002a LoadResString 0034 _Dn_EInvalidOperation 0039 Exception.Create 003e @RaiseExcept 0075 TWinControl.HandleAllocated 0095 TWinControl.GetHandle 009b SetScrollRange 00bb TScrollBar.NotRightToLeft 00d7 SetScrollPos 0102 @CallDynaInst 0117 @LStrClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 7D 08 7E 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B FE 7E 02 8B F7 3B 75 08 7E 03 8B 75 08 3B BB F4 01 00 00 75 0B 8B 83 F8 01 00 00 3B 45 08 74 3C 89 BB F4 01 00 00 8B 45 08 89 83 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 3B B3 F0 01 00 00 0F 94 C0 F6 D8 1B C0 50 8B 45 08 50 57 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B B3 F0 01 00 00 74 5F 89 B3 F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 43 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 6A FF 8B 83 F0 01 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 6A FF 8B 83 F8 01 00 00 2B 83 F0 01 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BB B8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17672_0 {
	meta:
		name = "TScrollBar.SetPosition"
		size = 19
		refs = "000e TScrollBar.SetParams"
	strings:
		$1 = { 8B 88 F8 01 00 00 51 8B 88 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17673_0 {
	meta:
		name = "TScrollBar.SetPageSize"
		size = 80
		refs = "002d TWinControl.HandleAllocated 0041 TWinControl.GetHandle 0047 SetScrollInfo"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B 83 FC 01 00 00 3B D0 74 3B 3B 83 F8 01 00 00 7F 33 89 93 FC 01 00 00 89 54 24 10 C7 44 24 04 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A FF 8D 44 24 04 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_17674_0 {
	meta:
		name = "TScrollBar.SetMin"
		size = 21
		refs = "0010 TScrollBar.SetParams"
	strings:
		$1 = { 8B 88 F8 01 00 00 51 8B CA 8B 90 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17675_0 {
	meta:
		name = "TScrollBar.SetMax"
		size = 19
		refs = "000e TScrollBar.SetParams"
	strings:
		$1 = { 52 8B 88 F4 01 00 00 8B 90 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17676_0 {
	meta:
		name = "TScrollBar.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 0A 02 00 00 00 74 0E 8B D3 8B 83 0C 02 00 00 FF 93 08 02 00 00 5B C3 }
	condition:
		$1
}

rule function_17677_0 {
	meta:
		name = "TScrollBar.Scroll"
		size = 32
	strings:
		$1 = { 53 66 83 B8 12 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 14 02 00 00 FF 93 10 02 00 00 5B C3 }
	condition:
		$1
}

rule function_17678_0 {
	meta:
		name = "TScrollBar.DoScroll"
		size = 277
		refs = "0021 TScrollBar.DoScroll 00a6 TWinControl.GetHandle 00ac GetScrollInfo 00b7 TScrollBar.NotRightToLeft 0100 @CallDynaInst 010a TScrollBar.SetPosition"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B FA 8B F0 8B 9E F0 01 00 00 33 C0 8A 47 04 83 F8 07 0F 87 BB 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 86 04 02 00 00 F7 AE 00 02 00 00 2B D8 E9 80 00 00 00 0F B7 86 04 02 00 00 F7 AE 00 02 00 00 03 D8 EB 6F 0F B7 86 06 02 00 00 F7 AE 00 02 00 00 2B D8 EB 5E 0F B7 86 06 02 00 00 F7 AE 00 02 00 00 03 D8 EB 4D C7 44 24 04 1C 00 00 00 C7 44 24 08 17 00 00 00 8D 44 24 04 50 6A 02 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 1C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 86 F8 01 00 00 2B C3 8B D8 EB 0E 8B 9E F4 01 00 00 EB 06 8B 9E F8 01 00 00 8B 86 F4 01 00 00 3B D8 7D 02 8B D8 8B 86 F8 01 00 00 3B D8 7E 02 8B D8 89 1C 24 8B CC 8A 57 04 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 8B 14 24 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17681_0 {
	meta:
		name = "TScrollBar.CNCtlColorScrollBar"
		size = 40
		refs = "0014 TWinControl.GetHandle 0021 CallWindowProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 30 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17683_0 {
	meta:
		name = "TCustomStaticText.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TCustomStaticText.Create 002b TControl.SetWidth 0037 TControl.SetHeight 004c TCustomStaticText.AdjustBounds 0057 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 40 BA 41 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 ED 01 00 00 01 C6 86 F4 01 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 EA 08 00 00 }
	condition:
		$1
}

rule function_17684_0 {
	meta:
		name = "TCustomStaticText.CreateParams"
		size = 128
		refs = "000c TWinControl.CreateParams 0011 TCustomStaticText.CreateParams 001a TWinControl.CreateSubClass 0025 @CallDynaInst 0032 Alignments 0057 Borders"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB CF FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 33 D2 8A 96 EC 01 00 00 8B 04 90 8B 57 04 81 CA 00 01 00 00 0B C2 33 D2 8A 96 EE 01 00 00 0B 04 95 ?? ?? ?? ?? 89 47 04 80 BE F4 01 00 00 00 75 07 81 4F 04 80 00 00 00 83 67 24 FC 5F 5E 5B C3 00 00 53 54 41 54 49 43 00 00 }
	condition:
		$1
}

rule function_17685_0 {
	meta:
		name = "TCustomStaticText.CMDialogChar"
		size = 148
		refs = "000f TCustomStaticText.CMDialogChar 003c TControl.GetText 0048 IsAccel 0059 TWinControl.CanFocus 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB F0 01 00 00 00 74 50 8B C3 8B 10 FF 52 50 84 C0 74 45 80 BB F4 01 00 00 00 74 3C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 66 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 22 8B 9B F0 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 8B 10 FF 92 B4 00 00 00 C7 46 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17687_0 {
	meta:
		name = "TCustomStaticText.CMTextChanged"
		size = 26
		refs = "000d TCustomStaticText.AdjustBounds"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_17689_0 {
	meta:
		name = "TCustomStaticText.AdjustBounds"
		size = 222
		refs = "0014 TCustomStaticText.AdjustBounds 0038 GetDC 0042 TFont.GetHandle 0049 SelectObject 0059 TControl.GetText 0061 @LStrLen 0074 @LStrToPChar 007b GetTextExtentPoint32 008a ReleaseDC 0091 GetSystemMetrics 00cb @LStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 20 02 0F 85 92 00 00 00 80 BB ED 01 00 00 00 0F 84 85 00 00 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B 43 58 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B F8 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 56 6A 00 E8 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? C1 E0 02 03 45 F8 50 6A 06 E8 ?? ?? ?? ?? C1 E0 02 03 45 FC 50 8B 4B 34 8B 53 30 8B C3 8B 18 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17690_0 {
	meta:
		name = "TCustomStaticText.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 F0 01 00 00 75 08 33 C0 89 87 F0 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17692_0 {
	meta:
		name = "TCustomStaticText.SetAutoSize"
		size = 24
		refs = "0013 TCustomStaticText.AdjustBounds"
	strings:
		$1 = { 3A 90 ED 01 00 00 74 0F 88 90 ED 01 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17694_0 {
	meta:
		name = "TCustomStaticText.SetFocusControl"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 F0 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17701_0 {
	meta:
		name = "TEventLogger.Create"
		size = 131
		refs = "000e @ClassCreate 001f @LStrAddRef 0027 TEventLogger.Create 003b @LStrAsg 0058 @LStrClr 005e @HandleFinally 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 04 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_17702_0 {
	meta:
		name = "TEventLogger.Destroy"
		size = 70
		refs = "0007 @BeforeDestruction 0022 DeregisterEventSource 0030 TObject.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 08 00 74 0C 8B 45 FC 8B 40 08 50 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17703_0 {
	meta:
		name = "TEventLogger.LogMessage"
		size = 155
		refs = "0013 @LStrAddRef 001b TEventLogger.LogMessage 0029 @LStrToPChar 0048 RegisterEventSource 0074 ReportEvent 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 83 78 08 00 75 19 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 00 8D 45 F0 50 6A 00 6A 01 6A 00 8B 45 08 50 66 8B 45 0C 50 66 8B 45 F4 50 8B 45 FC 8B 40 08 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_17704_0 {
	meta:
		name = "TDependency.GetDisplayName"
		size = 52
		refs = "001f @LStrLAsg 002c TCollectionItem.GetDisplayName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 0C 00 74 10 8B 45 F8 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17705_0 {
	meta:
		name = "TDependencies.Create"
		size = 83
		refs = "000e @ClassCreate 0026 _DV_TDependency 0030 TCollection.Create 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 8B 55 FC 89 42 18 8B 0D ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_17708_0 {
	meta:
		name = "TDependencies.GetOwner"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 18 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_17709_0 {
	meta:
		name = "TServiceThread.Create"
		size = 86
		refs = "000e @ClassCreate 0033 TThread.Create 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 8B 55 FC 89 42 28 8B 45 FC C6 40 0E 01 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_17710_0 {
	meta:
		name = "TServiceThread.Execute"
		size = 549
		refs = "001b TServiceThread.Execute 0038 PeekMessage 0053 TService.SetStatus 00e4 TServiceThread.ProcessRequests 00fd @HandleOnException 0105 _Dn_Exception 011c SExecute 0121 LoadResString 0144 SServiceFailed 0157 Format 016a TService.LogMessage 016f @DoneExcept 019d SStart 020a @LStrArrayClr 0212 @LStrClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 D2 89 55 D0 89 55 BC 89 55 B8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 00 04 00 00 68 00 04 00 00 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 B2 01 E8 ?? ?? ?? ?? C6 45 FB 01 8B 45 FC 8B 40 28 66 83 B8 CE 00 00 00 00 74 1B 8B 45 FC 8B 58 28 8D 4D FB 8B 45 FC 8B 50 28 8B 83 D0 00 00 00 FF 93 CC 00 00 00 80 7D FB 00 75 0D 33 C0 5A 59 59 64 89 10 E9 5B 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 B2 03 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 66 83 B8 B6 00 00 00 00 74 1A 8B 45 FC 8B 58 28 8B 45 FC 8B 50 28 8B 83 B8 00 00 00 FF 93 B4 00 00 00 EB 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 77 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 F4 6A 00 6A 00 8D 45 D0 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 0B 8B 45 F4 8B 40 04 89 45 C8 C6 45 CC 0B 8D 45 C0 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC 8B 40 28 B9 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 77 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 F0 6A 00 6A 00 8D 45 D0 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 0B 8B 45 F0 8B 40 04 89 45 C8 C6 45 CC 0B 8D 45 C0 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC 8B 40 28 B9 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17711_0 {
	meta:
		name = "TServiceThread.ProcessRequests"
		size = 613
		refs = "001b TServiceThread.ProcessRequests 0045 GetMessage 0061 PeekMessage 013f TService.SetStatus 0151 @HandleOnException 0159 _Dn_Exception 0189 SServiceFailed 018e LoadResString 019c ActionStr 01be Format 01ca SCustomError 020f TService.LogMessage 0214 @DoneExcept 0222 DispatchMessage 024a @LStrClr 0258 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D CC 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 40 0C 22 45 FB 0F 85 05 02 00 00 80 7D FB 00 74 1A 6A 00 6A 00 6A 00 8D 45 D0 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 88 45 F2 EB 1A 6A 01 6A 00 6A 00 6A 00 8D 45 D0 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 88 45 F2 80 7D F2 00 0F 84 C1 01 00 00 83 7D D0 00 0F 85 A9 01 00 00 81 7D D4 01 04 00 00 0F 85 8E 01 00 00 8B 45 FC 8B 40 28 8A 40 7A 88 45 FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 8B 45 D8 83 F8 05 77 69 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B 10 FF 52 34 88 45 F3 EB 4B 8B 45 FC 8B 40 28 8B 10 FF 52 38 88 45 F3 EB 3B 8B 45 FC 8B 40 28 8B 10 FF 52 3C 88 45 F3 EB 2B 8B 45 FC 8B 40 28 8B 10 FF 52 44 EB 1E 8B 45 FC 8B 40 28 8B 10 FF 52 40 EB 11 8B 45 FC 8B 40 28 8B 55 D8 8B 08 FF 51 48 88 45 F3 80 7D F3 00 75 0E 8B 45 FC 8B 40 28 8A 55 FA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 D5 FE FF FF E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 EC 83 7D D8 05 74 0E 8B 45 FC 8B 40 28 8A 55 FA E8 ?? ?? ?? ?? 8B 45 D8 48 83 E8 05 73 41 8D 45 F4 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 D8 8B 04 85 ?? ?? ?? ?? 89 45 BC C6 45 C0 0B 8B 45 EC 8B 40 04 89 45 C4 C6 45 C8 0B 8D 55 BC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 D8 89 45 BC C6 45 C0 00 8B 45 EC 8B 40 04 89 45 C4 C6 45 C8 0B 8D 55 BC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 40 28 B9 01 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 FE FF FF 8D 45 D0 50 E8 ?? ?? ?? ?? E9 FA FD FF FF 8D 45 D0 50 E8 ?? ?? ?? ?? E9 EC FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17712_0 {
	meta:
		name = "TService.Create"
		size = 176
		refs = "000e @ClassCreate 0039 _Dn_TStringList 003e TObject.Create 004e _DV_TDependencies 0053 TDependencies.Create 008d TDataModule.Create 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 FC C7 80 84 00 00 00 88 13 00 00 8B 45 FC C6 40 60 00 8B 45 FC C6 40 78 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 68 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 8B 45 FC C6 40 58 01 8B 45 FC C6 40 79 02 8B 45 FC 33 D2 89 90 80 00 00 00 8B 45 FC C6 40 48 01 8B 45 FC C6 40 49 01 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_17713_0 {
	meta:
		name = "TService.Destroy"
		size = 82
		refs = "0007 @BeforeDestruction 0018 TObject.Free 003c TDataModule.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17714_0 {
	meta:
		name = "TService.GetDisplayName"
		size = 55
		refs = "001f @LStrLAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 50 00 74 10 8B 45 F8 8B 55 FC 8B 52 50 E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17715_0 {
	meta:
		name = "TService.SetDependencies"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 4C 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_17716_0 {
	meta:
		name = "TService.AreDependenciesStored"
		size = 33
		refs = "0010 TCollection.GetCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 85 C0 0F 9F 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_17717_0 {
	meta:
		name = "TService.GetParamCount"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 68 8B 10 FF 52 14 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_17718_0 {
	meta:
		name = "TService.GetParam"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 68 8B 18 FF 53 0C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17719_0 {
	meta:
		name = "TService.SetOnContinue"
		size = 40
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 55 08 89 90 AC 00 00 00 8B 55 0C 89 90 B0 00 00 00 8B 45 FC C6 40 49 01 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17720_0 {
	meta:
		name = "TService.SetOnPause"
		size = 40
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 55 08 89 90 BC 00 00 00 8B 55 0C 89 90 C0 00 00 00 8B 45 FC C6 40 49 01 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17721_0 {
	meta:
		name = "TService.SetOnStop"
		size = 40
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 55 08 89 90 D4 00 00 00 8B 55 0C 89 90 D8 00 00 00 8B 45 FC C6 40 48 01 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17722_0 {
	meta:
		name = "TService.GetTerminated"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C6 45 FB 00 8B 45 FC 83 78 74 00 74 0C 8B 45 FC 8B 40 74 8A 40 0C 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_17723_0 {
	meta:
		name = "TService.GetNTDependencies"
		size = 271
		refs = "0010 @LStrClr 0020 TCollection.GetCount 003e TDependencies.GetItem 0046 @LStrLen 008d @LStrSetLength 0095 UniqueString 00e6 @LStrToPChar 00f0 StrECopy"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 48 85 C0 7C 43 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 01 45 F0 8B 55 F4 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 80 78 10 00 74 03 FF 45 F0 FF 45 F4 FF 4D E8 75 C8 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 03 C0 01 45 F0 83 7D F0 00 0F 84 85 00 00 00 8B 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 48 85 C0 7C 5F 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 80 78 10 00 74 09 8B 45 EC C6 00 2B FF 45 EC 8B 55 F4 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 89 45 EC FF 45 EC 8B 45 EC C6 00 00 FF 45 EC FF 45 F4 FF 4D E8 75 AC 8B E5 5D C3 }
	condition:
		$1
}

rule function_17724_0 {
	meta:
		name = "TService.GetNTServiceType"
		size = 92
		refs = "0013 NTServiceType 003d Application 0042 TServiceApplication.GetServiceCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 0F B6 40 78 8B 04 85 ?? ?? ?? ?? 89 45 F8 8B 45 FC 80 78 78 00 75 10 8B 45 FC 80 78 60 00 74 07 81 4D F8 00 01 00 00 8B 45 FC 80 78 78 00 75 19 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 7E 0C 8B 45 F8 83 F0 10 83 C8 20 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_17725_0 {
	meta:
		name = "TService.GetNTStartType"
		size = 59
		refs = "0013 NTStartType"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 0F B6 40 79 8B 04 85 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8A 40 79 2C 02 73 10 8B 45 FC 80 78 78 01 74 07 C7 45 F8 02 00 00 00 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_17726_0 {
	meta:
		name = "TService.GetNTErrorSeverity"
		size = 33
		refs = "0013 NTErrorSeverity"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 0F B6 40 58 8B 04 85 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_17727_0 {
	meta:
		name = "TService.GetNTControlsAccepted"
		size = 49
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C7 45 F8 04 00 00 00 8B 45 FC 80 78 48 00 74 04 83 4D F8 01 8B 45 FC 80 78 49 00 74 04 83 4D F8 02 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_17728_0 {
	meta:
		name = "TService.LogMessage"
		size = 130
		refs = "0013 @LStrAddRef 001b TService.LogMessage 0037 _DV_TEventLogger 003c TEventLogger.Create 005b TEventLogger.LogMessage 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 5C 00 75 18 8B 45 FC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_17729_0 {
	meta:
		name = "TService.ReportStatus"
		size = 275
		refs = "0012 TService.ReportStatus 002c TService.GetNTServiceType 0047 TService.GetNTControlsAccepted 005e PendingStatus 006c LastStatus 0091 NTServiceStatus 00c9 SetServiceStatus 00d6 GetLastError 00de SysErrorMessage 00ee TService.LogMessage 0103 @LStrClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 D2 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 84 00 00 00 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 80 78 7A 01 75 07 33 C0 89 45 E8 EB 0B 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8A 40 7A 3C 07 77 0A 83 E0 7F 0F A3 05 ?? ?? ?? ?? 73 13 8B 45 FC 8A 40 7A 3A 05 ?? ?? ?? ?? 75 05 FF 45 F4 EB 05 33 C0 89 45 F4 8B 45 FC 8A 40 7A A2 ?? ?? ?? ?? 8B 45 FC 0F B6 40 7A 8B 04 85 ?? ?? ?? ?? 89 45 E4 8B 45 FC 8B 80 88 00 00 00 89 45 EC 8B 45 FC 8B 40 54 89 45 F0 8B 45 FC 83 78 54 00 74 07 C7 45 EC 2A 04 00 00 8D 45 E0 50 8B 45 FC 8B 40 7C 50 E8 ?? ?? ?? ?? 85 C0 75 21 6A 00 6A 00 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_17730_0 {
	meta:
		name = "TService.SetStatus"
		size = 42
		refs = "0022 TService.ReportStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 42 7A 8B 45 FC F6 40 20 10 75 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17731_0 {
	meta:
		name = "TService.Main"
		size = 211
		refs = "0019 TService.Main 0043 @LStrFromPChar 006d @LStrToPChar 0073 RegisterServiceCtrlHandler 008b GetLastError 0093 SysErrorMessage 00a3 TService.LogMessage 00c2 @LStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 48 85 C0 7C 32 40 89 45 EC C7 45 F0 00 00 00 00 8D 45 E8 8B 55 F4 8B 4D F0 8B 14 8A E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 40 68 8B 08 FF 51 34 FF 45 F0 FF 4D EC 75 D9 8B 45 FC 8B 10 FF 52 4C 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 7C 8B 45 FC 83 78 7C 00 75 23 6A 00 6A 00 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC 8B 10 FF 52 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17732_0 {
	meta:
		name = "TService.Controller"
		size = 65
		refs = "0022 PostThreadMessage 0039 TThread.Resume"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 6A 00 8B 45 F8 50 68 01 04 00 00 8B 45 FC 8B 40 74 8B 40 08 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 74 80 78 0D 00 74 0B 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17733_0 {
	meta:
		name = "TService.DoStart"
		size = 313
		refs = "001b TService.DoStart 0039 TService.SetStatus 0051 _DV_TServiceThread 0056 TServiceThread.Create 0067 TThread.WaitFor 0084 @HandleFinally 0095 @HandleOnException 009d _Dn_Exception 00b4 SExecute 00b9 LoadResString 00dc SServiceFailed 00ef Format 00ff TService.LogMessage 0104 @DoneExcept 011e @LStrArrayClr 0126 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 F4 89 55 E0 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 74 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 74 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 F8 6A 00 6A 00 8D 45 F4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 0B 8B 45 F8 8B 40 04 89 45 EC C6 45 F0 0B 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 F4 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17734_0 {
	meta:
		name = "TService.DoStop"
		size = 83
		refs = "0014 TService.SetStatus 0047 TThread.Terminate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC C6 45 FB 01 B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 D6 00 00 00 00 74 15 8D 4D FB 8B 5D FC 8B 55 FC 8B 83 D8 00 00 00 FF 93 D4 00 00 00 80 7D FB 00 74 0B 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 8A 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17735_0 {
	meta:
		name = "TService.DoPause"
		size = 93
		refs = "0014 TService.SetStatus 0051 TThread.Suspend"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC C6 45 FB 01 B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BE 00 00 00 00 74 15 8D 4D FB 8B 5D FC 8B 55 FC 8B 83 C0 00 00 00 FF 93 BC 00 00 00 80 7D FB 00 74 15 B2 06 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 8A 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17736_0 {
	meta:
		name = "TService.DoContinue"
		size = 82
		refs = "0014 TService.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC C6 45 FB 01 B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 AE 00 00 00 00 74 15 8D 4D FB 8B 5D FC 8B 55 FC 8B 83 B0 00 00 00 FF 93 AC 00 00 00 80 7D FB 00 74 0A B2 03 8B 45 FC E8 ?? ?? ?? ?? 8A 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17737_0 {
	meta:
		name = "TService.DoInterrogate"
		size = 18
		refs = "000b TService.ReportStatus"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_17738_0 {
	meta:
		name = "TService.DoShutdown"
		size = 99
		refs = "000e TService.SetStatus 0016 TService.DoShutdown 0053 TThread.Terminate 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC B2 02 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 C6 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 C8 00 00 00 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_17739_0 {
	meta:
		name = "TService.DoCustomControl"
		size = 23
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F4 89 45 FC C6 45 FB 01 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule function_17740_0 {
	meta:
		name = "ServiceMain"
		size = 23
		refs = "000a Application 000f TServiceApplication.DispatchServiceMain"
	strings:
		$1 = { 55 8B EC 8B 4D 0C 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_17741_0 {
	meta:
		name = "DoneServiceApplication"
		size = 90
		refs = "0001 Application 001b ShowOwnedPopups 0029 TApplication.SetShowHint 0035 TComponent.Destroying 0041 TComponent.DestroyComponents"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 83 78 24 00 74 12 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 40 24 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17742_0 {
	meta:
		name = "TServiceApplication.Create"
		size = 171
		refs = "0017 @ClassCreate 0028 TServiceApplication.Create 003b TComponent.Create 0045 ParamStr 0050 ExtractFileName 005a _DV_TEventLogger 005f TEventLogger.Create 007f @LStrArrayClr 0085 @HandleFinally 0095 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 33 C0 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17743_0 {
	meta:
		name = "TServiceApplication.Destroy"
		size = 81
		refs = "0007 @BeforeDestruction 0018 TObject.Free 001d Application 003b TComponent.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 89 90 C8 00 00 00 89 90 CC 00 00 00 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17744_0 {
	meta:
		name = "TServiceApplication.DispatchServiceMain"
		size = 192
		refs = "0019 TServiceApplication.DispatchServiceMain 0027 TComponent.GetComponentCount 0042 TComponent.GetComponent 0048 _DV_TService 004d @IsClass 006d @LStrFromPChar 0076 AnsiCompareText 0090 TService.Main 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 6E 40 89 45 EC C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 50 8D 45 E8 8B 55 F4 8B 12 E8 ?? ?? ?? ?? 8B 45 E8 5A E8 ?? ?? ?? ?? 85 C0 75 18 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? EB 08 FF 45 F0 FF 4D EC 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17745_0 {
	meta:
		name = "TServiceApplication.GetServiceCount"
		size = 82
		refs = "0012 TComponent.GetComponentCount 002d TComponent.GetComponent 0033 _DV_TService 0038 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 30 40 89 45 F0 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 F8 FF 45 F4 FF 4D F0 75 DB 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_17746_0 {
	meta:
		name = "InstallService"
		size = 489
		refs = "001e InstallService 002e ParamStr 0087 @LStrToPChar 00a5 TService.GetNTDependencies 00cf TService.GetNTErrorSeverity 00d8 TService.GetNTStartType 00e1 TService.GetNTServiceType 00f2 TService.GetDisplayName 0110 CreateService 012a RaiseLastWin32Error 0174 @HandleOnException 017c _Dn_Exception 018c DeleteService 0191 @RaiseAgain 0196 @DoneExcept 01ac CloseServiceHandle 01b2 @HandleFinally 01ce @LStrArrayClr 01d6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D DC 89 4D D8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 8E 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 90 00 00 00 FF 93 8C 00 00 00 8B 45 FC 8B 80 80 00 00 00 89 45 F4 83 7D F4 00 7E 08 8D 45 F4 89 45 EC EB 05 33 C0 89 45 EC 8B 45 FC 83 78 70 00 75 07 33 C0 89 45 E8 EB 0E 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 40 6C E8 ?? ?? ?? ?? 50 8B 45 E8 50 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 50 8B 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 68 FF 01 0F 00 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 55 F4 89 90 80 00 00 00 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 96 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 98 00 00 00 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 E0 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17747_0 {
	meta:
		name = "UninstallService"
		size = 182
		refs = "0038 @LStrToPChar 0042 OpenService 0050 RaiseLastWin32Error 0058 UninstallService 0067 DeleteService 0086 CloseServiceHandle 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 9E 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 A0 00 00 00 FF 93 9C 00 00 00 68 FF 01 0F 00 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 66 83 B8 A6 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 A8 00 00 00 FF 93 A4 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17748_0 {
	meta:
		name = "TServiceApplication.RegisterServices"
		size = 548
		refs = "001e TServiceApplication.RegisterServices 0036 OpenSCManager 0044 RaiseLastWin32Error 005a TComponent.GetComponentCount 0079 TComponent.GetComponent 007f _DV_TService 0084 @IsClass 00b4 InstallService 00cb UninstallService 00de @HandleOnException 00e6 _Dn_Exception 00ff SServiceInstallFailed 0104 LoadResString 010e SServiceUninstallFailed 0132 TService.GetDisplayName 0159 Format 016a MessageDlg 016f @DoneExcept 019e SServiceInstallOK 01c0 SServiceUninstallOK 01df CloseServiceHandle 01e5 @HandleFinally 01fc @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D D8 89 4D C4 89 4D E8 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 01 68 3F 00 0F 00 6A 00 6A 00 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 18 01 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 17 55 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 59 EB 15 55 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 E9 96 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 E0 C6 45 EF 00 80 7D FB 00 74 0F 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 6A 00 8D 45 D8 50 8D 55 C4 8B 45 DC E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 0B 8B 45 E0 8B 40 04 89 45 D0 C6 45 D4 0B 8D 55 C8 B9 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D8 66 8B 0D ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F0 FF 4D E4 0F 85 F3 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EF 00 74 48 80 7D FB 00 74 22 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 66 8B 0D ?? ?? ?? ?? B2 02 E8 ?? ?? ?? ?? EB 20 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 66 8B 0D ?? ?? ?? ?? B2 02 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_17749_0 {
	meta:
		name = "TServiceApplication.CreateForm"
		size = 125
		refs = "0014 _DV_TService 001c TObject.InheritsFrom 0028 TServiceApplication.CreateForm 004d @HandleAnyException 0059 @RaiseAgain 005e @DoneExcept 0068 Application 0072 TApplication.CreateForm"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 8B 45 F8 FF 50 2C 8B 55 F4 89 02 33 C0 5A 59 59 64 89 10 EB 2A E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 4D F4 A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17750_0 {
	meta:
		name = "TServiceApplication.DoHandleException"
		size = 42
		refs = "0022 TEventLogger.LogMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 6A 00 6A 00 B9 01 00 00 00 8B 45 F8 8B 50 04 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17751_0 {
	meta:
		name = "TServiceApplication.Initialize"
		size = 33
		refs = "0008 Application 001a TApplication.Initialize"
	strings:
		$1 = { 55 8B EC 51 89 45 FC A1 ?? ?? ?? ?? 8B 00 C6 40 43 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_17752_0 {
	meta:
		name = "TServiceApplication.OnExceptionHandler"
		size = 36
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 F4 89 45 FC 8B 55 F8 8B 45 FC 66 BB F0 FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17753_0 {
	meta:
		name = "TServiceStartThread.Create"
		size = 162
		refs = "000e @ClassCreate 001f @DynArrayAddRef 0027 TServiceStartThread.Create 004b TServiceTableEntryArray 0050 @DynArrayAsg 005c TThread.Create 0077 @DynArrayClear 007d @HandleFinally 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 0E 00 8B 45 FC 33 D2 89 50 10 8B 45 FC 83 C0 28 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_17754_0 {
	meta:
		name = "TServiceStartThread.DoTerminate"
		size = 40
		refs = "000b TThread.DoTerminate 0016 Application 0021 PostMessage"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 12 A1 ?? ?? ?? ?? 8B 00 8B 40 24 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_17755_0 {
	meta:
		name = "TServiceStartThread.Execute"
		size = 48
		refs = "000f StartServiceCtrlDispatcher 0023 GetLastError"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 28 50 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 45 FC 33 D2 89 50 10 59 5D C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 59 5D C3 }
	condition:
		$1
}

rule function_17756_0 {
	meta:
		name = "FindSwitch"
		size = 68
		refs = "000c FindSwitch 0014 FindCmdLineSwitch"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 00 00 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_17757_0 {
	meta:
		name = "TServiceApplication.Run"
		size = 572
		refs = "0015 TServiceApplication.Run 0020 DoneServiceApplication 0025 AddExitProc 0030 FindSwitch 003f TServiceApplication.RegisterServices 0068 Application 007d TServiceApplication.OnExceptionHandler 008a TComponent.GetComponentCount 00a5 TComponent.GetComponent 00ab _DV_TService 00b0 @IsClass 00d2 TServiceTableEntryArray 00d7 @DynArraySetLength 00ed @FillChar 0132 @LStrToPChar 0149 ServiceMain 015b _DV_TServiceStartThread 0160 TServiceStartThread.Create 017f TApplication.HandleMessage 019b TApplication.Terminate 01ad GetLastError 01b5 SysErrorMessage 01c8 TEventLogger.LogMessage 01dd TObject.Free 01e3 @HandleFinally 01fa @LStrClr 0208 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E4 33 D2 89 55 E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 0F B2 01 8B 45 FC E8 ?? ?? ?? ?? E9 A1 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 82 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 89 90 CC 00 00 00 C7 80 C8 00 00 00 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 30 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 F4 FF 45 F0 FF 4D E8 75 DB 8B 45 F4 40 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 40 8B D0 C1 E2 03 8B 45 F8 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 57 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D F0 89 04 CA 8B 45 F8 8B 55 F0 C7 44 D0 04 ?? ?? ?? ?? FF 45 F0 FF 4D E8 75 B4 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 84 00 00 00 00 74 E4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 83 78 10 00 74 24 6A 00 6A 00 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 40 24 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B E5 5D C3 FF FF FF FF 07 00 00 00 49 4E 53 54 41 4C 4C 00 FF FF FF FF 09 00 00 00 55 4E 49 4E 53 54 41 4C 4C 00 00 00 }
	condition:
		$1
}

rule function_17758_0 {
	meta:
		name = "InitApplication"
		size = 20
		refs = "0005 _DV_TServiceApplication 000a TServiceApplication.Create 000f Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17759_0 {
	meta:
		name = "DoneApplication"
		size = 18
		refs = "0001 Application 0006 TObject.Free"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17761_0 {
	meta:
		name = "Finalization"
		size = 74
		refs = "0007 Finalization 0013 _DV_7 001a DoneApplication 001f ActionStr 002a String 002f @FinalizeArray 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1A E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17765_0 {
	meta:
		name = "THandleObject.Destroy"
		size = 61
		refs = "0007 @BeforeDestruction 0019 CloseHandle 0027 TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17766_0 {
	meta:
		name = "TEvent.Create"
		size = 100
		refs = "000e @ClassCreate 001f @LStrToPChar 0039 CreateEvent 004d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 50 8A 45 0C F6 D8 1B C0 50 8A 45 10 F6 D8 1B C0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_17767_0 {
	meta:
		name = "TEvent.WaitFor"
		size = 98
		refs = "0018 WaitForSingleObject 004b GetLastError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 83 E8 FF 74 25 48 74 16 2D 80 00 00 00 74 09 2D 82 00 00 00 74 0E EB 23 C6 45 F7 02 EB 21 C6 45 F7 00 EB 1B C6 45 F7 01 EB 15 C6 45 F7 03 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 EB 04 C6 45 F7 03 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_17768_0 {
	meta:
		name = "TEvent.SetEvent"
		size = 22
		refs = "000f SetEvent"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_17769_0 {
	meta:
		name = "TEvent.ResetEvent"
		size = 22
		refs = "000f ResetEvent"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_17770_0 {
	meta:
		name = "TSimpleEvent.Create"
		size = 74
		refs = "000e @ClassCreate 0021 CreateEvent 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 6A 00 6A 00 6A FF 6A 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_17771_0 {
	meta:
		name = "TCriticalSection.Create"
		size = 77
		refs = "000e @ClassCreate 001e TObject.Create 002a InitializeCriticalSection 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_17772_0 {
	meta:
		name = "TCriticalSection.Destroy"
		size = 61
		refs = "0007 @BeforeDestruction 0019 DeleteCriticalSection 0027 TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17773_0 {
	meta:
		name = "TCriticalSection.Acquire"
		size = 22
		refs = "000f EnterCriticalSection"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_17774_0 {
	meta:
		name = "TCriticalSection.Release"
		size = 22
		refs = "000f LeaveCriticalSection"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_17775_0 {
	meta:
		name = "TCriticalSection.Enter"
		size = 17
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 12 59 5D C3 }
	condition:
		$1
}

rule function_17776_0 {
	meta:
		name = "TCriticalSection.Leave"
		size = 18
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 52 04 59 5D C3 }
	condition:
		$1
}

rule function_17791_0 {
	meta:
		name = "InitThreadTLS"
		size = 79
		refs = "0002 TlsLast 000c TlsIndex 0019 @RunError 0025 LocalAlloc 0043 TlsSetValue 0049 TlsBuffer"
	strings:
		$1 = { 53 B8 ?? ?? ?? ?? 85 C0 74 43 83 3D ?? ?? ?? ?? 00 7D 0A B8 E2 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 40 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C B8 E2 00 00 00 E8 ?? ?? ?? ?? EB 0C 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17792_0 {
	meta:
		name = "InitProcessTLS"
		size = 39
		refs = "0001 TlsLast 000a TlsAlloc 000f TlsIndex 001d @RunError 0022 InitThreadTLS"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 1D E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 85 C0 7D 0A B8 E2 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17793_0 {
	meta:
		name = "ExitThreadTLS"
		size = 40
		refs = "0001 TlsLast 000b TlsIndex 0019 TlsGetValue 0023 LocalFree"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 1E 83 3D ?? ?? ?? ?? 00 7C 15 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17794_0 {
	meta:
		name = "ExitProcessTLS"
		size = 35
		refs = "0001 TlsLast 000a ExitThreadTLS 0010 TlsIndex 001e TlsFree"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 19 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7C 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17795_0 {
	meta:
		name = "@GetTls"
		size = 67
		refs = "0002 ModuleIsLib 0008 TlsIndex 001c InitThreadTLS 0028 TlsGetValue 0033 TlsBuffer"
	strings:
		$1 = { 8A 0D ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 84 C9 75 28 64 8B 15 2C 00 00 00 8B 04 82 C3 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 01 C3 8B 05 ?? ?? ?? ?? C3 50 E8 ?? ?? ?? ?? 85 C0 74 D9 C3 }
	condition:
		$1
}

rule function_17796_0 {
	meta:
		name = "InitializeModule"
		size = 75
		refs = "0012 HInstance 0018 GetModuleFileName 001f LoadResourceModule 0027 Module 003f RegisterModule"
	strings:
		$1 = { 53 81 C4 F8 FE FF FF 68 05 01 00 00 8D 44 24 04 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D8 89 1D ?? ?? ?? ?? 85 DB 75 0A A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_17797_0 {
	meta:
		name = "UninitializeModule"
		size = 30
		refs = "0001 Module 0006 UnregisterModule 0019 FreeLibrary"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17798_0 {
	meta:
		name = "VclInit"
		size = 155
		refs = "0011 ModuleIsLib 0018 ModuleIsPackage 0021 IsLibrary 0035 HInstance 003a Module 004e ModuleIsCpp 0054 InitializeModule 0062 VclInit 0067 FindHInstance 0071 DataMark 0080 GetCommandLine 0086 CmdLine 0093 IsConsole"
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 08 80 7D 0C 00 74 10 C6 05 ?? ?? ?? ?? 01 C6 05 ?? ?? ?? ?? 01 EB 15 8B 0D ?? ?? ?? ?? 88 11 88 15 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 A3 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 38 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 8A 45 14 34 01 8B 15 ?? ?? ?? ?? 88 02 5D C3 }
	condition:
		$1
}

rule function_17799_0 {
	meta:
		name = "VclExit"
		size = 47
		refs = "0004 ExitProc 000a ModuleIsLib 0028 UninitializeModule"
	strings:
		$1 = { 53 56 8B 1D ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 16 83 3B 00 74 11 8B 13 89 D0 33 D2 89 13 8B F0 FF D6 83 3B 00 75 EF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17800_0 {
	meta:
		name = "@InitPkg"
		size = 99
		refs = "000d ModuleIsLib 0014 ModuleIsPackage 001a Module 002f HInstance 0034 TlsLast 003f TlsProc 004b InitializeModule 0056 UninitializeModule"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 0C 8B 45 08 C6 05 ?? ?? ?? ?? 01 C6 05 ?? ?? ?? ?? 01 A3 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 85 C0 74 09 8B 34 9D ?? ?? ?? ?? FF D6 83 FB 01 75 07 E8 ?? ?? ?? ?? EB 09 85 DB 75 05 E8 ?? ?? ?? ?? 83 C8 FF 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_17801_0 {
	meta:
		name = "@InitLib"
		size = 70
		refs = "0001 Module 000f ModuleIsLib 0019 HInstance 002f InitializeModule 0037 DllProc 003c TlsProc 0041 @StartLib"
	strings:
		$1 = { BA ?? ?? ?? ?? 83 7D 0C 01 75 2A 50 52 C6 05 ?? ?? ?? ?? 01 8B 4D 08 89 0D ?? ?? ?? ?? 89 4A 04 C7 42 08 00 00 00 00 C7 42 0C 00 00 00 00 E8 ?? ?? ?? ?? 5A 58 FF 35 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17802_0 {
	meta:
		name = "@InitExe"
		size = 50
		refs = "0004 GetModuleHandle 0009 Module 0010 HInstance 0026 InitializeModule 002d @StartExe"
	strings:
		$1 = { 50 6A 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 52 89 05 ?? ?? ?? ?? 89 42 04 C7 42 08 00 00 00 00 C7 42 0C 00 00 00 00 E8 ?? ?? ?? ?? 5A 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17805_0 {
	meta:
		name = "_NF__11B"
		size = 78
		refs = "0007 TInterfacedObject.QueryInterface 0011 TInterfacedObject._AddRef 001b TInterfacedObject._Release 0022 _NF__11B"
	strings:
		$1 = { CC 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? 83 44 24 04 F8 E9 ?? ?? ?? ?? CC CC CC ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 ?? ?? ?? ?? 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_17864_0 {
	meta:
		name = "GetCmdShow"
		size = 34
		refs = "000b GetStartupInfo"
	strings:
		$1 = { 53 83 C4 BC BB 0A 00 00 00 54 E8 ?? ?? ?? ?? F6 44 24 2C 01 74 05 0F B7 5C 24 30 8B C3 83 C4 44 5B C3 }
	condition:
		$1
}

rule function_17873_0 {
	meta:
		name = "GetBlockDesc"
		size = 79
		refs = "0003 blockDescFreeList 0014 LocalAlloc 0024 blockDescBlockList"
	strings:
		$1 = { 53 56 BE ?? ?? ?? ?? 83 3E 00 75 3A 68 44 06 00 00 6A 00 E8 ?? ?? ?? ?? 8B C8 85 C9 75 05 33 C0 5E 5B C3 A1 ?? ?? ?? ?? 89 01 89 0D ?? ?? ?? ?? 33 D2 8B C2 03 C0 8D 44 C1 04 8B 1E 89 18 89 06 42 83 FA 64 75 EC 8B 06 8B 10 89 16 5E 5B C3 }
	condition:
		$1
}

rule function_17874_0 {
	meta:
		name = "MakeEmpty"
		size = 6
	strings:
		$1 = { 89 00 89 40 04 C3 }
	condition:
		$1
}

rule function_17875_0 {
	meta:
		name = "AddBlockAfter"
		size = 48
		refs = "0007 GetBlockDesc"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 5E 5B C3 8B 16 89 50 08 8B 56 04 89 50 0C 8B 13 89 10 89 58 04 89 42 04 89 03 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_17876_0 {
	meta:
		name = "DeleteBlock"
		size = 24
		refs = "000c blockDescFreeList"
	strings:
		$1 = { 8B 50 04 8B 08 89 0A 89 51 04 8B 15 ?? ?? ?? ?? 89 10 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17877_0 {
	meta:
		name = "MergeBlockAfter"
		size = 113
		refs = "002d DeleteBlock 005f AddBlockAfter"
	strings:
		$1 = { 53 56 57 55 51 8B F1 89 14 24 8B E8 8B 5D 00 8B 04 24 8B 10 89 16 8B 50 04 89 56 04 8B 3B 8B 43 08 8B D0 03 53 0C 3B 16 75 14 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 06 8B 43 0C 01 46 04 EB 16 8B 16 03 56 04 3B C2 75 0D 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 01 46 04 8B DF 3B EB 75 C2 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 89 06 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17878_0 {
	meta:
		name = "RemoveBlock"
		size = 143
		refs = "003b DeleteBlock 0070 AddBlockAfter"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B FB 8B 32 8B 43 08 3B F0 72 6C 8B CE 03 4A 04 8B E8 03 6B 0C 3B CD 77 5E 3B F0 75 1B 8B 42 04 01 43 08 8B 42 04 29 43 0C 83 7B 0C 00 75 44 8B C3 E8 ?? ?? ?? ?? EB 3B 8B 0A 8B 72 04 03 CE 8B F8 03 7B 0C 3B CF 75 05 29 73 0C EB 26 8B 0A 03 4A 04 89 0C 24 2B F9 89 7C 24 04 8B 12 2B D0 89 53 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 0C B0 01 EB 08 8B 1B 3B FB 75 85 33 C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17879_0 {
	meta:
		name = "GetSpace"
		size = 99
		refs = "0030 VirtualAlloc 003f spaceRoot 0044 AddBlockAfter 0057 VirtualFree"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 81 FE 00 00 10 00 7D 07 BE 00 00 10 00 EB 0C 81 C6 FF FF 00 00 81 E6 00 00 FF FF 89 73 04 6A 01 68 00 20 00 00 56 6A 00 E8 ?? ?? ?? ?? 8B F8 89 3B 85 FF 74 23 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 68 00 80 00 00 6A 00 8B 03 50 E8 ?? ?? ?? ?? 33 C0 89 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17880_0 {
	meta:
		name = "GetSpaceAt"
		size = 119
		refs = "001f VirtualAlloc 0052 spaceRoot 0057 AddBlockAfter 006a VirtualFree"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B E8 C7 43 04 00 00 10 00 6A 04 68 00 20 00 00 68 00 00 10 00 55 E8 ?? ?? ?? ?? 8B F8 89 3B 85 FF 75 1F 81 C6 FF FF 00 00 81 E6 00 00 FF FF 89 73 04 6A 04 68 00 20 00 00 56 55 E8 ?? ?? ?? ?? 89 03 83 3B 00 74 23 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 68 00 80 00 00 6A 00 8B 03 50 E8 ?? ?? ?? ?? 33 C0 89 03 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17881_0 {
	meta:
		name = "FreeSpace"
		size = 184
		refs = "0029 spaceRoot 0065 VirtualFree 006f heapErrorCode 007a DeleteBlock"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 4C 24 04 89 14 24 C7 44 24 08 FF FF FF FF 33 D2 89 54 24 0C 8B E8 8B 04 24 03 C5 89 44 24 10 8B 1D ?? ?? ?? ?? EB 51 8B 3B 8B 73 08 3B EE 77 46 8B C6 03 43 0C 3B 44 24 10 77 3B 3B 74 24 08 73 04 89 74 24 08 8B C6 03 43 0C 3B 44 24 0C 76 04 89 44 24 0C 68 00 80 00 00 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B DF 81 FB ?? ?? ?? ?? 75 A7 8B 44 24 04 33 D2 89 10 83 7C 24 0C 00 74 19 8B 44 24 04 8B 54 24 08 89 10 8B 44 24 0C 2B 44 24 08 8B 54 24 04 89 42 04 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17882_0 {
	meta:
		name = "Commit"
		size = 146
		refs = "0040 spaceRoot 006e VirtualAlloc"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B D0 8B EA 81 E5 00 F0 FF FF 03 14 24 81 C2 FF 0F 00 00 81 E2 00 F0 FF FF 89 54 24 08 8B 44 24 04 89 28 8B 44 24 08 2B C5 8B 54 24 04 89 42 04 8B 35 ?? ?? ?? ?? EB 3C 8B 5E 08 8B 7E 0C 03 FB 3B EB 76 02 8B DD 3B 7C 24 08 76 04 8B 7C 24 08 3B FB 76 1E 6A 04 68 00 10 00 00 2B FB 57 53 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 44 24 04 33 D2 89 10 EB 0A 8B 36 81 FE ?? ?? ?? ?? 75 BC 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17883_0 {
	meta:
		name = "Decommit"
		size = 125
		refs = "0031 spaceRoot 005b VirtualFree 0065 heapErrorCode"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B F3 81 C6 FF 0F 00 00 81 E6 00 F0 FF FF 89 34 24 8B EB 03 EA 81 E5 00 F0 FF FF 8B 04 24 89 01 8B C5 2B 04 24 89 41 04 8B 35 ?? ?? ?? ?? EB 38 8B 5E 08 8B 7E 0C 03 FB 3B 1C 24 73 03 8B 1C 24 3B EF 73 02 8B FD 3B FB 76 1C 68 00 40 00 00 2B FB 57 53 E8 ?? ?? ?? ?? 85 C0 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 8B 36 81 FE ?? ?? ?? ?? 75 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17884_0 {
	meta:
		name = "GetCommitted"
		size = 142
		refs = "000c decommittedRoot 002e Commit 004c DeleteBlock 005d GetSpace 006d MergeBlockAfter 007f FreeSpace"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B F8 BD ?? ?? ?? ?? 81 C7 FF 3F 00 00 81 E7 00 C0 FF FF 8B 5D 00 EB 33 3B 7B 0C 7F 2C 8B CE 8B D7 8B 43 08 E8 ?? ?? ?? ?? 83 3E 00 74 50 8B 46 04 01 43 08 8B 46 04 29 43 0C 83 7B 0C 00 75 3E 8B C3 E8 ?? ?? ?? ?? EB 35 8B 1B 3B DD 75 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 83 3E 00 74 21 8B CC 8B D6 8B C5 E8 ?? ?? ?? ?? 83 3C 24 00 75 A5 8B CC 8B 56 04 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17885_0 {
	meta:
		name = "GetCommittedAt"
		size = 291
		refs = "000f decommittedRoot 004d GetSpaceAt 0063 MergeBlockAfter 007b FreeSpace 00e7 Commit 010e DeleteBlock"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B FA 8B F0 BD ?? ?? ?? ?? 81 C7 FF 3F 00 00 81 E7 00 C0 FF FF 8B 5D 00 EB 02 8B 1B 3B DD 74 05 3B 73 08 75 F5 3B 73 08 75 57 3B 7B 0C 0F 8E 96 00 00 00 8D 4C 24 04 8B D7 2B 53 0C 8B 43 08 03 43 0C E8 ?? ?? ?? ?? 83 7C 24 04 00 74 33 8D 4C 24 0C 8D 54 24 04 8B C5 E8 ?? ?? ?? ?? 83 7C 24 0C 00 75 B1 8D 4C 24 0C 8B 54 24 08 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 33 D2 89 10 E9 90 00 00 00 8D 4C 24 04 8B D7 8B C6 E8 ?? ?? ?? ?? 83 7C 24 04 00 74 34 8D 4C 24 0C 8D 54 24 04 8B C5 E8 ?? ?? ?? ?? 83 7C 24 0C 00 0F 85 66 FF FF FF 8D 4C 24 0C 8B 54 24 08 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 33 D2 89 10 EB 48 8B 6B 08 3B F5 75 3A 3B 7B 0C 7F 35 8B 0C 24 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 04 24 83 38 00 74 28 8B 04 24 8B 40 04 01 43 08 8B 04 24 8B 40 04 29 43 0C 83 7B 0C 00 75 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B 04 24 33 D2 89 10 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17886_0 {
	meta:
		name = "FreeCommitted"
		size = 140
		refs = "002f Decommit 003a decommittedRoot 003f MergeBlockAfter 0056 FreeSpace 007b RemoveBlock"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F9 89 14 24 8D 98 FF 3F 00 00 81 E3 00 C0 FF FF 8B 34 24 03 F0 81 E6 00 C0 FF FF 3B DE 73 5B 8B CF 8B D6 2B D3 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5C 24 04 85 DB 74 1F 8D 4C 24 0C 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B 44 24 0C 89 44 24 04 8B 44 24 10 89 44 24 08 83 7C 24 04 00 74 14 8D 54 24 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 33 C0 89 07 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17887_0 {
	meta:
		name = "InitAllocator"
		size = 196
		refs = "0007 InitAllocator 0012 heapLock 0017 InitializeCriticalSection 001d IsMultiThread 002a EnterCriticalSection 002f spaceRoot 0034 MakeEmpty 0039 decommittedRoot 0043 committedRoot 0054 LocalAlloc 0059 smallTab 0080 avail 008a rover 0090 initialized 00b1 LeaveCriticalSection 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 F8 0F 00 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2F B8 03 00 00 00 8B 15 ?? ?? ?? ?? 33 C9 89 4C 82 F4 40 3D 01 04 00 00 75 EC B8 ?? ?? ?? ?? 89 40 04 89 00 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 A0 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_17888_0 {
	meta:
		name = "UninitAllocator"
		size = 224
		refs = "0006 initialized 0015 UninitAllocator 0021 IsMultiThread 0029 heapLock 002e EnterCriticalSection 003a smallTab 0040 LocalFree 004d spaceRoot 005f VirtualFree 0073 MakeEmpty 0078 decommittedRoot 0082 committedRoot 008c blockDescBlockList 00c7 LeaveCriticalSection 00d1 DeleteCriticalSection 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 80 3D ?? ?? ?? ?? 00 0F 84 CC 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? EB 12 68 00 80 00 00 6A 00 8B 43 08 50 E8 ?? ?? ?? ?? 8B 1B 81 FB ?? ?? ?? ?? 75 E6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 85 C0 74 17 8B 10 89 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 85 C0 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 5D C3 }
	condition:
		$1
}

rule function_17889_0 {
	meta:
		name = "DeleteFree"
		size = 97
		refs = "0003 rover 002f smallTab"
	strings:
		$1 = { 53 3B 05 ?? ?? ?? ?? 75 09 8B 50 04 89 15 ?? ?? ?? ?? 8B 50 04 8B 48 08 81 F9 00 10 00 00 7F 38 3B C2 75 17 85 C9 79 03 83 C1 03 C1 F9 02 A1 ?? ?? ?? ?? 33 D2 89 54 88 F4 EB 24 85 C9 79 03 83 C1 03 C1 F9 02 8B 1D ?? ?? ?? ?? 89 54 8B F4 8B 00 89 02 89 50 04 5B C3 8B 00 89 02 89 50 04 5B C3 }
	condition:
		$1
}

rule function_17890_0 {
	meta:
		name = "FindCommitted"
		size = 47
		refs = "0002 committedRoot 0022 heapErrorCode"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? EB 10 8B 4A 08 3B C1 72 07 03 4A 0C 3B C1 72 16 8B 12 81 FA ?? ?? ?? ?? 75 E8 C7 05 ?? ?? ?? ?? 03 00 00 00 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_17891_0 {
	meta:
		name = "FillBeforeGap"
		size = 48
		refs = "0017 InsertFree"
	strings:
		$1 = { 53 8B CA 83 E9 04 8D 1C 01 83 FA 10 7C 0F C7 03 07 00 00 80 8B D1 E8 ?? ?? ?? ?? 5B C3 83 FA 04 7C 0C 8B CA 81 C9 02 00 00 80 89 08 89 0B 5B C3 }
	condition:
		$1
}

rule function_17892_0 {
	meta:
		name = "InternalFreeMem"
		size = 34
		refs = "0002 AllocMemCount 0018 AllocMemSize 001d SysFreeMem"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 8B D0 83 EA 04 8B 12 81 E2 FC FF FF 7F 83 EA 04 01 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17893_0 {
	meta:
		name = "FillAfterGap"
		size = 40
		refs = "000e InternalFreeMem"
	strings:
		$1 = { 83 FA 0C 7C 0E 83 CA 02 89 10 83 C0 04 E8 ?? ?? ?? ?? C3 83 FA 04 7C 0A 8B CA 81 C9 02 00 00 80 89 08 03 C2 83 20 FE C3 }
	condition:
		$1
}

rule function_17894_0 {
	meta:
		name = "FillerSizeBeforeGap"
		size = 109
		refs = "001b heapErrorCode 0062 DeleteFree"
	strings:
		$1 = { 53 56 8B D0 83 EA 04 8B 12 8B CA 81 E1 02 00 00 80 81 F9 02 00 00 80 74 0A C7 05 ?? ?? ?? ?? 04 00 00 00 8B DA 81 E3 FC FF FF 7F 2B C3 8B C8 33 11 F7 C2 FE FF FF FF 74 0A C7 05 ?? ?? ?? ?? 05 00 00 00 F6 01 01 74 20 8B D0 83 EA 0C 8B 72 08 2B C6 3B 70 08 74 0A C7 05 ?? ?? ?? ?? 06 00 00 00 E8 ?? ?? ?? ?? 03 DE 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_17895_0 {
	meta:
		name = "FillerSizeAfterGap"
		size = 56
		refs = "0024 DeleteFree"
	strings:
		$1 = { 53 56 57 8B D8 33 FF 8B 03 A9 00 00 00 80 74 0B 25 FC FF FF 7F 03 F8 03 D8 8B 03 A8 02 75 13 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 03 F8 03 D8 83 23 FE 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17896_0 {
	meta:
		name = "DecommitFree"
		size = 152
		refs = "000e FindCommitted 0041 FreeCommitted 0068 FillBeforeGap 0082 FillAfterGap 008b RemoveBlock"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 6B 08 8B C5 03 43 0C 8B D0 8D 0C 37 2B D1 83 FA 0C 7F 04 8B F8 2B FE 8B C6 2B C5 83 F8 0C 7D 12 8B CC 8B D6 2B 53 08 03 D7 8B C5 E8 ?? ?? ?? ?? EB 0F 8B CC 8B D7 83 EA 04 8D 46 04 E8 ?? ?? ?? ?? 8B 2C 24 85 ED 75 04 33 C0 EB 30 8B D5 2B D6 8B C6 E8 ?? ?? ?? ?? 8B C5 03 44 24 04 8B 53 08 03 53 0C 3B C2 73 0A 8D 14 37 2B D0 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? B0 01 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17897_0 {
	meta:
		name = "InsertFree"
		size = 133
		refs = "002b smallTab 0062 DecommitFree 006b rover"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B DF 89 73 08 8B C3 03 C6 83 E8 0C 89 70 08 81 FE 00 10 00 00 7F 37 8B D6 85 D2 79 03 83 C2 03 C1 FA 02 A1 ?? ?? ?? ?? 8B 44 90 F4 85 C0 75 10 A1 ?? ?? ?? ?? 89 5C 90 F4 89 5B 04 89 1B EB 3A 8B 10 89 43 04 89 13 89 18 89 5A 04 EB 2C 81 FE 00 3C 00 00 7C 0D 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 17 A1 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 8B 10 89 43 04 89 13 89 18 89 5A 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17898_0 {
	meta:
		name = "FreeCurAlloc"
		size = 74
		refs = "0002 remBytes 0014 heapErrorCode 0028 curAlloc 0037 InternalFreeMem"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 7E 40 83 3D ?? ?? ?? ?? 0C 7D 0C C7 05 ?? ?? ?? ?? 07 00 00 00 EB 2B A1 ?? ?? ?? ?? 83 C8 02 8B 15 ?? ?? ?? ?? 89 02 A1 ?? ?? ?? ?? 83 C0 04 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17899_0 {
	meta:
		name = "MergeCommit"
		size = 137
		refs = "0010 FreeCurAlloc 001b committedRoot 0020 MergeBlockAfter 0037 FillerSizeBeforeGap 0050 FillerSizeAfterGap 0069 FillBeforeGap 0074 curAlloc 007c remBytes"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 8B FC E8 ?? ?? ?? ?? 8D 4C 24 08 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5C 24 08 85 DB 75 04 33 C0 EB 52 8B 07 3B D8 73 0A E8 ?? ?? ?? ?? 29 07 01 47 04 8B 07 03 47 04 8B F3 03 74 24 0C 3B C6 73 08 E8 ?? ?? ?? ?? 01 47 04 8B 07 03 47 04 3B F0 75 11 83 E8 04 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 6F 04 04 8B 07 A3 ?? ?? ?? ?? 8B 47 04 A3 ?? ?? ?? ?? B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17900_0 {
	meta:
		name = "NewCommit"
		size = 43
		refs = "000c GetCommitted 0019 MergeCommit"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8D 43 04 E8 ?? ?? ?? ?? 83 3C 24 00 74 0B 8B C4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 59 5A 5B C3 }
	condition:
		$1
}

rule function_17901_0 {
	meta:
		name = "NewCommitAt"
		size = 49
		refs = "0011 GetCommittedAt 001e MergeCommit"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8D 56 04 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 74 0B 8B C4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17902_0 {
	meta:
		name = "SearchSmallBlocks"
		size = 44
		refs = "0015 smallTab"
	strings:
		$1 = { 33 D2 85 C0 79 03 83 C0 03 C1 F8 02 3D 00 04 00 00 7F 16 8B 15 ?? ?? ?? ?? 8B 54 82 F4 85 D2 75 08 40 3D 01 04 00 00 75 EA 8B C2 C3 }
	condition:
		$1
}

rule function_17903_0 {
	meta:
		name = "TryHarder"
		size = 244
		refs = "0007 rover 000c remBytes 0012 avail 004b SearchSmallBlocks 0058 NewCommit 007e curAlloc 0094 AllocMemCount 009d AllocMemSize 00a6 DeleteFree 00bc InsertFree"
	strings:
		$1 = { 53 56 57 55 8B F0 BF ?? ?? ?? ?? BD ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 3B 73 08 0F 8E 84 00 00 00 8B 1F 8B 43 08 3B F0 7E 7B 89 73 08 8B 5B 04 3B 73 08 7F F8 8B 17 89 42 08 3B 1F 74 04 89 1F EB 63 81 FE 00 10 00 00 7F 0D 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 4E 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 88 00 00 00 3B 75 00 7F A4 29 75 00 83 7D 00 0C 7D 08 03 75 00 33 C0 89 45 00 A1 ?? ?? ?? ?? 01 35 ?? ?? ?? ?? 8B D6 83 CA 02 89 10 83 C0 04 FF 05 ?? ?? ?? ?? 83 EE 04 01 35 ?? ?? ?? ?? EB 4C 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B C2 2B C6 83 F8 0C 7C 0C 8B D3 03 D6 92 E8 ?? ?? ?? ?? EB 12 8B F2 3B 1F 75 05 8B 43 04 89 07 8B C3 03 C6 83 20 FE 8B C3 8B D6 83 CA 02 89 10 83 C0 04 FF 05 ?? ?? ?? ?? 83 EE 04 01 35 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17904_0 {
	meta:
		name = "SysGetMem"
		size = 389
		refs = "000d initialized 0015 InitAllocator 002b SysGetMem 0037 IsMultiThread 003f heapLock 0044 EnterCriticalSection 0072 smallTab 00e0 AllocMemCount 00e9 AllocMemSize 00ee @TryFinallyExit 00f9 remBytes 011c curAlloc 014c TryHarder 016f LeaveCriticalSection 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 80 3D ?? ?? ?? ?? 00 75 13 E8 ?? ?? ?? ?? 84 C0 75 0A 33 C0 89 45 FC E9 54 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 07 83 E3 FC 83 FB 0C 7D 05 BB 0C 00 00 00 81 FB 00 10 00 00 0F 8F 93 00 00 00 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 8B 15 ?? ?? ?? ?? 8B 54 82 F4 85 D2 74 79 8B F2 8B C6 03 C3 83 20 FE 8B 42 04 3B D0 75 1A 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 8B 0D ?? ?? ?? ?? 33 FF 89 7C 81 F4 EB 26 8B CB 85 C9 79 03 83 C1 03 C1 F9 02 8B 3D ?? ?? ?? ?? 89 44 8F F4 8B 0A 89 4D F8 8B 4D F8 89 41 04 8B 4D F8 89 08 8B C6 8B 52 08 83 CA 02 89 10 83 C0 04 89 45 FC FF 05 ?? ?? ?? ?? 83 EB 04 01 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 00 00 00 3B 1D ?? ?? ?? ?? 7F 4A 29 1D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 0C 7D 0D 03 1D ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 01 1D ?? ?? ?? ?? 8B D3 83 CA 02 89 10 83 C0 04 89 45 FC FF 05 ?? ?? ?? ?? 83 EB 04 01 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17905_0 {
	meta:
		name = "SysFreeMem"
		size = 418
		refs = "000c heapErrorCode 0012 initialized 001a InitAllocator 003c SysFreeMem 0048 IsMultiThread 0050 heapLock 0055 EnterCriticalSection 0076 AllocMemCount 0086 AllocMemSize 00d0 DeleteFree 00e2 curAlloc 00f0 remBytes 0101 FreeCurAlloc 010b @TryFinallyExit 0165 InsertFree 018d LeaveCriticalSection 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 A3 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 1F E8 ?? ?? ?? ?? 84 C0 75 16 C7 05 ?? ?? ?? ?? 08 00 00 00 C7 45 FC 08 00 00 00 E9 61 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F3 83 EE 04 8B 1E F6 C3 02 75 0F C7 05 ?? ?? ?? ?? 09 00 00 00 E9 F5 00 00 00 FF 0D ?? ?? ?? ?? 8B C3 25 FC FF FF 7F 83 E8 04 29 05 ?? ?? ?? ?? F6 C3 01 74 45 8B C6 83 E8 0C 8B 50 08 83 FA 0C 7C 08 F7 C2 03 00 00 80 74 0F C7 05 ?? ?? ?? ?? 0A 00 00 00 E9 B6 00 00 00 8B C6 2B C2 3B 50 08 74 0F C7 05 ?? ?? ?? ?? 0A 00 00 00 E9 9E 00 00 00 03 DA 8B F0 E8 ?? ?? ?? ?? 81 E3 FC FF FF 7F 8B C6 03 C3 8B F8 3B 3D ?? ?? ?? ?? 75 2C 29 1D ?? ?? ?? ?? 01 1D ?? ?? ?? ?? 81 3D ?? ?? ?? ?? 00 3C 00 00 7E 05 E8 ?? ?? ?? ?? 33 C0 89 45 FC E8 ?? ?? ?? ?? E9 85 00 00 00 8B 10 F6 C2 02 74 1C 81 E2 FC FF FF 7F 83 FA 04 7D 0C C7 05 ?? ?? ?? ?? 0B 00 00 00 EB 37 83 08 01 EB 29 8B C7 83 78 04 00 74 0B 83 38 00 74 06 83 78 08 0C 7D 0C C7 05 ?? ?? ?? ?? 0B 00 00 00 EB 13 8B 50 08 03 DA E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17906_0 {
	meta:
		name = "ResizeInPlace"
		size = 463
		refs = "003e curAlloc 0052 remBytes 008c DeleteFree 00a8 InternalFreeMem 010e AllocMemSize 0127 FreeCurAlloc 016f InsertFree 019a NewCommitAt"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 83 C6 07 83 E6 FC 83 FE 0C 7D 05 BE 0C 00 00 00 8B E8 83 ED 04 8B 7D 00 81 E7 FC FF FF 7F 8B C5 03 C7 8B D8 3B FE 0F 8C 83 00 00 00 8B D7 2B D6 89 14 24 3B 1D ?? ?? ?? ?? 75 38 8B 04 24 29 05 ?? ?? ?? ?? 8B 04 24 01 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 0C 0F 8D 4C 01 00 00 8B 04 24 01 05 ?? ?? ?? ?? 8B 04 24 29 05 ?? ?? ?? ?? 8B F7 E9 33 01 00 00 8B D8 F6 03 02 75 0D 8B C3 8B 50 08 01 14 24 E8 ?? ?? ?? ?? 83 3C 24 0C 7C 1B 8B DD 03 DE 8B 04 24 83 C8 02 89 03 8B C3 83 C0 04 E8 ?? ?? ?? ?? E9 FE 00 00 00 8B F7 E9 F7 00 00 00 8B C6 2B C7 89 44 24 04 3B 1D ?? ?? ?? ?? 75 67 A1 ?? ?? ?? ?? 3B 44 24 04 7C 53 8B 44 24 04 29 05 ?? ?? ?? ?? 8B 44 24 04 01 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 0C 7D 18 A1 ?? ?? ?? ?? 01 05 ?? ?? ?? ?? 03 35 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B C6 2B C7 01 05 ?? ?? ?? ?? 8B 45 00 25 03 00 00 80 0B F0 89 75 00 B0 01 E9 A2 00 00 00 E8 ?? ?? ?? ?? 8B DD 03 DF F6 03 02 75 4D 8B D3 8B C2 8B 48 08 89 0C 24 8B 0C 24 3B 4C 24 04 7D 0E 03 14 24 8B DA 8B 04 24 29 44 24 04 EB 2C E8 ?? ?? ?? ?? 8B 44 24 04 29 04 24 83 3C 24 0C 7C 0E 8B C5 03 C6 8B 14 24 E8 ?? ?? ?? ?? EB 3A 03 34 24 8B DD 03 DE 83 23 FE EB 2E 8B 03 A9 00 00 00 80 74 21 25 FC FF FF 7F 03 C3 8B D8 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B DD 03 DF E9 0D FF FF FF 33 C0 EB 19 8B C6 2B C7 01 05 ?? ?? ?? ?? 8B 45 00 25 03 00 00 80 0B F0 89 75 00 B0 01 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17907_0 {
	meta:
		name = "SysReallocMem"
		size = 193
		refs = "000d initialized 0015 InitAllocator 002b SysReallocMem 0037 IsMultiThread 003f heapLock 0044 EnterCriticalSection 004d ResizeInPlace 005d SysGetMem 0082 Move 0089 SysFreeMem 00ac LeaveCriticalSection 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 80 3D ?? ?? ?? ?? 00 75 13 E8 ?? ?? ?? ?? 84 C0 75 0A 33 C0 89 45 FC E9 91 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 89 5D FC EB 36 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C3 83 E8 04 8B 00 25 FC FF FF 7F 83 E8 04 3B F0 7D 02 8B C6 85 FF 74 11 8B D7 8B CB 91 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 7D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17908_0 {
	meta:
		name = "BlockSum"
		size = 20
	strings:
		$1 = { 33 C9 8B 10 3B C2 74 09 03 4A 0C 8B 12 3B C2 75 F7 8B C1 C3 }
	condition:
		$1
}

rule function_17909_0 {
	meta:
		name = "GetHeapStatus"
		size = 652
		refs = "000d heapErrorCode 0044 initialized 0053 GetHeapStatus 005f IsMultiThread 0067 heapLock 006c EnterCriticalSection 0071 spaceRoot 0076 BlockSum 007d decommittedRoot 008a committedRoot 009e smallTab 00eb avail 0122 remBytes 016e curAlloc 027a LeaveCriticalSection 0280 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F0 33 C0 A3 ?? ?? ?? ?? 33 C0 89 06 33 C0 89 46 04 33 C0 89 46 08 33 C0 89 46 0C 33 C0 89 46 10 33 C0 89 46 14 33 C0 89 46 18 33 C0 89 46 1C 33 C0 89 46 20 33 C0 89 46 24 80 3D ?? ?? ?? ?? 00 0F 84 37 02 00 00 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 33 C9 BA 03 00 00 00 A1 ?? ?? ?? ?? 8B 44 90 F4 85 C0 74 32 03 48 08 8B 18 3B 43 04 75 0D 8B 58 04 3B 03 75 06 83 78 08 0C 7D 0C C7 05 ?? ?? ?? ?? 0C 00 00 00 EB 0F 8B 40 04 8B 1D ?? ?? ?? ?? 3B 44 93 F4 75 CE 42 81 FA 01 04 00 00 75 B8 89 4E 14 33 C9 A1 ?? ?? ?? ?? EB 26 8B 10 3B 42 04 75 0D 8B 50 04 3B 02 75 06 83 78 08 0C 7D 0C C7 05 ?? ?? ?? ?? 0C 00 00 00 EB 0D 03 48 08 8B 40 04 3D ?? ?? ?? ?? 75 D3 89 4E 18 A1 ?? ?? ?? ?? 89 46 1C 8B 56 14 03 56 18 03 D0 89 56 10 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 89 46 20 A1 ?? ?? ?? ?? 89 45 F0 33 C0 E9 DE 00 00 00 8B 55 F0 8B 52 08 8B 4D F0 8B 49 0C 03 CA 89 4D F4 3B 55 F4 0F 83 BC 00 00 00 3B 15 ?? ?? ?? ?? 75 27 83 3D ?? ?? ?? ?? 00 7E 1E 8B 0D ?? ?? ?? ?? 01 4D FC 84 C0 74 0A C7 05 ?? ?? ?? ?? 07 00 00 00 33 C0 E9 82 00 00 00 8B CA F6 01 01 0F 95 C3 3A C3 74 0A C7 05 ?? ?? ?? ?? 0B 00 00 00 8B 01 A8 02 75 2A 8B C1 8B 08 3B 41 04 75 0D 8B 48 04 3B 01 75 06 83 78 08 0C 7D 0A C7 05 ?? ?? ?? ?? 0D 00 00 00 8B 48 08 01 4D FC B0 01 EB 3C 8B C8 81 E1 FC FF FF 7F A9 00 00 00 80 74 1F 01 4E 20 8B 45 F0 3B 50 08 76 20 8D 04 11 3B 45 F4 73 18 C7 05 ?? ?? ?? ?? 09 00 00 00 EB 0C 8B C1 83 E8 04 01 45 F8 83 46 20 04 33 C0 03 D1 3B 55 F4 0F 82 44 FF FF FF 8B 55 F0 8B 12 89 55 F0 BA ?? ?? ?? ?? 3B 55 F0 0F 85 14 FF FF FF 8B 46 10 3B 45 FC 74 0A C7 05 ?? ?? ?? ?? 0E 00 00 00 8B 45 F8 89 46 0C A1 ?? ?? ?? ?? 89 46 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17910_0 {
	meta:
		name = "@GetMem"
		size = 23
		refs = "0006 MemoryManager 0012 Error"
	strings:
		$1 = { 85 C0 74 0A FF 15 ?? ?? ?? ?? 09 C0 74 01 C3 B0 01 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17911_0 {
	meta:
		name = "@FreeMem"
		size = 23
		refs = "0006 MemoryManager 0012 Error"
	strings:
		$1 = { 85 C0 74 0A FF 15 ?? ?? ?? ?? 09 C0 75 01 C3 B0 02 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17912_0 {
	meta:
		name = "@ReallocMem"
		size = 77
		refs = "000f MemoryManager 001e Error"
	strings:
		$1 = { 8B 08 85 C9 74 32 85 D2 74 18 50 89 C8 FF 15 ?? ?? ?? ?? 59 09 C0 74 19 89 01 C3 B0 02 E9 ?? ?? ?? ?? 89 10 89 C8 FF 15 ?? ?? ?? ?? 09 C0 75 EB C3 B0 01 E9 ?? ?? ?? ?? 85 D2 74 10 50 89 D0 FF 15 ?? ?? ?? ?? 59 09 C0 74 E7 89 01 C3 }
	condition:
		$1
}

rule function_17913_0 {
	meta:
		name = "GetMemoryManager"
		size = 27
		refs = "0002 MemoryManager"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 10 8B 15 ?? ?? ?? ?? 89 50 04 8B 15 ?? ?? ?? ?? 89 50 08 C3 }
	condition:
		$1
}

rule function_17914_0 {
	meta:
		name = "SetMemoryManager"
		size = 27
		refs = "0004 MemoryManager"
	strings:
		$1 = { 8B 10 89 15 ?? ?? ?? ?? 8B 50 04 89 15 ?? ?? ?? ?? 8B 50 08 89 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17915_0 {
	meta:
		name = "IsMemoryManagerSet"
		size = 45
		refs = "0001 SysGetMem 0007 MemoryManager 000e SysFreeMem 001b SysReallocMem"
	strings:
		$1 = { B8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 1D B8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 10 B8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_17916_0 {
	meta:
		name = "RaiseList"
		size = 12
		refs = "0001 @GetTls 0007 RaiseListPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17917_0 {
	meta:
		name = "SetRaiseList"
		size = 22
		refs = "0003 @GetTls 0009 RaiseListPtr"
	strings:
		$1 = { 89 C1 E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 89 88 ?? ?? ?? ?? 89 D0 C3 }
	condition:
		$1
}

rule function_17918_0 {
	meta:
		name = "Error"
		size = 66
		refs = "0005 ErrorProc 0013 Error 001a @GetTls 0020 InOutRes 0025 @RunError"
	strings:
		$1 = { 83 E0 7F 8B 0D ?? ?? ?? ?? 85 C9 74 03 5A FF D1 48 8A 80 ?? ?? ?? ?? 79 0B E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? E9 ?? ?? ?? ?? CB CC C8 C9 D7 CF C8 CD CE DB D8 CA D9 DA DC DD DE DF E0 E1 E3 00 E4 E5 C3 }
	condition:
		$1
}

rule function_17919_0 {
	meta:
		name = "@_IOTest"
		size = 29
		refs = "0004 @GetTls 000a InOutRes 0018 Error"
	strings:
		$1 = { 50 52 51 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 59 5A 58 75 01 C3 31 C0 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17920_0 {
	meta:
		name = "SetInOutRes"
		size = 13
		refs = "0002 @GetTls 0008 InOutRes"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 8F 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17922_0 {
	meta:
		name = "@ChDir"
		size = 28
		refs = "0006 @LStrToPChar 000c SetCurrentDirectory 0016 InOutError"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17938_0 {
	meta:
		name = "@RmDir"
		size = 28
		refs = "0006 @LStrToPChar 000c RemoveDirectory 0016 InOutError"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17923_0 {
	meta:
		name = "@Copy"
		size = 65
	strings:
		$1 = { 56 57 89 C6 8B 7C 24 0C 31 C0 0A 06 74 2B 85 D2 7E 18 39 C2 7F 1B 29 D0 40 85 C9 7C 14 39 C1 7F 14 01 D6 88 0F 47 F3 A4 EB 11 BA 01 00 00 00 EB E5 31 C9 EB EC 89 C1 EB E8 88 07 5F 5E C2 04 00 C3 }
	condition:
		$1
}

rule function_17924_0 {
	meta:
		name = "@Delete"
		size = 45
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 85 D2 7E 1E 39 C2 7F 1A 85 C9 7E 16 29 D0 40 39 C1 7E 02 89 C1 28 0F 01 D7 8D 34 0F 29 C8 89 C1 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_17925_0 {
	meta:
		name = "@LGetDir"
		size = 118
		refs = "0033 GetCurrentDirectory 0039 SetCurrentDirectory 0069 @LStrFromArray"
	strings:
		$1 = { 53 56 81 C4 F4 FD FF FF 8B F2 8B D8 84 DB 74 2D 33 C0 8A C3 83 C0 41 48 88 04 24 C6 44 24 01 3A C6 44 24 02 00 8D 84 24 08 01 00 00 50 68 04 01 00 00 E8 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8D 44 24 04 50 68 04 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 8D 84 24 08 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 8D 54 24 04 B9 04 01 00 00 E8 ?? ?? ?? ?? 81 C4 0C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17926_0 {
	meta:
		name = "@SGetDir"
		size = 116
		refs = "0018 @SGetDir 002b @LGetDir 003e @LStrToString 004d @PStrNCpy 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 DB 89 5D FC 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 25 FF 00 00 00 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B C3 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17927_0 {
	meta:
		name = "@Insert"
		size = 102
	strings:
		$1 = { 53 56 57 51 8B 4C 24 14 81 EC 00 02 00 00 89 D3 89 D6 31 D2 8A 16 46 42 85 C9 7E 32 39 D1 7F 35 4A 89 E7 49 29 CA F3 A4 96 8A 0E 46 F3 A4 89 C6 89 D1 F3 A4 29 E7 8B 8C 24 00 02 00 00 39 F9 72 02 89 F9 89 DF 89 E6 88 0F 47 F3 A4 EB 0B B9 01 00 00 00 EB CB 89 D1 EB C7 81 C4 04 02 00 00 5F 5E 5B C2 04 00 C3 }
	condition:
		$1
}

rule function_17928_0 {
	meta:
		name = "IOResult"
		size = 22
		refs = "0001 @GetTls 0009 InOutRes"
	strings:
		$1 = { E8 ?? ?? ?? ?? 31 D2 8B 88 ?? ?? ?? ?? 89 90 ?? ?? ?? ?? 89 C8 C3 }
	condition:
		$1
}

rule function_17929_0 {
	meta:
		name = "@MkDir"
		size = 30
		refs = "0008 @LStrToPChar 000e CreateDirectory 0018 InOutError"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17930_0 {
	meta:
		name = "Move"
		size = 64
	strings:
		$1 = { 56 57 89 C6 89 D7 89 C8 39 F7 77 13 74 2F C1 F9 02 78 2A F3 A5 89 C1 83 E1 03 F3 A4 5F 5E C3 8D 74 0E FC 8D 7C 0F FC C1 F9 02 78 11 FD F3 A5 89 C1 83 E1 03 83 C6 03 83 C7 03 F3 A4 FC 5F 5E C3 }
	condition:
		$1
}

rule function_17931_0 {
	meta:
		name = "GetParamStr"
		size = 118
		refs = "0067 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 04 F0 FF FF 50 8B F2 8B D8 EB 01 43 8A 03 84 C0 74 04 3C 20 76 F5 80 3B 22 75 0B 80 7B 01 22 75 05 83 C3 02 EB E6 33 C0 EB 25 80 FA 22 75 1B 43 EB 05 88 14 04 40 43 8A 13 84 D2 74 05 80 FA 22 75 F0 80 3B 00 74 08 43 EB 05 88 14 04 40 43 8A 13 80 FA 20 76 07 3D 00 10 00 00 7C CD 8B D4 8B CE 91 E8 ?? ?? ?? ?? 8B C3 81 C4 00 10 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17932_0 {
	meta:
		name = "ParamCount"
		size = 95
		refs = "000b ParamCount 0016 GetCommandLine 001e GetParamStr 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B D8 33 F6 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 03 46 EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17933_0 {
	meta:
		name = "ParamStr"
		size = 87
		refs = "001e GetModuleFileName 0029 @LStrFromPCharLen 0030 GetCommandLine 003b GetParamStr"
	strings:
		$1 = { 53 56 57 81 C4 F8 FE FF FF 8B F2 8B D8 85 DB 75 1E 68 05 01 00 00 8D 44 24 04 50 6A 00 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 1E E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F8 85 DB 74 08 83 3E 00 74 03 4B EB E9 81 C4 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17934_0 {
	meta:
		name = "@Pos"
		size = 62
	strings:
		$1 = { 53 56 57 89 C6 89 D7 31 C9 8A 0F 47 57 31 D2 8A 16 46 4A 78 1B 8A 06 46 29 D1 7E 14 F2 AE 75 10 89 CB 56 57 89 D1 F3 A6 5F 5E 74 09 89 D9 EB EC 5A 31 C0 EB 05 5A 89 F8 29 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17936_0 {
	meta:
		name = "@SetString"
		size = 14
		refs = "0009 Move"
	strings:
		$1 = { 88 08 85 D2 74 07 92 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17937_0 {
	meta:
		name = "Randomize"
		size = 59
		refs = "000b GetSystemTime 0033 RandSeed"
	strings:
		$1 = { 55 8B EC 83 C4 E8 8D 45 E8 50 E8 ?? ?? ?? ?? 0F B7 45 F0 6B C0 3C 66 03 45 F2 6B C0 3C 31 D2 66 8B 55 F4 01 D0 69 C0 E8 03 00 00 66 8B 55 F6 01 D0 89 05 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_17939_0 {
	meta:
		name = "UpCase"
		size = 14
	strings:
		$1 = { 80 F8 61 72 08 80 F8 7A 77 03 80 E8 20 C3 }
	condition:
		$1
}

rule function_17940_0 {
	meta:
		name = "Set8087CW"
		size = 14
		refs = "0003 Default8087CW"
	strings:
		$1 = { 66 89 05 ?? ?? ?? ?? D9 2D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17941_0 {
	meta:
		name = "@COS"
		size = 13
	strings:
		$1 = { D9 FF DF E0 9E 7A 01 C3 DD D8 D9 EE C3 }
	condition:
		$1
}

rule function_17942_0 {
	meta:
		name = "@EXP"
		size = 23
	strings:
		$1 = { D9 EA DE C9 D9 C0 D9 FC DC E9 D9 C9 D9 F0 D9 E8 DE C1 D9 FD DD D9 C3 }
	condition:
		$1
}

rule function_17943_0 {
	meta:
		name = "@INT"
		size = 24
		refs = "000a cwChop"
	strings:
		$1 = { 83 EC 04 9B D9 3C 24 9B D9 2D ?? ?? ?? ?? D9 FC 9B D9 2C 24 83 C4 04 C3 }
	condition:
		$1
}

rule function_17944_0 {
	meta:
		name = "@SIN"
		size = 13
	strings:
		$1 = { D9 FE DF E0 9E 7A 01 C3 DD D8 D9 EE C3 }
	condition:
		$1
}

rule function_17945_0 {
	meta:
		name = "@FRAC"
		size = 28
		refs = "000c cwChop"
	strings:
		$1 = { D9 C0 83 EC 04 9B D9 3C 24 9B D9 2D ?? ?? ?? ?? D9 FC 9B D9 2C 24 83 C4 04 DE E9 C3 }
	condition:
		$1
}

rule function_17946_0 {
	meta:
		name = "@ROUND"
		size = 10
	strings:
		$1 = { 83 EC 08 DF 3C 24 9B 58 5A C3 }
	condition:
		$1
}

rule function_17947_0 {
	meta:
		name = "@TRUNC"
		size = 26
		refs = "000a cwChop"
	strings:
		$1 = { 83 EC 0C 9B D9 3C 24 9B D9 2D ?? ?? ?? ?? DF 7C 24 04 9B D9 2C 24 59 58 5A C3 }
	condition:
		$1
}

rule function_17948_0 {
	meta:
		name = "@AbstractError"
		size = 26
		refs = "0002 AbstractErrorProc 0015 @RunError"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? B8 D2 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17949_0 {
	meta:
		name = "@PStrCat"
		size = 40
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 89 D6 31 C9 8A 0E 46 88 C2 00 CA 72 0A 88 17 47 01 C7 F3 A4 5F 5E C3 FE C2 28 D1 B2 FF EB EE C3 }
	condition:
		$1
}

rule function_17950_0 {
	meta:
		name = "@PStrNCat"
		size = 48
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 89 D6 31 D2 8A 16 46 00 D0 72 12 38 C8 77 0E 89 D1 8A 17 88 07 47 01 D7 F3 A4 5F 5E C3 88 C8 2A 0F 76 F7 88 CA EB E8 C3 }
	condition:
		$1
}

rule function_17951_0 {
	meta:
		name = "@PStrCpy"
		size = 28
	strings:
		$1 = { 31 C9 56 57 8A 0A 89 C7 41 89 D6 89 C8 C1 E9 02 83 E0 03 F3 A5 89 C1 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_17952_0 {
	meta:
		name = "@PStrNCpy"
		size = 47
	strings:
		$1 = { 56 57 89 C7 31 C0 89 D6 8A 02 38 C8 77 12 40 89 C1 83 E0 03 C1 E9 02 F3 A5 89 C1 F3 A4 5F 5E C3 88 0F 46 47 81 E1 FF 00 00 00 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_17953_0 {
	meta:
		name = "@PStrCmp"
		size = 130
	strings:
		$1 = { 53 56 57 89 C6 89 D7 31 C0 31 D2 8A 06 8A 17 46 47 29 D0 77 02 01 C2 52 C1 EA 02 74 26 8B 0E 8B 1F 39 D9 75 44 4A 74 15 8B 4E 04 8B 5F 04 39 D9 75 37 83 C6 08 83 C7 08 4A 75 E2 EB 06 83 C6 04 83 C7 04 5A 83 E2 03 74 1C 8A 0E 3A 0F 75 2F 4A 74 13 8A 4E 01 3A 4F 01 75 24 4A 74 08 8A 4E 02 3A 4F 02 75 19 01 C0 EB 15 5A 38 D9 75 10 38 FD 75 0C C1 E9 10 C1 EB 10 38 D9 75 02 38 FD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17954_0 {
	meta:
		name = "@AStrCmp"
		size = 111
	strings:
		$1 = { 53 56 51 89 CE C1 EE 02 74 26 8B 08 8B 1A 39 D9 75 45 4E 74 15 8B 48 04 8B 5A 04 39 D9 75 38 83 C0 08 83 C2 08 4E 75 E2 EB 06 83 C0 04 83 C2 04 5E 83 E6 03 74 36 8A 08 3A 0A 75 30 4E 74 13 8A 48 01 3A 4A 01 75 25 4E 74 08 8A 48 02 3A 4A 02 75 1A 31 C0 5E 5B C3 5E 38 D9 75 10 38 FD 75 0C C1 E9 10 C1 EB 10 38 D9 75 02 38 FD 5E 5B C3 }
	condition:
		$1
}

rule function_17955_0 {
	meta:
		name = "@FillChar"
		size = 31
	strings:
		$1 = { 57 89 C7 88 CD 89 C8 C1 E0 10 66 89 C8 89 D1 C1 F9 02 78 09 F3 AB 89 D1 83 E1 03 F3 AA 5F C3 }
	condition:
		$1
}

rule function_17956_0 {
	meta:
		name = "@Mark"
		size = 8
		refs = "0003 Error"
		altNames = "@Release"
	strings:
		$1 = { B0 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17957_0 {
	meta:
		name = "@RandInt"
		size = 22
		refs = "0002 RandSeed"
	strings:
		$1 = { 69 15 ?? ?? ?? ?? 05 84 08 08 42 89 15 ?? ?? ?? ?? F7 E2 89 D0 C3 }
	condition:
		$1
}

rule function_17958_0 {
	meta:
		name = "@RandExt"
		size = 37
		refs = "0002 RandSeed 0013 Minus32"
	strings:
		$1 = { 69 15 ?? ?? ?? ?? 05 84 08 08 42 89 15 ?? ?? ?? ?? DD 05 ?? ?? ?? ?? 6A 00 52 DF 2C 24 83 C4 08 D9 FD DD D9 C3 }
	condition:
		$1
}

rule function_17960_0 {
	meta:
		name = "@StrLong"
		size = 95
	strings:
		$1 = { 53 56 57 52 83 EC 14 89 CF 89 C6 99 31 D0 29 D0 B9 0A 00 00 00 31 DB 31 D2 F7 F1 83 C2 30 88 14 1C 43 85 C0 75 F1 85 F6 7D 05 C6 04 1C 2D 43 88 1F 47 8B 4C 24 14 81 F9 FF 00 00 00 7E 05 B9 FF 00 00 00 29 D9 7E 07 00 4F FF B0 20 F3 AA 8A 44 1C FF 88 07 47 4B 75 F6 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17961_0 {
	meta:
		name = "@Str0Long"
		size = 10
		refs = "0005 @StrLong"
	strings:
		$1 = { 89 D1 31 D2 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17962_0 {
	meta:
		name = "@ValLong"
		size = 204
	strings:
		$1 = { 53 56 57 89 C6 50 85 C0 74 73 31 C0 31 DB BF CC CC CC 0C 8A 1E 46 80 FB 20 74 F8 B5 00 80 FB 2D 74 69 80 FB 2B 74 66 80 FB 24 74 66 80 FB 78 74 61 80 FB 58 74 5C 80 FB 30 75 13 8A 1E 46 80 FB 78 74 4F 80 FB 58 74 4A 84 DB 74 20 EB 04 84 DB 74 34 80 EB 30 80 FB 09 77 2C 39 F8 77 28 8D 04 80 01 C0 01 D8 8A 1E 46 84 DB 75 E6 FE CD 74 10 85 C0 7C 12 59 31 F6 89 32 5F 5E 5B C3 46 EB 06 F7 D8 7E F0 78 EE 5B 29 DE EB EC FE C5 8A 1E 46 EB BC BF FF FF FF 0F 8A 1E 46 84 DB 74 DF 80 FB 61 72 03 80 EB 20 80 EB 30 80 FB 09 76 0B 80 EB 11 80 FB 05 77 D0 80 C3 0A 39 F8 77 C9 C1 E0 04 01 D8 8A 1E 46 84 DB 75 D5 EB A9 C3 }
	condition:
		$1
}

rule function_17963_0 {
	meta:
		name = "@WriteBool"
		size = 36
		refs = "0005 @WriteBool 000a @WriteString"
	strings:
		$1 = { 84 D2 74 0A BA ?? ?? ?? ?? E9 ?? ?? ?? ?? BA ?? ?? ?? ?? E9 ?? ?? ?? ?? 04 54 52 55 45 05 46 41 4C 53 45 C3 }
	condition:
		$1
}

rule function_17964_0 {
	meta:
		name = "@Write0Bool"
		size = 8
		refs = "0003 @WriteBool"
	strings:
		$1 = { 31 C9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18100_0 {
	meta:
		name = "@Write0LString"
		size = 8
		refs = "0003 @WriteLString"
	strings:
		$1 = { 31 C9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17966_0 {
	meta:
		name = "@Write0Long"
		size = 8
		refs = "0003 @WriteLong"
	strings:
		$1 = { 31 C9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17965_0 {
	meta:
		name = "@WriteLong"
		size = 38
		refs = "0015 @StrLong 001e @WriteString"
	strings:
		$1 = { 83 EC 20 50 51 89 D0 31 D2 83 F9 1F 7F 02 89 CA 8D 4C 24 08 E8 ?? ?? ?? ?? 59 58 89 E2 E8 ?? ?? ?? ?? 83 C4 20 C3 }
	condition:
		$1
}

rule function_17967_0 {
	meta:
		name = "@Write2Ext"
		size = 50
		refs = "001b @Str2Ext 0024 @WriteString"
	strings:
		$1 = { DB 6C 24 04 81 EC 00 01 00 00 50 52 83 EC 0C DB 3C 24 89 D0 89 CA 8D 4C 24 14 E8 ?? ?? ?? ?? 59 58 89 E2 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 C2 0C 00 C3 }
	condition:
		$1
}

rule function_17968_0 {
	meta:
		name = "@Write1Ext"
		size = 9
		refs = "0004 @Write2Ext"
	strings:
		$1 = { 83 C9 FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17969_0 {
	meta:
		name = "@Write0Ext"
		size = 14
		refs = "0009 @Write2Ext"
	strings:
		$1 = { BA 17 00 00 00 83 C9 FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17970_0 {
	meta:
		name = "@_CToPasStr"
		size = 23
	strings:
		$1 = { 50 B1 FF 8A 2A 42 84 ED 74 07 40 88 28 FE C9 75 F2 5A 29 D0 88 02 C3 }
	condition:
		$1
}

rule function_17971_0 {
	meta:
		name = "@_CLenToPasStr"
		size = 35
	strings:
		$1 = { 53 50 81 F9 FF 00 00 00 76 05 B9 FF 00 00 00 8A 1A 42 84 DB 74 06 40 88 18 49 75 F3 5A 29 D0 88 02 5B C3 }
	condition:
		$1
}

rule function_17972_0 {
	meta:
		name = "@_ArrayToPasStr"
		size = 23
		refs = "0012 Move"
	strings:
		$1 = { 92 81 F9 FF 00 00 00 76 05 B9 FF 00 00 00 88 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17973_0 {
	meta:
		name = "@_PasToCStr"
		size = 18
	strings:
		$1 = { 56 57 89 C6 89 D7 31 C9 8A 0E 46 F3 A4 88 0F 5F 5E C3 }
	condition:
		$1
}

rule function_17974_0 {
	meta:
		name = "@SetElem"
		size = 34
	strings:
		$1 = { 53 57 89 C7 31 DB 88 CB 89 D9 31 C0 F3 AA 29 DF 40 88 D1 D2 C0 C1 E9 03 39 D9 73 03 08 04 0F 5F 5B C3 }
	condition:
		$1
}

rule function_17975_0 {
	meta:
		name = "@SetRange"
		size = 86
	strings:
		$1 = { 53 56 57 31 DB 88 E3 0F B6 F0 0F B6 D2 89 CF 89 D9 31 C0 F3 AA 29 DF C1 E3 03 39 DA 72 03 8D 53 FF 39 D6 77 2D 48 89 F1 80 E1 07 D2 E0 C1 EE 03 88 D1 F6 D1 80 E1 07 D2 EC C1 EA 03 01 F7 89 D1 29 F1 75 06 20 E0 88 07 EB 08 AA 49 B0 FF F3 AA 88 27 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17976_0 {
	meta:
		name = "@SetEq"
		size = 17
	strings:
		$1 = { 56 57 89 C6 89 D7 81 E1 FF 00 00 00 F3 A6 5F 5E C3 }
	condition:
		$1
}

rule function_17977_0 {
	meta:
		name = "@SetLe"
		size = 15
	strings:
		$1 = { 8A 2A F6 D5 22 28 75 06 42 40 FE C9 75 F2 C3 }
	condition:
		$1
}

rule function_17978_0 {
	meta:
		name = "@SetIntersect"
		size = 11
	strings:
		$1 = { 8A 2A 42 20 28 40 FE C9 75 F6 C3 }
	condition:
		$1
}

rule function_17979_0 {
	meta:
		name = "@SetUnion"
		size = 11
	strings:
		$1 = { 8A 2A 42 08 28 40 FE C9 75 F6 C3 }
	condition:
		$1
}

rule function_17980_0 {
	meta:
		name = "@SetSub"
		size = 13
	strings:
		$1 = { 8A 2A F6 D5 42 20 28 40 FE C9 75 F4 C3 }
	condition:
		$1
}

rule function_17981_0 {
	meta:
		name = "@SetExpand"
		size = 31
	strings:
		$1 = { 56 57 89 C6 89 D7 89 CA 31 C9 31 C0 88 D1 F3 AA 88 F1 28 D1 F3 A4 B1 20 28 F1 F3 AA 5F 5E C3 }
	condition:
		$1
}

rule function_17982_0 {
	meta:
		name = "@ObjSetup"
		size = 95
		refs = "0015 MemoryManager"
	strings:
		$1 = { 83 FA 01 73 01 C3 51 85 C0 75 44 8B 42 F8 85 C0 74 36 52 FF 15 ?? ?? ?? ?? 5A 85 C0 74 26 57 8B 4A F8 89 C7 50 31 C0 C1 E9 02 F3 AB 8B 4A F8 83 E1 03 F3 AA 58 5F 8B 4A FC 85 C9 7C 03 89 14 08 85 C0 59 C3 31 D2 59 C3 31 D2 83 F8 01 59 C3 8B 4A FC 85 C9 7C 03 89 14 08 31 D2 85 C0 59 C3 }
	condition:
		$1
}

rule function_17983_0 {
	meta:
		name = "@ObjCopy"
		size = 35
	strings:
		$1 = { 53 56 57 89 D6 89 C7 8D 04 0F 8B 10 8B 5A F8 89 D9 C1 E9 02 F3 A5 89 D9 83 E1 03 F3 A4 89 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17984_0 {
	meta:
		name = "@Fail"
		size = 12
		refs = "0005 @FreeMem"
	strings:
		$1 = { 85 D2 74 05 E8 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_17986_0 {
	meta:
		name = "@isNECWindows"
		size = 47
		refs = "0006 GetKeyboardType"
	strings:
		$1 = { 53 33 DB 6A 00 E8 ?? ?? ?? ?? 83 F8 07 75 1C 6A 01 E8 ?? ?? ?? ?? 25 00 FF 00 00 3D 00 0D 00 00 74 07 3D 00 04 00 00 75 02 B3 01 8B C3 5B C3 }
	condition:
		$1
}

rule function_17987_0 {
	meta:
		name = "@FpuMaskInit"
		size = 196
		refs = "0009 Default8087CW 0019 @FpuMaskInit 0023 RegOpenKeyEx 0056 RegQueryValueEx 006c RegCloseKey 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 0F B7 05 ?? ?? ?? ?? 89 45 F8 8D 45 FC 50 6A 01 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 4D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 04 00 00 00 8D 45 F4 50 8D 45 F8 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 66 A1 ?? ?? ?? ?? 66 25 C0 FF 66 8B 55 F8 66 83 E2 3F 66 0B C2 66 A3 ?? ?? ?? ?? 8B E5 5D C3 00 53 4F 46 54 57 41 52 45 5C 42 6F 72 6C 61 6E 64 5C 44 65 6C 70 68 69 5C 52 54 4C 00 46 50 55 4D 61 73 6B 56 61 6C 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_17988_0 {
	meta:
		name = "@FpuInit"
		size = 10
		refs = "0005 Default8087CW"
	strings:
		$1 = { DB E3 9B D9 2D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17989_0 {
	meta:
		name = "@BoundErr"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17990_0 {
	meta:
		name = "@IntOver"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 05 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17992_0 {
	meta:
		name = "TObject.ClassName"
		size = 17
	strings:
		$1 = { 56 57 89 D7 8B 70 D4 31 C9 8A 0E 41 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_17993_0 {
	meta:
		name = "TObject.ClassNameIs"
		size = 39
	strings:
		$1 = { 53 31 DB 09 D2 74 1C 8B 40 D4 31 C9 8A 08 3B 4A FC 75 10 4A 8A 3C 08 32 3C 0A 80 E7 DF 75 04 49 75 F2 43 88 D8 5B C3 }
	condition:
		$1
}

rule function_17994_0 {
	meta:
		name = "TObject.ClassParent"
		size = 10
	strings:
		$1 = { 8B 40 DC 85 C0 74 02 8B 00 C3 }
	condition:
		$1
}

rule function_17995_0 {
	meta:
		name = "TObject.NewInstance"
		size = 18
		refs = "0005 @GetMem 000d TObject.InitInstance"
	strings:
		$1 = { 50 8B 40 D8 E8 ?? ?? ?? ?? 89 C2 58 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17996_0 {
	meta:
		name = "TObject.FreeInstance"
		size = 37
		refs = "0013 @FinalizeRecord 001e @FreeMem"
	strings:
		$1 = { 53 56 89 C3 89 C6 8B 36 8B 56 C0 8B 76 DC 85 D2 74 07 E8 ?? ?? ?? ?? 89 D8 85 F6 75 E9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17997_0 {
	meta:
		name = "TObject.InstanceSize"
		size = 4
	strings:
		$1 = { 8B 40 D8 C3 }
	condition:
		$1
}

rule function_18000_0 {
	meta:
		name = "TObject.Free"
		size = 12
	strings:
		$1 = { 85 C0 74 07 8B 08 B2 01 FF 51 FC C3 }
	condition:
		$1
}

rule function_18001_0 {
	meta:
		name = "TObject.InitInstance"
		size = 86
	strings:
		$1 = { 53 56 57 89 C3 89 D7 AB 8B 4B D8 31 C0 51 C1 E9 02 49 F3 AB 59 83 E1 03 F3 AA 89 D0 89 E2 8B 4B B8 85 C9 74 01 51 8B 5B DC 85 DB 74 04 8B 1B EB ED 39 D4 74 1D 5B 8B 0B 83 C3 04 8B 73 10 85 F6 74 06 8B 7B 14 89 34 38 83 C3 1C 49 75 ED 39 D4 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18002_0 {
	meta:
		name = "TObject.CleanupInstance"
		size = 32
		refs = "0013 @FinalizeRecord"
	strings:
		$1 = { 53 56 89 C3 89 C6 8B 36 8B 56 C0 8B 76 DC 85 D2 74 07 E8 ?? ?? ?? ?? 89 D8 85 F6 75 E9 5E 5B C3 }
	condition:
		$1
}

rule function_18003_0 {
	meta:
		name = "InvokeImplGetter"
		size = 45
		refs = "0028 @IntfCopy"
	strings:
		$1 = { 87 CA 81 F9 00 00 00 FF 73 11 81 F9 00 00 00 FE 72 07 0F BF C9 03 08 FF 21 FF E1 81 E1 FF FF FF 00 01 C1 89 D0 8B 11 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18004_0 {
	meta:
		name = "TObject.GetInterface"
		size = 152
		refs = "0019 TObject.GetInterface 0029 TObject.GetInterfaceEntry 0049 InvokeImplGetter 0053 @IntfCopy 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 06 E8 ?? ?? ?? ?? 8B D8 85 DB 74 39 8B 43 14 85 C0 74 06 03 F0 89 37 EB 17 8D 4D F8 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 83 3F 00 74 0C 8B 07 50 8B 00 FF 50 04 B3 01 EB 0A 33 DB EB 06 33 C0 89 07 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18005_0 {
	meta:
		name = "TObject.GetInterfaceEntry"
		size = 68
	strings:
		$1 = { 53 56 89 C3 8B 43 B8 85 C0 74 29 8B 08 83 C0 04 8B 32 3B 30 75 18 8B 72 04 3B 70 04 75 10 8B 72 08 3B 70 08 75 08 8B 72 0C 3B 70 0C 74 13 83 C0 1C 49 75 DC 8B 5B DC 85 DB 74 04 8B 1B EB C5 31 C0 5E 5B C3 }
	condition:
		$1
}

rule function_18006_0 {
	meta:
		name = "TObject.GetInterfaceTable"
		size = 4
	strings:
		$1 = { 8B 40 B8 C3 }
	condition:
		$1
}

rule function_18007_0 {
	meta:
		name = "@IsClass"
		size = 21
	strings:
		$1 = { 85 C0 74 10 8B 00 39 D0 74 08 8B 40 DC 85 C0 75 F3 C3 B0 01 C3 }
	condition:
		$1
}

rule function_18008_0 {
	meta:
		name = "@AsClass"
		size = 27
		refs = "0016 Error"
	strings:
		$1 = { 85 C0 74 16 89 C1 8B 09 39 D1 74 0E 8B 49 DC 85 C9 75 F3 B0 0A E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18009_0 {
	meta:
		name = "GetDynaMethod"
		size = 46
	strings:
		$1 = { 57 93 EB 02 8B 1B 8B 7B D0 85 FF 74 0D 0F B7 0F 51 83 C7 02 66 F2 AF 74 0A 59 8B 5B DC 85 DB 75 E3 5F C3 58 01 C0 29 C8 8B 5C 47 FC 5F C3 }
	condition:
		$1
}

rule function_18010_0 {
	meta:
		name = "@CallDynaInst"
		size = 22
		refs = "0005 GetDynaMethod 0011 @AbstractError"
	strings:
		$1 = { 50 51 8B 00 E8 ?? ?? ?? ?? 59 58 74 02 FF E3 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18011_0 {
	meta:
		name = "@CallDynaClass"
		size = 20
		refs = "0003 GetDynaMethod 000f @AbstractError"
	strings:
		$1 = { 50 51 E8 ?? ?? ?? ?? 59 58 74 02 FF E3 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18012_0 {
	meta:
		name = "@FindDynaInst"
		size = 22
		refs = "0006 GetDynaMethod 0011 @AbstractError"
	strings:
		$1 = { 53 89 D3 8B 00 E8 ?? ?? ?? ?? 89 D8 5B 75 06 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18013_0 {
	meta:
		name = "@FindDynaClass"
		size = 20
		refs = "0004 GetDynaMethod 000f @AbstractError"
	strings:
		$1 = { 53 89 D3 E8 ?? ?? ?? ?? 89 D8 5B 75 06 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18014_0 {
	meta:
		name = "TObject.InheritsFrom"
		size = 19
	strings:
		$1 = { EB 02 8B 00 39 D0 74 08 8B 40 DC 85 C0 75 F3 C3 B0 01 C3 }
	condition:
		$1
}

rule function_18015_0 {
	meta:
		name = "TObject.ClassInfo"
		size = 4
	strings:
		$1 = { 8B 40 C4 C3 }
	condition:
		$1
}

rule function_18016_0 {
	meta:
		name = "TObject.SafeCallException"
		size = 6
	strings:
		$1 = { B8 FF FF 00 80 C3 }
	condition:
		$1
}

rule function_18020_0 {
	meta:
		name = "TObject.Dispatch"
		size = 39
		refs = "0014 GetDynaMethod"
	strings:
		$1 = { 53 66 8B 1A 66 09 DB 74 17 66 81 FB 00 C0 73 10 50 8B 00 E8 ?? ?? ?? ?? 58 74 05 89 D9 5B FF E1 5B 8B 08 FF 61 F0 C3 }
	condition:
		$1
}

rule function_18021_0 {
	meta:
		name = "TObject.MethodAddress"
		size = 78
	strings:
		$1 = { 53 56 57 31 C9 31 FF 8A 1A EB 02 8B 00 8B 70 CC 85 F6 74 15 66 8B 3E 83 C6 02 8A 4E 06 38 D9 74 15 66 8B 0E 01 CE 4F 75 F1 8B 40 DC 85 C0 75 DB EB 18 8A 1A EB EB B5 00 8A 5C 0E 06 32 1C 0A 80 E3 DF 75 EE 49 75 F1 8B 46 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18022_0 {
	meta:
		name = "TObject.MethodName"
		size = 64
	strings:
		$1 = { 53 56 57 89 CF 31 DB 31 C9 EB 02 8B 00 8B 70 CC 85 F6 74 13 66 8B 0E 83 C6 02 3B 56 02 74 13 66 8B 1E 01 DE 49 75 F3 8B 40 DC 85 C0 75 DD 88 07 EB 0A 83 C6 06 31 C9 8A 0E 41 F3 A4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18023_0 {
	meta:
		name = "TObject.FieldAddress"
		size = 80
	strings:
		$1 = { 53 56 57 31 C9 31 FF 8A 1A 50 8B 00 8B 70 C8 85 F6 74 14 66 8B 3E 83 C6 06 8A 4E 06 38 D9 74 18 8D 74 0E 07 4F 75 F2 8B 40 DC 85 C0 75 DC 5A EB 1B 8A 1A 8A 4E 06 EB E8 8A 5C 0E 06 32 1C 0A 80 E3 DF 75 ED 49 75 F1 8B 06 5A 01 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18024_0 {
	meta:
		name = "@ClassCreate"
		size = 77
		refs = "001b @ClassCreate 002a @HandleAnyException 0043 @ClassDestroy 0048 @RaiseAgain"
	strings:
		$1 = { 52 51 53 84 D2 7C 03 FF 50 F4 31 D2 8D 4C 24 10 64 8B 1A 89 19 89 69 08 C7 41 04 ?? ?? ?? ?? 89 41 0C 64 89 0A 5B 59 5A C3 E9 ?? ?? ?? ?? 8B 44 24 2C 8B 40 0C 85 C0 74 0E 8B 08 B2 81 50 FF 51 FC 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18025_0 {
	meta:
		name = "@ClassDestroy"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 F8 C3 }
	condition:
		$1
}

rule function_18026_0 {
	meta:
		name = "@AfterConstruction"
		size = 8
	strings:
		$1 = { 50 8B 10 FF 52 E4 58 C3 }
	condition:
		$1
}

rule function_18027_0 {
	meta:
		name = "@BeforeDestruction"
		size = 15
	strings:
		$1 = { 84 D2 7F 01 C3 50 52 8B 10 FF 52 E8 5A 58 C3 }
	condition:
		$1
}

rule function_18028_0 {
	meta:
		name = "NotifyReRaise"
		size = 26
		refs = "0002 DebugHook 0015 RaiseException"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 10 6A 00 6A 00 6A 00 68 DF FA ED 0E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18029_0 {
	meta:
		name = "NotifyNonDelphiException"
		size = 32
		refs = "0002 DebugHook 0017 RaiseException"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 16 50 50 52 54 6A 02 6A 00 68 E4 FA ED 0E E8 ?? ?? ?? ?? 83 C4 08 58 C3 }
	condition:
		$1
}

rule function_18030_0 {
	meta:
		name = "NotifyExcept"
		size = 20
		refs = "000b RaiseException"
	strings:
		$1 = { 54 6A 01 6A 00 68 E0 FA ED 0E E8 ?? ?? ?? ?? 83 C4 04 58 C3 }
	condition:
		$1
}

rule function_18031_0 {
	meta:
		name = "NotifyOnExcept"
		size = 19
		refs = "0002 DebugHook 000e NotifyExcept"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 09 50 FF 73 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18032_0 {
	meta:
		name = "NotifyAnyExcept"
		size = 17
		refs = "0002 DebugHook 000c NotifyExcept"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 07 50 53 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18033_0 {
	meta:
		name = "CheckJmp"
		size = 30
	strings:
		$1 = { 85 C9 74 19 8B 41 01 80 39 E9 74 0C 80 39 EB 75 0C 0F BE C0 41 41 EB 03 83 C1 05 01 C1 C3 }
	condition:
		$1
}

rule function_18034_0 {
	meta:
		name = "NotifyExceptFinally"
		size = 38
		refs = "0002 DebugHook 000d CheckJmp 001d RaiseException"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 1C 50 52 51 E8 ?? ?? ?? ?? 51 54 6A 01 6A 00 68 E1 FA ED 0E E8 ?? ?? ?? ?? 59 59 5A 58 C3 }
	condition:
		$1
}

rule function_18035_0 {
	meta:
		name = "NotifyTerminate"
		size = 27
		refs = "0002 DebugHook 0015 RaiseException"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 11 52 54 6A 01 6A 00 68 E2 FA ED 0E E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18036_0 {
	meta:
		name = "NotifyUnhandled"
		size = 29
		refs = "0004 DebugHook 0016 RaiseException"
	strings:
		$1 = { 50 52 80 3D ?? ?? ?? ?? 01 76 0F 54 6A 02 6A 00 68 E3 FA ED 0E E8 ?? ?? ?? ?? 5A 58 C3 }
	condition:
		$1
}

rule function_18037_0 {
	meta:
		name = "@HandleAnyException"
		size = 208
		refs = "0021 @FpuInit 0027 ExceptObjProc 004e NotifyNonDelphiException 0074 @HandleAnyException 007a RtlUnwind 0083 @GetTls 0089 RaiseListPtr 00a4 NotifyAnyExcept 00ab @HandleFinally 00c6 TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 85 B9 00 00 00 81 38 DE FA ED 0E 8B 50 18 8B 48 14 74 3C FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 85 D2 0F 84 97 00 00 00 FF D2 85 C0 0F 84 8D 00 00 00 8B 54 24 0C 8B 4C 24 04 81 39 CE FA EF 0E 74 05 E8 ?? ?? ?? ?? 89 C2 8B 44 24 04 8B 48 0C 83 48 04 02 53 31 DB 56 57 55 64 8B 1B 53 50 52 51 8B 54 24 28 6A 00 50 68 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 8B 7C 24 28 E8 ?? ?? ?? ?? FF B0 ?? ?? ?? ?? 89 A0 ?? ?? ?? ?? 8B 6F 08 8B 5F 04 C7 47 04 ?? ?? ?? ?? 83 C3 05 E8 ?? ?? ?? ?? FF E3 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 88 ?? ?? ?? ?? 8B 11 89 90 ?? ?? ?? ?? 8B 41 08 E9 ?? ?? ?? ?? B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_18038_0 {
	meta:
		name = "@HandleOnException"
		size = 309
		refs = "001b @FpuInit 0021 ExceptClsProc 007b @AStrCmp 00ad ExceptObjProc 00b6 NotifyNonDelphiException 00d9 @HandleOnException 00df RtlUnwind 00e9 @GetTls 00ef RaiseListPtr 0108 NotifyOnExcept 0110 @HandleFinally 012b TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 85 1E 01 00 00 81 38 DE FA ED 0E 74 1F FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 85 D2 0F 84 02 01 00 00 FF D2 85 C0 75 0A E9 F7 00 00 00 8B 40 18 8B 00 8B 54 24 08 53 56 57 55 8B 4A 04 8B 59 05 8D 71 09 89 C5 8B 06 85 C0 74 43 89 EF EB 02 8B 3F 8B 00 39 F8 74 37 8B 48 D8 3B 4F D8 75 17 8B 40 D4 8B 57 D4 31 C9 8A 08 3A 0A 75 09 40 42 E8 ?? ?? ?? ?? 74 18 8B 7F DC 8B 06 85 FF 75 D0 83 C6 08 4B 75 C0 5D 5F 5E 5B E9 96 00 00 00 8B 44 24 14 81 38 DE FA ED 0E 8B 50 18 8B 48 14 74 18 FF 15 ?? ?? ?? ?? 8B 54 24 1C E8 ?? ?? ?? ?? 89 C2 8B 44 24 14 8B 48 0C 31 DB 64 8B 1B 53 50 52 51 8B 54 24 28 83 48 04 02 56 6A 00 50 68 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 5B 8B 7C 24 28 E8 ?? ?? ?? ?? FF B0 ?? ?? ?? ?? 89 A0 ?? ?? ?? ?? 8B 6F 08 C7 47 04 ?? ?? ?? ?? 8B 44 24 08 E8 ?? ?? ?? ?? FF 63 04 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 88 ?? ?? ?? ?? 8B 11 89 90 ?? ?? ?? ?? 8B 41 08 E9 ?? ?? ?? ?? B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_18039_0 {
	meta:
		name = "@HandleFinally"
		size = 54
		refs = "0017 @HandleFinally 0026 NotifyExceptFinally"
	strings:
		$1 = { 8B 44 24 04 8B 54 24 08 F7 40 04 06 00 00 00 74 1F 8B 4A 04 C7 42 04 ?? ?? ?? ?? 53 56 57 55 8B 6A 08 83 C1 05 E8 ?? ?? ?? ?? FF D1 5D 5F 5E 5B B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_18040_0 {
	meta:
		name = "@HandleAutoException"
		size = 128
		refs = "0017 @FpuInit 002a @HandleAutoException 0030 RtlUnwind 0064 TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 75 6D 81 38 DE FA ED 0E 74 06 FC E8 ?? ?? ?? ?? 83 48 04 02 56 57 55 8B 54 24 14 6A 00 50 68 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 5D 5F 5E 8B 44 24 04 BB FF FF 00 80 81 38 DE FA ED 0E 75 20 8B 50 18 8B 48 14 8B 44 24 08 8B 40 0C 8B 18 FF 53 E0 89 C3 8B 44 24 04 8B 40 18 E8 ?? ?? ?? ?? 31 C0 8B 64 24 08 59 64 89 08 5A 5D 8D 52 05 59 FF E2 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_18041_0 {
	meta:
		name = "@RaiseExcept"
		size = 25
		refs = "0014 RaiseException"
	strings:
		$1 = { 5A 54 55 57 56 53 50 52 54 6A 07 6A 01 68 DE FA ED 0E 52 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18042_0 {
	meta:
		name = "@RaiseAgain"
		size = 81
		refs = "0007 @RaiseAgain 000c @GetTls 0012 RaiseListPtr 0031 TObject.Free 0036 NotifyReRaise"
	strings:
		$1 = { 8B 44 24 30 C7 40 04 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B 0A 89 88 ?? ?? ?? ?? 8B 42 0C 83 60 04 FD 81 38 DE FA ED 0E 74 0D 8B 42 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 31 C0 83 C4 14 64 8B 10 59 8B 12 89 11 5D 5F 5E 5B B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_18043_0 {
	meta:
		name = "@DoneExcept"
		size = 48
		refs = "0001 @GetTls 0007 RaiseListPtr 0017 TObject.Free 0029 NotifyTerminate"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B 0A 89 88 ?? ?? ?? ?? 8B 42 08 E8 ?? ?? ?? ?? 5A 8B 64 24 2C 31 C0 59 64 89 08 58 5D E8 ?? ?? ?? ?? FF E2 C3 }
	condition:
		$1
}

rule function_18044_0 {
	meta:
		name = "@TryFinallyExit"
		size = 22
	strings:
		$1 = { 31 D2 8B 4C 24 08 8B 44 24 04 83 C1 05 64 89 02 FF D1 C2 0C 00 C3 }
	condition:
		$1
}

rule function_18045_0 {
	meta:
		name = "RunErrorAt"
		size = 9
		refs = "0004 @RunError"
	strings:
		$1 = { 89 14 24 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18046_0 {
	meta:
		name = "MapToRunError"
		size = 160
		refs = "0098 RunErrorAt"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 02 3D 92 00 00 C0 7F 2C 74 5C 3D 8E 00 00 C0 7F 15 74 57 2D 05 00 00 C0 74 5C 2D 87 00 00 00 74 3D 48 74 4E EB 60 05 71 FF FF 3F 83 E8 02 72 36 74 30 EB 52 3D 96 00 00 C0 7F 11 74 3D 2D 93 00 00 C0 74 2E 48 74 13 48 74 24 EB 3A 2D FD 00 00 C0 74 2F 83 E8 3D 74 26 EB 2C B0 C8 EB 2A B0 C9 EB 26 B0 CD EB 22 B0 CF EB 1E B0 C8 EB 1A B0 D7 EB 16 B0 CE EB 12 B0 D8 EB 0E B0 DA EB 0A B0 D9 EB 06 B0 CA EB 02 B0 FF 25 FF 00 00 00 8B 52 0C E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_18047_0 {
	meta:
		name = "@ExceptionHandler"
		size = 124
		refs = "000f @FpuInit 001b @ExceptionHandler 0021 RtlUnwind 0039 ExceptObjProc 0041 MapToRunError 0055 NotifyUnhandled 005b ExceptProc 0075 @RunError"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 75 6C FC E8 ?? ?? ?? ?? 8B 54 24 08 6A 00 50 68 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 8B 5C 24 04 81 3B DE FA ED 0E 8B 53 14 8B 43 18 74 1D 8B 15 ?? ?? ?? ?? 85 D2 0F 84 ?? ?? ?? ?? 89 D8 FF D2 85 C0 0F 84 ?? ?? ?? ?? 8B 53 0C E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 85 C9 74 02 FF D1 8B 4C 24 04 B8 D9 00 00 00 8B 51 14 89 14 24 E9 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_18048_0 {
	meta:
		name = "SetExceptionHandler"
		size = 30
		refs = "0010 @ExceptionHandler 0019 InitContext"
	strings:
		$1 = { 31 D2 8D 45 F4 64 8B 0A 64 89 02 89 08 C7 40 04 ?? ?? ?? ?? 89 68 08 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18049_0 {
	meta:
		name = "UnsetExceptionHandler"
		size = 37
		refs = "0004 InitContext"
	strings:
		$1 = { 31 D2 8B 05 ?? ?? ?? ?? 64 8B 0A 39 C8 75 08 8B 00 64 89 02 C3 8B 09 83 F9 FF 74 08 39 01 75 F5 8B 00 89 01 C3 }
	condition:
		$1
}

rule function_18050_0 {
	meta:
		name = "FInitUnits"
		size = 95
		refs = "0007 InitContext 001c FInitUnits 0047 @HandleAnyException 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 BF ?? ?? ?? ?? 8B 47 08 85 C0 74 48 8B 5F 0C 8B 70 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7E 12 4B 89 5F 0C 8B 44 DE 04 85 C0 74 02 FF D0 85 DB 7F EE 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_18051_0 {
	meta:
		name = "InitUnits"
		size = 95
		refs = "0007 InitContext 001a InitUnits 0047 @HandleAnyException 004c FInitUnits 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 A1 ?? ?? ?? ?? 85 C0 74 4B 8B 30 33 DB 8B 78 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3B F3 7E 14 8B 04 DF 43 89 1D ?? ?? ?? ?? 85 C0 74 02 FF D0 3B F3 7F EC 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_18052_0 {
	meta:
		name = "@PackageLoad"
		size = 111
		refs = "0009 InitContext 0036 @PackageLoad 0041 InitUnits 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 BE ?? ?? ?? ?? 8D 7D D4 B9 0B 00 00 00 F3 A5 C6 05 ?? ?? ?? ?? 00 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8D 45 D4 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 75 D4 BF ?? ?? ?? ?? B9 0B 00 00 00 F3 A5 C3 E9 ?? ?? ?? ?? EB E9 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_18053_0 {
	meta:
		name = "@PackageUnload"
		size = 111
		refs = "0009 InitContext 0036 @PackageUnload 0041 FInitUnits 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 BE ?? ?? ?? ?? 8D 7D D4 B9 0B 00 00 00 F3 A5 C6 05 ?? ?? ?? ?? 00 A3 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 8D 45 D4 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 75 D4 BF ?? ?? ?? ?? B9 0B 00 00 00 F3 A5 C3 E9 ?? ?? ?? ?? EB E9 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_18054_0 {
	meta:
		name = "@StartExe"
		size = 47
		refs = "0002 InitContext 0019 MainInstance 001e SetExceptionHandler 0024 IsLibrary 002a InitUnits"
	strings:
		$1 = { 89 05 ?? ?? ?? ?? 31 C0 89 05 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8B 42 04 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18055_0 {
	meta:
		name = "@StartLib"
		size = 156
		refs = "0004 InitContext 0050 SetExceptionHandler 007b MainInstance 0084 IsLibrary 008f @Halt0 0094 InitUnits"
	strings:
		$1 = { 51 56 57 BE ?? ?? ?? ?? 8D 7D C4 B9 0B 00 00 00 F3 A5 8F 05 ?? ?? ?? ?? 8F 05 ?? ?? ?? ?? 89 2D ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8D 4D C4 89 0D ?? ?? ?? ?? 31 C9 83 7D 0C 00 75 02 8B 08 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 40 A2 ?? ?? ?? ?? 48 59 8B 11 89 15 ?? ?? ?? ?? 74 03 FF 14 81 8B 54 24 04 85 D2 74 05 8B 45 0C FF D2 83 3D ?? ?? ?? ?? 00 75 07 C6 05 ?? ?? ?? ?? 01 8B 45 0C 48 0F 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C2 04 00 C3 }
	condition:
		$1
}

rule function_18056_0 {
	meta:
		name = "@InitResStrings"
		size = 26
		refs = "000d LoadResString"
	strings:
		$1 = { 53 56 8B 18 8D 70 04 8B 46 04 8B 16 E8 ?? ?? ?? ?? 83 C6 08 4B 75 F0 5E 5B C3 }
	condition:
		$1
}

rule function_18057_0 {
	meta:
		name = "@InitResStringImports"
		size = 28
		refs = "000f LoadResString"
	strings:
		$1 = { 53 56 8B 18 8D 70 04 8B 46 04 8B 16 8B 00 E8 ?? ?? ?? ?? 83 C6 08 4B 75 EE 5E 5B C3 }
	condition:
		$1
}

rule function_18058_0 {
	meta:
		name = "@InitImports"
		size = 30
	strings:
		$1 = { 53 56 8B 18 8D 70 04 8B 46 04 8B 16 8B 4E 08 8B 00 01 C8 89 02 83 C6 0C 4B 75 EC 5E 5B C3 }
	condition:
		$1
}

rule function_18059_0 {
	meta:
		name = "@InitWideStrings"
		size = 26
		refs = "000d @WStrAsg"
	strings:
		$1 = { 53 56 8B 18 8D 70 04 8B 56 04 8B 06 E8 ?? ?? ?? ?? 83 C6 08 4B 75 F0 5E 5B C3 }
	condition:
		$1
}

rule function_18060_0 {
	meta:
		name = "MakeErrorMessage"
		size = 77
		refs = "0003 ExitCode 0008 runErrMsg 0021 ErrorAddr 0026 FindHInstance 003f dig"
	strings:
		$1 = { 53 8B 05 ?? ?? ?? ?? BB ?? ?? ?? ?? B9 0A 00 00 00 31 D2 F7 F1 80 C2 30 88 13 4B 85 C0 75 F2 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 92 29 D0 BB ?? ?? ?? ?? 89 C2 83 E2 0F 8A 92 ?? ?? ?? ?? 88 13 4B C1 E8 04 75 ED 5B C3 }
	condition:
		$1
}

rule function_18061_0 {
	meta:
		name = "ExitDll"
		size = 52
		refs = "0001 InitContext 0026 ExitCode"
	strings:
		$1 = { BF ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 2D ?? ?? ?? ?? FF 77 1C FF 77 20 8B 37 B9 0B 00 00 00 F3 A5 5F 5E 31 C0 87 05 ?? ?? ?? ?? F7 D8 19 C0 40 C9 C2 0C 00 C3 }
	condition:
		$1
}

rule function_18062_0 {
	meta:
		name = "@Halt0"
		size = 278
		refs = "0005 InitContext 000a ExitCode 000f ExitProc 0031 ErrorAddr 0039 MakeErrorMessage 003f IsConsole 0047 runErrMsg 004c Output 0051 @Write0CString 0056 @WriteLn 005f errCaption 006b MessageBox 0087 FInitUnits 009e UnregisterModule 00af FreeLibrary 00b4 UnsetExceptionHandler 00c8 ExitDll 00d5 ExitProcess"
	strings:
		$1 = { 53 56 57 55 BB ?? ?? ?? ?? BE ?? ?? ?? ?? BF ?? ?? ?? ?? 80 7B 24 00 75 16 83 3F 00 74 11 8B 17 89 D0 33 D2 89 17 8B E8 FF D5 83 3F 00 75 EF 83 3D ?? ?? ?? ?? 00 74 3E E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 16 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 80 7B 24 02 75 0A 83 3E 00 75 05 33 C0 89 43 0C E8 ?? ?? ?? ?? 80 7B 24 01 76 05 83 3E 00 74 1D 8B 43 10 85 C0 74 16 E8 ?? ?? ?? ?? 8B 43 10 8B 50 10 3B 50 04 74 06 52 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 24 01 75 03 FF 53 28 80 7B 24 00 74 05 E8 ?? ?? ?? ?? 83 3B 00 75 08 8B 06 50 E8 ?? ?? ?? ?? 8B 03 56 8B F0 8B FB B9 0B 00 00 00 F3 A5 5E EB 8C 50 6F 72 74 69 6F 6E 73 20 43 6F 70 79 72 69 67 68 74 20 28 63 29 20 31 39 38 33 2C 39 37 20 42 6F 72 6C 61 6E 64 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18063_0 {
	meta:
		name = "@Halt"
		size = 12
		refs = "0002 ExitCode 0007 @Halt0"
	strings:
		$1 = { 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18064_0 {
	meta:
		name = "@Run0Error"
		size = 8
		refs = "0003 @RunError"
	strings:
		$1 = { 31 C0 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18065_0 {
	meta:
		name = "@RunError"
		size = 12
		refs = "0002 ErrorAddr 0007 @Halt"
	strings:
		$1 = { 8F 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18066_0 {
	meta:
		name = "@Assert"
		size = 27
		refs = "0002 AssertErrorProc 0016 Error"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A FF 34 24 FF 15 ?? ?? ?? ?? C3 B0 15 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18067_0 {
	meta:
		name = "ThreadWrapper"
		size = 54
		refs = "0004 @FpuInit 000c @ExceptionHandler 0022 @FreeMem"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 31 C9 55 68 ?? ?? ?? ?? 64 8B 11 52 8B 45 08 64 89 21 8B 48 04 8B 10 51 52 E8 ?? ?? ?? ?? 5A 58 FF D2 31 D2 59 64 89 0A 59 5D 5D C2 04 00 }
	condition:
		$1
}

rule function_18068_0 {
	meta:
		name = "BeginThread"
		size = 66
		refs = "0012 @GetMem 0020 IsMultiThread 002f ThreadWrapper 0037 CreateThread"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 89 38 8B 55 10 89 50 04 C6 05 ?? ?? ?? ?? 01 8B 55 08 52 8B 55 0C 52 50 B8 ?? ?? ?? ?? 50 56 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_18070_0 {
	meta:
		name = "@LStrClr"
		size = 34
		refs = "001c @FreeMem"
	strings:
		$1 = { 8B 10 85 D2 74 1B C7 00 00 00 00 00 8B 4A F8 49 7C 0F 89 4A F8 75 0A 50 8D 42 F8 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_18071_0 {
	meta:
		name = "@LStrArrayClr"
		size = 46
		refs = "0021 @FreeMem"
	strings:
		$1 = { 53 56 89 C3 89 D6 8B 13 85 D2 74 19 C7 03 00 00 00 00 8B 4A F8 49 7C 0D 89 4A F8 75 08 8D 42 F8 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DB 5E 5B C3 }
	condition:
		$1
}

rule function_18072_0 {
	meta:
		name = "@LStrAsg"
		size = 65
		refs = "0010 @NewAnsiString 001c Move 003c @FreeMem"
	strings:
		$1 = { 85 D2 74 23 8B 4A F8 41 7F 1A 50 52 8B 42 FC E8 ?? ?? ?? ?? 89 C2 58 52 8B 48 FC E8 ?? ?? ?? ?? 5A 58 EB 03 89 4A F8 87 10 85 D2 74 13 8B 4A F8 49 7C 0D 89 4A F8 75 08 8D 42 F8 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18073_0 {
	meta:
		name = "@LStrLAsg"
		size = 39
		refs = "0022 @FreeMem"
	strings:
		$1 = { 85 D2 74 09 8B 4A F8 41 7E 03 89 4A F8 87 10 85 D2 74 13 8B 4A F8 49 7C 0D 89 4A F8 75 08 8D 42 F8 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18074_0 {
	meta:
		name = "@NewAnsiString"
		size = 35
		refs = "0009 @GetMem"
	strings:
		$1 = { 85 C0 7E 1C 50 83 C0 09 E8 ?? ?? ?? ?? 83 C0 08 5A 89 50 FC C7 40 F8 01 00 00 00 C6 04 10 00 C3 31 C0 C3 }
	condition:
		$1
}

rule function_18075_0 {
	meta:
		name = "@LStrFromPCharLen"
		size = 46
		refs = "000c @NewAnsiString 001d Move 0024 @LStrClr"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 89 F8 E8 ?? ?? ?? ?? 89 F9 89 C7 85 F6 74 09 89 C2 89 F0 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 89 3B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18076_0 {
	meta:
		name = "@LStrFromPWCharLen"
		size = 143
		refs = "0017 @LStrClr 003a WideCharToMultiByte 004b @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B D9 8B EA 8B F8 85 DB 7F 09 8B C7 E8 ?? ?? ?? ?? EB 67 81 FB 00 04 00 00 7D 2C 6A 00 6A 00 68 00 08 00 00 8D 44 24 0C 50 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 0D 8B D4 8B C7 8B CE E8 ?? ?? ?? ?? EB 33 6A 00 6A 00 6A 00 6A 00 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B C7 8B CE 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 56 8B 07 50 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18077_0 {
	meta:
		name = "@LStrFromChar"
		size = 15
		refs = "0009 @LStrFromPCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18078_0 {
	meta:
		name = "@LStrFromWChar"
		size = 15
		refs = "0009 @LStrFromPWCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18110_0 {
	meta:
		name = "@WStrFromChar"
		size = 15
		refs = "0009 @WStrFromPCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18111_0 {
	meta:
		name = "@WStrFromWChar"
		size = 15
		refs = "0009 @WStrFromPWCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18079_0 {
	meta:
		name = "@LStrFromPChar"
		size = 45
		refs = "0028 @LStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 21 52 3A 0A 74 17 3A 4A 01 74 11 3A 4A 02 74 0B 3A 4A 03 74 05 83 C2 04 EB E8 42 42 42 89 D1 5A 29 D1 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18112_0 {
	meta:
		name = "@WStrFromPChar"
		size = 45
		refs = "0028 @WStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 21 52 3A 0A 74 17 3A 4A 01 74 11 3A 4A 02 74 0B 3A 4A 03 74 05 83 C2 04 EB E8 42 42 42 89 D1 5A 29 D1 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18080_0 {
	meta:
		name = "@LStrFromPWChar"
		size = 57
		refs = "0034 @LStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 2D 52 66 3B 0A 74 20 66 3B 4A 02 74 17 66 3B 4A 04 74 0E 66 3B 4A 06 74 05 83 C2 08 EB E4 83 C2 02 83 C2 02 83 C2 02 89 D1 5A 29 D1 D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18113_0 {
	meta:
		name = "@WStrFromPWChar"
		size = 57
		refs = "0034 @WStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 2D 52 66 3B 0A 74 20 66 3B 4A 02 74 17 66 3B 4A 04 74 0E 66 3B 4A 06 74 05 83 C2 08 EB E4 83 C2 02 83 C2 02 83 C2 02 89 D1 5A 29 D1 D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18081_0 {
	meta:
		name = "@LStrFromString"
		size = 11
		refs = "0006 @LStrFromPCharLen"
	strings:
		$1 = { 31 C9 8A 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18114_0 {
	meta:
		name = "@WStrFromString"
		size = 11
		refs = "0006 @WStrFromPCharLen"
	strings:
		$1 = { 31 C9 8A 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18082_0 {
	meta:
		name = "@LStrFromArray"
		size = 24
		refs = "0013 @LStrFromPCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 F2 AE 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18115_0 {
	meta:
		name = "@WStrFromArray"
		size = 24
		refs = "0013 @WStrFromPCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 F2 AE 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18083_0 {
	meta:
		name = "@LStrFromWArray"
		size = 25
		refs = "0014 @LStrFromPWCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 66 F2 AF 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18116_0 {
	meta:
		name = "@WStrFromWArray"
		size = 25
		refs = "0014 @WStrFromPWCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 66 F2 AF 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18084_0 {
	meta:
		name = "@LStrFromWStr"
		size = 17
		refs = "000c @LStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 05 8B 4A FC D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18085_0 {
	meta:
		name = "@LStrToString"
		size = 34
		refs = "0017 Move"
	strings:
		$1 = { 53 85 D2 74 18 8B 5A FC 85 DB 74 11 39 D9 7C 02 89 D9 88 08 40 92 E8 ?? ?? ?? ?? 5B C3 C6 00 00 5B C3 }
	condition:
		$1
}

rule function_18086_0 {
	meta:
		name = "@DynArrayLength"
		size = 8
		altNames = "@LStrLen DynArraySize"
	strings:
		$1 = { 85 C0 74 03 8B 40 FC C3 }
	condition:
		$1
}

rule function_18087_0 {
	meta:
		name = "@LStrCat"
		size = 68
		refs = "000a @LStrAsg 0022 @LStrSetLength 0030 Move"
	strings:
		$1 = { 85 D2 74 3F 8B 08 85 C9 0F 84 ?? ?? ?? ?? 53 56 57 89 C3 89 D6 8B 79 FC 8B 56 FC 01 FA 39 CE 74 17 E8 ?? ?? ?? ?? 89 F0 8B 4E FC 8B 13 01 FA E8 ?? ?? ?? ?? 5F 5E 5B C3 E8 ?? ?? ?? ?? 8B 03 89 F9 EB E8 C3 }
	condition:
		$1
}

rule function_18088_0 {
	meta:
		name = "@LStrCat3"
		size = 116
		refs = "0008 @LStrAsg 001e @LStrCat 0031 @NewAnsiString 003f Move"
	strings:
		$1 = { 85 D2 74 61 85 C9 0F 84 ?? ?? ?? ?? 3B 10 74 5C 3B 08 74 0E 50 51 E8 ?? ?? ?? ?? 5A 58 E9 ?? ?? ?? ?? 53 56 57 89 D3 89 CE 50 8B 43 FC 03 46 FC E8 ?? ?? ?? ?? 89 C7 89 C2 89 D8 8B 4B FC E8 ?? ?? ?? ?? 89 FA 89 F0 8B 4E FC 03 53 FC E8 ?? ?? ?? ?? 58 89 FA 85 FF 74 03 FF 4F F8 E8 ?? ?? ?? ?? 5F 5E 5B C3 89 CA E9 ?? ?? ?? ?? 89 CA E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18089_0 {
	meta:
		name = "@LStrCatN"
		size = 77
		refs = "0017 @NewAnsiString 002e Move 003f @LStrAsg"
	strings:
		$1 = { 53 56 52 50 89 D3 31 C0 8B 4C 94 10 85 C9 74 03 03 41 FC 4A 75 F2 E8 ?? ?? ?? ?? 50 89 C6 8B 44 9C 14 89 F2 85 C0 74 0A 8B 48 FC 01 CE E8 ?? ?? ?? ?? 4B 75 E9 5A 58 85 D2 74 03 FF 4A F8 E8 ?? ?? ?? ?? 5A 5E 5B 58 8D 24 94 FF E0 C3 }
	condition:
		$1
}

rule function_18090_0 {
	meta:
		name = "@LStrCmp"
		size = 162
	strings:
		$1 = { 53 56 57 89 C6 89 D7 39 D0 0F 84 8F 00 00 00 85 F6 74 68 85 FF 74 6B 8B 46 FC 8B 57 FC 29 D0 77 02 01 C2 52 C1 EA 02 74 26 8B 0E 8B 1F 39 D9 75 58 4A 74 15 8B 4E 04 8B 5F 04 39 D9 75 4B 83 C6 08 83 C7 08 4A 75 E2 EB 06 83 C6 04 83 C7 04 5A 83 E2 03 74 22 8B 0E 8B 1F 38 D9 75 41 4A 74 17 38 FD 75 3A 4A 74 10 81 E3 00 00 FF 00 81 E1 00 00 FF 00 39 D9 75 27 01 C0 EB 23 8B 57 FC 29 D0 EB 1C 8B 46 FC 29 D0 EB 15 5A 38 D9 75 10 38 FD 75 0C C1 E9 10 C1 EB 10 38 D9 75 02 38 FD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18091_0 {
	meta:
		name = "@LStrAddRef"
		size = 14
	strings:
		$1 = { 85 C0 74 09 8B 50 F8 42 7E 03 89 50 F8 C3 }
	condition:
		$1
}

rule function_18092_0 {
	meta:
		name = "@LStrToPChar"
		size = 12
		refs = "0007 @LStrToPChar"
	strings:
		$1 = { 85 C0 74 02 C3 00 B8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18093_0 {
	meta:
		name = "UniqueString"
		size = 52
		refs = "0013 @NewAnsiString 002a Move"
	strings:
		$1 = { 8B 10 85 D2 74 2B 8B 4A F8 49 74 25 53 89 C3 8B 42 FC E8 ?? ?? ?? ?? 89 C2 8B 03 89 13 8B 48 F8 49 7C 03 89 48 F8 8B 48 FC E8 ?? ?? ?? ?? 8B 13 5B 89 D0 C3 }
	condition:
		$1
}

rule function_18094_0 {
	meta:
		name = "@LStrCopy"
		size = 64
		refs = "0024 @LStrFromPCharLen 0037 @LStrClr"
	strings:
		$1 = { 53 85 C0 74 2D 8B 58 FC 85 DB 74 26 4A 7C 1B 39 DA 7D 1F 29 D3 85 C9 7C 19 39 D9 7F 11 01 C2 8B 44 24 08 E8 ?? ?? ?? ?? EB 11 31 D2 EB E5 89 D9 EB EB 8B 44 24 08 E8 ?? ?? ?? ?? 5B C2 04 00 C3 }
	condition:
		$1
}

rule function_18095_0 {
	meta:
		name = "@LStrDelete"
		size = 72
		refs = "000a UniqueString 0032 Move 0040 @LStrSetLength"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF E8 ?? ?? ?? ?? 8B 13 85 D2 74 30 8B 4A FC 4E 7C 2A 39 CE 7D 26 85 FF 7E 22 29 F1 39 CF 7E 02 89 CF 29 F9 01 F2 8D 04 3A E8 ?? ?? ?? ?? 8B 13 89 D8 8B 52 FC 29 FA E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18096_0 {
	meta:
		name = "@LStrInsert"
		size = 91
		refs = "002b @LStrSetLength 0045 Move"
	strings:
		$1 = { 85 C0 74 56 53 56 57 55 89 C3 89 D6 89 CF 8B 12 52 85 D2 74 03 8B 52 FC 4F 7D 02 31 FF 39 D7 7E 02 89 D7 8B 6B FC 89 F0 01 EA E8 ?? ?? ?? ?? 58 39 D8 75 02 8B 1E 8B 06 8D 14 2F 8B 48 FC 29 D1 01 C2 01 F8 E8 ?? ?? ?? ?? 89 D8 8B 16 89 E9 01 FA E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18097_0 {
	meta:
		name = "@LStrPos"
		size = 69
	strings:
		$1 = { 85 C0 74 40 85 D2 74 31 53 56 57 89 C6 89 D7 8B 4F FC 57 8B 56 FC 4A 78 1B 8A 06 46 29 D1 7E 14 F2 AE 75 10 89 CB 56 57 89 D1 F3 A6 5F 5E 74 0C 89 D9 EB EC 5A 31 C0 EB 08 31 C0 C3 5A 89 F8 29 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18098_0 {
	meta:
		name = "@LStrSetLength"
		size = 98
		refs = "0023 @ReallocMem 0039 @NewAnsiString 0051 Move 0058 @LStrClr"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 31 FF 85 D2 74 48 8B 03 85 C0 74 23 83 78 F8 01 75 1D 83 E8 08 83 C2 09 50 89 E0 E8 ?? ?? ?? ?? 58 83 C0 08 89 03 89 70 FC C6 04 30 00 EB 28 89 D0 E8 ?? ?? ?? ?? 89 C7 8B 03 85 C0 74 10 89 FA 8B 48 FC 39 F1 7C 02 89 F1 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 89 3B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18099_0 {
	meta:
		name = "@LStrOfChar"
		size = 42
		refs = "000c @LStrClr 0017 @NewAnsiString 0022 @FillChar"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 89 C8 E8 ?? ?? ?? ?? 85 F6 7E 12 89 F0 E8 ?? ?? ?? ?? 89 07 89 F2 88 D9 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18101_0 {
	meta:
		name = "@WriteLString"
		size = 32
		refs = "0012 @WriteSpaces 001b @WriteBytes"
	strings:
		$1 = { 53 89 D3 89 CA 31 C9 85 DB 74 05 8B 4B FC 29 CA 51 E8 ?? ?? ?? ?? 59 89 DA 5B E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18102_0 {
	meta:
		name = "@ReadLString"
		size = 106
		refs = "0009 @LStrClr 001d @ReadString 0026 @LStrFromString 004f @LStrCat"
	strings:
		$1 = { 53 56 89 C3 89 D6 89 D0 E8 ?? ?? ?? ?? 81 EC 00 01 00 00 89 D8 89 E2 B9 FF 00 00 00 E8 ?? ?? ?? ?? 89 F0 89 E2 E8 ?? ?? ?? ?? 80 3C 24 FF 75 31 89 D8 89 E2 B9 FF 00 00 00 E8 ?? ?? ?? ?? 89 E2 6A 00 89 E0 E8 ?? ?? ?? ?? 89 F0 8B 14 24 E8 ?? ?? ?? ?? 89 E0 E8 ?? ?? ?? ?? 58 80 3C 24 FF 74 CF 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_18103_0 {
	meta:
		name = "WStrError"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 01 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18104_0 {
	meta:
		name = "WStrSet"
		size = 15
		refs = "000a SysFreeString"
	strings:
		$1 = { 8B 08 89 10 85 C9 74 06 51 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18105_0 {
	meta:
		name = "@WStrClr"
		size = 21
		refs = "000f SysFreeString"
	strings:
		$1 = { 8B 10 85 D2 74 0E C7 00 00 00 00 00 50 52 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_18106_0 {
	meta:
		name = "@WStrArrayClr"
		size = 33
		refs = "0014 SysFreeString"
	strings:
		$1 = { 53 56 89 C3 89 D6 8B 03 85 C0 74 0C C7 03 00 00 00 00 50 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_18107_0 {
	meta:
		name = "@WStrAsg"
		size = 36
		refs = "0004 @WStrClr 0017 SysReAllocStringLen 001f WStrError"
	strings:
		$1 = { 85 D2 0F 84 ?? ?? ?? ?? 8B 4A FC D1 E9 0F 84 ?? ?? ?? ?? 51 52 50 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18108_0 {
	meta:
		name = "@WStrFromPCharLen"
		size = 131
		refs = "0017 @WStrClr 0036 MultiByteToWideChar 0047 @WStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B D9 8B EA 8B F8 85 DB 7F 09 8B C7 E8 ?? ?? ?? ?? EB 5B 81 FB 00 04 00 00 7D 28 68 00 04 00 00 8D 44 24 04 50 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 0D 8B D4 8B C7 8B CE E8 ?? ?? ?? ?? EB 2B 6A 00 6A 00 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B C7 8B CE 33 D2 E8 ?? ?? ?? ?? 56 8B 07 50 53 55 6A 00 6A 00 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18109_0 {
	meta:
		name = "@WStrFromPWCharLen"
		size = 35
		refs = "0004 @WStrClr 000c SysAllocStringLen 0014 WStrError 001e SysFreeString"
	strings:
		$1 = { 85 C9 0F 84 ?? ?? ?? ?? 50 51 52 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? 5A FF 32 89 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18117_0 {
	meta:
		name = "@WStrFromLStr"
		size = 15
		refs = "000a @WStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 03 8B 4A FC E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18118_0 {
	meta:
		name = "@WStrToString"
		size = 100
		refs = "0012 @WStrLen 003f WideCharToMultiByte 0056 Move"
	strings:
		$1 = { 53 56 57 81 C4 00 FE FF FF 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 3D FF 00 00 00 7C 05 B8 FF 00 00 00 85 C0 75 04 33 C0 EB 1F 6A 00 6A 00 68 00 02 00 00 8D 54 24 0C 52 50 56 6A 00 6A 00 E8 ?? ?? ?? ?? 3B F8 7D 02 8B C7 88 03 85 C0 7E 0B 8D 53 01 8B CC 91 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18119_0 {
	meta:
		name = "@WStrToPWChar"
		size = 14
		refs = "0009 @WStrToPWChar"
	strings:
		$1 = { 85 C0 74 04 C3 90 00 00 B8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18120_0 {
	meta:
		name = "@WStrLen"
		size = 10
	strings:
		$1 = { 85 C0 74 05 8B 40 FC D1 E8 C3 }
	condition:
		$1
}

rule function_18121_0 {
	meta:
		name = "@WStrCat"
		size = 95
		refs = "000d @WStrLen 0027 @NewWideString 003d Move 0055 WStrSet"
	strings:
		$1 = { 53 56 57 55 51 8B EA 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B F0 8D 04 33 E8 ?? ?? ?? ?? 8B F8 85 F6 7E 10 8B CE 03 C9 8B D7 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B CB 03 C9 8D 14 77 8B C5 E8 ?? ?? ?? ?? 8B 04 24 8B D7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18122_0 {
	meta:
		name = "@WStrCat3"
		size = 100
		refs = "0013 @WStrLen 0030 @NewWideString 003f Move 0059 WStrSet"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 8B EA 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B D8 8B 44 24 04 E8 ?? ?? ?? ?? 8B F0 85 DB 75 04 85 F6 74 31 8D 04 1E E8 ?? ?? ?? ?? 8B F8 8B CB 03 C9 8B D7 8B C5 E8 ?? ?? ?? ?? 8B CE 03 C9 8D 14 5F 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 8B D7 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18123_0 {
	meta:
		name = "@WStrCatN"
		size = 72
		refs = "0019 @NewWideString 0030 Move 003a WStrSet"
	strings:
		$1 = { 53 56 52 50 89 D3 31 C0 8B 4C 94 10 85 C9 74 03 03 41 FC 4A 75 F2 D1 E8 E8 ?? ?? ?? ?? 50 89 C6 8B 44 9C 14 89 F2 85 C0 74 0A 8B 48 FC 01 CE E8 ?? ?? ?? ?? 4B 75 E9 5A 58 E8 ?? ?? ?? ?? 5A 5E 5B 58 8D 24 94 FF E0 C3 }
	condition:
		$1
}

rule function_18124_0 {
	meta:
		name = "@WStrCmp"
		size = 129
	strings:
		$1 = { 53 56 57 89 C6 89 D7 39 D0 74 72 85 F6 74 51 85 FF 74 54 8B 46 FC 8B 57 FC 29 D0 77 02 01 C2 52 C1 EA 02 74 26 8B 0E 8B 1F 39 D9 75 41 4A 74 15 8B 4E 04 8B 5F 04 39 D9 75 34 83 C6 08 83 C7 08 4A 75 E2 EB 06 83 C6 04 83 C7 04 5A 83 E2 02 74 0B 66 8B 0E 66 8B 1F 66 39 D9 75 21 01 C0 EB 1D 8B 57 FC 29 D0 EB 16 8B 46 FC 29 D0 EB 0F 5A 66 39 D9 75 09 C1 E9 10 C1 EB 10 66 39 D9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18125_0 {
	meta:
		name = "@NewWideString"
		size = 21
		refs = "0008 SysAllocStringLen 0010 WStrError"
	strings:
		$1 = { 85 C0 74 10 50 6A 00 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18126_0 {
	meta:
		name = "@WStrCopy"
		size = 73
		refs = "000f @WStrLen 003e @WStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 83 FB 01 7D 04 33 DB EB 07 4B 3B C3 7D 02 8B D8 85 FF 7D 04 33 C0 EB 08 2B C3 3B F8 7D 02 8B C7 8B D3 03 D2 03 D6 8B 4D 08 91 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18127_0 {
	meta:
		name = "@WStrDelete"
		size = 141
		refs = "000f @WStrLen 0048 @NewWideString 005e Move 0083 WStrSet"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B DA 8B E8 8B 45 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 6E 83 FB 01 7C 69 3B F3 7C 65 85 FF 7E 61 4B 8B C6 2B C3 2B C7 8B F8 85 FF 7D 02 33 FF 85 DB 75 0B 85 FF 75 07 33 C0 89 04 24 EB 39 8D 04 1F E8 ?? ?? ?? ?? 89 04 24 85 DB 7E 0F 8B CB 03 C9 8B 14 24 8B 45 00 E8 ?? ?? ?? ?? 85 FF 7E 17 2B F7 8B 45 00 8D 04 70 8B CF 03 C9 8B 14 24 8D 14 5A E8 ?? ?? ?? ?? 8B C5 8B 14 24 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18128_0 {
	meta:
		name = "@WStrInsert"
		size = 154
		refs = "0014 @WStrLen 003f @NewWideString 0056 Move 008f WStrSet"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 89 54 24 04 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 75 8B 44 24 04 8B 00 E8 ?? ?? ?? ?? 8B F8 83 FB 01 7D 04 33 DB EB 07 4B 3B FB 7D 02 8B DF 8D 04 3E E8 ?? ?? ?? ?? 8B E8 85 DB 7E 11 8B CB 03 C9 8B D5 8B 44 24 04 8B 00 E8 ?? ?? ?? ?? 8B CE 03 C9 8D 54 5D 00 8B 04 24 E8 ?? ?? ?? ?? 3B FB 7E 1A 03 F3 8D 54 75 00 2B FB 8B CF 03 C9 8B 44 24 04 8B 00 8D 04 58 E8 ?? ?? ?? ?? 8B 44 24 04 8B D5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18129_0 {
	meta:
		name = "@WStrPos"
		size = 80
	strings:
		$1 = { 85 C0 74 4B 85 D2 74 3A 53 56 57 89 C6 89 D7 8B 4F FC D1 E9 57 8B 56 FC D1 EA 4A 78 20 66 8B 06 83 C6 02 29 D1 7E 16 66 F2 AF 75 11 89 CB 56 57 89 D1 66 F3 A7 5F 5E 74 0C 89 D9 EB EA 5A 31 C0 EB 0A 31 C0 C3 5A 89 F8 29 D0 D1 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18130_0 {
	meta:
		name = "@WStrSetLength"
		size = 65
		refs = "0010 @NewWideString 0019 @WStrLen 0030 Move 0039 WStrSet"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 85 F6 7E 27 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 07 E8 ?? ?? ?? ?? 85 C0 7E 13 3B F0 7D 02 8B C6 8B C8 03 C9 8B D3 8B 07 E8 ?? ?? ?? ?? 8B C7 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18131_0 {
	meta:
		name = "@WStrOfWChar"
		size = 39
		refs = "0010 @WStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 07 85 DB 7E 09 4B 66 89 34 58 85 DB 7F F7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18132_0 {
	meta:
		name = "@WStrAddRef"
		size = 31
		refs = "000f SysAllocStringLen 0018 WStrError"
	strings:
		$1 = { 8B 10 85 D2 74 18 50 8B 4A FC D1 E9 51 52 E8 ?? ?? ?? ?? 5A 85 C0 0F 84 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_18133_0 {
	meta:
		name = "@InitializeRecord"
		size = 42
		refs = "001c @Initialize"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 0A 0A 8B 7C 0A 06 8B 16 8B 46 04 01 D8 8B 12 E8 ?? ?? ?? ?? 83 C6 08 4F 7F EC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18139_0 {
	meta:
		name = "@AddRefRecord"
		size = 42
		refs = "001c @AddRef"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 0A 0A 8B 7C 0A 06 8B 16 8B 46 04 01 D8 8B 12 E8 ?? ?? ?? ?? 83 C6 08 4F 7F EC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18134_0 {
	meta:
		name = "@InitializeArray"
		size = 146
		refs = "003b Error 0070 @InitializeArray 0086 @InitializeRecord"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 31 C9 80 F8 0A 74 28 80 F8 0B 74 23 80 F8 0C 74 28 80 F8 0D 74 36 80 F8 0E 74 4F 80 F8 0F 74 0F 80 F8 11 74 0A B0 02 5F 5E 5B E9 ?? ?? ?? ?? 89 0B 83 C3 04 4F 7F F8 EB 45 89 0B 89 4B 04 89 4B 08 89 4B 0C 83 C3 10 4F 7F EF EB 32 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 14 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18135_0 {
	meta:
		name = "@Initialize"
		size = 11
		refs = "0006 @InitializeArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18141_0 {
	meta:
		name = "@AddRef"
		size = 11
		refs = "0006 @AddRefArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18138_0 {
	meta:
		name = "@Finalize"
		size = 11
		refs = "0006 @FinalizeArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18198_0 {
	meta:
		name = "@VarSub"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18136_0 {
	meta:
		name = "@FinalizeRecord"
		size = 44
		refs = "001c @Finalize"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 0A 0A 8B 7C 0A 06 8B 16 8B 46 04 01 D8 8B 12 E8 ?? ?? ?? ?? 83 C6 08 4F 7F EC 89 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18137_0 {
	meta:
		name = "@FinalizeArray"
		size = 222
		refs = "0043 Error 004f @LStrClr 005b @LStrArrayClr 0069 @WStrClr 0072 @WStrArrayClr 007e @VarClr 009b @FinalizeArray 00b1 @FinalizeRecord 00c1 @IntfClear 00d2 @DynArrayClear"
	strings:
		$1 = { 50 53 56 57 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 80 F8 0A 74 31 80 F8 0B 74 46 80 F8 0C 74 58 80 F8 0D 74 62 80 F8 0E 74 7B 80 F8 0F 0F 84 88 00 00 00 80 F8 11 0F 84 8E 00 00 00 5F 5E 5B 58 B0 02 E9 ?? ?? ?? ?? 83 F9 01 89 D8 7F 0A E8 ?? ?? ?? ?? E9 81 00 00 00 89 CA E8 ?? ?? ?? ?? EB 78 83 F9 01 89 D8 7F 07 E8 ?? ?? ?? ?? EB 6A 89 CA E8 ?? ?? ?? ?? EB 61 89 D8 83 C3 10 E8 ?? ?? ?? ?? 4F 7F F3 EB 52 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 34 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D EB 1E 89 D8 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 0F 89 D8 89 F2 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F1 5F 5E 5B 58 C3 }
	condition:
		$1
}

rule function_18140_0 {
	meta:
		name = "@AddRefArray"
		size = 190
		refs = "0039 Error 0043 @LStrAddRef 0052 @WStrAddRef 0061 @VarAddRef 007e @AddRefArray 0094 @AddRefRecord 00a4 @IntfAddRef 00b3 @DynArrayAddRef"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 80 F8 0A 74 28 80 F8 0B 74 32 80 F8 0C 74 3C 80 F8 0D 74 46 80 F8 0E 74 5F 80 F8 0F 74 70 80 F8 11 74 7A B0 02 5F 5E 5B E9 ?? ?? ?? ?? 8B 03 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 6E 89 D8 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 5F 89 D8 83 C3 10 E8 ?? ?? ?? ?? 4F 7F F3 EB 50 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 32 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D EB 1C 8B 03 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 0D 8B 03 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18142_0 {
	meta:
		name = "@CopyRecord"
		size = 282
		refs = "0028 Move 0067 Error 0071 @LStrAsg 0082 @WStrAsg 0093 @VarCopy 00b7 @CopyArray 00d0 @CopyRecord 00dd @IntfCopy 00f0 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 89 C3 89 D6 31 C0 8A 41 01 8D 7C 01 0A 8B 6F FC 31 C0 8B 4F F8 51 8B 4F 04 29 C1 7E 0B 89 C2 01 F0 01 DA E8 ?? ?? ?? ?? 8B 47 04 8B 17 8B 12 8A 0A 80 F9 0A 74 31 80 F9 0B 74 3D 80 F9 0C 74 49 80 F9 0D 74 55 80 F9 0E 74 70 80 F9 0F 0F 84 80 00 00 00 80 F9 11 0F 84 88 00 00 00 B0 02 5D 5F 5E 5B E9 ?? ?? ?? ?? 8B 14 06 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 EB 7D 8B 14 06 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 EB 6C 8D 14 06 01 D8 E8 ?? ?? ?? ?? B8 10 00 00 00 EB 5B 31 C9 8A 4A 01 FF 74 0A 02 FF 74 0A 06 8B 4C 0A 0A 8B 09 8D 14 06 01 D8 E8 ?? ?? ?? ?? 58 EB 3B 31 C9 8A 4A 01 8B 4C 0A 02 51 89 D1 8D 14 06 01 D8 E8 ?? ?? ?? ?? 58 EB 22 8B 14 06 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 EB 11 89 D1 8B 14 06 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 03 47 04 83 C7 08 4D 0F 85 14 FF FF FF 59 29 C1 7E 0A 8D 14 03 01 F0 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18143_0 {
	meta:
		name = "@CopyObject"
		size = 21
		refs = "000a @CopyRecord"
	strings:
		$1 = { 01 C1 FF 31 51 8B 4C 24 0C E8 ?? ?? ?? ?? 59 8F 01 C2 04 00 C3 }
	condition:
		$1
}

rule function_18144_0 {
	meta:
		name = "@CopyArray"
		size = 243
		refs = "0042 Error 004b @LStrAsg 0062 @WStrAsg 0076 @VarCopy 0099 @CopyArray 00ad @CopyRecord 00c8 @IntfCopy 00de @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 89 C3 89 D6 89 CF 8B 6C 24 14 8A 0F 80 F9 0A 74 31 80 F9 0B 74 43 80 F9 0C 74 52 80 F9 0D 74 61 80 F9 0E 74 7D 80 F9 0F 0F 84 91 00 00 00 80 F9 11 0F 84 9C 00 00 00 B0 02 5D 5F 5E 5B E9 ?? ?? ?? ?? 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE E9 8E 00 00 00 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE EB 7A 89 D8 89 F2 E8 ?? ?? ?? ?? 83 C3 10 83 C6 10 4D 75 EE EB 66 31 C9 8A 4F 01 8D 7C 0F 02 89 D8 89 F2 8B 4F 08 FF 77 04 E8 ?? ?? ?? ?? 03 1F 03 37 4D 75 EA EB 45 89 D8 89 F2 89 F9 E8 ?? ?? ?? ?? 31 C0 8A 47 01 03 5C 07 02 03 74 07 02 4D 75 E5 EB 28 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE EB 14 89 D8 8B 16 89 F9 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EC 5D 5F 5E 5B C2 04 00 C3 }
	condition:
		$1
}

rule function_18145_0 {
	meta:
		name = "@New"
		size = 19
		refs = "0002 @GetMem 000d @Initialize"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 5A 85 C0 74 07 50 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_18146_0 {
	meta:
		name = "@Dispose"
		size = 13
		refs = "0002 @Finalize 0008 @FreeMem"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18149_0 {
	meta:
		name = "WideCharToStrVar"
		size = 20
		refs = "000f WideCharLenToStrVar"
	strings:
		$1 = { 33 C9 EB 01 41 66 83 3C 48 00 75 F8 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18150_0 {
	meta:
		name = "WideCharLenToStrVar"
		size = 137
		refs = "0017 @LStrClr 003a WideCharToMultiByte 0045 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B F1 8B DA 8B F8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 61 81 FB 00 04 00 00 7D 26 6A 00 6A 00 68 00 08 00 00 8D 44 24 0C 50 53 57 6A 00 6A 00 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 33 6A 00 6A 00 6A 00 6A 00 53 57 6A 00 6A 00 E8 ?? ?? ?? ?? 8B E8 8B C6 8B CD 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 55 8B 06 50 53 57 6A 00 6A 00 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18151_0 {
	meta:
		name = "StringToWideChar"
		size = 49
		refs = "000f @LStrLen 0017 @LStrToPChar 0021 MultiByteToWideChar"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 4F 57 53 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 66 C7 04 43 00 00 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18153_0 {
	meta:
		name = "OleStrToStrVar"
		size = 35
		refs = "0010 SysStringLen 001b WideCharLenToStrVar"
	strings:
		$1 = { 53 56 6A 00 8B F2 8B D8 89 1C 24 8B 04 24 50 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18154_0 {
	meta:
		name = "StringToOleStr"
		size = 131
		refs = "000f @LStrLen 0031 @LStrToPChar 003b MultiByteToWideChar 0046 SysAllocStringLen"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3D 00 04 00 00 7D 2B 68 00 04 00 00 8D 44 24 04 50 56 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 E8 ?? ?? ?? ?? 8B F8 EB 28 6A 00 6A 00 56 53 6A 00 6A 00 E8 ?? ?? ?? ?? 8B E8 55 6A 00 E8 ?? ?? ?? ?? 8B F8 55 57 56 53 6A 00 6A 00 E8 ?? ?? ?? ?? 8B C7 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18156_0 {
	meta:
		name = "@DispInvokeError"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 11 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18157_0 {
	meta:
		name = "VarCastError"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 0F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18158_0 {
	meta:
		name = "VarInvalidOp"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 10 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18159_0 {
	meta:
		name = "@VarClear"
		size = 66
		refs = "0024 ClearAnyProc 0031 @LStrClr 003d VariantClear"
	strings:
		$1 = { 31 D2 66 8B 10 F7 C2 00 40 00 00 75 28 83 FA 08 72 23 81 FA 00 01 00 00 74 0E 81 FA 01 01 00 00 75 19 FF 25 ?? ?? ?? ?? 66 C7 00 00 00 83 C0 08 E9 ?? ?? ?? ?? 66 C7 00 00 00 C3 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18160_0 {
	meta:
		name = "@VarCopy"
		size = 152
		refs = "0020 VariantClear 0028 ClearAnyProc 0032 @LStrClr 005f @VarCopy 0066 RefAnyProc 008b VariantCopyInd 0093 VarInvalidOp"
	strings:
		$1 = { 39 D0 0F 84 8F 00 00 00 66 83 38 08 72 2A 50 52 66 81 38 00 01 74 17 66 81 38 01 01 74 08 50 E8 ?? ?? ?? ?? EB 10 FF 15 ?? ?? ?? ?? EB 08 83 C0 08 E8 ?? ?? ?? ?? 5A 58 66 83 3A 08 73 11 8B 0A 89 08 8B 4A 08 89 48 08 8B 4A 0C 89 48 0C C3 66 81 3A 00 01 74 14 66 81 3A 01 01 75 26 50 E8 ?? ?? ?? ?? 58 FF 25 ?? ?? ?? ?? 8B 52 08 09 D2 74 09 8B 4A F8 41 7E 03 89 4A F8 66 C7 00 00 01 89 50 08 C3 66 C7 00 00 00 52 50 E8 ?? ?? ?? ?? 09 C0 0F 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18161_0 {
	meta:
		name = "VarCopyNoInd"
		size = 142
		refs = "0020 VariantClear 0028 ClearAnyProc 0032 @LStrClr 005e VarCopyNoInd 0064 RefAnyProc 0089 VariantCopy"
	strings:
		$1 = { 39 D0 0F 84 85 00 00 00 66 83 38 08 72 2A 50 52 66 81 38 00 01 74 17 66 81 38 01 01 74 08 50 E8 ?? ?? ?? ?? EB 10 FF 15 ?? ?? ?? ?? EB 08 83 C0 08 E8 ?? ?? ?? ?? 5A 58 66 83 3A 08 73 11 8B 0A 89 08 8B 4A 08 89 48 08 8B 4A 0C 89 48 0C C3 66 81 3A 00 01 75 12 66 81 3A 01 01 75 24 E8 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? 8B 52 08 09 D2 74 09 8B 4A F8 41 7E 03 89 4A F8 66 C7 00 00 01 89 50 08 C3 66 C7 00 00 00 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18162_0 {
	meta:
		name = "AnyChangeType"
		size = 106
		refs = "001f @VarAddRef 0027 AnyChangeType 0036 ChangeAnyProc 0042 VarChangeType 0057 @VarClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 FF 15 ?? ?? ?? ?? 8D 55 F0 8B C3 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18163_0 {
	meta:
		name = "VarChangeType"
		size = 134
		refs = "0033 VariantChangeTypeEx 003c VarCastError 0043 @VarClear 0061 AnyChangeType"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 66 8B 03 66 2D 00 01 74 07 66 FF C8 74 3D EB 48 66 C7 45 F0 00 00 57 6A 00 68 00 04 00 00 56 8D 45 F0 50 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 03 8B 45 F8 89 43 08 8B 45 FC 89 43 0C EB 25 8B D6 8B C3 8B CF E8 ?? ?? ?? ?? EB 18 57 6A 00 68 00 04 00 00 56 53 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18164_0 {
	meta:
		name = "VarOleStrToString"
		size = 45
		refs = "0013 OleStrToStrVar 001a @VarClear"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C0 89 45 FC 8B 42 08 8D 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 C7 03 00 01 8B 45 FC 89 43 08 5B 59 5D C3 }
	condition:
		$1
}

rule function_18165_0 {
	meta:
		name = "VarStringToOleStr"
		size = 32
		refs = "0008 StringToOleStr 0011 @VarClear"
	strings:
		$1 = { 53 56 8B D8 8B 42 08 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 66 C7 03 08 00 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18166_0 {
	meta:
		name = "@VarCast"
		size = 244
		refs = "0018 @VarCopy 0031 VarStringToOleStr 004c @VarCast 005f VarChangeType 0074 @VarClear 007a @HandleFinally 0097 VarOleStrToString"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 EC 66 8B 02 8B D9 66 3B D8 75 0D 8B 45 EC E8 ?? ?? ?? ?? E9 CE 00 00 00 66 3D 00 01 75 59 66 83 FB 08 75 0D 8B 45 EC E8 ?? ?? ?? ?? E9 B5 00 00 00 66 C7 45 F0 00 00 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 EC 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 81 FB 00 01 75 5E 66 3D 01 01 74 58 66 83 F8 08 75 0A 8B 45 EC E8 ?? ?? ?? ?? EB 52 66 C7 45 F0 00 00 8D 45 F0 66 B9 08 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 8B CB E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18167_0 {
	meta:
		name = "@VarCastOle"
		size = 28
		refs = "0011 VarCastError 0017 @VarCast"
	strings:
		$1 = { 81 F9 00 01 00 00 74 08 81 F9 01 01 00 00 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18168_0 {
	meta:
		name = "@VarToInt"
		size = 106
		refs = "0036 @VarCast 0055 C10000"
	strings:
		$1 = { 31 D2 66 8B 10 83 FA 03 74 38 83 FA 02 74 37 83 FA 11 74 37 83 FA 05 74 47 83 FA 04 74 3D 83 FA 06 74 2D 83 EC 10 66 C7 04 24 00 00 89 C2 89 E0 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 10 C3 8B 40 08 C3 0F BF 40 08 C3 0F B6 40 08 C3 DF 68 08 D8 35 ?? ?? ?? ?? EB 08 D9 40 08 EB 03 DD 40 08 50 DB 1C 24 9B 58 C3 }
	condition:
		$1
}

rule function_18169_0 {
	meta:
		name = "@VarToBool"
		size = 51
		refs = "0019 @VarCast"
	strings:
		$1 = { 66 83 38 0B 74 21 83 EC 10 66 C7 04 24 00 00 89 C2 89 E0 B9 0B 00 00 00 E8 ?? ?? ?? ?? 66 8B 44 24 08 83 C4 10 EB 04 66 8B 40 08 66 F7 D8 19 C0 F7 D8 C3 }
	condition:
		$1
}

rule function_18170_0 {
	meta:
		name = "@VarToReal"
		size = 92
		refs = "0036 @VarCast 004f C10000"
	strings:
		$1 = { 31 D2 66 8B 10 83 FA 05 74 38 83 FA 04 74 37 83 FA 06 74 36 83 FA 03 74 3B 83 FA 02 74 3A 83 FA 07 74 1F 83 EC 10 66 C7 04 24 00 00 89 C2 89 E0 B9 05 00 00 00 E8 ?? ?? ?? ?? DD 44 24 08 83 C4 10 C3 DD 40 08 C3 D9 40 08 C3 DF 68 08 D8 35 ?? ?? ?? ?? C3 DB 40 08 C3 DF 40 08 C3 }
	condition:
		$1
}

rule function_18171_0 {
	meta:
		name = "@VarToCurr"
		size = 90
		refs = "0031 @VarCast 0055 C10000"
	strings:
		$1 = { 31 D2 66 8B 10 83 FA 06 74 33 83 FA 05 74 32 83 FA 04 74 32 83 FA 03 74 32 83 FA 02 74 32 83 EC 10 66 C7 04 24 00 00 89 C2 89 E0 B9 06 00 00 00 E8 ?? ?? ?? ?? DF 6C 24 08 83 C4 10 C3 DF 68 08 C3 DD 40 08 EB 0D D9 40 08 EB 08 DB 40 08 EB 03 DF 40 08 D8 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18172_0 {
	meta:
		name = "@VarToPStr"
		size = 78
		refs = "000c @VarToPStr 001a @VarToLStr 0029 @LStrToString 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_18173_0 {
	meta:
		name = "@VarToLStr"
		size = 57
		refs = "000b @LStrAsg 0023 @VarCast 002a @LStrClr"
	strings:
		$1 = { 66 81 3A 00 01 75 08 8B 52 08 E9 ?? ?? ?? ?? 53 89 C3 83 EC 10 66 C7 04 24 00 00 89 E0 B9 00 01 00 00 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 8B 44 24 08 89 03 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_18174_0 {
	meta:
		name = "@VarToWStr"
		size = 54
		refs = "000a @WStrAsg 0022 @VarCast 002d WStrSet"
	strings:
		$1 = { 66 83 3A 08 75 08 8B 52 08 E9 ?? ?? ?? ?? 53 89 C3 83 EC 10 66 C7 04 24 00 00 89 E0 B9 08 00 00 00 E8 ?? ?? ?? ?? 89 D8 8B 54 24 08 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_18175_0 {
	meta:
		name = "AnyToIntf"
		size = 112
		refs = "001b @VarAddRef 0023 AnyToIntf 0032 ChangeAnyProc 003e VarCastError 0048 @IntfCopy 005d @VarClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 FF 15 ?? ?? ?? ?? 66 83 7D F0 0D 74 05 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18176_0 {
	meta:
		name = "@VarToIntf"
		size = 84
		refs = "0006 @IntfClear 002b VarCastError 0030 AnyToIntf 0035 @VarClear 0047 @IntfCopy"
	strings:
		$1 = { 66 83 3A 00 0F 84 ?? ?? ?? ?? 66 83 3A 0D 74 3B 66 83 3A 09 74 35 66 81 3A 0D 40 74 24 66 81 3A 09 40 74 1D 66 81 3A 01 01 0F 85 ?? ?? ?? ?? E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 E9 ?? ?? ?? ?? 8B 52 08 8B 12 E9 ?? ?? ?? ?? 8B 52 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18177_0 {
	meta:
		name = "@VarToDisp"
		size = 46
		refs = "0006 @IntfClear 0017 VarCastError 0021 @IntfCopy"
	strings:
		$1 = { 66 83 3A 00 0F 84 ?? ?? ?? ?? 66 83 3A 09 74 15 66 81 3A 09 40 0F 85 ?? ?? ?? ?? 8B 52 08 8B 12 E9 ?? ?? ?? ?? 8B 52 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18178_0 {
	meta:
		name = "@VarToDynArray"
		size = 15
		refs = "0001 DynArrayFromVariant 000a VarCastError"
	strings:
		$1 = { E8 ?? ?? ?? ?? 09 C0 75 05 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18179_0 {
	meta:
		name = "@VarFromInt"
		size = 24
		refs = "0009 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 03 00 89 50 08 C3 }
	condition:
		$1
}

rule function_18180_0 {
	meta:
		name = "@VarFromBool"
		size = 29
		refs = "0009 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 0B 00 F6 DA 19 D2 66 89 50 08 C3 }
	condition:
		$1
}

rule function_18181_0 {
	meta:
		name = "@VarFromReal"
		size = 23
		refs = "0008 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 07 50 E8 ?? ?? ?? ?? 58 66 C7 00 05 00 DD 58 08 9B C3 }
	condition:
		$1
}

rule function_18182_0 {
	meta:
		name = "@VarFromTDateTime"
		size = 23
		refs = "0008 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 07 50 E8 ?? ?? ?? ?? 58 66 C7 00 07 00 DD 58 08 9B C3 }
	condition:
		$1
}

rule function_18183_0 {
	meta:
		name = "@VarFromCurr"
		size = 23
		refs = "0008 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 07 50 E8 ?? ?? ?? ?? 58 66 C7 00 06 00 DF 78 08 9B C3 }
	condition:
		$1
}

rule function_18184_0 {
	meta:
		name = "@VarFromPStr"
		size = 79
		refs = "000f @VarFromPStr 001f @LStrFromString 0029 @VarFromLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18190_0 {
	meta:
		name = "@OleVarFromPStr"
		size = 79
		refs = "000f @OleVarFromPStr 001f @LStrFromString 0029 @OleVarFromLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18185_0 {
	meta:
		name = "@VarFromLStr"
		size = 63
		refs = "0009 @VarClear 0024 @NewAnsiString 0030 Move"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 85 D2 74 23 8B 4A F8 41 7E 05 89 4A F8 EB 18 50 52 8B 42 FC E8 ?? ?? ?? ?? 89 C2 58 52 8B 4A FC E8 ?? ?? ?? ?? 5A 58 66 C7 00 00 01 89 50 08 C3 }
	condition:
		$1
}

rule function_18186_0 {
	meta:
		name = "@VarFromWStr"
		size = 52
		refs = "0009 @VarClear 001e SysAllocStringLen 0026 WStrError"
	strings:
		$1 = { 50 66 83 38 08 72 07 52 E8 ?? ?? ?? ?? 5A 31 C0 85 D2 74 16 8B 42 FC D1 E8 74 0F 50 52 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? 5A 66 C7 02 08 00 89 42 08 C3 }
	condition:
		$1
}

rule function_18187_0 {
	meta:
		name = "@VarFromIntf"
		size = 34
		refs = "0009 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 0D 00 89 50 08 85 D2 74 06 52 8B 02 FF 50 04 C3 }
	condition:
		$1
}

rule function_18188_0 {
	meta:
		name = "@VarFromDisp"
		size = 34
		refs = "0009 @VarClear"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 09 00 89 50 08 85 D2 74 06 52 8B 02 FF 50 04 C3 }
	condition:
		$1
}

rule function_18189_0 {
	meta:
		name = "@VarFromDynArray"
		size = 19
		refs = "0002 DynArrayToVariant 000e VarCastError"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 58 66 83 38 00 75 05 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18191_0 {
	meta:
		name = "@OleVarFromLStr"
		size = 33
		refs = "0009 @VarClear 001c @WStrFromLStr"
	strings:
		$1 = { 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 08 00 83 C0 08 31 C9 89 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18192_0 {
	meta:
		name = "OleVarFromAny"
		size = 100
		refs = "001b @VarAddRef 0023 OleVarFromAny 0032 ChangeAnyProc 003c @OleVarFromVar 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 B9 04 00 00 00 F3 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 FF 15 ?? ?? ?? ?? 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18193_0 {
	meta:
		name = "@OleVarFromVar"
		size = 60
		refs = "0007 OleVarFromAny 0012 @VarCopy 001f @VarClear 0037 @WStrFromLStr"
	strings:
		$1 = { 66 81 3A 01 01 0F 84 ?? ?? ?? ?? 66 81 3A 00 01 0F 85 ?? ?? ?? ?? 66 83 38 08 72 09 50 52 E8 ?? ?? ?? ?? 5A 58 66 C7 00 08 00 83 C0 08 83 C2 08 31 C9 8B 12 89 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18194_0 {
	meta:
		name = "VarStrCat"
		size = 110
		refs = "0011 VarStrCat 0021 @VarToLStr 0038 @LStrCat 0042 @VarFromLStr 005c @LStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18195_0 {
	meta:
		name = "AnyOp"
		size = 129
		refs = "001f @VarAddRef 0027 AnyOp 003c ChangeAnyProc 0059 VarOp 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 51 B9 04 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 01 01 75 08 8B C3 FF 15 ?? ?? ?? ?? 66 81 7D F0 01 01 75 09 8D 45 F0 FF 15 ?? ?? ?? ?? 8D 55 F0 8B C3 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18196_0 {
	meta:
		name = "VarOp"
		size = 605
		refs = "003d BaseTypeMap 004b OpTypeMap 0052 VarOp 0067 AnyOp 0090 VarInvalidOp 0097 @VarClear 00ad @VarToInt 00c6 @VarFromInt 0135 @VarToReal 0156 @VarFromReal 016b @VarToCurr 018c @VarFromCurr 01cc C10000 020d VarStrCat 021d @VarToBool 0236 @VarFromBool"
	strings:
		$1 = { 53 56 57 89 C7 89 D6 89 CB 8B 07 8B 16 25 FF 0F 00 00 81 E2 FF 0F 00 00 83 F8 11 76 0C 3D 00 01 00 00 75 38 B8 08 00 00 00 83 FA 11 76 0D 81 FA 00 01 00 00 75 24 BA 08 00 00 00 8A 80 ?? ?? ?? ?? 8A 92 ?? ?? ?? ?? 0F B6 8C C2 ?? ?? ?? ?? FF 14 8D ?? ?? ?? ?? 5F 5E 5B C3 89 D0 3D 01 01 00 00 75 29 5F 5E 5B E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 58 5F 5E 5B E9 ?? ?? ?? ?? 89 F8 E8 ?? ?? ?? ?? 66 C7 07 01 00 C3 80 FB 03 0F 84 88 00 00 00 89 F0 E8 ?? ?? ?? ?? 50 89 F8 E8 ?? ?? ?? ?? 5A FF 14 9D ?? ?? ?? ?? 89 C2 89 F8 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 D0 70 2C C3 29 D0 70 27 C3 F7 EA 70 22 C3 89 D1 99 F7 F9 C3 89 D1 99 F7 F9 89 D0 C3 89 D1 D3 E0 C3 89 D1 D3 E8 C3 21 D0 C3 09 D0 C3 31 D0 C3 58 EB 09 80 FB 04 0F 83 78 FF FF FF 89 F0 E8 ?? ?? ?? ?? 83 EC 0C DB 3C 24 89 F8 E8 ?? ?? ?? ?? DB 2C 24 83 C4 0C FF 14 9D ?? ?? ?? ?? 89 F8 E9 ?? ?? ?? ?? 80 FB 04 0F 83 47 FF FF FF 80 FB 02 73 28 89 F0 E8 ?? ?? ?? ?? 83 EC 0C DB 3C 24 89 F8 E8 ?? ?? ?? ?? DB 2C 24 83 C4 0C FF 14 9D ?? ?? ?? ?? 89 F8 E9 ?? ?? ?? ?? 80 FA 04 74 15 89 F0 E8 ?? ?? ?? ?? DF 6F 08 D9 C9 FF 14 9D ?? ?? ?? ?? EB DF 80 FB 03 74 23 80 F8 04 74 0E 89 F8 E8 ?? ?? ?? ?? DF 6E 08 DE C9 EB C7 DF 6F 08 DF 6E 08 DE C9 D8 35 ?? ?? ?? ?? EB B7 89 F8 E8 ?? ?? ?? ?? DF 6E 08 DE F9 E9 70 FF FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE C1 C3 DE E9 C3 DE C9 C3 DE F9 C3 80 FB 00 0F 85 21 FF FF FF 89 F8 89 F2 E9 ?? ?? ?? ?? 80 FB 08 0F 82 0F FF FF FF 89 F0 E8 ?? ?? ?? ?? 50 89 F8 E8 ?? ?? ?? ?? 5A FF 14 9D ?? ?? ?? ?? 89 C2 89 F8 E9 ?? ?? ?? ?? 80 FB 01 0F 87 E6 FE FF FF 72 0C 88 D4 66 3D 07 07 0F 84 E1 FE FF FF E8 ?? ?? ?? ?? 66 C7 07 07 00 C3 C3 }
	condition:
		$1
}

rule function_18199_0 {
	meta:
		name = "@VarMul"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 02 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18200_0 {
	meta:
		name = "@VarDiv"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 04 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18201_0 {
	meta:
		name = "@VarMod"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 05 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18202_0 {
	meta:
		name = "@VarAnd"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 08 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18203_0 {
	meta:
		name = "@VarOr"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 09 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18204_0 {
	meta:
		name = "@VarXor"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 0A 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18205_0 {
	meta:
		name = "@VarShl"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 06 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18206_0 {
	meta:
		name = "@VarShr"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 07 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18207_0 {
	meta:
		name = "@VarRDiv"
		size = 11
		refs = "0006 VarOp"
	strings:
		$1 = { B9 03 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18208_0 {
	meta:
		name = "CompareStr"
		size = 47
		altNames = "VarCompareString"
	strings:
		$1 = { 56 57 89 C6 89 D7 09 C0 74 03 8B 40 FC 09 D2 74 03 8B 52 FC 89 C1 39 D1 76 02 89 D1 39 C9 F3 A6 74 08 0F B6 46 FF 0F B6 57 FF 29 D0 5F 5E C3 }
	condition:
		$1
}

rule function_18209_0 {
	meta:
		name = "VarCmpStr"
		size = 104
		refs = "0011 VarCmpStr 0021 @VarToLStr 0038 VarCompareString 0054 @LStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18210_0 {
	meta:
		name = "AnyCmp"
		size = 145
		refs = "001a AnyCmp 0039 ChangeAnyProc 004a @VarCopy 0062 @VarCmp 007d @VarClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 89 45 FC 8D 75 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC 89 5D F8 8B 45 FC 66 81 38 01 01 75 09 8B 45 FC FF 15 ?? ?? ?? ?? 66 81 3B 01 01 75 19 8D 45 E4 8B D3 E8 ?? ?? ?? ?? 8D 45 E4 FF 15 ?? ?? ?? ?? 8D 45 E4 89 45 F8 8B 55 F8 58 E8 ?? ?? ?? ?? 66 9C 58 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 06 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18211_0 {
	meta:
		name = "@VarCmp"
		size = 272
		refs = "003a BaseTypeMap 0048 OpTypeMap 004f @VarCmp 005f AnyCmp 008a VarInvalidOp 0096 @VarToInt 00a8 @VarToReal 00d4 @VarToCurr 00f2 VarCmpStr 00ff @VarToBool"
	strings:
		$1 = { 56 57 89 C7 89 D6 8B 07 8B 16 25 FF 0F 00 00 81 E2 FF 0F 00 00 83 F8 11 76 0C 3D 00 01 00 00 75 34 B8 08 00 00 00 83 FA 11 76 0D 81 FA 00 01 00 00 75 20 BA 08 00 00 00 8A 80 ?? ?? ?? ?? 8A 92 ?? ?? ?? ?? 0F B6 8C C2 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 89 D0 3D 01 01 00 00 75 2B 5F 5E E8 ?? ?? ?? ?? 50 66 9D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 5F 5E E9 ?? ?? ?? ?? 38 D0 5F 5E C3 89 F0 E8 ?? ?? ?? ?? 97 E8 ?? ?? ?? ?? 39 F8 5F 5E C3 89 F8 E8 ?? ?? ?? ?? 83 EC 0C DB 3C 24 89 F0 E8 ?? ?? ?? ?? DB 2C 24 83 C4 0C DE D9 DF E0 88 E0 66 25 01 40 D0 C8 08 C4 9E 5F 5E C3 89 F8 E8 ?? ?? ?? ?? 83 EC 0C DB 3C 24 89 F0 E8 ?? ?? ?? ?? DB 2C 24 83 C4 0C EB D2 89 F8 89 F2 E8 ?? ?? ?? ?? 83 F8 00 5F 5E C3 89 F0 E8 ?? ?? ?? ?? 97 E8 ?? ?? ?? ?? 89 FA 38 D0 5F 5E C3 }
	condition:
		$1
}

rule function_18212_0 {
	meta:
		name = "@VarNeg"
		size = 147
		refs = "001c BaseTypeMap 0023 @VarNeg 0031 ChangeAnyProc 005c VarInvalidOp 0063 @VarToInt 006d @VarFromInt 0073 @VarToReal 007b @VarFromReal"
	strings:
		$1 = { 8B 10 81 E2 FF 0F 00 00 83 FA 11 76 0D 81 FA 00 01 00 00 75 46 BA 08 00 00 00 8A 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 3D 01 01 00 00 75 2D 50 FF 15 ?? ?? ?? ?? 58 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 50 E8 ?? ?? ?? ?? F7 D8 89 C2 58 E9 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? D9 E0 58 E9 ?? ?? ?? ?? DF 68 08 D9 E0 DF 78 08 9B C3 DD 40 08 D9 E0 DD 58 08 9B C3 }
	condition:
		$1
}

rule function_18213_0 {
	meta:
		name = "@VarNot"
		size = 90
		refs = "002b ChangeAnyProc 0031 @VarNot 0037 @VarToInt 0041 @VarFromInt 0046 VarInvalidOp"
	strings:
		$1 = { 8B 10 81 E2 FF 0F 00 00 74 3B 83 FA 0B 74 3B 83 FA 01 74 45 83 FA 11 76 1C 81 FA 00 01 00 00 74 14 3D 01 01 00 00 75 1D 50 FF 15 ?? ?? ?? ?? 58 E9 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D0 89 C2 58 E9 ?? ?? ?? ?? E9 ?? ?? ?? ?? 66 8B 50 08 66 F7 DA 19 D2 F7 D2 66 89 50 08 C3 }
	condition:
		$1
}

rule function_18215_0 {
	meta:
		name = "@VarClr"
		size = 8
		refs = "0002 @VarClear"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_18216_0 {
	meta:
		name = "@VarAddRef"
		size = 33
		refs = "0019 @VarCopy"
	strings:
		$1 = { 66 83 38 08 72 1A FF 70 0C FF 70 08 FF 70 04 FF 30 66 C7 00 00 00 89 E2 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_18217_0 {
	meta:
		name = "VarType"
		size = 4
	strings:
		$1 = { 0F B7 00 C3 }
	condition:
		$1
}

rule function_18218_0 {
	meta:
		name = "VarAsType"
		size = 9
		refs = "0004 @VarCast"
	strings:
		$1 = { 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18219_0 {
	meta:
		name = "VarIsEmpty"
		size = 33
	strings:
		$1 = { 66 83 38 00 74 18 66 8B 10 66 83 FA 09 74 06 66 83 FA 0D 75 06 83 78 08 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_18220_0 {
	meta:
		name = "VarIsNull"
		size = 8
	strings:
		$1 = { 66 83 38 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_18221_0 {
	meta:
		name = "VarToStr"
		size = 34
		refs = "0011 @VarToLStr 001b @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 3B 01 74 0C 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18222_0 {
	meta:
		name = "VarFromDateTime"
		size = 35
		refs = "0009 @VarClear"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 C7 03 07 00 8B 45 08 89 43 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_18223_0 {
	meta:
		name = "VarToDateTime"
		size = 46
		refs = "0017 @VarCast"
	strings:
		$1 = { 55 8B EC 83 C4 E8 66 C7 45 F0 00 00 8B D0 8D 45 F0 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E8 8B 45 FC 89 45 EC DD 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_18224_0 {
	meta:
		name = "@WriteVariant"
		size = 98
		refs = "0012 @WriteVariant 0028 @VarToLStr 0034 @WriteLString 0039 @Flush 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 3E 02 72 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B C3 8B CF 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18226_0 {
	meta:
		name = "VarArrayCreate"
		size = 157
		refs = "001f Error 0068 SafeArrayCreate 007d @VarClear"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 89 4D FC 8B DA 8B F0 F6 C3 01 74 05 83 FB 7F 7E 07 B0 12 E8 ?? ?? ?? ?? 43 D1 FB 79 03 83 D3 00 89 5D F8 8B 5D F8 4B 85 DB 7C 22 43 8D 95 F8 FD FF FF 8B C6 8B CA 8B 30 89 71 04 8B 70 04 2B 71 04 46 89 31 83 C0 08 83 C2 08 4B 75 E7 8D 85 F8 FD FF FF 50 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 B0 12 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 66 8B 45 FC 66 0D 00 20 8B 55 08 66 89 02 8B 45 08 89 58 08 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18227_0 {
	meta:
		name = "VarArrayOf"
		size = 84
		refs = "0028 VarArrayCreate 003e @VarArrayPut"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 8B DA 89 04 24 55 33 C0 89 44 24 08 89 5C 24 0C 8D 44 24 08 B9 0C 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F3 85 F6 7C 1A 46 33 FF 8B 1C 24 57 6A 01 53 55 E8 ?? ?? ?? ?? 83 C4 10 47 83 C3 10 4E 75 EC 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18228_0 {
	meta:
		name = "@VarArrayRedim"
		size = 76
		refs = "001a Error 0037 SafeArrayRedim"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 66 8B 03 66 25 00 60 66 3D 00 20 74 07 B0 13 E8 ?? ?? ?? ?? 8B 73 08 8B C6 0F B7 10 8B 54 D0 0C 89 54 24 04 2B FA 47 89 3C 24 54 56 E8 ?? ?? ?? ?? 85 C0 74 07 B0 12 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18229_0 {
	meta:
		name = "GetVarArray"
		size = 34
		refs = "000c Error"
	strings:
		$1 = { 53 8B D8 F6 43 01 20 75 07 B0 13 E8 ?? ?? ?? ?? F6 43 01 40 74 07 8B 43 08 8B 00 5B C3 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_18230_0 {
	meta:
		name = "VarArrayDimCount"
		size = 25
		refs = "000c GetVarArray"
	strings:
		$1 = { 53 8B D8 F6 43 01 20 74 0C 8B C3 E8 ?? ?? ?? ?? 0F B7 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_18231_0 {
	meta:
		name = "VarArrayLowBound"
		size = 40
		refs = "000c GetVarArray 0012 SafeArrayGetLBound 001d Error"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 B0 14 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18232_0 {
	meta:
		name = "VarArrayHighBound"
		size = 40
		refs = "000c GetVarArray 0012 SafeArrayGetUBound 001d Error"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 B0 14 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18233_0 {
	meta:
		name = "VarArrayLock"
		size = 35
		refs = "0008 GetVarArray 000e SafeArrayAccessData 0019 Error"
	strings:
		$1 = { 53 51 8B D8 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 B0 13 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_18234_0 {
	meta:
		name = "VarArrayUnlock"
		size = 29
		refs = "0006 GetVarArray 000c SafeArrayUnaccessData 0017 Error"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 B0 13 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18235_0 {
	meta:
		name = "VarArrayRef"
		size = 60
		refs = "000f Error 0016 @VarClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 01 20 75 07 B0 13 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 66 8B 03 66 0D 00 40 66 89 06 F6 43 01 40 74 09 8B 43 08 89 46 08 5E 5B C3 8D 43 08 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_18236_0 {
	meta:
		name = "VarIsArray"
		size = 8
	strings:
		$1 = { F6 40 01 20 0F 95 C0 C3 }
	condition:
		$1
}

rule function_18237_0 {
	meta:
		name = "@VarArrayGet"
		size = 130
		refs = "0015 Error 001c GetVarArray 0040 @VarClear 0050 SafeArrayGetElement"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 8B 75 0C F6 46 01 20 75 07 B0 13 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 0F B7 03 3B 45 10 74 07 B0 14 E8 ?? ?? ?? ?? 66 8B 06 66 25 FF 0F 0F B7 C0 8B F0 8B C7 E8 ?? ?? ?? ?? 83 FE 0C 75 18 57 8D 45 14 50 53 E8 ?? ?? ?? ?? 85 C0 74 25 B0 14 E8 ?? ?? ?? ?? EB 1C 8D 47 08 50 8D 45 14 50 53 E8 ?? ?? ?? ?? 85 C0 74 07 B0 14 E8 ?? ?? ?? ?? 66 89 37 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_18238_0 {
	meta:
		name = "@VarArrayPut"
		size = 235
		refs = "0018 Error 001f GetVarArray 0053 SafeArrayPutElement 0072 @VarArrayPut 0087 VarStringToOleStr 0098 @VarCast 00d8 @VarClear 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 7D 0C 8B 5D 08 F6 43 01 20 75 07 B0 13 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B7 06 3B 45 10 74 07 B0 14 E8 ?? ?? ?? ?? 66 8B 03 66 25 FF 0F 0F B7 C0 8B D8 83 FB 0C 75 23 66 81 3F 00 01 74 1C 57 8D 45 14 50 56 E8 ?? ?? ?? ?? 85 C0 0F 84 85 00 00 00 B0 14 E8 ?? ?? ?? ?? EB 7C 66 C7 45 F0 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB 0C 75 0F 8B D7 8D 45 F0 E8 ?? ?? ?? ?? 8D 5D F0 EB 21 8B D7 8D 45 F0 8B CB E8 ?? ?? ?? ?? 83 C3 F8 83 EB 02 72 05 83 EB 03 75 05 8B 5D F8 EB 03 8D 5D F8 53 8D 45 14 50 56 E8 ?? ?? ?? ?? 85 C0 74 07 B0 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18239_0 {
	meta:
		name = "VarArrayGet"
		size = 35
		refs = "0016 @VarArrayGet"
	strings:
		$1 = { 55 8B EC 53 89 CB 43 7E 06 FF 34 8A 49 79 FA 53 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 64 9C 0C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18240_0 {
	meta:
		name = "VarArrayPut"
		size = 38
		refs = "0019 @VarArrayPut"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 85 DB 78 06 FF 34 99 4B 79 FA 8B 5D 08 43 53 52 50 E8 ?? ?? ?? ?? 8D 64 9C 0C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18241_0 {
	meta:
		name = "@StrInt64"
		size = 189
		refs = "002f @_llmod 0054 @_lldiv 00b0 @SetLength"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 8B F8 33 DB 83 7D 0C 00 75 09 83 7D 08 00 0F 92 C0 EB 03 0F 9C C0 88 45 FF 6A 00 6A 0A 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 83 C0 30 83 D2 00 88 44 1D DF 43 6A 00 6A 0A 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 89 45 08 89 55 0C 83 7D 0C 00 75 C0 83 7D 08 00 75 BA 80 7D FF 00 74 06 C6 44 1D DF 2D 43 81 FF FF 00 00 00 7E 05 BF FF 00 00 00 B8 01 00 00 00 8B D7 2B D3 3B D0 7C 09 C6 04 06 20 40 3B D0 7D F7 85 DB 7E 0D 4B 8A 54 1D DF 88 14 06 40 85 DB 7F F3 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18242_0 {
	meta:
		name = "@Str0Int64"
		size = 26
		refs = "0011 @StrInt64"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 33 C0 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_18243_0 {
	meta:
		name = "@WriteInt64"
		size = 40
		refs = "0014 @StrInt64 001d @WriteString"
	strings:
		$1 = { 83 EC 20 50 52 FF 74 24 30 FF 74 24 30 31 C0 8D 54 24 10 E8 ?? ?? ?? ?? 59 58 89 E2 E8 ?? ?? ?? ?? 83 C4 20 C2 08 00 C3 }
	condition:
		$1
}

rule function_18244_0 {
	meta:
		name = "@Write0Int64"
		size = 8
		refs = "0003 @WriteInt64"
	strings:
		$1 = { 31 D2 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18245_0 {
	meta:
		name = "@ValInt64"
		size = 546
		refs = "006b UpCase 0191 @_llmul"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 14 24 8B F0 BD 01 00 00 00 33 FF C7 44 24 08 00 00 00 00 C7 44 24 0C 00 00 00 00 85 F6 75 0B 8B 04 24 89 28 E9 E1 01 00 00 45 80 7C 2E FF 20 74 F8 C6 44 24 10 00 8A 44 2E FF 3C 2D 75 08 C6 44 24 10 01 45 EB 05 3C 2B 75 01 45 B3 01 80 7C 2E FF 24 74 1B 80 7C 2E FF 30 0F 85 DA 00 00 00 8A 04 2E E8 ?? ?? ?? ?? 3C 58 0F 85 CA 00 00 00 80 7C 2E FF 30 75 01 45 45 8A 44 2E FF 8B D0 80 C2 D0 80 EA 0A 72 12 80 C2 F9 80 EA 06 72 17 80 C2 E6 80 EA 06 72 1C EB 7A 8B F8 81 E7 FF 00 00 00 83 EF 30 EB 18 8B F8 81 E7 FF 00 00 00 83 EF 37 EB 0B 8B F8 81 E7 FF 00 00 00 83 EF 57 83 7C 24 0C 00 75 09 83 7C 24 08 00 72 47 EB 02 7C 43 81 7C 24 0C FF FF FF 0F 75 09 83 7C 24 08 FF 76 04 EB 30 7F 2E 8B C7 99 52 50 8B 44 24 10 8B 54 24 14 0F A4 C2 04 C1 E0 04 03 04 24 13 54 24 04 83 C4 08 89 44 24 08 89 54 24 0C 45 33 DB E9 66 FF FF FF 80 7C 24 10 00 0F 84 D3 00 00 00 8B 44 24 08 8B 54 24 0C F7 D8 83 D2 00 F7 DA 89 44 24 08 89 54 24 0C E9 B7 00 00 00 8A 44 2E FF 8B D0 80 C2 D0 80 EA 0A 73 62 8B F8 81 E7 FF 00 00 00 83 EF 30 83 7C 24 0C 00 75 09 83 7C 24 08 00 72 49 EB 02 7C 45 81 7C 24 0C CC CC CC 0C 75 0C 81 7C 24 08 CC CC CC CC 76 04 EB 2F 7F 2D 6A 00 6A 0A 8B 44 24 10 8B 54 24 14 E8 ?? ?? ?? ?? 52 50 8B C7 99 03 04 24 13 54 24 04 83 C4 08 89 44 24 08 89 54 24 0C 45 33 DB EB 90 80 7C 24 10 00 74 17 8B 44 24 08 8B 54 24 0C F7 D8 83 D2 00 F7 DA 89 44 24 08 89 54 24 0C 83 7C 24 0C 00 75 05 83 7C 24 08 00 74 1B 83 7C 24 0C 00 75 0A 83 7C 24 08 00 0F 92 C0 EB 03 0F 9C C0 3A 44 24 10 74 01 4D 80 7C 2E FF 00 0F 95 C0 0A D8 74 07 8B 04 24 89 28 EB 07 8B 04 24 33 D2 89 10 8B 44 24 08 8B 54 24 0C 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18248_0 {
	meta:
		name = "CopyArray"
		size = 15
		refs = "0007 @CopyArray"
	strings:
		$1 = { 55 8B EC FF 75 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_18251_0 {
	meta:
		name = "DynArraySetLength"
		size = 394
		refs = "0026 Error 0030 DynArrayClear 00af FinalizeArray 00ba @ReallocMem 00c9 @GetMem 00f0 @FillChar 0105 CopyArray 011d Move 0172 DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D FC 8B 1B 8B 45 08 8B 38 85 FF 7F 1A 85 FF 7D 07 B0 04 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? E9 48 01 00 00 33 C0 89 45 F0 85 DB 74 0B 83 EB 04 8B 03 89 45 F0 83 EB 04 33 C0 8A 46 01 01 C6 8B 46 02 89 45 E8 8B 46 06 85 C0 74 04 8B 30 EB 02 33 F6 8B C7 F7 6D E8 89 45 E4 8B 45 E4 99 F7 FF 3B 45 E8 74 07 B0 04 E8 ?? ?? ?? ?? 83 45 E4 08 85 DB 74 05 83 3B 01 75 35 89 5D E0 3B 7D F0 7D 1D 85 F6 74 19 8B C3 83 C0 08 8B D7 0F AF 55 E8 03 C2 8B 4D F0 2B CF 8B D6 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 E4 E8 ?? ?? ?? ?? 8B 5D E0 EB 5E FF 0B 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 89 45 EC 3B 7D EC 7D 03 89 7D EC 85 F6 74 2A 8B 55 EC 0F AF 55 E8 8B C3 83 C0 08 33 C9 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 55 FC 8B 12 8B C3 83 C0 08 8B CE E8 ?? ?? ?? ?? EB 16 8B 4D EC 0F AF 4D E8 8B D3 83 C2 08 8B 45 FC 8B 00 E8 ?? ?? ?? ?? C7 03 01 00 00 00 83 C3 04 89 3B 83 C3 04 8B D7 2B 55 F0 0F AF 55 E8 8B 45 E8 0F AF 45 F0 03 C3 33 C9 E8 ?? ?? ?? ?? 83 7D F8 01 7E 2E 83 45 08 04 FF 4D F8 4F 85 FF 7C 22 47 C7 45 F4 00 00 00 00 8B 45 08 50 8B 45 F4 8D 04 83 8B 4D F8 8B D6 E8 ?? ?? ?? ?? FF 45 F4 4F 75 E6 8B 45 FC 89 18 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18252_0 {
	meta:
		name = "@DynArraySetLength"
		size = 11
		refs = "0006 DynArraySetLength"
	strings:
		$1 = { 54 83 04 24 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18253_0 {
	meta:
		name = "@DynArrayCopy"
		size = 19
		refs = "000d @DynArrayCopyRange"
	strings:
		$1 = { 53 8B D8 83 EB 04 8B 1B 53 51 33 C9 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18254_0 {
	meta:
		name = "@DynArrayCopyRange"
		size = 243
		refs = "0086 @GetMem 00b6 @FillChar 00c4 CopyArray 00d6 Move 00e1 DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 89 55 F8 89 45 FC 8B 75 0C 33 DB 83 7D FC 00 0F 84 BA 00 00 00 8B 45 F8 89 45 F0 85 FF 7D 04 03 F7 33 FF 8B 45 FC 83 E8 04 8B 00 3B C7 7D 02 8B F8 8B D0 2B D7 3B F2 7E 02 8B F2 85 F6 7D 02 33 F6 85 F6 0F 8E 86 00 00 00 8B 45 F0 0F B6 40 01 01 45 F0 8B 45 F0 8B 40 02 89 45 F4 8B 45 F0 8B 40 06 85 C0 74 07 8B 00 89 45 F0 EB 05 33 C0 89 45 F0 8B C6 F7 6D F4 83 C0 08 E8 ?? ?? ?? ?? 8B D8 C7 03 01 00 00 00 83 C3 04 89 33 83 C3 04 0F AF 7D F4 01 7D FC 85 F6 7E 35 83 7D F0 00 74 1F 8B D6 0F AF 55 F4 8B C3 33 C9 E8 ?? ?? ?? ?? 56 8B 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 10 8B CE 0F AF 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 89 18 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18255_0 {
	meta:
		name = "@DynArrayClear"
		size = 57
		refs = "002b @FinalizeArray 0033 @FreeMem"
	strings:
		$1 = { 8B 08 85 C9 74 32 C7 00 00 00 00 00 FF 49 F8 75 27 50 89 C8 31 C9 8A 4A 01 8B 54 0A 06 85 D2 74 0E 8B 48 FC 85 C9 74 07 8B 12 E8 ?? ?? ?? ?? 83 E8 08 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_18256_0 {
	meta:
		name = "@DynArrayAsg"
		size = 37
		refs = "001b @DynArrayClear"
	strings:
		$1 = { 53 8B 18 85 D2 74 03 FF 42 F8 85 DB 74 13 FF 4B F8 75 0E 50 52 89 CA FF 43 F8 E8 ?? ?? ?? ?? 5A 58 89 10 5B C3 }
	condition:
		$1
}

rule function_18257_0 {
	meta:
		name = "@DynArrayAddRef"
		size = 8
	strings:
		$1 = { 85 C0 74 03 FF 40 F8 C3 }
	condition:
		$1
}

rule function_18258_0 {
	meta:
		name = "DynArrayIndex"
		size = 62
	strings:
		$1 = { 55 8B EC 53 56 57 55 89 D6 8B 7D 08 89 C5 31 DB 85 C9 7D 03 8B 6D 00 31 C0 8A 47 01 01 C7 8B 04 9E F7 67 02 8B 7F 06 85 FF 74 02 8B 3F 01 C5 43 39 CB 7E E0 89 E8 5D 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18259_0 {
	meta:
		name = "DynArrayElTypeInfo"
		size = 25
	strings:
		$1 = { 33 D2 85 C0 74 10 33 C9 8A 48 01 01 C8 8B 48 06 85 C9 74 02 8B 11 8B C2 C3 }
	condition:
		$1
}

rule function_18260_0 {
	meta:
		name = "DynArrayDim"
		size = 24
		refs = "0007 DynArrayElTypeInfo"
	strings:
		$1 = { 53 33 DB EB 06 43 E8 ?? ?? ?? ?? 85 C0 74 05 80 38 11 74 F1 8B C3 5B C3 }
	condition:
		$1
}

rule function_18262_0 {
	meta:
		name = "IsDynArrayRectangular"
		size = 101
		refs = "0010 DynArrayDim 0024 DynArraySize"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 C6 04 24 01 8B D8 8B C2 E8 ?? ?? ?? ?? 48 85 C0 7E 42 89 44 24 04 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 8B E8 4E 85 F6 7E 1B BF 01 00 00 00 8B 04 BB E8 ?? ?? ?? ?? 3B E8 74 06 C6 04 24 00 EB 0C 47 4E 75 EA 8B 1B FF 4C 24 04 75 C2 8A 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18263_0 {
	meta:
		name = "DynArrayVariantBounds"
		size = 88
		refs = "000b DynArrayDim 001f TBoundArray 0024 @DynArraySetLength 003e DynArraySize"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F0 8B C2 E8 ?? ?? ?? ?? 8B E8 8B C5 03 C0 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB EB 1C 8B 07 33 D2 89 14 98 43 85 F6 74 0F 8B C6 E8 ?? ?? ?? ?? 48 8B 17 89 04 9A 8B 36 43 8B C5 03 C0 3B D8 7C DC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18264_0 {
	meta:
		name = "DynArrayBounds"
		size = 82
		refs = "0010 DynArrayDim 0020 TBoundArray 0025 @DynArraySetLength 003b DynArraySize"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 8B D8 8B 04 24 E8 ?? ?? ?? ?? 8B F0 56 8B C5 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4E 85 F6 7C 1B 46 33 FF 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 48 8B 55 00 89 04 BA 8B 1B 47 4E 75 E8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18265_0 {
	meta:
		name = "DynArrayVarType"
		size = 37
	strings:
		$1 = { BA 01 00 00 00 85 C0 74 0F 80 38 11 75 0A 33 D2 8A 50 01 01 D0 8B 50 0A 83 FA 48 75 05 BA 00 01 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_18266_0 {
	meta:
		name = "DecIndices"
		size = 108
		refs = "000c @DynArrayHigh"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B 07 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 13 42 33 C0 8B 0F 83 3C 81 00 74 04 B3 01 EB 04 40 4A 75 F0 84 DB 74 39 8B 07 E8 ?? ?? ?? ?? 83 F8 00 7C 2D 8B 17 83 3C 82 00 74 10 8B 17 FF 0C 82 EB 1E 8B 14 86 8B 0F 89 14 81 48 8B 17 83 3C 82 00 74 EF 8B 17 FF 0C 82 EB 06 48 83 F8 FF 75 D3 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18267_0 {
	meta:
		name = "DynArrayToVariant"
		size = 689
		refs = "0023 DynArrayToVariant 0032 TBoundArray 0037 @DynArrayClear 004d @VarClear 0054 DynArrayVarType 0087 DynArrayDim 0094 IsDynArrayRectangular 00a9 DynArrayVariantBounds 00b6 DynArrayBounds 00c7 @DynArrayCopy 00d3 @DynArrayHigh 00e0 VarArrayCreate 00eb @VarCopy 0101 DynArrayIndex 018f @VarFromInt 01ad @VarFromReal 01cb @VarFromCurr 01e3 @VarFromWStr 01ef @VarFromDisp 020f @VarFromBool 0227 @VarFromIntf 0241 @VarFromLStr 0258 VarArrayPut 0263 DecIndices 0281 Variant 028b @FinalizeArray 02a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 05 83 FB 11 7E 0C 81 FB 00 01 00 00 0F 85 FF 01 00 00 81 FB 00 01 00 00 75 09 C7 45 E8 08 00 00 00 EB 03 89 5D E8 8B C6 E8 ?? ?? ?? ?? 48 7E 12 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 CF 01 00 00 8D 4D F4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D EC 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 4D E8 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 56 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B C3 83 F8 09 7F 3A 0F 84 D5 00 00 00 83 F8 08 0F 87 28 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 0D 7F 22 0F 84 CE 00 00 00 83 E8 0A 0F 84 99 00 00 00 48 0F 84 9E 00 00 00 48 0F 84 AB 00 00 00 E9 D6 00 00 00 83 E8 11 0F 84 B5 00 00 00 2D EF 00 00 00 0F 84 B8 00 00 00 E9 BD 00 00 00 8D 45 D8 0F BF 17 E8 ?? ?? ?? ?? E9 AD 00 00 00 8D 45 D8 8B 17 E8 ?? ?? ?? ?? E9 9E 00 00 00 D9 07 8D 45 D8 E8 ?? ?? ?? ?? E9 8F 00 00 00 DD 07 8D 45 D8 E8 ?? ?? ?? ?? E9 80 00 00 00 DF 2F 8D 45 D8 E8 ?? ?? ?? ?? EB 74 DD 07 8D 45 D8 E8 ?? ?? ?? ?? EB 68 8D 45 D8 8B 17 E8 ?? ?? ?? ?? EB 5C 8D 45 D8 8B 17 E8 ?? ?? ?? ?? EB 50 8D 45 D8 8B 17 E8 ?? ?? ?? ?? EB 44 8D 45 D8 66 8B 17 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? EB 30 8D 45 D8 8B D7 E8 ?? ?? ?? ?? EB 24 8D 45 D8 8B 17 E8 ?? ?? ?? ?? EB 18 8D 45 D8 33 D2 8A 17 E8 ?? ?? ?? ?? EB 0A 8D 45 D8 8B 17 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8D 55 D8 8B 45 FC 8B 4D EC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 80 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18268_0 {
	meta:
		name = "DynArrayFromVariant"
		size = 629
		refs = "0023 DynArrayFromVariant 0030 VarArrayDimCount 003e @GetMem 0056 VarArrayHighBound 0061 VarArrayLowBound 0083 DynArraySetLength 008a DynArrayDim 0091 DynArrayVarType 00a3 DynArrayBounds 00ac TBoundArray 00b4 @DynArrayCopy 00c0 @DynArrayHigh 00cc VarArrayGet 00e7 DynArrayIndex 0172 @VarToInt 0191 @VarToReal 01ae @VarToCurr 01ca @VarToWStr 01d6 @VarToDisp 01ec @VarToBool 01fb @VarCopy 0207 @VarToIntf 021f @VarToLStr 022a DecIndices 023a @FreeMem 024f @VarClr 0262 @FinalizeArray 0268 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 8B 7D F4 4F 85 FF 7C 26 47 33 DB 8D 53 01 8B C6 E8 ?? ?? ?? ?? 50 8D 53 01 8B C6 E8 ?? ?? ?? ?? 5A 2B D0 42 8B 45 F0 89 14 98 43 4F 75 DD 8B 45 F0 50 8B 45 FC 8B 4D F4 8B 5D F8 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 4D EC 8B 45 FC 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8B C6 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 00 8B 55 E8 E8 ?? ?? ?? ?? 8B F8 8B C3 83 F8 09 7F 3A 0F 84 D6 00 00 00 83 F8 08 0F 87 20 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 0D 7F 22 0F 84 C8 00 00 00 83 E8 0A 0F 84 9A 00 00 00 48 0F 84 9F 00 00 00 48 0F 84 A5 00 00 00 E9 CE 00 00 00 83 E8 11 0F 84 AF 00 00 00 2D EF 00 00 00 0F 84 B0 00 00 00 E9 B5 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? 66 89 07 E9 A5 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? 89 07 E9 96 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? D9 1F 9B E9 86 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? DD 1F 9B EB 79 8D 45 D8 E8 ?? ?? ?? ?? DF 3F 9B EB 6C 8D 45 D8 E8 ?? ?? ?? ?? DD 1F 9B EB 5F 8B C7 8D 55 D8 E8 ?? ?? ?? ?? EB 53 8B C7 8D 55 D8 E8 ?? ?? ?? ?? EB 47 8D 45 D8 E8 ?? ?? ?? ?? 89 07 EB 3B 8D 45 D8 E8 ?? ?? ?? ?? 66 89 07 EB 2E 8B C7 8D 55 D8 E8 ?? ?? ?? ?? EB 22 8B C7 8D 55 D8 E8 ?? ?? ?? ?? EB 16 8D 45 D8 E8 ?? ?? ?? ?? 88 07 EB 0A 8B C7 8D 55 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 84 C0 0F 85 82 FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18269_0 {
	meta:
		name = "FindHInstance"
		size = 38
		refs = "000c VirtualQuery"
	strings:
		$1 = { 83 C4 E4 6A 1C 8D 54 24 04 52 50 E8 ?? ?? ?? ?? 81 7C 24 10 00 10 00 00 75 06 8B 44 24 04 EB 02 33 C0 83 C4 1C C3 }
	condition:
		$1
}

rule function_18271_0 {
	meta:
		name = "FindResourceHInstance"
		size = 36
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 85 D2 74 19 3B 42 04 74 0A 3B 42 08 74 05 3B 42 0C 75 04 8B 42 10 C3 8B 12 85 D2 75 E7 C3 }
	condition:
		$1
}

rule function_18272_0 {
	meta:
		name = "LoadResourceModule"
		size = 504
		refs = "001d GetModuleFileName 0031 LoadResourceModule 003b RegOpenKeyEx 008e RegQueryValueEx 00c2 RegCloseKey 00c8 @HandleFinally 00da lstrcpy 00e7 GetThreadLocale 00ed GetLocaleInfo 0118 lstrlen 015f LoadLibraryEx"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 53 56 89 45 FC 68 05 01 00 00 8D 85 E3 FE FF FF 50 6A 00 E8 ?? ?? ?? ?? C6 45 EE 00 8D 45 F8 50 68 3F 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 01 00 00 80 E8 ?? ?? ?? ?? 85 C0 74 1E 8D 45 F8 50 68 3F 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 01 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 6D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E8 05 00 00 00 8D 45 E8 50 8D 45 EE 50 6A 00 6A 00 8D 85 E3 FE FF FF 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 74 1A 8D 45 E8 50 8D 45 EE 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 50 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 6A 05 8D 45 F3 50 6A 03 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 F6 80 BD E3 FE FF FF 00 0F 84 AF 00 00 00 80 7D F3 00 75 0A 80 7D EE 00 0F 84 9F 00 00 00 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 8B D8 8D 85 E3 FE FF FF 03 D8 EB 01 4B 80 3B 2E 74 0A 8D 85 E3 FE FF FF 3B D8 75 F0 8D 85 E3 FE FF FF 3B D8 74 6D 43 80 7D EE 00 74 1C 8D 45 EE 50 53 E8 ?? ?? ?? ?? 6A 02 6A 00 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 46 80 7D F3 00 74 40 8D 45 F3 50 53 E8 ?? ?? ?? ?? 6A 02 6A 00 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 20 C6 45 F5 00 8D 45 F3 50 53 E8 ?? ?? ?? ?? 6A 02 6A 00 8D 85 E3 FE FF FF 50 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B 8B E5 5D C3 00 53 6F 66 74 77 61 72 65 5C 42 6F 72 6C 61 6E 64 5C 4C 6F 63 61 6C 65 73 00 00 00 00 53 6F 66 74 77 61 72 65 5C 42 6F 72 6C 61 6E 64 5C 44 65 6C 70 68 69 5C 4C 6F 63 61 6C 65 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_18273_0 {
	meta:
		name = "EnumModules"
		size = 38
		refs = "0009 LibModuleList"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1D ?? ?? ?? ?? 85 DB 74 11 8B D7 8B 43 04 FF D6 84 C0 74 06 8B 1B 85 DB 75 EF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18274_0 {
	meta:
		name = "EnumResourceModules"
		size = 38
		refs = "0009 LibModuleList"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1D ?? ?? ?? ?? 85 DB 74 11 8B D7 8B 43 10 FF D6 84 C0 74 06 8B 1B 85 DB 75 EF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18275_0 {
	meta:
		name = "AddModuleUnloadProc"
		size = 31
		refs = "0009 @GetMem 000f ModuleUnloadList"
	strings:
		$1 = { 53 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18621_0 {
	meta:
		name = "AddTerminateProc"
		size = 31
		refs = "0009 @GetMem 000f TerminateProcList"
	strings:
		$1 = { 53 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18276_0 {
	meta:
		name = "RemoveModuleUnloadProc"
		size = 94
		refs = "0004 ModuleUnloadList 0027 @FreeMem"
	strings:
		$1 = { 53 56 8B 35 ?? ?? ?? ?? 85 F6 74 22 8B 56 04 3B D0 75 1B A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 85 D2 74 27 8B 0A 85 C9 74 1B 8B 59 04 3B D8 75 14 8B F1 8B 01 89 02 BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 06 8B 12 85 D2 75 D9 5E 5B C3 }
	condition:
		$1
}

rule function_18277_0 {
	meta:
		name = "NotifyModuleUnload"
		size = 90
		refs = "000d ModuleUnloadList 001e NotifyModuleUnload 003c @HandleAnyException 0041 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC A1 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 39 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 45 FC FF 53 04 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 00 89 45 F8 83 7D F8 00 75 C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18278_0 {
	meta:
		name = "RegisterModule"
		size = 14
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 10 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18279_0 {
	meta:
		name = "UnregisterModule"
		size = 110
		refs = "000b UnregisterModule 001c NotifyModuleUnload 0032 LibModuleList 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 3B 05 ?? ?? ?? ?? 75 0C 8B 45 FC 8B 00 A3 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? 85 C0 74 16 8B 10 3B 55 FC 75 09 8B 55 FC 8B 12 89 10 EB 06 8B 00 85 C0 75 EA C3 E9 ?? ?? ?? ?? EB C2 59 5D C3 }
	condition:
		$1
}

rule function_18280_0 {
	meta:
		name = "LoadResString"
		size = 86
		refs = "002c FindResourceHInstance 0032 LoadString 003d @LStrFromPCharLen 0049 @LStrFromPChar"
	strings:
		$1 = { 53 56 81 C4 00 FC FF FF 8B F2 8B D8 85 DB 74 3D 81 7B 04 00 00 01 00 7D 2A 68 00 04 00 00 8D 44 24 04 50 8B 43 04 50 8B 03 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 04 E8 ?? ?? ?? ?? 81 C4 00 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_18281_0 {
	meta:
		name = "@IntfClear"
		size = 21
	strings:
		$1 = { 8B 10 85 D2 74 0E C7 00 00 00 00 00 50 52 8B 02 FF 50 08 58 C3 }
	condition:
		$1
}

rule function_18282_0 {
	meta:
		name = "@IntfCopy"
		size = 27
	strings:
		$1 = { 8B 08 89 10 85 D2 74 08 51 52 8B 02 FF 50 04 59 85 C9 74 06 51 8B 01 FF 50 08 C3 }
	condition:
		$1
}

rule function_18283_0 {
	meta:
		name = "@IntfCast"
		size = 42
		refs = "0004 @IntfClear 0025 Error"
	strings:
		$1 = { 85 D2 0F 84 ?? ?? ?? ?? 50 51 52 8B 08 85 C9 74 09 51 8B 01 FF 50 08 8B 14 24 8B 02 FF 10 85 C0 74 07 B0 17 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18284_0 {
	meta:
		name = "@IntfAddRef"
		size = 11
		altNames = "TInterface.Free"
	strings:
		$1 = { 85 C0 74 06 50 8B 00 FF 50 04 C3 }
	condition:
		$1
}

rule function_18285_0 {
	meta:
		name = "TInterfacedObject.BeforeDestruction"
		size = 14
		refs = "0009 Error"
	strings:
		$1 = { 83 78 04 00 74 07 B0 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18289_0 {
	meta:
		name = "@CheckAutoResult"
		size = 27
		refs = "0006 SafeCallErrorProc 0016 Error"
	strings:
		$1 = { 85 C0 79 16 8B 0D ?? ?? ?? ?? 85 C9 74 05 8B 14 24 FF D1 B0 18 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18292_0 {
	meta:
		name = "CompToDouble"
		size = 20
	strings:
		$1 = { 55 8B EC 83 C4 F8 DF 6D 08 DD 5D F8 9B DD 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_18293_0 {
	meta:
		name = "DoubleToComp"
		size = 14
	strings:
		$1 = { 55 8B EC DD 45 08 8B 45 10 DF 38 9B 5D C3 }
	condition:
		$1
}

rule function_18294_0 {
	meta:
		name = "CompToCurrency"
		size = 32
		refs = "000b CompToCurrency"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DF 6D 08 D8 0D ?? ?? ?? ?? DF 7D F8 9B DF 6D F8 59 59 5D C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_18295_0 {
	meta:
		name = "CurrencyToComp"
		size = 24
		refs = "0008 CurrencyToComp"
	strings:
		$1 = { 55 8B EC DF 6D 08 D8 35 ?? ?? ?? ?? 8B 45 10 DF 38 9B 5D C3 00 40 1C 46 }
	condition:
		$1
}

rule function_18297_0 {
	meta:
		name = "FreeMemory"
		size = 21
		refs = "000f SysFreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 75 04 33 C0 5D C3 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_18298_0 {
	meta:
		name = "ReallocMemory"
		size = 16
		refs = "000a SysReallocMem"
	strings:
		$1 = { 55 8B EC 8B 55 0C 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_18300_0 {
	meta:
		name = "_DF_"
		size = 514
		refs = "0016 ReadFile 0022 GetLastError 0049 WriteFile 0066 CloseHandle 00a6 _DF_ 00fc CreateFileA 0120 GetFileSize 013c SetFilePointer 0190 SetEndOfFile 01b0 GetStdHandle 01c7 GetFileType"
	strings:
		$1 = { 33 D2 89 50 10 89 50 0C 52 8D 50 10 52 FF 70 08 FF 70 14 FF 30 E8 ?? ?? ?? ?? 85 C0 74 03 33 C0 C3 E8 ?? ?? ?? ?? 83 F8 6D 74 F3 C3 33 C0 C3 51 8B 50 0C 85 D2 7E 1A 33 C9 89 48 0C 51 8D 4C 24 04 51 52 FF 70 14 FF 30 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 59 C3 E8 ?? ?? ?? ?? EB F7 FF 30 C7 40 04 B0 D7 00 00 E8 ?? ?? ?? ?? 48 75 01 C3 E8 ?? ?? ?? ?? C3 56 8B F0 33 C0 89 46 0C 89 46 10 8B 46 04 2D B1 D7 00 00 74 0B 48 74 20 48 74 2E E9 49 01 00 00 B8 00 00 00 80 BA 01 00 00 00 B9 03 00 00 00 C7 46 1C ?? ?? ?? ?? EB 27 B8 00 00 00 40 BA 01 00 00 00 B9 02 00 00 00 EB 0F B8 00 00 00 C0 BA 01 00 00 00 B9 03 00 00 00 C7 46 1C ?? ?? ?? ?? C7 46 24 ?? ?? ?? ?? C7 46 20 ?? ?? ?? ?? 80 7E 48 00 0F 84 AE 00 00 00 6A 00 68 80 00 00 00 51 6A 00 52 50 8D 46 48 50 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 EB 00 00 00 89 06 81 7E 04 B3 D7 00 00 0F 85 A3 00 00 00 FF 4E 04 6A 00 FF 36 E8 ?? ?? ?? ?? 40 0F 84 C9 00 00 00 2D 81 00 00 00 73 02 33 C0 6A 00 6A 00 50 FF 36 E8 ?? ?? ?? ?? 40 0F 84 AD 00 00 00 6A 00 8B D4 6A 00 52 68 80 00 00 00 8D 96 4C 01 00 00 52 FF 36 E8 ?? ?? ?? ?? 5A 48 0F 85 8B 00 00 00 33 C0 3B C2 73 4C 80 BC 06 4C 01 00 00 1A 74 03 40 EB EF 6A 02 6A 00 2B C2 50 FF 36 E8 ?? ?? ?? ?? 40 74 67 FF 36 E8 ?? ?? ?? ?? 48 75 5D EB 22 C7 46 24 ?? ?? ?? ?? 81 7E 04 B2 D7 00 00 74 04 6A F6 EB 02 6A F5 E8 ?? ?? ?? ?? 83 F8 FF 74 3B 89 06 81 7E 04 B1 D7 00 00 74 17 FF 36 E8 ?? ?? ?? ?? 85 C0 74 10 83 F8 02 75 07 C7 46 20 ?? ?? ?? ?? 33 C0 5E C3 FF 36 E8 ?? ?? ?? ?? C7 46 04 B0 D7 00 00 B8 69 00 00 00 EB E9 C7 46 04 B0 D7 00 00 E8 ?? ?? ?? ?? EB DB }
	condition:
		$1
}

rule function_18301_0 {
	meta:
		name = "@Assign"
		size = 86
		refs = "0024 _DF_"
	strings:
		$1 = { 8D 88 4C 01 00 00 89 48 14 33 C9 89 08 C7 40 04 B0 D7 00 00 C7 40 08 80 00 00 00 89 48 0C 89 48 10 C7 40 18 ?? ?? ?? ?? 89 48 1C 89 48 20 89 48 24 8D 40 48 85 D2 74 1B B5 82 8A 0A 42 88 08 40 84 C9 74 11 8A 0A 42 88 08 40 84 C9 74 07 FE CD 75 E8 48 88 28 C3 }
	condition:
		$1
}

rule function_18302_0 {
	meta:
		name = "@_Flush"
		size = 37
		refs = "0021 SetInOutRes"
	strings:
		$1 = { 8B 50 04 81 FA B2 D7 00 00 75 08 FF 50 1C 85 C0 75 0E C3 81 FA B1 D7 00 00 74 F7 B8 67 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_18303_0 {
	meta:
		name = "@Flush"
		size = 37
		refs = "0021 SetInOutRes"
	strings:
		$1 = { 8B 50 04 81 FA B2 D7 00 00 75 08 FF 50 20 85 C0 75 0E C3 81 FA B1 D7 00 00 74 F7 B8 67 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_18304_0 {
	meta:
		name = "@BlockRead"
		size = 99
		refs = "0026 ReadFile 004f GetLastError 0054 SetInOutRes"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B 53 04 81 EA B1 D7 00 00 83 FA 02 77 48 51 6A 00 8B C4 6A 00 50 8B 43 08 F7 E1 50 56 FF 33 E8 ?? ?? ?? ?? 48 58 59 75 1F 33 D2 F7 73 08 8B 54 24 0C 85 D2 74 07 89 02 5E 5B C2 04 00 3B C1 74 F7 B8 64 00 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 EB E2 B8 67 00 00 00 EB F0 }
	condition:
		$1
}

rule function_18305_0 {
	meta:
		name = "@BlockWrite"
		size = 98
		refs = "0025 WriteFile 004e GetLastError 0053 SetInOutRes"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B 40 04 2D B2 D7 00 00 83 F8 01 77 48 51 6A 00 8B C4 6A 00 50 8B 43 08 F7 E1 50 56 FF 33 E8 ?? ?? ?? ?? 48 58 59 75 1F 33 D2 F7 73 08 8B 54 24 0C 85 D2 74 07 89 02 5E 5B C2 04 00 3B C1 74 F7 B8 65 00 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 EB E2 B8 67 00 00 00 EB F0 }
	condition:
		$1
}

rule function_18306_0 {
	meta:
		name = "@Close"
		size = 58
		refs = "0026 SetInOutRes 002d Input"
	strings:
		$1 = { 53 8B D8 8B 50 04 81 EA B1 D7 00 00 74 0E 83 FA 02 77 19 FF 50 1C 85 C0 75 0B 8B C3 FF 53 24 85 C0 75 02 5B C3 E8 ?? ?? ?? ?? EB F7 3D ?? ?? ?? ?? 74 F0 B8 67 00 00 00 EB EB }
	condition:
		$1
}

rule function_18307_0 {
	meta:
		name = "@EofFile"
		size = 81
		refs = "0016 GetFileSize 0029 SetFilePointer 003b InOutError 0049 SetInOutRes"
	strings:
		$1 = { 53 8B D8 8B 53 04 81 EA B1 D7 00 00 83 FA 02 77 32 6A 00 FF 33 E8 ?? ?? ?? ?? 83 F8 FF 74 1B 50 6A 01 6A 00 6A 00 FF 33 E8 ?? ?? ?? ?? 83 F8 FF 74 08 5A 3B C2 0F 93 C0 5B C3 E8 ?? ?? ?? ?? B0 01 EB F5 B8 67 00 00 00 E8 ?? ?? ?? ?? B0 FF EB E7 }
	condition:
		$1
}

rule function_18308_0 {
	meta:
		name = "@EofText"
		size = 50
		refs = "0023 @ReadChar"
	strings:
		$1 = { 81 78 04 B1 D7 00 00 75 18 8B 50 0C 3B 50 10 73 10 03 50 14 B0 00 8A 0A 80 F9 1A 74 01 C3 B0 01 C3 50 E8 ?? ?? ?? ?? 5A 3C 1A 74 F2 FF 4A 0C B0 00 C3 }
	condition:
		$1
}

rule function_18309_0 {
	meta:
		name = "@Eoln"
		size = 59
		refs = "0028 @ReadChar"
	strings:
		$1 = { 81 78 04 B1 D7 00 00 75 1D 8B 50 0C 3B 50 10 73 15 03 50 14 B0 00 8A 0A 80 F9 0D 74 06 80 F9 1A 74 01 C3 B0 01 C3 50 E8 ?? ?? ?? ?? 5A 3C 1A 74 F2 FF 4A 0C 3C 0D 74 EB B0 00 C3 }
	condition:
		$1
}

rule function_18310_0 {
	meta:
		name = "@Erase"
		size = 46
		refs = "0013 DeleteFileA 001c GetLastError 0021 SetInOutRes"
	strings:
		$1 = { 8B 50 04 81 EA B0 D7 00 00 83 FA 03 77 19 8D 40 48 50 E8 ?? ?? ?? ?? 48 75 01 C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB F3 B8 66 00 00 00 EB F2 }
	condition:
		$1
}

rule function_18311_0 {
	meta:
		name = "_DF_"
		size = 120
		refs = "0036 TestFDIV 0044 _DF_"
	strings:
		$1 = { 00 01 00 00 04 00 00 07 00 00 0A 00 00 0D 00 00 00 00 70 3F 00 00 88 3F 00 00 00 5F 00 00 00 C0 7E 01 50 41 00 00 00 80 FF FF 47 41 00 00 00 00 00 00 F0 3F C6 05 ?? ?? ?? ?? 01 50 83 EC 0C DB 3C 24 DD 05 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? DC 2D ?? ?? ?? ?? DC 1D ?? ?? ?? ?? 9B DF E0 C1 E8 07 83 E0 02 48 A2 ?? ?? ?? ?? DB 2C 24 83 C4 0C 58 EB 02 }
	condition:
		$1
}

rule function_18313_0 {
	meta:
		name = "@FSafeDivide"
		size = 230
		refs = "0002 TestFDIV 0040 _DF_"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 7E 03 DE F9 C3 74 AC 50 83 EC 18 DB 7C 24 0C DB 3C 24 DB 2C 24 DB 6C 24 0C 8B 44 24 10 03 C0 73 63 35 00 00 00 0E A9 00 00 00 0E 74 07 DE F9 83 C4 18 58 C3 C1 E8 1C 80 B8 ?? ?? ?? ?? 00 74 ED 8B 44 24 14 25 FF 7F 00 00 74 E2 3D FF 7F 00 00 74 DB 8B 44 24 08 25 FF 7F 00 00 83 F8 01 74 12 D8 0D ?? ?? ?? ?? D9 C9 D8 0D ?? ?? ?? ?? D9 C9 EB BB D8 0D ?? ?? ?? ?? D9 C9 D8 0D ?? ?? ?? ?? D9 C9 EB A9 8B 44 24 0C 0B 44 24 10 74 9F 8B 44 24 14 25 FF 7F 00 00 75 94 8B 44 24 08 25 FF 7F 00 00 74 15 3D FF 7F 00 00 74 82 8B 44 24 04 03 C0 0F 83 76 FF FF FF EB 0C 8B 44 24 04 03 C0 0F 82 68 FF FF FF D9 C9 DD D8 D9 C0 D8 0D ?? ?? ?? ?? DB 7C 24 0C DB 2C 24 D9 C9 E9 3A FF FF FF }
	condition:
		$1
}

rule function_18314_0 {
	meta:
		name = "@FilePos"
		size = 67
		refs = "001a SetFilePointer 002b InOutError 003a SetInOutRes"
	strings:
		$1 = { 53 8B D8 8B 53 04 81 EA B1 D7 00 00 83 FA 02 77 23 6A 01 6A 00 6A 00 FF 33 E8 ?? ?? ?? ?? 83 F8 FF 74 07 33 D2 F7 73 08 5B C3 E8 ?? ?? ?? ?? 83 C8 FF EB F4 B8 67 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB E5 }
	condition:
		$1
}

rule function_18315_0 {
	meta:
		name = "@FileSize"
		size = 63
		refs = "0016 GetFileSize 0027 InOutError 0036 SetInOutRes"
	strings:
		$1 = { 53 8B D8 8B 53 04 81 EA B1 D7 00 00 83 FA 02 77 1F 6A 00 FF 33 E8 ?? ?? ?? ?? 83 F8 FF 74 07 33 D2 F7 73 08 5B C3 E8 ?? ?? ?? ?? 83 C8 FF EB F4 B8 67 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB E5 }
	condition:
		$1
}

rule function_18316_0 {
	meta:
		name = "@ReadRec"
		size = 74
		refs = "0021 ReadFile 0031 GetLastError 0036 SetInOutRes"
	strings:
		$1 = { 53 8B D8 8B 4B 04 81 E9 B1 D7 00 00 74 05 83 E9 02 75 29 6A 00 8B C4 6A 00 50 FF 73 08 52 FF 33 E8 ?? ?? ?? ?? 5A 48 75 07 3B 53 08 75 15 5B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB F2 B8 67 00 00 00 EB F2 B8 64 00 00 00 EB EB }
	condition:
		$1
}

rule function_18317_0 {
	meta:
		name = "@ReadChar"
		size = 115
		refs = "0024 Input 0030 SetInOutRes 0038 @ResetText"
	strings:
		$1 = { 81 78 04 B1 D7 00 00 75 1A 8B 50 0C 3B 50 10 73 3B 8B 48 14 8A 0C 11 80 F9 1A 74 04 42 89 50 0C 8A C1 C3 3D ?? ?? ?? ?? 74 0D B8 68 00 00 00 E8 ?? ?? ?? ?? B0 1A C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 81 78 04 B1 D7 00 00 74 BF EB DE 50 FF 50 1C 85 C0 75 16 58 8B 50 0C 3B 50 10 72 B4 8B 48 14 C6 04 11 1A FF 40 10 B0 1A C3 E8 ?? ?? ?? ?? 58 B0 1A C3 }
	condition:
		$1
}

rule function_18318_0 {
	meta:
		name = "@ReadLong"
		size = 85
		refs = "0009 @SeekEof 0018 @ReadChar 002e @ValLong 003d SetInOutRes"
	strings:
		$1 = { 53 56 57 83 EC 24 8B F0 E8 ?? ?? ?? ?? FE C8 74 40 8B FC B3 20 8B C6 E8 ?? ?? ?? ?? 3C 20 76 28 AA FE CB 75 F0 C6 07 00 8B C4 52 8B D4 E8 ?? ?? ?? ?? 5A 85 D2 74 0A B8 6A 00 00 00 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 3C 1A 74 D9 FF 4E 0C EB D4 33 C0 EB EC }
	condition:
		$1
}

rule function_18319_0 {
	meta:
		name = "@ReadString"
		size = 11
	strings:
		$1 = { 52 42 E8 10 00 00 00 5A 88 0A C3 }
	condition:
		$1
}

rule function_18320_0 {
	meta:
		name = "@ReadCString"
		size = 138
		refs = "0056 @ReadChar 0068 Input 0074 SetInOutRes 007b @ResetText"
	strings:
		$1 = { 52 E8 06 00 00 00 5A C6 04 0A 00 C3 53 56 57 51 8B D8 8B F1 8B FA 81 7B 04 B1 D7 00 00 75 48 85 F6 7E 26 8B 53 0C 8B 4B 10 2B CA 03 53 14 49 7C 1F 8A 02 42 3C 1A 74 11 3C 0D 74 06 AA 4E 7F EE EB 01 4A 2B 53 14 89 53 0C 59 2B CE 5F 5E 5B C3 89 53 0C 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 4B 10 2B CA 03 53 14 EB CD 3D ?? ?? ?? ?? 74 0C B8 68 00 00 00 E8 ?? ?? ?? ?? EB CF E8 ?? ?? ?? ?? 81 7B 04 B1 D7 00 00 74 97 EB E4 }
	condition:
		$1
}

rule function_18321_0 {
	meta:
		name = "@ReadExt"
		size = 85
		refs = "0009 @SeekEof 0018 @ReadChar 002e @ValExt 003d SetInOutRes"
	strings:
		$1 = { 53 56 57 83 EC 44 8B F0 E8 ?? ?? ?? ?? FE C8 74 40 8B FC B3 40 8B C6 E8 ?? ?? ?? ?? 3C 20 76 28 AA FE CB 75 F0 C6 07 00 8B C4 52 8B D4 E8 ?? ?? ?? ?? 5A 85 D2 74 0A B8 6A 00 00 00 E8 ?? ?? ?? ?? 83 C4 44 5F 5E 5B C3 3C 1A 74 D9 FF 4E 0C EB D4 D9 EE EB EC }
	condition:
		$1
}

rule function_18322_0 {
	meta:
		name = "@ReadLn"
		size = 40
		refs = "0006 @ReadChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 1A 74 18 3C 0D 75 F1 8B C3 E8 ?? ?? ?? ?? 3C 0A 74 07 3C 1A 74 05 FF 4B 0C 5B C3 5B C3 }
	condition:
		$1
}

rule function_18323_0 {
	meta:
		name = "@Rename"
		size = 82
		refs = "000e @Rename 001a MoveFileA 0041 GetLastError 0046 SetInOutRes"
	strings:
		$1 = { 81 78 04 B0 D7 00 00 75 41 85 D2 75 05 BA ?? ?? ?? ?? 8D 40 48 52 50 52 50 E8 ?? ?? ?? ?? 48 58 5A 75 1D B5 82 8A 0A 42 88 08 40 84 C9 74 10 8A 0A 42 88 08 40 84 C9 74 06 FE CD 75 E8 88 28 C3 E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? B8 66 00 00 00 EB F4 00 }
	condition:
		$1
}

rule function_18324_0 {
	meta:
		name = "_DF_"
		size = 59
		refs = "0017 @Close 0028 SetInOutRes"
	strings:
		$1 = { 53 56 8B F0 8B DA 8B 56 04 81 EA B0 D7 00 00 74 0A 83 FA 03 77 19 E8 ?? ?? ?? ?? 8B C6 89 5E 04 FF 56 18 85 C0 74 05 E8 ?? ?? ?? ?? 5E 5B C3 B8 66 00 00 00 E8 ?? ?? ?? ?? EB F1 }
	condition:
		$1
}

rule function_18325_0 {
	meta:
		name = "@ResetText"
		size = 7
	strings:
		$1 = { BA B1 D7 00 00 EB BE }
	condition:
		$1
}

rule function_18326_0 {
	meta:
		name = "@RewritText"
		size = 7
	strings:
		$1 = { BA B2 D7 00 00 EB B7 }
	condition:
		$1
}

rule function_18327_0 {
	meta:
		name = "@Append"
		size = 7
	strings:
		$1 = { BA B3 D7 00 00 EB B0 }
	condition:
		$1
}

rule function_18328_0 {
	meta:
		name = "_DF_"
		size = 257
		refs = "0025 SetInOutRes 0036 _DF_ 004e FileMode 009c CreateFileA 00c1 GetStdHandle 00d6 GetLastError"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 8B F9 8B 53 04 81 EA B0 D7 00 00 74 15 83 FA 03 0F 87 AA 00 00 00 FF 53 24 85 C0 74 05 E8 ?? ?? ?? ?? C7 43 04 B3 D7 00 00 89 73 08 C7 43 24 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? 80 7B 48 00 74 67 B8 00 00 00 C0 8A 15 ?? ?? ?? ?? 83 E2 70 C1 EA 02 8B 92 ?? ?? ?? ?? B9 02 00 00 00 83 EF 03 74 23 B9 03 00 00 00 47 74 1B B8 00 00 00 40 47 C7 43 04 B2 D7 00 00 74 0C B8 00 00 00 80 C7 43 04 B1 D7 00 00 6A 00 68 80 00 00 00 51 6A 00 52 50 8D 43 48 50 E8 ?? ?? ?? ?? 83 F8 FF 74 29 89 03 5F 5E 5B C3 33 C0 C3 C7 43 24 ?? ?? ?? ?? 83 FF 03 74 04 6A F6 EB 02 6A F5 E8 ?? ?? ?? ?? EB D9 B8 66 00 00 00 EB 0C C7 43 04 B0 D7 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB C6 03 00 00 00 00 00 00 00 01 00 00 00 02 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_18329_0 {
	meta:
		name = "@ResetFile"
		size = 23
		refs = "0004 FileMode"
	strings:
		$1 = { 33 C9 8A 0D ?? ?? ?? ?? 80 E1 03 80 F9 02 76 02 B1 02 E9 E8 FE FF FF }
	condition:
		$1
}

rule function_18330_0 {
	meta:
		name = "@RewritFile"
		size = 32
		refs = "0014 CloseHandle 001b InOutError"
	strings:
		$1 = { B9 03 00 00 00 E9 DE FE FF FF FF 30 C7 40 04 B0 D7 00 00 E8 ?? ?? ?? ?? 48 0F 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18331_0 {
	meta:
		name = "@Seek"
		size = 50
		refs = "001c SetFilePointer 0023 InOutError 002e SetInOutRes"
	strings:
		$1 = { 8B C8 8B 41 04 2D B1 D7 00 00 83 F8 02 77 19 6A 00 8B 41 08 F7 E2 6A 00 50 FF 31 E8 ?? ?? ?? ?? 40 0F 84 ?? ?? ?? ?? C3 B8 67 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_18332_0 {
	meta:
		name = "@SeekEof"
		size = 31
		refs = "0006 @ReadChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 20 77 06 3C 1A 74 09 EB EF FF 4B 0C 5B B0 00 C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_18333_0 {
	meta:
		name = "@SeekEoln"
		size = 37
		refs = "0006 @ReadChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 20 77 0C 3C 1A 74 0F 3C 0D 75 ED B0 01 EB 02 B0 00 FF 4B 0C 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_18334_0 {
	meta:
		name = "@SetTextBuf"
		size = 15
	strings:
		$1 = { 89 50 14 33 D2 89 48 08 89 50 0C 89 50 10 C3 }
	condition:
		$1
}

rule function_18335_0 {
	meta:
		name = "@Truncate"
		size = 39
		refs = "0011 SetEndOfFile 0018 InOutError 0023 SetInOutRes"
	strings:
		$1 = { 8B 50 04 81 EA B1 D7 00 00 83 FA 02 77 0F FF 30 E8 ?? ?? ?? ?? 48 0F 85 ?? ?? ?? ?? C3 B8 67 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_18336_0 {
	meta:
		name = "@WriteRec"
		size = 73
		refs = "001e WriteFile 0030 GetLastError 0035 SetInOutRes"
	strings:
		$1 = { 53 8B D8 8B 40 04 2D B2 D7 00 00 83 F8 01 77 2B 6A 00 8B C4 6A 00 50 FF 73 08 52 FF 33 E8 ?? ?? ?? ?? 5A 48 75 09 3B 53 08 75 17 8B C3 5B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB F0 B8 05 00 00 00 EB F2 B8 65 00 00 00 EB EB }
	condition:
		$1
}

rule function_18337_0 {
	meta:
		name = "@WriteBytes"
		size = 107
		refs = "003c Output 0046 @RewritText 005c SetInOutRes"
	strings:
		$1 = { 56 57 8B F2 81 78 04 B2 D7 00 00 75 2E 8B 78 14 03 78 0C 8B 50 08 2B 50 0C 3B D1 7F 16 01 50 0C 2B CA 50 51 8B CA F3 A4 FF 50 1C 85 C0 75 33 59 58 EB DA 01 48 0C F3 A4 5F 5E C3 3D ?? ?? ?? ?? 75 14 51 52 50 E8 ?? ?? ?? ?? 58 5A 59 81 78 04 B2 D7 00 00 74 B7 B8 69 00 00 00 E8 ?? ?? ?? ?? EB D6 E8 ?? ?? ?? ?? 59 58 EB CD }
	condition:
		$1
}

rule function_18338_0 {
	meta:
		name = "@WriteSpaces"
		size = 57
		refs = "0003 _DV_ 001c @GetTls 0022 InOutRes"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? 83 F9 40 7E 21 83 E9 40 50 51 B9 40 00 00 00 E8 7A FF FF FF E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 0D 59 58 EB D5 85 C9 0F 8F 60 FF FF FF C3 59 58 C3 }
	condition:
		$1
}

rule function_18339_0 {
	meta:
		name = "@Write0String"
		size = 10
	strings:
		$1 = { 33 C9 8A 0A 42 E9 52 FF FF FF }
	condition:
		$1
}

rule function_18340_0 {
	meta:
		name = "@WriteString"
		size = 29
	strings:
		$1 = { 53 33 DB 8A 1A 2B CB 7E 0B 50 52 8B D1 E8 AB FF FF FF 5A 58 8B CB 5B 42 E9 35 FF FF FF }
	condition:
		$1
}

rule function_18341_0 {
	meta:
		name = "@WriteLn"
		size = 20
		refs = "0001 _DV_ 0010 @Flush"
	strings:
		$1 = { BA ?? ?? ?? ?? B9 02 00 00 00 E8 26 FF FF FF E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_18342_0 {
	meta:
		name = "@Write0Char"
		size = 82
		refs = "0028 Output 0031 @RewritText 0046 SetInOutRes"
	strings:
		$1 = { 81 78 04 B2 D7 00 00 75 1E 8B 48 0C 3B 48 08 7D 09 03 48 14 88 11 FF 40 0C C3 50 52 FF 50 1C 85 C0 75 27 5A 58 EB E2 3D ?? ?? ?? ?? 75 12 52 50 E8 ?? ?? ?? ?? 58 5A 81 78 04 B2 D7 00 00 74 C9 B8 69 00 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 58 C3 }
	condition:
		$1
}

rule function_18343_0 {
	meta:
		name = "@WriteChar"
		size = 23
	strings:
		$1 = { 52 8D 51 FF E8 31 FF FF FF 8B D4 B9 01 00 00 00 E8 BA FE FF FF 5A C3 }
	condition:
		$1
}

rule function_18344_0 {
	meta:
		name = "@Write0CString"
		size = 4
	strings:
		$1 = { 33 C9 EB 00 }
	condition:
		$1
}

rule function_18345_0 {
	meta:
		name = "@WriteCString"
		size = 42
	strings:
		$1 = { 56 57 8B F0 51 8B FA 83 C9 FF B0 00 F2 AE F7 D1 49 8B FA 5A 2B D1 8B C6 51 E8 01 FF FF FF 59 8B C6 8B D7 5F 5E E9 8A FE FF FF }
	condition:
		$1
}

rule function_18347_0 {
	meta:
		name = "@Str0Ext"
		size = 12
	strings:
		$1 = { 8B C8 B8 17 00 00 00 83 CA FF EB 07 }
	condition:
		$1
}

rule function_18348_0 {
	meta:
		name = "@Str1Ext"
		size = 7
	strings:
		$1 = { 8B CA 83 CA FF EB 00 }
	condition:
		$1
}

rule function_18349_0 {
	meta:
		name = "@Str2Ext"
		size = 625
		refs = "00f8 _DF_ 0255 @Pow10"
	strings:
		$1 = { DB 6C 24 04 53 56 57 8B D8 8B F2 51 81 EC 00 01 00 00 81 FB FF 00 00 00 7E 05 BB FF 00 00 00 D9 C0 DB 3C 24 33 C0 66 8B 44 24 08 8B F8 C1 EF 0F 66 25 FF 7F 66 3D FF 7F 0F 84 3E 01 00 00 D9 E1 85 F6 0F 8D A1 00 00 00 E8 DE 01 00 00 8B F3 83 EE 08 83 FE 02 7D 07 BE 02 00 00 00 EB 0A 83 FE 12 7E 05 BE 12 00 00 00 8B D4 50 8B C6 E8 4F 01 00 00 8B D7 8B BC 24 04 01 00 00 88 1F 47 B0 20 8B CB 2B CE 83 E9 08 7E 02 F3 AA 28 4F FF 84 D2 74 02 B0 2D AA 58 8B CE 8B F4 80 3E 30 74 02 40 4E 46 A4 C6 07 2E 47 49 F3 A4 C6 07 45 B1 2B 85 C0 7D 04 B1 2D F7 D8 88 4F 01 33 D2 66 B9 0A 00 66 F7 F1 80 C2 30 88 57 05 33 D2 66 F7 F1 80 C2 30 88 57 04 33 D2 66 F7 F1 80 C2 30 88 57 03 04 30 88 47 02 E9 86 00 00 00 81 FE D8 00 00 00 7E 05 BE D8 00 00 00 DC 15 ?? ?? ?? ?? 9B DF E0 9E B8 00 00 00 00 72 0E E8 1F 01 00 00 83 F8 23 0F 8F 38 FF FF FF 40 8B D4 50 03 C6 E8 A1 00 00 00 58 8B D6 8B F4 80 3E 30 74 02 40 4E 46 8B C8 03 CF 85 D2 74 09 41 03 CA 3B D9 7F 02 8B D9 50 57 8B BC 24 08 01 00 00 88 1F 47 2B D9 8B CB 7E 04 B0 20 F3 AA 28 4F FF 58 59 85 C0 74 04 C6 07 2D 47 F3 A4 85 D2 74 08 C6 07 2E 47 8B CA F3 A4 81 C4 00 01 00 00 59 5F 5E 5B C2 0C 00 DD D8 81 7C 24 04 00 00 00 80 BE ?? ?? ?? ?? 75 0D 4F BE ?? ?? ?? ?? 75 05 BE ?? ?? ?? ?? 8B F9 8B CB 88 0F 47 2A 0E 76 04 B0 20 F3 AA 28 4F FF 8A 0E 46 F3 A4 EB BC 03 4E 61 6E 04 2B 49 6E 66 04 2D 49 6E 66 57 8B FA 8B C8 83 EC 0A C6 07 30 DC 0D ?? ?? ?? ?? D9 FC DC 15 ?? ?? ?? ?? 9B DF E0 9E 72 09 DC 25 ?? ?? ?? ?? C6 07 31 DF 34 24 BA 08 00 00 00 47 9B 8A 04 14 8A E0 C0 E8 04 80 E4 0F 66 05 30 30 66 AB 4A 79 EB 83 E9 12 7C 06 B0 30 F3 AA EB 14 03 F9 80 3F 35 7C 0D 4F FE 07 80 3F 39 7E 05 C6 07 30 EB F3 83 C4 0A 5F C3 53 83 EC 0C 33 DB D9 C0 DB 3C 24 66 8B 44 24 08 66 85 C0 74 22 66 2D FF 3F 66 BA 10 4D 66 F7 EA 0F BF C2 F7 D8 74 09 2B D8 E8 ?? ?? ?? ?? EB D6 83 C4 0C 8B C3 5B C3 83 7C 24 04 00 75 D7 83 3C 24 00 75 D1 EB EA }
	condition:
		$1
}

rule function_18350_0 {
	meta:
		name = "@ValExt"
		size = 257
		refs = "0044 @ValExt 00d9 @Pow10"
	strings:
		$1 = { 53 56 57 8B F0 50 D9 EE 33 C0 33 DB 33 FF 53 85 F6 0F 84 DB 00 00 00 8A 1E 46 80 FB 20 74 F8 B5 00 80 FB 2D 74 07 80 FB 2B 74 04 EB 05 FE C5 8A 1E 46 84 DB 0F 84 B9 00 00 00 80 EB 30 80 FB 09 77 18 DC 0D ?? ?? ?? ?? 89 1C 24 DA 04 24 8A 1E 46 84 DB 75 E5 EB 7D 90 90 90 80 FB FE 75 25 8A 1E 46 84 DB 74 6E 80 EB 30 80 FB 09 77 16 DC 0D ?? ?? ?? ?? 89 1C 24 DA 04 24 48 8A 1E 46 84 DB 75 E4 EB 50 80 FB 15 74 05 80 FB 35 75 65 8A 1E 46 B4 00 80 FB 2D 74 07 80 FB 2B 74 04 EB 05 FE C4 8A 1E 46 80 EB 30 80 FB 09 77 47 8B FB 8A 1E 46 84 DB 74 16 80 EB 30 80 FB 09 77 36 8D 3C BF 03 FF 03 FB 8A 1E 46 84 DB 75 EA FE CC 75 02 F7 DF 0F BE C0 03 C7 52 51 E8 ?? ?? ?? ?? 59 5A FE CD 74 0B 83 C4 08 33 F6 89 32 5F 5E 5B C3 D9 E0 EB F1 46 58 5B 2B F3 EB EF 00 00 00 00 00 00 24 40 }
	condition:
		$1
}

rule function_18352_0 {
	meta:
		name = "FPower10"
		size = 724
		refs = "001c @Pow10"
	strings:
		$1 = { 85 C0 7C 48 74 45 3D 00 14 00 00 0F 8D 7F 00 00 00 8B D0 83 E2 1F 8D 14 92 DB 2C 55 ?? ?? ?? ?? DE C9 C1 E8 05 74 24 8B D0 83 E2 0F 74 0C 8D 14 92 DB 2C 55 ?? ?? ?? ?? DE C9 C1 E8 04 74 0C 8D 04 80 DB 2C 45 ?? ?? ?? ?? DE C9 C3 F7 D8 3D 00 14 00 00 7D 42 8B D0 83 E2 1F 8D 14 92 DB 2C 55 ?? ?? ?? ?? DE F9 C1 E8 05 74 E0 8B D0 83 E2 0F 74 0C 8D 14 92 DB 2C 55 ?? ?? ?? ?? DE F9 C1 E8 04 74 C8 8D 04 80 DB 2C 45 ?? ?? ?? ?? DE F9 C3 DB 2D ?? ?? ?? ?? C3 D9 EE C3 00 00 00 00 00 00 00 80 FF 7F 00 00 00 00 00 00 00 80 FF 3F 00 00 00 00 00 00 00 A0 02 40 00 00 00 00 00 00 00 C8 05 40 00 00 00 00 00 00 00 FA 08 40 00 00 00 00 00 00 40 9C 0C 40 00 00 00 00 00 00 50 C3 0F 40 00 00 00 00 00 00 24 F4 12 40 00 00 00 00 00 80 96 98 16 40 00 00 00 00 00 20 BC BE 19 40 00 00 00 00 00 28 6B EE 1C 40 00 00 00 00 00 F9 02 95 20 40 00 00 00 00 40 B7 43 BA 23 40 00 00 00 00 10 A5 D4 E8 26 40 00 00 00 00 2A E7 84 91 2A 40 00 00 00 80 F4 20 E6 B5 2D 40 00 00 00 A0 31 A9 5F E3 30 40 00 00 00 04 BF C9 1B 8E 34 40 00 00 00 C5 2E BC A2 B1 37 40 00 00 40 76 3A 6B 0B DE 3A 40 00 00 E8 89 04 23 C7 8A 3E 40 00 00 62 AC C5 EB 78 AD 41 40 00 80 7A 17 B7 26 D7 D8 44 40 00 90 AC 6E 32 78 86 87 48 40 00 B4 57 0A 3F 16 68 A9 4B 40 00 A1 ED CC CE 1B C2 D3 4E 40 A0 84 14 40 61 51 59 84 52 40 C8 A5 19 90 B9 A5 6F A5 55 40 3A 0F 20 F4 27 8F CB CE 58 40 84 09 94 F8 78 39 3F 81 5C 40 E5 0B B9 36 D7 07 8F A1 5F 40 DF 4E 67 04 CD C9 F2 C9 62 40 96 22 81 45 40 7C 6F FC 65 40 9E B5 70 2B A8 AD C5 9D 69 40 D5 A6 CF FF 49 1F 78 C2 D3 40 A3 14 9B C5 16 AB B3 EF 3D 41 E0 8C E9 80 C9 47 BA 93 A8 41 AA 17 E6 7F 2B A1 16 B6 12 42 6B 55 27 39 8D F7 70 E0 7C 42 30 C9 3C E3 FF 96 52 8A E7 42 8E DE F9 9D FB EB 7E AA 51 43 8C 2F 6A 5C 19 FC 26 D2 BB 43 76 E3 CC F2 29 2F 84 81 26 44 D2 0A 90 DB 00 27 A4 9F 90 44 17 AA F8 AE 10 E3 C5 C4 FA 44 59 9C B0 E9 07 9C 8A F2 64 45 D4 F3 F7 EB E1 4A 7A 95 CF 45 62 A2 95 07 DC D8 3E B8 39 46 C7 91 0E A6 AE A0 19 E3 A3 46 17 0C 75 81 86 75 76 C9 48 4D E4 A7 93 39 3B 35 B8 B2 ED 53 E5 5D 3D C5 5D 3B 8B 9E 92 5A A6 F0 A1 20 C0 54 A5 8C 37 61 8B 5A 8B D8 25 5D 89 F9 DB 67 F8 F3 27 BF A2 C8 5D DD 80 6E 9B 97 20 8A 02 52 60 C4 25 75 F0 59 D5 6E 62 11 35 AE CA 7B }
	condition:
		$1
}

rule function_18353_0 {
	meta:
		name = "@Real2Ext"
		size = 45
	strings:
		$1 = { 8A 70 05 80 E6 80 8A 10 84 D2 74 1E 66 81 C2 7E 3F 52 8B 50 02 81 CA 00 00 00 80 52 8A 50 01 C1 E2 18 52 DB 2C 24 83 C4 0C C3 D9 EE C3 }
	condition:
		$1
}

rule function_18354_0 {
	meta:
		name = "@Ext2Real"
		size = 74
		refs = "0046 Error"
	strings:
		$1 = { 53 83 EC 0C DB 3C 24 5B 5A 59 C1 EB 18 80 D3 00 83 D2 00 66 83 D1 00 70 29 03 D2 66 03 C9 D1 DA 66 D1 E9 66 81 E9 7E 3F 7E 0E 84 ED 7F 14 88 08 88 58 01 89 50 02 5B C3 33 C9 89 08 66 89 48 04 5B C3 5B B0 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_18355_0 {
	meta:
		name = "@_llmul"
		size = 35
		altNames = "@_llmulo"
	strings:
		$1 = { 52 50 8B 44 24 10 F7 24 24 8B C8 8B 44 24 04 F7 64 24 0C 03 C8 8B 04 24 F7 64 24 0C 03 D1 59 59 C2 08 00 }
	condition:
		$1
}

rule function_18357_0 {
	meta:
		name = "@_lldiv"
		size = 120
	strings:
		$1 = { 55 53 56 57 33 FF 8B 5C 24 14 8B 4C 24 18 0B C9 75 08 0B D2 74 5C 0B DB 74 58 0B D2 79 0A F7 DA F7 D8 83 DA 00 83 CF 01 0B C9 79 0A F7 D9 F7 DB 83 D9 00 83 F7 01 8B E9 B9 40 00 00 00 57 33 FF 33 F6 D1 E0 D1 D2 D1 D6 D1 D7 3B FD 72 0B 77 04 3B F3 72 05 2B F3 1B FD 40 E2 E7 5B F7 C3 01 00 00 00 74 07 F7 DA F7 D8 83 DA 00 5F 5E 5B 5D C2 08 00 F7 F3 33 D2 EB F3 }
	condition:
		$1
}

rule function_18358_0 {
	meta:
		name = "@_lldivo"
		size = 50
	strings:
		$1 = { 56 8B 74 24 0C 23 74 24 08 83 FE FF 75 11 8B F0 0B F2 81 FE 00 00 00 80 75 05 8B C6 5E 48 C3 5E FF 74 24 08 FF 74 24 08 E8 5B FF FF FF 23 C0 C2 08 00 }
	condition:
		$1
}

rule function_18359_0 {
	meta:
		name = "@_lludiv"
		size = 73
	strings:
		$1 = { 55 53 56 57 8B 5C 24 14 8B 4C 24 18 0B C9 75 08 0B D2 74 2F 0B DB 74 2B 8B E9 B9 40 00 00 00 33 FF 33 F6 D1 E0 D1 D2 D1 D6 D1 D7 3B FD 72 0B 77 04 3B F3 72 05 2B F3 1B FD 40 E2 E7 5F 5E 5B 5D C2 08 00 F7 F3 33 D2 EB F3 }
	condition:
		$1
}

rule function_18360_0 {
	meta:
		name = "@_llmod"
		size = 122
	strings:
		$1 = { 55 53 56 57 33 FF 8B 5C 24 14 8B 4C 24 18 0B C9 75 08 0B D2 74 5D 0B DB 74 59 0B D2 79 0A F7 DA F7 D8 83 DA 00 83 CF 01 0B C9 79 07 F7 D9 F7 DB 83 D9 00 8B E9 B9 40 00 00 00 57 33 FF 33 F6 D1 E0 D1 D2 D1 D6 D1 D7 3B FD 72 0B 77 04 3B F3 72 05 2B F3 1B FD 40 E2 E7 8B C6 8B D7 5B F7 C3 01 00 00 00 74 07 F7 DA F7 D8 83 DA 00 5F 5E 5B 5D C2 08 00 F7 F3 92 33 D2 EB F2 }
	condition:
		$1
}

rule function_18361_0 {
	meta:
		name = "@_llmodo"
		size = 50
	strings:
		$1 = { 56 8B 74 24 0C 23 74 24 08 83 FE FF 75 11 8B F0 0B F2 81 FE 00 00 00 80 75 05 8B C6 5E 48 C3 5E FF 74 24 08 FF 74 24 08 E8 59 FF FF FF 23 C0 C2 08 00 }
	condition:
		$1
}

rule function_18362_0 {
	meta:
		name = "@_llumod"
		size = 78
	strings:
		$1 = { 55 53 56 57 8B 5C 24 14 8B 4C 24 18 0B C9 75 08 0B D2 74 33 0B DB 74 2F 8B E9 B9 40 00 00 00 33 FF 33 F6 D1 E0 D1 D2 D1 D6 D1 D7 3B FD 72 0B 77 04 3B F3 72 05 2B F3 1B FD 40 E2 E7 8B C6 8B D7 5F 5E 5B 5D C2 08 00 F7 F3 92 33 D2 EB F2 }
	condition:
		$1
}

rule function_18363_0 {
	meta:
		name = "@_llshl"
		size = 56
	strings:
		$1 = { 80 F9 20 7C 11 80 F9 40 7C 05 33 D2 33 C0 C3 8B D0 D3 E2 33 C0 C3 0F A5 C2 D3 E0 C3 80 F9 20 7C 11 80 F9 40 7C 06 C1 FA 1F 8B C2 C3 8B C2 99 D3 F8 C3 0F AD D0 D3 FA C3 }
	condition:
		$1
}

rule function_18364_0 {
	meta:
		name = "@_llushr"
		size = 28
	strings:
		$1 = { 80 F9 20 7C 11 80 F9 40 7C 05 33 D2 33 C0 C3 8B C2 33 D2 D3 E8 C3 0F AD D0 D3 EA C3 }
	condition:
		$1
}

rule function_18365_0 {
	meta:
		name = "@ReadInt64"
		size = 85
		refs = "0009 @SeekEof 0018 @ReadChar 002e @ValInt64 003d SetInOutRes"
	strings:
		$1 = { 53 56 57 83 EC 24 8B F0 E8 ?? ?? ?? ?? FE C8 74 40 8B FC B3 20 8B C6 E8 ?? ?? ?? ?? 3C 20 76 28 AA FE CB 75 F0 C6 07 00 8B C4 52 8B D4 E8 ?? ?? ?? ?? 59 85 C9 74 0A B8 6A 00 00 00 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 3C 1A 74 D9 FF 4E 0C EB D4 33 C0 EB EC }
	condition:
		$1
}

rule function_18366_0 {
	meta:
		name = "Finalization"
		size = 103
		refs = "0007 Finalization 0013 _DV_3 001a Input 001f @Close 0024 Output 002e UninitAllocator 0033 EmptyParam 0038 @VarClr 003d Null 0047 Unassigned 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 37 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18367_0 {
	meta:
		name = "System"
		size = 248
		refs = "0007 System 0013 _DV_3 0021 ExitCode 0028 ErrorAddr 002f RandSeed 0035 FileMode 003c Test8086 0043 Test8087 004b Unassigned 0054 Null 005d EmptyParam 006f ClearAnyProc 0073 VarInvalidOp 0079 ChangeAnyProc 007d VarCastError 0083 RefAnyProc 008c @isNECWindows 0095 @FpuMaskInit 009a @FpuInit 009f Input 00a9 @Assign 00ae Output 00bd GetCommandLine 00c2 CmdLine 00c7 GetCmdShow 00cc CmdShow 00d1 GetCurrentThreadId 00d6 MainThreadID 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 BC 00 00 00 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 02 C6 05 ?? ?? ?? ?? 02 C6 05 ?? ?? ?? ?? 03 66 C7 05 ?? ?? ?? ?? 00 00 66 C7 05 ?? ?? ?? ?? 01 00 66 C7 05 ?? ?? ?? ?? 0A 00 C7 05 ?? ?? ?? ?? 04 00 02 80 C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_18369_0 {
	meta:
		name = "DivMod"
		size = 28
	strings:
		$1 = { 55 8B EC 53 89 D3 89 C2 C1 EA 10 66 F7 F3 8B 5D 08 66 89 01 66 89 13 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18371_0 {
	meta:
		name = "ConvertErrorFmt"
		size = 34
		refs = "0010 _DV_EConvertError 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18372_0 {
	meta:
		name = "AllocMem"
		size = 29
		refs = "0007 @GetMem 0014 @FillChar"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18373_0 {
	meta:
		name = "DoExitProc"
		size = 42
		refs = "0002 ExitProcList 0010 ExitProc 0022 @FreeMem"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? 8B 10 89 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 48 04 89 0A 8B 58 08 BA 0C 00 00 00 E8 ?? ?? ?? ?? FF D3 5B C3 }
	condition:
		$1
}

rule function_18374_0 {
	meta:
		name = "AddExitProc"
		size = 53
		refs = "0009 @GetMem 000f ExitProcList 0017 ExitProc 002f DoExitProc"
	strings:
		$1 = { 53 8B D8 B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 8B 15 ?? ?? ?? ?? 8B 12 89 50 04 89 58 08 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18375_0 {
	meta:
		name = "NewStr"
		size = 48
		refs = "000a NullStr 0012 String 001c @New 0027 @LStrAsg"
	strings:
		$1 = { 53 56 8B F0 85 F6 75 08 8B 1D ?? ?? ?? ?? EB 1B 8B 15 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_18376_0 {
	meta:
		name = "DisposeStr"
		size = 27
		refs = "000e String 0015 @Dispose"
	strings:
		$1 = { 53 8B D8 85 DB 74 12 83 3B 00 74 0D 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18377_0 {
	meta:
		name = "AssignStr"
		size = 29
		refs = "000c NewStr 0015 DisposeStr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 33 8B C7 E8 ?? ?? ?? ?? 89 03 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18378_0 {
	meta:
		name = "AppendStr"
		size = 18
		refs = "000b @LStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19761_0 {
	meta:
		name = "AssignLongStr"
		size = 18
		refs = "000b @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19773_0 {
	meta:
		name = "AssignVariant"
		size = 18
		refs = "000b @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19764_0 {
	meta:
		name = "AssignWideStr"
		size = 18
		refs = "000b @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18485_0 {
	meta:
		name = "FormatVarToStr"
		size = 18
		refs = "000b @VarToLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18379_0 {
	meta:
		name = "UpperCase"
		size = 58
		refs = "000a @LStrLen 0015 @LStrSetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 37 85 DB 74 15 8A 02 3C 61 72 06 3C 7A 77 02 2C 20 88 06 42 46 4B 85 DB 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18380_0 {
	meta:
		name = "LowerCase"
		size = 58
		refs = "000a @LStrLen 0015 @LStrSetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 37 85 DB 74 15 8A 02 3C 41 72 06 3C 5A 77 02 04 20 88 06 42 46 4B 85 DB 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18382_0 {
	meta:
		name = "CompareMem"
		size = 31
	strings:
		$1 = { 56 57 89 C6 89 D7 89 CA 31 C0 83 E2 03 D1 E9 D1 E9 F3 A7 75 07 89 D1 F3 A6 75 01 40 5F 5E C3 }
	condition:
		$1
}

rule function_18383_0 {
	meta:
		name = "CompareText"
		size = 83
	strings:
		$1 = { 56 57 53 89 C6 89 D7 09 C0 74 03 8B 40 FC 09 D2 74 03 8B 52 FC 89 C1 39 D1 76 02 89 D1 39 C9 F3 A6 74 2A 8A 5E FF 80 FB 61 72 08 80 FB 7A 77 03 80 EB 20 8A 7F FF 80 FF 61 72 08 80 FF 7A 77 03 80 EF 20 38 FB 74 D8 0F B6 C3 0F B6 D7 29 D0 5B 5F 5E C3 }
	condition:
		$1
}

rule function_18384_0 {
	meta:
		name = "AnsiUpperCase"
		size = 51
		refs = "000a @LStrLen 0013 @LStrToPChar 001e @LStrFromPCharLen 002b CharUpperBuff"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 85 DB 7E 09 53 8B 07 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18385_0 {
	meta:
		name = "AnsiLowerCase"
		size = 51
		refs = "000a @LStrLen 0013 @LStrToPChar 001e @LStrFromPCharLen 002b CharLowerBuff"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 85 DB 7E 09 53 8B 07 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18386_0 {
	meta:
		name = "AnsiCompareStr"
		size = 56
		refs = "0009 @LStrLen 0011 @LStrToPChar 002e CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_18387_0 {
	meta:
		name = "AnsiCompareText"
		size = 56
		refs = "0009 @LStrLen 0011 @LStrToPChar 002e CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_18388_0 {
	meta:
		name = "AnsiStrComp"
		size = 30
		refs = "0014 CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 6A FF 53 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_18389_0 {
	meta:
		name = "AnsiStrIComp"
		size = 30
		refs = "0014 CompareString"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 6A FF 53 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_18390_0 {
	meta:
		name = "AnsiStrLComp"
		size = 32
		refs = "0015 CompareString"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 53 57 53 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18391_0 {
	meta:
		name = "AnsiStrLIComp"
		size = 32
		refs = "0015 CompareString"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 53 57 53 56 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18392_0 {
	meta:
		name = "AnsiStrLower"
		size = 13
		refs = "0005 CharLower"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_18393_0 {
	meta:
		name = "AnsiStrUpper"
		size = 13
		refs = "0005 CharUpper"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_18394_0 {
	meta:
		name = "Trim"
		size = 77
		refs = "000b @LStrLen 002b @LStrClr 0044 @LStrCopy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 BB 01 00 00 00 EB 01 43 3B F3 7C 07 80 7C 1F FF 20 76 F4 3B F3 7D 0A 8B C5 E8 ?? ?? ?? ?? EB 17 4E 80 7C 37 FF 20 76 F8 55 8B CE 2B CB 41 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18395_0 {
	meta:
		name = "TrimLeft"
		size = 52
		refs = "000a @LStrLen 002c @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? BB 01 00 00 00 EB 01 43 3B C3 7C 07 80 7C 1E FF 20 76 F4 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18396_0 {
	meta:
		name = "TrimRight"
		size = 49
		refs = "000a @LStrLen 0029 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 01 4B 85 DB 7E 07 80 7C 1E FF 20 76 F4 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18397_0 {
	meta:
		name = "QuotedStr"
		size = 96
		refs = "000b @LStrLAsg 0012 @LStrLen 002b QuotedStr 0030 @LStrInsert 004d @LStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D8 83 FB 01 7C 1C 8B 06 80 7C 18 FF 27 75 0E 8B D6 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 85 DB 75 E4 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_18398_0 {
	meta:
		name = "AnsiQuotedStr"
		size = 291
		refs = "001d AnsiQuotedStr 002d @LStrToPChar 0035 AnsiStrScan 005c @LStrFromChar 007c @LStrCatN 0086 @LStrLen 0094 @LStrSetLength 00b9 Move 00de StrEnd 0110 @LStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B F9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8A 55 FB E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 43 46 8A 55 FB 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EE 85 F6 75 2D 8D 45 F4 8A 55 FB E8 ?? ?? ?? ?? FF 75 F4 FF 75 FC 8D 45 F0 8A 55 FB E8 ?? ?? ?? ?? FF 75 F0 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 78 8B 45 FC E8 ?? ?? ?? ?? 8B D0 03 D6 83 C2 02 8B C7 E8 ?? ?? ?? ?? 8B 3F 8A 45 FB 88 07 47 8B 75 FC 8A 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 43 8B CB 2B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 2B C6 03 F8 8A 45 FB 88 07 47 8B F3 8A 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D4 8B C6 E8 ?? ?? ?? ?? 8B D8 8B CB 2B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 2B DE 03 FB 8A 45 FB 88 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18399_0 {
	meta:
		name = "AnsiExtractQuotedStr"
		size = 253
		refs = "0010 @LStrClr 0035 AnsiStrScan 0060 StrEnd 0081 @LStrFromPCharLen 008f @LStrSetLength 0099 @LStrToPChar 00bd Move"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B F0 8B 04 24 E8 ?? ?? ?? ?? 83 3E 00 0F 84 DA 00 00 00 8B 06 3A 18 0F 85 D0 00 00 00 FF 06 BD 01 00 00 00 8B 3E 8B 06 8B D3 E8 ?? ?? ?? ?? 89 06 EB 16 FF 06 8B 06 3A 18 75 13 FF 06 45 8B 06 8B D3 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 E5 83 3E 00 75 09 8B C7 E8 ?? ?? ?? ?? 89 06 8B 06 2B C7 83 F8 01 0F 8E 84 00 00 00 83 FD 01 75 0F 8B C8 49 8B 04 24 8B D7 E8 ?? ?? ?? ?? EB 70 8B D0 2B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B E8 8B D3 8B C7 E8 ?? ?? ?? ?? 89 06 EB 2A FF 06 8B 06 3A 18 75 27 8B 0E 2B CF 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 06 2B C7 03 E8 FF 06 8B 3E 8B 06 8B D3 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 D1 83 3E 00 75 09 8B C7 E8 ?? ?? ?? ?? 89 06 8B 0E 2B CF 49 8B D5 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18400_0 {
	meta:
		name = "AdjustLineBreaks"
		size = 204
		refs = "000f @LStrLen 0044 LeadBytes 005a @LStrLAsg 006e @LStrFromPCharLen"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B DD 8B C5 E8 ?? ?? ?? ?? 8B F0 03 F3 33 FF 3B F3 76 33 8A 03 8B D0 80 EA 0A 74 07 80 EA 03 74 05 EB 0F 47 EB 1B 80 7B 01 0A 75 03 43 EB 12 47 EB 0F 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 01 43 43 3B F3 77 CD 85 FF 75 0C 8B 04 24 8B D5 E8 ?? ?? ?? ?? EB 66 8B DD 8B CE 2B CB 03 CF 8B 04 24 33 D2 E8 ?? ?? ?? ?? 8B 3C 24 8B 3F 3B F3 76 4B 8A 03 8B D0 80 EA 0A 74 07 80 EA 03 74 0D EB 1C C6 07 0D 47 C6 07 0A 47 43 EB 2C C6 07 0D 47 C6 07 0A 47 43 80 3B 0A 75 1E 43 EB 1B 8B D0 81 E2 FF 00 00 00 0F A3 15 ?? ?? ?? ?? 73 04 88 07 47 43 8A 03 88 07 47 43 3B F3 77 B5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18401_0 {
	meta:
		name = "IsValidIdent"
		size = 99
		refs = "000a @LStrLen"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 4B 8A 06 04 BF 2C 1A 72 0A 2C 04 74 06 04 FE 2C 1A 73 39 8B C6 E8 ?? ?? ?? ?? 83 E8 02 7C 2B 40 BF 02 00 00 00 8A 54 3E FF 80 C2 D0 80 EA 0A 72 15 80 C2 F9 80 EA 1A 72 0D 80 EA 04 74 08 80 C2 FE 80 EA 1A 73 06 47 48 75 DB B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18402_0 {
	meta:
		name = "IntToStr"
		size = 48
		refs = "0015 IntToStr 001a FmtStr"
	strings:
		$1 = { 83 C4 F8 6A 00 89 44 24 04 C6 44 24 08 00 8D 4C 24 04 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 00 00 00 FF FF FF FF 02 00 00 00 25 64 00 00 }
	condition:
		$1
}

rule function_18403_0 {
	meta:
		name = "IntToStr"
		size = 52
		refs = "0016 IntToStr 001b FmtStr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 6A 00 8D 55 08 89 55 F8 C6 45 FC 10 8D 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C2 08 00 00 00 00 FF FF FF FF 02 00 00 00 25 64 00 00 }
	condition:
		$1
}

rule function_18404_0 {
	meta:
		name = "IntToHex"
		size = 60
		refs = "001c IntToHex 0022 FmtStr"
	strings:
		$1 = { 83 C4 F0 6A 01 89 54 24 04 C6 44 24 08 00 89 44 24 0C C6 44 24 10 00 8D 44 24 04 BA ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 83 C4 10 C3 00 00 FF FF FF FF 04 00 00 00 25 2E 2A 78 00 00 00 00 }
	condition:
		$1
}

rule function_18405_0 {
	meta:
		name = "IntToHex"
		size = 64
		refs = "001f IntToHex 0024 FmtStr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 6A 01 89 45 F0 C6 45 F4 00 8D 45 08 89 45 F8 C6 45 FC 10 8D 4D F0 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 00 00 FF FF FF FF 04 00 00 00 25 2E 2A 78 00 00 00 00 }
	condition:
		$1
}

rule function_18406_0 {
	meta:
		name = "StrToInt"
		size = 119
		refs = "0013 StrToInt 0023 @ValLong 0033 SInvalidInteger 0038 LoadResString 004e ConvertErrorFmt 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7D FC 00 74 23 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18407_0 {
	meta:
		name = "StrToInt64"
		size = 125
		refs = "0012 StrToInt64 0022 @ValInt64 0036 SInvalidInteger 003b LoadResString 0051 ConvertErrorFmt 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 83 7D F4 00 74 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18408_0 {
	meta:
		name = "StrToIntDef"
		size = 22
		refs = "0007 @ValLong"
	strings:
		$1 = { 53 51 8B DA 8B D4 E8 ?? ?? ?? ?? 83 3C 24 00 74 02 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_18409_0 {
	meta:
		name = "StrToInt64Def"
		size = 50
		refs = "000a @ValInt64"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8D 55 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 83 7D F4 00 74 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18410_0 {
	meta:
		name = "EnumStringModules"
		size = 38
		refs = "0014 LoadString"
	strings:
		$1 = { 53 56 57 8B F8 8B DA 8B 43 08 50 8B 43 04 50 8B 03 50 57 E8 ?? ?? ?? ?? 8B F0 89 73 0C 85 F6 0F 94 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18411_0 {
	meta:
		name = "FindStringResource"
		size = 40
		refs = "0017 EnumStringModules 001c EnumResourceModules"
	strings:
		$1 = { 83 C4 F0 89 04 24 89 54 24 04 89 4C 24 08 33 C0 89 44 24 0C 8B D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 0C 83 C4 10 C3 }
	condition:
		$1
}

rule function_18412_0 {
	meta:
		name = "LoadStr"
		size = 46
		refs = "0016 FindStringResource 0021 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 00 FC FF FF 8B F2 8B D8 8B D4 B9 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 00 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_18413_0 {
	meta:
		name = "FmtLoadStr"
		size = 89
		refs = "0012 FmtLoadStr 0023 LoadStr 0030 FmtStr 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18414_0 {
	meta:
		name = "FileOpen"
		size = 62
		refs = "001e ShareMode 0029 AccessMode 0031 @LStrToPChar 0037 CreateFile"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 68 80 00 00 00 6A 03 6A 00 8B C3 25 F0 00 00 00 C1 E8 04 8B 04 85 ?? ?? ?? ?? 50 83 E3 03 8B 04 9D ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18415_0 {
	meta:
		name = "FileCreate"
		size = 36
		refs = "0018 @LStrToPChar 001e CreateFile"
	strings:
		$1 = { 53 8B D8 6A 00 68 80 00 00 00 6A 02 6A 00 6A 00 68 00 00 00 C0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18416_0 {
	meta:
		name = "FileRead"
		size = 44
		refs = "0015 ReadFile"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 6A 00 8D 44 24 04 50 57 56 53 E8 ?? ?? ?? ?? 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18417_0 {
	meta:
		name = "FileWrite"
		size = 44
		refs = "0015 WriteFile"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 6A 00 8D 44 24 04 50 57 56 53 E8 ?? ?? ?? ?? 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18418_0 {
	meta:
		name = "FileSeek"
		size = 11
		refs = "0006 SetFilePointer"
	strings:
		$1 = { 51 6A 00 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18419_0 {
	meta:
		name = "FileSeek"
		size = 56
		refs = "0023 SetFilePointer"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 56 8D 45 FC 50 8B 45 F8 50 53 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 55 FC 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_18421_0 {
	meta:
		name = "FileAge"
		size = 104
		refs = "0016 @LStrToPChar 001c FindFirstFile 0027 FindClose 0040 FileTimeToLocalFileTime 0051 FileTimeToDosDateTime"
	strings:
		$1 = { 55 8B EC 81 C4 B4 FE FF FF 53 8B D8 8D 85 B4 FE FF FF 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 34 50 E8 ?? ?? ?? ?? F6 85 B4 FE FF FF 10 75 25 8D 45 F4 50 8D 85 C8 FE FF FF 50 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 FE 50 8D 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 07 C7 45 FC FF FF FF FF 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18422_0 {
	meta:
		name = "FileExists"
		size = 16
		refs = "0006 FileAge"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 40 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_18423_0 {
	meta:
		name = "FileGetDate"
		size = 80
		refs = "0013 GetFileTime 0024 FileTimeToLocalFileTime 0039 FileTimeToDosDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8D 45 F4 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 85 C0 74 26 8D 45 EC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 85 C0 74 15 8D 45 FC 50 8D 45 FE 50 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 07 C7 45 FC FF FF FF FF 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18424_0 {
	meta:
		name = "FileSetDate"
		size = 88
		refs = "001e DosDateTimeToFileTime 002f LocalFileTimeToFileTime 0041 SetFileTime 004a GetLastError"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 FC 8B F0 33 DB 8D 45 F4 50 66 8B 45 FC 50 66 8B 45 FE 50 E8 ?? ?? ?? ?? 85 C0 74 23 8D 45 EC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 85 C0 74 12 8D 45 EC 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18426_0 {
	meta:
		name = "FileSetAttr"
		size = 40
		refs = "000d @LStrToPChar 0013 SetFileAttributes 001c GetLastError"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18427_0 {
	meta:
		name = "FindMatchingFile"
		size = 99
		refs = "0011 FindNextFile 001a GetLastError 002e FileTimeToLocalFileTime 003d FileTimeToDosDateTime 0059 @LStrFromArray"
	strings:
		$1 = { 53 83 C4 F8 8B D8 EB 18 8D 43 18 50 8B 43 14 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 3F 8B 43 18 23 43 10 75 E0 54 8D 43 2C 50 E8 ?? ?? ?? ?? 53 8D 43 02 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B 43 38 89 43 04 8B 43 18 89 43 08 8D 43 0C 8D 53 44 B9 04 01 00 00 E8 ?? ?? ?? ?? 33 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_18428_0 {
	meta:
		name = "FindFirst"
		size = 77
		refs = "0016 @LStrToPChar 001c FindFirstFile 002d FindMatchingFile 003a FindClose 0041 GetLastError"
	strings:
		$1 = { 53 56 57 8B D9 8B F8 F7 D2 83 E2 1E 89 53 10 8D 43 18 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 73 14 83 FE FF 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18429_0 {
	meta:
		name = "FindNext"
		size = 36
		refs = "000c FindNextFile 0017 FindMatchingFile 001e GetLastError"
	strings:
		$1 = { 53 8B D8 8D 43 18 50 8B 43 14 50 E8 ?? ?? ?? ?? 85 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18430_0 {
	meta:
		name = "FindClose"
		size = 15
		refs = "000a FindClose"
	strings:
		$1 = { 8B 50 14 83 FA FF 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18432_0 {
	meta:
		name = "RenameFile"
		size = 36
		refs = "0009 @LStrToPChar 0017 MoveFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_18433_0 {
	meta:
		name = "AnsiStrLastChar"
		size = 38
		refs = "0008 StrLen 0017 StrByteType"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 8D 3C 33 8B D6 8B C3 E8 ?? ?? ?? ?? 3C 02 75 01 4F 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18434_0 {
	meta:
		name = "AnsiLastChar"
		size = 46
		refs = "0008 @LStrLen 001b ByteType"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 14 8D 7C 1E FF 8B D3 8B C6 E8 ?? ?? ?? ?? 3C 02 75 05 4F EB 02 33 FF 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18435_0 {
	meta:
		name = "LastDelimiter"
		size = 77
		refs = "000b @LStrLen 0014 @LStrToPChar 002b StrScan 0038 ByteType"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B E8 85 FF 7E 28 8A 5C 3E FF 84 DB 74 1B 8B D3 8B C5 E8 ?? ?? ?? ?? 85 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? 3C 02 75 06 4F 4F 85 FF 7F D8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18436_0 {
	meta:
		name = "ChangeFileExt"
		size = 148
		refs = "0019 ChangeFileExt 002b LastDelimiter 0050 @LStrCopy 005d @LStrCat3 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 07 80 7C 1E FF 2E 74 05 BB FF FF FF 7F 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B CF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 03 00 00 00 2E 5C 3A 00 }
	condition:
		$1
}

rule function_18437_0 {
	meta:
		name = "ExtractFilePath"
		size = 52
		refs = "000a ExtractFilePath 000f LastDelimiter 0020 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_18438_0 {
	meta:
		name = "ExtractFileDir"
		size = 92
		refs = "000a ExtractFileDir 000f LastDelimiter 0033 ByteType 0047 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 22 80 7C 1E FF 5C 75 1B 8A 44 1E FE 2C 3A 74 04 2C 22 75 0E 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 3C 02 75 01 4B 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_18439_0 {
	meta:
		name = "ExtractFileDrive"
		size = 145
		refs = "000b @LStrLen 0028 @LStrCopy 0088 @LStrClr"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 83 F8 02 7C 1A 80 7B 01 3A 75 14 55 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 5E 8B C3 E8 ?? ?? ?? ?? 83 F8 02 7C 4B 80 3B 5C 75 46 80 7B 01 5C 75 40 33 FF BE 03 00 00 00 EB 0E 80 7C 33 FF 5C 75 01 47 83 FF 02 7D 01 46 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 05 83 FF 02 7C E2 80 7C 33 FF 5C 75 01 4E 55 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18440_0 {
	meta:
		name = "ExtractFileName"
		size = 56
		refs = "000a ExtractFileName 000f LastDelimiter 0021 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8D 56 01 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_18441_0 {
	meta:
		name = "ExtractFileExt"
		size = 72
		refs = "000a ExtractFileExt 000f LastDelimiter 002b @LStrCopy 0034 @LStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 18 80 7C 1E FF 2E 75 11 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 FF FF FF FF 03 00 00 00 2E 5C 3A 00 }
	condition:
		$1
}

rule function_18442_0 {
	meta:
		name = "ExpandFileName"
		size = 58
		refs = "001a @LStrToPChar 0020 GetFullPathName 002d @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 F8 FE FF FF 8B F2 8B D8 54 8D 44 24 08 50 68 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_18443_0 {
	meta:
		name = "GetUniversalName"
		size = 594
		refs = "0024 GetUniversalName 0035 @LStrLAsg 003b Win32Platform 005a @LStrToPChar 0060 WNetGetUniversalName 0078 @LStrFromPChar 0087 UpCase 00a6 @LStrLen 00da WNetOpenEnum 00ff @GetMem 0132 WNetEnumResource 014a @ReallocMem 0155 @TryFinallyExit 01ab @LStrCopy 01cf @LStrCat3 01fc @FreeMem 0202 @HandleFinally 021a WNetCloseEnum 023f @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FB FF FF 53 56 57 33 C9 89 8D DC FB FF FF 89 8D D8 FB FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 01 74 3F C7 45 EC 00 04 00 00 8D 45 EC 50 8D 85 E0 FB FF FF 50 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 BA 01 00 00 8B 45 F8 8D 95 E0 FB FF FF 8B 12 E8 ?? ?? ?? ?? E9 A5 01 00 00 8B 45 FC 8A 00 E8 ?? ?? ?? ?? 88 45 EB 80 7D EB 41 0F 82 8E 01 00 00 80 7D EB 5A 0F 87 84 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 F8 03 0F 8C 73 01 00 00 8B 45 FC 80 78 01 3A 0F 85 66 01 00 00 8B 45 FC 80 78 02 5C 0F 85 59 01 00 00 8D 45 E4 50 6A 00 6A 00 6A 01 6A 01 E8 ?? ?? ?? ?? 85 C0 0F 85 40 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 45 F4 40 06 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 45 F0 FF FF FF FF 8B 45 F4 89 45 EC 8D 45 EC 50 8B 45 E0 50 8D 45 F0 50 8B 45 E4 50 E8 ?? ?? ?? ?? 3D EA 00 00 00 75 13 8B 45 EC 89 45 F4 8D 45 E0 8B 55 F4 E8 ?? ?? ?? ?? EB C4 85 C0 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 00 00 00 8B 75 F0 4E 85 F6 7C A9 46 33 FF 8B C7 C1 E0 02 8B 55 E0 8D 1C C2 83 7B 10 00 74 60 8B 43 10 8A 00 E8 ?? ?? ?? ?? 3A 45 EB 75 51 8D 85 DC FB FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 DC FB FF FF 50 8D 85 D8 FB FF FF 8B 53 14 E8 ?? ?? ?? ?? 8B 95 D8 FB FF FF 8B 45 F8 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 47 4E 75 8B E9 2C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18444_0 {
	meta:
		name = "ExpandUNCFileName"
		size = 134
		refs = "000f ExpandUNCFileName 001e ExpandFileName 0025 @LStrLen 003b UpCase 0056 GetUniversalName 0060 @LStrLAsg 0075 @LStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 F8 03 7C 36 8B 03 80 78 01 3A 75 2E 8B 03 8A 00 E8 ?? ?? ?? ?? 3C 41 72 21 8B 03 8A 00 E8 ?? ?? ?? ?? 3C 5A 77 14 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18445_0 {
	meta:
		name = "ExtractFilePathNoDrive"
		size = 102
		refs = "000f ExtractFilePathNoDrive 001e ExtractFilePath 0029 ExtractFileDrive 0031 @LStrLen 0040 @LStrCopy 0055 @LStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 53 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 42 8B 03 B9 FF 7F 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18446_0 {
	meta:
		name = "SplitDirs"
		size = 107
		refs = "0026 LeadBytes 0038 UniqueString 0055 @LStrLen"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 BB 01 00 00 00 33 FF EB 3D 8B 06 8A 44 18 FF 8B D0 81 E2 FF 00 00 00 0F A3 15 ?? ?? ?? ?? 73 03 43 EB 22 8B 16 3C 5C 75 1C 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 00 8B C6 E8 ?? ?? ?? ?? 03 C3 8B 55 FC 89 04 BA 47 43 8B 06 E8 ?? ?? ?? ?? 3B D8 7E B8 4F 8B 45 08 89 38 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18447_0 {
	meta:
		name = "ExtractRelativePath"
		size = 428
		refs = "002b ExtractRelativePath 003f ExtractFileDrive 005f AnsiCompareText 0071 ExtractFilePathNoDrive 0093 SplitDirs 00c1 AnsiStrIComp 00d7 @LStrClr 00ee @LStrCat 0112 @LStrFromPChar 0129 @LStrCatN 013d ExtractFileName 0156 @LStrLAsg 0173 @LStrArrayClr 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FB FF FF 53 56 57 33 DB 89 9D D8 FB FF FF 89 9D D4 FB FF FF 89 5D F8 89 5D F4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 D8 FB FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 D8 FB FF FF 50 8D 95 D4 FB FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 D4 FB FF FF 5A E8 ?? ?? ?? ?? 85 C0 0F 85 E5 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 8D 95 E4 FD FF FF 8D 45 F8 B9 81 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 95 DC FB FF FF 8D 45 F4 B9 81 00 00 00 E8 ?? ?? ?? ?? 33 DB EB 18 8B 94 9D DC FB FF FF 8B 84 9D E4 FD FF FF E8 ?? ?? ?? ?? 85 C0 75 0B 43 3B 5D F0 7D 05 3B 5D EC 7C DE 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 7D F0 4F 2B F8 7C 10 47 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 75 F1 8B C3 8B 7D EC 4F 2B F8 7C 34 47 8D 9C 85 DC FB FF FF FF 36 8D 85 D8 FB FF FF 8B 13 E8 ?? ?? ?? ?? FF B5 D8 FB FF FF 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 04 4F 75 D4 8D 95 D8 FB FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 D8 FB FF FF 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 03 00 00 00 2E 2E 5C 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_18448_0 {
	meta:
		name = "ExtractShortPathName"
		size = 55
		refs = "0019 @LStrToPChar 001f GetShortPathName 002a @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 68 04 01 00 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_18449_0 {
	meta:
		name = "FileSearch"
		size = 192
		refs = "0014 @LStrLAsg 0020 @LStrLen 002a FileExists 0056 LeadBytes 0077 @LStrCopy 007f AnsiLastChar 0090 FileSearch 0095 @LStrCat 00a8 @LStrClr"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B F2 89 04 24 8B C5 8B 14 24 E8 ?? ?? ?? ?? BB 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 00 E8 ?? ?? ?? ?? 84 C0 75 7A EB 01 43 3B FB 7C 07 80 7C 1E FF 3B 74 F4 3B FB 7C 61 89 5C 24 04 EB 14 8A 44 1E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 01 43 43 3B FB 7C 07 80 7C 1E FF 3B 75 E1 55 8B CB 2B 4C 24 08 8B 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 45 00 E8 ?? ?? ?? ?? 8A 00 2C 3A 74 10 2C 22 74 0C 8B C5 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 8B 14 24 E8 ?? ?? ?? ?? EB 81 8B C5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_18450_0 {
	meta:
		name = "BackfillGetDiskFreeSpaceEx"
		size = 115
		refs = "0022 GetDiskFreeSpaceA 0044 @_llmul"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B 45 08 85 C0 75 02 33 C0 8D 55 F0 52 8D 55 F4 52 8D 55 F8 52 8D 55 FC 52 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC F7 6D F8 33 D2 89 45 E8 89 55 EC 8B 45 F4 33 D2 52 50 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8B 4D 0C 89 01 89 51 04 8B 45 F0 33 D2 52 50 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8B 4D 10 89 01 89 51 04 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_18451_0 {
	meta:
		name = "InternalGetDiskSpace"
		size = 47
		refs = "0027 GetDiskFreeSpaceEx"
	strings:
		$1 = { 56 83 C4 F8 33 F6 84 C0 76 16 04 40 88 04 24 C6 44 24 01 3A C6 44 24 02 5C C6 44 24 03 00 8B F4 6A 00 52 51 56 FF 15 ?? ?? ?? ?? 59 5A 5E C3 }
	condition:
		$1
}

rule function_18452_0 {
	meta:
		name = "DiskFree"
		size = 50
		refs = "000f InternalGetDiskSpace"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF 8B 04 24 8B 54 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_18453_0 {
	meta:
		name = "DiskSize"
		size = 50
		refs = "000f InternalGetDiskSpace"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF 8B 04 24 8B 54 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_18454_0 {
	meta:
		name = "FileDateToDateTime"
		size = 105
		refs = "002d EncodeDate 0054 EncodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 66 8B 75 FE 8B CE 66 83 E1 1F 0F B7 5D FE 8B D3 C1 EA 05 66 83 E2 0F 8B C3 C1 E8 09 66 05 BC 07 E8 ?? ?? ?? ?? DD 5D EC 9B 6A 00 66 8B 4D FC 66 83 E1 1F 03 C9 0F B7 7D FC 8B D7 C1 EA 05 66 83 E2 3F 8B C7 C1 E8 0B E8 ?? ?? ?? ?? DC 45 EC DD 5D F4 9B DD 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18455_0 {
	meta:
		name = "DateTimeToFileDate"
		size = 142
		refs = "0016 DecodeDate 0045 DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC FF 75 0C FF 75 08 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 66 81 7D FA BC 07 72 08 66 81 7D FA 33 08 76 07 33 C0 89 45 FC EB 54 FF 75 0C FF 75 08 8D 45 EE 50 8D 4D F0 8D 55 F2 8D 45 F4 E8 ?? ?? ?? ?? 0F B7 45 F0 D1 E8 66 8B 55 F2 C1 E2 05 66 0B C2 66 8B 55 F4 C1 E2 0B 66 0B C2 66 89 45 FC 66 8B 45 F8 C1 E0 05 66 0B 45 F6 66 8B 55 FA 66 81 EA BC 07 C1 E2 09 66 0B C2 66 89 45 FE 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18456_0 {
	meta:
		name = "GetCurrentDir"
		size = 39
		refs = "0010 GetCurrentDirectory 001b @LStrFromPCharLen"
	strings:
		$1 = { 53 81 C4 FC FE FF FF 8B D8 54 68 04 01 00 00 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_18458_0 {
	meta:
		name = "CreateDir"
		size = 26
		refs = "0008 @LStrToPChar 000e CreateDirectory"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5B C3 }
	condition:
		$1
}

rule function_18460_0 {
	meta:
		name = "StrLen"
		size = 23
	strings:
		$1 = { 89 FA 89 C7 B9 FF FF FF FF 30 C0 F2 AE B8 FE FF FF FF 29 C8 89 D7 C3 }
	condition:
		$1
}

rule function_18461_0 {
	meta:
		name = "StrEnd"
		size = 19
	strings:
		$1 = { 89 FA 89 C7 B9 FF FF FF FF 30 C0 F2 AE 8D 47 FF 89 D7 C3 }
	condition:
		$1
}

rule function_18462_0 {
	meta:
		name = "StrMove"
		size = 60
	strings:
		$1 = { 56 57 89 D6 89 C7 89 CA 39 F7 77 11 74 2B C1 E9 02 F3 A5 89 D1 83 E1 03 F3 A4 5F 5E C3 8D 74 0E FF 8D 7C 0F FF 83 E1 03 FD F3 A4 83 EE 03 83 EF 03 89 D1 C1 E9 02 F3 A5 FC 5F 5E C3 }
	condition:
		$1
}

rule function_18463_0 {
	meta:
		name = "StrCopy"
		size = 40
	strings:
		$1 = { 57 56 89 C6 89 D7 B9 FF FF FF FF 30 C0 F2 AE F7 D1 89 F7 89 D6 89 CA 89 F8 C1 E9 02 F3 A5 89 D1 83 E1 03 F3 A4 5E 5F C3 }
	condition:
		$1
}

rule function_18464_0 {
	meta:
		name = "StrECopy"
		size = 41
	strings:
		$1 = { 57 56 89 C6 89 D7 B9 FF FF FF FF 30 C0 F2 AE F7 D1 89 F7 89 D6 89 CA C1 E9 02 F3 A5 89 D1 83 E1 03 F3 A4 8D 47 FF 5E 5F C3 }
	condition:
		$1
}

rule function_18465_0 {
	meta:
		name = "StrLCopy"
		size = 49
	strings:
		$1 = { 57 56 53 89 C6 89 D7 89 CB 30 C0 85 C9 74 05 F2 AE 75 01 41 29 CB 89 F7 89 D6 89 FA 89 D9 C1 E9 02 F3 A5 89 D9 83 E1 03 F3 A4 AA 89 D0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_18466_0 {
	meta:
		name = "StrPCopy"
		size = 34
		refs = "0009 @LStrLen 0011 @LStrToPChar 001b StrLCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18467_0 {
	meta:
		name = "StrPLCopy"
		size = 31
		refs = "000c @LStrToPChar 0017 StrLCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18468_0 {
	meta:
		name = "StrCat"
		size = 25
		refs = "0009 StrEnd 0010 StrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_18469_0 {
	meta:
		name = "StrLCat"
		size = 35
		refs = "000a StrEnd 0019 StrLCopy"
	strings:
		$1 = { 57 56 53 89 C7 89 D6 89 CB E8 ?? ?? ?? ?? 89 F9 01 D9 29 C1 76 07 89 F2 E8 ?? ?? ?? ?? 89 F8 5B 5E 5F C3 }
	condition:
		$1
}

rule function_18470_0 {
	meta:
		name = "StrComp"
		size = 34
	strings:
		$1 = { 57 56 89 D7 89 C6 B9 FF FF FF FF 31 C0 F2 AE F7 D1 89 D7 31 D2 F3 A6 8A 46 FF 8A 57 FF 29 D0 5E 5F C3 }
	condition:
		$1
}

rule function_18471_0 {
	meta:
		name = "StrIComp"
		size = 64
	strings:
		$1 = { 57 56 89 D7 89 C6 B9 FF FF FF FF 31 C0 F2 AE F7 D1 89 D7 31 D2 F3 A6 74 24 8A 46 FF 80 F8 61 72 08 80 F8 7A 77 03 80 E8 20 8A 57 FF 80 FA 61 72 08 80 FA 7A 77 03 80 EA 20 29 D0 74 D8 5E 5F C3 }
	condition:
		$1
}

rule function_18472_0 {
	meta:
		name = "StrLComp"
		size = 39
	strings:
		$1 = { 57 56 53 89 D7 89 C6 89 CB 31 C0 09 C9 74 14 F2 AE 29 CB 89 D9 89 D7 31 D2 F3 A6 8A 46 FF 8A 57 FF 29 D0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_18473_0 {
	meta:
		name = "StrLIComp"
		size = 69
	strings:
		$1 = { 57 56 53 89 D7 89 C6 89 CB 31 C0 09 C9 74 32 F2 AE 29 CB 89 D9 89 D7 31 D2 F3 A6 74 24 8A 46 FF 80 F8 61 72 08 80 F8 7A 77 03 80 E8 20 8A 57 FF 80 FA 61 72 08 80 FA 7A 77 03 80 EA 20 29 D0 74 D8 5B 5E 5F C3 }
	condition:
		$1
}

rule function_18474_0 {
	meta:
		name = "StrScan"
		size = 32
	strings:
		$1 = { 57 50 89 C7 B9 FF FF FF FF 30 C0 F2 AE F7 D1 5F 88 D0 F2 AE B8 00 00 00 00 75 03 89 F8 48 5F C3 }
	condition:
		$1
}

rule function_18475_0 {
	meta:
		name = "StrRScan"
		size = 33
	strings:
		$1 = { 57 89 C7 B9 FF FF FF FF 30 C0 F2 AE F7 D1 FD 4F 88 D0 F2 AE B8 00 00 00 00 75 03 89 F8 40 FC 5F C3 }
	condition:
		$1
}

rule function_18476_0 {
	meta:
		name = "StrPos"
		size = 81
	strings:
		$1 = { 57 56 53 09 C0 74 44 09 D2 74 40 89 C3 89 D7 30 C0 B9 FF FF FF FF F2 AE F7 D1 49 74 2E 89 CE 89 DF B9 FF FF FF FF F2 AE F7 D1 29 F1 76 1D 89 DF 8D 5E FF 89 D6 AC F2 AE 75 11 89 C8 57 89 D9 F3 A6 5F 89 C1 75 ED 8D 47 FF EB 02 31 C0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_18477_0 {
	meta:
		name = "StrUpper"
		size = 31
	strings:
		$1 = { 56 89 C6 89 C2 AC 08 C0 74 12 80 F8 61 72 F6 80 F8 7A 77 F1 80 E8 20 88 46 FF EB E9 92 5E C3 }
	condition:
		$1
}

rule function_18478_0 {
	meta:
		name = "StrLower"
		size = 31
	strings:
		$1 = { 56 89 C6 89 C2 AC 08 C0 74 12 80 F8 41 72 F6 80 F8 5A 77 F1 80 C0 20 88 46 FF EB E9 92 5E C3 }
	condition:
		$1
}

rule function_18479_0 {
	meta:
		name = "StrPas"
		size = 18
		refs = "000b @LStrFromPChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18480_0 {
	meta:
		name = "StrAlloc"
		size = 20
		refs = "0009 @GetMem"
	strings:
		$1 = { 53 8B D8 83 C3 04 8B C3 E8 ?? ?? ?? ?? 89 18 83 C0 04 5B C3 }
	condition:
		$1
}

rule function_18481_0 {
	meta:
		name = "StrBufSize"
		size = 9
	strings:
		$1 = { 83 E8 04 8B 00 83 E8 04 C3 }
	condition:
		$1
}

rule function_18482_0 {
	meta:
		name = "StrNew"
		size = 42
		refs = "0010 StrLen 001a StrAlloc 0023 StrMove"
	strings:
		$1 = { 53 56 8B D8 85 DB 75 05 33 C0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B F0 46 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18483_0 {
	meta:
		name = "StrDispose"
		size = 15
		refs = "000a @FreeMem"
	strings:
		$1 = { 85 C0 74 0A 83 E8 04 8B 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18484_0 {
	meta:
		name = "FormatError"
		size = 88
		refs = "001c StrByteType 002c StrMove 0046 FormatErrorStrs 004d ConvertErrorFmt"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B D9 8B F2 8B F8 83 FB 1F 76 05 BB 1F 00 00 00 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 3C 01 75 01 4B 8B C4 8B CB 8B D6 E8 ?? ?? ?? ?? C6 04 1C 00 8B C4 89 44 24 20 C6 44 24 24 06 8D 54 24 20 8B 04 BD ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18487_0 {
	meta:
		name = "FormatBuf"
		size = 1015
		refs = "005e FormatBuf 00d4 FormatClearStr 01a6 FormatError 01fd @_llumod 021b @_lludiv 02d1 FormatVarToStr 02ef @LStrFromPWChar 02f6 @LStrFromWStr 03af CurrencyDecimals 03d3 FloatToText 03e2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 33 DB 89 5D F0 53 56 57 89 C7 89 CE 03 4D 10 89 7D FC 31 C0 89 45 F8 89 45 F4 89 45 F0 09 D2 74 0E 39 CE 74 0A AC 80 F8 25 74 0E AA 4A 75 F2 89 F8 2B 45 FC E9 A8 03 00 00 39 CE 74 F2 AC 80 F8 25 74 E8 8D 5E FE 89 5D EC 88 45 EB 80 F8 2D 75 05 39 CE 74 DA AC E8 ?? ?? ?? ?? 80 F8 3A 75 0A 89 5D F8 39 CE 74 C8 AC EB DF 89 5D E4 BB FF FF FF FF 80 F8 2E 75 0A 39 CE 74 B4 AC E8 ?? ?? ?? ?? 89 5D E0 89 75 DC 51 52 E8 ?? ?? ?? ?? 5A 8B 5D E4 29 CB 73 02 31 DB 80 7D EB 2D 75 0A 29 CA 73 04 01 D1 31 D2 F3 A4 87 CB 29 CA 73 04 01 D1 31 D2 B0 20 F3 AA 87 CB 29 CA 73 04 01 D1 31 D2 F3 A4 83 7D F4 00 74 0A 52 8D 45 F4 E8 ?? ?? ?? ?? 5A 59 8B 75 DC E9 42 FF FF FF 31 DB 80 F8 2A 74 22 80 F8 30 72 3C 80 F8 39 77 37 6B DB 0A 80 E8 30 0F B6 C0 01 C3 39 CE 74 03 AC EB E4 58 E9 2B FF FF FF 8B 45 F8 3B 45 08 77 12 FF 45 F8 8B 5D 0C 80 7C C3 04 00 8B 1C C3 74 02 31 DB 39 CE 74 DC AC C3 24 DF 88 C1 B8 01 00 00 00 8B 5D F8 3B 5D 08 77 5C FF 45 F8 8B 75 0C 8D 34 DE 8B 06 0F B6 5E 04 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 31 C0 E8 ?? ?? ?? ?? 8B 55 EC 8B 4D DC 29 D1 E8 ?? ?? ?? ?? 8D 5D D0 8B 10 89 13 8B 50 04 89 53 04 80 F9 44 74 11 80 F9 55 74 2A 80 F9 58 75 D0 B9 10 00 00 00 EB 23 F7 43 04 00 00 00 80 74 15 F7 1B 83 53 04 00 F7 5B 04 E8 ?? ?? ?? ?? B0 2D 41 4E 88 06 C3 B9 0A 00 00 00 8D 75 AF 51 6A 00 51 8B 03 8B 53 04 E8 ?? ?? ?? ?? 59 92 80 C2 30 80 FA 3A 72 03 80 C2 07 4E 88 16 51 6A 00 51 8B 03 8B 53 04 E8 ?? ?? ?? ?? 59 89 03 89 53 04 09 D0 75 CA 8D 4D AF 29 F1 8B 55 E0 83 FA 10 72 01 C3 29 CA 76 0A 01 D1 B0 30 4E 88 06 4A 75 FA C3 80 F9 44 74 15 80 F9 55 74 22 80 F9 58 0F 85 3D FF FF FF B9 10 00 00 00 EB 17 09 C0 79 0E F7 D8 E8 ?? ?? ?? ?? B0 2D 41 4E 88 06 C3 B9 0A 00 00 00 8D 75 9F 31 D2 F7 F1 80 C2 30 80 FA 3A 72 03 80 C2 07 4E 88 16 09 C0 75 EA 8D 4D 9F 29 F1 8B 55 E0 83 FA 10 72 01 C3 29 CA 76 0A 01 D1 B0 30 4E 88 06 4A 75 FA C3 80 F9 53 0F 85 E0 FE FF FF B9 01 00 00 00 C3 80 F9 53 0F 85 D1 FE FF FF 66 83 38 01 76 0F 89 C2 8D 45 F4 E8 ?? ?? ?? ?? 8B 75 F4 EB 42 31 C9 C3 80 F9 53 0F 85 B0 FE FF FF 89 C6 AC 0F B6 C8 EB 35 BE ?? ?? ?? ?? EB 05 BE ?? ?? ?? ?? 80 F9 53 0F 85 93 FE FF FF 89 C2 8D 45 F0 FF D6 8B 75 F0 89 F0 EB 0B 80 F9 53 0F 85 7C FE FF FF 89 C6 09 F6 74 BA 8B 4E FC 3B 4D E0 77 01 C3 8B 4D E0 C3 80 F9 53 0F 85 60 FE FF FF 89 C6 57 89 C7 30 C0 8B 4D E0 E3 05 F2 AE 75 01 4F 89 F9 29 F1 5F C3 80 F9 50 0F 85 40 FE FF FF C7 45 E0 08 00 00 00 B9 10 00 00 00 E9 10 FF FF FF B7 01 EB 02 B7 00 89 C6 B3 00 80 F9 47 74 3F B3 01 80 F9 45 74 38 B3 02 80 F9 46 74 12 B3 03 80 F9 4E 74 0B 80 F9 4D 0F 85 02 FE FF FF B3 04 B8 12 00 00 00 8B 55 E0 39 C2 76 25 BA 02 00 00 00 80 F9 4D 75 1B 0F B6 15 ?? ?? ?? ?? EB 12 8B 45 E0 BA 03 00 00 00 83 F8 12 76 05 B8 0F 00 00 00 53 50 52 8D 45 8F 89 F2 0F B6 CF E8 ?? ?? ?? ?? 89 C1 8D 75 8F C3 50 8D 45 F0 E8 ?? ?? ?? ?? 58 C3 E8 ?? ?? ?? ?? 5F 5E 5B 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18488_0 {
	meta:
		name = "StrFmt"
		size = 52
		refs = "000f StrLen 0023 FormatBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 57 8B 45 08 50 8B CE 8B C3 BA FF FF FF 7F E8 ?? ?? ?? ?? C6 04 03 00 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18489_0 {
	meta:
		name = "StrLFmt"
		size = 52
		refs = "000f StrLen 0023 FormatBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 45 08 50 8B CE 8B C3 8B D7 E8 ?? ?? ?? ?? C6 04 03 00 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_18490_0 {
	meta:
		name = "Format"
		size = 19
		refs = "000b FmtStr"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 91 87 D1 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_18491_0 {
	meta:
		name = "FmtStr"
		size = 200
		refs = "0020 @LStrLen 0056 FormatBuf 0076 @LStrClr 007f @LStrSetLength 00bc @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F4 53 56 89 4D F8 89 55 FC 8B F0 BB 02 10 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D3 85 D2 79 03 83 C2 03 C1 FA 02 8B CB 2B CA 3B C1 7D 24 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 08 50 8B 4D FC 8B D3 4A 8D 85 F6 EF FF FF E8 ?? ?? ?? ?? EB 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B D3 4A 3B C2 7C 43 EB 30 03 DB 8B C6 E8 ?? ?? ?? ?? 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 08 50 8B 4D FC 8B D3 4A 8B 06 E8 ?? ?? ?? ?? 8B D3 4A 3B C2 7D C9 8B D6 92 E8 ?? ?? ?? ?? EB 0E 8D 95 F6 EF FF FF 8B CE 91 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18492_0 {
	meta:
		name = "FloatToStr"
		size = 47
		refs = "0018 FloatToText 0024 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8B D8 6A 00 6A 0F 6A 00 8D 55 08 8D 45 C0 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18493_0 {
	meta:
		name = "CurrToStr"
		size = 47
		refs = "0018 FloatToText 0024 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8B D8 6A 00 6A 00 6A 00 8D 55 08 8D 45 C0 B1 01 E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18494_0 {
	meta:
		name = "FloatToStrF"
		size = 53
		refs = "001b FloatToText 0028 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F9 8B F2 8B D8 53 56 57 8D 55 0C 8D 45 C0 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_18495_0 {
	meta:
		name = "CurrToStrF"
		size = 53
		refs = "001c FloatToText 0028 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F9 8B F2 8B D8 53 6A 00 56 8D 55 08 8D 45 C0 B1 01 E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18496_0 {
	meta:
		name = "FormatFloat"
		size = 157
		refs = "001b FormatFloat 0028 @LStrLen 003a SFormatTooLong 003f LoadResString 004a ConvertError 0051 @LStrToPChar 0062 FloatToTextFmt 0071 @LStrFromPCharLen 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 C9 89 8D FC FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3D E0 00 00 00 7E 1B 8D 95 FC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 55 08 8D 85 00 FF FF FF 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 95 00 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18497_0 {
	meta:
		name = "FormatCurr"
		size = 157
		refs = "001b FormatCurr 0028 @LStrLen 003a SFormatTooLong 003f LoadResString 004a ConvertError 0051 @LStrToPChar 0062 FloatToTextFmt 0071 @LStrFromPCharLen 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 C9 89 8D FC FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3D E0 00 00 00 7E 1B 8D 95 FC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 55 08 8D 85 00 FF FF FF B1 01 E8 ?? ?? ?? ?? 8B C8 8D 95 00 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18498_0 {
	meta:
		name = "StrToFloat"
		size = 121
		refs = "0012 StrToFloat 001f @LStrToPChar 0029 TextToFloat 0035 SInvalidFloat 003a LoadResString 0050 ConvertErrorFmt 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F6 33 C9 E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18499_0 {
	meta:
		name = "StrToCurr"
		size = 121
		refs = "0012 StrToCurr 001f @LStrToPChar 0029 TextToFloat 0035 SInvalidFloat 003a LoadResString 0050 ConvertErrorFmt 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 B1 01 E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 89 5D EC C6 45 F0 0B 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DF 6D F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18500_0 {
	meta:
		name = "DateTimeToTimeStamp"
		size = 64
		refs = "000a FMSecsPerDay 0024 IMSecsPerDay"
	strings:
		$1 = { 55 8B EC 89 C1 DD 45 08 D8 0D ?? ?? ?? ?? 83 EC 08 DF 3C 24 9B 58 5A 09 D2 79 11 F7 DA F7 D8 83 DA 00 F7 35 ?? ?? ?? ?? F7 D8 EB 06 F7 35 ?? ?? ?? ?? 05 5A 95 0A 00 89 11 89 41 04 5D C2 08 00 }
	condition:
		$1
}

rule function_18501_0 {
	meta:
		name = "TimeStampToDateTime"
		size = 47
		refs = "000c IMSecsPerDay 0027 FMSecsPerDay"
	strings:
		$1 = { 8B 08 8B 40 04 2D 5A 95 0A 00 F7 2D ?? ?? ?? ?? 09 D2 79 07 29 C8 83 DA 00 EB 05 01 C8 83 D2 00 52 50 DF 2C 24 D8 35 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_18502_0 {
	meta:
		name = "MSecsToTimeStamp"
		size = 26
		refs = "000d IMSecsPerDay"
	strings:
		$1 = { 55 8B EC 89 C1 8B 45 08 8B 55 0C F7 35 ?? ?? ?? ?? 89 11 89 41 04 5D C2 08 00 }
	condition:
		$1
}

rule function_18503_0 {
	meta:
		name = "TimeStampToMSecs"
		size = 12
		refs = "0005 FMSecsPerDay"
	strings:
		$1 = { DB 40 04 D8 0D ?? ?? ?? ?? DA 00 C3 }
	condition:
		$1
}

rule function_18504_0 {
	meta:
		name = "DoEncodeTime"
		size = 112
		refs = "0053 DoEncodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B 75 0C C6 45 FF 00 66 83 F8 18 73 4D 66 83 FA 3C 73 47 66 83 F9 3C 73 41 66 81 FE E8 03 73 3A 0F B7 C0 69 C0 80 EE 36 00 0F B7 D2 69 D2 60 EA 00 00 03 C2 0F B7 D1 69 D2 E8 03 00 00 03 C2 0F B7 D6 03 C2 89 45 F8 DB 45 F8 D8 35 ?? ?? ?? ?? 8B 45 08 DD 18 9B C6 45 FF 01 8A 45 FF 5E 59 59 5D C2 08 00 00 80 CB A4 4C }
	condition:
		$1
}

rule function_18505_0 {
	meta:
		name = "EncodeTime"
		size = 120
		refs = "0018 EncodeTime 0032 DoEncodeTime 003e STimeEncodeError 0043 LoadResString 004b ConvertError 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 45 08 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18506_0 {
	meta:
		name = "DecodeTime"
		size = 92
		refs = "001d DateTimeToTimeStamp 002c DivMod"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 FC 50 FF 75 10 FF 75 0C 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FE 66 BA 60 EA E8 ?? ?? ?? ?? 56 8B CB 0F B7 45 FE 66 BA 3C 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 0F B7 45 FC 66 BA E8 03 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18507_0 {
	meta:
		name = "IsLeapYear"
		size = 57
	strings:
		$1 = { 53 56 8B C8 0F B7 C1 83 E0 03 85 C0 75 21 0F B7 D9 8B C3 BE 64 00 00 00 33 D2 F7 F6 85 D2 75 14 8B C3 B9 90 01 00 00 33 D2 F7 F1 85 D2 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_18508_0 {
	meta:
		name = "DoEncodeDate"
		size = 200
		refs = "001a IsLeapYear 0027 MonthDays"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B FA 66 89 45 FE C6 45 FD 00 66 8B 45 FE E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 34 C5 ?? ?? ?? ?? 66 83 7D FE 01 0F 82 86 00 00 00 66 81 7D FE 0F 27 77 7E 66 83 FF 01 72 78 66 83 FF 0C 77 72 66 83 FB 01 72 6C 0F B7 C7 66 3B 5C 46 FE 77 62 0F B7 C7 48 85 C0 7E 0E B9 01 00 00 00 66 03 5C 4E FE 41 48 75 F7 0F B7 4D FE 49 8B C1 BE 64 00 00 00 99 F7 FE 69 F1 6D 01 00 00 8B D1 85 D2 79 03 83 C2 03 C1 FA 02 03 F2 2B F0 8B C1 B9 90 01 00 00 99 F7 F9 03 F0 0F B7 C3 03 F0 81 EE 5A 95 0A 00 89 75 F8 DB 45 F8 8B 45 08 DD 18 9B C6 45 FD 01 8A 45 FD 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18509_0 {
	meta:
		name = "EncodeDate"
		size = 113
		refs = "0018 EncodeDate 002d DoEncodeDate 0039 SDateEncodeError 003e LoadResString 0046 ConvertError 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18510_0 {
	meta:
		name = "DecodeDate"
		size = 289
		refs = "001a DateTimeToTimeStamp 0068 DivMod 00cf IsLeapYear 00dc MonthDays"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F8 89 55 FC 8B F0 FF 75 0C FF 75 08 8D 45 EC E8 ?? ?? ?? ?? 8B 45 F0 85 C0 7F 1A 66 C7 06 00 00 8B 45 FC 66 C7 00 00 00 8B 45 F8 66 C7 00 00 00 E9 DA 00 00 00 48 66 BB 01 00 3D B1 3A 02 00 7C 11 2D B1 3A 02 00 66 81 C3 90 01 3D B1 3A 02 00 7D EF 8D 55 F6 52 8D 4D F4 66 BA AC 8E E8 ?? ?? ?? ?? 66 83 7D F4 04 75 0A 66 FF 4D F4 66 81 45 F6 AC 8E 66 6B 45 F4 64 66 03 D8 8D 45 F6 50 8D 4D F4 0F B7 45 F6 66 BA B5 05 E8 ?? ?? ?? ?? 66 8B 45 F4 C1 E0 02 66 03 D8 8D 45 F6 50 8D 4D F4 0F B7 45 F6 66 BA 6D 01 E8 ?? ?? ?? ?? 66 83 7D F4 04 75 0A 66 FF 4D F4 66 81 45 F6 6D 01 66 03 5D F4 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 14 C5 ?? ?? ?? ?? 66 B8 01 00 0F B7 C8 66 8B 4C 4A FE 66 89 4D F4 66 8B 4D F6 66 3B 4D F4 72 0B 66 8B 4D F4 66 29 4D F6 40 EB DF 66 89 1E 8B 55 FC 66 89 02 66 8B 45 F6 40 8B 55 F8 66 89 02 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18511_0 {
	meta:
		name = "DateTimeToSystemTime"
		size = 92
		refs = "0015 DecodeDate 0021 @TRUNC 0037 @_llmod 0053 DecodeTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8D 4B 06 8D 53 02 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 07 DD 45 08 E8 ?? ?? ?? ?? 83 E8 01 83 DA 00 85 D2 7D 07 F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 66 89 43 04 FF 75 0C FF 75 08 8D 43 0E 50 8D 4B 0C 8D 53 0A 8D 43 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_18512_0 {
	meta:
		name = "SystemTimeToDateTime"
		size = 65
		refs = "0012 EncodeDate 002d EncodeTime"
	strings:
		$1 = { 53 83 C4 F0 8B D8 66 8B 4B 06 66 8B 53 02 66 8B 03 E8 ?? ?? ?? ?? DD 5C 24 08 9B 66 8B 43 0E 50 66 8B 4B 0C 66 8B 53 0A 66 8B 43 08 E8 ?? ?? ?? ?? DC 44 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_18513_0 {
	meta:
		name = "DayOfWeek"
		size = 40
		refs = "0010 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC B9 07 00 00 00 99 F7 F9 8B C2 40 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_18514_0 {
	meta:
		name = "Date"
		size = 44
		refs = "0009 GetLocalTime 001d EncodeDate"
	strings:
		$1 = { 83 C4 E8 8D 44 24 08 50 E8 ?? ?? ?? ?? 66 8B 4C 24 0E 66 8B 54 24 0A 66 8B 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_18515_0 {
	meta:
		name = "Time"
		size = 50
		refs = "0009 GetLocalTime 0023 EncodeTime"
	strings:
		$1 = { 83 C4 E8 8D 44 24 08 50 E8 ?? ?? ?? ?? 66 8B 44 24 16 50 66 8B 4C 24 18 66 8B 54 24 16 66 8B 44 24 14 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_18516_0 {
	meta:
		name = "Now"
		size = 33
		refs = "0004 Date 000e Time"
	strings:
		$1 = { 83 C4 F0 E8 ?? ?? ?? ?? DD 5C 24 08 9B E8 ?? ?? ?? ?? DC 44 24 08 DD 1C 24 9B DD 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_18517_0 {
	meta:
		name = "IncMonth"
		size = 192
		refs = "0028 DecodeDate 0069 IsLeapYear 0076 MonthDays 009e EncodeDate 00aa @FRAC"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 85 DB 7C 07 BE 01 00 00 00 EB 03 83 CE FF FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 8B C3 B9 0C 00 00 00 99 F7 F9 66 01 45 F6 8B C3 B9 0C 00 00 00 99 F7 F9 8B DA 66 01 5D F4 66 8B 45 F4 48 66 83 F8 0B 76 0F 8B C6 66 01 45 F6 66 69 C0 F4 FF 66 01 45 F4 66 8B 45 F6 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 C5 ?? ?? ?? ?? 0F B7 55 F4 66 8B 54 50 FE 66 3B 55 F2 73 08 0F B7 4D F4 66 89 55 F2 66 8B 4D F2 66 8B 55 F4 66 8B 45 F6 E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 08 E8 ?? ?? ?? ?? DC 45 E8 DD 5D F8 9B DD 45 F8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18518_0 {
	meta:
		name = "CurrentYear"
		size = 17
		refs = "0005 GetLocalTime"
	strings:
		$1 = { 83 C4 F0 54 E8 ?? ?? ?? ?? 66 8B 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_18519_0 {
	meta:
		name = "AppendChars"
		size = 66
		refs = "0032 Move"
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 BB 00 01 00 00 2B 99 FC FE FF FF 3B D3 7D 02 8B DA 85 DB 74 1A 8B 55 08 8B 92 FC FE FF FF 8B 4D 08 8D 94 11 00 FF FF FF 8B CB E8 ?? ?? ?? ?? 8B 45 08 01 98 FC FE FF FF 5B 5D C3 }
	condition:
		$1
}

rule function_18520_0 {
	meta:
		name = "AppendString"
		size = 30
		refs = "000d @LStrLen 0016 AppendChars"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_18521_0 {
	meta:
		name = "AppendNumber"
		size = 73
		refs = "0027 Format 0034 FormatBuf 003e AppendChars"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F2 8B D8 8B 45 08 50 6A 04 89 75 E0 C6 45 E4 00 89 5D E8 C6 45 EC 00 8D 45 E0 50 6A 01 B9 ?? ?? ?? ?? 8D 45 F0 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18522_0 {
	meta:
		name = "GetCount"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 C0 FC 8B 10 EB 02 FF 00 8B 08 8A 09 8B 5D 08 3A 4B FB 74 F2 8B 00 2B C2 40 8B 55 08 89 42 F4 5B 5D C3 }
	condition:
		$1
}

rule function_18523_0 {
	meta:
		name = "GetDate"
		size = 56
		refs = "002b DecodeDate"
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 ED 00 75 2A 8B 45 08 8B 40 08 FF 70 0C FF 70 08 8B 45 08 8D 48 EE 8B 45 08 8D 50 F0 8B 45 08 83 C0 F2 E8 ?? ?? ?? ?? 8B 45 08 C6 40 ED 01 5D C3 }
	condition:
		$1
}

rule function_18524_0 {
	meta:
		name = "GetTime"
		size = 63
		refs = "0032 DecodeTime"
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 E3 00 75 31 8B 45 08 8B 40 08 FF 70 0C FF 70 08 8B 45 08 83 C0 E4 50 8B 45 08 8D 48 E6 8B 45 08 8D 50 E8 8B 45 08 83 C0 EA E8 ?? ?? ?? ?? 8B 45 08 C6 40 E3 01 5D C3 }
	condition:
		$1
}

rule function_18525_0 {
	meta:
		name = "ConvertEraString"
		size = 364
		refs = "001e ConvertEraString 002b @LStrClr 0059 @LStrLAsg 006d @LStrToPChar 0079 GetThreadLocale 007f GetDateFormat 0099 @LStrFromArray 00a6 SysLocale 00bf CharToByteLen 00cd @LStrCopy 00e0 @LStrLen 00e9 ByteToCharLen 00fa CharToByteIndex 0112 @LStrFromPChar 012d @LStrFromPCharLen 0153 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 33 C9 89 8D E8 FE FF FF 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 08 66 8B 40 F2 66 89 45 EC 8B 45 08 66 8B 40 F0 66 89 45 EE 8B 45 08 66 8B 40 EE 66 89 45 F2 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 01 00 00 8D 85 EC FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 A6 00 00 00 8B C3 8D 95 EC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 4E 0F 85 8D 00 00 00 66 A1 ?? ?? ?? ?? 66 83 E8 04 74 23 66 83 E8 0D 75 7B 53 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 5E 66 83 3D ?? ?? ?? ?? 01 75 54 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 03 E8 ?? ?? ?? ?? 83 F8 04 75 3F 8B 03 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 85 EC FE FF FF 03 F0 4E 8D 85 E8 FE FF FF 8B D6 E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B C3 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 67 67 00 00 }
	condition:
		$1
}

rule function_18526_0 {
	meta:
		name = "ConvertYearString"
		size = 264
		refs = "0018 ConvertYearString 0025 @LStrClr 0058 @LStrLAsg 007b @LStrToPChar 0087 GetThreadLocale 008d GetDateFormat 00a3 @LStrFromArray 00b5 @LStrLen 00c4 @LStrCopy 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 08 66 8B 40 F2 66 89 45 EC 8B 45 08 66 8B 40 F0 66 89 45 EE 8B 45 08 66 8B 40 EE 66 89 45 F2 83 FE 02 7F 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 01 00 00 8D 85 EC FE FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 33 8B C3 8D 95 EC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 4E 75 1E 8B 03 80 38 30 75 17 53 8B 03 E8 ?? ?? ?? ?? 8B C8 49 8B 03 BA 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 FF FF FF FF 02 00 00 00 79 79 00 00 FF FF FF FF 04 00 00 00 79 79 79 79 00 00 00 00 }
	condition:
		$1
}

rule function_18527_0 {
	meta:
		name = "AppendFormat"
		size = 1844
		refs = "0014 AppendFormat 0065 LeadBytes 013b GetCount 0142 GetDate 0166 AppendNumber 01a2 ConvertEraString 01ab AppendString 01cf ConvertYearString 021e ShortMonthNames 0238 LongMonthNames 028c DayOfWeek 0293 ShortDayNames 02b7 LongDayNames 02cb ShortDateFormat 02df LongDateFormat 02f7 GetTime 035e StrLIComp 045e ShortTimeFormat 0472 LongTimeFormat 04b7 AppendChars 0527 TimeAMString 0538 TimePMString 0651 DateSeparator 0667 TimeSeparator 06fe @LStrClr 0704 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 C5 06 00 00 8B 45 08 83 B8 F8 FE FF FF 02 0F 8D B5 06 00 00 8B 45 08 FF 80 F8 FE FF FF B3 20 C6 45 ED 00 C6 45 E3 00 C6 45 E2 00 E9 83 06 00 00 88 45 FB FF 45 FC 8A 45 FB 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 16 8B 45 FC 80 38 00 0F 84 6D 06 00 00 FF 45 FC B3 20 E9 56 06 00 00 8A 45 FB 8B D0 80 C2 9F 80 EA 1A 73 02 2C 20 8B D0 80 C2 BF 80 EA 1A 73 0D 3C 4D 75 07 80 FB 48 75 02 B0 4E 8B D8 25 FF 00 00 00 83 C0 DE 83 F8 37 0F 87 0D 06 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 0E 00 00 00 00 0E 00 00 00 00 00 00 00 0C 00 00 00 00 00 00 00 00 00 00 0D 00 00 00 00 00 00 0A 00 0B 05 03 00 02 06 00 00 00 00 04 07 00 00 00 00 08 09 00 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D F4 02 7F 23 8B 45 08 50 0F B7 45 F2 B9 64 00 00 00 33 D2 F7 F1 8B C2 BA 02 00 00 00 E8 ?? ?? ?? ?? 59 E9 67 05 00 00 8B 45 08 50 0F B7 45 F2 BA 04 00 00 00 E8 ?? ?? ?? ?? 59 E9 4F 05 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 55 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 DC E8 ?? ?? ?? ?? 59 E9 22 05 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 55 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 DC E8 ?? ?? ?? ?? 59 E9 F5 04 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 F4 48 83 E8 02 72 04 74 18 EB 30 8B 45 08 50 0F B7 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 C4 04 00 00 8B 45 08 50 0F B7 45 F0 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 AA 04 00 00 8B 45 08 50 0F B7 45 F0 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 90 04 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F4 48 83 E8 02 72 0A 74 25 48 74 46 48 74 67 EB 79 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 0F B7 45 EE 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 59 04 00 00 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 35 04 00 00 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 11 04 00 00 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 FD 03 00 00 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 E9 03 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 C6 45 E1 00 8B 75 FC E9 97 00 00 00 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 0D 46 80 3E 00 0F 84 89 00 00 00 46 EB 7C 33 C0 8A 06 83 F8 48 7F 13 74 7B 83 E8 22 74 63 83 E8 05 74 5E 83 E8 1A 74 0E EB 5F 83 E8 61 74 07 83 E8 07 74 60 EB 53 80 7D E1 00 75 4D BA ?? ?? ?? ?? B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 15 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 19 C6 45 E2 01 EB 13 8A 45 E1 34 01 88 45 E1 46 8A 06 84 C0 0F 85 5F FF FF FF 66 8B 45 EA 80 7D E2 00 74 15 66 85 C0 75 06 66 B8 0C 00 EB 0A 66 83 F8 0C 76 04 66 83 E8 0C 83 7D F4 02 7E 07 C7 45 F4 02 00 00 00 8B 55 08 52 0F B7 C0 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 ED 02 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D F4 02 7E 07 C7 45 F4 02 00 00 00 8B 45 08 50 0F B7 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 BC 02 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D F4 02 7E 07 C7 45 F4 02 00 00 00 8B 45 08 50 0F B7 45 E6 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 8B 02 00 00 55 E8 ?? ?? ?? ?? 59 83 7D F4 01 75 14 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 6A 02 00 00 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 56 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 75 FC 4E BA ?? ?? ?? ?? B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 28 66 83 7D EA 0C 72 03 83 C6 03 8B 45 08 50 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 83 45 FC 04 C6 45 E2 01 E9 0E 02 00 00 BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 28 66 83 7D EA 0C 72 03 83 C6 02 8B 45 08 50 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 83 45 FC 02 C6 45 E2 01 E9 D1 01 00 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 34 66 83 7D EA 0C 73 11 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0F 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 45 FC 03 C6 45 E2 01 E9 88 01 00 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 2F 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 45 FC 03 E9 44 01 00 00 BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 2F 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 45 FC 02 E9 00 01 00 00 8B 45 08 50 8D 45 FB BA 01 00 00 00 E8 ?? ?? ?? ?? 59 E9 E9 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 66 83 7D EA 00 75 12 66 83 7D E8 00 75 0B 66 83 7D E6 00 0F 84 B3 00 00 00 8B 45 08 50 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 8B 00 00 00 8B 45 08 50 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 75 8B 45 08 50 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 5F 8B 75 FC EB 1C 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 0B FF 45 FC 8B 45 FC 80 38 00 74 11 FF 45 FC 8B 45 FC 8A 00 84 C0 74 05 3A 45 FB 75 D6 8B 45 08 50 8B 55 FC 2B D6 8B C6 E8 ?? ?? ?? ?? 59 8B 45 FC 80 38 00 74 17 FF 45 FC EB 12 8B 45 08 50 8D 45 FB BA 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8A 00 84 C0 0F 85 70 F9 FF FF 8B 45 08 FF 88 F8 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 41 4D 2F 50 4D 00 00 00 41 2F 50 00 41 4D 50 4D 00 00 00 00 41 41 41 41 00 00 00 00 41 41 41 00 20 00 00 00 }
	condition:
		$1
}

rule function_18528_0 {
	meta:
		name = "DateTimeToString"
		size = 92
		refs = "0027 AppendFormat 0030 DateTimeToString 0049 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 8B DA 8B F0 33 C0 89 85 FC FE FF FF 33 C0 89 85 F8 FE FF FF 85 DB 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 95 00 FF FF FF 8B C6 8B 8D FC FE FF FF E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 00 00 00 43 00 00 00 }
	condition:
		$1
}

rule function_18529_0 {
	meta:
		name = "DateToStr"
		size = 24
		refs = "000b ShortDateFormat 0010 DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_18530_0 {
	meta:
		name = "TimeToStr"
		size = 24
		refs = "000b LongTimeFormat 0010 DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_18531_0 {
	meta:
		name = "DateTimeToStr"
		size = 20
		refs = "000c DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19357_0 {
	meta:
		name = "TCustomChartAxis.CalcYPosValue"
		size = 20
		refs = "000c TCustomChartAxis.InternalCalcPosValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_18532_0 {
	meta:
		name = "FormatDateTime"
		size = 19
		refs = "000b DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 92 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_18533_0 {
	meta:
		name = "ScanBlanks"
		size = 36
		refs = "000f @LStrLen"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1F EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 07 80 7C 1E FF 20 74 ED 89 1F 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18534_0 {
	meta:
		name = "ScanNumber"
		size = 145
		refs = "0021 ScanBlanks 0048 @LStrLen"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 C6 45 F7 00 8B 45 08 C6 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 5D FC 8B 1B 33 F6 EB 17 8B C6 03 C0 8D 04 80 33 D2 8A 54 1F FF 66 83 EA 30 66 03 C2 8B F0 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7F 11 8A 44 1F FF 04 D0 2C 0A 73 07 66 81 FE E8 03 72 CD 8B 45 FC 3B 18 7E 1D 8B C3 8B 55 FC 8B 12 2A C2 8B 55 08 88 02 8B 45 FC 89 18 8B 45 F8 66 89 30 C6 45 F7 01 8A 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18535_0 {
	meta:
		name = "ScanString"
		size = 137
		refs = "0019 ScanString 002f ScanBlanks 003a @LStrLen 0046 @LStrCopy 0050 AnsiCompareText 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 FF 74 3A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0B 8B C7 E8 ?? ?? ?? ?? 01 06 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18536_0 {
	meta:
		name = "ScanChar"
		size = 55
		refs = "0012 ScanBlanks 0019 @LStrLen"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 33 DB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 07 7C 0F 8B 07 8A 44 06 FF 3A 04 24 75 04 FF 07 B3 01 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18537_0 {
	meta:
		name = "GetDateOrder"
		size = 74
		refs = "003a @LStrLen"
	strings:
		$1 = { 53 56 57 8B F0 33 DB BF 01 00 00 00 EB 29 8A 44 3E FF 24 DF 2C 44 74 1A FE C8 74 0A 2C 08 74 0E 2C 0C 74 06 EB 10 B3 02 EB 1A B3 02 EB 16 33 DB EB 12 B3 01 EB 0E 47 8B C6 E8 ?? ?? ?? ?? 3B F8 7E CC 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18538_0 {
	meta:
		name = "ScanToNumber"
		size = 58
		refs = "0016 LeadBytes 0023 @LStrLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 EB 18 8B 03 8A 44 06 FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 02 FF 03 FF 03 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 0C 8B 03 8A 44 06 FF 04 D0 2C 0A 73 D1 5E 5B C3 }
	condition:
		$1
}

rule function_18539_0 {
	meta:
		name = "GetEraYearOffset"
		size = 82
		refs = "0012 EraNames 0017 EraYearOffsets 0023 @LStrToPChar 0031 AnsiStrPos"
	strings:
		$1 = { 53 56 57 55 51 8B E8 33 C0 89 04 24 BF 07 00 00 00 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 83 3B 00 74 29 8B C5 E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 74 07 8B 06 89 04 24 EB 09 83 C6 04 83 C3 04 4F 75 D2 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18540_0 {
	meta:
		name = "EraToYear"
		size = 91
		refs = "0009 SysLocale 0016 CurrentYear"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 83 3D ?? ?? ?? ?? 12 75 3A 83 FB 63 7F 24 E8 ?? ?? ?? ?? 0F B7 C8 8B 45 08 8B 40 FC 99 33 C2 2B C2 03 C8 8B C1 B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 8B 45 08 83 78 FC 00 7E 0E 8B 45 08 F7 58 FC EB 06 8B 45 08 FF 48 FC 8B 45 08 8B 40 FC 03 C3 5B 5D C3 }
	condition:
		$1
}

rule function_18541_0 {
	meta:
		name = "ScanDate"
		size = 824
		refs = "001c ScanDate 003d ShortDateFormat 0042 GetDateOrder 005d ScanToNumber 0070 @LStrCopy 007b Trim 0083 GetEraYearOffset 0098 AnsiPos 00a1 EraYearOffsets 00b4 ScanNumber 00c4 DateSeparator 00cb ScanChar 018a EraToYear 019a CurrentYear 01a4 TwoDigitYearCenturyWindow 0217 ScanBlanks 021d SysLocale 0234 @LStrPos 0241 ShortTimeFormat 0262 @LStrLen 028c TimeAMString 02a9 AnsiCompareText 02b6 TimePMString 02ea DoEncodeDate 0307 @LStrArrayClr 030d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 66 C7 45 EE 00 00 66 C7 45 EC 00 00 C6 45 E8 00 C6 45 F7 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 F6 33 C0 89 45 FC A1 ?? ?? ?? ?? 80 38 67 75 34 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 0B 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 FC EB 1C 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 08 A1 ?? ?? ?? ?? 89 45 FC 8D 45 EB 50 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 31 02 00 00 8B D3 8A 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 1A 02 00 00 8D 45 EA 50 8D 4D F2 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 02 02 00 00 8B D3 8A 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 8D 45 E9 50 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 01 00 00 8A 45 F6 2C 01 72 08 74 22 FE C8 74 3A EB 52 66 8B 7D F0 8A 45 E9 88 45 E8 66 8B 45 F4 66 89 45 EE 66 8B 45 F2 66 89 45 EC EB 36 66 8B 7D F0 8A 45 E9 88 45 E8 66 8B 45 F2 66 89 45 EE 66 8B 45 F4 66 89 45 EC EB 1A 66 8B 7D F4 8A 45 EB 88 45 E8 66 8B 45 F2 66 89 45 EE 66 8B 45 F0 66 89 45 EC 83 7D FC 00 7E 0E 55 0F B7 C7 E8 ?? ?? ?? ?? 59 8B F8 EB 70 80 7D E8 02 77 6A E8 ?? ?? ?? ?? 0F B7 C8 0F B7 05 ?? ?? ?? ?? 2B C8 8B C1 51 B9 64 00 00 00 99 F7 F9 59 66 6B C0 64 66 03 F8 66 83 3D ?? ?? ?? ?? 00 76 3C 0F B7 C7 3B C8 7E 35 66 83 C7 64 EB 2F E8 ?? ?? ?? ?? 8B F8 80 7D F6 01 75 12 66 8B 45 F4 66 89 45 EC 66 8B 45 F2 66 89 45 EE EB 10 66 8B 45 F4 66 89 45 EE 66 8B 45 F2 66 89 45 EC 8B D3 8A 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 0F 84 B3 00 00 00 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9B 00 00 00 A1 ?? ?? ?? ?? 8A 00 04 D0 2C 0A 73 12 8B D3 8B C6 E8 ?? ?? ?? ?? E9 80 00 00 00 EB 02 FF 03 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 09 8B 03 80 7C 06 FF 20 75 EA 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 54 8D 45 E0 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2A 8D 45 E0 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 84 8B 45 F8 50 66 8B 4D EC 66 8B 55 EE 8B C7 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 F7 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 65 00 00 00 FF FF FF FF 03 00 00 00 64 64 64 00 }
	condition:
		$1
}

rule function_18542_0 {
	meta:
		name = "ScanTime"
		size = 444
		refs = "0017 TimeAMString 001e ScanString 0029 ScanTime 0040 TimePMString 006f ScanBlanks 0081 ScanNumber 0098 TimeSeparator 009f ScanChar 0194 DoEncodeTime"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B F2 8B E8 33 DB 83 CF FF 8B D6 8B 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 04 33 FF EB 2A 8B D6 8B 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 05 BF 0C 00 00 00 85 FF 7C 09 8B D6 8B C5 E8 ?? ?? ?? ?? 8D 44 24 0A 50 8D 4C 24 08 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 66 C7 44 24 06 00 00 8B D6 8A 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 44 24 0A 50 8D 4C 24 0A 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 0F 84 D9 00 00 00 66 C7 44 24 08 00 00 8B D6 8A 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 44 24 0A 50 8D 4C 24 0C 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 0F 84 A5 00 00 00 85 FF 7D 53 8B D6 8B 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 04 33 FF EB 2A 8B D6 8B 0D ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 74 05 BF 0C 00 00 00 85 FF 7C 24 66 83 7C 24 04 00 74 42 66 83 7C 24 04 0C 77 3A 66 83 7C 24 04 0C 75 07 66 C7 44 24 04 00 00 66 01 7C 24 04 8B D6 8B C5 E8 ?? ?? ?? ?? 6A 00 8B 44 24 04 50 66 8B 4C 24 10 66 8B 54 24 0E 66 8B 44 24 0C E8 ?? ?? ?? ?? 8B D8 8B C3 83 C4 0C 5D 5F 5E 5B C3 FF FF FF FF 02 00 00 00 41 4D 00 00 FF FF FF FF 02 00 00 00 50 4D 00 00 }
	condition:
		$1
}

rule function_18543_0 {
	meta:
		name = "StrToDate"
		size = 136
		refs = "0012 StrToDate 002c ScanDate 0037 @LStrLen 0044 SInvalidDate 0049 LoadResString 005f ConvertErrorFmt 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 8D 4D F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7C 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18544_0 {
	meta:
		name = "StrToTime"
		size = 136
		refs = "0012 StrToTime 002c ScanTime 0037 @LStrLen 0044 SInvalidTime 0049 LoadResString 005f ConvertErrorFmt 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 8D 4D F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7C 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18545_0 {
	meta:
		name = "StrToDateTime"
		size = 240
		refs = "0012 StrToDateTime 0034 ScanDate 003f @LStrLen 0051 ScanTime 0081 SInvalidDateTime 0086 LoadResString 009c ConvertErrorFmt 00d7 @LStrClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 E0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 33 C0 89 45 E4 89 45 E8 8D 4D EC 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7C 5A 8D 4D E4 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 C7 45 F4 01 00 00 00 8D 4D F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7C 49 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 89 5D D8 C6 45 DC 0B 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? EB 24 DD 45 EC D8 1D ?? ?? ?? ?? DF E0 9E 72 0C DD 45 EC DC 45 E4 DD 5D F8 9B EB 0A DD 45 EC DC 65 E4 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_18546_0 {
	meta:
		name = "SysErrorMessage"
		size = 75
		refs = "0020 FormatMessage 003f @LStrFromPCharLen"
	strings:
		$1 = { 53 81 C4 00 FF FF FF 8B DA 6A 00 68 00 01 00 00 8D 54 24 08 52 6A 00 50 6A 00 68 00 30 00 00 E8 ?? ?? ?? ?? EB 01 48 85 C0 7E 0E 8A 54 04 FF 80 EA 21 72 F2 80 EA 0D 74 ED 8B D4 8B CB 91 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_18547_0 {
	meta:
		name = "GetLocaleStr"
		size = 74
		refs = "001f GetLocaleInfo 0033 @LStrFromPCharLen 003e @LStrLAsg"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 8B F1 8B 5D 08 68 00 01 00 00 8D 8D 00 FF FF FF 51 52 50 E8 ?? ?? ?? ?? 85 C0 7E 12 8B C8 49 8D 95 00 FF FF FF 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18548_0 {
	meta:
		name = "GetLocaleChar"
		size = 40
		refs = "0014 GetLocaleInfo"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F2 8B F8 6A 02 8D 44 24 04 50 56 57 E8 ?? ?? ?? ?? 85 C0 7E 05 8A 04 24 EB 02 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18549_0 {
	meta:
		name = "LocalGetLocaleStr"
		size = 59
		refs = "001d GetLocaleStr 002f LoadResString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 53 8B 45 10 8B 40 FC 33 C9 8B D6 E8 ?? ?? ?? ?? 83 3B 00 75 0D 8B 45 FC 8B 04 B8 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_18550_0 {
	meta:
		name = "GetMonthDayNames"
		size = 284
		refs = "0012 GetMonthDayNames 001d GetThreadLocale 002a ShortMonthNames 002f LongMonthNames 003b DefShortMonthNames 0047 LocalGetLocaleStr 0052 @LStrAsg 005e DefLongMonthNames 008b ShortDayNames 0090 LongDayNames 00aa DefShortDayNames 00cf DefLongDayNames 0109 @LStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 FC BB 01 00 00 00 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 55 6A 0B 8D 45 F4 50 B9 ?? ?? ?? ?? 8B D3 4A 8D 43 44 48 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 55 6A 0B 8D 45 F4 50 B9 ?? ?? ?? ?? 8B D3 4A 8D 43 38 48 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 43 83 C7 04 83 C6 04 83 FB 0D 75 AE BB 01 00 00 00 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 8D 43 05 B9 07 00 00 00 99 F7 F9 89 55 F8 55 6A 06 8D 45 F4 50 B9 ?? ?? ?? ?? 8B D3 4A 8B 45 F8 83 C0 31 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 55 6A 06 8D 45 F4 50 B9 ?? ?? ?? ?? 8B D3 4A 8B 45 F8 83 C0 2A E8 ?? ?? ?? ?? 59 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 43 83 C7 04 83 C6 04 83 FB 08 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18551_0 {
	meta:
		name = "EnumEraNames"
		size = 57
		refs = "000a EraNames 001a @LStrFromPChar 0023 @LStrLen"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 BF ?? ?? ?? ?? BB 01 00 00 00 8D 44 9F FC 8B D6 E8 ?? ?? ?? ?? 8B 44 9F FC E8 ?? ?? ?? ?? 40 03 F0 43 80 3E 00 75 E3 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18552_0 {
	meta:
		name = "EnumEraYearOffsets"
		size = 72
		refs = "000b EraYearOffsets 001a @ValLong 0031 StrLen"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 BF ?? ?? ?? ?? BE 01 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 89 44 B7 FC 83 7D FC 00 74 06 33 C0 89 44 B7 FC 8B C3 E8 ?? ?? ?? ?? 40 03 D8 46 80 3B 00 75 D6 33 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18553_0 {
	meta:
		name = "GetEraNamesAndYearOffsets"
		size = 152
		refs = "000a GetEraNamesAndYearOffsets 0019 GetThreadLocale 0028 GetLocaleStr 0035 StrToIntDef 004f EnumEraNames 0054 EnumCalendarInfoA 0062 EnumEraYearOffsets 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 0B 10 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 83 C0 FD 83 E8 03 73 26 6A 04 53 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 53 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_18554_0 {
	meta:
		name = "TranslateDateFormat"
		size = 536
		refs = "0010 TranslateDateFormat 0022 @LStrClr 002b GetThreadLocale 003a GetLocaleStr 0047 StrToIntDef 0059 SysLocale 008c @LStrFromChar 0096 @LStrCat 009e @LStrLen 00b0 @LStrLAsg 00c5 LeadBytes 00d9 @LStrCopy 00fe StrLIComp 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 09 10 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C0 FD 83 E8 03 0F 82 3D 01 00 00 66 A1 ?? ?? ?? ?? 66 83 E8 04 74 0D 83 C0 F3 66 83 E8 02 72 04 33 C0 EB 02 B0 01 84 C0 74 35 EB 23 8A 44 1E FF 2C 47 74 1A 2C 20 74 16 8D 45 FC 8A 54 1E FF E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E D2 E9 F8 00 00 00 8B C7 8B D6 E8 ?? ?? ?? ?? E9 EA 00 00 00 8A 44 1E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 24 8D 45 FC 50 B9 02 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C3 02 E9 A5 00 00 00 BA ?? ?? ?? ?? 8D 44 1E FF B9 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 EB 7E BA ?? ?? ?? ?? 8D 44 1E FF B9 04 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 11 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 03 EB 56 BA ?? ?? ?? ?? 8D 44 1E FF B9 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 EB 30 8A 44 1E FF 2C 59 74 04 2C 20 75 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8D 45 FC 8A 54 1E FF E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 8E 16 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 01 00 00 00 31 00 00 00 67 67 00 00 FF FF FF FF 03 00 00 00 67 67 67 00 79 79 79 79 00 00 00 00 FF FF FF FF 04 00 00 00 65 65 65 65 00 00 00 00 79 79 00 00 FF FF FF FF 02 00 00 00 65 65 00 00 FF FF FF FF 01 00 00 00 65 00 00 00 }
	condition:
		$1
}

rule function_18555_0 {
	meta:
		name = "ExceptObject"
		size = 21
		refs = "0001 RaiseList"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 8B 40 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_18556_0 {
	meta:
		name = "ExceptAddr"
		size = 21
		refs = "0001 RaiseList"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 8B 40 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_18557_0 {
	meta:
		name = "ConvertAddr"
		size = 10
	strings:
		$1 = { 85 C0 74 05 2D 00 10 00 00 C3 }
	condition:
		$1
}

rule function_18558_0 {
	meta:
		name = "ExceptionErrorMessage"
		size = 396
		refs = "001e VirtualQuery 0042 GetModuleFileName 0057 HInstance 0066 ConvertAddr 0081 AnsiStrRScan 0094 StrLCopy 0099 ExceptionErrorMessage 00a6 _DV_Exception 00ab @IsClass 00b7 @LStrToPChar 00c0 StrLen 00e1 SException 00f1 FindResourceHInstance 00f7 LoadString 0104 TObject.ClassName 016e StrLFmt"
	strings:
		$1 = { 55 8B EC 81 C4 A8 FB FF FF 53 56 57 89 4D FC 8B DA 8B F0 6A 1C 8D 85 D0 FC FF FF 50 53 E8 ?? ?? ?? ?? 81 BD E0 FC FF FF 00 10 00 00 75 1C 68 05 01 00 00 8D 85 EE FD FF FF 50 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 25 68 05 01 00 00 8D 85 EE FD FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 EB 09 2B 9D D4 FC FF FF 89 5D F8 8D 85 EE FD FF FF B2 5C E8 ?? ?? ?? ?? 8B D0 42 8D 85 F3 FE FF FF B9 04 01 00 00 E8 ?? ?? ?? ?? BB ?? ?? ?? ?? BF ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 80 7C 03 FF 2E 74 05 BF ?? ?? ?? ?? 68 00 01 00 00 8D 85 EE FC FF FF 50 A1 ?? ?? ?? ?? 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 95 A8 FB FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 A8 FB FF FF 89 85 A8 FC FF FF C6 85 AC FC FF FF 04 8D 85 F3 FE FF FF 89 85 B0 FC FF FF C6 85 B4 FC FF FF 06 8B 45 F8 89 85 B8 FC FF FF C6 85 BC FC FF FF 05 89 9D C0 FC FF FF C6 85 C4 FC FF FF 06 89 BD C8 FC FF FF C6 85 CC FC FF FF 06 8D 85 A8 FC FF FF 50 6A 04 8D 8D EE FC FF FF 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_18559_0 {
	meta:
		name = "ShowException"
		size = 119
		refs = "0010 ExceptionErrorMessage 0015 IsConsole 0023 Output 0028 @Write0CString 002d @WriteLn 0032 @_IOTest 0040 SExceptTitle 0049 HInstance 0050 FindResourceHInstance 0056 LoadString 006c MessageBox"
	strings:
		$1 = { 81 C4 C0 FB FF FF 68 00 04 00 00 8D 4C 24 44 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1A 8D 54 24 40 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 6A 40 8D 44 24 04 50 A1 ?? ?? ?? ?? 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 10 20 00 00 8D 44 24 04 50 8D 44 24 48 50 6A 00 E8 ?? ?? ?? ?? 81 C4 40 04 00 00 C3 }
	condition:
		$1
}

rule function_18560_0 {
	meta:
		name = "ReturnAddr"
		size = 4
	strings:
		$1 = { 8B 45 FC C3 }
	condition:
		$1
}

rule function_18561_0 {
	meta:
		name = "Abort"
		size = 90
		refs = "0009 Abort 0014 ReturnAddr 001d SOperationAborted 0022 LoadResString 002c _DV_EAbort 0031 Exception.Create 0036 @RaiseExcept 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_18564_0 {
	meta:
		name = "Exception.CreateFmt"
		size = 128
		refs = "0010 @ClassCreate 001e Exception.CreateFmt 0035 Format 0040 @LStrAsg 0055 @LStrClr 005b @HandleFinally 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 0C 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_18565_0 {
	meta:
		name = "Exception.CreateRes"
		size = 121
		refs = "0010 @ClassCreate 001e Exception.CreateRes 002e LoadStr 0039 @LStrAsg 004e @LStrClr 0054 @HandleFinally 0061 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18566_0 {
	meta:
		name = "Exception.CreateResFmt"
		size = 147
		refs = "0012 @ClassCreate 0020 Exception.CreateResFmt 0034 LoadStr 0042 Format 004d @LStrAsg 0067 @LStrArrayClr 006d @HandleFinally 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 0C 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_18567_0 {
	meta:
		name = "Exception.CreateHelp"
		size = 70
		refs = "000e @ClassCreate 001e @LStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18568_0 {
	meta:
		name = "Exception.CreateFmtHelp"
		size = 134
		refs = "0010 @ClassCreate 001e Exception.CreateFmtHelp 0035 Format 0040 @LStrAsg 005b @LStrClr 0061 @HandleFinally 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 10 8B 4D 0C 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18569_0 {
	meta:
		name = "Exception.CreateResHelp"
		size = 127
		refs = "0010 @ClassCreate 001e Exception.CreateResHelp 002e LoadStr 0039 @LStrAsg 0054 @LStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18570_0 {
	meta:
		name = "Exception.CreateResFmtHelp"
		size = 153
		refs = "0012 @ClassCreate 0020 Exception.CreateResFmtHelp 0034 LoadStr 0042 Format 004d @LStrAsg 006d @LStrArrayClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 10 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18571_0 {
	meta:
		name = "EHeapException.FreeInstance"
		size = 12
		refs = "0007 TObject.FreeInstance"
	strings:
		$1 = { 80 78 0C 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18572_0 {
	meta:
		name = "CreateInOutError"
		size = 164
		refs = "0011 CreateInOutError 001e IOResult 002f ErrorMap 0044 _DV_EInOutError 0049 Exception.Create 0062 SInOutError 0067 LoadResString 0076 Exception.CreateFmt 0090 @LStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB E8 ?? ?? ?? ?? 8B F0 EB 01 43 83 FB 06 7F 09 3B 34 DD ?? ?? ?? ?? 75 F1 83 FB 06 7F 17 8B 0C DD ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 2B 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 73 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18573_0 {
	meta:
		name = "ErrorHandler"
		size = 67
		refs = "0014 OutOfMemory 001b InvalidPointer 0024 ExceptMap 0030 Exception.Create 0037 CreateInOutError 003d @RaiseExcept"
	strings:
		$1 = { 53 8B DA 8B D0 4A 74 0B 4A 74 0F 4A 83 EA 15 72 10 EB 23 A1 ?? ?? ?? ?? EB 21 A1 ?? ?? ?? ?? EB 1A 8D 04 C5 ?? ?? ?? ?? 8B 48 04 8B 00 B2 01 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 53 E9 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18574_0 {
	meta:
		name = "AssertErrorHandler"
		size = 178
		refs = "001b AssertErrorHandler 002f @LStrLAsg 0039 SAssertionFailed 003e LoadResString 0067 SAssertError 0076 _DV_EAssertionFailed 007b Exception.CreateFmt 0080 @RaiseExcept 0095 @LStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0C 8D 45 FC 8B D3 E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 08 8B 45 FC 89 45 E4 C6 45 E8 0B 89 75 EC C6 45 F0 0B 89 7D F4 C6 45 F8 00 8D 45 E4 50 6A 02 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18575_0 {
	meta:
		name = "AbstractErrorHandler"
		size = 106
		refs = "000f AbstractErrorHandler 002c SAbstractError 0031 LoadResString 003b _DV_EAbstractError 0040 Exception.CreateFmt 0045 @RaiseExcept 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_18576_0 {
	meta:
		name = "MapException"
		size = 127
	strings:
		$1 = { 8B 00 3D 92 00 00 C0 7F 2C 74 59 3D 8E 00 00 C0 7F 15 74 53 2D 05 00 00 C0 74 55 2D 87 00 00 00 74 3C 48 74 48 EB 55 05 71 FF FF 3F 83 E8 02 72 33 74 37 EB 47 3D 96 00 00 C0 7F 11 74 35 2D 93 00 00 C0 74 28 48 74 13 48 74 16 EB 2F 2D FD 00 00 C0 74 25 83 E8 3D 74 1D EB 21 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B0 08 C3 B0 09 C3 B0 0B C3 B0 0C C3 B0 0D C3 B0 0E C3 B0 16 C3 }
	condition:
		$1
}

rule function_18577_0 {
	meta:
		name = "GetExceptionClass"
		size = 18
		refs = "0001 MapException 000d ExceptMap"
	strings:
		$1 = { E8 ?? ?? ?? ?? 25 FF 00 00 00 8B 04 C5 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18578_0 {
	meta:
		name = "CreateAVObject"
		size = 435
		refs = "0020 CreateAVObject 003a SReadAccess 003f LoadResString 0049 SWriteAccess 0060 VirtualQuery 0082 GetModuleFileName 00b0 @LStrFromArray 00c1 ExtractFileName 0105 SModuleAccessViolation 0117 _DV_EAccessViolation 011c Exception.CreateFmt 0161 SAccessViolation 0197 @LStrArrayClr 019f @LStrClr 01a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 98 FE FF FF 53 56 33 C0 89 85 B4 FE FF FF 89 85 B0 FE FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 58 FC 83 7B 14 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 18 6A 1C 8D 45 E0 50 8B 43 0C 50 E8 ?? ?? ?? ?? 81 7D F0 00 10 00 00 0F 85 B3 00 00 00 68 05 01 00 00 8D 85 DB FE FF FF 50 8B 45 E4 50 E8 ?? ?? ?? ?? 85 C0 0F 84 96 00 00 00 8B 43 0C 89 85 B8 FE FF FF C6 85 BC FE FF FF 05 8D 85 B0 FE FF FF 8D 95 DB FE FF FF B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 85 B0 FE FF FF 8D 95 B4 FE FF FF E8 ?? ?? ?? ?? 8B 85 B4 FE FF FF 89 85 C0 FE FF FF C6 85 C4 FE FF FF 0B 8B 45 FC 89 85 C8 FE FF FF C6 85 CC FE FF FF 0B 89 B5 D0 FE FF FF C6 85 D4 FE FF FF 05 8D 85 B8 FE FF FF 50 6A 03 8D 95 B0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D B0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 5A 8B 43 0C 89 85 98 FE FF FF C6 85 9C FE FF FF 05 8B 45 FC 89 85 A0 FE FF FF C6 85 A4 FE FF FF 0B 89 B5 A8 FE FF FF C6 85 AC FE FF FF 05 8D 85 98 FE FF FF 50 6A 02 8D 95 B4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D B4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18579_0 {
	meta:
		name = "GetExceptionObject"
		size = 201
		refs = "0013 GetExceptionObject 0021 MapException 003f ExceptMap 004b Exception.Create 0055 CreateAVObject 0074 SExternalException 0079 LoadResString 0083 _DV_EExternalException 0088 Exception.CreateFmt 0092 _DV_EExternal 0097 @IsClass 00b6 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 25 FF 00 00 00 8B D0 83 C2 FD 83 EA 08 72 08 74 1D 4A 83 EA 0A 73 22 8D 04 C5 ?? ?? ?? ?? 8B 48 04 8B 00 B2 01 E8 ?? ?? ?? ?? 8B D8 EB 3B 55 E8 ?? ?? ?? ?? 59 8B D8 EB 30 8B 45 FC 8B 00 89 45 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 FC 89 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18580_0 {
	meta:
		name = "ExceptHandler"
		size = 16
		refs = "0001 ShowException 000b @Halt"
	strings:
		$1 = { E8 ?? ?? ?? ?? B8 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18581_0 {
	meta:
		name = "InitExceptions"
		size = 196
		refs = "0009 InitExceptions 0017 SOutOfMemory 001c LoadResString 0026 _DV_EOutOfMemory 002b Exception.Create 0030 OutOfMemory 0038 SInvalidPointer 0047 _DV_EInvalidPointer 0051 InvalidPointer 0056 ErrorProc 005c ErrorHandler 0061 ExceptProc 0067 ExceptHandler 006c ExceptionClass 0072 _DV_Exception 0079 ExceptClsProc 007f GetExceptionClass 0084 ExceptObjProc 008a GetExceptionObject 008f AssertErrorProc 0095 AssertErrorHandler 009a AbstractErrorProc 00a0 AbstractErrorHandler 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_18582_0 {
	meta:
		name = "DoneExceptions"
		size = 107
		refs = "0001 OutOfMemory 001b InvalidPointer 0029 TObject.Free 0035 ErrorProc 003e ExceptProc 0047 ExceptionClass 0050 ExceptClsProc 0059 ExceptObjProc 0062 AssertErrorProc"
	strings:
		$1 = { A1 ?? ?? ?? ?? C6 40 0C 01 A1 ?? ?? ?? ?? 8B 10 FF 52 F8 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 40 0C 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_18583_0 {
	meta:
		name = "InitPlatformId"
		size = 85
		refs = "000f GetVersionEx 001c Win32Platform 0025 Win32MajorVersion 002e Win32MinorVersion 0037 Win32BuildNumber 003c Win32CSDVersion 004a @LStrFromArray"
	strings:
		$1 = { 81 C4 6C FF FF FF C7 04 24 94 00 00 00 54 E8 ?? ?? ?? ?? 85 C0 74 37 8B 44 24 10 A3 ?? ?? ?? ?? 8B 44 24 04 A3 ?? ?? ?? ?? 8B 44 24 08 A3 ?? ?? ?? ?? 8B 44 24 0C A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8D 54 24 14 B9 80 00 00 00 E8 ?? ?? ?? ?? 81 C4 94 00 00 00 C3 }
	condition:
		$1
}

rule function_18585_0 {
	meta:
		name = "ByteTypeTest"
		size = 117
		refs = "001e LeadBytes"
	strings:
		$1 = { 56 57 8B FA 33 D2 85 C0 74 66 80 3C 38 00 74 60 85 FF 75 14 8A 00 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 4C B2 01 EB 48 8B F7 4E EB 01 4E 85 F6 7C 12 8A 0C 30 81 E1 FF 00 00 00 0F A3 0D ?? ?? ?? ?? 72 E9 8B CF 2B CE 81 E1 01 00 00 80 79 05 49 83 C9 FE 41 85 C9 75 04 B2 02 EB 13 8A 04 38 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 02 B2 01 8B C2 5F 5E C3 }
	condition:
		$1
}

rule function_18586_0 {
	meta:
		name = "ByteType"
		size = 35
		refs = "000a SysLocale 0014 @LStrToPChar 001c ByteTypeTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 80 3D ?? ?? ?? ?? 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B D6 4A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18587_0 {
	meta:
		name = "StrByteType"
		size = 21
		refs = "0004 SysLocale 000c ByteTypeTest"
	strings:
		$1 = { 33 C9 80 3D ?? ?? ?? ?? 00 74 07 E8 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_18588_0 {
	meta:
		name = "ByteToCharLen"
		size = 38
		refs = "0009 @LStrLen 001f ByteToCharIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18589_0 {
	meta:
		name = "ByteToCharIndex"
		size = 78
		refs = "0010 @LStrLen 001c SysLocale 003b LeadBytes"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 33 F6 85 DB 7E 3B 8B C7 E8 ?? ?? ?? ?? 3B D8 7F 30 8B F3 80 3D ?? ?? ?? ?? 00 74 25 B8 01 00 00 00 33 F6 3B D8 7C 1A 8A 54 07 FF 81 E2 FF 00 00 00 0F A3 15 ?? ?? ?? ?? 73 01 40 40 46 3B D8 7D E6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18590_0 {
	meta:
		name = "CountChars"
		size = 115
		refs = "0013 @LStrLen 0033 LeadBytes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 89 4D F8 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 BA 01 00 00 00 B8 01 00 00 00 EB 16 42 8A 4C 06 FF 81 E1 FF 00 00 00 0F A3 0D ?? ?? ?? ?? 73 01 40 40 3B F8 7E 05 3B 55 FC 7C E1 3B 55 FC 75 18 3B F8 7E 14 8A 4C 06 FF 81 E1 FF 00 00 00 0F A3 0D ?? ?? ?? ?? 73 01 40 8B 4D F8 89 11 8B 55 08 89 02 5F 5E 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18591_0 {
	meta:
		name = "CharToByteIndex"
		size = 100
		refs = "0015 @LStrLen 0024 SysLocale 0036 CountChars"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 33 C0 89 04 24 85 DB 7E 4A 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 3F 83 FB 01 7E 37 80 3D ?? ?? ?? ?? 00 74 2E 54 8D 4C 24 08 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 4B 3B 5C 24 04 7F 0C 8B C6 E8 ?? ?? ?? ?? 3B 04 24 7F 07 33 C0 89 04 24 EB 08 FF 04 24 EB 03 89 1C 24 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18592_0 {
	meta:
		name = "CharToByteLen"
		size = 96
		refs = "0015 @LStrLen 0028 SysLocale 0039 CountChars"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 33 C0 89 04 24 85 DB 7E 46 8B C6 E8 ?? ?? ?? ?? 3B D8 7E 09 8B C6 E8 ?? ?? ?? ?? 8B D8 80 3D ?? ?? ?? ?? 00 74 26 54 8D 4C 24 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 04 24 7D 0F 8B C6 E8 ?? ?? ?? ?? 89 04 24 EB 03 89 1C 24 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18593_0 {
	meta:
		name = "IsPathDelimiter"
		size = 51
		refs = "000d @LStrLen 0021 ByteType"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 7E 1F 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 14 80 7C 1E FF 5C 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_18594_0 {
	meta:
		name = "IsDelimiter"
		size = 68
		refs = "0013 @LStrLen 0020 ByteType 002b @LStrToPChar 0034 StrScan"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B E8 33 DB 85 FF 7E 2D 8B C6 E8 ?? ?? ?? ?? 3B F8 7F 22 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 15 8B C5 E8 ?? ?? ?? ?? 8A 54 3E FF E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18595_0 {
	meta:
		name = "AnsiPos"
		size = 53
		refs = "000d @LStrToPChar 001f AnsiStrPos"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 33 FF 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C5 5A E8 ?? ?? ?? ?? 8B D8 85 DB 74 05 8B FB 2B FD 47 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18596_0 {
	meta:
		name = "AnsiCompareFileName"
		size = 104
		refs = "0011 AnsiCompareFileName 0021 AnsiLowerCaseFileName 0038 AnsiCompareStr 0054 @LStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18597_0 {
	meta:
		name = "AnsiLowerCaseFileName"
		size = 140
		refs = "000a SysLocale 0014 @LStrLen 001f @LStrSetLength 002f UniqueString 0047 LeadBytes 0083 AnsiLowerCase"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 80 3D ?? ?? ?? ?? 00 74 6D 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C7 8B D5 E8 ?? ?? ?? ?? BB 01 00 00 00 3B EB 7C 5B 8B C7 E8 ?? ?? ?? ?? 8A 54 1E FF 88 54 18 FF 8A 44 1E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 12 43 8B C7 E8 ?? ?? ?? ?? 8A 54 1E FF 88 54 18 FF EB 18 8B 07 8A 44 18 FF 04 BF 2C 1A 73 0C 8B C7 E8 ?? ?? ?? ?? 80 44 18 FF 20 43 3B EB 7D B0 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18598_0 {
	meta:
		name = "AnsiUpperCaseFileName"
		size = 140
		refs = "000a SysLocale 0014 @LStrLen 001f @LStrSetLength 002f UniqueString 0047 LeadBytes 0083 AnsiUpperCase"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 80 3D ?? ?? ?? ?? 00 74 6D 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C7 8B D5 E8 ?? ?? ?? ?? BB 01 00 00 00 3B EB 7C 5B 8B C7 E8 ?? ?? ?? ?? 8A 54 1E FF 88 54 18 FF 8A 44 1E FF 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 12 43 8B C7 E8 ?? ?? ?? ?? 8A 54 1E FF 88 54 18 FF EB 18 8B 07 8A 44 18 FF 04 9F 2C 1A 73 0C 8B C7 E8 ?? ?? ?? ?? 80 6C 18 FF 20 43 3B EB 7D B0 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18599_0 {
	meta:
		name = "AnsiStrPos"
		size = 159
		refs = "0027 StrLen 003c StrPos 004b StrByteType 0066 CompareString"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 8B F0 33 DB 85 F6 0F 84 81 00 00 00 80 3E 00 74 7C 85 ED 74 78 80 7D 00 00 74 72 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B F8 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 3F 8B D3 2B D6 8B C6 E8 ?? ?? ?? ?? 88 44 24 04 80 7C 24 04 02 74 15 57 55 57 53 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 74 27 80 7C 24 04 01 75 01 43 43 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B C3 2B C6 8B 14 24 2B D0 3B FA 76 B0 33 DB 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18600_0 {
	meta:
		name = "AnsiStrRScan"
		size = 40
		refs = "0007 AnsiStrScan"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 84 DB 74 12 85 C0 74 0E 8B F0 40 8B D3 E8 ?? ?? ?? ?? 85 C0 75 F2 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18601_0 {
	meta:
		name = "AnsiStrScan"
		size = 64
		refs = "000c StrScan 001d StrByteType"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 24 8B D7 2B D6 8B C6 E8 ?? ?? ?? ?? 2C 01 72 15 74 02 EB 01 47 47 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 DC 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18602_0 {
	meta:
		name = "InitSysLocale"
		size = 182
		refs = "0008 LeadBytes 0011 SysLocale 0028 GetThreadLocale 004f GetSystemMetrics 0072 GetCPInfo"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 BF ?? ?? ?? ?? 8D 6C 24 04 BE ?? ?? ?? ?? C7 06 09 04 00 00 66 C7 46 04 09 00 66 C7 46 06 01 00 E8 ?? ?? ?? ?? 85 C0 74 02 89 06 66 85 C0 74 15 8B D0 66 81 E2 FF 03 66 89 56 04 0F B7 C0 C1 E8 0A 66 89 46 06 6A 4A E8 ?? ?? ?? ?? 85 C0 0F 95 C0 88 46 09 6A 2A E8 ?? ?? ?? ?? 85 C0 0F 95 C3 88 5E 08 84 DB 74 40 55 6A 00 E8 ?? ?? ?? ?? 33 F6 EB 25 8A 44 35 06 8A 5C 35 07 2A D8 72 16 43 88 04 24 8A 04 24 25 FF 00 00 00 0F AB 07 FE 04 24 FE CB 75 EE 83 C6 02 83 FE 0C 7D 0A 8A 44 35 06 0A 44 35 07 75 CC 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18603_0 {
	meta:
		name = "GetFormatSettings"
		size = 884
		refs = "000f GetFormatSettings 001a InitSysLocale 001f GetMonthDayNames 0025 SysLocale 002d GetEraNamesAndYearOffsets 0032 GetThreadLocale 0046 GetLocaleStr 004e CurrencyString 0053 @LStrAsg 0072 StrToIntDef 0077 CurrencyFormat 009b NegCurrFormat 00a9 GetLocaleChar 00ae ThousandSeparator 00c1 DecimalSeparator 00e5 CurrencyDecimals 00f8 DateSeparator 0118 TranslateDateFormat 0120 ShortDateFormat 014d LongDateFormat 0165 TimeSeparator 0182 TimeAMString 01a4 TimePMString 01b1 @LStrClr 01e9 @LStrLAsg 026d ShortTimeFormat 0277 @LStrCatN 028a LongTimeFormat 02a7 ListSeparator 02c1 @LStrArrayClr 02c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F0 50 33 C9 BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 1B 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 1C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? B1 2C BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? B1 2E BA 0E 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? B1 2F BA 1D 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA 1F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 3A BA 1E 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 28 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 29 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 25 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA 23 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 75 3F 8D 45 F0 50 B9 ?? ?? ?? ?? BA 05 10 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? B1 2C BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 FF FF FF FF 01 00 00 00 30 00 00 00 FF FF FF FF 06 00 00 00 6D 2F 64 2F 79 79 00 00 FF FF FF FF 0C 00 00 00 6D 6D 6D 6D 20 64 2C 20 79 79 79 79 00 00 00 00 FF FF FF FF 02 00 00 00 61 6D 00 00 FF FF FF FF 02 00 00 00 70 6D 00 00 FF FF FF FF 01 00 00 00 68 00 00 00 FF FF FF FF 02 00 00 00 68 68 00 00 FF FF FF FF 05 00 00 00 20 41 4D 50 4D 00 00 00 FF FF FF FF 05 00 00 00 41 4D 50 4D 20 00 00 00 FF FF FF FF 03 00 00 00 3A 6D 6D 00 FF FF FF FF 06 00 00 00 3A 6D 6D 3A 73 73 00 00 }
	condition:
		$1
}

rule function_18604_0 {
	meta:
		name = "StringReplace"
		size = 307
		refs = "001e StringReplace 0034 AnsiUpperCase 004a @LStrLAsg 0065 @LStrClr 0075 AnsiPos 0085 @LStrCat 009d @LStrCopy 00af @LStrCatN 00ba @LStrLen 011e @LStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 0C 02 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? EB 14 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 90 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C 8B C6 8B 55 F0 E8 ?? ?? ?? ?? EB 7D FF 36 8D 45 EC 50 8B CB 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? FF 75 EC FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C7 E8 ?? ?? ?? ?? 8B D0 03 D3 B9 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? F6 45 0C 01 75 0C 8B C6 8B 55 F0 E8 ?? ?? ?? ?? EB 27 8D 45 F8 50 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 03 D3 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 85 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18605_0 {
	meta:
		name = "WrapText"
		size = 568
		refs = "0024 WrapText 004f @LStrLen 0065 @LStrClr 0083 LeadBytes 00a9 @LStrCopy 00b4 CompareText 0158 @LStrCat 018d @SetUnion 0206 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D C0 8B F1 8D 7D C6 B9 08 00 00 00 F3 A5 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 BE 01 00 00 00 C7 45 F0 01 00 00 00 33 FF C6 45 E7 20 C6 45 E6 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 08 E8 ?? ?? ?? ?? 3B 75 EC 0F 8F 5B 01 00 00 8B 45 FC 8A 5C 30 FF 8B C3 25 FF 00 00 00 0F A3 05 ?? ?? ?? ?? 73 06 46 FF 45 F4 EB 74 8B 45 F8 3A 18 75 38 80 7D E7 20 75 67 8D 45 C0 50 8B 4D E8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 E6 80 7D E6 00 74 3F 8B 45 E8 48 03 F0 8B FE EB 35 8B C3 25 FF 00 00 00 0F A3 45 C6 73 0A 80 7D E7 20 75 22 8B FE EB 1E 8B C3 2C 22 74 04 2C 05 75 14 3A 5D E7 75 06 C6 45 E7 20 EB 09 80 7D E7 20 75 03 88 5D E7 46 FF 45 F4 8A 45 E7 2C 22 0F 84 B2 00 00 00 2C 05 0F 84 AA 00 00 00 80 7D E6 00 75 15 8B 45 F4 3B 45 0C 0F 8E 98 00 00 00 3B 7D F0 0F 8E 8F 00 00 00 8B C6 2B C7 89 45 F4 8D 45 C0 50 8B CF 2B 4D F0 41 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 80 EB 22 74 3F 80 EB 05 74 3A EB 01 46 3B 75 EC 7F 32 56 57 8D 75 C6 8D 7D A0 B9 08 00 00 00 F3 A5 5F 5E 8D 45 A0 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8B 45 FC 8A 44 30 FF 25 FF 00 00 00 0F A3 45 A0 72 C8 80 7D E6 00 75 13 3B 75 EC 7D 0E 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 47 89 7D F0 C6 45 E6 00 3B 75 EC 0F 8E A5 FE FF FF 8D 45 C0 50 B9 FF FF FF 7F 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_18606_0 {
	meta:
		name = "FindCmdLineSwitch"
		size = 288
		refs = "0028 FindCmdLineSwitch 0033 ParamCount 004c ParamStr 005b @SetEq 0089 @LStrCopy 0093 AnsiCompareText 00bb AnsiCompareStr 00e2 @LStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D F8 8B F2 8D 7D D8 51 B9 08 00 00 00 F3 A5 59 88 4D FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 8E 00 00 00 BE 01 00 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 74 10 8B 45 F8 8A 00 25 FF 00 00 00 0F A3 45 D8 73 56 80 7D FF 00 74 28 8D 45 D4 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 8B D7 E8 ?? ?? ?? ?? 85 C0 75 2C B3 01 EB 32 8D 45 D4 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 8B D7 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 0A 46 4B 0F 85 77 FF FF FF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_18607_0 {
	meta:
		name = "PackageInfoTable"
		size = 132
		refs = "0011 PackageInfoTable 0017 FindResource 0022 LoadResource 0042 LockResource 004d UnlockResource 0063 FreeResource 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 6A 0A 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 50 50 53 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 5B 59 59 5D C3 00 50 41 43 4B 41 47 45 49 4E 46 4F 00 }
	condition:
		$1
}

rule function_18608_0 {
	meta:
		name = "GetModuleName"
		size = 48
		refs = "0018 GetModuleFileName 0023 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 81 C4 F8 FE FF FF 8B F2 8B D8 68 05 01 00 00 8D 44 24 04 50 53 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_18609_0 {
	meta:
		name = "IsUnitPresent"
		size = 404
		refs = "001e IsUnitPresent 0035 StrIComp 0045 @LStrToPChar 005d LibModuleList 0078 PackageInfoTable 00c2 StrLen 0110 GetModuleName 011b ExtractFileName 0128 ChangeFileExt 0133 @LStrAsg 0171 @LStrArrayClr 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 89 4D F4 89 55 F8 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 16 01 00 00 8B 45 0C E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 FC 00 00 00 8B 1D ?? ?? ?? ?? 8B 1B 85 DB 0F 84 EC 00 00 00 8B 43 04 3B 45 F4 0F 84 D6 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 C9 00 00 00 8B 10 81 E2 00 00 00 C0 81 FA 00 00 00 40 0F 85 B5 00 00 00 8B 10 83 E2 08 8B 4D 10 8B 49 FC 83 E1 08 3B D1 0F 85 9F 00 00 00 8B F8 83 C7 08 8B 40 04 8B F0 4E 85 F6 7C 11 46 8D 47 01 E8 ?? ?? ?? ?? 83 C0 02 01 C7 4E 75 F0 8B 07 83 C7 04 89 7D EC 8B F0 4E 85 F6 7C 70 46 8B 7D EC 8A 47 01 3A 45 FF 74 0C 80 7F 01 00 74 06 80 7D FF 00 75 44 F6 07 06 75 3F 8D 57 02 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 30 8D 55 E8 8B 43 04 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? EB 22 8B 45 EC 83 C0 02 E8 ?? ?? ?? ?? 83 C0 03 01 45 EC 4E 75 91 8B 1B 85 DB 0F 85 14 FF FF FF C6 45 F3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 F3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 53 79 73 49 6E 69 74 00 }
	condition:
		$1
}

rule function_18610_0 {
	meta:
		name = "FindLibModule"
		size = 26
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 85 D2 74 0B 3B 42 04 74 06 8B 12 85 D2 75 F5 8B C2 C3 }
	condition:
		$1
}

rule function_18611_0 {
	meta:
		name = "InternalUnitCheck"
		size = 464
		refs = "001e InternalUnitCheck 002c PackageInfoTable 0064 GetModuleName 006f ExtractFileName 007c ChangeFileExt 00a2 @LStrFromArray 00ba @LStrToPChar 00c0 GetModuleHandle 00ce StrLen 00de FindLibModule 00f3 Reserved 0136 IsUnitPresent 0167 SDuplicatePackageUnit 016c LoadResString 0176 _DV_EPackageError 017b Exception.CreateFmt 0180 @RaiseExcept 01aa @LStrArrayClr 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 F0 89 55 EC 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 5A 01 00 00 8B 03 25 00 00 00 C0 3D 00 00 00 40 0F 85 48 01 00 00 8B 45 08 83 78 FC 00 75 08 8B 03 8B 55 08 89 42 FC 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 8B F3 83 C6 08 8B 43 04 8B D8 4B 85 DB 7C 4B 43 8B FE 8B 45 08 50 8D 45 EC 8D 57 01 B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 46 01 E8 ?? ?? ?? ?? 83 C0 02 01 C6 4B 75 B6 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 17 85 C0 0F 84 A6 00 00 00 8B 50 14 3B 15 ?? ?? ?? ?? 0F 84 97 00 00 00 85 C0 74 09 8B 15 ?? ?? ?? ?? 89 50 14 8B 06 8B FE 83 C7 04 8B D8 4B 85 DB 7C 7C 43 8B F7 F6 06 06 75 64 8B 45 08 50 8B 45 F4 50 8D 45 F8 50 8D 56 02 8A 46 01 8B 4D FC E8 ?? ?? ?? ?? 59 84 C0 74 45 8B 45 F4 89 45 D4 C6 45 D8 0B 8D 46 02 89 45 DC C6 45 E0 06 8B 45 F8 89 45 E4 C6 45 E8 0B 8D 45 D4 50 6A 02 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 02 E8 ?? ?? ?? ?? 83 C0 03 01 C7 4B 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 04 00 00 00 2E 62 70 6C 00 00 00 00 }
	condition:
		$1
}

rule function_18612_0 {
	meta:
		name = "CheckForDuplicateUnits"
		size = 25
		refs = "0006 Reserved 0011 InternalUnitCheck"
	strings:
		$1 = { 55 8B EC 51 FF 05 ?? ?? ?? ?? 33 D2 89 55 FC 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18613_0 {
	meta:
		name = "InitializePackage"
		size = 176
		refs = "0017 InitializePackage 0024 CheckForDuplicateUnits 002f GetProcAddress 0045 GetModuleName 005d SInvalidPackageFile 0062 LoadResString 006c _DV_Exception 0071 Exception.CreateFmt 0076 @RaiseExcept 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F8 89 FE 85 FF 74 04 FF D6 EB 3B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 49 6E 69 74 69 61 6C 69 7A 65 00 00 }
	condition:
		$1
}

rule function_18614_0 {
	meta:
		name = "FinalizePackage"
		size = 128
		refs = "000e FinalizePackage 001f GetProcAddress 0033 SInvalidPackageHandle 0038 LoadResString 0042 _DV_EPackageError 0047 Exception.Create 004c @RaiseExcept 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 74 04 FF D3 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 46 69 6E 61 6C 69 7A 65 00 00 00 00 }
	condition:
		$1
}

rule function_18615_0 {
	meta:
		name = "LoadPackage"
		size = 224
		refs = "0017 LoadPackage 0024 @LStrToPChar 002a LoadLibrary 003f GetLastError 0047 SysErrorMessage 005f sErrorLoadingPackage 0064 LoadResString 006e _DV_EPackageError 0073 Exception.CreateFmt 0078 @RaiseExcept 008e InitializePackage 009d @HandleAnyException 00a6 FreeLibrary 00ab @RaiseAgain 00b0 @DoneExcept 00ca @LStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E8 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 45 89 5D EC C6 45 F0 0B E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 0B 8D 45 EC 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18616_0 {
	meta:
		name = "UnloadPackage"
		size = 18
		refs = "0006 FinalizePackage 000c FreeLibrary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18617_0 {
	meta:
		name = "GetPackageInfo"
		size = 287
		refs = "001b GetPackageInfo 0028 PackageInfoTable 0036 GetModuleName 0041 ExtractFileName 0059 SCannotReadPackageInfo 005e LoadResString 0068 _DV_Exception 006d Exception.CreateFmt 0072 @RaiseExcept 009c @LStrFromArray 00ae StrLen 010b @LStrArrayClr 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 46 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0B 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 89 16 8B D0 8B F0 83 C6 08 8B 42 04 8B D8 4B 85 DB 7C 2F 43 8B 45 FC 50 8D 45 F0 8D 56 01 B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 B2 01 FF 55 08 8D 46 01 E8 ?? ?? ?? ?? 83 C0 02 01 C6 4B 75 D2 8B 06 83 C6 04 8B D8 4B 85 DB 7C 2F 43 8B 45 FC 50 8D 45 F0 8D 56 02 B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8A 0E 33 D2 FF 55 08 8D 46 02 E8 ?? ?? ?? ?? 83 C0 03 01 C6 4B 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18618_0 {
	meta:
		name = "GetPackageDescription"
		size = 352
		refs = "0018 GetPackageDescription 0025 @LStrClr 002c LoadResourceModule 003f LoadLibraryEx 0054 GetLastError 005c SysErrorMessage 0074 sErrorLoadingPackage 0079 LoadResString 0083 _DV_EPackageError 0088 Exception.CreateFmt 008d @RaiseExcept 00ab FindResource 00b9 LoadResource 00d9 LockResource 00e2 @LStrFromPWChar 00ea UnlockResource 0100 FreeResource 0106 @HandleFinally 011e FreeLibrary 0140 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 58 6A 02 6A 00 53 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 45 89 5D E8 C6 45 EC 06 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 45 E8 50 6A 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 0A 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 59 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 46 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 44 45 53 43 52 49 50 54 49 4F 4E 00 }
	condition:
		$1
}

rule function_18619_0 {
	meta:
		name = "RaiseLastWin32Error"
		size = 178
		refs = "0013 RaiseLastWin32Error 001e GetLastError 0035 SysErrorMessage 004d SWin32Error 0052 LoadResString 005c _DV_EWin32Error 0061 Exception.CreateFmt 006b SUnkWin32Error 007f Exception.Create 0087 @RaiseExcept 00a1 @LStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C0 89 45 EC 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 74 3F 89 5D F0 C6 45 F4 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 0B 8D 45 F0 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18622_0 {
	meta:
		name = "CallTerminateProcs"
		size = 26
		refs = "0005 TerminateProcList"
	strings:
		$1 = { 53 B0 01 8B 1D ?? ?? ?? ?? EB 05 FF 53 04 8B 1B 84 C0 74 04 85 DB 75 F3 5B C3 }
	condition:
		$1
}

rule function_18623_0 {
	meta:
		name = "FreeTerminateProcs"
		size = 31
		refs = "0002 TerminateProcList 0014 @FreeMem"
	strings:
		$1 = { 53 BB ?? ?? ?? ?? EB 10 8B 03 8B 10 89 13 BA 08 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 75 EB 5B C3 }
	condition:
		$1
}

rule function_18624_0 {
	meta:
		name = "AL1"
		size = 14
	strings:
		$1 = { 8B 10 33 50 04 33 50 08 33 50 0C 89 D0 C3 }
	condition:
		$1
}

rule function_18625_0 {
	meta:
		name = "AL2"
		size = 23
	strings:
		$1 = { 8B 10 C1 CA 05 33 50 04 C1 CA 05 33 50 08 C1 CA 05 33 50 0C 89 D0 C3 }
	condition:
		$1
}

rule function_18627_0 {
	meta:
		name = "ALR"
		size = 128
		refs = "0004 MainInstance 0010 ALR 001d FindResource 002b LoadResource 0037 LibModuleList 006b ALV"
	strings:
		$1 = { 53 56 57 A1 ?? ?? ?? ?? 83 38 00 74 26 6A 0A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B F0 EB 33 33 F6 8B 1D ?? ?? ?? ?? 8B 1B 85 DB 74 25 8B F3 6A 0A 68 ?? ?? ?? ?? 8B 7E 04 57 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 1B 85 DB 75 DB 85 F6 75 05 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 00 00 00 44 56 43 4C 41 4C 00 00 }
	condition:
		$1
}

rule function_18628_0 {
	meta:
		name = "GDAL"
		size = 99
		refs = "0005 ALR 0010 AL1 0019 AL2 0020 AL1s 0025 AL2s 004f FreeResource 0058 ALV"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B F0 8B FE 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B EB BA ?? ?? ?? ?? BF ?? ?? ?? ?? 3B 1A 75 04 3B 07 74 18 3B 5A 04 75 05 3B 47 04 74 0E 3B 5A 08 75 05 3B 47 08 74 04 33 C0 EB 02 B0 01 8B D8 56 E8 ?? ?? ?? ?? 84 DB 75 05 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18629_0 {
	meta:
		name = "RCS"
		size = 67
		refs = "0003 ALR 000e AL1 0014 AL1s 001d AL2 0023 AL2s 0033 FreeResource 003c ALV"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B F0 8B DE 8B C3 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 13 8B C3 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 56 E8 ?? ?? ?? ?? 84 DB 75 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18630_0 {
	meta:
		name = "RPR"
		size = 27
		refs = "0001 GDAL 0007 AL1s 0016 ALV"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 0D 3B 05 ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18631_0 {
	meta:
		name = "InitDriveSpacePtr"
		size = 92
		refs = "0002 InitDriveSpacePtr 0007 GetModuleHandle 0018 GetProcAddress 001d GetDiskFreeSpaceEx 002b BackfillGetDiskFreeSpaceEx"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 00 6B 65 72 6E 65 6C 33 32 2E 64 6C 6C 00 00 00 00 47 65 74 44 69 73 6B 46 72 65 65 53 70 61 63 65 45 78 41 00 }
	condition:
		$1
}

rule function_18632_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.Create"
		size = 102
		refs = "000a @ClassCreate 0017 TObject.Create 0020 InitializeCriticalSection 002d CreateEvent 0040 TActiveThreadArray 0045 @DynArraySetLength 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 50 E8 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 E8 ?? ?? ?? ?? 89 46 1C 6A 04 8D 46 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18633_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 000e TMultiReadExclusiveWriteSynchronizer.BeginWrite 001a TObject.Destroy 0023 CloseHandle 002c DeleteCriticalSection 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 50 E8 ?? ?? ?? ?? 8D 46 04 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18634_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.WriterIsOnlyReader"
		size = 57
		refs = "0012 @DynArrayHigh"
	strings:
		$1 = { 53 56 8B F0 33 C0 83 7E 2C 00 74 2A 33 DB 8B 46 28 E8 ?? ?? ?? ?? 8B D0 EB 01 43 3B D3 7E 12 8B 46 28 8B 04 D8 85 C0 74 F1 8B 4E 28 3B 46 2C 74 E9 3B D3 0F 9E C0 5E 5B C3 }
	condition:
		$1
}

rule function_18635_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.BeginWrite"
		size = 73
		refs = "0008 EnterCriticalSection 0013 GetCurrentThreadId 001d TMultiReadExclusiveWriteSynchronizer.WriterIsOnlyReader 002c WaitForSingleObject"
	strings:
		$1 = { 53 8B D8 8D 43 04 50 E8 ?? ?? ?? ?? 80 7B 34 00 75 32 E8 ?? ?? ?? ?? 89 43 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 6A FF 8B 43 1C 50 E8 ?? ?? ?? ?? 8B 43 20 89 43 24 33 C0 89 43 20 33 C0 89 43 2C C6 43 34 01 FF 43 20 5B C3 }
	condition:
		$1
}

rule function_18636_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.EndWrite"
		size = 34
		refs = "001d LeaveCriticalSection"
	strings:
		$1 = { FF 48 20 83 78 20 00 75 0F 8B 50 24 89 50 20 33 D2 89 50 24 C6 40 34 00 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18637_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.BeginRead"
		size = 376
		refs = "0012 EnterCriticalSection 001a TMultiReadExclusiveWriteSynchronizer.BeginRead 0039 InterlockedIncrement 0048 ResetEvent 0052 GetCurrentThreadId 007e @DynArrayHigh 00b5 Sleep 00c5 InterlockedExchange 00f7 TActiveThreadArray 00fc @DynArraySetLength 011a @HandleFinally 0167 LeaveCriticalSection"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 34 00 0F 85 21 01 00 00 8B 45 FC 83 C0 20 50 E8 ?? ?? ?? ?? 48 75 0C 8B 45 FC 8B 40 1C 50 E8 ?? ?? ?? ?? 33 C0 89 45 F8 E8 ?? ?? ?? ?? 89 45 F4 83 CB FF EB 19 8B 45 FC 8B 40 28 8B 55 F8 83 3C D0 00 75 07 85 DB 7D 03 8B 5D F8 FF 45 F8 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 3B 45 F8 7E 11 8B 45 FC 8B 40 28 8B 55 F8 8B 04 D0 3B 45 F4 75 C6 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 3B 45 F8 0F 8F 99 00 00 00 85 DB 7D 70 EB 07 6A 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 83 C0 30 50 E8 ?? ?? ?? ?? 85 C0 75 E5 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 83 C0 03 50 8B 45 FC 83 C0 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 30 C3 E9 ?? ?? ?? ?? EB F0 89 5D F8 8B 45 FC 8B 40 28 8B 55 F8 8B 4D F4 89 0C D0 8B 45 FC 8B 40 28 8B 55 F8 C7 44 D0 04 01 00 00 00 EB 0D 8B 45 FC 8B 40 28 8B 55 F8 FF 44 D0 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18638_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.EndRead"
		size = 208
		refs = "0019 GetCurrentThreadId 0024 Sleep 0031 InterlockedExchange 003d TMultiReadExclusiveWriteSynchronizer.EndRead 004e @DynArrayHigh 009d @HandleFinally 00ab InterlockedDecrement 00b7 TMultiReadExclusiveWriteSynchronizer.WriterIsOnlyReader 00c7 SetEvent"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 80 78 34 00 0F 85 B5 00 00 00 33 DB E8 ?? ?? ?? ?? 8B F0 EB 07 6A 00 E8 ?? ?? ?? ?? 56 8B 45 FC 83 C0 30 50 E8 ?? ?? ?? ?? 85 C0 75 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? EB 01 43 3B C3 7E 0B 8B 55 FC 8B 52 28 3B 34 DA 75 F0 8B 45 FC 8B 40 28 FF 4C D8 04 8B 45 FC 8B 40 28 83 7C D8 04 00 75 0B 8B 45 FC 8B 40 28 33 D2 89 14 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 30 C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 20 50 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 40 1C 50 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18641_0 {
	meta:
		name = "_DF_"
		size = 34
	strings:
		$1 = { 0A 00 00 00 64 00 00 00 E8 03 00 00 10 27 00 00 00 00 40 76 3A 6B 0B DE 3A 40 3F 13 49 4E 46 4E 41 4E }
	condition:
		$1
}

rule function_18642_0 {
	meta:
		name = "FloatToText"
		size = 713
		refs = "005c _DF_ 00e3 DecimalSeparator 01d4 ThousandSeparator 0200 CurrencyFormat 0211 NegCurrFormat 0256 CurrencyString"
	strings:
		$1 = { 55 8B EC 83 EC 1C 57 56 53 89 45 FC B8 13 00 00 00 80 F9 00 75 17 8B 45 0C 83 F8 02 7D 05 B8 02 00 00 00 83 F8 12 7E 05 B8 12 00 00 00 89 45 0C 50 B8 0F 27 00 00 80 7D 10 02 72 03 8B 45 08 50 8D 45 E4 E8 54 05 00 00 8B 7D FC 0F B7 45 E4 2D FF 7F 00 00 83 F8 02 73 10 8D B4 40 ?? ?? ?? ?? B9 03 00 00 00 F3 A4 EB 23 8D 75 E7 0F B6 5D 10 80 FB 01 74 10 80 FB 04 77 09 0F BF 45 E4 3B 45 0C 7E 02 B3 00 FF 14 9D ?? ?? ?? ?? 8B C7 2B 45 FC 5B 5E 5F 8B E5 5D C2 0C 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AC 0A C0 75 03 B0 30 4E C3 80 7D E6 00 74 03 B0 2D AA C3 E8 F1 FF FF FF 0F BF 4D E4 33 D2 3B 4D 0C 7F 1F 83 F9 FD 7C 1A 0B C9 7F 1C B0 30 AA 80 3E 00 74 40 A0 ?? ?? ?? ?? AA F7 D9 B0 30 F3 AA EB 1C B9 01 00 00 00 42 AC 0A C0 74 19 AA E2 F8 AC 0A C0 74 15 8A E0 A0 ?? ?? ?? ?? 66 AB AC 0A C0 74 07 AA EB F8 B0 30 F3 AA 0B D2 74 06 33 C0 33 C9 EB 2B C3 E8 8F FF FF FF E8 81 FF FF FF 8A 25 ?? ?? ?? ?? 66 AB 8B 4D 0C 49 E8 70 FF FF FF AA E2 F8 B4 2B 8B 4D 08 83 F9 04 72 02 33 C9 B0 45 8A 5D E7 0F BF 55 E4 4A AA 0A DB 75 04 33 D2 EB 0A 0B D2 7D 06 B0 2D F7 DA EB 06 0A E4 74 03 8A C4 AA 92 50 8B DC 33 D2 F7 35 ?? ?? ?? ?? 80 C2 30 88 13 43 49 0B C0 75 ED 0B C9 7F E9 4B 8A 03 AA 3B DC 75 F8 58 C3 E8 1C FF FF FF 8B 55 08 83 FA 12 72 05 BA 12 00 00 00 0F BF 4D E4 0B C9 7F 05 B0 30 AA EB 28 33 DB 80 7D 10 02 74 0A 8B C1 48 B3 03 F6 F3 8A DC 43 E8 E2 FE FF FF AA 49 74 0D 4B 75 F4 A0 ?? ?? ?? ?? AA B3 03 EB EA 0B D2 74 1A A0 ?? ?? ?? ?? AA E3 09 B0 30 AA 4A 74 0C 41 75 F9 E8 B7 FE FF FF AA 4A 75 F7 C3 33 DB 8A 1D ?? ?? ?? ?? B9 03 00 00 00 80 7D E6 00 74 0B 8A 1D ?? ?? ?? ?? B9 0F 04 00 00 3A D9 76 02 8A D9 02 DD 8D 9C 9B ?? ?? ?? ?? B9 05 00 00 00 8A 03 3C 40 74 1E 51 53 3C 24 74 07 3C 2A 74 0A AA EB 0C E8 0D 00 00 00 EB 05 E8 4E FF FF FF 5B 59 43 E2 DC C3 56 8B 35 ?? ?? ?? ?? 85 F6 74 05 8B 4E FC F3 A4 5E C3 24 2A 40 40 40 2A 24 40 40 40 24 20 2A 40 40 2A 20 24 40 40 28 24 2A 29 40 2D 24 2A 40 40 24 2D 2A 40 40 24 2A 2D 40 40 28 2A 24 29 40 2D 2A 24 40 40 2A 2D 24 40 40 2A 24 2D 40 40 2D 2A 20 24 40 2D 24 20 2A 40 2A 20 24 2D 40 24 20 2A 2D 40 24 20 2D 2A 40 2A 2D 20 24 40 28 24 20 2A 29 28 2A 20 24 29 }
	condition:
		$1
}

rule function_18643_0 {
	meta:
		name = "FloatToTextFmt"
		size = 723
		refs = "02a9 DecimalSeparator 02ca ThousandSeparator"
	strings:
		$1 = { 55 8B EC 83 EC 40 57 56 53 89 45 FC 8B FA 8B D9 B9 02 00 00 00 80 FB 00 74 0F 8B 07 0B 47 04 74 1A 8B 4F 04 C1 E9 1F EB 12 0F B7 47 08 0B 07 0B 47 04 74 07 0F B7 4F 08 C1 E9 0F E8 8C 00 00 00 74 4C E8 C0 00 00 00 8B 45 EC BA 0F 27 00 00 80 7D F4 00 75 0A 2B 45 E8 8B D0 B8 12 00 00 00 50 52 8D 45 C0 8B D7 8B CB E8 66 02 00 00 66 8B 45 C0 66 3D 00 80 74 17 66 3D FF 7F 74 11 80 FB 00 75 20 66 3D 12 00 7E 1A 80 7D F4 00 75 14 6A 00 6A 0F 6A 00 8B 45 FC 8B D7 8B CB E8 97 FC FF FF EB 21 80 7D C3 00 75 16 B9 02 00 00 00 E8 1A 00 00 00 74 DA 3B 75 F0 74 05 E8 49 00 00 00 E8 EF 00 00 00 5B 5E 5F 8B E5 5D C2 04 00 8B 75 08 E3 1D AC 3C 27 74 24 3C 22 74 20 0A C0 74 10 3C 3B 75 EF E2 ED 8A 06 0A C0 74 04 3C 3B 75 0B 8B 75 08 8A 06 0A C0 74 02 3C 3B C3 8A E0 AC 3A C4 74 D0 0A C0 75 F7 EB E7 53 89 75 F0 BB FF 7F 00 00 33 C9 33 D2 C7 45 E8 FF FF FF FF 88 55 F8 88 55 F4 AC 3C 23 74 26 3C 30 74 25 3C 2E 74 2C 3C 2C 74 33 3C 27 74 35 3C 22 74 31 3C 45 74 3A 3C 65 74 36 3C 3B 74 46 0A C0 75 D7 EB 40 42 EB D2 3B D3 7D 02 8B DA 42 8B CA EB C7 83 7D E8 FF 75 C1 89 55 E8 EB BC C6 45 F8 01 EB B6 8A E0 AC 3A C4 74 AF 0A C0 75 F7 EB 14 AC 3C 2D 74 04 3C 2B 75 A1 C6 45 F4 01 AC 3C 30 74 FB EB 96 89 55 EC 83 7D E8 FF 75 03 89 55 E8 8B 45 E8 2B C1 7E 02 33 C0 89 45 E0 8B 45 E8 2B C3 7D 02 33 C0 89 45 E4 5B C3 80 7D F4 00 74 07 8B 45 E8 33 D2 EB 13 0F BF 45 C0 3B 45 E8 7F 03 8B 45 E8 0F BF 55 C0 2B 55 E8 89 45 DC 89 55 D8 8B 75 F0 8B 7D FC 8D 5D C3 80 7D C2 00 74 08 3B 75 08 75 03 B0 2D AA AC 3C 23 74 27 3C 30 74 23 3C 2E 74 F3 3C 2C 74 EF 3C 27 74 1E 3C 22 74 1A 3C 45 74 24 3C 65 74 20 3C 3B 74 53 0A C0 74 4F AA EB D4 E8 4D 00 00 00 EB CD 8A E0 AC 3A C4 74 C6 0A C0 74 3A AA EB F4 8A 26 80 FC 2B 74 07 80 FC 2D 75 DC 32 E4 B9 FF FF FF FF 41 46 80 3E 30 74 F9 83 F9 04 72 05 B9 04 00 00 00 53 8A 5D C3 0F BF 55 C0 2B 55 E8 E8 2A FC FF FF 5B EB 88 8B C7 2B 45 FC C3 83 7D D8 00 74 1B 7C 0C E8 14 00 00 00 FF 4D D8 75 F6 EB 0D FF 45 D8 8B 45 DC 3B 45 E4 7E 12 EB 41 8A 03 43 0A C0 75 0B 4B 8B 45 DC 3B 45 E0 7E 31 B0 30 83 7D DC 00 75 0B 8A E0 A0 ?? ?? ?? ?? 66 AB EB 1E AA 80 7D F8 00 74 17 8B 45 DC 83 F8 01 7E 0F B2 03 F6 F2 80 FC 01 75 06 A0 ?? ?? ?? ?? AA FF 4D DC C3 }
	condition:
		$1
}

rule function_18644_0 {
	meta:
		name = "FloatToDecimal"
		size = 497
		refs = "006e FPower10 0076 _DF_"
	strings:
		$1 = { 55 8B EC 83 EC 1A 57 56 53 8B D8 8B F2 80 F9 00 74 07 E8 09 01 00 00 EB 05 E8 09 00 00 00 5B 5E 5F 8B E5 5D C2 08 00 66 8B 46 08 8B D0 25 FF 7F 00 00 74 10 3D FF 7F 00 00 75 14 66 81 7E 06 00 80 74 03 40 33 D2 C6 43 03 00 E9 C2 00 00 00 DB 2E 2D FF 3F 00 00 69 C0 10 4D 00 00 C1 F8 10 40 89 45 F8 B8 12 00 00 00 2B 45 F8 D9 E1 E8 ?? ?? ?? ?? D9 FC DB 2D ?? ?? ?? ?? D8 D9 9B DD 7D FC 9B 66 F7 45 FC 00 41 74 09 DA 35 ?? ?? ?? ?? FF 45 F8 DF 75 E6 8D 7B 03 BA 09 00 00 00 9B 8A 44 15 E5 8A E0 C0 E8 04 80 E4 0F 66 05 30 30 66 AB 4A 75 EB 32 C0 AA 8B 7D F8 03 7D 08 79 04 33 C0 EB 82 3B 7D 0C 72 03 8B 7D 0C 83 FF 12 73 27 80 7C 3B 03 35 72 25 C6 44 3B 03 00 4F 78 0D FE 44 3B 03 80 7C 3B 03 39 77 ED EB 1F 66 C7 43 03 31 00 FF 45 F8 EB 14 BF 12 00 00 00 C6 44 3B 03 00 4F 78 19 80 7C 3B 03 30 74 F1 66 8B 56 08 8B 45 F8 66 C1 EA 0F 66 89 03 88 53 02 C3 33 D2 EB EE 8B 06 8B 56 04 8B C8 0B CA 0F 84 B4 00 00 00 0B D2 79 07 F7 DA F7 D8 83 DA 00 33 C9 8B 7D 08 0B FF 7D 02 33 FF 83 FF 04 7C 1F BF 04 00 00 00 41 2D 00 00 64 A7 81 DA B3 B6 E0 0D 73 F2 49 05 00 00 64 A7 81 D2 B3 B6 E0 0D 89 45 F0 89 55 F4 DF 6D F0 8B D7 B8 04 00 00 00 2B C2 74 07 DA 34 85 ?? ?? ?? ?? DF 75 E6 8D 7B 03 9B 0B C9 75 1B B9 09 00 00 00 8A 44 0D E5 8A E0 C0 E8 04 75 1E 8A C4 24 0F 75 1F 49 75 EC EB 39 8A C1 04 30 AA B9 09 00 00 00 8A 44 0D E5 8A E0 C0 E8 04 04 30 AA 8A C4 24 0F 04 30 AA 49 75 EA 8B C7 8D 4C 13 03 2B C1 C6 07 00 4F 80 3F 30 74 F7 8B 56 04 C1 EA 1F EB 07 33 C0 33 D2 88 43 03 66 89 03 88 53 02 C3 }
	condition:
		$1
}

rule function_18645_0 {
	meta:
		name = "TextToFloat"
		size = 257
		refs = "0018 _DF_ 003d DecimalSeparator 0076 FPower10"
	strings:
		$1 = { 55 8B EC 83 EC 06 57 56 53 8B F0 8B FA 8B D9 9B D9 7D FA 9B DB E2 D9 2D ?? ?? ?? ?? D9 EE E8 88 00 00 00 8A 3E 80 FF 2B 74 05 80 FF 2D 75 01 46 8B CE E8 7F 00 00 00 33 D2 8A 06 3A 05 ?? ?? ?? ?? 75 08 46 E8 6D 00 00 00 F7 DA 3B CE 74 4A 8A 06 24 DF 3C 45 75 0A 46 52 E8 74 00 00 00 58 03 D0 E8 45 00 00 00 80 3E 00 75 2E 8B C2 80 FB 01 75 03 83 C0 04 E8 ?? ?? ?? ?? 80 FF 2D 75 02 D9 E0 80 FB 00 74 04 DF 3F EB 02 DB 3F 9B DF E0 66 A9 09 00 75 06 B0 01 EB 04 DD D8 33 C0 9B DB E2 D9 6D FA 9B 5B 5E 5F 8B E5 5D C3 AC 0A C0 74 04 3C 20 74 F7 4E C3 33 C0 33 D2 AC 2C 3A 04 0A 73 0F DA 0D ?? ?? ?? ?? 89 45 FC DA 45 FC 42 EB EA 4E C3 33 C0 33 D2 8A 0E 80 F9 2B 74 05 80 F9 2D 75 01 46 8A 06 2C 3A 04 0A 73 0E 46 6B D2 0A 03 D0 81 FA F4 01 00 00 72 EA 80 F9 2D 75 02 F7 DA C3 }
	condition:
		$1
}

rule function_18646_0 {
	meta:
		name = "Finalization"
		size = 330
		refs = "0007 Finalization 0013 _DV_14 001e FreeTerminateProcs 0023 DoneExceptions 0028 ExceptMap 0033 TExceptRec 0038 @FinalizeArray 003d ErrorMap 0048 TErrorRec 0052 FormatErrorStrs 005d String 0067 HexDisplayPrefix 006c @LStrClr 0071 EraNames 0086 LongDayNames 009b ShortDayNames 00b0 LongMonthNames 00c5 ShortMonthNames 00da LongTimeFormat 00e4 ShortTimeFormat 00ee TimePMString 00f8 TimeAMString 0102 LongDateFormat 010c ShortDateFormat 0116 CurrencyString 0120 Win32CSDVersion 012a EmptyStr 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 16 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 15 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_18647_0 {
	meta:
		name = "SysUtils"
		size = 128
		refs = "0007 SysUtils 0013 _DV_14 001b _NF__7A3 0020 @InitResStringImports 0025 _NF__7A4 002a @InitImports 002f ModuleIsCpp 0039 HexDisplayPrefix 0043 @LStrAsg 0048 InitExceptions 004d GetFormatSettings 0052 InitPlatformId 0057 InitDriveSpacePtr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 41 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0F B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 00 00 FF FF FF FF 02 00 00 00 30 78 00 00 }
	condition:
		$1
}

rule function_18651_0 {
	meta:
		name = "TTabPageAccess.Put"
		size = 60
		refs = "000f TList.Get 0016 TControl.SetText 001e TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 10 8B 80 0C 02 00 00 8B CF 8B D6 8B 18 FF 53 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18654_0 {
	meta:
		name = "TTabPageAccess.Clear"
		size = 99
		refs = "0019 TList.Get 001f _DV_TTabPage 0024 @AsClass 0029 TObject.Free 0039 @CallDynaInst 0041 TWinControl.HandleAllocated 005b TWinControl.Realign"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 0C 8B 58 08 4B 85 DB 7C 21 43 33 FF 8B D7 8B 46 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 E2 8B 46 0C 66 BB FF FF E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 46 10 8B 80 0C 02 00 00 8B 10 FF 52 40 8B 46 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18655_0 {
	meta:
		name = "TTabPageAccess.Delete"
		size = 131
		refs = "000c TList.Get 0012 _DV_TTabPage 0017 @AsClass 001c TObject.Free 0026 TList.Delete 002e TWinControl.HandleAllocated 0060 TTabbedNotebook.SetPageIndex 0074 TWinControl.Realign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 10 8B 43 10 8B 80 0C 02 00 00 8B D6 8B 08 FF 51 44 8B 43 10 8B 90 40 02 00 00 3B F2 75 13 C7 80 40 02 00 00 FF FF FF FF 33 D2 E8 ?? ?? ?? ?? EB 0A 3B D6 7E 06 FF 88 40 02 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_18656_0 {
	meta:
		name = "TTabPageAccess.Insert"
		size = 119
		refs = "0010 _DV_TTabPage 0015 TTabPage.Create 002a TControl.SetText 0036 TList.Insert 003e TWinControl.HandleAllocated 005e TTabbedNotebook.SetPageIndex 0066 TWinControl.Realign"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B C6 8B 08 FF 51 64 8B D5 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 10 8B 80 0C 02 00 00 8B CD 8B D7 8B 30 FF 56 54 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 52 78 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18657_0 {
	meta:
		name = "TTabPageAccess.Move"
		size = 101
		refs = "0016 TList.Exchange 0020 TWinControl.HandleAllocated 0046 TTabbedNotebook.SetPageIndex 005c TWinControl.Realign"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 52 8B 43 0C 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 5B 10 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B CF 8B D6 8B 83 0C 02 00 00 8B 28 FF 55 48 8B 83 40 02 00 00 3B F0 75 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0D 3B F8 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18658_0 {
	meta:
		name = "TTabPage.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TTabPage.Create 002b TControl.SetAlign 0034 TWinControl.SetTabStop 0046 TControl.SetVisible 0051 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 B2 05 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 60 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_18659_0 {
	meta:
		name = "TTabPage.ReadState"
		size = 62
		refs = "000e _DV_TTabbedNotebook 0013 @IsClass 0024 TList.Add 002d TWinControl.ReadState 0036 TWinControl.SetTabStop"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 87 38 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18660_0 {
	meta:
		name = "TTabbedNotebook.Create"
		size = 360
		refs = "0015 @ClassCreate 0022 TTabbedNotebook.Create 0031 TCustomTabControl.Create 0056 TControl.SetWidth 0062 TControl.SetHeight 006b TWinControl.SetTabStop 0072 _Dn_TList 0077 TObject.Create 0084 _Dn_TFont 0089 TFont.Create 009d TFont.SetColor 00ad TTabbedNotebook.TabFontChanged 00c5 _DV_TTabPageAccess 00ca TTabPageAccess.Create 00e2 SDefault 00e7 LoadResString 00fe TTabbedNotebook.SetPageIndex 0104 Registered 010c _DV_TTabPage 0119 RegisterClasses 0135 @LStrClr 013b @HandleFinally 014a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 80 63 21 FE A1 ?? ?? ?? ?? 0B 43 40 8B 15 ?? ?? ?? ?? F7 D2 23 D0 89 53 40 BA 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 44 02 00 00 BA 12 00 00 80 8B C6 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 89 58 08 C7 40 04 ?? ?? ?? ?? C7 83 48 02 00 00 03 00 00 00 53 8B 8B 38 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 02 00 00 C7 83 40 02 00 00 FF FF FF FF 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 3C 02 00 00 8B 08 FF 51 34 33 D2 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 19 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 33 D2 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 08 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_18661_0 {
	meta:
		name = "TTabbedNotebook.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0034 TCustomTabControl.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 3C 02 00 00 E8 ?? ?? ?? ?? 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18662_0 {
	meta:
		name = "TTabbedNotebook.CreateHandle"
		size = 155
		refs = "0014 TTabbedNotebook.CreateHandle 0021 TWinControl.CreateHandle 0073 TCustomTabControl.SetTabIndex 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? F6 43 20 02 75 4C 8B 83 3C 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 83 3C 02 00 00 8B 38 FF 57 0C 8B 55 F8 8B 83 0C 02 00 00 8B 08 FF 51 34 FF 45 FC 4E 75 DB 8B 93 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18663_0 {
	meta:
		name = "TTabbedNotebook.CreateParams"
		size = 19
		refs = "0006 TCustomTabControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_18666_0 {
	meta:
		name = "TTabbedNotebook.Loaded"
		size = 341
		refs = "0014 TTabbedNotebook.Loaded 0021 TCustomTabControl.Loaded 004e TList.Get 0054 _DV_TTabPage 0059 @AsClass 007f TControl.SetVisible 00d0 TWinControl.HandleAllocated 0126 TCustomTabControl.SetTabIndex 012d TWinControl.Realign 0142 @LStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 8B 40 08 48 85 C0 0F 8C 96 00 00 00 40 89 45 FC 33 F6 3B B3 40 02 00 00 74 40 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 60 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 3E 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 51 60 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 46 FF 4D FC 0F 85 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 8B 83 0C 02 00 00 8B 10 FF 52 40 8B 83 3C 02 00 00 8B 10 FF 52 14 48 85 C0 7C 2A 40 89 45 FC 33 F6 8D 4D F8 8B D6 8B 83 3C 02 00 00 8B 38 FF 57 0C 8B 55 F8 8B 83 0C 02 00 00 8B 08 FF 51 34 46 FF 4D FC 75 DC 8B 93 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18667_0 {
	meta:
		name = "TTabbedNotebook.ReadState"
		size = 114
		refs = "0016 TWinControl.ReadState 0038 TList.Get 003e _DV_TTabPage 0043 @AsClass 0055 TControl.BringToFront 005e TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 3C 02 00 00 8B 10 FF 52 40 8B D6 8B C3 E8 ?? ?? ?? ?? 8B B3 40 02 00 00 85 F6 7C 41 8B 83 38 02 00 00 3B 70 08 7D 36 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 8B 08 FF 51 60 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 83 40 02 00 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_18668_0 {
	meta:
		name = "TTabbedNotebook.SetPages"
		size = 51
	strings:
		$1 = { 56 8B F0 8B 86 3C 02 00 00 8B 08 FF 51 08 8B 86 3C 02 00 00 8B 10 FF 52 14 85 C0 7E 0A 33 C0 89 86 40 02 00 00 5E C3 C7 86 40 02 00 00 FF FF FF FF 5E C3 }
	condition:
		$1
}

rule function_18669_0 {
	meta:
		name = "TTabbedNotebook.ShowControl"
		size = 71
		refs = "0022 TList.Get 002f TTabbedNotebook.SetPageIndex 003e TWinControl.ShowControl"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 38 02 00 00 8B 70 08 4E 85 F6 7C 23 46 33 DB 8B 87 38 02 00 00 8B D3 E8 ?? ?? ?? ?? 3B E8 75 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0D 43 4E 75 E0 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18670_0 {
	meta:
		name = "TTabbedNotebook.SetPageIndex"
		size = 306
		refs = "0068 GetParentForm 007b TWinControl.ContainsControl 0088 TCustomForm.SetActiveControl 008f TWinControl.HandleAllocated 009c TCustomTabControl.SetTabIndex 00a9 TList.Get 00b2 TControl.BringToFront 00bb TControl.SetVisible 0121 TWinControl.Realign"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 F6 43 20 01 74 0B 89 B3 40 02 00 00 E9 14 01 00 00 3B B3 40 02 00 00 0F 84 08 01 00 00 85 F6 0F 8C 00 01 00 00 8B 83 38 02 00 00 3B 70 08 0F 8D F1 00 00 00 66 83 BB 56 02 00 00 00 74 1F C6 04 24 01 54 8B CE 8B D3 8B 83 58 02 00 00 FF 93 54 02 00 00 80 3C 24 00 0F 84 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1A 8B 97 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 60 8B BB 40 02 00 00 85 FF 7C 2C 8B 83 38 02 00 00 3B 78 08 7D 21 8B D7 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 51 60 8B 83 40 02 00 00 8B 8B 48 02 00 00 99 F7 F9 8B F8 8B C6 99 F7 F9 3B F8 74 0F 89 B3 40 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 06 89 B3 40 02 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18671_0 {
	meta:
		name = "TTabbedNotebook.SetActivePage"
		size = 31
		refs = "0018 TTabbedNotebook.SetPageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 3C 02 00 00 8B 08 FF 51 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18672_0 {
	meta:
		name = "TTabbedNotebook.GetActivePage"
		size = 62
		refs = "0037 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 3C 02 00 00 8B 10 FF 52 14 85 C0 7E 1F 83 BB 40 02 00 00 00 7C 16 8B CE 8B 93 40 02 00 00 8B 83 3C 02 00 00 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18674_0 {
	meta:
		name = "TTabbedNotebook.CMDialogChar"
		size = 201
		refs = "0017 TTabbedNotebook.CMDialogChar 003f TList.Get 0047 TControl.GetText 0056 IsAccel 006f @CallDynaInst 007c TTabbedNotebook.SetPageIndex 00a1 TCustomTabControl.CMDialogChar 00b6 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 38 02 00 00 85 C0 74 70 8B 58 08 4B 85 DB 7C 68 43 33 FF 8B D7 8B 86 38 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 66 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 39 8B C6 8B 10 FF 92 B4 00 00 00 8B C6 66 BB BB FF E8 ?? ?? ?? ?? 84 C0 74 14 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 8B 45 FC C7 40 0C 01 00 00 00 EB 0E 47 4B 75 9B 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18675_0 {
	meta:
		name = "TTabbedNotebook.KeyDown"
		size = 127
		refs = "002e TTabbedNotebook.SetPageIndex 0045 @CallDynaInst"
	strings:
		$1 = { 53 8B D8 66 8B 02 83 C0 DB 66 83 E8 02 72 3C 66 83 E8 02 73 68 8B 93 38 02 00 00 8B 52 08 4A 8B 83 40 02 00 00 3B D0 7F 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0A 8B D0 42 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB EC FF E8 ?? ?? ?? ?? 5B C3 8B 83 40 02 00 00 85 C0 7E 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 11 8B 83 38 02 00 00 8B 50 08 4A 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BB EC FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18676_0 {
	meta:
		name = "TTabbedNotebook.SetTabsPerRow"
		size = 30
		refs = "0011 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 83 FA 03 7C 14 89 93 48 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_18677_0 {
	meta:
		name = "TTabbedNotebook.GetIndexForPage"
		size = 154
		refs = "0017 TTabbedNotebook.GetIndexForPage 0046 TList.Get 004c _DV_TTabPage 0051 @AsClass 0059 TControl.GetText 0064 @LStrCmp 0084 @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B 87 38 02 00 00 85 C0 74 41 8B 70 08 4E 85 F6 7C 39 46 33 DB 8B 87 38 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 75 05 89 5D F8 EB 04 43 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18678_0 {
	meta:
		name = "TTabbedNotebook.SetTabFont"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 44 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_18680_0 {
	meta:
		name = "TTabbedNotebook.AlignControls"
		size = 56
		refs = "0025 TList.Get 0030 TWinControl.AlignControls"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B B3 40 02 00 00 85 F6 7C 23 8B 83 38 02 00 00 3B 70 08 7D 18 8B D6 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18681_0 {
	meta:
		name = "TTabbedNotebook.TabFontChanged"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 64 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18682_0 {
	meta:
		name = "TTabbedNotebook.Click"
		size = 29
	strings:
		$1 = { 53 66 83 B8 4E 02 00 00 00 74 10 8B D8 8B D0 8B 83 50 02 00 00 FF 93 4C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_18683_0 {
	meta:
		name = "TTabbedNotebook.Change"
		size = 69
		refs = "0006 TCustomTabControl.GetTabIndex 001a TTabbedNotebook.SetPageIndex 0030 TCustomTabControl.Change 003f TCustomTabControl.SetTabIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 83 40 02 00 00 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 93 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18684_0 {
	meta:
		name = "TTabbedNotebook.WMPaint"
		size = 47
		refs = "000f TFont.GetHandle 0019 TWinControl.GetHandle 001f SendMessage 0028 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 50 6A 30 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18687_0 {
	meta:
		name = "TScroller.Create"
		size = 140
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001c TScroller.Create 0029 _Dn_TBitmap 002e TBitmap.Create 0075 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 08 02 00 00 C7 86 10 02 00 00 18 00 00 00 C7 86 14 02 00 00 0D 00 00 00 33 C0 89 86 F0 01 00 00 33 C0 89 86 F4 01 00 00 33 C0 89 86 F8 01 00 00 C7 86 04 02 00 00 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 40 00 00 00 }
	condition:
		$1
}

rule function_18689_0 {
	meta:
		name = "TScroller.Paint"
		size = 380
		refs = "000d TScroller.CanScrollLeft 0028 TScroller.Paint 002d HInstance 0035 LoadBitmap 0042 TBitmap.SetHandle 0096 TCanvas.Draw 009d TScroller.CanScrollRight"
	strings:
		$1 = { 53 56 8B D8 8B B3 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 54 80 BB 0D 02 00 00 00 74 2A 80 BB 0E 02 00 00 00 75 21 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? EB 40 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? EB 1F 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 83 08 02 00 00 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 54 80 BB 0D 02 00 00 00 74 2A 80 BB 0E 02 00 00 01 75 21 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? EB 40 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? EB 1F 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 83 08 02 00 00 50 8B 93 10 02 00 00 D1 FA 79 03 83 D2 00 4A 33 C9 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 53 42 4C 45 46 54 44 4E 00 00 00 00 53 42 4C 45 46 54 00 00 53 42 4C 45 46 54 44 49 53 00 00 00 53 42 52 49 47 48 54 44 4E 00 00 00 53 42 52 49 47 48 54 00 53 42 52 49 47 48 54 44 49 53 00 00 }
	condition:
		$1
}

rule function_18690_0 {
	meta:
		name = "TScroller.WMSize"
		size = 39
		refs = "0006 TWinControl.WMSize 0014 TControl.SetWidth 0021 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 10 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 8B 93 14 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18691_0 {
	meta:
		name = "TScroller.SetMin"
		size = 15
	strings:
		$1 = { 3B 90 F4 01 00 00 7D 06 89 90 F0 01 00 00 C3 }
	condition:
		$1
}

rule function_18692_0 {
	meta:
		name = "TScroller.SetMax"
		size = 15
	strings:
		$1 = { 3B 90 F0 01 00 00 7E 06 89 90 F4 01 00 00 C3 }
	condition:
		$1
}

rule function_18693_0 {
	meta:
		name = "TScroller.SetPosition"
		size = 74
	strings:
		$1 = { 53 8B D8 3B 93 F8 01 00 00 74 3D 8B 83 F0 01 00 00 3B D0 7D 02 8B D0 8B 83 F4 01 00 00 3B D0 7E 02 8B D0 89 93 F8 01 00 00 8B C3 8B 10 FF 52 78 66 83 BB FE 01 00 00 00 74 0E 8B D3 8B 83 00 02 00 00 FF 93 FC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_18694_0 {
	meta:
		name = "TScroller.CanScrollLeft"
		size = 16
	strings:
		$1 = { 8B 90 F8 01 00 00 3B 90 F0 01 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_18695_0 {
	meta:
		name = "TScroller.CanScrollRight"
		size = 16
	strings:
		$1 = { 8B 90 F8 01 00 00 3B 90 F4 01 00 00 0F 9C C0 C3 }
	condition:
		$1
}

rule function_18696_0 {
	meta:
		name = "TScroller.DoMouseDown"
		size = 110
		refs = "0035 TScroller.CanScrollLeft 0042 TScroller.CanScrollRight 0062 TWinControl.GetHandle 0068 SetCapture"
	strings:
		$1 = { 53 8B D8 8B 83 10 02 00 00 D1 F8 79 03 83 D0 00 3B D0 7D 09 C6 83 0E 02 00 00 00 EB 07 C6 83 0E 02 00 00 01 8A 83 0E 02 00 00 2C 01 72 04 74 0F EB 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F EB 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 C6 83 0C 02 00 00 01 C6 83 0D 02 00 00 01 8B C3 8B 10 FF 52 78 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18697_0 {
	meta:
		name = "TScroller.WMLButtonDblClk"
		size = 10
		refs = "0005 TScroller.DoMouseDown"
		altNames = "TScroller.WMLButtonDown"
	strings:
		$1 = { 0F BF 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18699_0 {
	meta:
		name = "TScroller.WMMouseMove"
		size = 164
		refs = "0022 Point 0044 Rect 0067 OffsetRect 0079 PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B F8 80 BF 0C 02 00 00 00 0F 84 86 00 00 00 8B CC 0F BF 56 0A 0F BF 46 08 E8 ?? ?? ?? ?? 8B 87 14 02 00 00 50 8D 44 24 0C 50 8B 8F 10 02 00 00 D1 F9 79 03 83 D1 00 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BF 0E 02 00 00 01 75 1A 6A 00 8B 87 10 02 00 00 D1 F8 79 03 83 D0 00 50 8D 44 24 10 50 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 44 24 10 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 8A 9F 0D 02 00 00 3A C3 74 10 80 F3 01 88 9F 0D 02 00 00 8B C7 8B 10 FF 52 78 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18700_0 {
	meta:
		name = "TScroller.WMLButtonUp"
		size = 77
		refs = "0004 ReleaseCapture 0047 TScroller.SetPosition"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? C6 83 0C 02 00 00 00 80 BB 0D 02 00 00 00 74 33 C6 83 0D 02 00 00 00 8B 83 F8 01 00 00 8A 93 0E 02 00 00 80 EA 01 72 04 74 0A EB 0E 2B 83 04 02 00 00 EB 06 03 83 04 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18701_0 {
	meta:
		name = "TTabList.Add"
		size = 30
		refs = "0007 TStringList.Add"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 2C 85 C0 74 05 8B 10 FF 52 78 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18702_0 {
	meta:
		name = "TTabList.Insert"
		size = 47
		refs = "000b TStringList.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 16 3B B0 FC 01 00 00 7F 06 FF 80 FC 01 00 00 8B 43 2C 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_18703_0 {
	meta:
		name = "TTabList.Delete"
		size = 100
		refs = "0015 TStringList.Delete 005c @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 2C 8B B0 FC 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 3B F0 7D 0B 8B 43 2C 89 B0 FC 01 00 00 EB 11 8B C3 8B 10 FF 52 14 48 8B 53 2C 89 82 FC 01 00 00 8B 43 2C 8B 10 FF 52 78 8B 43 2C 8B 10 FF 52 78 3B FE 75 0C 8B 43 2C 66 BB EC FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18704_0 {
	meta:
		name = "TTabList.Put"
		size = 24
		refs = "0006 TStringList.Put"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 05 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_18705_0 {
	meta:
		name = "TTabList.Clear"
		size = 30
		refs = "0006 TStringList.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 2C C7 80 FC 01 00 00 FF FF FF FF 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_18706_0 {
	meta:
		name = "TTabList.AddStrings"
		size = 66
		refs = "0010 TWinControl.GetHandle 0016 SendMessage 001f TStrings.AddStrings"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 6A 0B 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 2C 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_18707_0 {
	meta:
		name = "TTabSet.Create"
		size = 416
		refs = "0015 @ClassCreate 0022 TTabSet.Create 0031 TCustomControl.Create 0045 TControl.SetWidth 0051 TControl.SetHeight 0058 _Dn_TList 005d TObject.Create 0074 _DV_TTabList 008b TTabSet.InitBitmaps 0092 TTabSet.CreateScroller 00f2 TTabSet.CreateBrushPattern 0113 TControl.SetParentFont 011c DefFontData 0124 @LStrFromString 012f TFont.SetName 0140 TFont.SetHeight 014e TFont.SetStyle 0155 TTabSet.CreateEdgeParts 016a @LStrClr 0170 @HandleFinally 017f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 40 BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 40 02 00 00 C7 83 44 02 00 00 14 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 01 00 00 89 5E 2C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 83 FC 01 00 00 FF FF FF FF 33 C0 89 83 00 02 00 00 33 C0 89 83 04 02 00 00 C7 83 F0 01 00 00 05 00 00 00 C7 83 F4 01 00 00 05 00 00 00 C7 83 08 02 00 00 0F 00 00 80 C7 83 0C 02 00 00 05 00 00 80 C7 83 10 02 00 00 0F 00 00 80 C6 83 14 02 00 00 01 8B 93 3C 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 15 02 00 00 01 C6 83 16 02 00 00 00 C7 83 18 02 00 00 14 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? 83 C2 0B E8 ?? ?? ?? ?? 8B 55 F8 8B 43 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 52 04 8B 43 58 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 43 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 00 00 C2 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_18709_0 {
	meta:
		name = "TTabSet.CreateScroller"
		size = 102
		refs = "0009 _DV_TScroller 000e TScroller.Create 002b TControl.SetTop 0034 TScroller.SetMin 003d TScroller.SetMax 0046 TScroller.SetPosition 004f TControl.SetVisible 005f TTabSet.ScrollClick"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 48 02 00 00 8B D6 8B C3 8B 08 FF 51 64 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 89 B3 00 02 00 00 C7 83 FC 01 00 00 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18710_0 {
	meta:
		name = "TTabSet.InitBitmaps"
		size = 41
		refs = "0006 _Dn_TBitmap 000b TBitmap.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_18711_0 {
	meta:
		name = "TTabSet.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0024 TTabSet.DoneBitmaps 0030 TCustomControl.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 8B 86 40 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18712_0 {
	meta:
		name = "TTabSet.DoneBitmaps"
		size = 38
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 83 3C 02 00 00 E8 ?? ?? ?? ?? 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18713_0 {
	meta:
		name = "TTabSet.ScrollClick"
		size = 12
		refs = "0007 TTabSet.SetFirstIndex"
	strings:
		$1 = { 8B 92 F8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18714_0 {
	meta:
		name = "TTabSet.CalcTabPositions"
		size = 221
		refs = "0019 TTabSet.CalcTabPositions 002c TList.SetCount 0054 TCanvas.TextWidth 0093 TList.Add 00c6 @LStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 EB 62 66 89 75 F6 8D 4D EC 8B 55 F8 8B 83 F8 01 00 00 8B 38 FF 57 0C 8B 55 EC 8B 45 0C E8 ?? ?? ?? ?? 89 45 F0 80 BB 16 02 00 00 01 75 10 8D 4D F0 8B 55 F8 8B C3 8B 38 FF 97 C0 00 00 00 66 8B 45 F0 66 89 45 F4 0F B7 C0 83 C0 09 03 F0 3B 75 FC 7F 11 8B 55 F4 8B 83 40 02 00 00 E8 ?? ?? ?? ?? FF 45 F8 3B 75 FC 7D 10 8B 83 F8 01 00 00 8B 10 FF 52 14 3B 45 F8 7F 89 8B 5D F8 2B 5D 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18715_0 {
	meta:
		name = "TTabSet.ItemAtPos"
		size = 126
		refs = "0022 TControl.GetClientHeight 0044 TList.Get"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 8B F8 C7 44 24 08 FF FF FF FF 8B 5C 24 04 85 DB 7C 54 8B C7 E8 ?? ?? ?? ?? 3B D8 7F 49 8B 87 40 02 00 00 8B 70 08 4E 85 F6 7C 3B 46 33 DB 8B 87 40 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 44 24 0C 66 8B 54 24 0E 0F B7 CA 8B 04 24 3B C8 7F 14 0F B7 D2 0F B7 4C 24 0C 03 D1 3B C2 7F 06 89 5C 24 08 EB 04 43 4E 75 C8 8B 44 24 08 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18716_0 {
	meta:
		name = "TTabSet.ItemRect"
		size = 109
		refs = "0025 TList.Get 0049 Rect 0053 InflateRect"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 8B AB 40 02 00 00 8B 45 08 85 C0 7E 41 85 F6 7C 3D 3B C6 7E 39 8B D6 8B C5 E8 ?? ?? ?? ?? 89 04 24 8B 83 44 02 00 00 50 57 66 8B 74 24 0A 0F B7 CE 0F B7 44 24 08 03 C8 0F B7 C6 33 D2 E8 ?? ?? ?? ?? 6A FE 6A 01 57 E8 ?? ?? ?? ?? EB 0E 6A 00 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18717_0 {
	meta:
		name = "TTabSet.Paint"
		size = 1511
		refs = "0014 TTabSet.Paint 0021 TWinControl.HandleAllocated 0030 TControl.GetClientWidth 0044 TControl.GetClientHeight 007f TBitmap.GetCanvas 008d TCanvas.SetFont 00b3 TControl.SetLeft 00d1 TTabSet.CalcTabPositions 013a TControl.SetVisible 0147 TWinControl.GetHandle 014d ShowWindow 015a TScroller.SetMin 0178 TScroller.SetMax 0189 TScroller.SetPosition 01ce TTabSet.FixTabPos 0214 TBrush.SetBitmap 023a Rect 0244 TCanvas.FillRect 0251 TPen.SetWidth 025e TPen.SetColor 0269 TCanvas.MoveTo 0280 TCanvas.LineTo 02e0 TList.Get 036d TTabSet.PaintEdge 03b0 TBrush.SetColor 03da TCanvas.GetHandle 03e0 ExtTextOut 0462 @LStrLen 0482 @LStrToPChar 0490 DrawText 05bf TCanvas.Draw 05d4 @LStrClr 05da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 CC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 96 05 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 38 02 00 00 8B 08 FF 51 40 8B C3 E8 ?? ?? ?? ?? 8B B3 44 02 00 00 83 C6 05 3B C6 7D 0F 8B D6 8B 83 38 02 00 00 8B 08 FF 51 34 EB 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 38 02 00 00 8B 08 FF 51 34 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 93 EC 01 00 00 8B 52 0C E8 ?? ?? ?? ?? 8B BB F0 01 00 00 83 C7 09 8B 73 38 2B B3 F4 01 00 00 8B 83 48 02 00 00 8B 53 38 2B 50 38 83 EA 02 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 00 02 00 00 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 04 02 00 00 80 BB 15 02 00 00 00 0F 84 A7 00 00 00 8B 83 F8 01 00 00 8B 10 FF 52 14 3B 83 04 02 00 00 0F 8E 90 00 00 00 8B 83 48 02 00 00 8B 40 38 83 E8 04 2B F0 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 00 02 00 00 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 04 02 00 00 B2 01 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 6A 05 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 8B 10 FF 52 14 8B D0 2B 93 04 02 00 00 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 8B 93 00 02 00 00 8B 83 48 02 00 00 E8 ?? ?? ?? ?? EB 33 8B 83 F8 01 00 00 8B 10 FF 52 14 3B 83 04 02 00 00 7F 20 33 D2 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 6A 00 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 4C 02 00 00 00 74 2B 8B C3 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 00 02 00 00 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 04 02 00 00 C6 83 4C 02 00 00 00 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 46 14 8B 93 3C 02 00 00 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 8B 10 FF 52 20 50 8D 45 D0 50 8B 83 38 02 00 00 8B 10 FF 52 2C 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 46 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 46 10 BA 10 00 00 80 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 8B 10 FF 52 2C 8B D0 42 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 46 10 BA 06 00 00 80 E8 ?? ?? ?? ?? B9 01 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 8B 10 FF 52 2C 8B D0 42 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 40 02 00 00 8B 40 08 48 85 C0 0F 8C E2 02 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 55 F8 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D F8 00 0F 94 C0 8B 93 04 02 00 00 4A 3B 55 F8 0F 94 C2 8B 75 F8 03 B3 00 02 00 00 8B BB FC 01 00 00 3B F7 0F 94 45 F6 4E 3B FE 0F 94 C1 C6 45 F7 00 84 D2 74 10 80 7D F6 00 74 06 C6 45 F7 03 EB 04 C6 45 F7 04 84 C0 74 0E 80 7D F6 00 74 04 B0 01 EB 18 B0 02 EB 14 84 C9 74 04 B0 06 EB 0C 80 7D F6 00 74 04 B0 05 EB 02 B0 07 84 C0 74 19 8B 93 44 02 00 00 4A 52 50 0F B7 55 FE 83 EA 09 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 50 8D 45 E0 50 66 8B 75 FE 0F B7 CE 0F B7 45 FC 03 C8 0F B7 C6 33 D2 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B F0 80 7D F6 00 74 10 8B 46 14 8B 93 08 02 00 00 E8 ?? ?? ?? ?? EB 0E 8B 46 14 8B 93 0C 02 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 45 E0 50 6A 02 6A 02 0F B7 45 FE 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 93 EC 01 00 00 8B 52 0C E8 ?? ?? ?? ?? 80 BB 16 02 00 00 01 75 2A 8B 45 F8 03 83 00 02 00 00 50 8A 45 F6 50 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C3 8B 30 FF 96 BC 00 00 00 EB 64 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B F0 83 45 E4 02 6A 01 8D 45 E0 50 8D 4D CC 8B 55 F8 03 93 00 02 00 00 8B 83 F8 01 00 00 8B 38 FF 57 0C 8B 45 CC E8 ?? ?? ?? ?? 50 8D 4D CC 8B 55 F8 03 93 00 02 00 00 8B 83 F8 01 00 00 8B 38 FF 57 0C 8B 45 CC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D F7 00 74 1F 8B 83 44 02 00 00 48 50 8A 45 F7 50 0F B7 55 FE 0F B7 45 FC 03 D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B F0 BA 06 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 8B 44 02 00 00 49 0F B7 55 FE 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 0F B7 45 FC 03 D0 8B 8B 44 02 00 00 49 8B C6 E8 ?? ?? ?? ?? 80 7D F6 00 74 3D BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 8B 8B 44 02 00 00 83 E9 02 0F B7 55 FE 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 0F B7 45 FC 03 D0 8B 8B 44 02 00 00 83 E9 02 8B C6 E8 ?? ?? ?? ?? EB 61 BA 06 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 0F B7 55 FE B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 0F B7 45 FC 03 D0 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 46 10 E8 ?? ?? ?? ?? 0F B7 55 FE 33 C9 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 0F B7 45 FC 03 D0 42 33 C9 8B C6 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 0F 85 29 FD FF FF 8B 83 38 02 00 00 50 33 C9 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18718_0 {
	meta:
		name = "DrawUL"
		size = 477
		refs = "0012 TPen.SetColor 001e Point 0054 TCanvas.Polyline 007c TBrush.SetColor 0123 TCanvas.Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 8B D8 BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 8D 4D E0 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC 8D 55 F0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 0C 02 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 0C 02 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 8B 45 08 8B 50 F8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 8B 45 08 8B 50 F8 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 BA 01 00 00 00 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 BA 01 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 B8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 BA 01 00 00 00 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 BA 01 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 45 08 8B 50 F8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 8B 45 08 8B 50 F8 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 B8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18719_0 {
	meta:
		name = "DrawSR"
		size = 515
		refs = "0020 TPen.SetColor 0034 TBrush.SetColor 0046 Point 00c7 TCanvas.Polygon 016d TCanvas.Polyline"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 8B D8 8B 75 08 83 C6 F8 8B 45 08 8B 40 FC 8B 90 08 02 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 08 02 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 4D D0 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC 8D 4D C8 8B 16 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 8D 4D C0 8B 16 33 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 E8 8B 45 C4 89 45 EC 8D 4D B8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 B8 89 45 F0 8B 45 BC 89 45 F4 8D 4D B0 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 F8 8B 45 B4 89 45 FC 8D 55 D8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC 8D 4D C8 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 8D 4D C0 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 E8 8B 45 C4 89 45 EC 8D 4D B8 8B 16 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 89 45 F0 8B 45 BC 89 45 F4 8D 4D B0 8B 16 83 EA 02 33 C0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 F8 8B 45 B4 89 45 FC 8D 55 D8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 BA 01 00 00 00 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 90 8B 45 D4 89 45 94 8D 4D C8 BA 01 00 00 00 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 98 8B 45 CC 89 45 9C 8D 4D C0 8B 16 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 A0 8B 45 C4 89 45 A4 8D 4D B8 8B 16 83 C8 FF E8 ?? ?? ?? ?? 8B 45 B8 89 45 A8 8B 45 BC 89 45 AC 8D 55 90 B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18720_0 {
	meta:
		name = "DrawSL"
		size = 528
		refs = "0019 TPen.SetColor 002d TBrush.SetColor 003c Point 00cb TCanvas.Polygon 011a TCanvas.Polyline"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 8B D8 8B 45 08 8B 40 FC 8B 90 08 02 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 08 02 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC 8D 4D C8 8B 45 08 8B 50 F8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 8D 4D C0 8B 45 08 8B 50 F8 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 E8 8B 45 C4 89 45 EC 8D 4D B8 33 D2 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 89 45 F0 8B 45 BC 89 45 F4 8D 4D B0 33 D2 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 F8 8B 45 B4 89 45 FC 8D 55 D8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 A0 8B 45 D4 89 45 A4 8D 4D C8 33 D2 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 A8 8B 45 CC 89 45 AC 8D 55 A0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 14 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 BA 01 00 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 A0 8B 45 D4 89 45 A4 8D 4D C8 8B 45 08 8B 50 F8 42 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 A8 8B 45 CC 89 45 AC 8D 55 A0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D0 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 80 8B 45 D4 89 45 84 8D 4D C8 BA 01 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 88 8B 45 CC 89 45 8C 8D 4D C0 8B 45 08 8B 50 F8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 90 8B 45 C4 89 45 94 8D 4D B8 8B 45 08 8B 50 F8 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 89 45 98 8B 45 BC 89 45 9C 8D 55 80 B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18721_0 {
	meta:
		name = "DrawUR"
		size = 550
		refs = "0012 TPen.SetColor 001f Point 0055 TCanvas.Polyline 007d TBrush.SetColor 011e TCanvas.Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 8B D8 BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 83 C8 FF E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 8D 4D E0 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC 8D 55 F0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 0C 02 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 0C 02 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 8B 45 08 8B 50 F8 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 8B 45 08 8B 50 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 B8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 83 C8 FF E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 8D 4D E0 33 D2 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC 8D 55 F0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 80 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 BA 01 00 00 00 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 4D B0 BA 01 00 00 00 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 45 08 8B 50 F8 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 8B 45 08 8B 50 F8 83 C8 FF E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 B8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18722_0 {
	meta:
		name = "TTabSet.CreateEdgeParts"
		size = 528
		refs = "0016 TBitmap.GetCanvas 0021 TCanvas.SetFont 0035 TTabSet.CreateEdgeParts 0073 TCanvas.TextHeight 00a2 _Dn_TImageList 00a7 TCustomImageList.CreateSize 00b8 @HandleAnyException 00c9 @RaiseAgain 00ce @DoneExcept 00dc TObject.Free 00ec _Dn_TBitmap 00f1 TBitmap.Create 013b TBrush.SetColor 0145 TBrush.SetStyle 0161 Rect 016b TCanvas.FillRect 018b DrawSL 019c DrawUL 01ad DrawSR 01be DrawUR 01d2 TCustomImageList.AddMasked 01f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 FC 8B 45 FC 8B 80 38 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 58 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 02 00 00 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 16 02 00 00 01 75 14 8B 45 FC 8B 80 18 02 00 00 8B 55 FC 89 82 44 02 00 00 EB 24 8B 45 FC 8B 80 38 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 04 8B 55 FC 89 82 44 02 00 00 8B 45 FC 8B 80 44 02 00 00 48 89 45 F8 8B 45 FC 8B 80 44 02 00 00 50 B9 09 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 44 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 34 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 98 34 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 09 00 00 00 8B 45 F4 8B 08 FF 51 40 8B 45 FC 8B 90 44 02 00 00 8B 45 F4 8B 08 FF 51 34 BF 80 80 00 00 33 DB 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8B 46 14 8B D7 E8 ?? ?? ?? ?? 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 02 00 00 50 8D 45 E0 50 B9 09 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B C3 2C 01 72 0C 74 1B FE C8 74 28 FE C8 74 35 EB 42 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 31 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 20 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0F 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 34 02 00 00 8B CF 8B 55 F4 E8 ?? ?? ?? ?? 43 80 FB 04 0F 85 4B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_18723_0 {
	meta:
		name = "TTabSet.PaintEdge"
		size = 451
		refs = "0013 TBitmap.GetCanvas 0020 TBrush.SetColor 0035 TFont.SetColor 004a TTabSet.PaintEdge 0089 TCustomImageList.Draw"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 40 0C 33 D2 E8 ?? ?? ?? ?? 33 C0 8A 45 08 83 F8 07 0F 87 75 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 6A 00 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? E9 2A 01 00 00 57 6A 02 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? E9 06 01 00 00 57 6A 01 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? E9 E2 00 00 00 57 6A 03 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? E9 BE 00 00 00 57 6A 03 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 57 6A 00 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? EB 7E 57 6A 01 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 57 6A 02 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? EB 3E 57 6A 01 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 57 6A 03 6A 01 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 34 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_18724_0 {
	meta:
		name = "TTabSet.CreateBrushPattern"
		size = 178
		refs = "0025 TBitmap.GetCanvas 0031 TBrush.SetStyle 003f TBrush.SetColor 0054 Rect 005d TCanvas.FillRect 009b TCanvas.SetPixel"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 BA 08 00 00 00 8B C6 8B 08 FF 51 40 BA 08 00 00 00 8B C6 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 47 14 33 D2 E8 ?? ?? ?? ?? 8B 93 10 02 00 00 8B 47 14 E8 ?? ?? ?? ?? 8B 43 3C 50 8D 44 24 04 50 8B 4B 38 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 80 BB 14 02 00 00 00 74 41 33 F6 33 DB 8B C6 25 01 00 00 80 79 05 48 83 C8 FE 40 8B D3 81 E2 01 00 00 80 79 05 4A 83 CA FE 42 3B C2 75 10 68 FF FF FF 00 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 83 FB 08 75 C9 46 83 FE 08 75 C1 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18725_0 {
	meta:
		name = "GetRightSide"
		size = 97
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 38 8B 45 08 8B 40 FC 2B 98 F4 01 00 00 8B 45 08 8B 40 FC 80 B8 15 02 00 00 00 74 34 8B 45 08 8B 40 FC 8B 80 F8 01 00 00 8B 10 FF 52 14 48 8B 55 08 8B 52 FC 3B 82 04 02 00 00 7E 14 8B 45 08 8B 40 FC 8B 80 48 02 00 00 8B 40 38 83 C0 04 2B D8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_18726_0 {
	meta:
		name = "ReverseCalcNumTabs"
		size = 213
		refs = "001a ReverseCalcNumTabs 002b TWinControl.HandleAllocated 0055 TCanvas.TextWidth 00be @LStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 6E 8B 5D 08 EB 54 8D 4D F0 8B 45 0C 8B 40 FC 8B 80 F8 01 00 00 8B D3 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 0C 8B 40 FC 80 B8 16 02 00 00 01 75 13 8D 4D F4 8B 45 0C 8B 40 FC 8B D3 8B 38 FF 97 C0 00 00 00 8B 45 F4 83 C0 09 2B F0 3B 75 FC 7C 01 4B 3B 75 FC 7C 04 85 DB 7D A3 3B 75 FC 7C 04 85 DB 7D 0F 43 EB 0C 8B 45 0C 8B 40 FC 8B 98 00 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18727_0 {
	meta:
		name = "TTabSet.FixTabPos"
		size = 147
		refs = "0044 GetRightSide 005f ReverseCalcNumTabs"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 F8 01 00 00 8B 10 FF 52 14 85 C0 7E 77 8B 45 FC 8B 80 00 02 00 00 8B 55 FC 03 82 04 02 00 00 48 8B 55 FC 3B 82 FC 01 00 00 7D 38 55 8B 45 FC 8B 80 FC 01 00 00 50 55 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 8A EC 01 00 00 8B 55 FC 8B 92 F0 01 00 00 83 C2 09 E8 ?? ?? ?? ?? 59 8B 55 FC 89 82 00 02 00 00 EB 21 8B 45 FC 8B 80 FC 01 00 00 85 C0 7C 14 8B 55 FC 3B 82 00 02 00 00 7D 09 8B 55 FC 89 82 00 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_18728_0 {
	meta:
		name = "TTabSet.SetSelectedColor"
		size = 33
		refs = "0014 TTabSet.CreateEdgeParts"
	strings:
		$1 = { 53 8B D8 3B 93 08 02 00 00 74 14 89 93 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_18729_0 {
	meta:
		name = "TTabSet.SetUnselectedColor"
		size = 33
		refs = "0014 TTabSet.CreateEdgeParts"
	strings:
		$1 = { 53 8B D8 3B 93 0C 02 00 00 74 14 89 93 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_18730_0 {
	meta:
		name = "TTabSet.SetBackgroundColor"
		size = 60
		refs = "001a TTabSet.CreateBrushPattern 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 3B 93 10 02 00 00 74 2F 89 93 10 02 00 00 8B 93 3C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_18731_0 {
	meta:
		name = "TTabSet.SetDitherBackground"
		size = 60
		refs = "001a TTabSet.CreateBrushPattern 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 3A 93 14 02 00 00 74 2F 88 93 14 02 00 00 8B 93 3C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_18732_0 {
	meta:
		name = "TTabSet.SetAutoScroll"
		size = 58
		refs = "001a TControl.SetVisible 0027 TWinControl.GetHandle 002d ShowWindow"
	strings:
		$1 = { 53 8B D8 3A 93 15 02 00 00 74 2D 88 93 15 02 00 00 33 D2 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 6A 00 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_18733_0 {
	meta:
		name = "TTabSet.SetStartMargin"
		size = 20
	strings:
		$1 = { 3B 90 F0 01 00 00 74 0B 89 90 F0 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_18734_0 {
	meta:
		name = "TTabSet.SetEndMargin"
		size = 20
	strings:
		$1 = { 3B 90 F4 01 00 00 74 0B 89 90 F4 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_18735_0 {
	meta:
		name = "TTabSet.CanChange"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 2E 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 30 02 00 00 FF 93 2C 02 00 00 8A 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_18736_0 {
	meta:
		name = "TTabSet.SetTabIndex"
		size = 164
		refs = "000f TTabSet.SetTabIndex 0039 SInvalidTabIndex 003e LoadResString 0048 _Dn_Exception 004d Exception.Create 0052 @RaiseExcept 005b TTabSet.CanChange 006c TTabSet.FixTabPos 0077 @CallDynaInst 0093 @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 9E FC 01 00 00 74 61 83 FB FF 7C 0F 8B 86 F8 01 00 00 8B 10 FF 52 14 3B D8 7C 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 89 9E FC 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BB EC FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18737_0 {
	meta:
		name = "TTabSet.SelectNext"
		size = 85
		refs = "004d TTabSet.SetTabIndex"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 87 F8 01 00 00 8B 10 FF 52 14 48 7E 3C 8B B7 FC 01 00 00 84 DB 74 03 46 EB 01 4E 8B 87 F8 01 00 00 8B 10 FF 52 14 3B F0 75 04 33 F6 EB 12 85 F6 7D 0E 8B 87 F8 01 00 00 8B 10 FF 52 14 8B F0 4E 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18738_0 {
	meta:
		name = "TTabSet.SetFirstIndex"
		size = 41
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 1C 8B 83 F8 01 00 00 8B 10 FF 52 14 3B F0 7D 0D 89 B3 00 02 00 00 8B C3 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_18739_0 {
	meta:
		name = "TTabSet.SetTabList"
		size = 59
		refs = "002c TTabSet.SetTabIndex"
	strings:
		$1 = { 56 8B F0 8B 86 F8 01 00 00 8B 08 FF 51 08 C7 86 FC 01 00 00 FF FF FF FF 8B 86 F8 01 00 00 8B 10 FF 52 14 85 C0 7E 0B 33 D2 8B C6 E8 ?? ?? ?? ?? 5E C3 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_18740_0 {
	meta:
		name = "TTabSet.SetTabStyle"
		size = 33
		refs = "0014 TTabSet.CreateEdgeParts"
	strings:
		$1 = { 53 8B D8 3A 93 16 02 00 00 74 14 88 93 16 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_18741_0 {
	meta:
		name = "TTabSet.SetTabHeight"
		size = 111
		refs = "0020 TTabSet.SetTabHeight 0037 TTabSet.CreateEdgeParts 004e @HandleAnyException 005f @RaiseAgain 0064 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 80 18 02 00 00 3B D0 74 4F 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 90 18 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 78 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 18 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18742_0 {
	meta:
		name = "TTabSet.DrawTab"
		size = 70
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 B9 04 00 00 00 F3 A5 66 83 B8 26 02 00 00 00 74 1E 8D 4D F0 51 8B 4D 0C 51 8A 4D 08 51 8B D8 8B CA 8B D0 8B 83 28 02 00 00 FF 93 24 02 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18744_0 {
	meta:
		name = "TTabSet.MeasureTab"
		size = 32
	strings:
		$1 = { 53 66 83 B8 1E 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 20 02 00 00 FF 93 1C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_18745_0 {
	meta:
		name = "TTabSet.MouseDown"
		size = 178
		refs = "0022 TControl.MouseDown 006f TList.Get 009f TTabSet.SetTabIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FE 88 55 FF 8B D8 8B 75 08 8B 45 0C 50 56 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 75 7D 3B B3 44 02 00 00 7F 75 8B 83 44 02 00 00 D1 F8 79 03 83 D0 00 3B F0 7D 09 C7 45 F4 03 00 00 00 EB 07 C7 45 F4 04 00 00 00 8B 83 40 02 00 00 8B 78 08 4F 85 FF 7C 46 47 33 F6 8B D6 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 89 45 FA 0F B7 45 FC 2B 45 F4 0F B7 55 FC 0F B7 4D FA 03 D1 03 55 F4 3B 45 0C 7F 16 3B 55 0C 7C 11 8B 93 00 02 00 00 03 D6 8B C3 E8 ?? ?? ?? ?? EB 04 46 4F 75 BD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18746_0 {
	meta:
		name = "CalcNumTabs"
		size = 191
		refs = "001a CalcNumTabs 0046 TCanvas.TextWidth 00a8 @LStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D 08 EB 54 8D 4D F0 8B 45 0C 8B 40 FC 8B 80 F8 01 00 00 8B D3 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 0C 8B 40 FC 80 B8 16 02 00 00 01 75 13 8D 4D F4 8B 45 0C 8B 40 FC 8B D3 8B 38 FF 97 C0 00 00 00 8B 45 F4 83 C0 09 03 F0 3B 75 FC 7F 01 43 3B 75 FC 7D 15 8B 45 0C 8B 40 FC 8B 80 F8 01 00 00 8B 10 FF 52 14 3B D8 7C 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18747_0 {
	meta:
		name = "TTabSet.WMSize"
		size = 187
		refs = "000c TWinControl.WMSize 004e CalcNumTabs 00a1 TTabSet.SetFirstIndex"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 8B 10 FF 52 14 48 0F 8E 8A 00 00 00 8B 45 FC 8B 40 38 8B 55 FC 2B 82 F4 01 00 00 55 6A 00 8B 55 FC 8B 8A EC 01 00 00 8B 55 FC 8B 92 F0 01 00 00 83 C2 09 92 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 80 F8 01 00 00 8B 10 FF 52 14 8B 55 FC 3B 82 FC 01 00 00 74 1D 8B 45 FC 3B 98 04 02 00 00 7F 12 8B 45 FC 8B 80 F8 01 00 00 8B 10 FF 52 14 3B D8 75 1A 8B 45 FC 8B 80 F8 01 00 00 8B 10 FF 52 14 8B D0 2B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 4C 02 00 00 01 8B 45 FC 8B 10 FF 52 78 5B 59 5D C3 }
	condition:
		$1
}

rule function_18748_0 {
	meta:
		name = "TTabSet.CMSysColorChange"
		size = 53
		refs = "0006 TWinControl.CMSysColorChange 000d TTabSet.CreateEdgeParts 001a TTabSet.CreateBrushPattern 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 3C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 38 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18749_0 {
	meta:
		name = "TTabSet.CMFontChanged"
		size = 40
		refs = "0006 TWinControl.CMFontChanged 0014 TCanvas.SetFont 001b TTabSet.CreateEdgeParts"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 56 58 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_18750_0 {
	meta:
		name = "TTabSet.WMGetDlgCode"
		size = 8
	strings:
		$1 = { C7 42 0C 04 00 00 00 C3 }
	condition:
		$1
}

rule function_18751_0 {
	meta:
		name = "TTabSet.CMDialogChar"
		size = 171
		refs = "0017 TTabSet.CMDialogChar 0052 IsAccel 0071 TTabSet.SetTabIndex 0083 TWinControl.CMDialogChar 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F8 01 00 00 8B 10 FF 52 14 48 85 C0 7C 4C 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B 86 F8 01 00 00 8B 38 FF 57 0C 8B 55 F4 8B 45 FC 66 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC C7 40 0C 01 00 00 00 3B 9E FC 01 00 00 74 1B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 10 43 FF 4D F8 75 BA 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18752_0 {
	meta:
		name = "TTabSet.DefineProperties"
		size = 120
		refs = "000b _Dn_TReader 0010 @IsClass 001d TControl.DefineProperties 0023 TTabSet.ReadIntData 002e TTabSet.DefineProperties 003a TTabSet.ReadBoolData"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 FF FF FF FF 08 00 00 00 54 61 62 4F 72 64 65 72 00 00 00 00 FF FF FF FF 07 00 00 00 54 61 62 53 74 6F 70 00 }
	condition:
		$1
}

rule function_18827_0 {
	meta:
		name = "Point3D"
		size = 47
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 8B 55 FC 89 10 8B 45 08 8B 55 F8 89 50 04 8B 45 08 8B 55 F4 89 50 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18828_0 {
	meta:
		name = "RectSize"
		size = 52
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 8B 55 FC 2B 02 8B 55 F8 89 02 8B 45 FC 8B 40 0C 8B 55 FC 2B 42 04 8B 55 F4 89 02 8B E5 5D C3 }
	condition:
		$1
}

rule function_18829_0 {
	meta:
		name = "RectCenter"
		size = 66
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 00 8B 55 FC 03 42 08 D1 F8 79 03 83 D0 00 8B 55 F8 89 02 8B 45 FC 8B 40 04 8B 55 FC 03 42 0C D1 F8 79 03 83 D0 00 8B 55 F4 89 02 8B E5 5D C3 }
	condition:
		$1
}

rule function_18830_0 {
	meta:
		name = "TChartPen.Create"
		size = 72
		refs = "000e @ClassCreate 001e TPen.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 18 01 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_18831_0 {
	meta:
		name = "TChartPen.Assign"
		size = 57
		refs = "0011 _DV_TChartPen 0016 @IsClass 0031 TPen.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F8 8A 40 18 8B 55 FC 88 42 18 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18832_0 {
	meta:
		name = "TChartPen.SetVisible"
		size = 50
		refs = "0029 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 8A 40 18 3A 45 FB 74 15 8A 45 FB 8B 55 FC 88 42 18 8B 45 FC 66 BB FD FF E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18833_0 {
	meta:
		name = "TChartHiddenPen.Create"
		size = 75
		refs = "000e @ClassCreate 001e TChartPen.Create 0028 TChartPen.SetVisible 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_18834_0 {
	meta:
		name = "TDottedGrayPen.Create"
		size = 88
		refs = "000e @ClassCreate 001e TChartPen.Create 002b TPen.SetColor 0035 TPen.SetStyle 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? BA 80 80 80 00 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_18835_0 {
	meta:
		name = "TDarkGrayPen.Create"
		size = 78
		refs = "000e @ClassCreate 001e TChartPen.Create 002b TPen.SetColor 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? BA 80 80 80 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_18836_0 {
	meta:
		name = "TView3DOptions.Create"
		size = 114
		refs = "000e @ClassCreate 0021 TObject.Create 005d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 89 42 20 8B 45 FC C6 40 0C 01 8B 45 FC C7 40 1C 64 00 00 00 8B 45 FC C7 40 10 59 01 00 00 8B 45 FC C7 40 04 59 01 00 00 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_18837_0 {
	meta:
		name = "TView3DOptions.Repaint"
		size = 21
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 20 8B 10 FF 52 78 59 5D C3 }
	condition:
		$1
}

rule function_18838_0 {
	meta:
		name = "TView3DOptions.SetIntegerProperty"
		size = 45
		refs = "0025 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 8B 00 3B 45 F4 74 10 8B 45 F8 8B 55 F4 89 10 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18839_0 {
	meta:
		name = "TView3DOptions.SetElevation"
		size = 33
		refs = "0019 TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8D 50 04 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18840_0 {
	meta:
		name = "TView3DOptions.SetRotation"
		size = 33
		refs = "0019 TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8D 50 10 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18841_0 {
	meta:
		name = "TView3DOptions.SetTilt"
		size = 33
		refs = "0019 TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8D 50 14 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18842_0 {
	meta:
		name = "TView3DOptions.SetHorizOffset"
		size = 33
		refs = "0019 TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8D 50 08 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18843_0 {
	meta:
		name = "TView3DOptions.SetVertOffset"
		size = 33
		refs = "0019 TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8D 50 18 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18844_0 {
	meta:
		name = "TView3DOptions.SetOrthogonal"
		size = 44
		refs = "0024 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8A 40 0C 3A 45 FB 74 11 8A 45 FB 8B 55 FC 88 42 0C 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18845_0 {
	meta:
		name = "TView3DOptions.SetZoom"
		size = 33
		refs = "0019 TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8D 50 1C 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18846_0 {
	meta:
		name = "TView3DOptions.Assign"
		size = 118
		refs = "0011 _DV_TView3DOptions 0016 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B 45 F8 8B 40 04 8B 55 FC 89 42 04 8B 45 F8 8B 40 08 8B 55 FC 89 42 08 8B 45 F8 8A 40 0C 8B 55 FC 88 42 0C 8B 45 F8 8B 40 10 8B 55 FC 89 42 10 8B 45 F8 8B 40 14 8B 55 FC 89 42 14 8B 45 F8 8B 40 18 8B 55 FC 89 42 18 8B 45 F8 8B 40 1C 8B 55 FC 89 42 1C 59 59 5D C3 }
	condition:
		$1
}

rule function_18847_0 {
	meta:
		name = "TTeeCanvas.SetCanvas"
		size = 70
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 42 04 8B 45 FC 8B 40 04 8B 40 10 8B 55 FC 89 42 0C 8B 45 FC 8B 40 04 8B 40 0C 8B 55 FC 89 42 08 8B 45 FC 8B 40 04 8B 40 14 8B 55 FC 89 42 10 59 59 5D C3 }
	condition:
		$1
}

rule function_18848_0 {
	meta:
		name = "TTeeCanvas.ResetState"
		size = 142
		refs = "0018 TPen.SetColor 0025 TPen.SetWidth 002f TPen.SetStyle 0045 TBrush.SetColor 004f TBrush.SetStyle 0062 TFont.SetColor 006f TFont.SetSize"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC 8B 40 0C 89 45 F8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 89 45 F4 BA FF FF FF 00 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 89 45 F0 33 D2 8B 45 F0 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 45 FC 8B 08 FF 51 18 B2 02 8B 45 FC 8B 08 FF 51 1C 8B E5 5D C3 }
	condition:
		$1
}

rule function_18849_0 {
	meta:
		name = "TTeeCanvas.AssignVisiblePen"
		size = 54
		refs = "002e TPen.SetStyle"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 80 78 18 00 74 10 8B 55 F8 8B 45 FC 8B 40 0C 8B 08 FF 51 08 EB 0D B2 05 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18850_0 {
	meta:
		name = "TTeeCanvas.TextWidth"
		size = 95
		refs = "0028 @LStrLen 0031 @LStrToPChar 003d TCanvas.GetHandle 0043 GetTextExtentPoint"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 8B 40 0C 8B 55 FC 8B 52 08 8B 08 FF 51 08 8D 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 08 8B 45 EC 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_18851_0 {
	meta:
		name = "TTeeCanvas.TextHeight"
		size = 95
		refs = "0028 @LStrLen 0031 @LStrToPChar 003d TCanvas.GetHandle 0043 GetTextExtentPoint"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 8B 40 0C 8B 55 FC 8B 52 08 8B 08 FF 51 08 8D 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 08 8B 45 F0 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_18852_0 {
	meta:
		name = "TTeeCanvas.FontHeight"
		size = 44
		refs = "000a TTeeCanvas.FontHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 64 89 45 F8 8B 45 F8 59 59 5D C3 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_18853_0 {
	meta:
		name = "TCanvas3D.Assign"
		size = 34
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 10 FF 52 0C 8B D0 8B 45 FC 8B 08 FF 51 20 59 59 5D C3 }
	condition:
		$1
}

rule function_18854_0 {
	meta:
		name = "TTeeCanvas3D.Create"
		size = 117
		refs = "000e @ClassCreate 001e TObject.Create 0060 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 14 00 8B 45 FC 33 D2 89 50 04 8B 45 FC 33 D2 89 50 18 8B 45 FC 33 D2 89 50 70 8B 45 FC C6 40 6D 01 8B 45 FC C6 40 74 01 8B 45 FC C6 40 76 01 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_18855_0 {
	meta:
		name = "TTeeCanvas3D.Destroy"
		size = 77
		refs = "0007 @BeforeDestruction 0021 TObject.Free 0037 TObject.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 70 00 74 13 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 70 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18856_0 {
	meta:
		name = "TTeeCanvas3D.GetBackMode"
		size = 36
		refs = "0010 TCanvas.GetHandle 0016 GetBkMode"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_18857_0 {
	meta:
		name = "TTeeCanvas3D.SetBackMode"
		size = 39
		refs = "0019 TCanvas.GetHandle 001f SetBkMode"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 33 C0 8A 45 FB 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18858_0 {
	meta:
		name = "TTeeCanvas3D.SetBackColor"
		size = 37
		refs = "0017 TCanvas.GetHandle 001d SetBkColor"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18863_0 {
	meta:
		name = "TTeeCanvas3D.SetTextAlign"
		size = 37
		refs = "0017 TCanvas.GetHandle 001d SetTextAlign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18859_0 {
	meta:
		name = "TTeeCanvas3D.GetBackColor"
		size = 36
		refs = "0010 TCanvas.GetHandle 0016 GetBkColor"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_18927_0 {
	meta:
		name = "TTeeCanvas3D.GetTextAlign"
		size = 36
		refs = "0010 TCanvas.GetHandle 0016 GetTextAlign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_18860_0 {
	meta:
		name = "TTeeCanvas3D.TextOut"
		size = 42
		refs = "0020 TCanvas.TextOut"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18891_0 {
	meta:
		name = "TTeeCanvas3D.Draw"
		size = 42
		refs = "0020 TCanvas.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18912_0 {
	meta:
		name = "TTeeCanvas3D.SetPixel"
		size = 42
		refs = "0020 TCanvas.SetPixel"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18861_0 {
	meta:
		name = "TTeeCanvas3D.Rectangle"
		size = 46
		refs = "0024 TCanvas.Rectangle"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18910_0 {
	meta:
		name = "TTeeCanvas3D.Ellipse"
		size = 46
		refs = "0024 TCanvas.Ellipse"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18862_0 {
	meta:
		name = "TTeeCanvas3D.RoundRect"
		size = 54
		refs = "002c TCanvas.RoundRect"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_18864_0 {
	meta:
		name = "TTeeCanvas3D.MoveTo"
		size = 46
		refs = "0020 TCanvas.GetHandle 0026 MoveToEx"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 6A 00 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18865_0 {
	meta:
		name = "TTeeCanvas3D.LineTo"
		size = 44
		refs = "001e TCanvas.GetHandle 0024 LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18866_0 {
	meta:
		name = "TTeeCanvas3D.DoRectangle"
		size = 52
		refs = "002c TCanvas.Rectangle"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18867_0 {
	meta:
		name = "TTeeCanvas3D.PlaneWithZ"
		size = 176
		refs = "0033 TTeeCanvas3D.Calc3DTPoint 009e TCanvas.GetHandle 00a4 Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 BC 56 57 8B 75 0C 8D 7D DC A5 A5 8B 75 10 8D 7D E4 A5 A5 8B F1 8D 7D EC A5 A5 8B F2 8D 7D F4 A5 A5 89 45 FC 8D 55 F4 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 89 45 BC 8B 45 F8 89 45 C0 8B 45 EC 89 45 C4 8B 45 F0 89 45 C8 8B 45 E4 89 45 CC 8B 45 E8 89 45 D0 8B 45 DC 89 45 D4 8B 45 E0 89 45 D8 6A 04 8D 45 BC 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18868_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DTPoint"
		size = 40
		refs = "0020 TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 50 8B 4D F8 83 C1 04 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18869_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DTPoint3D"
		size = 49
		refs = "0029 TTeeCanvas3D.Calc3DPoint"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 50 8B 45 F8 8B 40 08 50 8B 4D F8 8B 09 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18870_0 {
	meta:
		name = "TTeeCanvas3D.Calculate3DPosition"
		size = 56
		refs = "001d TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 50 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 89 10 8B 45 08 8B 55 F4 89 50 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18871_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DPoint"
		size = 56
		refs = "001d TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8D 4D 0C 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 89 10 8B 45 F8 8B 55 0C 89 50 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18872_0 {
	meta:
		name = "TTeeCanvas3D.Calculate2DPosition"
		size = 123
		refs = "0039 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 6D 00 74 5D 8B 45 FC 80 78 1C 00 74 54 8B 45 F8 8B 00 8B 55 FC 2B 42 2C 89 45 F0 DB 45 F0 8B 45 FC DC 70 34 E8 ?? ?? ?? ?? 2B 45 08 8B 55 FC 03 42 20 8B 55 F8 89 02 8B 45 F4 8B 00 8B 55 FC 2B 42 30 89 45 F0 DB 45 F0 8B 45 FC DC 70 34 E8 ?? ?? ?? ?? 2B 45 08 8B 55 FC 03 42 24 8B 55 F4 89 02 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18873_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DPos"
		size = 276
		refs = "0040 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 6D 00 0F 84 F2 00 00 00 8B 45 FC 80 78 1C 00 74 59 8B 45 F8 8B 00 8B 55 FC 2B 42 20 03 45 08 89 45 EC DB 45 EC 8B 45 FC DC 48 34 E8 ?? ?? ?? ?? 8B 55 FC 03 42 2C 8B 55 F8 89 02 8B 45 F4 8B 00 8B 55 FC 2B 42 24 2B 45 08 89 45 EC DB 45 EC 8B 45 FC DC 48 34 E8 ?? ?? ?? ?? 8B 55 FC 03 42 30 8B 55 F4 89 02 E9 90 00 00 00 8B 45 F4 8B 55 FC 8B 52 24 29 10 8B 45 FC 8B 40 28 29 45 08 8B 45 F8 8B 00 8B 55 FC 2B 42 20 89 45 F0 DB 45 F0 8B 45 FC DC 48 4C 8B 45 F4 DB 00 8B 45 FC DC 48 3C DE C1 DB 45 08 8B 45 FC DC 48 5C DE C1 8B 45 FC DC 48 34 E8 ?? ?? ?? ?? 8B 55 FC 03 42 2C 8B 55 F8 89 02 DB 45 F0 8B 45 FC DC 48 54 8B 45 F4 DB 00 8B 45 FC DC 48 44 DE C1 DB 45 08 8B 45 FC DC 48 64 DE C1 8B 45 FC DC 48 34 E8 ?? ?? ?? ?? 8B 55 FC 03 42 30 8B 55 F4 89 02 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18874_0 {
	meta:
		name = "TTeeCanvas3D.GetHandle"
		size = 30
		refs = "0010 TCanvas.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_18875_0 {
	meta:
		name = "TTeeCanvas3D.TextOut3D"
		size = 192
		refs = "001d TTeeCanvas3D.Calc3DPos 002c TFont.GetSize 003b TTeeCanvas3D.TextOut3D 0062 @ROUND 006e MaxLong 0084 TFont.SetSize 009d TCanvas.TextOut"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 50 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? C6 45 EB 00 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC DD 40 34 D8 1D ?? ?? ?? ?? DF E0 9E 74 48 8B 45 FC 8B 40 08 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC 8B 45 FC DC 48 34 E8 ?? ?? ?? ?? 8B D0 B8 01 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 EC 3B 45 F0 74 0F 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? C6 45 EB 01 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 80 7D EB 00 74 0E 8B 55 EC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_18876_0 {
	meta:
		name = "TTeeCanvas3D.MoveTo3D"
		size = 66
		refs = "001d TTeeCanvas3D.Calc3DPos 0032 TCanvas.GetHandle 0038 MoveToEx"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18877_0 {
	meta:
		name = "TTeeCanvas3D.LineTo3D"
		size = 81
		refs = "001d TTeeCanvas3D.Calc3DPos 0030 TCanvas.GetHandle 0036 LineTo 0047 TCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18878_0 {
	meta:
		name = "TTeeCanvas3D.RectangleWithZ"
		size = 152
		refs = "0026 TTeeCanvas3D.Calc3DPoint 008a TCanvas.GetHandle 0090 Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 D4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 50 8B 45 F4 50 8B 4D F8 8B 09 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 50 8B 45 F4 50 8B 4D F8 8B 49 08 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 50 8B 45 F4 50 8B 4D F8 8B 49 08 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 50 8B 45 F4 50 8B 4D F8 8B 09 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 6A 04 8D 45 D4 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18879_0 {
	meta:
		name = "TTeeCanvas3D.DoHorizLine"
		size = 71
		refs = "0016 TCanvas.GetHandle 002c MoveToEx 003d LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 08 50 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18880_0 {
	meta:
		name = "TTeeCanvas3D.DoVertLine"
		size = 71
		refs = "0016 TCanvas.GetHandle 002c MoveToEx 003d LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 F4 50 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18881_0 {
	meta:
		name = "TTeeCanvas3D.ClipRectangle"
		size = 120
		refs = "0030 TCanvas.GetHandle 0042 LPtoDP 0057 CreateRectRgn 0067 SelectClipRgn 0070 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 55 F8 89 45 FC 8B 45 F8 8B 10 89 55 E0 8B 50 04 89 55 E4 8B 45 F8 8B 50 08 89 55 E8 8B 50 0C 89 55 EC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 02 8D 45 E0 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18882_0 {
	meta:
		name = "TTeeCanvas3D.ClipCube"
		size = 307
		refs = "0035 TTeeCanvas3D.Calc3DPoint 00ca TCanvas.GetHandle 00dc LPtoDP 00e9 CreatePolygonRgn 00f9 SelectClipRgn 0102 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 AC 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 6D 00 0F 84 EA 00 00 00 8B 45 F8 8B 40 0C 50 8B 45 F4 50 8B 4D F8 8B 09 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 50 8B 45 F4 50 8B 4D F8 8B 09 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 50 8B 45 08 50 8B 4D F8 8B 09 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 50 8B 45 08 50 8B 4D F8 8B 49 08 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 50 8B 45 08 50 8B 4D F8 8B 49 08 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 50 8B 45 F4 50 8B 4D F8 8B 49 08 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 EC 6A 06 8D 45 BC 50 8B 45 EC 50 E8 ?? ?? ?? ?? 6A 01 6A 06 8D 45 BC 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? EB 23 8B 45 F8 8B F0 8D 7D AC B9 04 00 00 00 F3 A5 FF 45 AC FF 45 B0 FF 4D B8 8D 55 AC 8B 45 FC 8B 08 FF 51 68 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18883_0 {
	meta:
		name = "TTeeCanvas3D.UnClipRectangle"
		size = 85
		refs = "0010 TCanvas.GetHandle 001e GetDeviceCaps 0034 CreateRectRgn 0044 SelectClipRgn 004d DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F4 6A 0A 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 08 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18884_0 {
	meta:
		name = "TTeeCanvas3D.Projection"
		size = 115
		refs = "001f RectCenter"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8D 48 24 8B 45 FC 8D 50 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 20 8B 55 FC 89 42 2C 8B 45 FC 8B 40 24 8B 55 FC 89 42 30 8B 45 FC 83 78 18 00 74 1E 8B 45 FC 8B 40 18 8B 40 08 8B 55 FC 01 42 2C 8B 45 FC 8B 40 18 8B 40 18 8B 55 FC 01 42 30 8B 45 F8 D1 E8 8B 55 FC 89 42 28 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18885_0 {
	meta:
		name = "CalcTrigValues"
		size = 376
		refs = "006e CalcTrigValues 0083 SinCos"
	strings:
		$1 = { 55 8B EC 83 C4 AC 8B 45 08 8B 40 FC 80 78 1C 00 0F 85 4F 01 00 00 8B 45 08 8B 40 FC 83 78 18 00 74 32 8B 45 08 8B 40 FC 8B 40 18 DB 40 10 DD 5D BC 9B 8B 45 08 8B 40 FC 8B 40 18 DB 40 04 DD 5D B4 9B 8B 45 08 8B 40 FC 8B 40 18 DB 40 14 DD 5D AC 9B EB 18 33 C0 89 45 BC 89 45 C0 33 C0 89 45 B4 89 45 B8 33 C0 89 45 AC 89 45 B0 DB 2D ?? ?? ?? ?? DC 4D BC 83 C4 F4 DB 3C 24 9B 8D 55 F6 8D 45 D8 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DC 4D B4 83 C4 F4 DB 3C 24 9B 8D 55 EC 8D 45 CE E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DC 4D AC 83 C4 F4 DB 3C 24 9B 8D 55 E2 8D 45 C4 E8 ?? ?? ?? ?? DB 6D EC DB 6D C4 DE C9 8B 45 08 8B 40 FC DD 58 3C 9B DB 6D EC DB 6D E2 DE C9 8B 45 08 8B 40 FC DD 58 44 9B DB 6D D8 DB 6D CE DE C9 DB 6D C4 DE C9 DB 6D F6 DB 6D E2 DE C9 DE C1 8B 45 08 8B 40 FC DD 58 4C 9B DB 6D E2 DB 6D D8 DE C9 DB 6D CE DE C9 DB 6D F6 DB 6D C4 DE C9 DE E9 8B 45 08 8B 40 FC DD 58 54 9B DB 6D F6 DB 6D CE DE C9 DB 6D C4 DE C9 DB 6D E2 DB 6D D8 DE C9 DE E9 8B 45 08 8B 40 FC DD 58 5C 9B DB 6D F6 DB 6D E2 DE C9 DB 6D CE DE C9 DB 6D D8 DB 6D C4 DE C9 DE C1 8B 45 08 8B 40 FC DD 58 64 9B 8B E5 5D C3 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_18886_0 {
	meta:
		name = "TTeeCanvas3D.InitWindow"
		size = 324
		refs = "0070 TTeeCanvas3D.InitWindow 007f CalcTrigValues 009b RectSize 00ab _Dn_TBitmap 00b0 TBitmap.Create 00c7 TBitmap.SetMonochrome 00ee TBitmap.GetCanvas 00f8 TTeeCanvas.SetCanvas 010c Rect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 8B 55 FC 8B F0 8D 7A 78 B9 04 00 00 00 F3 A5 8B 45 FC 8B 55 F4 89 50 18 8B 45 FC 8A 55 10 88 50 6D 8B 45 FC 33 D2 89 50 34 C7 40 38 00 00 F0 3F 8B 45 FC 80 78 6D 00 74 37 8B 45 FC 83 78 18 00 74 27 8B 45 FC 8B 40 18 8A 40 0C 8B 55 FC 88 42 1C 8B 45 FC 8B 40 18 DB 40 1C DB 2D ?? ?? ?? ?? DE C9 8B 45 FC DD 58 34 9B 55 E8 ?? ?? ?? ?? 59 8B 45 FC 80 78 74 00 0F 84 81 00 00 00 8D 4D F0 8D 55 EC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 FC 83 78 70 00 75 3F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 70 8B 45 FC 8A 50 75 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 70 8B 55 EC 8B 08 FF 51 40 8B 45 FC 8B 40 70 8B 55 F0 8B 08 FF 51 34 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 08 50 8B 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? EB 1C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 8B 55 08 8B F0 8B FA B9 04 00 00 00 F3 A5 5F 5E 8B E5 5D C2 10 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_18887_0 {
	meta:
		name = "TTeeCanvas3D.TransferBitmap"
		size = 93
		refs = "001f TBitmap.GetCanvas 0024 TCanvas.GetHandle 0053 BitBlt"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 68 20 00 CC 00 6A 00 6A 00 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 70 8B 10 FF 52 20 50 8B 45 FC 8B 40 70 8B 10 FF 52 2C 50 8B 45 F4 50 8B 45 F8 50 8B 45 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18888_0 {
	meta:
		name = "TTeeCanvas3D.ReDrawBitmap"
		size = 52
		refs = "0029 TTeeCanvas3D.TransferBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 40 76 34 01 88 45 FB 80 7D FB 00 74 13 8B 45 FC 8B 40 04 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_18889_0 {
	meta:
		name = "TTeeCanvas3D.ShowImage"
		size = 71
		refs = "002b TTeeCanvas3D.TransferBitmap 003d TTeeCanvas.SetCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 74 00 74 1E 8B 45 F8 50 8B 4D 08 8B 49 04 8B 55 08 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 76 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18890_0 {
	meta:
		name = "TTeeCanvas3D.StretchDraw"
		size = 36
		refs = "001c TCanvas.StretchDraw"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 55 F8 8B 4D F4 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18892_0 {
	meta:
		name = "RectGradient"
		size = 545
		refs = "0035 TCanvas.GetHandle 00a6 MulDiv 00f1 RGB 00f7 CreateSolidBrush 0104 SelectObject 019f PatBlt 020d DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 45 FF 8B 45 08 8B 40 FC 8B 55 08 89 42 F8 8B 45 08 81 78 F8 00 01 00 00 7E 0A 8B 45 08 C7 40 F8 00 01 00 00 8B 45 08 8B 40 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 80 7D FF 00 74 1A 8B 45 08 8B 40 EC 8B 40 0C 8B 55 08 8B 52 EC 2B 42 04 8B 55 08 89 42 E8 EB 17 8B 45 08 8B 40 EC 8B 40 08 8B 55 08 8B 52 EC 2B 02 8B 55 08 89 42 E8 8B 45 08 8B 40 F8 83 E8 02 85 C0 0F 8C 96 01 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 08 8B 40 F8 48 50 8B 45 08 8B 40 D8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 55 08 02 42 E4 50 8B 45 08 8B 40 F8 48 50 8B 45 08 8B 40 D4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 55 08 02 42 E0 50 8B 45 08 8B 40 F8 48 50 8B 45 08 8B 40 D0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 55 08 02 42 DC 5A 59 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F0 50 E8 ?? ?? ?? ?? 8B 55 08 89 42 CC 8B 45 08 8B 40 F8 50 8B 45 08 8B 40 FC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 55 08 89 42 C8 8B 45 08 8B 40 F8 50 8B 45 08 8B 40 FC 50 8B 45 F8 40 50 E8 ?? ?? ?? ?? 8B 55 08 89 42 C4 80 7D FF 00 74 56 8B 45 08 8B 40 EC 8B 40 08 8B 55 08 2B 42 C8 8B 55 08 89 42 C0 68 21 00 F0 00 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 EC 8B 40 08 8B 55 08 2B 42 C4 8B 55 08 2B 42 C0 50 8B 45 08 8B 40 EC 8B 40 04 50 8B 45 08 8B 40 C0 50 8B 45 08 8B 40 F0 50 E8 ?? ?? ?? ?? EB 53 8B 45 08 8B 40 EC 8B 40 0C 8B 55 08 2B 42 C8 8B 55 08 89 42 C0 68 21 00 F0 00 8B 45 08 8B 40 EC 8B 40 0C 8B 55 08 2B 42 C4 8B 55 08 2B 42 C0 50 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 C0 50 8B 45 08 8B 40 EC 8B 00 50 8B 45 08 8B 40 F0 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 CC 50 8B 45 08 8B 40 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 75 FE FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule function_18893_0 {
	meta:
		name = "TTeeCanvas3D.GradientFill"
		size = 791
		refs = "0030 SwapInteger 004b GetRValue 005b GetGValue 006b GetBValue 00ec RectGradient 0127 RectSize 016a MulDiv 019e RGB 01ab TPen.SetColor 01d0 TCanvas.GetHandle 01e6 MoveToEx 01fa LineTo 024e TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 89 4D BC 89 55 EC 89 45 F4 8B 45 EC 8B F0 8D 7D 94 B9 04 00 00 00 F3 A5 8B 45 9C 3B 45 94 7D 0B 8D 55 9C 8D 45 94 E8 ?? ?? ?? ?? 8B 45 A0 3B 45 98 7D 0B 8D 55 A0 8D 45 98 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 DC 8B 45 BC E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 E0 8B 45 BC E8 ?? ?? ?? ?? 25 FF 00 00 00 89 45 E4 8B 45 0C E8 ?? ?? ?? ?? 25 FF 00 00 00 2B 45 DC 89 45 D0 8B 45 0C E8 ?? ?? ?? ?? 25 FF 00 00 00 2B 45 E0 89 45 D4 8B 45 0C E8 ?? ?? ?? ?? 25 FF 00 00 00 2B 45 E4 89 45 D8 33 C0 89 45 C0 33 C0 89 45 C8 33 C0 89 45 C4 33 C0 89 45 E8 8A 45 08 2C 02 72 2B 2C 02 73 4E 8B 45 9C 2B 45 94 40 89 45 FC 8B 45 98 89 45 C8 8B 45 A0 2B 45 98 89 45 E8 55 B0 01 E8 ?? ?? ?? ?? 59 E9 18 02 00 00 8B 45 A0 2B 45 98 40 89 45 FC 8B 45 94 89 45 C0 8B 45 9C 2B 45 94 89 45 C4 55 33 C0 E8 ?? ?? ?? ?? 59 E9 F1 01 00 00 8D 4D B4 8D 55 B8 8D 45 94 E8 ?? ?? ?? ?? 8A 45 08 2C 04 0F 84 0F 01 00 00 48 2C 02 0F 83 CF 01 00 00 33 C0 89 45 A8 33 C0 89 45 A4 80 7D 08 05 75 08 8B 45 98 89 45 C8 EB 06 8B 45 A0 89 45 C8 8B 45 B8 50 8B 45 D8 50 8B 45 A4 50 E8 ?? ?? ?? ?? 02 45 E4 50 8B 45 B8 50 8B 45 D4 50 8B 45 A4 50 E8 ?? ?? ?? ?? 02 45 E0 50 8B 45 B8 50 8B 45 D0 50 8B 45 A4 50 E8 ?? ?? ?? ?? 02 45 DC 5A 59 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 80 7D 08 05 75 0B 8B 45 98 03 45 A8 89 45 C0 EB 09 8B 45 A0 2B 45 A8 89 45 C0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 C0 50 8B 45 94 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 94 03 45 A4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 94 03 45 A4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 A8 3B 45 B4 7D 03 FF 45 A8 8B 45 A4 3B 45 B8 7D 03 FF 45 A4 8B 45 A8 3B 45 B4 0F 85 29 FF FF FF 8B 45 A4 3B 45 B8 0F 85 1D FF FF FF E9 C9 00 00 00 8B 45 F4 8B 40 10 B2 01 E8 ?? ?? ?? ?? 8B 45 B8 D1 E8 89 45 B0 8B 45 B4 D1 E8 89 45 AC 33 C0 89 45 A8 33 C0 89 45 A4 8B 45 B0 50 8B 45 D8 50 8B 45 A4 50 E8 ?? ?? ?? ?? 02 45 E4 50 8B 45 B0 50 8B 45 D4 50 8B 45 A4 50 E8 ?? ?? ?? ?? 02 45 E0 50 8B 45 B0 50 8B 45 D0 50 8B 45 A4 50 E8 ?? ?? ?? ?? 02 45 DC 5A 59 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 8B 45 9C 2B 45 A4 50 8B 45 A0 2B 45 A8 50 8B 4D 98 03 4D A8 8B 55 94 03 55 A4 8B 45 F4 8B 18 FF 53 50 8B 45 A8 3B 45 AC 7D 03 FF 45 A8 8B 45 A4 3B 45 B0 7D 03 FF 45 A4 8B 45 A8 3B 45 AC 0F 85 6A FF FF FF 8B 45 A4 3B 45 B0 0F 85 5E FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18894_0 {
	meta:
		name = "TTeeCanvas3D.EraseBackground"
		size = 49
		refs = "0013 TBrush.GetHandle 0023 TCanvas.GetHandle 0029 FillRect"
		altNames = "TTeeCanvas3D.FillRect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18896_0 {
	meta:
		name = "TTeeCanvas3D.Frame3D"
		size = 259
		refs = "0028 TPen.SetWidth 0061 TPen.SetColor 0098 TCanvas.Polyline 00ed InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 C0 56 57 8B F2 8D 7D D8 51 B9 04 00 00 00 F3 A5 59 89 4D F8 89 45 FC BA 01 00 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? FF 4D E4 FF 4D E0 83 7D 08 00 0F 8E BF 00 00 00 FF 4D 08 8B 45 E0 89 45 F0 8B 45 DC 89 45 F4 8B 45 D8 89 45 E8 8B 45 E4 89 45 EC 8B 55 F8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 E8 89 45 C0 8B 45 EC 89 45 C4 8B 45 D8 89 45 C8 8B 45 DC 89 45 CC 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 8D 55 C0 B9 02 00 00 00 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 55 0C 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? FF 4D E8 8B 45 F0 89 45 C0 8B 45 F4 89 45 C4 8B 45 E0 89 45 C8 8B 45 E4 89 45 CC 8B 45 E8 89 45 D0 8B 45 EC 89 45 D4 8D 55 C0 B9 02 00 00 00 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 D8 50 E8 ?? ?? ?? ?? 83 7D 08 00 0F 8F 41 FF FF FF 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18897_0 {
	meta:
		name = "ApplyDark"
		size = 136
		refs = "0010 ColorToRGB 007a RGB"
	strings:
		$1 = { 55 8B EC 83 C4 F0 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 FC 8A 45 FC 24 FF 88 45 F3 8B 45 FC 66 C1 E8 08 88 45 F2 8B 45 FC C1 E8 10 24 FF 88 45 F1 8A 45 F3 3A 45 FB 76 08 8A 45 FB 28 45 F3 EB 04 C6 45 F3 00 8A 45 F2 3A 45 FB 76 08 8A 45 FB 28 45 F2 EB 04 C6 45 F2 00 8A 45 F1 3A 45 FB 76 08 8A 45 FB 28 45 F1 EB 04 C6 45 F1 00 8A 4D F1 8A 55 F2 8A 45 F3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_18898_0 {
	meta:
		name = "Dark"
		size = 88
		refs = "0011 TBrush.GetStyle 0023 ApplyDark 0033 TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 51 88 45 FF 8B 45 08 8B 40 FC 8B 40 10 E8 ?? ?? ?? ?? 84 C0 75 21 8B 45 08 8B 40 F8 8A 55 FF E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 10 E8 ?? ?? ?? ?? 59 5D C3 8B 45 08 8B 40 F8 8A 55 FF E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 08 FF 51 18 59 5D C3 }
	condition:
		$1
}

rule function_18899_0 {
	meta:
		name = "TTeeCanvas3D.Cube"
		size = 429
		refs = "0021 TTeeCanvas3D.Calc3DPoint 006e TBrush.GetStyle 007d TBrush.GetColor 00d7 TCanvas.GetHandle 00dd Polygon 0123 DarkerColorQuantity 0128 Dark 0186 DarkColorQuantity"
	strings:
		$1 = { 55 8B EC 83 C4 B0 89 4D F0 89 55 F4 89 45 FC 8B 45 18 50 8B 45 10 50 8D 55 E8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 18 50 8B 45 10 50 8D 55 E0 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8D 55 D8 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 18 50 8B 45 0C 50 8D 55 D0 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 EB 0A 8B 45 FC 8B 10 FF 12 89 45 F8 8B 45 E8 89 45 B0 8B 45 EC 89 45 B4 8B 45 E0 89 45 B8 8B 45 E4 89 45 BC 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 8B 45 14 50 8B 45 10 50 8D 55 C8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 6A 04 8D 45 B0 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 E0 89 45 B0 8B 45 E4 89 45 B4 8B 45 D0 89 45 B8 8B 45 D4 89 45 BC 8B 45 14 50 8B 45 0C 50 8D 55 C0 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 89 45 C8 8B 45 DC 89 45 CC 80 7D 08 00 74 0C 55 A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 6A 04 8D 45 B0 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B0 8B 45 EC 89 45 B4 8B 45 E0 89 45 B8 8B 45 E4 89 45 BC 8B 45 D0 89 45 C0 8B 45 D4 89 45 C4 8B 45 18 50 8B 45 0C 50 8D 55 C8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 80 7D 08 00 74 0C 55 A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 6A 04 8D 45 B0 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_18900_0 {
	meta:
		name = "TTeeCanvas3D.RectangleZ"
		size = 132
		refs = "0021 TTeeCanvas3D.Calc3DPoint 0074 TCanvas.GetHandle 007a Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 D4 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 50 8B 45 0C 50 8D 55 D4 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 08 50 8D 55 DC 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 08 50 8D 55 E4 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8D 55 EC 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 6A 04 8D 45 D4 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18901_0 {
	meta:
		name = "TTeeCanvas3D.RectangleY"
		size = 132
		refs = "0021 TTeeCanvas3D.Calc3DPoint 0074 TCanvas.GetHandle 007a Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 D4 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 50 8B 45 0C 50 8D 55 D4 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 0C 50 8D 55 DC 8B 4D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 08 50 8D 55 E4 8B 4D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 08 50 8D 55 EC 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 6A 04 8D 45 D4 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18902_0 {
	meta:
		name = "TTeeCanvas3D.FrontPlaneBegin"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8A 40 6D 8B 55 FC 88 42 6C 8B 45 FC C6 40 6D 00 59 5D C3 }
	condition:
		$1
}

rule function_18903_0 {
	meta:
		name = "TTeeCanvas3D.FrontPlaneEnd"
		size = 22
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8A 40 6C 8B 55 FC 88 42 6D 59 5D C3 }
	condition:
		$1
}

rule function_18904_0 {
	meta:
		name = "TTeeCanvas3D.Invalidate"
		size = 17
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 76 01 59 5D C3 }
	condition:
		$1
}

rule function_18905_0 {
	meta:
		name = "TTeeCanvas3D.RotateLabel3D"
		size = 66
		refs = "001e TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 10 50 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 93 8C 00 00 00 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18906_0 {
	meta:
		name = "TTeeCanvas3D.RotateLabel"
		size = 264
		refs = "0018 TBrush.SetStyle 0023 TCanvas.GetHandle 0037 TFont.GetHandle 003d GetObject 0063 TTeeCanvas3D.RotateLabel 007f TFont.GetSize 0090 @ROUND 009c MaxLong 00a2 MulDiv 00b0 CreateFontIndirect 00c0 SelectObject 00cb @LStrLen 00d4 @LStrToPChar 00e6 TextOut 00f9 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 A8 89 4D F4 89 55 F8 89 45 FC B2 01 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 E8 8D 45 AC 50 6A 3C 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 03 C0 8D 04 80 89 45 B4 8B 45 08 03 C0 8D 04 80 89 45 B8 C6 45 C4 07 8B 45 FC DD 40 34 D8 1D ?? ?? ?? ?? DF E0 9E 74 3F 6A 48 8B 45 FC 8B 40 08 8B 40 18 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 A8 DB 45 A8 8B 45 FC DC 48 34 E8 ?? ?? ?? ?? 8B D0 B8 01 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F7 D8 89 45 AC 8D 45 AC 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 45 F8 50 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 E8 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_18907_0 {
	meta:
		name = "TTeeCanvas3D.Line"
		size = 71
		refs = "0016 TCanvas.GetHandle 002c MoveToEx 003d LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 F4 50 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18908_0 {
	meta:
		name = "TTeeCanvas3D.LineWithZ"
		size = 107
		refs = "001d TTeeCanvas3D.Calc3DPos 003a TCanvas.GetHandle 0050 MoveToEx 0061 LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 8D 4D 0C 8D 55 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 F4 50 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 10 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18909_0 {
	meta:
		name = "TTeeCanvas3D.Polygon"
		size = 45
		refs = "001f TCanvas.GetHandle 0025 Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 50 8B 45 F8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_18911_0 {
	meta:
		name = "TTeeCanvas3D.EllipseWithZ"
		size = 600
		refs = "0074 TTeeCanvas3D.Calc3DPoint 0084 TTeeCanvas3D.EllipseWithZ 0098 SinCos 00a5 @TRUNC 00e5 TBrush.GetStyle 00f8 TPen.GetStyle 0108 TPen.SetStyle 017d Polygon 0224 TCanvas.Polyline 023f TCanvas.Ellipse"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 6D 00 0F 84 0B 02 00 00 8B 45 10 03 45 F8 D1 F8 79 03 83 D0 00 89 45 EC 8B 45 0C 03 45 F4 D1 F8 79 03 83 D0 00 89 45 F0 8B 45 10 2B 45 F8 D1 F8 79 03 83 D0 00 89 45 E4 8B 45 0C 2B 45 F4 D1 F8 79 03 83 D0 00 89 45 E0 8B 45 0C 50 8B 45 08 50 8D 95 C4 FE FF FF 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? C7 45 E8 01 00 00 00 DB 45 E8 DB 2D ?? ?? ?? ?? DE C9 83 C4 F4 DB 3C 24 9B 8D 55 CC 8D 45 D6 E8 ?? ?? ?? ?? DB 45 E0 DB 6D CC DE C9 E8 ?? ?? ?? ?? 03 45 F0 50 8B 45 08 50 DB 45 E4 DB 6D D6 DE C9 E8 ?? ?? ?? ?? 8B C8 03 4D EC 8B 45 E8 8D 94 C5 C4 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? FF 45 E8 83 7D E8 20 75 A1 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 3C 01 0F 84 12 01 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 88 45 CB B2 05 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 08 50 8D 55 EC 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 89 85 AC FE FF FF 8B 45 F0 89 85 B0 FE FF FF 8B 85 C4 FE FF FF 89 85 B4 FE FF FF 8B 85 C8 FE FF FF 89 85 B8 FE FF FF 8B 85 CC FE FF FF 89 85 BC FE FF FF 8B 85 D0 FE FF FF 89 85 C0 FE FF FF 8B 45 FC 8B 10 FF 52 08 89 45 C4 6A 03 8D 85 AC FE FF FF 50 8B 45 C4 50 E8 ?? ?? ?? ?? 8B 85 CC FE FF FF 89 85 B4 FE FF FF 8B 85 D0 FE FF FF 89 85 B8 FE FF FF C7 45 E8 02 00 00 00 8B 45 E8 8B 94 C5 C4 FE FF FF 89 95 BC FE FF FF 8B 94 C5 C8 FE FF FF 89 95 C0 FE FF FF 6A 03 8D 85 AC FE FF FF 50 8B 45 C4 50 E8 ?? ?? ?? ?? 8B 45 E8 8B 94 C5 C4 FE FF FF 89 95 B4 FE FF FF 8B 94 C5 C8 FE FF FF 89 95 B8 FE FF FF FF 45 E8 83 7D E8 20 75 AB 8A 55 CB 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 3C 05 74 31 8D 95 C4 FE FF FF B9 1F 00 00 00 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? EB 19 8B 45 10 50 8B 45 0C 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 00 00 00 C4 01 87 E7 B4 7B D9 A0 FD 3F 00 00 }
	condition:
		$1
}

rule function_18913_0 {
	meta:
		name = "TTeeCanvas3D.Arc"
		size = 62
		refs = "0034 TCanvas.Arc"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_18914_0 {
	meta:
		name = "TTeeCanvas3D.Pie"
		size = 62
		refs = "0034 TCanvas.Pie"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_18916_0 {
	meta:
		name = "Draw3DPie"
		size = 362
		refs = "0018 Dark 015a TCanvas.GetHandle 0160 Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B 45 08 80 78 0C 00 74 0C 8B 45 08 50 B0 20 E8 ?? ?? ?? ?? 59 8B 45 08 83 B8 F4 FD FF FF 01 75 6C 8B 45 08 8B 80 F0 FD FF FF 8B 55 08 3B 82 EC FD FF FF 75 58 8B 45 08 8B 80 EC FD FF FF 85 C0 7E 3A 89 45 F4 C7 45 FC 01 00 00 00 8B 45 08 8B 55 FC 8B 4D 08 8B 5D FC 8B B4 D9 E4 FC FF FF 89 B4 D0 F0 FD FF FF 8B B4 D9 E8 FC FF FF 89 B4 D0 F4 FD FF FF FF 45 FC FF 4D F4 75 D0 8B 45 08 8B 80 EC FD FF FF 89 45 F8 E9 AC 00 00 00 33 C0 89 45 F8 8B 45 08 8B 80 F4 FD FF FF 8B 55 08 8B 92 F0 FD FF FF 2B D0 0F 8C 8D 00 00 00 42 89 55 F4 89 45 FC FF 45 F8 8B 45 08 8B 55 F8 8B 4D 08 8B 5D FC 8B B4 D9 E4 FC FF FF 89 B4 D0 F0 FD FF FF 8B B4 D9 E8 FC FF FF 89 B4 D0 F4 FD FF FF 8B 45 08 8B 80 F0 FD FF FF 8B 55 08 2B 82 F4 FD FF FF 40 03 45 F8 8B 55 08 8B 4D 08 8B 89 EC FD FF FF 03 C9 8B 5D 08 2B 8B F0 FD FF FF 03 4D F8 8B 5D 08 8B B4 CB F0 FD FF FF 89 B4 C2 F0 FD FF FF 8B B4 CB F4 FD FF FF 89 B4 C2 F4 FD FF FF FF 45 FC FF 4D F4 0F 85 7A FF FF FF 8B 45 F8 03 C0 50 8B 45 08 05 F8 FD FF FF 50 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18917_0 {
	meta:
		name = "TTeeCanvas3D.Pie3D"
		size = 1286
		refs = "003d TTeeCanvas3D.Calc3DPoint 00ac SinCos 00bc @ROUND 016b TBrush.GetStyle 017a TBrush.GetColor 0231 Dark 0246 TCanvas.GetHandle 024c Polygon 0315 TBrush.SetColor 0457 Draw3DPie"
	strings:
		$1 = { 55 8B EC 81 C4 94 FC FF FF 89 8D DC FC FF FF 89 95 E0 FC FF FF 89 45 FC C7 85 EC FD FF FF 20 00 00 00 8B 85 DC FC FF FF 50 8B 45 20 50 8D 95 E4 FC FF FF 8B 8D E0 FC FF FF 8B 45 FC E8 ?? ?? ?? ?? DD 45 10 DC 65 18 8B 85 EC FD FF FF 48 89 85 94 FC FF FF DB 85 94 FC FF FF DE F9 DD 9D B4 FC FF FF 9B DD 45 18 DB BD D2 FC FF FF 9B 8B 85 EC FD FF FF 85 C0 0F 8E E9 00 00 00 89 85 9C FC FF FF C7 85 AC FC FF FF 01 00 00 00 66 8B 85 DA FC FF FF 50 FF B5 D6 FC FF FF FF B5 D2 FC FF FF 8D 95 BE FC FF FF 8D 85 C8 FC FF FF E8 ?? ?? ?? ?? DB 45 2C DB AD BE FC FF FF DE C9 E8 ?? ?? ?? ?? 03 85 E0 FC FF FF 89 85 A4 FC FF FF DB 45 28 DB AD C8 FC FF FF DE C9 E8 ?? ?? ?? ?? 8B 95 DC FC FF FF 2B D0 89 95 A0 FC FF FF 8B 85 A0 FC FF FF 50 8B 45 20 50 8B 85 AC FC FF FF 8D 94 C5 E4 FC FF FF 8B 8D A4 FC FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 A0 FC FF FF 50 8B 45 24 50 8B 85 EC FD FF FF 03 C0 40 2B 85 AC FC FF FF 8D 94 C5 F0 FD FF FF 8B 8D A4 FC FF FF 8B 45 FC E8 ?? ?? ?? ?? DB AD D2 FC FF FF DC 85 B4 FC FF FF DB BD D2 FC FF FF 9B FF 85 AC FC FF FF FF 8D 9C FC FF FF 0F 85 27 FF FF FF 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 EB 0A 8B 45 FC 8B 10 FF 12 89 45 F8 80 7D 08 00 0F 84 65 01 00 00 8B 85 EC FD FF FF 8B 84 C5 E4 FC FF FF 3B 85 E0 FC FF FF 0F 8D A0 00 00 00 8B 85 E4 FC FF FF 89 85 F8 FD FF FF 8B 85 E8 FC FF FF 89 85 FC FD FF FF 8B 85 EC FD FF FF 8B 94 C5 E4 FC FF FF 89 95 00 FE FF FF 8B 94 C5 E8 FC FF FF 89 95 04 FE FF FF 8B 85 EC FD FF FF 8B 94 C5 F8 FD FF FF 89 95 08 FE FF FF 8B 94 C5 FC FD FF FF 89 95 0C FE FF FF 8B 85 DC FC FF FF 50 8B 45 24 50 8D 95 10 FE FF FF 8B 8D E0 FC FF FF 8B 45 FC E8 ?? ?? ?? ?? 80 7D 0C 00 74 09 55 B0 20 E8 ?? ?? ?? ?? 59 6A 04 8D 85 F8 FD FF FF 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 3B 85 E0 FC FF FF 0F 8E 9A 00 00 00 8B 85 E4 FC FF FF 89 85 F8 FD FF FF 8B 85 E8 FC FF FF 89 85 FC FD FF FF 8B 85 EC FC FF FF 89 85 00 FE FF FF 8B 85 F0 FC FF FF 89 85 04 FE FF FF 8B 85 EC FD FF FF 03 C0 8B 94 C5 F0 FD FF FF 89 95 08 FE FF FF 8B 94 C5 F4 FD FF FF 89 95 0C FE FF FF 8B 85 DC FC FF FF 50 8B 45 24 50 8D 95 10 FE FF FF 8B 8D E0 FC FF FF 8B 45 FC E8 ?? ?? ?? ?? 80 7D 0C 00 74 09 55 B0 20 E8 ?? ?? ?? ?? 59 6A 04 8D 85 F8 FD FF FF 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 8B 40 10 8B 55 F8 E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 18 8B 85 EC FD FF FF 40 50 8D 85 E4 FC FF FF 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 85 B2 FC FF FF 00 33 C0 89 85 F4 FD FF FF 33 C0 89 85 F0 FD FF FF 8B 85 EC FD FF FF 83 E8 02 0F 8C 94 01 00 00 40 89 85 9C FC FF FF C7 85 AC FC FF FF 02 00 00 00 8B 85 AC FC FF FF 8B 84 C5 E4 FC FF FF 8B 95 AC FC FF FF 3B 84 D5 DC FC FF FF 0F 8E 51 01 00 00 8B 85 AC FC FF FF 48 89 85 F4 FD FF FF C6 85 B3 FC FF FF 01 8B 85 AC FC FF FF 40 8B 95 EC FD FF FF 4A 2B D0 7C 4C 42 89 95 98 FC FF FF 89 85 A8 FC FF FF 8B 85 A8 FC FF FF 8B 84 C5 EC FC FF FF 8B 95 A8 FC FF FF 3B 84 D5 E4 FC FF FF 7D 15 8B 85 A8 FC FF FF 89 85 F0 FD FF FF C6 85 B2 FC FF FF 01 EB 0E FF 85 A8 FC FF FF FF 8D 98 FC FF FF 75 C1 80 BD B2 FC FF FF 00 75 2F 8B 85 EC FD FF FF 8B 84 C5 E4 FC FF FF 8B 95 EC FD FF FF 3B 84 D5 DC FC FF FF 7C 13 8B 85 EC FD FF FF 89 85 F0 FD FF FF C6 85 B2 FC FF FF 01 8A 85 B3 FC FF FF 22 85 B2 FC FF FF 74 07 55 E8 ?? ?? ?? ?? 59 8B 85 F0 FD FF FF 3B 85 EC FD FF FF 0F 84 92 00 00 00 8B 85 EC FD FF FF 8B 84 C5 E4 FC FF FF 8B 95 EC FD FF FF 3B 84 D5 DC FC FF FF 7E 76 8B 85 EC FD FF FF 89 85 F0 FD FF FF 8B 85 EC FD FF FF 48 89 85 A8 FC FF FF EB 0F FF 8D A8 FC FF FF 83 BD A8 FC FF FF 01 74 1C 8B 85 A8 FC FF FF 8B 84 C5 E4 FC FF FF 8B 95 A8 FC FF FF 3B 84 D5 DC FC FF FF 7F D5 83 BD A8 FC FF FF 01 7E 27 8B 85 A8 FC FF FF 89 85 F4 FD FF FF 55 E8 ?? ?? ?? ?? 59 EB 12 FF 85 AC FC FF FF FF 8D 9C FC FF FF 0F 85 7D FE FF FF 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_18918_0 {
	meta:
		name = "TTeeCanvas3D.Plane3D"
		size = 152
		refs = "0026 TTeeCanvas3D.Calc3DPoint 0088 TCanvas.GetHandle 008e Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 D4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 50 8B 45 0C 50 8B 4D F8 8B 09 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 50 8B 45 0C 50 8B 4D F4 8B 09 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 50 8B 45 08 50 8B 4D F4 8B 09 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 50 8B 45 08 50 8B 4D F8 8B 09 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 6A 04 8D 45 D4 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18920_0 {
	meta:
		name = "TTeeCanvas3D.Cylinder"
		size = 1272
		refs = "0019 TBrush.GetStyle 0028 TBrush.GetColor 008c TTeeCanvas3D.Cylinder 00a0 SinCos 00ad @ROUND 0135 TTeeCanvas3D.Calc3DTPoint3D 0172 TTeeCanvas3D.Calc3DPoint 0205 Dark 021a TCanvas.GetHandle 0220 Polygon 04c2 DarkColorQuantity"
	strings:
		$1 = { 55 8B EC 81 C4 6C FE FF FF 89 4D F0 88 55 F7 89 45 FC 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 EB 0A 8B 45 FC 8B 10 FF 12 89 45 F8 8B 45 0C 2B 45 10 D1 E8 89 45 DC 8B 45 0C 03 45 10 D1 E8 89 45 E4 80 7D F7 00 0F 84 0E 02 00 00 8B 45 18 2B 45 F0 D1 E8 89 45 E0 8B 45 18 03 45 F0 D1 E8 89 45 E8 C7 45 D8 01 00 00 00 8B 45 D8 83 E8 04 89 85 74 FE FF FF DB 85 74 FE FF FF DB 2D ?? ?? ?? ?? DE C9 83 C4 F4 DB 3C 24 9B 8D 55 C0 8D 45 CA E8 ?? ?? ?? ?? DB 45 E0 DB 6D CA DE C9 E8 ?? ?? ?? ?? 03 45 E8 8B 55 D8 8D 14 52 89 84 95 EC FE FF FF 8B 45 1C 3B 45 14 7D 12 8B 45 D8 8D 04 40 8B 55 1C 89 94 85 F0 FE FF FF EB 10 8B 45 D8 8D 04 40 8B 55 14 89 94 85 F0 FE FF FF DB 45 DC DB 6D C0 DE C9 E8 ?? ?? ?? ?? 8B 55 E4 2B D0 8B 45 D8 8D 04 40 89 94 85 F4 FE FF FF FF 45 D8 83 7D D8 11 0F 85 61 FF FF FF 8B 45 14 2B 45 1C 99 33 C2 2B C2 89 45 EC 8D 8D 6C FE FF FF 8D 95 F8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 6C FE FF FF 89 85 78 FE FF FF 8B 85 70 FE FF FF 89 85 7C FE FF FF 8B 85 FC FE FF FF 03 45 EC 50 8B 85 00 FF FF FF 50 8D 95 80 FE FF FF 8B 8D F8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 D4 C7 45 D8 02 00 00 00 8D 8D 6C FE FF FF 8B 45 D8 8D 04 40 8D 94 85 EC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 6C FE FF FF 89 85 90 FE FF FF 8B 85 70 FE FF FF 89 85 94 FE FF FF 8B 45 D8 8D 04 40 8D 84 85 EC FE FF FF 89 45 BC 8B 45 BC 8B 40 04 03 45 EC 50 8B 45 BC 8B 40 08 50 8D 95 88 FE FF FF 8B 45 BC 8B 08 8B 45 FC E8 ?? ?? ?? ?? 8B 85 90 FE FF FF 3B 85 78 FE FF FF 7E 30 80 7D 08 00 74 0D 55 8A 45 D4 C1 E0 04 E8 ?? ?? ?? ?? 59 6A 04 8D 85 78 FE FF FF 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 45 D4 8B 85 90 FE FF FF 89 85 78 FE FF FF 8B 85 94 FE FF FF 89 85 7C FE FF FF 8B 85 88 FE FF FF 89 85 80 FE FF FF 8B 85 8C FE FF FF 89 85 84 FE FF FF FF 45 D8 83 7D D8 11 0F 85 1E FF FF FF E9 09 02 00 00 8B 45 14 2B 45 1C D1 E8 89 45 E0 8B 45 14 03 45 1C D1 E8 89 45 E8 C7 45 D8 01 00 00 00 8B 45 D8 83 C0 05 89 85 74 FE FF FF DB 85 74 FE FF FF DB 2D ?? ?? ?? ?? DE C9 83 C4 F4 DB 3C 24 9B 8D 55 C0 8D 45 CA E8 ?? ?? ?? ?? 8B 45 F0 3B 45 18 7D 12 8B 45 D8 8D 04 40 8B 55 18 89 94 85 EC FE FF FF EB 10 8B 45 D8 8D 04 40 8B 55 F0 89 94 85 EC FE FF FF DB 45 E0 DB 6D CA DE C9 E8 ?? ?? ?? ?? 03 45 E8 8B 55 D8 8D 14 52 89 84 95 F0 FE FF FF DB 45 DC DB 6D C0 DE C9 E8 ?? ?? ?? ?? 8B 55 E4 2B D0 8B 45 D8 8D 04 40 89 94 85 F4 FE FF FF FF 45 D8 83 7D D8 11 0F 85 61 FF FF FF 8B 45 18 2B 45 F0 99 33 C2 2B C2 89 45 EC 8D 8D 6C FE FF FF 8D 95 F8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 6C FE FF FF 89 85 78 FE FF FF 8B 85 70 FE FF FF 89 85 7C FE FF FF 8B 85 FC FE FF FF 50 8B 85 00 FF FF FF 50 8B 8D F8 FE FF FF 2B 4D EC 8D 95 80 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 D4 C7 45 D8 02 00 00 00 8D 8D 6C FE FF FF 8B 45 D8 8D 04 40 8D 94 85 EC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 6C FE FF FF 89 85 90 FE FF FF 8B 85 70 FE FF FF 89 85 94 FE FF FF 8B 45 D8 8D 04 40 8D 84 85 EC FE FF FF 89 45 B8 8B 45 B8 8B 40 04 50 8B 45 B8 8B 40 08 50 8B 45 B8 8B 08 2B 4D EC 8D 95 88 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 94 FE FF FF 3B 85 7C FE FF FF 7E 30 80 7D 08 00 74 0D 55 8A 45 D4 C1 E0 04 E8 ?? ?? ?? ?? 59 6A 04 8D 85 78 FE FF FF 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 45 D4 8B 85 90 FE FF FF 89 85 78 FE FF FF 8B 85 94 FE FF FF 89 85 7C FE FF FF 8B 85 88 FE FF FF 89 85 80 FE FF FF 8B 85 8C FE FF FF 89 85 84 FE FF FF FF 45 D8 83 7D D8 0F 0F 85 1E FF FF FF C7 45 D8 01 00 00 00 8D 8D 6C FE FF FF 8B 45 D8 8D 04 40 8D 94 85 EC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 8B 95 6C FE FF FF 89 94 C5 70 FE FF FF 8B 95 70 FE FF FF 89 94 C5 74 FE FF FF FF 45 D8 83 7D D8 11 75 BF 80 7D 08 00 74 0C 55 A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 6A 10 8D 85 78 FE FF FF 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 18 00 35 C2 68 21 A2 DA 0F C9 FD 3F 00 00 }
	condition:
		$1
}

rule function_18922_0 {
	meta:
		name = "TTeeCanvas3D.Pyramid"
		size = 855
		refs = "0017 TBrush.GetStyle 0026 TBrush.GetColor 0061 TTeeCanvas3D.Calc3DPoint 0137 DarkerColorQuantity 013c Dark 01ff DarkColorQuantity"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 89 4D F0 88 55 F7 89 45 FC 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 EB 0A 8B 45 FC 8B 10 FF 12 89 45 F8 80 7D F7 00 0F 84 E8 01 00 00 8B 45 1C 3B 45 14 0F 84 9C 01 00 00 8B 45 14 50 8B 45 10 50 8D 55 E8 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8D 55 E0 8B 4D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 1C 50 8B 45 10 03 45 0C D1 E8 50 8B 4D F0 03 4D 18 D1 E9 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 B0 8B 45 EC 89 45 B4 8B 45 C8 89 45 B8 8B 45 CC 89 45 BC 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 55 B0 B9 02 00 00 00 8B 45 FC 8B 18 FF 93 88 00 00 00 8B 45 1C 3B 45 14 7D 55 8B 45 14 50 8B 45 0C 50 8D 55 D8 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 3B 45 CC 7D 37 8B 45 E8 89 45 B0 8B 45 EC 89 45 B4 8B 45 C8 89 45 B8 8B 45 CC 89 45 BC 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 8D 55 B0 B9 02 00 00 00 8B 45 FC 8B 18 FF 93 88 00 00 00 80 7D 08 00 74 0C 55 A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 14 50 8B 45 0C 50 8D 55 D0 8B 4D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 B0 8B 45 E4 89 45 B4 8B 45 C8 89 45 B8 8B 45 CC 89 45 BC 8B 45 D0 89 45 C0 8B 45 D4 89 45 C4 8D 55 B0 B9 02 00 00 00 8B 45 FC 8B 18 FF 93 88 00 00 00 8B 45 1C 3B 45 14 7D 55 8B 45 DC 3B 45 CC 7D 4D 8B 45 14 50 8B 45 0C 50 8D 55 D8 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 89 45 B0 8B 45 CC 89 45 B4 8B 45 D8 89 45 B8 8B 45 DC 89 45 BC 8B 45 D0 89 45 C0 8B 45 D4 89 45 C4 8D 55 B0 B9 02 00 00 00 8B 45 FC 8B 18 FF 93 88 00 00 00 8B 45 1C 3B 45 14 0F 8C 59 01 00 00 80 7D 08 00 74 0C 55 A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 18 50 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F0 8B 45 FC 8B 18 FF 93 08 01 00 00 E9 25 01 00 00 8B 45 F0 3B 45 18 0F 84 E2 00 00 00 8B 45 1C 50 8B 45 10 50 8D 55 E8 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8D 55 E0 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 1C 03 45 14 D1 E8 50 8B 45 10 03 45 0C D1 E8 50 8D 55 C8 8B 4D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 B0 8B 45 EC 89 45 B4 8B 45 C8 89 45 B8 8B 45 CC 89 45 BC 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8D 55 B0 B9 02 00 00 00 8B 45 FC 8B 18 FF 93 88 00 00 00 80 7D 08 00 74 0C 55 A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 1C 50 8B 45 0C 50 8D 55 D8 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 B0 8B 45 EC 89 45 B4 8B 45 C8 89 45 B8 8B 45 CC 89 45 BC 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 8D 55 B0 B9 02 00 00 00 8B 45 FC 8B 18 FF 93 88 00 00 00 8B 45 F0 3B 45 18 7C 2F 80 7D 08 00 74 0C 55 A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 4D 1C 8B 55 F0 8B 45 FC 8B 18 FF 93 0C 01 00 00 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_18923_0 {
	meta:
		name = "TTeeCanvas3D.PlaneFour3D"
		size = 115
		refs = "0026 TTeeCanvas3D.Calc3DTPoint 0061 TCanvas.GetHandle 0067 Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 D8 56 57 8B F2 8D 7D D8 51 B9 08 00 00 00 F3 A5 59 89 4D F8 89 45 FC 8D 55 D8 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? 6A 04 8D 45 D8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18924_0 {
	meta:
		name = "TTeeCanvas3D.SetPixel3D"
		size = 126
		refs = "001d TTeeCanvas3D.Calc3DPos 0028 TPen.GetWidth 0040 TCanvas.SetPixel 004d TCanvas.GetHandle 0063 MoveToEx 0074 LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 50 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 48 75 17 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? EB 32 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 F4 50 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18925_0 {
	meta:
		name = "TTeeCanvas3D.GetSupports3DText"
		size = 20
		altNames = "TTeeCanvas3D.GetSupportsFullRotation"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C6 45 FB 00 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_18928_0 {
	meta:
		name = "TTeeCanvas3D.GetUseBuffer"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 40 74 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_18929_0 {
	meta:
		name = "TTeeCanvas3D.SetUseBuffer"
		size = 69
		refs = "002e TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 42 74 8B 45 FC 80 78 74 00 75 23 8B 45 FC 83 78 70 00 74 1A 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 70 8B 45 FC C6 40 76 01 59 59 5D C3 }
	condition:
		$1
}

rule function_18930_0 {
	meta:
		name = "TTeeCanvas3D.GetMonochrome"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 40 75 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_18931_0 {
	meta:
		name = "TTeeCanvas3D.SetMonochrome"
		size = 82
		refs = "0027 TObject.Free 004a TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8A 40 75 3A 45 FB 74 37 8A 45 FB 8B 55 FC 88 42 75 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 70 8B 45 FC C6 40 76 01 8B 45 FC 83 78 18 00 74 0B 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_18932_0 {
	meta:
		name = "TTeeCanvas3D.HorizLine3D"
		size = 119
		refs = "0023 TTeeCanvas3D.Calc3DPos 002e TCanvas.GetHandle 0044 MoveToEx 006d LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 89 45 EC 8B 45 08 50 8D 4D EC 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 EC 50 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 0C 89 45 EC 8B 45 08 50 8D 4D EC 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18933_0 {
	meta:
		name = "TTeeCanvas3D.VertLine3D"
		size = 119
		refs = "0023 TTeeCanvas3D.Calc3DPos 002e TCanvas.GetHandle 0044 MoveToEx 006d LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 89 45 EC 8B 45 08 50 8D 4D F4 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 F4 50 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F8 89 45 EC 8B 45 08 50 8D 4D 0C 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18934_0 {
	meta:
		name = "TTeeCanvas3D.ZLine3D"
		size = 131
		refs = "0029 TTeeCanvas3D.Calc3DPos 0034 TCanvas.GetHandle 004a MoveToEx 0079 LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 89 45 EC 8B 45 F4 89 45 E8 8B 45 0C 50 8D 4D E8 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 45 E8 50 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F8 89 45 EC 8B 45 F4 89 45 E8 8B 45 08 50 8D 4D E8 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18935_0 {
	meta:
		name = "TTeeCanvas3D.TriangleWithZ"
		size = 125
		refs = "0026 TTeeCanvas3D.Calc3DPoint 006d TCanvas.GetHandle 0073 Polygon"
	strings:
		$1 = { 55 8B EC 83 C4 DC 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 50 8B 45 08 50 8B 4D F8 8B 09 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 50 8B 45 08 50 8B 4D F4 8B 09 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 8B 40 04 50 8B 45 08 50 8B 4D 0C 8B 09 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 6A 03 8D 45 DC 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18936_0 {
	meta:
		name = "CalcArrowPoint"
		size = 112
		refs = "0022 @ROUND 0069 TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 08 DD 40 F8 8B 45 08 DC 48 F0 8B 45 08 DD 40 E8 8B 45 08 DC 48 E0 DE C1 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 08 DD 40 F8 D9 E0 8B 45 08 DC 48 E0 8B 45 08 DD 40 E8 8B 45 08 DC 48 F0 DE C1 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 08 8B 40 08 50 8B 4D FC 83 C1 04 8B 55 FC 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_18937_0 {
	meta:
		name = "TTeeCanvas3D.Arrow"
		size = 720
		refs = "0055 TTeeCanvas3D.Arrow 006c @ROUND 0074 MinLong 00dc CalcArrowPoint 019a TTeeCanvas3D.Calc3DTPoint"
	strings:
		$1 = { 55 8B EC 81 C4 30 FF FF FF 53 89 4D D4 88 55 DB 89 45 DC 8B 45 14 8B 00 8B 55 D4 2B 02 89 45 C8 8B 45 D4 8B 40 04 8B 55 14 2B 42 04 89 45 C4 8B 45 C8 F7 6D C8 8B 55 C4 0F AF 55 C4 03 C2 89 85 68 FF FF FF DB 85 68 FF FF FF D9 FA DD 5D A4 9B DD 45 A4 D8 1D ?? ?? ?? ?? DF E0 9E 0F 86 59 02 00 00 8B 45 10 89 45 D0 DD 45 A4 E8 ?? ?? ?? ?? 8B 55 0C E8 ?? ?? ?? ?? 89 45 CC DB 45 C4 DC 75 A4 DD 5D E0 9B DB 45 C8 DC 75 A4 DD 5D F0 9B 8B 45 14 DB 00 DC 4D F0 8B 45 14 DB 40 04 DC 4D E0 DE E9 DD 5D B4 9B 8B 45 14 DB 00 DC 4D E0 8B 45 14 DB 40 04 DC 4D F0 DE C1 DD 5D AC 9B DB 45 CC DC 6D B4 DD 5D F8 9B DB 45 D0 D8 35 ?? ?? ?? ?? DC 6D AC DD 5D E8 9B 55 8D 45 94 E8 ?? ?? ?? ?? 59 DB 45 D0 D8 35 ?? ?? ?? ?? DC 45 AC DD 5D E8 9B 55 8D 45 8C E8 ?? ?? ?? ?? 59 80 7D DB 00 0F 84 3E 01 00 00 DB 45 D0 D8 35 ?? ?? ?? ?? DD 5D BC 9B DD 45 AC DC 65 BC DD 5D E8 9B 55 8D 45 84 E8 ?? ?? ?? ?? 59 DD 45 AC DC 45 BC DD 5D E8 9B 55 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 59 8B 45 D4 DB 00 DC 4D F0 8B 45 D4 DB 40 04 DC 4D E0 DE E9 DD 5D F8 9B DD 45 AC DC 65 BC DD 5D E8 9B 55 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 59 DD 45 AC DC 45 BC DD 5D E8 9B 55 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 59 8B 45 14 8B 10 89 55 9C 8B 50 04 89 55 A0 8D 55 9C 8B 4D 08 8B 45 DC E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 89 85 30 FF FF FF 8B 85 70 FF FF FF 89 85 34 FF FF FF 8B 85 74 FF FF FF 89 85 38 FF FF FF 8B 85 78 FF FF FF 89 85 3C FF FF FF 8B 45 84 89 85 40 FF FF FF 8B 45 88 89 85 44 FF FF FF 8B 45 94 89 85 48 FF FF FF 8B 45 98 89 85 4C FF FF FF 8B 45 9C 89 85 50 FF FF FF 8B 45 A0 89 85 54 FF FF FF 8B 45 8C 89 85 58 FF FF FF 8B 45 90 89 85 5C FF FF FF 8B 85 7C FF FF FF 89 85 60 FF FF FF 8B 45 80 89 85 64 FF FF FF 8D 95 30 FF FF FF B9 06 00 00 00 8B 45 DC 8B 18 FF 93 88 00 00 00 EB 78 8B 45 08 50 8B 4D D4 8B 49 04 8B 55 D4 8B 12 8B 45 DC 8B 18 FF 93 E8 00 00 00 8B 45 08 50 8B 4D 14 8B 49 04 8B 55 14 8B 12 8B 45 DC 8B 18 FF 93 EC 00 00 00 8B 45 08 50 8B 4D 90 8B 55 8C 8B 45 DC 8B 18 FF 93 EC 00 00 00 8B 45 08 50 8B 4D 14 8B 49 04 8B 55 14 8B 12 8B 45 DC 8B 18 FF 93 E8 00 00 00 8B 45 08 50 8B 4D 98 8B 55 94 8B 45 DC 8B 18 FF 93 EC 00 00 00 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 00 00 40 00 00 80 40 }
	condition:
		$1
}

rule function_18940_0 {
	meta:
		name = "MaxLong"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 3B 45 F8 7E 08 8B 45 FC 89 45 F4 EB 06 8B 45 F8 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_18941_0 {
	meta:
		name = "MinLong"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 3B 45 F8 7E 08 8B 45 F8 89 45 F4 EB 06 8B 45 FC 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_18942_0 {
	meta:
		name = "SwapInteger"
		size = 42
		altNames = "SwapLongint"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 00 89 45 F4 8B 45 F8 8B 00 8B 55 FC 89 02 8B 45 F8 8B 55 F4 89 10 8B E5 5D C3 }
	condition:
		$1
}

rule function_18943_0 {
	meta:
		name = "SwapDouble"
		size = 60
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 FC 8B 10 89 55 F0 8B 50 04 89 55 F4 8B 45 FC 8B 55 F8 8B 0A 89 08 8B 4A 04 89 48 04 8B 45 F8 8B 55 F0 89 10 8B 55 F4 89 50 04 8B E5 5D C3 }
	condition:
		$1
}

rule function_18948_0 {
	meta:
		name = "TTeeAboutForm.BOrderClick"
		size = 54
		refs = "000f TNotebook.SetPageIndex 001c TControl.SetVisible 0030 TTeeAboutForm.CheckButtons"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18949_0 {
	meta:
		name = "TTeeAboutForm.FormCreate"
		size = 139
		refs = "000c TTeeAboutForm.FormCreate 0021 TControl.SetCursor 0035 TNotebook.SetPageIndex 003d TeeMsg_Version 0042 LoadResString 0050 TControl.SetText 005d TCustomComboBox.SetItemIndex 0066 TTeeAboutForm.SEQuantityChange 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA EB FF 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? C6 83 04 04 00 00 00 33 D2 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_18950_0 {
	meta:
		name = "TTeeAboutForm.CheckButtons"
		size = 169
		refs = "000f TControl.SetColor"
	strings:
		$1 = { 53 8B D8 BA 0F 00 00 80 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 83 E0 02 00 00 83 B8 F8 01 00 00 01 0F 9F C2 8B 83 D0 02 00 00 8B 08 FF 51 60 8B 83 E0 02 00 00 83 B8 F8 01 00 00 04 0F 9C C2 8B 83 CC 02 00 00 8B 08 FF 51 60 8B 83 E0 02 00 00 8B 80 F8 01 00 00 83 F8 01 75 10 8B 83 74 03 00 00 8B 10 FF 92 B4 00 00 00 5B C3 83 F8 02 75 10 8B 83 48 03 00 00 8B 10 FF 92 B4 00 00 00 EB 28 83 F8 03 75 10 8B 83 AC 03 00 00 8B 10 FF 92 B4 00 00 00 EB 13 83 F8 04 75 0E 8B 83 68 03 00 00 8B 10 FF 92 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_18951_0 {
	meta:
		name = "TTeeAboutForm.BNextClick"
		size = 35
		refs = "0016 TNotebook.SetPageIndex 001d TTeeAboutForm.CheckButtons"
	strings:
		$1 = { 53 8B D8 8B 83 E0 02 00 00 8B 90 F8 01 00 00 83 FA 04 7D 06 42 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18952_0 {
	meta:
		name = "TTeeAboutForm.BPreviousClick"
		size = 35
		refs = "0016 TNotebook.SetPageIndex 001d TTeeAboutForm.CheckButtons"
	strings:
		$1 = { 53 8B D8 8B 83 E0 02 00 00 8B 90 F8 01 00 00 83 FA 01 7E 06 4A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18953_0 {
	meta:
		name = "TTeeAboutForm.FormatUSD"
		size = 88
		refs = "0014 TTeeAboutForm.FormatUSD 0036 Format"
	strings:
		$1 = { 53 56 83 C4 E8 8B F1 8B DA 56 89 5C 24 0C DB 44 24 0C D8 35 ?? ?? ?? ?? DB 7C 24 10 9B 8D 44 24 10 89 44 24 04 C6 44 24 08 03 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 00 00 C8 42 FF FF FF FF 09 00 00 00 25 36 2E 30 66 20 55 53 24 00 00 00 }
	condition:
		$1
}

rule function_18954_0 {
	meta:
		name = "TTeeAboutForm.CalcTotal"
		size = 94
		refs = "003e TTeeAboutForm.NumCopies 0053 TTeeAboutForm.ShippingPrice"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 83 74 03 00 00 8B 80 F8 01 00 00 83 E8 01 72 0A 74 0F 48 74 13 48 74 17 EB 1A BE 4C 36 00 00 EB 13 BE FC 6C 00 00 EB 0C BE 3C 0F 00 00 EB 05 BE 58 1B 00 00 8B C3 E8 ?? ?? ?? ?? 48 7E 0B 8B C3 E8 ?? ?? ?? ?? F7 EE 8B F0 8B C3 E8 ?? ?? ?? ?? 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18955_0 {
	meta:
		name = "TTeeAboutForm.NumCopies"
		size = 19
		refs = "000a TCustomUpDown.GetPosition"
	strings:
		$1 = { 53 8B D8 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 0F BF C0 5B C3 }
	condition:
		$1
}

rule function_18956_0 {
	meta:
		name = "TTeeAboutForm.GetOrderForm"
		size = 3312
		refs = "0013 TTeeAboutForm.GetOrderForm 0020 _Dn_TStringList 0025 TObject.Create 007d TCustomComboBox.GetItemIndex 00bc TControl.GetText 00cc @LStrCat3 03da @LStrLAsg 0422 TTeeAboutForm.NumCopies 043e TTeeAboutForm.FormatUSD 044e @LStrCatN 0481 IntToStr 04f1 TTeeAboutForm.ShippingPrice 052a TTeeAboutForm.CalcTotal 0635 @LStrArrayClr 063d @LStrClr 0650 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 48 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 44 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 28 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 2C 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 30 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 34 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 38 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 3C 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 4C 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 40 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 AC 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 8D 4D F0 8B 86 9C 03 00 00 8B 90 F8 01 00 00 8B 86 9C 03 00 00 8B 80 F4 01 00 00 8B 38 FF 57 0C 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 8B 86 9C 03 00 00 83 B8 F8 01 00 00 03 0F 8D CA 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8D 4D F0 8B 86 9C 03 00 00 8B 90 F8 01 00 00 8B 86 9C 03 00 00 8B 80 F4 01 00 00 8B 38 FF 57 0C 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 98 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 5C 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8D 55 F4 8B 86 60 03 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 FF 8B 86 74 03 00 00 8B 80 F8 01 00 00 83 E8 01 72 0A 74 1C 48 74 2D 48 74 3E EB 4E 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 4C 36 00 00 EB 3A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BF FC 6C 00 00 EB 26 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 3C 0F 00 00 EB 12 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 58 1B 00 00 8B C6 E8 ?? ?? ?? ?? 48 75 35 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 EB 55 8B C6 E8 ?? ?? ?? ?? F7 EF 8B F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B 86 A0 03 00 00 8B 80 EC 01 00 00 8B 38 FF 57 0C 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8B 86 9C 03 00 00 8B 80 F8 01 00 00 83 E8 06 75 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 D2 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 5F 5E 5B 8B E5 5D C3 00 FF FF FF FF 27 00 00 00 20 20 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 2A 00 FF FF FF FF 26 00 00 00 20 20 20 20 54 65 65 43 68 61 72 74 20 50 72 6F 20 34 2E 30 20 56 43 4C 20 20 2D 4F 52 44 45 52 20 46 4F 52 4D 2D 00 00 FF FF FF FF 1C 00 00 00 20 57 57 57 3A 20 68 74 74 70 3A 2F 2F 77 77 77 2E 74 65 65 6D 61 63 68 2E 63 6F 6D 00 00 00 00 FF FF FF FF 35 00 00 00 50 6C 65 61 73 65 20 6D 61 69 6C 20 6D 65 20 54 65 65 43 68 61 72 74 20 50 72 6F 20 56 43 4C 20 76 34 2E 30 20 74 6F 20 74 68 69 73 20 61 64 64 72 65 73 73 3A 00 00 00 FF FF FF FF 17 00 00 00 20 20 43 75 73 74 6F 6D 65 72 20 49 6E 66 6F 72 6D 61 74 69 6F 6E 3A 00 FF FF FF FF 3F 00 00 00 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 2D 00 FF FF FF FF 0C 00 00 00 20 20 4E 61 6D 65 2E 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 43 6F 6D 70 61 6E 79 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 41 64 64 72 65 73 73 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 43 69 74 79 2E 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 53 74 61 74 65 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 5A 49 50 2E 2E 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 43 6F 75 6E 74 72 79 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 50 68 6F 6E 65 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 46 41 58 2E 2E 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 45 4D 61 69 6C 2E 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0C 00 00 00 20 20 54 41 58 20 49 44 2E 2E 3A 20 00 00 00 00 FF FF FF FF 0E 00 00 00 50 61 79 6D 65 6E 74 20 54 79 70 65 3A 20 00 00 FF FF FF FF 1A 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 20 49 6E 66 6F 72 6D 61 74 69 6F 6E 3A 00 00 FF FF FF FF 1B 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 20 54 79 70 65 2E 2E 2E 2E 2E 2E 2E 3A 20 00 FF FF FF FF 1B 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 48 6F 6C 64 65 72 20 4E 61 6D 65 2E 3A 20 00 FF FF FF FF 1B 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 20 4E 75 6D 62 65 72 2E 2E 2E 2E 2E 3A 20 00 FF FF FF FF 1B 00 00 00 20 20 43 72 65 64 69 74 20 43 61 72 64 20 45 78 70 2E 20 44 61 74 65 2E 2E 3A 20 00 FF FF FF FF 10 00 00 00 20 20 4F 72 64 65 72 20 50 72 6F 64 75 63 74 3A 00 00 00 00 FF FF FF FF 0E 00 00 00 53 69 6E 67 6C 65 20 4C 69 63 65 6E 73 65 00 00 FF FF FF FF 1F 00 00 00 53 69 6E 67 6C 65 20 4C 69 63 65 6E 73 65 20 77 69 74 68 20 53 6F 75 72 63 65 20 43 6F 64 65 00 FF FF FF FF 14 00 00 00 55 70 67 72 61 64 65 20 66 72 6F 6D 20 50 72 6F 20 33 2E 30 00 00 00 00 FF FF FF FF 25 00 00 00 55 70 67 72 61 64 65 20 66 72 6F 6D 20 50 72 6F 20 33 2E 30 20 77 69 74 68 20 53 6F 75 72 63 65 20 43 6F 64 65 00 00 00 FF FF FF FF 06 00 00 00 20 20 20 20 20 20 00 00 FF FF FF FF 02 00 00 00 3A 20 00 00 FF FF FF FF 02 00 00 00 20 20 00 00 FF FF FF FF 03 00 00 00 20 78 20 00 FF FF FF FF 1A 00 00 00 20 20 20 20 20 20 20 20 20 53 68 69 70 70 69 6E 67 20 6D 65 74 68 6F 64 3A 20 00 00 FF FF FF FF 1A 00 00 00 20 20 20 20 20 53 68 69 70 70 69 6E 67 20 26 20 48 61 6E 64 6C 69 6E 67 3A 20 00 00 FF FF FF FF 1A 00 00 00 20 20 20 20 20 20 20 20 20 20 54 20 4F 20 54 20 41 20 4C 20 20 20 20 20 3A 20 00 00 FF FF FF FF 3D 00 00 00 57 61 72 6E 69 6E 67 3A 20 45 75 72 6F 43 68 65 71 75 65 73 20 6D 75 73 74 20 62 65 20 69 6E 20 53 70 61 6E 69 73 68 20 50 65 73 65 74 61 73 2E 20 28 4E 4F 54 20 69 6E 20 55 53 24 29 00 00 00 FF FF FF FF 3A 00 00 00 46 41 58 20 74 68 69 73 20 4F 72 64 65 72 20 46 6F 72 6D 20 74 6F 20 75 73 20 61 74 20 46 41 58 20 4E 55 4D 42 45 52 3A 20 20 2B 33 34 20 39 33 20 34 32 33 20 35 39 20 38 32 00 00 FF FF FF FF 2F 00 00 00 4F 72 20 73 65 6E 64 20 62 79 20 49 6E 74 65 72 6E 65 74 20 45 4D 61 69 6C 20 74 6F 3A 20 73 61 6C 65 73 40 74 65 65 6D 61 63 68 2E 63 6F 6D 00 FF FF FF FF 1A 00 00 00 4F 72 20 73 65 6E 64 20 62 79 20 70 6F 73 74 61 6C 20 6D 61 69 6C 20 74 6F 3A 00 00 FF FF FF FF 0D 00 00 00 20 20 74 65 65 4D 61 63 68 2C 20 53 4C 00 00 00 FF FF FF FF 0E 00 00 00 20 20 50 4F 20 42 6F 78 20 32 32 32 36 32 00 00 FF FF FF FF 1C 00 00 00 20 20 30 38 30 38 30 20 42 61 72 63 65 6C 6F 6E 61 2C 20 43 61 74 61 6C 6F 6E 69 61 00 00 00 00 FF FF FF FF 07 00 00 00 20 20 53 70 61 69 6E 00 FF FF FF FF 3C 00 00 00 20 20 50 6C 65 61 73 65 20 63 68 65 63 6B 20 79 6F 75 72 20 65 6D 61 69 6C 20 61 64 64 72 65 73 73 20 62 65 66 6F 72 65 20 73 65 6E 64 69 6E 67 20 79 6F 75 72 20 6F 72 64 65 72 2E 00 00 00 00 FF FF FF FF 4E 00 00 00 20 20 59 6F 75 20 77 69 6C 6C 20 72 65 63 65 69 76 65 20 61 6E 20 65 6D 61 69 6C 20 77 69 74 68 20 69 6E 73 74 72 75 63 74 69 6F 6E 73 20 74 6F 20 44 4F 57 4E 4C 4F 41 44 20 54 65 65 43 68 61 72 74 20 50 72 6F 20 56 43 4C 20 34 2E 30 00 00 FF FF FF FF 45 00 00 00 20 20 50 6C 65 61 73 65 20 63 6F 6E 74 61 63 74 20 75 73 20 61 74 20 73 61 6C 65 73 40 74 65 65 6D 61 63 68 2E 63 6F 6D 20 66 6F 72 20 61 6E 79 20 71 75 65 73 74 69 6F 6E 20 6F 72 20 70 72 6F 62 6C 65 6D 2E 00 00 00 }
	condition:
		$1
}

rule function_18957_0 {
	meta:
		name = "TTeeAboutForm.BPrintOrderClick"
		size = 395
		refs = "001b TTeeAboutForm.BPrintOrderClick 003f TTeeAboutForm.GetOrderForm 005b AssignPrn 0066 @RewritText 006b @_IOTest 0070 Screen 007b TScreen.SetCursor 00ca @Write0LString 00cf @WriteLn 00fe @Close 0109 @HandleFinally 0124 @HandleOnException 012c _Dn_Exception 0143 @DoneExcept 0158 TObject.Free 0178 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 28 FE FF FF 53 56 57 33 C9 89 8D 28 FE FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 D4 02 00 00 8B 10 FF 52 3C 84 C0 0F 84 29 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 8D 28 FE FF FF 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 95 28 FE FF FF 8D 85 2C FE FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B 45 FC C6 80 04 04 00 00 01 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 28 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18958_0 {
	meta:
		name = "TTeeAboutForm.BSaveOrderClick"
		size = 284
		refs = "001e TTeeAboutForm.BSaveOrderClick 003e TTeeAboutForm.GetOrderForm 0060 TOpenDialog.GetFileName 0097 @LStrCat3 00a8 StrPCopy 00ae WinExec 00ca TObject.Free 00d0 @HandleFinally 00ea @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 C9 89 8D F4 FE FF FF 89 8D F8 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D8 02 00 00 8B 10 FF 52 3C 84 C0 0F 84 9B 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F8 FE FF FF 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B 45 FC 8B 08 FF 51 64 6A 03 8D 95 F8 FE FF FF 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF 8D 85 F4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 04 04 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 00 00 FF FF FF FF 08 00 00 00 6E 6F 74 65 70 61 64 20 00 00 00 00 }
	condition:
		$1
}

rule function_18959_0 {
	meta:
		name = "TTeeAboutForm.BCopyOrderClick"
		size = 178
		refs = "0013 TTeeAboutForm.BCopyOrderClick 0020 TTeeAboutForm.GetOrderForm 0044 @LStrToPChar 004b Clipboard 0052 TClipboard.SetTextBuf 005a TeeMsg_OrderClipboard 005f LoadResString 0067 ShowMessage 0083 TObject.Free 0089 @HandleFinally 00a0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C6 83 04 04 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18960_0 {
	meta:
		name = "TTeeAboutForm.ShippingPrice"
		size = 74
		refs = "000d TCustomComboBox.GetItemIndex 003e TCustomUpDown.GetPosition"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 0C 48 74 10 48 74 14 EB 17 33 F6 EB 13 BE 20 03 00 00 EB 0C BE B0 04 00 00 EB 05 BE 08 07 00 00 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 0F BF C0 F7 EE 5E 5B C3 }
	condition:
		$1
}

rule function_18961_0 {
	meta:
		name = "TTeeAboutForm.RefreshTotal"
		size = 121
		refs = "000c TTeeAboutForm.RefreshTotal 0019 TTeeAboutForm.ShippingPrice 0025 TTeeAboutForm.FormatUSD 0033 TControl.SetText 003a TTeeAboutForm.CalcTotal 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_18963_0 {
	meta:
		name = "TTeeAboutForm.FormCloseQuery"
		size = 136
		refs = "000c TTeeAboutForm.FormCloseQuery 0041 TeeMsg_CancelOrder 0046 LoadResString 0057 MessageDlg 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D9 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 90 E0 02 00 00 83 BA F8 01 00 00 00 74 0D 80 B8 04 04 00 00 00 75 04 33 C0 EB 02 B0 01 88 03 80 3B 00 75 26 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 0F 94 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_18965_0 {
	meta:
		name = "TTeeAboutForm.CBPaymentTypeChange"
		size = 28
		refs = "0017 TControl.SetVisible"
	strings:
		$1 = { 8B 90 9C 03 00 00 83 BA F8 01 00 00 03 0F 9C C2 8B 80 50 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18967_0 {
	meta:
		name = "TTeeAboutForm.ENameKeyPress"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 80 39 0D 75 11 C6 01 00 6A 00 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18968_0 {
	meta:
		name = "GotoURL"
		size = 60
		refs = "0019 StrPCopy 001f GotoURL 0025 ShellExecute"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 6A 05 6A 00 6A 00 8D 44 24 0C 8B D6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 00 00 6F 70 65 6E 00 00 00 00 }
	condition:
		$1
}

rule function_18969_0 {
	meta:
		name = "TTeeAboutForm.Label7Click"
		size = 86
		refs = "000c TTeeAboutForm.Label7Click 0020 TControl.GetText 002b TWinControl.GetHandle 0031 GotoURL 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_18974_0 {
	meta:
		name = "TAddTeeFunction.Calculate"
		size = 98
		refs = "0047 TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 83 F9 FF 75 18 8B C7 8B 10 FF 92 F0 00 00 00 8B 50 38 89 55 F8 8B 50 3C 89 55 FC EB 2E 33 C0 89 45 F8 89 45 FC 8B F1 8B 5D 08 2B DE 7C 1D 43 8B C7 8B 10 FF 92 F0 00 00 00 8B D6 E8 ?? ?? ?? ?? DC 45 F8 DD 5D F8 9B 46 4B 75 E4 DD 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18975_0 {
	meta:
		name = "TAddTeeFunction.CalculateMany"
		size = 101
		refs = "002a TList.Get 003b TChartValueList.Count 0048 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 89 14 24 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 70 08 4E 85 F6 7C 38 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 F0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 12 8B D5 8B C3 E8 ?? ?? ?? ?? DC 44 24 04 DD 5C 24 04 9B 47 4E 75 CB DD 44 24 04 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18976_0 {
	meta:
		name = "TSubtractTeeFunction.CalculateMany"
		size = 134
		refs = "002f TList.Get 0040 TChartValueList.Count 0054 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 89 14 24 C6 44 24 0C 01 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 70 08 4E 85 F6 7C 54 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 F0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 2E 80 7C 24 0C 00 74 15 8B D5 8B C3 E8 ?? ?? ?? ?? DD 5C 24 04 9B C6 44 24 0C 00 EB 12 8B D5 8B C3 E8 ?? ?? ?? ?? DC 6C 24 04 DD 5C 24 04 9B 47 4E 75 AF DD 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18977_0 {
	meta:
		name = "TMultiplyTeeFunction.CalculateMany"
		size = 134
		refs = "002f TList.Get 0040 TChartValueList.Count 0054 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 89 14 24 C6 44 24 0C 01 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 70 08 4E 85 F6 7C 54 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 F0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 2E 80 7C 24 0C 00 74 15 8B D5 8B C3 E8 ?? ?? ?? ?? DD 5C 24 04 9B C6 44 24 0C 00 EB 12 8B D5 8B C3 E8 ?? ?? ?? ?? DC 4C 24 04 DD 5C 24 04 9B 47 4E 75 AF DD 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18978_0 {
	meta:
		name = "TDivideTeeFunction.CalculateMany"
		size = 164
		refs = "002f TList.Get 0040 TChartValueList.Count 0054 TChartValueList.GetValue 0078 TDivideTeeFunction.CalculateMany"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E9 89 14 24 C6 44 24 14 01 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 70 08 4E 85 F6 7C 6C 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 F0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 46 80 7C 24 14 00 74 15 8B D5 8B C3 E8 ?? ?? ?? ?? DD 5C 24 04 9B C6 44 24 14 00 EB 2A 8B D5 8B C3 E8 ?? ?? ?? ?? DD 5C 24 0C 9B DD 44 24 0C D8 1D ?? ?? ?? ?? DF E0 9E 74 0D DD 44 24 04 DC 74 24 0C DD 5C 24 04 9B 47 4E 75 97 DD 44 24 04 83 C4 18 5D 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_18979_0 {
	meta:
		name = "THighTeeFunction.Calculate"
		size = 141
		refs = "004c TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 89 55 FC 83 FF FF 75 19 8B 45 FC 8B 10 FF 92 F0 00 00 00 8B 50 0C 89 55 F4 8B 50 10 89 55 F8 EB 55 33 C0 89 45 F4 89 45 F8 8B DF 8B 75 08 2B F3 7C 44 46 8B 45 FC 8B 10 FF 92 F0 00 00 00 8B D3 E8 ?? ?? ?? ?? DD 5D EC 9B 3B FB 75 0E 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 EB 17 DD 45 EC DC 5D F4 DF E0 9E 76 0C 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 43 4E 75 BD DD 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18980_0 {
	meta:
		name = "THighTeeFunction.CalculateMany"
		size = 130
		refs = "002a TList.Get 003b TChartValueList.Count 0048 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B E9 89 14 24 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 78 08 4F 85 FF 7C 55 47 33 DB 8B D3 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 F0 00 00 00 8B F0 8B C6 E8 ?? ?? ?? ?? 3B E8 7D 2F 8B D5 8B C6 E8 ?? ?? ?? ?? DD 5C 24 0C 9B 85 DB 74 0D DD 44 24 0C DC 5C 24 04 DF E0 9E 76 10 8B 44 24 0C 89 44 24 04 8B 44 24 10 89 44 24 08 43 4F 75 AE DD 44 24 04 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18981_0 {
	meta:
		name = "TLowTeeFunction.Calculate"
		size = 141
		refs = "004c TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 89 55 FC 83 FF FF 75 19 8B 45 FC 8B 10 FF 92 F0 00 00 00 8B 50 14 89 55 F4 8B 50 18 89 55 F8 EB 55 33 C0 89 45 F4 89 45 F8 8B DF 8B 75 08 2B F3 7C 44 46 8B 45 FC 8B 10 FF 92 F0 00 00 00 8B D3 E8 ?? ?? ?? ?? DD 5D EC 9B 3B FB 75 0E 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 EB 17 DD 45 EC DC 5D F4 DF E0 9E 73 0C 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 43 4E 75 BD DD 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18982_0 {
	meta:
		name = "TLowTeeFunction.CalculateMany"
		size = 130
		refs = "002a TList.Get 003b TChartValueList.Count 0048 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B E9 89 14 24 33 C0 89 44 24 04 89 44 24 08 8B 04 24 8B 78 08 4F 85 FF 7C 55 47 33 DB 8B D3 8B 04 24 E8 ?? ?? ?? ?? 8B 10 FF 92 F0 00 00 00 8B F0 8B C6 E8 ?? ?? ?? ?? 3B E8 7D 2F 8B D5 8B C6 E8 ?? ?? ?? ?? DD 5C 24 0C 9B 85 DB 74 0D DD 44 24 0C DC 5C 24 04 DF E0 9E 73 10 8B 44 24 0C 89 44 24 04 8B 44 24 10 89 44 24 08 43 4F 75 AE DD 44 24 04 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18983_0 {
	meta:
		name = "TAverageTeeFunction.Calculate"
		size = 156
		refs = "0017 TChartSeries.Count 006d TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 83 7D FC FF 75 39 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 24 8B C7 8B 10 FF 92 F0 00 00 00 83 C0 38 50 8B C7 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 58 DC 38 DD 5D F4 9B EB 4D 33 C0 89 45 F4 89 45 F8 EB 43 33 C0 89 45 F4 89 45 F8 8B 75 FC 8B 5D 08 2B DE 7C 1D 43 8B C7 8B 10 FF 92 F0 00 00 00 8B D6 E8 ?? ?? ?? ?? DC 45 F4 DD 5D F4 9B 46 4B 75 E4 8B 45 08 2B 45 FC 40 89 45 F0 DB 45 F0 DC 7D F4 DD 5D F4 9B DD 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18984_0 {
	meta:
		name = "TAverageTeeFunction.CalculateMany"
		size = 135
		refs = "0032 TList.Get 0043 TChartValueList.Count 0056 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B EA 33 C0 89 44 24 04 89 44 24 08 8B 45 08 85 C0 7E 5E 33 D2 89 54 24 0C 8B F0 4E 85 F6 7C 3D 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 10 FF 92 F0 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 04 24 7E 17 FF 44 24 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? DC 44 24 04 DD 5C 24 04 9B 47 4E 75 C6 83 7C 24 0C 00 7E 0D DB 44 24 0C DC 7C 24 04 DD 5C 24 04 9B DD 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18987_0 {
	meta:
		name = "FindSeriesClassType"
		size = 81
		refs = "000e TeeSeriesTypes 0029 TTeeSeriesTypes.GetSeriesType"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B E8 C6 04 24 00 A1 ?? ?? ?? ?? 8B 00 8B 70 08 4E 85 F6 7C 2C 46 33 FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 89 03 8B 03 3B 68 04 75 0E 8B 03 83 78 08 00 75 06 C6 04 24 01 EB 04 47 4E 75 D7 8A 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18988_0 {
	meta:
		name = "TTeeGalleryPanel.Create"
		size = 148
		refs = "000a @ClassCreate 0017 TCustomPanel.Create 005a _Dn_TList 005f TObject.Create 0076 TTeeGalleryPanel.SetRowCols 0081 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 14 02 00 00 33 C0 89 86 18 02 00 00 33 C0 89 86 04 02 00 00 89 86 08 02 00 00 33 C0 89 86 0C 02 00 00 89 86 10 02 00 00 33 C0 89 86 28 02 00 00 33 C0 89 86 24 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 2C 02 00 00 B9 04 00 00 00 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18989_0 {
	meta:
		name = "TTeeGalleryPanel.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000e TTeeGalleryPanel.RemoveCharts 0019 TObject.Free 0025 TCustomControl.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 2C 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18990_0 {
	meta:
		name = "TTeeGalleryPanel.SetRowCols"
		size = 18
		refs = "000d TTeeGalleryPanel.CalcChartWidthHeight"
	strings:
		$1 = { 89 90 24 02 00 00 89 88 28 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18991_0 {
	meta:
		name = "TTeeGalleryPanel.GetChartXY"
		size = 51
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7E 0C 8B C7 8B 8B 28 02 00 00 99 F7 F9 8B 55 08 89 02 8B C7 99 F7 F9 8B 45 FC 89 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18992_0 {
	meta:
		name = "TTeeGalleryPanel.RemoveCharts"
		size = 59
		refs = "001b TTeeGalleryPanel.GetChart 0020 TObject.Free 0033 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 2C 02 00 00 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B 87 2C 02 00 00 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18993_0 {
	meta:
		name = "TTeeGalleryPanel.ChartOnDblClick"
		size = 35
	strings:
		$1 = { 53 89 90 14 02 00 00 66 83 B8 06 02 00 00 00 74 10 8B D8 8B D0 8B 83 08 02 00 00 FF 93 04 02 00 00 5B C3 }
	condition:
		$1
}

rule function_18994_0 {
	meta:
		name = "TTeeGalleryPanel.CalcChartWidthHeight"
		size = 70
	strings:
		$1 = { 53 56 8B C8 8B B1 24 02 00 00 85 F6 7E 35 83 B9 28 02 00 00 00 7E 2C 8B 99 F4 01 00 00 03 99 F8 01 00 00 8B 41 3C 2B C3 99 F7 FE 89 81 1C 02 00 00 8B 41 38 2B C3 99 F7 B9 28 02 00 00 89 81 20 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_18995_0 {
	meta:
		name = "GetDefaultGalleryFontSize"
		size = 93
		refs = "000f GetDefaultGalleryFontSize 001d TeeMsg_DefaultGalleryFontSize 0022 LoadResString 002a StrToInt 0035 CheckJapaneseFontSize 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_19496_0 {
	meta:
		name = "GetDefaultFontSize"
		size = 93
		refs = "000f GetDefaultFontSize 001d TeeMsg_DefaultFontSize 0022 LoadResString 002a StrToInt 0035 CheckJapaneseFontSize 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_18996_0 {
	meta:
		name = "CreateSeries"
		size = 122
		refs = "0015 MaxLong 0041 CreateNewSeries"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 50 38 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 56 BE 01 00 00 00 8B 45 08 8B 40 FC 8B 40 08 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F8 8B C6 48 74 05 48 74 13 EB 20 BA FF 00 00 00 8B C7 8B 08 FF 91 80 00 00 00 EB 0F BA 00 00 FF 00 8B C7 8B 08 FF 91 80 00 00 00 46 4B 75 AF 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_18997_0 {
	meta:
		name = "TTeeGalleryPanel.CreateChart"
		size = 971
		refs = "0020 TTeeGalleryPanel.CreateChart 003a _Dn_TLineSeries 0047 _Dn_TCustomChart 004c TCustomChart.Create 005e TList.Add 006b TeeMsg_GalleryChartName 0070 LoadResString 0081 IntToStr 008a @LStrCat 009e TTeeGalleryPanel.ResizeChart 00b7 TCustomChartLegend.SetVisible 00c6 TCustomChartAxis.SetLabels 00e3 @LStrFromString 00fb GetDefaultGalleryFontSize 010d TFont.SetSize 0122 TFont.SetColor 0132 TCustomTeePanel.SetView3D 013b TCustomChart.SetAnimatedZoom 014c TView3DOptions.SetOrthogonal 0158 TView3DOptions.SetZoom 0164 TView3DOptions.SetRotation 0170 TView3DOptions.SetElevation 017c TCustomAxisPanel.SetChart3DPercent 0185 TCustomAxisPanel.SetClipPoints 018c TCustomChart.GetFrame 0193 TChartPen.SetVisible 019d TTeeGalleryPanel.SetMargins 01a9 TCustomPanel.SetBevelWidth 01b2 TCustomPanel.SetBevelOuter 01c4 TChartWall.SetSize 01e8 TChartWall.SetColor 0200 CreateSeries 0222 TCustomAxisPanel.GetSeries 0255 TControl.SetCursor 02ae TPen.SetColor 02d8 TPen.SetWidth 0348 TTeeGalleryPanel.ChartOnClick 035d TTeeGalleryPanel.ChartOnDblClick 0379 TCustomAxisPanel.SeriesCount 03b8 @LStrArrayClr 03be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 8B D9 89 55 FC 89 45 F8 8D 7D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F0 83 7D F0 00 75 08 A1 ?? ?? ?? ?? 89 45 F0 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 8B 45 F8 8B 80 2C 02 00 00 8B 17 E8 ?? ?? ?? ?? 8B 07 89 58 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 E4 8B 07 8B 40 0C E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 8B 55 E8 8B 07 8B 08 FF 51 18 8B 17 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 07 8B 08 FF 51 64 8B 07 8B 80 28 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 07 8B 80 90 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 07 8B 80 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC 83 C2 0C E8 ?? ?? ?? ?? 8B 55 E8 8B 07 8B 80 80 03 00 00 8B 40 18 8B 08 FF 51 34 E8 ?? ?? ?? ?? 8B D0 8B 07 8B 80 80 03 00 00 8B 40 08 E8 ?? ?? ?? ?? 8B 07 8B 80 80 03 00 00 8B 40 08 BA 00 00 80 00 E8 ?? ?? ?? ?? 8B 45 F8 8A 90 00 02 00 00 8B 07 E8 ?? ?? ?? ?? B2 01 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 98 50 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 46 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 5E 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 54 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B 07 E8 ?? ?? ?? ?? 33 D2 8B 07 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 17 8B 45 F8 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 07 E8 ?? ?? ?? ?? 33 D2 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 24 03 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 18 03 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 24 03 00 00 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 07 8B 80 18 03 00 00 BA FF FF FF 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 F8 80 B8 30 02 00 00 00 74 2A 8B 45 F8 83 B8 18 02 00 00 00 74 1E 33 D2 8B 07 E8 ?? ?? ?? ?? 8B 55 F8 8B 92 18 02 00 00 8B 08 FF 91 A0 00 00 00 84 C0 74 04 33 C0 EB 02 B0 01 88 45 EF 80 7D EF 00 0F 84 CF 00 00 00 66 BA F3 FF 8B 07 E8 ?? ?? ?? ?? 8B 07 66 8B 40 6C 8B 17 66 89 82 3C 02 00 00 8B 07 33 D2 89 90 04 01 00 00 89 90 08 01 00 00 8B 07 33 D2 89 90 0C 01 00 00 89 90 10 01 00 00 8B 07 8B 80 80 03 00 00 8B 40 08 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 07 8B 80 24 03 00 00 8B 40 0C BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 07 8B 80 18 03 00 00 8B 40 0C BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 07 8B 80 90 02 00 00 8B 40 24 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 90 02 00 00 8B 40 24 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 07 8B 80 8C 02 00 00 8B 40 24 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 8C 02 00 00 8B 40 24 BA FF FF FF 00 E8 ?? ?? ?? ?? EB 59 66 BA E4 07 8B 07 E8 ?? ?? ?? ?? 8B 07 66 8B 40 6C 8B 17 66 89 82 3C 02 00 00 8B 07 8B 55 F8 89 90 08 01 00 00 C7 80 04 01 00 00 ?? ?? ?? ?? 8B 07 8B 55 F8 89 90 10 01 00 00 C7 80 0C 01 00 00 ?? ?? ?? ?? 8B 07 8B 55 F8 89 90 9C 01 00 00 C7 80 98 01 00 00 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 F6 8B D6 8B 07 E8 ?? ?? ?? ?? 8A 55 EF 80 F2 01 8B 08 FF 91 C8 00 00 00 46 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18998_0 {
	meta:
		name = "TTeeGalleryPanel.GetChart"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18999_0 {
	meta:
		name = "FindChartXY"
		size = 104
		refs = "002f TTeeGalleryPanel.GetChart 0045 TTeeGalleryPanel.GetChartXY"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 40 FC 8B 80 2C 02 00 00 8B 58 08 4B 85 DB 7C 3A 43 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 8D 4D F4 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F4 75 08 8B 45 F8 3B 45 F0 74 06 47 4B 75 C9 33 F6 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19000_0 {
	meta:
		name = "TTeeGalleryPanel.ProcessKeyDown"
		size = 187
		refs = "0020 TTeeGalleryPanel.GetChartXY 008d TTeeGalleryPanel.ChartOnDblClick 0099 FindChartXY 00b0 TTeeGalleryPanel.ChartOnClick"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8D 45 F4 50 8D 4D F8 8B 45 FC 8B 90 14 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B7 03 83 F8 26 7F 0E 74 34 83 E8 0D 74 4D 83 E8 18 74 0C EB 57 83 E8 27 74 10 48 74 2B EB 4D 83 7D F8 00 7E 47 FF 4D F8 EB 42 8B 45 FC 8B 80 28 02 00 00 3B 45 F8 7E 34 FF 45 F8 EB 2F 83 7D F4 00 7E 29 FF 4D F4 EB 24 8B 45 FC 8B 80 24 02 00 00 3B 45 F4 7E 16 FF 45 F4 EB 11 8B 45 FC 8B 90 14 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 55 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 85 C0 74 12 66 81 78 6C E4 07 75 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19001_0 {
	meta:
		name = "TTeeGalleryPanel.ResizeChart"
		size = 190
		refs = "0036 TTeeGalleryPanel.GetChartXY"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 14 24 8B D8 83 BB 28 02 00 00 00 0F 8E 9D 00 00 00 83 BB 24 02 00 00 00 0F 8E 90 00 00 00 8D 44 24 08 50 8D 4C 24 08 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 01 00 00 03 83 F8 01 00 00 8B 74 24 04 8B 8B 20 02 00 00 0F AF F1 03 F0 8B 7C 24 08 8B 93 1C 02 00 00 0F AF FA 03 F8 89 4C 24 0C 89 54 24 10 8B 4B 38 2B C8 8B 6C 24 0C 03 EE 3B CD 7D 0B 8B 4B 38 2B C8 2B CE 89 4C 24 0C 8B 4B 3C 2B C8 03 D7 3B CA 7D 0B 8B 53 3C 2B D0 2B D7 89 54 24 10 8B 44 24 0C 50 8B 44 24 14 50 8B CF 8B D6 8B 44 24 08 8B 18 FF 93 80 00 00 00 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19002_0 {
	meta:
		name = "TTeeGalleryPanel.ShowSelectedChart"
		size = 160
		refs = "001f TTeeGalleryPanel.GetChart 003d TControl.SetColor 004c TTeeGalleryPanel.ShowSelectedChart 0053 TFont.SetStyle 005c TFont.SetColor 0068 TFont.SetSize 0071 TCustomPanel.SetBevelOuter"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 14 02 00 00 00 75 1B 8B 83 2C 02 00 00 83 78 08 00 7E 0F 33 D2 8B C3 E8 ?? ?? ?? ?? 89 83 14 02 00 00 8B 83 14 02 00 00 85 C0 74 64 8B F0 BA FF FF 80 00 8B C6 E8 ?? ?? ?? ?? 8B 86 80 03 00 00 8B 78 08 8A 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C7 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 00 00 00 66 83 BB 0E 02 00 00 00 74 0E 8B D3 8B 83 10 02 00 00 FF 93 0C 02 00 00 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_19003_0 {
	meta:
		name = "TTeeGalleryPanel.FindSelectedChart"
		size = 124
		refs = "002d TTeeGalleryPanel.GetChart 0034 TCustomAxisPanel.GetSeries 003d TObject.ClassType 0073 TTeeGalleryPanel.ShowSelectedChart"
	strings:
		$1 = { 53 56 57 55 8B D8 33 C0 89 83 14 02 00 00 83 BB 18 02 00 00 00 74 59 8B 83 2C 02 00 00 8B 68 08 4D 85 ED 7C 4B 45 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B 83 18 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 75 1A 83 BE 80 00 00 00 00 75 11 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 14 02 00 00 EB 04 47 4D 75 B8 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19004_0 {
	meta:
		name = "TTeeGalleryPanel.ChartOnClick"
		size = 164
		refs = "0016 TTeeGalleryPanel.ShowSelectedChart 0034 TList.Get 0042 TTeeGalleryPanel.GetChart 0059 TControl.SetColor 0062 TCustomPanel.SetBevelOuter 0071 TTeeGalleryPanel.ChartOnClick 0078 TFont.SetStyle 0084 TFont.SetColor 0089 GetDefaultGalleryFontSize 0092 TFont.SetSize"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8B 04 24 89 83 14 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8B 78 08 4F 85 FF 7C 72 47 33 F6 8B D6 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 3B 04 24 74 59 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 81 7D 64 FF FF 80 00 75 45 BA 0F 00 00 80 8B C5 E8 ?? ?? ?? ?? 33 D2 8B C5 E8 ?? ?? ?? ?? 8B 85 80 03 00 00 8B 68 08 8A 15 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? BA 00 00 80 00 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4F 75 91 5A 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_19005_0 {
	meta:
		name = "TTeeGalleryPanel.SetView3D"
		size = 105
		refs = "0029 TTeeGalleryPanel.GetChart 0034 TCustomTeePanel.SetView3D 004b TCustomAxisPanel.SetClipPoints 005d TTeeGalleryPanel.SetMargins"
	strings:
		$1 = { 53 56 57 8B D8 3A 93 00 02 00 00 74 58 88 93 00 02 00 00 8B 83 2C 02 00 00 8B 78 08 4F 85 FF 7C 44 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 93 00 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8A 93 00 02 00 00 80 F2 01 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 BF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19006_0 {
	meta:
		name = "InternalSetMargins"
		size = 78
		refs = "0014 TCustomTeePanel.SetMargin"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B CB BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B CB BA 02 00 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_19007_0 {
	meta:
		name = "TTeeGalleryPanel.SetMargins"
		size = 46
		refs = "0017 InternalSetMargins"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 45 FC 80 B8 4C 02 00 00 00 74 0C 55 33 C0 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 05 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_19008_0 {
	meta:
		name = "TTeeGalleryPanel.CreateChartList"
		size = 63
		refs = "000e TTeeGalleryPanel.RemoveCharts 001e FindSeriesClassType 002e TTeeGalleryPanel.CreateChart"
	strings:
		$1 = { 53 56 57 55 51 8B F1 8B DA 8B E8 8B C5 E8 ?? ?? ?? ?? 85 F6 7C 23 46 33 FF 8B D4 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CF 8B 14 24 8B C5 E8 ?? ?? ?? ?? 47 83 C3 04 4E 75 E0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19009_0 {
	meta:
		name = "TTeeGalleryPanel.ResizeCharts"
		size = 55
		refs = "0008 TTeeGalleryPanel.CalcChartWidthHeight 0022 TTeeGalleryPanel.GetChart 002b TTeeGalleryPanel.ResizeChart"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19011_0 {
	meta:
		name = "TTeeTabControl.AlignTab"
		size = 8
		refs = "0003 TControl.SetAlign"
	strings:
		$1 = { B2 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19012_0 {
	meta:
		name = "TTeeTabControl.SetTabEvent"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 18 02 00 00 8B 55 0C 89 90 1C 02 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_19013_0 {
	meta:
		name = "TTeeGallery.HideFunctions"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 D4 02 00 00 8B 80 0C 02 00 00 BA 01 00 00 00 8B 08 FF 51 44 C6 83 DD 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_19014_0 {
	meta:
		name = "TTeeGallery.HideButtons"
		size = 14
		refs = "0009 TControl.SetVisible"
	strings:
		$1 = { 33 D2 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19015_0 {
	meta:
		name = "TTeeGallery.ValidSeries"
		size = 111
		refs = "0012 TTeeGallery.ValidSeries 0023 @LStrFromString 002d @LStrCmp 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 56 21 E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 75 0F 80 BB DD 02 00 00 00 75 0A 83 7E 08 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19016_0 {
	meta:
		name = "TTeeGallery.CalcNumSeriesPage"
		size = 77
		refs = "000f TeeSeriesTypes 002a TTeeSeriesTypes.GetSeriesType 0035 TTeeGallery.ValidSeries"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 A1 ?? ?? ?? ?? 8B 00 8B 58 08 4B 85 DB 7C 27 43 33 F6 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B CD 8B C7 E8 ?? ?? ?? ?? 84 C0 74 03 FF 04 24 46 4B 75 DC 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19017_0 {
	meta:
		name = "TTeeGallery.CreateGallery"
		size = 321
		refs = "0017 TTeeGallery.CreateGallery 002d TTeeGalleryPanel.RemoveCharts 0057 TTeeGalleryPanel.SetRowCols 0062 TTeeGallery.CalcNumSeriesPage 00b7 TTeeGalleryPanel.SetView3D 00cd TeeSeriesTypes 00ee TTeeSeriesTypes.GetSeriesType 00fd TTeeGallery.ValidSeries 0113 TTeeGalleryPanel.CreateChart 012e @LStrClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 FC 8B 80 D4 02 00 00 8B 80 0C 02 00 00 8B D6 8B 30 FF 56 0C B9 04 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 37 8B 93 24 02 00 00 0F AF 93 28 02 00 00 3B C2 7E 26 8B D0 85 D2 79 03 83 C2 03 C1 FA 02 85 D2 7E 16 8B CA C1 E1 02 3B C1 74 01 42 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8A 80 DD 02 00 00 34 01 88 83 30 02 00 00 A1 ?? ?? ?? ?? 8B 00 8B 78 08 4F 85 FF 7C 42 47 C7 45 F4 00 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8B 83 2C 02 00 00 8B 48 08 8B D6 8B C3 E8 ?? ?? ?? ?? FF 45 F4 4F 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19018_0 {
	meta:
		name = "TTeeGallery.GalleryPanelOnSelected"
		size = 11
	strings:
		$1 = { C7 80 2C 02 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_19019_0 {
	meta:
		name = "TTeeGallery.CB3DClick"
		size = 32
		refs = "001a TTeeGalleryPanel.SetView3D"
	strings:
		$1 = { 53 8B D8 8B 83 D0 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19020_0 {
	meta:
		name = "TTeeGallery.FormShow"
		size = 243
		refs = "0014 TTeeGallery.FormShow 003e TeeSeriesTypes 005f TTeeSeriesTypes.GetSeriesType 0072 @LStrFromString 00c0 TTeeGallery.CreateGallery 00cb TTeeGalleryPanel.FindSelectedChart 00e0 @LStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 D8 02 00 00 8B 80 2C 02 00 00 83 78 08 00 0F 85 90 00 00 00 8B 87 D4 02 00 00 89 45 F8 A1 ?? ?? ?? ?? 8B 00 8B 70 08 4E 85 F6 7C 6F 46 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B D8 83 7B 38 00 7E 4A 8D 45 F4 8D 53 21 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 80 0C 02 00 00 8B 08 FF 51 50 40 75 2B 80 BF DD 02 00 00 00 75 06 83 7B 08 00 75 1C 8D 45 F4 8D 53 21 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 80 0C 02 00 00 8B 08 FF 51 34 FF 45 FC 4E 75 99 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 87 D8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19021_0 {
	meta:
		name = "TTeeGallery.FormResize"
		size = 18
		refs = "000d TTeeGalleryPanel.ResizeCharts"
	strings:
		$1 = { 8B 90 D8 02 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19022_0 {
	meta:
		name = "TTeeGallery.FormCreate"
		size = 293
		refs = "000d TTeeGallery.FormCreate 001f TeeEraseBack 0035 TControl.SetWidth 0041 TControl.SetHeight 004a _DV_TTeeTabControl 004f TCustomTabControl.Create 0067 TTeeTabControl.AlignTab 006f TeeMsg_GalleryStandard 0074 LoadResString 008a TeeMsg_GalleryFunctions 00a3 TTeeGallery.TabControl1Change 00aa TTeeTabControl.SetTabEvent 00b3 TCustomTabControl.SetTabIndex 00bc _DV_TTeeGalleryPanel 00c1 TTeeGalleryPanel.Create 00df TControl.SetAlign 00e8 TCustomPanel.SetBevelOuter 00f8 TTeeGallery.GalleryPanelOnSelected 0114 @LStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 DC 02 00 00 01 A1 ?? ?? ?? ?? C6 00 00 C6 83 DD 02 00 00 01 BA B0 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 02 00 00 8B D3 8B C6 8B 08 FF 51 64 8B C6 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 0C 02 00 00 8B 08 FF 51 34 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 0C 02 00 00 8B 08 FF 51 34 53 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D8 02 00 00 8B 93 D4 02 00 00 8B C6 8B 08 FF 51 64 B2 05 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 89 9E 08 02 00 00 C7 86 04 02 00 00 ?? ?? ?? ?? C6 83 DC 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19023_0 {
	meta:
		name = "TTeeGallery.TabControl1Change"
		size = 45
		refs = "0013 TCustomTabControl.GetTabIndex 001c TTeeGallery.CreateGallery 0027 TTeeGalleryPanel.FindSelectedChart"
	strings:
		$1 = { 53 8B D8 80 BB DC 02 00 00 00 75 1F 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19024_0 {
	meta:
		name = "TTeeGallery.FormKeyDown"
		size = 24
		refs = "000f TTeeGalleryPanel.ProcessKeyDown"
	strings:
		$1 = { 55 8B EC 53 8A 5D 08 53 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19025_0 {
	meta:
		name = "TTeeGallery.CreateGalleryList"
		size = 76
		refs = "0013 TTeeGalleryPanel.RemoveCharts 002a TTeeGalleryPanel.SetView3D 0043 TTeeGalleryPanel.CreateChartList"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 9E D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 86 D0 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 86 DD 02 00 00 34 01 88 83 30 02 00 00 8B D7 8B CD 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19026_0 {
	meta:
		name = "GetGallerySeriesName"
		size = 76
		refs = "000f TObject.ClassType 0016 FindSeriesClassType 0027 @LStrFromString 0034 TObject.ClassName"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 8B 14 24 83 C2 0C E8 ?? ?? ?? ?? EB 16 8D 54 24 04 8B 03 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_19027_0 {
	meta:
		name = "GetChartGalleryClass"
		size = 253
		refs = "001a _DV_TTeeGallery 001f TCustomForm.Create 002a GetChartGalleryClass 0060 TTeeGallery.HideFunctions 0088 TCustomAxisPanel.GetSeries 0091 TObject.ClassType 00e5 TObject.Free 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B F2 8B 5D 0C C6 45 FE 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8A 13 8B 45 F8 8B 80 D0 02 00 00 8B 08 FF 91 BC 00 00 00 8B 45 F8 8B 80 D8 02 00 00 89 B0 18 02 00 00 80 7D FF 00 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 CC 00 00 00 48 75 62 8B 45 F8 8B 80 D8 02 00 00 8B 80 14 02 00 00 85 C0 74 4F 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 55 10 89 02 8B BE 80 00 00 00 85 FF 74 0E 8B C7 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 07 8B 45 08 33 D2 89 10 8B 45 F8 8B 80 D8 02 00 00 8B 80 14 02 00 00 8A 80 4C 02 00 00 88 03 C6 45 FE 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FE 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_19028_0 {
	meta:
		name = "CreateNewSeriesGallery"
		size = 123
		refs = "0035 GetChartGalleryClass 0043 TCustomTeePanel.SetView3D 0052 TObject.ClassType 0068 CreateNewSeries"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 0C 33 C0 89 45 F8 8A 86 4C 02 00 00 88 45 F7 8D 45 F0 50 8D 45 F7 50 8D 45 EC 50 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 32 8A 55 F7 8B C6 E8 ?? ?? ?? ?? 85 FF 74 10 84 DB 75 0C 8B C7 E8 ?? ?? ?? ?? 3B 45 F0 74 14 8B 45 EC 50 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_19029_0 {
	meta:
		name = "ChangeSeriesTypeGallery"
		size = 52
		refs = "0015 CreateNewSeriesGallery 0027 AssignSeries"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 6A 00 6A 00 8B 03 8B 48 54 8B 13 8B C6 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 0E 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 03 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19030_0 {
	meta:
		name = "ChangeAllSeriesGallery"
		size = 92
		refs = "000c TCustomAxisPanel.SeriesCount 0019 TCustomAxisPanel.GetSeries 002e CreateNewSeriesGallery 0042 AssignSeries 004a TObject.ClassType 0053 ChangeAllSeriesType"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 43 33 D2 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 6A 00 6A 00 8B CB 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 1C 8B D4 8D 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19033_0 {
	meta:
		name = "MoveList"
		size = 208
		refs = "0017 MoveList 003c TCustomListBox.GetSelected 00bd @LStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 EC 01 00 00 8B 10 FF 52 14 48 85 C0 7C 4B 40 89 45 F8 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 32 8D 4D F4 8B D3 8B 86 EC 01 00 00 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 86 EC 01 00 00 8B 08 FF 51 18 8B C8 8B 45 FC 8B 80 EC 01 00 00 5A 8B 38 FF 57 38 43 FF 4D F8 75 BB 33 DB EB 1D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 86 EC 01 00 00 8B 08 FF 51 44 EB 01 43 8B 86 EC 01 00 00 8B 10 FF 52 14 3B D8 7C D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19034_0 {
	meta:
		name = "MoveListAll"
		size = 154
		refs = "0017 MoveListAll 0072 TCustomListBox.Clear 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 EC 01 00 00 8B 10 FF 52 14 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B 86 EC 01 00 00 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 86 EC 01 00 00 8B 08 FF 51 18 8B C8 8B 45 FC 8B 80 EC 01 00 00 5A 8B 38 FF 57 38 43 FF 4D F8 75 C8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19044_0 {
	meta:
		name = "TChartValueList.Create"
		size = 123
		refs = "000e @ClassCreate 001d TObject.Create 0038 TList.Add 0043 @LStrAsg 004a _Dn_TList 0059 TChartValueList.ClearList 0064 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 1C C7 47 20 00 00 F0 3F 8B C6 89 47 2C 8B 40 6C 8B D7 E8 ?? ?? ?? ?? 8D 47 24 8B 55 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19046_0 {
	meta:
		name = "TChartValueList.First"
		size = 20
		refs = "0006 TChartValueList.GetValue"
	strings:
		$1 = { 83 C4 F8 33 D2 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19048_0 {
	meta:
		name = "TChartValueList.Last"
		size = 25
		refs = "000b TChartValueList.GetValue"
	strings:
		$1 = { 83 C4 F8 8B 50 08 8B 52 08 4A E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19049_0 {
	meta:
		name = "TChartValueList.Delete"
		size = 71
		refs = "000f TList.Get 0025 @FreeMem 002f TList.Delete 003e TChartValueList.RemovedValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 10 89 14 24 8B 50 04 89 54 24 04 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19050_0 {
	meta:
		name = "TChartValueList.GetChartValue"
		size = 39
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 10 89 14 24 8B 50 04 89 54 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19051_0 {
	meta:
		name = "TChartValueList.InsertChartValue"
		size = 61
		refs = "000f @GetMem 0026 TList.Insert 0033 TChartValueList.AddedValue"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 10 8B 55 0C 89 50 04 8B C8 8B D6 8B 43 08 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19052_0 {
	meta:
		name = "TChartValueList.AddChartValue"
		size = 215
		refs = "000e @GetMem 002b TList.Add 004d TChartValueList.GetChartValue 00bd TList.Insert 00ca TChartValueList.AddedValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 08 89 07 8B 45 0C 89 47 04 80 7B 28 00 75 11 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B F0 E9 8B 00 00 00 8B 43 08 8B 70 08 4E 83 FE FF 74 2E 80 7B 28 01 75 11 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 76 17 80 7B 28 02 75 1F 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 72 0E 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B F0 EB 43 80 7B 28 01 75 1B EB 01 4E 85 F6 7C 29 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 77 EA EB 16 4E 85 F6 7C 11 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 72 EA 46 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19053_0 {
	meta:
		name = "TChartValueList.SetMultiplier"
		size = 61
		refs = "0020 TChartValueList.RecalcMinMax 002c TChartSeries.NotifyValue 0034 TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 DC 5B 1C DF E0 9E 74 27 8B 45 08 89 43 1C 8B 45 0C 89 43 20 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 03 8B 43 2C E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19054_0 {
	meta:
		name = "TChartValueList.GetValue"
		size = 36
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? DD 00 DC 4B 1C DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19055_0 {
	meta:
		name = "TChartValueList.Locate"
		size = 59
		refs = "001d TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 47 08 8B 40 08 48 8B F0 85 F6 7C 1C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 75 04 8B C3 EB 07 43 4E 75 E7 83 C8 FF 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19056_0 {
	meta:
		name = "TChartValueList.ModifyValue"
		size = 36
		refs = "000f TList.Get"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 55 08 89 10 8B 55 0C 89 50 04 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19057_0 {
	meta:
		name = "TChartValueList.SetValue"
		size = 77
		refs = "0010 TList.Get 001e TChartValueList.RemovedValue 0036 TChartValueList.AddedValue 0042 TChartSeries.NotifyValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B F0 FF 76 04 FF 36 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 06 8B 45 0C 89 46 04 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B CF B2 04 8B 43 2C E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19058_0 {
	meta:
		name = "TChartValueList.AddedValue"
		size = 129
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 DD 45 08 DC 4B 1C DD 5D F8 9B DD 43 38 DC 45 F8 DD 5B 38 9B DD 45 F8 D9 E1 DC 43 40 DD 5B 40 9B 8B 43 08 83 78 08 01 75 1A 8B 45 F8 89 43 14 8B 45 FC 89 43 18 8B 45 F8 89 43 0C 8B 45 FC 89 43 10 EB 2E DD 45 F8 DC 5B 14 DF E0 9E 73 0C 8B 45 F8 89 43 14 8B 45 FC 89 43 18 DD 45 F8 DC 5B 0C DF E0 9E 76 0C 8B 45 F8 89 43 0C 8B 45 FC 89 43 10 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19059_0 {
	meta:
		name = "TChartValueList.RemovedValue"
		size = 55
		refs = "002c TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 DD 45 08 DC 4B 1C DD 5D F8 9B DD 43 38 DC 65 F8 DD 5B 38 9B DD 45 F8 D9 E1 DC 6B 40 DD 5B 40 9B 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19060_0 {
	meta:
		name = "TChartValueList.RecalcMinMax"
		size = 145
		refs = "002d TChartValueList.GetValue"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 33 C0 89 43 14 89 43 18 33 C0 89 43 0C 89 43 10 8B 43 08 8B 40 08 48 8B F8 85 FF 7C 66 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 85 F6 75 1C 8B 04 24 89 43 14 8B 44 24 04 89 43 18 8B 04 24 89 43 0C 8B 44 24 04 89 43 10 EB 32 DD 04 24 DC 5B 14 DF E0 9E 73 0F 8B 04 24 89 43 14 8B 44 24 04 89 43 18 EB 18 DD 04 24 DC 5B 0C DF E0 9E 76 0D 8B 04 24 89 43 0C 8B 44 24 04 89 43 10 46 4F 75 9D 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19061_0 {
	meta:
		name = "TChartValueList.SetDateTime"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 04 8B 40 2C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19062_0 {
	meta:
		name = "TChartValueList.ClearList"
		size = 65
		refs = "000c @CallDynaInst 0012 TeeDefaultCapacity 001a TList.SetCapacity"
	strings:
		$1 = { 53 56 8B F0 8B 46 08 66 BB FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 33 C0 89 46 14 89 46 18 33 C0 89 46 0C 89 46 10 33 C0 89 46 40 89 46 44 33 C0 89 46 38 89 46 3C 5E 5B C3 }
	condition:
		$1
}

rule function_19063_0 {
	meta:
		name = "TChartValueList.ClearValues"
		size = 54
		refs = "0019 TList.Get 0023 @FreeMem 002e TChartValueList.ClearList"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B 47 08 8B D6 E8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E8 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19064_0 {
	meta:
		name = "TChartValueList.Scroll"
		size = 78
		refs = "0010 TList.First 0028 TList.Get 0034 TList.Put"
	strings:
		$1 = { 53 56 57 55 8B 58 08 83 7B 08 00 7E 3C 8B C3 E8 ?? ?? ?? ?? 8B E8 8B 7B 08 4F 85 FF 7E 1E BE 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E7 8B 53 08 4A 8B CD 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19065_0 {
	meta:
		name = "TChartValueList.SetValueSource"
		size = 39
		refs = "000c @LStrCmp 0018 @LStrAsg 0020 TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 48 8B D6 E8 ?? ?? ?? ?? 74 12 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19066_0 {
	meta:
		name = "TChartValueList.FillSequence"
		size = 61
		refs = "0009 TChartValueList.Count 0029 TChartValueList.ModifyValue 0034 TChartValueList.RecalcMinMax"
	strings:
		$1 = { 53 56 57 51 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 DB 89 1C 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E6 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19067_0 {
	meta:
		name = "CompareValueIndex"
		size = 97
		refs = "0011 TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? DD 5D F8 9B 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F8 DC 5D F0 DF E0 9E 73 05 83 C8 FF EB 14 DD 45 F8 DC 5D F0 DF E0 9E 76 07 B8 01 00 00 00 EB 02 33 C0 8B 55 08 8B 52 FC 80 7A 28 02 75 02 F7 D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19068_0 {
	meta:
		name = "PrivateSort"
		size = 190
		refs = "003b CompareValueIndex 006c TChartSeries.SwapValueIndex 009e PrivateSort"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 75 08 83 C6 F8 8B 7D 08 83 C7 F4 8B 5D FC 8B 45 F8 89 06 8B 06 03 C3 D1 E8 89 07 3B 1E 7D 5E EB 01 43 8B 45 08 50 8B 17 8B C3 E8 ?? ?? ?? ?? 59 85 C0 7C ED EB 02 FF 0E 8B 45 08 50 8B 16 8B 07 E8 ?? ?? ?? ?? 59 85 C0 7C EC 3B 1E 7D 24 8B 0E 8B 45 08 8B 40 FC 8B 40 2C 8B D3 E8 ?? ?? ?? ?? 3B 1F 75 06 8B 06 89 07 EB 08 8B 06 3B 07 75 02 89 1F 3B 1E 7F 03 43 FF 0E 3B 1E 7C A5 8B 06 3B 45 FC 7E 0F 8B 45 08 50 8B 16 8B 45 FC E8 ?? ?? ?? ?? 59 3B 5D F8 7D 0F 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19069_0 {
	meta:
		name = "TChartValueList.Sort"
		size = 42
		refs = "0017 TChartValueList.Count 0021 PrivateSort"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 80 78 28 00 74 14 55 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 33 C0 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_19070_0 {
	meta:
		name = "TChartValueList.Assign"
		size = 65
		refs = "000b _DV_TChartValueList 0010 @IsClass 0039 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B FE 8A 47 28 88 43 28 8A 47 04 88 43 04 8B 47 1C 89 43 1C 8B 47 20 89 43 20 8D 43 48 8B 57 48 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19071_0 {
	meta:
		name = "TSeriesMarkPosition.Assign"
		size = 49
	strings:
		$1 = { 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 4A 0C 89 48 0C 8B 4A 10 89 48 10 8B 4A 1C 89 48 1C 8B 4A 20 89 48 20 8B 4A 18 89 48 18 8B 52 24 89 50 24 C3 }
	condition:
		$1
}

rule function_19072_0 {
	meta:
		name = "TSeriesMarkPosition.Bounds"
		size = 28
		refs = "0015 Bounds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 18 50 56 8B 4B 24 8B 53 20 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19073_0 {
	meta:
		name = "TSeriesMarksPositions.SetPosition"
		size = 85
		refs = "0010 TList.Add 001e TList.Get 0029 _DV_TSeriesMarkPosition 002e TObject.Create 0039 TList.Put 0042 TSeriesMarksPositions.GetPosition 004d TSeriesMarkPosition.Assign"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 73 08 7D F2 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? C6 40 14 01 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19075_0 {
	meta:
		name = "TSeriesMarksPositions.Automatic"
		size = 40
		refs = "0010 TList.Get 001d TSeriesMarksPositions.GetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? C6 40 14 00 5E 5B C3 }
	condition:
		$1
}

rule function_19076_0 {
	meta:
		name = "TSeriesMarks.Create"
		size = 165
		refs = "000b @ClassCreate 001a TObject.Create 0029 TChartSeries.CreateChartPen 003a _DV_TChartArrowPen 003f TChartArrowPen.Create 0061 CreateDefaultFont 007e _DV_TSeriesMarksPositions 0091 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 C6 47 1C 02 8B 47 20 E8 ?? ?? ?? ?? 89 47 14 C7 47 0C FF FF 80 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 8B 47 20 89 46 08 8B 00 8B 80 2C 01 00 00 89 46 04 C7 47 08 08 00 00 00 E8 ?? ?? ?? ?? 8B F0 89 77 18 8B 47 20 89 46 08 8B 00 8B 80 2C 01 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19077_0 {
	meta:
		name = "TSeriesMarks.Assign"
		size = 110
		refs = "000b _DV_TSeriesMarks 0010 @IsClass 0066 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 8B FE 8A 47 28 88 43 28 8B 57 18 8B 43 18 8B 08 FF 51 08 8A 47 1C 88 43 1C 8B 57 14 8B 43 14 8B 08 FF 51 08 8B 57 04 8B 43 04 8B 08 FF 51 08 8A 47 11 88 43 11 8B 47 0C 89 43 0C 8A 47 10 88 43 10 8B 47 08 89 43 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19078_0 {
	meta:
		name = "TSeriesMarks.IsFontStored"
		size = 15
		refs = "0007 IsDefaultFont"
	strings:
		$1 = { 53 8B D8 8B 43 18 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_19079_0 {
	meta:
		name = "TSeriesMarks.SetVisible"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 28 8B 40 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19081_0 {
	meta:
		name = "TSeriesMarks.SetArrow"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_19082_0 {
	meta:
		name = "TSeriesMarks.SetArrowLength"
		size = 14
		refs = "0009 TChartSeries.SetIntegerProperty"
	strings:
		$1 = { 8D 48 08 8B 40 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19083_0 {
	meta:
		name = "TSeriesMarks.SetBackColor"
		size = 14
		refs = "0009 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 48 0C 8B 40 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19084_0 {
	meta:
		name = "TSeriesMarks.SetBackTransparent"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 10 8B 40 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19085_0 {
	meta:
		name = "TSeriesMarks.Clicked"
		size = 107
		refs = "002c Point 003d TSeriesMarksPositions.GetPosition 0046 TSeriesMarkPosition.Bounds 0050 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 89 4C 24 04 8B EA 89 04 24 8B 04 24 8B 78 24 8B 77 08 4E 85 F6 7C 42 46 33 DB 8D 4C 24 08 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? FF 74 24 0C FF 74 24 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 54 24 18 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 04 8B C3 EB 07 43 4E 75 C1 83 C8 FF 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19086_0 {
	meta:
		name = "TSeriesMarks.UsePosition"
		size = 102
		refs = "0011 TList.Add 001f TList.Get 002a _DV_TSeriesMarkPosition 002f TObject.Create 003e TList.Put 0047 TSeriesMarksPositions.GetPosition 0055 TSeriesMarkPosition.Assign"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B 58 24 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 73 08 7D F2 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 14 00 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 14 00 74 0A 8B 17 92 E8 ?? ?? ?? ?? EB 07 8B 17 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19087_0 {
	meta:
		name = "TSeriesMarks.ClearPositions"
		size = 50
		refs = "0016 TSeriesMarksPositions.GetPosition 001b TObject.Free 002a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B 78 24 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 66 BB FF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19088_0 {
	meta:
		name = "TSeriesMarks.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 000f TObject.Free 0026 TSeriesMarks.ClearPositions 003a TPersistent.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19090_0 {
	meta:
		name = "TSeriesMarks.SetStyle"
		size = 17
		refs = "000c TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 1C 74 0B 88 50 1C 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19091_0 {
	meta:
		name = "TSeriesMarks.SetClip"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 11 8B 40 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19092_0 {
	meta:
		name = "DrawLine"
		size = 104
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 8B 40 08 8B 40 FC 8B 40 20 8B 40 54 8B 98 5C 02 00 00 8B C3 8B 10 FF 92 9C 00 00 00 84 C0 74 26 8B 45 08 8B 40 08 8B 40 FC 8B 40 2C 50 56 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B C3 8B 18 FF 93 14 01 00 00 EB 14 56 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B C3 8B 18 FF 53 5C 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19093_0 {
	meta:
		name = "DrawMarkText"
		size = 257
		refs = "0014 DrawMarkText 0028 @LStrLAsg 0069 TTeeCanvas.FontHeight 0074 TeeLineSeparator 007b @LStrFromChar 0086 @LStrPos 00a1 @LStrCopy 00a9 DrawLine 00ef @LStrArrayClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C0 89 45 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 08 8B 52 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 1C 8B 55 08 8B 52 08 8B 52 24 D1 FA 79 03 83 D2 00 03 C2 89 45 FC 8B 45 08 8B 40 08 8B 40 20 89 45 F8 8B 45 08 8B 40 FC 8B 40 20 8B 40 54 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? 8A 12 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 35 55 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 59 8D 45 F4 50 8D 53 01 B9 FF 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 01 75 F8 85 DB 75 A6 83 7D F4 00 74 0A 55 8B 45 F4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19094_0 {
	meta:
		name = "TSeriesMarks.Draw"
		size = 563
		refs = "0016 TSeriesMarks.UsePosition 0052 TBrush.SetStyle 005a TPen.GetColor 0083 ArrowColors 008b TPen.SetColor 0145 Point 017b TBrush.SetColor 0188 BrushStyles 019d TTeeCanvas.AssignVisiblePen 01bc TSeriesMarkPosition.Bounds 01fa TPen.GetWidth 021c DrawMarkText"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F8 89 45 FC 8D 4D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 70 20 8B 46 54 8B 98 5C 02 00 00 8A 80 4C 02 00 00 88 45 EB 8B 45 FC 8B 40 04 80 78 18 00 0F 84 A4 00 00 00 8B D0 8B 43 0C 8B 08 FF 51 08 B2 01 8B 43 10 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 3B 45 F8 74 10 8B 43 0C E8 ?? ?? ?? ?? 8B 56 54 3B 42 64 75 1C 8B 46 54 83 78 64 00 0F 94 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 80 7D EB 00 74 2D 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 10 50 8B 45 FC 8B 40 2C 50 8B 45 08 8B 48 08 8B 45 08 8B 50 04 8B C3 8B 30 FF 96 E4 00 00 00 EB 24 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 10 50 8B 45 08 8B 48 08 8B 45 08 8B 50 04 8B C3 8B 30 FF 96 84 00 00 00 80 7D EB 00 74 6C 8B C3 8B 10 FF 92 9C 00 00 00 84 C0 75 5E 8B 45 08 8B 70 0C 8B 45 08 2B 70 1C 8B 45 08 8B 40 10 8B 55 08 2B 42 20 89 45 EC 8B 45 FC 8B 40 2C 50 8D 45 F0 50 8B 45 08 8B 48 10 8B 45 08 8B 50 0C 8B C3 8B 38 FF 97 A4 00 00 00 8D 4D E0 8B 55 F4 2B 55 EC 8B 45 F0 2B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 55 E0 89 50 1C 8B 55 E4 89 50 20 8B 45 FC 8B 40 14 80 78 18 00 75 0D 8B 45 FC 80 78 10 00 0F 85 93 00 00 00 8B 45 FC 8B 50 0C 8B 43 10 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 10 8A 90 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 14 8B C3 E8 ?? ?? ?? ?? 80 7D EB 00 74 2F 8B C3 8B 10 FF 92 9C 00 00 00 84 C0 74 21 8D 55 D0 8B 45 08 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 48 2C 41 8B C3 8B 30 FF 96 04 01 00 00 EB 15 8D 55 D0 8B 45 08 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 8B 08 FF 51 70 8B 45 FC 8B 70 14 80 7E 18 00 74 0D 8B C6 E8 ?? ?? ?? ?? 8B 55 08 01 42 20 B2 01 8B 43 10 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C3 8B 08 FF 51 28 55 E8 ?? ?? ?? ?? 59 33 D2 8B C3 8B 08 FF 51 28 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_19096_0 {
	meta:
		name = "TTeeFunction.EndUpdate"
		size = 16
		refs = "000b TTeeFunction.ReCalculate"
	strings:
		$1 = { 80 78 2C 00 74 09 C6 40 2C 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19097_0 {
	meta:
		name = "TTeeFunction.ReCalculate"
		size = 21
		refs = "0010 TChartSeries.CheckDataSource"
	strings:
		$1 = { 80 78 2C 00 75 0E 8B 50 28 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19098_0 {
	meta:
		name = "TTeeFunction.Calculate"
		size = 23
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 89 45 FC DD 45 F8 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19099_0 {
	meta:
		name = "AddFunctionXY"
		size = 65
		refs = "0014 SwapDouble"
	strings:
		$1 = { 55 8B EC 53 8B 45 18 80 78 FF 00 75 0B 8D 55 08 8D 45 10 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 45 18 8B 40 F8 8B 40 28 B9 00 00 00 80 33 D2 8B 18 FF 93 8C 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_19100_0 {
	meta:
		name = "CalculateMovingFunction"
		size = 109
		refs = "0016 TChartSeries.Count 002f TChartValueList.GetValue 005f AddFunctionXY"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 F8 8B 58 24 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B F0 4E 2B F3 7C 47 46 8B 45 08 50 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 53 8B 45 08 8B 40 F8 8B CB 2B 48 24 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 38 FF 57 30 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 43 4E 75 BA 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19101_0 {
	meta:
		name = "CalculateFunctionMany"
		size = 208
		refs = "0012 CalculateFunctionMany 0023 TChartSeries.Count 003a TChartValueList.GetValue 006f SwapDouble 00bd @LStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 7E 46 33 DB 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? DD 5D F8 9B 8B 45 08 8B 40 F8 8B 40 28 8B 50 3C 8B 45 08 8B 40 F8 8B CB 8B 38 FF 57 34 DD 5D F0 9B 8B 45 08 80 78 FF 00 75 0B 8D 55 F0 8D 45 F8 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 4D EC 8B 45 08 8B 40 F4 8B D3 8B 38 FF 57 64 8B 55 EC 8B 45 08 8B 40 F8 8B 40 28 B9 00 00 00 80 8B 38 FF 97 8C 00 00 00 43 4E 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19102_0 {
	meta:
		name = "CalculateFunction"
		size = 540
		refs = "0067 AddFunctionXY 00a0 TChartSeries.YMandatory 00ce CalculateFunction 017e TChartSeries.Count 019f TChartValueList.GetValue"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B 45 08 8B 40 F8 8B 58 28 8B 45 08 8B 40 F8 83 78 24 00 0F 85 54 01 00 00 6A FF 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 83 C9 FF 8B 30 FF 56 30 DD 5D F0 9B 80 BB D2 00 00 00 00 75 55 8B 45 08 8B 40 F0 8B 50 14 89 55 F8 8B 50 18 89 55 FC 8B 45 08 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 8B 50 0C 89 55 F8 8B 50 10 89 55 FC 8B 45 08 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 E9 78 01 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 75 59 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 08 8B 40 F0 DD 40 0C 8B 45 08 8B 40 F0 DC 60 14 D8 35 ?? ?? ?? ?? 8B 45 08 8B 40 F0 DC 40 14 DD 5D F8 9B FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 B9 00 00 00 80 33 D2 8B C3 8B 18 FF 93 8C 00 00 00 E9 10 01 00 00 8B 45 08 8B 40 F0 DD 40 0C 8B 45 08 8B 40 F0 DC 60 14 D8 35 ?? ?? ?? ?? 8B 45 08 8B 40 F0 DC 40 14 DD 5D F8 9B 8B 45 08 8B 40 F8 8B 40 28 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 08 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 E9 BE 00 00 00 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 B9 00 00 00 80 33 D2 8B C3 8B 18 FF 93 8C 00 00 00 E9 9C 00 00 00 33 DB 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 08 8B 40 F8 8B 70 24 03 F3 4E 3B 75 EC 7D 6C 8B 45 08 8B 40 F0 8B D6 E8 ?? ?? ?? ?? DD 5D E4 9B 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? DC 6D E4 D8 35 ?? ?? ?? ?? DB 7D D8 9B 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? DB 6D D8 DE C1 DD 5D F8 9B 8B 45 08 50 FF 75 FC FF 75 F8 56 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B CB 8B 18 FF 53 30 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 8D 5E 01 8B 45 EC 48 3B D8 0F 8E 74 FF FF FF 5E 5B 8B E5 5D C3 00 00 00 00 40 }
	condition:
		$1
}

rule function_19103_0 {
	meta:
		name = "TTeeFunction.AddPoints"
		size = 125
		refs = "001d TChartSeries.YMandatory 0049 CalculateFunctionMany 0054 TChartSeries.Count 006a CalculateMovingFunction 0073 CalculateFunction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F4 89 45 F8 83 7D F4 00 74 65 8B 45 F8 8B 58 28 8B 45 F4 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 74 0B 8B 45 F4 8B 40 70 89 45 F0 EB 09 8B 45 F4 8B 40 78 89 45 F0 8B 43 3C 83 78 08 01 7E 09 55 E8 ?? ?? ?? ?? 59 EB 28 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 1C 8B 83 80 00 00 00 80 78 2D 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19104_0 {
	meta:
		name = "TTeeFunction.SetParentSeries"
		size = 31
	strings:
		$1 = { 53 8B 48 28 3B D1 74 15 85 C9 74 08 33 DB 89 99 80 00 00 00 92 8B 08 FF 91 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_19105_0 {
	meta:
		name = "TTeeFunction.CalculateMany"
		size = 18
	strings:
		$1 = { 83 C4 F8 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19107_0 {
	meta:
		name = "TTeeFunction.SetPeriod"
		size = 101
		refs = "0009 TTeeFunction.SetPeriod 001b TeeMsg_FunctionPeriod 0020 LoadResString 002a _Dn_Exception 002f Exception.Create 0034 @RaiseExcept 0041 TTeeFunction.ReCalculate 0056 @LStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_19109_0 {
	meta:
		name = "TTeeFunction.SetParentComponent"
		size = 10
		refs = "0005 TTeeFunction.SetParentSeries"
	strings:
		$1 = { 85 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19112_0 {
	meta:
		name = "TChartSeries.Create"
		size = 416
		refs = "0015 @ClassCreate 0022 TChartSeries.Create 0031 TComponent.Create 0044 _DV_TChartValueLists 0049 TObject.Create 0054 TeeMsg_ValuesX 0059 LoadResString 0066 _DV_TChartValueList 006b TChartValueList.Create 0080 TeeMsg_ValuesY 00a1 _Dn_TList 00d2 _DV_TSeriesMarks 00d7 TSeriesMarks.Create 00e2 TeeMsg_DefValueFormat 00ef TeeMsg_DefPercentFormat 014d @LStrClr 0173 @HandleFinally 0182 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 C6 43 7C 01 C6 43 7D 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 70 C6 46 04 00 C6 46 28 01 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 74 C7 43 28 00 00 00 80 C6 43 5C 01 66 C7 43 38 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 8D 53 68 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 53 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 33 C0 89 43 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C A0 ?? ?? ?? ?? 88 43 7E C7 43 40 FF FF FF FF C7 43 48 FF FF FF FF C6 83 D2 00 00 00 01 C6 83 D0 00 00 00 01 C6 83 D3 00 00 00 00 8D 83 C8 00 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 83 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 0F 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_19113_0 {
	meta:
		name = "TChartSeries.GetChildren"
		size = 42
		refs = "000f TComponent.GetChildren"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 85 C0 74 08 8B D0 8B 45 0C FF 55 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19114_0 {
	meta:
		name = "TChartSeries.GetParentComponent"
		size = 4
	strings:
		$1 = { 8B 40 54 C3 }
	condition:
		$1
}

rule function_19115_0 {
	meta:
		name = "TChartSeries.SetParentComponent"
		size = 35
		refs = "000a _DV_TCustomAxisPanel 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 7C 5E 5B C3 }
	condition:
		$1
}

rule function_19117_0 {
	meta:
		name = "TChartSeries.SetFunction"
		size = 42
		refs = "000d TObject.Free 0023 TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 80 00 00 00 85 C0 74 03 89 58 28 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19118_0 {
	meta:
		name = "TChartSeries.Notification"
		size = 53
		refs = "0010 TComponent.Notification 001c TChartSeries.GetDataSource 002d TChartSeries.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 18 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0D 3B C7 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19119_0 {
	meta:
		name = "TChartSeries.DefineProperties"
		size = 184
		refs = "000c TComponent.DefineProperties 0012 TChartSeries.ReadData 0018 TChartSeries.WriteData 0027 TChartSeries.DefineProperties 0033 TChartSeries.ReadIdentifier 0039 TChartSeries.WriteIdentifier 0054 TChartSeries.ReadStyle 005a TChartSeries.WriteStyle"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 3C 83 78 08 01 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB C8 00 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 17 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? A0 ?? ?? ?? ?? 3A 83 84 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 13 5F 5E 5B C3 00 FF FF FF FF 0B 00 00 00 44 61 74 61 53 6F 75 72 63 65 73 00 FF FF FF FF 0A 00 00 00 49 64 65 6E 74 69 66 69 65 72 00 00 00 00 00 00 FF FF FF FF 05 00 00 00 53 74 79 6C 65 00 00 00 }
	condition:
		$1
}

rule function_19120_0 {
	meta:
		name = "TChartSeries.ReadIdentifier"
		size = 83
		refs = "000f TChartSeries.ReadIdentifier 001f TReader.ReadString 002d @LStrAsg 0042 @LStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19121_0 {
	meta:
		name = "TChartSeries.WriteIdentifier"
		size = 13
		refs = "0008 TWriter.WriteString"
	strings:
		$1 = { 8B 80 C8 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19122_0 {
	meta:
		name = "TChartSeries.ReadStyle"
		size = 216
		refs = "0007 TReader.ReadInteger 000e TChartSeries.ReadStyle"
	strings:
		$1 = { 53 56 8B D8 8B C2 E8 ?? ?? ?? ?? 8B F0 A0 ?? ?? ?? ?? 88 83 84 00 00 00 8B C6 83 E0 01 48 75 11 A0 ?? ?? ?? ?? 0A 83 84 00 00 00 88 83 84 00 00 00 8B C6 83 E0 02 83 F8 02 75 11 A0 ?? ?? ?? ?? 0A 83 84 00 00 00 88 83 84 00 00 00 8B C6 83 E0 04 83 F8 04 75 11 A0 ?? ?? ?? ?? 0A 83 84 00 00 00 88 83 84 00 00 00 8B C6 83 E0 08 83 F8 08 75 11 A0 ?? ?? ?? ?? 0A 83 84 00 00 00 88 83 84 00 00 00 8B C6 83 E0 10 83 F8 10 75 11 A0 ?? ?? ?? ?? 0A 83 84 00 00 00 88 83 84 00 00 00 83 E6 20 83 FE 20 75 11 A0 ?? ?? ?? ?? 0A 83 84 00 00 00 88 83 84 00 00 00 5E 5B C3 00 00 00 00 00 00 00 01 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_19123_0 {
	meta:
		name = "TChartSeries.WriteStyle"
		size = 84
		refs = "004e TWriter.WriteInteger"
	strings:
		$1 = { 56 33 F6 F6 80 84 00 00 00 01 74 01 46 F6 80 84 00 00 00 02 74 03 83 C6 02 F6 80 84 00 00 00 04 74 03 83 C6 04 F6 80 84 00 00 00 08 74 03 83 C6 08 F6 80 84 00 00 00 10 74 03 83 C6 10 F6 80 84 00 00 00 20 74 03 83 C6 20 8B C2 8B D6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_19124_0 {
	meta:
		name = "TChartSeries.ReadData"
		size = 134
		refs = "0010 TChartSeries.ReadData 001d TReader.ReadListBegin 0024 _Dn_TStringList 0029 TObject.Create 0043 TReader.ReadString 0054 TReader.EndOfList 005f TReader.ReadListEnd 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 60 8B F7 8B C6 8B 10 FF 52 40 EB 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 84 C0 74 E1 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19125_0 {
	meta:
		name = "TChartSeries.WriteData"
		size = 64
		refs = "000b TWriter.WriteListBegin 0022 TList.Get 002c TWriter.WriteString 0037 TWriter.WriteListEnd"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B 6B 3C 8B 5D 08 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 50 08 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19126_0 {
	meta:
		name = "TChartSeries.YMandatory"
		size = 21
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 F0 00 00 00 3B 43 78 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_19130_0 {
	meta:
		name = "TChartSeries.DrawAllValues"
		size = 73
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 92 F4 00 00 00 84 C0 74 1A 8B 77 40 8B 5F 48 2B DE 7C 28 43 8B D6 8B C7 8B 08 FF 51 5C 46 4B 75 F3 EB 18 8B 77 48 8B 5F 40 2B DE 7F 0E 4B 8B D6 8B C7 8B 08 FF 51 5C 4E 43 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19131_0 {
	meta:
		name = "TChartSeries.SameClass"
		size = 56
		refs = "0009 TObject.ClassType 0012 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_19132_0 {
	meta:
		name = "TChartSeries.PointOrigin"
		size = 149
		refs = "002a TCustomAxisPanel.SeriesCount 003f TCustomAxisPanel.GetSeries 005b TChartSeries.SameClass 0066 TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 88 4C 24 04 89 14 24 8B F0 33 C0 89 44 24 08 89 44 24 0C 8B 46 54 85 C0 74 68 89 44 24 10 8B 44 24 10 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 54 47 33 ED 8B D5 8B 44 24 10 E8 ?? ?? ?? ?? 8B D8 80 7C 24 04 00 75 04 3B F3 74 39 80 7B 24 00 74 2F 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 E8 ?? ?? ?? ?? 3B 04 24 7E 16 8B 14 24 8B C3 8B 08 FF 91 E4 00 00 00 DC 44 24 08 DD 5C 24 08 9B 45 4F 75 AF DD 44 24 08 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19133_0 {
	meta:
		name = "TChartSeries.CheckDataSource"
		size = 17
	strings:
		$1 = { 8B 50 54 85 D2 74 09 92 8B 08 FF 91 F4 00 00 00 C3 }
	condition:
		$1
}

rule function_19134_0 {
	meta:
		name = "TChartSeries.SetRecalcOptions"
		size = 12
	strings:
		$1 = { 51 88 14 24 8A 14 24 88 50 7E 5A C3 }
	condition:
		$1
}

rule function_19135_0 {
	meta:
		name = "TChartSeries.SetColorSource"
		size = 48
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 34 8B D6 E8 ?? ?? ?? ?? 74 1B 8D 43 34 8B D6 E8 ?? ?? ?? ?? 8B 43 54 85 C0 74 0A 8B D3 8B 08 FF 91 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_19136_0 {
	meta:
		name = "TChartSeries.SetLabelsSource"
		size = 48
		refs = "000c @LStrCmp 0018 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 44 8B D6 E8 ?? ?? ?? ?? 74 1B 8D 43 44 8B D6 E8 ?? ?? ?? ?? 8B 43 54 85 C0 74 0A 8B D3 8B 08 FF 91 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_19137_0 {
	meta:
		name = "TChartSeries.GetCursorValueIndex"
		size = 37
		refs = "000c TCustomTeePanel.GetCursorPos"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B 43 54 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B C3 8B 18 FF 93 E0 00 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_19138_0 {
	meta:
		name = "TChartSeries.GetCursorValues"
		size = 55
		refs = "0012 TCustomTeePanel.GetCursorPos 001c TChartSeries.XScreenToValue 002a TChartSeries.YScreenToValue"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B 43 54 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? DD 1E 9B 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? DD 1F 9B 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19139_0 {
	meta:
		name = "TChartSeries.GetDataSource"
		size = 34
		refs = "0016 TList.Get"
	strings:
		$1 = { 53 56 8B D8 8B 73 3C 85 F6 74 12 83 7E 08 00 7E 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19140_0 {
	meta:
		name = "TChartSeries.InternalAddDataSource"
		size = 60
		refs = "0010 TList.Add 0018 _DV_TChartSeries 001d @IsClass 002a TChartSeries.AddLinkedSeries 0035 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 2F 8B D3 8B 46 3C E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19141_0 {
	meta:
		name = "TChartSeries.RemoveAllLinkedSeries"
		size = 87
		refs = "001d TList.Get 0031 _DV_TChartSeries 0036 @IsClass 004b TChartSeries.RemoveLinkedSeries"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 3C 85 C0 74 47 8B 78 08 4F 85 FF 7C 3F 47 33 F6 8B D6 8B 43 3C E8 ?? ?? ?? ?? 85 C0 74 2A 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4F 75 C4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19142_0 {
	meta:
		name = "ClearDataSources"
		size = 36
		refs = "000b TChartSeries.RemoveAllLinkedSeries 001d @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 3C 66 BB FF FF E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_19143_0 {
	meta:
		name = "TChartSeries.SetDataSource"
		size = 410
		refs = "0016 TChartSeries.SetDataSource 0031 TChartSeries.GetDataSource 0051 @CallDynaInst 0057 ClearDataSources 0095 TChartSeries.Repaint 00ac TeeMsg_SeriesSetDataSource 00b1 LoadResString 00bb _DV_ChartException 00c0 Exception.Create 00c5 @RaiseExcept 00ea TList.IndexOf 00f9 _DV_TChartSeries 00fe @IsClass 010c TChartSeries.CheckOtherSeries 0126 TChartSeries.InternalAddDataSource 015a TeeMsg_SeriesInvDataSource 016e Exception.CreateFmt 0188 @LStrClr 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 7A 8B 45 FC 83 78 54 00 74 28 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 1C 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 54 8B 55 FC 66 BB B8 FF E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 54 85 C0 74 20 F6 40 20 10 74 1A 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B D0 8B 45 FC 8B 08 FF 91 9C 00 00 00 EB 0B 8B 45 FC 8B 10 FF 92 90 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 D9 00 00 00 8B 45 FC 8B 70 54 85 F6 75 26 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 00 00 00 8B C6 8B CB 8B 55 FC 8B 30 FF 96 F0 00 00 00 84 C0 74 65 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 40 0F 85 82 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 75 07 55 E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 01 75 44 8B 45 FC 8B 40 54 8B 55 FC 8B 08 FF 91 F4 00 00 00 EB 31 8B 43 08 89 45 F0 C6 45 F4 0B 8D 45 F0 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19144_0 {
	meta:
		name = "TChartSeries.IsValidSourceOf"
		size = 6
	strings:
		$1 = { 3B C2 0F 95 C0 C3 }
	condition:
		$1
}

rule function_19146_0 {
	meta:
		name = "TChartSeries.CreateChartPen"
		size = 31
		refs = "0006 _Dn_TChartPen 000b TChartPen.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 08 8B 13 8B 92 2C 01 00 00 89 50 04 5B C3 }
	condition:
		$1
}

rule function_19148_0 {
	meta:
		name = "TChartSeries.GetYValueList"
		size = 185
		refs = "0017 @LStrAddRef 001f TChartSeries.GetYValueList 0036 AnsiUpperCase 0041 @LStrLAsg 005c TChartValueLists.GetValueList 0072 @LStrCmp 009b @LStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 78 89 45 F8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 7B 6C 8B 77 08 4E 83 EE 02 7C 39 46 BB 02 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 24 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19149_0 {
	meta:
		name = "TChartSeries.CheckOtherSeries"
		size = 16
		refs = "000b TCustomAxisPanel.CheckOtherSeries"
	strings:
		$1 = { 8B 48 54 85 C9 74 08 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19150_0 {
	meta:
		name = "TChartSeries.ColorRange"
		size = 103
		refs = "0024 TChartValueList.GetValue 004e TList.Put 005a TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 8B FA 89 45 FC 8B 47 08 8B 70 08 4E 85 F6 7C 3A 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 DC 5D 10 DF E0 9E 72 1B DD 45 F0 DC 5D 08 DF E0 9E 77 10 8B 45 FC 8B 40 30 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 43 4E 75 C9 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_19152_0 {
	meta:
		name = "TChartSeries.GetHorizAxis"
		size = 16
	strings:
		$1 = { 33 D2 8A 50 7C 8B 40 54 8B 84 90 EC 02 00 00 C3 }
	condition:
		$1
}

rule function_19153_0 {
	meta:
		name = "TChartSeries.GetVertAxis"
		size = 16
	strings:
		$1 = { 33 D2 8A 50 7D 8B 40 54 8B 84 90 F4 02 00 00 C3 }
	condition:
		$1
}

rule function_19154_0 {
	meta:
		name = "TChartSeries.SetHorizAxis"
		size = 14
		refs = "0009 TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 7C 74 08 88 50 7C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19155_0 {
	meta:
		name = "TChartSeries.SetVertAxis"
		size = 14
		refs = "0009 TChartSeries.Repaint"
	strings:
		$1 = { 3A 50 7D 74 08 88 50 7D E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19156_0 {
	meta:
		name = "TChartSeries.SetChartValueList"
		size = 25
		refs = "0012 TChartSeries.Repaint"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B 07 8B D1 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_19157_0 {
	meta:
		name = "TChartSeries.SetXValues"
		size = 11
		refs = "0006 TChartSeries.SetChartValueList"
	strings:
		$1 = { 8D 48 70 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19158_0 {
	meta:
		name = "TChartSeries.SetYValues"
		size = 11
		refs = "0006 TChartSeries.SetChartValueList"
	strings:
		$1 = { 8D 48 78 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19159_0 {
	meta:
		name = "TChartSeries.SetTitle"
		size = 78
		refs = "000e @LStrAddRef 0016 TChartSeries.SetTitle 0029 TChartSeries.SetStringProperty 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 53 64 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_19160_0 {
	meta:
		name = "TChartSeries.GetValue"
		size = 37
	strings:
		$1 = { 83 C4 F8 84 D2 74 0D 8B D1 8B 08 FF 51 68 DD 1C 24 9B EB 0B 8B D1 8B 08 FF 51 6C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19161_0 {
	meta:
		name = "TChartSeries.InternalCalcFirstLastIndex"
		size = 20
		refs = "000f TChartSeries.CalcFirstLastVisibleIndex"
	strings:
		$1 = { C7 40 40 FF FF FF FF C7 40 48 FF FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19162_0 {
	meta:
		name = "CalcMinMaxValue"
		size = 133
		refs = "0016 TChartSeries.YMandatory 0025 TChartSeries.GetHorizAxis 0035 TCustomChartAxis.CalcPosPoint 0053 TChartSeries.GetVertAxis"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 80 B8 85 00 00 00 00 74 0D 8B D7 E8 ?? ?? ?? ?? DD 5D F8 9B EB 3A 8B D3 E8 ?? ?? ?? ?? DD 5D F8 9B EB 2D 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 80 B8 85 00 00 00 00 74 0D 8B D6 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 55 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19163_0 {
	meta:
		name = "TChartSeries.CalcFirstLastVisibleIndex"
		size = 394
		refs = "0024 TChartSeries.Count 003d TChartSeries.YMandatory 008c CalcMinMaxValue 00cd TChartValueList.GetValue 010b TChartValueList.Last"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8D 7D FC 8B 07 C7 40 40 FF FF FF FF 8B 07 C7 40 48 FF FF FF FF 8B 07 E8 ?? ?? ?? ?? 85 C0 0F 8E 53 01 00 00 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 8B 07 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 07 8B 40 70 80 78 28 00 0F 95 C0 EB 0C 8B 07 8B 40 78 80 78 28 00 0F 95 C0 8B 17 84 82 D0 00 00 00 0F 84 0A 01 00 00 8B 07 33 D2 89 50 40 8B 07 8B 40 54 05 60 02 00 00 55 8B 50 0C 52 8B 48 08 8B 50 04 8B 00 E8 ?? ?? ?? ?? 59 DD 5D F4 9B 8B 07 E8 ?? ?? ?? ?? 84 C0 74 07 8B 07 8B 70 70 EB 1E 8B 07 8B 70 78 EB 17 8B 07 FF 40 40 8B 07 3B 58 40 7D 0B 8B 07 C7 40 40 FF FF FF FF EB 14 8B 07 8B 50 40 8B C6 E8 ?? ?? ?? ?? DC 5D F4 DF E0 9E 72 D5 8B 07 83 78 40 00 0F 8C 9E 00 00 00 8B 07 8B 40 54 05 60 02 00 00 55 8B 50 04 52 8B 08 8B 50 0C 52 8B 40 08 5A E8 ?? ?? ?? ?? 59 DD 5D EC 9B 8B C6 E8 ?? ?? ?? ?? DC 5D EC DF E0 9E 77 07 8B 07 89 58 48 EB 65 8B 07 8B 40 40 8B 17 89 42 48 EB 13 8B 07 FF 40 48 8B 07 3B 58 48 7D 07 8B 07 89 58 48 EB 14 8B 07 8B 50 48 8B C6 E8 ?? ?? ?? ?? DC 5D EC DF E0 9E 72 D9 8B 07 80 B8 D1 00 00 00 00 75 27 8B 07 8B 50 48 8B C6 E8 ?? ?? ?? ?? DC 5D EC DF E0 9E 76 13 8B 07 FF 48 48 EB 0C 8B 07 33 D2 89 50 40 8B 07 89 58 48 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19164_0 {
	meta:
		name = "TChartSeries.Repaint"
		size = 17
	strings:
		$1 = { 56 8B 70 54 85 F6 74 07 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_19167_0 {
	meta:
		name = "TChartSeries.IsValueFormatStored"
		size = 86
		refs = "000c TChartSeries.IsValueFormatStored 001a TeeMsg_DefValueFormat 001f LoadResString 002a @LStrCmp 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 68 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_19168_0 {
	meta:
		name = "TChartSeries.IsPercentFormatStored"
		size = 86
		refs = "000c TChartSeries.IsPercentFormatStored 001a TeeMsg_DefPercentFormat 001f LoadResString 002a @LStrCmp 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 58 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_19169_0 {
	meta:
		name = "TChartSeries.DeletedValue"
		size = 21
	strings:
		$1 = { 56 57 8B F9 8B F0 8B D7 8B C6 8B 08 FF 91 98 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_19170_0 {
	meta:
		name = "TChartSeries.AddValue"
		size = 55
		refs = "001d TChartValueLists.GetValueList 002a TChartValueList.InsertChartValue"
	strings:
		$1 = { 53 56 57 55 8B EA 8B 78 6C 8B 5F 08 4B 83 EB 02 7C 20 43 BE 02 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? FF 70 34 FF 70 30 8B D5 E8 ?? ?? ?? ?? 46 4B 75 E6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19171_0 {
	meta:
		name = "TChartSeries.AddChartValue"
		size = 202
		refs = "0013 TChartValueList.GetValue 002e TChartSeries.YMandatory 004a SwapDouble 005a TChartValueList.AddChartValue 0071 TChartValueList.InsertChartValue 0095 TChartValueLists.GetValueList"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E9 8B FA 8B D8 8B 47 70 8B D5 E8 ?? ?? ?? ?? DD 5C 24 04 9B 8B 47 78 8B D5 E8 ?? ?? ?? ?? DD 5C 24 0C 9B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 54 24 0C 8D 44 24 04 E8 ?? ?? ?? ?? FF 74 24 08 FF 74 24 08 8B 43 70 E8 ?? ?? ?? ?? 89 04 24 FF 74 24 10 FF 74 24 10 8B 43 78 8B 54 24 08 E8 ?? ?? ?? ?? 8B 43 6C 89 44 24 14 8B 44 24 14 8B 70 08 4E 83 EE 02 7C 36 46 BB 02 00 00 00 8B 47 6C 8B D3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D3 8B 44 24 1C E8 ?? ?? ?? ?? 8B 54 24 08 E8 ?? ?? ?? ?? 43 4E 75 D0 8B 04 24 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19172_0 {
	meta:
		name = "TChartSeries.AddedValue"
		size = 169
		refs = "0019 TChartSeries.AddedValue 0043 TList.Get 0050 TList.Insert 0075 TChartSeries.InsertXLabel 0096 @LStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 8B 38 FF 57 30 89 45 F8 8B 7E 30 8B 47 08 3B 45 FC 7E 17 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 43 30 E8 ?? ?? ?? ?? 8B 46 74 8B 40 08 3B 45 FC 7E 1A 8D 4D F4 8B 55 FC 8B C6 8B 30 FF 56 64 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B C3 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19174_0 {
	meta:
		name = "TChartSeries.AddValues"
		size = 140
		refs = "002f TChartSeries.Count 0060 TChartValueList.SetDateTime 0082 TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 A0 00 00 00 84 C0 74 6D 8B C3 8B 10 FF 92 90 00 00 00 83 BB 80 00 00 00 00 75 2A 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 45 47 C7 04 24 00 00 00 00 8B 0C 24 8B D6 8B C3 8B 28 FF 55 34 FF 04 24 4F 75 EE EB 29 8B 46 70 8A 50 04 8B 43 70 E8 ?? ?? ?? ?? 8B 46 78 8A 50 04 8B 43 78 E8 ?? ?? ?? ?? 8B D6 8B 83 80 00 00 00 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19175_0 {
	meta:
		name = "TChartSeries.AssignValues"
		size = 18
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 38 5F 5E C3 }
	condition:
		$1
}

rule function_19176_0 {
	meta:
		name = "TChartSeries.RefreshSeries"
		size = 10
		refs = "0005 TChartSeries.NotifyValue"
	strings:
		$1 = { 33 C9 B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19178_0 {
	meta:
		name = "TChartSeries.MoreSameZOrder"
		size = 80
		refs = "0009 TCustomAxisPanel.SeriesCount 001d TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 54 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 FF 8B D7 8B 43 54 E8 ?? ?? ?? ?? 3B D8 74 21 80 78 24 00 74 1B 80 B8 D3 00 00 00 00 75 12 8B 80 CC 00 00 00 3B 83 CC 00 00 00 75 04 B0 01 EB 06 47 4E 75 CD 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19179_0 {
	meta:
		name = "TChartSeries.FirstInZOrder"
		size = 85
		refs = "0016 TCustomAxisPanel.SeriesCount 002a TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 8B E8 80 7D 24 00 75 04 33 DB EB 3E B3 01 8B 45 54 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 33 FF 8B D7 8B 45 54 E8 ?? ?? ?? ?? 3B E8 74 1C 80 78 24 00 74 12 8B 80 CC 00 00 00 3B 85 CC 00 00 00 75 04 33 DB EB 04 47 4E 75 D6 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19182_0 {
	meta:
		name = "TChartSeries.DoAfterDrawValues"
		size = 29
	strings:
		$1 = { 53 66 83 B8 B2 00 00 00 00 74 10 8B D8 8B D0 8B 83 B4 00 00 00 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_19183_0 {
	meta:
		name = "MultiLineTextWidth"
		size = 256
		refs = "0017 @LStrAddRef 001f MultiLineTextWidth 0037 TeeLineSeparator 003e @LStrFromChar 0049 @LStrPos 0063 @LStrCopy 0083 MaxLong 00e4 @LStrClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 F8 33 D2 89 10 8D 45 F4 8B 15 ?? ?? ?? ?? 8A 12 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4F 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 FC 8B 40 54 8B 80 5C 02 00 00 8B 08 FF 51 60 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 50 8D 53 01 B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 FF 00 85 DB 75 8C 83 7D FC 00 74 27 8B 45 08 8B 40 FC 8B 40 54 8B 80 5C 02 00 00 8B 55 FC 8B 08 FF 51 60 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19184_0 {
	meta:
		name = "TChartSeries.DrawMarks"
		size = 524
		refs = "0015 TChartSeries.DrawMarks 0041 _DV_TSeriesMarkPosition 0046 TObject.Create 0082 TChartSeries.GetMarkText 00bc TFont.GetSize 00e0 @ROUND 00ec MaxLong 00f5 TFont.SetSize 0116 MultiLineTextWidth 0127 TTeeCanvas.FontHeight 0141 TTeeCanvas.AssignVisiblePen 0158 TPen.GetWidth 01cc TObject.Free 01e1 @LStrClr 01e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 54 89 45 F0 8B 45 FC 8B 40 50 89 45 EC 8B 45 EC 80 78 28 00 0F 84 92 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 70 40 8B 45 FC 8B 40 48 2B C6 0F 8C 69 01 00 00 40 89 45 E8 8B D6 8B 45 FC 8B 08 FF 51 60 3D FF FF FF 1F 0F 84 46 01 00 00 8D 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 2F 01 00 00 8B 45 EC 8B 50 18 8B 45 F0 8B 08 FF 91 C8 00 00 00 8B 45 F0 80 B8 4C 02 00 00 00 74 4C 8B 45 F0 8B 80 5C 02 00 00 8B 78 08 8B C7 E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 8B 45 F0 8B 80 5C 02 00 00 8B 40 18 DB 40 1C DB 2D ?? ?? ?? ?? DE C9 DE C9 E8 ?? ?? ?? ?? 8B D0 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 5C 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 60 8B F8 55 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 03 F8 8B 45 F0 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? F7 6D F4 89 45 F4 8B 45 EC 8B 50 14 8B 45 F0 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 14 80 78 18 00 74 12 8B 45 EC 8B 40 14 E8 ?? ?? ?? ?? 03 C0 03 F8 01 45 F4 8B D6 8B 45 FC 8B 08 FF 91 D0 00 00 00 89 43 0C 8B D6 8B 45 FC 8B 08 FF 91 D4 00 00 00 89 43 10 8B 43 0C 89 43 04 8B 43 10 89 43 08 89 7B 24 8B 45 F4 89 43 18 D1 FF 79 03 83 D7 00 8B 43 0C 2B C7 89 43 1C 8B 43 10 2B 45 F4 40 89 43 20 53 8B 4D F8 8B D6 8B 45 FC 8B 38 FF 57 58 46 FF 4D E8 0F 85 9B FE FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_19185_0 {
	meta:
		name = "TChartSeries.CalcHorizMargins"
		size = 9
		altNames = "TChartSeries.CalcVerticalMargins"
	strings:
		$1 = { 33 C0 89 02 33 C0 89 01 C3 }
	condition:
		$1
}

rule function_19187_0 {
	meta:
		name = "TChartSeries.DrawMark"
		size = 45
		refs = "0022 TSeriesMarks.Draw"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 08 50 8B D6 8B C3 8B 08 FF 51 60 8B C8 8B D6 8B 43 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19188_0 {
	meta:
		name = "TChartSeries.SetColorProperty"
		size = 12
		refs = "0007 TChartSeries.Repaint"
		altNames = "TChartSeries.SetIntegerProperty TChartSeries.SetLongintProperty"
	strings:
		$1 = { 3B 0A 74 07 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19190_0 {
	meta:
		name = "TChartSeries.SetStringProperty"
		size = 40
		refs = "000e @LStrCmp 0019 @LStrAsg 0020 TChartSeries.Repaint"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 06 8B D7 E8 ?? ?? ?? ?? 74 10 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19192_0 {
	meta:
		name = "TChartSeries.InsertXLabel"
		size = 34
		refs = "000e TChartSeries.GetMemXLabel 001a TList.Insert"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 74 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19193_0 {
	meta:
		name = "TChartSeries.AddXY"
		size = 165
		refs = "0055 TChartValueList.AddChartValue 0067 TChartValueList.InsertChartValue 0080 TList.Insert 008c TChartSeries.InsertXLabel"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 83 CE FF 8B 43 70 8B 55 10 89 50 30 8B 55 14 89 50 34 8B 43 78 8B 55 08 89 50 30 8B 55 0C 89 50 34 66 83 BB 8A 00 00 00 00 74 12 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 84 C0 74 50 8B 43 70 FF 70 34 FF 70 30 E8 ?? ?? ?? ?? 8B F0 8B 43 78 FF 70 34 FF 70 30 8B D6 E8 ?? ?? ?? ?? 81 FF 00 00 00 20 75 05 BF 00 00 00 80 8B CF 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D3 8B C3 8B 18 FF 53 70 8B C6 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_19194_0 {
	meta:
		name = "TChartSeries.NotifyNewValue"
		size = 57
		refs = "0025 TChartSeries.NotifyValue 0032 TChartSeries.Repaint"
	strings:
		$1 = { 53 56 8B F1 8B D8 66 83 BB 92 00 00 00 00 74 0E 8B CE 8B 83 94 00 00 00 FF 93 90 00 00 00 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 24 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19195_0 {
	meta:
		name = "TChartSeries.IsNull"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 60 3D FF FF FF 1F 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19196_0 {
	meta:
		name = "TChartSeries.AddNull"
		size = 20
	strings:
		$1 = { 53 6A 00 6A 00 B9 FF FF FF 1F 8B 18 FF 93 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_19197_0 {
	meta:
		name = "TChartSeries.AddArray"
		size = 76
		refs = "003e TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 04 24 8B C1 83 E8 00 40 89 44 24 04 8B F1 85 F6 7C 21 46 8B DA FF 73 04 FF 33 B9 00 00 00 80 33 D2 8B 44 24 08 8B 38 FF 97 84 00 00 00 83 C3 08 4E 75 E2 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19198_0 {
	meta:
		name = "TChartSeries.Add"
		size = 66
		refs = "000f TChartSeries.YMandatory 0024 TChartSeries.AddY 0037 TChartSeries.AddX"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 FF 75 0C FF 75 08 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 11 FF 75 0C FF 75 08 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19199_0 {
	meta:
		name = "TChartSeries.AddY"
		size = 45
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 46 70 8B 40 08 DB 40 08 83 C4 F8 DD 1C 24 9B FF 75 0C FF 75 08 8B C6 8B 18 FF 93 8C 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19200_0 {
	meta:
		name = "TChartSeries.AddX"
		size = 45
	strings:
		$1 = { 55 8B EC 53 56 8B F0 FF 75 0C FF 75 08 8B 46 70 8B 40 08 DB 40 08 83 C4 F8 DD 1C 24 9B 8B C6 8B 18 FF 93 8C 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19201_0 {
	meta:
		name = "TChartSeries.Count"
		size = 10
	strings:
		$1 = { 8B 40 70 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_19203_0 {
	meta:
		name = "TChartSeries.VisibleCount"
		size = 10
	strings:
		$1 = { 8B 50 48 2B 50 40 42 8B C2 C3 }
	condition:
		$1
}

rule function_19204_0 {
	meta:
		name = "TChartSeries.MarkPercent"
		size = 260
		refs = "0020 TChartSeries.MarkPercent 007e FormatFloat 00ba TeeMsg_DefaultPercentOf 00bf LoadResString 00ca FmtStr 00e4 @LStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 88 4D FB 89 55 FC 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 F0 00 00 00 8B F0 DD 46 40 D8 1D ?? ?? ?? ?? DF E0 9E 74 1E 8B 55 FC 8B C3 8B 08 FF 91 E8 00 00 00 D9 E1 D8 0D ?? ?? ?? ?? DC 76 40 DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 59 40 DD 45 F0 83 C4 F4 DB 3C 24 9B 8B D7 8B 43 58 E8 ?? ?? ?? ?? 80 7D FB 00 74 46 6A 01 8B 07 89 45 E0 C6 45 E4 0B DD 46 40 83 C4 F4 DB 3C 24 9B 8D 55 DC 8B 43 68 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 0B 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_19205_0 {
	meta:
		name = "TChartSeries.GetOriginValue"
		size = 21
	strings:
		$1 = { 83 C4 F8 8B 08 FF 91 E8 00 00 00 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19206_0 {
	meta:
		name = "TChartSeries.GetMarkValue"
		size = 18
	strings:
		$1 = { 83 C4 F8 8B 08 FF 51 6C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19207_0 {
	meta:
		name = "XLabelOrValue"
		size = 74
		refs = "0041 FormatFloat"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F0 8B CB 8B 45 08 8B 40 FC 8B D6 8B 38 FF 57 64 83 3B 00 75 27 8B 45 08 8B 40 FC 8B D6 8B 08 FF 91 E8 00 00 00 83 C4 F4 DB 3C 24 9B 8B D3 8B 45 08 8B 40 FC 8B 40 68 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19208_0 {
	meta:
		name = "TChartSeries.GetMarkText"
		size = 596
		refs = "001c TChartSeries.GetMarkText 0082 FormatFloat 0097 TChartSeries.MarkPercent 00a7 XLabelOrValue 00b3 @LStrLAsg 00ec @LStrCatN 01ab TChartSeries.GetHorizAxis 01ed TCustomChartAxis.LabelValue 01f7 @LStrClr 0236 @LStrArrayClr 023c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 0F B6 40 1C 83 F8 08 0F 87 BA 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 E8 00 00 00 83 C4 F4 DB 3C 24 9B 8B 55 F8 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? E9 70 01 00 00 8B 45 F8 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 5B 01 00 00 55 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 59 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 3F 01 00 00 55 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 59 FF 75 F4 68 ?? ?? ?? ?? 8D 45 F0 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 06 01 00 00 55 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 59 FF 75 F4 68 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 E8 00 00 00 83 C4 F4 DB 3C 24 9B 8D 55 F0 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? FF 75 F0 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 45 F8 50 8B 45 FC 8B 40 54 8B CB 8B 55 FC 8B 30 FF 96 F8 00 00 00 E9 9F 00 00 00 8B 45 F8 50 B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 8A 00 00 00 55 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 59 FF 75 F4 68 ?? ?? ?? ?? 8D 45 F0 50 B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 54 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8B D3 8B 45 FC 8B 08 FF 51 68 83 C4 F4 DB 3C 24 9B 8B 55 F8 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? EB 25 8B D3 8B 45 FC 8B 08 FF 51 68 83 C4 F8 DD 1C 24 9B 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 A2 00 00 00 00 74 18 8B 45 F8 50 8B 75 FC 8B CB 8B 55 FC 8B 86 A4 00 00 00 FF 96 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_19209_0 {
	meta:
		name = "TChartSeries.SetValueFormat"
		size = 11
		refs = "0006 TChartSeries.SetStringProperty"
	strings:
		$1 = { 8D 48 68 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19210_0 {
	meta:
		name = "TChartSeries.SetPercentFormat"
		size = 11
		refs = "0006 TChartSeries.SetStringProperty"
	strings:
		$1 = { 8D 48 58 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19211_0 {
	meta:
		name = "TChartSeries.PrepareForGallery"
		size = 57
		refs = "001b TSeriesMarks.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 04 00 00 00 8B C6 8B 08 FF 91 9C 00 00 00 33 D2 8B 46 50 E8 ?? ?? ?? ?? C6 46 2C 00 84 DB 75 0F BA C0 C0 C0 00 8B C6 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_19212_0 {
	meta:
		name = "TChartSeries.NumSampleValues"
		size = 6
	strings:
		$1 = { B8 19 00 00 00 C3 }
	condition:
		$1
}

rule function_19213_0 {
	meta:
		name = "TChartSeries.CalcRandomBounds"
		size = 500
		refs = "0018 Randomize 003d TCustomAxisPanel.GetMaxValuesCount 004c TChartSeries.GetVertAxis 0056 TCustomAxisPanel.MinYValue 006a TCustomAxisPanel.MaxYValue 0081 TChartSeries.CalcRandomBounds 00a7 TChartSeries.GetHorizAxis 00b1 TCustomAxisPanel.MinXValue 00c6 TCustomAxisPanel.MaxXValue 0109 Date 01a1 @ROUND 01a6 @RandInt"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 0C E8 ?? ?? ?? ?? 33 C0 89 07 89 47 04 33 C0 89 45 E0 C7 45 E4 00 40 8F 40 83 7B 54 00 0F 84 C6 00 00 00 8B 43 54 E8 ?? ?? ?? ?? 85 C0 0F 8E B6 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 54 E8 ?? ?? ?? ?? DD 1F 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 54 E8 ?? ?? ?? ?? DD 5D E0 9B DD 45 E0 DC 1F DF E0 9E 75 28 DD 45 E0 D8 1D ?? ?? ?? ?? DF E0 9E 75 0E 33 C0 89 45 E0 C7 45 E4 00 40 8F 40 EB 0C D9 05 ?? ?? ?? ?? DC 0F DD 5D E0 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 54 E8 ?? ?? ?? ?? DD 5D F0 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 54 E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 DC 5D F0 DF E0 9E 75 60 DD 45 E8 D8 1D ?? ?? ?? ?? DF E0 9E 75 09 DB 45 FC DD 5D E8 9B EB 49 D9 05 ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B EB 3A 8B 43 70 80 78 04 00 74 1B E8 ?? ?? ?? ?? DD 5D F0 9B DB 45 FC DC 45 F0 D8 25 ?? ?? ?? ?? DD 5D E8 9B EB 16 33 C0 89 45 F0 89 45 F4 8B 45 FC 48 89 45 DC DB 45 DC DD 5D E8 9B DD 45 E8 DC 65 F0 8B 45 14 DD 18 9B 83 7D FC 01 7E 15 8B 45 FC 48 89 45 DC DB 45 DC 8B 45 14 DC 38 8B 45 14 DD 18 9B DD 45 E0 DC 27 DD 1E 9B DB 2D ?? ?? ?? ?? DC 1E DF E0 9E 73 0F C7 06 00 00 C0 FF C7 46 04 FF FF DF 41 EB 1A DB 2D ?? ?? ?? ?? DC 1E DF E0 9E 76 0D C7 06 00 00 C0 FF C7 46 04 FF FF DF C1 DD 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC DB 45 DC DC 07 8B 45 10 DD 18 9B 8B 45 F8 8B 55 F0 89 10 8B 55 F4 89 50 04 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 00 40 00 00 80 3F 00 00 00 00 FE FF FF FF 1D 40 00 00 00 00 00 00 FE FF FF FF 1D C0 00 00 }
	condition:
		$1
}

rule function_19214_0 {
	meta:
		name = "TChartSeries.FillSampleValues"
		size = 259
		refs = "0017 TChartSeries.FillSampleValues 0029 TeeMsg_FillSample 002e LoadResString 0038 _Dn_Exception 003d Exception.Create 0042 @RaiseExcept 006a TChartSeries.CalcRandomBounds 0076 @ROUND 007b @_lldiv 0088 @RandInt 00db TChartSeries.RefreshSeries 00f0 @LStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D D0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7F 21 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 90 00 00 00 8D 45 F4 50 8D 45 E4 50 8D 45 DC 50 8D 45 D4 50 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 04 DD 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 DB 7E 52 8B C6 E8 ?? ?? ?? ?? 89 45 CC DB 45 CC DC 45 E4 8B C6 D1 F8 79 03 83 D0 00 89 45 C8 DB 45 C8 DE E9 D9 E1 DD 5D E4 9B FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 B9 00 00 00 80 33 D2 8B 45 FC 8B 38 FF 97 8C 00 00 00 DD 45 EC DC 45 F4 DD 5D EC 9B 4B 75 AE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19215_0 {
	meta:
		name = "TChartSeries.SetDoubleProperty"
		size = 37
		refs = "001d TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 8B C8 DD 02 DC 5D 08 DF E0 9E 74 12 8B 45 08 89 02 8B 45 0C 89 42 04 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19217_0 {
	meta:
		name = "SelfSetDataSources"
		size = 68
		refs = "0016 @CallDynaInst 002a TList.Get 0037 TChartSeries.InternalAddDataSource"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 FC 8B 40 3C 66 BB FF FF E8 ?? ?? ?? ?? 8B 5F 08 4B 85 DB 7C 1D 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 46 4B 75 E6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19218_0 {
	meta:
		name = "TChartSeries.Assign"
		size = 685
		refs = "0017 TChartSeries.Assign 0025 _DV_TChartSeries 002a @IsClass 0045 TChartSeries.SetDataSource 004d TChartSeries.YMandatory 00aa @LStrAsg 00ce MinLong 00e6 TChartValueLists.GetValueList 0120 TTeeFunction.SetParentSeries 0127 TChartSeries.GetDataSource 0148 @CallDynaInst 0163 TList.Get 0170 TList.Add 01af TChartSeries.InsertXLabel 01bf TChartSeries.AssignValues 01ca SelfSetDataSources 0279 TChartSeries.CheckDataSource 0285 TPersistent.Assign 029a @LStrClr 02a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 49 02 00 00 8B 46 0C 8B 55 FC 89 42 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8B DE 8B 53 70 8B 45 FC 8B 40 70 8B 08 FF 51 08 8B 53 78 8B 45 FC 8B 40 78 8B 08 FF 51 08 EB 1E 8B DE 8B 53 70 8B 45 FC 8B 40 78 8B 08 FF 51 08 8B 53 78 8B 45 FC 8B 40 70 8B 08 FF 51 08 8B 45 FC 83 C0 44 8B DE 8B 53 44 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 8B 53 34 E8 ?? ?? ?? ?? 8B 43 6C 8B 50 08 4A 8B 45 FC 8B 40 6C 8B 40 08 48 E8 ?? ?? ?? ?? 83 E8 02 7C 2D 40 89 45 F8 BB 02 00 00 00 8B 46 6C 8B D3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 6C 8B D3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 43 FF 4D F8 75 DC 8B FE 8B 87 80 00 00 00 85 C0 74 14 8B 55 FC 83 BA 80 00 00 00 00 75 08 8B 55 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 85 92 00 00 00 F6 47 20 10 0F 85 92 00 00 00 8B 45 FC 8B 40 30 66 BB FF FF E8 ?? ?? ?? ?? 8B 47 30 8B 40 08 48 85 C0 7C 23 40 89 45 F8 33 DB 8B 46 30 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 43 FF 4D F8 75 E3 8B 45 FC 8B 40 74 66 BB FF FF E8 ?? ?? ?? ?? 8B 46 74 8B 40 08 48 85 C0 7C 25 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B C6 8B 38 FF 57 64 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 43 FF 4D F8 75 E1 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0A 55 8B 47 3C E8 ?? ?? ?? ?? 59 8B DE 8B 53 50 8B 45 FC 8B 40 50 8B 08 FF 51 08 8B 43 28 8B 55 FC 89 42 28 8A 43 2C 8B 55 FC 88 42 2C 8B 45 FC 83 C0 64 8B 53 64 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 8B 53 68 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 8B 53 58 E8 ?? ?? ?? ?? 8A 43 24 8B 55 FC 88 42 24 8A 43 7C 8B 55 FC 88 42 7C 8A 43 7D 8B 55 FC 88 42 7D 8A 43 7E 8B 55 FC 88 42 7E 66 8B 43 38 8B 55 FC 66 89 42 38 8A 43 5C 8B 55 FC 88 42 5C 8A 83 84 00 00 00 8B 55 FC 88 82 84 00 00 00 8B 45 FC 05 C8 00 00 00 8B 93 C8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19219_0 {
	meta:
		name = "TChartSeries.SetColorEachPoint"
		size = 63
		refs = "000e TChartSeries.SetBooleanProperty 001b TChartSeries.Count 0033 TChartSeries.SetValueColor"
	strings:
		$1 = { 53 56 57 8B D8 8D 43 2C 8B CA 8B D3 92 E8 ?? ?? ?? ?? 80 7B 2C 00 75 23 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 FF B9 00 00 00 80 8B D7 8B C3 E8 ?? ?? ?? ?? 47 4E 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19220_0 {
	meta:
		name = "TChartSeries.SetShowInLegend"
		size = 11
		refs = "0006 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 48 5C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19221_0 {
	meta:
		name = "LoadSeriesBitmap"
		size = 357
		refs = "001a LoadSeriesBitmap 0043 TObject.ClassName 0054 @LStrFromString 0065 StrPCopy 0074 FindResource 008e @LStrFromArray 009e TBitmap.LoadFromResourceName 00ad TObject.ClassParent 0126 @HandleOnException 012e _Dn_Exception 0137 @DoneExcept 014f @LStrClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 57 33 C9 89 8D F8 FE FF FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 8D 95 F8 FD FF FF 8B 03 8B 00 E8 ?? ?? ?? ?? 8D 95 F8 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 6A 02 8D 85 FF FE FF FF 50 56 E8 ?? ?? ?? ?? 85 C0 74 2C 8D 85 F8 FE FF FF 8D 95 FF FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF 8B 43 04 8B D6 E8 ?? ?? ?? ?? C6 45 FF 00 EB 73 8B 03 8B 00 E8 ?? ?? ?? ?? 8D 95 F8 FD FF FF E8 ?? ?? ?? ?? 8D 95 F8 FD FF FF 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 6A 02 8D 85 FF FE FF FF 50 56 E8 ?? ?? ?? ?? 85 C0 74 2A 8D 85 F8 FE FF FF 8D 95 FF FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF 8B 43 04 8B D6 E8 ?? ?? ?? ?? C6 45 FF 00 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8A 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19222_0 {
	meta:
		name = "TChartSeries.GetBitmapEditor"
		size = 25
		refs = "000d LoadSeriesBitmap 0012 EnumModules"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_19223_0 {
	meta:
		name = "TChartSeries.GetxValue"
		size = 21
		refs = "0007 TChartValueList.GetValue"
	strings:
		$1 = { 83 C4 F8 8B 40 70 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19224_0 {
	meta:
		name = "TChartSeries.GetyValue"
		size = 21
		refs = "0007 TChartValueList.GetValue"
	strings:
		$1 = { 83 C4 F8 8B 40 78 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19225_0 {
	meta:
		name = "TChartSeries.SetYValue"
		size = 32
		refs = "0010 TChartValueList.SetValue 0017 TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B 43 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19226_0 {
	meta:
		name = "TChartSeries.SetXValue"
		size = 32
		refs = "0010 TChartValueList.SetValue 0017 TChartSeries.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B 43 70 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19227_0 {
	meta:
		name = "TChartSeries.GetXLabel"
		size = 62
		refs = "0017 TList.Get 0022 @LStrClr 0035 StrPas"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B 7B 74 3B 77 08 7D 0D 8B D6 8B C7 E8 ?? ?? ?? ?? 85 C0 75 09 8B C5 E8 ?? ?? ?? ?? EB 11 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19228_0 {
	meta:
		name = "TChartSeries.SetXLabel"
		size = 64
		refs = "000f TList.Get 001c TChartSeries.FreeXLabel 0025 TChartSeries.GetMemXLabel 0031 TList.Put 0038 TChartSeries.Repaint"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 74 E8 ?? ?? ?? ?? 85 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19229_0 {
	meta:
		name = "TChartSeries.GetValueColor"
		size = 58
		refs = "0014 TList.Get 0028 GetDefaultColor"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 30 3B 77 08 7D 24 8B D6 8B C7 E8 ?? ?? ?? ?? 3D 00 00 00 80 75 17 80 7B 2C 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 08 8B 43 28 EB 03 8B 43 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19230_0 {
	meta:
		name = "TChartSeries.SetParentChart"
		size = 43
		refs = "0014 TCustomAxisPanel.RemoveSeries 0024 TCustomAxisPanel.AddSeries"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 54 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 54 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19231_0 {
	meta:
		name = "TChartSeries.SetValueColor"
		size = 20
		refs = "0007 TList.Put 000e TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 8B 43 30 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19232_0 {
	meta:
		name = "TChartSeries.GetMemXLabel"
		size = 41
		refs = "000f @LStrLen 0015 @GetMem 0020 StrPCopy"
	strings:
		$1 = { 53 56 8B DA 85 DB 75 04 33 F6 EB 18 8B C3 E8 ?? ?? ?? ?? 40 E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19233_0 {
	meta:
		name = "TChartSeries.FreeXLabel"
		size = 34
		refs = "0005 TList.Get 0012 StrLen 001c @FreeMem"
	strings:
		$1 = { 53 8B 40 74 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 42 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19234_0 {
	meta:
		name = "TChartSeries.ClearLists"
		size = 102
		refs = "0019 TChartValueLists.GetValueList 001e TChartValueList.ClearValues 002e @CallDynaInst 0045 TChartSeries.FreeXLabel 005d TSeriesMarks.ClearPositions"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 6F 6C 8B 5D 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B 47 30 66 BB FF FF E8 ?? ?? ?? ?? 8B 47 74 8B 58 08 4B 85 DB 7C 10 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 F3 8B 47 74 66 BB FF FF E8 ?? ?? ?? ?? 8B 47 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19235_0 {
	meta:
		name = "TChartSeries.Clear"
		size = 67
		refs = "0029 TChartSeries.NotifyValue 003d TChartSeries.Repaint"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 66 83 BB 9A 00 00 00 00 74 0E 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 54 85 C0 74 0D F6 40 20 08 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19236_0 {
	meta:
		name = "TChartSeries.AssociatedToAxis"
		size = 47
		refs = "0012 TChartSeries.GetHorizAxis 001d TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BE 86 00 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 74 10 8B C3 E8 ?? ?? ?? ?? 3B F0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_19237_0 {
	meta:
		name = "TChartSeries.DrawLegendShape"
		size = 97
		refs = "001b TBrush.GetColor 003c TPen.SetColor 0046 TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 8B F9 8B 70 54 8B 9E 5C 02 00 00 8B D7 8B C3 8B 08 FF 51 70 8B 43 10 E8 ?? ?? ?? ?? 3B 86 FC 02 00 00 75 36 8B 43 10 E8 ?? ?? ?? ?? 85 C0 75 0D BA FF FF FF 00 8B 43 0C E8 ?? ?? ?? ?? B2 01 8B 43 10 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 70 33 D2 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19238_0 {
	meta:
		name = "TChartSeries.DrawLegend"
		size = 242
		refs = "0033 TBrush.SetColor 0058 TBrush.GetColor 00d8 TCustomTeePanel.SetBrushCanvas"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 0C 24 8B F2 8B D8 83 FE FF 75 0A 80 7B 2C 00 0F 85 CF 00 00 00 8B 43 54 8B 80 5C 02 00 00 8B 78 10 83 FE FF 75 0C 8B 53 28 8B C7 E8 ?? ?? ?? ?? EB 12 8B D6 8B C3 8B 08 FF 51 60 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 43 54 8B 80 5C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 84 84 00 00 00 8B 43 54 8B 80 FC 02 00 00 89 44 24 04 C6 44 24 08 00 8D 44 24 08 50 8D 4C 24 08 8B D6 8B C3 8B 38 FF 97 18 01 00 00 81 7C 24 04 00 00 00 80 75 0D 8B 43 54 8B 80 FC 02 00 00 89 44 24 04 81 7C 24 04 00 00 00 80 75 0A 8B 43 54 8B 40 64 89 44 24 04 8B 7B 54 8B 44 24 04 50 8B 87 5C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8A 4C 24 0C 8B C7 E8 ?? ?? ?? ?? 8B 0C 24 8B D6 8B C3 8B 18 FF 93 14 01 00 00 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19240_0 {
	meta:
		name = "TChartSeries.CalcZOrder"
		size = 43
	strings:
		$1 = { 8B 50 54 80 BA 4C 02 00 00 00 74 16 FF 82 E0 02 00 00 8B 50 54 8B 92 E0 02 00 00 89 90 CC 00 00 00 C3 33 D2 89 90 CC 00 00 00 C3 }
	condition:
		$1
}

rule function_19241_0 {
	meta:
		name = "TChartSeries.CalcXPosValue"
		size = 29
		refs = "000f TChartSeries.GetHorizAxis 0014 TCustomChartAxis.CalcXPosValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19243_0 {
	meta:
		name = "TChartSeries.CalcXSizeValue"
		size = 29
		refs = "000f TChartSeries.GetHorizAxis 0014 TCustomChartAxis.CalcXSizeValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19244_0 {
	meta:
		name = "TChartSeries.CalcYPosValue"
		size = 29
		refs = "000f TChartSeries.GetVertAxis 0014 TCustomChartAxis.CalcYPosValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19249_0 {
	meta:
		name = "TChartSeries.CalcYSizeValue"
		size = 29
		refs = "000f TChartSeries.GetVertAxis 0014 TCustomChartAxis.CalcYSizeValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19242_0 {
	meta:
		name = "TChartSeries.XScreenToValue"
		size = 58
		refs = "0018 TChartSeries.GetHorizAxis 001f TCustomChartAxis.CalcPosPoint"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B 43 54 83 B8 14 02 00 00 00 7E 14 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19245_0 {
	meta:
		name = "TChartSeries.CalcPosValue"
		size = 50
		refs = "0009 TChartSeries.YMandatory 001a TChartSeries.CalcYPosValue 0029 TChartSeries.CalcXPosValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19246_0 {
	meta:
		name = "TChartSeries.XValueToText"
		size = 35
		refs = "0012 TChartSeries.GetHorizAxis 0019 TCustomChartAxis.LabelValue"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19247_0 {
	meta:
		name = "TChartSeries.YValueToText"
		size = 35
		refs = "0012 TChartSeries.GetVertAxis 0019 TCustomChartAxis.LabelValue"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19248_0 {
	meta:
		name = "TChartSeries.YScreenToValue"
		size = 58
		refs = "0018 TChartSeries.GetVertAxis 001f TCustomChartAxis.CalcPosPoint"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B 43 54 83 B8 18 02 00 00 00 7E 14 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19250_0 {
	meta:
		name = "TChartSeries.CalcXPos"
		size = 37
		refs = "0019 TChartSeries.GetHorizAxis 001e TCustomChartAxis.CalcXPosValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 68 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19253_0 {
	meta:
		name = "TChartSeries.DoSeriesClick"
		size = 148
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 10 8B 53 54 C6 82 00 03 00 00 00 A8 40 74 34 66 83 BB C2 00 00 00 00 74 2A 8B 53 54 C6 82 00 03 00 00 01 8A 55 14 52 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D6 8B 83 C4 00 00 00 FF 93 C0 00 00 00 EB 32 66 83 BB BA 00 00 00 00 74 28 8B 53 54 C6 82 00 03 00 00 01 8A 55 14 52 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D6 8B 83 BC 00 00 00 FF 93 B8 00 00 00 8B 43 54 8A 80 00 03 00 00 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_19254_0 {
	meta:
		name = "TChartSeries.CalcYPos"
		size = 37
		refs = "0019 TChartSeries.GetVertAxis 001e TCustomChartAxis.CalcYPosValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 6C 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19255_0 {
	meta:
		name = "TChartSeries.Delete"
		size = 134
		refs = "0023 TChartValueLists.GetValueList 002a TChartValueList.Delete 003d TList.Delete 004e TChartSeries.FreeXLabel 0075 TChartSeries.NotifyValue 007c TChartSeries.Repaint"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F8 8B 47 6C 89 04 24 8B 04 24 8B 70 08 4E 85 F6 7C 18 46 33 ED 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 45 4E 75 EB 8B 47 30 3B 58 08 7D 07 8B D3 E8 ?? ?? ?? ?? 8B 47 74 3B 58 08 7D 13 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 47 74 8B D3 E8 ?? ?? ?? ?? 8B 47 50 8B 40 24 3B 58 08 7D 07 8B D3 E8 ?? ?? ?? ?? 8B CB B2 02 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19256_0 {
	meta:
		name = "TChartSeries.SwapValueIndex"
		size = 103
		refs = "002e TChartValueLists.GetValueList 003a TList.Exchange"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 89 04 24 8B 04 24 8B 40 6C 89 44 24 04 8B 44 24 04 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B D6 8B 44 24 04 E8 ?? ?? ?? ?? 8B 40 08 8B CD 8B D7 E8 ?? ?? ?? ?? 46 4B 75 E5 8B 04 24 8B 40 30 8B CD 8B D7 E8 ?? ?? ?? ?? 8B 04 24 8B 40 74 8B CD 8B D7 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19258_0 {
	meta:
		name = "TChartSeries.ClearTempValue"
		size = 9
	strings:
		$1 = { 33 C0 89 42 30 89 42 34 C3 }
	condition:
		$1
}

rule function_19259_0 {
	meta:
		name = "TChartSeries.SetSeriesColor"
		size = 11
		refs = "0006 TChartSeries.SetColorProperty"
	strings:
		$1 = { 8D 48 28 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19260_0 {
	meta:
		name = "TChartSeries.MaxXValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 70 8B 50 0C 89 14 24 8B 50 10 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19261_0 {
	meta:
		name = "TChartSeries.MaxYValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 78 8B 50 0C 89 14 24 8B 50 10 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19262_0 {
	meta:
		name = "TChartSeries.MinXValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 70 8B 50 14 89 14 24 8B 50 18 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19263_0 {
	meta:
		name = "TChartSeries.MinYValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 78 8B 50 14 89 14 24 8B 50 18 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19264_0 {
	meta:
		name = "TChartSeries.MaxZValue"
		size = 19
		altNames = "TChartSeries.MinZValue"
	strings:
		$1 = { 83 C4 F8 DB 80 CC 00 00 00 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19266_0 {
	meta:
		name = "TChartSeries.MaxMarkWidth"
		size = 143
		refs = "0013 TChartSeries.MaxMarkWidth 0025 TChartSeries.Count 0041 TChartSeries.GetMarkText 005c MaxLong 007a @LStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 48 8B F0 85 F6 7C 39 46 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 54 8B 80 5C 02 00 00 8B 08 FF 51 60 8B D0 8B 45 FC E8 ?? ?? ?? ?? 89 45 FC FF 45 F8 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19267_0 {
	meta:
		name = "TChartSeries.AddLinkedSeries"
		size = 32
		refs = "000c TList.IndexOf 0019 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 4C E8 ?? ?? ?? ?? 40 75 0A 8B D6 8B 43 4C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19268_0 {
	meta:
		name = "TChartSeries.RemoveDataSource"
		size = 20
		refs = "0007 TList.Remove 000e TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 8B D8 8B 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19269_0 {
	meta:
		name = "TChartSeries.RemoveLinkedSeries"
		size = 15
		refs = "000a TList.Remove"
	strings:
		$1 = { 8B 48 4C 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19270_0 {
	meta:
		name = "TChartSeries.NotifyValue"
		size = 286
		refs = "0028 TList.Get 004c TList.IndexOf 0068 TChartSeries.NotifyValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 88 14 24 8B F0 8B 46 4C 8B 68 08 4D 85 ED 0F 8C F7 00 00 00 45 33 FF 8B D7 8B 46 4C E8 ?? ?? ?? ?? 85 C0 0F 84 DA 00 00 00 8B D7 8B 46 4C E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 40 0F 84 B7 00 00 00 33 C0 8A 04 24 83 F8 04 0F 87 A9 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 44 24 08 F6 40 7E 08 0F 84 80 00 00 00 8B 44 24 08 8B 10 FF 92 90 00 00 00 EB 72 8B 44 24 08 F6 40 7E 01 74 68 8B 44 24 08 83 B8 80 00 00 00 00 75 5B 8B 4C 24 04 8B D6 8B 44 24 08 8B 18 FF 53 44 EB 4A 8B 44 24 08 F6 40 7E 04 74 40 8B 44 24 08 83 B8 80 00 00 00 00 75 33 8B 4C 24 04 8B D6 8B 44 24 08 8B 18 FF 53 34 EB 22 8B 44 24 08 F6 40 7E 02 74 18 8B D6 8B 44 24 08 8B 08 FF 51 38 EB 0B 8B D6 8B 44 24 08 8B 08 FF 51 38 47 4D 0F 85 0C FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19272_0 {
	meta:
		name = "TChartSeries.Loaded"
		size = 181
		refs = "0014 TChartSeries.Loaded 0021 TComponent.Loaded 003f @CallDynaInst 006f TComponent.FindComponent 0078 TChartSeries.InternalAddDataSource 0086 TObject.Free 008d TChartSeries.CheckDataSource 00a2 @LStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5E 60 85 DB 74 5E 8B C3 8B 10 FF 52 14 85 C0 7E 4B 8B 46 3C 66 BB FF FF E8 ?? ?? ?? ?? 8B 46 60 8B 10 FF 52 14 8B D8 4B 85 DB 7C 30 43 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 46 60 8B 38 FF 57 0C 8B 55 F8 8B 46 04 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4B 75 D8 8B 46 60 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19273_0 {
	meta:
		name = "TChartSeries.Destroy"
		size = 223
		refs = "0006 @BeforeDestruction 0016 TObject.Free 0025 TChartSeries.RemoveAllLinkedSeries 004a TList.Get 0051 TChartSeries.RemoveDataSource 0083 TChartValueLists.GetValueList 00c8 TComponent.Destroy 00d5 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B E8 8B 85 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 85 80 00 00 00 8B C5 E8 ?? ?? ?? ?? 8B 45 3C E8 ?? ?? ?? ?? 33 C0 89 45 3C 8B 45 4C 8B 70 08 4E 85 F6 7C 18 46 33 FF 8B D7 8B 45 4C E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 47 4E 75 EB 8B C5 8B 10 FF 92 90 00 00 00 8B 45 4C E8 ?? ?? ?? ?? 33 C0 89 45 4C 8B 5D 6C 8B 73 08 4E 85 F6 7C 15 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EE 8B 45 6C E8 ?? ?? ?? ?? 8B 45 30 E8 ?? ?? ?? ?? 8B 45 74 E8 ?? ?? ?? ?? 8B 45 50 E8 ?? ?? ?? ?? 83 7D 54 00 74 09 33 D2 8B C5 8B 08 FF 51 7C 8A 14 24 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19276_0 {
	meta:
		name = "TChartSeriesList.CountActive"
		size = 46
		refs = "0018 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B 5F 08 4B 85 DB 7C 17 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 24 00 74 01 45 46 4B 75 EC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19277_0 {
	meta:
		name = "TChartAxisTitle.Assign"
		size = 62
		refs = "000b _DV_TChartAxisTitle 0010 @IsClass 002d @LStrAsg 0036 TChartFontObject.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B FE 8B 47 10 89 43 10 8B 47 0C 89 43 0C 8D 43 14 8B 57 14 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19278_0 {
	meta:
		name = "TChartAxisTitle.IsAngleStored"
		size = 103
	strings:
		$1 = { 8B 50 10 8B 92 88 00 00 00 8B 48 10 3B 8A 90 02 00 00 75 06 83 78 0C 5A 75 4A 8B 48 10 3B 8A 94 02 00 00 75 09 81 78 0C 0E 01 00 00 75 36 8B 48 10 3B 8A 88 02 00 00 75 06 83 78 0C 00 75 25 8B 48 10 3B 8A 8C 02 00 00 75 06 83 78 0C 00 75 14 8B 48 10 3B 8A 84 02 00 00 75 06 83 78 0C 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_19279_0 {
	meta:
		name = "CheckAngle"
		size = 119
		refs = "0012 CheckAngle 0038 TeeMsg_Angle 003d LoadResString 0047 _DV_ChartException 004c Exception.CreateFmt 0051 @RaiseExcept 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 7C 07 3D 68 01 00 00 7E 2E 89 5D F8 C6 45 FC 0B 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19280_0 {
	meta:
		name = "TChartAxisTitle.SetAngle"
		size = 107
		refs = "000f TChartAxisTitle.SetAngle 0022 TeeMsg_AxisTitle 0027 LoadResString 0031 CheckAngle 0045 TChartFontObject.Repaint 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 0C 74 2B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 81 FE 68 01 00 00 7C 02 33 F6 89 73 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19281_0 {
	meta:
		name = "TChartAxisTitle.SetCaption"
		size = 14
		refs = "0009 TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 48 14 8B 40 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19282_0 {
	meta:
		name = "TCustomChartAxis.Create"
		size = 399
		refs = "000b @ClassCreate 001a TObject.Create 003f TeeMsg_DefValueFormat 0044 LoadResString 0051 CreateDefaultFont 007e _DV_TChartAxisTitle 0083 TChartFontObject.Create 0092 _Dn_TDarkGrayPen 0097 TDarkGrayPen.Create 0119 _Dn_TDottedGrayPen 011e TDottedGrayPen.Create 013e _DV_TChartAxisPen 0143 TChartAxisPen.Create 016c TCustomChartAxis.SetRoundFirstLabel 017b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 88 00 00 00 C6 47 3D 01 C6 47 04 01 C6 47 05 01 C6 47 06 01 C7 47 4C 0A 00 00 00 8D 57 5C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 54 00 C6 47 48 01 E8 ?? ?? ?? ?? 8B F0 89 77 44 8B 87 88 00 00 00 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 C6 87 84 00 00 00 01 8B 8F 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 2C 89 7E 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 74 8B 87 88 00 00 00 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 C7 87 80 00 00 00 04 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 70 8B 87 88 00 00 00 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 C7 47 6C 02 00 00 00 C7 47 68 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 78 8B 87 88 00 00 00 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 38 8B 87 88 00 00 00 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 24 8B 87 88 00 00 00 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 C6 87 8C 00 00 00 01 B2 01 8B C7 E8 ?? ?? ?? ?? C6 47 64 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19283_0 {
	meta:
		name = "DecMonths"
		size = 60
	strings:
		$1 = { 55 8B EC 8B 55 08 66 C7 42 FE 01 00 8B 55 08 66 3B 42 FC 73 09 8B 55 08 66 29 42 FC 5D C3 8B 55 08 66 FF 4A FA 8B 55 08 66 2B 42 FC 66 BA 0C 00 66 2B D0 8B 45 08 66 89 50 FC 5D C3 }
	condition:
		$1
}

rule function_19284_0 {
	meta:
		name = "IncMonths"
		size = 46
	strings:
		$1 = { 55 8B EC 8B 55 08 66 C7 42 FE 01 00 8B 55 08 66 01 42 FC 8B 45 08 66 83 78 FC 0C 76 0F 8B 45 08 66 FF 40 FA 8B 45 08 66 83 68 FC 0C 5D C3 }
	condition:
		$1
}

rule function_19285_0 {
	meta:
		name = "IncDecMonths"
		size = 36
		refs = "0011 IncMonths 001d DecMonths"
	strings:
		$1 = { 55 8B EC 8B 55 08 80 7A F9 00 74 0C 8B 55 08 52 E8 ?? ?? ?? ?? 59 5D C3 8B 55 08 52 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_19286_0 {
	meta:
		name = "TCustomChartAxis.IncDecDateTime"
		size = 336
		refs = "003f DecodeDate 0056 TCustomChartAxis.IncDecDateTime 00a0 IncDecMonths 0127 EncodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 88 55 F9 8B 5D 08 80 78 64 00 0F 84 16 01 00 00 80 B8 A8 00 00 00 00 0F 84 09 01 00 00 80 FB 12 0F 82 00 01 00 00 FF 76 04 FF 36 8D 4D FE 8D 55 FC 8D 45 FA E8 ?? ?? ?? ?? 33 C0 8A C3 83 C0 EE 83 F8 06 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 7D FE 0F 76 0B 66 C7 45 FE 0F 00 E9 92 00 00 00 66 83 7D FE 01 76 0B 66 C7 45 FE 01 00 E9 80 00 00 00 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 66 C7 45 FE 0F 00 EB 6D 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 EB 60 55 66 B8 02 00 E8 ?? ?? ?? ?? 59 EB 53 55 66 B8 03 00 E8 ?? ?? ?? ?? 59 EB 46 55 66 B8 04 00 E8 ?? ?? ?? ?? 59 EB 39 55 66 B8 06 00 E8 ?? ?? ?? ?? 59 EB 2C 80 7D F9 00 74 06 66 FF 45 FA EB 20 66 FF 4D FA EB 1A 80 7D F9 00 74 0A DD 06 DC 45 0C DD 1E 9B EB 38 DD 06 DC 65 0C DD 1E 9B EB 2E 66 8B 4D FE 66 8B 55 FC 66 8B 45 FA E8 ?? ?? ?? ?? DD 1E 9B EB 18 80 7D F9 00 74 0A DD 06 DC 45 0C DD 1E 9B EB 08 DD 06 DC 65 0C DD 1E 9B 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_19287_0 {
	meta:
		name = "TCustomChartAxis.IsDateTime"
		size = 103
		refs = "0014 TCustomAxisPanel.SeriesCount 0027 TCustomAxisPanel.GetSeries 0036 TChartSeries.GetHorizAxis 004a TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 56 57 55 51 89 04 24 8B 04 24 8B A8 88 00 00 00 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 40 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 74 28 8B C3 E8 ?? ?? ?? ?? 3B 04 24 75 08 8B 43 70 8A 40 04 EB 1A 8B C3 E8 ?? ?? ?? ?? 3B 04 24 75 08 8B 43 78 8A 40 04 EB 06 47 4E 75 C3 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19289_0 {
	meta:
		name = "TCustomChartAxis.SetMinorTicks"
		size = 9
	strings:
		$1 = { 8B 40 70 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_19290_0 {
	meta:
		name = "TCustomChartAxis.SetTicksInner"
		size = 9
	strings:
		$1 = { 8B 40 78 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_19292_0 {
	meta:
		name = "TCustomChartAxis.SetGridCentered"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 3C 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19294_0 {
	meta:
		name = "TCustomChartAxis.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 000f TObject.Free 004b TPersistent.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 70 E8 ?? ?? ?? ?? 8B 46 74 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19295_0 {
	meta:
		name = "TCustomChartAxis.CalcPosPoint"
		size = 372
		refs = "0025 TCustomChartAxis.InternalCalcLog 0034 TCustomChartAxis.CalcPosPoint 007d @EXP"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B FA 8B D8 8B B3 88 00 00 00 80 7B 20 00 0F 84 9C 00 00 00 8D 4C 24 10 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B DD 44 24 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 18 8B 83 98 00 00 00 89 04 24 8B 83 9C 00 00 00 89 44 24 04 E9 10 01 00 00 80 BB 86 00 00 00 00 74 2C 2B BE 60 02 00 00 89 7C 24 20 DB 44 24 20 DC 4C 24 08 DB 86 14 02 00 00 DE F9 DC 44 24 10 E8 ?? ?? ?? ?? DD 1C 24 9B E9 DB 00 00 00 2B BE 64 02 00 00 89 7C 24 20 DB 44 24 20 DC 4C 24 08 DB 86 18 02 00 00 DE F9 DC 6C 24 18 E8 ?? ?? ?? ?? DD 1C 24 9B E9 AF 00 00 00 80 BB 86 00 00 00 00 74 54 8B 96 14 02 00 00 85 D2 7E 3F 80 BB 85 00 00 00 00 74 0A 8B 86 68 02 00 00 2B C7 EB 08 8B C7 2B 86 60 02 00 00 89 44 24 20 DB 44 24 20 DC 8B A0 00 00 00 89 54 24 24 DB 44 24 24 DE F9 DC 83 98 00 00 00 DD 1C 24 9B EB 5D 33 C0 89 04 24 89 44 24 04 EB 52 8B 96 18 02 00 00 85 D2 7E 3F 80 BB 85 00 00 00 00 74 0A 8B 86 6C 02 00 00 2B C7 EB 08 8B C7 2B 86 64 02 00 00 89 44 24 20 DB 44 24 20 DC 8B A0 00 00 00 89 54 24 24 DB 44 24 24 DE F9 DC AB 90 00 00 00 DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 83 C4 28 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_19296_0 {
	meta:
		name = "TCustomChartAxis.SetDateTimeFormat"
		size = 17
		refs = "000c TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 48 60 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19298_0 {
	meta:
		name = "TCustomChartAxis.SetRoundFirstLabel"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 65 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19299_0 {
	meta:
		name = "TCustomChartAxis.SetLabelsMultiLine"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 66 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19300_0 {
	meta:
		name = "TCustomChartAxis.SetTickOnLabelsOnly"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 84 00 00 00 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19301_0 {
	meta:
		name = "TCustomChartAxis.CalcDateTimeIncrement"
		size = 212
		refs = "0011 DateTimeStep 001b MaxDouble 0028 TCustomChartAxis.CalcDateTimeIncrement 0063 @ROUND 0089 NextDateTimeStep"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B F8 FF 77 0C FF 77 08 A1 ?? ?? ?? ?? FF 70 04 FF 30 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 76 73 85 F6 7E 6F DD 87 A0 00 00 00 DC 34 24 D8 1D ?? ?? ?? ?? DF E0 9E 76 10 DD 87 A0 00 00 00 D8 35 ?? ?? ?? ?? DD 1C 24 9B DD 87 A0 00 00 00 DC 34 24 E8 ?? ?? ?? ?? 8B D8 3B F3 7D 33 DD 04 24 A1 ?? ?? ?? ?? DC 98 C0 00 00 00 DF E0 9E 73 13 FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0D D9 05 ?? ?? ?? ?? DC 0C 24 DD 1C 24 9B 3B F3 7C B5 FF 74 24 04 FF 74 24 04 A1 ?? ?? ?? ?? FF 70 04 FF 30 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5F 5E 5B C3 00 00 00 00 00 24 74 49 00 00 00 40 }
	condition:
		$1
}

rule function_19302_0 {
	meta:
		name = "NextStep"
		size = 220
		refs = "000b NextStep"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 72 26 8B 45 10 50 DD 45 08 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 D8 0D ?? ?? ?? ?? DD 5D F8 9B EB 7A DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 28 8B 45 10 50 DD 45 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 DB 2D ?? ?? ?? ?? DE C9 DD 5D F8 9B EB 44 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 0E 33 C0 89 45 F8 C7 45 FC 00 00 00 40 EB 28 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 0E 33 C0 89 45 F8 C7 45 FC 00 00 14 40 EB 0C 33 C0 89 45 F8 C7 45 FC 00 00 24 40 DD 45 F8 59 59 5D C2 08 00 00 00 00 00 00 20 41 00 00 80 3F CD CC CC CC CC CC CC CC FB 3F 00 00 00 00 00 40 00 00 A0 40 }
	condition:
		$1
}

rule function_19303_0 {
	meta:
		name = "TCustomChartAxis.InternalCalcLabelsIncrement"
		size = 260
		refs = "001f TCustomChartAxis.InternalCalcLabelsIncrement 0093 @ROUND 00a7 NextStep 00dc MaxDouble"
	strings:
		$1 = { 55 8B EC 53 56 57 83 C4 F0 8B F2 8B D8 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 77 38 DD 83 A0 00 00 00 D9 E1 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? DF E0 9E 73 11 C7 04 24 11 EA 2D 81 C7 44 24 04 99 97 71 3D EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F0 3F 85 F6 7E 65 8D 7E 01 83 7B 4C 00 7E 5C DD 83 A0 00 00 00 DC 34 24 DD 5C 24 08 9B DD 44 24 08 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 24 DD 44 24 08 E8 ?? ?? ?? ?? 8B F8 3B F7 7D 28 55 FF 74 24 08 FF 74 24 08 E8 ?? ?? ?? ?? 59 DD 1C 24 9B EB 13 55 FF 74 24 08 FF 74 24 08 E8 ?? ?? ?? ?? 59 DD 1C 24 9B 3B F7 7C A4 FF 74 24 04 FF 74 24 04 68 99 97 71 3D 68 11 EA 2D 81 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 5F 5E 5B 5D C3 00 00 00 00 00 00 00 80 3F 00 00 00 00 FE FF FF FF 1D 40 00 00 }
	condition:
		$1
}

rule function_19304_0 {
	meta:
		name = "TCustomChartAxis.CalcLabelsIncrement"
		size = 87
		refs = "0011 TCustomChartAxis.CalcDateTimeIncrement 001c TCustomChartAxis.InternalCalcLabelsIncrement 0030 DateTimeStep"
	strings:
		$1 = { 83 C4 F8 85 D2 7E 1F 80 B8 A8 00 00 00 00 74 0B E8 ?? ?? ?? ?? DD 1C 24 9B EB 36 E8 ?? ?? ?? ?? DD 1C 24 9B EB 2B 80 B8 A8 00 00 00 00 74 13 A1 ?? ?? ?? ?? 8B 10 89 14 24 8B 50 04 89 54 24 04 EB 0F C7 04 24 11 EA 2D 81 C7 44 24 04 99 97 71 3D DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19305_0 {
	meta:
		name = "TCustomChartAxis.LabelWidth"
		size = 127
		refs = "000d TCustomChartAxis.LabelWidth 003e TCustomChartAxis.LabelValue 0053 TTeeCanvas.FontHeight 006a @LStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 88 00 00 00 8B B0 5C 02 00 00 8B 43 40 83 E8 01 72 07 2D B3 00 00 00 75 1E FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 60 8B D8 EB 09 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19306_0 {
	meta:
		name = "TCustomChartAxis.LabelHeight"
		size = 127
		refs = "000d TCustomChartAxis.LabelHeight 0035 TTeeCanvas.FontHeight 0049 TCustomChartAxis.LabelValue 006a @LStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 88 00 00 00 8B B0 5C 02 00 00 8B 43 40 83 E8 01 72 07 2D B3 00 00 00 75 0B 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 1C FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 60 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19307_0 {
	meta:
		name = "TCustomChartAxis.IsMaxStored"
		size = 18
	strings:
		$1 = { 80 78 04 00 75 06 80 78 05 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_19308_0 {
	meta:
		name = "TCustomChartAxis.IsMinStored"
		size = 18
	strings:
		$1 = { 80 78 04 00 75 06 80 78 06 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_19309_0 {
	meta:
		name = "TCustomChartAxis.CalcXYIncrement"
		size = 144
		refs = "001e TCustomChartAxis.CalcXYIncrement 002f @ROUND 005b TCustomChartAxis.CalcLabelsIncrement"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B F2 8B D8 8B 7B 4C 85 FF 7E 21 89 7C 24 08 DB 44 24 08 DB 2D ?? ?? ?? ?? DE C9 89 74 24 0C DB 44 24 0C DE C9 E8 ?? ?? ?? ?? 03 F0 85 F6 7E 2C 89 6C 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? 89 74 24 0C DB 44 24 0C DE F9 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 10 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 5D 5F 5E 5B C3 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_19310_0 {
	meta:
		name = "TCustomChartAxis.CalcIncrement"
		size = 164
		refs = "001e TCustomChartAxis.LabelWidth 0038 MaxLong 004d TCustomChartAxis.CalcXYIncrement 0066 TCustomChartAxis.LabelHeight"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB 86 00 00 00 00 74 48 FF B3 94 00 00 00 FF B3 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 FF B3 9C 00 00 00 FF B3 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 83 88 00 00 00 8B 88 14 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 46 FF B3 94 00 00 00 FF B3 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 FF B3 9C 00 00 00 FF B3 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 83 88 00 00 00 8B 88 18 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_19311_0 {
	meta:
		name = "InternalCalcMinMax"
		size = 70
		refs = "0016 TCustomTeePanel.ReCalcWidthHeight 0023 TCustomChartAxis.CalcPosPoint"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 40 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 DD 58 F4 9B 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 08 DD 58 EC 9B 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19312_0 {
	meta:
		name = "TCustomChartAxis.AdjustMaxMinRect"
		size = 256
		refs = "0049 InternalCalcMinMax 0082 TCustomTeePanel.ReCalcWidthHeight 00d9 SwapDouble"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 45 FC 8B 45 FC 8B 98 88 00 00 00 8D B3 60 02 00 00 8D 7D DC B9 04 00 00 00 F3 A5 8B 45 FC 80 B8 86 00 00 00 00 74 1F 8D 83 60 02 00 00 8B 4A 08 29 48 08 8B 12 01 10 55 8B 55 E4 8B 45 DC E8 ?? ?? ?? ?? 59 EB 1F 8D 83 60 02 00 00 8B 4A 0C 29 48 0C 8B 52 04 01 50 04 55 8B 55 E0 8B 45 E8 E8 ?? ?? ?? ?? 59 8D 75 DC 8D BB 60 02 00 00 B9 04 00 00 00 F3 A5 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 90 98 00 00 00 8B 55 F8 89 90 9C 00 00 00 8B 45 FC 8B 55 EC 89 90 90 00 00 00 8B 55 F0 89 90 94 00 00 00 8B 45 FC DD 80 98 00 00 00 8B 45 FC DC 98 90 00 00 00 DF E0 9E 76 16 8B 45 FC 8D 90 90 00 00 00 8B 45 FC 05 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC DD 80 90 00 00 00 8B 45 FC DC A0 98 00 00 00 8B 45 FC DD 98 A0 00 00 00 9B 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19313_0 {
	meta:
		name = "TCustomChartAxis.CalcMinMax"
		size = 87
		refs = "0027 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 04 00 75 06 80 7B 05 00 74 19 8A 83 86 00 00 00 50 33 C9 8B D3 8B 83 88 00 00 00 E8 ?? ?? ?? ?? DD 1F 9B 80 7B 04 00 75 06 80 7B 06 00 74 19 8A 83 86 00 00 00 50 B1 01 8B D3 8B 83 88 00 00 00 E8 ?? ?? ?? ?? DD 1E 9B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19314_0 {
	meta:
		name = "TCustomChartAxis.AdjustMaxMin"
		size = 73
		refs = "000c TCustomChartAxis.CalcMinMax"
	strings:
		$1 = { 53 8B D8 8D 4B 10 8D 53 18 8B C3 E8 ?? ?? ?? ?? 8B 43 10 89 83 90 00 00 00 8B 43 14 89 83 94 00 00 00 8B 43 18 89 83 98 00 00 00 8B 43 1C 89 83 9C 00 00 00 DD 83 90 00 00 00 DC A3 98 00 00 00 DD 9B A0 00 00 00 9B 5B C3 }
	condition:
		$1
}

rule function_19315_0 {
	meta:
		name = "TCustomChartAxis.Assign"
		size = 339
		refs = "000b _DV_TCustomChartAxis 0010 @IsClass 00bb @LStrAsg 0106 TCustomChartAxis.SetDateTimeFormat 0110 TCustomChartAxis.SetLogarithmic 014b TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 2A 01 00 00 8B FE 8A 87 8C 00 00 00 88 83 8C 00 00 00 8A 47 3D 88 43 3D 8B 47 40 89 43 40 8B 57 44 8B 43 44 8B 08 FF 51 08 8B 47 4C 89 43 4C 8B 47 50 89 43 50 8B 47 30 89 43 30 8A 47 54 88 43 54 8A 47 48 88 43 48 8B 57 74 8B 43 74 8B 08 FF 51 08 8B 57 70 8B 43 70 8B 08 FF 51 08 8B 57 78 8B 43 78 8B 08 FF 51 08 8B 57 38 8B 43 38 8B 08 FF 51 08 8B 57 24 8B 43 24 8B 08 FF 51 08 8B 87 80 00 00 00 89 83 80 00 00 00 8B 47 6C 89 43 6C 8B 47 68 89 43 68 8B 47 7C 89 43 7C 8D 43 5C 8B 57 5C E8 ?? ?? ?? ?? 8B 47 08 89 43 08 8B 47 0C 89 43 0C 8B 47 10 89 43 10 8B 47 14 89 43 14 8B 47 18 89 43 18 8B 47 1C 89 43 1C 8A 47 04 88 43 04 8A 47 05 88 43 05 8A 47 06 88 43 06 8B 57 2C 8B 43 2C 8B 08 FF 51 08 8B 57 60 8B C3 E8 ?? ?? ?? ?? 8A 57 20 8B C3 E8 ?? ?? ?? ?? 8A 87 85 00 00 00 88 83 85 00 00 00 8A 47 64 88 43 64 8A 47 65 88 43 65 8A 87 84 00 00 00 88 83 84 00 00 00 8A 87 A9 00 00 00 88 83 A9 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19316_0 {
	meta:
		name = "TCustomChartAxis.LabelValue"
		size = 248
		refs = "0010 TCustomChartAxis.LabelValue 004d DateTimeDefaultFormat 0057 DateTimeToString 0072 @LStrClr 0088 FormatFloat 00bf TeeSplitInLines 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A8 00 00 00 00 74 55 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 72 3E 83 7B 60 00 75 26 FF 75 0C FF 75 08 FF B3 A4 00 00 00 FF B3 A0 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 2F FF 75 0C FF 75 08 8B C6 8B 53 60 E8 ?? ?? ?? ?? EB 1D 8B C6 E8 ?? ?? ?? ?? EB 14 DD 45 08 83 C4 F4 DB 3C 24 9B 8B D6 8B 43 5C E8 ?? ?? ?? ?? 8B 83 88 00 00 00 66 83 B8 A6 02 00 00 00 74 15 6A FF 56 8B F8 33 C9 8B D3 8B 87 A8 02 00 00 FF 97 A4 02 00 00 80 7B 66 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 00 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_19317_0 {
	meta:
		name = "TCustomChartAxis.CalcLabelStyle"
		size = 291
		refs = "002e TChartSeriesList.CountActive 003d TCustomAxisPanel.SeriesCount 0054 TCustomAxisPanel.GetSeries 00a3 TCustomAxisPanel.GetAxisSeries 00bf TChartSeries.YMandatory 00e4 TCustomAxisPanel.GetLabelsSeries 00fb TList.First"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D8 8A 43 54 84 C0 0F 85 01 01 00 00 80 BB A9 00 00 00 00 74 7D C6 04 24 04 8B BB 88 00 00 00 8B 87 80 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E DE 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C CC 00 00 00 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 74 34 80 BB D3 00 00 00 00 75 22 8B C3 8B 10 FF 92 C0 00 00 00 DD 5C 24 04 9B 8B C3 8B 10 FF 92 B4 00 00 00 DC 5C 24 04 DF E0 9E 74 09 C6 04 24 02 E9 84 00 00 00 45 4E 75 B7 EB 7E 8B D3 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 C6 04 24 01 EB 65 80 BB 86 00 00 00 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 14 80 BB 86 00 00 00 00 75 3F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 34 8B D3 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1B 8B 46 74 83 78 08 00 7E 12 8B 46 74 E8 ?? ?? ?? ?? 85 C0 74 06 C6 04 24 04 EB 0F C6 04 24 02 EB 09 C6 04 24 02 EB 03 88 04 24 8A 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19318_0 {
	meta:
		name = "TCustomChartAxis.MaxLabelsWidth"
		size = 396
		refs = "0013 TCustomChartAxis.MaxLabelsWidth 0026 TCustomChartAxis.CalcLabelStyle 0046 TCustomChartAxis.IsDateTime 005d TCustomChartAxis.CalcIncrement 006f @INT 00ea TCustomChartAxis.LabelValue 0117 MaxLong 0143 TCustomAxisPanel.MaxMarkWidth 014e TCustomAxisPanel.MaxTextWidth 0169 @LStrClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 D2 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 2C 02 74 15 FE C8 0F 84 0A 01 00 00 FE C8 0F 84 0D 01 00 00 E9 13 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 80 7B 64 00 75 06 80 7B 65 00 74 37 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 83 98 00 00 00 DC 75 F8 E8 ?? ?? ?? ?? DC 4D F8 DD 5D F0 9B DD 83 90 00 00 00 DC 75 F8 E8 ?? ?? ?? ?? DC 4D F8 DD 5D E8 9B EB 24 8B 83 98 00 00 00 89 45 F0 8B 83 9C 00 00 00 89 45 F4 8B 83 90 00 00 00 89 45 E8 8B 83 94 00 00 00 89 45 EC 8B 86 A4 02 00 00 89 45 E0 8B 86 A8 02 00 00 89 45 E4 33 C0 89 86 A4 02 00 00 89 86 A8 02 00 00 8B 86 5C 02 00 00 89 45 DC FF 75 EC FF 75 E8 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC 8B 08 FF 51 60 50 FF 75 F4 FF 75 F0 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC 8B 08 FF 51 60 5A E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 60 03 D8 8B 45 E0 89 86 A4 02 00 00 8B 45 E4 89 86 A8 02 00 00 EB 18 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 0D 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 00 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_19319_0 {
	meta:
		name = "TCustomChartAxis.SetLabels"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 3D 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19321_0 {
	meta:
		name = "TCustomChartAxis.IsFontStored"
		size = 15
		refs = "0007 IsDefaultFont"
	strings:
		$1 = { 53 8B D8 8B 43 44 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_19322_0 {
	meta:
		name = "TCustomChartAxis.SetAutomatic"
		size = 43
		refs = "0012 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 56 04 8B CB 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 F6 40 20 01 75 06 88 5E 06 88 5E 05 5E 5B C3 }
	condition:
		$1
}

rule function_19323_0 {
	meta:
		name = "TCustomChartAxis.SetAutomaticMinimum"
		size = 33
		refs = "0012 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 56 06 8B CB 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 84 DB 75 04 C6 46 04 00 5E 5B C3 }
	condition:
		$1
}

rule function_19324_0 {
	meta:
		name = "TCustomChartAxis.SetAutomaticMaximum"
		size = 33
		refs = "0012 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 56 05 8B CB 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 84 DB 75 04 C6 46 04 00 5E 5B C3 }
	condition:
		$1
}

rule function_19325_0 {
	meta:
		name = "TCustomChartAxis.IsAxisValuesFormatStored"
		size = 86
		refs = "000c TCustomChartAxis.IsAxisValuesFormatStored 001a TeeMsg_DefValueFormat 001f LoadResString 002a @LStrCmp 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 5C E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_19326_0 {
	meta:
		name = "TCustomChartAxis.SetValuesFormat"
		size = 17
		refs = "000c TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 48 5C 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19327_0 {
	meta:
		name = "TCustomChartAxis.SetInverted"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 85 00 00 00 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19328_0 {
	meta:
		name = "TCustomChartAxis.InternalSetInverted"
		size = 7
	strings:
		$1 = { 88 90 85 00 00 00 C3 }
	condition:
		$1
}

rule function_19329_0 {
	meta:
		name = "TCustomChartAxis.SetLogarithmic"
		size = 208
		refs = "000f TCustomChartAxis.SetLogarithmic 0020 TCustomChartAxis.IsDateTime 002c TeeMsg_AxisLogDateTime 0031 LoadResString 003b _DV_AxisException 0040 Exception.Create 0045 @RaiseExcept 0052 TCustomChartAxis.AdjustMaxMin 007c TeeMsg_AxisLogNotPositive 00a5 TCustomTeePanel.SetBooleanProperty 00ba @LStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 2E 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 84 DB 74 4A 8B C6 E8 ?? ?? ?? ?? DD 86 98 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 72 11 DD 86 90 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 20 8B CB 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_19330_0 {
	meta:
		name = "TCustomChartAxis.SetLabelsAngle"
		size = 108
		refs = "000f TCustomChartAxis.SetLabelsAngle 001d TeeMsg_AxisLabels 0022 LoadResString 002c CheckAngle 0046 TCustomTeePanel.SetIntegerProperty 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 81 FB 68 01 00 00 7C 02 33 DB 8D 56 40 8B CB 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19331_0 {
	meta:
		name = "TCustomChartAxis.SetLabelsSeparation"
		size = 104
		refs = "0009 TCustomChartAxis.SetLabelsSeparation 001b TeeMsg_AxisLabelSep 0020 LoadResString 002a _DV_AxisException 002f Exception.Create 0034 @RaiseExcept 0044 TCustomTeePanel.SetIntegerProperty 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 4C 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_19332_0 {
	meta:
		name = "TCustomChartAxis.SetLabelsSize"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 50 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19333_0 {
	meta:
		name = "TCustomChartAxis.SetTitleSize"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 30 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19334_0 {
	meta:
		name = "TCustomChartAxis.SetLabelsOnAxis"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 48 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19335_0 {
	meta:
		name = "TCustomChartAxis.SetExactDateTime"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 64 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19336_0 {
	meta:
		name = "TCustomChartAxis.SetLabelStyle"
		size = 20
	strings:
		$1 = { 3A 50 54 74 0E 88 50 54 8B 80 88 00 00 00 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_19337_0 {
	meta:
		name = "TCustomChartAxis.SetVisible"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 8C 00 00 00 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19338_0 {
	meta:
		name = "TCustomChartAxis.SetDesiredIncrement"
		size = 156
		refs = "000c TCustomChartAxis.SetDesiredIncrement 0028 TeeMsg_AxisIncrementNeg 002d LoadResString 0037 _DV_AxisException 003c Exception.Create 0041 @RaiseExcept 0048 TCustomChartAxis.IsDateTime 005a DateTimeToStr 006e TCustomTeePanel.SetDoubleProperty 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 53 08 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_19339_0 {
	meta:
		name = "TCustomChartAxis.SetMinimum"
		size = 124
		refs = "000b TCustomChartAxis.SetMinimum 0030 TeeMsg_AxisMinMax 0035 LoadResString 003f _DV_AxisException 0044 Exception.Create 0049 @RaiseExcept 0056 TCustomChartAxis.InternalSetMinimum 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 8B D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 82 88 00 00 00 F6 40 20 02 75 2C DD 45 08 DC 5A 10 DF E0 9E 76 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19340_0 {
	meta:
		name = "TCustomChartAxis.InternalSetMinimum"
		size = 27
		refs = "0013 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 18 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19341_0 {
	meta:
		name = "TCustomChartAxis.SetMaximum"
		size = 124
		refs = "000b TCustomChartAxis.SetMaximum 0030 TeeMsg_AxisMaxMin 0035 LoadResString 003f _DV_AxisException 0044 Exception.Create 0049 @RaiseExcept 0056 TCustomChartAxis.InternalSetMaximum 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 8B D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 82 88 00 00 00 F6 40 20 02 75 2C DD 45 08 DC 5A 18 DF E0 9E 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19342_0 {
	meta:
		name = "TCustomChartAxis.SetMinMax"
		size = 156
		refs = "0026 TCustomChartAxis.InternalSetMinimum 0033 TCustomChartAxis.InternalSetMaximum 005b TCustomChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 C6 43 04 00 C6 43 06 00 C6 43 05 00 DD 45 10 DC 5D 08 DF E0 9E 77 1C FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? EB 1A FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? DD 43 10 DC 63 18 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 76 24 FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DC 45 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 00 BF D5 ED BD CE FE E6 DB DD 3F 00 00 }
	condition:
		$1
}

rule function_19343_0 {
	meta:
		name = "TCustomChartAxis.InternalSetMaximum"
		size = 27
		refs = "0013 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 10 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19344_0 {
	meta:
		name = "TCustomChartAxis.SetTickLength"
		size = 20
		refs = "000f TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 80 00 00 00 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19345_0 {
	meta:
		name = "TCustomChartAxis.SetMinorTickLength"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 6C 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19346_0 {
	meta:
		name = "TCustomChartAxis.SetMinorTickCount"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 68 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19347_0 {
	meta:
		name = "TCustomChartAxis.SetTickInnerLength"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 7C 8B 80 88 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19348_0 {
	meta:
		name = "TCustomChartAxis.DrawTitle"
		size = 155
		refs = "0036 TFont.SetColor 0091 TCustomChartAxis.DrawAxisLabel"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B D8 8B 83 88 00 00 00 8B 90 5C 02 00 00 80 B8 44 02 00 00 00 74 16 8B 42 08 81 78 14 FF FF FF 00 75 0A 8B 42 08 33 D2 E8 ?? ?? ?? ?? 8B 73 2C 80 BB A9 00 00 00 00 74 38 8B 5E 04 8B BB 5C 02 00 00 33 D2 8B C7 8B 08 FF 51 28 8B 83 54 02 00 00 D1 F8 79 03 83 D0 00 50 8B 46 14 50 8B 4C 24 0C 8B 54 24 08 8B C7 8B 18 FF 93 14 01 00 00 EB 17 8B 46 0C 50 8B 46 14 50 8B 4C 24 0C 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19349_0 {
	meta:
		name = "NumTextLines"
		size = 166
		refs = "0013 @LStrAddRef 001b NumTextLines 002c TeeLineSeparator 0033 @LStrFromChar 003e AnsiPos 0053 @LStrDelete 0093 @LStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F8 8B 15 ?? ?? ?? ?? 8A 12 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 7E 30 43 8D 55 FC 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? 8A 12 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 7F D0 83 7D FC 00 74 01 43 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19350_0 {
	meta:
		name = "TCustomChartAxis.DrawAxisLabel"
		size = 1028
		refs = "0023 TCustomChartAxis.DrawAxisLabel 006b Aligns 0084 TTeeCanvas.FontHeight 01a3 NumTextLines 01ed @ROUND 02f6 @LStrLAsg 030a TeeLineSeparator 0311 @LStrFromChar 031c AnsiPos 0336 @LStrCopy 03b4 @LStrDelete 03dc @LStrClr 03e9 @LStrArrayClr 03ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D E8 89 5D E4 89 4D F8 89 55 FC 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BE 88 00 00 00 8B C3 83 E8 01 72 1C 83 E8 59 74 58 83 E8 5A 0F 84 9E 00 00 00 83 E8 5A 0F 84 D3 00 00 00 E9 17 01 00 00 33 D2 8A 96 87 00 00 00 8A 86 86 00 00 00 33 C9 8A C8 8D 0C CD ?? ?? ?? ?? 8B 14 91 89 55 EC 84 C0 0F 85 F5 00 00 00 8B 87 5C 02 00 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 29 45 F8 E9 DB 00 00 00 80 BE 86 00 00 00 00 74 2C 33 C0 8A 86 87 00 00 00 8B 04 85 ?? ?? ?? ?? 89 45 EC 8B 87 5C 02 00 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 29 45 FC E9 A6 00 00 00 8A 86 87 00 00 00 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 EC E9 8C 00 00 00 8A 96 87 00 00 00 80 F2 01 83 E2 7F 8A 86 86 00 00 00 33 C9 8A C8 8D 0C CD ?? ?? ?? ?? 8B 14 91 89 55 EC 84 C0 75 65 8B 87 5C 02 00 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 01 45 F8 EB 4E 80 BE 86 00 00 00 00 74 2C 8A 86 87 00 00 00 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 EC 8B 87 5C 02 00 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 01 45 FC EB 19 33 C0 8A 86 87 00 00 00 8B 04 85 ?? ?? ?? ?? 89 45 EC EB 05 33 C0 89 45 EC 8B 87 5C 02 00 00 89 45 E0 80 BE 87 00 00 00 00 74 0B 8B 87 54 02 00 00 89 45 F0 EB 05 33 C0 89 45 F0 8B 55 EC 8B 45 E0 8B 08 FF 51 28 8B 45 08 E8 ?? ?? ?? ?? 8B F8 8B 45 E0 E8 ?? ?? ?? ?? 89 45 F4 81 FB B4 00 00 00 74 08 81 FB 0E 01 00 00 75 03 F7 5D F4 80 BE 86 00 00 00 00 0F 84 96 00 00 00 85 DB 75 2C 80 BE 87 00 00 00 00 74 18 8B 45 F4 F7 EF 89 45 D8 DB 45 D8 E8 ?? ?? ?? ?? 29 45 F8 E9 F6 00 00 00 8B 45 F4 29 45 F8 E9 EB 00 00 00 81 FB B4 00 00 00 75 2C 80 BE 87 00 00 00 00 74 0B 8B 45 F4 29 45 F8 E9 CF 00 00 00 8B 45 F4 F7 EF 89 45 D8 DB 45 D8 E8 ?? ?? ?? ?? 29 45 F8 E9 B7 00 00 00 83 FB 5A 74 0C 81 FB 0E 01 00 00 0F 85 A6 00 00 00 DB 45 F4 D8 0D ?? ?? ?? ?? 8D 47 01 89 45 D8 DB 45 D8 DE C9 E8 ?? ?? ?? ?? 29 45 FC E9 85 00 00 00 85 DB 74 08 81 FB B4 00 00 00 75 1E DB 45 F4 D8 0D ?? ?? ?? ?? 8D 47 01 89 45 D8 DB 45 D8 DE C9 E8 ?? ?? ?? ?? 29 45 F8 EB 5B 80 BE 87 00 00 00 00 74 2A 83 FB 5A 75 08 8B 45 F4 29 45 FC EB 45 81 FB 0E 01 00 00 75 3D 8B 45 F4 F7 EF 89 45 D8 DB 45 D8 E8 ?? ?? ?? ?? 29 45 FC EB 28 83 FB 5A 75 15 8B 45 F4 F7 EF 89 45 D8 DB 45 D8 E8 ?? ?? ?? ?? 29 45 FC EB 0E 81 FB 0E 01 00 00 75 06 8B 45 F4 29 45 FC 8D 45 E8 8B 55 08 E8 ?? ?? ?? ?? 85 FF 0F 8E BF 00 00 00 89 7D DC 8D 45 D4 8B 15 ?? ?? ?? ?? 8A 12 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 E8 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 16 8D 45 E4 50 8B CE 49 BA 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? EB 0B 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 85 DB 75 21 8B 45 F4 01 45 F8 8B 45 F0 50 8B 45 E4 50 8B 4D F8 8B 55 FC 8B 45 E0 8B 38 FF 97 14 01 00 00 EB 3D 81 FB B4 00 00 00 75 08 8B 45 F4 01 45 F8 EB 13 83 FB 5A 74 08 81 FB 0E 01 00 00 75 06 8B 45 F4 01 45 FC 8B 45 F0 50 8B 45 E4 50 53 8B 4D F8 8B 55 FC 8B 45 E0 8B 38 FF 97 10 01 00 00 8D 45 E8 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? FF 4D DC 0F 85 44 FF FF FF 33 D2 8B 45 E0 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_19351_0 {
	meta:
		name = "TCustomChartAxis.Scroll"
		size = 156
		refs = "0012 TCustomChartAxis.Scroll 002d TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 84 DB 74 58 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 1E 8A 86 86 00 00 00 50 33 C9 8B D6 8B 86 88 00 00 00 E8 ?? ?? ?? ?? DC 5E 10 DF E0 9E 77 2C DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 73 49 8A 86 86 00 00 00 50 B1 01 8B D6 8B 86 88 00 00 00 E8 ?? ?? ?? ?? DC 5E 18 DF E0 9E 73 2B C6 46 04 00 C6 46 05 00 DD 46 10 DC 45 08 DD 5E 10 9B C6 46 06 00 DD 46 18 DC 45 08 DD 5E 18 9B 8B 86 88 00 00 00 8B 10 FF 52 7C 5E 5B 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_19352_0 {
	meta:
		name = "TCustomChartAxis.InternalCalcLog"
		size = 116
		refs = "0014 TCustomChartAxis.InternalCalcLog"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 DD 83 98 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 77 09 33 C0 89 07 89 47 04 EB 0F DD 83 98 00 00 00 D9 ED D9 C9 D9 F1 DD 1F 9B DD 83 90 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 77 09 33 C0 89 06 89 46 04 EB 0F DD 83 90 00 00 00 D9 ED D9 C9 D9 F1 DD 1E 9B DD 06 DC 27 DD 1C 24 9B DD 04 24 59 5A 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_19353_0 {
	meta:
		name = "TCustomChartAxis.InternalCalcPos"
		size = 188
		refs = "001e TCustomChartAxis.InternalCalcLog 002b TCustomChartAxis.InternalCalcPos 005f @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 80 7B 20 00 74 52 8D 4D E8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 8B C6 EB 76 DD 45 10 D8 1D ?? ?? ?? ?? DF E0 9E 77 04 8B C7 EB 64 DD 45 10 D9 ED D9 C9 D9 F1 DC 65 E8 DB 45 08 DE C9 DC 75 F8 E8 ?? ?? ?? ?? 03 C7 EB 47 DD 83 A0 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 04 8B C6 EB 32 DD 45 10 DC A3 98 00 00 00 DB 45 08 DE C9 DC B3 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 08 80 BB 85 00 00 00 00 74 08 8B 45 0C 2B 45 08 EB 05 8B 45 08 03 C7 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_19354_0 {
	meta:
		name = "TCustomChartAxis.CalcPosValue"
		size = 24
		refs = "0010 TCustomChartAxis.InternalCalcPosValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8A 90 86 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19355_0 {
	meta:
		name = "TCustomChartAxis.InternalCalcPosValue"
		size = 184
		refs = "001e TCustomChartAxis.InternalCalcPosValue 004d @ROUND 007a TCustomChartAxis.InternalCalcPos"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B B3 88 00 00 00 80 BB A9 00 00 00 00 74 3D DD 83 A0 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 75 08 8B 86 54 02 00 00 EB 7A DB 86 54 02 00 00 D8 0D ?? ?? ?? ?? DD 45 08 DC A3 98 00 00 00 DE C9 DC B3 A0 00 00 00 E8 ?? ?? ?? ?? EB 56 84 D2 74 29 FF 75 0C FF 75 08 8B 86 68 02 00 00 50 8B 86 14 02 00 00 50 8B 8E 60 02 00 00 8B 96 1C 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 29 FF 75 0C FF 75 08 8B 86 64 02 00 00 50 8B 86 18 02 00 00 F7 D8 50 8B 8E 6C 02 00 00 8B 96 20 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_19356_0 {
	meta:
		name = "TCustomChartAxis.CalcXPosValue"
		size = 20
		refs = "000c TCustomChartAxis.InternalCalcPosValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 B2 01 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19358_0 {
	meta:
		name = "TCustomChartAxis.InternalCalcSizeValue"
		size = 152
		refs = "0014 TCustomChartAxis.InternalCalcSizeValue 002c TCustomChartAxis.InternalCalcLog 0057 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B FA 8B D8 33 F6 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 76 69 80 7B 20 00 74 3C 8D 4D E8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? DF E0 9E 74 44 DD 45 08 D9 ED D9 C9 D9 F1 89 7D E4 DB 45 E4 DE C9 DC 75 F8 E8 ?? ?? ?? ?? 8B F0 EB 27 DD 83 A0 00 00 00 D8 1D ?? ?? ?? ?? DF E0 9E 74 16 89 7D E4 DB 45 E4 DC 4D 08 DC B3 A0 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_19359_0 {
	meta:
		name = "TCustomChartAxis.CalcSizeValue"
		size = 40
		refs = "0013 TCustomChartAxis.CalcXSizeValue 0020 TCustomChartAxis.CalcYSizeValue"
	strings:
		$1 = { 55 8B EC 80 B8 86 00 00 00 00 74 0D FF 75 0C FF 75 08 E8 ?? ?? ?? ?? EB 0B FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19360_0 {
	meta:
		name = "TCustomChartAxis.CalcXSizeValue"
		size = 30
		refs = "0016 TCustomChartAxis.InternalCalcSizeValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 90 88 00 00 00 8B 92 14 02 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19361_0 {
	meta:
		name = "TCustomChartAxis.CalcYSizeValue"
		size = 30
		refs = "0016 TCustomChartAxis.InternalCalcSizeValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 90 88 00 00 00 8B 92 18 02 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_19362_0 {
	meta:
		name = "TCustomChartAxis.Clicked"
		size = 124
		refs = "0012 TCustomAxisPanel.IsAxisVisible 0044 TeeAxisClickGap"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D3 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 5C 8B 83 88 00 00 00 8D 88 60 02 00 00 80 BB 86 00 00 00 00 74 23 3B 31 7C 17 3B 71 08 7F 12 8B 43 28 2B C7 99 33 C2 2B C2 3B 05 ?? ?? ?? ?? 7C 04 33 C0 EB 2A B0 01 EB 26 3B 79 04 7C 17 3B 79 0C 7F 12 8B 43 28 2B C6 99 33 C2 2B C2 3B 05 ?? ?? ?? ?? 7C 04 33 C0 EB 06 B0 01 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19363_0 {
	meta:
		name = "TCustomChartAxis.CustomDrawMinMax"
		size = 385
		refs = "0045 TCustomChartAxis.CustomDrawMinMax 00db TCustomChartAxis.CustomDraw 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 45 FC 8B 45 FC 8B 58 18 89 5D F4 8B 58 1C 89 5D F8 8B 45 FC 8B 58 10 89 5D EC 8B 58 14 89 5D F0 8B 45 FC 8B 58 08 89 5D E4 8B 58 0C 89 5D E8 8B 45 FC 8A 40 04 88 45 E3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 04 00 8B 45 FC 8B 5D 18 89 58 18 8B 5D 1C 89 58 1C 8B 45 FC 8B 5D 10 89 58 10 8B 5D 14 89 58 14 8B 45 FC 8B 5D 08 89 58 08 8B 5D 0C 89 58 0C 8B 45 FC 8B 5D FC 8B 73 10 89 B0 90 00 00 00 8B 73 14 89 B0 94 00 00 00 8B 45 FC 8B 5D FC 8B 73 18 89 B0 98 00 00 00 8B 73 1C 89 B0 9C 00 00 00 8B 45 FC DD 80 90 00 00 00 8B 45 FC DC A0 98 00 00 00 8B 45 FC DD 98 A0 00 00 00 9B 8B 45 24 50 8A 45 20 50 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 18 8B 55 F8 89 50 1C 8B 45 FC 8B 55 EC 89 50 10 8B 55 F0 89 50 14 8B 45 FC 8B 55 E4 89 50 08 8B 55 E8 89 50 0C 8B 45 FC 8A 55 E3 88 50 04 8B 45 FC 8B 55 FC 8B 4A 10 89 88 90 00 00 00 8B 4A 14 89 88 94 00 00 00 8B 45 FC 8B 55 FC 8B 4A 18 89 88 98 00 00 00 8B 4A 1C 89 88 9C 00 00 00 8B 45 FC DD 80 90 00 00 00 8B 45 FC DC A0 98 00 00 00 8B 45 FC DD 98 A0 00 00 00 9B C3 E9 ?? ?? ?? ?? E9 73 FF FF FF 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_19364_0 {
	meta:
		name = "TCustomChartAxis.CustomDraw"
		size = 58
		refs = "001d TChartPen.SetVisible 0026 TCustomChartAxis.Draw"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 89 56 58 89 4E 34 8B 45 0C 89 46 28 8B 46 38 8A 58 18 8A 55 08 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 38 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19365_0 {
	meta:
		name = "TCustomChartAxis.GetAxisRectSide"
		size = 44
	strings:
		$1 = { 80 B8 87 00 00 00 00 74 12 80 B8 86 00 00 00 00 74 05 8B 42 04 EB 14 8B 42 08 C3 80 B8 86 00 00 00 00 74 05 8B 42 0C EB 02 8B 02 C3 }
	condition:
		$1
}

rule function_19366_0 {
	meta:
		name = "InternalDrawTick"
		size = 326
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 FC 8B B0 88 00 00 00 8B 45 08 8B 40 FC 80 B8 A9 00 00 00 00 74 32 8B 86 6C 02 00 00 50 57 8B 45 08 8B 40 FC 8B 40 28 03 C2 8B 5D 08 8B 5B FC 03 53 28 03 CA 8B 96 5C 02 00 00 92 8B 18 FF 93 CC 00 00 00 E9 EC 00 00 00 8B 45 08 8B 40 FC 80 B8 87 00 00 00 00 74 73 8B 45 08 8B 40 FC 80 B8 86 00 00 00 00 74 35 8B 45 08 8B 40 FC 8B 40 28 2B C2 2B C1 50 8B 86 54 02 00 00 50 8B 45 08 8B 40 FC 8B 48 28 2B CA 8B 86 5C 02 00 00 8B D7 8B 18 FF 93 D0 00 00 00 E9 99 00 00 00 57 8B 86 54 02 00 00 50 8B 45 08 8B 40 FC 8B 40 28 03 C2 8B 5D 08 8B 5B FC 03 53 28 03 CA 8B 96 5C 02 00 00 92 8B 18 FF 93 CC 00 00 00 EB 6A 8B C2 8B 55 08 03 42 F8 8D 14 01 8B 4D 08 8B 49 FC 80 B9 86 00 00 00 00 74 29 8B 4D 08 8B 49 FC 03 51 28 52 6A 00 8B 55 08 8B 52 FC 8B 4A 28 03 C8 8B 86 5C 02 00 00 8B D7 8B 18 FF 93 D0 00 00 00 EB 27 57 6A 00 8B 4D 08 8B 49 FC 8B 49 28 2B CA 8B 55 08 8B 52 FC 8B 52 28 2B D0 8B 86 5C 02 00 00 8B 18 FF 93 CC 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19367_0 {
	meta:
		name = "DrawGrid"
		size = 714
		refs = "002d TBrush.SetStyle 0051 TCustomTeePanel.CheckPenWidth 0059 TPen.GetStyle 0064 TPen.GetColor 0078 TPen.SetColor 0106 TPen.SetStyle"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 08 8B 40 FC 8B 98 88 00 00 00 8B B3 5C 02 00 00 8D 83 60 02 00 00 89 45 F4 B2 01 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 1C 8B 45 08 8B 40 FC 8B 50 38 8B 46 0C 8B 08 FF 51 08 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 88 45 FB 8B 46 0C E8 ?? ?? ?? ?? 3D 00 00 00 80 75 0D BA 80 80 80 00 8B 46 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 A9 00 00 00 00 74 45 8B 45 F4 8B 40 0C 50 8B 45 FC 50 8B 45 F4 8B 48 04 8B 45 F4 8B 10 8B C6 8B 18 FF 93 D0 00 00 00 8B 45 F4 8B 40 0C 50 8B 45 FC 50 8B 45 F4 8B 48 08 8B 45 F4 8B 10 8B C6 8B 18 FF 93 CC 00 00 00 E9 EA 01 00 00 8B 45 08 8B 40 FC 80 B8 86 00 00 00 00 0F 84 F2 00 00 00 80 BB 4C 02 00 00 00 0F 84 96 00 00 00 8B 45 08 8B 40 FC 80 B8 87 00 00 00 00 74 34 8A 55 FB 8B 46 0C E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 50 8B 83 54 02 00 00 50 8B 45 08 8B 40 FC 8B 48 28 8B 55 FC 8B C6 8B 18 FF 93 D0 00 00 00 E9 87 01 00 00 33 D2 8B 46 0C E8 ?? ?? ?? ?? 6A 00 8B 83 54 02 00 00 50 8B 45 08 8B 40 FC 8B 48 28 8B 55 FC 8B C6 8B 38 FF 97 D4 00 00 00 8A 55 FB 8B 46 0C E8 ?? ?? ?? ?? 8B 83 54 02 00 00 50 8B 45 F4 8B 48 04 8B 55 FC 8B C6 8B 18 FF 93 EC 00 00 00 E9 34 01 00 00 8B 45 08 8B 40 FC 80 B8 87 00 00 00 00 74 20 8B 45 F4 8B 40 0C 50 8B 45 08 8B 40 FC 8B 48 28 41 8B 55 FC 8B C6 8B 18 FF 53 74 E9 05 01 00 00 8B 45 F4 8B 40 04 50 8B 45 08 8B 40 FC 8B 48 28 49 8B 55 FC 8B C6 8B 18 FF 53 74 E9 E5 00 00 00 80 BB 4C 02 00 00 00 0F 84 92 00 00 00 8B 45 08 8B 40 FC 80 B8 87 00 00 00 00 74 33 8A 55 FB 8B 46 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 54 02 00 00 50 8B 45 F4 8B 08 8B 45 08 8B 40 FC 8B 50 28 8B C6 8B 18 FF 93 CC 00 00 00 E9 96 00 00 00 33 D2 8B 46 0C E8 ?? ?? ?? ?? 6A 00 8B 83 54 02 00 00 50 8B 45 08 8B 40 FC 8B 50 28 8B 4D FC 8B C6 8B 38 FF 97 D4 00 00 00 8A 55 FB 8B 46 0C E8 ?? ?? ?? ?? 8B 83 54 02 00 00 50 8B 45 F4 8B 50 08 8B 4D FC 8B C6 8B 18 FF 93 EC 00 00 00 EB 46 8B 45 08 8B 40 FC 80 B8 87 00 00 00 00 74 1C 8B 45 FC 50 8B 45 F4 8B 08 8B 45 08 8B 40 FC 8B 50 28 4A 8B C6 8B 18 FF 53 6C EB 1B 8B 45 FC 50 8B 45 F4 8B 48 08 8B 45 08 8B 40 FC 8B 50 28 42 8B C6 8B 18 FF 53 6C B2 02 8B C6 8B 08 FF 51 1C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19368_0 {
	meta:
		name = "DrawLabel"
		size = 261
		refs = "0047 TBrush.SetColor 0051 TBrush.SetStyle 0070 TFont.SetColor 00da TCustomChartAxis.DrawAxisLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 40 FC 8B B0 88 00 00 00 8B 9E 5C 02 00 00 8B 45 08 8B 40 FC 8B 50 44 8B C6 8B 08 FF 91 C8 00 00 00 8B 45 08 8B 40 FC 8B 80 88 00 00 00 8B 50 64 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 10 E8 ?? ?? ?? ?? 80 BE 44 02 00 00 00 74 16 8B 43 08 81 78 14 FF FF FF 00 75 0A 33 D2 8B 43 08 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 78 58 8B 45 08 8B 40 FC 80 B8 A9 00 00 00 00 74 25 33 D2 8B C3 8B 08 FF 51 28 8B 45 F8 50 8B 45 FC 50 8B 8E 6C 02 00 00 8B D7 8B C3 8B 18 FF 93 14 01 00 00 EB 4D 8B 45 08 8B 40 FC 80 B8 86 00 00 00 00 74 20 8B 45 08 8B 40 FC 8B 40 40 50 8B 45 FC 50 8B 45 08 8B 40 FC 8B CF 8B 55 F8 E8 ?? ?? ?? ?? EB 1E 8B 45 08 8B 40 FC 8B 40 40 50 8B 45 FC 50 8B 45 08 8B 40 FC 8B 4D F8 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19369_0 {
	meta:
		name = "DrawTicksGrid"
		size = 480
		refs = "0051 InternalDrawTick 00bc DrawTicksGrid 00c1 @ROUND 00c6 DrawGrid"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8B 45 08 8B 40 FC 8B 40 74 80 78 18 00 74 3C 8B 55 08 8B D0 8B 45 08 8B 40 FC 8B 80 88 00 00 00 8B 80 5C 02 00 00 8B 40 0C 8B 08 FF 51 08 8B 45 08 50 8B 45 08 8B 40 FC 8B 88 80 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 40 38 80 78 18 00 74 74 8B 45 08 DD 40 F0 8B 45 08 8B 40 FC DC 98 90 00 00 00 DF E0 9E 74 5D 8B 45 08 DD 40 F0 8B 45 08 8B 40 FC DC 98 98 00 00 00 DF E0 9E 74 46 8B 45 08 8B 40 FC 80 78 3C 00 74 2E 8B 45 08 83 78 EC FF 7E 31 8B 45 08 50 8B 45 08 8B 40 EC 03 C6 89 45 F4 DB 45 F4 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0C 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 40 78 80 78 18 00 74 39 8B 55 08 8B D0 8B 45 08 8B 40 FC 8B 80 88 00 00 00 8B 80 5C 02 00 00 8B 40 0C 8B 08 FF 51 08 8B 45 08 50 8B 45 08 8B 40 FC 8B 48 7C F7 D9 83 CA FF 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 40 70 80 78 18 00 0F 84 96 00 00 00 8B 55 08 83 7A EC FF 0F 8E 89 00 00 00 8B 55 08 8B D0 8B 45 08 8B 40 FC 8B 80 88 00 00 00 8B 80 5C 02 00 00 8B 40 0C 8B 08 FF 51 08 8B 55 08 8B CE 2B 4A EC 89 4D F4 DB 45 F4 D8 0D ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 68 8B D0 42 89 55 F0 DB 45 F0 DE F9 DD 5D F8 9B 8B 55 08 8B D8 85 DB 7E 35 BF 01 00 00 00 8B 45 08 50 89 7D F4 DB 45 F4 DC 4D F8 E8 ?? ?? ?? ?? 50 8B C6 5A 2B C2 8B 55 08 8B 52 FC 8B 4A 6C BA 01 00 00 00 E8 ?? ?? ?? ?? 59 47 4B 75 D0 8B 45 08 89 70 EC 5F 5E 5B 8B E5 5D C3 00 00 00 00 3F 00 00 80 3F }
	condition:
		$1
}

rule function_19370_0 {
	meta:
		name = "CalcTmpLabelSize"
		size = 136
		refs = "0050 TTeeCanvas.FontHeight 005e CalcTmpLabelSize 0070 @TRUNC"
	strings:
		$1 = { 55 8B EC 51 53 8B 55 08 8B 52 FC 8A 92 86 00 00 00 8B 4D 08 8B 49 FC 8B 49 40 83 E9 5A 74 08 81 E9 B4 00 00 00 75 03 80 F2 01 8B 4D 08 8B 49 FC 8B 89 88 00 00 00 8B 89 5C 02 00 00 84 D2 74 0D 8B D0 8B C1 8B 08 FF 51 60 8B D8 EB 09 8B C1 E8 ?? ?? ?? ?? 8B D8 89 5D FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 8B 45 08 8B 40 FC DB 40 4C DE C9 E8 ?? ?? ?? ?? 03 D8 8B C3 5B 59 5D C3 0A D7 A3 70 3D 0A D7 A3 F9 3F 00 00 }
	condition:
		$1
}

rule function_19371_0 {
	meta:
		name = "DrawThisLabel"
		size = 155
		refs = "0014 CalcTmpLabelSize 007d DrawTicksGrid 008b DrawLabel"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 88 45 FF 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 D1 F8 79 03 83 D0 00 80 7D FF 00 74 35 8B 55 08 3B 5A E8 7C 17 8B 55 08 8B 52 E8 8B 4D 08 03 51 E4 8B CB 2B C8 3B D1 0F 9E C2 EB 18 8B 55 08 8B 52 E8 8B 4D 08 2B 51 E4 8D 0C 18 3B D1 0F 9D C2 EB 02 B2 01 8B 4D 08 89 41 E4 84 D2 74 2F 8B 45 08 8B 40 FC 80 B8 84 00 00 00 00 74 0C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 89 58 E8 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19372_0 {
	meta:
		name = "AxisLabelsSeries"
		size = 394
		refs = "0017 AxisLabelsSeries 002c TChartSeries.InternalCalcFirstLastIndex 005d TChartSeries.GetValue 00a2 TCustomChartAxis.CalcPosValue 00c0 DrawTicksGrid 00ef TCustomAxisPanel.MarkText 0102 TCustomAxisPanel.XLabelText 0157 DrawThisLabel 0177 @LStrClr 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 8B DA 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 3D 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 40 83 F8 FF 0F 84 2A 01 00 00 8B 73 48 2B F0 0F 8C 1F 01 00 00 46 89 45 F8 8B 45 08 8B 40 FC 8A 90 86 00 00 00 8B 4D F8 8B C3 E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 8B 45 08 8B 40 FC DC 98 98 00 00 00 DF E0 9E 0F 82 DF 00 00 00 DD 45 E8 8B 45 08 8B 40 FC DC 98 90 00 00 00 DF E0 9E 0F 87 C7 00 00 00 FF 75 EC FF 75 E8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 8B 40 FC 80 B8 84 00 00 00 00 75 0D 8B 45 08 50 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 80 78 3D 00 0F 84 87 00 00 00 8A 45 FF 2C 03 74 06 FE C8 74 15 EB 24 8D 45 F0 50 8B 4D F8 8B D3 8B 43 54 E8 ?? ?? ?? ?? EB 11 8D 45 F0 50 8B 4D F8 8B D3 8B 43 54 E8 ?? ?? ?? ?? 8B 43 54 66 83 B8 A6 02 00 00 00 74 1E 8B 55 F8 52 8D 55 F0 52 8B 55 08 8B 52 FC 8B F8 8B CB 8B 87 A8 02 00 00 FF 97 A4 02 00 00 8B 45 08 50 8B 45 08 8B 40 FC 83 78 4C 00 74 09 8B 45 08 83 78 E8 FF 75 04 33 C0 EB 02 B0 01 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 59 FF 45 F8 4E 0F 85 E5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19373_0 {
	meta:
		name = "InternalDrawLabel"
		size = 197
		refs = "000d InternalDrawLabel 0027 TCustomChartAxis.CalcPosValue 0043 DrawTicksGrid 006b TCustomChartAxis.LabelValue 0077 DrawThisLabel 009f TCustomChartAxis.IncDecDateTime 00b4 @LStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC 80 B8 84 00 00 00 00 75 0C 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 80 78 3D 00 74 28 8B 45 08 50 8B 45 08 FF 70 F4 FF 70 F0 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 33 C0 E8 ?? ?? ?? ?? 59 84 DB 74 23 8B 45 08 FF 70 E0 FF 70 DC 8B 45 08 8A 40 DB 50 8B 45 08 8D 48 F0 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19374_0 {
	meta:
		name = "RoundDate"
		size = 160
		refs = "0013 EncodeDate 002f DecodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 B9 01 00 66 BA 01 00 66 B8 6C 07 E8 ?? ?? ?? ?? DC 5D 08 DF E0 9E 73 6C FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 8B 45 10 8B 40 08 8A 40 DB 2C 12 74 09 48 2C 05 72 1B 74 21 EB 2B 66 83 7D F2 0F 72 08 66 C7 45 F2 0F 00 EB 1C 66 C7 45 F2 01 00 EB 14 66 C7 45 F2 01 00 EB 0C 66 C7 45 F2 01 00 66 C7 45 F4 01 00 66 8B 4D F2 66 8B 55 F4 66 8B 45 F6 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_19375_0 {
	meta:
		name = "DoDefaultLabels"
		size = 396
		refs = "002b DoDefaultLabels 0085 RoundDate 00c4 @TRUNC 00fb TCustomChartAxis.IncDecDateTime 0117 InternalDrawLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 5D 08 83 C3 FC 8B 75 08 83 C6 F0 8B 03 DD 80 90 00 00 00 8B 45 08 DC 70 DC DD 1E 9B DD 06 D9 E1 DB 2D ?? ?? ?? ?? DE D9 DF E0 9E 0F 86 3A 01 00 00 8B 03 DD 80 A0 00 00 00 8B 45 08 DC 70 DC D9 E1 D8 1D ?? ?? ?? ?? DF E0 9E 0F 83 1B 01 00 00 8B 03 80 B8 A8 00 00 00 00 74 2B 8B 03 80 78 64 00 74 23 8B 45 08 80 78 DB 0E 72 1A 55 8B 03 FF B0 94 00 00 00 FF B0 90 00 00 00 E8 ?? ?? ?? ?? 59 DD 1E 9B EB 4B 8B 03 DD 80 98 00 00 00 8B 03 DC 98 90 00 00 00 DF E0 9E 74 08 8B 03 80 78 65 00 75 15 8B 03 8B 90 90 00 00 00 89 16 8B 90 94 00 00 00 89 56 04 EB 19 DD 06 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC DF 6D F8 8B 45 08 DC 48 DC DD 1E 9B 8B 03 80 78 48 00 74 66 EB 1B 8B 45 08 FF 70 E0 FF 70 DC 8B 45 08 8A 40 DB 50 8B CE 8B 03 33 D2 E8 ?? ?? ?? ?? DD 06 8B 03 DC 98 90 00 00 00 DF E0 9E 77 D6 EB 0C 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 DD 06 8B 03 DC 98 98 00 00 00 DF E0 9E 73 E5 EB 47 8B 45 08 FF 70 E0 FF 70 DC 8B 45 08 8A 40 DB 50 8B CE 8B 03 33 D2 E8 ?? ?? ?? ?? DD 06 8B 03 DC 98 90 00 00 00 DF E0 9E 73 D6 EB 0C 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 DD 06 8B 03 DC 98 98 00 00 00 DF E0 9E 77 E5 5E 5B 59 59 5D C3 00 00 00 00 00 00 FE FF FF FF 1D 40 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_19376_0 {
	meta:
		name = "DoCustomLabels"
		size = 228
		refs = "0063 DoDefaultLabels 006c DoCustomLabels 00b5 InternalDrawLabel"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 45 08 8B 55 08 8B 52 FC 8B 8A 98 00 00 00 89 48 F0 8B 8A 9C 00 00 00 89 48 F4 C6 45 FF 01 33 F6 33 DB 8B 45 08 83 C0 F0 50 8D 45 FF 50 8B 45 08 8B 40 FC 8B 98 88 00 00 00 8B 45 08 8B 50 FC 8B CE 8B 83 B0 02 00 00 FF 93 AC 02 00 00 80 7D FF 00 74 10 85 F6 75 73 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 67 DB 2D ?? ?? ?? ?? 8B 45 08 8B 40 FC DC A8 98 00 00 00 8B 45 08 DC 58 F0 DF E0 9E 77 1D DB 2D ?? ?? ?? ?? 8B 45 08 8B 40 FC DC 80 90 00 00 00 8B 45 08 DC 58 F0 DF E0 9E 73 04 33 DB EB 02 B3 01 84 DB 74 0C 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 46 80 7D FF 00 75 10 84 DB 74 0C 81 FE E8 03 00 00 0F 8E 58 FF FF FF 5E 5B 59 5D C3 00 00 BC 42 7A E5 D5 94 BF D6 E7 3F 00 00 }
	condition:
		$1
}

rule function_19377_0 {
	meta:
		name = "DrawAxisTitle"
		size = 187
		refs = "0033 TBrush.SetColor 0043 TBrush.SetStyle 006c TCustomChartAxis.DrawTitle"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 98 88 00 00 00 8B 45 08 8B 40 FC 8B 40 2C 8B 50 08 8B C3 8B 08 FF 91 C8 00 00 00 8B 83 5C 02 00 00 8B 40 10 8B 53 64 E8 ?? ?? ?? ?? 8B 83 5C 02 00 00 8B 40 10 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 A9 00 00 00 00 74 1D 8B 45 08 8B 40 FC 8B 50 34 8B 45 08 8B 40 FC 8B 8B 6C 02 00 00 E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 FC 80 B8 86 00 00 00 00 74 1C 8B 45 08 8B 40 FC 8B 48 34 8B 45 08 8B 40 FC 8B 93 1C 02 00 00 E8 ?? ?? ?? ?? EB 1A 8B 45 08 8B 40 FC 8B 50 34 8B 45 08 8B 40 FC 8B 8B 20 02 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_19378_0 {
	meta:
		name = "DrawAxisLine"
		size = 372
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 45 08 8B 40 FC 8B 98 88 00 00 00 8D B3 60 02 00 00 8B 83 5C 02 00 00 89 45 F8 8B 45 08 8B 40 FC 8B 50 24 8B 45 F8 8B 40 0C 8B 08 FF 51 08 8B 45 08 8B 40 FC 80 B8 A9 00 00 00 00 74 46 8B 93 8C 02 00 00 8B C3 8B 08 FF 91 D4 00 00 00 03 46 0C 89 45 FC 6A 00 8B 4D FC 8B 56 08 8B 45 F8 8B 38 FF 97 E8 00 00 00 8B 83 54 02 00 00 50 8B 4D FC 8B 56 08 8B 45 F8 8B 18 FF 93 EC 00 00 00 E9 E0 00 00 00 8B 45 08 8B 40 FC 80 B8 86 00 00 00 00 74 6B 8B 45 08 8B 40 FC 80 B8 87 00 00 00 00 74 26 8B 45 08 8B 40 FC 8B 40 28 50 8B 83 54 02 00 00 50 8B 4E 08 8B 16 8B 45 F8 8B 18 FF 93 CC 00 00 00 E9 9C 00 00 00 8B 45 08 8B 40 FC 8B 40 28 8B 55 08 03 42 F8 50 6A 00 8B 93 90 02 00 00 8B C3 8B 08 FF 91 D4 00 00 00 8B 16 2B D0 8B 4E 08 8B 45 F8 8B 18 FF 93 CC 00 00 00 EB 66 8B 45 08 8B 40 FC 80 B8 87 00 00 00 00 74 24 8B 46 0C 50 8B 83 54 02 00 00 50 8B 45 08 8B 40 FC 8B 50 28 8B 4E 04 8B 45 F8 8B 18 FF 93 D0 00 00 00 EB 33 8B 93 8C 02 00 00 8B C3 8B 08 FF 91 D4 00 00 00 03 46 0C 50 6A 00 8B 45 08 8B 40 FC 8B 50 28 8B 45 08 2B 50 F8 8B 4E 04 8B 45 F8 8B 18 FF 93 D0 00 00 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19379_0 {
	meta:
		name = "DepthAxisLabels"
		size = 288
		refs = "0012 DepthAxisLabels 0029 @TRUNC 0071 TCustomChartAxis.CalcPosValue 008f DrawTicksGrid 00b4 TCustomAxisPanel.SeriesTitleLegend 00e8 DrawThisLabel 0106 @LStrClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC DD 80 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC DD 80 90 00 00 00 E8 ?? ?? ?? ?? 8B F0 2B F3 0F 8C AB 00 00 00 46 89 5D F4 DB 45 F4 8B 45 08 8B 40 FC DC A8 90 00 00 00 D8 25 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 8B 40 FC 80 B8 84 00 00 00 00 75 0D 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 80 78 3D 00 74 4D 8B 45 08 8B 40 FC 8B B8 88 00 00 00 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 66 83 BF A6 02 00 00 00 74 19 53 8D 45 F8 50 8B 45 08 8B 50 FC 33 C9 8B 87 A8 02 00 00 FF 97 A4 02 00 00 8B 45 08 50 8B 4D F8 8B 55 FC 33 C0 E8 ?? ?? ?? ?? 59 43 4E 0F 85 56 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_19380_0 {
	meta:
		name = "TCustomChartAxis.Draw"
		size = 424
		refs = "001c TCustomChartAxis.IsDateTime 0049 TCustomChartAxis.CalcIncrement 005e TCustomChartAxis.GetAxisRectSide 0074 DrawAxisTitle 0095 FindDateTimeStep 00b1 DateTimeStep 00ce TCustomChartAxis.Draw 011a TCustomChartAxis.CalcLabelStyle 013c DoCustomLabels 0145 DoDefaultLabels 0152 TCustomAxisPanel.GetAxisSeries 015b AxisLabelsSeries 016f DepthAxisLabels 017c TCustomAxisPanel.GetLabelsSeries 0197 DrawAxisLine"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B DA 89 45 FC 8D 7D FC 8B 07 8B B0 88 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B 17 88 82 A8 00 00 00 8B 17 8B C6 8B 08 FF 91 D4 00 00 00 89 45 F8 8B 07 8B 50 44 8B C6 8B 08 FF 91 C8 00 00 00 8B 07 E8 ?? ?? ?? ?? DD 5D DC 9B 84 DB 74 12 8D 96 60 02 00 00 8B 07 E8 ?? ?? ?? ?? 8B 17 89 42 28 8B 07 8B 40 2C 83 78 14 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 07 80 B8 A8 00 00 00 00 74 41 8B 07 80 78 64 00 74 39 8B 07 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 88 45 DB 80 7D DB 19 74 27 EB 03 FE 45 DB DD 45 DC 33 C0 8A 45 DB 8B 15 ?? ?? ?? ?? DC 1C C2 DF E0 9E 76 0C 80 7D DB 18 75 E1 EB 04 C6 45 DB 19 DD 45 DC D8 1D ?? ?? ?? ?? DF E0 9E 77 14 80 7D DB 12 0F 82 A9 00 00 00 80 7D DB 18 0F 87 9F 00 00 00 8B 07 DD 80 90 00 00 00 8B 07 DC 98 98 00 00 00 DF E0 9E 0F 82 86 00 00 00 C7 45 E8 FF FF FF FF 33 C0 89 45 E4 C7 45 EC FF FF FF FF 8B 07 E8 ?? ?? ?? ?? 8B D8 8B C3 2C 02 74 0A FE C8 74 22 FE C8 74 34 EB 5A 66 83 BE AE 02 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 47 55 E8 ?? ?? ?? ?? 59 EB 3E 55 8B 17 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 59 EB 28 8B 07 80 B8 A9 00 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 14 55 8B 17 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 59 8B 07 8B 40 24 80 78 18 00 74 07 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_19381_0 {
	meta:
		name = "InflateAxisRect"
		size = 91
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 80 BA 86 00 00 00 00 74 25 8B 55 08 8B 52 FC 80 BA 87 00 00 00 00 74 0B 8B 55 08 8B 52 F8 01 42 04 EB 2D 8B 55 08 8B 52 F8 29 42 0C 5D C3 8B 55 08 8B 52 FC 80 BA 87 00 00 00 00 74 0B 8B 55 08 8B 52 F8 29 42 08 EB 08 8B 55 08 8B 52 F8 01 02 5D C3 }
	condition:
		$1
}

rule function_19382_0 {
	meta:
		name = "CalcLabelsRect"
		size = 276
		refs = "0061 TTeeCanvas.FontHeight 0071 TCustomChartAxis.MaxLabelsWidth 00f6 InflateAxisRect 0108 TCustomChartAxis.GetAxisRectSide"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 89 4D F8 89 55 FC 8B 55 08 85 D2 74 07 8B C2 E9 D5 00 00 00 8B 55 0C 8B 52 FC 8B B2 88 00 00 00 8B BE 5C 02 00 00 8B D0 8B C6 8B 08 FF 91 C8 00 00 00 83 7D F8 00 75 5C 8B 45 0C 8B 40 FC 80 B8 86 00 00 00 00 74 28 8B 45 FC 83 E8 01 72 07 2D B3 00 00 00 75 0C 8B C7 E8 ?? ?? ?? ?? E9 87 00 00 00 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? EB 7A 8B 45 FC 83 E8 01 72 07 2D B3 00 00 00 75 0D 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? EB 5E 8B C7 E8 ?? ?? ?? ?? EB 55 8B 45 0C 8B 40 FC 80 B8 86 00 00 00 00 74 24 8B 45 FC 83 E8 01 72 07 2D B3 00 00 00 75 09 8B C7 E8 ?? ?? ?? ?? EB 2E 8B 55 F8 8B C7 8B 08 FF 51 60 EB 22 8B 45 FC 83 E8 01 72 07 2D B3 00 00 00 75 0C 8B 55 F8 8B C7 8B 08 FF 51 60 EB 07 8B C7 E8 ?? ?? ?? ?? 8B 55 0C 52 E8 ?? ?? ?? ?? 59 8B 45 0C 8B 50 F8 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 5F 5E 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19383_0 {
	meta:
		name = "TCustomChartAxis.CalcRect"
		size = 237
		refs = "0014 TCustomChartAxis.IsDateTime 0054 CalcLabelsRect 0090 TPen.GetWidth 00c0 MaxLong 00e2 InflateAxisRect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8D 75 FC 8B 06 E8 ?? ?? ?? ?? 8B 16 88 82 A8 00 00 00 8B 06 8B 58 2C 83 7B 14 00 74 33 8B 06 80 B8 A9 00 00 00 00 74 0D 8B 45 F8 8B 40 08 8B 16 89 42 34 EB 1B 55 8B 06 8B 40 30 50 8B 4B 14 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 59 8B 16 89 42 34 8B 06 80 78 3D 00 74 1E 55 8B 06 8B 40 50 50 8B 06 8B 50 40 8B 06 8B 40 44 33 C9 E8 ?? ?? ?? ?? 59 8B 16 89 42 58 8B 06 8B 40 24 80 78 18 00 74 09 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8B 06 8B 40 74 80 78 18 00 74 08 8B 06 03 98 80 00 00 00 8B 06 8B 40 70 80 78 18 00 74 0E 8B 06 8B 50 6C 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 06 8B 80 88 00 00 00 8B 16 8B 08 FF 91 D4 00 00 00 03 D8 85 DB 7E 09 55 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19384_0 {
	meta:
		name = "TCustomAxisPanel.Create"
		size = 408
		refs = "000e @ClassCreate 001c TCustomTeePanel.Create 0021 TCustomAxisPanel.Create 0035 TControl.SetWidth 0041 TControl.SetHeight 0059 _DV_TChartSeriesList 005e TObject.Create 0080 _DV_TChartAxis 0085 TCustomChartAxis.Create 013c _DV_TChartDepthAxis 017e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 40 89 43 40 BA 90 01 00 00 8B C3 E8 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 A1 02 00 00 01 C7 83 9C 02 00 00 0F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 02 00 00 89 5E 10 C6 83 98 02 00 00 01 C6 83 A0 02 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 8C 02 00 00 C6 86 86 00 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 02 00 00 8B C6 C6 80 86 00 00 00 01 C6 80 87 00 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 90 02 00 00 8B 46 2C C7 40 0C 5A 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 02 00 00 8B C6 8B 50 2C C7 42 0C 0E 01 00 00 C6 80 87 00 00 00 01 8B 83 88 02 00 00 89 83 EC 02 00 00 8B 83 8C 02 00 00 89 83 F0 02 00 00 8B 83 90 02 00 00 89 83 F4 02 00 00 8B 83 94 02 00 00 89 83 F8 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 02 00 00 8B C6 C6 80 8C 00 00 00 00 C6 80 A9 00 00 00 01 C6 80 87 00 00 00 01 C7 83 D4 02 00 00 01 00 00 00 C6 83 DC 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 20 00 00 00 }
	condition:
		$1
}

rule function_19385_0 {
	meta:
		name = "TCustomAxisPanel.SetPage"
		size = 96
		refs = "000e @CallDynaInst 0040 TCustomTeePanel.SetLongintProperty"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 3B F8 7E 0D 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 8B F8 83 FF 01 7D 05 BF 01 00 00 00 3B BE D4 02 00 00 74 27 8D 96 D4 02 00 00 8B CF 8B C6 E8 ?? ?? ?? ?? 66 83 BE B6 02 00 00 00 74 0E 8B D6 8B 86 B8 02 00 00 FF 96 B4 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19386_0 {
	meta:
		name = "TCustomAxisPanel.SetScaleLastPage"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 DC 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19387_0 {
	meta:
		name = "CalcNumPages"
		size = 85
		refs = "0012 TCustomAxisPanel.GetAxisSeries 001f TChartSeries.Count"
	strings:
		$1 = { 55 8B EC 53 56 BE 01 00 00 00 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 8B D8 85 DB 74 33 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A D8 02 00 00 99 F7 F9 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A D8 02 00 00 99 F7 F9 85 D2 7E 01 46 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19388_0 {
	meta:
		name = "TCustomAxisPanel.NumPages"
		size = 148
		refs = "001f TCustomAxisPanel.SeriesCount 002d TCustomAxisPanel.GetSeries 0032 TChartSeries.YMandatory 0045 CalcNumPages 005d MaxLong"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 D8 02 00 00 00 75 08 B8 01 00 00 00 59 5D C3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 65 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 55 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 59 50 55 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? EB 2E 55 8B 45 FC 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 59 50 55 8B 45 FC 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? EB 05 B8 01 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_19389_0 {
	meta:
		name = "TCustomAxisPanel.SetMaxPointsPerPage"
		size = 143
		refs = "000d TCustomAxisPanel.SetMaxPointsPerPage 001f TeeMsg_MaxPointsPerPage 0024 LoadResString 002e _DV_ChartException 0033 Exception.Create 0038 @RaiseExcept 004a TCustomTeePanel.SetLongintProperty 0055 @CallDynaInst 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 7D 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 8D 86 D8 02 00 00 8B CA 8B D6 92 E8 ?? ?? ?? ?? 8B C6 66 BB B7 FF E8 ?? ?? ?? ?? 3B 86 D4 02 00 00 7D 0C 8B D0 8B C6 8B 08 FF 91 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19390_0 {
	meta:
		name = "TCustomAxisPanel.FreeAllSeries"
		size = 47
		refs = "000b TCustomAxisPanel.GetSeries 001d TObject.Free 0024 TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 56 8B F0 EB 1B 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 8B 08 FF 51 7C 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7F DA 5E 5B C3 }
	condition:
		$1
}

rule function_19391_0 {
	meta:
		name = "TCustomAxisPanel.Destroy"
		size = 110
		refs = "0003 @BeforeDestruction 000e TCustomAxisPanel.FreeAllSeries 0019 TObject.Free 005c TCustomTeePanel.Destroy 0067 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 86 84 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19392_0 {
	meta:
		name = "TCustomAxisPanel.IsAxisVisible"
		size = 143
		refs = "003a TCustomAxisPanel.SeriesCount 0055 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F0 80 BE A1 02 00 00 00 74 0C 8B 04 24 80 B8 8C 00 00 00 00 75 04 33 DB EB 02 B3 01 84 DB 74 5B 8B 04 24 80 B8 A9 00 00 00 00 75 4F 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 41 45 C7 44 24 04 00 00 00 00 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B F8 80 7F 24 00 74 1E 8B C7 8B 10 FF 92 24 01 00 00 84 C0 74 10 8B 14 24 8B C7 8B 08 FF 51 3C 8B D8 84 DB 75 07 FF 44 24 04 4D 75 C8 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19393_0 {
	meta:
		name = "TCustomAxisPanel.InternalMinMax"
		size = 768
		refs = "0025 TCustomChartAxis.CalcLabelStyle 0038 TCustomAxisPanel.SeriesCount 004f TCustomAxisPanel.GetSeries 00a9 TCustomAxisPanel.InternalMinMax 00c4 TCustomAxisPanel.GetAxisSeries 00d1 TChartSeries.YMandatory 0105 TChartSeries.Count 013e MaxLong 017b TChartSeries.GetValue 0239 TChartSeries.GetHorizAxis 024f TChartSeries.GetVertAxis"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 88 4D FB 89 55 FC 8B F0 8B 45 FC 80 B8 A9 00 00 00 00 0F 84 95 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3C 02 75 5D 33 C0 89 45 F0 89 45 F4 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A7 02 00 00 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 24 00 74 28 80 7D FB 00 74 11 8B 10 FF 92 C0 00 00 00 DD 5D F0 9B E9 7E 02 00 00 8B 10 FF 92 B4 00 00 00 DD 5D F0 9B E9 6D 02 00 00 43 4F 75 C5 E9 64 02 00 00 80 7D FB 00 74 11 33 C0 89 45 F0 C7 45 F4 00 00 E0 BF E9 4D 02 00 00 DB 86 E0 02 00 00 D8 05 ?? ?? ?? ?? DD 5D F0 9B E9 38 02 00 00 33 C0 89 45 F0 89 45 F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8A 45 08 EB 0A 8A 45 08 34 01 EB 03 8A 45 08 83 BE D8 02 00 00 00 0F 9F C2 84 C2 0F 84 F3 00 00 00 85 DB 0F 84 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E DD 01 00 00 8B BE D4 02 00 00 4F 0F AF BE D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E8 3B 7D E8 7C 1D 8B 45 E8 99 F7 BE D8 02 00 00 8B D0 4A 33 C0 E8 ?? ?? ?? ?? 8B F8 0F AF BE D8 02 00 00 8B 8E D8 02 00 00 8B C1 03 C7 48 89 45 D8 8B 45 E8 3B 45 D8 7F 0C 8B 45 E8 99 F7 F9 03 D7 4A 89 55 D8 80 7D FB 00 74 15 8B CF 8A 55 08 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B E9 66 01 00 00 8B 4D D8 8A 55 08 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B 80 BE DC 02 00 00 00 0F 85 48 01 00 00 8B 45 D8 2B C7 40 89 45 D4 8B 45 D4 3B 86 D8 02 00 00 0F 8D 30 01 00 00 8B CF 8A 55 08 8B C3 E8 ?? ?? ?? ?? DD 5D DC 9B DD 45 F0 DC 65 DC DB 86 D8 02 00 00 DE C9 DB 45 D4 DE F9 DC 45 DC DD 5D F0 9B E9 01 01 00 00 C6 45 E7 01 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C EB 00 00 00 47 C7 45 EC 00 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 0F 84 C3 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E B4 00 00 00 80 7D 08 00 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 74 1A 80 7D 08 00 0F 85 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 0F 85 88 00 00 00 80 7D FB 00 74 26 80 7D 08 00 74 10 8B C3 8B 10 FF 92 B8 00 00 00 DD 5D DC 9B EB 34 8B C3 8B 10 FF 92 BC 00 00 00 DD 5D DC 9B EB 24 80 7D 08 00 74 10 8B C3 8B 10 FF 92 AC 00 00 00 DD 5D DC 9B EB 0E 8B C3 8B 10 FF 92 B0 00 00 00 DD 5D DC 9B 80 7D E7 00 75 22 80 7D FB 00 74 0B DD 45 DC DC 5D F0 DF E0 9E 72 11 80 7D FB 00 75 1B DD 45 DC DC 5D F0 DF E0 9E 76 10 8B 45 DC 89 45 F0 8B 45 E0 89 45 F4 C6 45 E7 00 FF 45 EC 4F 0F 85 1D FF FF FF DD 45 F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_19394_0 {
	meta:
		name = "TCustomAxisPanel.MaxXValue"
		size = 22
		refs = "0008 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 83 C4 F8 6A 01 33 C9 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19395_0 {
	meta:
		name = "TCustomAxisPanel.MaxYValue"
		size = 22
		refs = "0008 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 83 C4 F8 6A 00 33 C9 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19396_0 {
	meta:
		name = "TCustomAxisPanel.MinXValue"
		size = 22
		refs = "0008 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 83 C4 F8 6A 01 B1 01 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19397_0 {
	meta:
		name = "TCustomAxisPanel.MinYValue"
		size = 22
		refs = "0008 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 83 C4 F8 6A 00 B1 01 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19398_0 {
	meta:
		name = "TCustomAxisPanel.GetASeries"
		size = 62
		refs = "0008 TCustomAxisPanel.SeriesCount 001b TCustomAxisPanel.GetSeries 002e TChartSeriesList.GetSeries"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 24 00 74 0F 8B 87 80 02 00 00 8B D3 E8 ?? ?? ?? ?? EB 06 43 4E 75 DE 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19399_0 {
	meta:
		name = "TCustomAxisPanel.ActiveSeriesLegend"
		size = 79
		refs = "000f TCustomAxisPanel.SeriesCount 0022 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2D 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 24 00 74 17 80 78 5C 00 74 11 3B 2C 24 75 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 07 45 46 4B 75 D6 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19400_0 {
	meta:
		name = "TCustomAxisPanel.SeriesTitleLegend"
		size = 160
		refs = "0010 TCustomAxisPanel.SeriesTitleLegend 001d TCustomAxisPanel.ActiveSeriesLegend 0033 @LStrLAsg 0042 IntToStr 0051 @LStrCat3 0066 @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 3C 83 7B 64 00 75 2A 8B C6 8B 53 08 E8 ?? ?? ?? ?? 83 3E 00 75 2E 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B C6 8B 53 64 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 FF FF FF FF 07 00 00 00 53 65 72 69 65 73 20 00 }
	condition:
		$1
}

rule function_19401_0 {
	meta:
		name = "TCustomAxisPanel.MaxTextWidth"
		size = 200
		refs = "0015 TCustomAxisPanel.MaxTextWidth 0028 TCustomAxisPanel.SeriesCount 0043 TCustomAxisPanel.GetSeries 0055 TChartSeries.Count 008c MaxLong 00b2 @LStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 70 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 46 74 83 78 08 00 7E 47 8B C6 E8 ?? ?? ?? ?? 48 8B D8 85 DB 7C 39 43 C7 45 F0 00 00 00 00 8D 4D E8 8B 55 F0 8B C6 8B 38 FF 57 64 8B 55 E8 8B 45 FC 8B 80 5C 02 00 00 8B 08 FF 51 60 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 FF 45 F0 4B 75 CF FF 45 F4 FF 4D EC 75 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19402_0 {
	meta:
		name = "TCustomAxisPanel.MaxMarkWidth"
		size = 79
		refs = "000f TCustomAxisPanel.SeriesCount 0022 TCustomAxisPanel.GetSeries 0031 TChartSeries.MaxMarkWidth 003b MaxLong"
	strings:
		$1 = { 53 56 57 55 51 8B E8 33 C0 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 04 24 E8 ?? ?? ?? ?? 89 04 24 47 4E 75 D7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19403_0 {
	meta:
		name = "TCustomAxisPanel.GetSeries"
		size = 12
		refs = "0007 TChartSeriesList.GetSeries"
	strings:
		$1 = { 8B 80 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19404_0 {
	meta:
		name = "TCustomAxisPanel.CalcSize3DWalls"
		size = 212
		refs = "001c TCustomAxisPanel.CalcSize3DWalls 0049 @ROUND 0071 MaxLong"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 80 BB 4C 02 00 00 00 0F 84 88 00 00 00 DB 83 9C 02 00 00 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B 8B 83 50 02 00 00 80 78 0C 00 75 0D DD 04 24 D8 0D ?? ?? ?? ?? DD 1C 24 9B DB 83 14 02 00 00 DC 0C 24 E8 ?? ?? ?? ?? 8B F0 89 B3 E4 02 00 00 89 B3 E8 02 00 00 80 BB 00 02 00 00 00 74 13 8B 93 E0 02 00 00 42 B8 01 00 00 00 E8 ?? ?? ?? ?? EB 05 B8 01 00 00 00 8B 93 E8 02 00 00 0F AF D0 89 93 28 02 00 00 8B 93 E4 02 00 00 0F AF D0 89 93 54 02 00 00 EB 20 33 C0 89 83 E4 02 00 00 33 C0 89 83 E8 02 00 00 33 C0 89 83 54 02 00 00 33 C0 89 83 28 02 00 00 59 5A 5E 5B C3 00 00 00 3B DF 4F 8D 97 6E 12 83 F5 3F 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_19405_0 {
	meta:
		name = "ClipRegionCreate"
		size = 168
		refs = "0041 TeeClipWhenMetafiling 005d TeeClipWhenPrinting"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 08 8B 40 FC 80 B8 44 02 00 00 00 75 15 8B 45 08 8B 40 08 8B 40 FC 8B 80 5C 02 00 00 80 78 14 00 74 3B 8B 45 08 8B 40 08 8B 40 FC 8B 80 5C 02 00 00 80 78 14 00 74 0A A1 ?? ?? ?? ?? 80 38 00 75 1C 8B 45 08 8B 40 08 8B 40 FC 80 B8 44 02 00 00 00 74 49 A1 ?? ?? ?? ?? 80 38 00 74 3F 8B 45 08 8B 40 08 8B 40 FC 8B 80 54 02 00 00 50 8B 45 08 8B 40 08 8B 40 FC 8D 90 60 02 00 00 8B 45 08 8B 40 08 8B 40 FC 8B 80 5C 02 00 00 33 C9 8B 18 FF 93 C0 00 00 00 8B 45 08 C6 40 FF 01 5B 5D C3 }
	condition:
		$1
}

rule function_19406_0 {
	meta:
		name = "ClipRegionDone"
		size = 44
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 FF 00 74 1E 8B 45 08 8B 40 08 8B 40 FC 8B 80 5C 02 00 00 8B 10 FF 92 90 00 00 00 8B 45 08 C6 40 FF 00 5D C3 }
	condition:
		$1
}

rule function_19407_0 {
	meta:
		name = "TryDrawSeries"
		size = 66
		refs = "0026 TChartSeries.Count"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 24 00 74 33 8B 45 08 8B 40 08 8B 40 F8 8B 80 CC 00 00 00 3B 83 CC 00 00 00 75 1C 8B C3 E8 ?? ?? ?? ?? 8B 55 08 3B 42 FC 7E 0D 8B 45 08 8B 50 FC 8B C3 8B 08 FF 51 5C 5B 5D C3 }
	condition:
		$1
}

rule function_19408_0 {
	meta:
		name = "DrawAllSeriesValue"
		size = 131
		refs = "0022 TList.IndexOf 002b TCustomAxisPanel.SeriesCount 0054 TCustomAxisPanel.GetSeries 0059 TryDrawSeries"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 7D 08 8B 7F 08 83 C7 FC 8B 45 08 8B 50 F8 8B 07 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 8B 45 08 8B 40 F8 8B 55 FC 8B 08 FF 91 F8 00 00 00 84 C0 74 1D 2B F3 7C 32 46 87 DE 55 8B 07 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 EC EB 19 2B DE 7F 15 4B 55 8B 07 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 4E 43 75 EC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19409_0 {
	meta:
		name = "DrawMarksSeries"
		size = 59
		refs = "001b ClipRegionCreate 0023 TChartSeries.DrawMarks 0032 ClipRegionDone"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 5E 50 80 7B 28 00 74 27 80 7B 11 00 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? 80 7B 11 00 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19410_0 {
	meta:
		name = "DrawSeries"
		size = 580
		refs = "0027 TChartSeries.MoreSameZOrder 0037 TChartSeries.FirstInZOrder 0065 TList.IndexOf 0072 TCustomAxisPanel.SeriesCount 008b TCustomAxisPanel.GetSeries 00ab TChartSeries.InternalCalcFirstLastIndex 00c8 MaxLong 0109 ClipRegionCreate 013a DrawAllSeriesValue 015f ClipRegionDone 01cc DrawMarksSeries"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 F8 C6 45 FF 00 8B 45 08 8B 40 FC 80 B8 4C 02 00 00 00 0F 84 BB 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 AB 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 FA 01 00 00 C6 45 FF 00 C7 45 F4 FF FF FF FF C7 45 F0 FF FF FF FF 8B 45 08 8B 40 FC 8B 80 80 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 2B DE 0F 8C 95 00 00 00 43 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B F8 80 7F 24 00 74 77 8B 87 CC 00 00 00 8B 55 F8 3B 82 CC 00 00 00 75 66 8B C7 E8 ?? ?? ?? ?? 8B 47 40 83 F8 FF 74 57 83 7D F4 FF 75 05 89 45 F4 EB 0D 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F4 83 7D F0 FF 75 08 8B 47 48 89 45 F0 EB 0E 8B 57 48 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F0 8B C7 8B 10 FF 52 50 8B 45 08 8B 40 FC 80 B8 A0 02 00 00 00 74 0D 80 7D FF 00 75 07 55 E8 ?? ?? ?? ?? 59 46 4B 0F 85 6C FF FF FF 83 7D F4 FF 74 41 8B 45 F8 8B 10 FF 92 F4 00 00 00 84 C0 74 1A 8B 75 F4 8B 5D F0 2B DE 7C 28 43 55 8B C6 E8 ?? ?? ?? ?? 59 46 4B 75 F3 EB 18 8B 75 F0 8B 5D F4 2B DE 7F 0E 4B 55 8B C6 E8 ?? ?? ?? ?? 59 4E 43 75 F3 55 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 80 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 2B DE 0F 8C AD 00 00 00 43 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B F8 80 7F 24 00 74 32 8B 87 CC 00 00 00 8B 55 F8 3B 82 CC 00 00 00 75 21 83 7F 40 FF 74 1B 55 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B C7 8B 10 FF 52 48 46 4B 75 B5 EB 5F 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 78 40 FF 74 4E 8B 45 F8 8B 10 FF 52 50 8B 45 08 8B 40 FC 80 B8 A0 02 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 54 8B 45 08 8B 40 FC 80 B8 A0 02 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 48 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19411_0 {
	meta:
		name = "SetSeriesZOrder"
		size = 240
		refs = "0049 TCustomAxisPanel.SeriesCount 0060 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 55 8B EC 51 56 57 8B 45 08 8B 40 FC 33 D2 89 90 E0 02 00 00 8B 45 08 8B 40 FC 80 B8 00 02 00 00 00 74 5C 8B 45 08 8B 40 FC 80 B8 4C 02 00 00 00 74 4D 8B 45 08 8B 40 FC C7 80 E0 02 00 00 FF FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2B 46 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 80 78 24 00 74 0B 8B 45 FC 8B 10 FF 92 FC 00 00 00 47 4E 75 D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5A 46 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 80 78 24 00 74 40 8B 55 08 8B 52 FC 80 BA 4C 02 00 00 00 74 29 8B 55 08 8B 52 FC 80 BA 00 02 00 00 00 74 1A 8B 55 08 8B 52 FC 8B 92 E0 02 00 00 2B 90 CC 00 00 00 89 90 CC 00 00 00 EB 08 33 D2 89 90 CC 00 00 00 47 4E 75 A9 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_19412_0 {
	meta:
		name = "SetSeriesZPositions"
		size = 125
		refs = "000c TCustomAxisPanel.SeriesCount 0023 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 62 43 33 F6 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 80 78 24 00 74 48 8B 55 08 8B 52 FC 8B 92 E4 02 00 00 0F AF 90 CC 00 00 00 89 90 D4 00 00 00 8B 4D 08 8B 49 FC 8B 89 E4 02 00 00 03 CA 89 88 DC 00 00 00 8B 90 D4 00 00 00 03 D1 D1 FA 79 03 83 D2 00 89 90 D8 00 00 00 8B 48 50 89 51 2C 46 4B 75 A1 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19413_0 {
	meta:
		name = "DrawAllAxis"
		size = 192
		refs = "0015 TCustomAxisPanel.IsAxisVisible 0028 TCustomChartAxis.Draw"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 8B 90 88 02 00 00 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 03 8B 80 88 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 03 8B 90 8C 02 00 00 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 03 8B 80 8C 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 03 8B 90 90 02 00 00 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 03 8B 80 90 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 03 8B 90 94 02 00 00 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 03 8B 80 94 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 03 80 B8 4C 02 00 00 00 74 20 8B 03 8B 80 84 02 00 00 80 B8 8C 00 00 00 00 74 0F 8B 03 8B 80 84 02 00 00 B2 01 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_19414_0 {
	meta:
		name = "TCustomAxisPanel.InternalDraw"
		size = 374
		refs = "0018 TCustomAxisPanel.SeriesCount 002c TCustomAxisPanel.GetSeries 004c SetSeriesZOrder 005e SetSeriesZPositions 00d2 DrawAllAxis 0124 DrawSeries 0140 TCustomTeePanel.DrawZoomRectangle 014e TTeeCanvas.ResetState"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 08 FF 91 DC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 78 24 00 74 05 8B 10 FF 52 4C 46 4B 75 E7 8B 45 FC 8B 10 FF 92 E0 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 E4 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 E8 00 00 00 8B 45 FC 05 60 02 00 00 50 8B 45 FC 8D 88 04 02 00 00 8B 45 FC 8B 90 54 02 00 00 8B 45 FC 8B 80 5C 02 00 00 8B 18 FF 93 B0 00 00 00 8B 45 FC 66 83 B8 C6 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 C8 02 00 00 FF 93 C4 02 00 00 8B 45 FC 8B 10 FF 92 D8 00 00 00 8B 45 FC 80 B8 A1 02 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 66 83 B8 CE 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 D0 02 00 00 FF 93 CC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 28 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 78 24 00 74 11 55 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 DB 8B 45 FC 8B 80 58 02 00 00 80 78 04 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 5C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BE 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 C0 02 00 00 FF 93 BC 02 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19415_0 {
	meta:
		name = "TCustomAxisPanel.SetView3DWalls"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 98 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19416_0 {
	meta:
		name = "TCustomAxisPanel.GetChildren"
		size = 76
		refs = "0013 TWinControl.GetChildren 001b TCustomAxisPanel.SeriesCount 0035 TChartSeriesList.GetSeries"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19418_0 {
	meta:
		name = "TCustomAxisPanel.SetClipPoints"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 A0 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19419_0 {
	meta:
		name = "TCustomAxisPanel.SetLeftAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 90 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_19420_0 {
	meta:
		name = "TCustomAxisPanel.SetDepthAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 84 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_19421_0 {
	meta:
		name = "TCustomAxisPanel.SetRightAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 94 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_19422_0 {
	meta:
		name = "TCustomAxisPanel.SetTopAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 88 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_19423_0 {
	meta:
		name = "TCustomAxisPanel.SetBottomAxis"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 8C 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_19424_0 {
	meta:
		name = "TCustomAxisPanel.SetChart3DPercent"
		size = 144
		refs = "000f TCustomAxisPanel.SetChart3DPercent 0043 TeeMsg_3dPercent 0048 LoadResString 0052 _DV_ChartException 0057 Exception.CreateFmt 005c @RaiseExcept 006b TCustomTeePanel.SetIntegerProperty 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 FA 01 7C 05 83 FA 64 7E 3F C7 45 F0 01 00 00 00 C6 45 F4 00 C7 45 F8 64 00 00 00 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 88 9C 02 00 00 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_19425_0 {
	meta:
		name = "TCustomAxisPanel.RemoveSeries"
		size = 87
		refs = "0010 TList.IndexOf 001e TChartSeries.RemoveAllLinkedSeries 003b TControl.SetCursor 0048 TList.Delete"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 38 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 54 66 8B 43 6C 66 3B 46 38 75 0E 66 8B 93 3C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19426_0 {
	meta:
		name = "TCustomAxisPanel.RemoveAllSeries"
		size = 40
		refs = "000e TChartSeriesList.GetSeries 0017 TCustomAxisPanel.RemoveSeries 001e TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 8B D8 EB 16 33 D2 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F DF 5B C3 }
	condition:
		$1
}

rule function_19427_0 {
	meta:
		name = "TCustomAxisPanel.GetAxisSeries"
		size = 95
		refs = "000d TCustomAxisPanel.SeriesCount 0020 TCustomAxisPanel.GetSeries 002f TChartSeries.GetHorizAxis 003b TChartSeries.GetVertAxis 004d TChartSeriesList.GetSeries"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3F 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 74 27 8B C3 E8 ?? ?? ?? ?? 3B 04 24 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 04 24 75 0F 8B 85 80 02 00 00 8B D6 E8 ?? ?? ?? ?? EB 06 46 4F 75 C4 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19428_0 {
	meta:
		name = "TCustomAxisPanel.GetLabelsSeries"
		size = 100
		refs = "000e TCustomAxisPanel.SeriesCount 0022 TCustomAxisPanel.GetSeries 003a TChartSeries.GetHorizAxis 004e TChartSeries.GetVertAxis"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 41 46 33 ED 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 74 28 80 BF 86 00 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 74 1A 80 BF 86 00 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 74 06 45 4E 75 C2 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19430_0 {
	meta:
		name = "TCustomAxisPanel.GetFreeSeriesColor"
		size = 54
		refs = "000f GetDefaultColor"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B F8 33 DB 8B C3 E8 ?? ?? ?? ?? 8B F0 43 83 FB 10 7F 13 8A 0C 24 8B D6 8B C7 8B 28 FF 95 EC 00 00 00 84 C0 74 DE 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19431_0 {
	meta:
		name = "TCustomAxisPanel.AddSeries"
		size = 124
		refs = "000f TList.IndexOf 0024 TCustomAxisPanel.GetFreeSeriesColor 0061 TChartSeries.CheckDataSource 006e TList.Add"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 40 75 63 81 7B 28 00 00 00 80 75 15 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 80 00 00 00 89 73 54 F6 43 20 10 74 21 83 BB 80 00 00 00 00 75 18 8B C3 8B 10 FF 92 C4 00 00 00 8B D0 8B C3 8B 08 FF 91 9C 00 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_19432_0 {
	meta:
		name = "TCustomAxisPanel.GetMaxValuesCount"
		size = 98
		refs = "0015 TCustomAxisPanel.SeriesCount 0029 TCustomAxisPanel.GetSeries 003f TChartSeries.Count"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 04 24 33 ED C6 44 24 04 01 8B 04 24 E8 ?? ?? ?? ?? 48 8B F0 85 F6 7C 39 46 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 74 20 80 7C 24 04 00 75 0B 8B C3 E8 ?? ?? ?? ?? 3B E8 7D 0E 8B C3 E8 ?? ?? ?? ?? 8B E8 C6 44 24 04 00 47 4E 75 CA 8B C5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19433_0 {
	meta:
		name = "TCustomAxisPanel.SetAxisVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 A1 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19434_0 {
	meta:
		name = "TCustomAxisPanel.CheckOtherSeries"
		size = 192
		refs = "0019 TCustomAxisPanel.CheckOtherSeries 002a TChartSeries.GetDataSource 0037 TeeMsg_CircularSeries 003c LoadResString 0046 _DV_ChartException 004b Exception.Create 0050 @RaiseExcept 005f _DV_TChartSeries 0064 @IsClass 0086 TList.Get 00ad @LStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 75 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 75 23 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 43 3C 8B 78 08 4F 85 FF 7C 25 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 43 3C E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? FF 45 F8 4F 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19435_0 {
	meta:
		name = "TCustomAxisPanel.XLabelText"
		size = 27
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 4D 08 8B D6 8B C3 8B 18 FF 53 64 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19436_0 {
	meta:
		name = "TCustomAxisPanel.MarkText"
		size = 27
		refs = "0011 TChartSeries.GetMarkText"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19437_0 {
	meta:
		name = "TCustomAxisPanel.IsValidDataSource"
		size = 53
		refs = "000e _DV_TChartSeries 0013 @IsClass"
	strings:
		$1 = { 53 56 8B D9 8B F2 3B DE 74 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B C6 8B 08 FF 91 A4 00 00 00 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_19438_0 {
	meta:
		name = "TCustomAxisPanel.CheckDatasource"
		size = 60
		refs = "000c TChartSeries.GetDataSource 001d _DV_TChartSeries 0022 @IsClass"
	strings:
		$1 = { 56 8B F2 F6 46 20 01 75 31 8B C6 E8 ?? ?? ?? ?? 85 C0 74 26 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 38 5E C3 }
	condition:
		$1
}

rule function_19439_0 {
	meta:
		name = "TCustomAxisPanel.SeriesCount"
		size = 17
	strings:
		$1 = { 8B 90 80 02 00 00 85 D2 75 03 33 C0 C3 8B 42 08 C3 }
	condition:
		$1
}

rule function_19440_0 {
	meta:
		name = "TCustomAxisPanel.Assign"
		size = 222
		refs = "000b _DV_TCustomAxisPanel 0010 @IsClass 0027 TCustomAxisPanel.SetAxisVisible 0045 TCustomAxisPanel.SetChart3DPercent 0052 TCustomAxisPanel.SetClipPoints 0081 TCustomAxisPanel.SetMaxPointsPerPage 00af TCustomAxisPanel.SetScaleLastPage 00cd TCustomAxisPanel.SetView3DWalls 00d6 TCustomTeePanel.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B5 00 00 00 8B FE 8A 97 A1 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 8C 02 00 00 8B 83 8C 02 00 00 8B 08 FF 51 08 8B 97 9C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8A 97 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 90 02 00 00 8B 83 90 02 00 00 8B 08 FF 51 08 8B 97 84 02 00 00 8B 83 84 02 00 00 8B 08 FF 51 08 8B 97 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 D4 02 00 00 8B C3 8B 08 FF 91 D0 00 00 00 8B 97 94 02 00 00 8B 83 94 02 00 00 8B 08 FF 51 08 8A 97 DC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 88 02 00 00 8B 83 88 02 00 00 8B 08 FF 51 08 8A 97 98 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19441_0 {
	meta:
		name = "TChartAxisPen.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TChartPen.Create 0023 TPen.SetWidth 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19442_0 {
	meta:
		name = "TChartArrowPen.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TChartPen.Create 0023 TPen.SetColor 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19444_0 {
	meta:
		name = "TeEngine"
		size = 81
		refs = "0008 _DV_02 0011 TeeAxisClickGap 001c TeeDefaultCapacity 0021 _DV_TChartAxis 0029 _DV_TChartDepthAxis 0031 _DV_TSeriesMarks 0039 _DV_TChartAxisTitle 0049 RegisterClasses"
	strings:
		$1 = { 55 8B EC 83 C4 F0 83 2D ?? ?? ?? ?? 01 73 3E C7 05 ?? ?? ?? ?? 0C 00 00 00 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_19445_0 {
	meta:
		name = "ChartPreview"
		size = 109
		refs = "000e _DV_TChartPreview 0013 TCustomForm.Create 001e ChartPreview 0035 TTeePreviewPage.SetChart 0055 TObject.Free 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 28 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 7C C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_19446_0 {
	meta:
		name = "TTeePreviewPage.Create"
		size = 120
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001c TTeePreviewPage.Create 005f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0B 46 40 89 46 40 33 C0 89 86 1C 01 00 00 C6 86 2E 01 00 00 01 C6 86 2D 01 00 00 01 C6 86 2C 01 00 00 01 C6 86 20 01 00 00 00 C6 86 18 01 00 00 00 C6 86 68 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_19447_0 {
	meta:
		name = "TTeePreviewPage.Print"
		size = 94
		refs = "0010 Screen 001b TScreen.SetCursor 0023 TTeePreviewPage.Print 0034 TCustomTeePanel.Print 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 BB 1C 01 00 00 00 74 4C A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 5D C3 }
	condition:
		$1
}

rule function_19448_0 {
	meta:
		name = "TTeePreviewPage.DrawPaper"
		size = 196
		refs = "0011 TPen.SetStyle 001b TPen.SetColor 0028 TBrush.SetColor 0035 TPen.SetWidth 004f TCanvas.Rectangle 007f Rect 0088 TCanvas.FillRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B DA 8B F8 33 D2 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 43 14 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8D 87 58 01 00 00 8B 50 08 52 8B 50 0C 52 8B 48 04 8B 10 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8D B7 58 01 00 00 8B 6E 0C 8B C5 83 C0 04 50 8D 44 24 04 50 8B 4E 08 83 C1 05 8B D5 8B 06 83 C0 05 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8D B7 58 01 00 00 8B 46 0C 83 C0 04 50 8D 44 24 04 50 8B 7E 08 8B CF 83 C1 05 8B 56 04 83 C2 04 8B C7 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19449_0 {
	meta:
		name = "TTeePreviewPage.SetShowMargins"
		size = 12
	strings:
		$1 = { 88 90 2E 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_19450_0 {
	meta:
		name = "TTeePreviewPage.SetChart"
		size = 12
	strings:
		$1 = { 89 90 1C 01 00 00 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_19451_0 {
	meta:
		name = "TTeePreviewPage.DrawBack"
		size = 80
		refs = "000f TPen.SetStyle 0019 TBrush.SetStyle 0024 TBrush.SetColor 0046 TCanvas.Rectangle"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 B2 05 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 14 E8 ?? ?? ?? ?? 8B 56 64 8B 43 14 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 51 44 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 0C 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_19452_0 {
	meta:
		name = "CalcChartPrintMargins"
		size = 162
		refs = "002d RectSize 003b MulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F0 8B 7D 08 83 C7 FC 8B 07 8B 80 1C 01 00 00 8D 98 70 02 00 00 8D 4D F8 8D 55 FC 8B 07 05 58 01 00 00 E8 ?? ?? ?? ?? 6A 64 8B 45 FC 50 8B 03 50 E8 ?? ?? ?? ?? 8B 17 03 82 58 01 00 00 89 06 6A 64 8B 45 FC 50 8B 43 08 50 E8 ?? ?? ?? ?? 8B 17 8B 92 60 01 00 00 2B D0 89 56 08 6A 64 8B 45 F8 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 17 03 82 5C 01 00 00 89 46 04 6A 64 8B 45 F8 50 8B 43 0C 50 E8 ?? ?? ?? ?? 8B 17 8B 92 64 01 00 00 2B D0 89 56 0C 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19453_0 {
	meta:
		name = "CalcRectangles"
		size = 492
		refs = "0010 Printer 0015 TPrinter.GetPageWidth 0025 TPrinter.GetPageHeight 0045 Rect 005e TControl.GetClientHeight 0073 CalcRectangles 007e @ROUND 009d MulDiv 00a8 TControl.GetClientWidth 01c2 CalcChartPrintMargins"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 5D 08 83 C3 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 8B 40 F4 50 8D 45 F0 50 8B 45 08 8B 48 F8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 3B 42 F4 0F 8D B2 00 00 00 8B 03 E8 ?? ?? ?? ?? 8B F8 8B 03 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B F8 8B 45 08 83 78 F4 00 7E 18 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F8 50 57 E8 ?? ?? ?? ?? 8B F0 EB 09 8B 03 E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 2B C6 D1 F8 79 03 83 D0 00 8B 13 89 82 58 01 00 00 8B 03 03 B0 58 01 00 00 8B 03 89 B0 60 01 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 03 89 B0 5C 01 00 00 03 FE 8B 03 89 B8 64 01 00 00 E9 AD 00 00 00 8B 03 E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B F0 8B 45 08 83 78 F8 00 7E 18 8B 45 08 8B 40 F8 50 8B 45 08 8B 40 F4 50 56 E8 ?? ?? ?? ?? 8B F8 EB 09 8B 03 E8 ?? ?? ?? ?? 8B F8 8B 03 E8 ?? ?? ?? ?? 2B C7 D1 F8 79 03 83 D0 00 8B 13 89 82 5C 01 00 00 8B 03 03 B8 5C 01 00 00 8B 03 89 B8 64 01 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 03 89 B8 58 01 00 00 03 F7 8B 03 89 B0 60 01 00 00 8B 45 08 50 8D 45 DC E8 ?? ?? ?? ?? 59 8B 03 8D 75 DC 8D B8 48 01 00 00 B9 04 00 00 00 F3 A5 5F 5E 5B 8B E5 5D C3 00 00 20 41 00 00 C8 42 00 00 A0 40 }
	condition:
		$1
}

rule function_19454_0 {
	meta:
		name = "TTeePreviewPage.Paint"
		size = 256
		refs = "000d TGraphicControl.Paint 0013 CalcRectangles 001b _Dn_TBitmap 0020 TBitmap.Create 002b TTeePreviewPage.Paint 0085 TBitmap.GetCanvas 008f TTeePreviewPage.DrawBack 00a1 TTeePreviewPage.DrawPaper 00b3 TTeePreviewPage.DrawMargins 00c5 TTeePreviewPage.DrawChart 00db TCanvas.Draw 00f0 TObject.Free 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 FC 8B 08 FF 51 44 8B 45 E8 50 8D 55 D0 8B 45 FC 8B 08 FF 51 44 5A 2B 55 D0 8B 45 F0 8B 08 FF 51 40 8D 55 E0 8B 45 FC 8B 08 FF 51 44 8B 45 EC 50 8D 55 D0 8B 45 FC 8B 08 FF 51 44 5A 2B 55 D4 8B 45 F0 8B 08 FF 51 34 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 8B 80 14 01 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_19455_0 {
	meta:
		name = "TTeePreviewPage.DrawMargins"
		size = 268
		refs = "001d TPen.SetColor 0027 TPen.SetStyle 0031 TPen.SetWidth 003b TBrush.SetStyle 0048 TBrush.SetColor 0051 TCanvas.GetHandle 0057 SetBkMode 006e TCanvas.MoveTo 007f TCanvas.LineTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 80 BE 2E 01 00 00 00 0F 84 F4 00 00 00 BA C0 C0 C0 00 8B 43 10 E8 ?? ?? ?? ?? B2 02 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 14 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 43 14 E8 ?? ?? ?? ?? 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D BE 48 01 00 00 8B 8E 5C 01 00 00 41 8B 17 4A 8B C3 E8 ?? ?? ?? ?? 8B 8E 64 01 00 00 49 8B 17 4A 8B C3 E8 ?? ?? ?? ?? 8B 8E 5C 01 00 00 41 8B 57 08 42 8B C3 E8 ?? ?? ?? ?? 8B 8E 64 01 00 00 49 8B 57 08 42 8B C3 E8 ?? ?? ?? ?? 8B 4F 04 49 8B 96 58 01 00 00 42 8B C3 E8 ?? ?? ?? ?? 8B 4F 04 49 8B 96 60 01 00 00 4A 8B C3 E8 ?? ?? ?? ?? 8B 4F 0C 41 8B 96 58 01 00 00 42 8B C3 E8 ?? ?? ?? ?? 8B 4F 0C 41 8B 96 60 01 00 00 4A 8B C3 E8 ?? ?? ?? ?? 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19456_0 {
	meta:
		name = "TTeePreviewPage.DrawChart"
		size = 223
		refs = "006e TCustomTeePanel.CalcMetaBounds 007b TCustomTeePanel.TeeCreateMetafile 0086 TTeePreviewPage.DrawChart 00a0 Rect 00ad TCanvas.StretchDraw 00c2 TObject.Free 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F2 80 B8 2D 01 00 00 00 0F 84 C0 00 00 00 56 8D B0 48 01 00 00 8D 7D D8 B9 04 00 00 00 F3 A5 5E 8B 90 1C 01 00 00 89 55 E8 8B 55 E8 C6 82 44 02 00 00 01 80 B8 18 01 00 00 00 74 12 8D 4D D8 8B D6 8B 45 E8 8B 18 FF 93 C4 00 00 00 EB 76 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8D 4D F8 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8D 4D D8 B2 01 8B 45 E8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 50 8D 45 C8 50 8B 4D F0 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 C8 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E8 C6 80 44 02 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19457_0 {
	meta:
		name = "TTeePreviewPage.WhereIsCursor"
		size = 219
		refs = "00b1 Point 00c5 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B F8 8D 8F 48 01 00 00 8B 04 24 2B 01 99 33 C2 2B C2 8B D8 8B 04 24 2B 41 08 99 33 C2 2B C2 8B E8 8B 44 24 04 2B 41 04 99 33 C2 2B C2 8B F0 8B 44 24 04 2B 41 0C 99 33 C2 2B C2 83 FB 05 7D 09 83 FE 05 7D 04 B0 06 EB 7C 83 FB 05 7D 09 83 F8 05 7D 04 B0 08 EB 6E 83 FD 05 7D 09 83 FE 05 7D 04 B0 07 EB 60 83 FD 05 7D 09 83 F8 05 7D 04 B0 09 EB 52 83 FB 05 7D 04 B0 01 EB 49 83 FD 05 7D 04 B0 03 EB 40 83 FE 05 7D 04 B0 02 EB 37 83 F8 05 7D 04 B0 04 EB 2E 8D 4C 24 08 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? FF 74 24 0C FF 74 24 0C 8D 87 48 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 04 B0 05 EB 02 33 C0 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19458_0 {
	meta:
		name = "TTeePreviewPage.MouseMove"
		size = 843
		refs = "001c TControl.MouseMove 0028 Point 003a PtInRect 005a TTeePreviewPage.MouseMove 027b TTeePreviewPage.WhereIsCursor 0286 TeePreviewCursors 028d TControl.SetCursor 02af RectSize 02c7 MulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 08 57 8B CE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8D 4D DC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 E0 FF 75 DC 8D 83 58 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 84 FC 02 00 00 33 C0 8A 83 20 01 00 00 83 F8 09 0F 87 1D 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3B B3 58 01 00 00 0F 8C 04 02 00 00 3B B3 50 01 00 00 0F 8D F8 01 00 00 89 B3 48 01 00 00 E9 ED 01 00 00 3B BB 5C 01 00 00 0F 8C E1 01 00 00 3B BB 54 01 00 00 0F 8D D5 01 00 00 89 BB 4C 01 00 00 E9 CA 01 00 00 3B B3 60 01 00 00 0F 8F BE 01 00 00 3B B3 48 01 00 00 0F 8E B2 01 00 00 89 B3 50 01 00 00 E9 A7 01 00 00 3B BB 64 01 00 00 0F 8F 9B 01 00 00 3B BB 4C 01 00 00 0F 8E 8F 01 00 00 89 BB 54 01 00 00 E9 84 01 00 00 2B B3 30 01 00 00 8B 83 38 01 00 00 03 F0 89 75 E4 2B BB 34 01 00 00 8B 93 3C 01 00 00 03 FA 89 7D E8 8B 8B 40 01 00 00 2B C8 03 4D E4 89 4D EC 8B 83 44 01 00 00 2B C2 03 45 E8 89 45 F0 FF 75 E8 FF 75 E4 8D 83 58 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 84 2C 01 00 00 FF 75 F0 FF 75 EC 8D 83 58 01 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 84 12 01 00 00 8D 75 E4 8D BB 48 01 00 00 B9 04 00 00 00 F3 A5 E9 FD 00 00 00 3B B3 58 01 00 00 0F 8C F1 00 00 00 3B B3 50 01 00 00 0F 8D E5 00 00 00 3B BB 5C 01 00 00 0F 8C D9 00 00 00 3B BB 54 01 00 00 0F 8D CD 00 00 00 89 B3 48 01 00 00 89 BB 4C 01 00 00 E9 BC 00 00 00 3B B3 58 01 00 00 0F 8C B0 00 00 00 3B B3 50 01 00 00 0F 8D A4 00 00 00 3B BB 64 01 00 00 0F 8F 98 00 00 00 3B BB 4C 01 00 00 0F 8E 8C 00 00 00 89 B3 48 01 00 00 89 BB 54 01 00 00 EB 7E 3B B3 60 01 00 00 7F 76 3B B3 48 01 00 00 7E 6E 3B BB 5C 01 00 00 7C 66 3B BB 54 01 00 00 7D 5E 89 B3 50 01 00 00 89 BB 4C 01 00 00 EB 50 3B B3 60 01 00 00 7F 48 3B B3 48 01 00 00 7E 40 3B BB 64 01 00 00 7F 38 3B BB 4C 01 00 00 7E 30 89 B3 50 01 00 00 89 BB 54 01 00 00 EB 22 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 66 8B 14 45 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 AC 00 00 00 8B 83 1C 01 00 00 8D B0 70 02 00 00 8D 4D F4 8D 55 F8 8D 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 64 8B 83 48 01 00 00 2B 83 58 01 00 00 50 E8 ?? ?? ?? ?? 89 06 8B 45 F8 50 6A 64 8B 83 60 01 00 00 2B 83 50 01 00 00 50 E8 ?? ?? ?? ?? 89 46 08 8B 45 F4 50 6A 64 8B 83 4C 01 00 00 2B 83 5C 01 00 00 50 E8 ?? ?? ?? ?? 89 46 04 8B 45 F4 50 6A 64 8B 83 64 01 00 00 2B 83 54 01 00 00 50 E8 ?? ?? ?? ?? 89 46 0C 66 83 BB 26 01 00 00 00 74 1A 8B 83 1C 01 00 00 8D 88 70 02 00 00 8B D3 8B 83 28 01 00 00 FF 93 24 01 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19459_0 {
	meta:
		name = "TTeePreviewPage.MouseUp"
		size = 60
		refs = "0018 TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B D8 8B 45 0C 50 8B 45 08 50 8A 4D FF 8B C3 E8 ?? ?? ?? ?? C6 83 20 01 00 00 00 8A 83 2C 01 00 00 88 83 2D 01 00 00 8B C3 8B 10 FF 52 78 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19460_0 {
	meta:
		name = "TTeePreviewPage.MouseDown"
		size = 125
		refs = "0020 TControl.MouseDown 002b TTeePreviewPage.WhereIsCursor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 8A 4D FE 8A 55 FF 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 88 83 20 01 00 00 80 BB 20 01 00 00 05 75 1F 89 B3 30 01 00 00 89 BB 34 01 00 00 8D B3 48 01 00 00 8D BB 38 01 00 00 B9 04 00 00 00 F3 A5 8A 83 2D 01 00 00 88 83 2C 01 00 00 8A 83 68 01 00 00 88 83 2D 01 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19461_0 {
	meta:
		name = "TChartPreview.FormShow"
		size = 182
		refs = "0006 Screen 000f TScreen.SetCursor 0033 Printer 0038 TPrinter.GetPrinters 0045 TCustomComboBox.SetItems 004f TPrinter.GetPrinterIndex 005c TCustomComboBox.SetItemIndex 0068 TPrinter.SetOrientation 0085 TScrollBar.SetPosition 008c TChartPreview.RecalcControls 00a7 TChartPreview.PreviewPageChangeMargins"
	strings:
		$1 = { 53 56 57 8B D8 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 83 28 03 00 00 8B 80 1C 01 00 00 8D B0 70 02 00 00 8D BB 2C 03 00 00 B9 04 00 00 00 F3 A5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 83 28 03 00 00 8B 80 1C 01 00 00 8B 90 48 02 00 00 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 28 03 00 00 8B 80 1C 01 00 00 8D 88 70 02 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? C6 83 24 03 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19462_0 {
	meta:
		name = "TChartPreview.BSetupPrinterClick"
		size = 23
		refs = "0011 TChartPreview.RecalcControls"
	strings:
		$1 = { 53 8B D8 8B 83 F0 02 00 00 8B 10 FF 52 3C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19463_0 {
	meta:
		name = "TChartPreview.PrintersChange"
		size = 44
		refs = "000a TCustomComboBox.GetItemIndex 0010 Printer 0016 TPrinter.SetPrinterIndex 001d TChartPreview.RecalcControls 0026 TChartPreview.RGOrientClick"
	strings:
		$1 = { 53 8B D8 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19464_0 {
	meta:
		name = "TChartPreview.RGOrientClick"
		size = 38
		refs = "0004 Printer 0015 TPrinter.SetOrientation"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 93 D8 02 00 00 8A 92 F8 01 00 00 E8 ?? ?? ?? ?? 8B 83 28 03 00 00 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_19465_0 {
	meta:
		name = "TChartPreview.ChangeMargin"
		size = 76
		refs = "0018 TCustomUpDown.GetPosition 0036 TChartPreview.RefreshPage 0041 TCustomUpDown.SetPosition"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 80 BB 24 03 00 00 00 75 30 8B C6 E8 ?? ?? ?? ?? 0F BF C0 03 45 08 83 F8 64 7D 15 8B C6 E8 ?? ?? ?? ?? 0F BF C0 89 07 8B C3 E8 ?? ?? ?? ?? EB 09 8B 17 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19466_0 {
	meta:
		name = "TChartPreview.SETopMaChange"
		size = 37
		refs = "0020 TChartPreview.ChangeMargin"
	strings:
		$1 = { 8B 90 28 03 00 00 8B 92 1C 01 00 00 81 C2 70 02 00 00 8B 4A 0C 51 8D 4A 04 8B 90 18 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19467_0 {
	meta:
		name = "TChartPreview.SERightMaChange"
		size = 36
		refs = "001f TChartPreview.ChangeMargin"
	strings:
		$1 = { 8B 90 28 03 00 00 8B 92 1C 01 00 00 81 C2 70 02 00 00 8B 0A 51 8D 4A 08 8B 90 1C 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19468_0 {
	meta:
		name = "TChartPreview.SEBotMaChange"
		size = 37
		refs = "0020 TChartPreview.ChangeMargin"
	strings:
		$1 = { 8B 90 28 03 00 00 8B 92 1C 01 00 00 81 C2 70 02 00 00 8B 4A 04 51 8D 4A 0C 8B 90 20 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19469_0 {
	meta:
		name = "TChartPreview.SELeftMaChange"
		size = 36
		refs = "001f TChartPreview.ChangeMargin"
	strings:
		$1 = { 8B 90 28 03 00 00 8B 92 1C 01 00 00 81 C2 70 02 00 00 8B 4A 08 51 8B CA 8B 90 14 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19470_0 {
	meta:
		name = "TChartPreview.RefreshPage"
		size = 73
		refs = "002e EqualRect"
	strings:
		$1 = { 53 56 8B D8 80 BB 3C 03 00 00 00 75 39 8B B3 28 03 00 00 8B C6 8B 10 FF 52 78 8D 83 2C 03 00 00 50 8B 86 1C 01 00 00 05 70 02 00 00 50 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 8B 83 F8 02 00 00 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_19471_0 {
	meta:
		name = "TChartPreview.CBShowMarginsClick"
		size = 32
		refs = "001a TTeePreviewPage.SetShowMargins"
	strings:
		$1 = { 53 8B D8 8B 83 F4 02 00 00 8B 10 FF 92 B8 00 00 00 8B D0 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19472_0 {
	meta:
		name = "TChartPreview.FormCreate"
		size = 77
		refs = "0017 _DV_TTeePreviewPage 001c TTeePreviewPage.Create 0036 TControl.SetAlign 0046 TChartPreview.PreviewPageChangeMargins"
	strings:
		$1 = { 53 56 8B D8 C6 83 24 03 00 00 01 C6 83 3C 03 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 28 03 00 00 8B D3 8B C6 8B 08 FF 51 64 B2 05 8B C6 E8 ?? ?? ?? ?? 89 9E 28 01 00 00 C7 86 24 01 00 00 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19473_0 {
	meta:
		name = "TChartPreview.BResetClick"
		size = 51
		refs = "002b TChartPreview.PreviewPageChangeMargins"
	strings:
		$1 = { 53 56 57 8B 90 28 03 00 00 8B 9A 1C 01 00 00 8D BB 70 02 00 00 8D B0 2C 03 00 00 B9 04 00 00 00 F3 A5 8D 8B 70 02 00 00 8B D0 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19474_0 {
	meta:
		name = "TChartPreview.PreviewPageChangeMargins"
		size = 148
		refs = "0018 TChartPreview.PreviewPageChangeMargins 002f TCustomUpDown.SetPosition 0084 TChartPreview.RefreshPage 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 45 FC 8B 45 FC C6 80 3C 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 8B 13 8B 45 FC 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 66 8B 53 08 8B 45 FC 8B 80 1C 03 00 00 E8 ?? ?? ?? ?? 66 8B 53 04 8B 45 FC 8B 80 18 03 00 00 E8 ?? ?? ?? ?? 66 8B 53 0C 8B 45 FC 8B 80 20 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 3C 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_19475_0 {
	meta:
		name = "TChartPreview.RecalcControls"
		size = 30
		refs = "0004 Printer 0009 TPrinter.GetOrientation 0018 TCustomRadioGroup.SetItemIndex"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8A D0 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19476_0 {
	meta:
		name = "TChartPreview.SBResolutionChange"
		size = 47
		refs = "0029 TChartPreview.RecalcControls"
	strings:
		$1 = { 53 8B D8 8B 83 28 03 00 00 8B 93 0C 03 00 00 8B 92 F0 01 00 00 8B 88 1C 01 00 00 89 91 48 02 00 00 8B 10 FF 52 78 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19483_0 {
	meta:
		name = "DaysInMonth"
		size = 73
		refs = "000d DaysMonths"
	strings:
		$1 = { 53 56 57 8B DA 8B C8 0F B7 C3 0F B6 B8 ?? ?? ?? ?? 66 83 FB 02 75 2C 0F B7 C1 83 E0 03 85 C0 75 22 0F B7 F1 8B C6 BB 64 00 00 00 33 D2 F7 F3 85 D2 75 0F 8B C6 B9 90 01 00 00 33 D2 F7 F1 85 D2 75 01 47 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19484_0 {
	meta:
		name = "DateTimeDefaultFormat"
		size = 64
		refs = "000b DateTimeDefaultFormat 0018 ShortTimeFormat 001f @LStrLAsg 0029 ShortDateFormat"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 D8 1D ?? ?? ?? ?? DF E0 9E 77 11 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 0F 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_19485_0 {
	meta:
		name = "NextDateTimeStep"
		size = 71
		refs = "0009 DateTimeStep"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B1 E8 BA ?? ?? ?? ?? DD 45 08 DC 1A DF E0 9E 72 0E 8B 42 08 89 45 F8 8B 42 0C 89 45 FC EB 19 83 EA 08 FE C1 75 E1 8B 05 ?? ?? ?? ?? 89 45 F8 8B 05 ?? ?? ?? ?? 89 45 FC DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19486_0 {
	meta:
		name = "FindDateTimeStep"
		size = 51
		refs = "0008 DateTimeStep"
	strings:
		$1 = { 55 8B EC 53 56 B3 18 BE ?? ?? ?? ?? DD 06 DC 65 08 D9 E1 DC 1D ?? ?? ?? ?? DF E0 9E 73 04 8B C3 EB 0B 4B 83 EE 08 80 FB FF 75 E1 B0 19 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19491_0 {
	meta:
		name = "SwapInteger"
		size = 11
		altNames = "SwapLongint"
	strings:
		$1 = { 53 8B 08 8B 1A 89 18 89 0A 5B C3 }
	condition:
		$1
}

rule function_19492_0 {
	meta:
		name = "SwapDouble"
		size = 40
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B 0A 89 08 8B 4A 04 89 48 04 8B 04 24 89 02 8B 44 24 04 89 42 04 59 5A C3 }
	condition:
		$1
}

rule function_19494_0 {
	meta:
		name = "GetScreenLogPixels"
		size = 34
		refs = "0005 GetDC 000f GetDeviceCaps 0019 ReleaseDC"
	strings:
		$1 = { 53 56 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 5A 53 E8 ?? ?? ?? ?? 8B F0 53 6A 00 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19495_0 {
	meta:
		name = "CheckJapaneseFontSize"
		size = 48
		refs = "0009 SysLocale 0015 GetScreenLogPixels 001d DefFontData 0026 MulDiv"
	strings:
		$1 = { 53 8B D8 83 3B 08 75 26 A1 ?? ?? ?? ?? 66 83 78 04 11 75 1A E8 ?? ?? ?? ?? 50 6A 48 A1 ?? ?? ?? ?? 8B 40 04 50 E8 ?? ?? ?? ?? F7 D8 89 03 5B C3 }
	condition:
		$1
}

rule function_19497_0 {
	meta:
		name = "GetDefaultFontName"
		size = 76
		refs = "0006 TeeMsg_DefaultFontName 000b LoadResString 0012 GetDefaultFontName 0017 @LStrCmp 001e SysLocale 002d DefFontData 0035 @LStrFromString"
	strings:
		$1 = { 53 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? 66 83 78 04 11 75 10 8B C3 8B 15 ?? ?? ?? ?? 83 C2 0B E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 }
	condition:
		$1
}

rule function_19498_0 {
	meta:
		name = "IsDefaultFont"
		size = 156
		refs = "000f IsDefaultFont 001c TFont.GetSize 0023 GetDefaultFontSize 0031 TFont.GetName 003d GetDefaultFontName 0046 @LStrCmp 0055 TFont.GetStyle 007c @LStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 38 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 17 83 7B 14 00 75 11 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 3A D0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_19499_0 {
	meta:
		name = "CreateDefaultFont"
		size = 128
		refs = "000a CreateDefaultFont 0017 _Dn_TFont 001c TFont.Create 0026 GetDefaultFontName 0030 TFont.SetName 0035 GetDefaultFontSize 003e TFont.SetSize 0047 TFont.SetColor 0054 TFont.SetStyle 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_19500_0 {
	meta:
		name = "GetDefaultColor"
		size = 21
		refs = "0010 ColorPalette"
	strings:
		$1 = { 25 0F 00 00 80 79 05 48 83 C8 F0 40 40 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19501_0 {
	meta:
		name = "TCustomTeePanel.Create"
		size = 329
		refs = "0011 @ClassCreate 0027 TCustomPanel.Create 0051 _Dn_TView3DOptions 0056 TView3DOptions.Create 0063 _Dn_TTeeCanvas3D 0068 TTeeCanvas3D.Create 007d TTeeCanvas.SetCanvas 0097 Rect 00ea _DV_TZoomPanningRecord 00ef TObject.Create 010d TeeEraseBack 0132 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 89 83 5C 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 01 02 00 00 00 C6 83 00 02 00 00 01 8B 83 EC 01 00 00 89 83 24 02 00 00 C6 83 4C 02 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 50 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 5C 02 00 00 8B 93 24 02 00 00 8B C6 E8 ?? ?? ?? ?? 6A 04 8D 45 EC 50 B9 03 00 00 00 BA 04 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8D 75 EC 8D BB 2C 02 00 00 B9 04 00 00 00 F3 A5 C6 83 44 02 00 00 00 6A 0F 8D 45 EC 50 B9 0F 00 00 00 BA 0F 00 00 00 B8 0F 00 00 00 E8 ?? ?? ?? ?? 8D 75 EC 8D BB 70 02 00 00 B9 04 00 00 00 F3 A5 66 8B 43 6C 66 89 83 3C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 40 02 00 00 80 3D ?? ?? ?? ?? 00 74 0E F6 43 20 10 0F 95 C0 34 01 A2 ?? ?? ?? ?? C6 83 01 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19502_0 {
	meta:
		name = "TCustomTeePanel.Destroy"
		size = 89
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0047 TCustomControl.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 5C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 5C 02 00 00 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 8B 86 40 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19504_0 {
	meta:
		name = "TCustomTeePanel.SetView3DOptions"
		size = 12
	strings:
		$1 = { 8B 80 50 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_19505_0 {
	meta:
		name = "TCustomTeePanel.SetView3D"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 4C 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19506_0 {
	meta:
		name = "TCustomTeePanel.Draw"
		size = 330
		refs = "005a RectSize 0073 TCustomTeePanel.GetMargin 0079 MulDiv 00fb Rect 0115 TCustomTeePanel.ReCalcWidthHeight"
	strings:
		$1 = { 53 56 57 83 C4 E4 89 0C 24 8B FA 8B D8 8B 43 64 50 8A 83 4C 02 00 00 50 8B 44 24 08 50 8D 44 24 18 50 8B 8B 50 02 00 00 8B D7 8B 83 5C 02 00 00 8B 30 FF 96 A8 00 00 00 57 8D 74 24 10 8D BB 04 02 00 00 B9 04 00 00 00 F3 A5 5F 8D 4C 24 08 8D 54 24 04 8D 83 04 02 00 00 E8 ?? ?? ?? ?? 8D B3 04 02 00 00 6A 64 8B 44 24 0C 50 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 56 0C 2B 93 F8 01 00 00 2B D0 52 8D 44 24 10 50 6A 64 8B 44 24 10 50 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 56 08 2B 93 F8 01 00 00 2B D0 52 6A 64 8B 44 24 18 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 56 04 03 93 F8 01 00 00 03 C2 50 6A 64 8B 44 24 18 50 33 D2 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 16 03 93 F8 01 00 00 03 C2 5A 59 E8 ?? ?? ?? ?? 57 8D 74 24 10 8D BB 60 02 00 00 B9 04 00 00 00 F3 A5 5F 8B C3 E8 ?? ?? ?? ?? 8D 93 04 02 00 00 8B C3 8B 08 FF 91 BC 00 00 00 8B 04 24 50 8B 8B 24 02 00 00 8B D7 8B 83 5C 02 00 00 8B 18 FF 93 B4 00 00 00 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19507_0 {
	meta:
		name = "TCustomTeePanel.Paint"
		size = 65
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB 44 02 00 00 00 75 2D 8B 83 5C 02 00 00 8B 10 FF 92 B8 00 00 00 84 C0 75 1B 8B D4 8B C3 8B 08 FF 51 44 8B CC 8B 93 24 02 00 00 8B C3 8B 18 FF 93 C4 00 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_19508_0 {
	meta:
		name = "TCustomTeePanel.TeeCreateMetafile"
		size = 174
		refs = "0012 _Dn_TMetafile 0017 TMetafile.Create 002a MaxLong 0061 _Dn_TMetafileCanvas 0066 TMetafileCanvas.Create 0071 TCustomTeePanel.TeeCreateMetafile 0083 TCustomTeePanel.DrawToMetaCanvas 0098 TObject.Free 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 57 08 2B 17 4A B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 40 8B 57 0C 2B 57 04 4A B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 34 8B 45 FC 88 58 1C 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19509_0 {
	meta:
		name = "TCustomTeePanel.SetBrushCanvas"
		size = 122
		refs = "0023 BrushColors 002b TBrush.SetColor 003f TBrush.SetStyle 0047 TBrush.GetHandle 0067 ColorToRGB"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B B0 5C 02 00 00 84 DB 74 20 3B 55 08 75 1B 83 7D 08 00 0F 94 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? EB 08 8B 46 10 E8 ?? ?? ?? ?? 8B D3 8B 46 10 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 DB 75 0B B2 01 8B C6 8B 08 FF 51 1C EB 1A B2 02 8B C6 8B 08 FF 51 1C 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 18 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19510_0 {
	meta:
		name = "TCustomTeePanel.FontCanvas"
		size = 25
	strings:
		$1 = { 56 8B 80 5C 02 00 00 8B 70 08 8B 46 18 89 42 18 8B C6 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_19511_0 {
	meta:
		name = "TCustomTeePanel.IsScreenHighColor"
		size = 52
		refs = "0013 GetDeviceCaps"
	strings:
		$1 = { 53 56 8B 98 5C 02 00 00 6A 0C 8B C3 8B 10 FF 52 08 50 E8 ?? ?? ?? ?? 8B F0 6A 0E 8B C3 8B 10 FF 52 08 50 E8 ?? ?? ?? ?? 0F AF F0 83 FE 0F 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_19512_0 {
	meta:
		name = "TCustomTeePanel.SetColorProperty"
		size = 18
		altNames = "TCustomTeePanel.SetIntegerProperty TCustomTeePanel.SetLongintProperty"
	strings:
		$1 = { 56 8B F0 3B 0A 74 09 89 0A 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_19513_0 {
	meta:
		name = "TCustomTeePanel.SetStringProperty"
		size = 40
		refs = "000e @LStrCmp 0019 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 06 8B D7 E8 ?? ?? ?? ?? 74 10 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19514_0 {
	meta:
		name = "TCustomTeePanel.SetDoubleProperty"
		size = 39
	strings:
		$1 = { 55 8B EC 56 8B F0 DD 02 DC 5D 08 DF E0 9E 74 12 8B 45 08 89 02 8B 45 0C 89 42 04 8B C6 8B 10 FF 52 78 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_19516_0 {
	meta:
		name = "TCustomTeePanel.SetBooleanProperty"
		size = 18
	strings:
		$1 = { 56 8B F0 3A 0A 74 09 88 0A 8B C6 8B 10 FF 52 78 5E C3 }
	condition:
		$1
}

rule function_19518_0 {
	meta:
		name = "TCustomTeePanel.Loaded"
		size = 23
		refs = "0006 TControl.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 8B 43 6C 66 89 83 3C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_19519_0 {
	meta:
		name = "TCustomTeePanel.CMMouseLeave"
		size = 32
		refs = "0010 TControl.SetCursor 0019 TControl.CMMouseLeave"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 8B 93 3C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19520_0 {
	meta:
		name = "TCustomTeePanel.WMEraseBkgnd"
		size = 28
		refs = "0005 TeeEraseBack 000f TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 8B DA 80 3D ?? ?? ?? ?? 00 74 07 8B D3 E8 ?? ?? ?? ?? C7 43 0C 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_19521_0 {
	meta:
		name = "TCustomTeePanel.Invalidate"
		size = 43
		refs = "0024 TWinControl.Invalidate"
	strings:
		$1 = { 53 56 8B D8 80 BB 01 02 00 00 00 74 1B 8B B3 5C 02 00 00 85 F6 74 0A 8B C6 8B 10 FF 92 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19522_0 {
	meta:
		name = "TCustomTeePanel.SetBounds"
		size = 105
		refs = "005d TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B B3 5C 02 00 00 85 F6 74 35 8B C6 8B 10 FF 52 14 84 C0 74 1C 33 D2 8B 83 5C 02 00 00 8B 08 FF 51 2C B2 01 8B 83 5C 02 00 00 8B 08 FF 51 2C EB 0E 8B 83 5C 02 00 00 8B 10 FF 92 80 00 00 00 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19523_0 {
	meta:
		name = "TCustomTeePanel.GetMargin"
		size = 32
	strings:
		$1 = { 05 2C 02 00 00 83 EA 01 72 07 74 08 4A 74 09 EB 0B 8B 00 C3 8B 40 04 C3 8B 40 08 C3 8B 40 0C C3 }
	condition:
		$1
}

rule function_19524_0 {
	meta:
		name = "TCustomTeePanel.SetMargin"
		size = 58
		refs = "0016 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 56 8D B0 2C 02 00 00 83 EA 01 72 07 74 0E 4A 74 15 EB 1D 8B D6 E8 ?? ?? ?? ?? 5E C3 8D 56 04 E8 ?? ?? ?? ?? 5E C3 8D 56 08 E8 ?? ?? ?? ?? 5E C3 8D 56 0C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_19525_0 {
	meta:
		name = "TCustomTeePanel.GetBufferedDisplay"
		size = 12
	strings:
		$1 = { 8B 80 5C 02 00 00 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_19526_0 {
	meta:
		name = "TCustomTeePanel.SetBufferedDisplay"
		size = 12
	strings:
		$1 = { 8B 80 5C 02 00 00 8B 08 FF 51 2C C3 }
	condition:
		$1
}

rule function_19527_0 {
	meta:
		name = "TCustomTeePanel.SetInternalCanvas"
		size = 89
		refs = "0013 TTeeCanvas.SetCanvas 0045 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 4C 8B 93 24 02 00 00 8B C6 E8 ?? ?? ?? ?? 83 BB 5C 02 00 00 00 74 29 C6 83 01 02 00 00 00 8B 93 5C 02 00 00 8B C6 8B 08 FF 91 AC 00 00 00 C6 83 01 02 00 00 01 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 89 B3 5C 02 00 00 8B C3 8B 10 FF 52 7C 5E 5B C3 }
	condition:
		$1
}

rule function_19528_0 {
	meta:
		name = "TCustomTeePanel.ReCalcWidthHeight"
		size = 146
	strings:
		$1 = { 56 8D 90 60 02 00 00 8B 88 04 02 00 00 3B 0A 7E 02 89 0A 8B 88 08 02 00 00 3B 4A 04 7E 03 89 4A 04 8B 0A 8B 72 08 3B CE 7E 06 41 89 4A 08 EB 0A 3B CE 75 06 03 48 38 89 4A 08 8B 4A 04 8B 72 0C 3B CE 7E 06 41 89 4A 0C EB 0A 3B CE 75 06 03 48 3C 89 4A 0C 8B 4A 08 2B 0A 89 88 14 02 00 00 8B 4A 0C 2B 4A 04 89 88 18 02 00 00 8B 0A 03 4A 08 D1 F9 79 03 83 D1 00 89 88 1C 02 00 00 8B 4A 04 03 4A 0C D1 F9 79 03 83 D1 00 89 88 20 02 00 00 5E C3 }
	condition:
		$1
}

rule function_19529_0 {
	meta:
		name = "TCustomTeePanel.DrawZoomRectangle"
		size = 128
		refs = "0012 ColorToRGB 001b TPen.SetColor 0022 TPen.GetColor 003e TPen.SetMode 0047 TPen.SetStyle 0053 TPen.SetWidth 005d TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 8B F0 8B BE 5C 02 00 00 8B 5F 0C 8B 46 64 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3D FF FF FF 00 75 0C BA FF 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 0F 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 47 10 B2 01 E8 ?? ?? ?? ?? 8B 86 58 02 00 00 8B 50 10 52 8B 50 14 52 8B 48 0C 8B 50 08 8B C7 8B 18 FF 53 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19530_0 {
	meta:
		name = "TCustomTeePanel.GetCursorPos"
		size = 43
		refs = "000b GetCursorPos 0016 TControl.ScreenToClient"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 53 E8 ?? ?? ?? ?? 8B CC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19532_0 {
	meta:
		name = "TCustomTeePanel.DrawToMetaCanvas"
		size = 129
		refs = "0020 TCustomTeePanel.GetBufferedDisplay 002d TCustomTeePanel.SetBufferedDisplay 0035 TCustomTeePanel.DrawToMetaCanvas 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 80 5C 02 00 00 C6 40 14 01 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 5C 02 00 00 C6 40 14 00 C3 E9 ?? ?? ?? ?? EB E0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19533_0 {
	meta:
		name = "TCustomTeePanel.GetMonochrome"
		size = 12
	strings:
		$1 = { 8B 80 5C 02 00 00 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_19534_0 {
	meta:
		name = "TCustomTeePanel.SetMonochrome"
		size = 12
	strings:
		$1 = { 8B 80 5C 02 00 00 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_19535_0 {
	meta:
		name = "TCustomTeePanel.Assign"
		size = 125
		refs = "000b _DV_TCustomTeePanel 0010 @IsClass 001d TCustomTeePanel.GetBufferedDisplay 0026 TCustomTeePanel.SetBufferedDisplay 0044 TCustomTeePanel.GetMonochrome 004d TCustomTeePanel.SetMonochrome 0075 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B FE 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 56 57 8D B7 2C 02 00 00 8D BB 2C 02 00 00 B9 04 00 00 00 F3 A5 5F 5E 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8A 87 4C 02 00 00 88 83 4C 02 00 00 8B 97 50 02 00 00 8B 83 50 02 00 00 8B 08 FF 51 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19536_0 {
	meta:
		name = "TCustomTeePanel.SaveToMetafile"
		size = 39
		refs = "001d TCustomTeePanel.SaveToMetafileRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 CC 00 00 00 54 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_19537_0 {
	meta:
		name = "TCustomTeePanel.SaveToMetafileEnh"
		size = 39
		refs = "001d TCustomTeePanel.SaveToMetafileRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 CC 00 00 00 54 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_19538_0 {
	meta:
		name = "TCustomTeePanel.SaveToMetafileRect"
		size = 146
		refs = "000d TCustomTeePanel.TeeCreateMetafile 0018 TCustomTeePanel.SaveToMetafileRect 002c _Dn_TFileStream 0031 TFileStream.Create 0062 TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF FF 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19539_0 {
	meta:
		name = "TCustomTeePanel.TeeCreateBitmap"
		size = 91
		refs = "000a _Dn_TBitmap 000f TBitmap.Create 0041 TBitmap.GetCanvas"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D4 8B C6 8B 08 FF 91 CC 00 00 00 8B 54 24 08 2B 14 24 8B C3 8B 08 FF 51 40 8B 54 24 0C 2B 54 24 04 8B C3 8B 08 FF 51 34 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CC 8B C6 8B 30 FF 96 C4 00 00 00 8B C3 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_19540_0 {
	meta:
		name = "TCustomTeePanel.SaveToBitmapFile"
		size = 72
		refs = "0008 TCustomTeePanel.TeeCreateBitmap 0013 TCustomTeePanel.SaveToBitmapFile 0038 TObject.Free 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_19543_0 {
	meta:
		name = "TCustomTeePanel.PrintOrientation"
		size = 95
		refs = "000b Printer 0010 TPrinter.GetOrientation 001f TPrinter.SetOrientation 0027 TCustomTeePanel.PrintOrientation 0034 TCustomTeePanel.Print 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19544_0 {
	meta:
		name = "TCustomTeePanel.CopyToClipboardBitmap"
		size = 71
		refs = "0005 TCustomTeePanel.TeeCreateBitmap 0010 TCustomTeePanel.CopyToClipboardBitmap 001b Clipboard 0038 TObject.Free 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_19545_0 {
	meta:
		name = "TCustomTeePanel.CopyToClipboardMetafile"
		size = 102
		refs = "0021 TCustomTeePanel.TeeCreateMetafile 002c TCustomTeePanel.CopyToClipboardMetafile 0037 Clipboard 0054 TObject.Free 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B DA 8B F0 8D 55 EC 8B C6 8B 08 FF 91 CC 00 00 00 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19546_0 {
	meta:
		name = "TCustomTeePanel.CalcMetaBounds"
		size = 205
		refs = "0018 RectSize 0045 MulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 8B F0 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 08 FF 91 CC 00 00 00 8D 45 E8 8D 4D F8 8D 55 FC E8 ?? ?? ?? ?? 6A 64 8B 86 48 02 00 00 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 55 FC 2B D0 89 17 6A 64 8B 86 48 02 00 00 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 55 F8 2B D0 8B 45 10 89 10 8B 45 0C 8B 00 50 8B 07 50 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 45 0C 8B 00 50 8B 07 50 8B 43 08 50 E8 ?? ?? ?? ?? 89 43 08 8B 45 08 8B 00 50 8B 45 10 8B 00 50 8B 43 04 50 E8 ?? ?? ?? ?? 89 43 04 8B 45 08 8B 00 50 8B 45 10 8B 00 50 8B 43 0C 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_19547_0 {
	meta:
		name = "SetAnisotropic"
		size = 96
		refs = "000b TCanvas.GetHandle 0015 SetMapMode 0021 SetWindowOrgEx 0037 SetWindowExtEx 004d SetViewportExtEx 0059 SetViewportOrgEx"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 6A 08 53 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 6A 00 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F8 50 53 E8 ?? ?? ?? ?? 6A 00 8B 45 08 8B 40 EC 50 8B 45 08 8B 40 F0 50 53 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_19548_0 {
	meta:
		name = "TCustomTeePanel.PrintPartialCanvas"
		size = 176
		refs = "002c SwapInteger 0059 TCustomTeePanel.CalcMetaBounds 005f SetAnisotropic 0072 TCustomTeePanel.PrintPartialCanvas 0086 TCustomTeePanel.DrawToMetaCanvas 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D9 89 55 FC 89 45 E8 8B F3 8D 7D D8 B9 04 00 00 00 F3 A5 8B 45 D8 3B 45 E0 7E 0B 8D 55 E0 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 DC 3B 45 E4 7E 0B 8D 55 E4 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8D 4D F8 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 E8 C6 80 44 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D8 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 C6 80 44 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19549_0 {
	meta:
		name = "TCustomTeePanel.PrintPartial"
		size = 30
		refs = "0007 Printer 000c TPrinter.GetCanvas 0017 TCustomTeePanel.PrintPartialCanvas"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19550_0 {
	meta:
		name = "TCustomTeePanel.PrintRect"
		size = 142
		refs = "000b Printer 0016 @LStrAsg 0020 TPrinter.BeginDoc 0028 TCustomTeePanel.PrintRect 0037 TCustomTeePanel.PrintPartial 0041 TPrinter.EndDoc 0050 @HandleOnException 0058 _Dn_Exception 0066 TPrinter.Abort 0080 @RaiseAgain 0085 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 E8 ?? ?? ?? ?? 83 C0 18 8B 53 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 1C 00 74 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19551_0 {
	meta:
		name = "InchToPixel"
		size = 30
		refs = "0015 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 8A C3 8B 55 10 DB 44 82 F8 DC 4D 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19552_0 {
	meta:
		name = "TCustomTeePanel.ChartPrintRect"
		size = 320
		refs = "000f Printer 0014 TPrinter.GetHandle 001a GetDeviceCaps 003c TPrinter.GetPageWidth 0048 TCustomTeePanel.ChartPrintRect 007b InchToPixel 00b8 TPrinter.GetPageHeight"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F2 8B D8 6A 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 6A 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? DB 45 FC D8 0D ?? ?? ?? ?? DE F9 D8 35 ?? ?? ?? ?? DD 5D F0 9B 55 DB 83 70 02 00 00 D8 0D ?? ?? ?? ?? DC 4D F0 83 C4 F8 DD 1C 24 9B B0 01 E8 ?? ?? ?? ?? 59 89 06 55 DB 83 78 02 00 00 D8 0D ?? ?? ?? ?? DC 4D F0 83 C4 F8 DD 1C 24 9B B0 01 E8 ?? ?? ?? ?? 59 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B C2 89 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? DB 45 F8 D8 0D ?? ?? ?? ?? DE F9 D8 35 ?? ?? ?? ?? DD 5D F0 9B 55 DB 83 74 02 00 00 D8 0D ?? ?? ?? ?? DC 4D F0 83 C4 F8 DD 1C 24 9B 33 C0 E8 ?? ?? ?? ?? 59 89 46 04 55 DB 83 7C 02 00 00 D8 0D ?? ?? ?? ?? DC 4D F0 83 C4 F8 DD 1C 24 9B 33 C0 E8 ?? ?? ?? ?? 59 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B C2 89 46 0C 5E 5B 8B E5 5D C3 00 00 00 00 00 80 3F 00 00 C8 42 }
	condition:
		$1
}

rule function_19553_0 {
	meta:
		name = "TCustomTeePanel.Print"
		size = 29
		refs = "000b TCustomTeePanel.ChartPrintRect 0014 TCustomTeePanel.PrintRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_19554_0 {
	meta:
		name = "TCustomTeePanel.CheckPenWidth"
		size = 48
		refs = "0012 TPen.GetStyle 001d TPen.GetWidth 0029 TPen.SetWidth"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 BE 44 02 00 00 00 74 1E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 48 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19555_0 {
	meta:
		name = "TCustomTeePanel.DrawPanelBevels"
		size = 189
		refs = "0029 Colors 0052 Frame3D"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 8B D8 8A 83 F2 01 00 00 84 C0 74 38 3C 02 0F 94 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? 52 8B 93 F4 01 00 00 52 3C 01 0F 94 C0 83 E0 7F 8B 0C 85 ?? ?? ?? ?? 8D 54 24 08 8B 83 5C 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 43 64 50 8B 93 F8 01 00 00 52 8D 54 24 08 8B 8B 5C 02 00 00 8B 49 04 91 E8 ?? ?? ?? ?? 8A 83 F1 01 00 00 84 C0 74 38 3C 02 0F 94 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? 52 8B 93 F4 01 00 00 52 3C 01 0F 94 C0 83 E0 7F 8B 0C 85 ?? ?? ?? ?? 8D 54 24 08 8B 83 5C 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19556_0 {
	meta:
		name = "TChartFontObject.Create"
		size = 87
		refs = "000b @ClassCreate 001a TObject.Create 0022 CreateDefaultFont 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 E8 ?? ?? ?? ?? 8B F0 89 77 08 8B 47 04 89 46 08 8B 00 8B 80 C0 00 00 00 89 46 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19557_0 {
	meta:
		name = "TChartFontObject.IsFontStored"
		size = 15
		refs = "0007 IsDefaultFont"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_19559_0 {
	meta:
		name = "TChartFontObject.Assign"
		size = 49
		refs = "000a _DV_TChartFontObject 000f @IsClass 002a TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 56 08 8B 43 08 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19561_0 {
	meta:
		name = "TChartFontObject.Repaint"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_19562_0 {
	meta:
		name = "TDraw3D.InternalDraw"
		size = 219
		refs = "0015 PrintTeePanel 0028 TBrush.SetColor 0032 TBrush.SetStyle 0048 TPen.SetStyle 0054 TPen.SetWidth 005d TPen.SetMode 0082 TCustomTeePanel.DrawPanelBevels 0089 TCustomTeePanel.ReCalcWidthHeight 00b5 TTeeCanvas.ResetState"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B D8 8A 83 44 02 00 00 34 01 0A 05 ?? ?? ?? ?? 74 6B 8B B3 5C 02 00 00 8B 53 64 8B 46 10 E8 ?? ?? ?? ?? 33 D2 8B 46 10 E8 ?? ?? ?? ?? 8B 14 24 8B C6 8B 08 FF 51 78 8B 7E 0C 33 D2 8B C7 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? B2 04 8B C7 E8 ?? ?? ?? ?? B2 01 8B 46 10 E8 ?? ?? ?? ?? 8B 04 24 8B F0 8D 7C 24 04 B9 04 00 00 00 F3 A5 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 60 02 00 00 50 8D 8B 04 02 00 00 8B 93 54 02 00 00 8B 83 5C 02 00 00 8B 30 FF 96 B0 00 00 00 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 66 83 BB 82 02 00 00 00 74 11 8B 0C 24 8B D3 8B 83 84 02 00 00 FF 93 80 02 00 00 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19563_0 {
	meta:
		name = "TZoomPanningRecord.Check"
		size = 43
		refs = "0012 SwapLongint"
	strings:
		$1 = { 53 8B D8 8B 43 08 3B 43 10 7E 0B 8D 53 10 8D 43 08 E8 ?? ?? ?? ?? 8B 43 0C 3B 43 14 7E 0B 8D 53 14 8D 43 0C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19564_0 {
	meta:
		name = "TZoomPanningRecord.Activate"
		size = 17
	strings:
		$1 = { 89 50 08 89 48 0C 89 50 10 89 48 14 C6 40 04 01 C3 }
	condition:
		$1
}

rule function_19565_0 {
	meta:
		name = "_NF__2A1"
		size = 36
	strings:
		$1 = { FF FF FF FF 03 00 00 00 42 4D 50 00 FF FF FF FF 03 00 00 00 57 4D 46 00 FF FF FF FF 03 00 00 00 45 4D 46 00 }
	condition:
		$1
}

rule function_19566_0 {
	meta:
		name = "TeeGetImageExtension"
		size = 23
		refs = "000b Extensions 0010 @LStrLAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19567_0 {
	meta:
		name = "TeeIdentToCursor"
		size = 64
		refs = "0009 TeeIdentToCursor 000e @LStrCmp 0024 IdentToCursor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B C7 06 E4 07 00 00 B0 01 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 FF FF FF FF 09 00 00 00 63 72 54 65 65 48 61 6E 64 00 00 00 }
	condition:
		$1
}

rule function_19568_0 {
	meta:
		name = "TeeCursorToIdent"
		size = 56
		refs = "000d TeeCursorToIdent 0012 @LStrAsg 001d CursorToIdent"
	strings:
		$1 = { 53 8B DA 3D E4 07 00 00 75 10 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 5B C3 8B D3 E8 ?? ?? ?? ?? 5B C3 00 FF FF FF FF 09 00 00 00 63 72 54 65 65 48 61 6E 64 00 00 00 }
	condition:
		$1
}

rule function_19569_0 {
	meta:
		name = "PointInLine"
		size = 229
		refs = "0025 MaxLong"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B 45 08 2B C6 99 33 C2 2B C2 50 8B 45 0C 2B C3 99 33 C2 2B C2 5A E8 ?? ?? ?? ?? 8B C8 8B 45 08 2B C6 8B 55 FC 8B 12 2B D3 F7 EA 8B 55 FC 8B 52 04 2B D6 8B 7D 0C 2B FB 0F AF D7 2B C2 99 33 C2 2B C2 3B C8 7F 07 33 C0 E9 82 00 00 00 3B 5D 0C 7E 07 8B 45 FC 3B 18 7C 0D 3B 75 08 7E 0C 8B 45 FC 3B 70 04 7D 04 33 C0 EB 65 8B 45 FC 3B 18 7E 05 3B 5D 0C 7C 0D 8B 45 FC 3B 70 04 7E 09 3B 75 08 7D 04 33 C0 EB 48 3B 5D 0C 7D 0A 8B 45 FC 8B 00 3B 45 0C 7F 10 3B 75 08 7D 0F 8B 45 FC 8B 40 04 3B 45 08 7E 04 33 C0 EB 25 8B 45 FC 8B 00 3B 45 0C 7D 05 3B 5D 0C 7F 10 8B 45 FC 8B 40 04 3B 45 08 7D 09 3B 75 08 7E 04 33 C0 EB 02 B0 01 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19570_0 {
	meta:
		name = "PointInPolygon"
		size = 150
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 C6 04 24 00 8B F1 8B F9 85 FF 7C 76 47 C7 44 24 04 00 00 00 00 8D 4A 04 8B 43 04 3B 01 7C 09 8B 44 F2 04 3B 43 04 7F 10 8B 44 F2 04 3B 43 04 7F 43 8B 43 04 3B 01 7D 3C 8B 04 F2 2B 41 FC 8B 6B 04 2B 29 0F AF C5 89 44 24 08 DB 44 24 08 8B 44 F2 04 2B 01 89 44 24 0C DB 44 24 0C DE F9 DB 41 FC DE C1 DB 03 DE D9 DF E0 9E 73 08 8A 04 24 34 01 88 04 24 8B 74 24 04 FF 44 24 04 83 C1 08 4F 75 96 8A 04 24 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19571_0 {
	meta:
		name = "PointInTriangle"
		size = 125
		refs = "001b Point 0070 PointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F1 8B DA 89 45 FC 8B 7D 0C 8D 4D DC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8D 4D D4 8D 04 1E D1 F8 79 03 83 D0 00 8B 55 08 E8 ?? ?? ?? ?? 8B 45 D4 89 45 EC 8B 45 D8 89 45 F0 8D 4D CC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 89 45 F4 8B 45 D0 89 45 F8 8D 55 E4 8B 45 FC B9 02 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_19572_0 {
	meta:
		name = "PointInHorizTriangle"
		size = 125
		refs = "001b Point 0070 PointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F1 8B DA 89 45 FC 8B 7D 0C 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8D 4D D4 8D 14 1E D1 FA 79 03 83 D2 00 8B 45 08 E8 ?? ?? ?? ?? 8B 45 D4 89 45 EC 8B 45 D8 89 45 F0 8D 4D CC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 CC 89 45 F4 8B 45 D0 89 45 F8 8D 55 E4 8B 45 FC B9 02 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_19573_0 {
	meta:
		name = "PointInEllipse"
		size = 172
		refs = "0048 PointInEllipse"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B CA 89 04 24 8B 19 8B FB 03 79 08 D1 FF 79 03 83 D7 00 8B 71 04 8B EE 03 69 0C D1 FD 79 03 83 D5 00 8B C7 2B C3 F7 E8 8B D8 8B C5 2B C6 F7 E8 8B F0 85 DB 74 5D 85 F6 74 59 8B 04 24 DB 00 D8 0D ?? ?? ?? ?? 89 7C 24 04 DB 44 24 04 DE E9 D8 C8 89 5C 24 08 DB 44 24 08 DE F9 DB 7C 24 0C 9B 8B 04 24 DB 40 04 D8 0D ?? ?? ?? ?? 89 6C 24 18 DB 44 24 18 DE E9 D8 C8 89 74 24 1C DB 44 24 1C DE F9 DB 6C 24 0C DE C1 D8 1D ?? ?? ?? ?? DF E0 9E 76 04 33 C0 EB 02 B0 01 83 C4 20 5D 5F 5E 5B C3 00 00 80 3F }
	condition:
		$1
}

rule function_19574_0 {
	meta:
		name = "TeeSplitInLines"
		size = 152
		refs = "0016 @LStrAddRef 001e TeeSplitInLines 002e @LStrLAsg 0039 AnsiPos 0047 UniqueString 004d TeeLineSeparator 006c @LStrAsg 0086 @LStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7E 23 8D 45 F8 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 88 54 18 FF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7F DD 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19575_0 {
	meta:
		name = "DelphiToLocalFormat"
		size = 98
		refs = "000c @LStrLAsg 0013 @LStrLen 002f UniqueString 0035 ThousandSeparator 0050 DecimalSeparator"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 41 BB 01 00 00 00 8B 06 8A 44 18 FF 3C 2C 75 15 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8A 12 88 54 18 FF EB 19 8B 16 3C 2E 75 13 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8A 12 88 54 18 FF 43 4F 75 C4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19576_0 {
	meta:
		name = "LocalToDelphiFormat"
		size = 96
		refs = "000c @LStrLAsg 0013 @LStrLen 002a ThousandSeparator 0035 UniqueString 0044 DecimalSeparator"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 3F BB 01 00 00 00 8B 06 8A 44 18 FF 8B 15 ?? ?? ?? ?? 3A 02 75 0E 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 2C EB 18 8B 16 8B 15 ?? ?? ?? ?? 3A 02 75 0C 8B C6 E8 ?? ?? ?? ?? C6 44 18 FF 2E 43 4F 75 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19577_0 {
	meta:
		name = "EnableControls"
		size = 33
	strings:
		$1 = { 53 56 57 8B D8 8B F1 85 F6 7C 12 46 8B FA 8B D3 8B 07 8B 08 FF 51 60 83 C7 04 4E 75 F1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19578_0 {
	meta:
		name = "Finalization"
		size = 88
		refs = "0007 Finalization 0013 _DV_5 001a Screen 0028 TScreen.SetCursors 002d Extensions 0038 String 003d @FinalizeArray 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 28 A1 ?? ?? ?? ?? 8B 00 33 C9 BA E4 07 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19579_0 {
	meta:
		name = "TeeProcs"
		size = 92
		refs = "0002 _DV_5 000b TeeClipWhenPrinting 0012 TeeClipWhenMetafiling 0019 TeeEraseBack 0020 PrintTeePanel 0026 TeeProcs 002b HInstance 0033 LoadCursor 003a Screen 0046 TScreen.SetCursors"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 41 C6 05 ?? ?? ?? ?? 01 C6 05 ?? ?? ?? ?? 01 C6 05 ?? ?? ?? ?? 00 C6 05 ?? ?? ?? ?? 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 BA E4 07 00 00 E8 ?? ?? ?? ?? C3 00 54 45 45 5F 43 55 52 53 4F 52 5F 48 41 4E 44 00 }
	condition:
		$1
}

rule function_19580_0 {
	meta:
		name = "TChartShape.Create"
		size = 296
		refs = "000e @ClassCreate 001c TChartSeries.Create 0031 _Dn_TBrush 0036 TBrush.Create 0058 CreateDefaultFont 0075 _Dn_TStringList 007a TObject.Create 008f @AsClass 00a4 TChartSeries.CreateChartPen 00b5 TBrush.GetColor 0113 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 E0 00 00 00 02 C6 83 D0 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 00 00 00 89 5E 08 8B 03 8B 80 2C 01 00 00 89 46 04 C6 83 F5 00 00 00 01 E8 ?? ?? ?? ?? 8B F0 89 B3 E8 00 00 00 89 5E 08 8B 03 8B 80 2C 01 00 00 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 20 8B 13 8B 92 2C 01 00 00 89 50 1C 8B C3 E8 ?? ?? ?? ?? 89 83 F0 00 00 00 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 80 00 00 00 C6 83 F7 00 00 00 01 68 00 00 34 40 6A 00 68 00 00 34 40 6A 00 B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 8C 00 00 00 68 00 00 59 40 6A 00 68 00 00 59 40 6A 00 B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 8C 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19581_0 {
	meta:
		name = "TChartShape.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003f TChartSeries.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 EC 00 00 00 E8 ?? ?? ?? ?? 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B 86 F0 00 00 00 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19583_0 {
	meta:
		name = "TChartShape.SetBrush"
		size = 7
	strings:
		$1 = { 89 90 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_19584_0 {
	meta:
		name = "TChartShape.SetPen"
		size = 7
	strings:
		$1 = { 89 90 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_19585_0 {
	meta:
		name = "TChartShape.GetX0"
		size = 20
	strings:
		$1 = { 83 C4 F8 33 D2 8B 08 FF 51 68 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19586_0 {
	meta:
		name = "TChartShape.SetX0"
		size = 34
		refs = "0011 TChartSeries.SetXValue 0019 TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19587_0 {
	meta:
		name = "TChartShape.GetY0"
		size = 20
	strings:
		$1 = { 83 C4 F8 33 D2 8B 08 FF 51 6C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19588_0 {
	meta:
		name = "TChartShape.SetY0"
		size = 34
		refs = "0011 TChartSeries.SetYValue 0019 TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 78 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19589_0 {
	meta:
		name = "TChartShape.GetX1"
		size = 23
	strings:
		$1 = { 83 C4 F8 BA 01 00 00 00 8B 08 FF 51 68 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19590_0 {
	meta:
		name = "TChartShape.SetX1"
		size = 37
		refs = "0014 TChartSeries.SetXValue 001c TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19591_0 {
	meta:
		name = "TChartShape.GetY1"
		size = 23
	strings:
		$1 = { 83 C4 F8 BA 01 00 00 00 8B 08 FF 51 6C DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19592_0 {
	meta:
		name = "TChartShape.SetY1"
		size = 37
		refs = "0014 TChartSeries.SetYValue 001c TChartValueList.RecalcMinMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 78 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19593_0 {
	meta:
		name = "TChartShape.SetStyle"
		size = 20
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 3A 90 F5 00 00 00 74 0B 88 90 F5 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19594_0 {
	meta:
		name = "TChartShape.SetSeriesColor"
		size = 26
		refs = "0006 TChartSeries.SetSeriesColor 0014 TBrush.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 28 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19595_0 {
	meta:
		name = "DrawDiagonalCross2D"
		size = 78
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B 76 F8 8B 45 08 8B 40 FC 8B 40 54 8B 98 5C 02 00 00 8B 46 08 50 8B 46 0C 50 8B 4E 04 8B 16 8B C3 8B 38 FF 97 84 00 00 00 8B 46 08 50 8B 46 04 50 8B 4E 0C 8B 16 8B C3 8B 18 FF 93 84 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19596_0 {
	meta:
		name = "DrawDiagonalCross3D"
		size = 104
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B 76 F8 8B 45 08 8B 40 FC 8B 40 54 8B 98 5C 02 00 00 8B 46 08 50 8B 46 0C 50 8B 45 08 8B 40 FC 8B 80 D8 00 00 00 50 8B 4E 04 8B 16 8B C3 8B 38 FF 97 E4 00 00 00 8B 46 08 50 8B 46 04 50 8B 45 08 8B 40 FC 8B 80 D8 00 00 00 50 8B 4E 0C 8B 16 8B C3 8B 18 FF 93 E4 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19597_0 {
	meta:
		name = "DrawCross3D"
		size = 119
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 40 54 8B 98 5C 02 00 00 8B 45 08 8B 40 F8 8B 40 0C 50 8B 45 08 8B 40 FC 8B 80 D8 00 00 00 50 8B 45 08 8B 48 F8 8B 49 04 8B 45 08 8B 50 F4 8B C3 8B 30 FF 96 D0 00 00 00 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 FC 8B 80 D8 00 00 00 50 8B 45 08 8B 48 F8 8B 49 08 8B 45 08 8B 50 F8 8B 12 8B C3 8B 18 FF 93 CC 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19598_0 {
	meta:
		name = "DrawCross2D"
		size = 87
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 40 54 8B 98 5C 02 00 00 8B 45 08 8B 40 F8 8B 40 0C 50 8B 45 08 8B 48 F8 8B 49 04 8B 45 08 8B 50 F4 8B C3 8B 30 FF 56 74 8B 45 08 8B 40 F0 50 8B 45 08 8B 48 F8 8B 49 08 8B 45 08 8B 50 F8 8B 12 8B C3 8B 18 FF 53 6C 5E 5B 5D C3 }
	condition:
		$1
}

rule function_19599_0 {
	meta:
		name = "TChartShape.DrawShape"
		size = 1623
		refs = "0028 TTeeCanvas.AssignVisiblePen 003e TBrush.SetStyle 005f TBrush.GetBitmap 007b TBrush.SetBitmap 0089 RectCenter 00ab TChartShape.DrawShape 01a3 Point 0301 DrawCross3D 030d DrawDiagonalCross3D 0633 DrawCross2D 063c DrawDiagonalCross2D"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 89 4D F8 8B DA 89 45 FC 8B 45 FC 8B 40 54 8B B0 5C 02 00 00 8B 45 FC 8B 90 F0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F6 00 00 00 00 74 0C B2 01 8B 46 10 E8 ?? ?? ?? ?? EB 3B 8B 45 FC 8B 90 E4 00 00 00 8B 46 10 8B 08 FF 51 08 8B 45 FC 8B 80 E4 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 8B 45 FC 8B 80 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 46 10 E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 DB 0F 84 2B 03 00 00 8B 45 FC 0F B6 80 F5 00 00 00 83 F8 0D 0F 87 A9 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 88 D8 00 00 00 8B 55 F8 8B C6 8B 18 FF 93 04 01 00 00 E9 4F 05 00 00 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 45 FC 8B 80 D8 00 00 00 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 93 D8 00 00 00 E9 1D 05 00 00 8B 45 F8 8B 40 0C 50 8B 45 FC 8B 80 D8 00 00 00 50 8B 4D F8 8B 49 04 8B 55 F4 8B C6 8B 18 FF 93 D0 00 00 00 E9 F4 04 00 00 8B 45 F0 50 8B 45 FC 8B 80 D8 00 00 00 50 8B 4D F8 8B 49 08 8B 55 F8 8B 12 8B C6 8B 18 FF 93 CC 00 00 00 E9 CC 04 00 00 8B 45 F8 83 C0 08 50 8B 45 FC 8B 80 D8 00 00 00 50 8D 4D E8 8B 55 F8 8B 52 04 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 4D E0 8B 55 F8 8B 52 0C 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 59 8B 18 FF 93 18 01 00 00 E9 80 04 00 00 8D 4D E8 8B 55 F8 8B 52 04 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 8B 80 D8 00 00 00 50 8D 4D E0 8B 55 F8 8B 52 0C 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F8 8B C6 8B 18 FF 93 18 01 00 00 E9 38 04 00 00 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 45 FC 8B 80 D8 00 00 00 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 93 E4 00 00 00 E9 06 04 00 00 8D 4D E8 8B 45 F8 8B 40 08 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 4D E0 8B 55 F8 8B 52 0C 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 8B 80 D8 00 00 00 50 8D 4D D8 8B 55 F8 8B 52 04 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 4D D0 8B 45 F8 8B 00 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 59 8B 18 FF 93 F8 00 00 00 E9 9A 03 00 00 8B 45 F8 8B 40 04 50 8B 45 F8 8B 40 0C 50 8B 45 FC 8B 80 D4 00 00 00 50 8B 45 FC 8B 80 DC 00 00 00 50 8B 45 FC 8A 80 F6 00 00 00 34 01 50 8B 4D F8 8B 49 08 8B 55 F8 8B 12 8B C6 8B 18 FF 93 C4 00 00 00 E9 52 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 46 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 3A 03 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 E9 27 03 00 00 8B 45 F8 8B 40 04 50 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 45 FC 8B 80 D4 00 00 00 50 8B 45 FC 8B 80 DC 00 00 00 50 8B 45 FC 8A 80 F6 00 00 00 34 01 50 8B 4D F8 8B 09 B2 01 8B C6 8B 18 FF 93 00 01 00 00 E9 DC 02 00 00 8B 45 F8 8B 40 0C 50 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 FC 8B 80 D4 00 00 00 50 8B 45 FC 8B 80 DC 00 00 00 50 8B 45 FC 8A 80 F6 00 00 00 34 01 50 8B 4D F8 8B 09 B2 01 8B C6 8B 18 FF 93 00 01 00 00 E9 91 02 00 00 8B 45 FC 0F B6 80 F5 00 00 00 83 F8 0D 0F 87 7E 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 80 B8 F4 00 00 00 00 74 29 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 6A 0C 6A 0C 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 53 54 E9 0A 02 00 00 8B 55 F8 8B C6 8B 08 FF 51 70 E9 FB 01 00 00 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 53 38 E9 D6 01 00 00 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F4 8B C6 8B 18 FF 53 74 E9 BA 01 00 00 8B 45 F0 50 8B 4D F8 8B 49 08 8B 55 F8 8B 12 8B C6 8B 18 FF 53 6C E9 9F 01 00 00 8D 4D E8 8B 55 F8 8B 52 0C 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC 8D 4D E0 8B 55 F8 8B 52 04 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 8B 45 F8 8B 50 08 89 55 C8 8B 50 0C 89 55 CC 8D 55 B8 B9 02 00 00 00 8B C6 8B 18 FF 93 88 00 00 00 E9 3D 01 00 00 8B 45 F8 8B 10 89 55 B8 8B 50 04 89 55 BC 8D 4D E8 8B 55 F8 8B 52 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 C0 8B 45 EC 89 45 C4 8D 4D E0 8B 55 F8 8B 52 04 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B 45 E0 89 45 C8 8B 45 E4 89 45 CC 8D 55 B8 B9 02 00 00 00 8B C6 8B 18 FF 93 88 00 00 00 E9 DB 00 00 00 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 93 84 00 00 00 E9 B3 00 00 00 8D 4D E8 8B 45 F8 8B 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 89 45 98 8B 45 EC 89 45 9C 8D 4D E0 8B 55 F8 8B 52 04 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 89 45 A0 8B 45 E4 89 45 A4 8D 4D D8 8B 45 F8 8B 40 08 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 D8 89 45 A8 8B 45 DC 89 45 AC 8D 4D D0 8B 55 F8 8B 52 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D0 89 45 B0 8B 45 D4 89 45 B4 8D 55 98 B9 03 00 00 00 8B C6 8B 18 FF 93 88 00 00 00 EB 2C 8B 55 F8 8B C6 8B 08 FF 51 70 EB 20 55 E8 ?? ?? ?? ?? 59 EB 17 55 E8 ?? ?? ?? ?? 59 EB 0E 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19600_0 {
	meta:
		name = "TChartShape.DrawText"
		size = 432
		refs = "0020 TChartShape.DrawText 005d TBrush.GetColor 0073 BrushColors 007a TFont.SetColor 0081 TTeeCanvas.FontHeight 0092 RectCenter 00b1 @ROUND 0125 TPen.GetWidth 0198 @LStrClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 8B F2 8D 7D D4 B9 04 00 00 00 F3 A5 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 54 8B B7 5C 02 00 00 8B 83 EC 00 00 00 8B 10 FF 52 14 85 C0 0F 8E 41 01 00 00 8B 93 E8 00 00 00 8B C7 8B 08 FF 91 C8 00 00 00 8B 7E 08 8B 46 10 E8 ?? ?? ?? ?? 3B 47 14 75 18 83 7F 14 00 0F 94 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8D 4D EC 8D 55 F0 8D 45 D4 E8 ?? ?? ?? ?? 8B 83 EC 00 00 00 8B 10 FF 52 14 F7 6D F4 89 45 D0 DB 45 D0 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 2B D0 89 55 E8 B2 01 8B C6 8B 08 FF 51 1C 8B 83 EC 00 00 00 8B 10 FF 52 14 48 85 C0 0F 8C AD 00 00 00 40 89 45 E4 C7 45 FC 00 00 00 00 8D 4D CC 8B 55 FC 8B 83 EC 00 00 00 8B 38 FF 57 0C 8B 55 CC 8B C6 8B 08 FF 51 60 8B F8 8A 83 E0 00 00 00 2C 01 72 15 FE C8 75 24 D1 FF 79 03 83 D7 00 8B 45 F0 2B C7 89 45 F8 EB 28 8B 46 0C E8 ?? ?? ?? ?? 03 45 D4 83 C0 04 89 45 F8 EB 15 8B 46 0C E8 ?? ?? ?? ?? 8B 55 DC 2B D0 2B D7 83 EA 04 89 55 F8 8B 83 D4 00 00 00 50 8D 4D CC 8B 55 FC 8B 83 EC 00 00 00 8B 38 FF 57 0C 8B 45 CC 50 8B 4D E8 8B 55 F8 8B C6 8B 38 FF 97 14 01 00 00 8B 45 F4 01 45 E8 FF 45 FC FF 4D E4 0F 85 5E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 40 }
	condition:
		$1
}

rule function_19601_0 {
	meta:
		name = "TChartShape.SetShapeRectangle"
		size = 83
		refs = "0019 TChartShape.SetX0 002a TChartShape.SetY0 003b TChartShape.SetX1 004c TChartShape.SetY1"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 F7 00 00 00 00 DB 06 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 04 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 0C 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19602_0 {
	meta:
		name = "TChartShape.GetShapeRectangle"
		size = 257
		refs = "001a TChartShape.GetY1 001f @TRUNC 0028 TChartShape.GetX1 0035 TChartShape.GetY0 0042 TChartShape.GetX0 004e Rect 00e9 SwapInteger"
	strings:
		$1 = { 53 56 8B DA 8B F0 8A 86 F7 00 00 00 2C 01 72 07 74 45 E9 83 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 53 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? E9 83 00 00 00 BA 01 00 00 00 8B C6 8B 08 FF 91 D4 00 00 00 50 53 BA 01 00 00 00 8B C6 8B 08 FF 91 D0 00 00 00 50 33 D2 8B C6 8B 08 FF 91 D4 00 00 00 50 33 D2 8B C6 8B 08 FF 91 D0 00 00 00 5A 59 E8 ?? ?? ?? ?? EB 40 33 D2 8B C6 8B 08 FF 91 D0 00 00 00 89 03 33 D2 8B C6 8B 08 FF 91 D4 00 00 00 89 43 04 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 03 89 43 08 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 43 04 89 43 0C 8B 43 04 3B 43 0C 7E 0B 8D 53 0C 8D 43 04 E8 ?? ?? ?? ?? 8B 03 3B 43 08 7E 0A 8D 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19603_0 {
	meta:
		name = "TChartShape.DrawValue"
		size = 98
		refs = "000c TChartSeries.Count 0039 IntersectRect 004f TChartShape.DrawShape 0058 TChartShape.DrawText"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 F8 02 75 47 85 F6 75 43 8B D4 8B C3 8B 08 FF 91 34 01 00 00 8B 43 54 05 60 02 00 00 50 8D 44 24 04 50 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 1B 8B CC 8B 43 54 8A 90 4C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_19604_0 {
	meta:
		name = "TChartShape.FillSampleValues"
		size = 292
		refs = "0031 TChartSeries.CalcRandomBounds 003b TChartShape.FillSampleValues 00dc @ROUND 00e1 @RandInt 010c TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 83 C4 D4 8B D8 8B C3 8B 10 FF 92 90 00 00 00 8D 44 24 08 50 8D 44 24 14 50 8D 44 24 20 50 8D 44 24 2C 50 8D 4C 24 10 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 44 24 08 D8 1D ?? ?? ?? ?? DF E0 9E 75 43 68 00 00 34 40 6A 00 68 00 00 34 40 6A 00 B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 8C 00 00 00 68 00 00 59 40 6A 00 68 00 00 59 40 6A 00 B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 8C 00 00 00 E9 82 00 00 00 DD 44 24 08 D8 35 ?? ?? ?? ?? DC 04 24 83 C4 F8 DD 1C 24 9B DD 44 24 18 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 8C 00 00 00 DD 04 24 DC 44 24 08 DD 44 24 08 D8 35 ?? ?? ?? ?? DE E9 83 C4 F8 DD 1C 24 9B DD 44 24 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 30 DB 44 24 30 DC 44 24 18 83 C4 F8 DD 1C 24 9B B9 00 00 00 80 33 D2 8B C3 8B 30 FF 96 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 00 00 00 00 00 00 00 00 00 41 00 00 00 40 }
	condition:
		$1
}

rule function_19605_0 {
	meta:
		name = "TChartShape.Clicked"
		size = 489
		refs = "0025 RectCenter 0045 TChartShape.Clicked 0097 PointInLine 00ec Point 0170 PointInPolygon 018d PointInTriangle 01b9 PointInEllipse 01cd PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 A0 8B F9 8B F2 8B D8 8D 54 24 10 8B C3 8B 08 FF 91 34 01 00 00 8D 4C 24 04 8B D4 8D 44 24 10 E8 ?? ?? ?? ?? 89 74 24 08 89 7C 24 0C 33 C0 8A 83 F5 00 00 00 83 F8 0D 0F 87 7D 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 04 24 50 8B 44 24 20 50 8D 44 24 10 8B 4C 24 1C 8B 54 24 08 E8 ?? ?? ?? ?? E9 37 01 00 00 8B 44 24 18 50 8B 44 24 08 50 8D 44 24 10 8B 4C 24 0C 8B 54 24 18 E8 ?? ?? ?? ?? E9 17 01 00 00 8B 44 24 18 50 8B 44 24 20 50 8D 44 24 10 8B 4C 24 1C 8B 54 24 18 E8 ?? ?? ?? ?? E9 F7 00 00 00 8D 4C 24 40 8B 54 24 14 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 40 89 44 24 20 8B 44 24 44 89 44 24 24 8D 4C 24 48 8B 54 24 04 8B 44 24 18 E8 ?? ?? ?? ?? 8B 44 24 48 89 44 24 28 8B 44 24 4C 89 44 24 2C 8D 4C 24 50 8B 54 24 1C 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 50 89 44 24 30 8B 44 24 54 89 44 24 34 8D 4C 24 58 8B 54 24 04 8B 44 24 10 E8 ?? ?? ?? ?? 8B 44 24 58 89 44 24 38 8B 44 24 5C 89 44 24 3C 8D 54 24 20 8D 44 24 08 B9 03 00 00 00 E8 ?? ?? ?? ?? EB 61 8B 44 24 1C 50 8B 44 24 18 50 8D 44 24 10 8B 4C 24 20 8B 54 24 18 E8 ?? ?? ?? ?? EB 44 8B 44 24 14 50 8B 44 24 20 50 8D 44 24 10 8B 4C 24 20 8B 54 24 18 E8 ?? ?? ?? ?? EB 27 8D 54 24 10 8D 44 24 08 E8 ?? ?? ?? ?? EB 18 FF 74 24 0C FF 74 24 0C 8D 44 24 18 50 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 84 C0 74 04 33 C0 EB 03 83 C8 FF 83 C4 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19606_0 {
	meta:
		name = "TChartShape.PrepareForGallery"
		size = 248
		refs = "000f TChartShape.PrepareForGallery 001e TChartSeries.PrepareForGallery 002e TFont.SetColor 003e TFont.SetSize 0059 TList.IndexOf 0065 TChartShape.SetStyle 0070 EnabledColor1 007b TBrush.SetColor 0083 TeeMsg_ShapeGallery1 0088 LoadResString 00ac EnabledColor2 00bf TeeMsg_ShapeGallery2 00e7 @LStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? BA 0E 00 00 00 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 8B 86 EC 00 00 00 8B 10 FF 52 40 8B 46 54 8B 80 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 48 75 3C B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 14 85 ?? ?? ?? ?? 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 EC 00 00 00 8B 08 FF 51 34 EB 3A B2 04 8B C6 E8 ?? ?? ?? ?? 33 C0 8A C3 8B 14 85 ?? ?? ?? ?? 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 EC 00 00 00 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19607_0 {
	meta:
		name = "TChartShape.GetEditorClass"
		size = 48
		refs = "0006 TChartShape.GetEditorClass 000b @LStrLAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 FF FF FF FF 11 00 00 00 54 43 68 61 72 74 53 68 61 70 65 45 64 69 74 6F 72 00 00 00 }
	condition:
		$1
}

rule function_19608_0 {
	meta:
		name = "TChartShape.Assign"
		size = 171
		refs = "000b _DV_TChartShape 0010 @IsClass 00a3 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B FE 8A 87 E0 00 00 00 88 83 E0 00 00 00 8B 97 E4 00 00 00 8B 83 E4 00 00 00 8B 08 FF 51 08 8B 97 E8 00 00 00 8B 83 E8 00 00 00 8B 08 FF 51 08 8B 97 F0 00 00 00 8B 83 F0 00 00 00 8B 08 FF 51 08 8A 87 F4 00 00 00 88 83 F4 00 00 00 8A 87 F5 00 00 00 88 83 F5 00 00 00 8B 97 EC 00 00 00 8B 83 EC 00 00 00 8B 08 FF 51 08 8A 87 F6 00 00 00 88 83 F6 00 00 00 8A 87 F7 00 00 00 88 83 F7 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19610_0 {
	meta:
		name = "TChartShape.SetFont"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 E8 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_19611_0 {
	meta:
		name = "TChartShape.SetAlignment"
		size = 20
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 3A 90 E0 00 00 00 74 0B 88 90 E0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19612_0 {
	meta:
		name = "TChartShape.SetText"
		size = 23
		refs = "0011 TChartSeries.Repaint"
	strings:
		$1 = { 56 8B F0 8B 86 EC 00 00 00 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_19613_0 {
	meta:
		name = "TChartShape.SetTransparent"
		size = 14
		refs = "0009 TChartSeries.SetBooleanProperty"
	strings:
		$1 = { 8D 88 F6 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19615_0 {
	meta:
		name = "TChartShape.SetXYStyle"
		size = 20
		refs = "000f TChartSeries.Repaint"
	strings:
		$1 = { 3A 90 F7 00 00 00 74 0B 88 90 F7 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19618_0 {
	meta:
		name = "TTeeExportForm.Button1Click"
		size = 58
		refs = "0021 TCustomTeePanel.CopyToClipboardBitmap 002b TCustomTeePanel.CopyToClipboardMetafile"
	strings:
		$1 = { 8B 90 D8 02 00 00 8B 80 CC 02 00 00 8B 80 F8 01 00 00 83 E8 01 72 07 74 0D 48 74 14 EB 1B 8B C2 E8 ?? ?? ?? ?? C3 8B C2 33 D2 E8 ?? ?? ?? ?? C3 8B C2 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19619_0 {
	meta:
		name = "TTeeExportForm.Button2Click"
		size = 260
		refs = "0010 TTeeExportForm.Button2Click 0030 TeeGetImageExtension 003b @LStrAsg 005b @LStrCat3 008e TOpenDialog.GetFileName 0098 TCustomTeePanel.SaveToBitmapFile 00ae TCustomTeePanel.SaveToMetafile 00c4 TCustomTeePanel.SaveToMetafileEnh 00d9 @LStrClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 9E D4 02 00 00 8D 55 FC 8B 86 CC 02 00 00 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 68 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 80 F8 01 00 00 40 89 43 58 8D 43 6C 8B 4B 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 3C 84 C0 74 5E 8B BE D8 02 00 00 8B 86 CC 02 00 00 8B 80 F8 01 00 00 83 E8 01 72 07 74 1B 48 74 2E EB 40 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 2A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 14 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 FF FF FF FF 06 00 00 00 43 68 61 72 74 2E 00 00 }
	condition:
		$1
}

rule function_19620_0 {
	meta:
		name = "ChartExport"
		size = 91
		refs = "000c _DV_TTeeExportForm 0011 TCustomForm.Create 001c ChartExport 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 D8 02 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_19624_0 {
	meta:
		name = "InitToolHelp"
		size = 636
		refs = "0002 KernelHandle 0010 InitToolHelp 0015 GetModuleHandle 002d GetProcAddress 0032 _CreateToolhelp32Snapshot 0044 _Heap32ListFirst 0056 _Heap32ListNext 0068 _Heap32First 007a _Heap32Next 008c _Toolhelp32ReadProcessMemory 009e _Process32First 00b0 _Process32Next 00c2 _Process32FirstW 00d4 _Process32NextW 00e6 _Thread32First 00f8 _Thread32Next 010a _Module32First 011c _Module32Next 012e _Module32FirstW 0140 _Module32NextW"
	strings:
		$1 = { 53 BB ?? ?? ?? ?? 83 3B 00 0F 85 35 01 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 83 3B 00 0F 84 20 01 00 00 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3B 00 74 09 83 3D ?? ?? ?? ?? 00 75 04 33 C0 5B C3 B0 01 5B C3 00 00 6B 65 72 6E 65 6C 33 32 2E 64 6C 6C 00 00 00 00 43 72 65 61 74 65 54 6F 6F 6C 68 65 6C 70 33 32 53 6E 61 70 73 68 6F 74 00 00 00 00 48 65 61 70 33 32 4C 69 73 74 46 69 72 73 74 00 48 65 61 70 33 32 4C 69 73 74 4E 65 78 74 00 00 48 65 61 70 33 32 46 69 72 73 74 00 48 65 61 70 33 32 4E 65 78 74 00 00 54 6F 6F 6C 68 65 6C 70 33 32 52 65 61 64 50 72 6F 63 65 73 73 4D 65 6D 6F 72 79 00 50 72 6F 63 65 73 73 33 32 46 69 72 73 74 00 00 50 72 6F 63 65 73 73 33 32 4E 65 78 74 00 00 00 50 72 6F 63 65 73 73 33 32 46 69 72 73 74 57 00 50 72 6F 63 65 73 73 33 32 4E 65 78 74 57 00 00 54 68 72 65 61 64 33 32 46 69 72 73 74 00 00 00 54 68 72 65 61 64 33 32 4E 65 78 74 00 00 00 00 4D 6F 64 75 6C 65 33 32 46 69 72 73 74 00 00 00 4D 6F 64 75 6C 65 33 32 4E 65 78 74 00 00 00 00 4D 6F 64 75 6C 65 33 32 46 69 72 73 74 57 00 00 4D 6F 64 75 6C 65 33 32 4E 65 78 74 57 00 00 00 }
	condition:
		$1
}

rule function_19625_0 {
	meta:
		name = "CreateToolhelp32Snapshot"
		size = 31
		refs = "0007 InitToolHelp 0013 _CreateToolhelp32Snapshot"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19626_0 {
	meta:
		name = "Heap32ListFirst"
		size = 31
		refs = "0007 InitToolHelp 0013 _Heap32ListFirst"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19627_0 {
	meta:
		name = "Heap32ListNext"
		size = 31
		refs = "0007 InitToolHelp 0013 _Heap32ListNext"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19637_0 {
	meta:
		name = "Module32First"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32First"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19639_0 {
	meta:
		name = "Module32FirstW"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32FirstW"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19638_0 {
	meta:
		name = "Module32Next"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32Next"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19640_0 {
	meta:
		name = "Module32NextW"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32NextW"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19631_0 {
	meta:
		name = "Process32First"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32First"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19633_0 {
	meta:
		name = "Process32FirstW"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32FirstW"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19632_0 {
	meta:
		name = "Process32Next"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32Next"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19634_0 {
	meta:
		name = "Process32NextW"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32NextW"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_19628_0 {
	meta:
		name = "Heap32First"
		size = 35
		refs = "000a InitToolHelp 0017 _Heap32First"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19629_0 {
	meta:
		name = "Heap32Next"
		size = 25
		refs = "0004 InitToolHelp 000f _Heap32Next"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 09 53 FF 15 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_19630_0 {
	meta:
		name = "Toolhelp32ReadProcessMemory"
		size = 49
		refs = "000d InitToolHelp 0022 _Toolhelp32ReadProcessMemory"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19635_0 {
	meta:
		name = "Thread32First"
		size = 34
		refs = "0004 InitToolHelp 0016 _Thread32First"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_19636_0 {
	meta:
		name = "Thread32Next"
		size = 34
		refs = "0004 InitToolHelp 0016 _Thread32Next"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_19721_0 {
	meta:
		name = "TToolWindow.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TToolWindow.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 88 86 EC 01 00 00 C6 86 ED 01 00 00 01 C6 86 EE 01 00 00 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_19722_0 {
	meta:
		name = "TToolWindow.SetEdgeBorders"
		size = 37
		refs = "001e TWinControl.RecreateWnd"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8A 04 24 3A 83 EC 01 00 00 74 10 8A 04 24 88 83 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_19725_0 {
	meta:
		name = "TToolWindow.WMNCCalcSize"
		size = 122
		refs = "0021 InflateRect 0071 TWinControl.WMNCCalcSize"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 77 08 8B 83 20 01 00 00 F7 D8 50 8B 93 20 01 00 00 F7 DA 50 8B EE 55 E8 ?? ?? ?? ?? 33 C0 80 BB ED 01 00 00 00 74 01 40 80 BB EE 01 00 00 00 74 01 40 8B F5 F6 83 EC 01 00 00 01 74 02 01 06 F6 83 EC 01 00 00 02 74 03 01 46 04 F6 83 EC 01 00 00 04 74 03 29 46 08 F6 83 EC 01 00 00 08 74 03 29 46 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19726_0 {
	meta:
		name = "TToolWindow.WMNCPaint"
		size = 329
		refs = "0011 TWinControl.GetHandle 0017 GetWindowDC 0022 TToolWindow.WMNCPaint 003a GetClientRect 0049 GetWindowRect 005c MapWindowPoints 0070 OffsetRect 0089 ExcludeClipRect 00b5 Ctl3DStyles 00cc InnerStyles 00dd OuterStyles 00e8 DrawEdge 0100 IntersectClipRect 010e TBrush.GetHandle 0119 FillRect 0138 ReleaseDC 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 89 45 FC 8D 5D D8 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 43 04 F7 D8 50 8B 03 F7 D8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 43 04 F7 D8 50 8B 03 F7 D8 50 53 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 EC 01 00 00 8B 55 FC 0F B6 92 2C 01 00 00 0B 04 95 ?? ?? ?? ?? 0D 00 20 00 00 50 8B 45 FC 0F B6 80 ED 01 00 00 8B 04 85 ?? ?? ?? ?? 8B 55 FC 0F B6 92 EE 01 00 00 0B 04 95 ?? ?? ?? ?? 50 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 50 53 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19728_0 {
	meta:
		name = "TToolWindow.CMCtl3DChanged"
		size = 36
		refs = "0006 TWinControl.CMCtl3DChanged 000b TToolWindow.CMCtl3DChanged 001a TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 3A 83 EC 01 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_19729_0 {
	meta:
		name = "TToolDockObject.Create"
		size = 136
		refs = "0011 @ClassCreate 0022 TDragDockObject.Create 0036 GetCursorPos 003d TControl.GetUndockHeight 0049 TControl.GetUndockWidth 005c Bounds 0066 TControl.ManualFloat 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 8B DA 8B F0 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 54 84 C0 75 39 8D 45 F8 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 83 EA 0A 8B 45 F8 83 E8 0A E8 ?? ?? ?? ?? 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19730_0 {
	meta:
		name = "TToolDockObject.AdjustDockRect"
		size = 136
		refs = "003a TControl.GetBoundsRect 005a TWinControl.GetHandle 0060 MapWindowPoints 0070 PtInRect 007d TDragDockObject.AdjustDockRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 B9 04 00 00 00 F3 A5 EB 6D 8B 43 30 8B 10 FF 52 54 84 C0 74 58 8B 43 30 83 B8 8C 00 00 00 00 74 4C 8D 54 24 10 8B 43 30 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 8B 43 30 8B 80 8C 00 00 00 8B 70 24 85 F6 74 16 6A 02 8D 44 24 14 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 73 10 FF 73 0C 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 75 09 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19731_0 {
	meta:
		name = "TToolDockObject.DrawDragDockImage"
		size = 172
		refs = "0018 TDragDockObject.DrawDragDockImage 0025 GetParentForm 003b Point 0050 TWinControl.GetHandle 0056 MapWindowPoints 0095 Bounds 00a0 TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B D8 8B 43 30 8B 10 FF 52 54 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E9 83 00 00 00 8B 43 30 E8 ?? ?? ?? ?? 8B F0 85 F6 74 75 8B CC 8B 7B 30 8B 57 34 8B 47 30 E8 ?? ?? ?? ?? 3B 73 30 74 16 6A 01 8D 44 24 04 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 44 8B 6B 3C 2B C5 03 46 3C 8B 53 30 2B 42 3C 50 8D 44 24 0C 50 8B 4B 40 8B 7B 38 2B CF 03 4E 38 8B 43 30 2B 48 38 8B D5 03 56 34 2B 54 24 0C 8B C7 03 46 30 2B 44 24 08 E8 ?? ?? ?? ?? 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19732_0 {
	meta:
		name = "TToolDockObject.EraseDragDockImage"
		size = 24
		refs = "0012 TDragDockObject.EraseDragDockImage"
	strings:
		$1 = { 53 8B D8 8B 43 30 8B 10 FF 52 54 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19733_0 {
	meta:
		name = "TToolDockForm.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCustomDockForm.Create 0023 TWinControl.SetBorderWidth 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19734_0 {
	meta:
		name = "TToolDockForm.CreateParams"
		size = 19
		refs = "0006 TCustomForm.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 80 5B C3 }
	condition:
		$1
}

rule function_19735_0 {
	meta:
		name = "TToolDockForm.CanResize"
		size = 390
		refs = "0038 TWinControl.GetDockClientCount 00c6 TWinControl.GetDockClients 00f9 TToolDockForm.CanResize 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F4 89 55 F8 89 45 FC B3 01 8B 45 FC 80 B8 D5 02 00 00 00 0F 85 59 01 00 00 8B 45 FC 80 B8 D4 02 00 00 00 0F 84 49 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 39 01 00 00 8B 45 F8 8B 00 8B 55 FC 3B 42 38 75 11 8B 45 F4 8B 00 8B 55 FC 3B 42 3C 0F 84 1B 01 00 00 8B 7D F8 8B 3F 8B 75 F4 8B 36 8B 45 FC 8A 80 D4 02 00 00 2C 01 0F 82 00 01 00 00 74 06 FE C8 74 0D EB 16 8B 45 FC 03 B0 CC 02 00 00 EB 12 8B 45 FC 03 B8 D0 02 00 00 EB 07 33 DB E9 DB 00 00 00 8B 45 FC 8B 40 38 8B 55 FC 89 82 C4 02 00 00 8B 45 FC 8B 40 3C 8B 55 FC 89 82 C8 02 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 40 38 8B 55 E8 2B 42 38 89 45 F0 8B 45 FC 8B 40 3C 8B 55 E8 2B 42 3C 89 45 EC 8B 45 FC C6 80 D5 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 2B 7D F0 57 2B 75 EC 56 8B 45 E8 8B 48 34 8B 45 E8 8B 50 30 8B 45 E8 8B 18 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D5 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 E8 8B 40 38 03 45 F0 8B 55 F8 89 02 8B 45 E8 8B 40 3C 03 45 EC 8B 55 F4 89 02 8B 45 FC 8B 40 38 8B 55 F8 3B 02 75 11 8B 45 FC 8B 40 3C 8B 55 F4 3B 02 75 04 33 DB EB 02 B3 01 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19736_0 {
	meta:
		name = "TToolDockForm.DoAddDockClient"
		size = 36
		refs = "000b TCustomDockForm.DoAddDockClient 0014 TControl.SetAlign 001d TControl.SetAutoSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19737_0 {
	meta:
		name = "ModifySystemMenu"
		size = 125
		refs = "003a TWinControl.GetHandle 0040 GetSystemMenu 004f DeleteMenu"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 80 B8 09 02 00 00 00 74 67 8B 45 08 8B 40 FC F6 80 08 02 00 00 01 74 58 8B 45 08 8B 40 FC 80 B8 0F 02 00 00 01 74 49 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 6A 00 68 30 F1 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F1 00 00 53 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_19738_0 {
	meta:
		name = "TToolDockForm.WMNCCreate"
		size = 34
		refs = "000b TCustomForm.WMNCCreate 001a ModifySystemMenu"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 20 10 75 07 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_19739_0 {
	meta:
		name = "TToolDockForm.WMNCHitTest"
		size = 251
		refs = "000e TCustomDockForm.WMNCHitTest 0017 TControl.GetBoundsRect 001e GetSystemMetrics 0037 InflateRect 0049 TToolDockForm.WMNCHitTest"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 6A 20 E8 ?? ?? ?? ?? 8B F0 6A 21 E8 ?? ?? ?? ?? F7 D8 50 F7 DE 56 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B 43 0C 83 F8 11 0F 87 AE 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 03 00 00 05 00 00 00 00 00 00 00 00 01 02 00 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F BF 43 0A 3B 44 24 04 7D 09 C7 43 0C 0C 00 00 00 EB 64 C7 43 0C 0A 00 00 00 EB 5B 0F BF 43 0A 3B 44 24 04 7D 09 C7 43 0C 0C 00 00 00 EB 48 C7 43 0C 0B 00 00 00 EB 3F C7 43 0C 02 00 00 00 EB 36 0F BF 43 0A 3B 44 24 0C 7E 09 C7 43 0C 0F 00 00 00 EB 23 C7 43 0C 0A 00 00 00 EB 1A 0F BF 43 0A 3B 44 24 0C 7E 09 C7 43 0C 0F 00 00 00 EB 07 C7 43 0C 0B 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_19740_0 {
	meta:
		name = "TToolDockForm.WMNCLButtonDown"
		size = 49
		refs = "002c TCustomDockForm.WMNCLButtonDown"
	strings:
		$1 = { C6 80 D4 02 00 00 00 8B 4A 04 83 C1 F6 83 E9 02 72 09 74 10 83 E9 03 74 0B EB 10 C6 80 D4 02 00 00 01 EB 07 C6 80 D4 02 00 00 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19741_0 {
	meta:
		name = "TToolDockForm.WMSize"
		size = 60
		refs = "0006 TCustomForm.WMSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8A 83 D4 02 00 00 FE C8 74 06 FE C8 74 13 EB 20 8B 43 3C 2B 83 C8 02 00 00 01 83 CC 02 00 00 5B C3 8B 43 38 2B 83 C4 02 00 00 01 83 D0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_19742_0 {
	meta:
		name = "TToolDockForm.WMSysCommand"
		size = 50
		refs = "0025 TCustomForm.WMSysCommand"
	strings:
		$1 = { 53 8B D8 8B 42 04 25 F0 FF 00 00 3D 00 F0 00 00 75 10 33 C0 89 83 D0 02 00 00 33 C0 89 83 CC 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 D4 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_19745_0 {
	meta:
		name = "_NF__81"
		size = 32
	strings:
		$1 = { FF FF FF FF 05 00 00 00 46 61 6C 73 65 00 00 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_19747_0 {
	meta:
		name = "GetTypeData"
		size = 10
	strings:
		$1 = { 31 D2 8A 50 01 8D 44 10 02 C3 }
	condition:
		$1
}

rule function_19748_0 {
	meta:
		name = "GetEnumName"
		size = 208
		refs = "0012 GetEnumName 001e Boolean 002e BooleanIdents 0033 @LStrLAsg 0038 HexDisplayPrefix 0044 CompareText 0052 LowerCase 0065 GetTypeData 009b @LStrFromString 00b0 @LStrClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 1D ?? ?? ?? ?? 75 3E 8B C7 8B D6 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 53 8D 55 FC 8B 07 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 3D 8B C3 E8 ?? ?? ?? ?? 8B 40 09 8B 00 E8 ?? ?? ?? ?? 83 78 01 00 7D 0A 85 F6 0F 95 C2 83 E2 7F 8B F2 8D 58 0D 85 F6 74 0C 33 C0 8A 03 40 01 C3 4E 85 F6 75 F4 8B C7 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 FF FF FF FF 02 00 00 00 30 78 00 00 }
	condition:
		$1
}

rule function_19749_0 {
	meta:
		name = "GetEnumValue"
		size = 73
	strings:
		$1 = { 53 56 57 85 D2 74 3B 31 C9 8A 48 01 8B 44 08 0B 8B 00 8A 48 01 8D 74 08 0F 8B 7C 08 07 31 C0 8A 0E 3B 4A FC 75 13 8A 5C 0A FF 32 1C 0E F6 C3 DF 75 05 49 75 F1 EB 0E 8A 0E 40 8D 74 0E 01 39 F8 7E DD 83 C8 FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19750_0 {
	meta:
		name = "GetPropInfo"
		size = 108
	strings:
		$1 = { 53 56 57 89 D1 09 D2 74 0B 8A 4A FC 8A 2A 81 E1 FF DF 00 00 31 DB 8A 58 01 8D 74 18 02 8A 5E 0A 0F B7 7C 1E 0B 85 FF 74 18 8D 44 1E 0D 66 8B 58 1A 80 E7 DF 39 CB 74 1E B7 00 4F 8D 44 18 1B 75 EC 8B 46 04 85 C0 74 20 8B 00 EB C8 8A 2A 80 E5 DF 8A 58 1A EB E2 B7 00 8A 6C 1A FF 32 6C 18 1A F6 C5 DF 75 E7 4B 75 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19751_0 {
	meta:
		name = "GetPropInfos"
		size = 84
	strings:
		$1 = { 53 56 57 31 C9 89 C6 8A 48 01 89 D7 31 C0 0F B7 4C 0E 0A F3 AB 8A 4E 01 8D 74 0E 02 8A 4E 0A 0F B7 44 0E 0B 85 C0 74 1B 8D 7C 0E 0D 0F B7 5F 18 8A 4F 1A 83 3C 9A 00 75 03 89 3C 9A 8D 7C 0F 1B 48 75 E9 8B 76 04 31 C9 85 F6 74 04 8B 36 EB C5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19752_0 {
	meta:
		name = "SortPropList"
		size = 168
		refs = "0009 SortPropList"
	strings:
		$1 = { 53 56 57 89 C1 31 C0 4A E8 ?? ?? ?? ?? 5F 5E 5B C3 50 52 8D 3C 10 D1 EF 8B 3C B9 83 C7 1A E8 ?? ?? ?? ?? 73 03 40 EB F6 92 E8 ?? ?? ?? ?? 76 03 48 EB F6 92 39 D0 7F 12 8B 1C 81 8B 34 91 89 1C 91 89 34 81 40 4A 39 D0 7E D4 5E 5B 39 F0 7C 09 39 DA 7F 01 C3 89 D8 EB B8 39 D8 7F 04 89 F2 EB B0 50 56 89 D8 E8 ?? ?? ?? ?? 5A 58 EB A3 50 57 8B 34 81 83 C6 1A 56 31 DB 8A 1E 46 3A 1F 76 02 8A 1F 47 84 DB 74 12 8A 06 8A 27 25 DF DF 00 00 38 E0 75 0F 46 47 4B 75 EE 5E 5F 8A 06 8A 27 38 E0 58 C3 5E 5F 58 C3 C3 }
	condition:
		$1
}

rule function_19753_0 {
	meta:
		name = "GetPropList"
		size = 202
		refs = "0018 GetTypeData 0034 @GetMem 003f GetPropList 004f GetPropInfos 0099 SortPropList 00b4 @FreeMem 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 89 55 FC 8B D8 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E 93 00 00 00 8B 45 F4 C1 E0 02 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 48 85 C0 7C 2E 40 33 F6 8B 55 F0 8B 14 B2 8B 0A 8B 09 8A 09 80 F9 1F 77 07 83 E1 7F 0F A3 4D FC 73 0D 85 FF 74 06 8B 4D F8 89 14 8F FF 45 F8 46 48 75 D5 85 FF 74 10 83 7D F8 01 7E 0A 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 C1 E2 02 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19754_0 {
	meta:
		name = "IsStoredProp"
		size = 45
	strings:
		$1 = { 8B 4A 0C F7 C1 00 FF FF FF 74 1F 80 7A 0F FE 8B 52 10 72 0A 77 0B 0F BF C9 03 08 FF 11 C3 FF D1 C3 81 E1 FF FF FF 00 8A 0C 08 88 C8 C3 }
	condition:
		$1
}

rule function_19755_0 {
	meta:
		name = "GetOrdProp"
		size = 113
	strings:
		$1 = { 53 57 8B 3A 8B 3F B3 04 80 3F 07 74 09 31 C9 8A 4F 01 8A 5C 0F 02 8B 4A 04 80 7A 07 FE 8B 52 10 72 0B 77 0D 0F BF C9 03 08 FF 11 EB 1D FF D1 EB 19 81 E1 FF FF FF 00 01 C1 8A 01 80 FB 02 72 0A 66 8B 01 80 FB 04 72 02 8B 01 80 FB 04 73 1F 80 FB 02 73 10 80 FB 00 0F BE C0 74 12 25 FF 00 00 00 5F 5B C3 0F BF C0 74 05 25 FF FF 00 00 5F 5B C3 }
	condition:
		$1
}

rule function_19756_0 {
	meta:
		name = "SetOrdProp"
		size = 91
	strings:
		$1 = { 53 56 57 89 D7 8B 37 8B 36 B3 04 80 3E 07 74 09 31 DB 8A 5E 01 8A 5C 1E 02 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 08 80 7F 0B FE 77 0F 72 09 0F BF F6 03 30 FF 16 EB 1D FF D6 EB 19 81 E6 FF FF FF 00 01 F0 88 08 80 FB 02 72 0A 66 89 08 80 FB 04 72 02 89 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19757_0 {
	meta:
		name = "GetShortStrProp"
		size = 67
	strings:
		$1 = { 55 8B EC 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 0F 72 09 0F BF F6 03 30 FF 16 EB 15 FF D6 EB 11 81 E6 FF FF FF 00 01 C6 89 CF 31 C9 8A 0E 41 F3 A4 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_19758_0 {
	meta:
		name = "SetShortStrProp"
		size = 81
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 C7 8B 06 8B 00 89 CE 31 C9 8A 48 01 8A 4C 08 02 AC 38 C8 72 02 88 C8 AA 88 C1 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_19759_0 {
	meta:
		name = "GetShortStrPropAsLongStr"
		size = 40
		refs = "0013 GetShortStrProp 001c @LStrFromString"
	strings:
		$1 = { 53 81 C4 00 FF FF FF 8B D9 68 FF 00 00 00 8D 4C 24 04 E8 ?? ?? ?? ?? 8B C3 8B D4 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_19760_0 {
	meta:
		name = "SetShortStrPropAsLongStr"
		size = 50
		refs = "0019 @LStrToString 0024 SetShortStrProp"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B F9 8B F2 8B D8 8B C4 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19762_0 {
	meta:
		name = "GetLongStrProp"
		size = 62
		refs = "0037 AssignLongStr"
	strings:
		$1 = { 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 11 72 0A 0F BF F6 03 30 FF 16 5F 5E C3 FF D6 5F 5E C3 81 E6 FF FF FF 00 8B 14 30 89 C8 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_19765_0 {
	meta:
		name = "GetWideStrProp"
		size = 62
		refs = "0037 AssignWideStr"
	strings:
		$1 = { 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 11 72 0A 0F BF F6 03 30 FF 16 5F 5E C3 FF D6 5F 5E C3 81 E6 FF FF FF 00 8B 14 30 89 C8 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_19763_0 {
	meta:
		name = "SetLongStrProp"
		size = 61
		refs = "0036 AssignLongStr"
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 F8 89 CA E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_19775_0 {
	meta:
		name = "SetVariantProp"
		size = 61
		refs = "0036 AssignVariant"
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 F8 89 CA E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_19766_0 {
	meta:
		name = "SetWideStrProp"
		size = 61
		refs = "0036 AssignWideStr"
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 F8 89 CA E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_19767_0 {
	meta:
		name = "GetWideStrPropAsLongStr"
		size = 73
		refs = "000c GetWideStrPropAsLongStr 001a GetWideStrProp 0024 @LStrFromWStr 0039 @WStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D9 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 4D FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_19768_0 {
	meta:
		name = "SetWideStrPropAsLongStr"
		size = 85
		refs = "0012 SetWideStrPropAsLongStr 0022 @WStrFromLStr 002e SetWideStrProp 0043 @WStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19769_0 {
	meta:
		name = "GetStrProp"
		size = 61
		refs = "001c GetShortStrPropAsLongStr 0025 GetLongStrProp 002e GetWideStrPropAsLongStr 0037 @LStrClr"
	strings:
		$1 = { 53 8B D9 8B 0A 8B 09 8A 09 80 E9 05 74 0B 80 E9 05 74 0F FE C9 74 14 EB 1B 8B CB E8 ?? ?? ?? ?? 5B C3 8B CB E8 ?? ?? ?? ?? 5B C3 8B CB E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19770_0 {
	meta:
		name = "SetStrProp"
		size = 44
		refs = "0018 SetShortStrPropAsLongStr 001f SetLongStrProp 0026 SetWideStrPropAsLongStr"
	strings:
		$1 = { 53 8B 1A 8B 1B 8A 1B 80 EB 05 74 0B 80 EB 05 74 0D FE CB 74 10 EB 13 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19771_0 {
	meta:
		name = "GetFloatProp"
		size = 117
		refs = "002f GetFloatProp 0053 C10000"
	strings:
		$1 = { 8B 4A 04 80 7A 07 FE 77 4F 52 74 07 8B 52 10 FF D1 EB 0A 0F BF C9 03 08 8B 52 10 FF 11 5A 8B 0A 8B 09 31 D2 8A 51 01 80 7C 11 02 04 74 23 C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D9 00 C3 DD 00 C3 DB 28 C3 DF 28 C3 DF 28 D8 35 ?? ?? ?? ?? C3 81 E1 FF FF FF 00 01 C8 8B 0A 8B 09 31 D2 8A 51 01 8A 54 11 02 FF 14 95 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19772_0 {
	meta:
		name = "SetFloatProp"
		size = 151
		refs = "0023 SetFloatProp 007b C10000"
	strings:
		$1 = { 55 8B EC 53 56 31 DB 8B 0A 8B 09 8A 59 01 8A 5C 19 02 C1 E3 02 DB 6D 08 8B 4A 08 80 7A 0B FE 77 61 2B A3 ?? ?? ?? ?? 89 E6 FF 93 ?? ?? ?? ?? 80 7A 0B FE 8B 52 10 72 09 0F BF C9 03 08 FF 11 EB 50 FF D1 EB 4C 04 00 00 00 08 00 00 00 0C 00 00 00 08 00 00 00 08 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D9 1E C3 DD 1E C3 DB 3E C3 DF 3E C3 D8 0D ?? ?? ?? ?? DF 3E C3 81 E1 FF FF FF 00 8D 34 08 FF 93 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_19774_0 {
	meta:
		name = "GetVariantProp"
		size = 62
		refs = "0037 AssignVariant"
	strings:
		$1 = { 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 11 72 0A 0F BF F6 03 30 FF 16 5F 5E C3 FF D6 5F 5E C3 81 E6 FF FF FF 00 8D 14 30 89 C8 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_19776_0 {
	meta:
		name = "GetMethodProp"
		size = 64
	strings:
		$1 = { 53 56 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 5E 04 80 7E 07 FE 77 11 72 0A 0F BF DB 03 18 FF 13 5E 5B C3 FF D3 5E 5B C3 81 E3 FF FF FF 00 01 D8 8B 10 8B 58 04 89 11 89 59 04 5E 5B C3 }
	condition:
		$1
}

rule function_19777_0 {
	meta:
		name = "SetMethodProp"
		size = 53
	strings:
		$1 = { 53 8B 5A 08 80 7A 0B FE 77 17 8B 52 10 FF 71 04 FF 31 72 09 0F BF DB 03 18 FF 13 5B C3 FF D3 5B C3 81 E3 FF FF FF 00 01 D8 8B 11 8B 59 04 89 10 89 58 04 5B C3 }
	condition:
		$1
}

rule function_19778_0 {
	meta:
		name = "GetInt64Prop"
		size = 39
	strings:
		$1 = { 80 7A 07 FE 8B 4A 04 8B 52 10 77 0D 72 08 0F BF C9 03 08 FF 11 C3 FF D1 C3 81 E1 FF FF FF 00 01 C8 8B 50 04 8B 00 C3 }
	condition:
		$1
}

rule function_19779_0 {
	meta:
		name = "SetInt64Prop"
		size = 59
	strings:
		$1 = { 55 8B EC 80 7A 0B FE 8B 4A 08 77 18 8B 52 10 FF 75 0C FF 75 08 72 09 0F BF C9 03 08 FF 11 EB 17 FF D1 EB 13 81 E1 FF FF FF 00 01 C8 8B 55 08 8B 4D 0C 89 10 89 48 04 5D C2 08 00 }
	condition:
		$1
}

rule function_19780_0 {
	meta:
		name = "Finalization"
		size = 79
		refs = "0007 Finalization 0013 _DV_3 001a DotSep 001f @LStrClr 0024 BooleanIdents 002f String 0034 @FinalizeArray 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19782_0 {
	meta:
		name = "_NF__77"
		size = 24
	strings:
		$1 = { 55 00 52 00 4C 00 20 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_19783_0 {
	meta:
		name = "_NF__79"
		size = 24
	strings:
		$1 = { 41 00 73 00 79 00 6E 00 63 00 43 00 61 00 6C 00 6C 00 65 00 65 00 00 00 }
	condition:
		$1
}

rule function_19827_0 {
	meta:
		name = "_NF__5D"
		size = 176
		refs = "004a TVCLAutoObject.FreeOnRelease 0054 TComObject.QueryInterface 005e TComObject._AddRef 0068 TComObject._Release 006c _NF__5D"
	strings:
		$1 = { CC 83 44 24 04 C8 8B 44 24 04 8B 00 FF 60 18 83 44 24 04 C8 8B 44 24 04 8B 00 FF 60 14 83 44 24 04 C8 8B 44 24 04 8B 00 FF 60 10 83 44 24 04 C8 8B 44 24 04 8B 00 FF 60 1C 83 C0 C8 50 8B 00 8B 40 E0 87 04 24 C3 83 C0 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? 83 44 24 04 C8 E9 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 01 00 00 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 ?? ?? ?? ?? 38 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_19828_0 {
	meta:
		name = "TVCLAutoObject.Create"
		size = 67
		refs = "000d @ClassCreate 0022 TComObject.CreateFromFactory 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 30 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19829_0 {
	meta:
		name = "TVCLAutoObject.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 001e TObject.Free 002a TComObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 30 85 C0 74 10 33 D2 89 50 1C 80 7E 34 00 74 05 E8 ?? ?? ?? ?? 8B D3 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19830_0 {
	meta:
		name = "TVCLAutoObject.FreeOnRelease"
		size = 5
	strings:
		$1 = { C6 40 34 01 C3 }
	condition:
		$1
}

rule function_19831_0 {
	meta:
		name = "TVCLAutoObject.Initialize"
		size = 53
		refs = "0006 TAutoObject.Initialize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 30 00 75 14 8B 43 08 8B 40 0C 33 C9 B2 01 FF 50 2C 89 43 30 C6 43 34 01 8B C3 85 C0 74 03 83 E8 C8 8B 53 30 89 42 1C 5B C3 }
	condition:
		$1
}

rule function_19832_0 {
	meta:
		name = "TVCLAutoObject.Invoke"
		size = 57
		refs = "0031 DispInvoke"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 28 51 8B 4D 24 51 8B 4D 20 51 8B 4D 1C 51 66 8B 4D 18 51 8B 4D 0C 51 8B 50 08 8B 4A 50 51 8B 52 54 8B 52 14 03 50 30 52 E8 ?? ?? ?? ?? 5D C2 24 00 }
	condition:
		$1
}

rule function_19833_0 {
	meta:
		name = "TVCLAutoObject.ObjQueryInterface"
		size = 63
		refs = "0013 TComObject.ObjQueryInterface 002c TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 5D 08 8B 45 10 50 57 53 E8 ?? ?? ?? ?? 8B F0 85 F6 74 19 83 7B 30 00 74 13 8B 4D 10 8B D7 8B 43 30 E8 ?? ?? ?? ?? 84 C0 74 02 33 F6 8B C6 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_19834_0 {
	meta:
		name = "TComponentFactory.Create"
		size = 75
		refs = "000d @ClassCreate 002a TAutoObjectFactory.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 14 50 8B 45 10 50 8A 45 0C 50 8A 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_19835_0 {
	meta:
		name = "TComponentFactory.UpdateRegistry"
		size = 128
		refs = "0011 TComponentFactory.UpdateRegistry 0024 TTypedComObjectFactory.UpdateRegistry 003c GUIDToString 006e @LStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 11 8B 45 FC 50 8D 55 F8 8D 46 10 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 46 0C FF 50 1C 84 DB 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19837_0 {
	meta:
		name = "CreateVCLComObject"
		size = 39
		refs = "0007 TObject.ClassType 000d ComClassManager 0013 TComClassManager.GetFactoryFromClass 001c _DV_TVCLAutoObject 0021 TVCLAutoObject.Create"
	strings:
		$1 = { 53 8B D8 53 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19838_0 {
	meta:
		name = "Finalization"
		size = 57
		refs = "0007 Finalization 0013 _DV_2 001a CreateVCLComObjectProc 0031 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 09 A1 ?? ?? ?? ?? 33 D2 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_19839_0 {
	meta:
		name = "VCLCom"
		size = 21
		refs = "0002 _DV_2 000a CreateVCLComObjectProc 0010 CreateVCLComObject"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19840_0 {
	meta:
		name = "TInterface.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 04 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19842_0 {
	meta:
		name = "TInterface.AddRef"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 04 8B 40 04 5D C2 04 00 }
	condition:
		$1
}

rule function_19843_0 {
	meta:
		name = "TInterface.Release"
		size = 33
	strings:
		$1 = { 55 8B EC 56 8B 45 08 FF 48 04 8B 50 04 8B F2 85 D2 75 07 B2 01 8B 08 FF 51 FC 8B C6 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_19844_0 {
	meta:
		name = "TInterface.GetVersion"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_19845_0 {
	meta:
		name = "ReleaseException"
		size = 20
		refs = "0004 ExceptObject 000e @LStrLAsg"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 50 04 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21992_0 {
	meta:
		name = "MakeWord"
		size = 18
	strings:
		$1 = { 25 FF 00 00 00 81 E2 FF 00 00 00 C1 E2 08 66 0B C2 C3 }
	condition:
		$1
}

rule function_21993_0 {
	meta:
		name = "MakeLong"
		size = 12
	strings:
		$1 = { 0F B7 C0 0F B7 D2 C1 E2 10 0B C2 C3 }
	condition:
		$1
}

rule function_21994_0 {
	meta:
		name = "GetBValue"
		size = 4
		altNames = "GetMValue HiWord"
	strings:
		$1 = { C1 E8 10 C3 }
	condition:
		$1
}

rule function_21998_0 {
	meta:
		name = "SetSwapAreaSize"
		size = 4
	strings:
		$1 = { 0F B7 C0 C3 }
	condition:
		$1
}

rule function_22007_0 {
	meta:
		name = "FreeModule"
		size = 9
		refs = "0004 FreeLibrary"
	strings:
		$1 = { 8B 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22012_0 {
	meta:
		name = "GlobalDiscard"
		size = 11
		refs = "0006 GlobalReAlloc"
	strings:
		$1 = { 6A 02 6A 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22013_0 {
	meta:
		name = "LocalDiscard"
		size = 11
		refs = "0006 LocalReAlloc"
	strings:
		$1 = { 6A 02 6A 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22014_0 {
	meta:
		name = "GetFreeSpace"
		size = 6
	strings:
		$1 = { B8 00 00 10 00 C3 }
	condition:
		$1
}

rule function_22016_0 {
	meta:
		name = "GlobalAllocPtr"
		size = 14
		refs = "0003 GlobalAlloc 0009 GlobalLock"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22017_0 {
	meta:
		name = "GlobalReAllocPtr"
		size = 27
		refs = "0004 GlobalHandle 000b GlobalUnlock 0010 GlobalReAlloc 0016 GlobalLock"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? 50 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22018_0 {
	meta:
		name = "GlobalFreePtr"
		size = 19
		refs = "0002 GlobalHandle 0009 GlobalUnlock 000e GlobalFree"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 50 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22019_0 {
	meta:
		name = "IS_GOPHER_PLUS"
		size = 13
		altNames = "Succeeded"
	strings:
		$1 = { A9 00 00 00 80 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22020_0 {
	meta:
		name = "Failed"
		size = 13
	strings:
		$1 = { A9 00 00 00 80 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22021_0 {
	meta:
		name = "IsError"
		size = 14
	strings:
		$1 = { C1 E8 1F 83 F8 01 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22024_0 {
	meta:
		name = "HResultSeverity"
		size = 7
	strings:
		$1 = { C1 E8 1F 83 E0 01 C3 }
	condition:
		$1
}

rule function_22026_0 {
	meta:
		name = "HResultFromWin32"
		size = 20
	strings:
		$1 = { 85 C0 74 0F 25 FF FF 00 00 0D 00 00 07 00 0D 00 00 00 80 C3 }
	condition:
		$1
}

rule function_22028_0 {
	meta:
		name = "MakeROP4"
		size = 12
	strings:
		$1 = { C1 E2 08 81 E2 00 00 00 FF 0B C2 C3 }
	condition:
		$1
}

rule function_22030_0 {
	meta:
		name = "GetGValue"
		size = 4
		altNames = "GetYValue"
	strings:
		$1 = { C1 E8 08 C3 }
	condition:
		$1
}

rule function_22032_0 {
	meta:
		name = "GetCValue"
		size = 4
	strings:
		$1 = { C1 E8 18 C3 }
	condition:
		$1
}

rule function_22033_0 {
	meta:
		name = "CMYK"
		size = 48
	strings:
		$1 = { 55 8B EC 53 33 DB 8A 5D 08 81 E1 FF 00 00 00 C1 E1 08 0B D9 81 E2 FF 00 00 00 C1 E2 10 0B DA 25 FF 00 00 00 C1 E0 18 0B D8 8B C3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22035_0 {
	meta:
		name = "PaletteRGB"
		size = 33
		refs = "0015 RGB"
	strings:
		$1 = { 53 51 88 4C 24 01 88 14 24 8B D8 8A 4C 24 01 8A 14 24 8B C3 E8 ?? ?? ?? ?? 0D 00 00 00 02 5A 5B C3 }
	condition:
		$1
}

rule function_22036_0 {
	meta:
		name = "PaletteIndex"
		size = 9
	strings:
		$1 = { 0F B7 C0 0D 00 00 00 01 C3 }
	condition:
		$1
}

rule function_22040_0 {
	meta:
		name = "SmallPointToPoint"
		size = 20
	strings:
		$1 = { 51 89 04 24 0F BF 04 24 89 02 0F BF 44 24 02 89 42 04 5A C3 }
	condition:
		$1
}

rule function_22041_0 {
	meta:
		name = "PointToSmallPoint"
		size = 22
	strings:
		$1 = { 51 66 8B 10 66 89 14 24 66 8B 40 04 66 89 44 24 02 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_22045_0 {
	meta:
		name = "ExitWindows"
		size = 10
		refs = "0005 ExitWindowsEx"
	strings:
		$1 = { 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22046_0 {
	meta:
		name = "PostAppMessage"
		size = 21
		refs = "000c PostThreadMessageA"
		altNames = "PostAppMessageA"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22047_0 {
	meta:
		name = "PostAppMessageW"
		size = 21
		refs = "000c PostThreadMessageW"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22049_0 {
	meta:
		name = "CreateWindow"
		size = 51
		refs = "002a CreateWindowExA"
		altNames = "CreateWindowA"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 8B 5D 20 53 8B 5D 24 53 51 52 50 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_22050_0 {
	meta:
		name = "CreateWindowW"
		size = 51
		refs = "002a CreateWindowExW"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 8B 5D 20 53 8B 5D 24 53 51 52 50 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_22052_0 {
	meta:
		name = "CreateDialog"
		size = 23
		refs = "000e CreateDialogParamA"
		altNames = "CreateDialogA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22057_0 {
	meta:
		name = "CreateDialogIndirect"
		size = 23
		refs = "000e CreateDialogIndirectParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22055_0 {
	meta:
		name = "CreateDialogIndirectA"
		size = 23
		refs = "000e CreateDialogIndirectParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22056_0 {
	meta:
		name = "CreateDialogIndirectW"
		size = 23
		refs = "000e CreateDialogIndirectParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22053_0 {
	meta:
		name = "CreateDialogW"
		size = 23
		refs = "000e CreateDialogParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22060_0 {
	meta:
		name = "DialogBox"
		size = 23
		refs = "000e DialogBoxParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22058_0 {
	meta:
		name = "DialogBoxA"
		size = 23
		refs = "000e DialogBoxParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22063_0 {
	meta:
		name = "DialogBoxIndirect"
		size = 23
		refs = "000e DialogBoxIndirectParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22061_0 {
	meta:
		name = "DialogBoxIndirectA"
		size = 23
		refs = "000e DialogBoxIndirectParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22062_0 {
	meta:
		name = "DialogBoxIndirectW"
		size = 23
		refs = "000e DialogBoxIndirectParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22059_0 {
	meta:
		name = "DialogBoxW"
		size = 23
		refs = "000e DialogBoxParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22064_0 {
	meta:
		name = "EnumTaskWindows"
		size = 9
		refs = "0004 EnumThreadWindows"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22065_0 {
	meta:
		name = "GetWindowTask"
		size = 13
		refs = "0007 GetWindowThreadProcessId"
	strings:
		$1 = { 53 8B D8 6A 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22066_0 {
	meta:
		name = "DefHookProc"
		size = 19
		refs = "000b CallNextHookEx"
	strings:
		$1 = { 55 8B EC 51 52 50 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_22067_0 {
	meta:
		name = "HwndMSWheel"
		size = 248
		refs = "000f HwndMSWheel 0019 FindWindow 0025 RegisterWindowMessage 0058 SendMessage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 83 3E 00 74 18 85 DB 74 14 6A 00 6A 00 8B 06 50 53 E8 ?? ?? ?? ?? 8B 55 0C 89 02 EB 07 8B 45 0C 33 D2 89 10 83 3F 00 74 18 85 DB 74 14 6A 00 6A 00 8B 07 50 53 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 09 8B 45 08 C7 00 03 00 00 00 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 4D 61 67 65 6C 6C 61 6E 20 4D 53 57 48 45 45 4C 00 00 00 00 4D 6F 75 73 65 5A 00 00 4D 53 57 48 45 45 4C 5F 52 4F 4C 4C 4D 53 47 00 4D 53 48 5F 57 48 45 45 4C 53 55 50 50 4F 52 54 5F 4D 53 47 00 00 00 00 4D 53 48 5F 53 43 52 4F 4C 4C 5F 4C 49 4E 45 53 5F 4D 53 47 00 00 00 00 }
	condition:
		$1
}

rule function_22245_0 {
	meta:
		name = "IS_GOPHER_FILE"
		size = 13
	strings:
		$1 = { A9 71 F2 1F 00 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22246_0 {
	meta:
		name = "IS_GOPHER_DIRECTORY"
		size = 10
	strings:
		$1 = { A8 02 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22247_0 {
	meta:
		name = "IS_GOPHER_PHONE_SERVER"
		size = 10
	strings:
		$1 = { A8 04 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22248_0 {
	meta:
		name = "IS_GOPHER_ERROR"
		size = 10
	strings:
		$1 = { A8 08 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22249_0 {
	meta:
		name = "IS_GOPHER_INDEX_SERVER"
		size = 10
	strings:
		$1 = { A8 80 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22250_0 {
	meta:
		name = "IS_GOPHER_TELNET_SESSION"
		size = 11
	strings:
		$1 = { F6 C4 01 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22251_0 {
	meta:
		name = "IS_GOPHER_BACKUP_SERVER"
		size = 11
	strings:
		$1 = { F6 C4 04 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22252_0 {
	meta:
		name = "IS_GOPHER_TN3270_SESSION"
		size = 11
	strings:
		$1 = { F6 C4 08 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22253_0 {
	meta:
		name = "IS_GOPHER_ASK"
		size = 13
	strings:
		$1 = { A9 00 00 00 40 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22255_0 {
	meta:
		name = "IS_GOPHER_TYPE_KNOWN"
		size = 13
	strings:
		$1 = { A9 00 00 00 20 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_22265_0 {
	meta:
		name = "FD_ISSET"
		size = 22
		refs = "0009 __WSAFDIsSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 E8 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5E 5B C3 }
	condition:
		$1
}
